(Parenting) -- To deal with her depression and anxiety issues, J.D. Bailey does not use prescription drugs. She uses the delicate-fabrics setting on the dryer.

Four years ago, Bailey was prescribed a low dose of Zoloft to offset the postpartum depression that followed the birth of her youngest daughter, Grace. Her doctor later switched the script to Celexa. Thus began a carousel of selective serotonin reuptake inhibitors.

Today, Bailey is not taking anything. For the past few months, her drug of choice has been five minutes in the laundry room.

"Last week I had to step away when my 6-year-old, Annie, was having a full meltdown," says Bailey, who chronicles her depression on her blog, Honest Mom. "I felt like the worst parent in the world because I didn't want to make her feel better. I just wanted to get out of there."

Parenting.com: How to de-stress your daily routine

So that's what she did. Bailey went into the laundry room, turned on the dryer, and breathed until "I knew I could be levelheaded, hug her, and talk her through it."

Bailey lives in a suburb of Boston, where children ride bikes in front of split-level colonial homes and locals make brownies for the neighborhood bake sale.

It's the kind of charmed hamlet that teaches an important lesson: Depression and anxiety live everywhere. One in every 10 Americans reports being depressed, according to the Centers for Disease Control and Prevention. Anxiety disorders affect 40 million adults in the U.S.

But parents are arguably the most vulnerable to these issues.

"Parenting is a tough job, one that is exhausting on a good day," says Jenn Berman, a licensed psychotherapist in Beverly Hills and author of "The A to Z Guide to Raising Happy, Confident Kids." "If you're also prone to depression, it can push you over the edge."

Parenting, anxiety and depression

From our children's health to their development to their performance at school, there's always something for moms and dads to be happy -- or anxious -- about.

The common definition of depression states that a multitude of the following symptoms be present for a two-week period: fatigue and decreased energy, feelings of pessimism, overeating or appetite loss, insomnia or early-morning wakefulness, loss of interest in hobbies and activities once found pleasurable, and irritability and restlessness. That describes half the parents I know.

Our awareness of depressive and anxiety issues is at an all-time high (thank you, TV commercials), and our family physicians and OB-GYNs can write scripts as easily as psychiatrists.

It all adds up to our becoming Generation Medication: More than one in five American adults now take at least one type of medication to treat a psychological or behavioral disorder, a 22% rise since 2001, according to an analysis by Express Scripts. The number of women taking antidepressants grew 29% between 2001 and 2010; during that same time period, ADHD drug use among women jumped a staggering 264%.

Parenting.com: Why are so many moms on psychiatric meds?

But very little talk surrounding depression and anxiety focuses on parents, which is hard to believe, since their mental well-being has a significant effect on our most precious cargo.

"Depression...can have serious biological, psychological, behavioral, and social consequences, especially on children who rely on a parent for caregiving, support, and nurturance," according to "Depression in Parents, Parenting and Children," published in 2009 by the National Research Council. It's associated with poorer physical health, especially in infants, difficult temperament and aggression, lower cognitive performance, and higher rates of anxiety and depression. Sixteen million children are living in households with a depressed parent, so there are an enormous number of young lives at stake.

'Put on your own oxygen mask first'

It's 3 a.m., and Hope Chanda is awakened by another panic attack. Not again, she thinks. But sure enough, the symptoms are all there: tightening in the chest, pressure on the rib cage, shortness of breath. "Every time, I feel like I'm going to die," she says.

For the past two years, Chanda and her husband, Joe, parents of twin 6-year-old boys in Melbourne, Florida, have been trying to get pregnant: six rounds of fertility shots and three cycles of the fertility drug Clomid. "All the hormones made me crazy," she adds. But toughest of all were the two miscarriages.

"After the second miscarriage, it all came out," she says. "I had this feeling that something was really wrong.." She didn't want to end up like her mother, who was hospitalized for anxiety issues when Chanda was 10.

Parenting.com: Mom confession: I'm an alcoholic parent

"You know how on an airplane the flight attendant says to put on your own oxygen mask first, then your child's? That applies here," Berman says. "It's really hard for moms to put their well-being first, but they have to help themselves before they can help their children and families."

After one too many midnight panic attacks, Chanda talked to her family doctor. Now she takes half a milligram of Xanax twice a day, and 20 milligrams of Celexa at night.

"It helps me be a better mom," says Chanda. "I look forward to taking my medication. I'm more flexible, tolerant, and rational. Before, when the kids were being a problem, I would get frustrated and yell immediately. Now, we work through the problem."

Allan Horwitz is a professor of sociology at Rutgers University and author of "The Loss of Sadness: How Psychiatry Transformed Normal Sadness Into Depressive Disorder." He believes we're using meds to deal with the emotional roller coaster of parenthood.

"Let's say you have a colicky baby," says Horwitz. "Colic means your baby is not sleeping, which means you're not sleeping. Now you have resulting symptoms from thatâ€”fatigue, irritability, feeling overwhelmed.... We've become less tolerant of negative emotions. It's much easier to take a pill."

'Sad and I don't know why'

Every morning John Buffington, a father of two in Philadelphia, pops a Claritin and 20 milligrams of Celexa.

"While it was different for my dad's generation, I'm taking on a more nurturing role at home. To do that, you have to be in touch with your feelings," says Buffington as he gives his 9-month-old son a bottle. "Celexa helps me do that."

What about talk therapy? "I spent a couple years in therapy, but then the insurance stopped covering it and it became too big of an expense."

This is a common scenario: Getting the medication is relatively cheap and easy, and talk therapy is expensive and hard. If the meds make you feel normal, why do anything else?

"You should not take psychiatric medication unless you are in psychotherapy," says Dr. Carole Lieberman, a psychiatrist and faculty member at UCLA's Semel Institute for Neuroscience and Human Behavior. "The medication is a Band-Aid to combat the symptoms while you work on the root of the problem."

"If your partner is dealing with these issues, push them to start -- and stick with -- talk therapy," says Berman. "Therapists give you the tools to manage your triggers."

Parenting.com: When postpartum depression lasts

One evening at bedtime, Bailey's daughter Annie said, "Mommy, I'm sad and I don't know why." Her heart sank. Shortly thereafter, Bailey weaned herself off the meds "under my doctor's supervision and my husband's watchful eye."

"I'm exercising, eating better, and making sure my spouse and I have time together," she says.

Things are going well, but she's on eggshells. Bailey is not far removed from the days when the tears came too easily, when she had to tell her daughters, "Mommy's not feeling well today." But she's been on this battlefield before, and she's ready for a fight.

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

More than 1 in 5 adults take medication for a psychological or behavioral disorder: analysis

@highlight

Parental depression can affect children

@highlight

One expert says Americans use medication to cope with the parenthood roller-coaster

@highlight

The American Psychiatric Association advocates talk therapy