Therapy aimed at turning gay kids straight will soon be illegal in California, with the state's governor declaring he hopes a new law will relegate such efforts "to the dustbin of quackery."

The legislation -- which the state Senate passed in May, Gov. Jerry Brown signed into law this weekend and will take effect January 1 -- prohibits attempts to change the sexual orientation of patients under age 18.

"This bill bans non-scientific 'therapies' that have driven young people to depression and suicide," Brown tweeted. "These practices have no basis in science or medicine."

But practitioners of so-called "reparative therapy" say the assertions of the governor and gay rights advocates "just are not true," according to David Pickup, a spokesman for the National Association for Research and Therapy of Homosexuality.

Joined by "individual therapists and individual minor clients," his group will file a "major lawsuit" this week to challenge the law," Pickup said. The Pacific Justice Institute separately told CNN it will file its own lawsuit Monday, alleging the law violates the First Amendment.

"We do competent therapy, therapy that truly works," Pickup, who himself underwent such therapy and now administers it to others, said Monday on CNN.

"For them to have a bill that says, 'No, we can't even talk about these issues, we can't do anything to help these children resolve their homosexual feelings and maximize their heterosexual potential' -- that's the height of political and therapeutic irresponsibility."

Pickup alluded to a report by the American Psychiatric Association that, he says, doesn't find any "proof that (the therapy) causes harm."

But the psychiatric organization -- which is the world's largest of its kind, with more than 36,000 members -- determined, in fact, that reparative therapy poses a great risk, including increasing the likelihood or severity of depression, anxiety and self-destructive behavior for those undergoing therapy. Therapists' alignment with societal prejudices against homosexuality may reinforce self-hatred already felt by patients, the association says.

CNN.com blogs: Gay in America

"The longstanding consensus of the behavioral and social sciences and the health and mental health professions is that homosexuality per se is a normal and positive variation of human sexual orientation," the association says.

After the bill passed the state Senate, Equality California spokeswoman Rebekah Orr praised the "right first step in making sure that young people are protected from these unscrupulous therapists who are really engaging in therapeutic deception that is based on junk science."

"This law will ensure that state-licensed therapists can no longer abuse their power to harm LGBT youth and propagate the dangerous and deadly lie that sexual orientation is an illness or disorder that can be 'cured,'" said Orr's organization, which describes itself as the largest statewide advocacy group in California working for "full equality" for lesbian, gay, bisexual, and transgender people.

Peter Drake, who once participated in reparative therapy, said the bill protects youths from "a very, very dangerous therapy that doesn't work and leaves a lot of people feeling despair and hopelessness."

Yet Pickup insists that the "children who walk into my office ... crying, depressed, lonely, gender-identity confused and sexually confused" ask for help voluntarily, because they are "distressed."

Thousands believe, he claims, "believe there's a cause-and-effect nature of homosexuality" that can be brought about by instances of abuse and issues like "gender identity inferiority," "un-met needs from ... usually the same-sex parent" and other "inner wounds that we discover in therapy."

"When those wounds get healed, the homosexual feelings -- we don't force them away, they naturally, spontaneously dissipate," said Pickup, who credits the therapy with having "helped save my life," by decreasing his depression and raising his self-esteem.

The debate could now move to court, thanks to promised lawsuits by Pickup's group and the Pacific Justice Institute that describes itself as a network of more than 1,000 attorneys "defending religious, parental, and other constitutional rights."

"Of all the freedom-killing bills we have seen in our legislature the last several years, this is among the worst," said Brad Dacus, the institute's president and founder, in a written statement.

Read more: Massachusetts appeals ruling on prisoner sex change

The legal battle could center around the questions of whether such therapy constitutes child abuse and if a ban is unconstitutional.

Read more: Denied divorce, some same-sex couples 'wed-locked'

Ryan Kendall, who went through this type of therapy when he was 13, told CNN it began after his mother read his diary and discovered he was gay.  In the therapy, he was consistently told his sexuality was a choice and could "be fixed," he said.

"I never believed that. I know I'm gay just like I know I'm short and I'm half Hispanic. I've never thought that those facts would change. It's part of my core fundamental identity. So the parallel would be sending me to tall camp and saying, 'If you try very hard, one day you can be 6-foot-1.'"

Kendall said psychologist Joseph Nicolosi treated him. His parents provided CNN with copies of bills from Nicolosi's office, but Nicolosi said he did not remember treating someone by that name.

He told CNN he views the therapy he provides as "trying to bring out the heterosexuality" in someone.

Yet Nicolosi insisted the therapy is not harmful, and he treats only people who want to change.

A leading psychologist in the field of reparative therapy, George Rekers, treated a boy named Kirk Murphy, whose story was told in a 2011 CNN report. Rekers considered Kirk a success story, writing that "his feminine behavior was gone" -- proof, Rekers said, that homosexuality can be prevented.

But Murphy's family said he never stopped being gay. He hanged himself at the age of 38. Despite allegations by the family that Rekers' therapy decades earlier ultimately led to the suicide , Rekers told CNN that scientifically, it "would be inaccurate to assume that it was the therapy," and that he grieves for the parents.

"Two independent psychologists with me had evaluated him and said he was better adjusted after treatment," Rekers said.

"I only meant to help, do the best I could with the parents," he added.

Rekers' days as a prominent anti-gay champion came to an end after he hired a male escort to accompany him on a trip to Europe. He denied any sexual contact or awareness at the time that the escort offered sexual favors.

Earlier this year, psychiatrist Robert L. Spitzer apologized for his 2003 study of reparative therapy, which suggested that it could help gays and lesbians become straight. He said it was deeply flawed.

"I believe I owe the gay community an apology for my study making unproven claims of the efficacy of reparative therapy," Spitzer said in a letter to the editor of the Archives of Sexual Behavior. "I also apologize to any gay person who wasted time and energy undergoing some form of reparative therapy because they believed that I had proven that reparative therapy works with some 'highly motivated' individuals."

Kendall said the therapy he underwent "led me to periods of homelessness, to drug abuse, to spending a decade of my life wanting to kill myself. It led to so much pain and struggle. And I want them to know that what they do hurts people.

"It hurts children. It has no basis in fact. And they need to stop."

@highlight

Two groups say they're filing lawsuits challenging the newly signed California law

@highlight

A "reparative therapist" calls the law "the height of ... irresponsibility"

@highlight

The law will prohibit sexual orientation change therapy for children under age 18

@highlight

A psychiatric group says the therapy can bring on depression and self-destructive behavior