(Tribune Media Services) -- Look out for cancellation penalties. Beware of energy surcharges. And watch for facilities fees.

Hertz lost $73 million in the fourth quarter of 2008.

No, not on your airline ticket. Not on your hotel folio. You may find these new extras on your next car rental bill.

Beleaguered auto rental firms are quietly adding new surcharges designed to lift revenues in a recessionary economy.

To get an idea of how absurd it's becoming meet Jim Swofford. He found a mysterious $5 fee on his Hertz bill recently, which a representative described as a cancellation fee. Car rental companies typically don't charge their customers for cancellations, so Swofford, who frequently rents from Hertz, said he didn't want another car he'd reserved for later.

"That'll be $25," the agent told him.

"So I jokingly said I would not cancel but just be a no-show," he remembers. "She said that would result in a $50 fee."

Or talk to Eric Hegwer, a photographer from Austin, Texas, who spotted a $1 "energy surcharge" on his Hertz car rental bill recently. "My previous rentals didn't have one," he says.

I asked Hertz about the two new surcharges. Company spokeswoman Paula Rivera told me the cancellation fee, which was added in December, applied only to prepaid reservations and is meant to "reimburse Hertz for the paperwork and billing involved with a prepaid reservation."

The fee also covers part of the company's cost of holding vehicles for prepaid reservations. The energy surcharge, which was added in October, bills all rentals in most states an additional $1 a day "to offset the increasing costs of utilities, bus fuel, oil and grease," she said.

It's easy to see why car rental companies are taking these steps. The industry is hemorrhaging money faster than oil leaking from a cracked gasket. Hertz lost $73 million in the fourth quarter, and competitor Avis lost $121 million in the same period. They fared much better than Advantage Rent A Car, which filed for bankruptcy protection in December and whose assets were sold to Hertz for a reported $33 million.

Every penny counts for the car rental companies. Then again, in this dreadful economy, who isn't counting every cent?

Shocking anecdotes aside, there's a pattern here, and you don't have to be an investigative reporter or a conspiracy theory-obsessed columnist to see it. Just read the annual reports issued by one of the publicly traded car rental companies. (Look for the form 10-K and then scroll down to "Legal Proceedings" for an enlightening read.) They're littered with lawsuits over fees, surcharges and add-ons that motorists say broadsided them when they rented a car.

A representative of the American Car Rental Association, a trade group for the car rental business, says these fees are essential to the industry's survival. But that doesn't give companies a license to surprise their customers.

"The car rental company has an obligation to clearly and concisely explain all fees and charges at the time of rental, " says Robert Barton, the association's president and chief operating officer for U-Save Car & Truck Rental.

How to stay ahead of these extras? Knowing is half the battle. Here are five of the newer charges that could sideswipe you on your next trip.

A fee for something you've already paid for

This is one of the more creative new ways of separating you from your money: charging you twice for the same thing. "Three times now, with three different companies, they have tried to charge me for gas when I've returned the car with a full tank and claimed it was an honest mistake," says Sid Savara, a software engineer in Oahu, Hawaii. "It leads me to suspect they are just tacking the fee on and most people aren't noticing or complaining about it."

Boston-based author John DiPietro brought his own E-ZPass toll transponder when he rented a car in Massachusetts recently, but Budget billed him for the toll roads anyway. "We're still trying to resolve it," he told me.

Now more than ever, it's important to be on the lookout for duplicate charges on your rental bill.

A fee for something that should come with the car

Such as tires. Enterprise recently charged one of Edgar Dworsky's readers a $2 "tire fee." He edits a Web site called Consumer World, and like me, he hears a lot of horror stories from travelers. What's a tire fee? Enterprise told Dworsky it was required by the state of Florida. "I guess the consumer advice is to order a car without tires next time," he joked.

But other fees can't be blamed on the state, including surcharges that cover the cost of oil and grease. It might be interesting to show up at a car rental counter with four tires and a can of Pennzoil, and ask to have those fees waived. You think they would do it? Yeah, neither do I.

Surcharge on surcharges

Scott Lerman found a "privilege fee" on his last car rental in Florida, which applied to rentals picked up within 48 hours of flight arrival. "Never seen anything like it," says the Livingston, New Jersey-based freelance publicist. (The fee covers the costs of operating an off-airport location.)

Other renters have reported seeing a similar surcharge combined with what's often called a concession recovery fee, which amounts to a surcharge on top of a surcharge. At best, car rental companies are coming up with new and confusing names for their fees. At worst, they're charging us a fee on top of another fee. Next thing you know, there'll be a surcharge on a surcharge on top of a surcharge. Don't laugh -- I'm sure they've already thought of it.

The stadium tax

Fees for new stadiums and concert halls are technically not new, and technically they're not even controlled by car rental companies. Except that municipalities keep coming up with new ones and car rental companies don't lobby hard enough to have the fees removed. So rental firms are not completely blameless.

Seth Mendelsohn, the president of a food store in Boulder, Colorado, found a $4 "downtown arena" fee on his bill when he visited Kansas City recently. "Apparently the city is trying to pay for part of the Sprint Center through car rental fees," he told me.

There are dozens -- perhaps hundreds -- of these so-called stadium taxes across the country. And new ones keep popping up. One of the latest is a car rental tax in Gwinnett County, Georgia, to build a stadium for the Atlanta Braves. And just last week, legislators proposed a $2 tax to fund commuter rail service in South Florida.

Extra driver fees

These aren't brand new, but the way in which they're being enforced has changed recently.

When Carol Stevenson and her sister rented a car from Payless in Phoenix, they were asked to pay $9 a day more if Stevenson's sister wanted to drive. "And that didn't include their insurance waiver," she remembers.

Why charge for an extra driver? The simple answer: because they can.

In the past, car rental agents looked the other way when two drivers showed up to rent the same car.

But now, with money tight, they're applying more pressure to authorize a second driver. If you don't fork over the money and happen to get into an accident, they warn, you won't be covered by their insurance.

Of course, that assumes you buy their overpriced collision-damage waiver in the first place. Odds are, your credit card or car insurance offers comparable coverage.

Most of these fees can be avoided by pre-paying for your car through one of the "opaque" travel sites such as Hotwire.com or Priceline.com, or by buying through an online travel agency that guarantees its rates.

But car rental companies are trying to find a way to stick it to customers with prepaid vouchers, too. I'll have more on that in a future column.

Where will it end? Something tells me we're not there yet. Not even close.

(Christopher Elliott is the ombudsman for National Geographic Traveler magazine. This column originally appeared on MSNBC.com. You can read more travel tips on his blog, elliott.org or e-mail him at celliott@ngs.org).

© 2009 CHRISTOPHER ELLIOTT DISTRIBUTED BY TRIBUNE MEDIA SERVICES, INC.

@highlight

Beleaguered car rental firms are quietly adding "absurd" new surcharges

@highlight

Charges include: "Cancellation fee," "energy surcharge," "tire fee," "privilege fee"

@highlight

Economy resulted in Hertz losing $73 million in Q4; Avis lost $121 million