(CNN) -- With more than half a billion eggs recalled and at least 1,300 salmonellosis illnesses linked to eggs in an ongoing investigation this summer, consumers are worried and wondering, "What went wrong, and what can I do to protect myself and my family?"

We study food safety for a living, so our own family members have been quizzing us about which eggs are safest to buy.

Our immediate response to them, and everyone else who has called us at the university for advice, is to recommend they check the recall list and discard implicated eggs or return them to the store for a refund. (Specific brands and other information about the recall can be found at http://www.foodsafety.gov/. )

But, beyond the recall, they also wanted to discuss the broader issue of food safety differences between eggs sold conventionally versus free-range or cage-free eggs. For example, they wanted to know is it really true, as some food activists suggest, that eggs from cage-free chickens are safer?

The answer? Not necessarily.

However, there are things consumers can do to protect their food. They can learn more about salmonella and related egg-production issues. They can also support legislation, now stalled in the U.S. Senate, that would help the Food and Drug Administration safeguard the nation's food supply.

It is important to note that in the current outbreak, the eggs recalled were traced to large, conventional farms in Iowa where hens were likely housed in indoor cages.

In recent years, the marketing of free-range eggs has become a popular alternative to conventional eggs.

Read more about the debate over industrial vs. free-range farming

The term free-range is often used interchangeably with cage-free. The U.S. Department of Agriculture requires that producers labeling eggs as free-range have demonstrated that the birds were allowed continuous, free access to the outside for more than 51 percent of their lives. Free-range or cage-free eggs are sometimes, but not always, organically produced and/or raised on pasture.

But are they safer? We revisited the scientific literature. We found that studies directly comparing the relative safety of free-range, cage-free and conventional eggs are limited, and some of the data are contradictory.

For example, a 1994 study in Southern California of a specific salmonella type found only 1 percent  prevalence in caged hens compared with 50 percent prevalence in free-range hens. European researchers have concluded the opposite in their studies, but comparisons between countries are difficult because of factors such as feed and climate.

A study of broilers in the U.S. found no difference in salmonella incidents in caged and free-range chickens. These findings suggest to us that more research is needed and that the risk factors for finding salmonella in eggs are far more complex than simply how the chickens were housed.

To better understand the problem of salmonella in eggs, it is important to consider where the bacteria comes from in the environment. There are some 2,000 subtypes of salmonella, but the one most commonly found in eggs is called salmonella enteritidis (SE). This bacteria lives in the gut of healthy animals, especially chickens, turkeys, ducks, wild birds and rodents. It can also be carried by flies.

The outside of an egg can get contaminated with SE by contact with feces and dirt. The bacteria can spread to the hens through contaminated feed or water, from chicken-to-chicken and via wildlife vectors such as wild birds and rodents. Workers and visitors can also spread the bacteria from one farm to another by carrying it on dirty clothing or their shoes.

For more on the egg safety issue, see CNN.com's "Eatocracy" blog

Neither conventional, free-range nor cage-free farms are immune to these possible modes of spread. Furthermore, an intriguing and dangerous characteristic of the SE strain is that it can also travel to the chicken's reproductive tract and infect the inside of the egg.

This is extremely rare. Only one in every 10,000 to 30,000 supermarket eggs is typically infected with salmonella enteritidis. And only a very small fraction of those results from an inner-egg infection, which can happen regardless of how the chickens are housed or whether the chickens were raised organically.

Given the biology of salmonella and its multiple potential modes of spread, we can only conclude that both conventional and free-range/cage-free egg producers must be diligent to protect their eggs from contamination. Neither method of egg farming appears to offer the silver bullet for egg food safety. All types of egg farms should follow best practices during production and handling of the eggs.

On July 9, the U.S. Food and Drug Administration published the Egg Safety Final Rule, which is expected to "prevent each year approximately 79,000 cases of food-borne illness and 30 deaths caused by consumption of eggs contaminated with the bacterium Salmonella Enteritidis." Similar but voluntary programs in California and Pennsylvania have already dramatically improved the safety of eggs in those states.

Furthermore, SB 510, the Food Safety Modernization Act  that's awaiting Senate action would increase the likelihood of success in controlling SE in eggs by providing the FDA with the authority necessary to enforce the food safety standards and recalls.

Finally, it is important to remember that no matter how carefully eggs are produced and handled, or regulated, it is impossible to guarantee that a raw egg is free of salmonella or other harmful bacteria. Prevention should be from the farm to the fork.

Consumers can protect themselves by:

-- Always buying eggs from a refrigerated case and choosing eggs with clean, uncracked shells.

-- Keeping eggs refrigerated at 45° F (7° C) or colder at all times.

-- Washing hands, cooking utensils and food-preparation surfaces with soap and water after contact with raw eggs.

-- Cooking eggs until the whites and yolks are firm and eating them promptly.

-- Not keeping eggs warm or at room temperature for more than two hours.

-- Refrigerating unused or leftover egg-containing foods promptly.

-- Avoiding eating raw eggs.

-- Using pasteurized shell eggs or pasteurized egg mixtures when home recipes call for uncooked eggs.

-- Avoiding restaurant dishes made with raw or undercooked, unpasteurized eggs. Restaurants should use pasteurized eggs in any recipe (such as Hollandaise sauce or Caesar salad dressing) that calls for raw eggs. Do not hesitate to ask your server how the eggs were prepared.

For more information, visit UC Food Safety and the Centers for Disease Control and Prevention.

The opinions expressed in this commentary are solely those of Michele Jay-Russell and Michael Payne.

@highlight

Two food safety experts: Check egg recall list, and throw out or return implicated eggs

@highlight

Be cautious dealing with both conventional or free-range/cage-free eggs

@highlight

Salmonella has multiple potential modes of spreading

@highlight

Tips: Buy eggs from refrigerated case; don't eat raw eggs; cook until whites, yolks are firm