London, England (CNN) -- Former Bosnian Serb leader Radovan Karadzic finally took the stand Monday at the U.N.'s international tribunal at The Hague to defend himself against genocide charges stemming from the 1992-1995 Bosnian conflict.

For CNN's Senior International Correspondent Nic Robertson, the 64 year-old was as defiant and unrepentant as the man he recalled meeting outside Sarajevo in 1993-94, as Bosnian-Serb forces shelled the city.

Karadzic, who faces 11 charges of war crimes, crimes against humanity, and genocide during the war, told the tribunal the Serb cause is "just and holy," and dismissed as myths two of the worst atrocities of a conflict that claimed 100,000 lives -- the three-year siege of Sarajevo and the Srebrenica massacre in 1995.

He even claimed that the image of the Muslims as victims was untrue and that they were the first to attack. Their fighters "had blood up to their shoulders," he said.

"I will defend that nation of ours and their cause that is just and holy," he said in his defiant opening statement. The aim of the "Muslim plotters," he added, was "100 percent power, as it was in the Ottoman Empire."

"This is reminiscent of those days," said Robertson, who reported from the Bosnian capital during the war. "These were the exact same justifications: 'we're the ones that had been under attack, we're the ones being wronged.'

"It's very telling that he's not trying to address specific issues, such as the Srebrenica massacre and such like, which are going to be the main parts of the prosecution.

"Many Bosnian-Serbs watching this will feel that he's doing the right thing because Serbs have a history of feeling wrongly done to."

He said some still think back to their nationalist past and only identify with themselves through that, which is incompatible with the direction modern Europe is taking. "They're trying to return to a kind of Serb nationalist heyday, which is akin to the Taliban taking Muslims, if you will, back centuries."

Karadzic is the most senior figure to stand trial since the former Yugoslav president Slobodan Milosevic, who died of a heart attack in 2006 before a verdict was reached.

According to Robertson, the trial might offer a crumb of comfort to some victims but it will stir up a great deal of emotion and anger to many Bosnian-Muslims who lost relatives or their homes.

"When you listen to Karadzic's description of the situation in Bosnia during this period it belies the fact that Bosnian-Serbs went through and ethnically-cleansed people from their towns," he said.

"There were towns and villages where no Muslims were left. Any towns or villages the Serbs couldn't get into they just surrounded and poured on machine-gun fire and rockets. This trial is going to bring all this out again."

During the siege of Sarajevo, which lasted 44 months, Karadzic was in Pale, a mountain-top village to the south-west of the capital which became the Bosnian-Serb headquarters.

Down below, Sarajevo was like a goldfish bowl surrounded on all sides by Bosnian-Serb soldiers who had dug in and were shooting civilians indiscriminately with machine guns, sniper rifles and mortars. "These were men in uniform with weapons taken from the former Yugoslav national army acting on clear instructions," said Robertson.

"It's hard to get an idea of what a siege is like in modern Europe. But imagine a city where you can't leave, get out to buy eggs, apples or fuel for your car. Equally nothing can come in.

"The encirclement of Sarajevo was so tight that the only way in or out for Bosnians was a hand-built tunnel they dug under the U.N.-run airport runway. A man couldn't stand upright in the tunnel.

"Telephone lines were non-existent, while electricity and water supplies were often cut for weeks on end."

On one occasion, while buying fuel in Serb-held territory, Robertson came across several Bosnian-Serb snipers at a gas station. They proceeded to show him their positions and what they could see through their rifle scopes. "Looking down onto the streets you could see why the snipers were so effective," he said.

Throughout the conflict Bosnian-Serb forces were supported by the rump Yugoslav state -- which would later become Serbia -- and its national army, which was dominated by Serb generals. "That chain of reporting command was important," said Robertson.

"I remember going to Belgrade with Karadzic and he was the like the vassal of Milosevic. He was going there worried about what demarche he was going to get from him. So there was a complete tie-in between the Bosnian-Serbs and the Serbs in Belgrade.

"But in terms of the chain of command on the ground, I don't think anyone there would question the fact Karadzic and his political allies gave the backing, justification and instruction for the army to act on the ground.

"For three years you can't surround Sarajevo and shell it as a political leader. He never once stood up and tried to stop what was going on and only condoned and supported it, having meetings with army commanders involved, such as Mladic."

Ratko Mladic is the most senior fugitive still at large.

Now that Karadzic's tribunal has finally resumed after a four-month postponement, many analysts believe it has enough evidence to secure a conviction. "If there's a successful conviction," said Robertson," then the court should feel it has set a good marker for future leaders who would try to turn guns on civilians and try to divide a country.

"Failure would call into the question the tribunal's ability to try anyone."

@highlight

Radovan Karadzic faces 11 counts of genocide, war crimes, crimes against humanity

@highlight

Charges stem partly from 1995 mass killing of Muslim men in Bosnian town of Srebrenica

@highlight

Karadzic, the Bosnian Serb president at the time, accused of responsibility for the massacre

@highlight

He told international tribunal at The Hague that the Serb cause is "just and holy"