(CNN) -- Does your company have in place what amounts to an "English-only" policy for employees? Yes? No?

How do we get Whole Foods to tell the whole truth?

At the very least, what we have at the trendy organic supermarket chain is a failure to communicate -- in any language.

Bryan Baldizan and Lupe Gonzales -- two employees of a Whole Foods Market in Albuquerque, New Mexico -- say that they were suspended for speaking Spanish on the job and complaining to a manager who told them, in a staff meeting, that a company policy required them to speak English.

Who would have thought? Hispanics make up a staggering 46.7% of New Mexico's population, and many of those folks have roots that run deep in the Land of Enchantment.

New Mexicans do not play games when it comes to preserving language and culture. They take their right to speak Spanish seriously. New Mexico's state constitution does not declare an official language, and it protects Spanish and American Indian languages. So you can't have English-only policies there.

But not everyone sees eye to eye.

Remember that flap in October 2009 when Larry Whitten -- an innkeeper in Taos, New Mexico -- got in hot "agua" after firing some of his employees for speaking Spanish and refusing to Anglicize their names. You know, "Juan" to "John," "Maria" to "Mary" etc.

Whitten, a Texas transplant, claimed he was only thinking about his customer. But a lot of New Mexicans thought he wasn't thinking at all.

Now, Baldizan and Gonzales got in trouble. Granted, their suspension at Whole Foods only lasted a day, and it was with pay.

So the individual employees didn't suffer much harm. But there are those who believe that the cultural traditions of the state of New Mexico took a slap in the face. This isn't the end of this. Not even close.

How did the company respond? Take your pick. It's multiple choice.

At first, Whole Foods spokeswoman Libba Letton told the Associated Press that the employees misunderstood the reason they were disciplined and that they were actually suspended for being "rude and disrespectful." In the context of employees talking to their boss, it's pretty clear that what she really meant to say was that they were "insubordinate."

Letton also told AP that the employees were never told they couldn't speak Spanish, and that there is no policy in place at the company that prohibits people from speaking a foreign language.

But the issue is not whether the company prohibits the speaking of a foreign language, but whether it requires the speaking of English. Maybe it's just semantics, or maybe it's more than semantics.

Besides, it doesn't look like Letton -- who is based in Austin -- was up to speed on what was happening on the ground in Albuquerque.

Ben Friedland, executive marketing coordinator for Whole Foods Market Rocky Mountain Region, issued a statement acknowledging that the company believes that "having a uniform form of communication is essential to a safe and efficient working environment."

Therefore, the statement said, "our policy states that all English speaking Team Members must speak English to customers and other Team Members while on the clock."

"Must speak," eh? Sounds like an English-only policy to me.

It went on: "Team Members are free to speak any language they would like during their breaks, meal periods and before and after work."

Wow. Whole Foods gives you permission to speak Spanish with family members at home before leaving for work. That's big of them.

And what if a Spanish-speaking customer wants to come in and pay too much for an organic apple? They thought of that, too.

The statement continues: "Additionally, this policy does not apply to conversations among Team Members and customers if all parties present agree that a different language is their preferred form of communication."

Then, of course, there was the PR sprinkled with PC.

"At Whole Foods Market, we take pride in the diversity of our Team Member and customer base. We recognize with this diversity comes the challenge of different languages spoken."

See, there's the problem right there. The fact that an employee speaks more than one language isn't a challenge to be overcome. It's a valuable asset that provides one's company with limitless opportunities.

And, after all that effort and all those words, the folks responsible for communicating for Whole Foods still weren't sure they were communicating well enough.

So Letton circled back around and tried to edit Friedland's statement, telling USA Today in an e-mail that saying employees "must speak English" was "an overstatement."

The final word is that the company now says that it would review the policy. You know, the one that it supposedly didn't have 10 minutes ago.

And these are the folks who want us all to speak proper English so we can get our point across? They need to go first.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Two Whole Foods workers in New Mexico say they spoke Spanish, got suspended

@highlight

Ruben Navarrette: Does the company have some sort of "English-only" policy?

@highlight

He says New Mexico's state constitution actually does not declare an official language

@highlight

Navarrette: Whole Foods need to be smarter about its language policy for employees