(CNN) -- Syria has been killing civilians and international powers have failed to intervene. The United States has killed people with drones and listened in on private communications in the name of national security. Russia has passed laws that target gays and lesbians. These are some of the trends in 2013 that Human Rights Watch (HRW) cited in its annual account of human rights records around the world on Tuesday.

In a 667-page report, the New York-based group highlighted key human rights issues in more than 90 countries, drawing on events through November.

HRW executive director Kenneth Roth presented the account, the 24th of its kind, at a press conference in Berlin.

Below are some of the issues in focus.

Syria

Human Rights Watch deplored international powers for failing in their responsibility to protect civilians in Syria after almost three years of civil war that has claimed more than 100,000 lives.

A day before international negotiations begin in Switzerland, the group contrasted the handling of the conflict with the reaction of the international community in other countries such as Central African Republic and South Sudan.

It said "the unchecked slaughter of civilians in Syria elicited global horror and outrage but not enough to convince world leaders to exert the pressure needed to stop it."

It accused Russia and China of using their vetoes at the United Nations Security Council to shield the government of Syrian President Bashar al-Assad from strong international action, such as an arms embargo or referral to the International Criminal Court.

"Despite a swiftly rising death toll and horrific abuses, Russia and China neutered the UN Security Council and enabled the killing of Syrian civilians by both sides," Roth said in a statement.

"As the Geneva II peace talks begin, with uncertain prospects of success, they shouldn't become the latest excuse to avoid action to protect Syrian civilians. This requires real pressure to stop the killing and allow the delivery of the humanitarian aid they need to survive."

A team of internationally renowned war crimes prosecutors and forensic experts has found "direct evidence" of "systematic torture and killing" by al-Assad's regime, the lawyers on the team have said in a new report.

Egypt

The HRW report also highlighted alleged abuses in struggling democracies, calling Egypt the "most glaring" example of "abusive majoritarianism."

The report criticized the government of the country's first democratically elected president, Mohamed Morsy, which it said ruled "in a manner that left secular and minority groups fearing exclusion in an Islamist-dominated government".

In the wake of Morsy's military-backed ouster in July, the interim government of General Abdel Fattah el-Sisi had launched what HRW said was the "worst repression that Egypt has known in decades, including by killing hundreds of Muslim Brotherhood protesters."

"For the second time since the fall of (former leader Hosni) Mubarak in February 2011, a government is in power with little apparent inclination to limit itself by respecting basic rights," HRW said.

Authorities have cracked down on the Muslim Brotherhood since Morsy's ouster, rounding up the movement's leaders and making membership illegal.

Egypt passes a new constitution

United States

President Barack Obama's record on national security issues came under fire from HRW -- from the continued existence of the detention center in Guantanamo Bay to what the group called the unlawful killing of civilians through drone attacks in countries such as Pakistan, Somalia and Yemen.

Another major topic concerned the revelations of "virtually unchecked mass electronic surveillance" by the United States made public by fugitive and former National Security Agency contractor Edward Snowden.

While HRW credited Obama for appointing a panel to recommend reforms, it questioned "whether any of these recommendations will be acted on."

In a speech on Friday, Obama unveiled new guidance for gathering intelligence as well as reforms intended to balance what he called the nation's vital security needs with concerns over privacy and civil liberties.

HRW expressed concern other governments, including those will a poor rights record, could follow the American example in surveillance, forcing "user data to stay within their own borders, setting up the potential for increased Internet censorship."

In addition, the group chided Washington for attempting to prosecute Snowden under the Espionage Act, noting that this had allowed Russia, which has offered Snowden temporary sanctuary, to "recast itself as a champion of privacy rights."

What Obama changed at the NSA

Russia

HRW highlighted "homophobic rhetoric, including by officials, and rising homophobic violence" in Russia, which last year passed a law that bans even discussion of homosexuality anywhere that children might hear it.

The legislation, which President Vladimir Putin signed in June, gives authorities the power to impose fines as well as detain and deport foreigners who are deemed to have breached the law.

Putin says gays 'can feel safe' at the games

"Vigilante groups, consisting of radical nationalists, and Neo-Nazis, lure men or boys to meetings, accuse them of being gay, humiliate and beat them, and post videos of the proceedings on social media," HRW said in the report. "A few investigations were launched, but have not yet resulted in effective prosecution."

Authorities in Russia, which will host the Winter Olympics in Sochi next month, have also continued the crackdown on civil society and government critics that began in 2012, it said.

Enforcement of the "foreign agents" law in 2013 led to an unprecedented, nationwide inspection campaign of hundreds of nongovernmental organizations and court cases, it said.

HRW dismissed Putin's decision late last year to free jailed activists from the punk band Pussy Riot and environmental group Greenpeace, as well as Kremlin critic Mikhail Khodorkovsky as attempts to avoid international criticism ahead of the Winter Olympics. "The effect was largely to highlight the arbitrariness" of Mr. Putin's government, the report said.

China

While it announced the abolition of "the abusive administrative detention system Re-education Through Labor, relaxation of the one-child policy, and plans to improve the delivery of justice, (China's new leadership) has yet to embark on fundamental reforms that adequately respond to the public's increased demands for justice and accountability," HRW said.

The group said it was particularly concerned about the arrests of activists who have campaigned for officials to publicly disclose their assets despite the government's declared crackdown on graft.

Other areas of concern include a government campaign to stifle online rumors, and repressive policies in the restive ethnic minority regions of Tibet and Xinjiang, it said.

HRW said international pressure on China over its human rights situation was "inconsistent" last year, saying that some countries, such as France and Britain, had toned down criticism in summits with the Chinese leadership.

"China is home to more than a billion people and is a major global power, so how the rest of the world addresses its human rights situation is more vital than ever," HRW Asia director Brad Adams said in a statement.

China has consistently defended its human rights record and lambasted foreign groups which criticize it.

@highlight

Human Rights Watch releases annual report looking at more than 90 countries

@highlight

International countries failing to protect Syrian civilians, report says

@highlight

President Obama's record on national security issues under fire

@highlight

Reports highlights alleged abuses in struggling democracies