(CNN) -- Jupiter is sporting a new scar after an unseen object hit the gaseous planet this week, NASA scientists say.

This NASA image shows a large impact near Jupiter's southern pole.

An amateur astronomer in Australia noticed the new mark -- seen through telescopes as a dark spot -- on the planet early Monday and tipped off scientists at NASA's Jet Propulsion Laboratory (JPL) in Pasadena, California, who then confirmed it was the result of a new impact, NASA said.

It's not clear what the object was that crashed into Jupiter's poisonous atmosphere.

Glenn Orton, a JPL scientist, told the magazine New Scientist that it could have been a block of ice from somewhere in Jupiter's neighborhood, or a wandering comet that was too faint for astronomers to have detected before impact.

The object created a mark on Jupiter that has the about same diameter as Earth, though the object itself was probably only 50 to 100 miles across, said Anthony Wesley, the amateur astronomer who first noticed the scar.

The mystery object was likely moving at speeds of about 50 to 100 kilometers (31 to 62 miles) per second when it struck near Jupiter's south pole, Wesley told CNN.

"That generates an unbelievable amount of energy when it collides with pretty much anything, but especially with something the size of Jupiter," he said.

It is only the second time scientists have been able to observe the results of such an impact on Jupiter. The first happened 15 years ago, when comet Shoemaker-Levy 9 broke into 21 pieces and hit the planet's atmosphere.

"Given the rarity of these events, it's extremely exciting to be involved in these observations," JPL astronomer Leigh Fletcher said in a NASA interview.

Thermal images taken by NASA show the scar as a bright spot, which means the crash warmed the lower atmosphere in that area, New Scientist said.

Researchers also found hints of higher-than-normal amounts of ammonia in the upper atmosphere. The Shoemaker-Levy comet also churned up extra ammonia, the magazine said.

Jupiter's new spot isn't likely to last long -- probably just one to two weeks, Wesley said. He pointed out the impact scars from the Shoemaker-Levy debris lasted only two to three weeks before disappearing.

Seeing an Earth-sized spot appear so tiny on Jupiter's surface led to some to wonder Tuesday whether our planet might be in danger of a similar collision.

But Wesley said that shouldn't be a concern because Jupiter functions almost like a celestial vacuum cleaner, sucking up any objects that would be of danger to Earth and its neighbors.

"Jupiter is doing a very good job in scooping up a lot of this material that's still floating around in the solar system," he said.

"It's just got so much gravity as it swings around the outer part of the solar system, it can really pull in and swallow up many of the cometary objects and debris left over from the formation of the solar system.

"So it's doing a good job in keeping us safe by cleaning out a lot of these bits and pieces."

Jupiter is the fifth planet from the sun and the largest in our solar system.

Its colorful atmosphere is 86 percent hydrogen and 14 percent helium, with tiny amounts of methane, ammonia, phosphine, water, acetylene, ethane, germanium, and carbon monoxide. The chemicals are responsible for producing the different colors of Jupiter's clouds.

The temperature at the top of those clouds is about 230 degrees below zero Fahrenheit (145 degrees below zero Celsius), but it is far hotter near the planet's center. The core temperature may be about 43,000 degrees Fahrenheit (24,000 degrees Celsius), hotter than the surface of the sun.

The most outstanding feature on Jupiter's surface is the Great Red Spot, a storm of gas that swirls at a speed of about 225 miles (360 kilometers) per hour at its edge. The spot -- which has been shrinking -- has a diameter equal to about three times that of Earth.

@highlight

Amateur astronomer spots new mark on solar system's largest planet

@highlight

NASA confirms discovery is result of object crashing into Jupiter's atmosphere

@highlight

Scientists say object could be a block of ice or a wandering comet

@highlight

Object has left scar the size of Earth in Jupiter's southern polar region