(CNN)For years, Native Americans have called on Washington Redskins owner Dan Snyder to change the team's name.

It's a dictionary-defined racial slur that's dehumanizing to Native Americans. And, in my view, that outweighs the arguments of Redskins advocates who defend the name as a symbol of team pride.

But what about the thousands of high schools across the United States that have the name as its mascot? Where do they fit in the debate? Once you factor in freedom of speech, how should one approach this issue?

Recently, in upstate New York, the Lancaster Central District School Board unanimously voted to retire its high school's mascot and moniker -- the "Redskins." The board called the mascot "a symbol of ethnic stereotyping" and said the school "cannot continue practices which are offensive and hurtful to others" -- namely Native Americans.

Some students opposed the board's decision citing school legacy and tradition. A group of Lancaster High students hosted a walk out in protest with many carrying placards reading, "Redskins Pride" and "Once a Redskin, Always a Redskin."

Coincidentally, around the same time in Delaware, the Conrad Schools of Science announced it will begin to take steps to drop its "Redskins" mascot before the beginning of the 2015-16 school year.

Local school districts are responding to the growing chorus of voices who oppose antiquated Native American mascots.

Furthermore, there's research that shows Indian mascots and monikers harm the mental health of Native American youths. According to one study, Native American students are reported to have low self-esteem and a suppressed sense of self-worth as a consequence of such images and language.

Other research shows how all ethnic groups are hurt by poor representations of Native Americans. People "are more likely to negatively stereotype other ethnic groups as well," according to Wendy Quinton, clinical assistant professor of psychology at the University at Buffalo.

What the Conrad Schools of Science and the Lancaster school board decisions represent for Native Americans are hope -- for us and our kids -- that broader awareness is changing perspectives and that hurtful stereotypical nicknames should not have to be tolerated by any ethnic group.

Still, there's the issue of free speech. Many have made the argument that Native Americans like me are trampling on the First Amendment when we call for the Washington football team to change its name.

Even the ACLU has chimed in on the matter. On March 6, the organization said in a blog it does not support the U.S. Patent and Trademark Office's decision to cancel federal trademark protection of the Washington football team's use of the word "redskins." In June of last year, the USPTO had repealed six of the team's seven trademarks, finding the r-word is "disparaging to Native Americans."

Although the ACLU agrees the team name is "offensive and perpetuates racism against Native Americans," it cannot support what it refers to as language policing. "... Because the First Amendment protects against government interference in private speech," staff attorney Esha Bhandari wrote. "It isn't government's role to pick and choose which viewpoints are acceptable and which are not."

Here's the thing, folks -- no one has a First Amendment right to federal trademark protection.

Tara Houska, a tribal rights attorney in Washington, said, "Freedom of speech is a fundamental right. In contrast, federal trademark protection is a privilege that one applies for at the U.S. Patent and Trademark Office."

I think the ACLU is confusing rights with privileges.

The U.S. government isn't telling the Washington football team it can't use the word. According to the USPTO, Snyder and his ilk can keep using the team name -- he just won't have federal trademark protection.

Last month, Democratic Rep. Mike Honda of California filed a bill that would ban existing and future teams that use the word from receiving federal trademark protection. He told me he's "disappointed" that the ACLU would defend the Washington team, which he refers to as "a multi-billion dollar company profiting off a racial slur."

"The First Amendment is not the issue here -- no one, including the football team, would be prohibited from using the name," he wrote in an email. "The team would only lose their exclusive rights to it."

And in the case of Lancaster High Schools, the government didn't step in -- the decision to retire the name was made by conscientious objectors in the community.

Let's look at the issue from another angle. What do we do as responsible adults when we learn a habit or tradition is adversely affecting our children? We do everything we can to fix the problem. What we do not do is make excuses so we can continue the terrible habit. As the late Maya Angelou so aptly put it, "Do the best you can until you know better. Then when you know better, do better."

America needs to do better as a whole with regard to Native Americans. This isn't just about Indian mascots. This isn't just about offensive racial slurs. This is about the dehumanization of Native Americans. And if history has shown us anything, it's that when one group dehumanizes another, bad things happen.

Honda's bill, the USPTO's repeal and the Lancaster school board's decision are not examples of anti-free speech madness. They are acting like responsible adults in defense of children who are at risk.

And as for me, I'll protect children first before I protect anyone's right to harm them.

@highlight

Recently, schools are deciding to retire the term 'redskins' for their mascots

@highlight

Simon Moya-Smith: It's a dictionary-defined racial slur that's dehumanizing to Native Americans