HOHENWALD, Tennessee (CNN) -- A pair of African elephants tramps through lush vegetation, stopping to scoop dust with their trunks and toss it onto their backs for protection from the summer sun.

Tarra, who was a year old when Buckley met her, was the inspiration for The Elephant Sanctuary.

Meanwhile, two others submerge their massive forms to splash and dip in the waters of a muddy pond.

It's a scene that could have been pulled from a nature documentary. But it takes place in an unlikely spot: a 2,700-acre sanctuary in rural Tennessee.

It's not where nature intended the animals to be, roaming free in the vast expanses of subtropical Africa and Asia.

But for most of them, it's a life far apart from the ones they once lived.

Tarra lived in the back of a truck at a tire store.

Shirley performed at a circus until she broke her leg on a chain. Then, she was moved to the freak show.

And Sissy was treated like a killer. She crushed a handler in her enclosure at a Texas zoo where video shows she'd been beaten into submission with ax handles.

"We consider all of these elephants to be rescue elephants, because they are taken out of that environment that is not healthy for them," said Carol Buckley, co-founder of the Elephant Sanctuary.

Founded in 1995 on 112 acres about 30 miles southwest of Nashville, the sanctuary is now the largest natural refuge of its kind in the United States. Twenty-four elephants, most of them sick, old or abused, have lived at the sanctuary; it is currently home to 15 African and Asian elephants.

It's a place where elephants can roam freely, largely feed and shelter themselves and interact with others, often after years living alone in captivity.

But Buckley and Scott Blais, the nonprofit sanctuary's co-founder, are very clear about what it's not. The sanctuary is not a zoo.

Visitors aren't allowed onto the property to view the elephants, and only a handful of media members are able to visit each year, in an effort to make the animals' lives as natural as possible.

"In order to accommodate the public, you would have to take away from the elephants," Buckley said. "People have their own emotions, that energy," Buckley said. "If you feel fear and they get close, they're going to get hit with your energy.

For Buckley, the journey to running the sanctuary -- which operates on private donations and corporate sponsorships -- started with Tarra.

Studying to be a circus trainer, she bought the elephant, then just a year old, and trained her to perform. But as the years passed and the relationship between animal and trainer strengthened, Buckley came to believe that captivity, particularly in a traveling circus, was no life for an elephant.

"I didn't realize that elephants in captivity were suffering and that to train and dominate an elephant was really breaking their spirit," she said. "When you come to love elephants, when you really come to understand them and love them, you want more for them.

"And when you learn how elephants live in the wild, it just makes sense that you would want to create a space that resembles that so elephants can just be elephants."

From years in the circus and in zoos, Buckley and Tarra made their way to a breeding program at a Canadian wildlife safari, where they met Blais. It was then that the idea for the Elephant Sanctuary was born.

"We started talking about elephants in captivity and what we could do and what we should be doing for them, what they truly deserved," Blais said.

At the preserve, the elephants feed themselves primarily by grazing -- the Asian elephants eat as much as 100 pounds of grass a day -- supplemented with grains and vitamins from the staff. They share space with deer, wild turkey, raccoons, skunks and other native Tennessee animals.

Life in a circus, and in most zoos, is abusive to elephants, highly intelligent and social animals who, in the wild, may roam dozens of miles in a single day, the pair said. Research has shown that elephants, like humans, can suffer post-traumatic stress disorder after living in harsh or abusive conditions.  Watch more on life at the Elephant Sanctuary. »

"Typically, when elephants are in captivity, they're under a lot of stress," Blais said. "Their entire life is abnormal; it's unnatural, and that can often lead to aggression.

"Some will resign themselves and just kind of end up in this blank space, and others will act out, just venting their frustrations, but it's because of what captivity offers or what captivity doesn't offer them."

The elephants generally arrive at the sanctuary in one of two ways: Either the government finds that an owner is abusing the animals and seizes them, or the owners approach the sanctuary on their own, wanting a better life for the animals.

In their 14-year history, Blais and Buckley say, they've been able to raise enough funds to keep expanding the sanctuary and its facilities. But tough economic times are taking a toll this year, and for the first time, they are nervous they'll bring in less money than they spend.

But the mission of providing a home for the elephants they love will continue, they say.

"We feel incredibly fortunate to be doing what we do," Buckley said. "It's hard work, it's long days, it's long weeks, but you're not going to hear us complain about it, because we're fortunate, and we know that.

"This is the most amazing work to do in a person's lifetime."

@highlight

The Elephant Sanctuary takes in old, injured, abused animals

@highlight

2,700-acre facility is largest of its kind in the United States

@highlight

Site closed to the public to make elephants' lives closer to in the wild

@highlight

Donations have always exceeded needs, but economy not keeping up this year