(CNN)  -- There was a time that Pamela Hobbs believed justice had been served for her young son's murder.

But 16 years after the mutilations and killings of three 8-year-old Cub Scouts, including her son, she has more doubts than ever.

Tear-stricken and angry, Pamela Hobbs sat through the original trial of the three accused teens -- Damien Echols, 18; Jessie Misskelley Jr., 17, and Jason Baldwin, 16.

They were convicted of murdering her son, Stevie Branch, and two other neighborhood boys, Michael Moore and Christopher Byers. The second-graders' bodies were found bruised and mutilated in a West Memphis, Arkansas, ditch; their arms and legs were bound by shoe laces.

The killers became dubbed the West Memphis 3.

When interviewed by media and documentary crews after the trial, Hobbs believed justice had been served. Misskelley and Baldwin had life sentences. Echols was on death row.

But recent developments -- including new eyewitness statements and DNA evidence from the defense -- have uprooted her faith in those prosecutions. Once a staunch believer that the teens were guilty, now she says the teens accused of killing her son in the West Memphis 3 deserve a new trial.

"I wanted to believe in our justice system," said Hobbs, now 45. She moved to Blytheville, Arkansas, shortly after the 1993 trial. "But time heals all wounds, and you start looking at things differently."

Her public change of heart has been supported by new evidence presented by the defense over the past few years. In 2007, DNA and forensic evidence tests revealed no physical evidence at the crime scene that linked the three teens to murders. The evidence was presented to the state.

Furthermore, DNA that might belong to two other men was found in the knot used to tie Christopher.

One of the men is Terry Hobbs, the stepfather of Stevie, the defense says. In 1993, such advanced DNA testing had not been available, attorneys said.

The defense continues to argue the results of the DNA evidence. In September, the Arkansas Supreme Court received an appeal from Echols, requesting a new trial after the lower courts denied his request to submit new DNA evidence. This month, an Arkansas Law Review article stated Echols should be granted a new trial based on the 2007 DNA evidence.

The Arkansas Supreme Court will likely hear oral arguments for a new trial for Echols in February, say officials representing him.

Three eye witnesses, who resided next to one of the victims, filed affidavits in October with the Arkansas Supreme Court. The witnesses said they saw the second-graders with Terry Hobbs the night before the bodies were found by police.

The statement from the witnesses contradicted Hobbs' statements to police and in court that he never saw his stepson, Stevie, on the day of the murder.

"They [authorities] never really did any investigation," said Dennis Riordan, Echols' defense attorney out of San Francisco, California. "They never interviewed Hobbs. The fact that the witnesses saw him, and they realized for the first time, it was very significant."

Pamela Hobbs was divorced from Terry Hobbs in 2004 because of marital problems stemming from the pain that followed her son's death, she said. She declined to comment on whether she thought her ex-husband saw the 8-year-old boys.

Hobbs has adamantly rejected the defense's allegations that he saw his stepson that day. Hobbs, 51, who still lives in West Memphis, said the defense is attempting to make him the target because Echols is on death row. There is no execution date set.

He raises the question many skeptics of the three men's innocence have echoed: Why would the eyewitness evidence surface 16 years later? Why didn't the witnesses come forward sooner?

To this day, Terry Hobbs says he believes the rightful killers are in prison.

The State's Attorneys Office and prosecutors won't comment about the defense's claims. Mike Walden, prosecuting attorney for Craighead County, where the original trial took place, said the affidavits are weak.

"I think most people will tell you these affidavits are insufficient to justify filing charges against someone else," Walden said about the three new eyewitnesses presented by the defense. "They don't contain enough evidence to enable a prosecuting attorney to make a charging position."

Critics of the defense attorneys say there has been too much finger-pointing over the past 16 years. The defense "can't get their story straight," said Tracy Ripple, who started a Web site criticizing supporters of the West Memphis 3.

West Memphis Police Department declined to comment. An officer said they were told by the state's Attorney General's office not to comment on the West Memphis 3 case.

During the original trial in 1993, prosecutors argued the three teens were part of a satanic cult when they murdered the three children. They said punctures and cut marks on the victims were argued to be to be part of a sadistic ritual. After the trial, some forensic examiners argued those marks were animal bite marks.

The prosecution relied on the confession of Misskelley, a 17-year-old with learning disabilities and an IQ of 70. He confessed after an untaped, three-hour interrogation by police without his parents or an attorney present. Misskelley later recanted his confession.

The teens, now men serving time in the Arkansas penitentiary system, have maintained their innocence. They have tried appealing, arguing that they weren't adequately represented in the original trial. Echols remains on death row, and no execution date has been set.

Pamela Hobbs hasn't been the only parent of the victims to shift to the side of the West Memphis 3 supporters.

Mark Byers, the father of Christopher, lives in Millington, Tennessee. He said he began to think the three men might be innocent, particularly after the 2007 DNA tests results were released. His wife, Melissa, passed away in 1996.

After the murders, Byers announced to the media fervently that he believed the West Memphis 3 were guilty. But by 2005, he began to question the original trial. He said parts of Misskelley's confession did not match up with actual crime. For example, the confession talks about committing the crime in the woods, but medical examiners found few traces of blood in the woods.

"The worst part about it is the three real victims that deserve justice, the three 8-year-old children have not been given justice," Byers said. "They got a hack job for a police investigation. It was a rush to find someone who they said did this."

Todd and Diana Moore, parents of Michael, say the West Memphis 3 are guilty. Todd Moore, now divorced from Diana Moore, says he can't believe the eyewitness affidavits because they are based on memories from 16 years ago. His ex-wife declined to comment.

"They [witnesses] may have seen something," said Moore, who now lives in Marion, Arkansas. "But May 5, 1993, wasn't the day."

The murders of the three boys remain etched into the community even years after the trial ended. The case inspired two HBO documentaries, "Paradise Lost: The Child Murders at Robin Hood Hills" and "Paradise Lost 2."

As years passed, the West Memphis 3 continued to live in the media spotlight. The case gained notoriety among celebrities such as the Dixie Chicks and actress Winona Ryder, who have publicly said the three men should have a new trial.

Over the years, the parents of the three boys have watched the headlines return. Some hope for a new trial for the three men, who have languished behind bars for their young adult years behind bars. And other parents pray the men will stay locked up for good.

"I want someone to put a stop to this," said Terry Hobbs. He fondly recalls the memories with his stepson -- the two of them swimming in the backyard pool.

"I'm tired of this stuff. No one understands or cares what this does to us as parents over and over again."

@highlight

New eyewitness statements emerge in West Memphis 3 case

@highlight

Case centers on 1993 mutilations and murders of three 8-year-old Cub Scouts

@highlight

"Time heals all wounds and you start looking at things differently," one mom says

@highlight

DNA tests in 2007 revealed no physical evidence linking the convicted killers to crime scene