Hong Kong (CNN) -- When architect James Law looks in the mirror each morning his reflection is not all that greets him -- he can also see the weather report, e-mail messages and his heart rate.

"The biggest game changer of the past 25 years has been the Internet," said Law, whose Cybertecture Mirror is an offshoot of his Hong Kong architectural firm's focus on integrating technology in design.

"In buildings, the Internet has become ubiquitous but it hasn't caught up in the products that inhabit buildings -- chairs, doors, tables and mirrors."

Law's company -- and a raft of new government-funded projects in mainland China -- is looking to change that. Law's $5,000 mirror began as product his firm designed for a high-tech residential building in Dubai. "The Internet of Things began to become more real for us as a project," Law said. "We started to take these things out of our building designs to make them independent products, and try to impregnate them with as much technology as we can."

If there's a race to lead the Internet of Things (IoT), China aims to set the pace. Since Chinese Premier Wen Jiabao identified IoT as an "emerging strategic industry" in an interview on state media, Beijing has focused on developing technology by which devices can communicate via infrared sensor, Radio Frequency Identification (RFID) and other Machine-to-Machine (M2M) technology.

Beijing plans to invest 5 billion yuan ($800 million) in the IoT industry by 2015. The Ministry of Information and Technology estimates China's IoT market will hit 500 billion yuan ($80.3 billion) by 2015, then double to 1 trillion yuan ($166 billion) by 2020.

The government has established state-owned enterprise zones such as the Chengdu Internet of Things Technology Institute in Sichuan province, which is developing a health care system in which rural villagers can step into a telephone booth-sized "health capsule" to get a diagnosis and prescription from a doctor in a distant hospital.

"With the capsules and clinics, people do low-cost checkups and choose an online doctor for further diagnosis, then print prescription and purchase medicine from the capsule," boasts the program's web site.

The larger goal of China's focus in IoT, analysts say, is to win a fight Beijing has long been losing -- setting international standards for new technology.

After leading losing fights to use Chinese standards in 3G technology and wireless mobile standards, China is trying to get out front early on IoT. "In technology China has come from a position of follower, adopting foreign standards on which it has to pay royalties," said Mark Natkin, director of Marbridge, a technology consulting firm in Beijing.

"China is very interested in turning that model around, and create the standards by which other countries are paying it royalties," he said. "It's a new area, and as such, a place where China can be at the starting line or ahead of the starting line."

Law sees three other factors at play in China's IoT thrust. "China is in a position to invest more than other economies in the world at this period of time," Law said. "And China still has a internalized, walled Internet because it's trying to monitor, control and censor -- so it's in its own interest to develop these kind of products.

"But I think the third thing is China has matured to a point where it is no longer a low cost center of labor ... in cutting edge businesses, it wants to really develop its own brand and its own next generation of technology, to walk into the fight with your own swords by investing in the next Google, the next Apple," Law said.

"From a state perspective, there is everything to gain in nurturing their own brands ... the country wants to define the market rather than play catch-up," Law added.

Law's company has sold 500 of the Cybertecture Mirrors and is now developing a chair that recognizes the user and records individual health data. "I really feel that the next paradigm for product design will be changed by the Internet and the new range of materials we now have," he said. "We shouldn't be building things in the same way as the past."

@highlight

The Internet of Things market in China is expected to hit $80.3 billion in 2015

@highlight

Beijing has earmarked $800 million for IoT investment by 2015

@highlight

China has created state-funded zones like Chengdu Internet of Things Technology Institute

@highlight

Beijing aims to become a global leader in setting IoT global standards