(CNN) -- Your husband, an avid gamer and techie, dies of a heart attack, leaving his vast online life ­-- one you don't know much about ­-- in limbo.

Eternal Space lets loved ones create customized online gravesites and memorial pages.

His accounts, to which you don't know the passwords, go idle. His e-mails go unanswered, his online multiplayer games go on without him and bidders on his eBay items don't know why they can't get an answer from the seller.

Web site domains that he has purchased, some of which are now worth hundreds of thousands of dollars,­ will expire, and you may never know.

It's a scenario that's becoming more likely as we spend more of our lives online. And it's raising more questions about what happens to our online lives after we log off for the final time.

The answer, until recently, was nothing.

But now, as online usage increases and social-media sites soar in popularity, more companies are popping up to try and fill that void created in your digital life after death.

Jeremy Toeman, founder of the site Legacy Locker, recognized that when he was on a plane and wondered what would happen to his online life if it crashed. While his will leaves everything to his wife, including all of his digital assets, Toeman realized how difficult it would be for her to access his accounts.

"My GoDaddy account would belong to her, but it doesn't solve the practical reality of how she would get access to it," he said. He experienced a similar scenario after his grandmother died, and he tried to get the password for her e-mail account -- only to give up because of the hassle.

So Toeman built his company to change all that. Legacy Locker allows users to set up a kind of online will, with beneficiaries that would receive the customer's account information and passwords after they die.

"We know it's a hard thing to think about -- to get people to face mortality. We know it's kind of morbid, but for those who live their entire lives online, it's also very real."

A Legacy Locker account costs $29.99 a year. Users can set up their accounts at www.legacylocker.com to specify who gets access to their posthumous online information, along with "legacy letters," or messages, that can be sent to loved ones.

If someone contacts Legacy Locker to report a client's death, the service will send the customer four e-mails in 48 hours. If there's no response, Legacy Locker will then contact the people the client listed as verifiers in the event of his or her death. Even then, the service would not release digital assets without examining a copy of the customer's death certificate, Toeman said.

Eddie Lopez is the kind of tech-savvy guy for which a service such as Legacy Locker was made. The St. Paul, Minnesota, man has three online banking accounts, a PayPal account, domain names, Web-hosting accounts, multiple e-mail addresses and many social-networking accounts.

"I do think this is something people should be really considering these days," Lopez told CNN when asked about services such as Legacy Locker. He wants to hire a service to handle his digital assets but is concerned about privacy.

"Although I'm glad there's people breaking ground in this area, I don't think I would jump at the first opportunity to sign up," Lopez said. "My concerns are turning over such an exhaustive list of user names and passwords to a single business. That's one-stop shopping for any hacker to get access to just about every detail of my life."

Lopez would prefer to entrust half of his digital-security information to a service such as Legacy Locker and the other half to family members, so that each side's information would be useless without the other's.

"I hope Legacy Locker and similar services can address these privacy-security concerns with some real-world solutions," he said. "I just don't feel comfortable turning over my digital life -- built over 15 years -- to a kind promise."

Legacy Locker isn't the only new company helping techies plan for death in the digital age.

AssetLock (formerly YouDeparted.com) offers a "secure safe deposit box" for digital copies of documents, wishes, letters and e-mails. Deathswitch and Slightly Morbid also offer similar services in a variety of prices and packages, depending on how many accounts are involved.

Not all of these services deal with online assets. There's also a growing trend towards giving all aspects of death --­ the grieving process, the funeral, the memorial and even the grave site --­ a digital makeover.

FindaGrave.com claims to have cemetery records for 32 million people in its searchable database, while EternalSpace.com offers a new spin on the traditional grave site by offering virtual memorial pages ­full of videos, pictures and tributes.

On Eternal Space, loved ones can choose from different headstones and bucolic landscape backgrounds -- the mountain lake is a popular option -- to create a customized online grave site. Loved ones can add "tribute gifts" such as roses, candles, stuffed animals and other items, while mourners can access photos and videos in a "Memory Book" and leave remembrances of their own.

Jay Goss, president of Eternal Space president, is trying to bring the funeral experience to anyone who can access the Web. In that way, he hopes to provide a gathering place, and a voice, for mourners who may not be able to attend the real-life memorial service.

"It'd be the equivalent of a funeral where everyone can attend and everyone can spend 30 minutes behind the podium," Goss said. "It gives everyone a chance to put a 360-degree wrapper on the life the person lived and celebrate that life from how every person knew them."

Eternal Space's virtual memorial sites are currently only being offered through select funeral homes, cemeteries and crematoriums. Goss' hope is that the site will help allow the deceased's memory to be "eternally" passed on.

"All of these stories and videos are being left, in essence, to this Eternal Space Web site so that everyone can share, not just that day, not the days after, but the weeks after and years after," he said.

Some funeral-industry professionals believe these online memorials and virtual grave sites provide a valuable service.

"Assuming the site is handled with respect, virtual memorials respond to a basic human need to remember our deceased family, friends and colleagues," said Robert M. Fells, general counsel for the International Cemetery, Cremation and Funeral Association.

"Based on our members' feedback, I'd have to say that virtual memorial sites are gaining popularity with the public as a very practical alternative to being present at the grave site," he added. "There's nothing 'weird' about them as far as we have seen."

"There are funeral homes out there that will help families create virtual memorials, but ... we've also seen Facebook and MySpace profiles of deceased persons being turned into memorials," agreed Jessica Koth, spokesperson for the National Funeral Directors Association. "Consumers have become increasingly comfortable with expressing their grief online."

"While not a replacement for a funeral, online memorialization can help people work through their grief after the funeral," she added. "We've all become accustomed to communicating and expressing ourselves electronically -- via e-mail, Facebook, Twitter. Expressing one's grief online is an outgrowth of what's happening in other areas of our lives."

CNN.com's Brandon Griggs contributed to this story.

@highlight

New services are helping people organize their digital assets after their death

@highlight

Customers can designate loved ones to access their posthumous online accounts

@highlight

Legacy Locker allows users to set up a kind of online will, with beneficiaries

@highlight

Eternal Space lets loved ones create customized online grave sites