Washington (CNN) -- President Obama took a key step in cementing his judicial legacy Monday, nominating Solicitor General Elena Kagan to replace retiring Justice John Paul Stevens on the Supreme Court.

If confirmed, the 50-year-old Kagan will become the 112th Supreme Court justice. She would be the third woman on the nine-member bench and the fourth in the history of the court.

At its discretion, the court decides cases on the Constitution or federal law that may begin in federal or state courts.

Her confirmation also would mean that the Supreme Court would have no Protestant justices for the first time in its history. Kagan, who is Jewish, would join six Catholic and two Jewish justices; Stevens is Protestant.

Kagan, a native New Yorker, was widely reported to be the front-runner for the nomination. She was a finalist for the high court vacancy last year, when Justice Sonia Sotomayor was selected to replace the retiring David Souter.

Kagan received her law degree from Harvard University, where she later served as dean of the law school. She served in the Clinton administration as associate White House counsel.

Fast Facts: Elena Kagan

Kagan is a "trailblazing leader" who is "open to a broad array of viewpoints" and is a proven "consensus builder," Obama said at the White House.

"While we can't presume to replace Justice Stevens' wisdom or experience, I have selected a nominee who I believe embodies that same excellence, independence, integrity and passion for the law, and who can ultimately provide that same kind of leadership on the court."

Kagan, in turn, said she was "honored" and "humbled" by what she called "the honor of a lifetime."

"The court is an extraordinary institution in the work it does and the work it can do for the American people," she said. It enables "all Americans, regardless of their background or their beliefs, to get a fair hearing and an equal chance at justice."

Obama did not have to look far when considering Kagan. As solicitor general, she is the administration's top lawyer before the Supreme Court and has argued several high-profile cases before the justices since taking the job in spring 2009. She also helps prepare legal briefs for cases the Justice Department argues before the Supreme Court.

That work won't stop immediately with her nomination to the high court.

"She will continue to work on matters with which she has been dealing, but will not participate in any new matters," said a senior government official familiar with Kagan's plans.

Kagan is expected to abstain from participation in cases on which she has worked that may come before the high court next term, the official said.

She was confirmed for her current job by a 61-31 vote. While most Republicans ultimately voted against her at the time, Sen. Orrin Hatch, a top Republican on the Judiciary Committee, called her "a brilliant woman."

Jeffrey Toobin on his former law school classmate

Senate Judiciary Committee Chairman Patrick Leahy, D-Vermont, said Monday that Kagan is a "superb nominee" who is "the best this country can offer."

"She will be confirmed," he predicted.

He dismissed likely GOP criticism of the choice, saying Obama "could nominate Moses the lawgiver" and still face Republican opposition.

Hatch, in turn, promised in a statement Monday to examine Kagan's "entire record to understand her judicial philosophy."

"My conclusion will be based on evidence, not blind faith," he said.

Senate Minority Leader Mitch McConnell, R-Kentucky, reacted to the nomination by citing a traditional GOP concern with "activist" judges appointed by Democratic presidents.

Another top Republican, however, indicated that the Senate GOP would probably not try to block a vote on Kagan's nomination.

"The only reason she would be filibustered is if members come to believe she could not put aside her own personal views on cases in which she wanted to see a particular outcome rather than decide the case on the basis of the facts and the law," Arizona Sen. Jon Kyl said.

Alabama Sen. Jeff Sessions, the senior Republican on the Judiciary Committee, said Monday that Kagan's confirmation hearings could wrap up by early August, but noted the timing depends on the White House's willingness to work with the GOP.

Republicans may try to use Kagan's own words against her in pushing for greater specificity on her views during her confirmation hearings. In 1995, she dismissed the hearing process as a "vapid and hollow charade."

Kagan's position on gays in the military is virtually certain to generate controversy during her confirmation hearings. She has been strongly criticized by conservatives for her efforts to block military recruiters from Harvard because of the military's "don't ask, don't tell" policy. The policy, enacted during the Clinton administration but opposed by Obama, prohibits homosexuals from serving openly in the armed forces.

While serving as dean at Harvard Law, Kagan said she "abhorred" the military's "discriminatory recruitment policy." She called it "a profound wrong -- a moral injustice of the first order."

Also in the spotlight will be Kagan's views on the politically hot-button issue of campaign finance reform. She was the government's lead attorney in arguing against a 5-4 Supreme Court decision in January that eased long-standing restrictions on campaign spending by corporations and unions in federal elections.

A number of conservatives praised the ruling as a victory for First Amendment free speech rights; most Democrats blasted it, arguing that it will tilt the political landscape favor of Republicans and traditional GOP allies in the business community.

Some liberal organizations have expressed concern over Kagan's views on executive power. As chief defender of the administration's anti-terrorism strategy, Kagan has articulated a more robust defense of the White House than many civil rights and human rights groups would like.

Vincent Warren, head of the left-leaning Center for Constitutional Rights, said Kagan's record "indicates a troubling support for expanding presidential powers, something we must be vigilant about at this time."

"President Obama would appear to be seeking to appoint a Supreme Court Judge who will endorse his policies and appease conservatives," he argued. "This is not the way to make a decision that will affect our nation for decades to come."

Observers on both sides of the political aisle have noted that Kagan has a relatively short paper trail compared to other recent Supreme Court nominees.

Kagan grew up in a Jewish household on the Upper West Side of Manhattan. She went to Princeton University and Harvard Law School. She served as a law clerk for federal judge Abner Mikva and then for Justice Thurgood Marshall on the high court. Marshall affectionately called the diminutive Kagan "Shorty."

Kagan later went into teaching, starting at the University of Chicago, where one of the part-time faculty was Obama.

President Clinton later named Kagan associate White House counsel and then appointed her to the influential Domestic Policy Council, where she earned a reputation for articulate and well-reasoned statements on tricky political issues.

Clinton picked her in 1999 for the powerful U.S. Court of Appeals for the D.C. Circuit. But no Senate confirmation hearings were held, and the nomination lapsed. The seat was later filled by John Roberts, who quickly used the appointment as a springboard to chief justice.

Named Harvard's dean in 2003, Kagan earned a reputation for soothing longstanding tensions over a perceived liberal tilt to the faculty and curriculum.

She began pushing for the appointment of conservative professors, including Jack Goldsmith, who had been a lawyer in President George W. Bush's Justice Department. Such hires eased ideological unrest on the Harvard campus.

CNN's Bill Mears, Alan Silverleib, Dana Bash, Ted Barrett and Terry Frieden contributed to this report.

@highlight

NEW: Kagan hearings could wrap up by early August, GOP senator says

@highlight

Republicans promise close look at Kagan's record; one says filibuster unlikely

@highlight

Kagan has argued several high-profile cases before the Supreme Court

@highlight

Conservative critics say she is too inexperienced to serve on the high court