(CNN) -- Mohamed ElBaradei, who is said to be a candidate for Egypt's interim prime minister following a military coup, has been regarded as an outsider in his native land because of his international achievements as a diplomat and co-winner of the Nobel Peace Prize.

An above-the-fray image hurt him when he unsuccessfully ran for president last year in the country's first democratic elections following the 2011 ouster of despotic President Hosni Mubarak. At the time, ElBaradei was a Johnny-come-lately to the long grind of ground-level politics.

As if to prove naysayers wrong, ElBaradei stayed in the fight for Egypt's post-revolution government, and he endured as a reformer, becoming an opposition leader.

Mohamed ElBaradei: Fast Facts

Now ElBaradei could possibly land deep inside Egypt's power structure, in the nation's capital where he was born 71 years ago. His political party's claim Saturday -- that ElBaradei was chosen to become interim prime minister -- was contradicted later in the day by a spokesman for Interim President Adly Mansour, who said a decision had yet to be made.

"I hope I'll be the Ã©minence grise," ElBaradei told CNN this week, with a measure of laughter. "I'm getting on with the years ... and I think I'll be much more effective.

"As a lawyer I want always to be within the bounds of constitutional legality but ... we still are between a rock and hard place," he continued. "Either you risk a civil war -- and we have quite a few of them around us -- or, as I said, take extra-constitutional measures to ensure that we get the country together."

Like his father, ElBaradei studied law, earning a bachelor's degree at University of Cairo. He then left the country, traveling as a diplomat.

By 1974, he earned a doctorate in international law from New York University, and a decade later, he joined the International Atomic Energy Agency -- which proved to be a brilliant career move because it eventually led him and the agency to share the Nobel Peace Prize in 2005. ElBaradei served as chief of the atomic agency for 12 years.

He and the agency won the honor for their work to curb nuclear proliferation.

As director general of the IAEA, he even challenged President George W. Bush's claims that Iraq had a nuclear weapons program before Bush ordered a coalition-supported invasion of Iraq in early 2003.

With those international laurels, ElBaradei was among those who successfully pushed for the ouster of Mubarak after 30 years as president.

Still, ElBaradei was considered an above-it-all technocrat who was viewed as an unlikely presidential candidate, though he did join anti-Mubarak protests in Egypt despite receiving death threats. He had no official protection during his participation in those protests.

ElBaradei was reportedly placed under house arrest by Egyptian authorities, but he defied a government curfew and went to Cairo's Tahrir Square to join protests in January 2011.

The next month, Mubarak stepped down.

In March 2011, ElBaradei announced he was running for president, and 10 days later, thugs attacked his car, keeping him from voting in a constitutional referendum.

The next month, he returned to his first love -- diplomacy and atomic weapons -- and published a book, "The Age of Deception: Nuclear Diplomacy in Treacherous Times."

The publisher's blurb states that "ElBaradei takes us inside the nuclear fray, from behind-the-scenes exchanges in Washington and Baghdad to the streets of Pyongyang and the trail of Pakistani nuclear smugglers. He decries an us-versus-them approach and insists on the necessity of relentless diplomacy."

If that was a campaign strategy, it didn't work: In January 2012, he quit the presidential race.

In an example of how politics can make for strange bedfellows, ElBaradei then criticized the interim military government -- the same military that has now put him in power -- for failing to bring about "a real democratic system."

It's clear now, however, that ElBaradei has the attention of Egypt's generals.

@highlight

Mohamed ElBaradei was born in Cairo 71 years ago, but has been viewed as an outsider

@highlight

He traveled as a diplomat and chief of International Atomic Energy Agency

@highlight

He unsuccessfully ran last year for president in first elections since revolution

@highlight

He endured, however, as an opposition leader