(CNN) -- The war itself lasted for less than three months. But 30 years on, wounds from the Falklands war are fresh, and Britain and Argentina are still at odds over the chilly, windswept island chain in the South Atlantic.

Monday marks the 30th anniversary of the start of the war over the Falklands, which Argentina calls Las Malvinas.

Britain won the 74-day war that began with an Argentine invasion attempt, but Argentina still presses claims to the islands, which are home to more than 3,000 people.

"Thirty years ago today, the people of the Falkland Islands suffered an act of aggression that sought to rob them of their freedom and their way of life. ... Today is a day for commemoration and reflection; a day to remember all those who lost their lives in the conflict," British Prime Minister David Cameron said to mark the day.

"We are rightly proud of the role Britain played in righting a profound wrong," he added.

Argentina put its death toll from the conflict at around 645. Britain's civil and military losses amounted to 255.

The war's anniversary provided an opening for leaders of the two nations to begin a new round of verbal sparring, which has erupted over the islands in the past several months -- with Prince William's six-week deployment to the islands in February and March as a high-profile backdrop.

"It is an injustice that in the 21st century there are still colonial enclaves like we have here, a few kilometers away," Argentinian President Cristina Fernandez de Kirchner said in a speech in southern Argentina on Monday.

She described claims that the Argentinian people were behind the 1982 war "absurd" and "ridiculous," and called on British officials to begin negotiations over the islands, which have been under British rule since 1833.

"We want them to respect the law and the constitution of our country. This is not a story that started 30 years ago. It is going to be 180 years of usurpation," she added.

British officials have dismissed calls for negotiations, arguing that the islands' residents have a right to decide their fate.

"It takes two to tango, and unfortunately, one of the two sides has been systematically refusing to start diplomatic negotiations," Argentinian Ambassador to the United States Jorge Arguello told CNN en EspaÃ±ol on Monday.

Located in the South Atlantic Ocean, about 480 kilometers (298 miles) east of the tip of South America, the Falklands have long been coveted as a strategic shipping stopover and potential wellspring of natural resources.

In February, Argentina complained to the United Nations about what it called Britain's militarization of the region.

It had already banned Falklands ships from its ports, an action joined by other South American and Caribbean nations.

The recent deployment of Prince William to the Falklands in his role as a Royal Air Force search-and-rescue pilot, as well as Britain's decision to send a new warship to the area, further fueled tensions.

On Thursday, Argentina sent a letter to stock markets in London and New York telling them that companies exploring for oil near the islands risk criminal charges or civil liabilities.

British Foreign Office Minister Jeremy Browne criticized Argentina Monday for being "confrontational" over the islands.

"I think it's a mistake for Argentina to be protectionist. I think it's a mistake for Argentina to start trade wars. I think it's a mistake for Argentina to have any sort of suggestion at all that they are considering coercing the people of the Falkland Islands into a political arrangement against their will," he told CNN. "I think Argentina (is) making a number of political miscalculations, but obviously that's the choice that they're making. It's not a choice that we're making."

On Monday, the British military said the HMS Dauntless, a destroyer, will set sail Wednesday on a "routine deployment" to the South Atlantic, where it will relieve another ship in the region after months of preparation.

"We are now ready to provide a reassuring presence in the region and protect British interests," Capt. Will Warrender said in a statement.

The Falklands, which raise their own taxes but rely on the United Kingdom for defense and foreign policy, are one of 14 British overseas territories and have been under British rule since 1833.

Cameron has repeatedly said that it is up to the residents of the Falklands to determine their allegiance, and so far that support has been staunchly British.

"We support the Falklands' right to self-determination, and what the Argentinians have been saying recently I would argue is actually far more like colonialism, because these people want to remain British, and the Argentinians want them to do something else," he told lawmakers this year.

CNN's Glenda Umana, Marilia Brocchetto, Zain Verjee and Rafael Romo contributed to this report.

@highlight

NEW: The British foreign office minister criticizes Argentina's "miscalculations"

@highlight

Argentina's president calls the Falklands a "colonial enclave"

@highlight

Monday marks the 30th anniversary of the start of the 74-day Falklands war

@highlight

Britain won the war over the Falkland Islands; Argentina still claims what it calls Las Malvinas