London (CNN) -- It is 100 years since British explorer Captain Robert Falcon Scott set off on his ill-fated journey to be the first man to reach the South Pole.

Now, for the first time, writings, photographs and items from the arduous Terra Nova expedition, which lasted from 1910 to 1913, have been brought together for public display.

"It's a story of immense heroism," said curator Kay Smith at the Scott Polar Research Institute in Cambridge, where the exhibition is taking place.

Entitled "These Rough Notes: Captain Scott's Last Expedition," the exhibition includes fragile journals and letters written by the men who set out to traverse the Antarctic wastes, and features the last journal Captain Scott ever wrote, as well as his final letter to his wife.

It also includes pictures taken by photographer Herbert Ponting, showing scenes of ice caves, frolicking penguins and the men relaxing at their camp, Cape Evans, in preparation for the assault ahead.

"He was one of the finest photographers of the 20th century," said Smith of Ponting.

"Scott realized that expeditions like this, just like today, run at a loss, so he realized that once he got to the South Pole and back, he would have to give lecture tours, and would need photographic records," she continued.

Also included in the exhibition are items from the company's midwinter's day festivities in June 1911, which they celebrated in lieu of Christmas with a big meal and a "tree" they decorated with little flags.

On display are the paper hats they made for themselves as well as a menu one of the men fashioned in the shape of an Adelie penguin.

But it is the journals, letters and notebooks that tell the story best.

"It's a once-in-a-hundred-year opportunity to read this material and actually see the handwriting," said archivist at the institute, Naomi Boneham.

"A lot of it has been quoted, but actually seeing the handwriting and seeing how shaky their hands were from when the weather was so extreme, is slightly different from seeing a typed page," she continued.

A hand-produced newspaper by the so-called "Northern Party," who were trapped for months in an ice-cave during a perilous geological expedition in 1911, are blackened with soot from the blubber-burning stove the men used in order to stay warm.

The final, tortuous journey to the South Pole is also brought to life through the writings and photographs on display.

"When they set off on November 1st with the ponies, the dogs and the motor sledges, it's all very upbeat, they're not setting out to die, they're setting out to reach the South Pole, hopefully to be the first but if not the first, then one of the first people to be there," said Boneham.

But the farewell letters from the last three men standing -- Scott, Dr. Edward Adrian Wilson and Henry Robertson (Birdie) Bowers-- are written in the knowledge that they were dying and are, said Boneham, "very personal."

Heart-rending photographs of the team finding rival Norwegian explorer Roald Amundsen's tent already at the South Pole complement the written details of their arduous journey there -- and cast a shadow on their harrowing and ill-fated journey back.

It is through their writing that we now know the story of Captain Lawrence Oates, one of the five men to reach the Pole, who suffered horribly from injury and frostbite on the way back and walked out into a blizzard in order to save his companions.

"It's an incredibly poignant story to walk out into a blizzard to try to save your companions and then to have them die too," said Smith.

"For them to know they were dying and to sit there writing letters, it can't fail to make you emotionally involved," she continued.

Scott, Wilson and Bowers died of starvation and exposure in their tent in late March 1912. Months later, a search party found them, along with their last letters and journals.

Smith believes people remain fascinated by this tale of endurance because it involves extremes: Of temperature, of effort and of emotion.

But, she said, "The story is actually much better than fiction. It's a tremendously heroic story, and it's real."

Cape Evans still stands today, preserved almost exactly as Scott and his men left it a century ago.

You can visit it, but, Smith said, much like then, "It does rather depends on your wallet."

@highlight

Landmark exhibition celebrates centenary of Captain Scott's expedition to the South Pole

@highlight

Show brings together writings, photographs and personal items from ill-fated trip

@highlight

Curator describes expedition as "incredibly poignant story" of "extremes"

@highlight

Scott's camp still stands in the Antarctic, preserved as he left it a century ago