(CNN) -- A beautiful 29-year-old woman with a rare brain tumor, Brittany Maynard and her tragic death have sparked the on-again, off-again debate about whether assisted suicide should be legalized in this country.

The media frenzy over the Maynard story has made it almost impossible for a legitimate opposing view to be heard, and many people believe that any opposition has to come from religious extremists or right-wing busybodies.

I am neither. As a disability rights advocate for over 40 years as well as a person living with a disability, I am deeply troubled about the Maynard media swarm.

Assisted suicide legalization isn't about Brittany Maynard. It's about the thousands of vulnerable ill, elderly and disabled people who will be harmed if assisted suicide is legalized.

A recent report from the Institute of Medicine calls the country's system of caring for terminally ill people "largely broken," "poorly designed to meet the needs of patients" and refers to Medicare and Medicaid, health care systems designed to meet the needs of the poorest among us, "in need of major reorientation and restructuring."

More from Opinion: Why assisted suicide laws are dangerous

The idea of mixing a cost-cutting "treatment" such as assisted suicide into a broken, cost-conscious health care system that's poorly designed to meet dying patient's needs is dangerous to the thousands of people whose health care costs the most -- mainly people living with a disability, the elderly and chronically ill.

Assisted suicide drugs cost less than $300. Compare that with the cost of treating a terminal illness.

This is one of the many reasons every major disability rights organization in the country that has taken a position on assisted suicide is opposed to legalization, along with the American Medical Association, palliative care specialists and hospice workers who know better than anyone that advancements in palliative care have eliminated pain as an issue for patients who receive appropriate care.

Anyone dying in discomfort may legally today, in all 50 states, receive palliative sedation, wherein the patient is sedated and discomfort is relieved while the dying process takes place peacefully. This legal solution does not raise the very serious difficulties that legalizing assisted suicide poses.

More from Opinion: When assisted suicide is not the answer

Assisted suicide ultimately affects everyone's health care. In Oregon, where assisted suicide is legal and where Maynard moved to be prescribed the lethal dose, patients have been harmed.

In 2008, cancer patient Barbara Wagner was prescribed a chemotherapy treatment by her doctor, but Oregon's state-run health plan sent a letter which denied coverage of this chemo, yet offered to cover other "treatments," including assisted suicide.

The same scenario happened to another Oregon resident, Randy Stroup. The Oregon assisted suicide reports tell us that over 95% of those who supposedly received lethal prescriptions in Oregon had insurance, but how many got a denial like the one sent to Wagner and Stroup?

When assisted suicide is encouraged, it becomes a covered "treatment" and ultimately removes choices from patients.

Assisted suicide's supposed "safeguards" are hollow. Nothing in the Oregon, Washington and Vermont laws prevents an heir or caregiver from suggesting assisted suicide as an option, taking the person to the doctor to sign up and witnessing the consent form. Once the prescription is obtained, with no further witness required, nothing in the law ensures the person's consent or self-administration at the time of death.

More from Opinion: Maynard was courageous and right

With the rising tide of elder abuse in this country, we can't ignore the dangers of granting blanket legal immunity to all the participants in an assisted suicide.

When voters are given all the facts surrounding assisted suicide, they reject bills to legalize it. This was the case in Massachusetts when Question 2, which would have legalized assisted suicide in the Bay State, was on the ballot in 2012 but was defeated.

In 2014, bills again in Massachusetts, Connecticut and New Hampshire failed because of lack of support in the legislature.

Brittany Maynard's story is incredibly heart-wrenching. When you look at assisted suicide based on one individual, it often looks acceptable. But when you examine how legalization affects the vast majority of us -- especially those most vulnerable -- the dangers to the many far outweigh any alleged benefits to a few.

@highlight

Diane Coleman: I am deeply troubled about the Brittany Maynard media swarm

@highlight

Coleman: Legalizing assisted suicide would harm the chronically ill, elderly or disabled

@highlight

She says mixing a cost-cutting "treatment" into our broken health care system is a bad idea

@highlight

Coleman: If assisted suicide is encouraged, it may well take choices away from patients