NIAGARA FALLS, New York (CNN)  -- Thirty years ago this summer, America learned the name Love Canal. The working-class Niagara Falls neighborhood built atop tons of chemical waste became a synonym for environmental disaster.

Lois Gibbs, who runs an environmental justice group, shows a photo of children from Love Canal protesting.

Troubles at the local elementary school -- and health problems among its students, such as seizure disorders -- were among the first signs of a much larger problem that made news around the world and prompted federal Superfund legislation to clean up the most polluted sites in the United States.

Despite the outcry over Love Canal, little has been done to make schoolchildren safer from hazardous or toxic waste, says Lois Gibbs, who headed the Love Canal Homeowners Association and now runs the Center for Health, Environment & Justice.

"We should be farther along today than we are," said Gibbs, who started the nonprofit a year after her evacuation from Love Canal. The organization is dedicated to helping communities facing environmental threats.

A 2005 study by the Center for Health, Environment & Justice looking at just four states -- Massachusetts, New York, New Jersey and Michigan -- found half a million children attending schools within half a mile of known toxic dumps.

Gibbs points to New Bedford High School in Massachusetts as an example of children at risk.

New Bedford High opened in 1972 on top of a former burn dump for PCBs, an industrial chemical linked to cancer and brain damage. PCB levels in the body build over time, raising health risks.

"Like a lot of teachers there now, I figured, how bad could it be? I was diagnosed with breast cancer in 2005," said former New Bedford teacher Susan Dias, who is now cancer-free. She is returning to the classroom this fall but will not go back to New Bedford High.

Former teacher Maria Quann also says New Bedford High made her ill.

"I became very, very sick. My immune system shut down. I collapsed and was bedridden for several months," Quann said. Her health improved after she left the high school, she says, and she has now retired.

Maureen Woolley, who worked in the cafeteria, says she compiled a list of 25 school employees who died of cancer.

Three classrooms were closed last year because of high PCB levels, but the school has been scrubbed and a new ventilation system added. The rooms are expected to be open this fall.

There have been no reports of students at the high school becoming sick as a result of the toxic waste.

"I wouldn't have kids in the school if I didn't think it was safe. I would close the school," said Mayor Scott Lang, whose two sons attended New Bedford High.

PCB levels inside the school now fall within federal guidelines, he says.

Despite results of ongoing air-quality testing, teacher David Greene remains skeptical.

"I do think there are areas of that school that continue to be dangerous," he said.

Only seven states have laws preventing cities and towns from building schools on or near toxic waste, according to the Center for Health Environment and Justice. They are Massachusetts, Rhode Island, California, Florida, Kentucky, Mississippi and Utah.

"You can go most anyplace and build [a school] on top of a Superfund site," Gibbs said. "They can build a school anywhere they want, really. And that's the sad truth. I think at schools, very little has changed, and that's unfortunate."

Even in states with laws, many are weak or poorly enforced, she says. In Massachusetts, state law prevents schools only from being built close to active waste dumps, which would not have prevented New Bedford High's construction three decades ago on a former dump site.

In Niagara Falls, Gibbs' home was built three blocks from 20,000 tons of industrial waste placed in barrels and buried in a mile-long ditch by a plastics and chemical maker. The 99th Street Elementary was built on top of the dump. Gibbs, married with two young children at the time, recalls elementary school students playing with ooze bubbling up on the playground.

"The children would actually pick up these chemicals and handle them," Gibbs said. "So, for example, one of these things was phosphorous rocks. Phosphorous rocks were little pieces of chemical residue that would bubble up to the surface. The children would pick up these phosphorous rocks, and when you threw them at a hard surface, they would explode like a firecracker."

Some children were badly burned by the phosphorous, she adds. Gibbs says neighborhood children also played with the chemical Lindane, a pollutant associated with skin irritation, nausea, convulsions -- even death.

"I have a high school education. I don't have a science degree, but you don't have to be a scientist to know that 20,000 tons of chemicals and kindergartners don't mix," Gibbs said.

@highlight

Few states have laws preventing towns from building schools on or near toxic waste

@highlight

Even in states with laws, many are weak or poorly enforced, group says

@highlight

Love Canal is a Niagara Falls neighborhood built atop tons of chemical waste