CNN -- Ben Steele hated the young man as soon as he saw him.

Ben Steele at a Japanese coal mine prison camp in 1944.

The man's almond-shaped eyes, dark hair and olive skin -- Steele had seen those Asian facial features before.

He saw that face when he watched Japanese soldiers behead sick men begging for water, run over stumbling prisoners with tanks and split his comrades' skulls with rifle butts.

"Men died like flies," Steele says. "I thought for a while I would never make it."

Steele, now 91, is one of the last survivors of the Bataan Death March.

During World War II, the Japanese army forced American and Filipino prisoners of war on a march so horrific that the Japanese commander was later executed for war crimes.

Steele returned home to Montana after the war to teach, but he still had something to learn.

When he saw a young Japanese-American student seated in his class one day, he felt both anger and anguish.

What, he wondered, do I do with all of the hate I've brought home with me?

'The worst war story' he ever heard

Steele's answer to that question can be found in the new book "Tears in the Darkness," a searing depiction of the Bataan Death March.

The book details how Steele found help through an unlikely source. But he would first have to survive one of the worst defeats in U.S. military history.

In December 1941, Japanese forces attacked an army of American and Filipino soldiers in the Philippine Islands and forced them to surrender. They captured 76,000 prisoners, double what they had expected.

The Japanese forced the POWs to march 66 miles under a tropical sun to a railway station for transport. They shot, bayoneted and beat to death prisoners who couldn't keep pace.

At least 7,000 soldiers died during the march.

More died later. The brutal conditions of the march contributed to the subsequent deaths of an estimated 25,000 Filipinos and 1500 Americans in Japanese prison camps, says Michael Norman, a Vietnam veteran who wrote "Tears in the Darkness," with his wife, Elizabeth.

"It's the worst war story I've ever heard," Norman says. "What they [the Japanese] did was monstrous."

Prisoners were forced to bury others alive and work as slave laborers; some were executed for sport. One Japanese soldier, who later became a Buddhist priest, told the authors that he is still haunted by what he did on Bataan.

Some Filipinos who live today near the march's route say that they, too, cannot forget what happened, Elizabeth Norman says.

"They would tell us that when they lay awake at night, they thought they could still hear the trampling of the men's feet on the death march," she says.

Why Steele survived

The death march was filled with villains, but the authors also found a hero: Steele. The march is told through his eyes and drawings.

Steele was a cowboy from Montana who could ride a horse, rope cattle and shoot by the time he was 8 years old.

"I thought that if anybody gets out of here, I'm going to be one of them," says Steele, who was a 22-year-old Army Air Corps private when he was captured.

At times, though, Steele wondered whether he was being too optimistic. He was bayoneted, starved and beaten. He was constantly ill, and his weight fell to 112 pounds.

Steele found a way to preserve his mind even as his body wasted away: He drew. He started sketching pictures of what he saw during his captivity.

"I felt an obligation to show people what went on there," he says.

Steele was released after three years of captivity when World War II ended. He returned to Billings, Montana, where he became an art professor at a state college.

"I had a lot of anger when I got home," Steele says. "We were beaten for so long. I hated [the Japanese]."

Steele meets his 'nemesis'

Steele's hatred smoldered for 15 years. It threatened to spill out into the open in 1960, when he walked into his classroom on the first day of the semester and saw a Japanese-American student.

In "Tears in the Darkness," Steele says that his "heart hardened and filled with hate." But he was so anguished by what he was feeling, he returned to his office after class to think.

He told himself that the war was over; he wasn't a prisoner anymore, and he had to treat the Japanese-American student like anybody else, because he was an American, too.

Then he did something else. He invited the student to his office for a talk.

The student's name was Harry Koyama, and he, too, had been marked by the war. His family had been imprisoned at a "relocation camp" in Arizona during the war.

Steele also discovered that he and Koyama had something else in common: a passion for drawing Montana's rural life. By the end of the semester, Koyama was one of Steele's best students.

Steele says that talking to Koyama helped his hatred evaporate.

"We had a discussion and finally came to an understanding that we liked each other," he says.

Today, Steele and Koyama remain in touch.

"We're the best of friends," Koyama tells CNN from his Montana art studio. "We see each other regularly."

Koyama says he can't remember exactly what he and Steele talked about first, only that Steele had always treated him well. Steele did tell him later that their relationship helped him recover from the war, he says.

"I was just there," Koyama says. "I just happened to be there for him to use my presence as a way to overcome his dark time."

Koyama says he is still amazed by Steele's survival story.

"Just to be a part of his life is an honor," Koyama says.

Steele's voice is still strong and his mind sharp. He's been married to his wife, Shirley, for 57 years, and they have three children and six grandchildren.

Steele says Bataan taught him to treasure small pleasures, like a drink of cool water and a warm bed at night.

"I'm thankful that I have a plateful of food," he says. "I can remember when that plate was empty."

He still remembers tiny details from the death march as well. He constantly draws pictures of his friends and tormentors on Bataan. Their faces fill his sketchbooks.

Steele's hate may be gone, but the death march lingers.

"I think about it every day," he says. "It's in my mind, and I'll never get it out."

@highlight

Ben Steele recounts surviving the Bataan Death March in World War II

@highlight

"Men died like flies," says Steele, now 91

@highlight

Steele's story is recounted in new book "Tears in the Darkness"

@highlight

Steele forced to confront hatred through chance meeting after war