Fort Hood, Texas (CNN) -- Army Maj. Nidal Hasan challenged a witness's account of the police shootout that ended a rampage at Fort Hood that left 13 people dead, a rare courtroom exchange from a man who has admitted to opening fire on soldiers deploying to Afghanistan and Iraq.

The exchange occurred after prosecution witness Sgt. Juan Alvarado testified to seeing Hasan shoot a police officer and then shoot her again while she was down.

Hasan is acting as his own attorney, defending himself against 13 counts of murder and 32 counts of attempted murder in connection with the November 5, 2009, attack.

"I don't want to put words in your mouth. Are you saying that she was disarmed and that I continued to fire at her?" Hasan asked.

Alvarado responded: "Yes."

"I have no more questions," Hasan said.

For his part, Hasan has said little during the death penalty trial, other than to say he was the shooter.

But on Monday, Hasan appeared to be casting doubt on Alvarado's testimony that he shot a wounded, unarmed female police officer. The officer earlier testified that after Hasan shot her, he kicked her weapon out of her reach.

Hasan has left no doubt about his role, telling a panel of 13 officers during a brief opening statement: "The evidence will clearly show that I am the shooter."

He's also left little question about why he did it, repeatedly saying before the trial started that he was acting to protect Taliban leaders in Afghanistan from the U.S. military.

Fast Facts: Soldier on Soldier Attacks

While the military has avoided labeling Hasan a terrorist or charging him as such, prosecutors wanted to use the evidence to show that the devout Muslim had undergone a "progressive radicalization," going so far as to give academic presentations in defense of suicide bombings.

Hasan, who was scheduled to deploy to Afghanistan, did not want to fight against other Muslims and believed "that he had a jihad duty to kill as many soldiers as possible," lead prosecutor Col. Michael Mulligan has said.

The judge, Col. Tara Osborn, excluded much of the evidence that the prosecution contends goes to the heart of the motive for the attack, including e-mail communications between Hasan and Anwar al-Awlaki, the U.S.-born cleric who officials say became a key member of al Qaeda in the Arabian Peninsula. He was killed in U.S. drone strike in 2011.

Osborn ruled that the e-mails would have to be "redacted to prevent undue prejudice by association" and would diminish its use as evidence.

She also declined to allow prosecutors to use materials they maintain show Maj. Nidal Hasan's interest in the actions of Army Sgt. Hasan Akbar, the American soldier sentenced to death for killing two soldiers and wounding more than a dozen others at the start of the Iraq war -- an attack he said he carried out to stop soldiers from killing Muslims.

"The court believes Sgt. Akbar is not on trial in this case," Osborn said. "It would only open the door to a mini-trial" and confuse the issue.

Fort Hood victims feel betrayed

Along with the e-mails and the material related to Akbar, Osborn also declined to allow the use of Hasan's academic presentation on suicide bombings, saying "motive is not an element of the crime."

The judge did allow prosecutors to use evidence of Hasan's Internet searches on jihad and the Taliban in the days and hours before the attack.

Just two hours before the shooting, a search of Hasan's Acer netbook computer showed that someone had pulled up and read an article entitled "Pakistan Taliban Chief Urges Taliban to Fight Army," FBI Special Agent Charles Cox III, a computer forensics examiner, testified.

With the prosecution expected to rest as early as Tuesday, the big question is whether Hasan will take the stand.

Hasan, 42, has previously indicated that he intends to call himself and two witnesses to the stand. If he testifies, Hasan is expected to discuss the religious justification for his actions.

Much has been made about Hasan's defense or, as his stand-by attorneys have said, the lack of it, indicating he is perhaps more eager to prove he is a martyr than to avoid a death sentence.

Hasan refused to enter a plea at the outset of the court-martial after the judge barred him from pleading guilty. Under military law, defendants cannot enter guilty pleas in capital punishment cases.

The judge on Monday raised again concerns about Hasan acting as his own attorney after he admitted last week he did not understand that by listing someone as a witness he gave up the right of privileged communication with that person.

"Remember when I told you that I thought you would be better off with a trained lawyer?" Osborn asked.

Hasan responded: "Repeatedly."

"I've advised you before and I'm advising you again that it's not a good policy to represent yourself. ... Do you understand that?" Osborn said.

Hasan said: "Yes, I do."

Military death row: More than 50 years and no executions

Last week, Hasan released a portion of his mental health evaluation to The New York Times. It revealed he believes that being put to death would allow him to become a martyr.

"I'm paraplegic and could be in jail for the rest of my life. However, if I died by lethal injection I would still be a martyr," Hasan told a military panel evaluating whether he was fit to stand trial, according to documents published by the Times.

Hasan has been using a wheelchair since being shot by Fort Hood police. He is paralyzed from the chest down.

A U.S.-born citizen of Palestinian descent, Hasan was a licensed psychiatrist who joined the Army in 1997. But he had been telling his family since 2001 that he wanted to get out of the military, saying he had been taunted by people after the September 11 terror attacks that year.

In 2006, he inquired about the possibility of filing conscientious objector status. He did not go through with it, and the judge ruled that his inquiry could not be used by prosecutors to show motive.

@highlight

NEW: Nidal Hasan challenges witness who says Hasan shot officer when she was down

@highlight

The judge again advises Hasan not to be his own attorney

@highlight

Judge excludes e-mails between Nidal Hasan and a key al Qaeda member

@highlight

Prosecutors hope to show that Hasan had undergone a "progressive radicalization"