(CNN) -- Carmichael Griffin didn't think anything of it when his face began to swell. He assumed he had just gained a couple of pounds.

But when the swelling progressed to severe vomiting and frequent urination, he knew something was wrong.

It turned out that both of his kidneys were failing. He was suffering from hypertension, a common ailment among African-American patients.

"My blood pressure had scarred my kidneys so much they were surprised I didn't have a stroke then," said Griffin, 32. "I was a walking time bomb."

That was nearly 12 years ago. The Washington-based music producer and actor has been on dialysis and awaiting a kidney transplant since then.

A study published this month by the American Journal of Kidney Diseases shows that African-American patients awaiting a new organ are less likely to get one than non-black patients.

At the 275 transplant centers in the United States, African-Americans had at least a 35% lower chance of receiving a live kidney donation, said Dr. Erin Hall of the Department of Surgery at the Johns Hopkins University School of Medicine. At some centers, African-Americans had a 76% lower chance of getting an organ.

The study surveyed 247,707 adults registered for first-time kidney transplants from 1995 to 2007.

About 92,000 people in the United States are on a waiting list for a kidney transplant. More than one-third are African-Americans, according to the National Kidney Foundation.

In 2011, 5,771 living donor transplants were performed, 813 on African-American patients.

"African-Americans had lower odds of obtaining living donor kidney transplantation at every transplant center in the country," Hall said.

Living donor transplants -- donations of an organ or part of an organ from a live person -- are the best option. A kidney from a living donor usually starts to function immediately. In some cases, a kidney from a deceased donor may require a patient to remain on dialysis until it begins to function.

The racial disparity may be attributed to education levels, economic factors or medical characteristics such as blood type, Hall said. Also, some centers may be more focused on deceased kidney transplants, she said.

"There's also a higher prevalence of obesity and diabetes [among African-Americans] that would preclude you to become a donor," Hall said.

Griffin believes there's a lack of support and knowledge about kidney donation among African-Americans. He has asked family and friends for help, but to no avail.

"I am exhausted," he said. "I have a couple of white friends who received transplants and a few black friends whose families donated it to them. Makes me wonder what I'm doing wrong."

He says more education is needed, that potential donors need to know that it's not a life sentence for them.

"Of course living donor kidney transplantation involves not only the recipient of the kidney, but also the donor," Hall said. "It could be the social networks of African-American populations."

Hall advises frustrated African-American patients that it is never too late to take control of their medical care, and to continue to ask.

She suggests patients educate themselves more on the process of living organ donation so that they become more comfortable speaking with potential donors.

"If we continue to fight for them, and they continue to fight for themselves, we can reach a good solution," Hall said.

Griffin has stopped asking family and friends for an organ, but he continues to produce music and act. His hope is that he can one day do those things away from a dialysis machine.

@highlight

Thousands of patients in the U.S. are in need of a kidney transplant

@highlight

Study: African-Americans have lower odds of getting a live donor

@highlight

Disparity may be because of education levels, economic factors