(CNN) -- The best summer movie ever made premiered 50 years ago this weekend. It had no sharks, robots, zombies, superheroes or alien invaders. Nobody met somebody else in cute "rom-com" fashion and no one traveled in time. Though explosive in its way, there were no explosions; indeed, no special effects of any kind. There wasn't even much of a story; at least not the kind with a beginning, middle or end.

So what was it about? Not much, really. Just four guys in suits running, jumping, meandering and goofing around all day from one crowded area to another in search of breathing room, all filmed in stunning black and white.

"A Hard Day's Night," the 1964 musical comedy that brought the Beatles -- and the global phenomenon they detonated -- to the big screen, marks its half-century with a new DVD-Blu-Ray package from the Criterion Collection, whose digitally restored version (from the original negative) is being theatrically released in more than 50 U.S. cities this weekend.

10 places to relive Beatlemania

Even with all the brighter, bolder, fresher-looking Hollywood product out there over this holiday, I don't think it's a stretch to say that none of them will be a better experience than "A Hard Day's Night," especially if you've never seen it before. But it holds true even if you've already seen it once, twice or too many times to count.

In the end, that's what a great summer movie is supposed to do: Make you want to go back on the ride again to experience the same thrills and, maybe, find something new to like about it. Not too many movies do that anymore.

I don't just mean there are fewer movies -- such as "Hard Day's Night" -- shot in black and white, or ones that dare to tell stories in the same off-the-cuff narrative line. But you're less likely to find one now that takes chances with its material, veers into storytelling anarchy and Just Lets Go.

Opinion: Why The Beatles couldn't happen in today's digital age

"Hard Day's Night" not only knew how to Let Go, it made its audiences do it, too. In his liner notes to the new Criterion disc, critic-historian Howard Hampton uses the expression "euphoric blur" to characterize the movie and the way it was made.

Director Richard Lester, whose experience up till that point included TV sketch comedies for such antic British comics as Spike Milligan and Peter Sellers, applied such a loose, intimate and baggy texture to this mythical day-in-the-life-of-the-Beatles that those who first beheld it believed it to be almost a documentary.

It wasn't, except for some of the answers John Lennon, Paul McCartney, George Harrison and Ringo Starr deliver in the press-conference set piece. By the time the movie was filmed in the spring of 1964, they'd answered those kinds of questions hundreds of times on two continents. (INTERVIEWER: "How did you find America?" JOHN: "Turned left at Greenland.")

Summer rewind: Looking back at 1964

That was the other liberating, intoxicating aspect of "Hard Day's Night" -- its attitude. It refused to take anything, not even its subjects' galvanic success, seriously. When rock-and-rollers such as Elvis Presley did movies, they seemed so awkwardly sincere that you wondered if they'd misplaced the energy that made them famous in the first place.

Under Lester's "guidance," the Beatles showed the same brash insouciance in on-screen that they displayed in performance. (John snorting through an empty Coke bottle, Ringo deadpanning under a hair dryer while reading a magazine as the manager, Norman Rossington fumes, "What are you up to?" Says Ringo: "Page five.")

All this sent me to the moon and back when I was 11, and I was allowed to see "Hard Day's Night" during its opening weekend in America. This would have been early August, a month after the movie's July 6 London premiere.

It was a Saturday evening, and my parents, along with others, black and white alike, in the Hartford housing project where I grew up, actually agreed to drive a bunch of their kids to a downtown movie house, to see, unaccompanied, what the shouting was about.

How Ed Sullivan met The Beatles

At that point, I wasn't as committed to the Beatles as my sister and her friends were even before the movie started. But after it was over, all of us were so wired by what we'd seen that we wanted to run, goof and joke around all night long, even after two cars scooped us up to take us home. It was as if the movie -- and the Beatles themselves -- had given me permission to be as wise, foolish, daring, smart and alert to the world as I wanted to be. And I couldn't wait to see it again just to make sure I hadn't imagined it.

It would be years before I had that chance. When I did, I felt just as empowered and exhilarated by that movie in my 20s as I did on that long-ago twilight. When my own son saw it for the first time, at age 6, he was just as hyped as I'd been.

The gift that "Hard Day's Night" keeps giving is the right of all who see it to say to themselves, "Take the world as it comes and when you break from its moorings, don't be afraid to be as silly or as soulful as you're able. And whatever you do, make sure you bring other people along."

Maybe I'm still dreaming all this. But I'm awake enough to know one thing: No new movie that came out this year can make so many audiences feel as buoyant or as alive as this movie did -- and does. It's possible that both "A Hard Day's Night" and, for that matter, the Beatles themselves were miracles that could never be duplicated. But can't the movies at least try to imagine that such things are possible?

@highlight

Gene Seymour: Best summer movie? "Hard Day's Night," 50 years ago this weekend

@highlight

It was exhilarating for teens to see anarchy, smarts, daring of Beatles on big screen, he says

@highlight

Film shows in 50 cities this weekend. He first saw it at 11, it sent him over the moon, he says

@highlight

Seymour: His own son reacted same way. You won't find better movie out there this summer