It's the gravest diplomatic crisis the Gulf Cooperation Council has ever faced -- but as leaders from the six-member Arab alliance prepare to meet in Jeddah, are things about to get even worse?

The root of the current problem? Qatar simply will not do as it's told by Saudi Arabia and the United Arab Emirates, who have spent months trying to force the energy-rich nation to fundamentally alter its foreign policy. Bahrain, the UAE and the Saudis withdrew their ambassadors from Qatar in March, and have kept up the pressure ever since.

Of course, tensions between Saudi Arabia and Qatar are nothing new. Qatar has striven since the late 1980s to escape the Saudi political orbit by vigorously pursuing its own independent foreign policy -- regardless of the displeasure it caused in Riyadh.

The Saudis, for their part, have never liked this rejection of its leadership from an uppity small country like Qatar that it sees as barely more than an appendage of its own state. But for all the pressure Saudi Arabia exerted on Qatar -- including withdrawing its ambassador from Doha from 2002-2008 -- it could not put the Qatari genie back in the bottle. A modus vivendi was reached in 2008, but the current crisis seems to mark another attempt to put Qatar in its place.

Among a variety of modern-day issues, the central concern animating this round of difficulties is Qatar's support for various groups associated with the Muslim Brotherhood -- the long-suppressed pan-regional Islamist movement that swept to power in the Egyptian elections of 2012 before being deposed by the military a year later.

The Saudis are deeply troubled by the practical and rhetorical threats the group poses in the region. And although a Brotherhood-inspired revolution seems deeply unlikely in the UAE, this is what its authorities fear and the reason they have sentenced to jail dozens of people in the last 18 months. In March 2014 both states banned the group and labelled it a terrorist organization.

Qatar has made some concessions. In mid-August, reports emerged that Qatar has considered ending the naturalization of nationals from other GCC countries -- Saudi Arabia, the UAE, Bahrain, Oman and Kuwait -- in answer to their criticism of the practice. And it beggars belief to think that Qatar has not made other concessions in private, given the seriousness of the break in regional relations between the countries. Yet still Saudi Arabia and the UAE continue to try to force Qatar to accept and conform to their particular world-view.

Up to this point, this current disagreement has had a negligible impact on the GCC -- and the fact that the Council cannot provide a united front on the Gaza or ISIS crises is nothing new for the argumentative and perennially-divided group.

Demoting Qatar somehow from the GCC, one of the potential punishments for the recalcitrant state, would merely codify the ineffectiveness of the GCC, not create it. Furthermore, punishing Doha would adversely affect on-going efforts to promote "jointness" among the GCC militaries in areas like ballistic missile defence. And if Qataris were to need new visas to enter other GCC countries, this would foster a logistical nightmare and increase the already bitter intra-GCC tensions felt by people.

If things got worse at the GCC, Qatar would double-down on its relations with the likes of Turkey, Iran, and the remaining Muslim Brotherhood affiliates in the region, and it would reinforce its relations to its closest international allies: the US, the UK, France, Japan, and South Korea.

So what could the Saudis do to try to bring Doha into line? Any closure of the Qatari-Saudi border would be deeply harmful for Qatar given the importance of the route for trade. Around 80% of dairy imports, 30% of stone and cement imports, and 92% of aluminium imports come across the land border, according to the Ministry of Development Planning & Statistics in Qatar. If the Qatari Government were to react to this (even though they have taken the moral high ground by doing nothing so far), they could curtail its gas supply to the UAE (and Oman), which is crucial given the surging demand for natural gas in the Emirates.

While closing the border would generally be seen as an overreaction by Saudi Arabia, so too was removing its ambassador from Qatar, not to mention its rejection of the U.N. Security Council seat it won in October 2013 after years of lobbying and training for the role.

Some kind of escalation looks likely, barring a last minute reprieve. Saudi Arabia and the UAE appear to want a public sign of contrition from Qatar -- something that the new Emir of Qatar cannot give.

Not only can the Emir not overturn decades of Qatari policy that has sporadically supported groups like the Brotherhood, but barely a year into his leadership, he cannot capitulate to such naked regional pressure. Vociferous and patriotic public pressure in Qatar alone precludes that. And as the on-going Iranian-American nuclear talks have lowered tensions in the region, so too have the talks diminished the only real factor -- the threat of a nuclear Iran -- forcing any kind of cohesion from the GCC.

The GCC does face a serious political crisis, but though this may concern the countries involved, the tiff will likely pass mostly unnoticed by the rest of the region -- and the oil, the gas, the investment, the imports, and the money going to a wide variety of groups around the Middle East will continue to flow from all states.

@highlight

The leaders from the six-member Arab alliance prepare to meet in Jeddah

@highlight

David B Roberts: Qatar will not do as it's told by Saudi Arabia and the UAE

@highlight

Tensions between Saudi Arabia and Qatar are nothing new, he writes

@highlight

Main concern is Qatar's support for groups linked with the Muslim Brotherhood, he says