(CNN) -- Many of us are tempted to look backward and replay the myriad mistakes President Barack Obama has made in managing the now extraordinarily obvious crisis in the Middle East. I've done it, plenty of my fellow analysts do it, and now Obama's own Democratic Party members are doing it too. But sunk costs are irrelevant; the president's mistakes are made. The better question is, what does he plan to do now?

The President will take to the airwaves on Wednesday to announce to the nation his strategy to confront the growing threat of the Islamic State of Iraq and Syria, variously known as IS, ISIS and ISIL. So let's start by saying: Good. Obama has evolved from suggesting ISIS is a minor league terrorist team, to suggesting we have no strategy in place to combat this rising terrorist group.

And now?

Any strategy embraced by the Obama administration must begin and end with an understanding of the nature of the threat at hand. Too many have reduced the challenge to ISIS alone, failing to understand that the group is merely a more venomous outgrowth of a cancer now sweeping across the Muslim world, from South to East Asia, from Africa to the Middle East.

Al Qaeda, its sworn affiliates, wannabes and groups such as ISIS are taking territory as never before. We are rightly paying attention to the brutal beheading of two Americans. But we cannot ignore the forest for the trees.

First, ISIS itself now occupies a swath of territory across both Syria and Iraq, and so the notion of a military strategy that hits Iraq without Syria, helps Kurds without Sunnis, or rescues Yazidis without Muslims is mindless. To cripple ISIS, the group must be targeted in Iraq and Syria -- everywhere that it holds land.

Second, we will need allies, and those allies will need support from the United States, both on the ground in the form of special operations forces and advisers, and from the air. They will need weapons, now. We can continue to parse the many faults of these groups -- the Kurds, the Iraqi armed forces, the Free Syrian Army and Sunni tribes -- and simply go and fight ourselves. We are better; we are more trustworthy; we will win. But do we want to fight, or do we wish to empower locals on the ground to fight? It seems an easy choice.

Third, we need to crush the Qatari lifeline to Muslim extremists of all stripes, highlighted just last week in The New York Times. The Saudis know it and the Emiratis know it. Indeed, everyone but the United States (and perhaps those in the pay of Qatar) seems well aware that the tiny tyranny has effectively been waging war on the moderates of the Middle East for years. Like their alleged clients in ISIS and Hamas, the Qataris are small, but nastier when unopposed. It's time to oppose them, and to unite the Arab League in so doing.

Fourth, we need to kill ISIS' leaders. Yes, it's true, Abu Bakr al-Baghdadi is the fourth leader of what was once al Qaeda in Iraq. When he dies, another will rise in his place. So what? Killing terrorist leaders is not a strategy to defeat terrorism, but it is a useful tactic to slow down momentum, reduce recruiting appeal and otherwise warn the group that it is in our sights. Throughout the Middle East, many are wondering why it is that U.S. drones target terrorist leaders from Somalia to Yemen to Pakistan, but both Iraq and Syria are no-fly zones for American terrorist-killers. Good question.

Fifth, we need to remember that ISIS may not technically be part of al Qaeda, but it is part of a larger movement that encompasses al Qaeda. As the American Enterprise Institute's Katherine Zimmerman points out, if ISIS is defeated, "al Qaeda is right on its heels and would be happy to fill in any vacancies left by ISIS in Iraq and Syria."

Finally, we must remember -- and that goes double for this President of the United States -- that a strategy to defeat ISIS and all those like it cannot be part of the usual hide-the-ball game to get bad news off the front pages and then forget about the problem. This hasn't worked well in Syria, Iraq, Libya, Ukraine or anywhere else. Any strategy will require sustained commitment and a willingness to speak to the American people about the threat more than a few times a year.

These are some of the elements of a strategy to begin to "degrade" and "destroy" ISIS, as Obama has said he plans to do. But it won't just be Americans who are listening for them when Obama speaks on Wednesday. The entire world, but most particularly our enemies, will be looking to see not just strategy, but determination and commitment. Over to you, Mr. President.

@highlight

President Obama is right to see ISIS as a serious threat, writes Danielle Pletka

@highlight

Any attempt to tackle ISIS must start by fully understanding the threat, she says

@highlight

We will need allies, and those allies will need support from U.S., Pletka argues

@highlight

Pletka: Any strategy will require sustained commitment