(CNN) -- The Middle East may be awash with cash, but that didn't stop the region's stock markets being swept up in the global gloom that engulfed investors around the world this week.

Traders at the Kuwait Stock Exchange in happier times -- this week Kuwait's main index fell four percent.

The region's share markets tumbled in a Mexican wave of selling that started in the U.S. and quickly spread to Asia and Europe.

In the Middle East, the Saudi stock market suffered some of the biggest falls; dropping ten percent in Tuesday's trade, its largest one-day slump on record.

"It highlights the extent to which international investors have really come into the market during the course of 2007," says Anais Faraj, Nomura's Executive Director of Investment Banking for the Middle East.

"What you're seeing now is that international investors who might have lost money in the sell-off in the U.S. and Europe cashing in where they've made some profits to staunch their wounds."

On Tuesday, the U.S. Federal Reserve shocked the market with its own measure to stem the sell-off.

It cut interest rates by 75 percentage points to 3.5 percent, its biggest single cut in since October 1984, and the first between scheduled meetings since the 9/11 attacks in 2001.

And it worked. Markets in the Middle East clawed back lost ground, but it also forced the hand of the region's central bankers whose currencies are pegged to the dollar.

Saudi Arabia, the UAE, Qatar, and Bahrain all cut key interest rates in tandem with the U.S., and Oman was expected to follow.

Despite having dropped its peg with the dollar last May, Kuwait also cut its benchmark interest rate for the first time in eighteen months.

Kuwait Central Bank Governor Sheikh Salem Abdul-Aziz al-Sabah is quoted as saying: "The measure aims at reducing any negative impact that could arise from unjustified high margins between the interest rate on the dinar and international currencies."

While it may solve one problem, it only exacerbates another: Inflation.

"We are seeing a policy from the Fed, which is fully appropriate for the U.S. economy, being imported into the Gulf," says Marios Maratheftis, Regional Head of Research for Middle East for Standard Chartered.

"Unfortunately what is good for the U.S. is not good for the Gulf economy," he says.

"Inflation is already high and it's already a concern, but something that concerns me the most is not so much the present inflation, it's the inflation expectations we're seeing."

He says the Gulf governments need to act, and if they're not prepared to drop their peg with the dollar, they must consider revaluing their currencies.

"The choice to proceed with a one-off valuation of the currencies would help to drain some of the liquidity out of the system. It would send a message to the economy participants in the region that there is a response to the inflationary pressures."

While this week's turmoil in the world financial markets may have been a curse for the Gulf economies, it could also be viewed as a potential blessing for the region's sovereign wealth funds (SWFs).

As little as two weeks ago, they were in the market buying shares in leading U.S. banks Citigroup and Merrill Lynch.

For them, the sell-off has created more buying opportunities.

"Where there is more risk and less certainty and less leverage available these guys are going to come in and support the stock market. From what we've seen, they're certainly ready to go out shopping," says Anais Faraj from Nomura.

The chief of the Kuwait Investment Authority confirmed as much on the sidelines of the World Economic Forum in Davos, Switzerland.

Bader Al Sa'ad is reported to have said he viewed the sell-off as a "pure investment opportunity", citing the financial and real estate sectors as areas of interest.

After much speculation, Saudi Arabia has confirmed it is considering launching its first sovereign wealth fund, a $6 billion investment pot accrued during the oil boom.

However, the Vice Governor of the Kingdom's Central Bank Mohammed Al-Jasser is reported to have said Saudi Arabia "can live without one" if there's "endless debate about abuses." Read more about calls for greater SWF transparency

Marios Maratheftis from Standard Chartered says the flow of funds from the Gulf to the West will help to correct the current imbalance in the global economy.

"There's a shift of wealth. Asia and the Middle East are becoming richer and more important global powers. It's a fact and it's happening," he says.

"The surplus countries need to recycle their income into the deficit countries. These flows are being translated into the action of the sovereign wealth funds. In the current global environment it's very natural for sovereign wealth funds from the East to be looking at investing in the West." E-mail to a friend

@highlight

Mideast indices swept up in global stock sell-off as foreign investors bail out

@highlight

Gulf central bankers follow lead from U.S. Federal Reserve, cut interest rates

@highlight

Sell-off expected to create buying opportunities for sovereign wealth funds

@highlight

Maratheftis: Flow of funds will help correct current global imbalance