(CNN) -- Attorney General Eric Holder strode in to a raucously triumphant welcome at Justice Department headquarters on cold, sunny February morning in 2009, less than a month after the inauguration of President Barack Obama.

Hundreds of staffers packed the stairwells and hallways, cheering loudly as he made his way, as he called it, back home. This was the department where he first started his career as a lawyer in the public corruption unit in 1976, and where he has served 26 years, including as deputy attorney general in the Clinton administration, and for a few days as acting attorney general under President George W. Bush.

They mobbed him as he stood in the wood-paneled law library and gave an impromptu speech promising to turn the page from political scandals during the Bush administration. Cheers rang out again after Vice President Joe Biden administered the oath of office and Holder vowed to return the department to "what it once was."

More than five years later, Holder is leaving the department, marking as his top accomplishments: the Justice Department's civil rights division, revising policies aimed at reducing the racial disparity in prison sentencing, and defending the use of federal civilian courts to try terrorists against a push by conservatives to use military courts at the U.S. prison in Guantanamo Bay, Cuba. President Obama hailed Holder's role in the administration's decision to stop defending the federal ban on recognizing same-sex marriages, which has opened the way to some of the most sweeping changes in gay rights.

Related: Who might replace Eric Holder?

His critics would also note that despite promising to change Bush-era counterterrorism policies, Holder signed off on ever-expanding government mass surveillance programs by the National Security Agency. Under his watch, the department also aggressively sought phone records of reporters in the hunt for national security leakers.

That makes his record on civil liberties more complicated than his record on civil rights issues, critics argue. One of Holder's heroes is Robert F. Kennedy, who used the Justice Department to push the agenda of civil rights. At the same time, RFK also signed off on J. Edgar Hoover's invasive surveillance of civil rights Martin Luther King Jr. on suspicion of being a communist.

At a White House ceremony to announce his plan to step down President Obama called him "the people's lawyer." Holder's voice broke as he thanked the president for affording him "the greatest honor of my professional life."

The ceremony reflected the fact the attorney general's own view that he is leaving on top, and after having grown to be a close friend to the president. He survived many trials, taking blows on the president's behalf, as has become normal for the attorney general job in this highly-politicized era. His fights with congressional Republicans left scars; they made him the first sitting cabinet member to be held in contempt of Congress.

In recent months, Holder seized the opportunity to use his credibility on race issues by traveling to Ferguson, Mo., to try to ease tensions following the shooting of Michael Brown, an 18-year-old black man, by a white police officer. He launched an investigation of the police department, the latest in a string of such probes around the nation.

Related: Feds probe Ferguson police

One of his frustrations during his tenure is the Justice Department's inability to find prosecutable crimes to pursue against bankers linked to the global financial crisis. Holder instead has overseen a push to bring civil cases that have wrung billions of dollars in settlements from some of the world's biggest banks.

Holder's defenders say that the criticism over civil liberties reflects the view of liberals who have set an impossible standard in an era with real national security threats from terrorism.

In some ways, Holder's more cautious stance on national security programs came after he learned early in his tenure that turning away from Bush-era policies would be easier said than done.

Read more: Holder's legacy competes between security, civil rights

Within weeks of taking office, Holder tussled with the CIA and with conservatives in Congress, over his push to release Justice Department legal memorandums that authorized torture as part of the CIA's interrogations of terror suspects. Behind the scenes he also drew fire from some in the White House, where Obama's top aides thought Holder was triggering unnecessary controversy for the new president and that conservative anger could endanger plans for a quick start on Obama's legislative agenda.

He oversaw the president's plan to close the Guantanamo prison, only to find himself abandoned by the White House, which decided the matter was too hot to handle. Holder was forced to retreat on plans to hold trials in Manhattan for Khaled Sheikh Mohammed and others accused of plotting the 9/11 attacks.

More than five years later KSM and his fellow defendants remain at Guantanamo, still awaiting trial, a problem for the next attorney general. And Holder feels vindicated.

Related - Holder: "I was right" on KSM

@highlight

Attorney General Eric Holder is set to resign when a replacement can be confirmed

@highlight

He has become known as an "activist" attorney general