(CNN) -- Strikes fueled by higher prices for gasoline, diesel and kerosene spread across sections of India on Monday, disrupting rail and port traffic in some areas.

Officials reported trains were largely empty in the Indian financial capital of Mumbai, where protests by Hindu nationalist opposition activists often bring the city to a halt.

Indian railway spokesman Anil Saxena said the eastern parts of the country were the hardest hit.

"Obstructions (by strikers) are more pronounced on the eastern side," Saxena said. He was referring to communist-ruled West Bengal state and neighboring Orissa and Bihar.

Truckers also joined the strike, parking their rigs and shutting down traffic that would normally carry goods in and out of the busy port.

Opposition parties called for the strikes after the government began implementing a roll back in fuel subsides by lifting state controls on gasoline and other fuels.

Demonstrations over fuel-price rises also took place in parts of New Delhi. Opposition protesters deflated tires of state-run buses in some neighborhoods. Private schools were closed Monday in the Indian capital.

Television footage showed police using bamboo canes to break up a violent protest in the northern Indian city of Lucknow.

Activists were also shown blocking a train in Patna in eastern India.

For the average Indian, the changes are having a real impact.

Usri Das Mahapatra's kitchen budget has soared the past year. Now, she fears the worst is yet to come.

The 46-year-old homemaker in Mumbai is bracing for a spike in her household expenses. An increase in fuel costs will create a ripple effect on the prices of food transported to her city from across India.

Her son, an undergraduate student, too is likely to be paying more for his commute. Traveling costs in the family car or spent eating out are already higher, she says.

Mahapatra, whose husband is an executive in a shipping company, is worried. "High inflation is hitting our savings. In a year, my kitchen expenses have almost doubled. This (fuel price) hike is unjustified," she said.

But planners say India's subsidies are too much for a nation that is facing a consolidated fiscal deficit of 8.4 percent.

As world leaders pledged fiscal tight-belting at the G-20 summit in Toronto, India said it has its plans in place to halve its deficit in three to four years. Ahead of the meeting, India removed subsidies that artificially kept cost of petrol lower than its market value -- as a result, the prices of gasoline and cooking fuel, like kerosene and kitchen gas, shot up.

"We have independently (prepared), even prior to the G-20 coming to this understanding (on consolidation), a roadmap which is designed to cut our fiscal deficit, Indian fiscal deficit, to half by 2013-14," said Ashok Chawla, the country's finance secretary.

On his way back from Canada, Prime Minister Manmohan Singh identified what he called "excessive populism" as a key area to deal with in India's financial management.

Broadly, the South Asian nation spends heavily on subsidizing fertilizers, food and fuel.

India has also launched a range of state-funded programs to help millions of its people still living in crippling poverty despite the country's rise as an economic powerhouse.

But officials are aware benefits reach target beneficiaries in a trickle because of rampant corruption and weak enforcement.

"A bottleneck and an impediment in bringing about the desired results, for which policies and schemes have been formulated and huge allocation of funds made, is weak implementation and corruption in the system," noted Indian President Pratibha Devisingh Patil in her national address on her country's 61st Republic Day this year.

India's subsidy bill is about 10 percent of its overall annual spending and about 1.72 percent of its GDP, said M. Govinda Rao, member of Singh's economic advisory council.

"When you can't expect revenues to rise very fast, it becomes important to reduce expenditure," said Rao, citing the country's targets for fiscal consolidation. "Our subsidy system is badly flawed."

Nonetheless, Singh's government, now in the second year of its second term in office, remains firm.

"(O)ur people are wise enough to understand that excessive populism should not be allowed to derail the progress our country is making, and for which it is winning kudos internationally as well," the prime minister told reporters last week as criticism at home mounted over cutting fuel subsidies.

CNN's Harmeet Shah Singh contributed to this report.

@highlight

Strikes fueled by higher prices for gasoline, diesel and kerosene

@highlight

Trains largely empty in the Indian financial capital of Mumbai

@highlight

Truckers join the strike, park their rigs and shut down traffic