Musanze, Rwanda (CNN) -- For Rwanda's national cycling team, survivors of its genocide, cycling is proving to have an unlikely healing power. Eighteen years after the genocide of Tutsis that claimed an estimated 800,000 lives in all, Team Rwanda is now gaining international recognition, and one member will compete at this year's summer Olympics.

With a population of more than 11 million and a land size roughly half the size of Scotland, the east African nation of Rwanda is Africa's most densely populated country. In Musanze, 96 kilometers outside the capital of Kigali, on one of the few paved roads in northwestern Rwanda, many get around on bicycles, some made entirely of wood.

These wooden bicycles, typically made from acacia trees, evolved as a solution for wheel-barrowing crops from farm to farm. They are heavy, used by farmers to transport loads of up to 300 kg, and with only a thin piece of rubber for a tire, they are difficult to maneuver and brake suddenly. Because of this, they are banned from the main roads.

"If you hit something or somebody, that person would be dangerously hurt," explains Francois Bizimana, one of the village's bike makers, who has previously been hospitalized with injuries from an accident on one of his bikes. "You do a lot of damage when you get in an accident with them. Some of us are not used to road safety and rules, so that caused a lot of trouble for us."

Learn more: 100 days that changed history...

In 2006, when Rwanda's first annual cycling festival was created by Jonathan "Jock" Boyer, the first American to finish the Tour de France, and mountain bike pioneer Tom Ritchey, it was named the Wooden Bike Classic in honor of these traditional contraptions.

The event showcased so much talent that the next year, Boyer returned to establish and coach the country's first national team, Team Rwanda. One of its five founding members, and winner of the first Wooden Bike Classic, Adrien Niyonshuti, will represent Rwanda at the 2012 summer Olympics.

Niyonshuti was seven years old in 1994, when conflict between two ethnic groups, the Hutu majority and the Tutsi minority, spiraled into a genocide that claimed an estimated 800,000 lives over 100 days. His grandmother and six of his brothers were killed.

Another founding team member, Jean de Dieu "Rafiki" Uwimana contracted malaria while sleeping outdoors, after escaping with his grandmother. He was separated from his parents and brother, and thought they were dead for five years after the genocide.

Read more: Rwandan rugby team's trip to Hong Kong...

Team Rwanda is a valuable means of bringing men from different backgrounds together.

Some team members travel as much as 230 kilometers -- by bicycle -- to get to training sessions at the team's base in northwestern Ruhengeri. Besides cycling three times a week, they do yoga and in the evenings, take English classes. "Then they get three great meals," says Kimberly Coats, director of marketing and logistics.

"Nutrition is important. Our food choices are limited," she continues. "They're used to eating for bulk, not nutritional value. Now, they've started to see the benefits of nutrition, stretching, training program and they're doing well."

For some, the rigorous training regimen is a welcome distraction from painful memories. "You never forget it, in your life," says Uwimana. "But...I'm busy. My future is looking good now. Many people know me, and I'm changing life for my country and my family also."

Their success is helping to change lingering perceptions of Rwanda as a broken, dangerous and impoverished place. It's also helping to change how Rwandans view themselves.

Having toured America, South Africa and Gabon with his team, Uwimana has concrete aspirations for his homeland. "So my future is to help my friends and to be an ambassador for my country."

@highlight

Rwanda's cycling team are survivors of its 1994 genocide

@highlight

One member will compete at the 2012 Olympics

@highlight

Many started riding on heavy wooden bikes, used for farm transport