(CNN) -- About 70,000 refugees who fled violence in Mali are living in "appalling" conditions in a camp in the middle of the Mauritanian desert, Doctors Without Borders said Friday.

The situation has only got worse in Mbera camp since French forces entered Mali in January to help local forces take on Islamist militants, the humanitarian group said.

About 15,000 more refugees have flooded into the camp since the fighting, and conditions are so bad there that many who were healthy became ill or malnourished after they arrived.

Mauritania: Slavery's last stronghold

The number of children admitted to clinics in the camp for severe malnutrition more than doubled in that time, climbing from 42 to 106, Doctors Without Borders said.

About 85% of the children under treatment arrived between January and February, despite the nutritional status of the new refugees being generally good when assessed on arrival.

"These statistics show that the refugees have grown weaker whilst in the camp, the very place where they should have been receiving assistance, including correctly formulated food rations from aid organizations," said Henry Gray, emergency coordinator for Doctors Without Borders.

"There has clearly been a lack of preparation for this new influx of refugees."

The camp was set up by the U.N. refugee agency, UNHCR, with the Mauritanian government 60 kilometers (about 37 miles) from the border when refugees started arriving in early 2012.

The report, "Stranded in the Desert," is based on testimonies collected from more than 100 refugees at the Mbera camp between February and mid-March of this year.

The majority of the refugees in Mbera camp are pastoralists who lived nomadic or semi-nomadic lifestyles in northern Mali, according to the report. Some of the families left their young men behind to tend to their herds while they fled over the border into neighboring Mauritania.

"Most of the refugees are from the Tuareg and Arab communities," said Gray.

"They fled preemptively, often for fear of violence due to their presumed links with Islamist or separatist groups. Their home in northern Mali is still in the grip of fear and mistrust."

Limited water, poor hygiene facilities

While some improvements have been made at the camp since the mass influx of new refugees three months ago, Doctors Without Borders said, "the challenge will be to continue to provide assistance that meets humanitarian standards."

Water is still in short supply in the desert camp, a situation made worse by daytime temperatures that reach 50 degrees Celsius (122 degrees Fahrenheit).

Refugees at Mbera receive just 11 liters of water per person per day, instead of the 20 liters recommended by humanitarian standards, the report said.

Some of the families that arrived in January had to wait more than a month for materials to build shelters, the report said. They were forced to do what they could with sticks and scraps of cloth in the meantime.

There is also a serious shortage of toilet facilities.

When the camp was extended in January to accommodate the influx of refugees, there were four latrines for 12,000 people -- far below the recommended minimum of one per 20 people. More are now being built, but the hygiene situation remains difficult.

Another problem is that the rations provided by the U.N. World Food Program, mostly rice and pulses, are very different from the pastoralist refugees' customary diet, which is based on meat and milk. Many new arrivals also suffer from delays in getting food supplies, the report said.

And with the situation in northern Mali still volatile as French and African forces hunt down the remaining Islamist fighters -- and against a backdrop of complex ethnic and political tensions -- it's unclear when the refugees will feel able to return home.

Mali: The long, troubled desert road ahead

'This time, we left early'

A 71-year-old Malian interviewed for the report, Ibrahimou, said three sons had stayed in their village to care for the livestock, but the rest of his family had left.

"With the other village chiefs, we took the decision to leave out of fear of the Malian army," he said.

"I lost brothers and cousins in 1992. I saw a lot of atrocities and I lost a lot of loved ones in the conflict. I almost lost all my animals too. This time, we left early. Nobody knows when we will be back but, at my age, I have no desire to go into exile every 10 years."

About a quarter of those interviewed said they'd fled direct fighting where their lives or family members' lives were in danger.

A small percentage said they had fled because of the seizure of power by Islamist groups in cities such as Timbuktu, Gao and Kidal.

Islamist extremists carved out a large haven in northern Mali last year, taking advantage of a chaotic situation after a military coup by the separatist party MNLA.

Many of the most recent arrivals in the camp told Doctors Without Borders they had left Mali because of food shortages and other problems.

"Life has become very hard. I had nothing to give to my children. There was nothing to eat, shops were closed or empty. There was no market for cattle. I could not stay because I have small children to feed," said Halima, aged 24.

Doctors Without Borders has been working at Mbera camp since February 2012, when the first groups of refugees from Mali began to arrive.

Its teams have treated about 1,000 malnourished children since then and delivered about 200 babies.

Even before the latest influx of refugees, the nutritional situation was critical, with a study by Doctors Without Borders in November revealing mortality rates above the emergency threshold for children under 2 years old.

Since the French-led intervention in January, the number of consultations at its clinics in the camp has gone up from 1,500 to 2,500 per week, Doctors Without Borders said.

UNHCR has said that it and partner agencies "struggle to maintain minimum humanitarian standards in Mbera Camp."

CNN's Laura Perez Maestro contributed to this report.

@highlight

Report: Malian refugees are suffering a lack of food, water and shelter in the desert camp

@highlight

Child malnutrition rates are going up, the Doctors Without Borders report says

@highlight

Conditions are so poor that people who arrive at the camp healthy become ill, it says

@highlight

The Mbera camp was set up in early 2012 after violence first broke out in northern Mali