(CNN) -- The weather in St. Pete Beach had been bad all day, so Laura Miller and Brenda Pace hunkered down to watch a baseball game on television.

But conditions outside Sunday night quickly went from bad to worse, they said Monday, as Tropical Storm Debby spawned a suspected tornado.

"The winds started picking up," Miller said. "We heard the proverbial noise -- the train -- the transformer blew, the windows started busting out. It was just very chaotic, all the glass flying, the debris flying into the house. It was pretty intense."

They looked for a place to hide, but the door to their ground-floor bathroom wouldn't open.

"We managed to get between the refrigerator and the pantry area and just ride it out," Miller said.

A suspected waterspout may have roared ashore and become a tornado in their neighborhood, the Pass-A-Grille area of St. Pete Beach, according to CNN affiliate WFLA.

Pace said she was still in shock, but "it's amazing we got out without a scratch."

Two people had minor injuries, said St. Pete Beach Fire Marshal Ernest Hand. Eight properties in the area sustained major damage and 24 had minor damage. "We were lucky," he said.

"It was so windy and rainy, I couldn't go outside to look," resident Michael Hamm told WFLA. "Ten or 15 minutes later, when I did, I noticed the roof was gone over the deck, the picnic tables had blown off, the railing was gone, the electricity was off. ... We didn't get hurt, so we're very lucky."

Elsewhere in Florida, one person was killed in an apparent tornado on Sunday, officials said.

Debby remained offshore Monday but continued to pose a threat of tornadoes, heavy rain, additional flooding and high winds to much of Florida as it slogged slowly to the northeast. Floridians were warned the rain may stick around through the week in some areas.

A few tornadoes were possible Monday across the eastern Florida Panhandle, the Florida peninsula and southern Georgia, forecasters said. A large swath of Florida was under a tornado watch until Monday afternoon. Numerous flood watches and warnings were also posted.

As of 1 p.m. Monday, Debby was centered about 50 miles south-southwest of Apalachicola in the Florida Panhandle, the National Hurricane Center said.

The storm had weakened slightly, with maximum sustained winds of 45 mph. However, tropical-storm-force winds -- those 39 mph or stronger -- extended 230 miles out from its center, mainly to the southeast.

"Debby is a large tropical cyclone, with the strongest winds and much of the heaviest rainfall well removed from the center of circulation," the hurricane center said.

After being nearly stationary overnight, Debby began inching northeast Monday at about 5 mph.

"Tropical storm conditions will continue over portions of the Florida Gulf Coast today," forecasters said.

Debby is expected to dump a total of 10 to 20 inches of rain over northern and central Florida, with 25 inches possible in some areas, forecasters said. A total of about 5 to 15 inches of rain is possible across coastal southeastern Georgia and extreme southeastern South Carolina, according to the hurricane center.

Total rain accumulations of 5 to 10 inches are expected over central Florida and southeast Georgia into coastal South Carolina, with isolated maximum amounts of 15 inches possible, forecasters said.

CNN iReporters sent pictures and video of flooding in their areas.

Magalie Caragiorgio said Monday she has been stuck in her New Port Richey, Florida, home since Sunday because of flooding and hasn't been able to get to her job as a nurse.

"It's unnerving because you can't do anything," she said. "I guess I wasn't prepared. I wasn't expecting to be flooded out like this."

In Wilton Manors, Florida, "the flooding cut off access to everyone's homes until it subsided," said iReporter Jon Carson. "... I have a small car so I was terrified about how I was going to get the kids to school."

In Panama City, some tourists stuck around to ride out the storm, said iReporter and restaurant employee Michael Dunning.

"Usually people pack up and leave when they hear about a storm," he said. "It was just another storm, lots of wind and rain."

Chris Anuszkiewicz of Clearwater, Florida, said water came through his garage and front door.

"I've been through hurricanes on the beach here, and the rain from this was more intense," he said.

The U.S. Coast Guard in Mobile said it rescued a family that became stranded on Dog Island, south of Carrabelle, Florida, by weather associated with Debby.

The Coast Guard said Monday it received a phone call about 12:30 p.m. Sunday from a man saying his family, including five adults, four children and two dogs, was stranded in a vacation house located on a narrow sandbar on southwest Dog Island.

"Water was reportedly surrounding the house, and there was no way for them to evacuate to higher ground," the Coast Guard said in a statement. "The commercial vessel that brought the family to the island would not come back for them due to the weather conditions from the storm."

The Coast Guard dispatched a helicopter and rescue crew, which were able to evacuate the family. All those rescued were examined by medics and found to be uninjured.

Citing the threat of heavy rainfall and potential tornadoes, Florida Gov. Rick Scott on Monday declared a state of emergency "so we can coordinate the use of all state resources to make sure we can respond promptly if anything happens."

He warned residents to expect "a significant amount of rain."

Pinellas County also declared a state of local emergency on Monday, officials said.

Crews in Sarasota County were assessing flooding, and the county was asking residents to reduce their water usage, as its water reclamation facilities were "reaching treatment capacity," said county spokeswoman Crystal Pruitt.

The hurricane center narrowed the warning area for Debby on Monday. A tropical storm warning was in effect for the Florida Gulf Coast stretching from Destin to Englewood, Florida.

The storm was expected to continue moving slowly northeast or east-northeast over the next couple of days, forecasters said. Little change in strength was expected.

A revised forecast track showed Debby remaining a tropical storm until it makes landfall early Thursday near Apalachee Bay, Florida -- in the bend of the state where the Florida Panhandle ends. The storm is then expected to cross the state of Florida and head into the Atlantic Ocean south of Jacksonville as a tropical depression on Saturday.

Seminole, Florida, received more than 10 inches of rain on Sunday, according to preliminary 24-hour totals from the National Weather Service. Pinellas Park, Florida, received nearly 9 inches, and the Apalachicola, Florida, airport received 8.65 inches, according to the weather service. The Ocala, Florida, airport measured nearly 8 inches.

Other preliminary rainfall totals included 6.68 inches in Wakulla, Florida; 6.58 inches in Orange Springs, Florida; and 6.27 inches in St. Petersburg.

On Sunday, two apparent twisters destroyed four homes in Florida's Highland County, said Gloria Rybinski, emergency operations spokeswoman for the county. A woman was found dead in a home in Venus, located in the middle of the state between Port St. Lucie and Sarasota, Rybinski said.

About 35,000 people statewide were without power, Bryan Koon, director of the Florida Division of Emergency Management, told reporters. "That number is going to fluctuate as we go through this week," he said.

Follow Bay News 9's live blog

The Sunshine Skyway bridge, which stretches over Tampa Bay and connects Bradenton with St. Petersburg, Florida, was closed Sunday because of high winds and remained closed Monday, Pinellas County officials said.

Winds in the area have been clocked at 20 to 30 mph with higher gusts, according to CNN affiliate Bay News 9. Seas were between 12 and 15 feet.

Residents of a Tampa retirement home were evacuated Monday, the Hillsborough County Sheriff's Office said. The Sunrise Village Retirement Home "is located in an area that is prone to flooding and the water is up to the building right now," authorities said in a statement Monday morning. About 90 residents were being moved to other Sunrise Village facilities, the sheriff's office said.

Debby's effects were being felt as far north as Hilton Head Island, South Carolina. CNN iReporter Greg Dee was on the beach when one of Debby's rain bands passed through.

"It began picking up sand and you could actually see it moving down the beach with the wind," he said. "It felt like my legs were being sandblasted."

Video from the Tampa area showed drivers inching through water on a flooded street Sunday night, with at least one stranded. The floodwaters were beginning to recede Monday morning, but several stalled cars remained on flooded roadways, CNN affiliate WTSP reported.

Forecasters warned the combination of a storm surge and the tide would cause coastal areas to be inundated with water.

An area from Apalachee Bay to Waccasassa Bay, Florida, could see a 3- to 5-foot surge, while Florida's west coast south of Waccasassa Bay could see 1 to 3 feet. An area stretching from southeastern Louisiana to Apalachee Bay, Florida could get a 1- to 3-foot surge, according to the hurricane center.

Officials in Alabama and Louisiana have said they are monitoring Debby's progress, given uncertainty regarding its path.

The storm has raised concerns for those working on 596 manned oil and gas production platforms throughout the Gulf, run by various companies.

Shell said Sunday that it had evacuated 360 staff members the previous day and was planning further evacuations. However, given the forecast shift that showed Debby steering clear of Louisiana, Shell said Monday it was in the process of redeploying staff. "By end of day Tuesday, we will be back to normal operations across the Gulf," the company said.

ExxonMobil said Sunday it had "evacuated nonessential personnel" from its offshore facilities and was preparing to evacuate the rest.

And BP spokesman Brett Clanton said Sunday evening that the company has evacuated the "majority of our offshore personnel in the Gulf of Mexico" due to Debby. "Those unable to be evacuated will shelter in place for the storm," he said.

CNN's Sarah Dillingham, Meridith Edwards, Kim Segal and Ashley Hayes contributed to this report.

@highlight

NEW: Widespread flooding is reported in Florida

@highlight

Florida's governor declares a state of emergency

@highlight

A woman was killed after apparent tornadoes hit central Florida

@highlight

Debby is expected to dump 10 to 15 inches of rain over the Florida panhandle