(CNN) -- In my previous CNN opinion piece, I explained to readers my reasons why President Obama should not be re-elected. Many keen readers responded: If those are the reasons to vote against Obama, then what are the reasons to vote for Mitt Romney?

Opinion: Why debate is crucial for Obama, too

This is an entirely fair question; Romney's obligation is to make the case to the American people why he should be president. Here, then, are my reasons to vote for Romney.

Business and management career success

The American economy is in desperate need of a turnaround artist. Mitt Romney has made his career in the private sector doing exactly that -- turning around failing business and enterprises.

During his time at Bain Capital, Romney was responsible for building companies that Americans shop at everyday -- Staples, Domino's Pizza, Sports Authority, and Brookstone. Of course, not all of his investments were successful and some companies failed, but on the whole, Bain Capital's returns for its investors were nothing short of stellar.

In its independent analysis of Bain's record, The Wall Street Journal reported, "Bain produced about $2.5 billion in gains for its investors in the 77 deals, on about $1.1 billion invested. Overall, Bain recorded roughly 50% to 80% annual gains in this period, which experts said was among the best track records for buyout firms in that era."

How to watch, clip and share the debate

Romney was one of the most successful venture capitalists of the late 1980s and 1990s. The Obama administration attacks Romney's business career, but praises that of billionaire investor and Berkshire Hathaway CEO Warren Buffett. That's quite the double standard. Perhaps, they should heed President Bill Clinton, who called Romney's business record "sterling."

Opinion: Obama, light a cig; Romney, throw deep

Romney's success didn't end at Bain. In 1999, he left to rescue the Salt Lake City Winter Olympics from the verge of collapse. Romney took control and managed the Olympics from debt and disaster into a national success.

If Romney can thrive in the private sector, where 5 of 10 small businesses fail within five years, and the public sector, where regulations and inefficiencies often stifle success, surely he can help the U.S. economy back to its feet.

Executive governing experience

Romney took office as governor of Massachusetts in 2003, at a time when the state was undergoing its own recession. After the dot-com bubble burst, Massachusetts lost more than 200,000 jobs and had a $3 billion budget shortfall.

Romney closed the budget deficit without raising state taxes, but by raising fees and closing tax loopholes. Although the number of jobs created during his term was ranked near the bottom compared with other states, Massachusetts did progress from shedding jobs to creating tens of thousands. The unemployment rate dropped from 5.6% to 4.7%. And he accomplished all this with a Democrat legislature.

According to the National Assessment of Educational Progress, Massachusetts topped the nation in eighth grade math and reading scores in 2007, the last year of Romney's term.

While Romney did inherit what was arguably already the best school system in the country, he continued his own conservative reforms and was a good steward of the state education system in place. Today it consistently ranks as the best state education system in the United States. And thanks to Romney's state-led health care reform, in 2012, Massachusetts had the lowest percentage of uninsured, at 4.9%, according to a Gallup survey.

Character and leadership

To hear many in the mainstream media describe Mitt Romney, he's out-of-touch, stiff, insensitive and uncaring. In reality, Mitt Romney, the man, husband and leader, is a deeply benevolent, compassionate, and generous man.Â But he must tell his story.

For example, in July 1996, Romney closed down all of Bain Capital and sent his employees to New York City to search for the 14-year-old daughter of Robert Gay, a partner at Bain Capital. She had snuck off to a rave party in New York City and had been missing for three days. Romney set up a command search center in New York City, coordinated with the New York Police Department, put up posters all over the city, and sent out alerts. It wasn't long before the young girl was found in a basement suffering from ecstasy withdrawal. Referring to Romney's efforts, Gay said: "It was the most amazing thing, and I'll never forget this to the day I die."

Opinion: Why you shouldn't vote for Obama

At the Republican Convention, Ted and Pat Oparowski told the tear-jerking story of their 14-year-old son, David, who was diagnosed with terminal Hodgkin's disease. Romney visited him frequently, becoming a close friend. At David's request, he wrote the young man's will and gave the eulogy at his funeral. These are the untold stories of a good and decent man.

In 2011, Romney and his wife, Ann, gave almost 30% of their income to charity, more than $4 million. As Romney likes to say, compassion isn't measured by welfare or food stamps, but by the ability to lift people off welfare and food stamps. Each year he gives millions of his own dollars to help people in such a way.

Romney's plan

After four years of President Obama's failed economic leadership, Romney would bring to the White House a specific, detailed plan for returning to fiscal responsibility and job creation.

His plan would cut federal spending as a share of GDP to 20% by 2016. It would reform our complex tax code by reducing tax rates 20% across the board while eliminating loopholes, specifically those for the highest earners, and maintaining revenue neutrality. It would also reduce the U.S. corporate tax rate, now the highest in the world, to 25%.

Under a Romney administration, the largest drivers of our debt would be reformed by giving more choice and responsibility to individuals rather than bureaucrats for managing their Medicare and Social Security. In the case of Medicaid, it would be block granted and sent back to the states. Romney's plan will reduce onerous regulations and taxes, like Obamacare, and usher in a new era of fiscal certainty for business owners and entrepreneurs.

In debates, presidential candidates' tics and tells matter

Romney will also champion energy independence, will approve the Keystone pipeline and stop the Environmental Protection Agency's regulatory war on coal. Borrowing from his experience in Massachusetts, Romney will push for more school choice for parents and students, performance pay for teachers, and, with 3 million skilled jobs going begging, new skills training for skilled workers.

Finally, his pick of Rep. Paul Ryan as his vice presidential candidate cements his conservative credentials as a fiscal reformer bent on tackling the debt and entitlements, something our current president ignored.

Romney's experience and success in both government and business, his leadership in public office, as well as his compassion in private, make him a man qualified and equipped to lead America's comeback, certainly more qualified than Barack Obama before his candidacy for the White House in 2008.

The opinions expressed in this commentary are solely those of William Bennett.

@highlight

William Bennett says Romney's business acumen gives him an advantage at fixing economy

@highlight

Bennett: Romney is portrayed as uncaring, but he is compassionate and generous

@highlight

Bennett: He would cut federal spending as a share of GDP to 20%, reform tax code

@highlight

Romney will approve the Keystone pipeline and stop EPA's war on coal, he says