(CNN) -- Superstorm Sandy has caused more damage, death and homelessness in New York and New Jersey than any climate-related event in living memory. Yet with two damaging hurricanes two years in a row, and with what science is telling us, this does not feel like a once-in-a-lifetime event. It feels like a trend.

With what we know about rising sea level and what we understand about the rate of world warming and how tropical storms pull their strength from the temperature of the ocean, Sandy feels like a very harshly spoken word to the wise.

And so the answer to the question "What should we do next?" may be difficult, with truly profound implications. I think we really have only two viable long-term building options: 1) Barricade. 2) Retreat.

Rebuilding is not a viable option. And what would we barricade? The whole Long Island to southern New Jersey area? Boston to Washington? The East Coast?

Opinion: What's next after Superstorm Sandy?

The Netherlands relies on dikes to keep out the sea. There are gates in England to close rivers to storm surges of the kind that last week blew open my friend's garage door on 22nd Street east of 11th Avenue in New York City, suddenly washing him to the back of his studio, submerging him briefly, floating tons of his art-making tools and ruining decades of drawings and the tools of his trade. Others fared worse, of course.

One of my neighbors nearly drowned trying to walk from her home to higher ground half a mile away; two unknown heroes in survival suits wading in waist-high water appeared at the height of the storm and pulled her and her swimming dogs into a canoe and walked them to safety. Her house remains habitable, unlike many others along the coast of Long Island, New York and New Jersey.

Map: See images of destruction, recovery across the East Coast

By flooding areas that few suspected were within the reach of seawater, Sandy told us that the "coast" is a wider ribbon than we thought it was last week.

So for the hard questions: Should people rebuild? Should the whole country pay for it?

I certainly love shoreside living. I love walking the beach in the morning with my dogs. I love my boat and the people at Montauk's Westlake Marina where I keep it.

I love many facets of the always dynamic water borderlands, the birds and fishes, the turtles and dolphins and other creatures who, in their seasons, draw tight to our coastline. There is magic. And part of that magic is its timelessness. And part of the timelessness is that as the coast changes, the coast is what remains. And yet it moves.

I have federal flood insurance, thank you. But really, it's time you considered cutting me off.

I am not against people taking their chances along the shore. Risk is part of what draws us. But the risk should be ours to take and bear if we want to.

Federal flood insurance is a counterproductive way for the rest of the country to subsidize people -- putting billions of dollars and millions of lives at continuous risk, encouraging wholly inappropriate development. And it encourages larger, more expensive homes (often second homes) than fewer people would build if their insurance premiums reflected real risk.

In fact, few private insurers will touch most of these places. Let us think twice, fully comprehend that the stakes are ours alone, and then let those of us willing to risk it take our chances.

The government should at this time help victims get their lives back on track. But no federal dollars should magically appear for rebuilding in flood-prone areas. The spots that flood will take repeated hits. Everyone knows this. To help people rebuild in those places is to help put lives and investment in harm's way. It's foolish.

Where I live, the houses that stayed dry are the ones just high enough to let water flow around into the extensive, protected wetlands. The houses that flooded stand where water goes on its way to wetlands.

Eatocracy: Volunteers dish up support after Sandy

Wetlands are wet for a reason. We would be wise to rebuild in ways that let water flow around dwellings into restored wetlands. Then, two things would start happening:

One: Wetlands, recovered oyster reefs, fish nurseries and wildlife would all be part of a revitalized coastal protection strategy that simultaneously includes recovery of valuable living resources.

Two: The taxpaying public could begin to regain access to the coast for recreation, access too often denied by private development that is largely enabled by taxpayer-funded federal flood insurance.

Eliminating taxpayer-funded flood insurance to people now insured in low, flood-prone areas (including where I live) can be done compassionately, honoring existing insured persons with funding in the aftermath of this wreckage.

But importantly, insurance that would up to now go for rebuilding should be redirected toward relocation and resettlement. That is easier said; for many, relocation would be wrenching. But losing your home or your life can be wrenching, too.

Insurance for new building in flood-prone areas should be ended. People who really want to take their chances should do just that, or pay real commercial insurance premiums if they can find a willing insurer. Eventually even Lloyd's of London will likely decide it's had enough. Insurers must be realistic about risk in ways politicians don't have to be.

Will we choose a wiser course that recognizes that we're still in the path of the next big storm? I wouldn't bet on it.

The nonviable option -- to keep rebuilding all the time -- is what people will likely choose. From a decision-making viewpoint, it's easier to make no decision. But the frequency of big storms appears likely to increase in the Northeast. It's not a time for easy decisions, because we won't be faced with easy events.

The opinions expressed in this commentary are solely those of Carl Safina.

@highlight

Safina: New York, New Jersey has been hit with two hurricanes in two years

@highlight

He says the two choices are to barricade the coast or retreat

@highlight

Safina: Rebuilding with federally subsidized insurance puts lives, investments in danger