LONDON, England (CNN)  -- A new shoe outfitted with a GPS chip aims to offer peace of mind to Alzheimer's patients and their caregivers.

It's common for people with Alzheimer's or other types of dementia to wander from their homes.

The embedded GPS tracking system will allow the wearer of the shoe to be located instantly online and for their whereabouts to be monitored in real time.

The shoe may offer hope to the growing number of people with Alzheimer's disease. More than 26 million people worldwide live with Alzheimer's, and the figure is set to exceed 106 million by 2050, according to researchers at the Johns Hopkins Bloomberg School of Health.

"This could not only save lives but potentially save governments billions in search and rescue operations," Andrew Carle, a professor at George Mason University who was an adviser for the project, told CNN.

Patients of Alzheimer's, the leading cause of dementia, can easily become confused or disoriented, and it's common for them to wander from their home and not be able to find their way back.

The shoe is the latest in a wave of assisted-living devices, from home sensor systems to pill boxes that remind people to take their medication, targeted at keeping Alzheimer's patients safe.

Kathi Cordsen, an iReporter from Fullerton, Calif., whose aunt has Alzheimer's, welcomed the development of the shoes.

"It's really sad how this illness creeps up on a person out of the blue," she said. "I think these shoes could help quite a few families to be able to keep [their loved ones home] instead of putting them in a home."

What do you think about GPS-outfitted shoes? Tell us in the SoundOff below

Carle, an expert in aging and assistive technologies, said businesses are honing in on ways technology can improve the quality of life for older adults. The market for microchip-based technology alone is worth an estimated $5 billion, he said.

While tracking devices may help those with dementia live independently, they have also raised ethical concerns about informed consent and personal privacy, according to Gayle Willis of the Alzheimer's Society in the UK.

"As long as people with dementia are involved in the decision-making progress, assisted living technologies can play an important role to help people live well with dementia," she told CNN.

But, Willis noted, they cannot be a substitute for good quality care and more research needs to be done to see what products work best for people.

The shoe is a collaboration between GTX Corp., a firm that specializes in miniaturized GPS tracking devices, and footwear company Aetrex.

Details are still being worked out, but GTX Chief Executive Patrick Bertagna expects the shoe to retail for around $200 to $300.

For a monthly fee of about $20, caregivers will also have the option to subscribe to a GTX service that automatically alerts them when the wearer of the shoe leaves a designated boundary.

Sixty percent of Alzheimer's patients will get lost at least once, said Carle. Because they often will not seek help or respond to assistance, nearly half of them risk death if not found within 24 hours, he said.

Electronic wristbands and ankle bracelets have been used to track sufferers of dementia before, but those devices tend to be bulky and uncomfortable. The shoes, on the other hand, are designed to be unobtrusive.

Testing of a prototype is expected to be completed by the end of the year and the shoe will likely be rolled out in  2010.

@highlight

Shoe with GPS system aims to improve safety of seniors with dementia

@highlight

Alzheimer's patients often wander from home and can't find their way back

@highlight

Device would locate them if they get lost and allow caregivers to monitor them