Washington (CNN) -- After hinting for months that he would start a "trusted traveler" program to expedite screening at airport checkpoints, Transportation Security Administration chief John Pistole took his first step in that direction Thursday, announcing a pilot project for passengers who voluntarily release certain information about themselves.

The pilot project initially will be small, limited to a select group of travelers and to people already enrolled in existing programs run by border officials.

Nonetheless, the travel industry and some politicians hailed it as a major change of philosophy that eventually could have a major impact on airport screening, diverting security from known individuals and focusing attention on unknown travelers and suspected terrorists.

The TSA disclosed few details about the inner workings of the program. But industry officials briefed by the TSA said eligible participants will get to forgo some of the banalities of checkpoint searches -- such as removing shoes and jackets, and taking computers from carry-on bags.

Participants also likely will be directed through magnetometers instead of through full-body imagers, which take more time and have raised privacy concerns, they said.

The pilot project will begin this fall.

"These improvements will enable our officers to focus their efforts on higher risk areas," Pistole said. He called it a "common sense step" that will strengthen overall security.

"I think they're definitely headed in the right direction," said Stewart Verdery, former assistant secretary of the Department of Homeland Security, and partner in the Monument Policy Group. "I think the time is right. With travel loads increasing and with budgetary pressures, they need to find a way to do more with less."

"This is a signal from Administrator Pistole that he's not going to sit idly by and let the system be," said Geoff Freeman, executive vice president of U.S. Travel Association. "We hope this is a first step to wholesale reform, and kudos to him for having the courage to do that.

The pilot test initially will be available only to certain frequent fliers on American and Delta airlines -- flying out of certain airports. Delta passengers must be flying out of Atlanta and Detroit airports, and American Airlines passengers must be flying out of Miami and Dallas airports.

It is also open to participants in Custom and Border Protection's Trusted Traveler programs, including Global Entry, SENTRI, and NEXUS.

All participants must be U.S. citizens.

The TSA said it plans to expand this pilot program to include United, Southwest, JetBlue, US Airways, Alaska Airlines and Hawaiian airlines, and additional airports, once operationally ready.

Currently, the TSA vets passenger lists against "watch lists" of known or suspected terrorists. But the TSA is working with a very limited amount of information about those passengers -- namely a person's full name, date of birth and gender. Under "trusted traveler" programs, travelers voluntarily surrender more information about themselves, giving the government more assurances of who they are.

The amount and nature of the information that will be sought was not disclosed.

In recent years, there has been a drumbeat of calls for the TSA to adopt a trusted traveler program. Congress and critics have stepped up that demand following two highly publicized incidents, one involving the search of a 6-year-old girl, and the other involving a 95-year-old cancer patient. In both cases, the TSA has said the airport screeners were following established protocols.

But the TSA also has said it is working toward a "risk-based" trusted traveler program that could expedite travel for people believed to present little risk to aviation.

The TSA said Pistole will work with Customs and Border Protection Commissioner Alan Bersin and the airlines to determine passenger eligibility for this screening project, which is voluntary.

All passengers in the pilot project will be subject to recurrent security checks.

Verdery said that for the project to be successful, participants will want "predictable" wait times, and assurances that they will go through different screening. Travelers also will want their reviews based on their individual characteristics, and not solely their relationship with their airline, since many travelers use multiple carriers, Verdery said.

Verdery and Freeman both said it is crucial that special lanes be devoted to the trusted travels to expedite their passage.

Security experts have long expressed concern about so-called "clean skins" -- potential terrorists who enroll in "trusted traveler" programs to avoid scrutiny during a terror mission. But the TSA says it will continue to incorporate random and unpredictable security measures to address such concerns.

Pistole said other layers of security will remain in place, including intelligence gathering and analysis, explosive-detection canine teams, federal air marshals, closed-circuit television monitoring and behavior detection officers.

@highlight

TSA announces pilot program

@highlight

The plan is to ease screening for travelers who provide additional personal information

@highlight

If successful, the program would likely be expanded to more travelers

@highlight

The pilot program will begin this fall