Editor's note: Ken Ballen is president of Terror Free Tomorrow: The Center for Public Opinion, a nonprofit institute that researches attitudes toward extremism. Patrick Doherty is deputy director of the American Strategy Program at the New America Foundation, a think tank that promotes ideas across the ideological spectrum.

Kenneth Ballen says whoever won the election, Iranians strongly favor free elections and a free press.

(CNN) -- In a poll conducted three weeks before Iran's June 12 vote, our nonprofit organizations found a consensus among Iranians, including almost all of those who told us they would vote for President Mahmoud Ahmadinejad. And that consensus is that Iranians want a truly democratic system.

Given Iranians' own priorities for their government, the events of the past few days may ultimately weaken President Ahmadinejad's standing -- even among those who did vote to re-elect him.

In fact, our survey found that more than 86 percent of Iranians who said they would vote for Ahmadinejad also chose ensuring free elections and a free press as among the most important priorities they have for the Iranian government.

The recent events -- the early announcements of election returns, the shutting down of communications networks, the massive protests and now the bloodshed -- have the potential to change what was once an electoral contest into a broader struggle for the soul of the Islamic Republic and the future of Iran itself.

Let us be clear: Our polling indicates that the government's actions run counter to the priorities of almost all Iranians, including its own supporters. And our survey shows beyond dispute that Iranians of all political persuasions want more democratic freedoms, not less.

Our op-ed published on Monday has drawn much attention -- and misunderstanding. Our nonprofit organizations conducted the only independent and transparent nationwide public opinion survey in Iran before the June 12 vote. The poll found that Ahmadinejad was leading his nearest opponent, the more reform-minded candidate Mir Hossein Moussavi, by a more than 2-to-1 margin, with almost a third undecided.

Our poll concluded three weeks before the election. It does not predict the final vote, nor does it measure a possible surge for Moussavi, which many believe occurred in the final weeks. Instead, as we wrote on Monday, our survey indicates "the possibility that the vote is not the product of widespread fraud" because of Ahmadinejad's formidable early lead.

This single finding, however, has obscured our most important findings, and their significance to what is now enfolding in Iran.

Nearly 80 percent want the right to vote for all their leaders, including the all-powerful supreme leader, while nearly 90 percent chose free elections and a free press as the most important goals they have for their government -- virtually tied with the top priority of improving the Iranian economy.

And here is the most important fact of all: More than 86 percent of those who told us they support Ahmadinejad also choose free elections and a free press as their most important priorities for their leaders. In other words, in our survey, Ahmadinejad supporters back real democratic reforms in Iran as much as supporters of the more avowedly reform candidate Moussavi.

Put all together, our polling shows that Ahmadinejad, running a competent campaign, may have had enough support three weeks before the vote to possibly win the election under the electoral rules as they stood. With Ahmadinejad's early lead, it is possible that the vote reported did actually reflect the will of the Iranian people, though now, it is impossible to know. Analysts pore over "ambiguous" election results

Yet the government's actions since the election may have changed the debate in Iran from being about candidates to being about democracy. While we do not know whether the election results were rigged, the government's handling of the election itself runs counter to principles of democracy, free press and free elections -- goals our polling shows almost all Iranians, whether or not they support Ahmadinejad, strongly support.

Moussavi appears to understand this. Yesterday in a massive rally in Tehran, Moussavi stated as much, saying "The vote of the people is more important than Moussavi or any other person." Meanwhile, the subsequent killing of protesters by government security forces will likely only work against Ahmadinejad and by extension now, the supreme leader, even among more than 86 percent of their supporters.

While our poll showed Ahmadinejad with an early commanding lead, by the government's post-election response, the irony is that Ahmadinejad may indeed end up stealing the election -- from himself.

The opinions expressed in this commentary are solely those of Ken Ballen and Patrick Doherty.

@highlight

Ballen, Doherty: Iranians, including Ahmadinejad backers, want more democracy

@highlight

They say their poll can't determine whether Moussavi had a late surge

@highlight

They say government actions have shifted debate to democracy not to who won