Egypt's former longtime ruler Hosni Mubarak was cleared of charges in a retrial Saturday and could soon be released -- a stunning reversal for a man who faced life imprisonment or worse after a revolution toppled him in 2011.

A Cairo judge dismissed charges linking Mubarak to the deaths of hundreds of protesters during the 2011 revolt and found him not guilty of corruption.

Mubarak, who ruled Egypt as president for 29 years, was stoic as his supporters in the courtroom cheered the decision that capped a months-long retrial. The 86-year-old, reclining on a hospital gurney in a defendants' cage, nodded while fellow defendants kissed him on the head.

Later, he told the country's Sada ElBalad TV station in a brief phone interview that he "didn't commit anything."

"I laughed when I heard the first verdict," he said of the first trial. "When it came to the second verdict, I said I was waiting. It would go either way. It wouldn't have made a difference to me either way."

Prosecutor-General Hisham Barakat will appeal the verdict, Egypt's government-controlled Al-Ahram newspaper website reported early Sunday.

Mubarak was convicted in 2012 of issuing orders to kill peaceful protesters during the country's 2011 uprising and was sentenced to life in prison. He appealed and was granted a new trial last year.

Also acquitted Saturday were Mubarak's former Interior Minister Habib el-Adly and six of el-Adly's aides, who'd been accused of being connected to the deaths of 239 protesters as security forces cracked down on them in 2011. Mubarak's two sons also were acquitted Saturday of corruption.

Mubarak still has a three-year sentence for a previous conviction for embezzlement, but it wasn't immediately clear how much time he's already been credited with, and therefore when he will be free.

CNN's efforts to reach Mubarak's lawyer Farid El-Deeb for comment weren't immediately successful.

Both sides have alleged that Mubarak's trials have been politicized, with supporters arguing he was unfairly vilified and opponents fearing that he'd be acquitted as memories of the revolution faded.

His legal fortunes did seem to parallel the political climate -- just last year, Mohamed Morsy, the Islamist who became Egypt's first democratically elected president, supported a retrial with the backing of his supporters, who argued Mubarak should have received a death sentence rather than life in captivity.

But Morsy himself was deposed by the military in July 2013, as opponents accused him of pursuing an Islamist agenda at the exclusion of other factions.

And now the Arab Spring revolt that ousted Mubarak has come nearly full circle -- Mubarak appears close to freedom; Morsy is jailed, his Muslim Brotherhood banned; and Morsy supporters allege the current government has returned to Mubarak's authoritarian practices.

Explaining the verdict

Judge Mahmoud el-Rashidy said he dropped charges against Mubarak because Cairo Criminal Court didn't have the jurisdiction to try him for the protesters' deaths.

The judge said the case that prosecutors initially referred to the court listed only el-Adly and his aides as defendants -- not Mubarak himself.

But after mass protests pressured the prosecutor general to question Mubarak, a second referral was made to the court, and the two cases were merged into one.

Lawyer Hoda Nasralla, who represents the families of 65 slain and injured protesters, said the inclusion of Mubarak in a second referral should have trumped his exclusion in the first.

"The judge shied away from directly acquitting Mubarak even though he was accused of conspiring with Adly, and Adly was acquitted," she said. "The judge resorted to formalities instead."

'I want only God's retribution'

Salway El-Sayed, mother of one of the slain 2011 protesters, sat down on a sidewalk outside the court after she heard Saturday's verdicts, praying to God to deliver justice.

She broke down in tears, her hands shaking, as she recalled her son Tamer Hanafy, who was killed in January 2011 at Cairo's Tahrir Square, epicenter of the uprising.

"I'm worried my son's blood would go in vain," she said. "Our children's blood isn't cheap. Their blood is precious, like any other blood."

"I don't want execution," she continued. "This won't bring back my son ... I want only God's retribution. Nothing more."

Tahrir Square was closed to traffic following Saturday's verdicts.

One man was killed and nine people were injured as several hundred demonstrators clashed nearby with Egyptian security forces, Egyptian Ministry of Health spokesman Hossam Abdel Ghaffar told CNN.

Police fired tear gas and bird shot at the protesters. The Ministry of Interior said police were pelted by rocks before the incident escalated.

The human rights group Egyptian Initiative for Personal Rights, whose lawyers represented more than 60 civil plaintiffs in the case, said that Saturday's verdict solidified the impunity that it says security forces and their leaders enjoy.

"Justice was dealt another severe blow," the group said in a news release.

How it started

In January 2011, throngs of Egyptians filled the streets of Cairo to decry the country's poverty, unemployment and repression. Protesters called for Mubarak to step down but were met by a fierce and often violent government crackdown. Mubarak eventually stepped down in 2011.

That freed up long-supressed Islamist movements, including the Muslim Brotherhood, to run for office. Morsy, backed by the Brotherhood's Freedom and Justice Party, became president in June 2012.

But Morsy was ousted in a coup about a year later amid widespread protests against his rule. Since then, Cairo's military-installed government has banned the Brotherhood, calling it a terrorist group -- an allegation it denies -- and accusing it of being behind a wave of deadly attacks on police and the military.

Many Islamist and secular activists have been arrested and given lengthy sentences. A restrictive protest law and repeated deadly crackdowns on demonstrations followed.

Abdel Fattah el-Sisi, the general who led Morsy's ouster, was elected president in May after leaving the military to run for the office.

Not free yet

Since Mubarak stepped down in February 2011, the ailing former ruler has appeared in court numerous times on a variety of charges, often  wheeled in on a gurney. His lawyers say he suffered health problems after his 2011 arrest, including a stroke, and he has served much of his prison time at a military medical facility.

In May, a Cairo court sentenced him to three years in prison for embezzlement. His sons Gamal and Alaa were sentenced to four years each on the same charge.

All three were convicted of embezzling $18 million that was allocated for the renovation of presidential palaces. The Mubaraks have insisted they are not guilty.

@highlight

Mubarak tells Egyptian TV station: "I didn't commit anything"

@highlight

The 86-year-old is still serving a three-year sentence for embezzlement

@highlight

One man killed, nine people injured in protest near Tahir Square

@highlight

Prosecutor tell state media he will appeal verdict