Monrovia, Liberia (CNN) -- It's not often that you see the words Liberia and holidays in the same sentence, but with 10 years of peace behind it, the West African country is now hoping to attract investment to create a booming hospitality industry.

Like many of his countrymen, Amin Modad left Liberia in the late 1990s to seek refuge in the United States during the country's ruinous civil war.

The conflict ended in 2003 and when Modad returned home two years later, he quickly recognized an opportunity where he could use the business skills he'd gained abroad.

"It was evident there was a need to develop the hospitality sector," says Modad, chief executive of the Bella Casa hotel and restaurant.

Read this: Liberia's guns become weapons of mass creation

With just a few full-service hotels operating in the country, Modad decided to convert his parents' small house in the capital of Monrovia into a boutique hotel.

"At that time ... we saw an influx of investors, an influx of NGOs, but yet still Liberia did not have the capacity to cater to them," he says. "I think at one point in time (2005, 2006) it was stated that Liberia had not even close to 200 good decent rooms."

Standing skeletons

The civil war left an estimated 250,000 people dead and many more displaced. It also destroyed much of Liberia's economy and infrastructure.

The country's hotels were also victims; to this day, the skeletons of two of Liberia's biggest hotels -- Ducor Intercontinental and Hotel Africa -- still stand, serving as a grim reminder of the impact the war had on the country.

"Before the war, Liberia had a couple of very good hotels," says Modad. "In fact, the Ducor Intercontinental, from what we know, was one of the first five-star hotels in Africa."

High costs

Political stability over the past decade, coupled with growing government revenues thanks to the mining sector, has allowed for the building of some essential infrastructure.

Yet the re-development is far from complete -- Liberia's main source of power, its hydroelectric dam, was also shattered during the war, leaving the power situation in the country very unreliable to this day.

As a result, any business that depends on constant electricity must rely on costly generators.

"We do not have adequate electricity -- public electricity -- or water supply," says Modad, sitting inside his hotel. "It costs me close to $10,000 to $11,000 a month just to provide electricity for such a small establishment," he adds.

Read this: Holidays in Somalia, anyone?

With rainforest, sandy beaches and an emerging surf scene, Liberia has its attractions. But it takes more than attractions to create a vibrant tourist destination.

Axel M. Addy, the Liberian minister of commerce and industry, admits that entrepreneurs betting on an upward trend in the hospitality industry face many challenges. He says that high energy costs and skills shortage make hotels a difficult enterprise to venture into.

"Right now, if an investor wants to build a resort here, they have to build the entire infrastructure," says Addy.

Potential for growth

This need for self-sustainability is something that J.J. Vodak, general manager of the RLJ Kendeja Resort & Villas, Liberia's largest resort just outside Monrovia, knows too well.

"We have our own water plant, our own sewage plant, our own generators and so on," says Vodak. "So basically we're fully independent in anything that we are doing."

Yet Vodak is optimistic about the progress he sees in Liberia's development, encouraged by the country's stable political environment.

"The potential for growing is there," he says. "The stability of the political situation plays an enormous role because that allows for people to come here and feel comfortable that 'OK, we're going to spend x amount of millions of dollars in this country but it's not going to go down south, it will continue to stabilize.' There is a potential return investment."

Read this: The woman fixing Liberia's water crisis

Addy agrees that, despite the challenges, there is a reason to be optimistic.

"This country is a gift, it's a tourist attraction waiting to happen," he says. "If the energy situation comes under control -- and we're making investments in energy right now and we're talking to our partners to see how we can fast track that process -- would then make us more competitive and more attractive for some of these opportunities."

Back at Bella Casa, Modad says that he plans to continue expanding his hotel, as well as build another one in the city of Buchanan. He foresees that the investments he's making now will pay off down the road, but urges the government to provide support to those entrepreneurs interested in investing in the country.

"I would like to encourage Liberian investment into the sector," he says. "But to have that the government needs to provide the incentive to Liberian enterprises, Liberian entrepreneurs, who are willing to take such risks."

@highlight

The West African nation of Liberia is celebrating 10 years of peace

@highlight

The country's hospitality entrepreneurs are trying to foster the sector's growth

@highlight

Insiders say the industry has potential for growth but still faces many obstacles

@highlight

High energy costs and lack of skills are some of the challenges