Newtown, Connecticut (CNN) -- The school buses usually rolled into the grounds of the Hawley School around 8:30 a.m., carrying dozens of elementary school children.

But today, the grounds were empty of students, teachers and staff -- as were the six other public schools in this town where the unimaginable happened.

The yellow buses were replaced with black vans with tinted windows carrying friends and family. They pulled up outside the town's only funeral home as Newtown buried the first of its slain youth.

A steady stream of mourners strolled down Main Street. Dads in black trench coats held the hands of their wives, their boys dressed in coats and ties, their girls in dress pants.

They walked, heads bowed, to the Honan Funeral Home, a white colonial house where people have helped bury Newtown's dead since 1903. They tried to ignore the chaotic scene outside: the black vans, police cars, and TV news satellite trucks.

This was another new day in Newtown, the first weekday since the massacre at Sandy Hook Elementary School. Sunday night's interfaith service was over. President Obama was back in Washington. Schools were closed.

What can you say? How can you explain this heinous act on the nation's most innocent?

Christmas presents, already wrapped and under the tree, will go unopened next week. Siblings will miss their brothers and sisters for the rest of their lives. And the very fabric of a quaint New England community has been altered. Forever.

We have to do better ...

Those were the words of the president as he spoke to the community and the nation. A refrain that's now become a mantra in town. A statement so powerful it evokes tears from moms, dads, grandparents who repeat it.

And it's true.

Twenty-six dead -- 20 children, all aged 6 and 7.

It's unfathomable. And also so real, here.

Every hour or so, a police car or ambulance or fire engine roars down Main Street with its sirens blaring.

Residents shudder. Oh, no, what now?

Teachers were heroes in the face of death

Reporters, their eyes swollen from shedding their own tears, struggle to ask questions. Residents understand.

Newtown on Monday bid farewell to two 6-year-old boys: Jack Pinto, whose love of sports ran the gamut, but none so deep as football; and his classmate, Noah Pozner, whose family said he could get what he wanted just by batting his long eyelashes.

It's just the beginning of a long healing process, a realization that the normalcy residents awoke to last Friday will never return.

Many flocked to the Newtown General Store, a deli that has long served as a hub of community activity. Among its specialty sandwiches is The Sandy Hook, hot roast beef with bacon, melted cheddar and ranch dressing.

Bob Jacobs, a father of four young children, brought two of his sons to the sandwich shop after paying their respects at Jack Pinto's funeral.

Peace on this day, he said, was "just having the kids come in the bed with you in the morning. ... That's when it's all kind of normal."

"It's weird because you'll run into things that will remind you of before the tragedy happened and it feels like a normal day," he said. "And then, you'll run into things that remind you of what happened."

Members of the news media are everywhere, as are police officers. The deli provided a respite from the madness.

The tentacles of what happened touch everyone in the community. Jacobs' children don't attend Sandy Hook, but they're still directly affected.

Principal's husband left with future that makes no sense

One of his boys is a close friend of Jack Pinto's brother. His 7-year-old daughter had dance class with three of the girls who were killed. He and his wife are part of a dinner club with parents of another slain child.

Lauren Rousseau was teaching at Sandy Hook on Friday when she was killed. She'd also been a substitute at the Hawley School, which three of Jacobs' children attend.

Two of his children opted to stay home from Monday's services. "We're kind of taking it individually with each kid.

"As you can imagine, there's a lot of tears."

And hugs.

Chaplains Ray and Suzanne Thompson came up from New York City, where they had been helping people struggling with the aftermath of Superstorm Sandy. The Thompsons are members of the Billy Graham Rapid Response Team and have helped at other mass shootings, including the attempted killing of Rep. Gabby Giffords near Tucson, Arizona.

They stopped in the deli for a quick bite to eat before hitting the pavement.

"The whole town is just heartbroken," said Suzanne Thompson, a retired nurse from Southern California. "As you walk the streets, people are crying and hurt and sometimes they might feel alone. And it's nice to have someone come up alongside you and cry with you and hear your story and pray with you."

The most chilling stories, she said, are from parents and teachers who were at the Sandy Hook school last Friday.

"What stands out in my mind," she said, "is just the impact that it's had on them and what they remember: the noises and the sounds and the smells. Those things are going to be burned in their minds."

The husband-and-wife team look for signs of distress. They talk with residents about the symptoms of post-traumatic stress disorder -- inability to sleep, flashbacks, loss of appetite, potential suicidal tendencies. They refer some to counseling and follow up with people to see how they're coping.

At the deli, one resident looked at the woman behind the counter as he paid for his food. "My kids are having trouble sleeping at night," he told her.

She handed him three lollipops.

Candles and tears: Portrait of a grieving town

A few blocks down Main Street, inside the town library, the sniffling voice of a grieving man could be heard coming from the stacks. "It's just ... God!" he screeched.

Downstairs, in the children's section, Alana Bennison wept behind her desk. She's been the children's librarian for 15 years. She knew nearly every child killed.

She's surrounded by thousands of books. But no amount of words, no amount of reading material, could prepare a town for such horror.

"They start here before they start school," she said, crying. "Their families have been bringing them in here, most of them since they were little, to get books."

They had recently finished a gingerbread workshop.

She has fielded hundreds of calls and e-mails from around the country, people wanting to help Newtown. She's not sure what to make of it all -- she's both touched and overwhelmed. It's only been three days.

"It's not just about this week; it's not just about the next few weeks. It's about going forward. We have a long road here, a very long road," she said.

"It will never be normal, but we need to start getting back into routines. They need to start going back to their schools, they need to start going back to the Cub Scouts and the dance lessons and karate and all the things that make up their lives."

School starts up again Tuesday for all Newtown students, except those at Sandy Hook.

In a nearby reading area, a collie named Gracie sat as five youngsters gathered around. One read to her. The therapy dog was brought in, Bennison said, "because everybody needs a little animal love."

Gracie is 7 years old, the age of four of the children killed at the school.

When one of the boys learned of the dog's age, he jumped up and down with excitement. "My sister is 7 years old," he squealed.

A glimpse into normalcy -- for just a brief moment -- in a town where innocence has been stolen.

Ways to donate in memory of the victims

@highlight

Newtown's seven public schools were closed Monday as first victims were buried

@highlight

Steady stream of mourners walked down Main Street to pay their respects

@highlight

Many flocked to Newtown General Store, a deli that has long served as a community hub

@highlight

First weekday after massacre was just the beginning of a long healing process