The latest round of peace talks with the Kurdistan Workers' Party (PKK) remains the Turkish government's best bet not just to solve the country's 29-year old "Kurdish problem" but also to feed its energy-hungry population and wean it off costly and politically risky Russian and Iranian energy imports.

To cope with a fast-growing economy and an increasing demand for energy, Turkey must ensure an adequate energy supply. So far, its power generation has largely relied on Russian and Iranian imports.

The Syria crisis, however, has created a rift between Turkey and these energy suppliers, leaving the Turkish economy vulnerable to regional dynamics and price shocks. To fuel its growing economy and reduce its account deficit driven by high prices of oil and gas, Turkey has been scrambling to find alternative energy resources.

To that end, the Turkish government has quietly been building up its energy presence in the Kurdistan Regional Government's (KRG) oil and gas industry. On March 25, Turkish Prime Minister Recep Tayyip Erdogan and KRG Prime Minister Nechirvan Barzani negotiated a framework deal that included Turkish stakes in exploration blocks and terms for the direct pipeline export of oil and gas from the KRG.

The pipeline will allow Kurdish crude oil to be transported from the KRG directly into Turkey, bypassing Baghdad and setting up the KRG as a competitive supplier of oil to Turkey.

In an effort to stave off political tension with Baghdad and Washington, the parties did not sign a government-to-government deal; instead, they turned the KRG energy portfolio over to public and private energy companies.

In the spring of this year, Turkey established a state-backed firm to explore for oil and gas in northern Iraq. In January, Genel Energy, an Anglo-Turkish exploration and production company, was awarded the right to ship oil directly from the area. Since then, the company has been exporting crude oil from the KRG's Taq Taq fields to Turkey's Ceyhan port by truck. The amount of oil exported from Taq Taq will grow significantly when the construction of the pipeline is completed by the end of this year.

The KRG's gas resources are even more appealing to Turkey. In 2012, Turkey's daily gas demand was 125 million cubic meters; this figure is likely to double this winter. As such, Turkey is expected to be one of Europe's biggest gas consumers in a decade. Kurdish gas is attractive to Turkey because the framework agreement between Turkey and the KRG includes specific terms on the price of gas. Turkey thus has leverage over pricing. Some experts have said the KRG's supplies could be three times cheaper than Russian and Iranian sources due to this leverage.

This energy cooperation between the KRG and Turkey has been expanding rapidly. About a dozen Turkish companies have applied to Turkey's energy watchdog to obtain licenses to import gas from and construct oil pipelines in the KRG, and the KRG recently granted six Turkish companies permission to explore for oil.

Last month, news leaked that a Turkish company was issued a license to import natural gas directly from the KRG. The Turkish state company Botas has also started construction of a gas pipeline from the KRG to Turkey's southeastern city of Mardin. Through this energy partnership, Turkey can secure an alternative low-cost supplier and realize Erdogan's goal of promoting Turkey as an energy hub, and the KRG can ensure its economic independence from Baghdad.

But the success of the Turkey-KRG energy partnership hinges on the peaceful resolution of Turkey's Kurdish problem. The PKK has used pipeline attacks as a means of targeting Turkey's strategic assets. Until very recently, PKK attacks on pipelines knocked out oil and gas flows, forcing Turkey to buy Russian and Azeri gas at higher prices and keeping the Iraq-Turkey route mostly idle.

In order to assure pipeline security and investment confidence, Turkey must finish what it started a year ago. In an effort to end three decades of fighting between Turkey and the PKK, Turkish intelligence started negotiations with the imprisoned PKK leader, Abdullah Ocalan, in 2012. As part of settlement talks, the PKK declared a ceasefire in March 2013 and started its withdrawal from Turkey toward its camps in northern Iraq in May. No serious fighting has been reported since, but that could change. Last month, the PKK announced that it halted its pull-out as both sides accused each other of failing to respect their part of the deal.

Late last month, the Turkish government unveiled a reform package that allows the use of Kurdish language in election campaigns, lifts restrictions on the use of the Kurdish language in private schools, abolishes the requirement to recite the pledge of allegiance that forced schoolchildren to declare that "I am a Turk," and allows Kurdish towns to use their Kurdish names.

For the Kurds, however, the reform package seems to only move forward halfway. Kurds have long asked for the right to public education in Kurdish, and the package only applies to private schools. The democratization package also does not offer concrete steps to address the Kurdish demand to lower the 10 per cent electoral threshold, which has mainly been used to keep pro-Kurdish parties out of parliament.

After the announcement, the PKK warned that it may end the unilateral ceasefire. After a visit by Kurdish politicians to the prison island of Imrali where Ocalan has been held since 1999, the Kurdish leader also relayed a message asking the government to lay the legal groundwork to address all Kurdish demands or risk a breakdown in talks.

But for the Turkish government, there is no easy way forward. With the 2014 local and presidential elections looming and no end in sight for the Syrian civil war, political uncertainty seems guaranteed. In the highly charged pre-election atmosphere, the Turkish government has to operate such that it does not alienate nationalists while at the same time keeps the peace process moving.

Yet the bigger challenge facing Turkish decision-makers is the regional fallout from the war in Syria. Turkish media is reporting that in retaliation to Turkey's stance in Syria, Iranian intelligence has been talking to the PKK leadership in northern Iraq's Qandil Mountains to convince it to abandon the peace process, promising support for Kurdish demands for autonomy in northern Syria in return.

For Turkey, the stakes are higher than ever.

Finding a peaceful resolution to its Kurdish problem will not only remove a strategic vulnerability; it will also ensure a less costly and politically less risky energy alternative to Russia and Iran and will realize Erdogan's dream of making Turkey one of the world's ten largest economies by 2023—the hundredth anniversary of the Turkish Republic.

@highlight

Syria's war has created rift between Turkey and energy suppliers Iran and Russia

@highlight

Turkey negotiating deals with Kurdish energy firms to fill fuel gap

@highlight

Turkey has also established state-backed firm to explore for oil and gas in northern Iraq