(CNN) -- Perhaps more important than the newest mystery surrounding CIA contractor Raymond Davis -- who paid the purported seven-figure sum to the Pakistani victims' families who blessed his release from jail? -- will be the political reaction within Pakistan, where the populace is already outraged over Davis' fatal shooting of two men there, analysts said Wednesday.

The other potential impact of the "Raymond Davis Affair," as one analyst dubbed it, is whether it will damage diplomatic relations between the United States and Pakistan, in which Americans depend on Pakistan in fighting terror and the Pakistanis enjoy substantial U.S. aid.

"There is the curious question of who made the payment. I suppose it's going to remain a mystery for a while," said Mark Quarterman, director of the Program on Crisis, Conflict, and Cooperation of the Center for Strategic and International Studies.

"His presence there and the story about his presence were kind of a mystery from the start," Quarterman added. "Now his presence in Pakistan ends with one more curiosity. I think the fallout from this is far from over. It will be interesting to see what the reaction is in Pakistan. It's been the lead story" in media there, he added.

Davis was released under a Sharia practice called diyat, or compensation, which is enshrined in Pakistan's penal code and allows victims' families to pardon a murderer with or without being paid "blood money," said the former chief justice of Pakistan's Supreme Court, Saeed U Zaman Saddiqi.

Although the origins of the payments in the Davis case are a significant political matter, the more imminent concern is whether average Pakistanis will accept how "blood money" was paid to the victims' families, analysts said.

"What we're watching for," analyst Scott Stewart of the online global intelligence firm Stratfor said in a statement, "is to see which way public sentiment rules: whether it will accept this resolution as acceptable or whether they will be outraged and take to the streets."

On Wednesday, it wasn't known who paid the compensation to the families, and there were conflicting accounts over how much.

A lawyer closely connected to the case said the payment was $1.4 million, but Punjab province law minister Rana Sanaullah said that $2.34 million was paid to the legal heirs by the U.S. government.

A U.S. official not authorized to speak for attribution insisted that the release of Davis was a decision made by the Pakistanis and that there was "no quid pro quo" between Washington and Islamabad.

It was Pakistani officials who worked with the family in making the arrangements for what is referred to as "blood money," the official said.

The United States "did not sit across from the families" to work out an arrangement, but the official acknowledged that there were "interagency discussions and a policy decision" for the United States to agree to the arrangement, the official said.

The official said "cooperation continues" between the United States and Pakistan despite the recent controversy.

"Flareups happen periodically," the official said, pointing to the Davis incident and the public disclosure of the name of the CIA's chief of station in Islamabad.

The U.S. relationship with Pakistan "has evolved over the years" and "increasingly has the ability to withstand these kinds of disagreements," said the official.

Secretary of State Hillary Clinton, who said "we are very grateful" for the families' decision, which enabled Davis to leave Pakistan, stressed that the U.S. government didn't pay any compensation to the families, and she wouldn't say whether the Pakistanis or a third party did.

"We also have a Department of Justice investigation that has begun into what happened in Lahore. And we've communicated our strong support for the relationship between Pakistan and the United States, which we consider to be of strategic importance," Clinton said during a press conference Wednesday.

Analyst Robert Grenier, the former CIA station chief in Islamabad, said the Sharia practice allowed both countries to save face in a difficult controversy.

"It had become such a huge domestic political issue in Pakistan, and both sides had a very strong interest in finding some way out of the corner that they had been painted into," Grenier said.

In recent years, the U.S. government has compensated families accidentally injured during counterinsurgency warfare, said Grenier, who's now chairman of ERG Partners, a financial advisory firm in Westport, Connecticut.

"Let's not forget that the U.S. government has frequently paid blood money to people who have fallen victim to collateral damage in Afghanistan and Iraq. So albeit that the details of this case are quite extraordinary and quite different from the usual ones in Iraq and Afghanistan, the idea of paying blood money under Sharia is not new," Grenier said.

In Highland Park, Colorado, where Davis lives, his wife, Rebecca, defended him in an interview with reporters outside her their home.

"I knew it was self-defense. He's not a Rambo as the L.A. Times said," Davis' wife said. "He's not an agent. He's not Jason Bourne. He's not any of these kind of crazy things that have been portrayed of him."

After being released from jail where he had been held since January, Davis was taken to Kabul, Afghanistan, on Wednesday, where he was resting and receiving a medical exam, said the U.S. official who asked not to be identified.

Sanaullah, the Punjab province law minister, first told Pakistani media Wednesday that the victims' families did not want to press charges and added that Davis would be free to go.

The statement came just hours after the American was charged with murder in connection with January shootings that left two Pakistani men dead.

Sanaullah later said that $1,169,500 was paid to 11 legal heirs of one victim and the same amount was paid to eight legal heirs of the others.

The court asked the legal heirs whether there was any pressure on them to make this agreement, and they told the court that they forgave Davis on their own free will, Sanaullah said.

Davis claimed self-defense in the shootings and asserted the two men attacked him as he drove through a busy Lahore neighborhood, but Lahore Police Chief Aslam Tareen said "it was clear-cut murder."

Many Pakistanis wanted Davis to be tried, and hard-line Pakistani clerics demanded that their government not release Davis to the U.S. government.

On Wednesday, Davis appeared in the Lahore court after the payment was made and was acquitted of the charges, in accordance with diyat, said the lawyer closely connected to the case.

The court released Davis from two cases, the double murder and the carrying of an illegal gun. In the gun charge, the court fined Davis $250 and credited him with time served in jail, Sanaullah said.

The amount of diyat was not paid in front of the court to the legal heirs because the court needs only affidavits from the legal heirs saying that they have pardoned the accused, Sanaullah said.

Carmela Conroy, the U.S. consul general in Lahore, escorted Davis after his release, Sanaullah said.

The United States had been seeking the release of Davis from a Lahore jail on the grounds that he has diplomatic immunity.

U.S. officials originally said Davis was a diplomat and later revealed that he is a CIA contractor, intensifying the already highly charged situation.

CNN's Pam Benson and Adam Levine and journalist Nasir Habib contributed to this report.

@highlight

CIA contractor Raymond Davis was charged with killing two Pakistani men

@highlight

He was released after a purported seven-figure sum was paid to victims' families

@highlight

"Blood money" is allowed under a Sharia practice called diyat, or compensation