Grand Rapids, Michigan (CNN) -- On November 8, 1965, 48 American soldiers lost their lives during "Operation Hump" after the 400 men of the 173 Airborne Brigade were ambushed by roughly 1,200 Viet Cong fighters.

I did not learn about this battle from a history book or teacher in school, but rather a popular country song -- "The 8th of November" by the duo Big and Rich.

Whenever someone asks me why I love country music, I think of songs like that one, and Tim McGraw's "If You're Reading This," and the Dixie Chicks' "Traveling Soldier" -- each with lyrics that capture the toll war has taken on this nation's soul.

Now, it would be disingenuous of me to pretend a black guy from Detroit listening to country is the norm. It's not, and I know it.

But I'm not trying to be something that I'm not.

My family is from rural Mississippi and I spent a lot of my childhood playing on the dirt roads south of Greenwood. I have an uncle who has yet to recover from his time in Vietnam. So I know full well the world many country artists sing about: the watering holes, eating fried chicken, going to church, God, war. When Rodney Atkins sings, "these are my people" I think: "yes they are."

Obsessions: Crazy about country music

So I am excited to see the crossover appeal of acts such as Lady Antebellum and Blake Shelton. I look forward to seeing Wednesday's Country Music Awards.

But I will also tell you I am disappointed that so few artists will sing about the one glaring aspect of life in the country that greatly defines how many Americans view the genre -- and that is race. Scan the singles released over recent decades and it's as if race doesn't exist as an issue despite the South, the home of country music, being the backdrop for the beginning of the civil rights movement.

How can so many songs, like "November," be written with such great detail about events that happened 40 years ago, in a country thousands of miles away -- and yet we hear hardly a peep about the battles over race and rights that occurred at the same time on the industry's doorstep? About the battles and conversations that are happening around it still?

In 2009, country starlet Taylor Swift won the album of the year Grammy for her CD "Fearless." It would be encouraging to see more of country's songwriters embrace that word and be just that: fearless.

Stop telling an abbreviated, sanitized version of their world while there is video from a surveillance camera in Mississippi showing a black man being beaten and eventually run over by a group of white teens who set out looking to attack the first black person they saw. While a word like "plantation" is used to describe the voting practices of black Democrats and "lynching" is tossed around regarding the media's treatment of a black Republican.

I can understand the hesitation some white artists may have about approaching this subject. They're fearful of saying something offensive and country radio hates controversy (see Chicks, Dixie). But the truth is that not talking about the unpleasant parts of life in the country do not make them go away.

It just allows others to tell your story for you.

I've met some amazing people in the country music field: Good folks without a racist bone in their body. But they have seen and heard and lived through some disturbing things. They, too, have a point of view, a story. I wish the music would tell it. Not just for the sake of the artists, but for the millions of white Americans who come from small towns, listen to country music and should not be viewed as social pariahs by the rest of the nation because of it.

Acknowledging racism does not perpetuate it but rather exposes the disease where it festers and hides. And just as "The 8th of November" taught me something about the Vietnam War, country music can remind people not to allow the stereotypical few to unfairly define the whole.

In 2004, Kenny Chesney released his CD "When The Sun Goes Down," which included a song called "Some People Change." It was never released as a single but the song caught the attention of the duo Montgomery Gentry, who later covered it. The song became a top 10 hit for them in 2006, but not before they massaged the lyrics. Instead of Chesney's original:

His old man was a rebel yeller,

bad boy to the bone,

and say can't trust a color feller,

he judge 'em by the tone of their skin

The duo sang "you can't trust that other feller," softening the language a bit.

I'm sure it doesn't seem like a big thing to some, but I know some still refer to blacks as "colored" or worse. So while I applaud the group for going as far as they did, I would have preferred they just told the story like it is, with all the warts, gashes, scabs and wounds.

After all, racism is ugly.

It's OK to say so.

It's OK to sing so.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson: Country music taught me about war

@highlight

He says it's strange that country doesn't tell the story of race and civil rights

@highlight

Granderson: Country music should be like the title of Taylor Swift's CD: "Fearless"

@highlight

Racism is ugly; it's OK to say it, and sing it, Granderson says