It's a question many people inside Iran -- and those who watch the country closely around the world -- were asking Wednesday: Who is killing nuclear scientists in Iran?

An explosion on Wednesday killed Mostafa Ahmadi Roshan, a top official at the Natanz uranium enrichment plant, Iranian officials said.

He is the third man identified as a nuclear scientist to be killed in Iran in a mysterious explosion in the past two years.  A fourth survived an assassination attempt.

In each case, someone placed a bomb under the scientist's car.

Iranian officials, on state-run media, blame Israel and the United States.

"I want to categorically deny any United States involvement in any kind of act of violence inside Iran," U.S. Secretary of State Hillary Clinton said Wednesday.

"We believe there has to be an understanding between Iran, its neighbors and the international community that finds a way forward for it to end its provocative behavior, end its search for nuclear weapons and rejoin the international community and be a productive member of it," she said.

While Israel generally refuses to comment on accusations and speculation , Brig. Gen. Yoav Mordechai, a spokesman for the Israel Defense Forces, said on his Facebook page Wednesday, "I have no idea who targeted the Iranian scientist but I certainly don't shed a tear."

Mickey Segal, a former director of the Iranian department in the Israel Defense Forces' Intelligence Branch, told Israel Army Radio that Wednesday's attack was part of broader pressure being brought to bear on President Mahmoud Ahmadinejad's regime.  "Many bad things have been happening to Iran in the recent period. Iran is in a situation where pressure on it is mounting, and the latest assassination joins the pressure that the Iranian regime is facing," Segal said.

With no one claiming responsibility, the killings remain shrouded in mystery.  Iran experts contacted by CNN could only speculate.

"The most likely contender among people who are following this is that the Israelis are doing it, possibly in cooperation with the Iranian mujahedin," said Trita Parsi, president of the National Iranian-American Council and author of the book "A Single Roll of the Dice: Obama's Diplomacy with Iran."

"There's almost no downside for Israel," he said.  The killings "take out nuclear assets and embarrass Iran" by showing that the regime can't prevent such attacks, Parsi said.  And "if Iran retaliates with a violent act, then Israel can point to it as a reason to take military action against the regime."

Michael Rubin, resident scholar with the American Enterprise Institute, agrees that Israeli involvement is the most "plausible" scenario.  And Mark Hibbs, senior associate with the Carnegie Endowment for International Peace, also said the way the attacks took place "would be consistent" with the possibility of Israel acting with cooperation inside Iran.

Parsi told CNN he does not believe the killings are the work of the United States, and said they do not match the kind of activity U.S. intelligence would carry out in a country with which there is no declared state of war.

Rubin agreed, and gave a different reason.  "Frankly, I don't think the United States has the human intelligence knowledge," he said.

The United States and Israel have been the most vocal opponents of Iran's nuclear program, although numerous countries have expressed serious concern as well.  Iran insists its nuclear program is for peaceful, civilian energy purposes.

If Israel is cooperating with the Mujahedin-e-Khalq (MEK) to carry out attacks on Iranian nuclear officials, it faces a significant risk, Parsi argues.  The United States lists the MEK as a terrorist group.  "Israel is a victim of terrorism and pressing other states to take measures against terrorism," Parsi noted.  If it turns out to be collaborating with a group on the U.S. list of Foreign Terrorist Organizations, Israel's efforts to get other countries to crack down on terrorist groups could be damaged.

MEK, an Iranian opposition group, has support from some members of Congress who say it should be removed from the terrorist list.

Several analysts said they are certain that, whoever is organizing the killings, Iranians are involved.

If Iranian leaders had a "clue" who is behind the killings, "they'd have stopped this by now," said Daniel Serwer, Middle East Scholar with Johns Hopkins University.  "The incredible thing is that it continues.  That suggests it is Iranians doing the deeds, no matter who is the sponsor.  Foreigners are under pretty tight scrutiny in Iran these days."

But Hibbs, of the Carnegie Endowment for International Peace, said he believes Israeli agents could be inside Iran.

Whoever's behind the attacks knows who the nuclear officials are, and the specifics of their travel plans.  That could be foreign governments with intelligence assets in Iran, Hibbs said.

But it's also "conceivable this could be carried out by Iranians who oppose the government even without the support of outside governments," Hibbs said.

The nuclear program "is a centerpiece for Iran, a very, very important aspect for this regime," he said.  Groups inside Iran dedicated to overthrowing the regime would have reason to target the program, he said.  "This is a program which is right at the heart of the legitimacy of this government."

Rubin, of the American Enterprise Institute, said there is another "plausible" explanation: that "Arab intelligence services" are involved.

"The assumption that many Americans have that the Mossad," Israel's foreign intelligence unit, "is the most skilled intelligence service" in the Middle East is "a couple of decades out of date," he said.

Some intelligence services in the Arab world "could have recruited Shiites" in the region, potentially in Iraq, to take action against the nuclear program, he said.

There is also some speculation that the Iranian regime itself could have been involved in at least one of the killings.

The first, in January 2010, left university professor and nuclear scientist Massoud Ali Mohammadi dead in a car bomb.  That attack came shortly after major riots against the regime, and many people thought the regime was behind that killing, Parsi said.

Mohammadi "did not seem to be a particularly valuable nuclear target," he said.   Some reports suggested Mohammadi was an outspoken supporter of the "green movement," and had helped organize protests, Parsi said.

But the man killed in November 2010, Majid Shahriari, and the one who survived an assassination attempt at the time, Fereydoon Abbasi Davani, were a different story.  It "would make no sense for the Iranians to assassinate them," Parsi said.  "They were critical nuclear assets."

No matter who is behind them, the attacks do not seem to be reversing Iran's efforts, said Parsi.  "Arguably, the incentive for the Iranians to go forward with what they have has grown, because now they're under such critical threat," he said.

But there are suggestions that the overall pressure being applied against Iran, including international sanctions, for its failure to cooperate on nuclear issues is making some scientists wary of adding their efforts.  Iran's semi-official Fars news agency earlier this week quoted Davani, now the head of Iran's nuclear program, describing as "deserters" in a "scientific war" the "scientists who, for the sake of preserving their international connections, refuse to cooperate in (our) nuclear projects."

The killings of Iranian scientists have come up on the campaign trail in the United States among contenders for the Republican presidential nomination.  Newt Gingrich, at a debate in November, expressed support for the idea of "taking out their scientists."  Rick Santorum, at an event in October, referred to the scientists turning up dead as "a wonderful thing."

Roshan's killing comes amid growing tensions between Iran and the West.  U.S. officials say the international sanctions on Iran have taken a toll.  Iran earlier this week sentenced a U.S. ex-Marine to death on charges of espionage, despite statements by him, his family, and the U.S. government that he is not a spy.

@highlight

U.S. Secretary of State Clinton categorically denies any involvement in Iran

@highlight

An Israeli military spokesman says he doesn't "shed a tear" over the reported death

@highlight

Analyst:  Israeli involvement with support from some in Iran is the most likely scenario

@highlight

Other possibilities: Iranian opposition, or involvement of Arab intelligence, analysts say