Goma, Democratic Republic Of The Congo (CNN) -- The Rwandan military and an allied rebel group massacred ethnic Hutus in the Democratic Republic of the Congo in the aftermath of genocide in Rwanda, says a leaked draft report commissioned by the United Nations.

The report states that it is not making a definitive conclusion on whether the slayings in Congo amounted to genocide, and that a competent judiciary would have to try the cases.

Commissioned by the office of the U.N. High Commissioner for Human Rights, the report says "tens of thousands" of Hutu civilians were slaughtered with knives, bludgeoned with hammers and burned alive as the Rwandan army and the Allied Democratic Liberation Forces swept across Congo -- then called Zaire -- leading to the toppling of dictator Mobutu Sese Seko.

The report, titled "Mapping Exercise," documents crimes against humanity throughout the Congo between 1993 and 2003.

The Rwandan government blasted the report as "malicious, offensive and ridiculous."

"It is immoral and unacceptable that the United Nations, an organization that failed outright to prevent genocide in Rwanda and the subsequent refugees crisis [and] is the direct cause for so much suffering in Congo and Rwanda, now accuses the army that stopped the genocide ... in the Democratic Republic of Congo," government spokesman Ben Rutsinga said in a statement.

The final version of the report will be officially published Monday. Its most controversial parts are accusations against the Rwandan government of "systematic attacks, in particular, killings and massacres perpetrated against members of the Hutu ethnic group."

"There is no denying that ethnic massacres were committed and that the victims were mostly Hutus from Burundi, Rwanda and Zaire," the report states. "The joint mission's preliminary opinion is that some of these alleged massacres could constitute acts of genocide."

It adds, "The majority of the victims were children, women, elderly people and the sick, who posed no threat to the attacking forces."

The Rwandan government said the report's "extremely serious allegations"  are "based on questionable methodology, sourcing and shockingly low standard of proof."

"Given the gravity of its mission, the Mapping Team's failure to consult with Rwanda even though they found time to meet with over 200 [non-governmental] representatives is shocking and shows complete disregard for fundamental fairness," Rutsinga said.

More than 1 million Rwandans fled to neighboring eastern Congo when the Rwandan genocide ended in 1994 -- most of them Hutu. In 1996, Rwanda invaded Congo in pursuit of the genocide orchestrators, who were living amid hundreds of thousands of other refugees.

The stated goal of Rwanda during that time was to end the refugee crisis in eastern Congo. But the United Nations report says that the Rwandan military did not discriminate between fugitives and refugees, nor did it discriminate by age or gender.

"The majority of the incidents reported indicate that the Hutus were targeted as such, with no discrimination between them," the report says. "The numerous attacks against the Hutus in Zaire, who were not part of the refugees, seem to confirm that it was all Hutus, as such."

The report says people who convinced soldiers that they were Tutsi were let go, while the Hutus were massacred.

"People who were able to persuade the aggressors that they belonged to another ethnic group were released just before the massacres," the report says.

The report says tens of thousands of Hutus were massacred in particular areas with an intent to commit genocide.

"Even if only a part of the Hutu population in Zaire was targeted and destroyed, it could nonetheless constitute a crime of genocide, if this was the intention of the perpetrators," the report says.

Although independent researchers have documented the crimes against humanity committed by the Rwandan government, the United Nations report is the most official and forthcoming accusation made so far.

Rwanda indicated that it could withdraw from U.N. peacekeeping operations if the report is published. The country is a major contributor to the peacekeeping force in Darfur, and has sent troops to Haiti.

The report is publicly humiliating for recently re-elected President Paul Kagame, who earned praise for helping heal Rwanda after the genocide.

In recent years, the nation has developed dramatically, with a reputation as one of the safest, cleanest, least-corrupt and most organized countries in Africa. The fallout of the scathing report is unclear, but it is sure to have an impact.

Rwanda's reconciliation policy is governed by anti-genocide laws that human rights organizations have called intentionally vague. The laws make it virtually impossible to accuse the Rwandan government of human rights violations, crimes against humanity or war crimes.

Accusing Rwanda of crimes against humanity committed in the Congo would break those laws.

In April, presidential aspirant Victoire Ingabire was arrested in Kigali for saying that Hutus were killed by the Rwandan government, both in Rwanda and in neighboring Congo.

Ingabire was charged with 'genocide ideology' for those comments, and could face up to 25 years in prison. Her American lawyer was arrested on similar charges, but was later released.

Col. Patrick Karegeya, who was a senior member of the Rwandan army and a key actor in the wars in the Congo before fleeing to South Africa in 2008, said Rwanda never set out to commit genocide against the Hutu, but war crimes were committed.

"Civilians died, politicians died," Karegeya said earlier this month before Rwanda's presidential election. "They died in the Congo, they died in other places."

@highlight

NEW: Rwanda slams the report as unfair and immoral

@highlight

It says Hutu civilians were slashed, bludgeoned and burned alive

@highlight

The majority of the victims were children, women and elderly people, it says