London (CNN) -- Delicate, rare and striking - forgotten photographs of black Britons in the late 19th and early 20th century have been unearthed from the depths of the Hulton Archive -- one of the world's oldest and largest archives holding over 80 million images.

Black Chronicles II, a photographic exhibition at Rivington Place in East London is currently showcasing over 200 images that explore black presences in Victorian Britain, the majority of which have never been revealed to the public.

Part of "The Missing Chapter" -- a three-year project devoted to researching and revealing the earliest imagery of black people in Britain -- curators RenÃ©e Mussai and Mark Sealy of archive and research centre Autograph ABP have re-introduced a neglected part of history to the public consciousness.

"We have been doing this work around black representation through the prism of photography for 25 years," says Mussai.

"What we wanted to do with this research project was to expand, if you like, the narrative back to the very early days - to the invention of photography in 1839."

Going far back in time

The history of black people in Britain is most commonly traced back to 1948, when the "Empire Windrush" ship carried 492 Jamaican passengers to British shores, following an ad in a Jamaican newspaper promising affordable carriage on board for those seeking a new life and work in the UK.

Searching for images taken prior to this moment proved to be both exciting and overwhelming.

"We didn't know what we would find in the archive." Mussai exclaims.

"The Hulton Archive didn't know what they had because they didn't look at it with this particular remit in mind, and with 80 million records, you can imagine things get lost!"

After extensive rummaging, a wealth of hitherto unknown photographs, carte-de-visites (thin paper photograph mounted on thick paper card), cabinet cards and albumen prints resurfaced.

A different light

Among the various treasures found, Mussai highlights the intriguing case of Kalulu, a young African boy whose photographs are featured in the exhibit.

Images of Kalulu are easily searchable online and in various publications, but he is often portrayed as servant to Sir Henry Morton Stanley - the infamous writer and explorer of central Africa.

The images in the exhibition, in contrast, center on Kalulu alone.

He is not an accessory or an extra part; he is instead the main focus.

"Kalulu holds his own in the frame and is dressed in an outfit that any other boy of that era would wear -- not a cloth, not semi-naked." says Mussai.

Visualizing existence

The images, however, do more than point to a history that has been overlooked and neglected, they ask the question of who documents our histories and who gets to choose them.

Mussai holds that the preference for certain stories and the evasion of others relates to how we prioritize different people's existence.

"The most important thing to remember here is that when one is not visualized in history, one doesn't exist." Says Mussai.

"So in terms of memory, in terms of contribution and actually being here -- people are often erased...that means their existence is not acknowledged."

These images do occupy a specific time-frame, loosely between the ends of 1830 - 1940s, but the chapter, so to speak, is not over and done with.

In fact, the aim of the project is to constantly revise and evaluate a neglected era rather than to fill in the holes and then move on.

"These gaps will always exist and there will always be more" says Mussai.

Wider collaboration

Much of the project's excitement is tied to unpredictability, a sense of continuous discovery as new images are unearthed from neglected albums across the globe.

People are now submitting images from their own personal collections in a bid to help construct a history that has been forgotten -- a welcome by-product of the current showcase at Rivington Place.

"Someone currently based in Canada has sent through about 8 or 9 cabinet card scans of his family here in Britain, I think his great-great-grandmother came from Jamaica originally" Mussai exclaims.

"There were photographs in the studio which appear to be from the 1860s, judging from the scan."

Despite the success of the research so far, the current collection dates back only to the 1850s.

Baring in mind photography was invented in the late 1830s, an approximate 10 years' worth of photos are still left to be uncovered.

The search for the earliest photograph of a black person in the UK, it seems, is still underway.

"Even if we find it, there is absolutely no certainty that it is the earliest" Says Mussai."

So far however, the journey to such discovery has proven to be just as important as the discovery itself.

"All we can do is move close and closer."

Snooper's paradise: A sneak peek inside London's most prestigious private homes

Stunning 'time-slice' photos capture your favorite landmarks from sunrise to sunset

Bendy towers and upturned houses: The surreal architecture you wish existed

@highlight

Rare photographs of Black Britons in the late 19th and early 20th century are on display at Rivington Place, London

@highlight

Over 200 images exploring the black presence in Victorian Britain have been revealed to the public for the very first time