(CNN) -- The mystery of Kim Jong Un's whereabouts deepened Friday after the North Korean leader appeared to have missed a ceremony to pay tribute to his late father and grandfather on what is an important national anniversary.

Kim's name was absent from the list of attendees at the Kumsusan Palace of the Sun in Pyongyang on the 69th anniversary of the Workers' Party of North Korea, issued by state news agency KCNA on Friday.

The Workers' Party, founded in 1945, is North Korea's political party and is considered one of the country's most crucial institutions alongside the military.

According to KCNA, flowers were presented at the shrine in Kim's name, but the most senior official to attend was Hwang Pyong So, North Korea's second most important leader, who recently attended the closing ceremony of the 17th Asian Games in South Korea.

Kim hasn't been seen in public since he reportedly attended a concert with his wife on September 3. It's his longest absence from official events since he made his first public appearance in 2010, said NK News, a website devoted to analyzing North Korea.

Analysts are puzzled and speculation is running rampant about why Kim has been out of the public eye.

State media attempted to explain his absence by saying Kim was experiencing "discomfort."

He had been seen hobbling earlier in the summer, prompting theories ranging from weight gain to gout. There have also been questions about the possible meaning behind his absence: Is he genuinely sick, or are there machinations within the North Korean power circle?

Is Kim Jong Un's sister in charge?

North Korea as Rorschach test

"Whenever someone doesn't show up in the public, we tend to speculate something of a power struggle," said Han Park, author of "North Korea Demystified."

Because not much is known about North Korea's internal politics, observers scrutinize public functions and ceremonies to see who appears and who does not.

"We're always operating on this incomplete info," said Joshua Stanton, a North Korea observer who created the website One Free Korea, which is critical of the regime.

Drawing conclusions about what's happening in North Korea has been likened to a Rorschach test -- it's a reflection of the views of whoever is drawing the conclusions, rather than an informed analysis based on facts. And the facts in the reclusive country are murky at best.

"People have a tendency to see the things they want to see," Stanton said. "We should default to skepticism."

Opinion: Why Kim is probably still in charge

South Korean official: Kim probably near hospital

South Korea's defense minister told reporters in Seoul on Friday that he "has reason to believe that Kim Jong Un is probably staying in one of his homes" near an exclusive hospital in North Korea's capital, Pyongyang, with his wife and sister.

The facility named by the official, Bongwha hospital, is known to be an exclusive facility catering to high-ranking members of North Korea's ruling party.

It wasn't immediately clear why the defense minister said he thought Kim was staying near the hospital.

U.S. officials downplay Kim's absence

Senior officials in U.S. President Barack Obama's administration said Friday they believe there's no indication that Kim has been sidelined or is in very bad health.

While they acknowledge there is little information available, the officials, speaking on condition of anonymity, said Kim is believed to have non-life-threatening medical problems, citing the limping seen this summer.

"He is overweight, smokes and drinks heavily and doesn't do any exercise," one senior U.S. official said. "He can't be in good shape, but there is no indication of serious trouble in terms of health or stability."

With Kim out of sight, North Korean top brass visit South

The sources downplayed Kim's absence at Friday's tribute and said there was nothing to substantiate speculation that other members of the regime had marginalized him.

"We don't believe fundamentally there is anything afoot," a second senior U.S. official said. "There is nothing affecting our policy choices in any way."

The officials noted that previous North Korean leaders Kim Il Sung and Kim Jong Il disappeared for long stretches of time, only to re-emerge and cast aside rumors about their leadership.

"It's a dictatorship," the second U.S. official said "But it gets them attention and makes the ultimate big reveal that much more newsworthy."

North Korea's diplomacy efforts

With its top leader missing in action, North Korea has extended its diplomatic efforts with the outside world.

One of its officials said the regime was ready to restart the six-party nuclear talks, which include Russia, the United States, China, Japan and South Korea. It has also reached out to the European Union and South Korea.

High-ranking Pyongyang officials visited South Korea on Saturday, but just days later, the two countries were exchanging fire at a disputed maritime demarcation line.

North and South Korea exchange fire

The mixed messages reflect Pyongyang's "state of constant and ever-shifting cost-benefit calculation to maximize its national self interests," said Jasper Kim, founder of the Asia-Pacific Global Research Group.

"Every move North Korea makes is a negotiation attempt to see which states will accede and offer something of value in exchange for some level of stability. This has and always will be North Korea's dominant negotiation strategy."

Longest absence

Kim made only one official appearance in September. This has happened only once before, in September 2010, and that was the month in which Kim made his first official public appearance alongside his father at Kumsusan Palace of the Sun, NK News said.

Before this absence, his longest disappearance from public view as Supreme Leader was a 24-day period between June 7 and July 1, 2012. His second longest absence ever was for 29 days between July 28 and August 27, 2011 -- while his father was still alive, NK News said.

Kim's sole public appearance in September was at a Moranbong Band concert at Pyongyang's Mansudae Art Theatre, reported by state media on September 4. He was accompanied by his wife, Ri Sol Ju, his sister Kim Yo Jong and several top officials including Hwang Pyong So.

CNN's Elise Labott, Paula Hancocks, KJ Kwon, Michael Martinez, Brian Todd and Dugald McConnell and journalist Jung-eun Kim contributed to this report.

@highlight

NEW: U.S. officials downplay Kim's absence at Friday tribute

@highlight

Kim's name is missing from a list of attendees at a shrine visit

@highlight

The North Korean leader was expected to attend the annual ceremony at his father's shrine

@highlight

Kim hasn't been seen in weeks; he'd been expected to attend Workers' Party ceremonies