(CNN) -- The suspected link between Chinese drywall and toxic effects reported by thousands of U.S. homeowners was strengthened Monday by three preliminary reports issued by the federal government.

The strongest link came from an analysis of air sampled inside dozens of homes containing drywall made in China.

"While the study of 51 homes detected hydrogen sulfide and formaldehyde ... at concentrations below irritant levels, it is possible that the additive or synergistic effects of these and other compounds in the subject homes could cause irritant effects," the Consumer Product Safety Commission said in its executive summary of the study.

Two other preliminary studies found copper sulfide corrosion in metal components taken from homes containing the Chinese drywall.

The drywall in question was imported from 2005 through 2007, when a housing boom and two active hurricane seasons created a shortage of building materials in the southern United States.

Since then, the product safety agency has received nearly 2,100 reports from 32 states -- but mostly from Florida, Louisiana and Virginia -- of homeowners complaining of a rotten-egg smell, sickness, failed appliances, and corroded wires and pipes. Many have moved out of their homes. In some cases, insurers have refused to reimburse them.

The air study tested 41 houses containing Chinese drywall and compared those findings with air from inside 10 homes in the same geographical areas whose homeowners had not complained, said Jack McCarthy, president of Environmental Health & Engineering Inc., which carried out the work.

The investigators also examined materials such as copper pipes and wiring for corrosion, and looked at indoor air humidity, temperature and air exchange, he said. Copper and silver strips were left in the homes for two weeks and then examined for corrosion, he said.

The result: in the 41 homes containing the problem drywall, there was a "strong association" between the high levels of hydrogen sulfide and the corrosion of the metals, he said.

"Temperature, humidity and air-exchange rates also appear to be contributing factors," McCarthy told reporters on a conference call, noting that higher moisture and temperature levels and lower air-exchange rates were connected with more corrosion.

Formaldehyde, also a potential source of irritation, was found in both complaint and noncomplaint homes, he said.

Though McCarthy cautioned that the study was not intended to examine health effects, "we can say that the levels of the pollutants we found, particularly the hydrogen sulfide and formaldehyde, could possibly contribute to some of the health problems that have been reported to the CPSC."

McCarthy also said that not all Chinese drywall may be alike. Its risk "depends on what it is made of, not necessarily what country it's from," he said.

The next step is to determine how to identify homes with the corrosive materials and how to fix them, said Scott Wolfson, the product safety agency's director of information and public affairs, who noted that the investigation is the largest in the agency's history.

He said none of the tainted drywall entered the United States this year. Hundreds of thousands of suspect boards have been stockpiled in warehouses; their owners have been told it will not be sold, he added.

Several weeks ago, agency representatives traveled to China, where they visited mines, factories and government officials to determine the scope of the problem, which is still not clear, Wolfson said. "The CPSC is working hard to determine how many homes in how many states are affected," he said, adding that the data do not support the widely reported figure of 100,000 homes.

Wolfson said the Chinese helped investigate. "They're committed to helping us with the technical side of this investigation," he said.

Though the study raises suspicions that the drywall is responsible for the health effects reported by some families, Wolfson said a causal association has not been proved. "The work continues," he said. "The work toward an exact nexus between drywall and effects is still ongoing."

Wolfson called on the news media to help alert homeowners in affected houses to report the problem. Some may be hesitant to report because they are afraid their insurers will drop their coverage, he said, but he pointed out that the reports can be made confidentially.

"We will make sure that you are not harmed in any way by reporting to the government," he said.

Monday's report did not surprise Sen. Bill Nelson, D-Florida, who said the product safety commission's chairwoman, Inez Tenenbaum, told him Monday she did not know when further testing would be completed.

"I am very disappointed with the whole process, and especially that the CDC [Centers for Disease Control and Prevention] and EPA [Environmental Protection Agency] can't say whether drywall is harmful to people's health," he told CNN. "Common sense says otherwise, but we still lack definitive answers."

Joan Glickman, who moved out of her townhouse in Pompano Beach, Florida, after her wiring and air conditioning failed, said Monday's report told her nothing new.

"It was a huge letdown because it still didn't tell me how to fix it, who's going to fix it, how do we go about fixing it, where the money comes from," said Glickman, who moved in with her mother. "This has left us in such a mess."

CNN's Rich Phillips contributed to this story from Miami, Florida.

@highlight

Air samples from 41 homes containing drywall made in China are analyzed

@highlight

"Strong association" found between high hydrogen sulfide levels, corrosion in the homes

@highlight

Nearly 2,100 reports detail smell, sickness, failed appliances, corrosion in homes

@highlight

Drywall in question was imported during U.S. housing boom, from 2005 through 2007