Kiev (CNN) -- Russia's lower house of parliament overwhelmingly approved a treaty Thursday to annex the Black Sea peninsula of Crimea from Ukraine, prompting tougher sanctions from the United States.

Russia responded with its own sanctions against a list of U.S. officials and lawmakers.

After Russian Foreign Minister Sergey Lavrov had presented the treaty and urged lawmakers to accept the region as a part of the Russian Federation, the document was approved on a vote of 443 to 1.

Speaking "on behalf" of Putin, Lavrov had told the State Duma that folding Crimea into Russia was needed to protect ethnic Russians there.

"I am certain that passing the document will become a turning point in the destiny of multi-ethnic nations of Crimea and Russia, who are related with close ties of the historical unity," Lavrov said.

The political crisis has been the biggest blow to Russia's relations with the West since the Cold War.

Approval of the treaty in the State Duma was in no doubt as Russia has stood defiant despite Western leaders denouncing Moscow's actions as a violation of Ukraine's sovereignty and a breach of international law.

European Union leaders said Thursday they will sign a political association agreement with Ukraine and add 12 more people to the list of individuals targeted for sanctions, including Russia's Deputy Prime Minister Dmitry Rogozin.

EU member states also are threatening possible tougher targeted measures, European Council President Herman Van Rompuy told reporters.

"We make clear that failure to settle the crisis peacefully, and any steps by Russia to destabilize Ukraine, will have far reaching consequences," he said. "And by that we mean consequences on relations in a broad range of economic areas."

U.S. and EU officials had already imposed sanctions on more than two dozen Russian and Crimean officials, and urged Russia to avoid escalating the crisis -- a call Moscow has ignored.

But U.S. President Barack Obama on Thursday announced more sanctions on individuals and one bank in response to Russia's annexation moves.

He also signed a new executive order that authorizes possible further sanctions on what he called "key sectors" of the Russian economy if Moscow does not act to deescalate the situation.

"This is not our preferred outcome. These sanctions would not only have a significant impact on the Russian economy, but could also be disruptive to the global economy," he said. "However Russia must know that further escalation will only isolate it further from the international community."

Russia must respect "basic principles" of sovereignty and territorial integrity, he said, adding that the United States should also provide financial support for Ukraine's government and people.

"We want the Ukrainian people to determine their own destiny and have good relations with the United States, Russia, Europe -- anyone they choose," he said, calling for continued diplomatic efforts.

Sanctions lists

The new U.S. sanctions target 20 officials, including senior Russians and "cronies" who hold significant influence in the Russian system, as well as one bank that holds "significant" resources, a senior U.S. administration official told reporters.

That bank was listed by the U.S. Treasury Department as Bank Rossiya.

The individuals named by the Treasury include major Putin allies, both in the Kremlin and in business. Among the 16 government officials listed are Putin's chief of staff, Sergei Ivanov; the speaker of the State Duma, Sergey Naryshkin; and Viktor Ozerov, chairman of the Security and Defense Committee of the Russia parliament's upper house.

Four others were named as members of the government's inner circle. They are financier Yuri Kovalchuk, labeled Putin's personal banker by a senior U.S. administration official; magnate Gennady Timchenko, whose activities in the energy sector have been directly linked to Putin, according to the Treasury; and businessmen Arkady and Boris Rotenberg.

Besides Russia's Deputy Prime Minister Rogozin, The expanded EU sanctions target list includes two advisors to President Putin, Sergey Glazyev and Vladislav Surkov, as well as the chairwoman of the Russian Senate Valentina Matvienko.

Swedish Foreign Minister Carl Bildt told CNN's Christiane Amanpour that the new round of U.S. sanctions would be "significantly more powerful than the first one."

The latest round "hits significant economic interests that are fairly close to the ruling circles in Moscow. It will be noticed," he said.

Russia responded with sanctions against nine U.S. officials and lawmakers, including speaker of the U.S. House of Representatives John Boehner, Senate Majority leader Harry Reid and Sens. John McCain, Robert Menendez, Daniel Coats and Mary Landrieu, according to a list published by the Russian Foreign Ministry.

Boehner's spokesman, Michael Steel, said the lawmaker was "proud to be included on a list of those willing to stand against Putin's aggression."

McCain responded, "I guess this means my spring break in Siberia is off, my Gazprom stock is lost, and my secret bank account in Moscow is frozen. Nonetheless, I will never cease my efforts on behalf of the freedom, independence, and territorial integrity of Ukraine, including Crimea."

The U.S. Treasury said Bank Rossiya is controlled by Yuri Kovalchuk and is the 17th-largest bank in Russia.

It has $10 billion in assets and handles the accounts of some top government officials, the Treasury said, adding that the bank has relationships with banks in the United States, Europe, and elsewhere. The bank also provides services to the oil, gas and energy sectors, it said.

"As a result of Treasury's action, any assets of the persons designated today that are within U.S. jurisdiction must be frozen," the Treasury said.

British Prime Minister David Cameron told reporters at the EU Heads of State or Government summit there would likely be more asset freezes and travel bans.

Finland's Minister for European Affairs and Foreign Trade Alexander Stubb told CNN more names would be added Thursday.

"There will probably be over 10 new names on the list and then of course people are going to argue, are these people good to be on the list, bad to be on the list are they to be taken seriously and so on, but there will be more names," Stubb said.

Lavrov told lawmakers that sanctions "have never brought any positive results" and that there were no legal grounds for them.

Kiev defiant

Russia's defense minister assured U.S. Defense Secretary Chuck Hagel in phone call Thursday that Russian troops on the Ukraine border do not intend to cross the border or take aggressive action, Pentagon spokesman Rear Adm. John Kirby said.

Hagel made it clear in the lengthy and sometimes "direct" talk with Russian Defense Minister Sergey Shoigu that the Russians bear responsibility for what happens in Crimea, including the recent violence, since they are in control there, Kirby said.

While Russia insists its actions are legitimate, Ukraine's parliament said Thursday that Kiev will never stop fighting for Crimea, even if the country's new leaders have discussed evacuating military personnel from the region.

In a declaration published online, the Kiev parliament said "Crimea was, is and will be part of Ukraine."

"The Ukrainian people will never, under no circumstances, stop fighting for the liberation of Crimea from the occupants, no matter how hard and long it is."

Putin announced the annexation of Crimea after voters in the semi-autonomous territory approved a hastily called weekend referendum on separating from Ukraine.

Kiev officials unveiled new measures against Russia and the "self-proclaimed" authorities in Crimea.

In a televised briefing, Andriy Porubiy, secretary of the national defense and security council, said that if the United Nations designates Crimea a "demilitarized zone," Ukraine is prepared to evacuate its military personnel and family members. Ukraine has facilities ready to accommodate 25,000 evacuees.

A statement on the Ukrainian presidential website said former Presidents Leonid Kravchuk and Leonid Kuchma had asked Turchynov to redeploy soldiers who are still in Crimea to the mainland.

The call was "to protect and save lives of Ukrainian servicemen who bear service in difficult and dangerous conditions in Crimea," the statement said.

Porubiy had also said the measures included a full-scale visa system for Russians.

Speaking in Brussels on Thursday, Prime Minister Arseniy Yatsenyuk said Kiev was in no hurry to impose a visa regime on Russia, since it could negatively affect Ukrainians living in the predominantly Russian-speaking east of the country.

Yatsenyuk is in Brussels to sign the political part of an association agreement with the European Union.

Lavrov said the intention to introduce visa regulations was "surprising and regrettable."

As diplomatic efforts to resolve the crisis continue, U.N. Secretary-General Ban Ki-moon traveled to Russia Thursday, where he met Putin and Lavrov. He will then head to Kiev where he will meet acting Ukrainian President Oleksandr Turchynov and Yatsenyuk on Friday.

Russia's Interfax news agency quoted Ban as saying during a meeting with Putin that he was "deeply concerned" by the situation involving Ukraine and Russia.

Navy chief released

Ukraine's navy commander, detained when supporters of Russia took over the naval headquarters in Crimea, was released, the presidential website said Thursday.

Amid signs the uneasy standoff between pro-Russian and Ukrainian forces could ignite into bloody conflict, about 300 armed men stormed the naval base in Sevastopol on Wednesday. They took away Ukrainian navy chief Sergey Gaiduk.

Turchynov issued a 9 p.m. (3 p.m. ET) deadline for Crimea to release all hostages and stop all provocations. Kiev's new leaders had warned that if all hostages, including Gaiduk, were not released by then, authorities would take action of "technical and technological character," probably meaning turning off utilities.

A statement on the presidential site said Gaiduk and several other hostages had been freed. They were released during the night and were on their way to Kiev Thursday.

Russian Defense Minister Sergey Shoigu had asked authorities in Crimea to free Gaiduk and allow him safe passage out of the region.

The incident at the navy headquarters came a day after one member of the Ukrainian military was killed when masked gunmen seized their base near the Crimean regional capital, Simferopol.

After that fatality -- the first Ukrainian military death since the Crimean crisis erupted about three weeks ago -- Ukraine's Defense Ministry authorized its forces to open fire in self-defense.

Opinion: Putin's breathtaking lies about Russia

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

Journalist Victoria Butenko reported from Kiev, CNN's Marie-Louise Gumuchian and Laura Smith-Spark from London. CNN's Nick Paton Walsh, Tom Cohen, Deirdre Walsh, Lisa Desjardins, Talia Kayali, Alex Felton, Mick Krever, Carol Jordan and Boriana Milanova contributed to this report.

@highlight

Russian defense minister says his troops have no intention of entering Ukraine

@highlight

U.S. sanctions target 20 Russian officials, Bank Rossiya, Treasury Department says

@highlight

Russia announces sanctions against nine U.S. officials and lawmakers

@highlight

Moscow's lower house approves treaty to annex Crimea