(CNN) -- The people who died Thursday at a spiritual resort in Arizona had spent time in a "sweatbox" similar to what Native Americans and other cultures have used for prayer and purification rituals throughout history.

Two people died and were 19 injured after spending up to two hours inside this "sweatbox" at an Arizona resort.

And those who use them say they can be dangerous if care is not taken.

From Scandinavia to South America to Africa, people have come together in the sauna-like structures -- typically heated by pouring water on hot lava rocks -- for a variety of reasons, said Joseph Bruchac, writer and author of The Native American Sweat Lodge. He's part Abenaki, a tribe concentrated in the northeast United Staes, and part European.

"Each tribal nation has its own traditions, so one group might do it differently from another so you cannot generalize too much," said Bruchac, who runs an outdoor education center in Greenfield Center, New York.

In North America, most Native American tribes use the term "sweat lodge" to refer to a dome-shaped structure where the intimate ritual of the sweat takes place, said Bruchac, who has his own sweat lodge on his property in the foothills of the Adirondacks.

"Sweat lodges are typically used for a ritual preparation, like before a hunt, or nowadays, people might do it before a wedding or dance or some kind of community event as a way of putting yourself in balance," he said.

Bruchac noted that incidents like the one in Arizona tend to raise discussion in Native American communities over whether non-Natives should be allowed to adapt traditional ceremonies.

"It's a very meaningful ceremony. I can understand why people find it attractive," Bruchac said. "But I consider it sacrilegious and foolish to do someone else's rituals without proper guidance or practice, especially in sweat lodges where you're raising people's body temperatures. With that many people, oxygen is going to be depleted, and if you have heart problems or breathing problems, you could faint or die."

No information about the sweatbox at the Angel Valley Resort near Sedona could be found on the Web site Saturday. The two people who died and the 19 others who fell ill there were attending a program by self-help expert James Arthur Ray, authorities said Saturday.

Authorities said between 50 and 60 people were in the structure for nearly two hours -- far exceeding the number who ordinarily would participate in a traditional sweat, according to Bruchac.

In a typical ritual, the leader of the sweat gathers four to 12 friends, family members or guests inside the structure, usually made of willow and covered with blankets or canvas, he said.

"The person running the sweat has to be very aware of the people in the lodge because he takes control of them mentally, physically and spiritually," said Bruchac. "The leader is responsible for them, so he has to be aware of their physical conditions and their motivations, their reasons for being there."

After everyone is inside, a firekeeper heats stones, usually lava rocks, and brings them into the lodge, placing them in a hole in the ground and carefully pouring water over the stones to release steam.

The technique of releasing the heat is done with great care so that no one is injured by the steam, which can burn skin or lungs if someone inhales it, said Father Raymond Bucko, Director of Native Studies at Creighton University.

"Nobody will make it so hot that no one can stand it," said Bucko. "Religious leaders are very careful about people's health in the sweat. If they're not healthy, people can sit outside the sweat and pray and others can go in for them."

A ritual of speaking or prayer may follow, depending on the group's intention for gathering.

"People talk and often there's lot of humor, but at any time if it's too hot, some one can say so and they will immediately open the door and people are encouraged to go out," he said.

The Jesuit priest and cultural anthropologist participated in sweats with the Crow and Lakota people for nearly 30 years, until he was diagnosed with multiple sclerosis two years ago.

"It's not about toughing it out or proving anything. It really is a beautiful experience of people coming together, of intense prayerfulness."

@highlight

Sweat lodges are used in prayer and purification rituals across globe

@highlight

Deaths raise concerns over non-Natives trying to adapt traditional ceremonies

@highlight

Typical Native American sweat lodge used in ritual of prayer and purification

@highlight

Firekeeper heats stones, places them in hole in lodge, pours water over them