(CNN) -- On June 15, President Barack Obama described the Gulf oil spill in a prime-time address as "the worst environmental disaster America has ever faced."

A government report released last week, however, said almost 75 percent of the oil that gushed from BP's ruptured well into the Gulf of Mexico has been collected, dispersed or evaporated. The rest remains on or just below the surface of the water in the form of a light sheen or weathered tar balls.

Much of the remaining oil is "being degraded and cleaned up on the shore," said Jane Lubchenco, head of the National Oceanic and Atmospheric Administration.

"Many of the doomsday scenarios that were talked about and repeated a lot have not and will not come to fruition," White House Press Secretary Robert Gibbs has said.

So was the oil spill really "the worst environmental disaster" in U.S. history?

Disasters are hard to rank and tricky to compare, historians say, but they cite several calamities that rival or surpass the Gulf oil spill in terms of lives lost or affected.

In 1889, for example, a poorly maintained dam collapsed, sending a wall of water crashing through Johnstown, Pennsylvania. The flood killed over 2,200 people and destroyed 1,600 homes.

Historians also cite what happened in blue-collar community of Love Canal, New York, which was built atop more than 20,000 tons of chemical waste and linked to high rates of cancer and birth defects. Hundreds of families were ultimately forced to flee.

In terms of permanently disrupting a way of life for the largest number of Americans, historians say, nothing compares to the 1930s Dust Bowl, a slow-motion disaster sparked by years of shortsighted farming practices and serious drought. Native grasses across the country's heartland were torn up, leaving little to hold the topsoil in place. When the winds kicked up, dust storms turning the sky black could be seen as far away as New York City.

About 2.5 million people fled the Dust Bowl in one of the largest migrations in U.S. history. Families abandoned countless farms. That devastated the region's agriculture economy.

"The entire way of life of the Great Plains moved away from agriculture for a time," said Brian Black, an environmental historian at Penn State.

Historians do not dispute the enormity of the damage caused by the Gulf oil spill, which killed 11 people, bruised local and regional economies and caused damage that may not be apparent for years.

It was "plainly the greatest oil spill disaster" in American history, according to Wesley Warren, director of programs for the Natural Resources Defense Council, a progressive advocacy group.

Black agreed.

Nearly 206 million gallons of oil gushed into the Gulf of Mexico after an explosion sank BP's Deepwater Horizon drilling rig in April, compared with 11 million gallons of crude that seeped from the Exxon Valdez into Alaska's Prince William Sound in 1989.

The Valdez spill was devastating, Black said. The local ecosystem and fishing communities never fully recovered.

Yet "the use of dispersants, the formation of plumes deep under water, and the unique ecology of the Gulf each make (the BP) spill more disastrous," he said.

The Gulf oil disaster ranks as the largest recorded maritime oil spill in U.S. history -- and the largest accidental oil spill into water in world history, topped only by Iraq's intentional release of 240 million gallons of oil into the Persian Gulf during the Gulf War.

In 1910 and 1911, though, more oil spilled onto land in California as a result of the Lakeview Gusher, the consequence of a 1910 well explosion in California's Central Valley. Nearly 380 million gallons are believed to have spilled over nearly a year and a half. That spill, though, directly affected relatively few people and had "a less complicated ecological impact," Black said.

So how does the Gulf oil spill compare with the infamous 1889 Johnstown Flood, an event memorialized in American songs and books?

The collapse of South Fork Dam sent about 20 million tons of water toward the Pennsylvania steel town, built on a flood plain between two rivers.

It's tough to compare Johnstown's broken dam with the Gulf's broken oil well, but they're similar in the sense that they're both at least partly the product of a similar sense of ethics -- or lack thereof, Black said.

The 19th century robber barons behind the dam -- Andrew Carnegie and Henry Clay Frick -- ignored and did not properly maintain the dam, he said. BP stands similarly accused of placing safety concerns behind financial considerations, an assertion the company has denied.

"That's a very good illustration of the ethics that predominated then and now," Black argued. "At times, big oil's ethical culture is not too different from Carnegie's and Frick's, and it's allowed to exist that way because we depend so much on big oil."

Of course, the long-term impact of the Gulf spill is still unknown.

Local residents can be optimistic because oil is a naturally occurring substance, Black said. That means the region eventually will recover, though recovery may come too late for many businesses.

One neighborhood that may never wholly recover: Love Canal -- now a synonym for environmental disaster in the United States.

Purchased from the Hooker Chemical Company for $1 in 1953, the community's contaminated land was linked to unusually high cancer and birth defect rates, among other things.

The federal government declared an emergency in the late 1970s as hundreds of families were forced to evacuate. The incident led to the passage of the Superfund Act, designed to make polluters cover the costs of cleaning up contaminated areas.

Though the EPA declared Love Canal clean in 2004, skepticism about its safety has lingered.

Fewer people may have been affected by Love Canal than by the Gulf spill, but petroleum is "not quite as corruptive as the toxins were at Love Canal," Black said; chemicals and radioactive materials can pose a potentially greater long term risk.

The bottom line: it's tough to rank environmental calamities.

"We can't appreciate the magnitude of (some disasters) until their results and implications have had time to play out," Black said.

"Grand statements" such as Obama's "miss a very important point: This very bad situation resulted from doing business as usual in the petroleum industry. Such events could occur any time the industry pursues such deep water wells as long as regulation is lax."

Warren agreed.

"Once something crosses a threshold of being a disaster, then it's the worst one of that type in its own way," he said. "The lesson should always be how can we prevent it from happening again."

@highlight

Obama declared the Gulf oil America's "worst environmental disaster"

@highlight

Several calamities may rival or surpass the Gulf spill in certain respects, analysts say

@highlight

2.5 million people were displaced by the Dust Bowl; over 2,200 were killed at Johnstown

@highlight

It may be impossible to rank environmental catastrophes, according to experts