(Health.com) -- You knew it was coming: Flu season's back, and there's no telling how mild or wild it will be (remember swine flu?).

"The severity of each season is unpredictable," confirms Dr. Karen K. Wong, an epidemic intelligence service officer at the Centers for Disease Control and Prevention (CDC).

Same goes for ye olde common cold, which also strikes this time of year. But thanks to scientists who are constantly working to learn the best ways to fight germs and build a better flu shot, it's gotten easier than ever to protect yourself. Follow their advice, and this could be the year you don't get sick.

Get a flu shot (pronto!)

Flu season runs from October to May, so if you haven't gotten jabbed, now's the time. "The vaccine takes anywhere from two to four weeks to take effect, and it lasts for at least six months, so if you get it now, you'll be primed for the flu's peak in January or February," says Andrew Pekosz, an associate professor of microbiology and immunology at Johns Hopkins University in Baltimore.

The CDC recommends that everyone 6 months and older get vaccinated. About 200,000 people are hospitalized with flu-related complications each year, and thousands die. In fact, as many as 18,000 people in the United States are estimated to have lost their lives to the H1N1 epidemic of 2009.

Health.com: 10 ways you increase your flu risk (without realizing it)

Women may be more likely than men to end up in the hospital with severe flu symptoms, notes Sabra Klein, an assistant professor of molecular microbiology and immunology at Johns Hopkins University who researches sex differences in infectious disease. That's because women's bodies mount higher immune responses to germs.

A quick refresher on how the shot works: Every year, CDC scientists figure out which strains of influenza are most likely to run rampant based on data from the previous flu season, then put dead forms of those strains into the vaccine. When you get the shot, your immune system produces targeted antibodies to beat those specific viruses -- that way you'll be pre-equipped to fight off the live germs if you come in contact with them in the real world.

The vaccine is at least 60% effective -- no, not 100%, but "even if you do get the flu after being vaccinated, your symptoms will likely be less severe because of the partial immunity you've built up," says Dr. Cornelia Dekker, a professor of pediatric infectious diseases at Stanford Medical School.

You might have a sore arm or redness after getting the shot, but that's your immune system's response to the vaccine; you can't actually get the flu from the vaccine. (Note: The shot can cause a reaction in people allergic to eggs, so if that's you, talk to your doc before getting it.)

To avoid soreness altogether, ask for FluMist, the needle-free nasal spray vaccine (unless you're pregnant, over 50, or have a chronic condition like asthma -- the spray isn't yet approved for those folks).

Health.com: What ails you: Cold, flu or something else?

Stay away from sickies

The flu gets passed around primarily when infected people sneeze, cough, or just talk, sending tiny, virus-filled water droplets out of their mouths and noses and into yours, from as far as six to 10 feet away.

So if a co-worker shows up complaining about aches and pains, or you notice someone wheezing next to you on the bus or in line at Target, you should stay at least 10 feet away, if possible -- "15 feet if the person's really sick," says Philip Tierno, director of clinical microbiology and immunology at NYU Langone Medical Center in New York.

Switch seats on public transportation or at the movies if you have to. (And if you're that coughing, sneezing person -- stay the heck home, for the sake of those around you.)

Vitamin D supplements no help for colds, flu

Although you probably won't get influenza from pressing an elevator button or using a keyboard that a sick person has handled, you could catch a cold, since that virus is mainly passed around by touch. So it's smart to clean shared telephones and laptops with a disinfecting wipe.

Also, like Mom said, wash your hands! Soap up or use an alcohol-based sanitizer, especially before you eat or touch your eyes, nose, or face, and after you've been in the bathroom.

If you've got a sick child or spouse at home, you can't exactly banish 'em to the backyard. Just wash your hands more than usual and avoid kissing and sharing drinks or utensils with family members; they can shed live viruses for five days after symptoms are gone.

Health.com: How to stop a cold in its tracks

Sleep in this weekend

You always hear that rest is important when you're under the weather, but research shows that it really could make the difference between who gets sick and who doesn't.

In a study from Carnegie Mellon University, people who got eight or more hours of sleep were less likely to come down with a cold than those who'd snoozed for fewer than seven hours, even when a live virus was placed directly in their nose. (Suddenly, staying up late to catch up on Downton Abbey doesn't sound quite as tempting.)

Even if you don't have time for a nap, doing some meditation could really help to ward off colds and flu: In a new study from the University of Wisconsin, people who took an eight-week course in mindfulness meditation were about 30% less likely to get sick than non-ommers. No need to take a class; simply sit still and focus on your inhales and exhales for several minutes every day.

Health.com: Superfoods that fight colds

Eat to boost your immunity

What you put in your mouth can make a huge difference in how well your body fights off cold and flu germs. Step one: Cut back on fatty foods and eat more of the stuff that boosts your immune response, like fruit and vegetables, experts advise.

Federal guidelines recommend that we get five to nine servings of fruit and veggies a day. At the very least, have one at every meal or snack -- "especially orange, yellow-orange, and deep green produce, which are highest in the symptom-beating antioxidants you need now: vitamin C, E, and beta-carotene," says Dr. Melina Jampolis, a Los Angeles internist, CNN diet and fitness expert and author of The Calendar Diet.

Vitamin D is another nutrient to amp up on: One recent Spanish study found that being deficient may leave us particularly vulnerable to colds and flu. Because it's tough to get enough from sunlight (which triggers the body to create it) or food, "I put my patients on 1,000 IU a day," Jampolis says.

Health.com: 7 healthy chicken soup recipes

Most important, eat a well-balanced diet that's not lacking in any nutrient, including calories. "Flu season -- or any season! -- is no time to go on a crash diet," Jampolis says. "Severely limiting calories can decrease your body's defenses." Pass the sweet potatoes!

Copyright Health Magazine 2011

@highlight

Cold and flu season runs from October through May

@highlight

Your best means of protection is getting a flu shot

@highlight

Eating well and getting plenty of sleep can also help