(CNN) -- As Syria's foreign minister blasted international calls for President Bashar al-Assad to step down, Syrian forces were shelling civilian neighborhoods and battling rebel forces, opposition leaders said.

Foreign Minister Walid Moallem told the U.N. General Assembly that the rhetoric against al-Assad amounts to a "blatant interference in the domestic affairs of Syria, and the unity of its people and its sovereignty."

Here are some of the latest events in the Syrian uprising:

Deadly violence

At least 183 people were killed Monday, including 12 children, the opposition Local Coordination Committees of Syria said.

The deaths included more than 30 due to aerial shelling, the group said.

Forty-two people were killed in Idlib -- at least 30 of them "in a massacre" in the town of Seqlein, the LCC said. The group reported that 55 people were killed in and around Damascus.

The Free Syrian Army launched an offensive to gain control of the Aleppo military airport on the outskirts of Syria's largest city, said Abdulla Yasin, spokesman for the rebel fighters. There were fierce clashes with al-Assad's troops for control of the vital base, he said, adding that FSA troops destroyed four fighter planes and a tank at the airport.

Eleven civilians were killed when a regime shell struck a mosque in the Hnano neighborhood, Yasin said.

The state-run Syrian Arab News Agency (SANA) said Monday its forces carried out operations against gatherings of "terrorists" in Aleppo and elsewhere, inflicting "heavy losses." Seventeen citizens were "martyred in terrorists' shelling" on a village in Homs Sunday, the government said.

Hama Massacre recalled as troops move into city

Syrian security forces are uprooting thousands of people and demolishing their homes in the western flashpoint city of Hama, residents told CNN.

As security forces surround the Mesha Alarbeen district and bulldozers tear down homes inside, the Hama Massacre is still fresh in the minds of many who live there.

Between 3,000 and 40,000 people were believed to have died when the military acting under orders from Hafez al-Assad -- the father of the current Syrian president -- brutally cracked down on a revolt in 1982. A 1983 Amnesty International report put the toll on both sides between 10,000 and 25,000.

Hama is once again an epicenter of the anti-government movement that has roiled the country.

"So far they have razed 120 buildings," Osamah, a Hama resident who visited the neighborhood on Sunday, told CNN.

SANA reported a "massive presence of terrorist armed gangs that threaten" the people of Hama. Other SANA articles referenced how security forces had found large amounts of weapons in the area.

The Syria toll, so far

Newly released casualty figures from the LCC put the number of civilians and opposition fighters killed in the conflict at around 28,000

More than 24,000 of them were civilians, the LCC said. Thousands of Syrian troops have also reportedly been killed.

The opposition Syrian Observatory for Human Rights says more than 30,000 people have died in the unrest.

CNN is unable to independently confirm casualty reports as the Syrian government has severely limited the access of international journalists.

The new casualty figures show August was the deadliest month, with 5,091 killed. In September, 4,071 people were killed, according to the LCC.

Report: Iraq to search Iranian planes bound for Syria

Iraq will conduct random searches of Iranian planes bound for Syria to check for arms shipments, Iraqi Foreign Minister Hoshiyar Zebari said in an interview published Sunday in the al-Hayat newspaper.

Zebari said Iraq will not act as a passageway or a channel for arms to make their way into Syria. "We are not with the militarization of the conflict. We are against the arming the regime or the opposition," he said.

The foreign minister told the newspaper that U.S. Secretary of State Hillary Clinton and others raised concerns about arms shipments. The United States believes Iran, one of al-Assad's strongest supporters, is arming government forces.

Clinton has called on Syria's neighbors to take steps to prevent Iran from using its land and airspace to deliver shipments to Syria.

Iraq faces a difficult task in enforcing the inspections, Zebari said.

"We explained to the U.S. side that Iraq's air defense capabilities are limited, and we are in the stage of building our air force," he said.

More: Syrian rebels claim knowledge of chemical weapons site

Iranian flights over Iraq to Syria began in March but were stopped shortly after at the request of Iraq, Zebari said. The flights resumed in July.

"They said these flights contain no weapons or hardware, and that they transport pilgrims, visitors and so on. But to verify their shipments, we will ask these planes to land," Zebari said.

Last week, Baghdad rejected a request from North Korea to fly through its airspace to Syria because of a suspicion the flight was carrying arms.

Background

The Syrian conflict broke out in March 2011 after unarmed protesters, inspired by the success of popular uprisings in Egypt and Tunisia, took to the streets demanding political reform.

The movement devolved into an armed conflict after a brutal and continuing crackdown by government forces.

Foreign Minister Moallem spoke Monday to the U.N. General Assembly just days after world leaders painted a grim picture of the conflict.

Syria has dominated much of the General Assembly discussion -- on stage and on the sidelines -- as world leaders struggle to find a way to resolve the war that has left the Security Council hopelessly deadlocked, with China and Russia opposing some of the toughest measures proposed.

The Security Council has been paralyzed by a division over how to halt the killing in Syria. Russia and China have blocked resolutions calling for al-Assad to transfer power and step down, saying the issue should be settled by Syrians.

Germany has slammed the U.N. Security Council for failure to act, and the United States, Britain and France announced they are backing increased support of non-lethal aid to the Syrian opposition.

CNN's Saad Abedine and Dana Ford contributed to this report.

@highlight

NEW: At least 183 people were killed Monday, an opposition group says

@highlight

Iran's foreign minister says calls for al-Assad's ouster are an interference

@highlight

Iraq's foreign minister says Iran's planes bound for Syria will undergo random inspections

@highlight

The opposition group puts the human toll in the 19-month crisis at around 28,000