(CNN) -- A legal chapter closes now that a federal judge has lifted an injunction on Arizona's "show me your papers" provision of its tough immigration law, but the legal combat won't end and will merely take a new direction, analysts and attorneys say.

At the same time, implementation of the law will heighten a wary relationship between police who must enforce the law and Latinos who allege it will inevitably cause racial profiling. The court's demand for evidence of such profiling is prompting Latino advocates to police the police and monitor arrest practices.

The controversial provision authorizes local police, while performing other state law enforcement duties, to check on the immigration status of people they stop for another reason. The federal judge in Arizona this week based her decision on a recent U.S. Supreme Court ruling upholding the provision, she said.

Undocumented immigrants face arrest as they proclaim, 'No papers, no fear'

Police monitoring and a public awareness campaign have already begun in the state's Hispanic communities, who make up most of the state's immigrants, advocates say.

"We're already doing it," said Isabel Garcia, co-chair of the Coalicion de Derechos Humanos, a civil and human rights group in Tucson that opposes the law.

"We formed a 'Yo Soy Testigo' -- 'I Am a Witness' -- hot line. We're getting so many calls now it's unbelievable," Garcia said.

In the meantime, the stage is set for continued fighting between the state and federal governments over the administration of the law, as the Department of Homeland Security reiterated this week that it will only respond to immigration enforcement requests in priority cases, such as those involving convicted criminals.

Additional legal wrangling could arise from executing U.S. District Judge Susan R. Bolton's ruling to terminate the injunction.

Both sides have 10 days to agree on the wording of the order to lift the injunction, but they may disagree on how the provision should be carried out, said Thomas Saenz, president and general counsel of the Mexican American Legal Defense and Educational Fund, or MALDEF, a party in the case that is challenging the law.

MALDEF and co-counsels in the case have yet to decide whether to appeal the judge's ruling, Saenz said.

Saenz is expecting a long legal slog, he said.

"There will certainly be other chapters," Saenz said. "There will definitely be additional court skirmishes before Section 2b -- the show-your-papers provision -- takes effect. This is not a dead issue because of the possibility of appeal," Saenz said.

Proving racial profiling is difficult, Saenz said.

In a separate Arizona case, MALDEF and the American Civil Liberties Union of Arizona are now waiting for a federal judge's ruling after a trial of their class-action lawsuit against the Maricopa County Sheriff Joe Arpaio and his department, both of whom are accused of racial profiling and discrimination against Latinos.

Arpaio denies any discrimination.

Immigration lawsuit revives DREAM Act debate

"What Arpaio is doing sort of previews what will likely happen statewide if the show-your-papers provision is implemented," Saenz said.

Meanwhile, the number of federal immigration checks sought by local Arizona police continues to show an overall downward trend as it has for the past three years, said spokeswoman Amber Cargile of the U.S. Immigration and Customs Enforcement in Phoenix.

ICE responds only to local police calls deemed in line with federal priorities, which are cases involving criminal aliens, threats to public safety, recent border crossers and illegal immigrants who have entered the country a second time, Cargile said.

In June, 61 calls from local police agencies resulted in the arrest of 151 people on immigration violations; there were 35 calls and 86 arrests in July and 41 calls and 65 arrests in August, Cargile said.

"We are seeing a continued downward trend in numbers," Cargile said. "This is consistent across the board over the past three years. Our drop house encounters in Phoenix are down considerably, and Border Patrol apprehensionsâ€”a key indicator of illegal immigrationâ€”have decreased significantly as well."

Once the injunction is officially lifted, the government of Arizona will have to decide when to begin enforcing the provision, said Doris Meissner, a senior fellow at the Migration Policy Institute, a nonpartisan think tank in Washington.

Arizona could choose to wait a period before implementing the provision to provide training or other guidance to its law enforcement, she said.

Barring a call by opponents for an emergency ruling to maintain the injunction, it is just a matter of time before it goes into effect.

Once it does, Meissner said, the strategy used by opponents of the law is expected to change.

From the moment it begins to be enforced, opponents will be focused on monitoring its implementation, she said. That's where the next challenge is expected to come.

In short, what Bolton's ruling said was that, given the Supreme Court ruling, the provision cannot be blocked on the speculation that it is discriminatory. There has to be evidence of racial profiling for the law to be blocked.

"You can't do it in the abstract. You need a person, or persons, who believe they have been discriminated against," Meissner said.

Judge weighs Arizona immigration law

But those kinds of cases aren't easy to win, said Marshall Fitz, director of immigration policy at the Center for American Progress, a liberal public policy think tank.

Trying to prove racial profiling in court can turn into a he-said, she-said affair between alleged victims and police, he said.

"There's a story to tell, and a counternarrative that police officers will tell," Fitz said. "It's not impossible, but I think any litigator will tell you it is a steep hill to climb."

Implementation of the "show me your papers" provision will set off a potential multi-year process of litigators and activists collecting evidence to convince a court that systemic racial profiling exists.

After this week's ruling, Arizona Gov. Jan Brewer denied the law would discriminate.

"As I have said consistently, it is not enough that this law be enforced. It must be enforced efficiently, effectively and in harmony with the Constitution and civil rights. I have no doubt Arizona's law enforcement officers are up for the task ahead," she said.

The law that supporters envisioned, however, may not produce the results they wanted, even in enforcement.

The Obama administration has a policy to remove only certain groups of undocumented immigrants, such as convicted criminals.

Even if Arizona police requests overwhelm ICE, the agency will not respond unless the subject meets its criteria, said Cargile.

"As we've previously emphasized, Department of Homeland Security officials in Arizona have been directed not to respond to requests from state and local police officers for assistance in enforcing immigration laws unless the individual or individuals in question meet DHS' enforcement priorities," she said.

The department will continue to verify a person's immigration status upon request, however.

Driver's license rules fuel new immigration debate

@highlight

NEW: Arizona police calls to feds for immigration violations on "downward trend," ICE says

@highlight

Latino groups will monitor police for racial profiling, as sought by courts

@highlight

A federal judge lifts an injunction on a provision of Arizona's immigration law

@highlight

The "show me your papers" provision was upheld by the Supreme Court