London (CNN) -- Scientists have picked a prime landing site on the "head" of a comet for the next stage of the Rosetta mission.

The project, led by the European Space Agency (ESA) with partners including NASA, recently placed the Rosetta probe in an orbit 30km (18 miles) from the surface of Comet 67P/Churyumov-Gerasimenko after a 10-year chase across the solar system.

If successful, the mission will be the first to orbit and land on a comet as it journeys around the Sun.

A statement on the space agency's Rosetta blog says landing site "J" was chosen due to its "scientific potential" while posing less risk to Rosetta's lander module Philae compared to other possible sites.

A backup site (marked "C" in the above composite image) has been identified on the irregularly-shaped "body" of the comet which has two distinct lobes -- and mission controllers say they are aiming to reach the surface on November 11.

Rosetta will stay in orbit around the comet as it rushes towards the Sun, taking measurements as gas and dust are ejected into a huge tail, while the lander carries out experiments on the surface.

The mission is aimed at learning more about the composition of comets and the project may shed light on whether they brought water to Earth or even the chemicals that make up the building blocks of life.

3D animation: See how Rosetta met the comet

"We will make the first ever in situ analysis of a comet at this site, giving us an unparalleled insight into the composition, structure and evolution of a comet," said a lead lander scientist Jean-Pierre Bibring on ESA's Rosetta website.

Making a landing is particularly difficult as the probes are so far away that steering Philae once it has separated from Rosetta is not possible. The lander's trajectory has to be programmed ahead of its release.

Project leaders had to find a landing site that avoids large surface hazards and allows Philae to continue to communicate with Rosetta.

Before the prime landing site was chosen, Rosetta project scientist Matt Taylor also explained that power was a crucial consideration.

Philae's batteries will have enough charge for 64 hours but the lander needs sunlight to generate more energy for the extended science mission.

"There are certain parts of the comet where you won't be able to do any science because you will never get the lander in enough sunlight to be able to recharge the batteries," Taylor told CNN.

Taylor shared the excitement of seeing the first high-resolution close-up images but said his reaction to the odd shape was: "What are we going to do with this? Where are we going to go?

"It has presented a challenge as to where we can land on the comet because there are certain regions you just can't reach. The neck is quite difficult to get to -- it's difficult to get a trajectory that will end up on that point without clipping one of the lobes."

Taylor told CNN that results were starting to come in from the on-board instruments.

"There are some dust instruments that kind of put their hand up for a couple of weeks and then bring the hand back in again and analyze what it's caught," he said.

"We are starting to sniff and taste the comet."

You can follow Rosetta's mission on Twitter @ESA_Rosetta and through the ESA blog.

@highlight

Scientists are trying to land a probe on Comet 67P/Churyumov-Gerasimenko

@highlight

The European Space Agency says it now has chosen a prime target landing site

@highlight

The comet is so far from Earth the Philae lander needs to be programed to land on its own

@highlight

It took more than 10 years to position the Rosetta craft so it could follow the comet