San Diego, California (CNN) -- The upcoming Oscars are no stranger to causes or controversy. And this year, there is a strong dose of both surrounding the film "Argo" -- and its star and director, Ben Affleck.

This controversy bubbled up when the buzz started that Affleck could get an Academy Award nomination for best director when the announcements are made Thursday.

Read more: Academy Awards 2013: And the nominees are...

"Argo" tells how an ingenious and daring CIA agent helped orchestrate the rescue of six U.S. diplomats from Tehran during the Iran hostage crisis of 1979-1980. In November 1979, about 300 Islamic students stormed the U.S. Embassy and 66 Americans were taken hostage. But six U.S. diplomats escaped and were hidden at the Canadian Embassy by the Canadian ambassador and his wife.

The CIA agent -- Antonio "Tony" Mendez, played by Affleck -- successfully led the mission to evacuate the Americans, which involved Mendez and his associates posing as a Canadian film crew that was eager to make a movie in Iran.

Read more: 'Lincoln' leads field in British film awards nominations

The real Tony Mendez was awarded the Intelligence Star for Valor, and other honors, for leading the rescue. He later wrote a memoir, detailing the events in Tehran.

"Argo" is loosely based on Mendez's book. Better make that, very loosely based. As movie critics and others have pointed out since the movie opened a few months ago, the filmmakers took lots of dramatic license with the story. Mendez's role is played up, while that of the Canadians who helped hide and protect the Americans is played down. Some scenes depicted in the film never happened. Some characters are composites of several real people.

Read more: Why 'Django Unchained' stirs race debate

In other words, it's what you would expect from a Hollywood feature film based on a historical event. It's not a documentary. It's meant to be taken with a grain of salt, and to be entertaining.

Still, there are some Latinos -- in and out of Hollywood -- who think that, in this case, the filmmakers, and especially Affleck, pushed the concept of creativity too far. They say Affleck missed an opportunity to put more Latinos on screen. Moreover, they say, Affleck improperly claimed, for himself, the choice role of Mendez when he should have cast a Latino actor instead. They insist that the director didn't just cheat a Latino out of an acting job but the Latino community out of a feel-good story about one of their own who won acclaim for a heroic deed.

The critics are right, and their cause is just. Affleck should have tried to cast a Latino to play Mendez. That's common sense, and it would have made "Argo" a better movie. Affleck also didn't do himself any favors by trying to dismiss the criticism with a glib remark that essentially said that it really doesn't matter that the actor playing Mendez isn't Latino since Mendez himself isn't, shall we say, overtly Latino.

Read more: The biggest, buzziest movies of 2013

At a recent forum intended to publicize the film, Affleck responded to a question from the audience about the controversy by noting that "Tony does not have, I don't know what you would say, a Latin/Spanish accent" and that "You wouldn't necessarily select him out of a line of 10 people and go 'This guy's Latino.' "

Ouch. At least Affleck didn't slip and say "line up."

"So I didn't feel as though I was violating something," he said, "where, here's this guy who's clearly ethnic in some way and it's sort of being whitewashed by Ben Affleck the actor."

Johnny Depp set a better example. Several months ago, Depp turned down the role of Mexican revolutionary Francisco "Pancho" Villa in another film. He said that the role should go to a Latino. I praised Depp at the time for showing that, besides being a great actor, he is also a person of character.

Read more: A (Richard) Gere shift for Oscars?

The exclusion of Latinos from Hollywood is an old story. This is still a black and white world, where Latinos rarely get cast in the leading role. We're the gardeners and housekeepers, the gang leader and drug dealers, the nannies and farm workers. That's it. There has been some progress, of course. But not enough -- not when you have a Latina in the Supreme Court, three Latinos in the U.S. Senate, and Latinos heading Fortune 500 companies.

I could blame the environment of Southern California, in which most Hollywood writers, producers and directors live and spend most of their time. When they get up in the morning and drive to work, most Latinos they encounter are subservient. We clean their homes, cook their breakfast, trim their hedges, park their cars and otherwise help them get through the day.

Still, you can push this argument too far, and wind up going down a dangerous path -- one that ultimately sets back the greater cause of trying to get television networks and film studios to create a broader range of meatier roles for Latino actors and actresses.

After all, it's a short walk from saying that a director should have cast a Latino to play a Latino to arguing that only Latinos can play Latinos. And, if that's the argument, then on what moral high ground do Latinos stand to also push -- as we should -- for Latino actors and actresses to be considered for generic and mainstream roles that could have gone to white actors? We can't have it both ways.

Even if Latinos succeed in making their point about this one director and this one movie, it could backfire. We could win this battle, and still lose the war.

But before Latinos can be fully integrated into America and not considered outsiders, we have to take every opportunity to push for inclusion and fairness. And acknowledging that Latinos have the skills to play themselves is a good start.

Join us on Facebook/CNNOpinion

The opinions in this commentary are solely those of Ruben Navarrette.

@highlight

Oscar nominations on Thursday, and Ben Affleck expected to get one for "Argo"

@highlight

Affleck plays real-life Latino who helped diplomats escape in Iran hostage crisis

@highlight

Ruben Navarrette: Affleck should have used a Latino actor to play role

@highlight

He says it cheats actor out of a job, and the Latino community out of a hero's story