President Obama arrived in Seoul on Friday to news that North Korea may be counting down to a nuclear weapons test.

Such moves out of Pyongyang are no surprise and are typical behavior for the North, Obama told reporters while in Tokyo, his previous stop on his Asia trip.

The President said he was prepared to deliver a firm response if a test is conducted during his visit.

North Korea's heightened activity at its nuclear test site was already known. But now, the final step needed for an underground detonation has been taken, a South Korean government official said Thursday.

The North has closed off the entrance to the tunnel at the Punggye-ri nuclear test site, the official said.

That gives Pyongyang 11 days to either detonate a nuclear device or cancel the test. It would be the North's fourth test of a nuclear weapon.

United front

Obama and South Korean President Park Geun-hye want to display a united front against North Korea, and the communist dictatorship reacted earlier in the week to the American President's visit with condemnation.

Its Foreign Ministry has called the trip "a reactionary and dangerous one, as it is aimed to escalate confrontation and bring dark clouds of a nuclear arms race to hang over this unstable region."

At a joint news conference Friday, Park praised Obama for his presence during renewed tensions on the peninsula.

"President Obama's visit to Korea sends a strong message to North Korea that its provocative acts cannot be tolerated," she said.

Obama called North Korea "the most isolated country in the world." International sanctions and condemnation have led to extreme suffering for its people, he said.

In light of possible new provocations, he said the United States and South Korea have agreed that they need to find new ways to pressure Pyongyang, such as "further sanctions that have even more bite."

Park said that the two countries would "spare no efforts" to deter North Korea. But she also underlined the South's desire to tend to the dire needs of the North Korean people and to work toward Korean reunification.

Ferry disaster

The possibility of a nuclear test adds a dark cloud to the grim mood overshadowing Obama's visit -- the sorrow over the capsizing of the ferry Sewol.

As he often does at home, he is acting as "consoler-in-chief," offering support to survivors and victims' families as he pauses from policy and diplomatic demands.

More than 180 people have been confirmed dead, many of them high school students, and the nation has been consumed with grief. Many of the nearly 500 on board are still missing.

The tragedy has occupied most of Park's time over the past week.

Obama presented her with a framed American flag that was flown over the White House the same day the ferry sank as a symbol of condolence.

In an interview with Korean news outlet JoongAng Ilbo, he said:

"Michelle and I sent our deepest condolences to the South Korean people, and as parents we cannot begin to imagine what all those grieving parents are going through, having lost their sons and daughters."

Stately ceremonies

The President also tended to American servicemen and women in South Korea on Friday.

He laid a wreath at the National War Memorial to commemorate those who died in the war between the Koreas from 1950 to 1953.

Nearly 3 million people died on all sides, including more than 36,000 American servicemen. The conflict ended in an armistice that stopped the fighting, but a peace treaty was never signed.

The United States has maintained a large military presence in South Korea since then.

The President also congratulated U.S. military personnel and spouses of soldiers who were being naturalized as U.S. citizens Friday.

And he took the opportunity to stump for immigration reform.

"Thirteen of you made the profound decision to put on the uniform of a country that was not yet fully your own," he said from a stage. "Seven of you married a military soldier."

He praised the new citizens, who had immigrated from 14 countries, as an asset to the United States. He said Americans must "keep in mind the value of our immigrants to our way of life. It is central to who we are."

After they took the oath of citizenship, the President posed for a photo with the entire group.

Pacific allies

Obama headed to Seoul from Tokyo, where a formal state visit --- complete with a royal audience and a black-tie dinner --- was meant to exhibit strong ties between Japan and the United States.

At a news conference with Japanese Prime Minister Shinzo Abe, Obama was pressed on whether he would use military force to defend an obscure set of islands controlled by Japan that are at the heart of a heated regional dispute with China.

He said the U.S. security pact with Japan does extend to the islands -- known as Diaoyu to the Chinese -- and insisted his implicit offer to defend them against any Chinese incursion did not amount to drawing a red line around the contested land.

"The treaty between the U.S. and Japan preceded my birth, so this isn't a red line that I'm drawing," Obama said. "There's no shift in position, no red line. Were simply applying the treaty."

The group of islands and rocks jutting out of the ocean is tiny and uninhabited. But the longstanding dispute over them has sent tempers flaring in Beijing and Tokyo, especially in recent years.

The area around them in the South China Sea between Taiwan and Okinawa is believed to be rich in oil resources.

Senkaku is administered by the Japanese, but the Chinese say they are the rightful owners.

The missing plane

Seoul is the first of two stops on Obama's tour where citizens are coming to grips with major transportation disasters --- on Saturday, Obama flies to Malaysia, where government officials continue to search in vain for the Malaysian Airlines jetliner that disappeared more than a month ago.

Those officials have come under withering criticism, accused of botching the search and keeping family members of those on board in the dark.

So far, the White House has avoided faulting Malaysian leaders for the efforts, instead highlighting the U.S. efforts to help find the plane.

Ukraine

Reporters questioned the U.S. President on the situation in Ukraine and his relationship with Russian President Vladimir Putin.

Obama praised the unity of other countries, particularly in Europe, in condemning Moscow's "meddling" in Ukraine.

He placed much of the blame on Russia for the breakdown of a peace agreement made last week in Geneva, Switzerland.

The Ukrainian government has been carrying out its side of that agreement, he said. It has, for example, offered amnesty to those who will lay down their arms.

The agreement also calls for both sides to refrain from violence. On Thursday, the Ukrainian government said its forces killed five pro-Russian activists while destroying opposition roadblocks.

"What we have not seen is Russia speaking out clearly, condemning the pro-Russian militias that have taken over these buildings," the President said.

Bigger sanctions need to be prepared in case of a Russian ground invasion, he said.

He also said that Russia's economy, which was already weakening, would suffer as investors bailed out of the country over the Ukraine crisis.

And he directed criticism at Putin.

"Mr. Putin, in my second term, has had an increasing tendency to view the world through a Cold War prism and to see Russia's interests as invariably in conflict with the West's," he said.

Read Longtime rivals China and Japan deploy Harry Potter villain in latest spat

@highlight

South Korean President calls Obama's visit a 'strong message' to the North

@highlight

North Korea takes final step needed for nuclear test

@highlight

South Korean official delivers the news as President Obama arrives in Seoul

@highlight

Capsizing of ferry that so far has killed 180 people, will overshadow his visit to S. Korea