(CNN) -- Wood as a building material is having a real comeback in contemporary Scandinavian design. Bent into minimalistic circular structures and sculptural forms, it is used with surprising results thanks to engineering and technical innovations. Offering a wealth of aesthetic possibilities, timber is now being hailed as the concrete of 21st Century.

Innovative architectural forms in wood was one of the central themes emerging during the World Design Capital year in Helsinki. As the planet is threatened by an ecological crisis, showcasing and promoting new eco-friendly materials was a valuable objective in the WDC program -- a topic also extended to the Finnish Pavilion at the Venice Architecture Biennale.

As exhibition designer Esa Vesmanen points out: "The young generation of architects have taken up wood with an innovative approach, thinking about all its possibilities from a new perspective."

In Helsinki, at the Aalto University architecture school, a studio in timber design offers students the possibility for a particular focus. A Summer Pavilion for the World Design Capital events was created by a team of students from an initial concept designed by Pyry-Pekka Kantonen.

"As a living material, wood is both challenging and inspiring," Kantonen says. The fact that wood is the most eco-friendly building material is an obvious reason for its use, but as Kantonen explains its aesthetic qualities are being rediscovered and appreciated again.

In public buildings, such as the Kilden Theater and Concert Hall in Kristiansand in Norway wooden surfaces have been cleverly used for psychological effects.

Juha Gronholm from the Finnish architectural studio ALA explains that the concert hall was conceived to feel as a musical instrument in itself. The undulating form of the ceiling was built from local oak based on traditional boat construction principles. Such a formal solution would have been impossible to make out of any other material.

In a similar way the Kamppi Chapel of Silence is an example of exquisite craftsmanship in the treatment of timber.

Erected in one of the busiest areas in Helsinki the chapel looks like a giant wooden bowl that has accidentally landed in the heart of the city and feels almost like a piece of conceptual art -- architecture with spiritual and intellectual connotations -- as sacred buildings should, of course. Its setting is unusual and its circular form radically breaking traditional models of architecture.

In Nordic countries and in the Balkans, wood has always been part of the architectural heritage. Weekends and holidays are still spent in waterfront log cabins and wooden cottages, but due to safety regulations -- and a disdain towards traditional materials in the 1960's -- its use diminished in family house building. Wood has been perceived as a modest material. A sense of simplicity and truthfulness is still associated to all timber constructions.

In a world where our ecological footprint is continuously considered, the reality of wood being the new concrete looks plausible indeed. Not only does wood absorb the greenhouse gas carbon dioxide, it also stores it in its finished form. The entire lifecycle of wood from construction to recycling benefits the planet from an ecological perspective.

In countries where wood is a natural resource buildings made out of timber make perfect sense. "It would be crazy not to make the most of a material, which is renewable and responds to serious environmental threats," Kantonen says. "Producing concrete and steel takes huge amounts of energy."

He also believes that wooden buildings will attribute to a better society where people are more tolerant and open towards each other:

"There is a warmth in wood and I don't just mean the physical characteristics."

© 2012 Grand Tour Magazine. All rights reserved.

@highlight

Wooden structures a central theme during World Design Capital year in Helsinki

@highlight

Buildings like the Kamppi Chapel in Helsinki an example of exquisite timber craftsmanship

@highlight

Wood and wooden buildings a part of Nordic countries architectural heritage