(CNN Student News) -- The foundation of a democratic republic is suffrage: the right to vote. Universal suffrage extends this civil right to all adults without distinction to race, sex, belief, intelligence or economic or social status. In the United States, almost all adult citizens over the age of 18 may vote in the presidential election. To this day, U.S. citizens who reside in Puerto Rico, Guam, the U.S. Virgin Islands and other U.S. territories do not vote in presidential elections, but may vote in local elections.

Throughout America's history, certain groups of citizens were disenfranchised. Poll taxes, literacy requirements and physical barriers effectively removed these individuals from the voting pool. Court decisions, local legislation and Constitutional amendments overturned many of these conditions for voting.

Milestones in American Suffrage

1787 - The U.S. Constitution The Constitution, as originally written, did not define a citizen. Any citizen of a state was deemed a citizen of the nation. At the time, most states only granted the right to vote to white male property owners. By 1850, most landowner requirements were eliminated.

1865 - Amendment XIII In the aftermath of the Civil War, three amendments were ratified that expressly addressed the role of blacks in America: the Thirteenth, Fourteenth and Fifteenth Amendments. The Thirteenth Amendment was the first step towards full suffrage for black adult males, as it abolished slavery in the U.S.

1868 - Amendment XIV The Fourteenth Amendment to the Constitution defines the U.S. citizen, and thus clarifies who may vote: "All persons born or naturalized in the United States and subject to the jurisdiction thereof, are citizens of the United States and of the State wherein they reside." Children of immigrants, even illegal immigrants, are citizens and may vote when they come of age. However, this amendment does not expressly grant suffrage to non-whites and women. It does set the legal age for voting at 21. This amendment also allows a state to remove the right to vote for "participation in rebellion, or other crime." As a result, most states still ban incarcerated felons from voting, and several states extend that ban to ex-felons.

1870 - Amendment XV The Fifteenth Amendment forbids the federal government and the states from using a citizen's race, color or previous status as a slave as a disqualification for voting. By this amendment, suffrage is granted for black adult males, but not females. Many in the women's suffrage movement condemned the Fourteenth and Fifteenth Amendments as unfair to women.

1920 - Amendment XIX By the turn of the century, women were voting in many western states, but most states still banned them from the voting booth. In 1920, after several failed attempts, the Nineteenth Amendment was ratified. This amendment prohibits states or the federal government from restricting suffrage based on gender.

1961 - Amendment XXIII This amendment finally granted District of Columbia voters the ability to participate in presidential elections.

1964 - Amendment XXIV In the century that followed the Civil War, racial tension persisted. Five southern states still had a poll tax, which was eliminated by this amendment. The Supreme Court declared that even a $1.50 poll tax was an unfair burden.

1965 - The Voting Rights Act After blacks were granted the right to vote in 1871, literacy requirements, physical violence, property destruction, hiding the polls and economic pressures still kept many blacks from voting, particularly in the South. In some states, a voter could vote in primary elections only if his grandfather had been able to vote in primaries; other states only allowed whites to vote in the primaries. In the largely Democratic South, these laws prevented descendants of slaves from having an effective vote. The Voting Rights Act was enacted in direct response to the Civil Rights movement. The act bans literacy tests and provides federal enforcement of voter registration and voting rights.

1971 - Amendment XXVI During the Vietnam War, many Americans felt it was unfair to send citizens to fight a war without the right to vote. This amendment sets the voting age at 18 across the nation for all elections.

1975 - Voting Rights Act Reauthorization By 1972, most adult citizens of the U.S. had the right to vote based on provisions in the Constitution. Congress amended the Voting Rights Act in 1975 to include language assistance for minority voters, who often could not vote if ballots and instructions were only available in English.

1990 - Americans with Disabilities Act The ADA addressed the need for physical access to the ballot box for all Americans. E-mail to a friend

@highlight

Use this information to understand the history of suffrage in the U.S.