Hong Kong (CNN) -- Tourism destinations deep inside India's tiger parks will be closed indefinitely after the Supreme Court of India imposed an interim ban on all tourism activities in core areas of tiger forests.

"(Until) final directions of the court, core areas in tiger reserves will not be used for tourism activities," the court said in the order issued Tuesday, according to a report by the Times of India.

The decision also imposed a fine of 10,000 rupees ($178) on six states that did not comply with the court's previous decision in April, which required that all states must identify core zones and buffer zones of their tiger reserves as part of a rolling effort to regulate where tourist attractions can be located.

India is home to the world's largest population of tigers -- 1,706 of them -- according to the World Wildlife Fund. That number has dropped from more than 100,000 at the beginning of the 20th century due to poaching and habitat encroachment.

Read more: Photographer documents trafficking of endangered animals

There are 40 tiger reserves across the country, according to the National Tiger Conservation Authority of India. Tiger reserves are set up throughout India to provide a protected environment for animals still in the wild. Resorts and villages were set up for tourists, local as well as foreign, to see the tiger habitats and perhaps catch a glimpse of the big cat.

Now the future of tiger tourism is in question.

The ban is in place while the court considers a claim filed by a local environmentalist alleging that ecotourism was hurting the habitat and breeding grounds of the endangered species. The court is expected to release its final ruling on August 22.

Ecotourism promises to bring travelers closer to nature with minimum environmental impact. The court is investigating whether tourism in India's tiger parks is in fact low impact.

Read more: Which is safest country for animals?

Toby Sinclair, vice president for the Ecotourism Society of India, told CNN he believes the government is allowing too many visitors into the parks.

"The eco in ecotourism has changed to economy," Sinclair said.

Last April the court ruled that all states must identify core zones and buffer zones of their tiger parks as part of a rolling effort to regulate where tourist attractions can be located, according to the Times of India report.

Tourist resorts and villages are to be located only in the buffer zones of parks. States are reluctant to identify buffer zones, however, for fear it will displace existing resorts, the Times reported.

Sinclair, however, doesn't think buffer zones will solve the problems.

"Buffer zones are a step toward the solution," Sinclair said. "But the question remains 'Who is going to manage the buffer zones?'"

Video: Meet India's tiger hunters

Wildlife enthusiast and photographer Shashanka Nanda of New Delhi, who has taken part in dozens of safaris in the past few years told CNN he believes that while the court's heart is in the right place, its approach is flawed.

"Responsible and regulated tourism forges a human connection to wildlife. Just seeing tigers in textbooks won't affect people to change," he said. "If you stop tourists and enthusiasts, you're losing half the battle of wildlife conservation," he added.

Nanda also argues that responsible tourism enforces a system of accountability. The presence of undesired elements like poachers gets noticed, he said.

The decision is not expected to have major immediate impact on tourism as many tiger reserves are closed during the monsoon. If the ban remains in place, however, it is expected to have a significant impact on the livelihoods of communities in and around the reserves whose income depends on wildlife tourism.

CNN's Sumit Galhotra contributed to this report.

@highlight

India's Supreme Court has temporarily banned ecotourism in the country's tiger parks

@highlight

Environmentalists says the tourism has hurt the tigers' ability to reproduce

@highlight

Those in the tourism industry say the state needs to better regulate the parks

@highlight

Animal rights activists believe poaching could increase if tourists leave the parks