(CNN) -- Piracy off the coast of Somalia has more than doubled this year, threatening to make international trade more expensive and offering terrorists a new source of income, says a report released Wednesday.

A photo from the destroyer USS Howard shows Somali pirates in small boats hijacking the MV Faina last week.

As of late September, 60 ships had been attacked in 2008, said the report by Chatham House, a London-based institute that analyzes international issues.

The report comes amid a standoff between officials and pirates demanding a $20 million ransom for the release of a Ukrainian ship captured off the coast of Somalia last week.

Money from the $18 million to $30 million in ransoms paid this year is helping finance the war in Somalia, the report says. One of the groups reportedly receiving ransom money is Al-Shabaab, which the United States listed as a terrorist organization this year.

Asked to rank the problem on a scale of one to 10, report author Roger Middleton said it's middle range but could quickly deteriorate.

"At the moment, it's a five-six problem with the potential to be seven or eight," Middleton said. "You're looking at a nine, 10 if it starts to be co-opted by international terror organizations."

About 16,000 ships a year navigate the Gulf of Aden, which, as the southern gateway to the Suez Canal, is one of the most important trade routes in the world. The ships mostly transport oil from the Middle East and goods from Asia to Europe and North America.

Having to change routes would add weeks of travel time and increase fuel consumption, driving up the cost of shipping. Insurance premiums for the Gulf of Aden have already increased tenfold, says the report, "Piracy in Somalia: Threatening global trade, feeding local wars."

Additionally, pirates are hampering relief efforts in Somalia.

"As a result of piracy," the report says, "the World Food Programme has been forced to temporarily suspend food deliveries to drought-stricken Somalia. Canada is now escorting WFP deliveries but there are no plans in place to replace their escort when it ends later this year."

Somalia's ambassador to Russia made the same point Wednesday.

"This has been a great problem for the Somalian government," Ambassador Mohamed Handule said. "This hinders humanitarian aid a lot. The Somalian people are not getting it."

Middleton noted that French officials are talking about offering a U.N. Security Council resolution to increase international presence in the area.

"This new move by the European Union to put more ships into the Gulf of Aden could be quite positive," he said. "Some form of U.N.-sponsored coast guard might start to chip away at this. ... If America, Europe and Russia cooperate, it can be made much safer."

He noted that France, Denmark, Netherlands and Canada offered escorts for World Food Programme ships that had been unable to enter Somali ports this year.

"A more general approach has focused on Combined Task Force 150 (CTF 150), a coalition naval task force covering the Gulf of Aden, Gulf of Oman, Arabian Sea, Red Sea and the Indian Ocean," the report states. "CTF 150's primary responsibility is to assist in the 'war on terror,' so piracy is lower on its list of priorities. However, some of the roughly 15 ships making up CTF150 have been involved in deterring pirate attacks."

In addition, the U.N. Security Council passed Resolution 1816 on June 2, giving foreign warships the right to enter Somali waters "for the purposes of repressing acts of piracy and armed robbery at sea" by "all necessary means."

But none of these measures has stemmed the problem.

"Piracy has been a problem in Somali waters for at least 10 years. However, the number of attempted and successful attacks has risen over the last three years," Middleton's report says. "With little functioning government, long, isolated, sandy beaches and a population that is both desperate and used to war, Somalia is a perfect environment for piracy to thrive."

Handule stressed that the problem has gotten worse since the 2004 Indian Ocean tsunami killed 225,000 people in more than 10 nations, including Somalia. The problem is compounded, he said, because Somalia does not have a coast guard.

"Pirates are mostly young unemployed men, many of them fishermen who lost their boats, tackle and their jobs following the tsunami," Handule said. "They started hunting on boats, and this process went our of control. They operate in groups of up to 12-15 people, however they all have associates ashore seeking information, negotiating about ransom, etc."

Handule said officials estimate that there 25 groups with no central command.

"We believe their total number stands at about 1,000 people, counting those who help them on the ground," he said.

Middleton's report also notes that Somalia's fishing industry has collapsed in the past 15 years, particularly as European, Asian and African ships increase their fishing in the area.

Middleton offers five possible solutions to the piracy plague, including organizing shipping into a safe lane, providing a coast guard for Somalia, having a large international naval presence and refusing to pay ransoms. But he noted that none of these solutions can be easily implemented.

"It's not going to stop until Somalia has a stable government," he said.

The CIA World Factbook notes that Somalia, a country about the size of Texas, does not have a permanent national government.

"Although an interim government was created in 2004, other regional and local governing bodies continue to exist and control various regions of the country, including the self-declared Republic of Somaliland in northwestern Somalia and the semi-autonomous State of Puntland in northeastern Somalia," the Factbook says.

@highlight

Sixty ships had been attacked by pirates in 2008, according to institute report

@highlight

Pirates want $20 million to release Ukrainian ship captured off Somalia

@highlight

Institute says piracy has halted flow of much-needed food into Somalia