(CNN) -- Sudan's first multiparty elections in 24 years, which wrapped up earlier this week, fell short of international standards but should be recognized as an important step forward for the nation, observers said Saturday.

"While it is too early to offer a final overall assessment, it is apparent that the elections will fall sort of meeting international standards and Sudan's obligations for genuine elections in many respects," said a statement from the Carter Center, one of several groups observing the balloting.

"Nonetheless, the elections are important as a key benchmark in the Comprehensive Peace Agreement and because of the increased political and civic participation that has occurred over the last several months. Ultimately, the success of the elections will depend on whether Sudanese leaders take action to promote lasting democratic transformation."

The European Union Election Observation Mission criticized the election for showing "significant deficiencies against international standards" but said the vote paves the way for democratic progress.

Counting of ballots began Friday in Sudan, nearly a week after voting began. Sudan's election commission extended the vote for two days past the original Tuesday deadline after observers complained of technical problems, including ballots being sent to the wrong polling stations and registers that were missing voters' names.

The voting -- for president, parliament and other local positions -- was scrutinized by about 750 international and 18,000 domestic observers. Opposition parties accused the ruling National Congress Party of fraud, prompting some parties to partially or fully withdraw from the vote.

One of those parties was the SPLM, or Sudanese People's Liberation Movement. In a statement Saturday, the party said that despite his withdrawal, SPLM presidential candidate Yasir Saeed Arman held a healthy lead in southern Sudan. Arman withdrew from the presidential race last month, and the party decided to boycott elections in northern Sudan.

In the north of the county, Arman "predictably did not do well in a race he was never part of," the SPLM said in the statement.

"The election days were mostly calm, orderly and peaceful, within a well-maintained security environment," the EU observation mission said in a Saturday statement. "The Sudanese people are to be congratulated on the patience and forbearance shown by their considerable voter turnout despite the challenges encountered during the polling days."

The U.S.-based Carter Center echoed those comments, but noted, "notwithstanding these generally positive features, Carter Center observers noted important flaws."

The voter registration process faced "critical shortcomings," the center said, and resulted in "broad but uneven" participation across the country. It noted that preliminary lists were not posted for public review, especially in southern Sudan, and "the status of the final voter registry and list of polling stations remained uncertain."

In addition, "on election day, voters faced a range of operational and logistical problems: late delivery of and/or inadequate materials, incomplete or inaccurate voters' lists, incorrect or insufficient ballots, ballots with inappropriate languages and a lack of consistency in procedures," the Carter Center said. The two-day extension in voting helped partially alleviate some of those concerns, it said.

The balloting was absent safeguards and transparency necessary to "verify key steps and build confidence and trust in the process," according to the statement. "Our observers reported problems with ink, ballot box seals, and the process of identifying voters." There were also reports of underage voters casting ballots, the center said.

The election was a key part of a 2005 peace deal, the Comprehensive Peace Agreement, that helped end decades of civil war between the country's north and south. The conflict pitted Christian and Animist southerners against Muslim northerners, leaving more than 2 million people dead. The peace deal also called for a referendum next year to determine whether the south should become an independent nation.

"The elections in the South experienced a high incidence of intimidation and the threat or use of force," the Carter Center said. "There were numerous instances of the Sudan Peoples' Liberation Army intimidating voters and being stationed too close to polling stations. State interference in the campaigns of opposition candidates was widespread in the South."

However, the EU mission said, the elections showed progress on gender equality, "as a minimum of 25 percent of all legislative seats will be occupied by women."

"This election saw the development of the capacity of civil society: hundreds of groups, encompassing thousands of individual citizens, displayed high levels of commitment and engaged in election observation for many days," the EU statement said. "This extensive involvement by Sudanese civil society who showed great commitment, particularly in domestic observation, contributed to the transparency of the electoral process."

Election results are expected next week, observers have said.

@highlight

Carter Center: "It is apparent that the elections will fall sort of meeting international standards"

@highlight

EU agency monitoring elections said vote paves way for democratic progress

@highlight

Counting of ballots began Friday in Sudan, nearly a week after voting began

@highlight

Opposition parties accused the ruling National Congress Party of fraud