It is an age-old question: will humankind ever defeat old age?

Plenty of skin care companies would like us to believe so. And now, the multinational tech giant Google would like us to think it might be possible too.

Last month Google announced a new medical company called Calico, whose explicit aim is to take on aging itself. But what will Google's approach be? And what other research into prolonging life already exists?

With its proliferation of businesses, products and services, it would be easy to forget that not so very long ago Google was just a search engine. Today, offshoots of the sprawling global corporation can be found researching self-driving cars, developing their own smart phones and tablets and even launching giant balloons into near space.

Read more: 'Afterlife' feels 'even more real than real'

Amid this growing portfolio of diffuse interests and initiatives has been added their latest company: Calico.

Calico -- or the California Life Company -- has been set up to research subjects related to aging and its associated diseases. Announcing Calico at a media briefing, Google said that the new and independent company will largely focus on age-attendant conditions such as Alzheimer's, cancer and heart disease.

Larry Page, Google's ever youthful CEO said: "Illness and aging affect all our families. With some longer term, moonshot thinking around healthcare and biotechnology, I believe we can improve millions of lives."

But the question is, what will Calico actually do? At the moment the company isn't giving much detail away: "(Incoming CEO Arthur Levinson) and I are excited about tackling aging and illness," Page wrote in his Google+ blog post. But repeated requests from CNN to interview either Page or Levinson were politely declined.

Read more: Scientists build human brain inside a computer

In the absence of any real information, many commentators have speculated that Calico will pursue a 'big-data' approach to health: gathering massive amounts of information from patients and 'crunching it' to help speed the way to health care discoveries. Some have suggested that Calico's new CEO will take the view that the best way to tackle aging is to focus on preventing diseases.

Aubrey de Grey, an expert in the field of regenerative medicine, told CNN that it is too soon to speculate on what Google's approach will be: "in relation to Calico, I think it's vital to keep in mind that there is essentially no concrete information about their planned direction and emphasis, and any guess that they will take a heavily data-driven approach is no more than a guess."

However, he does think that Calico will not limit its focus to a single disease: "The statements from Page and Levinson thus far indicate quite strongly that the emphasis will not be just cancer, or even just a range of specific diseases, but will be 'aging itself': Page in particular has highlighted the paltry longevity gains that would arise even from totally eliminating cancer."

João Pedro de Magalhães, a Portuguese biologist who leads the Integrative Genomics of Aging group at the University of Liverpool, agrees: "From what I've read, I don't think the company will mostly focus on cancer. In the Time interview Larry Page clearly states that solving cancer is 'not as big an advance as you might think'. This is reminiscent of what experts studying aging have been saying for a while, which is that to really make a difference in human health and longevity you need to tackle the aging process rather than individual age-related diseases."

Read more: Secrets spilled in life's final minutes

So where might Calico's focus lie? A broad range of technologies and therapies that promise life extension through different means are currently being researched and tested. CNN Labs takes a look across the scientific landscape to bring you the view from the front line of the war against aging.

Cryonics

Cryonics is a process where the body -- or occasionally just the head -- is suspended in liquid nitrogen to 'preserve' it indefinitely. The idea is that in the future the body will be able to be resuscitated and brought back to life.

Once the preserve of celebrities and multimillionaires, cryonics is now gaining traction among the broader public. Several months ago, The Sunday Times reported that three senior staff at Oxford University have signed up to have their bodies frozen with two U.S.-based cyonics organizations: the Cryonics Institute and the Alcor Life Extension Foundation.

The cost of cryonics can vary wildly. The lowest price at the Cryonics Institute is reportedly $28,000 for 'cryopreservation'; Alcor Life charges customers up to $200,000 for similar services. But does it work?

The Cryonics Institute underline on their website that, as yet, their treatments are based on projections of technology to come rather than present day science: "We firmly believe that with the incredible advances being made in nanotechnology, medicine and science today, cryonics has the same potential to become an everyday reality in the not-so-distant future ... The goal of cryonics is to halt (the 'dying')  process as quickly as possible after legal death, giving future doctors the best possible chance of reviving the patient by repairing or replacing damaged tissues, or even entire organs using advanced computer, nanotech and medical equipment and procedures".

Cryotherapy

The related field of cryotherapy has gained currency in some quarters of athletics, with coaches immersing their athletes in cryotherapy chambers during or after exercise in a bid to aid training and heal injuries. The French soccer team used cryotherapy during the European Cup in 2012, and the Wales rugby union squad use it as well. Cryotherapeutic chambers expose players to very low temperatures -- around minus 256 degrees Fahrenheit (minus 160 Celsius) -- for short periods. Some theorists believe that doing so can help speed the body's recovery, but others say that the evidence is incomplete.

Self-healing worms and telomeres

In 2012 a group of scientists at Nottingham University discovered that a species of flatworm -- the Planarian worm --can divide 'potentially forever' and thus heal itself. Some researchers hope that the discovery will provide fresh insight into how it may be possible to alleviate aging in human cells.

Dr Aziz Aboobaker from Nottingham University's School of Biology, said: "Usually when stem cells divide -- to heal wounds, or during reproduction or for growth -- they start to show signs of aging. This means that the stem cells are no longer able to divide and so become less able to replace exhausted specialized cells in the tissues of our bodies. Our aging skin is perhaps the most visible example of this effect. Planarian worms and their stem cells are somehow able to avoid the aging process and to keep their cells dividing."

According to researchers looking at the worm, the key may be in understanding the function of telomeres -- the ends of a chromosome that protect cells against degradation.

In 2009 three scientists won the Nobel Prize in Physiology or Medicine for their work on how telomeres protect chromosomes from degradation.

One theory suggests that if we can work out a way to preserve telomeres, then we would be another step closer to defeating aging.

Cloning and body part replacement

Another major area of investigation is looking into organ creation and replacement. Many people die due to organ failure, but imagine if you could just create your own new liver and replace a faulty one?

Scientists have already successfully implanted functioning lab-grown kidneys into rats. If the therapy could be successfully (and affordably) replicated for humans, it could help overcome the significant organ donor shortages that persist in many countries. Early work into creating organs using 3D printers has also yielded promising results.

Nanotechnology

Organ replacement will probably only ever be part of the solution however. Many scientists believe that longevity through repairing the human body requires a broader focus than just replacing individual parts.

Ray Kurzweil, an American author, inventor and futurist argues in his book The Singularity is Near that by the 2020s, nanotechnology may be able to help cure disease. Kurzweil says that deploying tiny robots (or 'nanobots') in the body could help overcome the problems of incorrect DNA replication --  one of the central causes of aging.

de Grey says that nanotechnological research is interesting, but that he believes it is further away from finding a solution to aging than some other treatments: "I pay attention to molecular manufacturing (the discipline that coined the term "nanotechnology" but then effectively had it stolen by the field of nanomaterials), but I think its relevance to medical interventions, whether in aging or otherwise, still seems likely to be further off than the more traditionally biomedical work".

So will Google's new company discover a workable solution to aging and death? Only time will tell.

@highlight

Google's new company Calico will 'tackle aging and illness'

@highlight

Many believe that Calico will take a 'big-data' approach to speed the way to health care discoveries

@highlight

Exploratory disciplines including cryonics, cloning and nanotechnology hope to extend human life