A canoe glides through South Florida's endless maze of freshwater ways and emerges from a thicket of sawgrass into the saltwater of Florida Bay.

Behind it are alligators, snakes and endangered Florida panthers. Ahead are crocodiles, manatees, wading birds and far beyond -- the Gulf of Mexico.

Everglades National Park was established as a national park in 1947 and consists of nearly 2,400 square miles. Often referred to as a swamp, the Everglades' biggest water sources, approximately 60 inches of rain per year and overflow from Lake Okeechobee, help make it a southwestwardly flowing river running through the third largest national park in the lower 48 states.

Park stats: Everglades National Park has averaged almost 950,000 visitors since 2008. In 2012, it welcomed more than 1 million visitors for the first time since 2007.

The location: Everglades National Park spans three counties. The park's main road entrance is in Homestead, which allows easy access to the Royal Palm and Flamingo areas. The Shark Valley entrance is in Miami and the Gulf Coast entrance is in Everglades City.

There also is water access via coastal boundaries and waterways.

If you go: Admission is $10 per vehicle and $5 for hikers, motorcyclists and cyclists. Passes are valid for seven days. There are four park visitor centers located at the main entrance, Flamingo, Shark Valley and Gulf Coast. The park is open year-round, but be sure to check the website as some entrances close seasonally or at night.

South Florida is generally dry during the winter, which is when the park offers the most access and the widest range of activities.

Meet our ranger: Sabrina Diaz, supervisory park ranger at Everglades National Park, grew up in suburban Montreal, Canada. She always loved being outdoors, but was terrified of wildlife until a visit to Sea World.

"I wanted to be the girl who gets thrown off Shamu," she says.

Diaz studied ecology in college at Vanier College in Quebec and afterwards taught environmental education. A romantic encounter during an internship rehabilitating birds at the Florida Keys Wild Bird Center led her to Everglades and a 2001 seasonal interpretative ranger position.

Diaz enjoyed Everglades so much that she continued to work as a seasonal ranger for seven years, living in places such as Kings Canyon National Park, Yellowstone National Park and Katmai National Park. In the meantime, she married Shane Harrington, the man she met at Florida Keys, on December 6, 2008 -- the 61st anniversary of the Everglades' dedication.

"We had both fallen in love -- not only with each other, but also with the national parks," she says. "We both decided to go at it together."

Her first permanent position came in 2009 at Carl Sandburg Home National Historic Site south of Asheville, North Carolina. In 2012, she returned to Everglades. Shane works as a park ranger in nearby Biscayne National Park and the couple now has an 18-month-old daughter, Sierra Harrington.

"It's a park that is beautiful in a way that is different from other national parks," she says. "It almost grows on you. There are so many mixtures of tropical and temperate plants and animals."

For a day trip, don't miss: Drive the 36-mile main road from Royal Palm to Flamingo. Diaz says there are several boardwalks along the way that are easily accessible and offer 10- to 15-minute walks into the wilderness.

"There are lots of unique habitats that are dependent on the small changes in elevation," she says. "Most people think South Florida is perfectly flat. It could be a foot (difference) but that means a different habitat -- tropical, hardwood hammock, cypress domes -- all the way down to the salty waters of Florida Bay."

Favorite less-traveled spot: Snake Bight in Florida Bay. Diaz says Snake Bight is a "bay within a bay" where thousands of multi-colored wading birds congregate.

"It is a water park," she says. "The best way to experience it is by boat."

Favorite spot to view wildlife: Anhinga Trail. Diaz says the water is lower during the winter, so wildlife congregates in the deeper waters near the trail. It's a great place to see birds, alligators and fish.

"It's really amazing for its biodiversity," she says.

Most magical moment in the park: In 2001, a flock of birds flew over her kayak while she watched the sunset in Flamingo Bay.

"There was a loud noise from behind me and I couldn't turn around," she says. "They came in waves. Dozens of tropical birds flying back to their roosting areas."

Funniest moment in the park: Fish jumping out of the water and into canoes as she led a six-boat tour in 2002.

"We must have spooked a school of fish," she says. "Dozens of fish began jumping in a frenzy that lasted about eight seconds. It was such a quiet moment and then we were scrambling to flip them back in the water."

A ranger's request: Don't feed the wildlife, especially alligators and crocodiles. Diaz says crocodiles have a grayish color, V-shaped snout and usually prefer saltwater. Alligators, she says, are blacker in color, have a U-shaped snout and prefer freshwater.

"If you feed them, they will (begin to) assume people mean food," she says. "That can lead to negative interactions in the future."

Another park she'd like to visit:  Redwood National Park in California.

"I have a love affair with giant trees," she says. "I think it would be amazing to be in a forest with trees that are 300 feet tall."

What national park would you like to visit? Please share your thoughts in the comments section below.

@highlight

Everglades was designated a national park in 1947

@highlight

South Florida is the only place where the American crocodile and American alligator co-exist

@highlight

Everglades is actually a southwestwardly flowing river, not a swamp

@highlight

The park covers three counties and consists of nearly 2,400 square miles