Yangon, Myanmar (CNN) -- Heavy users of betel quids reveal their addiction when they smile. Their teeth are stained a reddish-black, dyed from years of chewing potent parcels of areca nuts and tobacco, wrapped in a lime-coated betel leaf.

"Some people after they eat they're drinking coffee or tea; always after eating I'm chewing the betel nut. I like it," says Myo Min Than, a 28-year-old noodle seller at a market in Myanmar's largest city, Yangon.

Like tea or coffee, betel quids -- or "nuts" as they're often referred to -- give users a lift. But unlike tea or coffee, they also give them oral cancer.

"Having one is okay, but the danger increases when you start having the second one. When you reach a certain point, people will get cancer," said Professor Ying-chin Ko, vice president of China Medical University in Taiwan who conducted some of the first studies into the link between betel quids and oral cancer in the 1990s.

A betel quid is the name given to small parcels that typically contain areca nuts, wrapped in a betel leaf coated with slaked lime. Some contain tobacco. Spices may be added for taste in different parts of Asia, including cardamom, saffron cloves and sweeteners, according to research compiled by the International Agency for Research on Cancer in its Monograph "Betel-quid and Areca-nut Chewing" (2004).

Around 600 million people worldwide are thought to chew betel quids, making them the fourth most commonly used psychoactive substance after tobacco, alcohol and caffeinated drinks. They're predominantly chewed in Asia, where their use isn't limited to adults. You can see it in the research, and on the teeth of some children.

In Myanmar, quids are popular with drivers who use them to stay alert on the road.

U Sein, 37, chews around 10 quids a day. He's a taxi driver, and is stocking up at one of the many roadside stands in central Yangon.

"The tobacco is just like a drug," he said. "So when I'm chewing the betel nut I get a bit dizzy."

He says he doesn't smoke cigarettes. Quids, he says, are "better for me," though it's unclear whether he's referring to his health or the cheap cost of the addictive little parcels.

A pack of three costs 100 Burmese kyat, around 10 U.S. cents. At least, that's how much seller Kyaw Thet, 26, charges at his stall in central Yangon. He's quickly wrapping new parcels while U Sein waits.

Kyaw Thet can't say how many parcels he makes a day, but in a couple of minutes he's made six. He swiftly coats the leaves with lime before arranging them in rows and adding areca nuts and a sprinkle of tobacco. He flicks some more lime on before bagging them, and adds another sprinkle of tobacco for good measure.

U Sein smiles as he hands over his cash, his teeth flecked that familiar shade of red.

The chewing of areca nuts dates back centuries, as far as the bronze age, according to a study of remains excavated at Nui Nap, Thanh Hoa province in Vietnam, published in 2001. Researchers found the teeth appeared to be stained by betel quids.

The practice has been around so long it's become an important part of cultural and religious rituals, and in some parts of Asia the parcels are used as a herbal remedy for anything from toothache to acne. Some also believe they have aphrodisiac properties.

Scientific research has found that chewing betel quids leads to an increased risk of cancer -- whether or not tobacco is included.

Carcinogens derived from tobacco and the areca nut were found in the saliva of people chewing the parcels, though it wasn't clear whether they were leaching from the tobacco or whether they were being produced during the chewing process.

Ko thinks it's the latter. "The leaves are fine, they will not cause cancer. Lime will not lead to cancer, but it may accelerate carcinogen to release. It's a hidden danger," Ko said.

In some countries, authorities have launched awareness campaigns but health officials face an uphill battle in convincing addicts that it's not worth the buzz.

In Taiwan, Ko says, "People are aware, but it's just hard to get rid of the addiction."

Papua New Guinea recently introduced a ban on the sale and chewing of areca nuts in the capital Port Moresby, but that was mainly to rid the city of the unsightly red saliva users spit into the street when they chew.

In Myanmar, the Consumer Protection Association, a non-governmental organization, has started trying to raise public awareness of the risks of betel quids, however its message is about the dangers of pesticides on leaves.

"Long ago, betel leaves were used as medicine but nowadays betel leaves cause oral cancer because of the excessive use of pesticides and insecticides," the association's chairman Bo Oat Khine told CNN.

It's a theory that's not supported by any scientific evidence, Ko said.

"There's absolutely no relation between the two. Both areca nuts and leaves have very strong resistance to pests" so neither are usually used during cultivation, he said.

"Earlier studies show pesticides may have a connection to lymph cancer or blood cancer, but never oral cancer," he added.

Despite the evidence, noodle seller Myo Min Than has no plans to kick the habit. He says he needs his 10 parcels a day to stay awake during long shifts at his market stall, which start at 3 a.m. with a trip to the wholesaler, and end at 8 p.m. when he dumps his unsold stock.

"I'm working the whole day, it's a very long day, so when I'm chewing the betel nut I don't want to sleep," he said.

Han Thar Nyein and Feng Ke contributed to this report.

@highlight

Hundreds of millions of people chew betel quids, mostly in Asia

@highlight

Research shows that chewing the parcels raises the risk of oral cancer

@highlight

Betel quids are parcels of areca nuts and tobacco wrapped in a lime-coated betel leaf

@highlight

In Myanmar, they're popular with taxi drivers who use them to stay awake on the roads