TAIJI, Japan (CNN) -- Mention a dolphin to someone in the United States and they'll think about a trip to Sea World or the 1960s-era TV program "Flipper."

Residents in Taiji, Japan, have been hunting dolphins for hundreds of years.

Talk about a dolphin in rural Japan and some people think of dinner.

Fishermen hunt dolphins about every day in Taiji, a town of about 3,000 in southwestern Japan that juts into the Pacific Ocean.

Locals know they offend Western sensibilities by eating dolphins, but they say it's a tradition hundreds of years old. And they say outsiders have no more right to tell them to stop eating dolphins than they would have to demand that Westerners stop slaughtering, say, chickens or cows.  Watch fishermen catch dolphins »

"I know there are many different ways of thinking in different societies, but for us who've been eating this for a long time ... it's an awkward thing to be criticized for," says Kayoko Tanaka, a retired middle school teacher. "I either fry dolphin meat or turn it into a stew."

That disgusts Ric O'Barry, a 68-year-old retired dolphin trainer from Miami who makes a second home in Taiji, where he goes to unusual lengths to fight against the tide of local tradition.

O'Barry sometimes dresses as a woman or wears a large surgical mask to disguise his Western identity on trips to spots overlooking the ocean. He prowls the cliffs with a video camera, hoping to catch fishermen in the act with footage that could stir emotions and raise awareness in the West.

"This here is ground zero for the largest slaughter of dolphins on planet Earth," says O'Barry, who trained five dolphins to play "Flipper" on the TV series of that name. "It's absolutely barbaric and it needs to stop."

He says the dolphins face a cruel fate.

"It takes a very long time to die. They bleed to death. And some of them are dragged in the boats with hooks while they're still alive," he says. "Many of them are gutted while they're still alive."

Looming beyond questions of whether the slaughter is humane, however, are larger and more complex questions of culture and perspective.

To some puzzled people in rural Japan, the question comes down to this: What's the difference between killing and eating a dolphin and killing and eating a fish? Or a chicken? Or a cow?

Most Japanese do not eat dolphins -- it's common in a few small fishing villages -- but the government respects the rights of people in towns like Taiji, says Joji Morishita, the international negotiator for Japan's Fisheries Agency.

Many Japanese consider the deer a sacred messenger from the gods, he says, but they would never suggest that people in other parts of the world stop venturing into the woods on a quest for venison, Morishita says.

"We don't like to play God to say this animal is just for food and this is not," he says. "Because we know nation to nation we have totally different ideas."

That's obvious in the growing clash between Australia and Japan over whale hunting.

Japanese ships crisscross the Antarctic Ocean each winter to capture and kill up to 1,000 whales. Whaling is allowed under international law when done for scientific reasons, which Japan cites as the legal basis for its hunts.

Legal justifications aside, however, the whale hunts offend many people in Australia, where new Prime Minister Kevin Rudd has turned up the political pressure on Japan.

His government has dispatched a customs ship to monitor and videotape the whalers. And Rudd says Australia could even file charges against Japan in an international court to try to stop the whaling.

Back in Taiji, the fishermen are well aware of the Western sentiment that motivates whaling opponents. They realize the danger to their way of life that can come with prying cameras from other countries.

When CNN trained its cameras on fishermen gutting some freshly killed dolphins, the fishermen erected some tarps to obstruct the view.

Representatives of the Taiji Fishermen's Union declined CNN requests for an on-camera interview. So did the town's mayor and several others. And O'Barry says he's gotten into a few shouting matches with fishermen, who resent him and his camera.

So what does O'Barry say to their claim that he has no right to tell them to abandon a tradition that has flourished in their small corner of the world for more than 400 years?

"If someone came to my hometown and told me what to do, what to eat, I'd be outraged," he says. "But that's not going to stop me from doing it. I mean, tradition? It used to be traditional for women not to vote. So do we keep that going because it's traditional and cultural? Of course not."

Complicating the debate are findings suggesting that eating dolphins may not be good for one's health. The Japanese government said in 2005 that bottlenose dolphin meat contains 12 times more mercury than blue fin tuna -- high levels of mercury in fish can cause health problems in pregnant women and young children.

A city councilman in Taiji, Junichiro Yamashita, grew so concerned about mercury levels that he persuaded locals schools to stop serving dolphin meat at lunch. He even plucked some of his hair, sent it off for testing and discovered that it contained seven times as much mercury as the U.S. Environmental Protection Agency considers safe.

The mercury findings have not swayed Masaru Matsushita, a Taiji fish dealer. He says that dolphin activists like O'Barry only see their needs without understanding the culture in his town.

"I understand that they think the dolphin in a cute animal, and I agree they're cute doing performances," he says, "but it is our culture to eat dolphins." E-mail to a friend

@highlight

Dolphin hunts have been carried out in Japanese town for centuries

@highlight

Westerners protest "barbaric" slaughter of the marine mammals

@highlight

Local residents say other nations have no right to criticize dolphin hunts

@highlight

Japanese government has found unsafe mercury levels in dolphins