Does a terminally ill child in intolerable pain have a right to die? Belgian lawmakers said yes.

The lower house of the Belgian Parliament adopted a bill that extends the right to euthanasia for minors, the Parliament said Thursday on its official Twitter account. The law passed 86 to 44 with 12 abstentions.

That followed a vote by the country's Senate in December supporting the measure. The next step would see the bill go to the king, Philippe, to be signed into law.

The euthanasia bill is widely supported -- but has stoked fierce opposition from critics.

Belgium legalized euthanasia in 2002 for those in "constant and unbearable physical or mental suffering that cannot be alleviated." Minors were included in the original proposals but were left out of the final legislation for political reasons.

The new bill would extend the "right to die" to those under the age of 18 only under certain strict conditions, including that the child is judged able to understand what euthanasia means. Consent of parents or guardians must also be given.

Mother Linda van Roy, from Schilde, Belgium, is among those backing the bill.

She could do nothing to help her terminally ill baby, Ella-Louise, in the last hours of her life.

Ella-Louise, who was 10 months old when she died just over two years ago, would never have qualified for euthanasia.

But her mother had to watch as her baby -- who had Krabbe disease, a rare and terminal genetic mutation that damages the nervous system -- slowly faded away under palliative sedation, food and liquid withheld so her suffering was not further prolonged.

Children should 'have a choice'

"That whole period of sedation, you always need to give more and more medication, and you start asking questions. And you say, 'What's the use of keeping this baby alive?' " van Roy said.

She wishes she could have administered a fatal dose of medication to make the end of her daughter's short life come more quickly.

That's why she's campaigning for a change to Belgium's euthanasia laws, to give the choice of ending their suffering to older children whose bodies are wracked with pain.

"We want for those children to be able to talk about euthanasia and to ask those questions and if they really want to say, 'Stop, this is it, I don't want it anymore,' that they can have a choice," van Roy said.

Pediatrician Gerlant van Berlae of the Free University of Brussels is among the medical professionals backing the change in the law.

He told CNN that in practice it would make little difference.

"Doctors do terminate lives, of children as well as adults," he said. "But today it is done in, let's say, a 'gray zone,' or in the dark, because it is illegal."

Pediatricians: No urgent need for this law

However, 175 pediatricians signed an open letter Thursday urging more time for reflection before any decision is made.

The letter argues that the law "responds to no real demand" and that most medical teams caring for terminally ill children would recognize that none of their patients has made a spontaneous and voluntary demand for euthanasia.

Meanwhile, medical advances mean that effective palliative care is available and that children do not suffer as they approach death. Extending the "right to die" to minors will only add to the stress and pain of families at a difficult time, it said.

The letter also questions how any objective judgment can be made on a child's ability to understand what's at stake.

The political process has created a "false impression" that a change to the law is urgently needed -- but in reality "the situation in our country is far from being dramatic," the doctors say.

Others also question whether children have the capacity to take this most final of decisions for themselves.

Palliative nurse Sonja Develter, who specializes in end-of-life care for children, told CNN she is concerned that giving children a choice would mean they made decisions based on what they thought their families wanted to hear, and that it would be a terrible strain for children who may already feel they are a burden to their caregivers.

'If you leave, you leave forever'

Izabela Sacewicz has Huntington's disease, a neurological disease that drastically reduces life expectancy in children.

Eight years ago she was a bubbling, active child -- top of her class, according to her mother, Iwona. Having recently turned 18, she can't eat or walk without help. She finds it difficult to speak, but her mind is still her own.

In a painful exchange, her mother explains to her what euthanasia is, using the simplest terms she can think of.

"Euthanasia means if you are unwell, you are so unhappy that you don't want to stay here, you want to leave, to go high up to God," she says. "But if you leave, you leave forever."

Izabela listens, the strain showing on her face.

"Do you think it's good, or not good?" her mother asks.

"It's not good," she replies, the words barely audible.

Iwona says that with enough support, no parent would think of euthanasia -- and that Belgium's lawmakers should instead focus on providing better support for families caring for terminally ill children.

Supporters insist the measure is more a matter of principle than anything else -- and that only a small number of children will ever, in practice, ask to end their lives through euthanasia.

Under its strict guidelines, no doctor would be forced to carry out euthanasia against his or her will and the child would always have the option of palliative treatment.

A child psychologist or psychiatrist would have to examine the child to make sure he or she is capable of making the decision.

In the Netherlands, where children have been able to request euthanasia with parental consent since 2002, only five children have ever done so.

Interactive: Euthanasia and the right to die around the world

@highlight

Lower house of Parliament votes 86 to 44 in favor

@highlight

Open letter signed by 175 pediatricians called for more time to consider the issue

@highlight

The law would allow terminally ill minors who are in intolerable pain to choose euthanasia

@highlight

Stringent conditions would have to be met, including consent by the child's parents