(CNN) -- Esteemed psychiatrist Elisabeth Kübler-Ross spent much of her career working with terminally ill patients and the anxiety many of them expressed in the face of their impending death. Her experience and interactions with hundreds of them formed the basis for "On Death and Dying," a groundbreaking 1969 book. In it, she outlined the five stages she believed those nearing death endured—denial, anger, bargaining, depression, and, lastly, acceptance—and suggested strategies for helping them and their families cope. Her work was monumental within the field in part because the emotional needs of those dealing with death had for so long been avoided. It would not be for much longer.

Which is perhaps what makes New Jersey Gov. Chris Christie's hijacking of Kübler-Ross' grief cycle for his own gains so egregious. As he faced the press in an unending press conference held Thursday after a scandal that jammed traffic on the George Washington Bridge for four days blew up on his administration, Christie issued a series of halfhearted mea culpas. He asked not for the public's forgiveness but for pity.

"You can only imagine as I was standing there in my bedroom looking at my iPad how sad and betrayed I felt," he said. "I'm heartbroken about it and I'm incredibly disappointed. I don't think I've gotten to the anger stage yet, but I'm sure I'll get there."

In his telling, he, too, after all, was a victim, just like the thousands of commuters—including schoolchildren--who endured hours trapped in their cars somewhere between New York and New Jersey. Just like 91-year-old Florence Genova, who died after paramedics who were stuck in traffic reached her. (Christie, while expressing regret, could not help but note, "I've also heard conflicting reports about the cause of death.")

In fact, at his new conference, he characterized himself as "heartbroken," "sad," "humiliated," "betrayed;" referring again and again to the stages of grief he was struggling through. Oh, and did he mention he was "very sad?"

"On Death and Dying" had a profound impact on psychology and society. It led to a greater emphasis on counseling and hospice care for dying patients and their families, and inspired Kübler-Ross to devote the remainder of her years in clinical practice to the dying, including AIDS patients and children in particular. In subsequent years, of course, Kubler-Ross' grief cycle has been applied to countless other traumatic situations, including losing a job, going bankrupt and ending a relationship, all of which can carry fair amounts of grief and require coping.

But this may be the first time her work has been used as a political strategy. The situation that forced Christie to an accounting before the cameras was traumatic, but not for him. Despite his claims, he wasn't actually a victim. Nor was he convincingly contrite about either the cause or the effect of the actions that occurred at the behest of the staffers in his administration and on his watch, as he piled most of the blame on his deputy chief of staff, Bridget Anne Kelly (he described her as "stupid").

Nowhere among Kübler-Ross' stages, it should be noted, is "seek sympathy," "blame others," or "do whatever it takes to clear your name." In fact, if the governor is looking for some more situation-appropriate stages to pass through, he might consider turning to his Catholic upbringing for a guide. Among the church's steps to a good confession: Be truly sorry. Examine your conscience. Express sorrow for the sin. Resolve not to commit it again.

Lastly, ask for forgiveness.

The opinions expressed in this commentary are solely those of Peggy Drexler.

@highlight

Elisabeth Kubler-Ross first named 5 grief stages to help with death, says Peggy Drexler

@highlight

She says Christie's casting himself as victim, invoking grief stages over scandal, is a first

@highlight

Drexler: He spoke of own humiliation, sadness. Left out those affected by traffic tie-up

@highlight

Drexler: "Seek sympathy," "blame others" are not stages, but "ask forgiveness" works