Washington (CNN) -- The current Congress has worked just as many days as its legislative predecessors. It just has a lot less to show for it.

According to a CNN analysis of congressional records that looked at bills that became law and the number of days lawmakers worked, members of the House have spent more than 150 days and Senate just over 140 days in session so far, comparable to previous Congresses at this point in the term.

But of the thousands of measures introduced, only 132 passed both. About one-fifth of those measures were to approve official names for post offices.

In the previous Congress, the House worked 286 days and the Senate worked 349 days. That Congress passed 383 bills, according to Library of Congress records. Each Congress spans a two-year cycle.

The logjam means important pieces of legislation -- such the transportation funding bill and measures to address high student loan rates and, yes, even the budget -- haven't passed.

It wasn't always this way.

Leaders on both sides of the aisle point to the split nature of the current Congress -- with Republicans controlling the House and Democrats the Senate -- as the source of partisan showdowns that have further slowed legislative progress.

However, the 107th Congress, which spanned 2001 and 2002, was a period in which the Senate majority changed three times while Republicans maintained control of the House. It was also a time of political unity after the 9/11 attacks. During that Congress, lawmakers enacted the No Child Left Behind Act, created the Department of Homeland Security and authorized the use of military force against Iraq among other pieces of legislation.

In all, that Congress passed 377 measures.

The 111th Congress in 2009 "was exceedingly productive. It was a time of unified government," said Thomas Mann, senior fellow at the Brookings Institution and co-author of "It's Even Worse Than It Looks: How the American Constitutional System Collided With the New Politics of Extremism."

"If you look at major legislation passed, it ranks with the most productive in modern history."

That year, the Democrat-controlled Congress passed the health care reform law. The controversial measure's passage ushered in a new era of tea party-backed Republican freshman and gave the GOP control of the 112th House in 2010. Those freshmen vowed to repeal the health care reform act and crack down on government waste and abuse.

But in helping slow what they see as a runaway freight train of federal bills, they've also helped slow the pace of government, political experts say.

Obama, Truman and the 'Do-Nothing' Congress

Take for example, last year's government shutdown battle over trimming the national debt. Tea party freshmen, true to their word, pushed hard against any compromise, demanding debt reductions only be offset by spending cuts, not revenue increases.

"The Republican majority in the House, it has been one of the least productive in modern history, not surprisingly," Mann said.

There are also fewer measures being sent over to the respective chambers for votes. For example, during the politically split 107th Congress, the House sent the Senate 346 measures and the Senate sent the House 199. In this Congress, the House has so far sent the Senate 198 bills and the Senate has sent the House 58.

The legislative year isn't over. They still have nearly six months left, minus any vacation days, the August recess and home-visit days. Congress has passed a number of measures extending federal funding as well as free-trade agreements with South Korea, Colombia and Panama.

But barring a mathematical miracle, it is unlikely this Congress will make up the legislative shortfall, especially during an election year when the focus is on campaigning and getting re-elected.

Both parties are quick to assign blame for the legislative slowdown.

House Minority Leader Nancy Pelosi, D-California, recently called on House Speaker John Boehner to nix additional recesses, although some saw it as more of a political move.

"Instead of recessing yet again, the House should remain at work and pass critical legislation that will create jobs for the middle class that will actually be signed into law. Republicans must not run out the clock on the economy," Pelosi wrote Boehner in a letter.

The House recessed anyway.

CNN reached out to Boehner's office for comment, but the office referred questions to other representatives.

Other Republicans have made similar complaints about Democrats.

Could Congress go from bad to worse after election?

Last month, Senate Minority Leader Mitch McConnell said Democrats are "irresponsible" for failing to pass a budget.

"If you're looking for a simple, three-word description of the Democrat approach to the problems we face, it's this: duck and cover," McConnell said on a day of heated budget debate.

At this point, the foot-dragging and finger-pointing is all about embarrassing the other party, Mann said.

"It is about generating blame for something, about trying to put the other side in a difficult political position."

@highlight

CNN analysis: Current Congress least productive of past few sessions so far

@highlight

Of the thousands of measures introduced, only 132 have passed both houses

@highlight

About one in five measures were to name post offices

@highlight

Despite a split Congress and partisan finger-pointing, political experts say both parties are at fault