(CNN) -- Tea Party activists and other conservatives are planning rallies next month in support of Arizona's tough new immigration law, which has come under attack from Democrats, Latino groups and some maverick Republicans.

But a growing chorus of conservative evangelical leaders has broken with their traditional political allies on the right. They're calling the Arizona law misguided and are attempting to use its passage to push for federal immigration reform that includes a path to citizenship for illegal immigrants.

The group, which includes influential political activists such as Richard Land, head of the Southern Baptist Convention's public policy wing, and Mathew Staver, dean of the Liberty University School of Law, will soon begin lobbying Republican leaders in Washington to support comprehensive immigration reform under President Obama.

But a big part of their job is to first persuade rank-and-file evangelicals to get on board.

"There's a misconception among people at the grass roots that the pathway to citizenship is amnesty, and it's not, but we have to overcome that," said Staver, who heads the law school at the university founded by Jerry Falwell. "There's a lot of work to be done."

Staver and Land have partnered with the Rev. Samuel Rodriguez, an influential Hispanic evangelical figure, and Rick Tyler -- former House Speaker Newt Gingrich's longtime spokesman and head of Gingrich's new values-based organization -- to try to draft a consensus evangelical position on immigration reform.

"After securing our borders, we must allow the millions of undocumented and otherwise law-abiding persons living in our midst to come out of the shadows," reads a recent draft of the document, which is still being finalized. "The pathway for earned legal citizenship or temporary residency should involve a program of legalization for undocumented persons in the United States. ..."

Many conservatives say illegal immigrants should be forced to return to their home countries and start the process of legally coming to the U.S. from scratch.

Rodriguez, who heads the National Hispanic Christian Leadership Conference -- which represents about 16 million Latino evangelicals in the U.S. -- says he'll soon start presenting the document to Republican leaders like Gingrich, former Alaska Gov. Sarah Palin and Florida Senate candidate Marco Rubio in hopes that they sign on.

"If the conservative evangelical community looks to the Republican Party and says, 'We demand integration reform, we demand a just assimilation strategy,' that may be the tipping point in getting substantial Republican support for comprehensive immigration reform," Rodriguez said.

The conservative evangelicals pushing comprehensive immigration reform say that undocumented workers should have to pay fines, clear background checks, learn English and take a civics class before being granted citizenship.

Many evangelicals say their push for immigration reform is biblically based, citing passages urging respect for civil laws and concern for migrants and the vulnerable.

"Discussion of immigration and government immigration policy must begin with the truth that every human being is made in the image of God," the National Association of Evangelicals said in a recent resolution backing comprehensive immigration reform. "... Jesus exemplifies respect toward others who are different in his treatment of the Samaritans."

But evangelical leaders are also working to convince Republicans that the party will lose Hispanic voters -- a fast-growing bloc -- if they take a strident line on immigration.

The Southern Baptist Convention's Land said that Hispanics, like non-Hispanic white evangelicals, generally take a conservative approach to social issues like abortion and gay marriage, but that they often vote for Democrats because of the immigration issue.

"Hispanics are hard-wired to be like us on sanctity of life, marriage and issues of faith," said Land, describing political similarities between Hispanics and white Southern Baptists. "I'm concerned about being perceived as being unwelcoming to them."

The last time Washington attempted immigration reform, under President George W. Bush in 2007, the project failed, largely because many conservatives and Republicans said the plan's inclusion of a path to citizenship for illegal immigrants already in the U.S. was tantamount to amnesty.

Most major evangelical groups sat out the 2007 fight over immigration reform, but many, including the National Association of Evangelicals, which represents 30 million Americans, have since taken up the cause.

Trying to apply the political lessons of 2007, the evangelical leaders now pushing comprehensive immigration reform stress that the borders need to be secured as part of any reform package.

"I look at the Arizona law as a cry for help from a state that's being inundated as a result of the federal government refusing to enforce its laws," Land said.

But, he added, "I think the Arizona law is the wrong way to attack the problem."

Passed last month, the Arizona law requires immigrants to carry their alien registration documents at all times and allows police to question someone about their immigration status if they are in the process of enforcing some other law or ordinance.

Critics of the law say it will lead to racial profiling, though supporters say a package of changes to the law signed by Arizona Gov. Jan Brewer addressed those concerns.

Many evangelical leaders promoting comprehensive immigration reform say the law's passage gave new urgency to their campaign, which had been under way since last year.

Rodriguez says he declined to join other Latino groups in calling for a boycott of Arizona because he thought it would alienate white evangelicals at a time when he's trying to win their support.

Still, Rodriguez and the handful of conservative evangelical leaders promoting comprehensive immigration reform have yet to persuade some of the country's most powerful evangelical groups -- including Focus on the Family and the Family Research Council -- to come on board.

"We've been looking into this deeply but aren't ready to discuss our position, assuming we'll get to one," Tom Minnery, vice president of public policy at Focus on the Family, said in an e-mail message last week.

Even if such groups join their campaign, evangelicals backing comprehensive immigration reform may face another challenge: Persuading the White House to move forward with the plan after the bruising fight over health care reform.

@highlight

Some conservative evangelical leaders call Arizona's new immigration law misguided

@highlight

They want federal reform that includes path to citizenship for illegal immigrants

@highlight

They're trying to persuade rank-and-file evangelicals to get on board

@highlight

Many evangelicals call push for reform biblically based; some want GOP to woo Hispanics