Douglas Khayat is a psychologist for the international medical humanitarian organization Doctors Without Borders//Medicins Sans Frontieres (MSF), working in Complexo do Alemao, one of the poorest and most violent favelas in Rio de Janeiro.

RIO DE JANEIRO, Brazil  -- An estimated 150,000 people live in Complexo do Alemao, where armed groups fight for turf, and fighting between police forces and ruling groups leave thousands of people trapped by violence.

Complexo do Alemao, a poor area of Rio de Janeiro controlled by armed drug-dealers

There are no private or public health facilities inside Alemao and not even government ambulances enter. In this extremely violent corner of the world, residents live with a great deal of psychological trauma.

In recognition of this trauma, Doctors Without Borders offers psychological support, in addition to the medical services we provide to the community in the favela.

The people who call Alemao home live under a vow of silence, the unspoken code of survival that dictates that no one discuss what goes on inside the community particularly the violent episodes they endure or witness. Killings, beating, threats, expulsions, regular exposure to heavy weapons, and other forms of abuse, are all carried out by the armed groups that control the drug trafficking, imposing their own set of rules.   See images of life in the favelas »

Since October 2007, Doctors Without Borders psychologists have conducted 2,000 consultations for 1,000 different patients. For 85 percent of patients, suffering was directly related to violence. They have either been directly affected by combat, experienced the trauma of witnessing extreme violence, have had family members killed or tortured.

The symptoms we mostly see are anxiety disorders, depression, psychosomatic conditions, and learning and behavior problems in children. When police enter the area, fighting often breaks out with armed groups. The state of fear created by these groups creates an environment in which psychological disorders multiply. Some get used to living this way, but others do not, particularly children.   See a report on healthcare in Brazil »

The needs are incredible, so are the stories.

Last year a middle-aged man arrived at our project asking to see a psychologist. Two years earlier he suffered a series of tragic events that resulted in persistent insomnia and anxiety that almost ruined his family.

He was crossing a football field holding hands with a female friend, not his wife, when suddenly a armored police car entered the community and began shooting.

Everything happened in a matter of seconds. His girlfriend told him she was wounded. The shooting became so bad that he had to leave her to find shelter. She died and he could not stop blaming himself for leaving her in the middle of the field.

It made his marriage hell. It started to affect his work and he began to have terrible nightmares. He started to drink a lot. But our treatment with him went really well. We helped him reevaluate others facets of his life and things started to get better, his marriage, his work. People around him reacted to his new attitude, and his life began to improve.

The population trusts us because we live the same day-to-day routine they live. Our project is the only health facility inside Complexo do Alemao. During the day, we are exposed to the same environment as the residents. This experience in the same environment helps to develop a bond with our patients.

For me as a Brazilian, as a middle class carioca (from Rio de Janeiro), it is difficult to experience this aspect of my country. I've grown angrier about the conditions in my city and country after doing this work.

At the same time, it has been and continues to be a life changing experience, a possibility to dive into my country's soul and play an important part of people's lives.

@highlight

Dr. Douglas Khayat describes life in one of Brazil's most violent favelas

@highlight

Psychologists have so far given 2,000 consultations for traumatized locals

@highlight

Doctors Without Borders provide the only medical/psychiatric help in the region