(CNN) -- From the moment I was admitted to my first psychiatric ward, I was desperate to get out. I hated the smell, the food, most of the staff, the routines, the magazines. I hated the sagging mattresses, the glassless funhouse mirrors, the furniture, the isolation rooms. But as much as I despised the place, there was one saving grace for me there: the other patients.

Many had absolute horror stories. Stories of abuse, self-mutilation, combat, rape, starvation. Stories that made this liberal lawyer reconsider taking up criminal prosecution. But others had stories like mine. Happy childhoods. Mild traumas possibly but nothing extreme.

In the end though, we were all the same. We were all seriously ill; we all desperately needed help, and we all resented the fact that we needed it. What's more, we were all acutely aware of the classified, top-secret nature of our conditions and whereabouts. This wasn't paranoia. It was self-preservation. People tend to look unfavorably upon the mentally ill, especially those of us who've ever been hospitalized.

Nevertheless, some of the most brazen, brave and brilliant figures in history have struggled with sickness of the mind. Sadly, many have also died at their own hands because of those same sicknesses. From Vincent van Gogh to Sylvia Plath to Kurt Cobain to countless others.

Like them, roughly 90 percent of those who take their own lives suffer from psychiatric illnesses. Thus, any efforts to combat suicide promise to fail miserably unless and until we begin to engage in more open and honest discussions surrounding mental illness. Not in whispers and not as gossip, but in strong and steady voices and as an issue that deserves as much attention, compassion and funding as cancer or HIV/AIDS or any other deadly disease.

So on Friday, which is World Suicide Prevention Day, I am addressing the living in an effort to honor and respect the dead. I am asking those of you who have experience with mental illness to speak up, and I am asking those of you who have no such experience to hear us out. I know that it's not easy to speak in the midst of so much stigma or listen amid so much misinformation, but I assure you that it's worth it. The true sin of suicide is not the act itself. Rather, it is the insidious silence and insensitivity that surrounds so many of the most excruciating diseases of the mind that so often trigger suicide.

The dangerous thing about silence is that it breeds shame and isolation, both of which can be much more devastating than any singular psychiatric condition alone. It's one thing to be crazy. It's quite another to think that you're the only crazy person on the planet.

By the time I made it to the hospital, I felt more alone than ever. After months of unsuccessfully wrestling with a seemingly relentless bout of depression, I finally just gave up. Within a few days, I had a well-planned exit strategy in place: go far away from home, leave a note full of love and apologies, take a sharp knife to a femoral artery and do it outside so that no one would have to clean up the mess.

But, as with most events involving life and death, things did not go according to plan. The reality of my suicide attempt couldn't have veered any further away from the fantasy of that clean, controlled and speedy departure. Ultimately, I slit my wrist on the floor of my psychiatrist's waiting room with a dismally dull pocketknife.

Having bipolar disorder (also known as manic-depression) means not only that you can experience the opposing poles of mania and depression, but also that you can experience aspects of both concurrently. Translation: The "poles" don't always stay in place. In my case, my manic impulsivity had shattered the careful plans of my depressive deliberations and left me bleeding from the wrist on the floor of my psychiatrist's waiting room instead of from the leg on the floor of some faraway forest.

Whatever the case, plan or no plan, by the grace of God, I failed miserably in my attempt. And today, thanks to a proper diagnosis, medication, therapy, health insurance, faith and a supportive family, I am well. And by that, I do not mean that I am cured. There is no cure for bipolar disorder, although there are many excellent treatments. Even with medication, therapy and lifestyle adjustments, I still have highs and lows that extend far beyond those of most everyone else I know, and I still occasionally suffer from acute bouts of depression, mania and mixed episodes that can and have landed me in the hospital.

Nevertheless, since my unfortunate encounter with that pocketknife, I've yet to make any more attempts on my own life. Nor have I ever felt nearly as alone as I did upon my first hospitalization. Speaking openly about my mental illness and meeting other talented, creative and productive individuals who also happen to share similar circumstances has played an invaluable role in my healing.

Entering that first psychiatric ward, I felt cut off from the earth, drowning in a sea of despair. All the people I loved -- all the sane, strong and sturdy people who wanted to save me -- were stuck on steady shore.

But getting to the hospital was like noticing all these other people drowning around me -- all within reach. It wasn't just me in the abyss anymore, and now that I knew I wasn't alone, I had a reason to tread water. Killing myself meant I couldn't save them. Killing myself meant killing them. Suddenly, I had no choice. I had to swim. So, I swam to save the others, only to find, upon reaching the shore, that they had saved me.

If you or someone you know is experiencing thoughts of suicide, please contact the National Suicide Prevention Hotline at 1-800-273-8255.

@highlight

Melody Moezzi writes about trying to kill herself

@highlight

Moezzi says medication and continued therapy have helped with bipolar disorder

@highlight

Moezzi asks "those of you who have experience with mental illness to speak up"

@highlight

Friday marks World Suicide Prevention Day