(CNN) -- On September 27, Iran's President Hassan Rouhani had a 15-minute phone conversation with U.S. President Barack Obama. This was a historic moment, breaking a 34-year spell, and roundly applauded in Washington and Tehran. There was, however, one notable exception.

Mohammad Ali Jafari, the head of the elite Islamic Revolution Guards Corps (IRGC), promptly called the Obama-Rouhani phone conversation a "tactical mistake." The Iranian president, according to Jafari, should have waited to make such a call until after "America's sincerity" in negotiating with Iran "can be proven," as he put it.

Many in Tehran interpreted Jafari's comment -- not as goodhearted advice on foreign policy strategy -- but as a slap on the wrist on President Rouhani. Anxious supporters of Rouhani now wonder if the Revolutionary Guards will soon have an open season against the eight-week-old Rouhani administration and kill off any hope for U.S.-Iran dÃ©tente before it is given a proper shot. After all, the IRGC generals see themselves as the epicenter of anti-Americanism in the Islamic Republic.

Look at the Iranian political formation and you will see that when Jafari speaks it matters. He is the top general in Iran's top military-political force. He answers directly to Iran's Supreme Leader, Ayatollah Ali Khamenei, who appointed Jafari back in 2007. And on Jafari's watch, the Revolutionary Guards have entered the realm of politics as never before. These days the IRGC generals regularly face off all other factions in Iran's Byzantine bureaucratic setup.

Green movement

Just take developments since 2009 as an illustration. During the heyday of Iran's Green opposition movement, triggered by the disputed presidential elections in June 2009, won by the incumbent Mahmoud Ahmadinejad, the IRGC took the lead in cracking down on the anti-regime -- and anti-Ahmadinejad -- protesters.

In the months that followed, hundreds of protesters were arrested and scores allegedly killed in the clampdown.

The IRGC generals went out of their way to brand the leaders of the Green movement as traitors, as foreign agents and spearheads of "seditionists."

Read more: Iranian lawmakers call for execution of leaders

To the generals it mattered little that these Green leaders had at one point been pillars of the same Islamist system. Now that they were questioning the wisdom of the regime's policies they had to be punished, and harsh punishments were duly handed out. The two main Green leaders, Mir Hossein Mousavi, a former prime minister, and Mehdi Karroubi, a former speaker of the parliament, have been under house arrest since February 2011.

But while the IRGC's brutal intervention in 2009 secured Ahmadinejad's second term as president, they soon turned on him too. As Ahmadinejad began to wander off on his own political path, the IRGC by late 2010 began to denounce him as an imposter. He was denounced as the head of the "Deviant Current," a catchall phrase that IRGC gladly now applied to the supporters of the same Ahmadinejad they had gone out of their way to keep in the presidential palace.

Ahmadinjead hit back and famously labeled the top IRGC generals as his "smuggler brothers," a jab at the illicit economic activities of the IRGC cartel, and ask them to stay out of politics.

But the already unpopular and now weakened Ahmadinejad could not outshine the senior men from the Revolutionary Guards. Not while they still had Khamenei's blessing. On August 3, Ahmadinejad left the presidential palace but the IRGC generals are still looming large.

'Heroic flexibility'

But not even Ayatollah Khamenei, Iran's utmost power, is immune to IRGC's predatory ways. On September 17, Khamenei told a group of IRGC commanders that he is not against "heroic flexibility" when confronted by adversaries.

Everyone understood this phrase to mean that Tehran should now be open to serious negotiations over its nuclear program. Rouhani shortly after flew to New York, emboldened that he had Khamenei's full backing to open a new round of talks with the Americans and the other nations in the P5+1 group.

But not everyone in Tehran was on message. Two days before Rouhani's much-anticipated U.N. speech, an IRGC general sought to throw some cold water on the buzz around Rouhani and his mission of seeking dÃ©tente with the United States.

In a statement that seemed to question Khamenei's directive from a week earlier, the general said Iran "will not make any heroic exercise in regards to [its] nuclear rights." The man behind those words is General Hossein Salami, the second-in-command in the IRGC.

Salami and his boss Jafari and the other IRGC generals know better than openly defy the wishes of Khamenei. This is why they go about it cautiously. They do not explicitly condemn Rouhani for talking to Obama, but call it a "tactical mistake." They don't say Ayatollah Khamenei's idea of "heroic exercise" is a bad one, but say it cannot apply to the one topic that matters, Iran's nuclear program.

If Khamenei wants to instil "heroic flexibility" in Iranian diplomacy, simply because the sanctions are bleeding Iran and his regime to death and he needs a way out -- then the IRGC generals do not have it in them to shoot down the trial balloons that he has launched. The IRGC generals are politically not that powerful that they can override the Supreme Leader.

But it is very obvious that the IRGC generals do not like any thawing in Iran's strained relations with the United States. They are principal stakeholders in the Iranian regime and fearful they will lose out if the status quo is somehow transformed.

The question is whether the generals will sit fuming at the sidelines and limit themselves to critiquing attempts to overhaul Iran's foreign policy or actively look for ways to sabotage it.

Supporters of Rouhani and his foreign policy agenda suspect sabotage and even violence. As Rouhani returned from New York, his motorcade came under attack by hardliners just as he was leaving Mehr Abad Airport in Tehran. This could be a harbinger of more to come.

Read more: Shoe thrown at Rouhani -- report

This week former President Mohammad Khatami warned about the return of "terror" of the 1990s when reformist candidates were frequently hounded and sometimes assassinated. "These are not random but organized operations, he warned. There is no doubt that he had the IRGC generals in mind too when he said that.

Sanctions

In the fast unfolding saga of U.S.-Iran relations, the IRGC generals can be expected to play the role of a spoiler for some time to come. This reality no doubt disheartens the supporters of Rouhani. But the IRGC generals are just that, namely spoilers. They have not presented a single credible blueprint for Iran's to come out of international isolation and ways to stop the plummeting economic conditions. They have put on the old mantle of the armed defender of Iranian nation but no foreign armies are lining up to invade.

The IRGC generals still look for legitimacy by pointing back at the role they played in defending Iran against Saddam Hussein's invading army during the 1980-1988 Iran-Iraq War. But Iran's conflict today is not comparable to the circumstances of the Iran-Iraq War.

Iran is bleeding today because there is a global economic sanction regime against it, backed by a strong international consensus.

Ayatollah Khamenei, certainly never a fan of the West or the United States, grasps the difference. That is why he conceded to the need for "heroic flexibility" and looking for ways to break the stalemate.

That is why Rouhani says he has the Supreme Leader's full backing to negotiate with the world. And unless the IRGC generals can come up with an alternative narrative for the way forward for Iran, then all they can do is sabotage Rouhani's efforts and hope that they can get away with it.

Read more: Why Rouhani needs Obama's help

Read more: Be cautious with new, smiley-face Iran

Read more: Can Rouhani or Obama deliver on any deal?

Read more: Amanpour -- why Rouhani may be different

Read more: One day, there might be a U.S.-Iran handshake

The opinions expressed in this commentary are solely those of Alex Vatanka.

@highlight

A September 27 phone call by the U.S. and Iranian presidents was the first in 34 years

@highlight

The head of Iran's Islamic Revolution Guards Corp called it a "tactical mistake"

@highlight

Alex Vatanka says the IRGC generals see themselves as the epicenter of anti-Americanism

@highlight

But Rouhani has Khamenei's backing and all the IRGC can do is act as spoiler, he says