(CNN)People have long underestimated the athleticism necessary for golf. But over the last decade, with fit golfers like Tiger Woods, Adam Scott, and now Jordan Spieth all winning the Masters, the training perspective on golf is shifting. There's a particular emphasis on the functional movement required to execute the perfect swing, which is why yoga is increasingly appealing to golfers.

During the Masters, Spieth demonstrated optimal movement in two key areas that enhance swing power and fluid control while decreasing the risk of back and knee injuries: mid-back mobility and internal hip rotation. Equally important, he did it while maintaining a stable low back and integrated core strength as the foundation for expressing his swing mobility.

Related: Yoga for triathletes

Remember Tiger Wood's low-back problem earlier this year? Tiger blamed a lack of glute (primary buttock muscle) firing for locking up his back, but attempting to rotate from his low back instead of moving functionally from his mid back or hips likely exacerbated the issue. When golfers have mobility limitations in their mid back or hips, they compensate with their low back and knees, which not only hampers play but often leads to pain and injury.

Want the mobility to swing like Spieth and avoid the back and knee issues that commonly plague golfers? Try these three yoga-based moves I use with my PGA clients to address the key areas of the swing.

Trains internal hip rotation; stabilizes and lengthens lower back muscles; stretches upper back and shoulders; encourages ankle mobility

Start in a neutral all-fours position with your hips over your knees and your shoulders above your wrists. Engage your deep core muscles to stabilize your low back. Extend your right leg straight out to the side with your toes pointing forward and the sole of your foot down. Exhale as you sit your hips back toward your heels as far as you can go comfortably without knee, hip or back pain. Inhale as you bring your body weight forward again and internally rotate from your right hip to come up onto your toes (as pictured). Be sure the rotation is coming from your hip, not your lower back, knees or ankles. Exhale and return your hips back towards your heels and the sole of your foot to the floor. Repeat the movement in synch with your breathing through five repetitions on each side.

Promotes proper mid-back extension; strengthens shoulder girdle, opens front of shoulders and chest; lengthens low back

Lie prone (belly down) on your forearms with your elbows under your shoulders. Exhale as you press down through your forearms as though you are trying to slide your belly through your arms to create length in your low back. At the same time, move your shoulder blades down toward your waist. This will activate the mid-back muscles essential for thoracic spine extension while inhibiting the muscles of your upper neck and chest that limit mobility. Hold the posture for three long, deep breaths. Rest for a breath or two and repeat for a total of three holds.

Promotes thoracic spine rotation and shoulder girdle function; stabilizes low back; activates glutes (primary muscles of the buttocks); encourages ankle mobility, strengthens adductors (groins), core and legs

Stand with your feet together; your big toes should touch but allow space between your heels to avoid externally rotating your hips. Exhale as you sit back into a squat with your hands and forearms together in front of your chest. Inhale as you hold the position, ensuring that your low back doesn't arch, and your glutes and core are activated for support. Exhale as you rotate from your mid back to place your inside elbow on the top or outside of one leg. Keep your hips and low back stable. Avoid separating your knees or letting one drop forward. Inhale as you use your bottom elbow for leverage to reach your top elbow upward while pulling your hands toward the center of your chest. Exhale as you focus on dropping your shoulder blades down your back and rotating from your mid back. You can look up or down—whatever is comfortable for your neck. Hold the twist for two more breaths. Repeat on the opposite side. As an advanced option, you can hold one of your clubs (as pictured), reaching your top hand up the club during the twist to open your shoulder and chest.

Adding these yoga-based moves to your workouts will help you develop the mobility for an optimal swing. But it's up to you to add skill to the movement.

To that end, there are many golf trainers who focus on body mechanics with skill training. According to its website, the Titleist Performance Institute (TPI) educates instructors on "how a properly functioning body allows a player to swing a golf club in the most efficient way possible." So, if you really want to swing like Spieth, you might consider hiring a TPI-certified trainer since the training staff Spieth thanked during his Masters victory speech were all TPI certified.

@highlight

During the Masters, Jordan Spieth demonstrated optimal movement to enhance swing power and fluid control

@highlight

When golfers have mobility limitations they compensate with their low back and knees, which often leads to pain and injury