Tuscaloosa, Alabama (CNN) -- It was around by 5 p.m. Wednesday when residents first saw the monster tornado heading toward the heart of this proud Southern university town.

Many prayed. Others grabbed video phones. Some fled for their lives.

The winds hissed. The destructive force of Mother Nature that day won't ever be forgotten by the 93,000 people who call Tuscaloosa home.

That day has united them, through horror and hope, tears and prayers.

Michael Zutell, a manager at a CVS, rushed a family of three into the pharmacy's breakroom, where they huddled with employees. Their car had screeched to a halt at the door, the tornado just across the street.

Not too far away, Lenora Bolden saw it from her front porch and cuddled with her 5-year-old daughter and husband. Her daughter sang out, "Jesus! Jesus! Jesus!" Bolden chimed in with "Thank you! Thank you! Thank you."

Janet Puckett buried her head in clothes in an alcove of her house a few blocks away. "Oh God," she said as her house trembled.

Gar Blume had a different reaction. "Oh s---," he screamed.

Blume was in his law office in a Tuscaloosa neighborhood known as Alberta or Alberta City -- a working-class residential area east of downtown that's predominantly African-American and Hispanic.

Blume would owe his life to five people who pulled him from rubble -- one of whom he said was a known drug dealer. In a one-block radius around Blume's office, he said, at least 15 people were killed.

Sharon Burns had no way of knowing at the time, but Alberta Baptist Church -- the house of worship where three generations of family have attended, the church where her grandfather laid the cornerstone in 1922 -- was about to get pummeled.

Just up the road, Alberta Elementary had stood as a beacon of hope for low-income children here. Built in recent years, the school was a state-of-art facility, complete with a computer lab, gym, library and plush rooms. Luckily, it was empty Wednesday afternoon.

One of the few things still standing at the school is a doorway. Above it, the sign reads, "School is cool."

As bad as the destruction is across Tuscaloosa, Ground Zero lies in Alberta, where homes and anything else in the tornado's path were demolished for blocks on end.

"I've never seen devastation like this," President Obama said as he toured Alberta during a visit to Tuscaloosa on Friday.

Front yard a trash can

Janet Puckett stands outside what's left of her home on 30th Avenue in Alberta. Its walls crumbled under the force of the storm. Her living room and a front bedroom disappeared. The roof of the house got sucked up, too.

"A war zone," she says of the mountains of broken 2-by-4s and other debris all around.

See hi-res photos of the devastation

She raised her three boys in that home, lived there for 30 years. She points across the road, three homes up, to where her truck landed in an oak tree. "It's buried in a twisted part of the tree," she says. Her other vehicle got tossed across the yard, its windows smashed in.

The tornado picked up a neighbor's home and dropped it across the street. The woman inside was killed.

Puckett is glad to be alive, she says, "but I've lost everything really."

She laughs, smiles and chuckles as she surveys the damage, her family all around. The only thing intact in her home is the deep freeze, which sits where it always has in the kitchen.

"You have to laugh to keep from crying, I guess."

When the tornado hit, she simply hung on tight and kept her head buried. Walls shook, dust fell everywhere.

"When I looked up, all I could see is sky," she says. "It was still daylight. You see the pictures on TV of these war zones. That's what I was thinking of.

"My nerves were shaking all over my body."

Her youngest son, Tommy, was killed seven years ago at age 23 in a car accident.

Her husband has been hospitalized for the last six months with an array of health problems. Now this.

"They say the Lord can't put on you more than you can take," she says. "But how much more can I take?"

Amid the debris, she's found some photos of her youngest son, "but not all."

"I don't know where they are," she says. "Under all that mess, I guess."

She tosses an empty french fry container on the debris heap. Her front yard is now a trash can. The family has planted an American flag out front, a ray of hope that they will rebuild.

A few houses up, amid the twisted piles of former homes, someone's walker stands in a front yard. Resting against it is a young woman's wedding photo, a wide smile on her face.

Roger Davis stands outside a cousin's home. He raises his hand and points up and down the road. "This is Ground Zero," he says. Many people here are renters.

"Do you think most these people have insurance? This is just ridiculous."

"Just take a walk through, it's a mess. It's a mess."

"But I'm hopeful. There is some hope in this," he says. "All I can say is God Bless America."

'The woman with the baby is screaming'

The CVS lies in the heart of Tuscaloosa's commercial district, next to the city's main mall and the Wood Square Shopping Center, just west of Alberta.

CVS manager Michael Zutell herded workers into a windowless breakroom after news of a tornado was confirmed. He and shift supervisor Devin McAnnally then walked to the front of the store to lock the door.

They couldn't believe their eyes. The tornado was across the road, above a Chipotle restaurant. A 4-door Dodge Stratus sped into their parking lot and stopped right outside the front door. A husband and his wife jumped out, the woman clutching their young baby. Zutell ushered the family into the breakroom.

"I've always heard the story of the train sound, and that is what it was," Zutell says. "It was just loud as can be."

About 12 people were hunched in the breakroom.

"You're just hearing glass breaking, the woman with the baby is screaming."

Standing outside of what is now a shell of a building, he says, "I thank God."

"Absolutely blessed," McAnnally adds.

"It's mindboggling to think you walked away OK." Zutell said.

The day after the tornado, the two men were handing out water to strangers.

Proof of how lucky they are lies next door inside the shopping center. Not a single wall is left of Big Lots. The Krispy Kreme and Full Moon BBQ are gone too. Cars tossed like toys sit on top of each other.

'We heard a freight train and we just cuddled'

Lenora Bolden walks around to the back of her house where one of Tuscaloosa's classic druid oaks fell between three homes, only scraping one. Its trunk juts 15 feet into the sky.

"We're all safe," she says. "That's why I can tell you God is good."

She lives at the edge of Alberta City. She's lived at the modest home for 10 years.

"My husband and I were standing on the porch and we seen the funnel coming across," she says. "We heard a freight train and we just cuddled."

She was heartened by the community's resolve. As soon as the storm cleared and the sun shone, neighbors helped neighbors. Strangers pitched in, too. Anything to help.

As she talks, about eight members of Tuscaloosa Fire and Rescue stroll down the street carrying axes and other chopping equipment. They've been conducting a street-by-street search of the city.

Jim Ray, one of the firefighters, pitched in along the Gulf Coast after Katrina. "This damage is much more devastating than what we saw in Katrina."

He keeps walking. There are more homes to search.

'It's just a building'

"Let's just say he's a self-employed pharmaceutical salesmen," the lawyer says. "A drug dealer."

"He gets free legal services for the rest of his life."

How anyone survived in Blume's law office is one of those freaks of nature. Nothing remains but a pile of twisted wood, smashed cinder blocks and wrecked bookshelves.

"We're grateful and fortunate to be alive," he says. "Fifteen bodies were found in a one-block radius of my building."

He and his wife, Nettie, were inside when the tornado hit. The lights had flickered and he'd gone into the server room to cut off all computer systems. His wife followed. Then the walls crashed in. He got buried, she got slammed by an 8-foot-tall bookcase.

"Are you alive?" Nettie screamed.

"Yes," he said.

Her legs were pinned. Blume gently tried to make his way out. He heard voices and waved his arms. "Help!"

The drug dealer and four other people, he says, "dug me out and dug my wife out."

"If it weren't for them, we wouldn't have gotten out."

Across the street, the sun shines through the roof of Alberta Baptist Church, many of its stained-glass windows smashed.

Soft notes from a baby grand piano waft through the tattered area, a girl at the keyboard, surrounded by about 10 friends and family.

The church has been here for 89 years. It had just gone through a $3 million renovation.

Inside, the piano -- and faith -- is about the only thing still holding together.

Sharon Burns, the granddaughter of the man who founded the church, sheds gentle tears.

"It's just a building," she says softly.

"But with lots of great memories," her close friend, Jeanne Silliman, adds.

@highlight

Area east of downtown Tuscaloosa known as Alberta was Ground Zero for tornado

@highlight

President Obama toured the area on a visit to the Alabama university town on Friday

@highlight

Survivors' stories tell of the horror of the deadly tornado and the tears left in its wake