Editor's note: Below is a chapter from CNN executive producer and author Suzanne Simons' new book, "Master of War: Blackwater's Erik Prince and the Global Business of War." This excerpt recounts a trip Prince made to Afghanistan in November 2007.

Erik Prince, founder of Blackwater, is pictured in Afghanistan in November 2007.

(CNN) -- The group would be met by a Blackwater security team in Kabul, Afghanistan. They would be escorted from one meeting to another with employees of the Department of State, the CIA, and the Department of Defense. Erik Prince wanted to know how his company was being perceived half a world away from the Washington media.

In addition to the contracts with the CIA and with Defense for airlifting supplies to troops, Blackwater had guards working for the Department of State at the U.S. embassy annex in Kabul. Finally, his men trained Afghans for border patrol and narcotics interdiction. All four contracts needed to be handled with care, given the new controversies the company faced.

Prince had realistic hopes of gaining some new business. Clashes between coalition forces and the Taliban along the country's borders had been brutal, and Prince was already in the business of training Afghans to stop the illicit flow of drugs that was believed to be funding the insurgency.

Surely more could be done. Afghanistan was a big market for Blackwater, and Prince hoped he could expand his business on this trip. ...

The 2½-hour flight to Kabul was packed with a combination of contractors, military types and some random folk who looked as if they had stepped off a movie set. In fact, just a few rows behind Prince sat a bald actor who had played a cameo role in an Indiana Jones movie. For Prince, the trip was not just about clients; it was also a chance to meet some of the eclectic, modern-day soldiers of fortune who worked under him.

Prince and his companions were met on the ground by a two-vehicle Blackwater team led by former FBI special agent Ricky "C.T." Chambers. After his earlier work for the bureau investigating the embassy bombings in Nairobi and Dar es Salaam, he had become Blackwater's regional director of training in Afghanistan in 2003 for the Drug Enforcement Agency and Afghan narcotics interdiction contracts, as well as the Afghan border police training programs.

C.T. knew everyone in Kabul. He liked his job, particularly because he was one of the few men who could live in Afghanistan with his wife, a British beauty whom he'd met years earlier during his FBI days in Kenya. M.C., as she liked to be called, now ran Blackwater's administrative efforts in the country, including the oversight of some 40 local nationals.

C.T. greeted the boss with a handshake and a bulletproof vest. There had been a suicide bombing in the capital that morning, and at least a few people were killed. It happened not far from Blackwater's safe houses, and some of the employees had gone to the roof to get a better look at the huge plume of smoke rising from the site of the attack.

Suicide bombings were becoming more common in the capital, even in broad daylight in crowded areas where security was present. Taliban insurgents were wiring up Afghans who were mentally or physically disabled, the underprivileged who would sit along the side of the busy streets hoping for someone to drop money into their laps.

When a U.S. convoy or other acceptable target got close enough, militants would remotely detonate their victims. Prince put on his vest for a five-minute ride to the other side of the airport. One of his planes was being prepared to take him to the country's largest airfield, where his own pilots were based.

There were armed security guards in each of the two Blackwater SUVs, but Prince kept his own Glock on the seat next to him. He kept his eyes open as the convoy moved along the crowded Kabul streets, where fresh meat carcasses hung out to dry and barefooted kids played in the narrow, dust-ridden alleyways.

He particularly watched for teenagers on cell phones, standing on corners. He had seen intelligence information suggesting teens were being paid by insurgents to scout out Western convoys and report their coordinates for a possible attack.

Once safely inside the airport's perimeter, Prince and his team made their way to the Blackwater plane sitting on the tarmac. He greeted his pilots and asked how things were going. They assured him that the Department of Defense was happy with the job they were doing.

Despite the crash of Blackwater Flight 61 into the side of a mountain two years earlier, Presidential Airways had continued to sign contracts with the Pentagon several times since then, including a $91 million-a-year contract to provide air support in Guam. Prince's company had eight Cessna aircraft in Afghanistan, working for the Department of Defense. His men flew everything from drug eradication missions to bundle drops. Many of them were high-risk flights from forward operating bases in the countryside.

If there was an architect of the U.S. invasion of Afghanistan, it had been the Central Intelligence Agency. While Prince had used his connection to A. B. "Buzzy" Krongard, the former executive director of the CIA, to get his first black contract for security work, the agency had continued to renew Blackwater's work, even after Krongard left.

At the secret CIA post, Prince met with a handful of his men who had come to greet him. Several of them looked as if they had walked out of an X-Files convention: long hair, plaid flannel shirts and baggy pants worn much further down than pants were meant to be worn. Prince, in keeping with his conservative upbringing, gave some of them a hard time about their appearance, but they insisted it was what worked best among the local population. Prince's men had apparently made the CIA happy, providing static security and performing unknown other tasks.

But some in the European Parliament suspected that Prince's Presidential Airways had operated rendition flights for the CIA, and said so in a report. An attorney for Prince pressed the European Parliament for proof to support such a claim, but proof never materialized. The attorney insisted the statements in the report were false and demanded a correction.

While the possibility of Prince's companies taking part seemed plausible, Prince denied it ever happened. ... Eight deputies of Gen. Rahman, the general in charge of the Afghan border police, were already waiting in a large office on the second floor of the two-story building when Prince arrived. He took a seat on a large sofa and listened as the general, through an interpreter, gave him an update on just how Blackwater's training program was working out.

Prince's men were responsible not only for training the Afghan force in firearms procedures, but for equipping them as well. It was the "one-stop shopping" that Prince had put into place for his law enforcement and Special Forces clients back at Blackwater's Moyock facility so many years earlier. "Make yourself indispensable to the client," he had said, "and you'll always have work."

@highlight

Blackwater is a private military contractor that was founded in 1997 by Erik Prince

@highlight

2004: Four Blackwater men were seized, murdered, hung from a bridge in Falluja

@highlight

The company now goes by the name Xe

@highlight

CNN's Suzanne Simmons' book explores Prince and his key employees in-depth