(Health.com) -- People with depression are more likely to have a stroke than their mentally healthy peers, and their strokes are more likely to be fatal, according to a new analysis published this week in the Journal of the American Medical Association.

Depression is a relatively minor risk factor for stroke compared to high blood pressure (hypertension) and other health conditions and behaviors that damage blood vessels, the researchers say. Still, their analysis suggests that as many as 4% of the estimated 795,000 strokes that occur in the United States each year can be attributed to depression.

"If you have depression but no other health issues, you probably don't have to pay too much attention to stroke risk," says An Pan, Ph.D., the lead author of the analysis and a research fellow at the Harvard School of Public Health, in Boston. "But if you are depressed and are also obese, or have hypertension or...unhealthy lifestyle factors, your risk is going to increase dramatically."

Health.com: The 10 most depressing states in the U.S.

Pan and his colleagues combined data from 28 studies dating back to the mid-1990s that included about 318,000 people overall. Roughly 2.7% of the participants had a stroke during the studies, which ranged in length from two to 29 years.

Compared to those who showed no signs of depression, people who received a depression diagnosis from a doctor or who reported feeling depressed were 45% more likely to have a stroke and 55% more likely to die from a stroke, the researchers found.

Depression increased the risk of ischemic stroke, in which a blood vessel becomes blocked and cannot send blood to the brain. But it did not measurably raise the risk of the other major type, hemorrhagic stroke, in which a blood vessel leaks or bursts open.

Health.com: 12 signs of depression in men

The new study is the latest in a long line of research linking depression to chronic disease and serious physical health problems.

"We knew that depression raises a person's risk of developing diabetes, obesity, hypertension, and cardiovascular disease," Pan says. "We also knew that depression can occur after patients suffer a stroke. We just didn't have strong enough evidence to know if the reverse was true, or what really comes first."

Researchers have already established that depression increases the risk of heart attacks (and especially fatal ones), so it makes sense that depression would have a similar association with stroke, says Norman Rosenthal, M.D., a clinical professor of psychiatry at the Georgetown University School of Medicine, in Washington, D.C.

"Strokes and heart attacks both represent blood vessels becoming blocked and blood being withheld from a vital organ, whether it's the heart or the brain," says Rosenthal, who was not involved in the new study. "They're essentially the same disease."

Health.com: Careers with high rates of depression

Depression could contribute to strokes in many ways, Pan says. For starters, people who are depressed are more likely to smoke or drink heavily, to follow an unhealthy diet, and to neglect their personal health. Most of the studies included in the analysis controlled for these and other risk factors, but the data suggests that at least some of the stroke risk in depressed people can be explained by an unhealthy lifestyle.

There are other possibilities, as well, that aren't as easily measured. Depression can increase the production of stress hormones in the body, for instance, and can trigger dangerous inflammation in the blood vessels. "Little things, like keeping up good dental hygiene or socializing with friends, all affect inflammation levels -- and these are things that a depressed person is less likely to do," says Rosenthal.

Depression may also cause people to slack on taking medications needed to control other stroke-related conditions, such as diabetes or high blood pressure. On the other hand, some medications prescribed for depression -- most notably the class of drugs known as atypical antipsychotics -- have been shown to cause weight gain and obesity, a known risk factor for stroke.

More research is needed to determine whether depression drugs contribute to stroke risk. Doctors should monitor weight gain and blood pressure levels in patients taking these drugs, but there's no reason for patients to stop taking them, Pan says. "For now, physicians should prescribe medication if they think it is necessary, or if non-drug treatments haven't worked."

Although depression isn't the most important risk factor for stroke, the researchers say it likely has a noticeable impact on the stroke rate. They estimate that depression is responsible for an additional 106 strokes per 100,000 people in the United States each year.

Copyright Health Magazine 2011

@highlight

Depression increased the risk of ischemic stroke

@highlight

Depression increases the risk of heart attacks (and especially fatal ones)

@highlight

People who are depressed are more likely to smoke or drink heavily