Washington (CNN) -- The national trauma inflicted by the massacre of 20 children and six adults at Sandy Hook Elementary School prompted an emotional and fierce debate on gun control, but the drive this spring for stricter limits led by President Barack Obama fell short in Washington.

By summer, the issue had mostly faded on the political stage. It was replaced by troubling disclosures around national security leaks and U.S. surveillance, violent political turmoil in Egypt, alleged chemical weapons use in Syria, and another looming federal budget showdown.

Then, an armed, 34-year-old former veteran shattered the late summer calm on Monday when he shot up the Washington Navy Yard, killing 12 people before, he, too, died.

Headlines blared, first responders acted heroically, accounts of harrowing escape and sudden death filled the airwaves yet again in the United States. Another mass shooting, said the president, another test of the national psyche.

And, yes, a new call for tougher gun control.

"When will enough be enough?" Sen. Jay Rockefeller, D-West Virginia, said Americas are "becoming far too familiar with senseless, tragic violence" and "these repeated incidents demand our attention."

"Congress needs to act," Rep. Mike Thompson said.

But if the jolt delivered by the Newtown massacre last December in a first grade classroom couldn't serve as a catalyst in Congress for more extensive background checks than why would this latest incident move the debate beyond rhetoric?

Initial indications are it won't even though a dozen people were slaughtered in the shadow of the Capitol.

Sen. Joe Manchin, D-West Virginia, is still seeking the five votes needed to pass the expanded background check measure that failed last spring. But he told CNN's Dana Bash he didn't believe the shooting will impact legislation.

But the Brady Campaign to Prevent Gun Violence argued the Navy Yard shooting was one more example of the failure of Washington to address the issue.

"While it is too early to know what policies might have prevented this latest tragedy, we do know that policies that present a real opportunity to save lives sit stalled in Congress, policies that could prevent many of the dozens of deaths that result every day from gun violence," Dan Gross, the group's president, said in a statement Monday.

Did Obama strike the wrong tone on Monday?

A more restrained response

Obama, who wiped away tears on the day of Newtown, briefly nodded Monday to the seemingly growing trend of such tragedies.

"So we are confronting yet another mass shooting," he said. "And today, it happened on a military installation in our nation's capital."

Asked about the difference in his public reaction, White House spokesman Jay Carney said Tuesday the president was "horrified" by the Navy Yard killings.

"While it is a sad truth we in America seem to experience these mass shootings with all too much frequency, they are always horrifying," Carney said, adding that Newtown presented its own particular horror because most of the victims were so young.

Sen. Dick Durbin, D-Illinois, pointed to the Senate background check proposal, but stopped short of re-introducing the legislation.

Rep. Steny Hoyer, the No. 2 Democrat in the House, believes the Navy Yard shooting will revive the debate, but argued outside groups opposed to any new restrictions make it unlikely that Congress will enact any new laws.

"If the past is prologue that prologue is not very helpful," Hoyer told reporters on Tuesday.

Mark Kelly, husband of former Rep. Gabrielle Giffords, released a statement offering support to the victims' families, but did not make any calls for legislative action. However, he made sure to mention the context of the latest killings, saying they workers at the Navy Yard were not killed overseas but in "a mass shooting here at home."

Giffords was severely wounded in a 2011 mass shooting that left six dead and 12 others injured

Dave Kopel, an adjunct professor at the University of Denver's law school, said he doubts the latest shooting will fire up Washington the same way Newtown did.

Until December, Obama had largely stayed away from gun control, so his decision to lay out a series of proposals for the first time certainly fueled the post-Newtown debate, Kopel noted.

"But you can only do that once," he said.

Opinion: Gun control is not the answer

A potential opening

Sen. Richard Blumenthal--D, Connecticut--said he believes the Navy Yard shooting makes a case for a stronger push on mental health.

The shooter, Aaron Alexis, had recently made contact with two Veterans Administration hospitals for apparent psychological issues and had exhibited signs of mental problems, CNN has learned. His father said he suffered from post traumatic stress after working in 9/11 rescue efforts.

"Let us make mental health initiative a centerpiece of this renewal and reinvigoration of our effort to stop gun violence. Let us combine it with background checks and other commonsense measures," Blumenthal said on the Senate floor.

Manchin agreed a mental health component could help nudge gun violence legislation forward.

"I'll support anything I can to rehabilitate people but also making sure people who are not rehabilitated should not be able to--because of their past and their record--not be able to purchase a gun," he told reporters Tuesday on Capitol Hill.

Rev. Kenneth Blanchard, a Christian pastor and gun rights activist, encouraged a societal change on mental health issues rather than a "microwave change" through gun control.

"We failed him somewhere. Everybody around him failed. Nobody wants to put the finger on ourselves, but it's us. We're our own worst enemies," he said.

Audit: Big problems with Navy program that screens contractors

Other factors at play

The powerful National Rifle Association has not weighed in on the latest shooting, but the organization tends to wait a short period of time after an incident before commenting.

It's entirely plausible that the tone of the debate remains less-than-fiery as the country still processes the events that took place Monday.

But there may also be an elephant in the room.

Last week, two state senators in Colorado were booted out of office after voting in favor of the state's new gun control laws.

The Navy Yard shooting represents the first national test of whether the recalls might have an impact on how Washington lawmakers react to the gun control, especially with the entire House and a third of the Senate facing reelection next year.

"(The recalls) suggest to a lot of swing elected officials, who maybe don't have deep convictions one way or the other on the gun issue, that banning arms as some sort of symbolic reaction to a crime by a mentally ill evildoer is not as politically popular," said Kopel, who also works as a research director of the Independence Institute, a conservative think tank in Colorado.

The most recent polling, however, indicates just over half of Americans nationwide think gun control laws should be stricter. According to a CBS/New York Times Poll from early June, 51% of Americans favor stricter regulations, while 47% prefer laws are kept as they are or become less strict.

Numbers in favor of tighter gun laws have dropped since the days following the Sandy Hook shooting.

Mark Glaze, director of the Michael Bloomberg-backed group Mayors Against Illegal Guns, thinks the Navy Yard shooting will have an impact on the larger debate, even if the effects aren't immediate.

"It is the Chinese water torture of a series of mass shootings that are happening more rapidly and are growing more deadly," he said.

His group will hold a previously scheduled rally Thursday on Capitol Hill, with protests specifically aimed at senators who voted against the background check proposal.

CNN's Dana Bash, Deirdre Walsh and Paul Steinhauser contributed to this report.

@highlight

The immediate reaction to the Navy Yard shooting seems more restrained than after Newtown

@highlight

While some lawmakers are still calling on Congress to do something, other say action is doubtful

@highlight

Some argue mental health may be the next legislative path

@highlight

Others say Navy Yard adds to growing sense mass shootings are growing worse and more frequent