(CNN) -- Back in 2007, when I was participating at a conference on U.S.-China relations, the late U.S. diplomat Richard Holbrooke repeatedly came back to the importance of not writing the United States off, while warning against getting overexcited about the new emerging China imperium.

"The U.S.," he said, "is not going away any time soon."

Holbrooke's views are evidently shared by the current leadership of China.

While many commentators excitedly jabber about the end of the U.S. era and comment on how President Barack Obama -- diminished by his recent electoral drubbing at home -- is regarded as weak and irrelevant in Beijing, the people that matter, namely the Chinese leadership, have proved shrewd enough not to buy into this sort of talk. They see through the transient nature of presidents and their power, and as a strategic political and economic partner, understand that former Secretary of State Hillary Clinton was right: For them, the United States is the one indispensable nation.

The proof of this is the comprehensive agreements issued this year during the APEC meeting in Beijing.

Forget all the theater of Russian President Vladimir Putin scowling at Obama minutes before trying to engulf the Chinese President's glamorous wife in a shawl, or the icy image of Chinese President Xi Jinping shaking Japanese Prime Minister Shinzo Abe's hand. Because the reality is that -- despite the narrative we might like to impose on all this of a world beating its tracks to Beijing's door -- for policymakers in Beijing, deals like the one just made with the United States on slashing carbon emissions, or the ones on security and economic cooperation, are the one currency truly worth having.

But the most misleading aspect of U.S.-China relations is that while in public they are frequently conducted in snarling rhetoric, underneath both sides probably have more mutual links and increasing common ground than ever before.

And while separating the sound and fury from the truth is tough, on the fight against terrorism, the need to find sustainable economic growth, preserving a benign, stable international environment, and increasing predictability in the global financial governance system, China and the United States often pretend they are much further apart than they actually are.

Their main business now is tactical -- trying to search out spaces for strategic advantage. With its proposed Asian Free Trade Zone, along with building diverse energy supply links through Russia and central Asia, China is engaged in staking out discrete spaces where it can move without being hedged in. It knows that long arguments with neighbors like Japan peg it down and reduce its space to act. Having as many friends as possible is Xi's diplomatic priority, after years of brittle tensions with so many countries around China's land and maritime borders.

There is a simple reason for this. China is entering a period of tough economic transition. The Third and Fourth Plenum meetings of the Chinese Communist Party made this clear. Many things need to be done, from raising consumption to addressing water supply issues and the dangerous state of the air quality in the country. Too many rows with the world outside distract from the real business of dealing with these internal matters.

And in all these areas, whatever the distrust and misunderstandings held by the world's second biggest economy toward the largest, the gains from continuing to be constructive and mostly friendly, at least on the surface, far outweigh the benefits of acting tough.

Of course, all this might change one day, when China really feels it has to demand more international strategic space and sees the United States as an impediment to that. But APEC this year has underscored that that day is a long time in the future.

@highlight

Talk of the end of a U.S. era premature, says Kerry Brown

@highlight

Brown: Despite rhetoric, U.S. and China generally agree

@highlight

China entering tough period of transition, he says