(CNN) -- They are everywhere, Haiti's precious and beautiful children. They make up more than a third of the country's 10 million-plus population. You see them on rooftops -- where there are rooftops -- flying kites. You see them gathered in small circles on the ground --where the ground is not muddy -- playing marbles. You see them skip around where the ground is muddy, sometimes bathing in water from manholes.

You see them link hands and run in a circle while singing a song associated with the won, the Haitian equivalent of "Ring Around the Rosie." You see them fight for a turn at jumping rope. You see them twirl a bicycle wheel with a bent rope hanger and in that act you can see the dream of one day actually driving the rest of the bike, or a motorcycle, a car or an airplane.

You see them carry gallons and buckets of water on tiny heads that have no place to rest. You see them suddenly appear in the middle of Port-au-Prince's impenetrable traffic and, dressed in dirty rags, plop an even dirtier rag on the hood of your car. You see them file in and out of the same traffic wearing striking school uniforms with different color plaid tops. Sometimes you see them wearing their Sunday best in the middle of the week.

For more about CNN's "Rescued" documentary, read here

You see them packed into tents made of sticks and bedsheets -- and if they're lucky, tarp or plastic -- and some of them appear listless, their bloated bellies and reddened hair competing for your attention. If you say hello, some will answer you but they will avoid your gaze, both out of respect for you and shame at their condition.

You see them stand in lines, backs straight even while the sun beats down on their heads and sweat rolls down their faces, as they wait for a bottle of water or a plate of food. You see them wobble on makeshift crutches for their newly amputated limbs even as they wince from pain that even some adults would find difficult to bear. Nevertheless they are children, Haiti's future.

The January 12, 2010, earthquake changed their lives. Many watched loved ones die, lost family members and other caretakers, one or both of their parents, siblings. Many were stuck in the rubble of their homes and were rescued several days later. Yet in spite of everything, they dream, they laugh, they live, they love.

Like most other children, they adore seeing their faces reflected in the back of a digital camera.

"Madame, Madame," they will say respectfully if they want to ask or tell you something.

During such a conversation, I tell a little girl who is the same age as my eldest daughter, Mira, "At home I have one exactly like you."

"There is no one exactly like me," she replies.

She's right. No child is exactly like any other, but all children want and need some basic things: food, shelter, safety, education, love.

Ti moun se richès, says the Haitian proverb. Our children are our treasures.

Some of them are diamonds in the rough. Some of them are brilliant, nearly illuminated beings. Now some are also scarred, both physically and psychologically.

In one large tent city, I find the 7-year-old son of a man I knew growing up. The boy is in the camp with his mother while his father is in Miami, Florida, with his baby sister, whose hip was broken during the earthquake.

"I sleep during the day," he says, "because the thieves come at night."

The child he plays with most often is an orphan who was taken in by a neighbor.

After the earthquake, people kept asking me, "Why don't we see Haitians adopting Haitian kids? Why is it always the blan, the foreigners, the missionaries?"

Many Haitians adopt informally. If they didn't you would see many more abandoned children on the earthquake-ravaged streets of Haiti's capital and in the countryside. Some kids do fall prey to the local restavèk system of child labor, but others are taken into loving homes, sharing equally the little bit their guardians have.

Haiti's children have suffered more than any child, or adult, should have to, yet they still represent the best that Haiti has to offer. The potential for a better country rests on their shoulders. The survival of Haiti's children means the survival of Haiti. Their success guarantees the country's future.

Like children all over the world, Haiti's children are resilient and brave, but they are also children, our children. If, as the African proverb states, it takes a village to raise a child, it will take several villages to raise these children.

When it was discovered that the "orphans" who were being taken to the Dominican Republic by the 10 Idaho missionaries had parents, some people asked me how Haitian mothers and fathers could simply give their children away.

I offered them the answer that a mother who turned her child over to an orphanage years ago recently gave me.

"It's like the way they were cutting up people's limbs to save their lives after the earthquake. I cut my heart out by letting my child go. Even if it means I have to cry every single day for the rest of my life, I want my child to have a future."

That future sometimes seems illusive. But it is as real as the children themselves. Worn out perhaps, but not totally defeated, dreaming, laughing, playing, living with a glint of hope and promise in their eyes.

The opinions expressed in this commentary are solely those of Edwidge Danticat.

@highlight

Edwidge Danticat says Haiti's children are brave and resilient

@highlight

She says they have endured great hardship since the earthquake

@highlight

Danticat: The survival of Haiti rests on the childrens' shoulders

@highlight

CNN report on Haiti's children, "Rescued," airs Saturday, May 8 at 8 pm ET