(CNN) -- What could be more memorable than lounging on your sun-drenched superyacht in the world's most fashionable ports?

Quite a lot, says an increasing number of intrepid millionaires looking for the ultimate adventure.

No longer satisfied simply to moor their lavish vessels in the Mediterranean or Caribbean, an emerging market of jet setters are seeking unique voyages of exploration.

And it's taking them to the ends of the Earth.

"You think a meal at a good restaurant in Monaco is memorable? Or a day at a St. Barts beach in the Caribbean is memorable?" asks captain Ben Lyons, speaking by satellite phone from a ship currently cruising Finland's fjords.

"Watching a polar bear walk across the ice to your yacht. Or sailing past a three-mile-wide iceberg in Antarctica -- now those are once-in-a-lifetime experiences," says the chief officer of Eyos Expeditions, a company offering luxury journeys to destinations that time forgot.

Rather than whiling away the days in the "see and be seen" playgrounds of the mega rich, these financial titans prefer to point their bows towards the most remote landscapes on the globe.

The South Pole, New Zealand's volcanic islands, and Australia's river wilderness, to name just a few.

And at up to $400,000 a week to charter one of Eyos' opulent boats equipped to handle these extreme locations, you will need deep pockets for these journeys.

Enriching escapes

"What we're really seeing is a trend for a lot more experiential travel -- people that want to do more, see more, learn more, and come away with an enriching experience," says Lyons.

"I think too many people are tired of having these incredible yachts and sitting in Monaco surrounded by all these other yachts. Why would you do that, when you can actually be out there exploring on your own?"

For the wealthy holiday-maker accustomed to the most exclusive surroundings money can buy, these difficult-to-reach destinations offer the ultimate in elite escapism.

Often the affluent adventurers must take a private jet simply to reach far-flung locations.

Once on board, they can take a personal submarine out for underwater exploration -- "they're essential toys on superyachts," explains Lyons.

Of course, that's if they're not wandering among hundreds of thousands of emperor penguins in Antarctica, or watching traditional fire dancing by indigenous Papua New Guinea tribes.

"The places we go to are overwhelming. They are magical. They are awe-inspiring," says Lyons.

"For me, Antarctica is the most incredible spot on Earth. More than any other destination, it leaves people fundamentally changed."

For the crème de la crème of high society, these exotic journeys are also the ultimate dinner party conversation among guests who may have spent their summers moored in Monaco.

Creature comforts

Unlike 20th-century polar explorer Ernest Shackleton, who was forced to endure frostbite, today's wealthy adventurers don't have to compromise on comfort on their adventures.

Those choosing not take their own superyacht on the journey of a lifetime, can charter one of Eyos' luxury liners -- including a recently-converted, 71-meter Scottish Fishery patrol vessel.

"Enigma XK" has been fully kitted out with opulent extras, including a gym and sauna -- hardly the Shackleton idea of "roughing it."

"With this sort of yacht you can do in one trip, what would take five years to do on a commercial cruise ship," explains Lyons.

"You have only 12 people on board -- not 200 other guests, so you can do exactly what you want and when."

If that means walking across an ice field at midnight under the moon, then so be it. Fancy jumping into an inflatable boat with humpback whales surfacing all around you? "You can do it in a matter of two or three minutes," says Lyons.

Educational experience

When money is no option, neither is the extent expedition staff are willing to go to cater to your every whim. Personal archeology, photography, wildlife and culture experts can be enlisted to add insider knowledge to the journey.

"Other people can go to remote islands in the Pacific," explains Lyons.

"But unless you can speak the language with the locals, unless you can really interpret what's going on and interact with the community in a meaningful way, you really lose out on a lot of the experience."

For children, it's a rare chance to experience Mother Nature's breathtaking extremes outside the classroom.

"Imagine the excitement of a kid watching a polar bear walking up to the yacht, or learning about whales, or cruising through Antarctica," says Lyons.

No matter what your age, these journeys to distant lands capture the imagination in a way few other holidays can.

Learn: Why size really matters in the yachting world

Inspire: Can't afford a house? Try this

@highlight

Superyacht owners are looking for a more "enriching" holiday experience

@highlight

Multimillion-dollar vessels sail to Antarctica, New Zealand, Papua New Guinea

@highlight

Tour companies offer private jets, submarines to mega rich seeking ultimate adventure

@highlight

Week on luxury 71-meter superyacht to South Pole costs whopping $400,000