(CNN) -- Economic inequality is now center stage in the global debate, and the World Economic Forum asserts that this issue is the single biggest risk facing the planet. Yet, amid all the justifiable concern, we may be on the cusp of a "game-changing" point in history.

World Bank research indicates that, for the first time in about 200 years, overall global income inequality (one of the key measures of economic inequality) appears to be going into reverse.

This is a cause for optimism, and will be a key topic discussed at the 50th G77 summit of developing nations in Bolivia this weekend. The meeting, which the G77 is co-hosting with China, has the overriding ambition of promoting a "more equitable world order."

The powerful forces that determine the overall global income landscape are complex and cross-cutting. Chief among them are growing income equality between countries, as the global "South" (Africa, Latin America, the Middle East and Asia) develops, at the same time that there is increased income inequality within many nations. These opposing mega-trends, like tectonic plates, are pushing against each other.

China and India have been key in promoting greater global income inequality between nations. Combining their recent economic growth, and very large collective populations (estimated at more than 2.5 billion people), both have lifted a massive amount of people out of poverty -- an estimated 600 million between 1981 and 2004 in China alone.

This is truly remarkable. And it has helped catalyze what Branko Milanovic, former lead economist of the World Bank's Research Department, has described as the "profoundest reshuffle of individual incomes on the global scale since the Industrial Revolution."

But at the same time, there is a more pernicious, countervailing mega-trend: growing income inequality within many countries across both the developed and the developing world. This issue has become increasingly politically important, especially since the international financial crisis in 2008-09.

Taken overall, the interplay of these forces over the past 200 years has resulted in greater global income equality. However, in the period since 2002, something dramatic may be on the change.

There is evidence that the "positive effect" of growing income equality between countries, driven by the development of the South, is superseding the "negative effect" of increasing inequality within nations. If true, this would be a momentous moment in world history.

As the World Bank itself says, this conclusion is hedged with uncertainty as data sources on income across the world are inevitably incomplete and imperfect. So more evidence, over a longer period, is needed to judge whether the process is real, robust and sustainable.

What is certain, however, is that there has been a transformation in the overall fortunes of the South. The most prominent beneficiaries have been a much heralded "new" middle class -- estimated to be as large as a third of the world's population -- disproportionately located in key Asian emerging economies like China, India and Indonesia.

Also welcome news is World Bank research indicating that much of the bottom third of the global income pyramid has generally benefited too. As in China, many other hundreds of millions of people across the South have transitioned away from absolute poverty.

Elites within emerging markets have also tended to prosper. Many of these people are part of the top global 1-5% of income earners (a group which is otherwise dominated by individuals in developed countries). This strata, at the very apex of the global income hierarchy, have generally seen their incomes rise massively in recent years.

Unfortunately, however, not everyone in the South has shared fully in this rising tide of prosperity. Much of Africa, and some of Latin America, for instance, has generally not benefited nearly as much as Asia, at least to date.

A key question on the minds of G77 leaders at this weekend's summit is whether the development of the South has enough momentum to continue driving forwards a more equitable world order. This will depend on whether the high economic growth of emerging markets persists, and also whether the trend toward rising income inequality within countries can be slowed or arrested.

On the former, there is no inevitability to ever-growing income inequality within countries. Growing discontent in many nations means the political and popular will to address this issue is growing, but the debate over what long-term reform agenda is needed divides the left and right.

On the latter, the trajectory of the global economy will continue to shift toward the South. However, the remarkable wave of emerging market growth of recent years will decelerate, and the global transformation it has produced -- an economic change of unprecedented speed and scale in world history -- is unlikely to be repeated again.

As the G77 meets, the world therefore stands at a historic crossroads, which could potentially see the first sustained period of greater overall global income equality since the Industrial Revolution. But if emerging market growth decelerates faster than anticipated, or income inequality within countries accelerates, this process could go into reverse. If so, the political salience of the inequality agenda could skyrocket yet again across much of the globe.

@highlight

World's developing nations to meet at 50th G77 summit in Bolivia this weekend

@highlight

Meeting is aimed at promoting a more equitable world order

@highlight

Andrew Hammond says global income inequality appears to be going into reverse

@highlight

But he warns "not everyone in the South has shared fully in rising tide of prosperity"