KHARTOUM, Sudan (CNN) -- Sudan's entire state apparatus has been mobilized "to plan, commit, and cover up crimes" in the war-torn area of Darfur, a prosecutor for the International Criminal Court said Thursday.

The United Nations estimates 2.5 million people have been forced from their homes in Darfur.

The prosecutor, Luis Moreno-Ocampo, made the observation in a progress report to the U.N. Security Council into its probe of crimes in Darfur and the status of two men indicted for war crimes and crimes against humanity in the Darfur region of Sudan.

He said the Sudanese government "has taken no steps to arrest" the men, one of whom is now in charge of the government's humanitarian affairs. The other is a militia leader.

"For the last five years the whole Darfur area has been a crime scene. Girls are raped, schools are bombed. ... And they are covering up these crimes," Moreno-Ocampo said at a news conference at the United Nations Thursday.

The court says Darfurians are attacked in their villages and in camps, citing rapes, bombings of schools and arrests of community leaders.

"Crimes being committed today in Darfur cannot be denied, or minimized. Decisions to commit crimes, to deny crimes, to disguise crimes are taken at the highest level. Denial of crimes, by the authorities that vowed to protect Darfurians, is an additional harm to the victims," the report said.

The ICC cases are against Ali Kushayb, a militia leader, and Ahmad Harun, former minister of state for the interior in Sudan, who is now in charge of humanitarian affairs for the Sudanese government.

Both face charges of murder, rape, forced displacement and other offenses during the Darfur crisis, which the United States characterizes as a genocide.

Harun's present role gives him power over how and whether aid agencies can deliver food, medicine and shelter to victims of chronic violence and deprivation in Darfur.

"He attacks the people he has the responsibility to protect," the International Criminal Court said in a statement. "He hampers the delivery of relief to the victims. He is involved in obstructing deployment of the peacekeepers."

Alleged crimes in the region stem from a brutal counter-insurgency campaign the Sudanese government conducted after rebels began an uprising in the Darfur region of western Sudan in 2003.

The authorities armed and cooperated with Arab militias that went from village to village in Darfur on a campaign of killing, torture and rape, according to the United Nations, western governments and human-rights organizations. The militias targeted civilian members of tribes from which the rebels draw strength.

About 300,000 people have died in Darfur, the United Nations estimates, and 2.5 million have been forced from home.

In 2005, the Security Council cleared the way for possible war crimes prosecutions by the International Criminal Court, a permanent tribunal set up to handle prosecutions related to genocide, crimes against humanity and war crimes. The court is based on a treaty signed by 106 nations -- excluding Sudan.

Prosecutors are investigating offenses in Sudan, the Democratic Republic of the Congo, Uganda and the Central African Republic.

Once the court indicts someone, authorities in one country or another have the power to detain the indicted person for trial at The Hague. That has not happened in the case of Harun and Kushayb.

An arrest warrant for Harun charges that he was involved in the murder, rape, torture and forced displacement of civilians. The court also says he encouraged such illegal acts in public speeches during his tenure as minister of state for the interior.

The criminal court says Kushayb led several thousand militia members and personally participated in attacks against civilians. An arrest warrant outlines numerous cases of murder, rape and inhumane acts.

In Sudan, however, senior government leaders told CNN that reports of atrocities in Darfur were exaggerated.

"Yes, there has been a war and some people have died, but it's not like what has been reflected in the media," said Interior Minister Ibrahim Mahmoud Hamid.

Musa Halil, an adviser to Sudan's president, has been accused by the United States of leading a militia responsible for atrocities. And the U.N. Security Council has frozen his assets. Yet he denies any wrongdoing.

"There is no genocide," he told CNN. "Most people came to the refugee camps because of the pressure and were used there for political marketing."

Others told a different story.

In Darfur, eyewitnesses spoke of government airplanes and helicopters attacking defenseless civilians just four months ago. They said the government struck in coordination with militiamen riding horses and camels -- a classic pattern that has unfolded around Darfur in recent years.

More than 115 people were killed in that attack, they said, and nearly 58,000 people fled.

CNN's Nic Robertson contributed to this report

@highlight

International Criminal Court: Sudan "taken no steps" to arrest Darfur war criminals

@highlight

One suspect now in charge of humanitarian affairs for Sudanese government

@highlight

Allegations stem from 2003 counter-insurgency campaign by Sudanese government

@highlight

United Nations estimates about 300,000 people have died in Darfur region