(CNN) -- The two young women were as different as could be when they met in a small farming village outside Uganda's capital in 2004.

Orphans perform at the opening ceremony for their new home in Mutungo, Uganda.

Brittany Merrill was a 19-year-old Southern Methodist University broadcast journalism student from an affluent family in suburban Atlanta, Georgia.

She was teaching literature in Uganda for the summer when she decided to visit Mutungo, a crowded shantytown of mud huts and wooden shacks, where children in torn clothes ran around in bare feet, and people lingered in the noisy streets to avoid the oppressive heat inside their homes.

At 22 years old, Sarah Kamara felt God had called on her to take in homeless children begging on Mutungo's streets. In addition to her own daughter, Kamara was caring for 23 children in her one-room home. Some were AIDS orphans, others had been abandoned by families who had too many children.

But Kamara took them in, alienating herself from neighbors, relatives and her husband, who briefly separated from her in protest.

Despite Kamara's broken English and Merrill's culture shock, the two found common ground in their compassion for the children, whose zeal for life was unmitigated by the poverty, disease and death that had brought them to Kamara's home.

"They taught me about what is meaningful in this world and gave me purpose," Merrill said of the children. "Their love and faith has challenged my heart. They shook me out of my complacency."

Merrill left Uganda determined to help Kamara realize her dream of opening a full-fledged orphan home, where sets of "mamas" and "uncles" would care for children in separate living spaces, nurturing their emotional, physical and spiritual needs.

Four years and roughly $800,000 later, the two brought their vision to life with the opening of the Ranch on Jesus Orphanage in March.

The home, which will accommodate 180 orphans at capacity, is named after the nonprofit ministry that Kamara and her husband, Theophilius, started after they met Merrill in 2004.

Local dignitaries and the orphans' relatives, who couldn't afford to care for them, attended the opening. It was a rousing celebration of song and dance, ceremonial ribbon-cuttings and speeches that highlighted how cultural barriers crumbled before the wills of the two women.  See images from the opening ceremony »

"Here in Africa, ladies don't do such big, big things," Kamara said after the ceremony. "I'm a young lady, and Brittany is also a young lady, but the Lord has used us in a great, great way."

After Merrill's first trip to Uganda, she knew her life's path had been irrevocably altered. She started using her free time to take classes in nonprofit management at SMU and read up on fundraising before securing a loan from her father to buy property for the orphanage.

She expanded upon her vision in her senior year, forgoing a social life so she could draw up facility plans and file paperwork for a nonprofit.

"My friends thought I had fallen off the face of the Earth," she said.

She also began fundraising in earnest, sharing her vision with family and friends at fundraising dinners in Atlanta and Dallas, Texas, and relying on word of mouth to expand her pool of donors. By the end of 2005, she had put her vision on paper with the creation of the Ugandan Children's Orphanage Fund.

After graduation, her dream of becoming a journalist was replaced by new goals. As her friends started marrying and taking jobs stateside, Merrill was visiting Uganda with greater frequency, bringing along more recent graduates from the United States each time.

"I'd never been involved in community service, never planned on being in Africa, this wasn't my plan for my life, so to watch my own heart change to learn to love people who are different from me in every possible way, that's something that has really changed me and the way I see the world, and my role in the world in the context of others," she said.

Merrill's dedication to Uganda grew as the Mutungo Orphanage Project made headway, first with the construction of a temporary orphanage, and then with the groundbreaking in 2007 of a facility consisting of family-style apartments for the children and caregivers.

Meanwhile, the Kamaras founded Ranch on Jesus Ministries, a nonprofit that runs the orphanage and a nearby school serving children from the orphanage and others from Mutungo.

As Merrill's relationship with the community grew, so did her ambitions for development projects in the region.

By the time she moved to Uganda in 2007, the Ugandan Children's Orphanage Fund had become the Ugandan American Partnership Organization, and the foundation had started two more projects with the help of Ugandan entrepreneurs and community leaders and more fundraising on the part of Merrill and board members in Dallas, Atlanta and Birmingham, Alabama.

"When our relationships are bad, the projects suffer. When our relationships are strong, our projects thrive, they don't feel forced," Merrill said. "To me, it's really amazing to see how some of the most beautiful and bountiful relationships come out of transcending race, culture and economic status."

So far, the Amaazi Project has successfully drilled six water wells in rural villages in Eastern and Northern Uganda, providing more than 3,000 villagers with clean water. The Akola Project has grown into a crafts cooperative in a village of the same name. The cooperative provides more than 100 widows with an additional source of income through making jewelry.

Merrill credits her youthful inexperience with helping the organization succeed.

"I think that because we were so young, we started with a blank slate and we didn't think we knew the answers. We learned to listen, we came in with open ears and an open heart and listened to the people in the community about their ideas for development," Merrill said.

"Because of that, we've been successful with developing projects and forming strong relationships with people we work with."

@highlight

Orphanage starts with 23 children in Sarah Kamara's ramshackle home

@highlight

American college student Brittany Merrill raises funds to build bigger orphan home

@highlight

Vision for orphan home grows out of meeting between the two women in 2004

@highlight

Ranch on Jesus Orphanage will house 180 orphans in Mutungo at capacity