Washington (CNN) -- Republicans took voters' distress over the stubborn jobless rate and stalled economy and turned it into a sweeping takeover of the U.S. House of Representatives in Tuesday's midterm elections, while Democrats were able to hang onto their majority in the Senate, though in smaller numbers.

With results still coming in, the extent of the Republican takeover of the 435-member House was still to be determined. But CNN projected that Republicans would win at least 60 more House seats than they currently hold to wipe out the Democratic majority of the past four years.

President Barack Obama called House Minority Leader John Boehner of Ohio to congratulate him. They had a brief but pleasant conversation, according to Boehner's aides. The two discussed working together to focus on the top priorities of the American people, which Boehner has identified as creating jobs and cutting spending. Boehner thanked the president for the call.

Republican candidates also were running strong in governors' races, while Democrats were guaranteed of holding at least 50 of the 100 Senate seats with a handful of close races still outstanding, according to the projections based on CNN's analysis of exit poll data.

Senate Majority Leader Harry Reid, D-Nevada, retained his Senate seat by defeating Republican Sharron Angle, a Tea Party favorite.

An energized conservative electorate, fueled by the anti-establishment Tea Party movement that emerged in 2009, helped Republicans to what could be their biggest gain in congressional elections in decades.

"It's clear tonight who the real winners are, and it's the American people," said Boehner, who is expected to become House Speaker in January when the new GOP majority takes over.

"With their voices, the American people are demanding a new way forward in Washington," Boehner said, calling for conservative policies favored by the Tea Party such as cutting spending and reducing the size of government.

Tea Party-backed Republicans Rand Paul in Kentucky and Marco Rubio in Florida won their Senate races, while another GOP candidate, John Boozman, will defeat incumbent Democrat Blanche Lincoln in Arkansas, according to the projections.

In Indiana, conservative Republican Dan Coats was the projected winner to take over the Senate seat held by retiring Democrat Evan Bayh, while the GOP's Ron Johnson toppled Democratic incumbent Sen. Russ Feingold in Wisconsin. The projected victories by Coats, Boozman, Johnson and John Hoeven in North Dakota gave Republicans four pick-ups in the Senate.

However, Democrat Chris Coons was the projected winner over Republican Christine O'Donnell, another Tea Party-supported candidate, in Delaware's Senate race for the seat formerly held for decades by Vice President Joe Biden. In Connecticut, Democratic Attorney General Richard Blumenthal will defeat Republican Linda McMahon, the former professional wrestling executive, for the Senate seat held by retiring Democrat Chris Dodd.

Another big Democratic victory came in West Virginia, where Gov. Joe Manchin was projected to win the Senate seat formerly held by the late Democratic Sen. Robert Byrd, who died earlier this year.

The projected victories by Coons, Manchin and Blumenthal were vital for the Democrats' chances to retain their majority in the Senate.

But Obama's former Senate seat in Illinois went to Republican Mark Kirk, who defeated Democrat Alexi Giannoulias.

Whatever the final make-up of the Senate, it will include no African-American members. The only current African-American senator, Roland Burris of Illinois, is retiring, and none of the three African-American candidates won on Tuesday.

Both Paul, the son of Rep. Ron Paul of Texas, and O'Donnell rode Tea Party support to defeat mainstream Republican candidates in their GOP primaries.

Paul's projected victory to claim the seat held by retiring Republican Sen. Jim Bunning showed the influence of the movement that emerged in 2009 in opposition to expanded government and the growing federal deficit.

At the same time, the loss by O'Donnell could badly hurt Republican chances to win majority control of the Senate. Many Republicans believed the veteran congressman whom O'Donnell beat in the primary, former Gov. Mike Castle, would have defeated Coons.

Another Tea Party backed candidate, Republican Carl Paladino, will be handily defeated by Democrat Andrew Cuomo in the New York governor's race, the projections show.

CNN projects Democrat Jerry Brown will defeat Republican Meg Whitman in California for the governorship now held by Republican Arnold Schwarzenegger, who is stepping down under term limits.

Arizona Gov. Jan Brewer, who gained national attention for her support of Arizona's controversial new immigration law, defeated Democrat Terry Goddard to retain office.

In other gubernatorial contests, Republicans Bill Haslam in Tennessee, Sam Brownback in Kansas, Rick Perry in Texas, Nikki Haley in South Carolina, Susana Martinez in New Mexico, Mary Fallin in Oklahoma, Tom Corbett in Pennsylvania, Matt Mead in Wyoming and Rick Snyder in Michigan will be victorious, according to the projections.

Democratic winners for governor included incumbents Martin O'Malley in Maryland and Deval Patrick in Massachusetts, the projections showed.

Republicans needed a net gain of only three governorships Tuesday for a majority nationally. Often overshadowed during midterm campaigns, governorships can impact national politics by their influence in the redistricting of state electorates.

Exit poll data analyzed by CNN showed the economy was the dominant issue on the minds of voters and indicated that key constituencies shifted from supporting Democrats in 2008 to voting for Republicans this time.

For example, senior citizens who comprised 24 percent of the total electorate supported Republicans much more strongly on Tuesday than they did two years ago, the exit polling showed. According to the data, 39 percent of senior citizens voted for Democrats, compared with 49 percent in 2008, while 58 percent supported Republicans, compared with 49 percent two years ago.

One reason is likely opposition to the health care reform bill pushed through Congress over Republican opposition by President Barack Obama and Democratic leaders. While Obama pledged the reforms would improve Medicare, Republican opponents warned of service cuts and higher costs.

The long and bitter campaign season drew more than $3.5 billion in spending, making it the most expensive nonpresidential vote ever, according to the nonpartisan Center for Responsive Politics, a watchdog group.

The rise of the Tea Party movement added a new element to the election cycle, roiling Republican races by boosting little-known and inexperienced candidates to victory over mainstream figures in GOP primaries across the country.

No matter how many of the so-called Tea Party candidates win against Democratic opponents Tuesday, the influence of the movement has shifted the Republican agenda to the right.

"They tell me they want people who can work together in Washington," DeMint, one of the leading backers of Tea Party candidates, said in his victory speech. "I tell you this: I'm ready. I'm ready. Anyone whose guide is the constitution and whose goal is limited government, I'm ready to work with them today. But I'm not going to compromise with anyone who doesn't believe in that."

Exit polling showed voter dissatisfaction with both parties, as each received a 53 percent unfavorable rating. The economy was rated the most important issue by 62 percent of voters, far eclipsing health care reform (19 percent), immigration (8 percent) and the war in Afghanistan (7 percent), according to the exit polling.

Most voters, 88 percent, rated economic conditions as not good or poor, and 86 percent said they were very worried or somewhat worried about the economy, the exit polling showed.

Voters across the country offered a variety of reasons for their choices Tuesday.

In Wolfeboro, New Hampshire, restaurant manager and internet entrepreneur Stephen Smith, 40, went to the polls hoping "that the entrenched incumbents get booted out of office," he said.

Melissa Bacon, 24, of Sacramento, California, cast her ballot partly for the thrill of the experience, she said.

"You don't get to vote every day. It's sort of its own holiday. You research the issues, vote and then wait to see if your position was the majority. It's as exciting to me as the World Series last night," she said on the heels of the San Francisco Giants' victory.

Nadya Alvarez of Parrish, Florida, went to the polls with her son to teach him about the importance of voting.

"My youngest is almost 2 years old, and I showed him the ballot, and he wanted to help fill in the circles," said Parrish, 28. "It is good to teach them from an early age to be involved in the welfare of our country and that we all have rights and duties to preserve."

Unemployment, at a rate of 9.6 percent amid a slow recovery from economic recession, has been the dominant issue, with Republicans accusing Obama and the Democrats of pushing through expensive policies that have expanded government without solving the problem.

Obama has led Democrats in defending his record, saying that steps such as the economic stimulus bill and auto industry bailout were necessary to prevent a depression, while health care reform and Wall Street reform will lay the foundation for sustainable future growth.

Observers warned that the expected Republican gains offer little chance of compromise or bipartisan approaches on major issues.

Boehner already has signaled little appetite to negotiate with the White House or congressional Democrats, saying last week that "this is not a time for compromise."

In the Senate, legislative gridlock is likely as Republicans strengthen their current minority of 41 seats. Obama and Democrats accuse Senate Republicans of using obstruction tactics as a political tool, showing the distrust and animosity that already exists.

Democrats are also wary of a recent comment by Senate Republican Leader Mitch McConnell, who told the National Journal, "The single most important thing we want to achieve is for President Obama to be a one-term president."

The first test of a new relationship will come in mid-November, when Congress convenes a post-election lame-duck session to try to clear unfinished legislation before the newly elected Congress gathers in January. Among other issues, lawmakers must decide whether and how to extend Bush-era tax cuts.

CNN's Tom Cohen, Michael Pearson, Dana Bash, Ted Barrett, Deirdre Walsh, Paul Steinhauser, Rebecca Sinderbrand and Jessica Yellin contributed to this report.

@highlight

An energized conservative electorate helps Republicans to historic gain in midterms

@highlight

Republicans nab at least 60 more House seats, based on CNN analysis of exit poll data

@highlight

Senate Majority Leader Harry Reid defeats Republican Sharron Angle in Nevada

@highlight

President Obama calls House Minority Leader John Boehner to congratulate him