U.S. and allied airstrikes in Iraq and Syria are changing the battlefield below. The Pentagon sees progress, even if it's a slog. But there may be unintended consequences of the air campaign -- in a way that will give the West yet another headache.

The two most powerful Islamist groups in Syria -- the Islamic State in Iraq and Syria (ISIS) and al Qaeda affiliate Jabhat al-Nusra -- have spent much of the last year killing each other. But in an interview with CNN, a senior al-Nusra commander says the two groups now have a common enemy: the "crusaders' coalition."

Abu Al-Muthana al-Ansari, an al-Nusra commander in Aleppo, said in a Skype interview: "We can't fight on the crusaders' side against a Muslim. Allah said in the Koran that 'those who support them become one of them.'"

Two groups, whose bitter split was a windfall for other rebel groups and for the West, may be making up.

Al-Nusra leader Abu Muhammad al-Julani -- in a rare public declaration -- has described the airstrikes as an assault on Islam, and warned the Western public: "This is what will take the battle to the heart of your land, for the Muslims will not stand as spectators watching their sons bombed and killed in their lands, while you stay safe in your lands."

Were ISIS and al-Nusra to call a truce or even unite under one banner in the face of U.S. bombardment, the balance of power among rebel groups in Syria would change radically. A militant Islamist coalition would likely overwhelm more moderate rebel groups -- and pose a greater threat to the regime of Syrian President Bashar al-Assad.

Against a background of mistrust and brutality, a formal ISIS-al-Nusra alliance does not seem on the table -- but if al-Ansari is correct, more "local understandings" against Syrian regime forces are likely.

Asked about a recent statement by ISIS that it would soon extend its presence in southern Syria (the northern provinces of Raqqa and Deir ez-Zor are its strongholds), al-Ansari welcomed the declaration.

"We support any group that raises the flag of Allah and his Prophet and fights the infidel Alawites, and there is coordination in Al-Qalamoun [an area on the Syria-Lebanon border]," he said. Qalamoun has seen heavy clashes between Islamist rebel groups and Syrian regime militia, supported by the Lebanese Shiite militia Hezbollah. Reports from the area Sunday spoke of high casualties as al-Nusra and ISIS joined forces against Hezbollah.

"There is mutual understanding between us and the brothers in the Islamic State not to fight each other and fight the Infidel [al-Assad] regime," al-Ansari added.

ISIS appears to have reciprocated. It says it has released from jails in Raqqa many of the al-Nusra commanders and fighters it captured during fighting between the groups.

Anger over strikes on al-Nusra

U.S. officials said the targets in the first strikes on Syria last month included buildings west of Aleppo belonging to a group called Khorasan, an offshoot of al-Nusra focused on attacking the West. But at least one senior al-Nusra commander, Abu Yousuf al Turki, was reported killed in those strikes in the town of Kfar Deryan.

Documents later found in the rubble by Jenan Moussa, a respected reporter for Dubai-based network Al Aan, suggest that an elite group inside al-Nusra known as the Wolf Unit had been hit.  Moussa posted photographs of documents with the names of 13 foreign fighters who belonged to the Wolf Unit, including al Turki.

CNN cannot verify the documents. But al-Ansari suggested there was no difference between "the brothers in Khorasan" and al-Nusra, saying "they are not a separate organization. Everyone in al-Nusra in Syria follows the al Qaeda organization."

Whatever debate there may be over the name of the unit targeted, and who was killed, the strikes appear to have hardened the resolve of al-Nusra.

In his audio message, released five days after the U.S. strikes, al-Julani said: "Do not let the West and America take advantage of the injustice of the Islamic State upon you ...Those who are unable to repulse the Islamic State or others, then let them do so without being a partner with the crusader alliance." In other words: However bad ISIS are, don't take sides with the West.

Al-Julani stopped short of holding out an olive branch to ISIS. The only way al-Nusra could formally join ISIS is by pledging allegiance to ISIS leader Abu Bakr al-Baghdadi, thereby declaring its own extinction. Al-Nusra leaders will also be aware that if Western strikes severely degrade ISIS, al-Nusra could fill the void.

The acid test will be what happens at local level. The Syrian Observatory of Human Rights reports that a few dozen al-Nusra fighters joined ISIS in the Aleppo area after U.S. airstrikes began. Further targeting of al-Nusra facilities by U.S. strikes might hasten that process.

Also critical in coming weeks will be the relationship between al-Nusra and more moderate rebel groups. A recent analysis from the International Crisis Group (ICG) concluded that al-Nusra "overcame initial unpopularity among mainstream activists and militants to earn broad acceptance as an authentic, Syrian component of the uprising."

In the words of one secular rebel, quoted by the ICG, "Everyone cooperates with al-Nusra to some extent; sometimes you need them to come in and blow something up."

But al-Julani warned al-Nusra will fight any group that takes American cash and weapons, condemning "the traitorous factions that were bought by the West with some money and ammunition so as to be a pawn in its hands ..." according to a translation by SITE Intelligence.

Al-Ansari, the al-Nusra commander in Aleppo, echoed that line, telling CNN: "Those who seek glory without Allah's support will be humiliated.  And if it was proved that the brothers in the Free Syrian Army and other Mujahedeen have taken weapons form America, then we cannot work with them. America is the one who fought Islam and Muslims everywhere."

The problem is these groups need al-Nusra's help against both ISIS and the regime -- but they also need Washington's money, training and weapons to survive. Some are angry that U.S. bombs have fallen on al-Nusra rather than the bases and troops of the al-Assad regime; it just makes their job more difficult.

The outcome may be some form of "don't ask, don't tell," whereby some rebel groups will get U.S. help but continue to co-operate and even share resources with al-Nusra. That is not to suggest mutual trust; groups like the Syrian Revolutionaries' Front are wary of al-Nusra's goal of an Islamic state in Syria and of its more aggressive approach to other factions in recent months. But they are incapable of taking on al-Nusra, ISIS and the al-Assad regime; it would be tactical suicide.

The anatomy of ISIS: How the 'Islamic State' is run

The view from head office

The evolving Syrian battle lines will be closely monitored by al-Zawahiri and al Qaeda's senior leadership in the Afghan-Pakistan border area. They will want al-Nusra to hold the line against ISIS, rather than ride to the rescue of a prodigal son. Al-Zawahiri was both humiliated and eclipsed by ISIS' defiance of al Qaeda, appalled by its nihilistic violence and outraged by al-Baghdadi's impudence in declaring himself 'Caliph.'

Just two days before al-Julani's message was released, an al Qaeda spokesman reiterated the party line. In a 15-minute taped speech, Abu Dujana al-Basha managed to avoid mentioning ISIS, but the message was unmistakable.

The ISIS caliphate, he said, was illegitimate. "We call to restore the rightly-guided caliphate on the prophetic method, and not on the method of deviation, lying, breaking promises, and abrogating allegiances," al-Basha declared, according to a translation by SITE.

And he condemned "people of extremism, ignorance, and excessiveness, who infidel-brand the worshipers, kill the monotheists, sow corruption in jihad" -- barely disguised code for ISIS.

The theme is repeated; there will be no accommodation with "those who helped ignite sedition." So it would be a severe blow to al Qaeda if al-Nusra were to fold itself into ISIS.

Counterterrorism analysts argue about whether the tail is wagging the dog: whether al-Zawahiri is trying breathlessly to keep up with myriad groups adopting the al Qaeda moniker, or actually shaping their activities.

FBI Director James Comey said recently: "There is not a highly capable, functioning AQSL [al Qaeda Senior Leadership]" in the Afghanistan-Pakistan area.  Khorasan -- in his estimation -- was another example of the affiliates overshadowing the leadership thanks to "refugees from Afghanistan and Pakistan."

The worst outcome for al-Zawahiri and al Qaeda's senior leadership would be for ISIS to survive and defy an extensive campaign to destroy it, and instead to hold or even take more territory. Its intent is to do just that, believing attack is the best form of defense. Within the past two weeks, it has captured scores of Kurdish villages in northeastern Syria, laid siege to the town of Kobani, stepped up the pressure in the Aleppo countryside and evicted the Iraqi army from several bases in Anbar province.

ISIS' ability to withstand U.S. and allied strikes and to hold its ground will be decisive in shaping the attitudes of other rebel groups -- including al-Nusra -- as well as al Qaeda central and the al-Assad regime.

@highlight

The two most powerful Islamist groups in Syria have spent months killing each other

@highlight

Now, U.S. and allied airstrikes could have an unintended consequence

@highlight

ISIS and al Qaeda affiliate al-Nusra could find a common enemy: the U.S.-led allied effort

@highlight

"We can't fight on the crusaders' side against a Muslim." says an al-Nura commander