(CNN) -- Russia and China have been downgraded to bottom-tier nations for their lack of efforts to fight human trafficking, a U.S. government report says.

In the State Department's annual Trafficking in Persons Report, China and Russia were relegated to Tier 3, the lowest of four rankings, which names countries whose governments do not fully comply with minimum anti-trafficking standards and are not making significant efforts to do so.

The classification includes countries like Iran, North Korea and Zimbabwe, and Tier 3 countries are open to sanctions from the U.S. government.

In 2008, the U.S. Congress put a limit on the number of years a country could remain ranked as Tier 2 Watch without concrete signs of action. After that limit is reached, there is an automatic downgrade.

China was ranked as Tier 2 Watch for eight years, and Russia was on the list for nine.

Tier 2 Watch is the third-ranked grouping, which identifies governments that do not fully comply with minimum standard and are making significant efforts to bring themselves into compliance, but face increasing trafficking problems.

Opinion: A decade of action needed to end human trafficking

Tier 1 countries fully comply with the minimum anti-trafficking standards, and Tier 2 countries do not fully comply but are making significant efforts to reach those standards.

The Trafficking in Persons Report ranks nations on efforts to fight trafficking, not just the number of trafficking issues a nations faces.

A Russian official criticized his country's downgrade, saying the rankings depend on "political sympathies or antipathies of the U.S. State Department" and alleging that the authors didn't make a deep, objective review of the reasons for a rise in human trafficking.

Konstantin Dolgov, a human rights envoy with Russia's Foreign Ministry, said the United States had previously issued an "impossible" list of legislative and other changes that the U.S. wanted Russia to make.

"Russian authorities will never be guided by the instructions developed in another country, all the more to meet the conditions that were set almost in the form of an ultimatum," Dolgov said.

China has not yet offered an official response to the downgrading.

Justin Dillon, CEO of Made in a Free World, said: "Speaking truthfully about the modern-day slavery situation, in countries that have diplomatic and economic importance to us in other areas, proves that we can commit on things that we all agree on. Living up to our laws and shared values is a universal responsibility."

China was named as a source, transit point and destination for trafficked people from all over the world, while its own citizens also risk being trapped in forced labor abroad.

The report says state-sponsored forced labor also takes place in re-education camps.

Criminal gangs ship Chinese women and girls abroad, the report says. It also says Chinese women and girls can be trafficked domestically for sex; and others are imported into the country from neighboring countries.

It adds that "despite modest signs of interest in anti-trafficking reforms, the Chinese government did not demonstrate significant efforts to comprehensively prohibit and punish all forms of trafficking and to prosecute traffickers.

"The government continued to perpetuate human trafficking in at least 320 state-run institutions, while helping victims of human trafficking in only seven. The government also did not report providing comprehensive victim protection services to domestic or foreign, male or female victims of trafficking."

It recommends that China improve its anti-trafficking laws and its record for prosecuting traffickers, including government officials who allegedly help traffickers. The report also says China's efforts to help the victims was inadequate, with only seven centers for trafficking victims.

Russia was also identified by the Trafficking in Persons Report as a source, transit point and destination country for trafficked people.

But the report says Russia's biggest problem is labor trafficking, with an estimated 1 million people working in exploitative conditions. It adds that prosecutions are low, compared with estimates of the problem.

Russia's efforts amounted to publishing a brochure and establishing a committee that has not yet met, the report says. It also criticizes Russia's efforts to prevent trafficking and prosecute traffickers.

It recommends that Russia develop national procedures for law enforcement and other officials so they can identify and act on trafficking suspicions.

European police arrest 103 in suspected human trafficking ring

CNN's Alla Eschenko contributed to this report.

@highlight

NEW: Russian official: Rankings depend on "political sympathies ... of the U.S. State Department"

@highlight

Russia, China downgraded in U.S. State Departments anti-trafficking report

@highlight

The report says China needs to improve anti-trafficking laws

@highlight

It says Russia should improve training for police and others so they can identify trafficking