(CNN) -- It began with the self-immolation of an unemployed college graduate in Tunisia. Now, newfound people power in the Middle East and North Africa is spreading fast.

Bolstered by the toppling of Hosni Mubarak in Egypt, popular uprising has now taken root in a part of the world where it has not been a part of the trajectory of change. On Tuesday, the birthday of the Prophet Mohammed, parts of the Muslim world were on fire, the people clamoring for change.

Fierce demonstrations erupted in Bahrain, where people have organized themselves through social media websites such as Facebook and Twitter, the same forums used by their Egyptian and Tunisian counterparts.

Human rights activists said Bahrainis initially demanded reform, but some are now calling for the removal of the royal family.

In Yemen, pro- and anti-government protesters clashed for a fifth day in the capital city of Sanaa.

"This is against the Yemeni constitution, and people have the right to peacefully protest," said human rights activist Abdel Rahman Barman.

And, as Cairo's Tahrir Square slowly emptied, Tehran's Azadi Square swelled with people. Both names mean freedom and despite a security crackdown, tens of thousands of demonstrators marched in the Iranian capital Monday.

Algeria, Jordan and Syria have also been a part of the domino effect.

"We really are facing a tsunami in Arab politics," said Bruce Riedel, senior fellow for foreign policy at Brookings' Saban Center for Middle East Policy.

"I don't think there is any country -- except the very small and very rich and oil-rich countries like Qatar and Abu Dhabi -- that is immune," Riedel said. "All of these countries have the potential for unrest in a way they've never had it before."

If only Mohammed Bouazizi, the 26-year-old unemployed man who was beaten by police and then set himself on fire, had lived to see what he began. But Bouazizi died in January, a catalyst for the events that unfolded rapidly after his death.

Tunisian dictator Zine El Abedine Ben Ali fell on January 14 and fled the country. Just days later, Egyptians began massing at Tahrir Square. After 18 short days, Mubarak was gone, as abruptly as he had risen to power three decades ago.

"The yearning for change has been there for at least a decade, if not more, but it took the events in Tunisia and now Egypt to break the barrier of fear that people had," Riedel said. "Fear that the army would shoot them, fear that the army would crack down on them. What it did was it broke that barrier of fear."

The region -- where people are divided between fabulously wealthy "haves" and desperately poor "have-nots," a region split between those who can and those who cannot participate in government -- sits like a tinderbox, ready to explode.

"There's a common thread there," said David Pollock, senior fellow at the Washington Institute for Near East Policy.

"Yes, they do want freedom in the sense of not national independence -- they have that -- but freedom from oppressive internal security, authoritarian political controls and the freedom to participate in a more democratic government," he said.

There are also economic concerns.

"People are very upset, and in many cases I think with good reason, about poverty and unemployment," Pollock said.

Aaron Miller, a Middle East expert at the Woodrow Wilson International Center for Scholars, said the divide between the "cans" and the "cannots" is, in some ways, more dangerous than the gap between rich and poor.

These are no peasant revolts, Miller said. The people on the streets include huge numbers of under- and unemployed people, "sometimes affluent individuals who feel humiliated and powerless."

"That's one of the driving psychological factors that powered Egypt's uprising," Miller said.

There is also a vast generational gap that some governments may not be able to bridge, said Ken Gude, managing director for national security at the Center for American Progress.

"Most of these entrenched regimes throughout the region are governed by an old elite establishment that has grown more and more out of touch with the younger generations of its population," Gude said.

"Consequently, we're seeing -- perhaps sparked by what transpired in Egypt and Tunisia -- a stronger push among those younger generations for greater influence and a larger political voice in their country."

The potential for uprisings exists in those places where all the gaps are widest, though it's impossible to predict whether other dictators or entrenched regimes will fall as they did in Tunisia and Egypt.

Beyond the overarching commonalities, each nation faces specific challenges.

Yemen must deal with regional and tribal rivalries. Bahrain faces simmering tension between Sunnis, who form the ruling class, and Shiites, who form a slight majority.

Pollock said Saudi Arabia, too, could possibly see unrest, but probably on a small scale. And in Syria, "people are just too scared, too intimidated" by Bashar al-Assad's iron hand.

Algeria, he said, also bears watching because it shares many of Egypt's underlying issues of high numbers of young people, unemployment, corruption and a leadership that has been in power for a while.

Other countries, like Morocco, have been "surprisingly quiet," Pollock said.

In Morocco, the king has only been around for a decade, and Pollock said perhaps people are still willing to give him a chance. There have also been some "safety valves," such as a parliament.

The United Arab Emirates, Pollock said, is a wealthy nation that can afford to take care of its citizens, if necessary, in pretty lavish style. And about 75% of the people are guest workers from other nations "who don't have any rights at all," Pollock said.

And then there is Iran. It's no stranger to mass demonstrations -- the Islamic regime itself came to power through revolution.

But the regime has already shown the world that it will not hesitate to suppress street demonstrations and the opposition there has not yet been able to coalesce around common goals, said Karim Sajadpour, a fellow at the Carnegie Endowment for International Peace.

The other problem in Iran, Sajadpour said, is that the international media have been banned from covering the demonstrations. The world cannot see what is happening in Azadi Square as they did in Tahrir Square.

But Pollock predicted protests will continue in Iran.

"We saw yesterday that despite the most severe kind of internal repression, you had thousands of demonstrators out on the streets, and that's the tip of the iceberg," Pollock said. "I think this probably foreshadows a long period of cat-and-mouse games continuing between the opposition and the regime at kind of a simmer."

Pollock did not see another government's ouster on the horizon.

"But it's important to note that after Tunisia it took a while, it took a few weeks for the protests to really start gathering steam in Egypt," he said. "Right now, we're just a few days after Mubarak was finally tossed out in Egypt. It's too soon to be very confident about where this might go next."

It's hard to say what will happen next, but almost every observer agrees that this part of the world will never be the same.

Miller, of the Woodrow Wilson center, quoted Dorothy in the "Wizard of Oz" to put events in perspective. "We're not in Kansas anymore," he said. The United States and its allies, he added, need to understand that.

"This is a transformative event in Middle East politics," Miller said. Enough, perhaps, to change dark perceptions of a region mired in extremism and bloodshed.

Two powerful messages are echoing through the region, he said.

To al Qaeda, the protesters have said: Change does not have to occur through an adherence to radical ideology or violence.

And to autocrats and dictators: "You better start looking in the mirror and making changes or you're going to be looking in the rear view mirror," Miller said. Those "footsteps" you hear are "coming for you."

CNN's Ashley Hayes, Sarah Aarthun and Alan Silverleib contributed to this report.

@highlight

Protests erupted in Iran, Yemen and Bahrain this week

@highlight

The ousters of dictators in Tunisia and Egypt have inspired people, say analysts

@highlight

It's hard to predict if other governments will fall

@highlight

But the region will never be the same, analysts agree