KABUL, Afghanistan (CNN) -- The war in Afghanistan may no longer be forgotten but the true victims always are.

Having been denied healthcare and education under the Taliban, Afghan women are now training as midwives

Women and children in the landlocked Asian country have continuously paid the ultimate price throughout the decades of conflict and war.

It is their lives that are considered not precious enough to save.

A woman here dies every 29 minutes due to childbirth complications, according to the United Nations Development Fund for Women (UNIFEM) -- one of the highest maternal mortality rates in the world.

One in four children die before they reach the age of five because of the lack of health care and medical facilities in their cities and villages.

But ignorance is also deadly.

Misguided cultural pride prevents men from allowing their women to see a doctor, merely because the doctor could be male.

And in many cases, it's not just women who die from childbirth-related issues. It is young girls forced into marriage before they even reach puberty. Their still-forming bodies cannot handle the complications of childbirth.

But there are women in Afghanistan stepping up within the crowds of the forgotten and pushing past the barriers. They are training as midwives across the country to help bring change and save lives.

"A woman can help a woman more," midwifery student Fariha Ibrahimi told CNN.

"We have to introduce them with what to do, what foods to eat, how to take care of themselves.

"[We] tell their husbands how to treat them. There are some husbands who beat their wives to the point where they can no longer even get pregnant."

At the Ibni Sina Balkhi Midwifery Training Center in Kabul, dozens of future midwives study and practise in the hope of bringing a brighter future to their countrywomen.

"It's very heartbreaking," Ibrahimi said of the situation women face. "Afghanistan has gone through so much war and most girls were not allowed to get an education, so I want to study and bring forth something new."

Sympathy for Afghan women is the strongest motivating force among students in this field: Many know personally what is like to live in a society where pregnant women are ignored and forgotten.

"We live in an area where we are far from any clinic or hospital and there are a lot of difficulties there for pregnant women," Nourzia, a student and mother, told CNN.

"It's very difficult for them to reach a hospital. This is why I was so keen in learning this profession and helping these women; so in the future they are in less danger."

All the women here are training with the permission and support of their families.

They are leading the way to a brighter tomorrow for Afghan women -- one that may one day catch up with the rest of the world.

"The world is moving forward and he didn't want me to sit around jobless," said future midwife, Maurina whose husband is supportive of her new career.

"He wanted me to push ahead in this field, especially a field in which our people need help in."

There are still many obstacles left and these women are still in the minority.

According to the World Health Organization there are only about 2,000 trained midwives servicing Afghanistan's population of just under 33 million.

But that is a giant leap from just eight years ago when most women were denied an education, medical care and the basic necessities of survival under the Taliban regime.

It will take many years to change mindsets instilled by decades of brutality. But these women prove that maybe, just maybe, the next generation can fix the mistakes of the last.

@highlight

Afghanistan has one of the highest rates of maternal and infant mortality in the world

@highlight

A woman dies in childbirth every 29 minutes, one in four children die before age 5

@highlight

In Kabul, dozens of women are now studying to become midwives to help save lives