Hundreds of people are dead as the worst Ebola virus outbreak in history sweeps through West Africa.

It began as a handful of cases in Guinea in March but quickly spread to neighboring Sierra Leone and Liberia.

Here are nine things to know about what the World Health Organization calls "one of the world's most virulent diseases."

Why does Ebola generate such fear?

Medecins Sans Frontieres (MSF) describes Ebola as "one of the world's most deadly diseases."

"It is a highly infectious virus that can kill up to 90% of the people who catch it, causing terror among infected communities," it says.

There is also no vaccination against it.

Of Ebola's five subtypes, the Zaire strain -- the first to be identified -- is considered the most deadly.

The WHO said preliminary tests on the Ebola virus in Guinea in March suggested that the outbreak there was this strain, though that has not been confirmed.

What is Ebola?

The Ebola virus causes viral hemorrhagic fever, which according to the U.S. Centers for Disease Control and Prevention (CDC), refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

The virus is named after the Ebola River in the Democratic Republic of Congo (formerly Zaire), where one of the first outbreaks occurred in 1976. The same year there was another outbreak in Sudan.

The WHO says there are five different strains of the virus -- named after the areas they originated in. Three of these have been associated with large outbreaks of hemorrhagic fever in Africa.

These are the Bundibugyo -- an area of Uganda where the virus was discovered in 2007 -- Sudan and Zaire sub-types.

There has been a solitary case of Ivory Coast Ebola. This subtype was discovered when a researcher studying wild chimpanzees became ill in 1994 after an autopsy on one of the animals. The researcher recovered.

Finally, Reston Ebola is named after Reston in the U.S. state of Virginia, where this fifth strain of the Ebola virus was identified in monkeys imported from the Philippines. The CDC says while humans have been infected with Ebola Reston, there have been no cases of human illness or death from this sub-type.

What are Ebola's symptoms?

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. These symptoms can appear two to 21 days after infection.

The WHO says these nonspecific early symptoms can be mistaken for signs of diseases such as malaria, typhoid fever, meningitis or even the plague.

MSF says some patients may also develop a rash, red eyes, hiccups, chest pains and difficulty breathing and swallowing.

The early symptoms progress to vomiting, diarrhea, impaired kidney and liver function and sometimes internal and external bleeding.

Ebola can only be definitively confirmed by five different laboratory tests.

How is it treated?

There are no specific treatments for Ebola. MSF says patients are isolated and then supported by health care workers.

"This consists of hydrating the patient, maintaining their oxygen status and blood pressure and treating them for any complicating infections," it says.

There have been cases of health care workers contracting the virus from patients, and the WHO has issued guidance for dealing with confirmed or suspected cases of the virus.

Caregivers are advised to wear impermeable gowns and gloves and to wear facial protection such as goggles or a medical mask to prevent splashes to the nose, mouth and eyes.

MSF says it contained a 2012 outbreak in Uganda by placing a control area around its treatment center. An outbreak is considered over once 42 days -- double the incubation period of the disease -- have passed without any new cases.

What drugs exist to combat the disease?

Two American missionary workers infected with Ebola were given an experimental drug called ZMapp, which seems to have saved their lives. The drug, developed by a San Diego firm, had never been tried before on humans, but it showed promise in small experiments on monkeys.

But rolling out an untested drug during a massive outbreak would also be very difficult, according to MSF. Experimental drugs are typically not mass-produced, and tracking the success of such a drug if used would require extra medical staff where resources are already scarce. ZMapp's maker says it has very few doses ready for patient use.

There are other experimental drugs. Tekmira, a Vancouver-based company that has a $140 million contract with the U.S. Department of Defense to develop an Ebola drug, began Phase 1 trials with its drug in January. But the FDA recently halted the trial, asking for more information.

At least one potential Ebola vaccine has been tested in healthy human volunteers, according to Thomas Geisbert, a leading researcher at the University of Texas Medical Branch. And last week, the NIH announced that a safety trial of another Ebola vaccine will start as early as September.

And in March, the U.S. National Institutes of Health awarded a five-year, $28 million grant to establish a collaboration between researchers from 15 institutions who were working to fight Ebola.

"A whole menu of antibodies have been identified as potentially therapeutic, and researchers are eager to figure out which combinations are most effective and why," a news release about the grant said.

How does Ebola virus spread?

The WHO says it is believed that fruit bats may be the natural host of the Ebola virus in Africa, passing on the virus to other animals.

Humans contract Ebola through contact with the bodily fluids of infected animals or the bodily fluids of infected humans.

MSF says that while the virus is believed to be able to survive for some days in liquid outside an infected organism, chlorine disinfection, heat, direct sunlight, soaps and detergents can kill it.

MSF epidemiologist Kamiliny Kalahne said outbreaks usually spread in areas where hospitals have poor infection control and limited access to resources such as running water.

"People who become sick with it almost always know how they got sick: because they looked after someone in their family who was very sick -- who had diarrhea, vomiting and bleeding -- or because they were health staff who had a lot of contact with a sick patient," she said.

Can plane passengers become infected?

While the CDC acknowledges it's possible a person infected with Ebola in West Africa could get on a plane and arrive in another country, the chances of the virus spreading during the journey are low.

"It's very unlikely that they would be able to spread the disease to fellow passengers," said Stephen Monroe, deputy director of CDC's National Center for Emerging Zoonotic and Infectious Diseases.

"The Ebola virus spreads through direct contact with the blood, secretions, or other body fluids of ill people, and indirect contact -- for example with needles and other things that may be contaminated with these fluids."

He added that most people who have become infected with Ebola lived with or cared for an ill patient.

"This is not an airborne transmission," said Dr. Marty Cetron, director of CDC's Division of Global Migration and Quarantine. "There needs to be direct contact frequently with body fluids or blood."

Travelers should take precautions by avoiding areas experiencing outbreaks and avoid contact with Ebola patients.

"It is highly unlikely that someone suffering such symptoms would feel well enough to travel," IATA said in a statement.

"In the rare event that a person infected with the Ebola virus was unknowingly transported by air, WHO advises that the risks to other passengers are low. Nonetheless, WHO does advise public health authorities to carry out contact tracing in such instances."

This means determining who had contact with the affected person.

What should flight crew do if Ebola infection is suspected?

The CDC has issued guidance for airline crews on Ebola virus infections.

"As with many other global infectious disease outbreaks, airline carriers, crew members, airports can be very important partners in that front line," said Cetron. "Being educated, knowing the symptoms, recognizing what to do, having a response protocol, knowing who to call, those are really, really important parts of the global containment strategy to deal with threats like this."

The CDC advises that when flight crew members encounter a passenger with symptoms that they suspect could be Ebola, such as fever and bleeding, that they keep the sick person away from other passengers. They've been instructed to wear disposable gloves and to provide the sickened person with a surgical mask to prevent fluids from spreading through talking, sneezing or coughing.

The airline cleaning crew are also instructed to wear disposable gloves, wipe down surfaces including armrests, seat backs, trays and light switches. The CDC says that packages and cargo should not pose a risk, unless the items have been soiled with blood or bodily fluids.

When someone becomes ill on a flight, the captain is required by aviation regulations to report the suspected case to air traffic control, according to IATA.

What is the risk of catching Ebola on a plane?

How many cases have there been?

The CDC estimates there have been more than 3,000 cases of Ebola and more than 2,000 deaths since 1976.

The last recorded outbreaks before the current one in Guinea were in 2012 -- in Uganda and Democratic Republic of Congo.

The Uganda outbreak involved a total of 24 probable and confirmed cases, and 17 deaths, according to the WHO, which declared it had ended in October 2012.

MSF said the Uganda outbreak had been the Sudan strain, while the virus found in DRC was the Bundibugyo sub-type.

Before 2014, the most deadly outbreak was the 1976 outbreak in then Zaire, when 280 of 318 infected people died, according to the CDC. In 2000, there were 425 cases of Ebola Sudan in Uganda, which resulted in 224 fatalities.

@highlight

Ebola causes viral hemorrhagic fever and kills up to 90% of people who catch it

@highlight

It's named after the Ebola River in DRC, where one of first outbreaks occurred in 1976

@highlight

Symptoms can take between two and 21 days to appear after victim contracts virus

@highlight

Humans contract Ebola through contact with bodily fluids of infected animals or humans