(Mashable) -- Seven years ago, Cyber Monday was established as the online counterpart to Black Friday, a day when Internet retailers would band together to lure holiday shoppers to web storefronts through steep discounts, free shipping and other promotions.

So far, Cyber Monday has delivered on its mission, becoming the biggest single shopping day of the year for online retailers. And it keeps getting bigger: Sales on the day amounted to $1.25 billion in the U.S. in 2011, up 22% from 2010′s record highs, according to comScore. Sales on the second biggest shopping day of the year, Black Friday, tallied $816 million.

But a number of trends — online retailers' increasing participation in Black Friday offers and the rise of multi-channel shopping, among others — leave many asking: Is there still a need for Cyber Monday?

"It is losing some of its luster," Marshal Cohen, chief industry analyst at NPD Group, observed in a phone interview. In an effort to get a leg up on online retailers and each other, many brick-and-mortar retailers — including some of the biggest, such as Walmart — opened their stores as early as 8 p.m. the day before this past Black Friday, and advertised their deals online in the days and weeks leading up to the event.

"As a result, online retailers are moving their sales earlier too," Cohen explained. Many multi-channel and pure-play online retailers now run promotions on Thanksgiving and Black Friday, as well as Cyber Monday. Some have pushed the envelope even further: For the past few years, Amazon has opened its so-called "Black Friday" store of discounted products weeks before the actual event.

Why start earlier? In part because consumers are expected to start shopping earlier than ever before — though it's tough to say whether it's the consumers or the retailers — with their early promotions — who are driving it. In general, launching promotions at an earlier date means retailers don't have to discount as deeply or for as long later in the season, said Sucharita Mulpuru, an analyst at Forrester Research.

Cyber Monday starts early this year

Shifts in shopping patterns and consumer technology use are also driving the change. Shoppers are no longer buying offline on some days, and online on others: They're shopping on both simultaneously, often whipping out their smartphones or tablets in-store to run price comparisons. Just take a look at last week's figures: Online sales were up 17.4% on Thanksgiving Day and 20.7% on Black Friday, according to IBM. Mobile accounted for 16.3% of all online sales, up from a record-setting 9.8% in 2011.

Mobile has put online retailers and brick-and-mortar retailers into more direct competition with each other, opening a window for pure-play ecommerce players to compete on Black Friday and other big in-store shopping days like never before. As a result, online retailers can't afford to wait until Cyber Monday to make compelling offers; they need to make them available on Friday or before if they want to capture sales from smartphone-touting shoppers in stores.

"What that does is spread out the sales period, thereby diluting it," Cohen said. "Retailers now have to promote throughout the whole holiday season to stay competitive."

Cyber Monday was, as we mentioned, the biggest online-sales day in the U.S. last year, but growth is flattening. Whereas 2011 saw 22% growth since 2010, Cohen said retailers will be lucky to see more than 10% growth this year, while overall online spending during the holiday period will rise 16.8% (per eMarketer). A recent survey conducted by Google found that Cyber Monday ranks "fairly low" on shoppers' key days, with only 7% planning to purchase electronics on that day, and even less expecting to buy toys and apparel.

What's an online retailer to do? Mulpuru said the key to any successful promotional period is the quality of the promotion on offer. So long as the deals are compelling, online retailers can expect to see "strong double-digit growth" on Monday, outpacing the overall growth of the ecommerce industry this year, she said.

"If retailers are offering the exact same thing on Black Friday [and Cyber Monday], there's a problem. But I think retailers are smarter than that and I expect to see different offers," Mulpuru said. "Other days [of the holiday-shopping season] are compelling, but that in no way indicates Cyber Monday is becoming obsolete."

She also anticipates that the concept of Cyber Monday will evolve, and become more multi-channel: "We'll start to see Cyber Monday offers not just online, but also in stores."

For his part, Cohen believes Cyber Monday will be important for years to come, but will phase out eventually. "The pure players aren't going to abandon it; this was a gift given to them just a few years ago," he said. "But it will be redefined, repackaged."

In the future, he expects to see online retailers offer more limited-time flash sales to motivate consumers to turn to that channel throughout the holiday season.

Still, online stores will have a "tough time" competing on Black Fridays, Cohen added. "Online is convenient, yes, but it's still a solitary process. What online retailers need to do is turn it into a much more social event; it needs to engage families and friends in a much bigger, better way. That's where the stores still beat them."

Brand strategist explains the end of Cyber Monday

© 2013 MASHABLE.com. All rights reserved.

@highlight

Cyber Monday has been the biggest single shopping day of the year for online retailers

@highlight

But retailers are spreading their online sales throughout the Thanksgiving holiday

@highlight

As a result, Cyber Monday's growth is flattening

@highlight

Analyst: Cyber Monday will phase out eventually