(CNN) -- A California judge has dismissed former Panamanian dictator Manuel Noriega's lawsuit against the creators of the "Call of Duty" video game franchise.

"This court concludes that Noriega's right of publicity is outweighed by defendants' First Amendment right to free expression," Judge William H. Fahey of the Los Angeles Superior Court said in an order Monday.

Noriega -- who's serving a prison sentence in Panama after being convicted of drug trafficking, money laundering and killing political opponents -- had argued that the 2012 video game "Call of Duty: Black Ops II" damaged his reputation.

Creators of the video game called the lawsuit "frivolous" and "absurd." They filed a motion to dismiss it, arguing that Noriega's portrayal in the game is protected by the Constitution.

"This ruling is an important victory and we thank the court for protecting free speech," said former New York City Mayor Rudy Giuliani, attorney for video game creator Activision Blizzard Inc.

"This was an absurd lawsuit from the very beginning and we're gratified that in the end, a notorious criminal didn't win," Giuliani said in a statement Tuesday. "This is not just a win for the makers of 'Call of Duty,' but is a victory for works of art across the entertainment and publishing industries throughout the world."

Noriega, 80, filed the lawsuit in Los Angeles County Superior Court in July, arguing that his portrayal "as a kidnapper, murderer and enemy of the state" in the video game harmed his reputation. Since the company used his image and name, the lawsuit said Noriega was entitled to a share of the profits from the video game.

What now?

"At this time, we are still reviewing the court's order and conferring with our client to determine our next steps," attorney William T. Gibbs, who represents Noriega, said in an email Tuesday.

Manuel Noriega sues over 'Call of Duty' video game

In 2012, Activision Blizzard said "Call of Duty: Black Ops II" had netted more than $1 billion in sales worldwide in its first months on the market.

The video game includes historical footage and several real-life characters in Cold War scenarios, including former Marine Lt. Col. Oliver North.

But while North did his own voiceover for the game and acted as an adviser, Noriega said in the July lawsuit that he wasn't consulted -- or compensated -- for the use of his likeness.

"Call of Duty" video games take storylines from current headlines, and its characters are based on historical figures, from former Cuban leader Fidel Castro to David Petraeus, the retired general and former CIA director.

In a statement Tuesday, Activision Blizzard described the game as historical fiction and said Noriega's lawsuit could have had far-reaching consequences if it hadn't been thrown out.

"In the unlikely event the lawsuit had been permitted to proceed, Noriega's efforts could have provided numerous historical and political figures a veto right over their appearances in works of art, having a chilling effect on everything from movies like Forrest Gump and Zero Dark Thirty, to television programs including Saturday Night Live and Boardwalk Empire and even to popular books such as The Paris Wife," the statement said.

In court documents, Noriega said he learned about the video game from his grandchildren, who told him that his image and likeness were being used.

"Noriega fails to provide any evidence of harm to his reputation," Fahey said in his ruling. "Indeed, given the world-wide reporting of his actions in the 1980s and early 1990s, it is hard to imagine that any such evidence exists."

For almost two decades, Noriega was a major player in a country of critical regional importance to the United States because of its location on the Panama Canal, the key strategic and economic waterway between the Atlantic and Pacific oceans on the narrow isthmus linking the Americas.

Amid growing unrest in Panama, then-U.S. President George H.W. Bush ordered the invasion of the Central American nation in December 1989, saying Noriega's rule posed a threat to U.S. lives and property.

12 more real people who appeared in video games

Noriega fled his offices and tried to seek sanctuary in the Vatican Embassy in Panama City.

He surrendered in January 1990 and was escorted to the United States for civilian trial.

Noriega was indicted in the United States on charges of racketeering, laundering drug money and drug trafficking. He was accused of having links to Colombian drug lord Pablo Escobar's notorious Medellin cartel and, in the process, amassing a multimillion-dollar fortune.

He was convicted of drug trafficking and other crimes and served nearly two decades in prison.

In 2010, a French court sentenced Noriega to seven years in prison for laundering 2.3 million euros ($2.9 million) through banks there. He was ordered to pay the money back.

In Panama, where he was convicted of killing political opponents, he has been hospitalized several times since he returned in 2011 to serve out his prison sentence.

CNN's Leigh Remizowski, Stella Chan and Rafael Romo contributed to this report.

@highlight

NEW: Noriega's attorney says he's reviewing the court order, conferring over next steps

@highlight

A judge says the First Amendment protects the creators of "Call of Duty" games

@highlight

Ruling: "Noriega fails to provide any evidence of harm to his reputation"

@highlight

Manuel Noriega had argued he was entitled to part of the profits since his likeness was used