(CNN) -- Diplomats sought new ways to forge peace in Syria on Friday as the killings continued in the restive land.

Kofi Annan, the special envoy to Syria for the Arab League and the United Nations, urged countries to use their pull on the combatants to stop the fighting. He is also planning an international meeting to discuss next steps on Syria.

"It is time for countries of influence to raise the level of pressure on the parties on the ground and to persuade them that it is in their interest to stop the killing and start talking," Annan said in Geneva, Switzerland.

"I urge all parties to heed the call for a cessation of violence in all its forms, first and foremost for the sake of the Syrian people, the children and women in particular. I think they have suffered for far too long and continue to suffer. But if our efforts are to succeed, we shall need the united and sustained support of the international community. This is essential."

The diplomatic wrangling comes as violence continues to rage across the country.

Since the uprising began in March 2011, violence has killed more than 15,000 people in Syria, mostly civilians, according to the Syrian Observatory for Human Rights. The United Nations has said that at least 10,000 people have been killed in the conflict.

At least 128 people died Thursday in one of the deadliest days of the 15-month conflict, and another 87 deaths have been recorded Friday, the opposition Local Coordination Committees said. Thirteen people died in Homs, 11 in Aleppo and 10 in the Damascus suburbs.

The Local Coordination Committees said that more than 10 massacres have occurred in the past few days, including recent ones in Inkhel and Douma. News also emerged Friday of a recent mass killing and constant shelling in Daret Azza, in Aleppo province.

Syrian state-run TV says "armed terrorist gangs" kidnapped "innocent civilians" and "desecrated their bodies," an act it describes as a "barbaric massacre" in the area. It said that more than 25 people have been killed.

The opposition Syrian Observatory for Human Rights said 26 people shot and killed in the area were members of a pro-government militia called the Shabiha, who are themselves blamed for killings of civilians.

Syria consistently blames terrorists for the violence. Opposition groups say the violence began when a government crackdown on peaceful protesters generated a nationwide uprising.

CNN cannot confirm specific reports of violence in Syria because the government has restricted access to the country by international journalists.

Annan and Maj. Gen. Robert Mood, the head of the suspended U.N. observer mission in Syria, described a bleak scenario to reporters in Geneva, Switzerland.

Annan said that in the past few days, he has been in "intensive consultations with a number of ministers and officials in capitals around the world about the possibility of convening a meeting of ministers to discuss what further actions could be taken to implement the Security Council resolutions."

"We can not just step back and do nothing, and this is why I say, if we have alternatives, let's go with it," Annan said.

Annan favors the inclusion of Iran in such a meeting.

"The composition of the group will be such that I hope that apart from Security Council members, the permanent members of the Security Council, it will include governments and countries with influence on one or the other parties, coming together and deciding that they will cooperate and work together, realizing that it is only when the international community comes together and sustains its pressure and effort that we get results. Today, honestly speaking, that is not happening," he said.

Annan was asked what actions he would like to see taken at the upcoming conference.

"We either have to find ways of getting the plan implemented, if we think it is still worthwhile pursuing it, and if the plan is not worthwhile, what other options are we going to look at and begin to take a look at them," he said.

"There may be recommendations emanating from the group that the council would want to act on, but they as a group will not take that kind of decisions. I hope they will decide to use their collective influence on the parties to push them in the right direction as well as perhaps coming up with ideas that the council can work on."

Both men discussed the deteriorating humanitarian situation. Annan said that up to 1.5 million people are affected somehow by the warfare. He said that at least 92,000 people have fled to other countries in the region.

Mood said the "level of destruction" is massive in violence-stricken flashpoints, such as neighborhoods in Homs, Daraa and Hama.

"I am also particularly concerned about the continued military occupation of hospitals, health facilities and schools, also preventing access to medical attention for those in need. Which means the need for the humanitarian response plan to be effective and the scale of rebuilding and reconstruction that is before us once there is a cessation of violence is enormous," he said.

The International Committee of the Red Cross said one of its teams tried to enter neighborhoods in Homs to help people caught in the crossfire, but Mood said "civilians continue to be trapped in the line of fire."

"There is a need to call on all parties when they are pursuing their objectives by military means to distinguish very clearly between civilians and combatants. It is not always easy. And all parties must abide by the obligation to keep civilians out of harm's way. And obviously it is the government that has the primary responsibility to civilian populations to protect them from all forms of violence. The latest attempts by the (Syrian Arab Red Crescent) and the ICRC to have a breakthrough related to evacuating the civilians -- children, women, elderly -- out of Homs have regrettably not yet succeeded," Mood said.

Mood has been leading a mission to monitor what is a failed cease-fire and the government's adherence to a six-point peace plan that has not taken hold. But the mission had to be suspended because of rising violence. He said the observers are still in Syria and are conducting administrative activities.

The Local Coordination Committees said that more than 3,600 people have died since the Annan plan began this year.

"The observers in Syria, at the moment, they are mainly in their team sites and at headquarters," Mood said. "That does not mean that we are doing nothing. It means that, from their team sites, they have view of surrounding areas, the cities. We are also continuing the engagement by telephone with the different parties, and we also have some patrols going to local hospitals and assessing the situation. So the normal administrative activities are ongoing, but patrols and exploring new areas and going into new projects is not on the agenda while the activities are suspended. Obviously, given the fact that the mandate is for 90 days and that it doesn't expire until the 20th of July, my focus is to be able to continue to implement the mandated tasks as soon as the situation allows. And a less risky level of violence makes that possible."

Annan said the observers are "keen to resume their work."

"In the short time that they have been there, they have engaged not just with the parties but with communities at all levels of society in the cities and towns where they have been deployed," Annan said. "Their commitment to the Syrian people has not faltered. But the circumstances must allow them to do their work. And we all know that they are unarmed men and women who are doing courageous work."

Annan hasn't lost hope about the mission. He said he's seen other situations where plans are implemented and progress is reached after long delays.

"I have seen situations where plans have not been implemented for a while, and then suddenly there are shifts, shifts take place on the ground in strategic alliances, and you can see progress. And I hope we can see some of the positive shifts in positions of government, their willingness to pressure, or to take certain actions to give us movement," he said.

Annan was asked when he'll know the crisis will spiral out of control.

"If it does continue to escalate, there will come a moment when not only the U.N. but everybody will see very clearly that the situation is not sustainable, is not controllable and is beyond control of everyone. And we don't want to get there. his is why we are trying to press and push to see if we can get the parties to take steps to end the violence before we get to that stage. I don't think we are there yet, but we may not be far from there."

Meanwhile, Russia's foreign minister says Syrian leaders are ready to work with the rebels to synchronize a pullout of forces. Russia is a friend of Syria's, and world powers believe that it has tremendous pull with President Bashar al-Assad's regime.

"Among the most important positions in our vision for the forthcoming conference on Syria is that the government forces and armed forces of the opposition should make a synchronized withdrawal of forces from towns and centers of population under control of international observers. The Syrian government has told me today they are ready to do this," Foreign Minister Sergey Lavrov told Rossiya 24 TV.

"It's now important that the other side gets ready for the move and that the U.N. mission in Syria draws up the necessary (withdrawal) plans and pursue their implementation."

Russia has no plans to send naval forces to Syria with soldiers on board, Lavrov said Friday in response to recent media reports.

.

CNN's Saad Abedine, Hamdi Alkhshali and Joe Sterling contributed to this report.

@highlight

Annan and the head of the U.N. observer mission brief reporters Friday

@highlight

Thursday was one of the bloodiest days in the Syrian conflict

@highlight

Syria claims terrorists fired at Red Cross officials in Homs