(CNN)Haiti is a tough place, something that's especially so for its millions of poor, of course, but also for the country's middle and upper classes, and foreign visitors. But no matter their status, everyone in the greater Port-au-Prince area on January 12, 2010, was witness to unspeakable horror, when at least 200,000 died in a massive earthquake.

Tragically, much of the carnage resulted not from what was a large but still not catastrophic geologic event, but from widespread poverty and poor construction standards that turned entire blocks of buildings into death traps. And this week, as the country has been marking the anniversary of one of the most deadly disasters in human history, the grinding misery of the hemisphere's poorest country is once again being reflected upon.

There's still plenty to think about. For a start, Haiti still has the highest infant mortality and unemployment rates in the hemisphere, as well as the lowest life expectancy and daily income. Compounding this problem is the persistent "brain drain," which is seeing large numbers of the nation's young and brightest -- a would-be middle class -- leave the country.  Meanwhile, there is political gridlock, which is hampering the ongoing recovery, with the continuing stalemate prompting the December resignation of another prime minister.

Still, despite the challenges, there are some signs of hope.

For a start, the economy has been growing, helped by the current government's focus on the tourism and education sectors. And despite continuing problems with widespread hunger as earthquake-related nongovernmental organizations continue to exit, agricultural reforms are making a difference.

But perhaps one of the best reasons for optimism comes from the Haitian people themselves. Back in 1991, novelist Herbert Gold published a book about Haiti with the apt title Best Nightmare on Earth.  Yet while the people of this troubled country will readily acknowledge the nightmare, they also manage to find much joy in their lives, and visitors often comment on the preponderance of broad smiles that seem so contradictory to the local circumstances. Indeed, although poor, the nation has a beautiful landscape and long coastline, and is remarkably rich in traditions, culture, history and a mix of languages and connections to Africa, France, the United States and elsewhere.

History has shown repeatedly that people and nations can rise from disaster and experience unprecedented success. The Marshall Plan and the economic recovery of Europe after World War II come to mind, as does postwar Japan. More recently, there has been the dramatic physical recovery of so many of the areas pounded by the 2004 Indian Ocean tsunami.

So, how can we help the people of Haiti?

Of course, the support of the international community is essential, something that has been in evidence to an impressive degree in Haiti, even acknowledging that numerous commitments were not fulfilled.  But as the Ebola crisis in Africa has shown, throwing resources into a hotspot is far from sufficient -- those wishing to help must consider the resources and capacities of the country in need to assist with the planning, execution and monitoring of help.

Affected peoples are always going to be a critical piece of determining what will work, so health and development interventions and investments must consider and defer to them from the start. After all, even the best ideas and innovations, especially those prepared at a desk thousands of miles away, won't be effective without strong local guidance. Unfortunately, one of the critiques of Haiti's recovery has been that well-meaning foreigners flooded in and imposed their ideas, too often ignoring locals' wishes and ideas.

Still, two projects in post-earthquake Haiti demonstrate how local input can be instrumental in producing results.

For example, under the leadership of the Haitian government, a range of partners have assisted with the annual distribution of effective, mostly donated drugs to help prevent the spread of four parasites that can cause disfiguring, disabling and even deadly tropical diseases.  A critical aspect of the success of these efforts has been the World Health Organization's use of local community leaders to organize, promote and distribute the drugs in their communities.  Indeed, with some training, promotional materials and a deep knowledge of their communities, the leaders' success at engaging the participation of fellow villagers far surpassed expectations.

As a result, during one nationwide campaign since the earthquake, drugs were delivered to an unprecedented 86% of Haiti's 10 million people -- no other recorded intervention in Haiti appears to have encompassed so many residents.

Another project of note has been one working to fortify Haitian salt with iodine for the first time, a life-changing public health intervention long used throughout much of the rest of the world. Local marketing teams have managed to instill awareness among more than 80% of salt purchasers of the iodized product. This measure is undertaken particularly with fetuses, infants and prepubescent teenagers in mind, and helps in the development of brain tissue -- a health benefit that will have a long lasting, positive impact on the country's physical, educational and therefore economic health.

Five years after disaster struck, much remains to be done. But by working with the local community, a growing global economy and the steadfast spirit of the Haitian people offer hope that this island will one day offer a recovery success story that will be remembered in the history books.

@highlight

Thomas Streit: Locals key to Haiti earthquake recovery

@highlight

200,000 died in massive earthquake that struck 5 years ago