Kiev, Ukraine (CNN) -- Sporadic heavy artillery barrages and machine gun fire could be heard early Sunday on the outskirts of the southeastern Ukrainian city of Mariupol, raising questions about the viability of a ceasefire between the Ukrainian government and pro-Russian separatists.

While the source of the weapons fire was not immediately clear, it came as the ceasefire appeared to be holding, a rare positive sign in a conflict that has ratcheted up tensions between Russia and the West.

By late Saturday, however, bursts of heavy artillery and machine gun fire replaced the evident calm, a gas station was ablaze and cars carrying injured civilians could be seen on the roads.

The warring factions blamed each other for violating the truce.

The Russian news agency Itar-Tass late Saturday quoted rebel officials saying that Ukrainian forces continued to shell Donetsk and rebel positions near Mariupol. The RIA Novosti new agency reported that four Donetsk residents were killed in the shelling.

Ukrainian National Security and Defense Council spokesman Col. Andriy Lysenko told reporters in Kiev on Saturday that the situation was calmer than before but that there had been a number of "provocations" by rebels.

These include 10 instances of shelling in the Donetsk and Luhansk regions, he said.

But Lysenko said a prisoner exchange would begin soon without specifying a time and date.

Amnesty International, meanwhile, accused Ukrainian militia and separatists of carrying out war crimes. It singled out Russia for a buildup of armor and artillery in eastern Ukraine.

"All sides in this conflict have shown disregard for civilian lives and are blatantly violating their international obligations," said Salil Shetty, Amnesty International's secretary general, who will travel to Kiev and Moscow in the coming days.

"Our evidence shows that Russia is fueling the conflict, both through direct interference and by supporting the separatists in the East," Shetty added. "Russia must stop the steady flow of weapons and other support to an insurgent force heavily implicated in gross human rights violations."

Ukrainian forces and pro-Russian rebels have battled in eastern Ukraine since April, leaving more than 2,200 people dead, according to the United Nations.

A truce deal signed Friday after talks in Minsk, the capital of Belarus, went into effect that evening.

Ukrainian President Petro Poroshenko had a phone conversation with Russian President Vladimir Putin after the signing of the deal in the Belarusian city of Minsk, Poroshenko's office said Saturday in a statement.

The leaders agreed that the ceasefire in eastern Ukraine has been mostly upheld and they discussed further steps to make the truce last, the office said.

After roughly five months of bitter fighting between Ukrainian government forces and pro-Russian rebel groups, the question is whether the ceasefire will last.

Artillery fire and explosions were heard in the flashpoint city of Donetsk around the time the ceasefire went into effect, the city's website said. But there have been no subsequent reports of major incidents.

A CNN team in southeastern Ukraine, where Ukrainian forces and the rebels have engaged in fierce fighting this week between the Ukrainian border town of Novoazovsk and Mariupol, said that artillery fire appeared to have stopped after the start of the truce.

Despite the ceasefire deal, Putin remains under international pressure over Russia's actions in Ukraine.

Hours after the guns stopped firing, EU leaders meeting in Brussels, Belgium, agreed on a new round of economic sanctions against Russian interests. They are due to be formally adopted on Monday.

Russia's Foreign Ministry warned Saturday that if new EU sanctions are imposed, Russia "certainly will respond," Russian state-run news agency Itar-Tass reported.

Obama expresses support for Ukraine

U.S. President Barack Obama said he was hopeful but skeptical that the ceasefire would hold, questioning whether pro-Russian rebels would adhere to it.

Obama, speaking at the end of a NATO summit in Wales, added that NATO was "fully united in support of Ukraine's sovereignty, independence, territorial integrity and ability to defend itself."

Member nations would send nonlethal military aid and help modernize Ukraine's security forces, while the United States and European allies finalize measures "to deepen and broaden sanctions" against Russia, he said.

The Ukrainian government and the West accuse Moscow of backing the rebels with arms and troops -- claims that Moscow has repeatedly denied.

The conflict has sparked a humanitarian crisis in eastern Ukraine, where homes and infrastructure have been destroyed by shelling. Nationwide, more than a million people have been displaced from their homes by the fighting, most of them in the east.

Luhansk city council said that Saturday was the first day in over a month with no shooting. The city office has started working on repairs to the power and water supply.

Russia has contacted the International Committee of the Red Cross to express its readiness to deliver a second aid convoy to Ukraine, state news agency RIA Novosti reported Saturday, quoting Russian Deputy Foreign Minister Gennady Gatilov.

"We are now discussing the practical details of this operation and expect it to be accomplished," Gatilov is quoted as saying.

Gatilov said he could not discuss details but that this time humanitarian aid would be delivered by railroad. The last Russian aid convoy, which entered without Ukraine's permission, was sent by road.

Ukraine ready for 'significant steps'

Poroshenko said the ceasefire deal was based on his peace plan and an agreement reached in a phone call this week with Putin.

"We are ready to provide significant steps, including the decentralization of power," he said, as well as greater economic freedoms for the Luhansk and Donetsk regions and guarantees that their culture and language be respected. Many people in eastern Ukraine are Russian speakers.

Poroshenko said the exchange of "hostages," or prisoners, could begin as soon as Saturday.

He said he hoped the ceasefire, based on a 12-point plan, would lead to more substantial talks on core issues and a lasting peace.

The talks in Minsk brought together the leaders of the separatist groups with former Ukrainian President Leonid Kuchma, as well as Russia's Ukrainian envoy.

The ceasefire, however, does not mean the end of the self-styled Donetsk People's Republic and the Luhansk People's Republic, separatist leaders said at a televised news conference after signing the deal.

Poroshenko has asked his foreign minister and the Organization for Security and Cooperation in Europe, which already has international observers in Ukraine, to monitor compliance with the ceasefire.

A previous unilateral ceasefire declared by the Ukrainian government in June broke down after 10 days.

New sanctions planned

Amid skepticism over Russia's intentions, the European Union agreed a fresh round of sanctions Friday against Russian interests, though they are not yet in force.

The package includes "enhanced measures related to access to capital markets, defense, dual use goods, and sensitive technologies," an EU statement said.

It also includes sanctions against the rebel leadership in eastern Ukraine, the government of Crimea, annexed by Russia in March, and Russian decision makers and oligarchs, it said.

EU foreign policy chief Catherine Ashton welcomed the ceasefire, adding that it must now be respected by all sides.

"We hope that this will be a first step toward a sustainable political solution, based on respect for Ukraine's sovereignty and territorial integrity," she said.

"Permanent monitoring of the Russian-Ukrainian border and withdrawal of illegal armed groups and forces illegally operating on Ukrainian territory should be integral parts of such a solution."

British Prime Minister David Cameron, who hosted the NATO summit in Wales, said in his final remarks that what Putin was doing is "indefensible and wrong" and that Russia should face further economic costs.

Western countries in July stepped up targeted sanctions against Russia, prompting a retaliatory ban by Moscow on certain imports.

Putin has voiced sympathy for the separatists, many of whom are ethnic Russians. But he denies that Russia has armed and trained the rebels, or sent Russian troops over the border.

NATO: An amusing show for Putin?

NATO's moment of truth on Ukraine

CNN's Reza Sayah reported from Kiev, while Laura Smith-Spark wrote and reported from London and Jethro Mullen from Hong Kong. CNN's Matthew Chance, Mick Krever, Jo Shelley, Radina Gigova, Michael Martinez and Alla Eshchenko contributed to this report. Journalist Victoria Butenko also contributed from Kiev.

@highlight

Sporadic heavy artillery barrages and machine gun fire heard near Mariupol

@highlight

Poroshenko and Putin talk about ensuring truce lasts, Poroshenko's office says

@highlight

Russia will respond if new EU sanctions are imposed, state media reports

@highlight

EU nations agree on further sanctions against Russia, due to be adopted Monday