(CNN) -- Death already has a surprisingly vivid presence online. Social media sites are full of improvised memorials and outpourings of grief for loved ones, along with the unintentional mementos the departed leave behind in comments, photo streams and blog posts.

Now technology is changing death again, with tools that let you get in one last goodbye after your demise, or even more extensive communications from beyond the grave.

People have long left letters for loved ones (and the rare nemesis) with estate lawyers to be delivered after death. But a new crop of startups will handle sending prewritten e-mails and posting to Facebook or Twitter once a person passes. One company is even toying with a service that tweets just like a specific person after they are gone. The field got a boost last week when the plot of a British show "Black Mirror" featured similar tools, inspiring an article by The Guardian.

Schedule social media posts long into the future

"It really allows you to be creative and literally extend the personality you had while alive in death," said James Norris, founder of DeadSocial. "It allows you to be able to say those final goodbyes."

DeadSocial covers all the post-death social media options, scheduling public Facebook posts, tweets and even LinkedIn posts to go out after someone has died. The free service will publish the text, video or audio messages directly from that person's social media accounts, or it can send a series of scheduled messages in the future, say on an anniversary or a loved one's birthday. For now, all DeadSocial messages will be public, but the company plans to add support for private missives in the future.

DeadSocial's founders consulted with end of life specialists while developing their service. They compare the final result to the physical memory boxes sometimes created by terminally ill parents for their children. The boxes are filled with sentimental objects and memorabilia they want to share.

"It's not physical, but there are unseen treasures that can be released over time," Norris said of the posthumous digital messages.

Very loosely related: Manti Te'o and messages from a "dead" girlfriend

Among the early beta users, Norris observed that younger participants were more likely to make jokes around their own deaths, while people who were slightly older created messages more sincere and emotional. He's considered the potential for abuse but thinks the public nature of messages will be a deterrent. The site also requires members to pick a trusted executor, and there is a limit of six messages per week.

"I don't think that somebody would continually be negative and troll from the afterlife," Norris said optimistically. "Nobody really wants to be remembered as a horrible person."

The UK-based startup will only guarantee messages scheduled for the next 100 years, but in theory you can schedule them for 400 years, should your descendants be able receive Facebook messages on their Google corneas. The company has only tested DeadSocial with a group of beta members, but it will finally launch the service for the public at the South by Southwest festival in March. Fittingly, the event will take place at the Museum of the Weird.

The last, private word

For those interested in sending more personal messages -- confessions of love, apologies, "I told you so," a map to buried treasure -- there's If I Die. This company will also post a public Facebook message when you die (the message goes up when at least three of your appointed trustees tell the service you've died), but it can also send out private messages to specific people over Facebook or via e-mail.

Though If I Die has attracted a number of terminally ill members, the company's founders think it could be appeal to a much wider audience.

"Somebody that knows he's about to die gets time to prepare himself; the big challenge is when it happens unexpectedly," said Erez Rubinstein, a partner at If I Die.

The Israeli site launched in 2011 and already has 200,000 users. Most have opted to leave sentimental goodbyes, and written messages are more common than videos, according the company. So far, the service is entirely free, but it plans to launch premium paid options in the future.

"It's an era where most of your life and most of your presence is digital, and you want to have some control over it. You want to be in charge of how you are perceived afterward," Rubinstein said.

A tweet-bot to remember you by

A more extreme version of this type of control lies at the heart of _LivesOn, a new project with the catchy tag line "When your heart stops beating, you'll keep tweeting."

Still in the early stages, _LivesOn is a Twitter tool in development at Lean Mean Fighting Machine, an advertising agency in the United Kingdom. The agency is partnering with the Queen Mary University to create Twitter accounts that post in the voice of a specific person, even after he or she has died.

When people sign up, the service will monitor their Twitter habits and patterns to learn what types of content they like and, in the future, possibly even learn to mimic their syntax. The tool will collect data and start populating a shadow Twitter account with a daily tweet that the algorithm determines match the person's habits and interests. They can help train it with feedback and by favoriting tweets.

"It's meant to be like a twin," said Dave Bedwood, a partner at Lean Mean Fighting Machine.

In the short term, Bedwood and his team said it will serve as a nice content-recommendation engine. But eventually, in the more distant future, the goal is to have Twitter accounts that can carry on tweeting in the style and voice of the original account.

The people behind the project warn against expecting Twitter feeds fully powered by artificial intelligence, or worrying about Skynet, any time soon.

"People seem to think there's a button you can press, and we're going to raise all these people from the dead," joked Bedwood, who has seen a huge spike in interest in the project over the past week. "People have a real faith in what technology can do."

Artificial Intelligence is still a long way from being able to simulate a specific individual, but recreating the limited slice of personality reflected in a Twitter feed is an interesting place to start.

The _LivesOn service is hoping to roll out to a limited number of test users at the end of March.

As with the other services, _LivesOn will require that members choose an executor. At this point, it's as much a thought experiment as an attempt to create a usable tool.

A little bit of immortality

All these companies see the potential for technology to change how people think about death. Goodbye messages can help people left behind through the grieving process, but composing them can also be comforting to people who are uncomfortable with or afraid of death.

"We shy away from death. It reaches us before we approach it," DeadSocial's Norris said. "We're using tech to soften the impact that death has and dehumanize it. It allows us to think about death in a more logical way and detach ourselves from it."

The prospect of artificial intelligence, even in 140-character bursts, can also be comforting to people who see it as a way to live on.

"The afterlife is not a new idea, it's been around for quite a long time with all the different versions of heaven and hell," Lean Mean Fighting Machine's Bedwood said. "To me this isn't any stranger than any one of those. In fact, it might be less strange."

@highlight

New tools make it possible to schedule social media posts to go up after death

@highlight

Twitter tool could eventually mimic person's syntax and tastes to tweet after death

@highlight

Using these online services can help people think about and plan for death, companies say