(CNN) -- A fixture of the presidential race has been Mitt Romney's 47% problem: Those Americans who don't pay federal income tax that Romney has described as freeloaders. Of course, Romney has retracted his remark. But if he still wants to attack those who freeload off of U.S. taxpayers, there is a better target: Our wealthy overseas allies.

Forty-seven percent is also roughly the U.S. share of global military spending. Our annual $700 billion-plus military budget exceeds the next 10 biggest military budgets combined. Much of that money buys forces needed to defend allies against threats they could afford to meet themselves. Alliances that once served the U.S. national interest have become a subsidy to rich allies.

In a recent foreign policy speech, Romney noted that only three of the 28 NATO allies meet their commitment to spend 2% of their GDP on defense. He promises to fix that by asking our allies to honor their commitment to security spending.

But the Europeans have grown adept at keeping a straight face while ignoring such lectures.

If Romney wants them to do more, he should suggest giving them less -- a logic he appreciates in domestic contexts. The same would apply to the Japanese, South Koreans and various others we defend. Some allies, especially in Asia, might increase military spending. Others, noting less danger and bulging debts, may not.

Washington is not the best judge of others' needs. But with fewer commitments, we can maintain fewer forces and lower future military costs, which means more savings for U.S. taxpayers.

As long as the United States bears the lion's share of global defenses, our allies have little incentive to do more.

As we saw in Libya in 2011, the U.S. Air Force enabled NATO's intervention by providing air refueling, intelligence and precision strike capability. Our combat-tested Army and Marine Corps are the envy of their counterparts around the world, many of whom they train. Our special operations forces track terrorists everywhere.

Romney complains that our Navy has fewer ships than before World War I but fails to mention that it is far bigger than any other fleet and is the police force of the global seas.

Romney has insisted that U.S. exceptionalism compels us to steady alliances, settle regional disputes and forcefully promote democracy everywhere. But he has reversed the idea of U.S. exceptionalism.

Early American leaders thought that the nation's virtue lay in liberal values and the example America sets. For them, U.S. exceptionalism had nothing to do with military adventurism. Permanent allies might drag us into others' disputes, imperiling liberalism by centralizing power in the presidency and requiring a massive military establishment.

Similar worries encouraged President Eisenhower's push to keep our commitments to allies temporary. In 1953, Western Europe and Japan were still recovering from World War II and South Korea, with our help, was still fighting the North and its Chinese allies. U.S. commitments to defend those nations came from fear that the Soviet Union would capitalize on their weakness, through conquest or internal intrigue, and gather enough strength to threaten us directly.

Those allies long ago grew rich enough to defend themselves, and the Soviet Union has been history for decades. The European Union collectively has a population and economy larger than ours. But while Americans spend about $2,700 per capita annually on the military, NATO allies average around $500.

More than 20 years after the end of the Cold War, Europeans sit in cafes while over 80,000 American service personnel still help guard Europe against Russia, which now has a GDP around the size of Spain and Portugal combined.

Sixty years after the end of Korean War, nearly 30,000 American forces still shield the South against a Northern neighbor with a 25th of its wealth and half its population. We have almost 50,000 troops in Japan almost 70 years after its surrender. Japan spends only about 1% of its GDP on its military, provides no troops to help stabilize Afghanistan, but insists that U.S. Marines defend their every rocky island in a possible dispute with China.

Romney still has time to change his mind on this issue. Rather than lecturing our allies about their responsibilities, we should kick them off the dole, rescinding commitments to their defense and removing troops from their shores.

This is a problem that any president faces, including President Obama. But Romney may make the problem worse through his proposed increase in military spending.

If that seems chintzy, remember that there is virtue in economy and that we have needier causes at home, starting with the deficit. That tack might also prove politically useful: polls show that Americans would prefer to do less for rich allies. And foreign freeloaders can't vote.

The opinions expressed in this commentary are solely those of Harvey Sapolsky and Benjamin Friedman.

@highlight

Harvey Sapolsky, Benjamin Friedman: Our annual military budget is large

@highlight

Sapolsky, Friedman: Mitt Romney should suggest less military spending on our allies

@highlight

They say our allies are rich enough to defend themselves instead of relying on the U.S.

@highlight

Sapolsky, Friedman: Lower military costs will mean more savings for U.S. taxpayers