When we imagine the robots of the future, they often look and move like humans, standing up on two legs and using a pair of arms to grab and move objects. NASA's Jet Propulsion Laboratory is working on a different kind of robot for disaster response that's designed to move like an ape.

Headless but covered with seven cameras that act as "eyes," the RobotSimian has four identical limbs that do double duty as arms and legs. Together, they ably move the robot across rough terrain and rubble but can also pick up and manipulate objects. It has wheels it can coast on if the surface is smooth enough.

The RoboSimian is JPL's final entry into the DARPA Robotics Challenge, a 27-month-long competition among some of the world's top robotic talent to create an emergency response robot. In situations such as a nuclear disaster, one of these robots could go into environments too dangerous for human rescue workers and execute simple tasks such as lifting debris off survivors or turning off a valve.

In June, RoboSimian and up to 18 other finalists will have to make their way through an obstacle course that simulates eight common scenarios. Each robot will attempt to drive a car, move across rubble, use a tool and climb stairs, all without a human controlling it. DARPA says the final competitors should be as competent as a 2-year-old child. The winning team will receive a $2 million prize.

JPL used leftover parts from RoboSimian to create another robot called Surrogate. The more traditional upright robot has a flexible spine, head and two arms. While better at manipulating objects, Surrogate ran on tracks and wasn't as adept at traversing the complicated terrain that is common in a disaster. After considering both candidates, the team decided to take RoboSimian to the finals.

One trade-off is that RoboSiman is slower than many other competitors. JPL's team is working with the University of California, Santa Barbara, and Caltech to increase the robot's walking speed.

"It is intentionally the tortoise relative to the other hares in the competition. We feel that a very stable and deliberate approach suites our technical strengths and provides a model for one vital element of the 'ecosystem' of robots that we expect to be deployed to disaster scenarios in the future," said JPL's Brett Kennedy, who is supervisor of the Robotic Vehicles and Manipulators Group.

The Jet Propulsion Laboratory is most known for designing robotics for space exploration, such as the Mars rovers. But the DARPA competition was an opportunity for the JPL group to take its existing robotics research and compare approaches directly to other talented teams.

NASA also has a long history of taking technology developed for space exploration and using it here on Earth.

RoboSimian software was influenced by programs used to control the Mars rovers. In both cases, the system is designed to let the robots work as autonomously as possible when communication with a human operator is dropped. Spotty communications are common in disaster scenarios (and on Mars).

The team has thought hard about all aspects of RoboSimian's design, even making sure it has the right look.

"We included industrial designers in the team in an effort to create a robot that looked professional rather than either threatening or overly cute," said Kennedy. "Basically, we wanted the perceptual equivalent of a St. Bernard."

While JPL is focused on perfecting the ape-like design for Earth-bound applications for now, this is just one stop in the circular life of NASA technology.

"We intend to spin the technologies developed for the terrestrial RoboSimian back out to applications in space," said Kennedy.

"These tasks include assembly and maintenance of orbital structures; exploration of low-gravity bodies like asteroids, comets, and moons; exploration of caves and cliffs on Mars or our moon; and even preconstruction of habitats wherever humans care to venture in the solar system."

@highlight

NASA's Jet Propulsion Laboratory has designed the ape-like robot RoboSimian

@highlight

The disaster-response robot is competing in the DARPA Robotics Challenge finals

@highlight

RoboSimian has four limbs, no head and multiple cameras