Washington (CNN) -- In 1994, on the eve of his trip to North Korea to persuade Kim Il Sung to negotiate with the Clinton administration over its nuclear program, Jimmy Carter had a series of briefings at the State Department.

After several hours, Carter looked around the room at the group of diplomats assembled and said, "None of you have told me what I need to know," according to a former State Department official involved in briefing the former president.

"You haven't told me what Kim Il Sung wants," Carter told his briefers. "What he wants is my respect. And I am going to give it to him."

Sources knowledgeable about Carter's trip to Pyongyang this week to free American Aijalon Mahli Gomes expect the former president to take the same approach he used with Kim Il Sung in dealing with his son, current leader Kim Jong Il. Carter, they say, will give the North Korean leader the respect he craves, giving him a face-saving way to release Gomes.

As with last year's mission by former President Bill Clinton to free journalists Laura Ling and Euna Less, the deal with North Korea was already done before Carter boarded the plane. In fact, the North Koreans have been looking for a visit from Carter for some time.

University of Georgia professor Han Park, who helped arrange Carter's 1994 trip and played a role in this one, said he brought up the possibility of high-level talks with the former American president during Park's trip to Pyongyang in July. Park said the release of Gomes was actually a secondary reason for Carter's visit, the first being restarting talks with the United States.

"The release was not the North Korean purpose," said Park, who has visited the communist nation 52 times. "They wanted to have a much more substantive discussion when the official line is seemingly blocked."

There was no shortage of envoys ready to travel to North Korea and negotiate Gomes release. Bill Richardson, a former U.S. ambassador to the United Nations, has gone on previous missions to North Korea, including the negotiated release of a detained American. He continues to hold occasional talks with North Korean diplomats.

Sen. John Kerry, chairman of the Senate Foreign Relations Committee, was also closely involved in coordinating efforts with the White House and State Department to free Gomes, who is one of his constituents, said his spokesman, Fredrick Jones.

It was Kerry, Jones said, who informed the State Department about Gomes' arrest and has been urging the department to do "whatever it takes" to secure Gomes' humanitarian release, including sending an envoy if appropriate. Although he offered to go himself if that was the best option, aides say Kerry assisted with the search to find a suitable envoy.

In the end, the North Koreans are exacting the highest possible price they thought they could get for the release, securing what they see as the credibility a former leader of the free world can provide. Last year, the North Koreans rejected several lower-level envoys before settling on Clinton, who returned with the two American women after three hours of dining and photo-ops with Kim Jong Il.

Carter's 1994 trip to Pyongyang was successful in defusing the first North Korean nuclear crisis, paving the way for the 1994 Agreed Framework in which North Korea pledged to give up its nuclear weapons in return for aid. But it was also controversial because Carter reached a deal with Kim Il Sung and announced it without checking with the Clinton administration.

Obama administration officials don't expect a repeat performance but have kept mum about Carter's trip, saying only if such a mission took place it would be purely a "humanitarian effort." The United States wants to ensure the likely success of any effort to secure Gomes' release and doesn't want to tie the mission to America's tensions with North Korea over its nuclear program.

Those tensions have escalated in recent months with the sinking of the South Korean warship Cheonan, which the international community has blamed on Pyongyang.

While the Obama administration recognizes the North Korean regime will likely use Carter's trip for propaganda purposes, officials say the most important thing is for Gomes, whose health is deteriorating, to be released. They caution against any expectation of a breakthrough between the two countries, insisting there is no change in U.S. policy toward North Korea.

That policy has included tougher sanctions against Pyongyang and joint U.S.-South Korean military exercises off the Korean coast.

But Han Park views Carter's trip as significant, as it comes at a time when negotiations between the United States and North Korea are at an impasse.

Carter, he said, is not likely to succeed in obtaining North Korean concessions on defense issues, but nevertheless, his trip could help influence public perceptions of North Korea and eventually lead to direct dialog.

"I think President Carter has a keen interest in reducing tensions on the [Korean] peninsula," Park said.

CNN's Moni Basu contributed to this report

@highlight

Carter likely to repeat his 1994 tactic: Give the North Korean leader respect

@highlight

A Carter trip to Pyongyang has been in the works for weeks, professor says

@highlight

Restarting talks with the United States is North Korea's top goal, he says