San Diego (CNN) -- Former Wyoming Sen. Al Simpson knows a thing or two about passing landmark immigration reform. My friend and former graduate school professor did it in 1986 with the Immigration Reform and Control Act, which he co-authored with former Rep. Romano Mazzoli.

Simpson knows that the endeavor is not for the faint of heart, or the thin-skinned or the easily disillusioned. It means navigating one of the wackiest and wickedest debates in our public discourse. The immigration debate, he likes to say, is filled with "emotion, fear, guilt and racism."

It is no wonder that most lawmakers won't go anywhere near the immigration issue. For those who grab the bull by the horns and wrestle it to the ground, things can get frustrating.

So began the education of Marco Rubio. The Florida senator is the de-facto leader of the Gang of Eight, the bipartisan group of senators pushing for immigration reform. Rubio has become the face of immigration reform. He is the most articulate advocate and the game's most valuable player in large part because he is charged with rounding up Republican votes.

Meanwhile, if Rubio were to withdraw support for the bill, it wouldn't just be a game changer. It would be game over.

He recently worried allies by characterizing the bill as not strong enough and said that more border security measures have to be added.

While Rubio courts Republicans, the Democratic members of the gang (Charles Schumer of New York, Dick Durbin of Illinois or Bob Menendez of New Jersey) need to arm-twist Democrats to make sure they're on board. Many of the Senate's Democrats don't seem enthusiastic about a path to citizenship for 11 million illegal immigrants.

On my scorecard, I count at least 10 Democrats, from both red states and union-friendly rust belt states, who either outright oppose the legislation or whose support is shaky.

Schumer predicted Sunday on NBC's "Meet the Press" that a bill could pass by the Fourth of July and that he is shooting for 70 votes, which he thought he could get, including a majority of Republicans.

Don't believe it. I've followed Schumer's approach to the immigration issue for many years, and most of what he says on the subject is a falsehood, a fraud or a fairy tale.

A couple of weeks ago, Menendez went on Univision's Sunday show, "Al Punto," and candidly told host Jorge Ramos that the Gang of Eight didn't have 60 votes. And now suddenly they have 70?

This is Schumer's game: Set expectations high and put the burden of meeting them squarely on Republicans. Leave Democrats off the hook. Talk about how most Republicans will support the bill. So when the vote comes and it turns out -- surprise! -- a majority of Republicans vote against the thing, the GOP will catch all the blame.

It's all part of Mr. Rubio's wild ride.

Here you have a rising star in the GOP tasked with the thankless job of ginning up support among Republicans for a bill that many of them think would create millions of new Democratic voters, albeit, 13 years down the road, which is the amount of time that the legislation requires illegal immigrants to wait before becoming citizens and getting the right to vote.

I can't decide which is more pathetic. That Republicans have such a guilty conscience -- for the hamhanded way in which they've handled immigration, and the acrimony they've stirred up against Latinos -- that they think legalized immigrants are going to hold a grudge for 13 years before finally getting even. Or that Republicans have so little confidence in their own party, message and ability to win over these voters in those same 13 years by coming up with policies that appeal to them.

From the sounds of the debate, Rubio isn't making as many converts as he is making enemies in his own party.

There are even some conservatives, in the conspiracy corner of the GOP, who suggest that this was the secret plan of Democrats all along: Rope Rubio into supporting immigration reform. Put him front and center. Ruin his reputation with conservatives. And effectively remove him from the top-tier of 2016 GOP presidential hopefuls.

That is a little far-fetched. Besides, Rubio could emerge from all this with enough new supporters on the left to make up for whatever support he could be losing on the right. Either way, he seems intent on fighting one battle at a time and, assuming he has White House ambitions, letting the next presidential race take care of itself.

As for the senator wavering on the immigration bill, I don't see it. Rubio supports the main principles, and he's simply thinking about the best way to pass it. He said during a television interview on Tuesday that he doesn't think the bill has the 60 votes needed to break a possible filibuster and that "even the Democrats would concede that." And he is worried that "horse trading" could water down the border security provisions. But he still backs the final product.

Credit mom. In an interview with Time a few months ago, Rubio, whose middle name is Antonio, said that his mother, Oriales Garcia Rubio, left him a voice mail in December. She urged him to do right by illegal immigrants, whom she called "los pobrecitos" (the poor ones).

The message went: "Tony, some loving advice from the person who cares for you most in the world. Don't mess with the immigrants, my son. Please, don't mess with them. They're human beings just like us, and they came for the same reasons we came. To work. To improve their lives. So please, don't mess with them."

Rubio has said that his mother's plea reminded him that immigration has a "human element."

Now everything I see and hear, including the senator appearing on a gauntlet of conservative radio shows to defend the bill, tells me that Rubio will keep the faith.

That's not easy to do when, I have it on good authority, your Senate office is getting hate mail comically telling the Cuban-American lawmaker to "Go back to Mexico!"

Normally, that sort of thing might seem strange. But in the immigration debate, it's madness as usual.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Ruben Navarrette: Immigration reform is not for the faint of heart or the thin-skinned

@highlight

Navarrette: Marco Rubio has the thankless job of ginning up support among Republicans

@highlight

He says most lawmakers prefer not to go near it; for those who do, it can be frustrating

@highlight

Navarrette: Why can't the GOP be confident and come up with policies that appeal to them?