(CNN) -- Taking time out to eat a homemade chocolate cake is hardly the conventional way to win an ultra-endurance marathon, but don't tell Emelie Forsberg.

Her quirky and offbeat approach -- she competes sporting a hair band adorned with flowers -- has proved a breath of fresh air in the male-dominated sport of Skyrunning, where she has become world and European champion.

Fleet of foot, she makes light work of massive mountains such as Mont Blanc and the Matterhorn -- running with a permanent smile etched across her face -- because for Forsberg this truly is a labor of love.

"It's my biggest passion, you create a relationship with nature, " the Swede tells CNN's Human to Hero series. "I love to be in the mountains because it gives me a feeling of freedom and what is real."

Worryingly for her rivals, Forsberg admits that the other reason for her cheery disposition is that she also has plenty of room for improvement.

"I'm smiling because I'm so happy to get to do what I love the most," she says.

"And also because I'm very bad in pushing myself over the limit. I'm always pretty comfortable, I don't want to suffer! I can remember only one or two races when I was really hurting."

And the flowers in her hair?

"In Sweden we only have them for two months, so it's always nice to have beauty around you," the 27-year-old explains. "It's just a nice thing to have in the hair, it's a nice touch."

Forsberg is also aware that the majority of the competitors in Skyrunning mountain races are men and she likes to strike a feminine chord.

But her appearance and friendly disposition belie a fiercely competitive instinct, and she has not only been dominating the women's competitions but also regularly placing in the top 10 against all opposition.

Forsberg's other major passion is baking, stemming from her time as a chalet girl at a ski resort.

Her personal website is a mixture of running anecdotes and "recipes from a mountain lover" for her favorite treats such as cinnamon cakes and apple pie.

She tries out her efforts on her boyfriend Kilian Jornet, who just happens to be the the dominant male competitor on the world Skyrunning circuit with a string of big race victories and records.

"I love sweet things and my boyfriend loves sweet things, so it's a win/win situation," she says. "I can bake as much as I want and I know what's inside and how good it is and only with good ingredients."

Back in 2010, on her way to her first victory in a mountain marathon, Forsberg naturally thought it would be a good idea to take a treat with her on the way.

She spent 20 minutes at the summit to chomp through that chocolate cake before continuing to the finish.

Her undoubted talent drew her to the attention of professional Skyrunning outfit Team Salomon, although Forsberg admits she had little knowledge of the discipline and the existence of a circuit.

"I got an invitation to Team Salomon (in 2012) to join them for a training camp and I was like, 'Yeah! I'll try that,' " she recalls.

"I got to realize that Skyrunning is a very big sport here in Europe and it's actually bigger than cross-country skiing is in Sweden and for me, cross-country skiing is really big."

An almost overnight success, Forsberg now lives with Jornet in the French ski resort of Chamonix, under the shadow of the imposing Mont Blanc, the perfect training ground for the sport's golden couple.

And for Forsberg, her idea of a perfect day is most people's idea of purgatory: an eight-hour run on mountain trails at high altitude.

She spends up to an average of six hours per day, week on week preparing for her heavy racing program.

"I wore out seven pairs of shoes last summer," she reveals.

Skyrunning has three main disciplines: a vertical race, which is entirely uphill; a standard event held over between 20-40 km, involving an ascent and descent; and the blue riband "ultra" held mostly over 80 km.

Forsberg excels at all the distances and is now tackling longer races -- her biggest challenge being a 30-hour-plus 170 km test, during which even she admitted she had doubts about finishing as the going got particularly tough.

Her love of natural surroundings became engrained from an upbringing on a rugged coastal region in eastern Sweden, with her family home surrounded by "hilly terrain and wild forests."

There was not much time spent watching television or sitting by a computer and, with her grandparents on her mother's side from Lapland, she spent a lot of time in the mountains as well.

"I have always been fascinated about mountains, the views and just the freedom you get there, and when I was finished high school I moved to the mountains and I just started to train there," Forsberg says.

"I went up to summits, I went climbing and so I started Skyrunning -- but I didn't know that I was doing it. I just did what I loved."
As a student, Forsberg gained a degree in biology, but her Masters deposition is on hold while she concentrates on training and racing professionally -- particularly given her recent successes.

They have bought her widespread acclaim, but an incident in September 2013 served notice of the dangers of extreme sport and sparked some adverse publicity.

She and Jornet were attempting to climb the Aiguille du Midi, a near 4,000m mountain in the Mont Blanc region, when they ran into trouble near the summit in rapidly deteriorating weather conditions.

Dressed only in light jackets and wearing just running shoes, they were left trapped on a rock face in driving winds, snow and fog.

Rather than taking more risks by rappelling (abseiling) back down the mountain while freezing cold, the pair decided to call out the local mountain rescue team and sit tight.

With conditions too bad for a helicopter to operate, they had to wait seven long hours before receiving assistance.

It was a salutary lesson of the power of nature. "We underestimated the conditions," Forsberg wrote on her personal website.

"The stupid mistake was I did not take a lot of extra warm clothes."

"We are people. We make mistakes and learn from them. But this is still the way I love to be in the mountains. Light and fast."

After the Skyrunning season finishes, the adventurous duo spend their winters competing in ski mountaineering races, which combine alpine and cross-country skiing -- Forsberg competed in the latter Olympic discipline growing up in Sweden -- and climbing selected peaks.

"I first tried it two years ago and I got really hooked and I've reached a pretty good level," she says.

"I can live from that during the winter and it's a really nice complement for Skyrunning as well."

For Forsberg's rivals there is yet more cold comfort in her future ambitions on the circuit.

"Each race I want to improve, each race I want to do again, but for sure I want to improve and I have so much more I can improve on, so this is my motivation."

With such distances to be covered, and over uneven terrain, to the uninitiated there appears to be the prospect of physical burnout, but Forsberg tells another story.

"I have never been injured despite racing almost every weekend. Skyrunning has less impact on your body than road running where the movement and impact is so repetitive."

The sport's governing body will be keeping its fingers crossed that Forsberg stays clear of mishaps and lays a trail for other young women to make their mark.

Lauri Van Houten, the vice-president of the International Skyrunning Federation, summed up her appeal.

"I've rarely seen such unbounded love of the mountains in anyone," Van Houten told the UK's Guardian newspaper last year.

It's a love that shows no sign of abating, and Forsberg is already setting herself new goals, longer races, scaling ever higher peaks as fast as possible.

She is inspired by Jornet, a 26-year-old from the Catalonia region of Spain who has set a series of mind-boggling records.

Last year, Jornet ran up and down the Matterhorn in just two hours 52 minutes, smashing the previous best time.

Forsberg now also holds the women's records for routes on the Matterhorn and Mont Blanc and is particularly proud of her efforts.

"It's not all about the records but I really like to move fast in the mountains and then when you reach the record, it's 'Wow!' It's pretty amazing to be the woman who is fastest up and down on the mountains, for sure," she says.

"Racing wise, my first year Skyrunning I won the world championship, and last year I was the European champion in both long and short distance and second in the vertical, so it's a lot of titles but it's not only about the titles, it's about what you do to get there."

That "journey" to the top of such a challenging and at times dangerous sport involves long and lonely hours of preparation, but it appears Forsberg's very raison d'etre has been satisfied.

"It's my life, it's my passion, I love mountains."

It's as simple as that.

@highlight

Emelie Forsberg is a world and European champion in Skyrunning

@highlight

The 27-year-old hails from Sweden but now lives in Chamonix

@highlight

She holds record for ascent and descent of several mountains, including Mont Blanc

@highlight

Her partner is men's world Skyrunning champion Kilian Jornet