(CNN) -- Over the past month, we've watched from distant shores as Greece has plunged into a debt crisis. Mounting pressure from global financial markets forced Greece to begin a drastic austerity program.

With a fiscal deficit of 8.1 percent of GDP and government debt of 115 percent of GDP expected this year, Greece has promised to turn itself around by 2013.

To do this, the government has adopted an ambitious fiscal consolidation program that would reduce the annual deficit by 7 percent of GDP this year, 4 percent next year, and 2 percent in 2012 and 2013. The European Union and the International Monetary Fund have announced an extraordinary $1 trillion package to support the plan, and the European Central Bank has announced its own extraordinary measures.

Are there lessons the United States can or should draw from the Greek situation?

First, we are not Greece. The United States is by far the world's largest single economy.  Our economy is competitive, diversified and rich in human capital and natural resources. While the rest of the world is important for our growth, our domestic market is vast, which means that, unlike Greece, we can usually rely on domestic demand to drive the economy.

At their best, our financial markets are dynamic, have deep pockets and provide the liquidity for our innovative economy. We issue the world's reserve currency, which minimizes our currency market risk. And unlike Greece, because we have currency flexibility, we can adjust the value of the dollar to improve our underlying economic performance, if necessary.

But we are facing very serious fiscal challenges, too -- and for many of the same reasons as Greece.

Like Greece, our fiscal path is unsustainable for as far as the eye can see. Our debt has surged far above what we have normally been able to manage. And unless fiscal policy changes, it is projected to continue heading up indefinitely.

Our debt-to-GDP ratio is projected to exceed 60 percent this year, well above our average for the past 40 years (around 40 percent) and close to a peacetime high. And it's projected to keep on rising.

Like Greece (and all advanced industrial countries), we can expect our fiscal situation to get worse in about 10 years, as the baby boomers' retirement accelerates. In a generation, the debt is expected to be well over 150 percent of GDP. By 2050, it's projected to be over 300 percent and still heading upward.  We cannot sustain this much debt without a crisis.

While the United States may have more fiscal running room than Greece, we won't be able to outrun our creditors if they think we can't manage our fiscal affairs. The impasse in Washington is giving rise to jitters that we can't politically solve our problems, no matter how wealthy our economy. And as the past few weeks illustrate, if we lose credibility with creditors, they may downgrade our debt, demand higher interest rates, and in the worst case refuse to hold our debt because of fear of default.

Maintaining the confidence of our creditors is critical for the United States: We depend on capital inflows to close our fiscal gap because our savings rate is so low. It is harder to rebuild confidence than to lose it.

Finally, as Greece so vividly illustrates, it is better act on your own timetable and according to your own priorities, rather than have actions forced upon you by financial markets. If the United States can make fiscal changes sooner rather than later, once the economy is on a stronger footing, adjustment can be more gradual and less costly. Then our citizens will be able to manage change more easily.

What will it take for the United States to get its fiscal house in order?  We need a plan. As we've seen in Athens -- and even on Wall Street over the past week -- uncertainty sows fear, panic and unrest.  But our fiscal future does not have to look like this. There is a way forward.

America's first fiscal challenge is political will, not ability to pay. In partnership with the American people, U.S. policymakers need to settle on a reasonable and sensible fiscal recovery plan soon that is credible to both the markets and the ultimate financier: the U.S. taxpayer.

It should be multiyear to reassure creditors and taxpayers that we can indeed manage our affairs over time and that it will not force draconian austerity, if done correctly. We need to know where we want to go and how we can get there.

A clear road map for fiscal change will allow everyone to plan and manage, in contrast to the cold shower the Greeks are being forced to take.

In broad economic terms, the answer is simpler than most people realize. As most experts agree, we need to put the budget on track for stabilizing the debt at no more than 60 percent of GDP when we can realistically manage change. (The 60 percent threshold still has credibility for advanced industrial countries in the global marketplace.)

Although our debt is below that now, commitments already in place will put us on a higher path, even before the baby boomers start to retire. But we need to start phasing in policy changes soon to shift to a more sustainable debt path.

Much like a household budget, a fiscal recovery package also needs to be fair to succeed. Any plan needs to reflect shared sacrifice. Our fiscal problems are so big, everything has to be on the table. Just cutting spending will savage government and prevent it from delivering the things we all rely upon to live our lives and to make them better. Just raising taxes will take money from the poorest and the middle class and rob the country of needed incentives for the investments that boost higher growth.

But within budget limits, we also must make sure that any fiscal package promotes our key values and needs: protecting the weakest among us and raising living standards through increasing human capital (including education), promoting innovation and providing basic infrastructure.

Ultimately, getting our fiscal house in order is about shared sacrifice -- and shared hope. Putting a fiscal recovery plan in place will hasten the recovery and make living standards higher than they would otherwise be. We don't have to look like Greece does now.

The opinions expressed in this commentary are solely those of Anne Vorce.

@highlight

Anne Vorce: We're not Greece, but we have serious fiscal woes for many of same reasons

@highlight

She says our fiscal path is unsustainable and worsening, our debt is far above normal

@highlight

U.S. must maintain confidence of creditors, act on its own timetable, she says

@highlight

Vorce says we need a clear multiyear plan that's credible to markets and to U.S. taxpayers