Washington (CNN) -- Despite sweeping reform of food safety laws intended to make what we eat less dangerous, the number of Americans falling ill or dying from contaminated food has increased 44% since last year, according to a report released Wednesday.

Tainted cantaloupe, unsafe mangoes, meat and the recent peanut butter recall -- which so far has infected 25 people, mostly children, in 19 states -- has left consumers struggling to keep up with the dizzying list of ever-changing toxic edibles.

Approximately 48 million people get sick from eating tainted food each year, the report's authors, the U.S. Public Interest Research Group said, arguing more must be done to protect Americans from unsafe food.

The report says there were 718 illnesses directly linked to food recalls in 2011. There were 1,035 illnesses from January to September 2012 -- an increase of 44%.

Multistate beef recall tied to potential E. coli contamination

Two years ago, President Barack Obama signed into law the Food Safety Modernization Act, a vast piece of legislation giving the Food and Drug Administration, among other things, more power to be proactive holding food suppliers responsible for foodborne illness outbreaks.

But while some parts of the law have been enacted, the vast majority of the law's regulatory framework remains in limbo, sitting in the White House Office of Management and Budget, with no clear timetable for implementation.

When asked about the delays, OMB spokeswoman Moira Mack told CNN, "We have taken key steps, including putting out a food safety rule cracking down on salmonella in eggs and expanding E. coli testing for beef. We are working as expeditiously as possible to implement the food safety legislation we fought so hard for. When it comes to rules with this degree of importance and complexity, it is critical that we get it right."

The report also takes issue with the delayed response and plans in Congress to cut FDA funding.

"In February, the president's budget requested $4.5 billion for the Food and Drug Administration. But budget proposals in both the Senate and the House fall below this target, coming in $600 (million) to $700 million below full funding, which the Office of Management and Budget has called 'harmful' to food safety regulations," the Public Interest Research Group says.

Kellog's recalls Mini-Wheats

The group's report also says the FDA hasn't been able to keep up with increased demands for inspection of imported foods. Nearly 15% of food consumed in the United States is imported, and the FDA's own data indicates two-thirds of the fruits and vegetables on American's dinner plates are from foreign food suppliers.

Yet in 2008 the FDA inspected only 153 of roughly 189,000 registered foreign food facilities.

Peanut, nut butter recall expanded

Instead of improving, the problem of foodborne outbreaks is getting worse, the report says.

"When comparing 2010 infection incidences with national health objective targets ... the only incidence rate that meets the target goal was the incidence of infection with E. coli O157," the report says. "The incidence of salmonella was three times the 2010 national health objective target, which is especially alarming, as salmonella causes the majority of hospitalizations and deaths from foodborne disease."

The report argues the FDA needs to be provided with funding, develop concrete and specific standards for inspection at all facilities, perform more unannounced inspections, coordinate with other agencies such as the Centers for Disease Control and Prevention, and put more resources toward monitoring the causes of foodborne illness.

Popcorn recalled due to possible Listeria contamination

For its part, the FDA told CNN, "The rule-making process can take time, and we are working diligently to get this right. We are confident the end result will be a solid framework to strengthen and modernize our nation's food safety system."

The Public Interest Research Group's report joins a growing chorus of food safety advocates demanding increased scrutiny of the U.S. food supply and those calling for complete implementation of the Food Safety Modernization Act.

The group helped design the framework for the Consumer Financial Protection Bureau, the federal agency created to regulate the banking industry's consumer marketing tactics. Whether Wednesday's scathing report will lead to similar results remains to be seen.

Recall round-up: MoonPies, cookies and imported cheese

@highlight

NEW: Illnesses linked to food recalls are up 44% from January to September 2012, report says

@highlight

Tainted food sickens 48 million people each year, U.S. Public Interest Research Group says

@highlight

Implementation of a food-safety act signed into law two years ago has been delayed

@highlight

Instead of improving, the problem of foodborne outbreaks is getting worse, report says