(CNN) -- Life is difficult. Death used to be simple. You simply died, and that was it. Now, in the modern era of high-tech medicine, death is difficult, too.

The predicament facing Nelson Mandela, who has been critically ill for the past five weeks and turns 95 on Thursday, brings into sharp focus an important question that eventually affects all of us. How do we want to die?

Mandela is one of the most influential and important people on Earth, but nothing about his situation is unique or special. Intensivists -- those doctors who specialize in intensive care patients -- will tell you that every day thousands of people all over the world are going through the same thing. Playing out the end game, many of them are stuck on a ventilator with a slim to vanishing chance of ever getting back to the life they knew and loved.

Modern society is confronting a tragic, silent epidemic of frail elderly people who suffer needlessly at the end of life because of unwanted life support. These folks are effectively left to die a slow death connected to machines. As a critical care specialist who has seen this process play out many times, it can be agonizing to witness.

How did we end up here? Why has death become so complicated?

Modern medicine is powerful, but it is a double-edged sword. The way we can bring people back from the brink of death is truly amazing. There is nothing more satisfying professionally than having a grateful patent walk back into the ICU after surviving a near-death experience. But more often, for very old people, aggressive life support doesn't work out so well. Prolonged ICU care often gradually evolves into a checkmate situation.

Intensivists know what it usually means when the condition of an elderly person hospitalized for weeks is described as "critical but stable." After weeks of aggressive support, the patient still cannot survive off the ventilator.

When this happens, the muscles start to wither away from a condition called ICU-acquired myopathy. Little may seem to be happening, but as the body inevitably continues to weaken, a relentless series of secondary complications will ensue, such as pneumonia, delirium and failure of the circulatory system or kidneys. In most cases, patients need to be continuously sedated to minimize obvious pain and suffering.

When do you stop? How do you stop? And who decides? These are the wrenching issues that confront the family. The fundamental question is this: When is it time to accept the inevitability of death, change the goal of care to comfort, and let the patient have peace?

It used to be that doctors struggled with withdrawing life support, or wouldn't even consider it. At the height of the Jack Kevorkian era in the mid-1990s the chairman of our hospital ethics committee, a good friend and colleague, told me that withdrawing life support should always be difficult and make me uncomfortable. I couldn't have agreed less, but I didn't tell him.

Thankfully over the years, his views and those of most physicians have changed. Unlike my generation, medical students are now trained in ethics and palliative care. More patients have advance directives and living wills. Every intensivist will tell you that withdrawing life support and helping someone "make the transition" with comfort and dignity is one of the most satisfying and useful things that they can do. But despite this progress, there is still a fundamental disconnect. The epidemic of futile support at the end-of-life persists.

The major reason is a perfect storm created by the power of modern medical technology, our cultural emphasis on patient autonomy and the innate human tendency to deny and hide from the reality of death.

Death is scary and makes us uncomfortable. Modern culture has insulated us from witnessing death. We are out of touch with the life cycle. We deny death.

We also believe that the patient should call the shots and get the care he or she wants. But what happens when the patient can no longer express his or her wishes? Spouses, children and family are forced to make life-and-death decisions that they never volunteered to make, sometimes may not be equipped to make, or unrealistically assumed they would never have to make. But make no mistake: Unless death is sudden, one day you will need to decide when to allow someone you love to die, and someone will have to make that decision for you.

Intensivists often hear this: "I know my dad wouldn't want this, but I just can't bring myself to do it." Advance directives or a living will do not necessarily mean you will get the end-of-life care that you want. This is because withdrawing life support depends on your decision-makers, usually your loved ones, understanding and believing that you are past the point of no return. It depends on accepting death.

Mandela fought for freedom all of his life, and the world does not want to lose him. Now all we can hope for is that he is comfortable, and getting the care that he would want. If and when the day comes that he has fought long enough, it will be OK to let him be free.

The opinions expressed in this commentary are solely those of Stephan A. Mayer.

@highlight

Stephan Mayer: Critically ill for five weeks, Mandela makes us think of how we want to die

@highlight

Mayer: There's an epidemic of people suffering as they die hooked up to machines

@highlight

He says we deny death, are scared, don't want loved ones to go, allow medicine to prolong life

@highlight

Mayer: One day you might need to decide when to allow someone you love to die