Fes, Morocco (CNN) -- Fes is Morocco's oldest city, and in many ways, it feels like a window on history.

It's home to the world's largest, living medieval settlement, as well as to thousands of professionals dedicated to keeping the flame of traditional craftsmanship alive.

A champion of antiquity, Fes shows off its old-world charm to all who visit.

City within a city

The oldest section of Fes is the walled settlement, or medina, of Fes El Bali.

Originally built in the 9th century, the area comprises a twisted network of alleys and souks too narrow for cars. The medina's 100,000 residents navigate the streets on donkeys and mules.

The old town has 11,000 historic buildings, including the 14th century Bab el Guissa Mosque and the University of Karueein -- the oldest continuously operating university in the world.

"[The medina] is a mix of many kinds of details that belong to different periods historically," says Alaa Sadi, an Iraqi architect who has renovated a 15th century riad, or traditional house, in Fes.

"Here, there's plaster work you can see in Egypt and Babylon; it is very old."

Preserving craftsmanship

Though Fes El Bali is a UNESCO heritage site, it's fallen into disrepair over the centuries. About 4,000 buildings, including private homes, are in near ruin.

To combat the damage, the Moroccan government is investing around $40 million in renovation projects.

"The medina is like a big museum; you cannot touch anything there without respect," says Sadi.

"What it needs is a group of people to take responsibility of preserving its architectural features."

Restoration isn't straight-forward. Often, traditional craftsman need to be called in to ensure buildings are properly restored.

The Bab el Guissa Mosque, for example, needed to be repaired following a renovation gone wrong in the 60s.

"We found that the roof had been repaired with concrete. We had to remove all the concrete and restore the roof with the original cedar wood," recalls Fouad Serghini, the director general of Ader-Fes, a government agency dedicated the old city's rehabilitation.

"In general, our method of restoration uses the same materials we used in the past."

Hide tanning

In Fes, there's no shortage of traditional artisans (at last count, the city boasted 40,000).

Perhaps one of the most iconic sites is that of the city's tanneries, including the 11th century Chouara Tannery. Artisans there have been using the same methods to wash, tread and dye animal skins for thousands of years.

"The artisans are the ones who keep this city alive. Without them, I believe Fes would have been gone a long time ago," says Ibrahim Mouhib, a 24-year old fashion designer who incorporates traditionally reared leather and textiles in his work.

To ensure traditional craftsmanship never disappears, an artisan school called Cfqma Fes Crafts opened five years ago just outside the medina walls. There, 150 master craftsman teach the next generation of artisans a range of 25 different crafts.

"It is very difficult to find apprentices who have the ability and the desire to choose these crafts, because they are very difficult. It takes a lot of time for an apprentice to learn these professions," says Aziz El Ouahbi, the center's marketing manager.

Aziz envisions not only preserving these ancient crafts, but one day creating an industry for them in the international arena.

"We can develop the image of the artisans and import their work abroad," he says.

Interactive: Morocco's best food

Daisy Carrington contributed to this story from London

@highlight

Fes is Morocco's oldest city

@highlight

In the old town, locals get around with donkeys and mules

@highlight

The old town houses 11,000 historic buildings, including the oldest university