ATLANTA, Georgia (CNN) -- In a bustling room full of computers, giant wall-mounted monitors and constantly ringing telephones, a newly gathered army is fighting a war.

The swine flu outbreak has kept workers busy at the Emergency Operations Center at the CDC..

The control room is staffed 24/7, and the leader recently had to tell his fighters to make sure to take a day off per week.

This is the Emergency Operations Center at the Centers for Disease Control and Prevention, which has ramped up its resources to tackle swine flu, a new disease that experts say may evolve into a global pandemic.

"The last time when we were really at this level was Hurricane Katrina," said Toby Crafton, operations manager.

The CDC has 400 people tasked to work on the virus, also called the 2009 H1N1 flu, Crafton said. The agency had deployed 50 people to various U.S. states and Mexico by Friday.

The Mexican government asked the CDC to help facilitate laboratory testing of the virus during a conference call with Canada and the United States, he said.  Watch as Dr. Sanjay Gupta tours the Emergency Operations Center »

"We don't go anywhere unilaterally. We don't go into any state unless asked," Crafton said. "So if the state health department or the state health director or the government feels like their capacity is exceeded or they need us for our scientific expertise, they will ask us to come."  Explainer: What you should know about 2009 H1N1 flu »

The U.S. has also committed to giving Mexico 400,000 doses of the antiviral drug Tamiflu, a shipment believed to have arrived Friday morning, said Dr. Anne Schuchat, interim deputy director for science and public health at the CDC.

In front of each computer in the Emergency Operations Center is a placard: Ethics, Immunization, Mental Health, Security, and dozens more. The people -- some in jeans, some in skirts, some in uniforms with military stripes -- are fielding phones calls to their respective departments.

Elsewhere in laboratories, samples of the virus arrive in FedEx and World Courier packages for analysis, triple packaged to avoid leaking. Scientists are working on the genetic sequencing of the virus, as well as growing a strain that functions as a vaccine.

Although the CDC is not in the business of mass-producing vaccines, researchers there are working on developing one. A vaccine strain is being grown and characterized, Schuchat said.

Once a suitable candidate virus is developed -- it takes about three weeks -- the CDC theoretically would send it to a manufacturer, which would need another eight to 10 weeks to determine production possibilities as well as the dosage, said Dr. Nancy Cox, director of the CDC's Influenza Division, at a press conference Friday.

But it would not interfere with the seasonal influenza vaccine.

"If a vaccine for this new virus is prepared, it would be prepared either in parallel with or after the seasonal vaccine is already produced," Cox said.

Still, there has not been a recommendation to mass produce a vaccine for swine flu. The U.S. part of that decision would come from the Department of Health and Human Services.  Map: Where the flu is »

Researchers are still struggling to understand the origin of the virus.

"What isn't making sense right now is why there weren't reports of illness in pigs," said Michael Shaw, leader of the laboratory team force for the 2009 H1N1 virus. "Usually, if you find a human who has been infected by a swine influenza virus, you look around, you start seeing sick pigs, and we haven't seen that."  Watch Dr. Sanjay Gupta talk with Michael Shaw about what CDC is doing to combat virus »

It is possible that the virus did not originate in pigs. Swine viruses have been found in turkeys, for example, Shaw said.

The 2009 H1N1 virus has a "level 2" containment distinction at the CDC, although extra precautions from "level 3" are being applied, Shaw said. That means swine flu is one containment level below avian flu, which was at 3. One key handling difference is that lab workers had to shower after being exposed to the avian virus, he said.

Back in the Emergency Operations Center, computer screens glow with e-mails, maps, databases, slides and articles related to the new flu strain.

"We're going to continue to be vigilant and continue to work as hard as we can until it's over," Crafton said.

@highlight

CDC has 400 people tasked to track and fight the 2009 H1N1 flu virus

@highlight

Emergency Operations Center in Atlanta, Georgia, operates 24/7

@highlight

Researchers still struggling to understand the origin of the virus