(CNN) -- To understand how human nature sometimes doesn't heed winter weather warnings, listen to how Deanna Hunt didn't listen.

She ventured into Wednesday's storm in North Carolina, rendering herself stuck in her car on a snowbound road -- even after the nation saw two weeks ago how Georgia motorists were forced to sleep in their cars while stuck in another storm.

Such standstills frustrate officials who warn the public of deadly weather. They're now studying ways to improve messaging, the National Weather Service said.

"You know, it was such a crazy thing," Hunt, who is pregnant, told CNN. "We knew there was a huge front coming through, but you just never anticipate it coming as fast as it does. And it came in the middle of the day at lunchtime.

"My impression was that I could get to where I was going and get back, like a lot of other people. And the fact that it came so fast, that's the thing. It's amazing how quickly you can get stuck," she added. "All it takes is one accident, and then it just starts backing up, and it's the trickle-down effect.

"And here I am, ironically, stuck in it," Hunt said in a phone interview Wednesday from her vehicle. She and her child were spending their fourth hour in the car, though it should have taken only 22 minutes to get home in Raleigh.

When officials see footage of such stranded drivers, they become distressed, said Eli Jacks, the National Weather Service chief of fire and public weather services.

Weather warnings are often issued three or four days in advance of a storm so that people can prepare for their safety, Jacks said. Thwarting those efforts are public attitudes of "I've been through this before or I'll get through this," he said.

"In places that aren't used to receiving this type of weather like Atlanta and North Carolina, the images of people being on the road unable to move are very disturbing," Jacks said. "Nobody wants to see that.

"We're issuing these watches, warning and advisories, and yet people go out into these storms," Jacks said. "We issue them so that people will listen to them and say, hey, there is something different going on than the average weather."

The agency is working with social scientists and researchers on possible ways to improve the public messages. Their goal is to protect people and property.

"One of the things that we're studying is whether our messages are clear," Jacks said. "There is no single answer to this. It's a topic that I think is important to study because we want to minimize (distressing weather images) you see on TV, so that people understand the threat and they react to the threat appropriately."

Don't put on your stupid hat

Gabrielle Harte of Raleigh experienced frostbite on her ankles Wednesday when she left work and drove home as snowfall began. But she moved only a mile in an hour and then didn't move at all two hours later, so she decided to walk the remaining four miles, she said.

She became stranded in a hotel where she warmed up and discovered the apparent frostbite, she said. Fortunately, a team of nurses were also finding refuge in the hotel, and they wrapped her ankles and elevated her feet.

Harte acknowledged she heard of the weather warnings.

"I was kind of hesitant to go, but figured I would leave as soon as it started, then make it back in time," Harte said. "But once the snow came, in 45 minutes, everything was covered. Traffic was bumper-to-bumper. No one was moving."

Abandoned or snowbound vehicles in the middle of the road can hamper the travel of first responders and government trucks with snow plows, sand and salt, the North Carolina Department of Transportation said Thursday.

There's also the driving peril of fallen power lines, trees and branches as well as ice dropping from overpasses, the Georgia Department of Transportation added.

That's why transportation officials urge motorists to stay off the road during storms.

Widespread gridlock unfolded any way Wednesday, inflaming North Carolina Gov. Pat McCrory to tell residents bluntly not to be "stupid."

"More than anything else, we're just encouraging people to be smart, and don't put their stupid hat on during the next 48 hours," McCrory said, in reference to how special four-wheel vehicles were being dispatched to rescue motorists stranded on highways.

Officials and citizens alike often speak of how experience can go a long way in avoiding such calamities, but as the writer Aldous Huxley put it, "Experience teaches only the teachable."

The school of hard knocks

Georgia seemed teachable this week, as residents wisely stayed home and off the roads in the ongoing storm that has since moved north and is now pummeling North Carolina and New York.

But Georgia's response was learned the hard way after last month's ice storm brought highway and local traffic to an eerie standstill, as if frozen in a snow globe.

In all, that weather was blamed for 10 deaths in the Southeast, five in Alabama and the others in North Carolina and Mississippi.

In last month's storm, Georgia officials were excoriated for not acting promptly on early warnings.

"I accept responsibility for the fact that we did not make preparation early enough to avoid these consequences," Gov. Nathan Deal said. "... I'm not looking for a scapegoat. I'm the governor, the buck stops with me."

In this week's storm, however, Georgia's highways and byways were so empty that one Atlanta resident likened them to a sleeping beauty.

Meteorologist Mike Smith, senior vice president of AccuWeather Enterprise Solutions, remarked how Georgians this week avoided spending 22 hours stuck in their car as they did in last month's storm.

"With that wake-up call, people took the forecasts seriously this time," Smith said in a CNN commentary. "Schedules were adjusted and people worked from home. For days, meteorologists warned of widespread power failures."

Heeding the warnings mitigated the effects of electricity loss Wednesday to more than 729,000 customers in South Carolina, North Carolina, Georgia and elsewhere in the Southeast, Smith said.

Mayor blasted over opening schools

As the front now hammers New York with 14 inches of snow, controversy now roils there about whether the city should be holding school for its 1.1 million students -- especially when Gov. Andrew Cuomo declared a state of emergency Thursday for New York City, Long Island and the mid-Hudson areas.

Mayor Bill de Blasio acknowledged the criticism against opening the schools in a snowstorm, but he defended his decision. Other school districts in the region kept students at home.

"It's always a tough decision based on imperfect information," de Blasio told reporters Thursday. He said the National Weather Service reported as little as 3 inches of snow on the ground at the start of the school day, with warmer conditions than in previous storms. But meteorologist Al Roker of NBC's "Today" show disagreed with the mayor's characterization of the forecast, saying it was "on time and on the money."

"At the time, we thought our children would be able to get to school safely," the mayor said. "There are a huge number of parents for whom the consistency of the school schedule is absolutely necessary.

"They are going to work, they have no choice. If they can't get their kid to school, they don't have another option. There are huge numbers of parents for whom their kid getting to school also means their child will have a good meal, and in some cases, two meals. And so, the fact is, it's a very big deal to some parents," de Blasio added.

The city's teachers union disagreed with him, citing safety concerns.

"Having students, parents and staff traveling in these conditions was unwarranted. It was a mistake to open schools today," Michael Mulgrew, president of the United Federation of Teachers, said Thursday.

@highlight

National Weather Service studies ways to improve messaging of danger

@highlight

Gabrielle Harte gets ankle frostbite after she abandons car and walks

@highlight

Deanna Hunt, pregnant, drives into a winter storm thinking it won't hit her

@highlight

North Carolina governor tells residents not to put "their stupid hat on"