(CNN)The story of the Jews in the United States is a testament to "American exceptionalism" and stands in contrast to a long history of discrimination and pariah status in Europe and Muslim lands. In fact, the economic prosperity and social standing of America's Jews shows that generally they have fared better than many other minorities.

This positive record is a fulfillment of the assurance given to the Newport, Rhode Island, Hebrew Congregation in 1790 by President George Washington: "It is now no more that toleration is spoken of as if it were the indulgence of one class of people that another enjoyed the exercise of their inherent natural rights, for, happily, the Government of the United States ... gives to bigotry no sanction, to persecution no assistance."  Since then, American Jews have been appointed and elected to public offices as governors, senators, mayors, Cabinet officers and in the military, and today, most American adults are unaware of and don't seem to care who's Jewish.

Thus it comes as a shock when at the University of California Los Angeles, a Jewish woman student applicant for the Student Council's Judicial Board is initially rejected after being asked: "Given that you are a Jewish student and very active in the Jewish community, how do you see yourself being able to maintain an unbiased view?" According to The New York Times, the discussion that followed had "seemed to echo the kind of questions, prejudices and tropes -- particularly about divided loyalties -- that have plagued Jews across the globe for centuries."

The minutes and video of the event suggest some student leaders seemed to be auditioning for the Salem witch trials and others for jobs as political commissars in Communist North Korea.  And in February, at another University of California campus in Davis, Jewish students opposed to a Student Council resolution advocating a boycott of Israel were heckled by cries of "Allahu Akbar" and a Jewish fraternity house was daubed with a swastika.

Chancellor Gene Block of UCLA called the dust up on his campus a "teachable moment."  Yes, agreed. It seems UCLA's diverse body of students requires remedial classes in civics. Would UCLA students consider it appropriate to ask U.S. Supreme Court Justices Ruth Bader Ginsburg and Elena Kagan similarly hostile and demeaning questions?

Apparently it's necessary for the university to teach its student leadership that the U.S. Constitution bans religious tests for public office.  While they are at it, they also can inform them that the Bill of Rights assures freedom of religion, speech and assembly to all citizens.  California's university administrators might need to be reminded that Title 6 of the Civil Rights Act of 1964 applies to all Americans, and they have an obligation to ensure equal educational opportunity for all students. This includes, among other things, promptly and effectively addressing certain hostile environments.

As for the UC Davis students, they need to learn that support for Israel is a legitimate American tradition. A century ago, Supreme Court Justice Louis D. Brandeis asserted: "Zionism is the Pilgrim inspiration and impulse all over again ... to be good Americans, we must be better Jews, and to be better Jews, we must become Zionists." Students are of course free to disagree with Brandeis but not to harass or intimidate Jews who support his argument.

The events in California might be regarded as isolated incidents and youthful excesses of the type that has always marked campus life. Except of course that is not true. This type of hatred, stereotyping and bias is a worrying new development that suggests a generational problem.

In our recent study, my Trinity College colleague, Ariela Keysar, and I found that 54% of Jewish students reported experiencing or witnessing ant-Semitism on campus during the six months of September 2013-March 2014. Our survey covered 1,157 Jewish students on 55 campuses. The patterns and high rates of anti-Semitism that were reported were surprising. Another finding was that female students were more likely than males (58% versus 51%) to report anti-Semitism. Jewish women seem more vulnerable on campus today.

America's universities need to foster American exceptionalism and values.  They should take special care to avoid following current "European fashion trends."  The situation in France today demonstrates the price of failing to nip youthful extremism in the bud.

Twenty years ago, complaints by Jewish students in Paris that they were subject to anti-Semitism from a strange coalition of Marxist, fascist and Islamist groups were ignored by complacent university and government officials.

The dangerous streets of Paris are witness to what results when a country ignores problems and panders to extremist opinions.  The army is currently deployed across France to protect synagogues and Jewish community buildings. But history has taught us what begins with the Jews doesn't end with the Jews. The French army also has to defend the nation's shopping malls, government buildings and of course, its cartoonists.

@highlight

Barry Kosmin: U.S. tradition of tolerance is challenged by incidents of anti-Semitism on campus

@highlight

He says a majority of Jewish students surveyed reported experiencing or witnessing anti-Semitism