(CNN) -- While English has long been the de facto language of international business, more multinational companies are now mandating that employees communicate only in English.

According to Tsedal Neeley, a professor at Harvard Business School, companies that don't adopt English as a standard for their entire organization will, at some point, "experience some form of bottleneck."

"It depends on what the company does, but if you'll have members in different countries needing to collaborate -- whether it's to integrate technology platforms or cater to customers worldwide -- it will become more important that even middle managers and employees with international assignments will need a common language in order to interface with others."

Airbus, Daimler-Chrysler, Nokia, Renault, Samsung and Microsoft Beijing have all mandated English as their corporate language, writes Neeley in the May 2012 edition of Harvard Business Review -- and she says more than 70 Danish companies have now migrated to English.

In 2010, Japanese internet services company Rakuten made headlines when it announced it would become an English-only organization, with all communication, verbal and email, in English.

"English is the only global language," CEO Hiroshi Mikitani told CNN at the time. "We're doing a global business. I think this is the only way a Japanese service organization can become a global organization."

"If you want to become successful in other countries, you need to internationalize the headquarters," he added.

To help make the transition, Japanese language signage was removed from cafeterias and elevators. Mikitani even conducts performance reviews with his Japanese executives in English, according to Neeley.

If this sounds bewildering for employees, it can be. Two years into an English-only implementation at one company Neeley studied, 70% of employees reported feeling frustrated with the policy. That's why she says businesses must plan carefully before implementing an English-only policy.

"In the absence of language strategies, you see so many people getting hurt and diminished," Neeley says. "When a company announces a language change without any thought or preparation for employees, many people lose the promotional path that they've spent their whole lives developing."

See also: Is workplace boredom 'the new stress?'

Shifting a company's entire operations into a new language isn't easy. But Neeley, who has studied corporate language strategy for a decade, has some suggestions.

• Companies need a clear, well-aligned strategy and "it needs to be supported and implemented at all levels of the organization, from the CEO down to the supervisor/manager of every employee who is subject to having to convert to a new language," she says.

• Off-the-rack tuition won't cut it. "English lessons alone are not enough," Neeley says. "If you have an aggressive environment where people work an extraordinary amount of hours and they're challenged with goals, language vendors need to help make sure you're capable of learning successfully while being successful at your job."

The best results come when instruction is customized to employees' roles, with vocabulary geared specifically towards the types of emails they write, for instance.

• Go for broke. While some companies choose to become bilingual before adopting English wholesale, Neeley says this is "incredibly expensive and unsustainable."

• Those with English as a first language need to make adjustments too. "Native speakers need to learn how to dial themselves down and how to accommodate others," Neeley says.

• Managers should adopt a zero-tolerance policy to backsliding, to make it clear that the change to English is not only possible but permanent.

Depending on the company's size, resources and the aggressiveness of its pursuit of English, Neeley estimates implementation is "a four to 10-year odyssey", with ongoing maintenance required thereafter. But she says the journey is worth it, pointing out that a company with English proficiency across the board has greater operational agility and "can serve all of their market seamlessly by using all of their human capital worldwide to achieve any end."

See also: Is happiness the secret of success?

Immediately after acquiring a Canadian company, Rakuten was able to deploy seven of its top engineers to Toronto, to begin integration processes, according to Neeley.

"Two years ago they could have never done that," she says. "That shows the extent to which expertise and knowledge flows through the company in ways it wouldn't otherwise."

For individuals too, there are benefits. Depending on their fluency and how far their career has advanced, an employee may experience performance anxiety and job insecurity when asked to work in a new language. But, Neeley says, as fluency increases, the emotional strain diminishes and bilingualism becomes something enjoyable. Perhaps even profitable.

"You also see them starting to shoot up in their careers," Neeley observes. "They begin to take on roles that require more and more communication in the English language."

@highlight

More companies mandating English as their corporate language, says Harvard Business School professor

@highlight

Japanese company Rakuten is among those that have gone "English only"

@highlight

Expert says employees can experience performance anxiety while making transition to English