WASHINGTON (CNN) -- When Ontario, California, Police Sgt. Jeff Quon used his city-issued text messaging pager to exchange hundreds of personal messages, some of a "sexually explicit" nature, did he have a right to expect those messages would be kept private?

The Supreme Court decided Monday that it will determine whether a police officer has a "reasonable expectation" of privacy on his official wireless two-way text-messaging pager.

The justices accepted a pair of appeals on this free-speech and privacy dispute, and will hear oral arguments in the spring.

At issue is how far a government employer may go to monitor the private communications of its workers when they believe that the use of such equipment is being abused.

And the court will explore whether service providers can be held liable for providing those communications without the consent of the sender.

Courts have said that private communications -- even when delivered or transmitted through a public portal -- are generally protected from "unreasonable search and seizure," such as handwritten letters sent in sealed envelopes through the U.S. Postal Service.

The department has a "Computer Usage, Internet and E-mail Policy" that gives workers only limited use for personal communications. Quon signed a statement acknowledging that "use of these tools for personal benefit is a significant violation of City of Ontario Policy" and that "users should have no expectation of privacy or confidentiality when using these resources."

Quon, a SWAT team sergeant, claimed that he was unaware the city's overall policy applied to the department and said there was an "informal policy [that] allowed officers to maintain their privacy in their text messages as long as they paid the overage charges."

The city's contract with Arch Wireless, now known as USA Mobility, allowed for a 25,000-character limit per month, per device, before overage charges kicked in. Quon acknowledged that he exceeded the limit at least several times and paid the extra charges out of his personal funds, as required by his bosses.

Both sides agree that Quon's supervisor grew "tired of being a bill collector" of his text-happy officers, and the chief of police ordered a review of the pager transcripts for the two officers with the highest overage, one of whom was Quon.

Officials claimed in court that the review was done only "to determine whether the city's monthly character limit was insufficient to cover business-related messages."

It was only in reading the transcripts voluntarily provided by Arch Wireless from its electronic archives that the often-racy messages to his wife, his girlfriend and a fellow officer were revealed, prompting an internal department investigation.

A review of one month found that Quon had sent and received 456 personal messages while on duty, an average of 28 per shift, and only three were deemed work-related. A federal court judge characterized many of the messages as not "light personal communications," as defined in the policy as generally acceptable, but words that were, "to say the least, sexually explicit in nature."

Quon sued the wireless company and the city for invasion of privacy. That suit and any possible disciplinary action against the officer has been put on hold pending resolution of the larger legal questions.

A federal appeals court had ruled for Quon. Because "the [police] department opted to review the contents of all the messages, work-related and personal, without the consent of Quon, we held that the search was excessively intrusive in light of the noninvestigatory object of the search," wrote the three-judge panel.

This case deals within the context only of government employees, and legal and technology experts are divided over its application in the private sector, where employees may enjoy less constitutional protection.

The city of Ontario is in San Bernardino County, about 37 miles east of Los Angeles.

The case is USA Mobility Wireless Inc. v. Quon (08-1332).

• Also Monday, the Supreme Court, as expected, dismissed another challenge from several former Guantanamo Bay detainees over their claims of torture and religious discrimination.

Four British men, all Muslims and onetime prisoners at the U.S. military prison in Cuba, had sued former Defense Secretary Donald Rumsfeld and other top Pentagon officials, saying they knew of and condoned physical abuse and denial of rights guaranteed under international law.

A federal appeals court had rejected a lawsuit -- the second one filed by the men -- saying the officials had immunity from such claims.

But in June 2008, the Supreme Court allowed Guantanamo prisoners to challenge their captivity in federal court, and a year ago, the justices urged the lower court to reconsider its decision against the British detainees.

In the government filing this fall, Solicitor General Elena Kagan told the high court to exercise caution in granting what she called "new rights" to detained foreign fighters suing for damages in a military setting. The high court, she noted, had previously told lower courts "to pay particular heed to any special factors counseling hesitation before authorizing a new kind of federal litigation."

The prisoners alleged that their captors beat them, confined them in painful stress positions and used dogs to intimidate the Muslim men during a period from 2002-04. They also claim being forced to shave their beards and being denied prayer mats and religious texts. One foreign fighter suspect also claimed that a military guard threw a copy of the Quran in a toilet, a major insult to the Islamic faith.

The case is Rasul v. Myers (09-227).

@highlight

Supreme Court will hear two appeals regarding messages on government work devices

@highlight

Privacy dispute centers on police officer who sent "sexually explicit" messages on the job

@highlight

Police officer sued city and wireless company for invasion of privacy

@highlight

Justices also dismissed claims by former Guantanamo detainees