Editor's note: Ilya Shapiro is a senior fellow in constitutional studies at the Cato Institute, a libertarian public policy research foundation, and editor-in-chief of the Cato Supreme Court Review. Before joining Cato, he was special assistant/adviser to the Multi-National Force-Iraq and practiced law at Patton Boggs LLP and Cleary Gottlieb LLP. Earlier, Shapiro clerked for Judge E. Grady Jolly of the U.S. Court of Appeals for the Fifth Circuit.

Ilya Shapiro says the Sotomayor appointment is a case of identity politics rather than a choice on the merits.

(CNN) -- In picking Sonia Sotomayor, President Obama has confirmed that identity politics matter to him more than merit. While Judge Sotomayor exemplifies the American Dream, she would not have even been on the short list if she were not Hispanic.

She is not one of the leading lights of the federal judiciary, and far less qualified for a seat on the Supreme Court than Judges Diane Wood and Merrick Garland or Solicitor General Elena Kagan.

To be sure, Sotomayor has a compelling story: a daughter of working-class Puerto Ricans raised in Bronx public housing projects, diagnosed with diabetes at 8, losing her father at 9, accolades at Princeton and Yale Law, ending up on the federal bench.

Still, in over 10 years on the Second Circuit, she has not issued any important decisions or made a name for herself as a legal scholar or particularly respected jurist. In picking a case to highlight during his introduction of the nominee, President Obama had to go back to her days as a trial judge and a technical ruling that ended the 1994-95 baseball strike.

Moreover, Sotomayor has a mixed reputation among lawyers who have practiced before her, some questioning her abilities as a judicial craftsman, others her erratic temperament, according to a piece by Jeffrey Rosen in The New Republic, which itself has come in for criticism.

Such anecdotal criticism is to be taken with a grain of salt -- while Justice Antonin Scalia's bench-side manner is more vinegar than honey, even his detractors recognize his brilliance -- but it does need to be investigated. So, too, do certain statements she made in presentations at Berkeley and Duke, respectively, the former arguing that a Latina necessarily sees the law differently than a white man, the latter suggesting that, at least to some degree, judges make rather than interpret law.

Again, this does not mean that Sotomayor is unqualified to be a judge -- or less qualified to be a Supreme Court justice than, say, Harriet Miers. It also does not detract from the history she would make as the first Hispanic Supreme Court nominee -- if you don't count Benjamin Cardozo, a descendant of Portuguese Jews. But a Supreme Court nomination is not a lifetime achievement award, and should not be treated as an opportunity to practice affirmative action.

Ironically, it is race-based employment practices of another kind that will likely get this nomination in hottest water. Sotomayor was on a panel that summarily affirmed the dismissal of claims brought by firefighters, including one Hispanic, whose promotions were denied because they would be based on a (race-neutral) exam whose results didn't yield the "right" racial mix. Curiously, the Ricci v. DeStefano appellate panel issued a cursory "unpublished" opinion that failed to grapple with the complex legal issues presented in the case.

Sotomayor's colleague José Cabranes, a liberal Democrat, excoriated the panel, without expressing a view on the merits of the case. Cabranes' dissent from the Second Circuit's decision not to rehear the case caught the Supreme Court's attention and, based on the oral argument, the court will probably reverse Sotomayor's panel when it rules on the case next month. iReport.com: Sotomayor 'the new face of America'

We are thus likely to have the unusual scenario of a Supreme Court decision having a direct personal effect on a nominee's confirmation process, which will not only force Sotomayor onto the defensive but cost the president significant political capital. It will also show that Obama's calls for "empathy," echoed by Sotomayor's citing her personal experiences as a Latina, ring hollow.

If Frank Ricci, a dyslexic fireman who sacrificed significant time and money and was denied promotion solely for his skin color, is not an empathetic figure, I'm not sure who is. And that is the larger point: A jurisprudence of empathy is the antithesis of the rule of law.

As then-Judge John Roberts said at his confirmation hearing: "If the Constitution says that the little guy should win, then the little guy's going to win in the court before me. But if the Constitution says that the big guy should win, well then the big guy's going to win, because my obligation is to the Constitution."

In any event, Senate Republicans will now have to decide what posture to take: combative or deferential, political or analytical. With the president still at the height of his popularity and solid Democratic control of the Senate (even without Arlen Specter and Al Franken), the GOP is unlikely to sustain a filibuster or even, unless outrage over the Ricci case grows, vote Sotomayor down. iReport.com: Sotomayor pick a 'gimmick'

What they should do instead is force a full public debate about constitutional interpretation, probing Sotomayor's judicial philosophy and refusing to accept nonresponsive answers that mouth platitudes or avoid taking firm legal positions.

Now is the time to show the American people the stark differences between the two parties on one of the few issues on which the stated Republican view continues to command strong and steady support. If the party is serious about constitutionalism and the rule of law, it should use this opportunity for education, not grandstanding.

And if Democrats insist on playing identity politics, I suggest a two-word response: Miguel Estrada, the Honduran immigrant with his own rags-to-riches story whose nomination to the D.C. Circuit Democrats successfully filibustered, effectively preventing George W. Bush from naming the first Hispanic Supreme Court justice.

The opinions expressed in this commentary are solely those of Ilya Shapiro.

@highlight

Ilya Shapiro: Choice of Sotomayor is based on identity politics, not merit

@highlight

He says her life story is compelling but she should be thoroughly vetted

@highlight

Shapiro: Sotomayor may suffer from failure to deal with issues in New Haven case

@highlight

He says Republicans should educate public about differences over the law