Manila, Philippines (CNN) -- Tropical Storm Washi moved away from the southern Philippines early Monday, but not before leaving behind a wake of destruction and at least 652 people dead, according to the Philippine Red Cross.

There were no public storm warnings for the East Asian island nation Monday morning, according to the Philippine Atmospheric, Geophysical and Astronomical Services Administration.

Yet authorities and residents still had the considerable task of cleaning up from the devastation and mourning those killed by what the state-run Philippines News Agency noted was the 19th tropical system to hit the nation this season.

A report released Monday morning by the National Disaster Risk Reduction and Management Council noted that the storm had affected more than 135,000 people, nearly 47,000 of whom were in evacuation centers.

President Beningo Aquino plans to visit the region Tuesday.

The Red Cross noted that hundreds are missing after entire villages were swept away, suggesting the death toll could rise further. The stench of death permeated the air as aid workers scrambled to help survivors.

The disaster has left heartbreaking scenes of families with children looking for ways to get by during the festive Christmas season.

"Do we still have Christmas, mother?" one crying little girl asked her mother, according to the Red Cross. "Will I get my toys and my new pair of shoes you promised?"

"Of course you will," the mother replied. "Christmas will always be around."

Military and disaster officials said the vast majority of the dead were found in the port cities of Iligan and Cagayan de Oro, many of them swept away as they were sleeping. Water-logged bodies from washed-away villages floated at the shoreline, on the northwestern coast of Mindanao island.

Five people were killed in a landslide, but virtually all the others died in flash flooding after Tropical Storm Washi, which is called Sendong locally.

Survivors in the hardest-hit areas are contending with no electricity or clean drinking water. One woman in Cagayan de Oro collected murky brown floodwater in a bucket, just meters away from where a destroyed vehicle was submerged.

Flash flooding overnight Friday -- following 10 hours of rain -- fueled the devastation. As much as 20 centimeters (8 inches) of rain fell within 24 hours in some areas.

December generally brings about 60 millimeters of rain (a little over 2 inches) to the region, CNN Meteorologist Pedram Javaheri reported.

Overflowing rivers and tributaries compounded the disaster for low-lying areas, and officials said floodwater reached roof-level in the middle of the night.

The destruction left cars, furniture and parts of houses in mangled heaps, partly immersed in squalid floodwater.

The storm moved into Cagayan de Oro -- a densely populated, urbanized city -- during the overnight hours when people were asleep. A half dozen vehicles there looked like littered toy trucks, with some on their sides or roofs.

Many people trudged through knee-high water and packed into evacuation centers.

An estimated 100,000 people are displaced, according to the Department of Social Welfare and Development.

The national disaster council noted that about 377 passengers -- on four ships -- were stranded as of Sunday night, due to the storm. In addition, nine sections of roads and bridges were seriously damaged.

While the tropical storm had passed off-shore, some unrelated thunderstorms threatened to dump even more water on the region, Javaheri said. The weather was warm, with temperatures of up to about 30 degrees Celsius (86 Fahrenheit),

Philippine Red Cross Chairman Richard Gordon will travel to the stricken region Monday to assess the damage, the organization said.

"Certainly this is a very severe humanitarian crisis going on," Gordon said Sunday.

Authorities have started distributing food rations for some 10,000 families affected by the storm, while also handing out thousands of blankets and mosquito nets, the Red Cross said.

The aid agency is appealing for drinking water, food and dry clothes, and officials have asked for volunteers to pack food to send to those who have been displaced.

Some Philippine residents called the disaster unprecedented.

Benito Ramos, chairman of the national disaster council, said he thinks the event was influenced by climate change and deforestation.

Ramos said the storm moved in a westward path to areas rarely hit by major storms or flooding.

The most devastated cities -- Cagayan de Oro and Iligan -- became catch basins for water flowing from highlands with denuded forests. Floodwater from Bukidnon province poured down into Cagayan de Oro, while water from Lanao del Sur province gushed into Iligan.

CNN Meteorologist Ivan Cabrera contributed to this report.

@highlight

NEW: The tropical storm passes the Philippines

@highlight

NEW: The system has affected more than 135,000 people, a national agency says

@highlight

President Aquino plans to visit the region Tuesday

@highlight

"Do we still have Christmas, mother?" a crying young girl asks