(CNN) -- Myanmar plans to release 651 prisoners starting Friday, state television reported, one day after the country's leadership announced a cease-fire with an ethnic rebel group that has waged a bitter, decades-long insurgency for greater autonomy.

Democracy activists are expected to be among those released throughout the day.

On Thursday, a cease-fire deal with the Karen National Union (KNU) was widely seen as another attempt by the nominally civilian government to gain greater international credibility.

The Karen will now be permitted to travel throughout the country, but without weapons, a government official said.

Karen leaders and activists said it was too early to gauge whether peace would take hold.

"We have to begin with a cease-fire and then proceed to negotiations, with political dialogue taking place later," KNU Vice President Saw David Thakabaw told the United Nations news service earlier.

KNU leaders said a key problem remains security for civilians living in camps for the internally displaced. They said the government was still sending supplies and troops into Karen areas.

One of eight prominent ethnic groups in Myanmar, the largely Christian Karen have been fighting in the country's eastern jungles for greater rights since Burmese independence from Britain in 1948.

Myra Dahgaypaw, a Washington-based Karen activist with the U.S. Campaign for Burma, said there are no precise numbers on how many people have suffered in the long-running conflict. Just since 1996, she said, government troops have burned down 4,000 Karen villages.

According to the CIA Factbook, about 140,000 mostly Karen refugees fleeing civil strife, political upheaval and economic stagnation live in remote camps in Thailand near the border.

Many have found new homes in other countries -- about 30,000 are in the United States.

Dahgaypaw, 35, who spent 17 years in a Thailand camp for the displaced, said Myanmar's leadership in Napidaw had not yet put its stamp of approval on the agreement. She was not ready to celebrate peace just yet.

But if it really does take hold, she said, it will mean that many people will be able to finally go back home.

"Since independence, we have never experienced basic freedom," she said, adding that the Karen have had to fight to preserve their culture. "If we don't fight for it, we will get killed."

National reconciliation has been a key demand of democracy leader Aung San Suu Kyi as well as Western powers, including the United States.

The cease-fire agreement came on the same day Suu Kyi's party said it will participate in upcoming elections.

Ruled by a military junta since 1962, Myanmar is now under President Thein Sein, a former general elected in March, 2011. The new government has instituted rapid reforms but the verdict is still out on whether they are genuine, or merely moves to appease critics.

In October, it granted a mass amnesty, which authorities say will eventually free 6,300 prisoners.

"The government is striving for emerging good governance and clean government, flourishing of democratic practices, ensuring rule of law, making economic reform and motivating environmental conservation in building a new peaceful, modern, and developed discipline-flourishing democratic nation," the president said then.

The opposition website Mizzima reported Thursday that state-run television had announced another amnesty Friday involving 651 prisoners.

The Obama administration cautiously says it finds the changes encouraging as well as promising. Hillary Clinton visited Myanmar last month, the first visit by a secretary of state in more than a half-century.

And last week, Suu Kyi met with William Hague, the first British foreign secretary to visit Myanmar in more than 50 years. He called the peace deal "good news" after 63 years of fighting.

"It has been a longstanding goal of the international community to see a ceasefire, and indeed it was one of the key issues on which I urged the Burmese government to make progress during my visit last week when I also met with Karen representatives," he said. "There is still a long way to go fully to rebuild trust between the parties after so many years of conflict, but this is an important step in the right direction."

Myanmar, also known as Burma, has historically blamed the ethnic rebels for waging attacks to destabilize the government.

Thursday's announcement coincides with a meeting between U.S. diplomats and Suu Kyi, a Nobel Peace Prize winner and the face of democracy in Myanmar.

The U.S. delegation arrived in the country Monday and has since met with top government officials.

Meanwhile Thursday, Suu Kyi's National League for Democracy said it will announce a roster of 23 candidates, including Suu Kyi, with 48 seats up for grabs.

The NLD won more than 80% of the legislative seats in 1990 -- the first free elections in the country in nearly 30 years -- but the ruling military junta refused to recognize the results.

Suu Kyi has lived most of the past two decades under house detention.She was released in 2010.

CNN's Kocha Olarn contributed to this report.

@highlight

NEW: Myanmar plans to release 651 prisoners starting Friday, state television reports

@highlight

If the cease-fire holds, it will end 63 years of bloody conflict

@highlight

Myanmar has historically accused the Karen of waging attacks to destabilize the military junta

@highlight

Karen activists said it was too early to gauge whether peace would hold