New York (CNN) -- Pro basketball is a staple of American athletics, taking its place with Major League Baseball and the National Football League as one of the pre-eminent U.S. sports leagues. And it's big business, too, pumping tens of millions of dollars into the U.S. economy.

So the owner of the Brooklyn Nets raised eyebrows this week when he said he planned to transfer ownership of the team to a company in Russia -- at a time when tension between the U.S. and Russia is at its highest level since the end of the Cold War.

That raised two questions: Will it happen? Does it matter?

The billionaire owner, Mikhail Prokhorov, Monday reiterated his year-old intention to transfer the Brooklyn Nets ownership base to Russia, but has since toned down his rhetoric.

"This is a long process which may or may not come to fruition and nothing is imminent," Prokhorov's company, Onexim Sports and Entertainment, which owns the NBA basketball team, said in a statement released via the Brooklyn Nets. "Of course, no steps in this direction could or would be taken without the full knowledge and approval of the NBA."

On Monday, the 48 year-old Russian national told reporters in Moscow, "I have already stated that I will transfer the basketball club (under the Russian jurisdiction)," according to Russian news agency ITAR-Tass.

Not so fast, the NBA said, telling CNN the transfer has yet to begin.

"The Nets are owned by Mikhail Prokhorov through a U.S.-based company," Mike Bass, executive vice president of NBA communications, told CNN. "We have received no official application, nor is there a process under way through our office to transfer the ownership of the Nets to another company."

If an application to change ownership was submitted by the Nets, 75% of NBA team owners -- or 23 of 30 -- would have to approve the move, Bass said. He said that the NBA's Board of Governors (the 30 team owners) would have to decide whether there are any issues with the transfer of ownership application.

Currently, the NBA has no rules prohibiting a foreign company from owning an NBA team.

The back-and-forth comes as Russian President Vladimir Putin pushes Russian businessmen to "de-offshore" companies owned abroad.

Last week, Putin stressed the importance of bringing the companies home and making them pay Russian taxes to help grow the economy, according to the Kremlin website.

"Entrepreneurs need to understand their responsibility," Putin told a group of Russian businessmen last week. "Our priority stance is that Russian companies have to be registered here, in their home country and have a transparent ownership structure."

Onexim Group is described as a private investment holding company that owns or manages various metals companies, financial companies and media outlets, as well as the Nets, according to the site.

In recent weeks, Washington has imposed sanctions on senior Russian officials and what officials called "cronies" of Putin, as well as a bank, after warning Putin against annexing Crimea from Ukraine.

President Barack Obama also signed an executive order that authorizes his administration to target Russian companies vital to the economy, including financial services, energy, metals and mining.

When asked about the idea of a basketball team transferring its ownership to be based in Russia, the State Department declined to comment.

Onexim says the discussions to move the Brooklyn Nets under Russia's jurisdiction began in the spring of 2013. At the time, Prokhorov intended to run for public office and the move was an attempt to comply with Russian laws regarding political candidates.

"Mikhail was not in any way tying it to the current political situation," Ellen Pinchuk, director for international projects at the communications adviser group Mikhailov & Partners, said this week.

Prokhorov called the move "an outstanding opportunity to use NBA technologies for the step-by-step development of basketball in Russia," according to ITAR-Tass.

Alexander Kliment, director of Russia research and emerging markets at Eurasia Group, a global political risk and consulting firm, said there is a basic agreement between Putin and oligarchs permitting them to make money as long as they stay out of government. They're also expected to comply with government demands, he said.

"Prokhorov is falling into line with the Kremlin's broader emphasis on returning the assets of Russia's wealthiest businessmen back to Russia," Kliment said. "There's a political dimension to that: to ensure that the wealthiest are as dependent on him as possible and as independent of the west as possible."

Russia's oligarchs always had to balance keeping assets at home versus abroad, Kliment said, but pressure has been increasing.

"For a long time the political risk of keeping assets in Russia appeared to be higher, but in the past month that has shifted because of pressure from both the Kremlin and the White House," Kliment added.

Courtney Brunious, associate director of the USC Marshall Sports Business Institute, said such a move in the sports world could be complicated by the current political situation.

"Any type of moves that take into consideration the residency of who owns the team would be impacted by whatever laws in the country in which they reside and any type of sanctions that currently or could potentially be placed on a country, such as Russia," Brunious said.

If NBA team owners gather to discuss the transfer they have to consider the best interest of the league and owners, as well the ramifications of ownership change, he said.

"Anyone that has a background, like Prokhorov, that could be aligned with sanctions, needs to be taken seriously," Brunious said.

He added: "The NBA as a whole wants draw from a large audience. They want to focus on the talent and competition on the court, they don't necessarily want to link up with geopolitical issues."

"Unless the move raises issues with the league or the U.S. government, Nets fans probably shouldn't be worried. As long as the Nets ownership group is financially sound and not running afoul of those groups, the team won't likely feel much of an impact," Brunious said.

Prokhorov became principal owner of the Nets in 2010. He bought 80% of the team, as well as a 45% stake in the Barclays Center, the iconic new facility the team has called home since 2012.

The Brooklyn Nets are worth $780 million, the 5th most valuable franchise in the NBA, according to Forbes.

Prokhorov -- worth $10.4 billion, the 120th richest person in the world and the 11th richest in Russia, according to Forbes -- gained his wealth through minerals and metal investments in the years after the fall of communism in the early 1990s.

He's got a reputation as a financial sage.

"I like business, it's my profession," Prokhorov told CNN's Matthew Chance in 2011. "I spend, like, 15 hours a day in the office. It's the great joy in my life, and I never think about money."

Prokhorov has shown interest in politics in the past, and even ran for president in Russia as an independent against Putin in 2012.

At the time, some saw him as too close to the regime in power. Many Russians suspected the Kremlin put Prokhorov up to garner some legitimate votes without being a true threat to Putin, giving the impression that the contest was fair.

CNN's Leigh Remizowski, Quand Thomas, Jillian Martin and Frederik Pleitgen contributed to this report.

@highlight

Russian billionaire owner of Nets considers ownership move to Russian jurisdiction

@highlight

The move is "not in any way tying it to the current political situation," the owner's rep said

@highlight

Obama signed an order that can target Russian companies vital to its economy