(CNN) -- The Pulitzer Prize winners for 2009 were announced Monday, with The New York Times capturing five of the awards.

Writer Jon Meacham won a Pulitzer Prize in biography for "American Lion: Andrew Jackson in the White House."

The Times garnered wins in the categories of breaking news reporting, investigative reporting, international reporting, criticism and feature photography.

In the international reporting category, The Times won for its reporting on the battles in Afghanistan and Pakistan.

In the arts, "Olive Kitteridge" by Elizabeth Strout won for fiction, "Slavery by Another Name: The Re-Enslavement of Black Americans from the Civil War to World War II" by Douglas A. Blackmon won in the general nonfiction category, and "American Lion: Andrew Jackson in the White House" by Jon Meacham won for the category of biography.

Among the winners in journalism categories were the Las Vegas (Nevada) Sun for public service, the San Diego (California) Union-Tribune's Steve Breen for editorial cartooning and columnist Eugene Robinson of The Washington Post for commentary.

For the first time, all 14 Pulitzer journalism categories were open for competition from news organizations that publish only on the Internet. Entirely online entries were previously permitted in only two categories: breaking news coverage and breaking news photography

Since 2006, online content from newspaper Web sites had been permitted in all Pulitzer journalism categories, but online-only newspapers were not allowed to submit entries.

Despite the opportunity, there were no winners from online only news sites.

Web sites for print magazines and broadcast outlets are not eligible to enter, said Sig Gissler, administrator of the Pulitzer Prizes.

Amy Mitchell, deputy director for the Pew Research Center's Project for Excellence in Journalism, said that allowing online-only publications to apply for the prestigious award is recognition of the growing importance of online media.

"Much of [media] comes from traditional press, but a lot is coming from non-traditional press as well, and that needs to be recognized along with what's being produced in traditional media," she said. "We've clearly hit a point now where we've seen the audience migration to the Web accelerate."

Mitchell said a survey of online journalists conducted by the Project for Excellence in Journalism found some concerns about the possibility of online reporting changing the fundamental values of journalism. Those surveyed cited issues like a focus on speed and loss of accuracy as possible issues that could arise with journalism on the Web.

But with those concerns, Mitchell said, comes the opportunity to tell stories in a multidimensional way.

"We see some tremendous reporting that could not exist in former modes of communication," she said, observing that media platforms such as text, photo galleries and video can not only be connected but be used to connect journalists to Internet users and Internet users to each other.

"Those are tremendous changes," she said.

Robert M. Steele, the Eugene S. Pulliam Distinguished Visiting Professor of Journalism at DePauw University in Indiana, said the core values of accuracy and fairness have to be honored, no matter the method of reporting.

Still, Steele said, further opening the Pulitzer Prizes to online publications "gives further weight to the role that digital journalism plays in this era."

"In some ways, it's increased legitimacy for new forms of delivering journalism," Steele said. "It also heightens the discussion about the distinction between basic information and substantive journalism. Just because somebody throws something online doesn't mean it is journalism."

David Plotz, editor of Slate, said his site did not apply for the Pulitzers despite what he believes was his publication's exceptional political, technology and business coverage.

"We are not a hard-news site, and we don't do the kinds of stories and projects that have traditionally been awarded," Plotz said.

Plotz said the recognition for online journalism is more than warranted.

"It's an overdue acknowledgement that some of the best journalism in the world and in America is being created not for print publication but for places that live entirely on the Web," he said.

"There's so much of it that doesn't ever get into a print publication and yet is as important to shaping the debate and to changing how people think about things as to anything you might read in one of our great newspapers or magazines."

Pulitzer Prizes for journalism were also awarded to the following: Bettina Boxall and Julie Cart of the Los Angeles (California) Times for explanatory reporting; the Detroit (Michigan) Free Press Staff, and notably Jim Schaefer and M.L. Elrick and Ryan Gabrielson and Paul Giblin of the East Valley (Arizona) Tribune for local reporting; and the staff of the St. Petersburg (Florida) Times for national reporting.

Also receiving awards were Lane DeGregory of the St. Petersburg Times for feature writing; Mark Mahoney of The Glens Falls (New York) Post-Star for editorial writing; and Patrick Farrell of The Miami (Florida) Herald for breaking news photography.

In the arts, "Ruined" by Lynn Nottage won for drama; "The Hemingses of Monticello: An American Family" by Annette Gordon-Reed won for history; "The Shadow of Sirius" by W.S. Merwin won the poetry category; "Double Sextet" by Steve Reich won for music.

@highlight

Prizes were awarded Monday for excellence in journalism and the arts

@highlight

For first time, online-only news sites could compete

@highlight

Slate editor: overdue acknowledgement of quality Web-based journalism