Phoenix, Arizona (CNN) -- It's her lunch break on a sunny afternoon in Phoenix and instead of chatting with friends in the courtyard, 17-year old Maria Castro is standing in front of a white board inside Carl Hayden Community High School. She has a fat red marker in her hand and is furiously scribbling around a triangle while muttering about sine and cosine.

"We're studying for a final," she explains while solving for angles. "We have a math final today."

It is mid-January, just days into the new semester, which is a strange time for a final, but then, this math class is unusual. It is taught after school and crams two years of math into two semesters. Maria, a junior, is not complaining. She's the one who lobbied for the class once she figured out during her sophomore year that she wasn't on track to take calculus before graduation.

"To get into a good university," she tells me earnestly, "I have to have, at minimum, calculus."

Pushing kids to math and science

Maria's sights are set very high. Her first-choice college is Stanford University.

"She's an exemplary student. I am very proud," her mother tells me in Spanish as I sit on the Castro front porch.

Maria is successful in high school while so many of her peers are struggling. She is studying accelerated math, honors English, honors chemistry, honors economics and she's in robotics, where she is vice president of the team. Half of them are girls. Maria's teammates call her 'Mom,' because of her tendency to nudge and encourage. And the team has been successful,  winning a roomful of awards, including one national prize. But the lessons Maria is learning are about much more than gears, sensors and computer code.

"One of the things we talk about being on a robotics team is that you can't let things happen to you. You have to go out and make things happen," says Faridodin "Fredi" Lajvardi, her robotics coach.

Watch Maria in the trailer for "Education in America: Don't Fail Me"

For Maria, that meant writing up a proposal for an accelerated math class, roping in 31 other students to take part, and then literally begging the principal to find the funding.

Lajvardi -- the kids call him Ledge -- has been teaching at Carl Hayden for 23 years. The school is 94% Latino. He says most parents of his students are working-class immigrants who have survived by working in food service or landscaping. He says they have made a living without higher education and believe their children can get along that way, too, "but that can't happen."

"More and more of those kind of jobs are just disappearing," Lajvardi tells me. "Things are getting automated. ... If you don't keep your education level up, you will be left out."

He's most worried about Latino students. They make up one-fifth of the school-age population in the United States and will be 30% of the adult population by 2050. At Maria's school, half the students don't pass Arizona's proficiency exams, which means they don't meet the bar for basic knowledge in math, reading and science.

Time.com: Why the Hispanic student crisis is going ignored

Nationally, only half of Maria's Latino peers graduate on time. The reason is complicated, but stems mostly from issues connected to poverty.

"In many cases the schools lack the resources and personnel to respond adequately to student needs," explains Pedro Noguera, a professor of education at New York University. "Many of the students attending such schools also feel pressure to find jobs to support themselves and their families. If they don't see college as a real option they are even more likely to dropout."

Most of the kids who attend Maria's school are poor. More than 83% of its students are eligible for free or reduced lunch. The school is "Title I," meaning it receives federal assistance because it has a lot of high-poverty, high-risk students. None of Maria's six siblings who attended Hayden before her graduated from there on time.

But Maria is a go-getter. Through tears, she tells me a heart-wrenching story about overhearing her father speaking with one of her favorite teachers at her quinceanera -- her 15th birthday celebration. The teacher was raving about Maria's dreams and strong academics.

"It's just a matter of time before she fails," Maria says she heard her dad tell the teacher. "It doesn't really matter what she does now, she will eventually give up." Maria recalls the story for me as tears roll down her cheeks.

Where many students would be disheartened by what they heard, Maria was spurred to achieve even more.

"I kinda just took it and flipped it around like, 'Well I'm going to show you,'" she explains. "I can prove to myself that I can do it."

Her focus means a grueling schedule. After school, there is math class, dancing, band and taking care of her little sister, 10-year-old Azucena. And, of course, robotics. By the time she entered Carl Hayden, the school was renowned for its robotics team.

The team has six weeks to build a robot from a box of parts. They compete with about 52,000 students around the globe. Those who think it's all about the robot don't fully get it.

How the U.S. lags in math, science -- and how to improve

"The robot is just the thing that gets all the kids here in one place," Lajvardi tells me. "What's really important is all the working together with the different mentors and the adults learning how to deal with people, learning how to solve conflicts, learning how to solve problems ... the biggest thing is learning how to be successful and that what they do matters."

The robotics competition -- called FIRST: For Inspiration and Recognition of Science and Technology -- was designed to get high school students interested in math and science careers. The United States ranks 27th among developed nations in the proportion of college students receiving undergraduate degrees in science or engineering.

Maria doesn't need convincing. She believes hard work in math and science classes will get her where she needs to go. "I'm competing with the rest of the world and the rest of the world isn't sleeping, isn't eating, is just going that much farther to succeed. And to be at their level, I have to be better than them. I have to try that much harder."

"They want to be successful," Lajvardi says of Maria and her teammates. "Once they find out that they're the only person that will limit what they can do, and they decide they want to do something, they're going to go for it."

He says Maria learned that lesson quickly, in her freshman year. "And she grabbed on with both hands and she's making the most of it," he says.

"I want to shoot for the moon," Maria says repeatedly. It's become her mantra. "In case you miss you always hit a star. Aim high. That's my thing."

So far, so good. She got an A on the math final she took the day we were with her. It's one of many she is piling up in her quest to gain entry into Stanford. But 24 of the 32 original students have dropped the math class, most of them because the material was too advanced.

Her dream after college is actually to aim for the sun. She wants to become a solar engineer, a job that pays about $80,000 per year. "All the energy the sun gives us in one hour can power the whole Earth for a whole entire year."

She wants to figure out how to control all that power. "We need to find a way," she says confidently.

Maria is reaching toward the sky, a big stretch for a young girl growing up in poverty in Phoenix. Maria's father, Antonio, came to the United States in the 1960s with a sixth grade education. He used to work in restaurants, but now they live off his Social Security checks. Antonio says he doesn't know how to help her with college -- these are just things he doesn't understand, and knows he can't afford.

During a walk with Maria's father I ask him if he is proud of Maria and her ambitions. "Sure. Very proud," he confides. And when I ask if he believes she can get into Stanford he says, "I know she can do it."

The conversation is quick. His answers are short, but to Maria they are long on meaning. It's something he's never said to her directly.

"It's nice," she says with a smile. "It's good."

@highlight

Maria Castro, 17, is an honors student despite low expectations and odds.

@highlight

She and her robots team are featured in a new documentary by Soledad O'Brien.

@highlight

"Education in America: Don't Fail Me" airs at 8 p.m. May 15