(CNN) -- As often as we talk about "getting away from it all," it's rare to find a retreat that drops us in another era. Most accommodations assume guests need soft sheets, WiFi and a certain predictability to feel at home.

Yet for many travelers, ease and convenience take a backseat to authenticity, and the best place to stay is the one that will startle you out of your everyday life. That's why at some destinations, the absence of electricity and running water are selling points. Elsewhere, bygone eras are carefully conjured to create a sense of living history.

8 hotels still fresh at 100

Try staying in one of these five spots if you're looking for a dramatic perspective shift:

Shack Up Inn, Clarksdale, Mississippi

In the Mississippi Delta, timeworn sharecroppers' shacks once dotted the landscape. But as farm workers, both black and white, left the region in search of better jobs, shacks were left derelict and often destroyed. Enter the Shack Up Inn in Clarksdale. Owners Guy Malvezzi, Bill Talbot and a few other locals opened the now 38-room inn in 1998 in part to preserve an endangered piece of history.

They were inspired with the idea after one set up his own shack on the former Hopson Plantation, located three miles from the crossroads of Highways 46 and 61, where legend has it blues musician Robert Johnson sold his soul to the devil for his guitar-playing skills. Passing tourists from as far away as Europe and Asia began inquiring about renting the shack.

"I said, you know, we could have a nice little business here, but we need more shacks," recalls Malvezzi, whose own grandfathers grew up in migrant shacks. Soon they were transporting shacks from up to 30 miles away, most built between the 1920s and the 1950s. As the supply dwindled, Malvezzi and Talbot began buying and "funking up" eco shacks made with structurally insulated panels. They also fixed up rooms (or "bins") in the plantation's one-time cotton gin.

No one's pretending a stay at the Shack Up Inn resembles the harsh lives sharecroppers endured. Bins and shacks come with air conditioning, plumbing and even Internet access, but don't expect sheet thread-count specs and wake-up calls. The ethos is rooted instead in "a down-home feel," says Malvezzi, whose target market encompasses blues enthusiasts, artists and those interested in history and the civil rights movement. The area's musical heritage is a key part of the Shack Up experience. The inn hosts a harmonica workshop three times a year and recently held its first blues guitar and bass camp. Such modern-day legends as Robert Plant and Tom Waits have been known to spend the night.

Shack Up Inn is open year round. Rooms vary in style, size and price, but most are $65-$80 per night with a two-night minimum stay on weekends. You must be 25 years or older to rent a room. 662-624-8329.

6 hot resorts for adults only

Historic Occidental Hotel, Buffalo, Wyoming

Once a landmark of the old west, the Historic Occidental Hotel in Buffalo, Wyoming, was closed and slated for destruction when Dawn Wexo and her late husband, John, moved to town in 1997. Seeking a home for their publishing company, the couple purchased the property.

"When we started walking through it we realized, 'My God, this is a time capsule,'" says Wexo. Among the treasures they uncovered: original wainscoting, decorated tin ceilings and a telegraph key used by invaders in the fabled Johnson County War.

They decided to restore the Occidental, which once sheltered the likes of Buffalo Bill, Butch Cassidy and Theodore Roosevelt. Five rooms opened in 2003; there are now 16 with the restoration complete. The building doubles as a 501(c)3 museum with free admission, and Wexo is determined that visitors enjoy "a complete sensory experience," from squeaky floors and bullet holes in the saloon to vintage radios piping 1920s music.

An 8,000-volume library draws guests into quiet time: "People discover it and they don't go back to their rooms to watch television," Wexo says. The atmosphere even impresses kids. "I see those iPhones go down."

Rooms are $75-$195 in peak season, not including breakfast. 307-684-0451.

Mullins Log Cabin, Grant County, Kentucky

Soon after Abraham Lincoln's birth in a log cabin in rural Kentucky, the Mullins Log Cabin was built in the state's Grant County. Owner Judy Mullins acquired the building in the early '90s and has been renting it ever since to families, school groups and others seeking a rustic getaway. With no running water, electricity or insulation, the cabin offers a good idea of what life was like more than a century and a half ago.

Oil lamps and a wood stove provide light and heat, but the most popular months for the cabin are temperate ones. In warmer weather guests can loll in a clawfoot bathtub out back and cross a small creek to find a grill. There are wooded areas for hiking, and Mullins teaches workshops on chair weaving and the uses of local herbs.

Or you may prefer to ponder all this humble cabin has witnessed. Based on its location, Mullins believes Civil War soldiers heading to battle in nearby Cynthiana likely dropped by. Rental is $65 a night. 859-322-3082.

Kolarbyn, Skinnskatteberg, Sweden

The grass-covered huts of Kolarbyn in Skinnskatteberg, Sweden, look straight out of a woodland fairytale. In fact, they're the kind of dwelling Swedish forest workers used for hundreds of years. About 80 miles from Stockholm, this lakeside resort comprises 11 huts and a wood cabin. With no electricity or plumbing, visitors get a camper's proximity to nature, with some notable extras: fireplaces, sheepskin rugs and a floating sauna, to name a few.

The extreme simplicity of Kolarbyn has attracted guests from 76 countries, by the count of owner Andreas AhlsÃ©n.

Families are welcome. "Kids love it. They're just playing around and they forget all these toys and modern stuff."

Guests can also partake in survival courses and guided wildlife watching tours featuring moose, beavers and even wolves. But there's no fear of huffing and puffing outside these huts, says AhlsÃ©n. "The wolves in Sweden are very shy."

Kolarbyn is open on weekends in winter, daily in summer. Lodging is about $60 a night for adults, $35 for children. 46-70/400-7053.

Mountain Hotel Obersteinberg, above Stechelberg, Switzerland

When summer comes to the Swiss Alps, long days flood the Mountain Hotel Obersteinberg with natural light. At night the candles and gas lamps are lit, because this remote escape run by the von Allmen family -- built sometime in the 1800s -- is without electricity or running water.

Located above the Alpine village of Stechelberg, itself 3,000 feet above sea level, Hotel Obersteinberg is reached by a two-hour uphill hike. (There's no website, but Stechelberg's tourist office has a listing).

About 50 miles southwest of Lucerne, the hotel is on a working dairy farm where you can watch cheese making each morning. Private rooms are about $90 per person; dormitory beds are about $72 per person. Prices include breakfast and supper. Open June 1-September 30. 41-33/855 20 33.

@highlight

In Sweden, stay in primitive huts like forest workers used hundreds of years ago

@highlight

Rent an Abe Lincoln-style log cabin in Grant County, Kentucky

@highlight

Stay in a refurbished sharecropper shack in Mississippi blues country