(CNN) -- Should you tell your kids?

This is the question all of us are grappling with this morning. The horrific Newtown school shooting is inescapable on the news today, and will be for a while -- a constant thrum of horror in our hearts and our souls. But we're grown ups. We'll grieve and process and move on. Still that one nagging concern remains for many of us: Do we tell our kids what happened or not?

If the news is a steady presence in your home, chances are they'll glom on to the fact that something is up. If we don't tell them and get the facts straight, they'll probably hear some version of the truth at school. But to tell them this? How?

"Adults like to have all the information and try to make sense of the horribleness. But for kids, it's too much," says Dr Gwenn O'Keeffe, pediatrician, author, health journalist, and CEO of Pediatrics Now. "We have to balance our need to keep up with our need to protect our kids."

When will these school shootings stop?

Bearing that in mind, O'Keeffe, a member of Parenting's Editorial Advisory Board, has a handful of tips on whether -- and how --- to talk to your children about what happened yesterday.

The ages of your kids will drive whether, and what, you tell them about Newtown. "The first rule of thumb, though, is never lie to your kids," says O'Keeffe. "If they come home and ask you about it, no matter what age they are, tell them the truth. If they're 4 or 6 or 8 and they ask 'was there a school shooting and did people die?' Your answer has to be yes."

Then you reassure them. Tell them that their school is safe, that your community is different, that there are protections in place and it will never happen to them. "Even if you're not sure that's true, you have to make sure that they believe it. They have to go to school every day."

How to help survivors of the Sandy Hook shooting

Ask your kids what they've heard. Even if they don't ask you about Newton, they do go to school with older kids. Children catch wind fairly quickly when something serious is up. Some kids will luck out and not hear anything at all. But the news flows like water -- it gets through cracks you don't even know are there. And facts get twisted on the playground. "The only way you're going to know if your kids have heard something is if you ask them," says O'Keeffe. When they're as young as 4, don't bring it up. But a 7-year-old will possibly have heard something. Approach her during a quiet moment or at snack time, says O'Keeffe. Gingerly broach the topic. Say something like "there's been a lot of talk in our country that about something that happened at a school in Connecticut that was very upsetting. Has anybody talked about that at school?" If they haven't heard, let them know they can ask you anything they want.

A Hurricane Sandy survivor, thankful for how much she still has

Remain calm. If you do tell them what happened, make sure you're coming from your calmest, most reassuring place. "Don't overload them. Don't go on a whole speech about gun control or school safety," says O'Keeffe. And give them space. They're children and they may not know how to respond right away. They may look at you and go out of the room and do something else. Maybe they'll come back and ask questions later, maybe they won't. "Allow them to have whatever response they have unless it's interfering with their ability to go through the day, it's all expected," says O'Keeffe.

If the news is interfering with your kids or anyone in your family, "seek help right away," O'Keeffe advises. This will usually manifest in a lot of anxiety and a lot of grief, anxiousness about the safety of their family. In more serious cases, physical symptoms could include headaches, stomach aches, inability to function as usual or a reluctance to go to school. "This isn't something you'd want to wait out."

How to deal with nightmares

Monitor the media intake for everyone in the family. Even if you only watch CNN when the kids are in bed, there's the chance they may not be able to get to sleep and can hear the newscaster, the interviews. Coverage of events like this can range from incredibly tactful to incredibly sensational. Be aware of who is watching what around the home, says O'Keeffe. That goes for grown-ups too. "You don't need to watch the news 24/7," she adds. "That creates overanxiety in all of us. Resist that temptation. Go about your life. That's the best thing you can do to honor these people."

Like CNN Living on Facebook

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

The ages of your kids will determine whether you tell them about tragedies like Newtown

@highlight

Pick age-appropriate responses and do not lie to them about events, says an expert

@highlight

Children need reassurance from parents that their schools and communities are safe

@highlight

Being a calm presence for children in the face of chaos can help them process events