(CNN) -- Instead of contractions, they're called surges. And don't call it labor, it's birthing. When the discomfort of childbirth kicks in, it's pressure -- not pain.

The philosophy behind HypnoBirthing is to remove the fear of giving birth, its practitioners say. They believe that by training themselves to calm their body and mind to a state of self-hypnosis, they can reduce pain and discomfort.

It's another trend in birthing that gives women the opportunity to prepare for childbirth such as Lamaze classes, yoga and the Bradley method.

While it's unclear how many women deliver babies using HypnoBirthing, it's institute says there are about 1,400 practitioners in the United States who train pregnant women to use the methods.

Moms who've taken HypnoBirthing classes give birth at hospitals. Some choose to get pain medication, epidurals or cesarean sections. Others elect to give birth at home. The point of HypnoBirthing is that giving birth is natural and can be done with less anxiety, its practitioners say.

It does not promise pain-free childbirth.

"The difference is that we're saying let us teach you what happens within the body," said Marie Mongan, a hypnotherapist who founded the HypnoBirthing Institute.  "What we're doing is educating them about what is happening within the body."

August is typically the busiest month for childbirths, according to Centers for Disease Control and Prevention data.

A handful of hospitals such as the Cleveland Clinic and Dartmouth-Hitchcock Medical Center offer HypnoBirthing training. These classes are usually offered along with a variety of other childbirth preparation courses.

Mongan said HypnoBirthing's popularity has increased mostly because of word of mouth among moms and pregnant Hollywood celebrities. Actresses such as Jessica Alba and Tiffani Thiessen, and model Miranda Kerr have talked about the pre-birthing techniques that rely on deep relaxation.

"There are ever so many more practitioners who want to become involved at this point," said Mongan. "We're 100 over where we were last year in people coming in wanting to teach HypnoBirthing. It seems to be everywhere. We're getting a lot more media interest, celebrity interest."

The 'easy' childbirth: One mom's story

Unlike the stereotype, in HypnoBirthing, nobody swings a pocket watch back and forth to lull a mother to sleep during labor.

The mothers stay awake during the process, but train themselves to calm down so they may appear as if they're sleeping. Some use instrumental music, rhythms and affirmations. They are encouraged to visualize a relaxed place or a goal like cuddling with their newborn.

"It's like a self-hypnosis," said Joyce Poplar, a perinatal educator who teaches at Cleveland Clinic's Hillcrest Hospital. "They're in a deep, relaxed, limp state. Every single woman is imagining something different -- whether it's a place in their mind, an outdoor place such as a beach scene. It's feeling it, being aware of it and having a sensory perception on that beach scene, smelling the salt in the air, hearing the seagulls. They're completely there in a trance-like state."

They also learn breathing techniques.

"The body knows how to birth the baby, just like it knew how to grow that baby for nine months," Poplar said. "I'm teaching the moms the skills to listen to their bodies and the power of the uterus to do the work."

HypnoBirth instructors say the methods reduce pain that stems from apprehension and anxiety about giving birth.

"We really focus on relaxation, releasing all the fears that moms have when they're having birth," Poplar said. "We're getting rid of the fears, memories, experiences, or the mistaken belief they might have had, so they can move forward with natural childbirth."

Melanie Johnson of Hudson, Ohio, had heard plenty of horror stories about labor.

"Everyone wants to inflate the negativity of birth, comparing who had it the worst," she said.

That's why HypnoBirthers use a different vocabulary. But does changing some words and teaching relaxation techniques really result in a different type of labor?

The American Congress of Obstetricians and Gynecologists referred CNN.com to the American Society of Anesthesiologists.

Dr. Craig M. Palmer, the society's chair of the committee on obstetrical anesthesia, said he wasn't familiar with HypnoBirthing, but noted it could be a useful technique.

"Any sort of childbirth prep that a mother will undergo is useful from a medical and anesthesiologist's point," said Palmer, a professor of anesthesiology at the University of Arizona Health Sciences Center in Tucson, Arizona. "The more prepared you are for labor, the more positive your outcome. As an anesthesiologist, any technique that improves patients' mental focus and state of mind is a good thing."

When Amber Diez, a mother of four from Pembroke Pines, Florida, was pregnant with her first child, she was told by her instructor, "This is going to be the worst pain in your life."

It turned out to be a self-fulfilling prophecy.

"It was the worst pain in my life," said Diez, who was in labor for 12 hours.  "I was scared and nervous."

For her second pregnancy, she carried twins and dreaded childbirth.  So her doula gave her HypnoBirthing CDs.  At first, Diez scoffed at what she called, "weird-sounding, hippie stuff."  Her family poked fun at the CDs and pretended to fall fast asleep from hypnosis.

Diez listened to the CDs every night for a few weeks. When she went into labor for her twins, she found herself relaxed.

"When you're not scared of it, you're able to focus on your body to do what it's made to do," Diez said.  "When you're not afraid, you don't experience as much pain as someone else would."

Women who have tried HypnoBirthing say there is pain, but it wasn't unbearable.

"At the end of labor, right before they're about to come out, I did experience pain," Diez said.  "It was right at the end. I felt like I trusted my body."

Johnson took HypnoBirthing courses because she wanted to give birth without drugs.

When she felt the contractions, she serenely listened to Bach and Beethoven on her iPod and focused on her breathing techniques. Every time she felt a contraction she focused on her breathing.

"I visualized the goal on a surge-by-surge basis," Johnson said. "You're visualizing what you've got to do to get through the surge."

When she screamed "ow," her doula coaxed her into a rhythmic ohm.

"I did feel pain, but it wasn't intolerable," Johnson said. "I knew if I could get through this one, I could get through the next one. I could restore energy between each surge."

After 14 hours of labor at home and eight hours at the hospital, Johnson gave birth to a healthy baby girl, Elise.

"It wasn't easy by any stretch," she said. "They don't say there is no pain. The pain is going to be different for every woman. HypnoBirthing doesn't say you don't have pain. It gets you in a mode where you can endure it."

@highlight

HypnoBirth trains moms to calm  body and mind to a state of self-hypnosis

@highlight

Its popularity has soared due to word of mouth among moms and pregnant Hollywood celebrities

@highlight

It does not promote itself as pain free, but says it could reduce discomfort