Lagos, Nigeria (CNN) -- From going to the moon to the explosion of the civil rights movement, the swinging 1960s was an era of conquering new heights and sweeping change. So when Newton Jibunoh had to return back home to Nigeria in 1966, after completing his studies in London, the young engineer thought it was also time for him to blaze new trails.

An adventure seeker, Jibunoh decided to embark on a journey that was destined to change the course of his life.

"The Sahara was the largest desert in the world and very active -- so I decided to explore it," says Jibunoh, who was 27 at the time. Unfazed by the challenge, he drove home all alone by way of the desert -- from the UK, and ultimately through the vast, unforgiving sands of the Sahara, to Nigeria.

"Driving from Europe all the way across the Sahara, you must be ready to die," says Jibunoh, who has since traveled across the world's largest desert twice more.

"You have to tell yourself, 'look, it is possible I will die in the process,' and you must be ready for it because it's only when you're ready for that and you're confronted with death -- and I was confronted with death a number of times -- that you are able to deal with it.

"But if you're not ready to die and you're confronted with death, you panic and once you panic you lose focus and once you lose focus your life goes with it."

During his first solo expedition, Jibunoh was no stranger to near-death situations. He remembers negotiating for his life with bandits and having his possessions stolen; he recalls the intense loneliness of the epic journey and struggling through the desert without access to clean water.

Yet despite all the difficulties, Jibunoh says the beauty of the desert made it all worthwhile.

"You wake up in the morning at about 5 o'clock ... and then you watch the sun rise and this extremely peaceful and serene atmosphere and then you just look at the sun coming like a ball of fire, rising from the sand and then coming up," recalls Jibunoh.

"At that time the temperature is close to zero in the desert, in the Sahara, so you can imagine a combination of that temperature and then looking up and watching this ball of fire coming out of the sand and creating a kind of scenery that you cannot find anywhere else in the world."

But apart from discovering the majesty of the Sahara, Jibunoh also witnessed how drought, deforestation and human intervention were turning fertile land into desert and condemning people to acute poverty. In 1999, after his second solo expedition across the Sahara, he realized he had to do something to help the people affected by desertification.

"I saw what is now known as the desertification, the encroachment of the desert," he remembers. "I saw the fact that it was depriving people of their farmland, I saw that it was also affecting water supply; in some areas of the desert they don't have rainfall for about six-eight years, so I saw a completely different life and that was what led me into starting some kind of advocacy that will bring this whole thing to the global arena."

Since then, Jibunoh has dedicated his life to curbing the scourge of poverty caused by the desertification.

Now a prominent environmentalist, he started giving lectures, speaking at summits and visiting other deserts around the world -- from the Gobi in China and the Negev in Israel, to Arizona and Las Vegas -- to study how people across the world had succeeded in taming the desert and dealing with drought and famine.

Jibunoh's desire to take more direct action against the problem also prompted him to launch the Fight Against Desert Encroachment (FADE) initiative and set up a pilot project in the desert area of northern Nigeria.

"The FADE issue became a topical one because people were now able to see that you can actually recover land from the desert by doing some, what we call, land reclamation arrangement," says Jibunoh, who also runs a museum in central Lagos.

Jibunoh realized early on that combating the encroachment of the desert is a process that takes decades and requires collaboration, so he teamed up with Nigerian officials and started working with schools and universities to create a long-term effort.

And in 2008, aged 70, embarked on his third and last expedition across the Sahara. This time he traveled with a group of scientists and environmentalists -- a means of passing on the torch to the younger generation, a process he enthusiastically continues to this day.

He adds: "I am in the process of putting together a formidable team ... of young men and women that can take over this crusade, that can take over this whole initiative and carry it to the next generation, that is my primary hope."

@highlight

Newton Jibunoh is a Nigerian environmentalist and explorer

@highlight

He witnessed extreme drought and famine on solo expeditions across the Sahara desert

@highlight

Jibunoh works to curb the scourge of poverty caused by desertification

@highlight

He's traveled the world to find solutions and set up a pilot project in northern Nigeria