LONDON, England (CNN) -- In an underground bunker in the heart of New York City a unique experiment is taking place.

Going underground: "Quiet: We Live in Public" volunteers lived in tiny boxes in an artificial society with their every move filmed 24-hours a day.

More than 100 people have moved into an artificial society where their every move will be captured on film.

Living like battery hens in tiny cubes stacked one on top of the other, these exhibitionists have signed up to live -- to eat, sleep, shower, party, go to the toilet and even have sex with each other -- under the unwavering gaze of hundreds of cameras recording 24 hours a day.

Everything is free but participants must wear uniforms, submit to regular "interrogations" and, of course, give up any notion of privacy, not to mention freedom.

The atmosphere lies somewhere between The Factory, Andy Warhol's hip 1960s studio famed for its parties, and a sci-fi version of the infamous Stanford Prison Experiment.

It may sound like the latest extreme reality TV show but, in fact, this extraordinary experiment took place in late 1999, at the turn of the millennium. The first Big Brother TV show had been broadcast only a few months previously in The Netherlands and the Internet as we know it was still in its infancy.

The project was called "Quiet: We Live in Public" and the man behind it, described as the "Warhol of the web," was extreme visionary and dotcom entrepreneur, Josh Harris.

Now, almost 10 years later, the cameras are back on, and this time Harris himself is under the spotlight.

"We Live in Public," which was awarded the Grand Jury Prize at this year's Sundance Film Festival, is a documentary by director Ondi Timoner which chronicles the rise and fall of Harris, "the greatest Internet pioneer you've never heard of." She describes Harris' life as a cautionary tale.

Is the Internet just another handy tool or is it fundamentally changing the way we behave? Tell us below in the SoundOff box.

Harris was one of the crop of highly publicized wunderkind entrepreneurs splashed across magazine covers, making millions of dollars during the mid-1990s dotcom bubble.

He was among the first people to recognize the potential of the Internet and in 1994, Harris used some of his estimated $80 million fortune to found Pseudo.com, the first Internet television network.

It was an idea so ahead of its time that it would be another seven years before broadband -- which Internet television requires to work effectively -- was in general use in America.

Harris' foresight didn't stop there. He was convinced he could anticipate the future effects of this new technology on human behavior. He believed that people would be willing to go to any lengths to share their lives -- that Warhol's 15 minutes of fame in a lifetime wouldn't be enough; that people would want their 15 minutes of fame every day.

Harris set up the "Quiet" bunker to prove his point, saying that people would want a piece of the "fame" the project offered despite the extreme conditions, and asked Timoner to "document the cultural history" as it happened.

On January 1, 2000, just thirty days after Harris launched his extraordinary project, it was shut down as a "millennial cult" by U.S. agency, FEMA.

Soon after, Harris attempted to reprise the experiment, but this time it was more extreme and he and his girlfriend were the guinea pigs.

He fitted 32 motion-controlled cameras and 60 microphones in his Broadway apartment to record live streaming video of every aspect of their private lives 24/7, which Web site users could watch and comment on in a forum.

Harris wanted to see what would happen if he exposed his entire life to the public, and planned to live like this for three months. He even planned for his girlfriend to conceive in public.

"Our life became tied to the watchers," remembers Harris. "They were actually another brain that was controlling us ... they were influencing, maybe not controlling, but they were certainly influencing us and sometimes we didn't know that they were doing it."

Living this way put an unbearable strain on his relationship and the couple broke up before the experiment could be completed. Meanwhile, Harris lost his fortune when the dotcom bubble burst in 2000.

Soon after, he had a nervous breakdown and moved to upstate New York, withdrawing completely from from public life. The five thousand hours of footage Timoner shot during the "Quiet" bunker experiment were left untouched for nearly a decade.

Timoner admits that it is only very recently that the events of 10 years ago started to make sense to her.

She says it has taken her this long to understand Harris, "as a visionary, what he predicts, and also what he embodies as a walking cautionary tale of taking technology too far."

But, according to Timoner -- who won the Grand Jury prize at Sundance once before for "DiG!", another cautionary tale about the rise and fall of front men from American rock bands Brian Jonestown Massacre and The Dandy Warhols --Harris' story is a universal one - and heralds a future where privacy is a distant memory from the past.

"That is your story. It's my story. It's all of our story right now, and now is the tipping point where the virtual world is starting to take over."

Priyanka Deladia contributed to this story

@highlight

Ondi Timoner documentary "We Live In Public" is about Internet visionary Josh Harris

@highlight

Harris said the Web would rule our lives and created an experiment to prove it

@highlight

He turned the experiment on himself with terrible consequences for his life

@highlight

Timoner on Harris: "a walking cautionary tale of taking technology too far"