(CNN) -- In June 2004, at the age of 85, and five years after stepping down as South Africa's president, Nelson Mandela announced he was "retiring from retirement" to spend more time with family and friends, telling journalists, "Don't call me, I'll call you."

As a globally recognized ambassador for a multiracial South Africa, the conscience of his continent and an inspiration for strugglers against oppression everywhere, Mandela was never going to be allowed to fade quietly into the history books.

After leaving office, Mandela continued to lend his tireless support to the fight against social injustice and poverty in South Africa and beyond through fundraising organizations such as the Nelson Mandela Foundation and the Nelson Mandela Children's Fund.

Persevering with diplomatic efforts he had initiated in government, Mandela worked patiently to mediate in conflict-stricken Burundi and the Democratic Republic of Congo.

Mandela, who died Thursday, also brought charisma, charm and enthusiasm to South Africa's successful bid for the 2010 World Cup, lobbying hard for the tournament to be awarded to an African nation for the first time.

Comfortable retirement may have mellowed Mandela, but the instincts of the freedom fighter and anti-establishment activist still burned strongly.

In early 2003, he spoke out harshly against the imminent U.S. invasion of Iraq, accusing U.S. President George W. Bush of "wanting to plunge the world into a holocaust," adding "if there is a country that has committed unspeakable atrocities in the world, it is the United States of America."

In particular, Mandela became an outspoken advocate of efforts to tackle South Africa's worsening HIV and AIDS epidemic, criticizing his presidential successor and longtime ANC comrade Thabo Mbeki in 2002 for his government's prevarication in combating the disease.

"This is a war. It has killed more people than has been the case in all previous wars and in all previous natural disasters," Mandela said. "We must not continue to be debating, to be arguing, when people are dying."

Mandela also set up the HIV/AIDS charity 46664 -- named after Mandela's prison number during his long incarceration on Robben Island -- inviting stars such as Bono and Beyonce to perform at a fundraising concert in Cape Town in 2003.

Mandela had personal reasons for promoting the fight against HIV/AIDS. In 2005, he announced that his son, Makgatho Mandela, had died of an AIDS-related illness at the age of 54.

"Let us give publicity to HIV/AIDS and not hide it, because the only way to make it appear like a normal illness like TB, like cancer, is always to come out and to say somebody has died because of HIV/AIDS -- and people will stop regarding it as something extraordinary," Mandela said.

Mandela had endured health problems of his own, having been diagnosed with prostate cancer in 2001, but, he remained active throughout his 80s and continued to travel the world.

In 2007, he formed The Elders, a group of widely respected former statesmen and world leaders dedicated to bringing their expertise, experience and moral authority to bear on the world's most pressing political and social issues. Members included Archbishop Desmond Tutu, former U.N. Secretary-General Kofi Annan and former U.S. President Jimmy Carter

In 2008, Mandela made his final trip abroad, traveling to London for a concert celebrating his approaching 90th birthday and marking the 20th anniversary of the city's iconic "Free Nelson Mandela" concert.

Mandela celebrated his birthday at home in Qunu, delivering a simple message drawing attention to the continuing gap between rich and poor in South Africa: "Poverty has gripped our people. If you are poor, you are not likely to live long."

In an interview with Graca Machel to mark the occasion, Machel told CNN her husband's only regret was that he hadn't had the chance to raise his children and spend more time with his loved ones.

On the day in 2004 when South Africa won the right to host the 2010 World Cup, Mandela, a keen sports fan whose support for the Springboks at the 1995 Rugby World Cup was seen as a defining moment in the birth of the post-apartheid "Rainbow Nation," summed up his excitement by saying he "felt like a boy of 15." Apartheid was a policy of segregation and discrimination that aimed to keep black and white apart in every sphere of life.

But the eagerly anticipated tournament brought private tragedy for Mandela's family when his 13-year-old great-granddaughter, Zenani Mandela, was killed in a car accident while returning from a concert on the eve of the opening match.

Mandela made a last public appearance at the World Cup final, smiling and waving to football fans at Johannesburg's Soccer City on July 11, 2010.

To the end of his life, Mandela remained loyally committed to the African National Congress, appearing on stage with party leader Jacob Zuma in 2009 during his successful campaign for the presidency.

Most of all, Mandela remained committed to the principle of dialogue -- and the belief, based on his own experiences, that even the most intractable problems could only be solved by enemies sitting down around a table to talk to each other.

@highlight

Nelson Mandela pushed issues on the world's stage

@highlight

Among them were HIV/AIDS epidemic

@highlight

Sometimes, former president spoke bluntly

@highlight

He lost a son and great-granddaughter