San Francisco, California (CNN) -- They've been committed to each other for eight years and have four sons together, but there's a component missing in one Berkeley, California, couple's life that's out of reach for them: getting married.

Kristin Perry and Sandra Stier's partnership is one that has taken center stage because of the ongoing debate on same-sex marriage in California.

On Monday, the spotlight will be even brighter, when a trial challenging California's Proposition 8, which bans same-sex marriage, begins in U. S. District Court in San Francisco. Demonstrators are expected to be out in force.

Plans had been made to have a camera in the courtroom, and the proceedings distrubuted on YouTube, but the ballot initiative's sponsors prevailed in their 11th-hour bid to persuade the U.S. Supreme Court to restrict distribution of video of the trial -- at least temporarily.

The justices wrote in their terse order that they need until at least Wednesday afternoon to consider the camera issue.

Perry and Stier, along with Jeffrey Zarrillo and Paul Katami, of Los Angeles, are the two couples at the heart of the case, arguing that California's ban on gay marriage is unconstitutional. They are asking Chief Judge Vaughn R. Walker to issue an injunction against Proposition 8's enforcement.

The case will likely head to the U.S. Supreme Court no matter what the outcome. It is expected to set legal precedents that will shape society for years to come and result in a landmark court decision that settles whether Americans can marry people of the same sex.

Do you think Prop 8 is constitutional?

In legal circles and across the Internet, it has been dubbed this generation's Brown v. Board of Education, the case that led to the Supreme Court decision that outlawed segregation in schools. Some say it could be the biggest ruling since Roe v. Wade, which tackled abortion. It also closely echoes the Supreme Court case that overturned bans on interracial marriage.

The debate over Proposition 8 has been fueled by emotions on both sides.

For Perry and Stier, Zarrillo and Katami and their supporters, the issue is simple. They say the case boils down to nothing more than equal protection under the law and that their sexual orientation should not prevent them from getting married.

"It does not weaken the fabric of our communities to grant them these basic familial rights -- it strengthens them," said Chad Griffin, President of the American Foundation for Equal Rights, when the lawsuit was announced in May. "It does not undermine marriage to extend to these loving couples -- it affirms it."

"This is one of the threshold civil rights issues of our generation," he said. "Justice is on our side and we're about to reclaim it."

Representing them are two high-powered attorneys, Ted Olson and David Boies. They're an unlikely pair -- former courtroom adversaries best known for being on opposing sides of the "hanging chad" dispute of the 2000 presidential election in Florida.

Olson, a staunch political conservative who defended the government's positions as solicitor general, was a choice that surprised many supporters of the case for same-sex marriage.  He said there's nothing inconsistent about him fighting for the rights of same-sex couples.

"They call it a teaching moment these days," he said. "This gives us an opportunity to explain how wrong it has been to deny rights to individuals on that basis."

Republican California Gov. Arnold Schwarzenegger and the state's Democratic Attorney General Jerry Brown are defendants in the lawsuit because of their positions in California government. However, both have said they would not defend the suit. Brown filed a legal motion saying he agreed with the position advanced by Olson and Boies. Schwarzenegger has taken no position.

Andrew Pugno, a lawyer for an organization called Protect Marriage, the group that came up with Proposition 8, said he believes the issue was solved when the people of California made their voices heard in the voting booth.

"Seven million Californians voted to preserve or restore what marriage has meant since the beginning of time," he said. "If they're not permitted to do something as basic as that, then there's something, really something, wrong with our system."

For Pugno and supporters on his side of the issue, keeping the definition of marriage as a union between a man and a woman is what makes sense.

"Marriage legally and socially has always been a social public institution that affects far more than the adults involved," he said. "We are taking a position that society has a very good reason for limiting marriage the way it does. ... The relationship of a man and woman bears a relationship to child-rearing that no other relationship can duplicate."

The Proposition 8 vote is part of a long line of seesaw rulings, court cases, debates and protests in California over the issue.

After California's Legislature approved same-sex marriages, voters took to the polls in November 2008; a slim majority -- 52 percent -- approved of banning the marriages. In May 2009, California's highest court upheld the ban, but allowed about 18,000 unions performed before the ban to remain valid.

For same-sex couples, especially those who did not get married before the ban, the ruling was hardly comforting.

Several liberal celebrity activists, led by former director and actor Rob Reiner, have bankrolled the first federal challenge to the voter-approved ban on gay marriage.

The nation's eyes will be on the court's eventual ruling.

Olson and Boies said they believe the case is simple based on their reading of the U.S. Constitution.

"The first thing to think about is the right to marry is a fundamental right in the United States," Olsen said. "It's a right protected by the Constitution. The Supreme Court has held over and over again that it may be one of the most fundamental rights to unite with the person you love to form a partnership."

For Boies, the case follows a sad tradition in American history: the denial of rights to people because certain groups blindly see them as undeserving.

"This lawsuit is about the courts saying no matter how blind people may be, the Constitution guarantees that everyone deserves the equal rights that every human being is entitled to," Boies said.

"And we go to court because that is the place those equal rights have been established time and again over the last 100 years."

CNN Supreme Court producer Bill Mears contributed to this story.

@highlight

Trial focuses on constitutionality of ban on same-sex marriage

@highlight

It could become landmark case, like Brown v. Board of Education

@highlight

Lawyer for group behind Prop 8 says issue should have ended when voters made choice

@highlight

Lawyer for couples: "The right to marry is a fundamental right in the United States"