New Orleans, Louisiana (CNN) -- Encouraged by results so far, BP and the government agreed Saturday to another 24 hours of testing of the recently recapped Gulf well.

BP's 48-hour window for pressure testing expired Saturday afternoon with no reports of flowing oil or evidence that the giant sealing cap caused further damage. The testing will now go into Sunday afternoon.

Retired Adm. Thad Allen, the government's response manager, said once testing is eventually stopped "we will immediately return to containment, using the new, tighter sealing cap with both the [vessels] Helix Producer and the Q4000."

Pressure was still rising Saturday though it had slowed considerably as expected, BP Senior Vice President Kent Wells said earlier in the day. Officials are looking at the testing in six-hour windows.

"The longer the test goes the more confidence we have in it," Wells told reporters in a conference call Saturday. "There's no evidence we don't have integrity."

Higher pressure means oil is not leaking out from another source in the well. Lower pressure would indicate otherwise.

A National Oceanic and Atmospheric Adminstration sonar ship has been brought in to monitor the sea floor around the well, Allen said in a statement. "The pressure in the capping stack continues to increase very slowly and we want to continue to monitor this progress."

The latest pressure reading inside the well was 6,745 psi (pounds per square inch), Wells said. That falls short of the optimal 8,000 to 9,000 psi needed in order to conclude without doubt the well is not leaking.

"Based on the data and pressure readings compiled to date, the test has provided us with valuable information which will inform the procedure to kill the well and a better understanding of options for temporary shut-in during a hurricane," Allen said.

Allen said Friday that the rising pressure readings were generally good news.

But he added, "I think we're at a point where there's enough uncertainty about the meaning of the pressure that we're seeing that we have to use due diligence moving forward. We don't want to do harm or create a situation that cannot be reversed."

Reopening the valves would allow oil to once again flow into the Gulf and recovery operations from the surface to resume.

No oil has gushed out since Thursday when BP closed all the valves in a new custom-made cap that was lowered into place earlier in the week. The undersea video images of a quiet ocean sprouted new hope in the hearts of Gulf Coast residents devastated by three months of disaster.

Still, they remained cautiously optimistic, as did officials including Allen and President Barack Obama, until BP is able to announce conclusive test results.

Engineers and scientists intensified monitoring of the well, pouring over images and data collected by robots, sonar scans and seismic and acoustic examinations. A government ship is in the area, fitted with equipment for detecting methane gas, which would be an indication of a leak.

The well integrity test began Thursday after two days of delays, first as government scientists scrutinized testing procedures and then as BP replaced a leaking piece of equipment known as a choke line.

The oil stopped gushing out Thursday afternoon, the first time the energy giant has been able to gain control since the Deepwater Horizon drilling rig exploded April 20 and triggered the catastrophe.

All that was made possible by a new, tightly fitting containment cap.

Meanwhile, BP restarted work on drilling two relief wells. Wells said Saturday that the first relief well is now about five feet away from the ruptured Macondo well and an intersection will occur by the end of July.

BP then plans to pump mud and cement down to kill the ruptured well.

"We are feeling very good at this point on how the well is lining up," Wells said.

When they are ready, mud and cement will be pumped into one of the relief wells to permanently seal BP's crippled well.

In the coming weeks, BP also plans to bring in two more oil collection ships in addition to the two already in the Gulf, bringing containment capacity to 80,000 barrels (about 3.4 million gallons) of oil a day, more than high-end estimates of how much oil had been leaking. But it's possible some oil may be released into the Gulf again, before all the ships are ready.

The skimming vessel "A Whale," which underwent extensive testing, was found unsuited for the task and will not be deployed, Adm. Paul Zukunft said.

President Obama spoke about the developments with a note of caution.

"I think it's important that we don't get ahead of ourselves here," he said. "You know, one of the problems with having this camera down there is that when the oil stops gushing, everybody feels like we're done, and we're not. We won't be done until we actually know that we killed the well and have a permanent solution in place."

The president expects to return to the Gulf Coast in the next few weeks. He took some heat from some corners on Saturday for taking a vacation in Maine instead of heading to revisit oil-affected areas.

First Lady Michelle Obama is slated to return to the region Friday to meet with Coast Guard personnel who've been responding to the oil spill and to christen a Coast Guard cutter named in honor of Dorothy Stratton, the service branch's first female commissioned officer.

@highlight

NEW: Government, BP encouraged by well pressure testing

@highlight

Testing will continue; pressure is still rising, though slowly

@highlight

Scientists are pouring through undersea images and data

@highlight

No oil has gushed into the Gulf since Thursday