Washington (CNN) -- The Supreme Court is scheduled to tackle some key cases in its 2014-15 term, which starts Monday.

More than three dozen appeals are currently on the docket. Perhaps three dozen more are expected to be added in coming months. The caseload for the term is usually settled by February, with the term effectively ending in late June.

Other important appeals that may yet be added cover such issues as same-sex marriage, affirmative action, abortion rights and further litigation over President Obama's health care reform law.

Cases already on the Supreme Court docket:

FREE SPEECH: Elonis v. United States

AT ISSUE: The limits of policing "speech crimes" in the Internet age, especially laws aimed at protecting those harassed or bullied online. What is the level of proof needed to convict someone of making criminal threats?

THE CASE: Anthony Elonis was convicted in federal court for threatening language in Facebook posts aimed at his estranged wife, judges and law enforcement. Some were expressed as rap lyrics, which Elonis said were "therapeutic" for dealing with emotional pain. But prosecutors said he crossed a dangerous free speech line.

THE ARGUMENTS: Elonis' lawyers argue that the government did not prove that his statements showed a "subjective intent to threaten," based on Supreme Court precedent. But the Justice Department replied that his online comments were serious in nature, not a case of "careless talk, exaggeration, something said in a joking manner or an outburst of transitory anger."

THE IMPACT: A ruling here could have broader implications for free speech amid the explosion of popular and often anonymous social media. Are sites like Twitter in the same category as more conventional news links, and are general threats made online different from those made in person?

RELIGIOUS FREEDOM: Holt v. Hobbs

AT ISSUE: An inmate wants to grow a Â½-inch beard in accordance with his beliefs, citing rights under the federal Religious Land Use and Institutionalized Persons Act.

THE CASE: Gregory Holt, also known as Abdul Maalik Muhammad, is a Muslim who filed a handwritten petition with the court. Arkansas prison policy allows only a "neatly trimmed mustache."

THE ARGUMENTS: Corrections officials say beards can hide contraband and make it hard to identify prisoners, so such security concerns deserve deference from courts. But Holt's lawyers -- backed by the Obama administration -- say that a less restrictive policy should be adopted.

THE IMPACT: Holt has the support of both civil liberties and religious freedom groups, who have often been traditional foes. Last term, the justices ruled that some for-profit companies whose owners expressed strong Christian beliefs had a First Amendment right to oppose Obamacare health mandates providing contraception coverage for their workers.

EXECUTIVE POWER: Zivotofsky v. Kerry

AT ISSUE: The constitutionality of a federal statute that explicitly directs the secretary of state how to record the birthplace of an American citizen on a Consular Report of Birth Abroad and on a passport. Does the law impermissibly infringe on the President's power to recognize a foreign nation?

THE CASE: Thirteen-year-old Menachem Zivotofsky is a U.S. citizen, and his parents want his birthplace listed as "Jerusalem, Israel," but U.S. diplomatic officials said they could use only "Jerusalem." The status of the holy city remains in dispute, and U.S. policy is reflected in the fact that it does not currently recognize any country as having sovereignty over the region.

THE ARGUMENTS: The justices three years ago allowed the lawsuit by the family to proceed. It is not the first time Congress and the White House have clashed over the holy city, which both Israelis and Palestinians consider their capital: The U.S. Embassy remains in Tel Aviv, over U.S. lawmakers' objections.

THE IMPACT: This dispute may be fact-specific, but the federal government is thinking of the bigger political and diplomatic picture. State Department officials would not comment on the record in a pending case, but President Barack Obama has acknowledged that the stalled peace process has created divisions in that region and in the United States.

WORKPLACE DISCRIMINATION: Young v. United Parcel Service

AT ISSUE: The duty of employers to provide workplace accommodations under the federal Pregnancy Discrimination Act.

THE CASE: Expectant mother Peggy Young's request for a "light duty" assignment from her regular work as a truck driver was denied, even though the company allegedly had done so for other workers temporarily unable to perform their functions. Young, who worked in suburban Washington, then had to take unpaid leave, with a subsequent loss of medical benefits.

THE ARGUMENTS: The company and Young focus on two different readings of the act and whether UPS' "pregnancy-blind" policy on the ability to work protects it from liability.

THE IMPACT: The ruling could add significantly to the evolving canon of judicial oversight over job discrimination claims.

Cases that may be added to the Supreme Court docket in coming months:

SAME-SEX MARRIAGE: Various pending appeals from state officials in Utah, Oklahoma, Virginia, Indiana and Wisconsin

AT ISSUE: Whether state bans on the ability of gays and lesbians to legally wed violate the Constitution's equal protection guarantees.

THE CASE: Thirty-one states do not allow same-sex marriage. Legal, political and social momentum favoring the right has accelerated in the past year after the Supreme Court in a peripheral case struck down part of a congressional law that recognized marriage for federal purposes as between only one man and one woman.

THE ARGUMENTS: Gay rights groups say the bans are discriminatory and single out homosexuals for disparate treatment. But many states say that the voters -- not the courts -- should decide such matters and that traditional marriage encourages opposite-sex couples to raise children in a stable family unit.

THE IMPACT: A final ruling from the U.S. Supreme Court would be a landmark on many social levels. The justices could historically alter how marriage is treated under a legal framework, potentially striking down every current same-sex marriage ban. Or they could leave the current patchwork of state laws in place, allowing state legislatures to sort it all out, for now.

ABORTION RIGHTS: Planned Parenthood of Greater Texas Surgical Health Services v. Abbott

AT ISSUE: A challenge to a Texas law that requires doctors to get admitting privileges at a hospital within 30 miles of a clinic where they are providing abortion services.

THE CASE: Other states have adopted similar laws, and lower courts have issued conflicting rulings.

THE ARGUMENTS: Abortion-rights supporters say the provision is unconstitutionally restrictive and has forced more than a third of centers that had provided abortions in Texas to close. State officials, including Gov. Rick Perry, have said the law ensures that clinics are no operating under "dangerous conditions."

THE IMPACT: Another part of the Texas law is also being reviewed by a federal appeals court: the requirement that abortions be provided in only walk-in hospital-type surgical centers, which could force closure of many smaller women's health clinics. 11 other states have similar restrictions. If the case is accepted for review, the justices will again tackle one of the most contentious social issues.

AFFIRMATIVE ACTION: Fisher v. University of Texas

AT ISSUE: A renewed challenge to the school's race-conscious admissions policies.

THE CASE: Abigail Noel Fisher individually sued the flagship state university after her college application was rejected in 2008 when she a high senior in Sugar Land, Texas. Fisher claims that she was turned away because she is white. The school defends its policy of considering race as one of many factors -- such as test scores, community service, leadership and work experience -- designed to create a diverse campus.

THE ARGUMENTS: The high court first heard this case two years ago, issuing a ruling with no clear winner. The justices affirmed the limited use of race in the admissions process but made it somewhat harder for institutions to apply such policies to achieve diversity. The case went back to a federal appeals court for further scrutiny, which decided in the school's favor in July.

THE IMPACT: The Fisher dispute will now probably be reviewed once again by the Supreme Court in coming months, with the potential for a definitive 21st-century ruling. The issue of race and education offers vexing questions of competition, fairness and demographics -- and what role government should play when promoting political and social diversity.

@highlight

The court will hear cases involving rappers, UPS drivers and Muslim prisoners with beards

@highlight

It is not yet clear if they will take up the hot button issue of same sex marriage

@highlight

The court's 2014-2015 term gets underway Monday