A federal judge on Friday ruled that Michigan's prohibition on same-sex marriage violates the U.S. Constitution, ordering the state to stop enforcing the ban.

"Today's decision ... affirms the enduring principle that regardless of whoever finds favor in the eyes of the most recent majority, the guarantee of equal protection must prevail," U.S. District Judge Bernard Friedman wrote.

Michigan is the latest state in which federal judges have struck down state constitutional bans on gay marriage.

Similar rulings recently have been issued in Texas, Virginia, Kentucky, Oklahoma and Utah, though in those cases judges have put off enforcement of the decisions until higher courts can weigh in.

Friday's decision is different in that it opens the door for same-sex couples to get marriage licenses in Michigan very soon. Barb Byrum, the elected county clerk for Ingham County and a Democrat, said she is eager and ready to do so once her office opens at 8 a.m. Monday.

"This is a wonderful decision," Byrum said. "Many Michiganders have been waiting for equality in our great state, and I look forward to the opportunity to issue marriage licenses to all loving couples."

That day may not come so fast. Michigan Attorney General Bill Schuette, a Republican whose term expires later this year, announced Friday evening he's filed an emergency request for Friedman's order to be stayed and appealed.

"In 2004, the citizens of Michigan recognized that diversity in parenting is best for kids and families because moms and dads are not interchangeable," Schuette said. "Michigan voters enshrined that decision in our state constitution, and their will should stand and be respected."

He was referring to the year that voters in Michigan, along with those in 10 other states, passed state constitutional amendments restricting "marriage or (a) similar union" to between one man and one woman.

Whether same-sex couples should be allowed to wed was a hot-button issue then and in subsequent years, with polls showing that most Americans favored restrictions.

But public opinion shifted over time. An ABC News/Washington Post survey released earlier this month found that 59% of Americans favor allowing gay or lesbian couples to legally wed.

Michigan's amendment, specifically, states the rationale for its restrictions is "to secure and preserve the benefits of marriage for our society and for future generations of children."

Friedman -- like federal judges in other recent, similar cases -- ruled Michigan's ban violates the Equal Protection Clause  in the U.S. Constitution's 14th Amendment.

He said, "The court finds the (Michigan Marriage Amendment) impermissibly discriminates against same-sex couples in violation of the Equal Protection Clause because the provision does not advance any conceivable state interest."

The plaintiffs in the Michigan case, April DeBoer and Jayne Rowse, sued in part because Michigan law also "restricts adoptions to either single persons or married couples." They had hoped to jointly adopt three children under their care.

Friday's ruling, then, would seem to open the door to same-sex couples jointly adopting children, since now they could be legally married.

In the ruling, Friedman cited  the Supreme Court's landmark decisions last June rejecting parts of the Defense of Marriage Act while ruling same-sex spouses legally married in a state may receive federal benefits.

The justices didn't go as far as saying that all states must allow such marriages to take place within their borders, but a number of lower federal courts did subsequently step into the fray.

In addition to United States v. Windsor, Friedman also pointed to Loving v. Virginia -- in which the Supreme Court ruled that Virginia's ban on interracial marriages was unconstitutional.

"Both the Windsor and Loving decisions stand for the proposition that, without some overriding legitimate interest, the state cannot use its domestic relations authority to legislate families out of existence," the judge wrote.

Keeping their own family together is and was DeBoer and Rowse's No. 1 goal, they said.

"Jayne and I do want to get married, but this case is about the protection of our children," a joyful DeBoer said. "It is not about individuals, it is not about her or my relationship. It is about ensuring that our children will remain together no matter what happens to her and I."

@highlight

Winning plaintiff says, "This case is about the protection of our children"

@highlight

Federal judge: Michigan state amendment barring gay marriage is unconstitutional

@highlight

Michigan is the latest state in which a federal judge has taken action

@highlight

Its attorney general files appeal to stay, overturn judge's decision