PARIS, France (CNN) -- A major donors conference to raise funds for the Palestinians has gone beyond expectations, with donors pledging $7.4 billion to help build a Palestinian state, organizers said Monday.

France's Nicolas Sarkoxy, left, welcomes Tony Blair and Palestinian leader Mahmoud Abbas on Monday.

Other delegations at the Paris meeting are offering aid in kind, such as the International Monetary Fund, which said it would provide monitoring of the Palestinians' promised reforms to reassure donors that their money would be used efficiently.

Palestinian Prime Minister Salam Fayyad called the pledge of money a "vote of confidence" in the Palestinians.

Former British Prime Minister Tony Blair said the support of donors needed to be repaid in the coming months with steps to create a lasting settlement.

"Over the next few months, we have to show people our capability of making the difference on the ground," said Blair, who co-hosted the conference in his new role as envoy for the so-called Middle East Quartet of the United Nations, United States, European Union and Russia.

The Paris conference focuses on short-term priorities for the Palestinians, and French President Nicolas Sarkozy said those include providing immediate support for the Palestinian people -- particularly those living in Gaza -- and stabilizing the Palestinian economy.  Watch CNN's Jim Bittermann explain the conference's aims »

It follows on the heels of last month's peace talks in the U.S. in which Israeli and Palestinian leaders vowed to negotiate a final-status agreement by the end of 2008.

French President Nicolas Sarkozy said France would donate $300 million, and the United States was expected to pledge more than $500 million.

Central to the Palestinians' request for aid is a three-year reform plan that the Palestinians prepared for the conference. The plan, which covers 2008 to 2010, centers on economic development and government reform.

The World Bank praised the plan, calling it a "promising effort" to link policy-making, planning and budgeting. But in a report released Monday, the World Bank pointed out the reforms would succeed in helping Palestinians only if they were accompanied by both donor aid and Israeli actions.

Israeli Foreign Minister Tzipi Livni spoke of taking such actions, saying Israel is committed to meeting its responsibilities under the Middle East road map, especially regarding the contentious issue of settlements.

Livni said an agreement had been reached with the European Union to provide training for Palestinian police.

Palestinian Authority President Mahmoud Abbas said the Palestinians didn't lack will or determination but resources. He promised donors that Palestinians would work hard to create a modern country in control of its security.

"We are at a historic stage today, and the destiny of our region and peace depends on this," said Abbas, who requested the conference be held.

Abbas earlier had requested $5.6 billion in aid over the next three years.

Sarkozy repeatedly told the conference he is a "friend of Israel," but he urged the Israeli government to withdraw troops from the West Bank, freeze settlements, reopen institutions in East Jerusalem and help the isolated population of Gaza.

The World Bank's report detailed the challenges facing attempts to revive the Palestinian economy, which has become almost totally dependent on foreign aid.

The Palestinian Authority is the largest employer for its people, as private-sector jobs dry up. The World Bank said wages for public sector employees account for almost half of the government's expenditures.

With public investment having nearly ceased, the World Bank said, almost all government funds in the past two years have been used to pay salaries and cover operating costs.

Staffing also has gone up in the health and education sectors, the World Bank said, leaving little money for pharmaceuticals, medical supplies, teaching and learning materials, and overall maintenance.

The World Bank said the reforms would only succeed if they include Gaza, where 40 percent of the Palestinian population lives.

Gaza has been subject to a wide-ranging crackdown since Hamas took power in June; its borders are closed, fuel imports are restricted, and there are strict limits on all imported goods.

"The continued entry of humanitarian goods has mitigated the impact of the closures on Gaza's population, but has not been sufficient to offset the collapse of the private sector there," the World Bank report said.

Unemployment across the Palestinian territories stands at nearly 23 percent, the World Bank said, but in Gaza, 33 percent of the population is out of a job. It predicted the figures would rise if the restrictions continue.

A report Monday from the U.N. Development Program spotlighted the pressures on private Palestinian businesses, especially in Gaza, where it said the private sector "is on the verge of collapse with no scope for recovery" unless Israeli restrictions are lifted. E-mail to a friend

CNN's Jim Bittermann contributed to this report

@highlight

NEW: Donors pledge $7.4 billion to help build a Palestinian state

@highlight

NEW: IMF offers to monitor Palestinians' promised reforms

@highlight

Palestinian aid conference organizers hail event as a new beginning

@highlight

Tony Blair says donors need to be repaid with steps to create a lasting settlement