(CNN) -- Think that President Barack Obama has done a back flip on Iraq and Syria, gotten that old-time religion and is now a convert to the "let's kill them wherever we find them" approach of his predecessors? Think again, or at least lay down until the feeling passes.

Indeed, stripped to its essence, what the President has outlined isn't some grand strategy to transform the region or even to "ultimately destroy" ISIS; it's a much narrower transactional one to protect the homeland. And here's why:

The speech the President gave is quite consistent with who he is and what his priorities have been all along, particularly relating to counterterrorism. Sure he's now morphed from a desire to avoid militarizing the U.S. role in Syria to a new willingness to do so. But the reason he's traveled down that road is critical.

It's not some ideological crusade, fascination with nation-building or democratization of a new Middle East.

ISIS now poses a threat to the homeland, a contingency that could not only directly threaten Americans but destroy his presidency as well. And the one area where Obama has been prepared to be ready to take on risk is in counterterrorism.

Anti-terrorist in chief

Indeed, it's hardly a secret and it is a disappointment to many of his own supporters that this President long ago morphed into a much more disciplined and risk-ready anti-terrorist than his predecessor.

He doubled down in Afghanistan; used drones 10 times more than President George W. Bush (431 targeted killings); authorized the mission that killed Osama bin Laden; dismantled much of al Qaeda central; and has been involved in a giant game of Whack-a-Mole these past six years against bad guys from Pakistan to Yemen and Somalia.

ISIS might not be a threat to the homeland now. According to the State Department's Annual Report on Terrorism for 2013, there were 17,891 global fatalities because of terror; only 16 Americans were among them.

But who knows how ISIS might direct its efforts in the future? It's richer, smarter and more capable than al Qaeda in many respects. And there's quite a bit of time left on Obama's presidential clock. He simply cannot afford to play loose on this issue.

Indeed he must be perceived and in fact deliver on doing everything he possibly can to preempt and prevent ISIS from striking here or in the region against Americans.

He wasn't 20 seconds intro his speech before he said the following: "As commander in chief, my highest priority is the security of the American people."

And the polls demonstrate pretty conclusively that ISIS is on America's radar screen and people see it as a real threat.

Grand strategy? Not really

We'd love to believe that all parts of the strategy the President laid out Wednesday night can work seamlessly in pursuit of that ultimate presidential responsibility. But it's hard to imagine they will.

Securing an end state in Iraq and Syria that will somehow lead to good governance and reduce the grievances on which ISIS feeds seems a real stretch.

It won't happen quickly, easily or probably at all, certainly not without Syrians and Iraqis taking real ownership. And getting a bunch of constrained Sunni Arab allies on board who seem at odds with one another -- namely Saudi Arabia, Egypt and the UAE on the one hand and Qatar and Turkey on the other -- also seems very unlikely.

Certainly plans to get Arabs on the ground to actually fight against ISIS -- now bandied about by some very smart people -- are also a bridge too far. Providing bases and money to train Syrians to fight, sure; sharing intelligence, absolutely. But we need to keep our expectations very low.

Any kind of Sunni Arab state coalition of the willing actually willing to enter the fight against ISIS on the ground seems like a fanciful scene out of a bad Hollywood movie. The only way the Arab states are willing to fight ISIS? To the last American.

Is the enemy of my enemy my friend?

Iran is another problematic piece of the puzzle -- and was not mentioned at all in the President's speech.

The administration has a short-term coincidence of interest with Iran against ISIS. We've seen this movie before in the first Gulf War in the early 1990s when Iran condemned Saddam Hussein's invasion of Kuwait and in Afghanistan in 2001, when elements of the Islamic Revolutionary Guard Corps were on the ground training and fighting alongside U.S. Special Operations forces to bolster the Northern Alliance.

But the emphasis should be the on short term.

Tehran has a different vision for Iraq and Syria than we do. Consider the machinations in Baghdad over the past decade by Qassem Suleimani, head of the Qods Force. So any notion that the enemy of my enemy is my friend just doesn't add up in this case. Iran isn't America's friend.

Whether the administration can fashion an effective fighting force out of scores of Syrian militias is a very arguable proposition. Let's road test it. But it will take time.

In the interim, we will have enough difficulty operating against ISIS on our own without good intelligence and special forces on the ground, and getting at ISIS in the midst of a civil war.

In the end, whether this approach works or not, the essence of the President's policy will end up being driven by U.S. air power: Destroy ISIS from the air, certainly as they move across the border into Iraq and then as the intel improves, attack them in Syria, too, and empower our new allies to do so on the ground.

After more than a decade of the war on terror against al Qaeda, if you asked us what the most immediate threat to the continental United States is, we wouldn't say ISIS. We'd say al Qaeda in the Arabian Peninsula with its demonstrated capacity to make bombs and to try to attack America.

Our point isn't to deny the success of counterterrorism efforts; it's to suggest that hitting one jihadist group usually means that affiliates and derivatives emerge. And that's likely to happen even with great success against ISIS. This really is the long war. Fighting these people is like breathing. You just can't stop.

We think the President gets all this.

And frankly, there really isn't much more he could have said or in fact much more he could be doing. In the end, this is not about grand plans, designs and hopes to transform the Middle East -- one broken, angry and dysfunctional region of the world.

For America, it's about how to continue our track record: no al Qaeda-directed attacks on U.S. soil in 13 years.

You can dress it up all you want with allies, coalitions, political reforms and inclusiveness. But Obama knows that in the end when stripped to its essence, it's about killing bad guys before they have a chance to kill us.

@highlight

Has President Obama reverted to George W. Bush's policy on terrorism and the Middle East?

@highlight

Aaron Miller says the President instead is narrowly focused on preventing homeland terrorism

@highlight

He says Obama long ago put his faith in counterterrorism, including drone strikes

@highlight

Obama knows his presidency will be judged partly on whether he kept U.S. safe, Miller says