(CNN)Last month, my husband and I took our daughters to a Columbia University women's basketball game. We live nearby, had already attended a men's game and were excited for our girls, one of whom plays basketball, to watch college women in action.

When we walked into the arena, my mouth practically dropped to the floor. Only a handful of people were there, quite a contrast from the nearly packed house for the men's team.

It must be winter break, I thought. It wasn't.

Sure, the Columbia women's team hasn't had a great season for years -- and this year wasn't much different. Still, only a handful of spectators to cheer on women who were clearly standouts in their high schools to make it to a college basketball team?

I sat on the bench, cheered the women and fumed.

How to Super Bowl #LikeAGirl

A few weeks later, the Princeton women's basketball team did something no other Ivy League men's team had done before, racking up 30 wins and zero losses during the regular season and beating the Ivy League season record of 28-0 held by the 1970-71 Penn men's team. (Princeton ended up losing in the second round of the NCAA tournament, finishing with a 31-1 record.)

The Princeton team garnered national headlines, which was great, but I still wondered what it was going to take for women's sports to get the same attention as men's sports -- meaning an equal number of fans, TV rights, marketing endorsements, you name it. Is such a day even possible?

Consider salaries alone. The average salary for a WNBA player is $72,000, which doesn't include bonuses and benefits, while the average salary for an NBA player is around $5 million, or about 70 times what the average female basketball player makes.

And look at the differences in coverage. The Final Four teams for the men's NCAA basketball tournament got front page attention in Monday's New York Times. The women? A story without a photo deep in the sports section.

I met Nancy Hogshead-Makar, a three-time Olympic gold medalist in swimming, during a spectacular and inspirational women's conference in Jacksonville, Florida, last week called Generation W, where I moderated panels on issues affecting women.

"This connection with sports and masculinity is a very tough nut to crack. People have been trying to crack it for a long time," said Hogshead-Makar, who has devoted her career to the advancement of girls and women in sports.

Why has coverage of women's sports stopped post-Olympics?

More than 40 years after the enactment of Title IX, a law that says that any school receiving federal funds cannot discriminate based on sex, there are still huge disparities, she said, with men getting $190 million more per year in college athletic scholarships than women.

"It's appalling what these huge differences are. Any fifth-grader can walk into your average high school or college softball baseball facility and say, 'Duh, that's not equal.' "

Hogshead-Makar, who is chief executive officer of the advocacy group Champion Women, said even though Title IX requires that women get the same access to media and support that men get, it's not happening.

"The coupling of sexism and sport, having this be an exclusionary practice, is still a strong one," said the 1984 Olympic champion.

Attitudes about women and sports still have a long way to go before we get to true gender equality, based on a recent poll by Always, the brand that brought us the viral #LikeAGirl video sensation.

While a majority of the 1,800 men and women polled said both genders were equal in math and science, they said sports was the one area where they believe there are differences.

A significant percentage of both women and men said men are better at sports, with 32% of women feeling that way and 47% of men, the poll found.

Hilary Knight, a member of the U.S. Olympic hockey team, called the findings "disappointing" but said women's sports is still young, with Title IX only a few decades old.

"It's just a gradual growth process that we kind of have to see through," said Knight, who appears in the most recent #LikeAGirl video, this one released for International Women's Day this month, showcasing women proudly talking about how they shoot, score and do chemistry like a girl.

Knight admits the changes in women's sports might not come during her hockey career but says she believes they will eventually come, especially as more women play the game.

When she started playing hockey 15 years ago, there were few girls who did. Today, you walk into a local rink and you'll find girls' and boys' teams, she said.

"It's a slow process, but as long as you are changing the stereotype, and you are really empowering women and girls to feel proud of who they are and not hindering their progress in any way, I think we are going to see sport get to where it needs to be."

Michele Yulo, whose 9-year-old daughter, Gabi, plays basketball and baseball on boys' teams, also thinks it will take time to create the opportunities for women, which will help change the mindset about women and sports.

Her main focus, she says, is on making sure girls like her daughter can play the sports they love. In June, her daughter will play in an all-girls baseball tournament in Orlando organized by a program called Baseball for All, which was founded to ensure that girls can play baseball when they are young and continue playing the game when they are older.

"What I think is gaining traction is an awareness of female athletes in general and recognition of their strength, skill and determination -- and that yes, this has some effect on the popularity and growth of women's sports programs," said Yulo, creator of the blog Princess Free Zone.

"There seems to be a greater push for girls and women to be taken seriously in sports."

Girls' and women's sports are growing in popularity as participation increases, said Deborah Slaner Larkin, chief executive officer of the Women's Sports Foundation.

Slaner Larkin points to U.S. women's soccer star Alex Morgan, for example, who has over 1.5 million followers on Twitter, and how the upcoming Women's World Cup in Canada is a trending topic worldwide.

That said, girls have more than 1.3 million fewer opportunities to play sports than boys do in high school and about 63,000 fewer participation slots at the college level, according to Slaner Larkin.

"Once sports are recognized as a birthright for both genders, the rest will fall into place," she said.

Helping get us there, she said, is a new generation of moms who played sports as a result of Title IX, which became law in 1972.

"These women identify as athletes and women's sports fans, and they will now pass down their experiences to their daughters," she said.

Getting women into the stands is key to winning television coverage and the big salaries that come with that exposure, said Michael Graber, a sports cinematographer and father of two girls.

"In sports TV, the tail wags the dog. The money goes where the audience is," said Graber, who is the husband of  Diana Graber, the co-founder of the digital literacy site CyberWise.org.

"Money will go to women's sports as soon as an audience wants to watch women, so the best way to support women athletes is by attending women's sports in the first place."

John Furjanic of Chicago said he and a friend took their young daughters to a DePaul University women's basketball game for Valentine's Day for the third year in a row.

"In my humble opinion, any father who doesn't take their young daughters to watch women's sports (at all levels -- grammar school through pro) is missing a chance to expose their children to the opportunities that await them," said Furjanic, whose daughter is 7.

"Long-term, parents taking kids to women's games and women's teams promoting themselves in schools has to be helpful to establishing widespread popularity, generations at a time."

Getting more people into the stands and seeing more girls play more sports will bring about change, many women say. So too will seeing new leaders emerge who believe in gender equality in all areas, including sports.

"Sports are a microcosm of life," said Slaner Larkin. "As we begin to see a more diverse group of men and women in leadership and decision-making roles throughout the industry, we should also see significant changes in media, sponsorship and other fundamental areas of support."

Hogshead-Makar, the former Olympic champion, told me about a case she recently learned about involving dramatically unequal facilities for the women's softball and men's baseball teams at a public high school in Indiana.

"It tells the baseball players you're more important," she said. "That's equally as unhealthy, as for a girl to hear that she's not as important as for him to hear that he's more important."

"When the leadership says, 'We're going to make this just as important,' " change will come, she said.

What do you think it will take for women's sports to get the same attention as men's sports? Share your thoughts with Kelly Wallace on Twitter @kellywallacetv or CNN Living on Facebook.

@highlight

The average WNBA player makes $72K; the average NBA player makes $5 million

@highlight

There are huge disparities between men's and women's sports, a former Olympic champ says

@highlight

A recent survey says both men and women believe men are better at sports