(CNN)"A pilot called me last week, concerned he might have Marfan syndome," a health care provider told me recently at a meeting.  "But if I find he has the disease, do I have to report him to the Federal Aviation Administration?  And if so, should I call him first and tell him that?  Would he lose his job?"  She was totally unsure what to do.  Several other providers were present, and none of them knew, either.

"You should definitely call him and tell him," a health care lawyer, who was present, said. "You have to provide full disclosure."

"But presumably, he knows that you might do so," I said.  "And if you told him, he might not come in for the check-up."

Marfan syndrome affects connective tissue and can lead to sudden tears in the aortic artery, causing sudden death.  Yet if treated, it poses much less risk, though not necessarily zero.

The case raised several specific quandaries about what the responsibilities of medical professionals are and should be -- legally or ethically -- in evaluating pilots.

The FAA requires that pilots self-report any diagnoses.  But health care professionals have no obligation to notify anyone.  They may know that a pilot has a medical problem that is poorly or not treated and may endanger passengers, but these providers have no obligation to do anything about it.

These issues are crucial, given that Andreas Lubitz deliberately crashed the Germanwings Flight 9525, killing 150 passengers. We still don't know why he committed suicide-murder, but the latest reports indicate he was treated for suicidal tendencies before getting his pilot license.

The Germanwings disaster has demonstrated that current standards of medical and psychiatric evaluation are inadequate. The FAA requires only that pilots fill out a psychological questionnaire, asking whether they have had psychological symptoms.  But pilots are not assessed in person by a psychiatrist. Such face-to-face assessments can provide crucial information that self-report forms might miss, partly because pilots might answer inaccurately.

Moreover, the FAA requires only that 25% of pilots have a single random drug screen per year.  Pilots may pass drug tests in January and realize that the odds of undergoing subsequent tests that year are nil.  They may hence use more alcohol and recreational drugs.

We need to consider changing current policies.  Some alterations are relatively easy.  The FAA should consider requiring far more drug testing -- for all pilots, perhaps every few days.

Other possible reforms pose difficult ethical dilemmas, and thus need broad, careful discussion -- e.g., what role providers should play and how much privacy pilots should have.

Medical exams and records over time can indicate key problems that a single visit to an FAA doctor may miss.  But requiring more information from pilots diminishes their rights to privacy.  Indeed, such rights impeded investigators from knowing initially the reason Lubitz took a six-month leave and the nature of his medical condition.

Physicians have to break patient confidentiality when third parties may be endangered.  The legal precedent for breaking patient confidentiality in this way is the so-called Tarasoff case, in which a young patient told his psychologist at the University of California at Berkeley that he wanted to kill his girlfriend, Tatiana Tarasoff.  The psychologist alerted the campus police, though not the city police or Tarasoff. Unfortunately, the patient then killed Tarasoff.  A court found the psychologist liable.

These violations of patient confidentiality make us providers uncomfortable.

As a physician, I have had to report patients whom I even suspected might be abusing a child.  I remember one patient who came to the emergency room for psychiatric problems mentioning that she sometimes hit her toddler son with the end of an electrical cord, swinging it until the thick part banged him.  As I asked more, she began to cry.

I felt terrible for her and was unsure how dangerous her actions were, but I erred on the side of protecting the child's safety and contacted social services.  When I told her, she nodded, then whispered thank you.  She knew she needed help.

Still, in Germany and several states, providers do not have to break patient confidentiality, even when they think the patient may endanger others.

Critical dilemmas arise, though, of what threshold should be used concerning which diagnoses and how much their successful treatment should matter.  Some diagnoses may be treatable and thus permissible if doctors examine the pilot more frequently than once a year.

Early in the HIV epidemic, for instance, some critics argued that HIV-infected pilots should be barred from flying, since the virus could cause neurological problems.  Fortunately, the FAA decided that evidence of actual neurological deficits -- not infection alone -- should ground these employees.

Physicians arguably should consider reporting pilots who have, for instance, epilepsy, manic-depression or diabetes that leads to coma if these conditions are not well controlled with medications.

Yet stigma can make pilots fear job loss and thus hide diagnoses and not seek treatment.  The FAA could require that pilots seek treatment in order to fly, but some pilots may still simply cover up problems.

Ideally, the clinician should be able to talk with the pilot about the need not to fly and arrange a leave for a few months to improve treatment.  Good employee assistance programs and trust are also needed. In addition, we need research to find how much physician reporting would reduce risks or lead pilots to camouflage problems.

Questions still arise of whether even the suspicion of a problem that could impede function should warrant reporting.

An individual may seem fine weeks or even days before becoming seriously depressed.  Careful, transparent discussion, involving medical experts, pilots, policymakers and others, to establish  policies with clearly established cutoffs are thus vital. Unfortunately, suicides, for instance, are impossible to predict.  But much can be done to improve the current system.

@highlight

Robert Klitzman: Physicians should consider reporting pilots who have medical problems such as depression

@highlight

Yet stigma can make pilots fear job loss and thus hide diagnoses and not seek treatment

@highlight

The FAA could require that pilots seek treatment in order to fly, but some pilots may still simply cover up problems