Thanks to a NASA physicist, the notion of warp speed might just travel out of sci-fi and into the real world.

NASA's Harold White has been working since 2010 to develop a warp drive that will allow spacecraft to travel at speeds faster than light -- 186,000 miles per second.

White, who heads NASA's Advanced Propulsion Team, spoke about his conceptual starship at a conference last fall. But interest in his project reached a new level this week when he unveiled images of what the craft might look like.

Created by artist Mark Rademaker, who based them on White's designs, the images show a technologically detailed spacecraft that wouldn't look out of place in a "Star Trek" movie. Rademaker says creating them took more than 1,600 hours.

For now, warp speed is only possible in TV and movies, with both "Star Trek" and "Star Wars" referencing an idea that was completely speculative at the time. White has fittingly named the concept spacecraft IXS Enterprise, for the starship famously piloted by Captain James T. Kirk in the "Star Trek" TV series and movies.

At the SpaceVision 2013 Space Conference last November in Phoenix, White talked about his design, the concepts behind it and the progress that's been made in warp-drive development over the decades. He discussed the idea of a "space warp," a loophole in the theory of general relativity that would allow for massive distances to be traveled very quickly, reducing travel times from thousands of years to days.

In his speech, White described space warps as faraway galaxies that can bend light around them. They work on the principle of bending space both in front of and behind a spacecraft. This would essentially allow for the empty space behind the craft to expand, both pushing and pulling it forward at the same time. The concept is similar to that of an escalator or moving walkway.

"There's no speed limit on the expansion and contraction of space," White said at the conference.  "You can actually find a way to get around what I like to call the 11th commandment: Thou shall not exceed the speed of light."

It's the idea of space warps that inspired physicist Miguel Alcubierre in 1994 to first theorize a mathematical model of a warp drive that would be able to bend space and time.  While studying Alcubierre's equations, White decided to design his own retooled version of the Alcubierre Drive. His recently unveiled design has much less empty space than the first concept model, increasing its efficiency.

The warp drive that White's team has been working on would literally transcend space, shortening the distance between two points and allowing the craft to break the speed of light. This would be a spaceship with no speed limit.

Because travel into space has been extremely limited due to existing means of propulsion, such a technology could blow open the possibilities of space exploration. It could allow for study of the farthest reaches of space, parts that scientists once considered unimaginable.

Although the technology to create the spacecraft or the warp drive doesn't yet exist, the artistic renderings Rademaker created could potentially be a model of what's to come -- the first spacecraft to break the speed-of-light barrier and journey beyond our solar system.

In his design, White says he drew from Matthew Jeffries' 1965 sketches of the Enterprise from "Star Trek," saying parts of that ship were mathematically correct. He worked with Rademaker and graphic designer Mike Okuda to update the math and produce what he believes to be a viable spacecraft.

According to NASA, there hasn't been any proof that a warp drive can exist, but the agency is experimenting nonetheless. Although the concept doesn't violate the laws of physics, that doesn't guarantee that it will work.

"We're starting to talk about what the next chapter for human space exploration going to be," White said at SpaceVision.

@highlight

NASA physicist Harold White has been working since 2010 to develop a warp drive

@highlight

This week he unveiled images of what such a starship might look like

@highlight

Renderings are by artist Mark Rademaker, who based them on White's designs

@highlight

Warp drive would let spacecraft travel at speeds faster than light