(WIRED) -- Last month, when Zack Ajmal was planning a vacation to Italy, he set out to find the first thing that a traveler would need in a foreign land: a map. But digital maps of Rome and Venice for his Garmin GPS device cost almost $100. So instead, Ajmal turned to OpenStreet Map, a community-driven maps database.

A user-edited map of cycling routes in Perth, Australia, available on OpenStreetMap's site.

"It worked out pretty well," the Atlanta-based engineer says. "I found Open MTB, which had outdoor hiking and cycling maps with not just roads information, but also trails, short cuts and little known routes."

Ajmal is among roughly half a million users who are eschewing proprietary maps information from GPS companies and instead going with crowdsourced versions, which they then load onto their GPS devices and smartphones.

The key to these map hacks is OpenStreetMap. Founded in 2004, OSM is to maps what Wikipedia is to encyclopedias. The site offers maps that can be edited, customized and loaded on to devices for free. Want to go whitewater rafting but need to know where the rapids are? There's a map for that. Or to know all the interesting points along the river Nile? There's a map for that. And it's all based on the OpenStreetMap data.

"The value is that it is a richer map with more up-to-date information because anyone can fix things," says Steve Coast, one of the founders of OpenStreetMap. "Users get access to the underlying data and not just a picture of the maps."

Consumer map data is currently a duopoly split between two mapping providers: Nokia's Navteq and TomTom's Tele Atlas. The two provide the mapping data that powers almost all commercial map applications and devices. But maps from these providers are extremely restrictive in how they can be used.

Want a map of the best hiking trails in the country or a walking tour of Rome? Traditional GPS services can't offer that. For adventurous geeks that calls for a DIY fix.

"OSM maps are a little new on the scene," says Rich Owings, who runs the GPStracklog.com website and is the author of the book GPS Mapping. "Most people in the U.S. were not using them until recently, but now there are iPhone apps based on it."

Getting OpenStreetMap is easier on some devices than others. In Garmin systems, it's as simple as taking one of the available maps and dropping it into a folder on the device.

"It's really hard to mess up your GPS doing this," says Owings. "And if you have questions you can always ask the community to help you out." Owings says he loaded maps of Ecuador on his Garmin unit in about 30 minutes. "It's not as clean of a map as one you can get from the Garmin store but they are pretty wonderful and have very good coverage."

For TomTom systems, getting OpenStreetMap can be a more difficult process. TomTom uses a proprietary mapping format, says Coast. That means a tricky process of converting OpenStreetMap into a TomTom-compatible format.

OpenStreetMap has also been used to create iPhone apps such as MotionX, which is targeted at hikers, skiers and bikers; B.iCycle, a cyclometer that shows burned calories, trip distance and trails; and ATM@UK, which shows all ATM locations in Great Britain.

The OpenStreetMap project is a cartographer's dream come true, says Randal Hale, who has a GIS consulting business. Hale has created custom maps for a few clients using OpenStreetMap and has put OSM-generated maps on his Garmin unit.

"With the professional mapping software, I have to purchase a license to use their version, which is expensive and I can't use the data for analysis," says Hale. "With OpenStreetMap, I download it, make cartographic edits and hopefully I have made it better for the next user."

Meanwhile, traditional navigation companies are also reaching out to users for help on data. For instance, Nokia kicked off a pilot project at the University of California at Berkeley to collect traffic information through GPS-enabled cellphones. Users could download the software for free and use it to check on road conditions on their phones.

At the same time, the software would report data about its users' positions to a central database, enabling the researchers to assemble traffic data in real time. Google has also said it will add nationwide real-time traffic data to its maps by collecting anonymous location data from Google Maps users.

Still, community-created maps and navigation information remains a small niche, appealing only to "GPS techies" who are willing to take risks, says Owings. "There's not a lot of public awareness because many people don't even know they can do this with their Garmin or cellphone," he says.

But if you are planning to go to Berlin later this year, take a look at the OpenStreetMap site. Germany is expected to become the first country in the site's database to be fully mapped by contributors.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

About half a million users are embracing crowdsourced versions of digital maps

@highlight

OpenStreetMap offers maps that can be customized and loaded to GPS devices

@highlight

Crowdsourced maps can show hiking trails, whitewater rapids and other features

@highlight

Developers are creating iPhone applications based on these maps