(Departures ) -- The Skypark pool atop the Marina Bay Sands hotel in Singapore might be one of the most magnificent pools on earth: It's an infinity-edged oasis 650 feet above ground with a mind-blowing view of the city's skyline. It's part of a massive rooftop entertainment platform perched atop three skyscrapers.

While it may vie for the most dramatic, this high-altitude hot spot is now one of many built in major metropolises. These days pools are popping up on top of skyscrapers from New York to Sydney and everywhere in between, often with bars and restaurants that help transform the pool deck into a social scene all its own.

"In densely populated cities where space is at a such a premium, if you want to build something new and innovative, the only place to go is up," says Thompson Toronto project architect Rob Cadeau, who turned the hotel's rooftop into a gathering place by designing a bar adjacent to the pool area.

Other designers have used increasingly dramatic effects -- infinity edges, cantilevered pool tanks, see-through flooring -- in order to distinguish and gain international attention for their offerings.

"Every time someone does something new, someone else has to up the ante," says Cadeau. "In the future, we're going to see even more acrobatic engineering on rooftops, features that will stretch our perception of the pool edge, the height and the sensations you experience once you're swimming."

The trend to create entertainment hubs above the hectic urban bustle started a decade ago in New York, where 35 hotels now feature a rooftop bar, many of which have pools.

Boutique properties like the Soho House were the first to get in on the action, and other hotels followed suit, from Hotel Frasano's Phillipe Starck-designed rooftop pool in Rio de Janeiro to the Joule in Dallas, where part of the pool hangs off the building.

Eventually the laws of physics may keep designers from pushing the envelope any further. In the meantime -- the sky's the limit.

Departures.com: 10 stunning hotel penthouses

Marina Bay Sands, Singapore

The infinity pool at Marina Bay Sands soars a hair-raising 650 feet in the air, overlooking the Singapore skyline.

The expansive "SkyPark" deck and observation platform (large enough to fit three football fields) is perched 55 floors up on a platform that connects the hotel's three skyscrapers.

Guests who aren't content to swim or lounge can paraglide off the side. marinabaysands.com.

Hotel Fasano, Rio de Janeiro

This Phillipe Starck-designed rooftop pool deck is a feast for the eyes, from dramatic views of Ipanema beach and Two Brothers mountain to Starck's sculptural installation of ear-shaped mirrors.

Naturally even the guests are worth a glance: Madonna, Kevin Spacey and P. Diddy have all been spotted poolside. To help loungers stay cool as the people-watching heats up, the bar mixes specialty caipirinhas and freshly squeezed tropical juices.

The hotel recently opened a Vichy shower room adjacent to the pool, which offers body wraps, massages and after-sun treatments by Spa Fasano and renowned Brazilian spa therapist Renata de Abreu. fasano.com.br.

The Joule, Dallas

When movie mogul Tim Headington, who has bankrolled such films as Martin Scorsese's "The Departed" and "The Aviator," built a pool on the tenth-floor rooftop of his downtown Dallas hotel, he opted for a little Hollywood-style drama, extending the pool eight feet out and over the side of the building, complete with an aquarium-like glass wall at the end overlooking the street.

On warmer weekends The Joule hosts parties on the pool deck, which is complete with cabanas and a menu from the Charlie Palmer restaurant downstairs. Not outrageous enough? The poolside loungers can request an SPF application from the onsite tanning butler. thejouledallas.com.

InterContinental Hong Kong

In a city with no shortage of IMAX-worthy hotel views, the one from the InterContinental demands a mention. Visitors can take in views of Victoria Harbour and nearby Hong Kong Island from one of three temperature-controlled infinity spa pools on the third floor pool terrace, which is open to all guests.

Guests rotate between hot, warm and cold plunges on the 30,000-square-foot deck while a butler lingers nearby with a selection of beverages and facials mists.

For those who need further relaxing after their swim, the feng shui--based Ancient Rituals of the Orient treatment at I-Spa, located steps from the pool, is guaranteed to do the trick.

The hotel also has a Presidential Suite and a CEO suite, which both have a private swimming pool and jacuzzi. hongkong-ic.intercontinental.com.

Ritz Carlton Hong Kong

This indoor pool stands a dizzying 1,500 feet above the street, offering a bird's-eye view of Hong Kong Island. It also features 144 LED screens installed in the ceiling that display video and images, a hot and cold plunge area and an outdoor Jacuzzi.

The pool shares the floor with OZONE, the highest bar in the world (rivaled only by at.mosphere in Dubai's Burj Khalifa). Head over to check out the space-age decor and take part in the drinking and dancing. ritzcarlton.com/hongkong.

Departures.com: 25 top travel apps

Soho House, New York City

When it opened in Manhattan's emerging Meatpacking District in 2003, the heated top-floor pool at this members-only club instantly became the city's most exclusive destination.

Despite a nearly decade-long cooling off period, the buzz remains: the black-and-white-striped lounge chairs beside the pool are still prime real estate. While the pool has stayed members-only, visitors can gain access by booking one of the 24 rooms in the hotel below. sohohouseny.com.

Hotel Unique, São Paulo

The best time to pay a visit to this pool, poised atop one of São Paulo's most cosmopolitan new design hotels, is after dark. That's when the unparalleled views of the city's downtown skyline and the colorfully lit pool water glow brightest as guests nibble from the sashimi menu and sip wasabi martinis.

Still, even the most determined loungers will want to dive in: music is pumped through the pool via an underwater sound system. hotelunique.com.

Thompson Toronto

Thompson Hotel execs took advantage of the city's relatively mild weather and designed their 16th-floor oasis to maximize their guests' access to the outdoors.

"We built the infinity pool on a raised platform, so you're at eye level with the water the second you step out of the elevator," says Rob Cadeau, whose team oriented the entire deck to face east so it would feature an unobstructed sightline toward downtown.

During warmer months, the glass wall between the indoor bar and outdoor pool retracts to create one large space for mixing and mingling. thompsonhotels.com/hotels/Toronto.

The Viceroy, Miami

Miami is famous for its exceptional pools, so it takes a truly over-the-top one to impress. The one on the roof of The Viceroy is no slouch: Its two-acre pool deck connects the three towers of the Icon Brickell complex and has a 300-foot infinity pool that appears to drop off into Biscayne Bay, 15 stories below.

The outdoor recreation area offers 12 cabanas and 200 chaise lounges, a life-sized chess set and a thermal hot tub that seats 80 people.

Don't miss the late-night scene at Club 50. Perched on the 50th floor, this lounge and dancing space (designed by interior designer Kelly Wearstler of Bravo's Top Design) features an Asian-inspired pool area and an ever-rotating roster of internationally renowned DJs. viceroyhotelsandresorts.com/Miami.

Adelphi Hotel, Melbourne, Australia

It may take nerves of steel to take the plunge at the Adelphi Hotel. This heated saltwater pool is cantilevered several feet over the street below and features a transparent floor that looks over a nine-story drop down to the pavement.

Since the beginning of December, the start of the Australian summer season, the Adelphi offers themed events poolside: "Roja" (Latin jazz, tapas and sangria), "Sultry" (weeknight cocktail parties) and "Splash" (casual Sunday recreation with beach balls, toys and buckets of beer). adelphi.com.au.

Departures.com: High-tech travel gadgets

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Bars and restaurants are transforming rooftop pools into a social scene

@highlight

The infinity pool at Marina Bay Sands soars 650 feet in the air, overlooking Singapore's skyline

@highlight

The Adelphi Hotel in Melbourne features a transparent floor that looks over a nine-story drop