(CNN) -- The town of Bude in the southwest of England is best known for its long sandy beaches and picturesque bays. Nowhere on its tourist brochures is a complex of white domes and dishes at Morwenstow mentioned.

After the latest revelations published by the Guardian, New York Times and Der Spiegel, Morwenstow may become a little more familiar.

The site -- now officially known as GCHQ (Government Communications Headquarters) Bude -- is at the heart of a global eavesdropping network run by the U.S. National Security Agency (NSA). It has more than 20 antennae orientated toward global communications satellites over the Atlantic and Indian Oceans, Africa and the Middle East, according to declassified sources.

Based on documents provided by former NSA contractor Edward Snowden, the three newspapers reported Friday that GCHQ Bude is a critical hub in eavesdropping on the communications of government figures, and many others, in Europe and beyond.

Among some 1,000 organizations and individuals whose e-mail or phone numbers appear in the documents: the European Commission, the government of Israel, African heads of state, the United Nations Children's Fund (UNICEF) and the NGO Medecins du Monde.

None of the newspapers published any of the documents they were shown, and the volume of information collected on any particular individual or organization is unclear. The New York Times reported that, "The documents include a few fragmentary transcripts of conversations and messages."

But one of the many hundreds of phone numbers listed in the documents from 2009 was that of a senior European official, Joaquin Almunia, who is Spanish. At the time -- just as Europe's financial crisis gathered pace -- Almunia was the European Union's economic and monetary affairs commissioner. According to Der Spiegel, he had a "personal identification code in the British target database, with the code name "Broadoak."

Almunia has since become the competition commissioner, handling antitrust disputes, and has been in a long-running dispute with Google over search-engine practices.

In an apparent reference to the allegations about Almunia, the NSA said in a statement Friday: "We do not use our foreign intelligence capabilities to steal the trade secrets of foreign companies on behalf of -- or give intelligence we collect to -- U.S. companies to enhance their international competitiveness or increase their bottom line."

'This is not the type of behavior that we expect'

According to The New York Times, the French oil company Total and defense contractor Thales also are mentioned in the documents.

The NSA statement concluded: "The U.S. Government is undertaking a review of our activities around the world -- looking at, among other issues, how we coordinate with our closest allies and partners."

The European Commission reacted swiftly to the latest revelations.

A spokeswoman in Brussels said that if proven true, they "are unacceptable and deserve our strongest condemnation. This is not the type of behavior that we expect from strategic partners, let alone from our own Member States," meaning the UK.

"The Commission will raise these new allegations with US and UK authorities," she added.

Spanish media also pounced on revelations about Almunia's communications.

The headline in El Pais translated as: "The US and UK spied on Commissioner JoaquÃ­n Almunia's mobile," while La Republica also focused on "los servicios secretos britÃ¡nicos" as the perpetrator.

The British government is likely to come under further scrutiny from its European partners over its intelligence gathering activities. UK criticism of the NSA program has been more muted than that of France, Germany or Spain, in part because of the long intelligence partnership between the two countries.

Review: NSA snooping programs should stay in place

According to German Chancellor Angela Merkel, British Prime Minister David Cameron did not join in a vigorous debate at the EU summit in October on the NSA eavesdropping, rather expressing his "silent acquiescence" to a strongly-worded statement in which Britain was indirectly warned that "a lack of trust could prejudice the necessary cooperation in the field of intelligence gathering."

By then, Der Spiegel had already reported that the documents leaked by Snowden showed that GCHQ had been involved in a cyberattack against Belgium's state-run telecom company, Belgacom.

The company would only say at the time that "the intruder had massive resources, sophisticated means and a steadfast intent to break into our network."

GCHQ shares much of the information it collects with the NSA.

More than eyes on the sky?

The Guardian reported earlier this year, again based on documents provided by Snowden, that the NSA had provided some $25 million to update the Bude facility. But it is also likely that the NSA has been and is still be able to gather directly data harvested by GCHQ Bude.

Nicky Hager, an investigative reporter and author of several books on intelligence, told a committee of the European Parliament in 2001 that "communications were screened for keywords entered into the system by the USA using 'dictionary managers'. The British therefore had no control over the screening process and had no idea what information was collected in Morwenstow, since it was forwarded directly to the USA."

Der Spiegel reported Friday that GCHQ Bude may do more than gaze into the heavens.

"Important undersea cables land at nearby Widemouth Bay," it reported. "One of the cables, called TAT-14, begins at German telecommunications company Deutsche Telekom's undersea cable terminal."

TAT-14 links terminals in Denmark, Germany, the Netherlands, the UK and the United States.

That may explain how so many German telephone numbers appear in one 2009 document provided to the newspapers by Snowden.

"Other documents indicate that the British, at least intermittently, kept tabs on entire country-to-country satellite communication links," like those between Germany and Turkey, Der Spiegel reported.

Morwenstow has long been part of a global network of stations involved in intercepting satellite communications.

The 2001 European Parliament report concluded: "In Morwenstow....GCHQ, working in cooperation with the NSA and in strict accordance with the latter's instructions, intercepts civilian communications and passes on the recordings to the USA as raw intelligence material."

Surveillance program is now Obama's to own

@highlight

Reports detail surveillance facility in bucolic setting

@highlight

Spanish media jump on latest revelations

@highlight

NSA: We don't steal trade secrets of foreign companies