Port Hueneme, California -- (CNN) -- The end of the line for hundreds of detained Central American children is a U.S. naval base along the scenic Pacific Coast outside Los Angeles. Just down the road is celebrity-drenched Malibu.

This is Naval Base Ventura County, where 204 children from El Salvador, Guatemala and Honduras were being temporarily housed Friday as part of the latest crisis in America's immigration system: a surge in Central American minors daring to cross the U.S.-Mexico border alone, or with younger siblings.

The base is better known as home to sailors and Seabees, not Spanish-speaking children temporarily orphaned.

The quarters are expected to be at capacity, 575 children, by Tuesday, 11 days after the facility opened.

Posters about "ABC" and "123" and U.S. leaders such as President Barack Obama and Rosa Parks share the wall with American red, white and blue ribbons.

Bunks in a barracks-like setting are brightened with pastel-colored blankets. Some bedspreads even have flower patterns. Dorms and activities are segregated by sex, but boys and girls eat meals together, officials said.

The boldly colored touches are the government's effort to make the wide halls and tall walls feel less institutional for the detained children, who are between 13 and 17 years old.

"It's not like they're militarized," Pentagon spokesman Lt. Col. Tom Crosson said of the shelters on armed forces' bases in California and two other states. "There's no military. There's no uniforms. There's no military environment."

Officials with the U.S. Department of Health and Human Services are operating the temporary shelters, not the Pentagon, Crosson said. Health and Human Services is also running similar shelters for immigrant children on Lackland Air Base in Texas and Fort Sill in Oklahoma.

The emergence of child detainees at the Ventura County base is something the city of Port Hueneme can handle, Mayor Jonathan Sharkey told CNN affiliate KEYT.

"On the Port Hueneme side alone, there are at least 5,000 military folks here all the time," Sharkey said. "This is a very busy base. It's a big base. This particular program is very small. It will have no impact at all as far as the city is concerned."

Since June 6 when the new California shelter opened, 15 of the Central American children have left the facility and were handed over to relatives or vetted sponsors, said HHS spokesman Kenneth J. Wolfe.

Under U.S. law, detained Central American immigrant children are treated differently than those from Mexico and Canada: The Central American youths aren't deported immediately but rather are turned over to HHS within 72 hours of custody, officials said.

After being held in HHS facilities, the children end up in the care of their parents or relatives living in the United States or in the care of a sponsor's group home, officials said. During that process, the immigrant child is given a court date.

But very few show up to court, and the children often become some of the millions of undocumented immigrants in the United States, said a union official for U.S. Border Patrol agents.

Consulates respond

El Salvadoran Vice Consul Julio Calderon in Los Angeles said the consulate will ask children in the shelter for any supporting documents such as a birth certificate.

However, unaccompanied children in detention facilities sometimes give a fake name, Calderon said.

"That's a problem," he said. "In most of the cases, they use their real names. Sometimes they use a different one because they think if I don't give my real name, I'm not going to have a problem ... being removed back to my own country, I can come back later" to the United States, Calderon said.

That belief is a mistake because U.S. authorities fingerprint the children for identification, Calderon said.

Some children become crime victims during their solo journeys, he added.

And some are never found.

Parents and relatives "should be happy to know that their kids are alive," he said.

"We have sad stories," Calderon said. "There are so many times that kids are never found. We don't know what happened to them."

Guatemalan Consul General Pablo Garcia Saenz in Los Angeles will visit the facility Monday to see how many Guatemalan children need assistance, and also whether they have parents or other relatives in the United States.

"It's very, very important to visit. It's necessary to talk to the children about what happened, what do you need ... who can pick them up," Garcia Saenz said.

Three-fourths of children are from three countries

Three-fourths of the unaccompanied children crossing the U.S-Mexico border come from three Central American countries: Guatemala, El Salvador and Honduras, said Department of Homeland Security Secretary Jeh Johnson.

Erika Pinheiro, an attorney at Esperanza Immigrant Rights Project in Los Angeles, said several nonprofit legal groups like hers are overloaded with cases and have determined it's too far to travel to the naval base, about a 70-mile drive from downtown Los Angeles. Her group can't make the long trip, she said.

Pinheiro is concerned the children or their U.S. relatives will not find attorneys. The children and their families often don't go to their court hearings because they don't understand or have access to legal services, Pinheiro said.

"I think it's in everybody's interest to provide these children with attorneys," she said. "My worry is that we might have trafficking victims, bona fide refugees, people fleeing violence in their country who need legal representation and need legal help.

"It's the only type of legal proceedings in the United States where we expect children to represent themselves, so you have children as young as 5 years old being expected to present a very complicated case for defense against deportation, against a skilled government attorney and a judge," Pinheiro said.

Before the California naval base releases any child to relatives, the family members must sign an agreement to attend immigration hearings, officials said.

@highlight

NEW: Some children use fake names in arrest at border, Salvadoran vice consul says

@highlight

NEW: Other children are victimized at border and some never found, consul adds

@highlight

Naval Base Ventura County holds 204 migrant Central American children

@highlight

"It's not like they're militarized," Pentagon spokesman says of temporary shelters