LONDON, England (CNN) -- It is a familiar refrain to hear the earth and its resources being described as precious and that climate change is, and will, prove extremely costly.

The Iwokrama Reserve covers 370,000 hectares of the Guiana Shield. It is one of the four remaining rainforest regions of the world.

But historically, no one has attempted to put a market value on nature's eco-systems and the services they provide. Until now.

Last month, a deal was struck between London-based venture capital company, Canopy Capital and the Iwokrama International Center for Rainforest Conservation and Development (IIC) in Guyana, South America.

According to Canopy Capital this isn't a deal about buying up land. Neither has it anything to do with carbon trading. Andrew Mitchell, Director of the Global Canopy Program (GCP) and a partner in Canopy Capital, says the deal is about; "creating a whole new paradigm for the way in which the world economy values the environment."

What Canopy Capital is saying is that the rainforests provide us with a service that benefits us all. Not only do rainforests naturally store carbon, they also provide the means for economic stability for the indigenous population, the surrounding regions and further afield. Like everything else, these natural services should and will, they hope, have a value.

HRH The Prince of Wales, who is a patron of the IIC, has described the rainforests as: "Giant global utilities providing an essential service to humanity on a vast scale." He thinks that the value of the world's forests is not properly understood and therefore not paid for. Seen from this perspective, Canopy Capital's new investors might be on to a good thing.

Founded in 1996, the IIC has historically been devoted to scientific research, pioneering the sustainable use of rainforests, as well as encouraging eco-tourism. The intention now is to create a new commercial business model marketing its assets which will preserve its long term future.

The prize asset is the 370,000 hectares of the Iwokrama Reserve, which lies in the heart of the Guiana Shield -- a vast area of tropical forest which stretches over 2.5 million square kilometers across the north-east of South America, crossing six state borders. It was gifted to the Commonwealth for the purposes of research in 1989.

Canopy Capital, who announced the deal at the world's first 'Biodiversity and Ecosystem Finance Conference' in New York, currently has a dozen investors who collectively hold an 80 percent stake in the company. The remaining 20 percent is held by the GCP.

An alliance of 29 scientific institutions conducting research into forest canopy, the GCP has been evolving the concept of canopy eco-system services for the past eight years.

Discussion started within the scientific community, then moved on to involve environmental economists. The final step was to approach the financial community to see if there was a market for eco-services.

It was here that the idea took off. GCP Director Andrew Mitchell met up with Hylton Philipson -- a former investment banker. Philipson shared Mitchell's passion for rainforest conservation and set about trying to work out whether such a project would be economically viable.

Before setting up Canopy Capital together, they worked on the Amazonas Initiative -- a project in Brazil's largest state to preserve the rainforests and their inhabitants.

Mitchell, who combines his work at Canopy Capital and the GCP with research at Oxford University's Zoology Department, has been studying tropical forests -- in particular their canopy -- for 35 years. He believes that the new concept can capitalize on the growing fear in the financial markets that climate change is going to be far more costly in the future if we don't act now.

"Markets are driven by fear and greed," he told CNN, "and the fear factor has become greater and greater as the science gets better and better."

He says that the rainforests are a global utility and should be treated as such. "It's like a local power station. We don't really know how it works, but we all enjoy the electricity when we turn the lights on. But if you don't pay the bill you get cut off," he said.

It might be easy to measure the output from a power station, but how do you define and measure the benefits of a rainforest? One way, Mitchell says, is to model what would happen if the remaining big rainforests utilities -- Guiana Shield, Amazonia, the Congo Basin and Indonesia -- weren't there.

"One of the scenarios produced by Ron Avissar of Duke University shows that if you remove the Amazonia, you see rainfall reductions in Mid-West America at different times of the year. If you remove them from the Congo Basin you see changes in rainfall reductions in Uzbekistan and parts of Russia. This would affect our ability to provide food." Mitchell said.

Reduced Amazon rainfall could also have devastating effects closer to home. Brazil is a nation highly dependent on hydro-power for electricity generation. In 2004, over 83 percent came from hydro-power. For them, less rain would literally mean less power.

The destruction of rainforests pose a threat to energy and food security over a vast area, affecting millions of lives. "Governments have a role to play," said Mitchell, "but so do markets."

Canopy Capital is currently producing an audit of the Iwokrama rainforest. Mitchell estimates that the Reserve could be storing up to around 80 million tons of CO2, but he says it's difficult to work out exact values for rainforests right now.

There are threats to the Iwokrama Reserve -- a road running through the Reserve is due to be widened -- but Mitchell thinks that overall, the dangers are relatively low.

And with the President of Guyana, Bharrat Jagdeo, committed to the idea of the international community intervening in forest life, in return for environmental protection and aid, the prospects for Canopy Capital so far look good.

"We're going to have to invest in the earth's life support systems," Mitchell said. "What's the point of making a machine to capture carbon out of the atmosphere when rainforests do it for free? It's cheaper to maintain that than to build a new one."

But Simon Counsell, Director of the UK charity The Rainforest Foundation sounded a note of caution about the proposal. "We're fairly skeptical about these ideas of trading in eco-system services or in the carbon that is stored in rainforests as an effective way of protecting them," he told CNN.

"What we have found over the years is that the only effective way to protect the long term future of rainforests is to ensure that the people who live in and around the forest get some benefit in it staying. And it's not clear how the local people are going to benefit," Counsell said.

Counsell pointed out that traditional carbon trading benefits tend to accrue to the traders, the middle-men, the investors and speculators.

"The hope is that there will be markets for these vaguely defined eco-services. Whether this is going to be the case with the Iwokrama project we just don't know yet, because there are no details of who is going to get what from it."

@highlight

New deal attempts to put a market value on nature's eco-systems and its services

@highlight

Rainforests viewed as giant global utilities providing service to humanity

@highlight

Reductions in Amazon rainfall could affect the American Mid-West

@highlight

Canopy Capital argue markets and Governments must play a role in climate change