Arriving in a city with an area five times the size of New York City and 23 million people can be overwhelming.

Fortunately Shanghai -- the most developed city on mainland China -- is equipped to impress even the most jaded of international business travelers.

The problem, as usual, is finding the time to experience its highlights.

From getting in quick to getting out with the hottest souvenirs -- and having eaten plenty of fantastic food in between -- this mini-guide offers tips for time starved executive travelers looking for the best of Shanghai.

Fastest, most comfortable airport transport

Just getting out of the airport in Shanghai is a thrill if you climb aboard world's fastest commercial train, the Shanghai Maglev.

This airport shuttle connects Shanghai Pudong International Airport with Longyang Lu Station in the suburbs of Pudong.

From there, passengers switch to Metro Line 2 or 7 to travel to the city center.

Moving like a silver bullet, Maglev trains cover 30 kilometers in about seven minutes. Metro Line 2 also runs between Longyang Lu and the airport -- the journey takes about an hour.

Maglev trains run once every 15 to 20 minutes and cost RMB50 ($8) for a single trip and RMB80 ($13) for a round-trip, good for seven days.

Rooms with views

Nothing motivates you to get down to business like waking up to amazing views of the Shanghai skyline from a centrally located hotel.

On a sunny, smog-free day the best Shanghai views can be found at the Park Hyatt.

The 174-room hotel occupies the 79th to 93rd floors of the 492-meter-tall Shanghai World Financial Center -- the tallest functioning building in Shanghai.

Rooms look down on the awe-inspiring high-rise matrix of Pudong.

Over on the Bund, Waldorf Astoria Shanghai and The Peninsula Shanghai are top choices for straight-on views toward the skyscrapers of Lujiazui.

If you'd rather enjoy views of both sides of the curved Huangpu River, you'll want to check into the Hyatt on the Bund on the north end, or Indigo Hotel on the south end.

The latter also provides views of Shanghai Old Town.

Park Hyatt Shanghai, 100 Shiji Dadao, near Dongtai Lu; +86 21 6888 1234; from RMB 1,800 ($293)

Waldorf Astoria Shanghai, 2 Zhongshan Dong Yi Lu, near Guangdong Lu; 86 21 6322 9988; from RMB 2,500

The Peninsula Shanghai, 32 Zhongshan Dong Yi Lu, near Beijing Dong Lu; +86 21 2327 2888; from RMB 2,700

Hyatt on the Bund, 199 Huangpu Lu, near Wuchang Lu; + 86 21 6393 1234; from RMB1,120

Hotel Indigo Shanghai On The Bund, No.585 Zhong Shan Dong Er Road; +86 21 3302 9999; from RMB 1,209

Memorable meals

When it comes to dinner, Maison de L'hui on Julu Lu is the place to impress the pickiest of clients.

This authentic Chinese restaurant is located in a revamped mansion that once belonged to 1930s mafia kingpin Du Yuesheng.

It serves local classics such as Shanghai-style deep-fried fish (no batter, it's marinated in dark soy sauce) and soup noodles topped with yellow croakers (fish).

Elsewhere, tree-lined Jinxian Lu is a relaxing little street known for its authentic home kitchens, such as Lan Xin and Hai Jin Zi.

In these no-frills restaurants, chatty Shanghainese women greet you in a cramped dining room as their husbands cook up some of Shanghai's best braised pork belly, stir-fried shrimps and tofu soup.

Qibao Water Town on the outskirts of Shanghai has a brilliant food street that offers unforgettable xiaolongbao, pig trotters and Shanghai-style glutinous dumplings.

Maison de L'hui, 168 Julu Lu, near Ruijin Yi Lu; +86 400 820 2028

Lan Xin, 130 Jinxian Lu, near Maoming Nan Lu; +86 21 6253 3554

Hai Jin Zi, 240 Jinxian Lu, near Shaanxi Nan Lu; +86 21 6255 0371

Unique clothes

The best shopping trophy for traveling fashionistas is a tailor-made Shanghai qipao.

Originally an ethnic dress of Manchu people, the qipao was immortalized by the flirty Shanghai calendar girls of the 1930s, and then by year 2000 film "In the Mood for Love" starring Maggie Cheung.

The best qipao tailors in Shanghai gather in two locations: Changle Lu (between Shaanxi Nan Lu and Ruijin Yi Lu) and Maoming Nan Lu (between Huaihai Zhong Lu and Fuxing Zong Lu).

Among them, Han Yi on Changle Lu is said to have supplied qipao for Maggie Cheung for her role in "In the Mood for Love."

A typical tailor-made qipao costs RMB 2,000 ($325) and up and takes around two weeks to make.

In a rush? Shanghai Tang, which has several outlets in Shanghai, sells stylish off-the-rack pieces, including Mandarin collar jackets and shirts for men.

Han Yi, 217-221 Changle Lu, near South Shaanxi Lu; +86 21 5404 2303; open daily 9:30 a.m.-9:30 p.m.

Best photo ops

Free day to explore?

Zhongshan Park in the west side of the city is a great place to document Shanghai's morning exercise culture -- serious-looking retirees practicing fan dancing, Mulan boxing and gentle martial arts.

Afterward, for an Instagram shot that'll make all your followers hungry, De Xin Guan on Guangdong Lu is great for lunch. This popular local restaurant is known for noodles and incredible xiaolongbao (pleated pork dumplings).

The afternoon can be spent capturing the disappearing side of Shanghai in the Old Town, where residents enjoy a traditional alleyway lifestyle.

When the sun sets, Shanghai is at its most glamorous.

There are two perfect locations to photograph the neon-lit skylines.

In Puxi, we recommend the rooftop terrace of Bar Rouge in Bund 18.

In Pudong, the rooftop bar at The Ritz-Carlton offers an unforgettable view towards the vast Puxi area.

De Xin Guan, 471 Guangdong Lu, near Fujian Zhong Lu; +86 21 6352 2535

Bar Rouge, 7/F, 18 Zhongshan Dong Yi Lu, near Nanjing Dong Lu; +86 21 6339 1199

Flair at The Ritz-Carlton Shanghai, Pudong, Shanghai IFC, 8 Shiji Dadao; +86 21 2020 1888

Places to experience the heart of the city

The former French Concession is the most pleasant and walkable area of Shanghai.

An ideal starting point for a 30-minute walking tour is the statue of Russian author Alexander Sergeyevich Pushkin, located at the meeting point of Taojiang Lu, Yueyang Lu and Fenyang Lu.

This is the heart of the former concession and a fine place to get lost in the neighborhood. All its streets are charming and fun to explore.

The streets between People's Square and the Bund make up another intriguing area -- the oldest part of Shanghai developed by the British colonists.

You can use Fuzhou Lu as an axis and explore the surrounding small streets, slowly making your way eastbound toward the Bund.

These backstreets paint a good portrait of Shanghai's economic transition, with modern office buildings and high-end art galleries standing next to wet markets, tiny local food stalls and residential alleyways.

The neighborhood also contains one of the few Muslim quarters in Shanghai, located between Guangxi Bei Lu and Zhejiang Zhong Lu.

Easy-to-pack souvenirs

Shanghai's top knickknack emporium is the Fuyou Wholesale Market in the Old Town.

Local residents and businessmen come here for gifts or decor at two-thirds of the regular retail price.

Many objects are souvenir candidates, such as colorful chopsticks, purses and cushion covers made with brocade, or bottle openers shaped like Peking Opera masks.

You can also hit the Dongtai Lu Antique market for mass-produced Mao pins and Little Red Books.

Few objects in this market are really antique, but they still make cool souvenirs.

Remember to bargain -- half the asking price is a good strategy.

Tianzifang on Taikang Lu is another good source of souvenirs.

Apart from the many boutiques filled with wacky T-shirts, communist-style postman bags and mugs, this amazing alleyway shopping complex has adorable tea shops selling carefully packed Chinese loose-leaf tea, handcrafted jewelry and artistic postcards.

Fuyou Wholesale Market, 427 Fuyou Lu, near Henan Nan Lu

Dongtai Lu Antique market, Liuhekou Road, Lu Wan Qu

@highlight

No need to hire a ride from the airport when you've got the Shanghai Maglev, the world's fastest train

@highlight

Shanghai's best fashion purchase is a tailor-made Shanghai qipao, made famous by film "In the Mood for Love"

@highlight

Shanghai restaurant Maison de L'hui on Julu Lu is set in the former home of a 1930s mob boss