Editor's note: Mark Gendreau, MD, is senior staff physician and vice chairman of emergency medicine at Lahey Clinic, Burlington, Massachusetts, and assistant professor of emergency medicine at Tufts University School of Medicine in Boston. His interests include health issues associated with commercial air travel, including transmission of infectious diseases.

Dr. Mark Gendreau says swine flu is focusing attention on how to avoid getting a disease while traveling by air.

(CNN) -- The novel swine flu is showing the world just how interconnected we are and how commercial aircraft can serve as vehicles of rapid disease spread.

I am frequently asked: What is the risk of catching an illness while flying?

In a nutshell, the risk of getting an infection while you're in an enclosed space such as an airplane depends upon three factors: The infectiousness of the contagious person spreading the illness; the degree of your exposure (how close you are to the contagious person and for how long); and the ventilation of the space or passenger cabin.

We really have no control over the infectiousness of our fellow passengers, and usually, you really don't have much of a choice about your seating partners. So the exposure is pure chance.

But this doesn't mean that you are doomed. Most respiratory viral infectious diseases -- like influenza and the common cold -- transmit via droplets contaminated with the offending microorganism when the infectious person coughs or sneezes.

These droplets are propelled no farther than 3 feet and can land on an inanimate object -- such as a seat, overhead bin or seat tray -- or on your body. This is why hand hygiene is so critical and is the single most significant thing you can do to protect yourself and your family when you are traveling or out in public.

Study after study shows marked reductions in transmission in public spaces when hand hygiene is practiced, and a recent study found nearly undetectable influenza particle levels after hands contaminated with influenza were washed with either soap and water or an over-the-counter gel containing at least 50 percent alcohol.

Sanitize your hands before eating, drinking and after retrieving something from the overhead bin or returning from the restroom, and you have just cut your chances of getting infected by at least 40 percent. One of my disappointments with the airline industry is its lack of providing alcohol-based hand sanitizers to passengers. Such a service would go a long way in eliminating infection spread within aircraft. iReport.com: Have swine flu fears altered your travel plans?

Ventilation is the final crucial element to consider in minimizing infection spread. Ventilation dilutes the concentration of infectious particles within any confined space, thereby reducing the probability of infection.

Experience shows us that transmission becomes widespread within the passenger cabin involving all sections when the ventilation system is not working -- as evidenced by an influenza outbreak in 1979 involving passengers being kept aboard grounded aircraft with an inoperative ventilation system.

Air circulation patterns aboard standard commercial aircraft are side-to-side (laminar), with air entering the cabin from overhead, circulating across the aircraft and exiting the cabin near the floor. Little to no front-to -back (longitudinal) airflow takes place.

This air circulation pattern "compartmentalizes" the air flow into sections, thereby limiting the spread of airborne particles throughout the passenger cabin. Ventilation can involve either 100 percent fresh air in which outside air enters and leaves the cabin in a single pass or a system in which various fractions of air are recirculated from the aircraft cabin and mixed with fresh air.

Most commercial aircraft in service recirculate 50 percent of the air delivered to the passenger cabin for improved control of cabin circulation, humidity and fuel efficiency. The recirculated air usually passes through high-efficiency particulate (HEPA) filters before delivery into the cabin.

HEPA filtering of recirculated cabin air to minimize exposure to infectious particles is established within scientific literature, practiced daily in health care facilities and is strongly endorsed by the medical community and cabin health experts.

However, oddly enough, the Federal Aviation Administration, its British counterpart, the Civil Aviation Authority, and Europe's Joint Aviation Authorities do not require the use of these filters on commercial airlines.

Efforts to improve international regulations regarding the certification, inspection and maintenance of aircraft environmental control systems are needed. To minimize the risk of disease spread by aircraft, regulations requiring HEPA filters for any aircraft that uses recirculated air should be seriously considered.

In the meantime, you can improve the ventilation at your seat by turning on the overhead air vent to low and positioning the airflow to be slightly in front of your face. This may create enough air turbulence to push a viral particle from landing on your face and mucous membranes.

Finally, face masks are effective. In 2003, during the severe acute respiratory syndrome epidemic, 76 percent of Hong Kong residents wore simple masks, and in this case, mask use was associated with a lower incidence of SARS, as well as upper respiratory tract infections and influenza. A recent analysis of public health interventions used during the SARS epidemic suggests that the use of masks by the public was 68 percent effective in decreasing rates of infection, with simple face masks, and 91 percent effective for more sophisticated N95 face masks.

The take-home message is this: Use a surgical mask when you are traveling to areas that have reported cases of swine flu and bring an additional one to give to anyone near you who forgot one or appears to be sick and is coughing or sneezing.

Prevention of a disease outbreak is the most important means of control and requires a proactive approach. The aviation industry and medical community should better educate the general public about health issues related to air travel and infection control.

The only way to eliminate any risk of cross-infection in the aircraft cabin -- or the rapid worldwide spread of an infectious agent -- is to prevent would-be passengers who are either substantially exposed to or carrying transmissible infections from flying.

This needs to come from education and promoting individual responsibility, since the systematic screening of passengers for contagious diseases is impractical. Although thermal scanners used in airports may detect travelers with symptoms, they are not effective since people exposed to an infectious disease could travel without any signs or symptoms and yet still be infectious.

The late Nobel Laureate Joshua Lederberg once said "The microbe that felled one child in a distant continent yesterday can reach yours today, and seed a global pandemic tomorrow." True words.

The opinions expressed in this commentary are solely those of Mark Gendreau.

@highlight

Mark Gendreau: Swine flu is focusing attention on illness and air travel

@highlight

He says three things affect the likelihood of your getting sick from a plane trip

@highlight

Gendreau: Sick passengers, your exposure and ventilation are key factors

@highlight

He says using hand sanitizers on planes would help prevent spread