Eighteen errors lines up to cause last summer's catastrophic derailment of a runaway train in the Quebec town of Lac-Mégantic, Canadian accident investigators said Tuesday, concluding an investigation that has revealed serious safety lapses in the transport of crude oil through Canada and the United States.

Among the factors: a "weak safety culture" in the railroad that transported the oil; a government agency that required safety plans from industry but did little to check them; and a train that consisted almost entirely of substandard tanker cars.

Those tanker cars -- known as DOT 111s -- still carry the bulk of the oil from the Bakken oil fields of North Dakota to ports on the east coast of the United States and Canada, although both countries -- spurred by the Lac-Mégantic tragedy -- are taking steps to phase them out.

The Lac-Mégantic derailment was among the most disastrous in modern North America. Forty-seven people died, some 40 buildings were destroyed and 53 vehicles were demolished when the 63 tank cars and two boxcars derailed and erupted in flames. About 2,000 residents of the community were evacuated.

The Transportation Safety Board of Canada (TSB) listed 18 factors contributing to the disaster, but declined to say whether any were more serious than the others. The accident may have been avoided if any one of the 18 factors were not present, the TSB's Jean Laporte told reporters.

"Accidents never come down to a single individual, a single action or a single factor. You have to look at the whole context," said TSB Chair Wendy Tadros.

Crude oil shipments by rail have increased dramatically in the past decade as oil companies have perfected technologies to extract oil from shale. The increase took a number of people by surprise, including government regulators, Tadros said.

Police: Evidence criminal act may have led to crash

In Canada, rail shipments of oil have increased from a mere 500 carloads in 2009 to 160,000 in 2013. In the U.S., shipments have increased from 10,800 carloads to 400,000 in the same period.

Tadros and Laporte said Transport Canada has taken measures of phase out the use of DOT-111 tankers -- one of three recommendations made in January in an unprecedented joint recommendation by the safety boards of both countries. But they sidestepped questions about whether newer, stronger tankers would have remained intact in the Lac-Mégantic derailment. TSB investigator Don Ross said there are "not enough data points" to determine whether newer tankers would have survived the incident.

The incident occurred July 6, 2013, when an engineer for the Montreal, Maine & Atlantic Railway (MMA) parked the train for the night on a descending grade.

Runaway train devastates Canadian town: The route, the damage, the aftermath

Investigators said the engineer set seven of the train's hand brakes, far fewer than the 17 to 26 needed to prevent the train from rolling. The additional holding power of the train's air brakes kept the train secure at first. But when a fire broke out in the lead locomotive because of a mechanical problem, the locomotive was shut down, an no additional air was provided to the air brakes.

A slow air leak led to the failure of the air brakes, and the unattended train rolled down the incline, reaching a top speed of 65 miles per hour before derailing seven miles away at a curve in Lac-Mégantic.

Many of the cars were split open, releasing large amounts of  crude oil, which ignited, causing large fireballs and a pool fire.

The TSB said the railroad cut corners on engine maintenance and training, and that crude oil trains "ran largely unchecked" by Transport Canada, the Canadian equivalent of the U.S. Department of Transportation.

Opinion: Stop shipping volatile oil by rail

MMA filed for bankruptcy after the disaster. The railroad's Canadian assets have been sold.

Investigators also discovered that the oil was improperly described in shipping documents. It was labeled as a "Packing Group II" product, but was shipped as a less volatile Group III product.

Following the Lac-Mégantic disaster, the U.S. Federal Railroad Administration and the Pipeline and Hazardous Materials Safety Administration (PHMSA) issued a safety advisory and announced an operation to conduct unannounced inspections and testing of the crude oil that is being shipped by rail.

Tadros, the TSB chair, said governments and the rail industry have made improvements, but more needs to be done.

Canada "still allows trains to be left unattended on a descending grade," she said. The government needs to do more than rubber-stamp companies' Safety Management Systems, which are intended to detect and address safety issues.

"It's not enough for a Safety Management Systems on paper; that SMS has to work, to do what it was designed to do," she said.

Loss, now anger, fuel a town forever changed

@highlight

The Lac-Mégantic rail disaster of July 2013 killed 47 people,

@highlight

Canadian safety agency report faults railroad, government and train itself

@highlight

TSB: Accident may have been avoided if any one of 18 factors were not present

@highlight

Recent spike in rail shipments of oil surprised even government regulators, says TSB chair