Atlanta, Georgia (CNN) -- A winter storm that paralyzed the South churned up the Eastern Seaboard Tuesday, threatening heavy snowfalls and more misery for the Northeast.

The Southern storm left a trail of treacherous conditions from Arkansas to the Atlantic, closing schools and government offices and contributing to the traffic deaths of at least three people.

Southern states were crippled -- covered in sheets of ice that formed on roads, pavements, cars and atop the crunchy snow.

Meanwhile, with memories still fresh of a monster Christmas weekend storm, Northern states again braced for heavy accumulations of snow and potential blizzard conditions. The National Weather Service predicted 4 to 8 inches of snow in the Philadelphia, Pennsylvania, area, 4 inches or more in northern New Jersey and 2 to 6 inches in southern Delaware from Tuesday afternoon into Wednesday morning.

It will be all snow as well for the Interstate 95 corridor Tuesday night and Wednesday, with 8 to 12 inches predicted for the New York City area and between 12 to 16 inches in Boston, Massachusetts. The National Weather Service issued a blizzard warning for coastal Massachusetts, including Boston, on Tuesday night.

New York Gov. Andrew Cuomo activated the state's emergency management plan in an effort, he said, to ensure resources and equipment are positioned to clear roadways and respond to the approaching storm.

Officials declared a "weather emergency" and advised motorists to stay off the roads. The move restricts parking and allows authorities to remove vehicles that block roadways or impede snow plows.

New York Mayor Michael Bloomberg, who faced sharp criticism over the city's slow emergency response a few weeks ago, said, "It's going to be a difficult, difficult rush hour."

The city of Philadelphia declared a snow emergency Tuesday night, while public schools in Boston will be closed Wednesday because of the predicted snowfall.

At least 30 states were under some sort of winter storm watch or warning Tuesday, and states of emergencies were declared in Louisiana, Alabama, Georgia and the Carolinas. Florida is currently the only U.S. state with no snow, according to the National Oceanic and Atmospheric Administration.

Normally bustling Southern cities such as Atlanta, Birmingham, Alabama, and Charlotte, North Carolina, were silenced by winter, with the crunch of snow boots the only sound in some neighborhoods.

Conditions are not likely to improve anytime soon as an Arctic low slides into the South, bringing with it plunging temperatures. Lows are predicted in the teens in many parts of the region and in single digits in higher elevations.

Roads resembled ice-skating rinks in Atlanta and parts of major interstates were closed.

The U.S. Postal Service said it was only able to deliver to roughly half of its north Georgia and Atlanta-area customers Tuesday. UPS did not make pickups or deliveries in portions of the Carolinas, Alabama and Georgia.

"The ice just made it dangerous and hazardous to ask employees to get out there today," said postal spokesman Michael Miles.

Atlanta police were dealing with so many accidents that the department announced it would only respond to those with injuries and provided an online form for drivers to report others.

The Georgia Department of Transportation warned that "no one should be driving north of Macon," which is in the middle of the state.

The worst problem was along Atlanta's normally jammed southern perimeter, which was blocked by semi-trucks that were stuck in the ice. At midday Tuesday, a 15-mile stretch of I-285 remained closed. Several truckers fell asleep in their stuck rigs, and in some cases, Georgia authorities had to call drivers on citizens band radio to wake them up, said Jill Goldberg, a Transportation Department spokeswoman.

At Hartsfield-Jackson Atlanta International Airport, the world's busiest, most arriving passengers decided to spend the night rather than risk the drive home, and shared space with stranded passengers who had no choice. Airport authorities handed out blankets and amenity kits, but they did little to ease frustrations.

Four out of five runways in Atlanta were operational Tuesday morning. Slick roads were a bigger problem, preventing many airline and airport employees from driving in to work.

Delta Air Lines canceled 1,700 Delta and Delta Connection flights, which represented roughly 30 percent of the airline's total flights Tuesday. The company said it had canceled some 800 flights scheduled for Wednesday.

AirTran Airways spokesman Christopher White said the airline was resuming operations slowly in Atlanta, but added it would take several days to get back to normal. The company canceled more than 260 flights Tuesday and has already canceled more than 50 Wednesday flights, he said.

Most of the canceled flights were into and out of Atlanta, but some were at Northeastern airports, including Boston; Philadelphia; Baltimore, Maryland, and others.

Michael Bernardo, an AirTran command center manager, said many of the same issues hampering passengers are also affecting airline workers.

Another problem is the icy conditions at the gates. While most of the runways are open, ice at the gates makes working conditions treacherous for those servicing the aircraft.

Both Delta and AirTran were offering one-time flight changes with no fees for a limited period.

In other parts of the South:

-- One person died Monday in a weather-related traffic accident in Alabama as parts of the state got 6 to 10 inches of snow, said state Emergency Management spokeswoman Yasamie Richardson.

-- Two people died Sunday and Monday in traffic accidents in Louisiana. Police cited icy road conditions as contributing factors.

-- North Carolina and South Carolina both experienced freezing rain and sleet. Mountainous areas have already seen up to 18 inches of snowfall. South Carolina Gov. Mark Sanford ordered state offices in 24 counties closed due to weather and the South Carolina Highway Patrol responded to 2,610 road-related incidents.

-- The Tennessee Department of Transportation reported extremely hazardous conditions in the mountainous east, but ice and snow also were causing problems in other parts of the state.

Meanwhile in New York, Bloomberg said his city would do everything possible to tackle the storm.

"We're going to spend the money," the mayor said, referring to 1,700 snow plows and 365 salt spreaders that sanitation workers will use to beat back the winter weather. "Then we'll figure out where it's going to come from."

Those same workers are at the center of a citywide investigation into whether their supervisors intentionally delayed cleanup efforts after the Christmas blizzard as a retaliatory measure for budget cuts and demotions.

"The sanitation workers have got to realize that people are going to be watching them," Bloomberg said at a news conference.

Sanitation union representatives have vehemently denied allegations of a deliberate slowdown, pointing to City Hall for the delayed response.

CNN's Dave Alsup, Rob Marciano, Tristan Smith, Moni Basu, Holly Yan, Andy Rose, Nick Valencia and Brian Walker contributed to this report.

@highlight

NEW: A blizzard warning is issued for coastal Massachusetts, including Boston

@highlight

Bad weather may have contributed to three traffic fatalities in the South

@highlight

Heavy snow is forecast throughout the Northeast

@highlight

Airlines cancel a large number of flights heading out of Atlanta