Editor's note: Ann M. Veneman is the executive director of UNICEF and former U.S. agriculture secretary. Last week, UNICEF released its annual report on the State of the World's Children 2009. To learn more about the report, visit www.unicef.org.

Ann Veneman says the lack of basic necessities makes pregnancy and childbirth fatal to millions.

NEW YORK (CNN) -- Every day in the United States, thousands of women and families experience one of the most joyous occasions in their lifetime -- the birth of a child.

That joy is certainly not as often the case in many parts of the world. Women in the least-developed countries are 300 times more likely to die in childbirth or from complications related to pregnancy than women in developed countries.

Half a million women die due to pregnancy or childbirth complications every year.

The lack of the most basic necessities such as a doctor, nurse, clean water, supplies or even a medical facility is robbing precious innocence and devastating families.

Such services are often sorely lacking in the poorest regions of the world, particularly in Africa and Asia, which account for the vast majority of all worldwide maternal and newborn deaths. Conflict, HIV and AIDS, migration and a lack of investment in public health services have made this devastating situation even worse.

In my travels to these regions, I have seen firsthand the impact of these challenges. It's heartbreaking to hear how women have to walk miles while in labor to reach the nearest hospital, only to arrive finding that there are no doctors available or that the conditions are unsanitary. In many cases, both the mother and newborn lose their lives.

Unfortunately, stories like these are not uncommon. I recently visited Sierra Leone, the country with the highest rate of under-5 mortality in the world. One reason for this is that the vast majority of women do not breast-feed their children.

The women I talk with say it is custom to feed their children rice water. This provides little nutritional value and leaves children susceptible to disease and death. However, it is illustrative of the challenges we face in reducing child mortality rates.

Educating women, particularly young girls, about critical health issues is a priority for UNICEF. The younger a girl is when she becomes pregnant, the greater the health risks for her and her baby.

Other factors such as sexual violence and other gender-related abuses pose tremendous challenges and increase the risk that adolescent girls will drop out of school. This, in turn, entrenches the vicious cycle of gender discrimination, poverty and high rates of maternal and neonatal death.

A child born in Sierra Leone has more than an one in four chance of not living to see his or her first birthday. That country also has the worst record for prenatal care.

Regular immunizations, vitamins, rehydration for children suffering from diarrhea and the use of bed nets to protect from malarial mosquitoes are simple and effective ways of keeping women and children alive.

Though the challenges to reach the most vulnerable are high, we are seeing important progress made through international support. However, more can and must be done.

Through proven interventions at key stages in life and pregnancy, millions of women and children can be saved each year. We know that the vast majority of maternal deaths are preventable when women have access to essential maternity and basic health-care services.

The most vital need is for more skilled professionals and medical facilities throughout pregnancy, birth and postnatal care.

UNICEF continues to work with other international agencies to bring more resources to accelerate progress. These efforts are designed to reduce these deaths, and we are seeing some remarkable improvements.

In 2007, while I was in Ethiopia helping open a clean water processing facility, a woman stood up and told me her story. Every day, she would spend up to 10 hours in search of clean water to ensure her children could drink and eat.

With clean water now in her community, she can focus on keeping her children healthy and ensuring they are receiving a good education.

She knows, like so many women around the world in her situation, that the key to ending this suffering is through greater education, awareness and resources to help improve the lives and care of women and children. By doing so, we can significantly reduce and eventually end this horrific loss of life.

The opinions expressed in this column are solely those of Ann Veneman.

@highlight

Ann Veneman: In America, childbirth ends in joy for a very high number of families

@highlight

She says that's not true around the world, particularly in parts of Asia and Africa

@highlight

Veneman: Often, deaths occur due to lack of basic medical care and supplies

@highlight

She says progress is being made, but more must be done to save lives