(CNN) -- What would you do if you ran into a future version of yourself?

For author Charles Yu, "When it happens, this is what happens: I shoot myself.

"Not, you know, my self self. I shoot my future self. He steps out of a time machine, introduces himself as Charles Yu. What else am I supposed to do? I kill him. I kill my own future," he said.

This is the dilemma posed in Charles Yu's debut novel, "How to Live Safely in a Science Fictional Universe." Yu's genre-defying story of time travel is receiving critical praise for being a quirky mix of string theory, "A Hitchhiker's Guide to the Galaxy" and Philip Roth. Yu's appearance at this summer's San Diego Comic-Con won him a slew of new fans and generated buzz for the book.

"How to Live Safely in a Science Fictional Universe" features a down-on-his-luck time machine repairman, living in Minor Universe 31. It's an alternate reality similar to our own. He's got a crush on his computer operating system, named Tammy, and has the great misfortune of getting stuck in a time loop.

Underneath the science fiction, the story deals with a slightly dysfunctional family and their attempts to reconnect with one another.

CNN recently asked Yu about his book and this often-debated science fiction "what-if?"

CNN: So this is not your typical time travel story.

Yu: The book, although sometimes lighthearted, also tries to take on heavier subjects. I wanted to look at how a family is a kind of four-dimensional system, a system not of physical forces but emotional forces, like memory and regret, and how, over time, a family creates its own story of itself. At its core, this is a story of a marriage and of a father-son relationship. I wanted to ask some of the age-old questions about time and identity and self, but I wanted to articulate those questions in new ways.

CNN: In a sense, your book is something of a time machine.

Yu: I've always thought of a novel, just the idea of what a novel is, as an amazing technology. I wanted to play around with the idea of a novel as a time machine. So it really started with the time machine itself, the TM-31 Recreational Time Travel Device, and the guy inside of it, a time travel technician. The time machine is a small, shower-sized box inside of a bigger box, Minor Universe 31. With both boxes, I wanted to evoke a place that feels as much psychological as it does physical. In terms of the plot, the main character is stuck in a time loop (as a result of his having done something very dumb). So he's stuck in this box, stuck in a time loop, stuck between the past and the present, unable to move on with his life. Just plain stuck.

CNN: This is a book sci-fi geeks will love, but you don't have to be a fanboy to enjoy.

Yu: I do love science, and so researching ideas and concepts that I could play around with in the book was certainly fun. And there were moments that felt like discovery, like I had stumbled into a real place in Universe 31, and I was exploring and creating simultaneously. Those fun moments were fleeting, though. For the most part, writing it was hard, as it always is for me. Thomas Mann said, "A writer is a person for whom writing is more difficult than it is for other people." I might even go further and say that a writer is a person for whom writing is slightly more painful than bleeding from the ear.

CNN: The main character in the novel is also named Charles Yu. Is he similar or different from the real you?

Yu: Despite the fact that I named the character after myself, there's really not a lot that is autobiographical in the book, at least in terms of events or other seemingly factual details. If there is a commonality, it's that I have always been very close to my family, and as a result, I have tried to pay attention to the complicated dynamics inside a family, the stresses and strains that any family goes through.

CNN: What writers influenced you?

Yu: I have always admired Philip Roth, Nicholson Baker, Richard Powers, just to name a few. One book I go back to a lot is "Six Walks in the Fictional Woods," which is a series of lectures that Umberto Eco gave. He breaks open the black box of narrative and shows you how it works, the magic and technology inside a story. In some ways, though, comic books and video games have influenced me, too, especially the latter. A video game is an environment where there are rules and constraints, where the laws of classical mechanics may or may not apply, but even if they don't, there are underlying forces and logic and consistency. In writing "How to Live Safely," I tried to create some of the same feel, of this environment, this minor universe where the main character felt constrained in some ways, yet unnervingly free in other ways, as if he realized he was trapped in a story, and yet at the same time he was creating the story through his choices.

CNN: You are an award-winning young writer, a lawyer, and you have a family. How do you find time to keep up with everything?

Yu: My wife was very supportive, and my kids are good sleepers! Those were the keys. I wrote "How to Life Safely" in two- and three-hour chunks at nights and on weekends. There were plenty of nights where I fell asleep at the keyboard. I'd wake up with a second-degree burn on my legs from my computer overheating on me.

CNN: You were a big hit at Comic-Con.

Yu: It was my first time, and I really enjoyed it. My publisher, Pantheon, made all of these cool stickers and posters and flyers, and they also made a completely metal version of the novel. I really enjoyed talking to so many fans of science fiction and of stories in general. Because that's really what Comic-Con is, and I never really thought about it before, but it's this four-day extravaganza that is fueled by the passion people have for fictional worlds of all kinds.

CNN: What's next? Are you working on a new novel?

Yu: Yes, definitely working on a new novel. In addition to that, I'm also excited about another idea I have been developing, which I hope will work as a serial and/or comic book. It's sort of spun-out of the universe of "How to Life Safely," not really in terms of the main story or characters, but out of a concept from that universe.

CNN: Could we see "How to Live Safely in a Science Fictional Universe," the movie? If so, who would you want to play you?

Yu: I would love to see it. It'd be exciting to see how someone else would visualize such a self-referential, conceptual world. I mean, it's literally a metaphor-driven time travel device. It'd be very cool to see my own brother, Kelvin, who is an actor, because I think he'd do a great job. Then again, maybe he'd do too good a job, and it would be too close for comfort. In which case, I'll just say Matt Damon. Is that too weirdly specific? He's just good in everything.

CNN: Any words of wisdom?

Yu: If you ever find yourself face to face with a future version of yourself, don't shoot! You may regret it.

@highlight

Charles Yu's trip to Comic-Con has science-fiction fans buzzing about his new book

@highlight

Yu uses the convention of a time machine to get at psychological issues

@highlight

Yu's character decides to shoot his future self in order to escape a time loop