(CNN) -- Sure, autumn brings to mind brilliant foliage, sweater weather and the return of pumpkin-spiced lattes.

But for millions of Americans, fall also equals football -- and baseball, soccer and the start of the hockey season that will get them through to spring. You'll find these fans at the bar, screaming at a flat-screen as their sports hero makes a game-changing play.

Where you watch is just as important as what you watch, and the sports-crazed have their favorite bar stools, as worn in and beloved as their game-day jerseys. We scouted out terrific sports bars across the U.S., from a March Madness favorite in D.C. to a Vegas hangout with 43 TVs streaming sports from nearly every country, 24 hours a day.

Some sports bars have become legends in their own right. Consider Nick's English Hut in Bloomington, Indiana, where alums have been cheering on the Hoosier hysteria since the 1920s. Or Cask 'n Flagon, opposite Boston's Fenway Park, where the walls showcase archival photos of Red Sox greats -- and current players have been known to celebrate.

Travel + Leisure: America's Best Beer Bars

In Dallas, there's a fairly new game in town: Truck Yard, a sprawling outdoor space where you sample craft beers and treats from local food trucks during the annual Paper Football Tournament. Games get more serious -- and jam-packed -- when ESPN comes to broadcast, and the owners put projectors against the trees.

If you prefer a more refined sports-watching experience, try Society Sports and Spirits in Denver, Colorado, where you'll find chefs in the kitchen and whiskey on tap.

Travel + Leisure: Best Whiskey Bars in America

Sports are a big source of pride, and every season ushers in new reasons to wave the proverbial flag. So, show up early to claim your seat among the regulars at these lively sports bars.

Travel + Leisure: America's Favorite Cities

Truck Yard: Dallas, Texas

Truck Yard bills itself as an adult playground, complete with tire swings, booths within pickup truck beds, a tree-house bar and a vintage Airstream. The prime seats are outside on game days, when the owners install projector screens. Rotating food trucks supply authentic cheesesteaks, artisanal ice creams and everything else you might need to keep your energy up for hours. Last year, ESPN broadcast from Truck Yard during football games. This year, ready yourself for the fourth annual Paper Football Tournament. While not a legitimate sport yet, it should be.

Pooley's: Madison, Wisconsin

You watch sports at Pooley's, of course, but you can also play them. "I have 80 teams in leagues Monday through Thursday nights and a private league on Fridays," says Geoffrey Poole of the bar's two volleyball/basketball courts, which are otherwise available for drop-in patrons. A local fixture since 1993, Pooley's is not only Madison's largest sports bar but also a museum with more than 1,600 signed photos, 400-plus football helmets (including three from Heisman Trophy winners) and more than 75 jerseys. The biggest crowds turn up for the Badgers NCAA basketball games, when the bar runs a shuttle to and from the stadium for $10.

Cask 'n Flagon: Boston, Massachusetts

This bar directly across from Fenway is almost as big a part of Red Sox lore as the legendary Green Monster. Rare photos line the walls, with one featuring a portly Babe Ruth before retirement and another Mickey Mantle, mid-swing. During the playoffs, fans wait three hours to get inside, and for Red Sox pitcher Tim Wakefield's birthday, the entire team snuck in and executed a massive surprise party for him at the bar.

Goal Sports Cafe: Los Angeles, California

Ask serious Los Angeles chefs where they go for sports, from World Cup soccer to UCLA games, and the reply is typically Goal. After all, executive chef Jonah Johnson elevates bar food with dishes like his pineapple and brown sugar ham, shaved thin, hit with mustard and coleslaw, and served on a pretzel bun. Thirteen televisions, six sports packages, and 80 out-of-market games shown every week are gravy.

Nellie's Sports Bar: Washington, D.C.

"I'd say we put equal emphasis on being a gay bar and a sports bar," observes owner Douglas Schantz, who named it for his great-grandmother. You'll find a large portrait of Nellie in a fur hat amid a mishmash of antique tennis rackets, old oars and vintage advertisements. Twenty-four televisions and a giant projection screen belong firmly to this millennium, as does the super-fun weekend Drag Brunch, which often books up a month in advance. As for game days, "football is our number one sport here, followed by March Madness," says Schantz. "A lot of fans love our rooftop after-parties."

Tag Sports Bar: Las Vegas, Nevada

In Vegas, even sports bars are over the top. Tag counts a whopping 43 TVs streaming sports from nearly every country, 24 hours a day. Every staff member is Beer Service Certified and ready to discuss the 300-label brew list -- or mix you a signature Hop'tail, with fresh fruit, juice and beer. Brewers host weekly tastings during the games. If you're team isn't up, you can always entertain yourself gambling on the touchscreen, tabletop screens or throw down a hand at the hologram blackjack table.

Spirit of 77: Portland, Oregon

In 1977, the Philadelphia 76ers had home-court advantage and a 2-0 lead against the Portland Trail Blazers for the NBA World Championship. Portland somehow managed to pull it out -- and that glorious win lives on at this cocktail bar, where the bartenders and patrons share a passion for sports. "It's always a big discussion as to what goes on our big screen," admits general manager Brandon Bowden, who says people email all day requesting games (the staff ultimately decides). "There's always a side bet going on behind the bar," he continues. "We even have our own staff fantasy leagues." Toast a win or drown your sorrows in craft cocktails like the Black Russian, with Stumptown cold-brewed coffee and a ginger beer made in-house.

Two Keys: Lexington, Kentucky

You wouldn't want to live above this bar, but partying here should be on your bucket list. Two Keys stays open till 2:30 a.m., 365 days a year, serving upward of 800 people at full tilt. "It becomes a crazy street party off our patio after basketball games, because our whole crowd rushes outside when the Wildcats win," says general manager Courtney McGuffin. On Tuesdays, regulars turn up for more unusual competition: goldfish racing, with a 64 single-elimination bracket. "Everyone competing gets a goldfish from our giant aquarium to race down these tiny water tracks," explains McGuffin. "The winner goes home with concert tickets or some similar prize."

Banter Bar: Brooklyn, New York

Kick off your day with a bacon, egg and cheese pie here at Banter Bar, which has 24 beers on tap and a serious soccer obsession. "We open at 7:30 a.m. Saturdays and 7 a.m. Sundays, if the English Premier League is on," says co-owner Conor Carolan. "We get packed regardless of the hour for the bigger games." Whether it's the lively international crowd, the flawlessly placed flat-screens, the 22-ounce perfect pour on the Guinness or just the fact that they give you an excuse to go to a bar really early, there's tons to love about Banter. "For the World Cup we did a Banter Beer Passport featuring beers from the 32 countries -- well, nearly. We found beers from 28 and got creative with the rest."

Blackthorn: San Francisco, California

Large windows. Spacious booths. TVs practically in your lap. These are a few of the reasons that fans have been returning to Blackthorn, near Golden Gate Park, for more than two decades. "We are a hardcore Giants, Niners, Warrior and Sharks bar," asserts manager Thomas Mulhern. "We're also, oddly enough, a Tennessee Volunteers bar during football season." Turn up early, or it can be hard to get inside, especially on Blackthorn's biggest sports days: the Super Bowl and the World Series, when the surrounding streets are shut down.

See Travel + Leisure's full list of America's best sports bars.

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Show up early to claim your seat among the regulars at these lively sports bars

@highlight

Travel + Leisure scouted out bars across the U.S., including a Vegas hangout with 43 TVs

@highlight

If you need a break from the bar scene, there are more refined options included too