(CNN) -- The Syrian regime has carried out a "systematic" series of abuses against protesters that could "qualify as crimes against humanity," and the United Nations must hold the government accountable, a leading humanitarian watchdog organization said Wednesday.

Human Rights Watch makes these assertions in a report titled "'We've Never Seen Such Horror': Crimes against Humanity in Daraa."

The 57-page document contains chilling detail from dozens of victims and witnesses to abuses in Daraa province, the southwestern Syrian powder keg where the anti-government protest movement began in mid-March before spreading across the country. The government reacted with a tough crackdown against protesters.

At present, the report says, there have been about 887 deaths "across Syria," including at least 418 people in Daraa province.

"For more than two months now, Syrian security forces have been killing and torturing their own people with complete impunity," said Sarah Leah Whitson, Middle East director at Human Rights Watch.

"They need to stop -- and if they don't, it is the Security Council's responsibility to make sure that the people responsible face justice."

Human Rights Watch said the Syrian government should take "immediate steps to halt the excessive use of lethal force by security forces" and that the U.N. Security Council "should impose sanctions and press Syria for accountability."

If the government "doesn't respond adequately," the council should refer Syria to the International Criminal Court, the group said.

One major diplomat on Wednesday echoed the international outrage over Syria's crackdown and raised the issue of ICC involvement.

Australian Foreign Minister Kevin Rudd, speaking to the National Press Club in Canberra, said it is "high time the Security Council" considered a formal referral of President Bashar al-Assad to the ICC.

There was no immediate Syrian government reaction to the report, which "is based on more than 50 interviews with residents of Daraa and several Jordanian nationals who were in Daraa during the protests."

Human Rights Watch said it has also "reviewed dozens of videos, filmed by the witnesses, which corroborate their accounts."

The report notes that the demonstrations began in Daraa city with the "detention and torture of 15 young boys accused of painting graffiti slogans calling for the downfall of the regime" and that the release of the "bruised and bloodied" boys "fanned the flames of popular anger."

"On March 18, following Friday prayer, several thousand protesters marched from al-Omari Mosque in Daraa calling for the release of the children and greater political freedom, and accusing government officials of corruption. Security forces initially used water cannons and teargas against the protesters and then opened live fire, killing at least four," the report says.

The protests then snowballed outside Daraa. Activists have blamed Syrian security forces for the deadly crackdown but Syria has blamed the violence on "terrorist groups," "armed gangs," and "foreign elements."

Human Rights Watch said witnesses from Daraa "provided consistent accounts of security forces using lethal force against peaceful protesters."

"In some cases, security forces first used tear gas or fired in the air, but when protesters refused to disperse, they fired live ammunition from automatic weapons into the crowds. In most cases, especially as demonstrations in Daraa grew bigger, security forces opened fire without giving advance warning or making any effort to disperse the protesters by nonlethal means.

"Security forces deliberately targeted protesters, who were, in the vast majority of cases, unarmed and posed no threat to the forces; rescuers who were trying to take the wounded and the dead away; medical personnel trying to reach the wounded."

The report says witnesses regularly noted "the presence of snipers on government buildings near the protests" and "other evidence obtained by Human Rights Watch also suggests that security forces participating in the operations against the protesters (in Daraa and other cities) had received, at least in a number of cases, 'shoot-to-kill' orders from their commanders."

Several elite army units and branches of the intelligence services were part of the crackdown.

"On several occasions army units deployed to quell the protests seemed reluctant to shoot at protesters, allowed them to pass through checkpoints, and, in at least two cases documented by Human Rights Watch, refused orders to shoot and either surrendered to the protesters or handed over their weapons to the protesters," the report says.

Many arrests "seemed entirely arbitrary with no formal charges ever brought against the detainees" and witnesses described the detention conditions as appalling.

"Released detainees interviewed by Human Rights Watch said that they, as well as hundreds of others they saw in detention, were subjected to various forms of torture and degrading treatment," the report says.

"The methods of torture included prolonged beatings with sticks, twisted wires, and other devices; electric shocks administered with Tasers and electric batons; use of improvised metal and wooden 'racks'; and, in at least one case documented by Human Rights Watch, the rape of a male detainee with a baton.

"Interrogators and guards also subjected detainees to various forms of humiliating treatment, such as urinating on the detainees, stepping on their faces, and making them kiss the officers' shoes. Several detainees said they were repeatedly threatened with imminent execution."

The majority of witnesses interviewed by Human Rights Watch also referred to the existence of mass graves in Daraa.

There was a punishing Syrian security siege that lasted at least 11 days from April 25 and extended to neighboring towns.

"Witnesses said that Daraa residents experienced acute shortages of food, water (because security forces shot and damaged water tanks), medicine, and other necessary supplies during the siege. Electricity and all communications were cut off for at least 15 days, and, at the time of this writing, remained cut off in several neighborhoods in the city," the report says.

Authorities put an information blockade into effect on Daraa "to ensure that abuses were not exposed" and cell phones with damning videos were regularly confiscated during searches, it says.

"No independent observers could enter the city and one international journalist who managed to report from Daraa during the first two weeks of protests in March was arrested upon his return to Damascus."

From April 25 to around May 22, Daraa residents were not permitted to "pray in mosques and all calls for prayer were banned," the report says.

"Security forces occupied all of the mosques in the city and, according to witnesses who saw the mosques after they reopened, desecrated them by writing graffiti on the walls."

@highlight

The Human Rights Watch report focuses on Daraa province

@highlight

The report raises the issue of International Criminal Court involvement

@highlight

Hundreds have died across the country since mid-March