(TIME.com) -- Did you have a nasty case of food poisoning this year? Chances are that fruit or vegetables were the culprit.

Every year, one in six Americans gets sick from food, 128,000 people are ill enough to go to the hospital for their symptoms, which typically include nausea, vomiting and diarrhea. Major food recalls and reports of food-related illness seem to be a monthly, if not weekly occurrence, with a bout of illness from contaminated ground beef reported just this week.

Over the last three days, Whole Foods Market recalled batches of its Whole Catch Wild Alaskan Sockeye Salmon, and Sprouters Northwest of Kent, Washington, recalled 1953 pounds of alfalfa, clover, brocco sandwich sprouts, and spicy sprouts due to potential contamination with Listeria.

Taking a closer look at the problem, the U.S. Centers for Disease Control and Prevention released a comprehensive report detailing the common sources of foodborne illness in the United States from the years 1998 through 2008.

The largest culprit? Leafy greens. Based on data from nearly 4,600 outbreaks of food illness, researchers estimated the number of cases attributable to 17 different food categories and found that produce accounted for 46% of cases. Leafy vegetables such as spinach and cabbage were responsible for the majority of the illnesses, and most were caused by norovirus, which is spread to produce from water contaminated by fecal matter.

TIME.com: FDA proposes major regulations for food safety

Although contaminated meat and poultry triggered fewer illnesses, they accounted for the most deaths -- at 19% -- from listeria and salmonella infections. In the last ten years, there have been three major listeria outbreaks linked to sliced processed turkey, and salmonella was responsible for the most recent sickness among several people who consumed kibbeh, a Middle Eastern dish with raw meat, from a restaurant in Detroit.

Despite the findings, the CDC says that people shouldn't avoid eating fruit and veggies.

"When properly cleaned, separated, cooked, and stored to limit contamination, fruits and vegetables safely provide some essential nutrients that would otherwise be lacking in most American diets," the report authors write.

The goal of the report, in fact, isn't to scare consumers but to aid regulatory agencies in their efforts to prevent contamination and improve food safety. Although the report doesn't pinpoint where along the production chain food gets contaminated, the CDC says its previous research found most infections are caused by norovirus that is spread by sick food handlers. In a report on foodborne norovirus outbreaks during 2001 to 2008, the CDC found over 80% of outbreaks were associated with food prepared in commercial settings like restaurants, delis, or catering businesses.

TIME.com: Illnesses from imported foods on the rise

Health officials hope the timing of the report brings more attention to needed changes in how food is handled and processed in the United States.

The CDC's report follows the Food and Drug Administration's recently released food safety rule proposals earlier this month. The FDA released two major requirements for improving food safety for public commentary, and will be holding a public meeting on the rules at the end of February. The draft proposals -- the first in 70 years -- will allow the FDA to take on a preventative rather than reactive role in dealing with food contamination.

One of the rules focuses specifically on produce, which the CDC found is the main cause of foodborne illness in the United States.

The FDA proposal will require strict standards for growing, harvesting, packing and holding fruits and vegetables as well as increase sanitation for irrigating fields and washing produce and strengthen rules for maintaining worker hygiene. It will also increase surveillance for materials used in soils like fertilizers and manure, provide better management of animals that enter crop fields, and improve cleanliness of processing equipment.

TIME.com: Illnesses from salmonella, e. coli rose in 2010

Health officials hope the reports lead to substantial changes in food handling that will translate into fewer outbreaks of foodborne illnesses, which they, say, are largely preventable.

This story was originally published on TIME.com

Veggies to blame for majority of foodborne illnesses

@highlight

CDC researchers find produce accounts for 46% of illnesses

@highlight

Most were caused by norovirus, which is spread via contaminated water

@highlight

Contaminated meat and poultry account for the most deaths, CDC says