LONDON, England (CNN)  -- A group of African scientists last week called on rich nations to help stem the tide of African talent leaving the continent's universities.

Dr. Francess Ayaebene, who runs a clinic in rural Nigeria, wanted to update her knowledge of tropical medicine.

In a statement the Network of African Science Academies (NASAC) urged developed nations to establish training programs that would allow African research students to stay in Africa or study in other developing countries.

One program that may prove key to curbing the flight of the skilled health professionals from the developing world is the distance learning course at the UK's London School of Hygiene and Tropical Medicine.

The school, a world leader in global health education and research started the course to allow health professionals to enhance their skills and knowledge at their own pace and in their own country.

Dr. Francess Ayaebene, a physician in rural Nigeria, earned a diploma through the distance learning course offered.

Dr. Ayaebene directs a clinic in Shendam, a rural area in central Nigeria where nurses and health services are in short supply.

She wanted a refresher on tropical medicine and also hopes the additional training will help her gain entry into the world of government. "I want to improve my country and go into politics to influence policy making when it comes to health matters," she told CNN.

Some 2,500 students are enrolled in the London school's distance learning program, which offers Master's degrees and graduate diplomas in infectious diseases, public health and clinical trials.

"We don't train people for the brain drain. We train people very much to make a contribution to their own countries," said Andrew Haines, the director of the London School.

A complex set of factors contribute to brain drain, and while it's too early to say that distance learning has had an impact on the trend, Haines believes it can make a contribution to retaining people in their home countries.

"When I speak to distance learning students, many of them say this has opened up an opportunity that otherwise wouldn't have come to them -- to stay in their own countries and at the same time access teaching materials of an international quality," he said.

The program offers a flexibility that meets the wide range of needs of learners these days, providing access to specialized training to those who cannot leave their home country due to financial constraints or professional commitments.

A sign of the course's popularity: Nearly three times as many students participate in the distance program than actually come to study at the school in London.

The program also is getting a boost from the Bill and Melinda Gates Foundation, which awarded the London School a $1 million prize for excellence in global health this year.

The Gates Award for Global Health, which is awarded annually to an organization that makes exceptional contributions to international health, will be used partly to developing new courses, providing scholarships and offering support for distance learning students.

Distance education is by no means novel, but instructors say the London School program is particularly enhanced for students in the developing world and unique in its international audience.

Students from around the world participate in the program, with roughly 40 percent of students based in countries in Africa and a good proportion in Southeast Asia, said Sharon Huttly, the dean of studies.

While Internet access has improved considerably since the distance learning program began in 1998, many students enrolled in the program still live in areas where bandwidth is poor and connections are slow.

"One of our biggest challenges is trying to deliver something that is still accessible and suitable to a student who is sitting somewhere that's got very poor Internet access but also is suitable for a student sitting somewhere who's got every gadget and high-speed bandwidth available to them," Huttly said.

At the core of the program are self-study materials which students follow at their own pace. These materials are complemented with electronic mechanisms like Web chat boards that allow students to interact with each other and tutors.

Dr. Ayaebene hopes that as well as distance learning programs, governments will encourage more doctors to practice in rural areas to improve public services.

"There are not enough nurses and ambulance services," she said about the region where she works. "The government needs to push more doctors to rural areas. The hospitals -- they will not run themselves."

@highlight

Distance learning widens access to world-class health training and education

@highlight

London School of Hygiene & Tropical Medicine helping prevent brain drain

@highlight

2,500 students enrolled in distance learning program at London School

@highlight

School is winner of $1 million Gates Award for Global Health