New details provide a clearer chronology about what might have happened to Malaysia Airlines Flight 370 between its takeoff and its last known spotting seven hours later.

Here's how experts and officials have reconstructed key moments of the flight, which disappeared March 8 with 239 people aboard.

12:41 a.m.: Takeoff

All tracking systems are working as the Boeing 777-200ER takes off from the Malaysian capital of Kuala Lumpur, headed for Beijing.

1:07 a.m.: ACARS sends communication

One of the plane's communication systems sends what turns out to be its last transmission, according to Malaysia Airlines CEO Ahmad Jauhari Yahya.

"It showed nothing unusual. The 1:07 a.m. transmission showed a normal routing all the way to Beijing," according to a statement from Malaysia's Ministry of Transport.

The Aircraft Communications Addressing and Reporting System is the onboard computer that collects information -- a lot of it -- about aircraft and pilot performance. It's akin to computers in automobiles that track oil levels and engine performance.

Aboard aircraft, ACARS computers measure thousands of data points and send the information via satellite to the airline, the engine manufacturer and other authorized parties, according to CNN aviation and airline correspondent Richard Quest.

See maps of possible debris field, search areas

The information is useful for operations, maintenance, scheduling and performance purposes, Quest said.

1:19 a.m.: Voice check-in

Someone in the cockpit makes a voice check-in with air traffic controllers as the plane is apparently leaving Malaysian airspace and entering Vietnamese airspace. Initial investigations indicate it was the co-pilot, Fariq Abdul Hamid, according to Malaysia Airlines officials.

"All right, good night" were the final words from the cockpit, said Zulazri Mohd Ahnuar, a Malaysian civil aviation officer.

The phrase "good night" is the radio parlance used by pilots when executing a handover from one airspace to another, Quest said.

"That is normal. That happens a gazillion times," Quest said. " 'All right, good night' is a pleasantry at the end of radio communication."

It remains unclear, however, whether Vietnamese air traffic controllers had any contact with the plane during the handoff, Quest said.

1:21 a.m.: Transponder off

The plane's transponder stops communicating at 1:21 a.m., said Azharuddin Abdul Rahman, director of the Malaysian Department of Civil Aviation.

A transponder sends electronic messages from the plane: "squawks" to radar systems about the flight number, altitude, speed and heading.

This is enormously useful information to air traffic controllers who are looking at scores of blips on their screens, and each blip is a plane emitting identifying information, thanks to the transponder.

With the transponder off, "now the plane is flying blind from the ground's point of view," Quest said. "If there is radar there, the radar will see a blip, but they won't know who it is, where they are going. They will just now know it's there."

That's because the transponder isn't sending identifying information about the plane. Shutting off the transponder is a simple turn of a switch in the cockpit, Quest said.

"The air traffic controller should notice. I suppose it would cause alarm. ... (The information from) a plane that you're monitoring all of a sudden disappears," Quest said.

1:22 a.m.: Plane disappears from Thai military radar

Thai military radar is tracking the plane's signal, but it disappears at 1:22 a.m., a Royal Thai Air Force spokesman told CNN.

1:28 a.m.: Thai radar picks up unknown aircraft

The Thai radar station in southern Surathani province picks up an unknown aircraft flying in a direction opposite to what Flight 370 had been traveling, a Royal Thai Air Force spokesman told CNN.

1:21 a.m.-1:28 a.m.: Plane appears to change course

The plane appears to have changed course in this time frame.  The Malaysian government has not said when or if the plane was reprogrammed to fly off course.

Again, according to the Malaysians, the last data from the ACARS at 1:07 a.m. indicated that it "showed normal routing all the way to Beijing."

About 1:30 a.m.: Civilian radar loses contact with plane

Malaysian air traffic controllers in Subang, outside Kuala Lumpur, lose contact with the plane over the Gulf of Thailand between Malaysia and Vietnam at coordinates 06 55 15 N and 103 34 43 E.

1:37 a.m.: Expected ACARS transmission doesn't happen

The ACARS was supposed to transmit a half-hour after it last did so. Therefore, it was supposed to transmit at 1:37 a.m. -- but it didn't, Yahya said,

So, the ACARS stopped communicating sometime between 1:07 and 1:37 a.m.

It's a significant event: Turning off ACARS takes know-how, Quest said.

If the flight were hijacked or a target of terrorism, cutting off ACARS would be a strategic move because the system reports to satellites anything being done to the aircraft, Quest said.

2:15 a.m.: Military radar detection

Though the Malaysian plane is not transmitting information -- by ACARS or transponder -- radar on the ground or elsewhere can still detect a plane in the air.

According to a Malaysian Air Force official, military radar tracked the plane as it passed over the small island of Pulau Perak in the Strait of Malacca.

At this point, the plane was hundreds of miles off course. In fact, it was on the other side of the Malay Peninsula.

Military radar showed that it flew in a westerly direction back over the Malay Peninsula, Malaysian Prime Minister Najib Raza said. It is then believed to have either turned northwest toward the Bay of Bengal or southwest elsewhere into the Indian Ocean.

This was the last time any civilian or military radar is known to have tracked the aircraft.

The focus now is searching for the missing flight in the southern Indian Ocean, according to a U.S. official.

"The southern scenario seems more plausible," the official said.

The Malaysian military is handing over its raw radar data to U.S. and British officials, apparently setting aside concerns about any sensitive military intelligence.

Quest called this sharing of information a "huge" development in the case.

"They don't want anyone to know how good their radar is. They obviously decided that doesn't matter," he said.

"We don't know much about the Malaysian military and that has been one of the issues," Quest added. "It appears that Malaysia was providing an interpretation of the analysis -- and not the raw data. Now they are handing over the raw data."

2:40 a.m.: Malaysia Airlines says it learns plane missing from radar

Malaysian air traffic controllers told Malaysia Airlines at 2:40 a.m. that Flight 370 was missing from radar, according to the airline.

2:40-3:45 a.m.: Malaysia Airlines preliminary search

During this time, the airline "sourced every communication possible to (Flight 370) to locate its whereabouts before declaring that it had lost contact with the aircraft," the company told CNN.

"During this period of uncertainty, Malaysia Airlines needed to establish facts by contacting other air traffic controllers and aircraft flying within the same route," the company said.

3:45 a.m.: Malaysia Airlines issues alert

Malaysia Airlines said it issued a "code red" alert that the plane was missing from radar.  The airline said "code red" is when it declares that a crisis requires immediate deployment of emergency response plans. It said it took about an hour to issue the alert because it was trying to locate the plane and confirm that it was missing. To verify, it used various measures, including sending messages to the plane and awaiting a response.

6:30 a.m.: Plane should have arrived in Beijing

This was the time that Malaysia Airlines Flight 370 should have landed in China's capital.

7:24 a.m.: Public announcement of disappearance

Malaysia Airlines announces the plane's disappearance on Facebook.

8:11 a.m.: Satellite 'handshakes'

Najib revealed that a satellite tracked the plane at 8:11 a.m., more than seven hours after takeoff.

Najib didn't provide details on the satellite tracking, but it appears that orbiters high above the ocean detected the plane as the satellite or satellites attempted a series of "handshakes" -- or electronic connections -- with the plane below, Quest said.

It's likely that the plane didn't complete the handshake because its communication systems were disabled, Quest said.

Nevertheless, the satellites would have been able to trace a plane flying below them and would have extended an electronic message equivalent to a hailing: "There's a plane: Hello, hello, hello? Do you have anything for us?" Quest said.

The Malaysian Prime Minister said the "raw satellite data" confirms the plane was Flight 370. The U.S. National Transportation Safety Board and the Federal Aviation Administration, along with Britain's Air Accidents Investigation Branch, concur, Najib said.

"Due to the type of satellite data, we are unable to confirm the precise location of the plane when it last made contact with the satellite," Najib said.

Authorities believe the plane was in one of two flight "corridors": A northern route stretching to northern Thailand, Kazakhstan and Turkmenistan in Central Asia or a southern route toward Indonesia and the southern Indian Ocean.

Growing number of airplanes scour southern Indian Ocean

@highlight

The Malaysian government has not said when or if plane was reprogrammed

@highlight

A 1:07 a.m. transmission showed a "normal routing all the way to Beijing"

@highlight

Co-pilot believed to have checked in by radio, ending with "All right, good night"

@highlight

Two communication systems stopped transmitting shortly after takeoff