Cairo (CNN) -- Syria has accepted "in principle" an Arab League plan to permit observers into the country to verify whether the regime has taken measures to protect civilians, a senior Arab diplomat said Friday.

Questions remained, however, about the exact nature of the mission, if it proceeds. Originally, 500 observers were believed to be destined for Syria, but U.S. State Department spokesman Mark Toner said Friday afternoon that the proposed number had been reduced to 40.

Syria requested amendments to the plan Thursday night, a day after Arab league representatives approved it, the Cairo-based regional alliance said on its website.

Nabil el-Araby, secretary-general of the Arab League, said the league is studying the letter from Syrian Foreign Minister Walid al-Moallem that included changes regarding the protocol and duties of the observers.

Eighteen of the alliance's 22 member nations voted to suspend Syria's membership in the league on Saturday. But the group, which met again in Rabat, Morocco, on Wednesday, gave Damascus three days to implement a protocol to allow observers to enter the nation.

"Our mission will be to portray the truth about the nature of the injuries (and) numbers of casualties and assess the hospitals, to see what they need and how well-prepared they are to accommodate the injured," said Dr. Ibrahim Zafarani, a former member of the Muslim Brotherhood and founding member of the Arab Doctors Association who said he'd volunteered to be an observer.

It is the latest diplomatic effort to resolve the crisis in Syria. International pressure has been mounting on President Bashar al-Assad over his regime's bloody crackdown on pro-democracy protesters, amid concerns that violence in Syria is escalating.

World support and confidence in the Syrian regime have continued to dwindle in recent weeks. France's top diplomat called the state of affairs in embattled Syria "no longer tenable" Friday and wants the U.N. Security Council to step up and grapple with the eight-month-long crisis in the turbulent Arab nation.

"Despite all the calls that were made to that regime" for peaceful initiatives to end the raging street violence, French Foreign Minister Alain Juppe said in the Turkish capital of Ankara, "the regime did not want to know anything. Still this morning, in the north of Syria, several villages were bombarded by the Syrian army."

British Foreign Secretary William Hague will meet Monday with representatives from the Syrian National Council and National Coordinating Committee for Democratic Change, two groups opposed to President Bashar al-Assad's government, a foreign office spokeswoman said Friday.

The Local Coordination Committees of Syria, another activist group, said that at least 19 people were killed Friday by security forces and the army, among them four children. This is in addition to 26 killed by security forces Thursday, on top of scores killed earlier in the week, according to the organization.

Eight people were killed in the southern region of Daraa, where about 20 people also were wounded when security forces fired at mourners. There were five deaths in Hama, in the west, four in the Damascus suburbs and two in Homs, also in the west, the Local Coordination Committees said.

The state-run Syrian Arab News Agency, meanwhile, reported the killings of two law enforcement members in Hama, the injuries of two in Daraa and the arrests of 10 "terrorists" in Idlib province.

CNN is not able to independently verify claims of fighting and casualties because the Syrian government has restricted international media access to the country.

Well over 3,500 people have been killed and thousands have been jailed in cities across the country, according to U.N. estimates. French and Turkish officials have been outspoken in their criticism of the Syrian regime's behavior, and some key international diplomats, such as Russian Foreign Minister Sergey Lavrov, said Thursday that the ongoing attacks on government buildings in Syria "look like a civil war."

News agencies have been quoting Juppe as saying it is "too late" for Syria to make the reforms the regime has promised. At the same time, he urged opposition protesters to shun violence.

In recent weeks, a military force of defectors called the Free Syrian Army has launched strikes against government targets.

This week, the force said it attacked an air intelligence base outside Damascus. Also, army defectors armed with a rocket-propelled grenades attacked a pro-government youth group office and clashed with Syrian security personnel, activists said.

And on Friday, a video emerged of another defector group announcing its formation: the Hawks of Damascus.

"We promise Bashar al-Assad and his unjust group that you will see us in every place and time and you will see from us what you don't expect until we return the freedom and dignity to our people," the group said in the video.

Juppe, meanwhile, urged the Syrian opposition "to take the stance that they have taken from the beginning, which is the refusal of violence."

"But I think that the point has now come to renew our efforts to accelerate sanctions. We all support a resolution to that effect at the United Nations General Assembly. France is happy to work with the Arab League, with Turkey, with all the countries in the region and to work with the opposition which shows a lot of courage," Juppe said.

Juppe said "it would be good" if the Security Council asserted itself on the issue.

"It is not normal in a crisis of this scope: 3,000 dead already, 20,000 prisoners in Syrian prisons, which are sometimes treated very brutally with torture," Juppe said. "It is not acceptable that the U.N. Security Council does not speak up."

Turkish Foreign Minister Ahmet Davutoglu, appearing with Juppe, said his nation opposes "all kinds of use of violence against civilians" and hopes "Arab peoples will determine their own fate in this vein without a need for foreign intervention."

He said that calling for al-Assad's ouster and the establishment of a no-fly zone are not up for discussion.

"If massacres against civilians continue, we won't be indifferent to that whether it's in Syria or any other country," he said.

Syria has blamed the violence on armed terrorist groups. But activists and citizens say the government's military and security personnel are responsible for the many casualties there.

U.S. Secretary of State Hillary Clinton said in Bali, Indonesia, on Friday that the United States had been concerned for weeks that the situation in Syria was spiraling out of control.

Syria's failure to make promised reforms had led to a peaceful opposition "morphing" into one that was, at least in part, well armed and prepared to take action against the Syrian government, she said.

Now important regional players like the Arab League nations and Turkey "are sending (the) same message loudly and clearly: that the Syrian government has to change, and it has to change now, or we all fear what the consequences will be," she said.

Turkey, formerly an ally and major trading partner of Syria's, has toughened its stance this week, threatening to cut its electricity supply to Syria and asking why the international community has not taken the kind of action to protect civilians that it took in Libya through NATO.

U.S. State Department spokesman Mark Toner in Washington said Turkey had "become an increasingly vocal opponent to what's going on in Syria and an increasingly powerful voice among the international community" in calling for an end to the violence.

A draft U.N. resolution is in the works, backed by Germany, France and Britain, who have sought support from Middle Eastern nations for the move.

Juppe noted European Union economic sanctions against Syria and said "we are ready to harden those sanctions."

European Union foreign policy chief Catherine Ashton on Thursday reiterated her call for al-Assad to step down, her spokeswoman said. Ashton spoke after a meeting with Lavrov in Moscow.

Jordan's King Abdullah has said that a person in al-Assad's position would step down, a statement observers interpreted as a call for the Syrian president to do just that.

According to Russia's Interfax news agency, Ashton said she is confident that Abdullah would "reiterate the position that it's about time for President Assad to go."

An EU official said Ashton has asked Arab League head el-Araby to attend a meeting of the European Union's foreign ministers and talk about ways to put pressure on the al-Assad regime. The official didn't want to be named because he isn't authorized to speak about the matter.

CNN's Alexander Felton, Laura Smith-Spark, Joe Sterling, Mohamed Fadel Fahmy, Rima Maktabi, Niki Cook, Sarah Jones and Stephanie Halasz contributed to this report.

@highlight

NEW: Syria offered amendments Thursday night to the Arab League plan on observers

@highlight

NEW: A potential observer says, "Our mission will be to portray the truth"

@highlight

NEW: The British foreign minister will meet rebel leaders, a spokeswoman says

@highlight

At least 19 are slain in Syria on Friday, on top of scores killed earlier, an activist group says