(CNN)Sushi seems like a simple enough thing, but what's the best way to eat it?

With your fingers? Chopsticks? Dipped into soy sauce? Daubed with wasabi? One mouthful or two?

The only certainty, it seems, is that its proper consumption demands both etiquette and practicality.

To put the matter to rest, we inquired at the top: Sushi Sawada, located on Tokyo's most prestigious intersection of Ginza 4-chome.

With two Michelin stars and only seven seats, Sawada is a shrine to sushi -- and to straight-talking master Koji Sawada's constant quest for perfection.

We asked Sawada for tips on the proper technique for eating sushi in Japan.

How to eat sushi: Hands-on

Sawada's technique for the perfect sushi experience requires using the hands to pick up the sushi and turn it upside down.

There's a simple reason for inverting your sushi: the molded rice base will disintegrate if it's dipped directly into soy sauce.

The rice will also soak up too much sauce, ruining the flavor balance.

Although if you're lucky enough to score a seat at Sawada, you won't be concerned with the dipping step.

Like many top sushi masters, Sawada seasons each piece with his own soy sauce blend or a sprinkle of sea salt before serving, so there's no need to dip.

"But the rest is the same," says Sawada. "The fish should touch the tongue first."

Most mainstream sushi-ya (sushi restaurants) expect customers to dip, and you'll find soy sauce dishes on the counter.

Soy sauce is called "murasaki," meaning "purple," in sushi-speak.

How to eat sushi: Oshibori, gari, wasabi

Every sushi-ya will give you a damp oshibori (hand towel) to wipe your fingers with before eating and between bites.

Use your chopsticks to pick up some gari (sweet pickled ginger) to refresh the palate.

Grated wasabi, the pungent Japanese horseradish, is usually smeared on the block of rice, known as "shari," as the sushi is pressed.

A typical old school sushi master will frown if you ask for more (his creation is perfect).

Wasabi may be mixed with soy sauce to dip sashimi (raw fish without sushi rice), but never, in polite circles, for sushi.

However, modern establishments will accommodate requests for extra wasabi.

At Sawada, possibly Tokyo's most expensive sushi-ya, the customer is king, so it's OK to ask, though it's good to be aware that some say excessive wasabi use exposes the novice.

How to eat sushi: Chopsticks

Sawada would rather not see his sushi eaten with chopsticks, although he provides them, and a quick scan of average sushi places shows chopsticks rank above fingers as the preferred utensil for most Japanese.

Tokyo culinary instructor Yumi Sone prefers them for their elegance.

She finds eating with the hands a little affected when practiced by anyone but a true aficionado.

"But chopsticks can be tricky when dipping sushi upside down," she says.

Sawada agrees.

"Dipping fish-side first after picking up the sushi is not easy with chopsticks," he says. "Many Japanese, even famous celebrities, hold their chopsticks like this ..." He bunches his hand into a kind of fist around the chopsticks, and scissors them awkwardly.

It might get the job done, but it ain't pretty.

Sawada believes only the hands-on experience delivers the true sensuality of sushi.

"Like eating curry in India," he says. "It just tastes better with the hands."

A final reason to skip chopsticks is that the rice block in the best sushi is often molded quite loosely.

Sawada describes his method as packing "a lot of air between the grains."

It's what helps create that melt-in-the-mouth feel.

Chopsticks can squash the rice grains together, or lose their grip.

How to eat sushi: Ordering

Many of the best sushi-ya have no menus; the meal is closer to a degustation parade of what's best on the day.

It's not polite to leave a freshly presented piece of sushi for too long in front of you, as temperature, texture and moisture all change.

In this respect the sushi-ya makes more demands of the customer than a typical restaurant -- the diner has a role to play.

Feel free to ask for a repeat of anything you especially liked.

A common faux pas is when a customer fails to inform the master in advance of dislikes or allergies.

That's why when it comes to customers who aren't fluent in Japanese, restaurants like Sawada may ask to speak to your concierge or a Japanese speaker before taking a reservation.

When ordering at a mid-range sushi-ya, your best bet, if you don't speak Japanese, may be to ask for a course within a set budget -- if the restaurant doesn't offer one, write down on a piece of paper what you're prepared to spend per person and simply ask for "o-makase" -- a way of asking the chef to look after you.

Drinks aren't usually included in this figure -- the phrase for this is "nomimono betsu desu" (drinks separate).

Chain sushi restaurants make things easier -- most offer photographic menus and you can simply serve yourself from the conveyor belt.

Better still, take a stool at the counter and this tip from cookery teacher Sone: "Never take a plate that's going around," she says. "I always order freshly made, direct from the chefs. Also this way, I can ask for a smaller amount of shari."

This is a common practice among Japanese women who want to keep pace with their more voracious companions -- the number of pieces they eat is the same, but the volume is less.

Follow the fish name with raised fingers for the number of pieces you're ordering.

There's no specific order in which to eat different kinds of sushi.

How to eat sushi: Agari tea

Sushi restaurants in Japan serve green or brown roasted tea at the end of a meal (and throughout, if you prefer it to sake or beer), before the check arrives.

The tea is called "agari."

The check is often called a shock.

At many high-grade and traditional establishments, the bill is only a number written on a slip of paper.

Though the new generation of sushi chefs makes a point of being customer-friendly, a top class sushi-ya can still be daunting, even for natives.

In fact, very few typical Japanese get to enjoy sushi at the highest level, so if you happen to take a Japanese friend along with you, don't be surprised to find them almost as in awe of the experience as you.

Sushi Sawada; MC Blg, 3/F, 5-9-19 Ginza, Chuo-ku, Tokyo; Tuesday-Friday, noon-2 p.m. and 6-9 p.m.; Saturday, Sunday, holidays. noon-3 p.m. and 5-8 p.m.; from ¥21,000 (lunch); ¥32,000 (dinner, including sashimi course, not including drinks); +81 (0) 3 3571 4711

Mark Robinson has written about Tokyo for the past 20 years for the "Financial Times," "Monocle" and others. He consults on Japanese food, and is the author of "Izakaya: the Japanese Pub Cookbook."In addition to work for publications including "Elle" and "Figaro," award-winning photographer Noriko Yamaguchi shoots cookbooks and her own documentary photos in Okinawa, Asia and Europe.CNN's On the Road series often carries sponsorship originating from the countries we profile. However CNN retains full editorial control over all of its reports. Read the policy.

@highlight

The best technique is to turn the sushi upside down to prevent rice from soaking up too much soy sauce

@highlight

Top sushi masters season each piece of sushi with soy sauce and seasoning, accompanied by a frown if you ask for more sauce

@highlight

Japan's best sushi-ya have no menu, just a fantastic parade of what's best on the day