Editor's note: Ken Ballen is president of Terror Free Tomorrow: the Center for Public Opinion, a nonprofit institute that researches attitudes toward extremism. Amjad Atallah co-directs the Middle East Task Force at the New America Foundation, a think tank that promotes ideas across the ideological spectrum.

Kenneth Ballen says Iranians overwhelmingly favor better relations with the United States.

(CNN) -- In a new public opinion poll before Iran's critical June 12 presidential election, by large margins, most Iranians said they support an American-Iranian rapprochement for bringing a new era of peace to the Middle East. Surveyed on a wide range of issues, Iranians overwhelmingly favor better relations with the United States and greater democracy for Iran.

The poll shows that the Iranian public remains far removed from the stereotypes of apocalyptic fanatics commonly asserted in some circles in the United States. The survey suggests that Iranians instead are a people with self-confidence and hope in a more democratic future.

It also reveals a population with a strong awareness that the United States is as much a potential ally as it is now seen as a current threat. This holds much promise for U.S. national security interests in the region.

These are some of the many findings from a new nationwide public opinion survey of Iran, to be released Monday.

Independent and uncensored nationwide surveys of Iran are rare. Typically, pre-elections polls in Iran are either conducted or monitored by the Iranian government and other affiliated interest groups. Consequently, they are notoriously untrustworthy.

By contrast, our poll -- the third in a series over the past two years -- was conducted by telephone from a neighboring country, uncensored, with time-tested methodology. Funding for the survey was provided by the Rockefeller Brothers Fund.

The poll was led by Terror Free Tomorrow: the Center for Public Opinion and the New America Foundation, with fieldwork by KA Europe SPRL. The full results and methodology are available at terrorfreetomorrow.org. The survey was conducted from May 11 to 20, with 1,001 random interviews proportionally distributed covering all 30 provinces of Iran, and a margin of error of 3.1 percentage points.

Though our poll results show President Mahmoud Ahmadinejad in the lead, it appears that that none of the presidential candidates will pass the 50 percent threshold needed to automatically win; a second-round runoff between the two highest finishers -- as things stand, Ahmadinejad and Mir Hussein Moussavi -- is likely.

Regardless of whom they may vote for, the No. 1 priority Iranians have for their government is improving the Iranian economy, very closely followed by ensuring free elections, a free press and better trade and relations with the West.

It is in this context that the Iranian people strongly support a fundamental change in American-Iranian relations.

Right now, Iranians consider the United States and Israel as the greatest -- and only -- threats to Iran. As a result, more than six out of every 10 Iranians oppose any peace deal with Israel and are in favor of the government of Iran providing military and financial assistance to Palestinian groups such as Hamas and Islamic Jihad, as well as providing military and financial assistance to Iraqi Shiite militias. A majority of Iranians also favor Iran developing nuclear weapons.

These "hard-line" attitudes dramatically change, however, as part of a potential deal with the United States. More than 70 percent of Iranians favor providing full access to inspectors and a guarantee not to develop or possess nuclear weapons, in return for outside aid and investment. In another consistent trend over the past two years, 77 percent of Iranians also back normal relations and trade with the United States.

Indeed, as part of a deal with the United States, 54 percent of Iranians would endorse the Iranian government ending support for Iraqi militias instead of providing military assistance. Rather than supporting the destruction of the state of Israel, as they do now, as part of a deal with the United States, a majority of Iranians would even favor recognizing the state of Israel.

Greater democracy, economic progress and good relations with the United States are the ultimate goals for most Iranians.

In another indication of the public's strong support for a more open and fully democratic system of government, 77 percent said they support a political system where the supreme leader, along with all leaders, can be chosen and replaced by a free and direct vote of the people.

The vision of the Iranian people for a more democratic future, with normal trade and relations between Iran and the United States, remains the consensus over our three nationwide surveys. Iranians also view their support for Ahmadinejad -- or whoever might be elected the next president of Iran -- as consistent with those goals.

The Iranian people are apparently looking to their next president, whether or not it's Ahmadinejad, to be a Persian Nixon going to China. They want a tough negotiator to bring home a deal for Iran. His mandate is not to continue current hard-line polices with the United States but to change -- if the United States, in turn, is willing to recognize the Islamic Republic and end its policy seeking regime change in Tehran.

For Washington, this means that the Iranian people are not an obstacle and that a real bargain can be struck that would find popular support. But the Iranian people are endorsing a negotiating position that leaves little time and much room for miscalculation. President Obama needs to integrate this reality into his strategy for the greater Middle East and, once the elections are complete, engage Iran on the potential of a new strategic relationship.

The opinions expressed in this commentary are solely those of Ken Ballen and Amjad Atallah.

@highlight

Ballen, Atallah: Most Iranians are not extremists; they favor peace with U.S.

@highlight

They say poll shows overwhelming support for negotiations

@highlight

Poll finds Iranian support for a deal regardless of whether Ahmadinejad is re-elected