Cairo (CNN) -- Hussein Gomaa Hussein was only 31 when he died. It was 2 in the afternoon on a late January day. A bullet pierced his chest as he protested the regime of Hosni Mubarak on the streets of Cairo.

Hussein's brother Mohamed has no doubts as to Mubarak's complicity. He wishes the harshest punishment for the longtime Egyptian dictator when a trial verdict is pronounced Saturday.

Execution.

That is the only sentence that will satisfy the families of all those who died or were injured in Egypt's revolution last year, Hussein says.

"That is the only verdict we will accept."

In what Egyptians have dubbed the trial of the century, Mubarak will face a judge Saturday to find out his fate in a long-awaited decision that is sure to make a definitive mark on the Arab nation's future.

Gallery: Arab leaders -- where are they now?

The verdict comes after a notorious emergency law expired Friday, ending 31 years of sweeping police powers. And it comes ahead of a polarizing mid-June runoff in the presidential election that pits the Muslim Brotherhood's Mohamed Morsi against the more secularist Ahmed Shafiq, a former official in Mubarak's regime.

Mubarak could receive the death penalty. Or a prison term. Or be acquitted altogether.

The latter could send angry crowds back to Cairo's Tahrir Square and deal a heavy blow to Egypt's unfinished revolution.

The last days of Mubarak's regime

Mubarak became president in October 1981, ruling Egypt with an iron hand as a staunch ally of the United States. But all those years in power were shattered by 18 days of uprising.

On February 11 of last year, he stood down, defeated by popular will.

He was charged with corruption, misappropriation of funds and, most seriously, issuing orders to kill demonstrators calling for the downfall of his regime. About 840 people died and more than 6,000 others were wounded in the Egyptian uprising, according to Amnesty International.

"As president, Mubarak was responsible for protecting all Egyptian citizens," said prosecutor Mustafa Suleiman. "He didn't take the appropriate measures to carry out his duty to stop the bloodshed and the acts of violence against the Egyptian people."

Also on trial were Mubarak's two sons and other members of his regime.

Mubarak was the first former Arab head of state in many decades to appear in an ordinary court of law. Tunisia's Zine el Abidine Ben Ali was tried in absentia.

Mubarak's trial, said Human Rights Watch, has the potential to set a meaningful regional precedent for accountability for human rights abuses and for upholding international fair trial standards.

When the trial opened, it was a spectacle few Egyptians thought they would ever see. Images broadcast around the world showed the former leader in a defendant's cage, trapped like an animal.

January 2012: Mubarak arrives at court via stretcher

Within a matter of six months, he had fallen from the pinnacle of power to the depths of humiliation.

The trial proceeded in chaotic manner. Outside the heavily guarded court, Mubarak's foes clashed with loyalists.

Magdi Fouda is one such loyalist; he leads a group of Mubarak supporters. He said he hopes the court finds the former president innocent Saturday.

Fouda collected 750,000 signatures on a petition calling for Mubarak's pardon. Others have set up a Facebook page called "Sorry, Mr President," which boasts more than 240,000 "likes."

When Mubarak's trial began in August

The ousted leader should be honored, not humiliated, for his decades of work for Egypt, Fouda said.

"We believe President Mubarak has been terribly mistreated recently," he said. "We will stand faithfully by him, to honor him for his 62 years of service to Egypt.

Lawyer Khalid Abu Bakr attended every session of the trial, representing some of the families of those killed in the uprising.

"I am proud of the transparency and objectivity of this historical trial regardless of the verdict," he said in February. "It has met all the standards of judicial due process in comparison with court proceedings in Europe and the United States of America."

Now, on the eve of the verdict, Bakr said the ailing Mubarak maintained a certain regal disdain for the proceedings, spending much of his time on a mobile bed, his hair jet black, odd on a man well into his 80s.

Never did he show regret, Bakr said. No words of remorse ever left his lips, though some expected him to say he was sorry for the blood that was spilled. Or perhaps, that he made a mistake.

For journalist Mona Eltahawy, Mubarak's trial is not about revenge. It's about justice in a land where the courts and legal system have been rife with corruption.

To hope for justice to prevail is very difficult for Egyptians, she said, pointing out that members of the police and security forces have never been put on trial.

"Egyptians are very angry," she said.

Still, people protested non-violently on the streets last year. They achieved what was the unthinkable -- they toppled Mubarak.

Whatever happens Saturday, Eltahawy said, Egyptians will oppose injustice. Peacefully.

CNN's Bed Wedeman reported from Cairo and Moni Basu, from Atlanta.

@highlight

In Egypt's 'trial of the century,' Hosni Mubarak will find out his fate Saturday

@highlight

Some relatives of those who were killed in protests want Mubarak to be executed

@highlight

Loyalists say the former leader was mistreated