Kuala Lumpur, Malaysia (CNN) -- After a month of searching, investigators now have their "most promising" lead yet in finding Malaysia Airlines Flight 370.

A pinger locator in the Indian Ocean has detected signals consistent with those emitted by aircraft black boxes, the head of the Joint Agency Coordination Center said Monday.

The sounds were heard at a depth of 4,500 meters (about 14,764 feet), retired Air Chief Marshal Angus Houston said.

"We've got a visual indication on a screen, and we've also got an audible signal. And the audible signal sounds to me just like an emergency locator beacon," Houston said.

But it could take days before officials can confirm whether the signals did indeed come from the plane, which went missing March 8 with 239 people on board.

"Nothing happens fast," Houston said. "We have a promising lead, but we have yet to get confirming evidence."

The search official said Monday he was much more optimistic in finding the plane than he was a week ago. Still, Houston said, "I would like us to find some wreckage."

Along with the hints that searchers may be getting close to the plane, a fresh mystery surfaced.

The aircraft skirted Indonesian airspace as it went off the grid and veered off course, a senior Malaysian government source told CNN Sunday.

The new analysis of the flight's path means the plane may have been taken along a route designed to avoid radar detection, the source said.

But why would someone steer the plane that way, and where is it now?

Those are key questions that investigators are trying to answer -- and fast.

The HMS Echo, a British navy ship equipped with advanced detection gear, sailed into the area of the southern Indian Ocean on Monday morning (Sunday afternoon ET) where a Chinese crew had detected two audio signals.

And an Australian navy vessel carrying sophisticated U.S. listening technology is investigating a sound it picked up in a different patch of the ocean.

Investigators hope the signals could be locator beacons from the plane's data recorders, but they're not sure yet.

Time could be running out. It might be only a few hours or a few days before the pingers aboard the plane stop transmitting for good.

The batteries inside the beacons, which are designed to start sending signals when a plane crashes into water, last about 30 days after the devices are activated.

That 30th day has come -- though experts have said it's possible that they could last several days longer if they were at their full strength.

Plane said to have flown around Indonesia

As searchers tried to find the aircraft, investigators pieced together new details about the plane's path.

After reviewing radar track data from neighboring countries, officials have concluded that the passenger jet curved north of Indonesia before turning south toward the southern Indian Ocean, a senior Malaysian government source told CNN on Sunday.

Whoever was flying the plane, the source said, could have been trying to avoid radar detection.

But why?

Like most details in the case that's baffled investigators ever since the plane dropped off Malaysian military radar, it depends on whom you ask.

CNN law enforcement analyst Tom Fuentes cautioned against assuming a nefarious reason for steering the plane around Indonesia's airspace.

"I think the plane's being intentionally flown there, but I think it's still a mystery as to why. ... I think they would probably guess they're not avoiding anybody's radar, because there's a lot of radar in the area," he said. "I think they're avoiding getting shot down or colliding with another airplane."

CNN aviation analyst Miles O'Brien said the new route includes designated waypoints that pilots and air traffic controllers use.

"This particular route that is laid out happens to coincide with some of these named intersections," he said. "So what it shows is an experienced pilot somewhere in the mix on this."

Investigators haven't yet said who they think might have flown the plane off course or why.

The possibility that the plane was hijacked by someone who knew how to fly a commercial jet is still on the table. Authorities have also been investigating the plane's captain and co-pilot. And they haven't ruled out mechanical problems as a possible cause of the plane's diversion.

So far, no physical evidence of the plane's eventual whereabouts has been found, leaving many relatives of those on board trapped in uncertainty.

Time is running out

The arrival of the Echo will be critical to the search for the missing Boeing 777. It has state-of-the-art sonar and is capable of mapping the ocean floor, which is about 4,500 meters (2.8 miles) deep in the focused search area.

It should be able to help determine more confidently whether audio signals picked up on Friday and Saturday by the Chinese patrol ship Haixun 01 have any connection to the pingers from MH370.

But officials urged caution. In the lengthy search for the missing plane, promising discoveries nearly every day have fizzled out, with few facts to support them.

"This is an important and encouraging lead, but one that I urge you to continue to treat carefully," Angus Houston, the head of the Australian agency coordinating search operations, said Sunday.

The Chinese said the electronic pulses -- detected only 2 kilometers (1.25 miles) apart -- were consistent with those emitted by pingers on an aircraft's black boxes, but search officials said they haven't been verified as coming from Flight 370.

Sounds travel long distances underwater, Houston said, making it difficult to ascertain their sources. If detectors were near a pinger, they would pick up the signal for a more sustained period.

Houston also said that search authorities were informed Sunday that the Ocean Shield, an Australian naval vessel equipped with sophisticated listening equipment, has detected "an acoustic noise" in another area of the ocean to the north.

The signals are the latest leads in a huge, multinational hunt for Flight 370, which disappeared almost a month ago over Southeast Asia.

'Most promising lead'

The Ocean Shield, which has a high-tech pinger locator borrowed from the U.S. Navy, will continue to pursue the sound it heard. If that lead turns cold, it will move to the other detection area, a journey that will take at least a day, officials said.

On Monday morning, the Ocean Shield was "continuing investigations in its own area," Australian authorities said.

"At the moment, the most promising lead appears to be the one associated with Haixun 01," Houston said at a news conference in Perth, the Western Australian city serving as a hub for search operations.

The pulses registered by the Chinese ship are of particular interest because they occurred in an area that fits with the latest calculation by experts of roughly where the plane is likely to have entered the water, Houston said.

The area of detection is roughly 1,600 kilometers (1,000 miles) west-northwest of Perth, according to coordinates reported by Chinese state media.

Caution urged

Several analysts on CNN said the information from search officials gave cause for optimism.

"We've got to be a little careful about groupthink here, but right now the evidence seems to point towards the Chinese vessel's location," said Alan Diehl, a former accident investigator for the U.S. Air Force.

What's more, white objects were spotted floating on the surface of the water about 90 kilometers (55 miles) from where the sounds were detected, authorities said.

But Houston warned that the latest discoveries could turn out to have no connection to the missing plane.

"In the days, weeks and possibly months ahead, there may be leads such as the one I'm reporting to you this morning on a regular basis," Houston said.

"I assure that we will follow up and exhaust every credible lead that we receive," he said.

The Chinese vessel detected the second signal for a total of 90 seconds on Saturday, according to authorities.

"It's not a continuous transmission," Houston said. "If you get close to the device, we should be receiving it for a longer period of time."

A former longtime Navy oceanographer said the Chinese equipment shown on TV didn't appear to be very sophisticated. Van Gurley told CNN that the gear was designed to be held by human divers and only had short-range capabilities.

"The fact that they're deploying it right over the side near the ocean surface, they're getting hits a mile apart, kind of doesn't add up -- but it does require investigation," said Gurley, now a senior manager at a consulting firm that uses complex mathematical methods to solve problems like finding a missing plane.

Australian authorities are still working on understanding the technology used regarding the data generated by the Haixun 01 as it searches for the missing plane, a source with the Australian Defense Force told CNN.

CNN's Catherine E. Shoichet and Steve Almasy reported and wrote from Atlanta, and journalist Ivy Sam reported from Kuala Lumpur. CNN's Jethro Mullen, Holly Yan Ralph Ellis and Ben Brumfield contributed to this report.

@highlight

NEW: Official: "We have a promising lead, but we have yet to get confirming evidence"

@highlight

It could still take days to confirm the origin of the signals, he says

@highlight

A Chinese search ship picked up two signals in the Indian Ocean, authorities say

@highlight

The plane flew around Indonesian airspace, a Malaysian source says