(CNN) -- He forged his views of war and the military as a young man in mine-plagued fields of Vietnam. Now Chuck Hagel may become the first Vietnam veteran and first enlisted soldier to serve as U.S. defense secretary.

In nominating him to succeed Leon Panetta, President Barack Obama urged the Senate to confirm a man he said "bears the scars" of that war and has the skill to guide the military through new challenges.

"Chuck Hagel is the leader that our troops deserve," Obama said.

If Hagel is confirmed, the Defense Department would be led by someone who advocated deep cuts to its budget. He's bucked his fellow Republicans in opposing troop surges in Iraq and Afghanistan, telling his biographer: "I will do all I can to prevent war." And he's come under fire over comments about Israel, a top American ally, and Iran, a top American foe.

Read more: Who's in, who's out of cabinet

Those issues and others have assured that the former Nebraska senator's path to the Pentagon won't be easy.

But Hagel said he's eager to answer critics.

Until Obama's announcement that ended weeks of speculation over his nomination, Hagel told the Lincoln Journal Star newspaper in his home state that he'd been "hanging out there in no-man's land unable to respond to charges, falsehoods and distortions" about his record.

Now, he said, he has "an opportunity to set the record straight."

"All I ask is a fair hearing, and I will get that," Hagel told the paper. "I am very much looking forward to having a full, open, transparent hearing about my qualifications and my record."

Carl Levin, who will chair those hearings as head of the Armed Services Committee in the Democratic-controlled Senate, praised Hagel's qualifications and said the panel would give "prompt and careful" consideration to his nomination.

What's really behind Hagel nomination fight

Iraq, Iran, gay rights among hot-button issues

Hagel, 66, said Monday that he was honored Obama had "confidence in me and not unmindful of the immense responsibilities that go with it."

The current Georgetown professor and head of the Atlantic Council, a non-partisan international affairs group, praised troops who serve with "such dignity and selflessness."

Hagel promised to work to "strengthen our country's alliances and advance global freedom, decency and humanity" in the effort to "build a better world for all mankind."

At the same news conference where he announced the nomination of John Brennan as CIA director, Obama praised Hagel as a "patriot" who knows what it's like being on the frontline, in part from his year fighting alongside his brother in Vietnam.

"He understands that sending young Americans to fight and bleed in the dirt and mud is something that we only do when it's absolutely necessary."

Opinion: GOP, don't fight the Hagel nomination

The president, a Democrat, also said Hagel's selection "represents the bipartisan tradition that we need more of in Washington."

But many in the GOP establishment begged to differ.

"He has long severed his ties with the Republican Party," Sen. Lindsey Graham, R-South Carolina, said Sunday, when news surfaced that Hagel would be nominated.

Sen. Chris Murphy, a freshman Democrat from Connecticut, countered that he believes "Republicans are spoiling for a fight."

A host of issues swirling around Hagel have set the stage for a contentious confirmation hearing with Republicans expected to lead the charge against him.

A few years after famously bucking his party in opposing a U.S. troop "surge" in Iraq, Hagel voted against sending 30,000 additional troops in 2009 to Afghanistan -- a move that put him at odds with Republicans and Obama.

Some also are bothered by a comment he made in 1998 about an ambassadorial candidate James Hormel being "openly, aggressively gay" -- which he apologized for in December, 14 years later. This issue is compounded by the fact that Hagel could oversee a military that recently dropped its "Don't Ask, Don't Tell" policy for gay and lesbian personnel, a policy he supported.

The Log Cabin Republicans, a group that supports gay rights, called the Hormel apology "too little, too late." Yet gay rights activist Rick Jacob stood behind Obama and said "no one trying to derail (Hagel's) nomination attacks his qualifications."

Hagel has also come under fire over Iran.

In addition to calling for talks with the Middle Eastern nation, which openly antagonizes Israel, Hagel has spoken out against certain sanctions -- a cornerstone of Obama's foreign policy aimed at pressuring Tehran over its nuclear program.

The New York Times notes that Hagel was "one of only two senators to vote against the Iran-Libya sanctions act in 2001, arguing that it would undercut efforts to engage with Tehran."

In a September editorial in the Washington Post, Hagel -- writing with several others, including retired Gen. Anthony Zinni and former Rep. Lee Hamilton -- said that he thinks "all options (should be) on the table" regarding Iran, a stance that aligns him with Obama, as well as many Republicans.

GOP senator: Hagel would be 'antagonistic' toward Israel

But the most charged subject is likely Israel, with Graham arguing -- if confirmed -- Hagel "would be the most antagonistic secretary of defense" toward Israel "in our nation's history."

Read more: Choice in Hagel sparks mixed reactions

Hagel has supported Israel entering negotiations with Hamas, the Islamist movement that oversees parts of the Palestinian territories and is considered a terrorist organization by the United States, while also insisting that Hamas end terrorism and accept Israel's right to exist. He also was one of 12 senators who refused to sign a letter to the European Union trying to designate Hezbollah as a terrorist organization."

In 2007, Hagel joined two other senators in introducing a resolution in June 2007, pushing for a two-state solution to the Israeli-Palestinian conflict.

In an interview that year, Hagel said a "Jewish lobby intimidated lawmakers" -- sparking sharp criticism from some Jewish organizations and across the political spectrum. Graham has blasted what he calls "an in-your-face nomination by the president to all of us who are supportive" of Israel.

But others have rallied around him, including his friend Rabbi Aryeh Azriel of Temple Israel in Omaha, Nebraska.

Azriel, who grew up in Israel and says he's personally open for talks with Hamas and Hezbollah, praised Hagel as "definitely a friend of Israel. He is independent, has wonderful, fresh ideas to try to reengage the discussion about the Middle East."

Hagel told the Journal Star there is "not one shred of evidence that I'm anti-Israeli, not one (Senate) vote that matters that hurt Israel," claiming his critics have "completely distorted" his record.

Read more: White House officials reach out to Jewish community to answer Hagel concerns

He emphasized his "unequivocal, total support for Israel" and support for tough international economic sanctions against Iran, the paper reported.

Such fiery rhetoric has prompted presidential nominees in the past to pull out. But the bumpy road ahead is unlikely to faze Hagel.

"Chuck Hagel is not afraid of challenge -- or risk," his biographer, Charlyne Berens, wrote in 2006.

Praise from Powell, criticism from Iraq vet

One high-profile Vietnam veteran standing by Hagel is Gen. Colin Powell, a former Joint Chiefs chairman who was secretary of state under the Republican administration of President George W. Bush.

"You can always count on him to analyze a difficult situation and take a position that reflects his best judgment," said Powell, a Republican who nonetheless had similarly endorsed Obama. "I believe that more than ever we need that kind of independent and bold leader who thinks in and out of the box."

Gen. Wesley Clark, former NATO supreme allied commander, said Hagel has earned the president's trust.

Hagel's experience in Vietnam, which earned him two Purple Hearts, gave him "the proper appreciation for what it's like on the ground, at the bottom," Clark said.

But Rep. Tom Cotton, R-Arkansas, a veteran of the wars in Iraq and Afghanistan, is not supportive.

"Our troops deserve much better than a man who voted to send them to war when it was popular and then abandoned those very troops when it was unpopular," he said.

He was referring to Hagel's 2002 vote authorizing the war in Iraq and his ultimate opposition to it.

Willingness to speak his mind stirs criticism, support

If he becomes defense secretary, Hagel will be tasked with carrying out the orders of a president who concluded the war in Iraq and plans to end U.S. involvement in Afghanistan.

Ending and avoiding war are part of what he committed his life to while in his 20s in Vietnam, Berens wrote.

"After a year of Vietnam's miserable heat, nearly constant danger, and violent campaigns like the Tet Offensive, Chuck Hagel came back to the United States ready to get on with things -- and with both a loyalty to the U.S. military and a belief he should do all he could to prevent his nation's being involved in another war."

Read more: Chuck Hagel's views on war forged by Vietnam experience

His fierce opposition to the Iraq War went far toward creating the schism that now exists between him and the GOP establishment.

"The damage this war has done to our country will play out for years to come," he wrote in his 2008 book, "America: Our Next Chapter."

"While it is easy for nations to blunder into war, they never blunder into peace," he added.

Especially on foreign policy issues, Hagel has shown time and again his willingness to speak his mind -- even if it goes against the prevailing Republican thinking or, in the case of the 2009 Afghanistan surge, the position of Obama.

His independence has spawned critics, as well as cheers.

"He's a guy with really serious foreign policy chops and someone, frankly, who hasn't been afraid to depart from his party when he thought they were wrong," Murphy, the Democratic senator from Connecticut, told CNN.

Hagel himself said Monday that he won't hold back if he becomes defense secretary, telling Obama, "I will always give you my honest and most informed council."

CNN's Mike Mount, Kevin Liptak, Jill Dougherty, and Catherine Shoichet contributed to this report.

@highlight

Obama says the ex-senator from Nebraska is "the leader that our troops deserve"

@highlight

Hagel says he's eager to "set the record straight" about where he stands on issues

@highlight

He's been criticized by Republicans for his position on Iraq, Iran and Israel

@highlight

Colin Powell says he supports Hagel; Iraq vet Rep. Tom Cotton opposes him