WASHINGTON -- You can blame it on out-of-towners.

In January, passengers of US Airways Flight 1549 had to be rescued out of the Hudson River after a bird strike.

Smithsonian Institution scientists say it was migratory Canada geese -- and not resident Canada geese -- that caused US Airways Flight 1549 to ditch in New York's Hudson River on January 15.

More specifically, it was at least two female and one male geese flying at approximately 2,900 feet that got sucked into the two engines of the Airbus A320, disabling both engines and causing one of the more spectacular water landings in aviation history. All 155 people safely evacuated the jet.

Officials knew almost from the start that Canada geese were responsible for the incident, both because of Capt. Chesley "Sully" Sullenberger's radio report and because few other types of birds flock at that altitude in the mid-Atlantic.

But on Monday, the eve of a three-day National Transportation Safety Board hearing into the crash, the Smithsonian announced that sophisticated scientific techniques allowed them to conclude that the Flight 1549 birds were Canada geese from Labrador, Canada, and were significantly different from geese in New York City.

Museum scientists said molecular study of feathers found in the engines leads them to believe the birds had probably nested in Labrador in the summer of 2008 and migrated to the New York region for the winter. On the day of the crash, Smithsonian wildlife biologist Peter Marra said, the ground was covered with snow, and the flock was probably on a short flight south looking for clear ground or water on which to forage for food.

Canada geese (Branta canadensis) are "essentially flying cows," Marra said, given their unrelenting quest for food.

The migratory birds are among the largest species of bird in North America, with an estimated weight of about 8 pounds each. The determination that the birds were the 8-pound variety and not the 4-pound Brant geese is likely to comfort jet engine designers, since the engines are designed to survive strikes from 4-pound birds.

But the finding also is likely to raise questions about whether engine requirements should be more robust to survive strikes from 8-pound birds.

Bird strikes remain one of the most intractable problems facing aviation. There were more than 7,400 bird strikes in the United States in 2007, including 110 that caused substantial damage to aircraft. But the Federal Aviation Administration estimates that only 20 percent of strikes are reported.

Airports attempt to manage local populations of birds by harassing them, typically by creating loud noises that scare the birds away, or by killing birds. But migratory birds require other approaches, such as monitoring their movements and improved radar.

Smithsonian scientists say it is important to study bird migration patterns to prevent future collisions.

Carla Dove of the Smithsonian's Feather Identification Lab says the Smithsonian has been conducting bird strike identifications for the FAA and the military for more than 50 years. Shortly after the US Airways Flight 1549 incident, the museum got its first feather from a U.S. Department of Agriculture biologist working with the NTSB.

In all, the museum got several batches of remains, some from an engine that remained under water three days, and the rest from an engine on the Hudson River bottom for nine days.

At the Smithsonian's Conservation Institute labs in Suitland, Maryland, scientists examined isotopes in the feathers. The stable-hydrogen isotope values in feathers can serve as geographic markers since they reflect the types of vegetation in the bird's diet at the time it grew new feathers, Marra said.

The feather samples were compared to a reference library of 620,000 specimen at the Field Museum of Natural History in Chicago, Illinois, the Smithsonian said. The finding, published today in "Frontiers in Ecology and the Environment," concluded the geese were from the Labrador area.

"Although these geese were [migratory], we do not believe that these individuals were actually migrating north to return to breeding areas. Instead, we hypothesize that these birds were undertaking a short-distance movement on their wintering grounds in response to freezing temperatures and snow cover, in an effort to find open water and food, a behavior commonly found in species of birds wintering at temperate latitudes," the report says.

At the time of the US Airways bird strike, the flock was in the upper limits of their flying abilities, the Smithsonian said. About "3,000 feet is pretty much their limit," Dove said. The highest known bird strike came when a jet in Africa hit a vulture at 37,000 feet, she said.

Marra and Dove said "billions" of birds threaten aviation. Consequently, more research needs to be done on radar capable of detecting birds, more information is needed on migratory patterns and scientists need to integrate weather patterns into models that can predict bird movements, they said.

@highlight

Feather samples lead Smithsonian Institution to migratory Canadian geese

@highlight

Birds probably nested in Canada's Labrador area and migrated to New York

@highlight

Smithsonian has been conducting bird strike IDs for FAA , military for decades

@highlight

Species weighs about 8 pounds, while plane engines built to handle 4-pound birds