Shanghai (CNN) -- Like many companies in China, Fu Shou Yuan uses celebrities to attract clients. Except, in this case, they're dead.

That's because they're in the funeral business.

"We have 700 celebrities here -- military martyrs, politicians, opera stars, and actors," explains Jason Wu, the manager of the company's flagship cemetery -- an immaculately manicured parkland setting on the outskirts of Shanghai -- as he shows me around in a stretch golf cart.

He says this star-power is attracting ordinary clients and their families looking for an extra special resting place for their loved ones.

Hot offering

After 20 years in the business, Fu Shou Yuan, which operates six cemeteries across China, went public in Hong Kong in December. It was one of the hottest offerings of the quarter, with respected institutional U.S. investors like The Carlyle Group buying in early.

Why the hype? Put plainly, China isn't getting any younger.

That's bad news for most of the world's economy. The lasting effects of the one child policy and natural demographic trends as China gets richer have shaved as much as 3% off of China's growth rates, according to a recent study by Citigroup economists.

But with more than 180 million people over the age of 60, Fu Shou Yuan gains were others' losses.

"We can't refer to it as a death boom," says managing director Wang Jisheng. "The fact is, at the end of this trend, elderly people will die. But when they leave the world, they have a wish to be remembered, and that leaves us to provide them a good service."

Bespoke service

To deliver that service, Fu Shou Yuan appears to be employing a classic strategy of vertical integration.

If you can't make it over to pay your respects, no problem. A grave attendant will put flowers out for you -- for a fee.

You need a statue of grandpa? They have in-house sculptors kneading away at clay busts for casting. "One client wanted changes made for three years until it was perfect," Wang says.

There is even a restaurant on site if you want a banquet while paying your respects -- specializing in Shanghai's famed lion's head meatballs.

"When you buy a plot, it is just the first step," says Wu, walking among the perfectly manicured lawns and polished headstones. "People even come here to get wedding pictures taken."

Taboo

Chinese couples cavorting around a cemetery in their wedding duds was unthinkable a few years ago, but times are changing. While death is still taboo among older generations, Wang says it's becoming less of an issue as China opens up and more people migrate to urban areas. So they focus on clients from top-tier cities.

"The cities are transforming and during the process of urbanization, there is a great demand for a quality burial service to serve the needs of city dwellers," he explains.

But to target city clients, Fu Shou Yuan faces severe cost challenges. Land costs near Shanghai alone have risen to such eye-watering levels that even a tiny patch of land for a grave can cost tens of thousands of dollars.

The space issue has also gotten so bad that the Shanghai government has increased subsidy rates to try persuade people to bury relatives at sea.

So, from traditional south-facing tombs in neat rows, Fu Shou Yuan now puts grave-stones in semi-circles to maximize space. There is also a multistorey mausoleum in the grounds housing a variety of themed rooms where families can place their urn alongside items such as chocolate, photos and even cell phones -- items their relatives may need in the afterlife. These rooms are accessed via a hotel-style key card.

We drive up to a grassy hill with a white statue of iconic pop star Teresa Teng. The late singer's most famous songs play in a loop from the memorial. It's one of their major draws.

"They secured clothing from her family and shipped it from Taiwan to bury here," a worker tells us.

"To change people's traditions is very, very difficult," says Wu. "But it's not impossible."

@highlight

Fu Shou Yuan operates six cemeteries across China

@highlight

The company attracts business by marketing its celebrity "clientele"

@highlight

It went public in Hong Kong in December, one of the hottest offerings of the quarter

@highlight

It is benefiting from fact China has more than 180 million people over the age of 60