From the outside, the home at 2207 Seymour Avenue looked like most any other in Cleveland's Westside neighborhood.

From the inside, it looked like hell.

There were the makeshift alarms rigged to the front and back doors. The porch swing blocking a stairway. Heavy fabric obstructing the kitchen and the second floor. A plastic toilet in a bedroom. Doors without handles, but with padlocks, dead bolts and slide locks. Solid wood covering second-floor windows, assuring no light would enter even on bright, sunny days.

And there were the restraints -- duct tape, plastic zip ties, metal chains fastened to a basement pole and bedroom walls -- to ensure that Michelle Knight, Amanda Berry and Gina DeJesus wouldn't leave.

But, despite Ariel Castro's efforts, they did.

On May 6, Berry alerted passers-by by banging on the front door then crawling out with her 6-year-old daughter. Police officers arrived and went upstairs, where Knight jumped into their arms -- holding them tight and thanking them for ending her 11 years of terror. A pale, quiet DeJesus emerged from a room a short time later.

Today, all three women are free. And Castro is paying a price for what he did: life in prison without parole and 1,000 years, as finalized in a Cleveland court Thursday.

Castro sentenced to life plus 1,000 years

The sentence follows a deal in which Castro agreed to plead guilty to 937 charges to avoid a trial and a possible death penalty. The prosecution didn't have to present evidence Thursday, but they did -- laying out in vivid detail the twisted torment that Knight, DeJesus, Berry and Berry's young daughter, fathered by Castro, went through -- in testimony, impact statements and a sentencing memorandum.

"The days never got shorter," said Knight, the lone victim to speak in court. "The nights turned into days. The days turned into years. The years turned into eternity."

Lured into home, restrained and assaulted

It started on August 22, 2002, when Castro saw the then 21-year-old Knight at a Family Dollar store. She was trying to find the social worker in charge of her son, then not even 2½ years old, Cleveland police Det. Andrew Harasimchuk testified.

Knight asked around for directions, and Castro responded that he knew where to go. Knight knew his daughter, Emily, so she took up his offer for a ride.

They ended up at the Seymour Avenue home Castro had bought a decade earlier. Did Knight want to go inside to get a puppy for her son, Castro asked? She did, and went in.

But instead of giving her a puppy, Castro tied her up with an extension cord.

A few hours later, Knight was taken down to the basement, where she was restrained with a chain and with plastic ties around her wrists, said Harasimchuk, his department's lead investigator on the case. Castro put a motorcycle helmet over her head.

And then he sexually assaulted her -- for the first of what would be scores of times.

Michelle Knight: 'After 11 years, I'm finally being heard'

The following April, Castro spotted Amanda Berry walking along a Cleveland street in her Burger King. She was 16; he was 42.

Did Berry know his son, who'd also worked at Burger King? What about his daughter Angie? Berry said she knew them both, and she accepted his offer for a ride after he told her Angie was at Castro's home.

Berry went in, but saw no sign of her friend, ending up in an upstairs bedroom. Berry asked to go home and when Castro didn't comply, she tried to run away -- her exit stopped when she slammed into a closet instead.

Then Castro sexually assaulted her, putting duct tape over her wrists, legs and mouth and a motorcycle helmet over her head. Berry was carried to the basement and tied to a chain attached to a center support pole.

A third, eerily similar chapter of this story played out about a year later.

This time the victim -- Gina DeJesus -- was younger, at age 14. And she was even closer to Castro's family, as one of his daughter Arlene's best friends.

That spring afternoon, DeJesus and Arlene Castro had been together and hoped to spend the afternoon at DeJesus' house. When that plan didn't pan out, the two walked separate ways.

Ariel Castro spotted the two together, then apart. He admitted driving past his daughter to get to DeJesus. She got in the car after he asked for help finding his daughter, then got out of it when he asked for help carrying a speaker from his home into his car, testified Harasimchuk.

Once inside, DeJesus became uncomfortable and wanted to leave. Castro steered her, unwittingly, into the basement -- where she was tied up with a chain and plastic ties and sexually assaulted.

Constantly fearing for their lives

The young women's nightmares didn't end there.

The sexual abuse was rampant, as was the violence and threats thereof.

Castro had a gun that he'd show to Knight, DeJesus and Berry, threatening to shoot them if they ever tried to escape, prosecutors said. At times, they'd play Russian roulette -- where one bullet is loaded, the cylinder is spun and a person pulls the trigger to see whether the gun fires a shot.

Each woman was given one meal a day. They couldn't use the lone bathroom downstairs, and were allowed to shower at most twice a week. After sexually abusing them, Castro would sometimes throw money at them -- money that he'd take back if they wanted him to get anything on the outside.

"He made them believe that their physical survival depended on him," Cuyahoga County Prosecuting Attorney Timothy McGinty wrote in the prosecution investigation report and sentencing memorandum. "And he threatened to end their lives if they did not comply with his every demand."

When Knight became pregnant, Castro acted. He said they devised a plan together, which ended after "several days" following a diet of only tea and a regimen of knee bends and jumping jacks.

But according to authorities, Knight (and DeJesus) explained it very differently: Castro punched, kicked and jumped on her stomach, forced her to do exercises and starved her for days. This happened multiple times, Knight told Harasimchuk, each time culminating in the loss of a baby.

Castro's guilty plea included two counts of aggravated murder.

Amanda Berry also got pregnant. She wasn't given any prenatal care, but was allowed to carry the baby.

And on Christmas Day 2006, the little girl was born in a plastic baby pool (to contain the mess) inside the Seymour Avenue home.

Knight served as the midwife, albeit under great duress. The child wasn't breathing when she emerged, until Knight breathed into her mouth. All the while, Castro loomed over her.

"I remember Michelle saying if that baby died, 'he was going to kill me'," recalled Cleveland police Officer Barbara Johnson, one of the two officers that went inside the home and rescued Knight, during her testimony Thursday.

That baby, miraculously, survived. And so did Knight, Berry and DeJesus.

"I spent 11 years in hell," Knight said Thursday, proclaiming herself a survivor before addressing Castro. "Now your hell is just beginning."

'The damage that was done does not go away'

Over all these years, Castro would go about his life -- working as a school bus driver, jamming in bands with names like Grupo Fuego and Los Boyz del Merengue, going to church on Sundays -- and return home to abuse the young women sexually, physically and emotionally again and again and again.

In court  on Thursday, he tried to explain his behavior by saying, "I am not a monster. I am sick." Castro claimed his addiction to sex had compelled him to do things he understands were "100% wrong," even as he denied torturing or beating his three captives.

Still, by pleading guilty to the hundreds of charges, Castro has officially admitted to committing numerous sordid crimes. Plus, the stories of the victims and the ample evidence presented by law enforcement officers paint a vivid, horrifying picture of what these women went through.

So how did they make it?

While the four captives were typically kept apart, they did help and draw strength from each other.

Knight, the oldest of them, served as a doctor, nurse, midwife and pediatrician for Berry and her young child, Dr. Frank Ochberg testified Thursday. And she literally put herself in between Castro and DeJesus, taking on physical and sexual abuse herself to protect her friend.

In court Thursday, Knight credited DeJesus -- whom she shared a dark room measuring about 7 feet by 11½ feet -- for saving her life.

"I never let her fall, and she never let me fall," Knight said. "She nursed me back to health when I was dying from his abuse. My friendship with Gina is the only good thing to come from this situation."

The captives kept diaries documenting the forced sex and anticipation of more abuse, the days and nights bleeding together amid the darkness, of being chained to walls and being treated like animals.

And, somehow, they also kept hope. As Knight said, "We said we'll all get out alive some day and we did."

Ochberg, a pioneer in trauma science, lauded the three women's survival and coping skills as "marvelous, compelling examples of resilience, of imagination, of humanity."

Still, while they're no longer at 2207 Seymour Avenue, their suffering from their years there isn't over, he said.

"The damage that was done does not go away. They have life sentences," said Ochberg.

"...I think they will -- with the love and support of the whole community -- they have a good chance to live a good life. But that doesn't mean that they'll ever be free of the damage that was done."

@highlight

Four captives were freed from Ariel Castro's Cleveland home in May

@highlight

All knew Castro's children, which is a reason they took his offer for rides

@highlight

He abused them sexually, physically and emotionally for over a decade

@highlight

Castro controlled when they ate, used the bathroom and much more