Stilwell, Oklahoma (CNN) -- As a teenager, Ricky Blackman carried an Oklahoma driver's license with the words "sex offender" stamped in red below his picture.

His crime? Having sex with a 13-year-old girl when he was 16. The offense occurred when he lived in Iowa, and the label followed him to Oklahoma.

As a Tier 3 offender on Oklahoma's sex offender registry, Blackman could not attend high school, visit the town library, or go to his younger brother's football games.

But the label did more than limit where Blackman could go. It transformed him from an outgoing, sociable jock into an introvert who has trouble trusting people, his mother says.

"He's not the same," said Mary Duval, a straight-talker who has become a full-time activist to reform sex offender legislation since her son's conviction.

"I used to get a kick out of Ricky," she added. "He was so fun-loving and just full of life. I mean, there's no other word. Ricky was full of life and now he's definitely more cautious, more reserved."

Now 20, Blackman tenses up when he sees children at a supermarket and avoids talking to girls his age, even if they initiate contact, his mother says.

"I got a lot more fear in me, I mean, because anything could happen," Blackman said. "Say you're on the registry, and you're in the mall and a kid comes up missing. Well, guess what? You're the first person they're going to because you're on the sex offender registry."

Blackman lived with the "sex offender" label for nearly four years, until a law that took effect in Oklahoma in November removed his name from the registry.

His soft-spoken, reserved manner belies Blackman's hulking physical presence -- a reminder of his days as a high school athlete. On a sunny afternoon in December, he met a CNN reporter in the parking lot of the Stilwell Public Library, arm-in-arm with his mother, who is blind.

As he told his story, Blackman cast furtive glances at each passing car and sized up every person entering the library as if to ensure no one was after him. It was his first time at the library since 2006, when he moved back to his hometown. Though free of the scarlet letter that changed his life, he still feels the stigma of one of the country's most reviled labels.

It was all but impossible to independently verify details of Blackman's case. Prosecutors did not return repeated phone calls for comment, and efforts to check court files with Iowa's Fifth Judicial District were also unsuccessful because Blackman's record has been expunged.

But Blackman tells it this way: It all began when he met a girl at a teen club in Des Moines. They hit it off and started dating. He was 16 and thought she was 15.

When the girl ran away from home, police came looking for Blackman, who says he admitted to having sex with her twice. That's when police told him she was really 13, he says. Two weeks later, police returned to his home and arrested him.

Blackman pleaded guilty to one count of sexual abuse for having sex with the 13-year-old. The age of consent in Iowa is 14.

Taking into account the circumstances of the case, an Iowa judge accepted Blackman's plea and ordered that his record be expunged if he successfully completed probation and sex offender treatment. At that time, his name would be removed from Iowa's sex offender registry.

After his conviction, Blackman's family moved to Oklahoma to get a fresh start. He finished his probation and sex offender treatment, and his record in Iowa was expunged in October 2008, according to court documents.

But the action did not carry over to Oklahoma, where Blackman continued to be listed on that state's sex offender registry. The stigma followed him to his new home and the harassment continued, the family said.

A neighbor who found out he was on the registry videotaped him when he went outside, Blackman said. His picture and address were posted on a vigilante Web site, and a gas station attendant refused to sell him cigarettes, one time taking his license and throwing it across the store.

To comply with state residency restrictions that prevent registered sex offenders from living within 2,000 feet of a school or day care center, the family moved onto a small plot of land in the rural southeastern Oklahoma community of Stilwell, population 3,500.

The back door of the single-wide trailer faces the forest, a fact that Blackman's mother finds comforting should her sons ever need to escape a vigilante attack.

"Does it sound crazy? Yes. But knowing that my boys will have a few extra seconds to get out of the house and slip into darkness if someone ever comes provides some measure of comfort," Duval said.

Having a son on the registry also made a lasting impression on his mother. She now devotes most of her time to reforming sex offender legislation --specifically, the registry -- as chief operating officer of Sex Offender Solutions And Education Network.

"What keeps me going? My anger, my guilt," she said. "My ignorance is why Ricky's on this registry, or was on this registry. I didn't know the law. I didn't know how to protect my son when he talked to those cops. I just sat there thinking the truth will set him free. And that's what got Ricky convicted, the truth."

Blackman's story comes at a time of increased push-back against sex offender policies that some see as overly broad.

Many states have been resisting toughening their sex offender policies. Only one state, Ohio, has complied with the federal Adam Walsh Child Protection and Safety Act of 2006, which lists sex offenders as young as 14 on a uniform registry.

In Georgia, the Southern Center for Human Rights is challenging a state law prohibiting sex offenders from living and working within 1,000 feet of a school, church or day care. Georgia's laws go so far as to ban sex offenders from living near bus stops. The case is still pending.

Last summer, the American Civil Liberties Union filed a lawsuit against Miami-Dade County, alleging the county's 2,500-foot residency restriction interfered with Florida's ability to monitor and supervise released offenders. With nowhere to live, dozens of homeless sex offenders clustered under the Julia Tuttle Causeway. The lawsuit was dismissed in September 2009.

Meanwhile, Blackman was just trying to graduate from high school. He attempted to enroll but was told that he was considered a danger to the rest of the students. He couldn't take GED classes at the vocational school in town because of an on-campus day care center.

His mother persuaded the school board to provide him with a tutor and private classes at the local police department, under the supervision of an officer.

Finding a job presented its own challenges. He says he was turned down by Wal-Mart, McDonald's and another fast food outlet that told him he was considered a liability. He spent most days at home learning to build Web sites and helping his mother and brother.

Due in large part to the efforts of his mother, the Oklahoma Legislature last year passed the law that makes expungements of certain sex offenses in other jurisdictions applicable in Oklahoma.

Blackman traded in his driver's license for one that does not label him a sex offender, and has since returned to the mall and a movie theater.

"I know what I did was wrong and I deserved to be punished for it. But this destroyed my life. Took it away from me," he said. "You never forget about it. I know I'm off the registry but it's taking a long time for it to settle in."

In November, Blackman received a letter from the Oklahoma Board of Probation and Parole. It said he had been removed from the state's sex offender registry, where he had been designated the highest level of risk possible.

His return to a "normal" life has been slow. He still is reluctant to go to his brother's football games, and the thought of going to places where children convene makes him nervous.

"I know I'm off the registry but others may not know," he said. "I don't want to go somewhere and cause a scene 'cause people may not know that I'm allowed to be there and get upset."

But he is making progress. He has opened up to friends and relatives outside his immediate family. He married a 19-year-old childhood friend after he completed probation in September.

As a Christmas gift to her, Blackman made his way to the Stilwell High School Fine Arts Winter Celebration, where his wife sang in the choir.

Walking arm-in-arm with his mother into a building from which he once had been banned, he slowly made his way up the gymnasium's bleachers. From his seat in the fifth row next to relatives, Blackman trained his eyes on people entering the gymnasium, cautiously returning a wave or smile from an acquaintance.

How did he feel? "Nervous," he said. "It's still new to me."

CNN's Stephanie Chen contributed to this report.

@highlight

Ricky Blackman landed on the sex offender registry when he was 16

@highlight

He admits having sex with a girl, 13, but says he thought she was 15

@highlight

His record followed him from Iowa after he and his mother moved to Oklahoma

@highlight

Blackman's mother lobbied to change the law that labeled her son a sex offender