(CNN) -- They were a Parisian group of artists that gave birth to the Impressionism art movement, so it is perhaps fitting that one of their devotees records the French Open with those broad brushstrokes.

Year after year, Joel Blanc makes the short pilgrimage from his Paris studio to the Stade Roland Garros for the tennis year's second grand slam, aiming to encapsulate the tournament's magic onto his canvas.

In a style reminiscent of those Impressionist forefathers, he brings to life in his paintings what he witnesses taking place in front of him on the famous red clay courts.

"When I begin the painting, I don't know exactly what will happen but I know what I want to introduce in the beginning. After, it's a story of life," he told CNN's Open Court show.

"I know how it begins, but I don't know how it finishes."

A key principle of Impressionism was to paint outdoors rather than inside a studio, so it's a style tailor-made to Blanc's own way of working.

It's an approach that has won over tennis stars such as Roger Federer or Rafael Nadal -- both fans and owners of the Frenchman's paintings -- or television companies, who invite him to cover sporting events.

Making his first visit to depict the action on the main court of Philippe Chatrier in 2004, Blanc has returned every year since, attracted by both the stadium and the French Open's allure and charm.

"Roland Garros is my favorite place," says the 68-year-old. "It's very special, it's near to my studio, I'm like a neighbor.

"It's like a fascination in Paris, the time of Roland Garros in Paris is very special so there is a real attraction," he says. "I am very proud to be there."

The painter had to wait some time, however, before that short pilgrimage from his studio could become a reality.

In the same way that the original artists of the Impressionism movement, established in Paris in the 1870s, initially drew criticism for their apparent trivial approach to art, Blanc had his own detractors -- his parents.

They wanted him to forge a career as a surgeon or dentist rather than become an artist -- something that ultimately put him in good stead years down the line.

"I have to thank them for that as they obliged me not to be an artist just like that, they obliged me to learn anatomy at school," says Blanc, who was born in Toulon in the south of France.

"But all those years of learning actually gave me the great freedom for painting -- from horses to the body, from landscape to anything I have to draw. I know the proportions, I know everything. I'm able to do it."

From the late 1880s the public's perception became more favorable towards the Impressionism movement, much like the trajectory of Blanc's career.

Following an education at the Ecole des Beaux Arts, Blanc first developed his passion for capturing the moment in equestrian events -- making a living out of depicting horses and their riders.

And in keeping with the tradition of Impressionism, he also often found himself recreating scenes from the French countryside.

It was not until far further down the line, though, at the age of 57, that Blanc got his real break as an artist when he was invited to cover the World Athletics Championships in Paris in 2003 by French television station France 2.

"I knew this was what I wanted to do. I was supported by the runners as I put all my body into my work, so I was like one of them," he recalls.

"This woman asked me to finish a painting and give it to a 100-meter runner at the end, so I finished it in 10 seconds and gave it to him!"

That success prompted another invitation from France 2 to cover the following year's French Open.

"In my work, I need to have a challenge and draw something that other people can't do, so I turned to sport," he says.

"What I feel when I do this type of painting is a communion with what I draw.

"I have to be not inside (the athlete) but it's something like communion -- my eyes and my hand. I don't take care of my hand, it's only a problem of mind."

Blanc, who has covered other sports such as golf and rugby, thrives on the unpredictability of capturing these instant action moments.

"Every sport has its own specialty. For example, polo ... it's like a fight, it's very quick and the movement of horses change in a second," he says.

"So if you don't decide what you want to represent, it's like rugby, it changes very quickly. If you don't decide quickly, you are lost. You have to clear your mind in every sport."

When Blanc first put his easel on the side of a tennis court, he was unaware of the endless possibilities that were about to unfold both on court and in his mind.

"The first time I thought, like for golf, that tennis was always the same," he says.

"I have been painting Nadal and Federer for years and years when they were always in the final, in Monte Carlo and at Roland Garros, and I could say it's always the same story.

"But it's not, because there is an adaption from one to the other and the strategy of each one is very specific, and the movements then change. And the movement has to be taken in the very instant."

Sport is by nature cyclical, adds Blanc, but the same events every year bring fresh inspiration.

"If something new doesn't happen then the people will be bored by that, but every time we all witness something new without fail."

@highlight

Joel Blanc paints live at the French Open every year

@highlight

The Frenchman first painted at Roland Garros in 2004

@highlight

Blanc has also painted sports as diverse as rugby, golf and athletics