(CNN) -- After the craziness of the winter weather, it's time for some positive predictions, right? Meteorologists are on the lookout for a weather pattern that could mean a milder hurricane season for the East Coast this summer.

The National Oceanic and Atmospheric Administration said Thursday that there's about a 50% chance of a weather phenomenon called El Nino developing this summer or fall. That's not a guarantee, but conditions are favorable enough in the next six months to warrant an "El Nino Watch."

An El Nino event occurs about once every three to seven years, said Kevin Trenberth, senior scientist at the National Center for Atmospheric Research. It involves the warming of the central and eastern Pacific Ocean, and results in major changes in the jet stream where storms track.

As the ocean builds up heat in the western Pacific Ocean, some of the heat goes into the atmosphere through evaporation. The moistened atmosphere invigorates storms, Trenberth said, changing where hurricanes and typhoons occur.

But those of you on the U.S. East Coast and Gulf Coast, rejoice: "It means that the Atlantic hurricane season will be rather weak because it can't stand the competition," Trenberth said.

An El Nino event would likely mean more shear -- wind speeds that increase with height -- in the upper levels of the atmosphere during hurricane season. This wind shear would suppress the development of tropical systems.

California would also benefit if El Nino conditions develop and continue into the winter. The state is suffering from one of the worst droughts in its history. An El Nino pattern in the winter time usually results in much wetter conditions for the West Coast.

Because El Nino warms up the atmosphere as a whole, we may see a mini global warming phenomenon, Trenberth said. Places that shivered through a deep freeze this year may see above-average temperatures next winter, if the pattern continues, Trenberth said.

But in other parts of the world, El Nino can be quite disruptive, depending on where you live. Monsoons in India and droughts in Australia may result, Trenberth said. Hawaii would be more likely to see a hurricane. Flooding in Peru and Ecuador are also associated with El Nino. Farmers there have switched from cotton to rice farming to adapt during such times, Trenberth said.

In February, sea surface temperatures were below average in the eastern equatorial Pacific Ocean, but above average near the International Date Line, NOAA said. There were also strong low-level westerly winds reappearing over the central equatorial Pacific, which could help to hold onto the increased heat content in the central and east-central equatorial Pacific.

Right now the El Nino Southern Oscillation is in its "neutral" phase -- neither warm nor cool -- but models suggest that El Nino could develop.

The last record-breaking El Nino event was in 1997 to 1998. The pattern led to a relatively warm winter, but also a series of devastating weather events: Flooding in the Southeast and California, an ice storm in the northeast and tornadoes in Florida.

"Be careful what you wish for sometimes," Trenberth said.

@highlight

NOAA: 50% of El Nino this summer or fall

@highlight

The pattern would mean warmer atmosphere

@highlight

California could get a relief from drought

@highlight

Record-breaking El Nino was 1997 to 1998