(CNN)Photographer Maxine Helfman didn't foresee the current outcry around civil rights in America back in 2012, when she began shooting portraits in the style of the old Flemish master painters -- using only black models.

Placing people of color within a portrait style that historically was the domain of the European elite is a political statement on inequality couched in a beautiful tableaux.

Helfman's subjects in the "Historical Correction" series wear the same aloof expressions of 17th-century noblemen and women in portraits commissioned from artists like Frans Hals. Light plays across their faces, white collars and billowing black vestments in a manner familiar to followers of the Dutch and Flemish masters.

The difference is that their faces are varying shades of brown.

Helfman, 61, wanted to create historical documentation of a population that never was. The images subvert the obvious storyline -- that social strata often break down along racial lines. Her photos are a "contradiction," she said, to the stories of inequality that are being told in protests across the United States.

"When I shot them I had the same inspirations, but we didn't have issues that were so highly charged as we're dealing with now racially," Helfman said. "In my lifetime I've seen them come up over and over and then something inflames them again, and it just shows you we haven't gotten there."

"There," meaning equality.

Helfman stages the subjects of her photos to command respect. She doesn't place other objects in the frame (to avoid distractions), and she shoots from a slightly lower plane to place the model on high. "When you get just a little bit of a lower angle, you're giving that person power."

Also a commercial photographer, Helfman often plays with notions of power and what should be in her fine artwork. She draws inspiration for her art photography from painters like the Flemish masters and contemporary photographers like Carrie Mae Weems and Seydou Keita.

Flemish portraits of heroes, villains

Helfman enjoys provoking the audience by placing her subjects in unexpected situations -- many of them involving clothing and culture. One series put young boys in dresses and invited viewers to interpret what and who they were seeing. Images from another series depict black women in black face paint dressed as geishas.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

"The longer my series have been out, the more even I understand the layers -- and especially when I hear other people's reaction and other people's comments," Helfman said. "They just kind of take on a life of their own."

Using gender and race as provocation is fraught with potential pitfalls for Helfman, a white woman. She takes great care to be respectful, often consulting other artists or experts for another cultural point of view.

"I never want to create something that's tongue-in-cheek because that defeats the purpose," she said. "It's disrespectful to the (statement) I'm trying to make."

What she aims to do, she said, is make viewers think and rethink.

"At face value when people look at them, it's a beautiful image. You're so easily brought into these, and by the time you are, you give it some thought and ask some questions."

Maxine Helfman is a photographer based in Dallas. You can follow her on Facebook.

@highlight

Maxine Helfman's photo series places black people in historical Flemish-style portraits

@highlight

Helfman said the images create a social "contradiction" and force viewers to think

@highlight

Helfman stages the subjects of her photos to command respect and exude power