(CNN) -- It wasn't easy for David Kizelewicz to make ends meet as a single father of four on a construction worker's salary after his first divorce. But he did his best to cook dinner each night and to spend quality time with his kids on weekends, and somehow, "they ended up smarter than me," he jokes.

Fast forward a few decades and Kizelewicz, now 63, is raising another family. He still makes dinner most nights but now he has a bigger home, a stable job and a wife whose additional income makes things much easier.

Some people cautioned him against remarrying at 49, saying he was too old to start a new family. He had two complicated marriages behind him when his now-wife Natalie -- his son's coworker -- agreed to a date. He was 48 and dating for the first time since his children left the home; she was 29 and had just ended what she described as an emotionally abusive marriage to her first husband, with whom she had a daughter. She resisted at first because of the age difference, but when she finally gave in they immediately hit it off during their first date at Olive Garden.

Now, 13 years and one child later, David and Natalie say they're happier than they ever were in their previous marriages. They know what they want from the relationship and from each other.

Lifetime friendship is medicine for the soul

"In your first marriage, you're starting out and struggling," said Kizelewicz, now a construction supervisor who lives north of Orlando. "It's a lot easier to raise kids when you have money to raise them and give them the things they want."

It's been a long road to happiness. David Kizelewicz was married to the mother of his children and another woman after that, but both relationships ended in divorce. With this his third marriage and Natalie's second, in some ways the couple is beating the odds. A 2009 study found that, because boomers divorce and remarry in such large numbers, it is more likely that later-in-life remarriages will end in divorce.

But the Kizelewiczs and others say lessons learned from past marriages can help nurture future relationships.

"We're just so grateful to have a good marriage this time that there's nothing to really fight over," Natalie Kizelewicz said. "We rarely argue and I think it's because we get along so well."

They also draw upon David's experience raising children.

"All the tricks the kids try to pull, if they try to lie or pull the wool over our eyes, he already knows and he knows what to do," she said.

Second marriages often fail because individuals don't take the time to figure out what went wrong in the first union or acknowledge their role in the unhappy marriage, said psychotherapist and relationship specialist Lisa Brateman, who has a private practice in New York.

"Everyone likes to blame the other person and say he did this or he was too controlling, but were you so passive that you let it continue?" she said. "What were you so fearful of that you lost your voice for so many years?"

Dating after 50

For some women, being on their own after years of financial dependency causes them to rush into relationships without considering whether the person is right for them, she said. The more you know yourself, your wants and your needs, the healthier your decisions will be if you're 18 or 55.

"Relationships are about enhancing your life rather than giving you a life," she said.

As divorces rates among couples over 50 have doubled in the last 20 years, many are remarrying and starting new families. In 1980, 19% of married people ages 50 and older were in remarriages compared with 30% in 2009, according to a study by the National Center for Family & Marriage Research.

Not everyone is looking for marriage, but the desire for love and companionship is still alive and well, said Terri Orbuch, psychologist and relationship expert at OurTime.com, a dating website for the 50-and-over crowd. But for those who have done a bit of soul-searching, the approach to finding a new mate often is more refined.

"Baby boomers are more settled in their behaviors and patterns of life. They are concerned about whether it is worth changing ... to allow someone new into their life," she said. "And, the majority of baby boomers are more focused on compatibility, and finding someone who makes them happy, than they were when they were younger."

Boomers who spoke with Orbuch for her forthcoming book, "Finding Love Again: 6 Simple Steps to a New and Happy Relationship," had three major takeaways from unsuccessful marriages, she said. The first is that communication is key, and not just "maintenance communication."

"You can't only talk about work, family, who does what around the house or your relationship. To communicate well, partners need to reveal more about themselves."

On turning 40

Second, make sure you partner knows that he or she is important to you.

"Life gets busy and stressed and it is important that your spouse knows you don't take them for granted. Give them frequent affirmation, though simple gestures (hug, kiss, turn on the coffee pot in the morning, bring in the newspaper) and words (thank you, you are the best partner, you look so beautiful today)."

And last but not least, talk about money, early and often, she said. Fifty percent of the divorced singles in her study said that they fought so much about money in their first marriage that they anticipated money will be a problem in their next relationship.

"Divorced singles said they have learned that they would discuss money with their partner early on and more often, so that it isn't such an issue. They would devise a plan they both could live with," she said.

David and Natalie Kizelewicz both had jobs when they started dating and still do, which helps them maintain a comfortable lifestyle with some money left over for a vacation each year. They were also able to buy a car for Natalie's daughter and help her with living expenses while she's in college, something David was unable to do for his first four children.

"My older kids might be a little resentful of the younger kids because they can see that they have an easier life," he said. "But I gave them the best years of my life. If they wanted to go to college, they could, and now they're all happily married or own homes and have good jobs. They're successful in life."

In order to maintain their lifestyle, he estimates he'll be working for at least another 10 years until their youngest goes to college. But, that's OK, he said. "I hate being bored."

When it comes to a blended family, they have it all: adult children from previous marriages and grandchildren who are older than their 13-year-old daughter. Plus, they've had custody of Natalie's 7-year-old nephew since he was an infant.

The staggered ages and familial ties are confusing to outsiders, but everyone gets along, he said. His grandchildren play with his children younger as if they were cousins. When David's grandson was in the same school as his daughter, he got a kick out of telling everyone she was his aunt, he said.

The do's and don'ts of dating after 50

It wasn't much of a stretch for David's adult children to adjust to Natalie, especially since his oldest son set them up, the couple said. Early on, Natalie's family and daughter approved of him despite the age difference because he treated her so well, she said.

"They said he was the best thing that ever happened to me," she said. "I saw how he raised his kids and doted on them, so I knew he would be a good father."

The Kizelewiczes have also dealt with medical problems, a common issue for couples marrying late in life. Two weeks after the birth of their daughter, David had prostate surgery after being diagnosed with cancer a month before the baby's due date. Years later, he has it under control as a result of the couple's combined efforts to stay on top of appointments and medications, Natalie said.

Otherwise, Natalie no longer feels the age difference as much as she used to, she said. David has slowed down a bit, but so has she. Their 7-year-old nephew seems to notice, asking how old David will be when the boy reaches his age.

"He tells him, 'I'm going to live until I'm 100; don't you worry,'" she said.

David also thinks about it sometimes -- when Natalie is 60, he'll be 80.

"Though we have a really good life right now, that's the only thing I kind of worry about," he said. "That's time to come, but so far it's been great. Age hasn't really caught up to us."

Follow CNN Living on Facebook and Emanuella Grinberg on Twitter

CNN's Toby Lyles contributed to this report.

@highlight

David and Natalie Kizelewicz have been married 13 years; it's his third marriage, her second

@highlight

They say they are happier now because they know what they want from the relationship

@highlight

Many baby boomers have learned from mistakes in previous marriages

@highlight

"Relationships are about enhancing your life rather than giving you a life," specialist says