(WIRED) -- From the earliest days of aviation, pilots have relied upon paper maps to help find their way. Even in an era of GPS and advanced avionics, you still see pilots lugging around 20 pounds or more of charts.

But those days are numbered, because maps are giving way to iPads.

The Federal Aviation Administration is allowing charter company Executive Jet Management to use Apple's tablet as an approved alternative to paper charts. The authorization follows three months of rigorous testing and evaluation of the iPad and Mobile TC, a map app developed by aviation chartmaker Jeppesen.

The latest decision applies only to Executive Jet Management, but it has implications for all of aviation. By allowing the company's pilots to use the Apple iPad as a primary source of information, the FAA is acknowledging the potential for consumer tablets to become avionics instruments.

The iPad has been popular with pilots of all types since its introduction last year. But until now, it could not be used in place of traditional paper charts or FAA-approved devices such as more expensive, purpose-built electronic flight bags. The iPad was OK for reference, but not as a pilot's sole source of information. The new FAA authorization changes all that.

To receive FAA authorization, Jeppesen and Executive Jet Management went through a rigorous approval process. It included rapid-decompression testing from a simulated altitude of 51,000 feet and ensuring the tablet will not interfere with critical navigation or electronic equipment.

Executive Jet tested the iPad and Mobile TC in 10 aircraft flown by 55 pilots during 250 flights.

The first thought many pilots, not to mention passengers, may have is: What happens if the iPad or the app crashes?

Jeff Buhl, Jeppesen's product manager for the Mobile TC app, says the Apple iOS operating system and the app proved "extremely stable" during testing. In the "unlikely" event of a software crash, he says, it takes but a moment to get them running again.

"The recovery time for an application crashing or the OS crashing is extremely rapid," Buhl says.

During the evaluation period with the FAA, the production app did not crash. But even if it did, Buhl says it's ready to go again "in 4-6 seconds from re-launch to previous state."

The FAA says each individual operator -- in this case Executive Jet Management -- must develop specific procedures for dealing with system or software crashes and other issues. Under the authorization, Executive Jet Management will require a second approved electronic device, which most likely will be another iPad, in the cockpit.

Pilots may get magic fingers to keep them alert

Although this authorization applies to just one company, it is a milestone for all operators, including major airlines, because it opens the door for them to embrace the iPad. Though any company wishing to follow Executive Jet's lead will have to endure equally rigorous scrutiny by the FAA.

Agency spokesman Les Dorr says the process is no different from what is required for any other electronic device used to display navigation information.

"As far as the iPad is concerned, we do that on a case-by-case basis when an airline applies to be able to use it," Dorr says.

The FAA is already seeing more requests to use the iPad in the cockpit. Alaska Airlines began testing the iPad back in November and there are about 100 pilots currently evaluating the device according to spokeswoman Marianne Lindsey.

She says in addition to the convenience, there is a practical weight-saving aspect to using the iPad as well, "it's replaced about 25 pounds of manuals and charts."

Jeppesen's director of portfolio management, Tim Huegel, says several carriers are looking into using the iPad and TC Mobile, and with the FAA granting one approval, it should become increasingly easy for others to follow Executive Jet's lead.

"We'll be able to reuse a lot of the documentation and the lessons learned working with Executive Jet Management to help our commercial customers as they now begin to pursue FAA authorization," he says.

The charts available with Mobile TC include charts for visual flight rules and for instrument flight rules, which are more commonly used by commercial operators. The app only shows an electronic version of the paper charts Jeppesen has been producing for years, but Huegel says future versions could incorporate the iPad's GPS capability.

He sees a day when tablets provide "door-to-door management" of a pilot's information, from crew scheduling to weather information to navigation charts.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

The FAA has approved iPads instead of paper charts for a charter company's pilots

@highlight

iPads are popular among pilots but were only OK for reference

@highlight

This allowance applies to only Executive Jet Management for now