(CNN) -- When Albert Budacz was young, he prided himself on having good eyesight; he never wore glasses. But as he eased into his late 40s, he couldn't see as well. "I noticed a change in my vision," he explained. "Primarily in church when I would open a Bible, or something like that, I had to position myself under a light to see it."

Ophthalmologist Dr. Sharon Solomon examined Albert Budacz  and found age-related macular degeneration.

Concerned that he was beginning to lose his sight, Budacz went to his ophthalmologist, Dr. Sharon Solomon with the Wilmer Eye Institute at Johns Hopkins. He was found to have the beginnings macular degeneration, an eye condition that occurs when the central portion of the retina -- called the macula -- begins to deteriorate.

Until recently, people with age-related macular degeneration, the leading cause of severe vision loss in Americans older than 60, had few treatment options. But now, thanks to new research and advancing technology, there are more vision-saving choices.

Early signs of macular degeneration-related vision loss include shadowy areas or fuzzy distortion in a person's central vision.

"A patient told me recently that he noticed when he was driving that the streetlights were slanted; the poles themselves were slanted," Solomon said. "That's a classic sign of the beginning of this disease."

Although obesity, smoking, high blood pressure and certain drugs can cause it, age is the primary risk factor.

"As people approach their 50s and later, they may have little yellow deposits that develop underneath the retina, and that's called drusen," Solomon explained. "Those deposits are the hallmark of what we call early age-related macular degeneration."

There are two forms of age-related macular degeneration, or AMD: the dry form, known as non-neovascular, and the wet form, called neovascular.

The dry form, which Budacz has, is more common. According to the National Eye Institute, about 85 to 90 percent of patients with advanced macular degeneration have the dry form.

Dry macular degeneration is caused when drusen begin to accumulate in and around the macula. Drusen, those yellowish deposits, are debris from deteriorating tissue.

With dry AMD, there is usually a gradual loss of central vision. Over a period of years, dry AMD can progress to a gradual deterioration of retinal cells, which can result in severe vision loss or lead to the wet version of AMD.

As of now, there is no FDA-approved treatment for dry macular degeneration, although a few drugs and devices are in clinical trials.  Health Minute: Watch more on new therapies for macular degeneration »

However, studies have shown that supplements and a healthy diet can slow the progression of dry macular degeneration. A recent National Eye Institute study found that certain nutrients such as beta carotene (vitamin A) and vitamins C and E may reduce the risk of progression of early-stage AMD by 25 percent.

Solomon says these antioxidants have a positive effect. "They're known as 'preservision,' " she said, noting that they are commonly given to certain patient groups to slow their progression to advanced macular degeneration.

Other research has shown that B6, B12 and folic acid may help prevent age-related macular degeneration. In a study of more than 5,000 women, researchers noted those who took a combination of B6 and B12 vitamins along with a folic acid supplement had a 34 percent lower risk of developing AMD then those taking a placebo.

Although the studies showed strong results, the American Academy of Ophthalmology cautions patients to talk to their eye doctors about which supplements are best for their condition before they start popping vitamins.

In the wet version of macular degeneration, abnormal blood vessels grow beneath the retina and leak blood and fluid. This leakage causes permanent damage to light-sensitive retinal cells, which die off and create blind spots in central vision.

Doctors say it's the body's misguided way of attempting to supply the retina with more nutrients and oxygen. Instead, the attempt creates scarring, leading to severe central vision loss.

Up until recently, there's been very little doctors could do for the wet form of macular degeneration. But over the past decade, there have been a few treatments developed to slow its progression. Cold lasers are now used to freeze the abnormal blood vessels responsible for destroying the macula; they have a 60 percent success rate.

And within the past three years, researchers pinpointed a protein in the eye, called vascular endothelial growth factor, that stimulates the development of blood vessels.

Injectable drugs that inhibit VEGF are now FDA-approved and available; without VEGF, there is little to encourage the growth of blood vessels in the retina.

"They actually have a 90 percent chance of stabilizing vision and a 30 to 40 percent chance of improving vision," Solomon said. "This is the first therapy that we've had that can actually [reverse] vision loss."

Most ophthalmologists prefer an ounce of prevention to a pound of cure. They promote yearly eye exams as the easiest way to keep macular degeneration in check -- and warn against waiting for a crisis to schedule a checkup.

"We typically pick up a patient when, all of a sudden, they've had an acute, abrupt loss of vision or change in the quality of their vision," Solomon said. "And sometimes it's too late."

Albert Budacz was lucky. He caught his macular degeneration in time. He's stopped smoking and takes antioxidants to slow the progression of the disease. And although he may not have the eyesight he had as a young man, he can still see pretty well with or without glasses. And to him, that's all that matters.

@highlight

Age-related macular degeneration causes central vision loss

@highlight

Age is primary risk factor; other factors: obesity, smoking, high blood pressure

@highlight

Two forms of AMD: wet and dry; until recently few treatments were available

@highlight

Injections containing anti-growth factor can slow progress of wet AMD