Davos, Switzerland (CNN) -- German Chancellor Angela Merkel launched an outspoken defense of the European project on Wednesday, but warned that the bloc's richest nation would not make bailout promises to solve the eurozone crisis that it cannot keep.

Speaking at the annual World Economic Forum in the Swiss resort of Davos, Merkel said Germany is rightly seen as being relatively strong. But if her country commits to paying for a huge expansion of the eurozone's bailout funds, and even that is torpedoed by the capital markets, then there is a real problem.

Merkel told a standing room-only crowd that the "people say it has to be double, then it has to be triple, then we will believe you."

"We have said right from the start we wish to stand up for the euro, but we don't want to ... make a promise that we can't fulfil."

Map: Europe in crisis

The eurozone set up a temporary bail-out fund -- the European Financial Stability Facility -- after Greece's first bail-out in May 2010. It initially had €250 billion ($326 billion) in lending capacity, which was later boosted to €440 billion as more eurozone countries stumbled.

The creation of the eurozone's permanent facility, the European Stability Mechanism, was brought forward and it will now be in place this year rather than 2013. It will have lending capacity of €500 billion, and is backed by paid-in capital from eurozone member countries.

Q&A: Will new deal solve Europe's problems?

Merkel appeared to show her frustration with the rest of the European community, some of whose members are suspicious of the motives of the bloc's two strongest economies. "It is on the one hand expected from Germany and France that we show a harmonious front.

"They don't like us when we don't like each other and they don't like us when we agree on matters before we come here because then we are the ones that call the shots apparently, and that is frustrating."

Merkel also warned that the structure of the "great European project" needed substantive reform if the crisis that has brought the European single currency to the brink of collapse is to be resolved.

"There is a clear lack of political structures and underpinnings to make this work."

She was speaking the day after the International Monetary Fund lowered its outlook for the world economy. It called for immediate action to avert a global depression -- raising the specter of the downturn of the 1920s.

The IMF now expects the world economy to grow 3.3% in 2012, compared to its previous prediction of 4% expansion this year. The pessimistic outlook was mainly driven by the intensifying debt crisis in Europe, with the 17 nations of the eurozone expected to suffer a mild recession this year, the IMF said.

"We are not going to become fainthearted. We will not be able to wave a magic wand to address this," she told delegates in Davos, adding that there was "a clear erosion of confidence" in the rest of the world with Europe.

In comments that could cause concerns about Germany's growing influence in Europe, Merkel said: "We have seen that something needs to be changed here, so it is not only austerity measures ... but also structural reforms that lead to more jobs."

Outside the conference hall, Martin Sorrell, head of advertising giant WPP, said Merkel's "call for greater political unity was the price for Germany bailing Greece out and putting a firewall around Italy to avoid severe contagion" in world markets.

Sorrell said her call for stronger fiscal and political integration in Europe could mean further confrontation between Merkel and French President Nicolas Sarkozy and Britain's Prime Minister David Cameron.

EU leaders agreed in October to provide a second €130 billion rescue package for Greece and announced a deal with private sector investors to voluntarily write down the value of Greek government bonds by 50% as part of a debt exchange.

But on Tuesday a major credit agency warned that Greece will eventually default on its debts, even if the nation reaches a restructuring deal with creditors.

Negotiations with the private sector have also stalled and there is disagreement among some policymakers over whether requiring Greece to enact more austerity as a condition of a second bailout will help or hurt the nation's fragile economy.

Merkel, who with Sarkozy, has been at the heart of efforts to rescue the eurozone from the debt crisis, conceded in a newspaper interview published on Wednesday she did have doubts about her demand for more fiscal rigor from debt-ridden governments, which have met widespread opposition. "Good politicians always have doubts, as a way of constantly reviewing whether they are on the right track," the Guardian reported her as saying.

Nevertheless she insisted the European court of justice should enforce the public spending and budget policies of eurozone nations. And in another policy that sets her at odds with many euroskeptic politicians including Cameron, Merkel raised the specter of full European political union, with more national laws ceded to Brussels.

The only good piece of news for Merkel was that German business confidence brightened for a third month in a row, suggesting that growth may already be resuming in Europe's largest economy.

Peter Wilkinson was reporting from London. Irene Chapple was reporting from Davos, Switzerland.

@highlight

German Chancellor Angela Merkel delivers opening address at Davos Economic Forum

@highlight

Merkel warns structure of "great European project" needs substantive reform

@highlight

She said Germany would not make bailout promises it could not keep

@highlight

She was speaking day after IMF lowered outlook for world economy