(CNN) -- At Camp 3 of Mount Everest at an altitude of 7,200 meters, an American woman, 50-year-old Cleonice Pacheco Weidlich, sits in a solitary tent.

Outside, fierce winds of more than 50 knots are raging.

She waits.

Soon blizzard-bearing monsoon clouds will gather around Everest and bring an end to the climbing season on the high Himalayas.

It will also draw a shroud over one of the single deadliest tragedies the world's highest mountain has ever witnessed.

Before she can make begin her ascent, Weidlich must not only find a gap in the weather and a way over the avalanche, but also face down the growing controversies that erupted around continued activity on Everest in the wake of the disaster.

More than 300 international climbers abandoned their goal of reaching the mountain's summit after an April 18 avalanche in the mountain's treacherous Khumbu Icefall killed 16 Nepalese Sherpa mountaineers.

The immediate aftermath of the disaster brought confusion and anger to the mountain as arguments raged over whether climbing should continue, the money paid to Sherpas and compensation for the sacrifices made.

After avalanche, Nepal opens up unclimbed peaks

Domino effect

Some Sherpas called an unofficial moratorium on further climbs, with one group even reportedly sabotaging equipment.

With safety in doubt, many international climbing companies decided to pull the plug, leading to a domino effect that also swept up the independent climbers who rely on shared resources.

"If 30% of your workforce walks away, it compromises your operational capabilities, given the difficulties of finding new porters, cooks, and guides in short time in the Khumbu," said one guide from a leading operator.

Many were resigned to the sudden end to the season.

"I feel very sad about the Sherpas," said Ake Lindstrom, an adventure operator from Tanzania.

"Everybody knows each other; it is a small community and their loss is very tangible. It takes a small amount of empathy to let go of one's frustration."

Weidlich, however, stayed.

Later she was joined by Wang Jing, a 41-year-old Chinese woman also determined to press ahead with an attempt on the summit.

Despite their determination in the face of calls for a halt to climbing, many Sherpas CNN Travel spoke to were not unhappy with their plans.

Instead, they voiced other concerns, including the disparity they perceive between local and international guide salaries, overcrowding on the mountain, a lack of respect to their mountain god and those who died.

There was also anger towards the Nepalese government over its response to the tragedy.

Among the Everest climbing community questions were raised about the safety prior to the deaths.

Some Sherpas said there had been too many on the mountain on the day of the disaster, with long lines forming as people traversed the ladders over crevasses.

Mourning in an Everest Sherpa village

'One mistake and you are done'

"It was so packed that for some, there was no place to hide when the ice started to fall," one said. "We never saw so many people on the icefall on one day."

One expert expressed strong concerns about renewed climbing.

"The mountains are in constant movement, which is what makes the icefall dangerous," said Gian Piero Verza, of the Pyramid high-altitude research center, located at 5,050 meters on Everest.

"You have to consider that in two months of expeditions, some Sherpas spend an average of three hours daily on the icefall to carry their load. For some that is 200 hours in a very dangerous place."

Veteran expedition leader Jamie McGuinness, however, said he was surprised that more did not defy the exodus to take advantage of conditions similar to those when Edmund Hillary and Sherpa Tenzing Norgay first summited in 1953.

"Hard-core mountaineers would jump at the chance to have Everest and Lhotse all for themselves during the best climbing season," he says.

"But being there without backup is like being back in epic Hillary's time: one mistake and you are done."

Back at Camp 3, in her gale-battered tent, Weidlich is convinced she is doing the right thing by continuing with her plan to summit Lhotse, a peak connected to Everest's South Col.

She says she knows the family of one of the victims and when she visited them after the disaster was not met with hostility and was invited to stay for the funeral.

"I asked them if they felt it would be disrespectful if I continued with my climbing plan," she says. "They were concerned about my safety, but they never brought up the issue of respect."

Weidlich, who is on a personal mission to climb all 14 of the world's mountains over 8,000 meters, says the problem lies with assisted climbing.

"High mountains are dangerous, and climbing is all about the experience. You have to evaluate the risks. But Everest has become a completely different place: it is a showtime place. People come here to make silly records.

American climber recounts how Sherpa saved his life

Climbing in isolation

"This is not real mountaineering. To me, if you cannot free climb a mountain and you need someone else to help you up or down, you don't belong on it."

Weidlich hits out at claims that Sherpas had forced people to abandon the mountain saying they had treated her well.

She also speaks of the excitement of climbing in isolation.

"I am very much looking forward to experiencing the mountain for what it is, without the crowds. It will be rewarding to be in contact with nature -- to hear the cracking of the ice and not the generators."

When at last the gales ease, it is finally time for Weidlich to face the mountain, but she is ultimately unable to reach her goal.

Because of the dangers on the Icefall, both Weidlich and Wang bypass it using helicopters -- a highly controversial move that could invalidate any claim to a successful climb.

Wang reaches the summit of Everest on May 23 along with five Sherpas.

Weidlich, however, decides to abandon her attempt on Lhotse because "that would be like claiming a whole mountain when I would only have climbed half of it."

Shortly afterward, the monsoon closes in for good, leaving Everest to brood alone over another season of triumphs for some and tragedies for others.

Andrea Oschetti is a Hong Kong-based freelance travel writer currently traveling through Bhutan and Nepal.

@highlight

Cleonice Pacheco Weidlich refuses to abandon her Everest climb after 16 killed in mountain tragedy

@highlight

Disaster prompted concerns over conditions on mountain and calls for an early end to climbing season

@highlight

Some Sherpas complained over pay and a lack of respect for their traditions and towards those who died

@highlight

Weidlich says her solo attempt on Lhotse peak had the backing of Sherpas who she says treated her well