Grand Rapids, Michigan (CNN) -- There isn't a question that's more quintessentially American than "What do you do for a living?"

It is just safe enough to start a conversation with a stranger, it is universal enough so anyone can answer, and it strikes right to the core of what our culture values most -- money.

Sure, on the surface that question doesn't sound as if it's been ripped from the Gordon Gekko "greed is good" manifesto -- but the reality is it blows past the pleasantries and heads right into the grit of someone's finances, revealing their place in the pecking order of society and thus a glimpse into just how happy they may or may not be.

Since the end of the 20th century, "What do you do for a living?" has ceased to be an inquiry about how someone spends their time during normal business hours and instead serves as a slightly grating, socially acceptable manner in which we remind each other of the stuff we don't have or will never get.

We may understand that money does not buy happiness, but over the past few decades that notion has been competing against a message that at every turn tells us we can't be happy without it. This dichotomy has slowly disconnected the American dream from the idea of life, liberty and the pursuit of happiness and attached it to one's ability to move up the ladder.

If you're at a bar and someone's response to that question is "I'm a lawyer," the people around generally assume that individual makes a lot of money, drives a fancy car and is not living paycheck to paycheck. He or she is happy, if you will.

Obviously this is not the same rosy outlook people have about someone who says "I work at McDonald's" -- if the person who is working in McDonald's actually even says so.

That's not meant to slight people who work in the fast food industry, but to illustrate my point. In our culture a person's worth is tied to his or her profession -- the higher the salary or profile, the more valued the individual is as a person, and the happier we assume he or she is.

And sadly the reverse is also true.

If it weren't, women would not feel the need to defend their decision to be stay-at-home moms in the era of the career woman. If it weren't, men would not feel challenged if they're dating a woman who makes more.

Nowadays, with so many people either out of work or underemployed, I find that question can not only inject a small measure of shame into a conversation, but herd us into faceless categories like job creator or illegal immigrant.

There's nothing wrong with trying to pass the time by asking strangers nonthreatening questions. But why not ask about something not related to money, such as "When was the last time a moment took your breath away?" -- getting back to what it means to be human as opposed to a consumer.

Yes, jobs, career, money are all realities and yes, we've all got to eat.

But what's wrong with talking about good food as opposed to what we had to do to pay for it?

To me, the impetus behind Occupy Wall Street is not about jobs or failed policies. It's a yearning to be valued again. To be heard and seen. To matter. Some of us are guilty of buying houses we couldn't afford or leaning on credit cards to live above our means. Banks created a business model that profits off of our desire to keep up with the Joneses. Now the rugs been pulled from under us and we're scared. In the title track of his second CD, bluesman Amos Lee sings "life ain't only supply and demand." Somewhere between the Atari 2600 and the first iPod, a lot of us have forgotten that.

It seems now would be a good time to remember, because regardless of who wins the election in 2012, most economists believe the waters will be choppy for some time after. Unnerving, considering how much we're already at each other's throats.

Somehow we have to remember we are more than our credit score.

We are more than what we do for a living.

We are more than stuff.

Last week, in roughly 36 hours, I went from sipping coffee at a Starbucks in a midsized city in Michigan, to ordering overpriced cocktails at a posh hotel lounge in Beverly Hills, to shaking my head disapprovingly as I drove by Confederate flags that still flap in the wind in Jackson, Mississippi.

Along the way I found myself engaged in a number of casual conversations with some of my favorite kind of people -- strangers.

It would make sense that folks from the Midwest, West Coast and Deep South would have radically different approaches to life -- and in many ways they do -- but what I found amusing was that regardless of the ZIP code, it did not take long for the person I was talking to ask me what I do for a living.

In some cases in Beverly Hills, they wanted to know that before they knew my name.

It all seemed so callous and fake.

Then I remembered "what you do" is the new "who you are."

Now it just all seemed so sad.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson says Americans love to ask strangers: "What do you do for a living?"

@highlight

He says the once-innocent question has new meaning in a time of economic turmoil

@highlight

It offers a window into how people are doing and in theory how happy they are, he says

@highlight

Granderson: We should be less focused on the material and more on the worth of people