Washington (CNN) -- The departure of U.S. troops left many questions lingering in Iraq Sunday, analysts told CNN's "State of the Union."

"There are a lot of things here that are not finished. There are activities in the region that are still sitting on the edge of potential conflict," said retired Gen. James Cartwright, former vice-chairman of the Joint Chiefs of Staff.

Paul Bremer, a former envoy to Iraq under President George W. Bush, said President Barack Obama had "placed a very big bet" by pulling out troops.

"The definition of victory actually was given by the president when he made the announcement we were pulling out. He said a democratic Iraq can be a model for the region. That's right. That's what President Bush also said. And the question is, can a democratic Iraq survive if America pulls out before the job is done?" he said.

Another key question, analysts said, is what neighboring Iran will do next.

"Iran's clearly one of the strategic winners out of this. The United States managed to eliminate one of the two arch-rivals that Iran faced, and so Iran has gained a much stronger position," said Robin Wright, a joint fellow at the U.S. Institute of Peace and the Woodrow Wilson Center.

"At the same time," she added, "I think that once the United States withdraws, that the historic tensions between Arabs and Persians along the strategic border are likely to resurface, and that the Iranians will have influence with many of the top leaders in... Iraq, but it doesn't necessarily mean that the Iraqis are going to become the next Iranian province."

The last U.S. troops in Iraq crossed the border into Kuwait Sunday, marking the end of an almost-nine year war. According to the defense department, 4,487 service members were killed in the war; more than 30,000 were wounded.

It is impossible to know with certainty the number of Iraqis who have died in Iraq since 2003. But the independent public database Iraq Body Count has compiled reports of more than 150,000 between the invasion and October 2010, with four out of five dead being civilians.

Obama said Monday that the end of the Iraq war means a new chapter in U.S.-Iraq relations, with a focus now on a "normal relationship between sovereign nations."

He told visiting Iraqi Prime Minister Nuri al-Maliki that the two nations would build "a comprehensive partnership" that includes trade relations, support for building up Iraq's democratic capacity and military-to-military ties aimed at helping Iraq rebuild its air force, which was destroyed in the war against Saddam Hussein's regime.

"Our goal is simply to make sure Iraq succeeds," he said.

Debate was raging about the nation's political future Sunday, as a political crisis erupted in Baghdad that raised fears of more sectarian strife to come.

Iraqiya, a powerful political bloc that draws support largely from Sunni and more secular Iraqis, said it was boycotting parliament, a move that threatens to shatter Iraq's fragile power-sharing government.

The political bloc contends that al-Maliki is trying to amass dictatorial power, and many believe that the prime minister was simply waiting for the Americans to leave before making his move.

"These old sectarian divides are in many ways deeper than they were even under Saddam Hussein, and the United States can play a certain kind of role in that," Wright said, pointing to the importance of diplomatic involvement even after U.S. troops leave.

Cartwright said U.S. troops may return to Iraq to help train Iraqi forces.

"It will be interesting to see," he said. "I think the opportunity is there for us to bring forces back in."

CNN's Moni Basu, Arwa Damon and Mohammed Tawfeeq contributed to this report.

@highlight

Gen. James Cartwright: "There are a lot of things here that are not finished"

@highlight

Paul Bremer: "Can a democratic Iraq survive if America pulls out before the job is done?"

@highlight

What Iran will do next is a key question

@highlight

Robin Wright: "Old sectarian divides are in many ways deeper than they were"