(Health.com) -- The makers of POM Wonderful pomegranate juice say that the drink improves blood flow and heart health, prevents and treats prostate cancer, and works 40 percent as well as Viagra (whatever that means). All for about four bucks a bottle.

Those impressive claims helped the company rack up $91 million in sales in 2009. They also earned the disapproval of the Federal Trade Commission (FTC). Last month, the agency sued POM Wonderful for making "false and unsubstantiated" health claims, and is asking the company to remove the claims from its ads.

A 100 percent juice drink that contains antioxidants (and no added sugar), POM is just one of many beverages that bill themselves as promoting better health. VitaminWater, kombucha tea, coconut water, and various brands of juice drinks made from acai, goji berry, and mangosteen have all used health claims in their marketing -- and some, like POM, have been the subject of scrutiny and legal action.

The FTC, along with the Food and Drug Administration (FDA), has been cracking down on food and beverage makers for allegedly overselling the health benefits of their products. In 2009 alone, the FDA warned 17 companies that they were providing misleading nutritional information on their packaging or making overly specific health claims.

Health.com: 25 diet-busting foods you should never eat

Not all of the products were drinks, but "the beverage category stands out," says Bruce Silverglade, director of legal affairs at the Center for Science in the Public Interest, a consumer advocacy group based in Washington, D.C. "At first blush it seems that beverage products are certainly a large proportion of food products that make bogus health-related claims."

Drinks such as POM have become increasingly popular with consumers in recent years, thanks in part to public health campaigns against soda that have been prompted by the obesity epidemic. "The trend is away from traditional soda pop [toward] products claiming to provide magical health benefits," Silverglade says.

Are the health claims true? Yes and no. The federal government doesn't require companies to vet health claims with the agency before plastering them on product packaging (as long as the claims are accompanied by a disclaimer about their uncertainty). But that doesn't mean the claims are invented -- most are based in research.

The research is often funded by the manufacturers, however, and industry-funded research can be prone to bias. A 2007 study found that research on health drinks that was funded entirely by beverage companies was between four and eight times more likely to find a favorable result than research with no industry support.

"If a cell phone company told you they tested all the models and their model came out the best, would you believe it? Probably not," says Dr. Lenard Lesser, M.D., one of the co-authors of that study and a researcher at UCLA. "The same is true with nutrition research, but the stakes are higher because we're putting our bodies at risk."

Where's the line between research and marketing?

Sounds great, hard to believe

However far-fetched the claims may sound, POM is standing behind them. (Two weeks before the FTC publicly announced its lawsuit, POM preemptively sued the FTC, claiming that preapproval of ads featuring health claims violates the company's right to free speech.)

But are shoppers really convinced that POM can unclog their arteries, cure cancer, and lead to hotter sex?

There seem to be more than a few believers out there. "

I started drinking POM after reading the studies two years ago, my triglycerides were almost 1000!," one of POM Wonderful's 12,000 fans breathlessly posted on Facebook after the FTC announced its lawsuit. "Working out everyday, drinking POM, and eating healthy, they are now less than 400. Forget what the Feds say! I believe!!!" (A triglycerides level of 400 is still nearly three times higher than what's considered normal.)

Most health beverage drinkers aren't as enthusiastic as the realtor from Alaska who posted the above testimonial. Quinton Ma, a 22-year-old marketing coordinator at Gawker Media, in New York City, started to drink VitaminWater as a middle schooler because it seemed like a healthy alternative to soda.

"I figured that if they were selling something that I could get extra vitamins from, it couldn't hurt to drink," Ma says. "Once I learned they were really just cleverly marketed sugar waters, I stopped."

Health.com: You are what you drink

But the fact is, even when people don't buy the health claims they often still buy the beverage. That's the paradox of products such as POM, Silverglade says: The health claims on these products strain the imagination, yet studies have repeatedly shown that health claims sell food.

That's because these claims -- however improbable they may seem -- distract shoppers from the real nutritional information and hook consumers with buzzwords like "antioxidant."

This phenomenon is known as a "health halo," an aura of healthfulness attached to a product based on labels like "low-fat" "all-natural" or "made with whole grains" that seduces consumers into overeating. According to a study by the FTC, this halo effect can even lead people to overlook warning statements -- about the high sodium content of a product, for example.

"A healthy halo develops around products like these," says Frances Largeman-Roth, R.D., Health magazine's senior food and nutrition editor. "The health-conscious consumer incorporates them into their lifestyle, thinking that they're doing a world of good for themselves."

Health.com: Food label know-how: 5 mistakes even savvy shoppers make

Ceating a health halo

The makers of POM Wonderful have spent $34 million on scientific research on POM products and pomegranates. According to the FTC's complaint, the studies POM has funded do not substantiate the company's claims, and a closer look at the research seems to bear that out.

One of the most prominent claims, that POM can decrease arterial plaque by 30 percent, was taken from a single pilot study that included just 19 people and was funded by the makers of POM. Another claim, that POM drinkers experience a 17 percent improvement in blood flow, was taken from another POM-funded study that included just 45 people and only lasted for three months.

"These days it's possible for a food company to pay just about anybody to conduct a study," says Silverglade.

Michael Aviram, Ds.C., a cholesterol researcher at Rambam Medical Center, in Haifa, Israel, defended his studies on pomegranates -- many of them funded by POM -- by noting that they were published in "very prestigious peer reviewed journals," including the American Journal of Clinical Nutrition and Atherosclerosis. Dr. Harley Liker, M.D., a physician at UCLA Medical Center who has also led research funded by POM, directed all inquiries to a POM spokesman.

"A grocery store is a designed marketing environment to get people to buy things," says Lesser. "Lots of products are going to try to use health claims from research, often from their own industry, [just] to sell a product."

Health.com: 14 health products you probably don't need

Iffy health claims don't mean that products like pomegranate juice should be avoided at all costs, says Keri Gans, R.D., a spokesperson for the American Dietetic Association. As long as consumers limit themselves to 8-ounce servings and products with no added sugar, juice can be an excellent source of vitamins and other nutrients, Gans says. But it's "not going to solve any of your health issues," she adds.

The bottom line is that consumers shouldn't believe everything they read on labels. "If they focus on consuming an overall well-balanced diet, they might not need to focus so much on finding a product that makes false promises," Gans says.

Copyright Health Magazine 2011

@highlight

Consumers shouldn't believe everything they read on labels

@highlight

The FTC and FDA have been cracking down on unsubstantiated health claims

@highlight

Though many health claims strain imagination, they still sell food and beverages

@highlight

These claims distract shoppers from the real nutritional information