(CNN)Measles this year has hit the most disparate places: camps for internally displaced people in northeast Nigeria, who've had to flee from Boko Haram, and Disneyland in California.

The differences of the two settings are stark. In one, people are fighting for survival and have difficulty getting health care; the other is a first-world amusement park where people can afford medical choices regarding a vaccine-preventable disease.

The United States is grappling with the resurgence of a disease it eliminated 15 years ago. But it's not alone.

Data by the World Health Organization indicate that measles immunization rates are declining in several Western countries, like Canada, Belgium, Denmark and Spain, as some parents are opting out due to personal beliefs.

The data also show that more than 100 countries, including Zimbabwe, Iran and North Korea, have higher measles immunization rates than the United States, which was at 91%.

Dr. Robert Kezaala, senior health adviser of immunization at UNICEF, spent years promoting polio and measles vaccines in Africa.

"Generally, in the developing world, people welcome the vaccines," he said. "The vaccine hesitancy, concern among the elite ... this is not a major issue in immunization against measles, because people have seen devastation from the outbreaks."

Globally, measles deaths hit record lows in 2012, which the WHO attributed to successful immunization campaigns as annual deaths declined to 122,000 from 562,000 in 2002.

But the WHO warned that progress was fragile, because outbreaks still occur and measles remains one of the leading killers of children in the world. A joint global plan involving UNICEF, the WHO, U.S. Centers for Disease Control and Prevention, American Red Cross and UN Foundation aims to eliminate measles by 2020.

"In the last two to three years, we've seen more stagnation of progress because there is complacency," said Kezaala.

Countries with the highest measles incidence per 100,000 population

1. Georgia -- 79.5

2. Bosnia and Herzegovina -- 62.9

3. Angola -- 59.3

4. Philippines -- 58.2

5. Namibia -- 41.9

Countries with the most suspected measles cases

1. China -- 107,024

2. Philippines -- 57,564

3. Vietnam -- 17,267

4. Ethiopia -- 16,028

5. Angola -- 12,300

Source: WHO, does not include data from all countries

Asia has the most suspected case of measles, with China at top, followed by the Philippines and Vietnam, according to 2014 data from the WHO. But the rate, rather than raw numbers, offers a more accurate measure of the disease.

One of the countries worst hit by the measles is the Philippines, which was struck by Typhoon Haiyan in November 2013. The spread of the virus has been exacerbated by mass migration, with nearly 4 million people displaced by the devastating storm.

But what happens in the Philippines has a direct connection to the United States, because the virus can easily travel -- as was the case of the unvaccinated Amish missionaries who brought back measles from the Philippines to cause an Ohio outbreak that infected 383 people in 2014.

The CDC reported that 25 U.S. travelers, most of them unvaccinated, got ill with the measles after returning from the Philippines last year.

China, which had the most measles cases in 2014, is also going through multiple outbreaks. Measles has been reported in a university in Shanxi province and a downtown Beijing office, resulting in quarantines and vaccinations for thousands of people, according to Xinhua, the Chinese state-run news agency.

The Chinese Center for Disease Control and Prevention reported three toddler deaths and more than 2,700 measles cases in January -- double the rate seen in the same month two years ago.

"Measles outbreak occurs every four to five years, and now it's on an uprising stage based on its pattern," said Pang Xinghuo, deputy director of the local Beijing disease control agency.

Officials from the national health agency told state-run CCTV that many of the cases are occurring in adults who never received their vaccines. Vaccine campaigns were not strong in the 1970s and 1980s, so some missed their shots. As many as two-thirds of the Beijing cases are among people over the age of 20.

"This outbreak reveals to us the fact that some unvaccinated people have become older, and it's like an accumulated debt from the past," Zeng Guang, an official with the China CDC, told CCTV.

Measles outbreaks have also been reported in Sudan and Nigeria.

In mid-January, the News Agency of Nigeria reported a measles outbreak in the state of Adamawa in the country's northeast at camps for internally displaced people. The state is frequently under attack by Boko Haram militants. An official told the media that the outbreak stemmed from a daily mass movement of people.

UNICEF has to deal with logistical, infrastructure and transport challenges to get vaccines to some of the most remote and insecure areas in the world, said Kezaala.

Regarding the current outbreak in the United States, he said:  "It perplexes me, to see a country with no logistical challenges, readily available resources, with refuted studies and the anti-vaccine lobbies, you still see transmission continuing. It's not easy for me to grasp."

The United States is not the only developed country going through vaccine skepticism.

In Canada last year, a group that doesn't get vaccines carried the infection back after visiting the Netherlands. Local health authorities in British Colombia confirmed 375 cases, which was declared the worst measles outbreak in 30 years in Canada.

The Netherlands also saw a major measles outbreak from May 2013 to March 2014, where more than 2,600 people contracted the disease in communities that do not typically vaccinate.

Europe reported 4,735 measles cases in 2014, in which 85% of the cases were unvaccinated and 10% had not finished their doses. The continent saw a peak in 2010, with 32,480 measles cases.

CNN's Lu Shen and Beijing intern Sherry Ju contributed to this report.

@highlight

Immunization rates are declining in parts of Western countries

@highlight

Many U.S. measles cases in 2014 are linked to travelers to the Philippines

@highlight

The Philippines, which is coping with measles after Typhoon Haiyan, had over 50,000 cases in 2014