(CNN)A San Francisco woman battling cancer is prepared to battle the state of California in court for what she says is her right to die on her own terms.

"I am suing the state of California to help me achieve a peaceful and dignified death at the place and time of my choosing," Christie White said Wednesday at a news conference.

White has had either leukemia or lymphoma since 2007, undergoing rounds of radiation, chemotherapy and a bone marrow transplant. Though she's in partial remission now, White has seen other friends with terminal illnesses suffer and would like "to have the option of aid in dying in California," the lawsuit says.

White was joined by physicians, also named as plaintiffs in the lawsuit, who want the right to administer aid-in-dying treatments to patients without penalty. Two of those physicians have been diagnosed with terminal illnesses, offering personal and professional perspectives on the issue.

"I have a lust for life. I may want to stick around for the duration, but I should have a choice,"  said Dr. Robert Liner, a retired obstetrician who is in remission from stage IV lymphoma.

Liner brought up the case of Brittany Maynard, whose decision to "die with dignity," as she called it, went viral in a video she made of her story and an op-ed she wrote for CNN. Her case reignited the debate over patients' right to decide when and how they die.

Maynard's desire to die when she wanted meant she and her husband had to move from San Francisco to Oregon, one of three states that have "death with dignity" laws that allow terminally ill, mentally competent residents to voluntarily request and receive prescription drugs to hasten their death. Washington and Vermont are the others. Judicial decisions in Montana and New Mexico authorize doctors to prescribe fatal drug doses in such circumstances, although the rulings haven't become state law.

Having to move to another state compounded the emotions the family was already facing, said Maynard's mom, Debbie Ziegler.

"Moving added so many layers of stress and sadness that I can understand why people who are ill feel they would need to file a lawsuit," Ziegler said.

Maynard, who had brain cancer, died in November 2014.

The lawsuit, filed by White, Liner and others Wednesday, would update the text of Section 401 of the California Penal Code adopted by the California Legislature in 1874.

The Assisted Suicide Statute says, "Every person who deliberately aids, or advises, or encourages another to commit suicide is guilty of a felony."

The plaintiffs, which include White and the five physicians, are seeking a declaration that  would allow doctors to administer dying aid to mentally competent, terminally ill adults without criminal liability.

"Such choice is at utmost importance for all of us," said Dr. Dan Swangard, another plaintiff. Swangard has suffered from pancreatic cancer and metastatic disease to the liver. He is in remission.

Kathryn L. Tucker is the executive director of Disability Rights Legal Center and also represents White and the physicians.

Tucker has spent 20 years working for "end of life advocacy" and has seen many ballot initiatives fail. This lawsuit provides a "faster and viable avenue" than traditional legislation that she has seen fail numerous times.

Maynard's husband, Dan Diaz, said the lawsuit is evidence that "so many people are in favor" of giving patients the control when it comes to their end-of-life plan.

"How people die doesn't belong in the hands of a lawmaker or a politician," Diaz said.

His wife's commitment to the issue, he said, has been the catalyst for last month's proposed legislation in California and for Wednesday's lawsuit filing. Even after her death, Diaz said he is "amazed and so proud" of his wife.

Barbara Coombs Lee is the president of Compassion & Choices, the organization that made the video about Maynard. She called news of the lawsuit "a wonderful development."

"Giving people the choice of aid in dying is enormously important for their peace of mind," Coombs Lee said.

Dr. Aaron Kheriaty is a psychiatrist and chairman of the medical ethics committee at the University of California, Irvine.

He said organizations and lawmakers have tried and failed four times in California to pass legislation regarding "end-of-life options," usually calling the concept a variety of palatable names such as "death with dignity" or "aid in dying" to distract voters from what the issue really is: "assisted suicide."

Kheriaty said that most people who consider suicide don't want to die but are looking to "escape intolerable suffering," or in the case of those facing terminal illnesses, "anticipated suffering."

"Modern medicine has other options to help with suffering at the end of life," Kheriaty said.

Kheriaty finds the concept of "suicide as a rational or reasonable option" to be worrisome, as it brings acceptance to what he calls a "public health crisis."  He said allowing physicians to legally assist suicide opens the door for insurance companies to potentially prey on the most vulnerable patients.

Diaz said that he understands the concern, but that if his experience in Oregon with his wife was any indication, these aid-in-dying treatments are administered only in very specific cases and only after immense scrutiny of the patient.

He added: "I don't think we should base policy in fear."

Tucker said that "in order for a patient to obtain aid in dying, there are many safeguards in place."

"These treatments are limited to a small group of patients," she said.

California Attorney General Kamala Harris is listed as the defendant on the lawsuit, as she's the only one who can overturn a previous law. A representative from her office responded with "no comment" to the lawsuit.

CNN's Brandon Griggs contributed to this report.

@highlight

A woman and her physicians sue California for the right to "die with dignity"

@highlight

Christie White doesn't want to have to move to another state

@highlight

The lawsuit would allow doctors "assisting in dying" to do so without violating law