All presidential decisions are, in the end, difficult and complex. And under any circumstance, the decisions on issues of war (surgical strikes included) are agonizing. The decision to use force -- the repercussions, the cost in blood and treasure, the geostrategic implications -- is complicated and the implications obviously immense.

But as the Syria story unfolds, there is an almost Shakespearean drama beneath the surface -- one of political careers made and broken, of past positions held and almost abandoned. Not to mention the political enemies now finding themselves -- awkwardly -- on the same side of history.

As the public debate plays out, the political past lingers, and haunts every moment.

First consider the irony of Barack Obama himself. It's no surprise to anyone that this president is a reluctant warrior. His rise to national prominence was based, in part, on his antiwar sentiment on Iraq.

In the past, he's been a forceful proponent of the need for congressional authorization for the use of force. He tells the American people, at every opportunity, that he is extracting us from two wars. That was at the top of his to-do list, and he's doing it.

So now this, er, wrinkle in which Obama becomes the conscientious aggressor. He is the president who defends his National Security Agency surveillance strategy and his frequent use of drones to an unhappy Democratic base. He drew the red line on chemical weapons (which he now explains was also the world's red line).

He's certain we need to hit Bashar al-Assad but seeks support from a Congress he generally disdains. Like Lewis Carroll's Alice in "Through the Looking Glass," Obama could well be asking, "I know who I WAS when I got up this morning, but I think I must have been changed several times since then."

Indeed.

As the president himself pointed out Wednesday in Sweden, "had I been in the Senate, I would have suggested Congress have the ability to weigh in." It was hardly lost on him that it would seem, well, a tad hypocritical that someone who had spoken repeatedly about a congressional buy-in on the use of force was now willing to go it alone. So after the British said no, the president looked homeward for a coalition of the willing.

And so, another irony: The president's legacy now is in the hands of a notoriously paralyzed and partisan Congress -- a Congress that hasn't exactly friended him.

And that brings us to the agony part of this drama -- Sen. John McCain. Here's the man who lost to Obama in 2008 and remains his foreign policy nemesis. McCain is the GOP's major (and increasingly lonely) hawk-in-residence. He thinks Obama made a huge mistake in not arming the Syrian rebels and charges the president with dawdling for two years while this civil war intensified. Oh, and by the way, he believes Obama's surgical strike is too little, too late.

And yet, here he is, on the verge of supporting Obama—and taking on the libertarians in his own party. And not because he likes him, and not because he likes the policy—but because he believes that a congressional no-vote could be "catastrophic" for the nation. In the end, he may still balk because the mission, as defined by Congress, is too narrow. But he clearly wants to find a way to stand with the president.

"Alice in Wonderland" would be right at home. "I can't go back to yesterday," she understood. "Because I was a different person then."

@highlight

Gloria Borger: Decisions about military strikes are always agonizing and difficult

@highlight

She says the Syria decision features a president who famously opposed a war

@highlight

Also in spotlight is John McCain, who lost to Obama and disapproves of his foreign policy

@highlight

Borger: McCain may wind up backing Obama on Syria to avoid catastrophic defeat for U.S.