(CNN) -- While we don't yet know the full scope of damages inflicted by superstorm Sandy, it is clear recovery costs in the New York region will be in the billions of dollars.

According to Department of Homeland Security Secretary Janet Napolitano, recovery after Sandy will be "if not the most extensive and expensive, one of the most in our nation's history." But despite the staggering losses, the region has everything going for it to recover quickly.

Disasters happen all over the world, but their impacts vary greatly, driven by the interplay between the natural environment, economic and social forces, and institutions in each country.

The 2010 Haitian earthquake was devastating, killing more than 300,000 people. Haiti is the poorest nation in the Western hemisphere; resources for construction are limited and building codes absent. Recovery has been extremely slow: Six months after the quake, about 98% of the debris remained, making much of capital city Port-au-Prince impassable. Even two years later, up to 500,000 people were still homeless.

Compared with the death toll of 300,000 in Haiti, the 1995 earthquake of nearly equal magnitude in Kobe, Japan, killed just 6,434 people. The recovery in this highly developed city was incredibly fast. Many experts in Japan predicted that it might take up to 10 years for Kobe to rebuild and for its economy to fully recover. To the surprise of many, in less than 15 months, manufacturing in greater Kobe was 98% of its pre-earthquake trend. The rubble had been removed within just two years of the quake.

While wealth is critical in protecting life and capital, other factors are also important: Well-developed insurance markets, trade openness that speeds the flow of emergency resources, and effective management in preparing and responding to disasters are also critical. The government must be effective in allocating resources and conducting recovery operations.

Research shows that countries with greater local government autonomy are far more effective at protecting people in natural disasters than more centralized government systems because local authorities more familiar with local needs can respond quickly and effectively. George Horwich, who studied the Kobe earthquake, says human capability and the country's cultural attributes are the most essential elements to quick recovery; while individuals' skills are very important, the relationships between people and the ability to work together are essential to community recovery and resiliency.

Horwich says: "Destroy any amount of physical capital, but leave behind a critical number of knowledgeable human beings whose brains still house the culture and technology of a dynamic economy, and the physical capital will tend to re-emerge almost spontaneously.

"Capital accumulation is especially easy the second time around because the primary goal is to duplicate an investment pattern, not design it from scratch.. Hiroshima, in which the bomb took a much larger fraction of both human and physical capital, was a bustling commercial metropolis just five years later. The German city of Aachen, reduced to rubble in World War II, did not even bother to remove the debris for some years. Instead, it moved major sections of the city and was booming again in the early 1950s." Although Hiroshima lost many people, those who remained still possessed the essential elements needed to stage a recovery.

Of course, the economy suffers in the periods immediately after a disaster. In the New York region, flood damages, limited transportation and power outages will continue to hold down productivity. But as money from insurance, savings and government begins to flow into the region, economic activity will rebound.

This is not to say people will necessarily be better off, but they could be in time. Despite the damages and destruction, there may yet be a silver lining. When building and infrastructure are destroyed, superior materials and technology are often used in reconstruction. This can improve productivity in the long run. People who live in disaster-prone regions tend to invest more in education, an important driver of economic growth.

Disasters also motivate people who might not normally interact with one another to work together to resolve challenges. Recent research shows how societal trust increases after disasters. After Hurricane Katrina, city leaders in New Orleans who had disagreed on how to fix the troubled New Orleans school system came together and agreed to replace it with a new structure. Two-thirds of city schools in 2004 were rated "academically unacceptable" by the state. By 2010, only 4 in 10 were rated that way, and the percentage of students attending a low-performing school had been cut in half.

The New York region has as all the essential elements required for a quick recovery: one of the most highly educated populations in the world, relatively nimble and autonomous state and local governments, highly developed insurance markets, and excellent infrastructure and trade linkAGES to speed the inflow of resources.

The opinions expressed in this commentary are solely those of Mark Skidmore

@highlight

Mark Skidmore: Disaster's impact depends on where the devastation occured

@highlight

He says despite staggering loss, N.Y. region has everything going for it to recover

@highlight

Skidmore: Economies suffer in the periods immediately after a disaster

@highlight

But as money from insurance and government flow into the region, economy will rebound