(CNN) -- The tragic death of Robin Williams has once again taught us a bitter lesson: Depression does not discriminate, cannot be bargained with and shows no mercy.

Depression does not care how wonderful your life is or how many people you've touched. Williams seemed to have it all: He was adored by fans, loved by family and friends and had fame and fortune.

But it didn't matter, because someone suffering severe depression cannot feel the joy and satisfaction that comes with even the best things in life. As a society, we need to hear these collective cries for help and take depression seriously as a public health issue.

Robin Williams and the dark side of comedy

Williams is not the first and won't be the last celebrity to have struggled with depression or mental disorder. Jon Hamm, Winona Ryder, Owen Wilson and many others have all made the point that depression can hit anyone at any time for any reason. Kurt Cobain suffered from bipolar disorder before his suicide. L'Wren Scott was rumored to be depressed before she hung herself.

The World Health Organization estimates 350 million people worldwide suffer from some form of depression.

When mental illness affects your family

Depression is characterized by intense and prolonged sadness and/or anhedonia (loss of pleasure). Symptoms including low energy, loss of concentration, sleep and eating disturbance and feelings of guilt and worthlessness can accompany depression. It is not exclusively an adult disorder. It can begin in childhood or adolescence and last throughout life with possible relapses.

Some people can suffer major depression, others mild. There's also bipolar disorder, which is characterized by manic episodes and depressive episodes.

Opinion: Robin Williams and depression: We all wear a mask

Depression is one of the leading causes of loss of productivity and disability. It's devastating on relationships. Depressed individuals will often experience sadness and be unable to experience pleasure, making it difficult to feel or express love toward others. There is also evidence suggesting that depression may be linked to chronic diseases. The worse is that depression is one of the most consistent risk factors for suicide.

So what can be done?

The field is still evolving. In more severe or chronic cases, the combination of medication and psychotherapy has shown to be particularly potent. There are ways for treatment to be cost-effective.

But there are barriers that need to be overcome to adequately address depression. First and foremost, the stigma of depression is making us sicker. From an early age, children describe each other as "crazy" or "weird." This can often result in teasing and bullying for children with mental health issues, and social distancing from adults. As a result, individuals struggling with depression will often feel worse as a result of this mistreatment and be less likely to seek care.

Going public with depression

Eradicating the stigma of mental illness must be a public health priority. For years, groups such as the National Alliance for the Mentally Ill have fought to reduce stigma. Those on the front lines of working with people with mental illness should receive adequate education and support to manage bias.

Integrating mental health screening in primary care settings is another important step, as the U.S. Preventive Services Task Force has determined that this improves outcomes. Furthermore, the Affordable Care Act of 2013 expanded upon the Mental Health Parity and Addiction Equity Act of 2008, providing more possibility that mental health conditions will be covered at similar rates to physical health conditions.

Opinion: Suicide doesn't set you free

As we break down barriers and improve understanding of depression, we will hopefully reduce the number of tragedies. We shouldn't have to lose some of our brightest lights like Robin Williams.

@highlight

Robin Williams, who was battling severe depression, committed suicide

@highlight

Michael Friedman: Depression does not discriminate and shows no mercy

@highlight

He says the stigma of depression needs to be overcome in our society

@highlight

Friedman: Integrating mental health screening in primary care would help