(CNN) -- Are stars just like us? It doesn't feel that way when gazing at some celebrity's multimillion-dollar estate through the window of a star-map tour bus.

But thanks to the rise of peer-to-peer vacation rental sites, staying in a legend's current or former home is now sometimes just a click away. These properties offer travelers the chance to live vicariously—and, sure, lavishly. Staying in a house with ties to big names like actor Denzel Washington, rock star Jim Morrison, or celebrity cook Paula Deen also comes with vacation-rental perks like private pools, gourmet kitchens, and ample square footage.

Some celebrities keep their rentals on the market year round, while others are getting savvy about choosing when to seize the moment. In June, timed to the World Cup, soccer star Ronaldinho rented out his Rio de Janeiro mansion for $15,000 on Airbnb.com and touted it on Facebook. Musician Kevin Jonas (of the Jonas Brothers) made headlines earlier in 2014 when he put up his New Jersey home for rent during Super Bowl XLVIII.

"At the end of the day, celebrities are just like everyone else and have an interest in making their investments work for them," says Jon Gray, senior vice president of HomeAway.com. "If they have an empty property that they rarely use, why not make money on it?"

Such is the case for novelist Anne Rice, who rents out her 5,000-square-foot Florida beach house. Tenants get to spend days in the rooms where she used to write—and experience her sense of style. "Certainly the lavish furnishings reflect my love of the baroque," she admits. "It's the overall aesthetic that may engulf a guest and make him or her think of my books. I'm glad people are able to enjoy my home now the way I once enjoyed it all the time."

New rental site Elite Luxury Homes lists only A-listers' properties, handpicked by owner Martin Beaurivage, previously of CAA—a talent agency that signs million-dollar contracts with boldface entertainers. His site now allows the general public to book vacations in unforgettable dream homes, although its exclusive listings mostly avoid name-dropping.

"We've found most celebrities are quite private and don't make it public when one of their properties is available for rent," agrees Gray. "However, those who do put their name out there are able to generate more interest and, ultimately, more bookings."

Travel + Leisure: The World's Best Hotels

Willem Dafoe: Hudson Valley, New York

Like Oscar-winning actor Willem Dafoe, you may find it tough to resist the Rubber House, an architectural gem built in 1981 for choreographer Eugene Loring. It's full of striking design details like a vaulted glass chef's kitchen and a glass-atrium walkway. In an Interview magazine story, Dafoe said: "I was looking for a house upstate, something rustic, like an old farmhouse. This was the first place my real estate agent took me to see, and I was annoyed because the Rubber House was clearly not what I had said I was looking for. But as I continued to search, I kept returning to have another look. Visit by visit, I was seduced, and I finally bought it." Dafoe eventually sold it in 2008, and now vacationers can rent the 1,949-square-foot, two-bedroom home. It's near the hiking trails of Mohonk Preserve and about 100 miles north of New York City. $500 per night with a three-night minimum; airbnb.com

Bode Miller: Carroll, New Hampshire

Olympic skier Bode Miller and his wife, Morgan Beck, a professional beach volleyball player, own this cozy estate in New Hampshire's ski-resort territory. Beck tweeted about the home in 2013 and touts its "gorgeous views of Mount Washington." Guests can also expect stone fireplaces, deep-soaking tubs, hand-carved wood furnishings, leather sofas, and four bedrooms that accommodate up to 10. $800 per night with a two-night minimum; airbnb.com

Travel + Leisure: 25 Ideas for Your Best Summer Ever 

Denzel Washington/Jimmy Page: Malibu, California

Celebrity history runs deep at this estate, infamous for its parties in the '60s and '70s. (According to the current owners: "Captain & Tennille, a pop music duo from the 1970s, were one of the first occupants and lived here, we were told, with a chimpanzee.") Floor-to-ceiling windows flood the three-bedroom, three-building property with natural light. It sprawls over eight acres up in the bluffs overlooking Broad and Zuma beaches; some guests have reported seeing dolphins and breaching whales. $490 per night with a two-night minimum; airbnb.com

Dan Larson: Paso Robles, California

The quaint coastal town of Paso Robles is chock-full of vineyards and wine estates (celebrities like Brad Pitt, Johnny Depp, and David Beckham have snapped up some for their personal use). It once hosted MLB players during spring training, including former Houston Astros pitcher Dan Larson, who retired here with his wife, Barbara, in 1980. Their modest two-bedroom offers visitors a fenced-off backyard with a barbecue area and a central location. "We love this home for the ease and convenience of walking to downtown to enjoy everything from restaurants, antique stores, art studios, cinema, the city park, and downtown wine-tasting rooms," says Larson. $190 per night; homeaway.com

Travel + Leisure: America's Most Comfortable Hotel Beds

Vivian Vance: Los Angeles

Vivian Vance, best known as the sidekick in I Love Lucy, once called this three-bedroom estate in Hancock Park home—as did actress Katherine MacDonald and oil magnate G. Allan Hancock himself. It's now owned by David Cooley (also behind notable gay bar The Abbey), who has a number of celebrity friends like Madonna and J. Lo; framed photos of him posing with these stars are on prominent display. The 4,000-square-foot brick house includes marble baths, original artwork, a theater room with oversize couches and a fireplace, and an elegant kitchen that opens onto the spacious lawn—graced by lounge chairs, a pool with spouts that cascade water, and a hot tub. Three bedrooms are spread across the main property and a guesthouse. $2,195 per night; eliteluxuryhomes.com

Harry Houdini: Los Angeles

Houdini practiced his famous feats of escape and illusion at this mansion, though he didn't live here long (his premature death shortly followed his move in). His wife, Bess, stayed on, performing séances to communicate with him until the house burned down in 1959. Carefully restored, the five-acre, three-bedroom mansion in the Hollywood Hills is now popular for large-party rentals thanks to its three bedrooms, outdoor pool, Houdini memorabilia, and that elusive Houdini mystique. $1,000 per night; homeaway.com

Anne Rice: Belle Mer, Florida

Anne Rice has a knack for evoking dark, mysterious places in her novels, yet her five-bedroom condo is hardly creepy. Instead, she's taken a go-big approach to her home, filling more than 5,000 square feet with grand marble furnishings, chandeliers, four-post beds, two fully appointed kitchens, and several balconies with views of Navarro Beach. "I tiled all the decks so they would be utterly smooth for bare feet," adds Rice. She also placed small statues throughout the property that are related to her books (copies are available on site). $514 per night with a three-night minimum; homeaway.com

Orson Welles: Hollywood, California

Filmmaker Orson Welles bought this four-bedroom home in the early 1930s, holing up here to write Citizen Kane—with Rita Hayworth for company. The 3,000-square-foot estate now welcomes up to 10 guests, who also have the run of a nearly 15,000-square-foot private yard complete with a lagoon-style pool and a dry sauna. Inside, the game room features one of the movie's first posters as well as 1920s-era sheet music researchers discovered in a locked box buried in the basement. The current owner also found a Rosebud sled, which he has determined is the original from the opening scene of Citizen Kane. It's now mounted on the wall of the game room. $895 per night with a five-night minimum; homeaway.com

Paula Deen: Tybee Island, Georgia

Y'all Come Inn includes, naturally, with a stellar kitchen stocked with all of Paula's cookbooks—one of which will be signed for guests as a souvenir. The 2,000-square-foot house also features three cheery bedrooms and a front porch with picnic-table seating. It's located on Tybee Island, 20 miles from Savannah and four blocks from the beach. It's a neighborhood that's also attracted homeowners John Mellencamp and Sandra Bullock. $295 per night with a two-night minimum; vrbo.com

Armistead Maupin: Santa Fe, New Mexico

The San Francisco--based novelist, known for his "Tales of the City" series, bought this 15-acre mountain retreat in 2012. "We fell in love with Tesuque the first time we came to Santa Fe," he says. "Not only did we love the house, but the land was more magical than anything we had looked at in Santa Fe. There are two arroyos on the property as well as cliffs up behind the house that are called the Tesuque Table." The four-bedroom home—located between Four Seasons Resort Rancho Encantado and the Santa Fe Opera—comes with an infinity pool and a guest casita. $525 per night with a three-night minimum; airbnb.com

See More Celebrity Homes You Can Rent

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

With the rise of peer-to-peer rentals, it's easier than ever to live like a celebrity

@highlight

Celebrities often travel, so it makes financial sense for them to rent out their homes

@highlight

It's not just the stars of today; the digs of Hollywood royalty are just a click away

@highlight

Some homes include perks like pools, movie props and a few hidden treasures