(CNN) -- When Eman al-Obeidy approached journalists last week at Tripoli's Rixos Hotel, she did more than accuse Moammar Gadhafi's men of rape.

She also became the face of the anti-Gadhafi movement.

Since the highly publicized incident, which ended with a hysterical al-Obeidy being whisked away by government minders, the 29-year-old lawyer from Tobruk has been celebrated as a symbol of Libyan defiance.

"Many Libyans I know online on social media are holding up Eman al-Obeidy as a hero," said Mona Eltahawy, an Egyptian-born journalist who writes columns on Arab and Muslim issues. "And many people across the region -- Egyptians, Syrians -- (are) demanding to know where she is and fearing for her life."

A day after al-Obeidy was taken into custody, a spokesman for the Libyan government said she had been released. He also said her report -- that she was kidnapped and gang-raped by 15 of Gadhafi's men -- would be investigated. But nobody close to al-Obeidy, including her family, has heard from her since her reported release.

Even if she is soon confirmed to be safe and sound, one could say the damage has already been done to Gadhafi's regime. Al-Obeidy's capture and detention added fuel to the Libyan opposition by garnering global sympathy for its cause. Facebook pages and Twitter feeds from around the world have continually paid tribute to al-Obeidy and made her a rallying cry for revolution.

"Everyone can see the expression, almost in real time, of the face of this woman being yanked by Gadhafi's security and alleging rape, which is very powerful," said Jamal Dajani, vice president of Middle East and North Africa for the Internews Network. "And they can relate to how brave she was to ... put her story forward."

Al-Obeidy might be the latest symbol of Arab unrest, but she is far from the first. Iconic figures have also emerged in other countries:

-- In Egypt, Wael Ghonim helped mobilize Egypt's youth and force out President Hosni Mubarak, who had led the country since 1981.

Ghonim, a 30-year-old Google executive, played a key role in organizing the anti-government protests in January. He was detained for 10 days by the government, but when he was released he became even more vocal, sitting down for media interviews and addressing thousands of demonstrators at Cairo's Tahrir Square.

-- Before Ghonim in Egypt, there was fruit vendor Mohammed Bouazizi in Tunisia. Bouazizi, 26, kick-started the entire Arab upheaval after he lit himself on fire, protesting his humiliating treatment at the hands of the local government. Less than two weeks after his death, Tunisian President Zine el Abedine Ben Ali had resigned in the wake of massive public protests.

"Everyone tells me when I go there, 'If there were no Muhammed Bouazizi, none of this would have happened,' " Dajani said.

-- And even before the recent wave of unrest, there were the 2009 protests of the Iranian election.

Neda Agha-Soltan, 26, became the rallying point of the protesters' struggle when she was fatally shot during the government's crackdown. Her death was captured on video and aired worldwide.

"When we look back, we tend to associate specific causes and struggles with individuals and particular moments," said Nader Hashemi, an assistant professor at the Josef Korbel School of International Studies at the University of Denver. "In the case of Egypt, for example, Wael Ghomin represents ... the core of the Egyptian democratic revolution that toppled Mubarak. When we think of him, details are not required. His name tells the story of an entire people and political cause."

The importance of having a 'face'

The mass media and new technologies have played a tremendous role in creating these icons, Dajani said, and their influence cannot be overstated.

"If this would have happened 20 years ago, when we did not have satellite TV, when we did not have Facebook, when we did not have Twitter -- when we were dependent on the government-controlled media to report on the story -- then Mohammed Bouazizi would have died in vain and hardly anyone would have heard about him," he said.

Dajani said that when he first started working in journalism, there were fewer than 100 satellite television stations in the Arab world.

"Now there are 750," he said. "Three years ago, there were 400. So the governments ... they've lost control [of the message] pretty much all over the Middle East."

The exception to that might be in countries that heavily restrict foreign media, such as Iran and Syria. The death of Neda Agha-Soltan wasn't caught on television cameras -- it was captured by a cell phone. And despite the impact of her death in inspiring protest, the Iranian government was eventually able to quell the dissent.

Nick Roberts, an assistant professor of history at the University of the South in Sewanee, Tennessee, said "having someone as a face of a revolution is nothing new." He pointed to historic figures such as Maximilien Robespierre in France, Vladimir Lenin in Russia and Che Guevara in Cuba.

"But the importance of having an immediate face for the revolution seems to be increasing in an age of 24-7 internet and television media coverage," he said.

It also helps mobilize the public quickly and efficiently, Hashemi said.

"Successful revolutions require some form of mass mobilization to challenge established power," he said. "These stories and individuals can inspire millions of people to sacrifice themselves and to take the necessary risks that are needed to push forward a political cause.

"Authoritarian regimes remain in power due to fear and political apathy. If this can be overcome, change becomes possible."

The power of one story cannot be underestimated, said John Robertson, a professor of Middle Eastern history at Central Michigan University. He experienced it himself when he was a student protesting the Vietnam War.

"I remember that one of the things that got us even more loudly into the streets was what we really saw as the martyrdom for Kent State students who were shot down in 1970," Robertson said. "I remember so many of us walking around just infuriated and determined to work even harder to oppose (President) Nixon. ... In our minds, (these protesters) became sort of symbols for us of the need to be willing, if need be, to sacrifice yourself for a greater cause."

Robertson has been paying close attention to the "Arab spring," discussing the latest developments on his blog and analyzing the politics in play. With civil unrest festering in countries such as Bahrain, Syria and Yemen, he expects more new faces to come to the forefront.

"It's going to be a very, very different era about to open up," he said. "And there may be, as part of that, new heroes who are going to be emerging.

"People need heroes, and people often seize upon very unlikely heroes like Mohammed Bouazizi. You never know who it's going to be next."

@highlight

Alleged rape victim Eman al-Obeidy has become the public face of Libyan defiance

@highlight

The revolution movements in Egypt, Tunisia and Iran have also had their own iconic figures

@highlight

Experts say that all it takes is one powerful story to mobilize the public and inspire change

@highlight

The growth of satellite TV and the internet has had a major role in creating recent icons