(CNN) -- The first U.S. case of mad cow disease in six years sparked fears of illness that prompted at least one major South Korean retailer to suspend the sale of American beef.

However, public health officials said the risk of Americans contracting the disease is low, given that the affected dairy cow in central California never entered the human food chain and did not contract bovine spongiform encephalopathy through contaminated animal feed.

"It was never presented for slaughter for human consumption, so at no time presented a risk to the food supply or human health," said John Clifford, the Agriculture Department's chief veterinarian.

What you need to know about mad cow disease

In South Korea, one of the world's largest importers of U.S. beef, the discovery of bovine spongiform encephalopathy led retailer LotteMart to remove American beef from store shelves.

"Currently, the sale of U.S. beef is temporarily suspended to ease our customers from anxiety," LotteMart said.

The South Korean government said it will step up checks on U.S. beef imports but not halt them for now.

In 2010, South Korea imported 125,000 tons of U.S. beef, a 97% increase from the year before, the U.S. Department of Agriculture said.

Sarah Klein, food safety attorney for the Center for Science in the Public Interest, said there is no need for consumers to take precautions based on this case.

"A case of a single cow with bovine spongiform encephalopathy is not a reason for significant concern on the part of consumers, and there is no reason to believe the beef or milk supply is unsafe," she said.

"If the cow were exposed to the typical strain of BSE via animal feed -- and the government says that's not the case here -- that would have represented a significant failure," she said.

She said the government would have had a difficult time tracking down other cattle that may have been eating the same feed because the nation lacks an effective animal identification program.

Elisa Odabashian, the director of the West Coast office of Consumers Union, said the government's testing program is not sufficient to ensure that U.S. beef is safe.

"The USDA tests only about 40,000 of the 35 million cows that are killed every year," she told CNN's Anderson Cooper. "That's just a tiny fraction. ... They're not looking very hard for mad cow disease, and so they're not finding it very often."

In a statement issued to CNN in 2006, the USDA said it does not support 100% testing because the disease is difficult to detect in young cattle, the primary source of beef in the United States.

"Recognizing the international scientific consensus that BSE (Mad Cow Disease) is a disease that is not detected in young animals, there isn't any nation in the world that requires 100-percent testing for BSE," the statement said.

But Odabashian said the agency has also vetoed efforts by private companies to carry out their own testing, at their own expense, and then labeling their product as BSE-free.

"Those companies in the United States that want to test their own meat have been prohibited from doing so by the USDA," she said. "We think that's wrong."

The cow's carcass was at a Baker Commodities Inc. rendering facility in Hanford, California, according to company Executive Vice President Dennis Luckey.

The company renders animal byproducts and had randomly selected the animal for testing on April 18, he said.

"We are in the business of removing dead animals from dairies in the Central Valley," he said. "As part of that program, we participate in the BSE surveillance program."

The sample was sent to the University of California at Davis for initial testing, which came back inconclusive. It was then sent to the Department of Agriculture's laboratory in Ames, Iowa, where it tested positive, the agency said.

The carcass was in quarantine Wednesday.

"We're waiting now for USDA to tell us how to dispose of it," Luckey said.

A USDA spokesman, Larry Hawkins, said the agency was not releasing the name of the dairy "because it's our policy not to when we are in the middle of the investigation."

But Rep. Devin Nunes, R-California, said it was from a dairy farm in Tulare County. "We did trace it back to a farm," Nunes said, adding that the discovery "demonstrates the strength of our surveillance system."

In a statement, California Department of Food and Agriculture Secretary Karen Ross said CDFA veterinarians were working with the USDA to determine whether other cows are at risk. "Feed restrictions in place in California and around the country for the last 15 years minimize that risk to the greatest degree possible," she said.

Eating contaminated meat or some other animal products from cattle that have BSE is thought to be the cause of Creutzfeldt-Jakob disease. The fatal brain disease was blamed for the deaths of 150 people in Britain, where there was an outbreak in the 1980s and 1990s.

Learn more about Creutzfeldt-Jakob disease

In people, symptoms of the disease include psychiatric and behavioral changes, movement deficits, memory disturbances and cognitive impairments.

BSE can cause infected animals to display nervousness or aggression, difficulty in coordination and standing up, decreased milk production or weight loss.

It is usually transmitted between cows through the practice of recycling bovine carcasses for meat and bone meal protein, which is fed to other cattle.

In this case, the Agricultural Department reported that the cow had a rare form of BSE not likely carried by contaminated feed.

Agriculture Secretary Tom Vilsack said Monday that he remains confident in the health of the national herd and the safety of beef and dairy products.

"This is an atypical case, which means it's not connected in any way, shape or form to feed. ... A very rare circumstance and situation," Vilsack said. "It can just sort of come up and pop up -- sometimes it's genetic."

Since 2004, the USDA has removed the brain and the spinal column, the parts suspected of causing mad cow disease in humans, from the food system.

Unlike most other meat-borne illnesses, such as those caused by E.-coli bacteria, cooking does not kill the infectious agent that causes mad cow disease.

Consumers who wish to exercise extra caution can follow the advice presented by the Web-based consumer advocacy group Consumeraffairs.com, which advises the avoidance of brains, neck bones and beef cheeks, bone marrow and cuts of beef that are sold on the bone. The group also says to choose boneless cuts of meat and ground beef only if it has been ground in the store.

"Evidence shows that our systems and safeguards to prevent BSE are working, as are similar actions taken by countries around the world," said the USDA's Clifford.

Last year, 29 cases of BSE were reported worldwide, down 99% from the peak of 37,311 cases in 1992.

"This is directly attributable to the impact and effectiveness of feed bans as a primary control measure for the disease," he said.

The Agriculture Department confirmed the first case of mad cow disease in America on December 23, 2003, in a cow born in Alberta, Canada, in April 1997, only four months before the United States and Canada began banning the use of brain and spinal cord tissue in cattle feed.

A second U.S. case was confirmed June 24, 2005, and a third on March 13, 2006.

The infected California cow confirmed Tuesday was America's fourth case of mad cow disease.

CNN's Paul Vercammen, Kat Kinsman,Tom Watkins and Moni Basu contributed to this report

@highlight

NEW: "They're not looking very hard for mad cow disease," says critic of USDA

@highlight

South Korea is the second-largest importer of beef from the United States

@highlight

In people, symptoms of mad cow disease include psychiatric and behavioral changes