(CNN) -- Calling for an airport screening process that maximizes security but cuts down on passenger hassles, the U.S. Travel Association on Wednesday recommended key changes to the current system.

The group, along with a panel of experts, suggested creating a trusted traveler program that would allow fliers who volunteer certain information about themselves to go through less rigorous security before their flight.

It also proposed allowing each traveler to check one bag without a fee to reduce the amount of luggage going through security checkpoints.

"We need to do better," said Jim Turner, a former ranking Democratic member of the House Homeland Security Committee and co-chairman of the panel, during a news conference in Washington.

"We owe it to the traveling public to make the system make more sense."

Traveler frustration with the current routine -- which includes the familiar rules about taking off shoes, going through a metal detector or full-body scan (or both) and facing the possibility of a pat down -- prompted the report, titled "A Better Way," the U.S. Travel Association said.

What are the chances Congress would approve any portion of the plan? It's very difficult to get action in this area, Turner admitted.

But if implemented, the recommendations could shorten wait times at security checkpoints and allow the Transportation Security Administration to screen passengers based on risk, the report said.

'Shrink the haystack'

Right now, "everyone who checks in is treated as a potential terrorist," said Tom Ridge, the former secretary of the U.S. Department of Homeland Security and co-chairman of the panel.

The group called it a "one-size-fits-all solution" in which children and the elderly can be pulled aside for extra screening. But having everyone go through the system isn't the way to eliminate risk, Ridge said.

"If you want to find a needle in a haystack, you shrink the haystack," he said.

That's where the trusted traveler program would come in, designating some passengers as low-risk based on information such as a background check, employment history, lack of criminal record and other factors.

Once travelers enroll in the program and their identity is confirmed at the airport with the help of biometric information, they would be subject to less security, Ridge said.

The program should be extended to qualified international passengers, the panel recommends.

The TSA screens more than 628 million airline passengers every year at U.S. airports, and the vast majority present little to no risk of committing an act of terrorism, TSA Administrator John Pistole said in a speech earlier this month.

In response to Wednesday's report, TSA spokesman Nicholas Kimball said Pistole's vision for the future of airport security screening is "one that is more risk-based and intelligence-driven, shifting away from a one-size-fits-all approach at checkpoints."

"Last fall, [Pistole] directed the agency to explore ways to further develop this strategy, with plans to announce more details this year. We welcome dialogue with stakeholders and the traveling public as the process moves forward," he said.

The bag problem

Meanwhile, the U.S. Travel Association report also sets its sights on baggage.

Passengers are bringing more carry-ons onto flights to avoid paying checked-bag fees, which increases checkpoint congestion and requires the TSA to devote more resources to screen passenger bags, the report says.

The solution? The Department of Transportation should require airlines to allow each passenger to check one bag as part of the base airfare, the panel recommends.

Congress must improve the current system, said Roger Dow, president and CEO of the U.S. Travel Association.

There are economic considerations at stake as well, he said.

Dow cited a 2010 survey by Consensus Research, which found that U.S. travelers would take an additional two to three flights per year if the hassles in security screening system were eliminated.

The additional flights would add nearly $85 billion in consumer spending and 900,000 jobs to the American economy, the report said.

@highlight

NEW: TSA welcomes "dialogue with ... the traveling public" on panel's recommendations

@highlight

U.S. Travel Association and panel of experts call for airport security changes

@highlight

Report: Create trusted traveler program that would allow low-risk fliers to skip some security

@highlight

Report: Allow each traveler to check one bag without a fee to reduce bags at checkpoints