Part of Jerusalem is seeing its worst flare-up in years. Here's a look at some of the key questions about the fighting.

What started this new wave of violence?

The violence certainly had not gone away, with rocket attacks from Gaza and Israeli military incursions in the West Bank regular occurrences. But last month's abduction of three Israeli teens who were on their way home from school in the West Bank brought the tensions to a fever pitch. Israelis waited with bated breath, hoping for word that they were alive.

When the bodies of Eyal Yifrach, Gilad Shaar and Naftali Frankel -- a dual Israeli-American citizen -- were found on June 30, the country was grief-stricken. The Israeli government blamed Hamas, which denied responsibility but praised the abductions. Israel carried out arrests and demolished homes of the suspects in the West Bank, and launched airstrikes against targets in Gaza that are used to lob rockets into Israel. Palestinians stepped up rocket attacks and clashed with Israeli troops.

Has the Middle East crisis reached a tipping point?

When was the Palestinian teen killed?

On Wednesday, according to his family, Mohammad Abu Khedair was headed to a mosque in his middle-class neighborhood of Shuafat, part of eastern Jerusalem, which is populated by Arabs. Three people in a car forced him inside, according to authorities and family members. He was reported missing and, about an hour later, his body was found in a forest in Jerusalem. Israel vowed a swift investigation and condemned the killing. Still, clashes erupted in the usually quiet Shuafat neighborhood. Residents threw rocks at security forces, and Israeli authorities responded with occasional volleys of stun grenades or tear gas. Some protesters also attacked two fellow Palestinians whom they mistook for undercover Israeli police.

Israel announced over the weekend that several Jewish suspects had been arrested and that there was "strong indication" the killing may have been in revenge for the three Israeli teens' deaths. The clashes are the worst the city has seen in a decade.

Israel has condemned the killings of five teens. Who's the fifth?

Israel announced over the weekend that a taxi driver had confessed to killing an Israeli Jewish teen in May. Shelly Dadon, 19, was kidnapped, stabbed to death and left in an abandoned parking lot. The suspect's motivation was believed to be Palestinian nationalism, Israeli police said. In the Knesset, Israel's parliament, lawmakers unanimously condemned the deaths of all five young people, The Jerusalem Post reported.

Who's the beaten teen?

Tariq Abu Khdeir is from Florida. He was visiting his relatives in Jerusalem when his cousin, Mohammad Abu Khedair, was killed. Two videos posted online Thursday show Tariq Abu Khdeir beaten by men wearing the uniform of Israeli security forces. The videos do not show what led to the beating.

There's a dispute over what transpired. Ron Dermer, Israel's ambassador to the United States, said Khdeir was among six masked people who threw petrol bombs and Molotov cocktails, and three of whom had knives. Still, that would not excuse "any excessive use of force," he told "Fox News Sunday." Khdeir says he was watching protesters and was "attacked." A court has ordered him to house arrest for nine days at a relative's home in a different neighborhood. His mother says the family plans to sue Israeli authorities. Physically, he's "doing a lot better," a family lawyer in Florida told CNN on Monday.

Will this spark a 'third Intifada'?

That's a question being raised by some in the region as well as global media. The term refers to two previous armed uprisings by Palestinians against Israel. The first began in 1987 and ended in 1993 with the signing of the Oslo accords. The second lasted from 2000 to 2005.

"A third intifada is likely if Palestinians fail to distance themselves from the militants following the cold-blooded murder of three Israeli teenagers," the Telegraph's Con Coughlin wrote last week after their bodies were found.

"Put simply, there are solid reasons to fear that a third intifada could be far more bloody than the uprisings that have gone before. Which means the task facing leaders on all sides could not be clearer: they have to calm this situation, not inflame it," The Guardian's Jonathan Freedland wrote Friday.

But Haaretz reported that "many East Jerusalem officials expect the turmoil to die down." It noted that West Bank cities have not joined the violent protest.

To some Palestinians, the intifada is the ongoing effort against Israel. "The blood of our martyrs is precious ... and is fuel for the intifada and the resistance," Mushir Al-Masri, a Hamas leadership figure and member of the Palestinian parliament, wrote Monday on Facebook.

What are Palestinian leaders saying?

Palestinian Authority President Mahmoud Abbas surprised many when he condemned the kidnappings of the three Israeli teens. He faced heated criticism from fellow Palestinians for doing so. "Hamas, which is now part of the Palestinian Authority government in a unity deal with Fatah, made no effort to conceal its glee," columnist Frida Ghitis noted on CNN.com. Khaled Meshaal, Hamas political chief, told Al Jazeera after the Israeli teens' disappearance, "I congratulate the abductors because our prisoners must be freed from the prisons of the occupation."

Palestinian leaders have called for an end to "collective punishment" by Israel, including the demolishing of homes and other military actions. And some have called on Israel to demolish the homes of those behind the killing of Abu Khedair. Palestinian leaders have also condemned the killings of people in Israeli military actions. Israel says it is focused on terrorist networks. More than 150 rockets from Gaza have hit Israel in less than a month, and "terrorists from Gaza opened fire at an (Israel Defense Forces) vehicle patrolling the security fence," the IDF tweeted Monday.

Is anyone calling for peace?

Yes. In recent days, Israelis have held anti-racism rallies to counteract hatred on both sides, including groups of Israeli Jews who were seen yelling "Death to Arabs" after the Israeli teens' killings. Israeli Prime Minister Benjamin Netanyahu has called on Palestinian and Arab leaders to join his public calls for an end to the killings. "We don't differ between terror and terror, and against both we will act harshly. And I don't differ between incitement and incitement in the state of Israel," he said Sunday, adding, "We will not let extremists -- it doesn't matter from which side -- bring bloodshed to the area."

Last week, the family of Frankel, the slain Israeli-American teen, also condemned Khedair's killing. Frankel's uncle Yishai Frankel, who works to bring Palestinians into Israel's high-tech sector, said he feels as good as ever about "the good people" he works with. "It's no secret that every society has bad people," he said.

And the family attorney for beaten teen Tariq Abu Khdeir told CNN's "New Day" on Monday, "We need, really, all sides right now to just stop this disgusting cycle of violence where innocent children, both on the Israeli and Palestinian side, are being killed and injured almost daily nowadays."

What does all this mean for peace efforts?

It's unclear whether there's been any real progress toward substantive peace talks in recent years, with each side blaming the other for preventing them. In April, The Economist called it "a peace process that is going nowhere."

Israelis and Palestinians may have grown further apart in what they're hoping for. Most Israelis support a two-state solution, according to a new poll by the Dialog Institute, Haaretz reported Monday. But a June poll of Palestinians, taken during the search for the three missing Israeli teens, found that fewer than 30% of Palestinians support a two-state solution. Sixty percent say the five-year goal "should be to work toward reclaiming all of historic Palestine, from the river to the sea," the Washington Institute for Near East Policy found. But the majority support nonviolent methods of "popular resistance."

For now, the focus for all those opposing the violence is calming anger in the short term -- and stopping the killing.

@highlight

The killings of three Israeli teens sparked national grief

@highlight

The killing of a Palestinian teen sparked grief and clashes in a usually quiet area

@highlight

Israel announced a confession in the killing of another Israeli teen

@highlight

An American teen visiting Palestinian relatives was beaten