In her 30-year career as a nurse, Sara Barron had seen only two babies with anencephaly, a tragic birth defect in which infants are born missing parts of their brain and skull.

Then in 2012, while working at a hospital in rural Washington state, she saw two cases in two months.

To see that many in such a small hospital seemed bizarre to her.

Barron mentioned the unusual spike to an obstetrician friend working at another hospital 30 miles away. That doctor had just seen a case of anencephaly, too.

That's it, Barron thought to herself. She called the state Department of Health and made a report.

Barron's phone call spurred epidemiologists into action. They went through hospital and doctors' records in a three-county area and found 23 cases of anencephaly from January 2010 to January 2013. Such a finding meant a rate of 8.4 cases per 10,000 live births -- four times higher than the national average of 2.1 cases per 10,000 live births.

But the next part of the investigation has come under fire with accusations that state epidemiologists haven't looked hard enough for the cause of a birth defect that's always fatal.

'What are you researching?'

For months, Andrea Jackman has been expecting a call from the Department of Health.

While pregnant, Jackman lived in the Yakima Valley, an agricultural area in south-central Washington. Her daughter, Olivia, was born in September with spina bifida, which, like anencephaly, is a neural tube defect the state is also tracking. Unlike anencephaly, however, spina bifida is usually not fatal.

She says she's incredulous and outraged that state researchers haven't called to ask questions: What did she eat while she was pregnant? Did she spend time near farms that sprayed pesticides? Did she take any herbs or supplements? How about Olivia's father? Was he exposed to any toxic chemicals?

But no one has called.

Mandy Stahre, the state epidemiologist who's investigating the cluster of birth defects, says it might be upsetting for mothers to get a call with such questions. Most of the women were pregnant with babies who had anencephaly, and the outcome is always horrible. If a woman didn't miscarry, she had to make a decision whether to terminate her pregnancy or go ahead and have a baby sure to die soon after birth.

Stahre and her colleagues asked themselves: Would a phone call traumatize these women?

"We have to weigh that heavily. This is a devastating diagnosis, and we know that for a lot of these women they had to make some hard choices," Stahre says. "We have to weigh how invasive we want to be with these types of interviews."

Jackman says that attitude is paternalistic and condescending. She says she would do anything to help prevent another family from having a baby with a severe birth defect. State epidemiologists should have made those phone calls a long time ago, she says, since every day that passes, her memory, and those of other mothers, start to fade about what their habits were during pregnancy.

"What are you researching if you haven't physically called the families to find out?" she asks.

'Very bad research'

Stahre has an answer to Jackman's question: The state examined the mothers' medical records, which revealed, among other things, the women's home addresses.

By the address, epidemiologists can learn a mother's water source, whether she lives near an agricultural area and whether she took folic acid early in pregnancy, which helps prevent neural tube defects.

"(Medical records) give us a lot of information about all of the known risk factors," the epidemiologist  says.

The state's rigorous search of the women's medical records, along with birth and death certificates, found nothing linking the families who had babies with birth defects.

That finding doesn't surprise Dr. Beate Ritz, who's done several studies on birth defects.

Ritz, vice chair of the epidemiology department at the UCLA Fielding School of Public Health, says medical records are notoriously unreliable: One doctor, for example, might note whether a woman smokes, but another doctor might not.

"From a research point of view, this is very bad research," she says.

She says medical records reveal whether a woman has been prescribed any drugs, or diagnosed with a certain condition, but they don't contain detailed information about a mother's diet or possible toxins she might have been exposed to in the environment.

"The data quality on medical records is so low that it's not really research," she says.

Even the state Department of Health admits that medical records are limited, writing in a press release: "Medical record reviews might not have captured all information, preventing a cause from being identified."

But doing the research the right way, Ritz says, costs hundreds of thousands, if not millions, of dollars, and state health departments often don't have those funds.

'I wish they would take it more seriously'

In a few months, Washington state's Department of Health plans to report how many babies were born with neural tube defects in 2013 to see if the cluster has continued, Stahre says, adding that it may interview the mothers at some point in the future.

"We're still investigating this," she says. "This is nowhere near finished."

In the meantime, she says pregnant women in the area should not be nervous.

But Barron, the nurse who found the original cases of birth defects, isn't so sure.

"I think it's very scary. I think there's absolutely something going on that needs to be investigated more thoroughly," she says. "I wish they would take it more seriously."

@highlight

Birth defects in three counties are four times more than national average

@highlight

One of those children in Washington state is Olivia Jackman, born with spina bifida

@highlight

State investigators say they're still investigating the cluster of birth defects

@highlight

Some question whether they've done enough to find a cause