(CNN) -- After sushi and ramen, Japanese beef is on the list of must-eats for many visitors to Japan.

But other than knowing that it tastes great and costs a lot, many tourists turn up with little knowledge of what to expect from Japanese beef.

Considered the caviar of beef in Japan, Wagyu (which literally means "Japanese cow") refers to specific breeds of cattle that come from a direct, traceable and pure bloodline.

There are four Wagyu breeds: black (accounting for more than 90% of Wagyu beef), brown/red, shorthorn and polled.

In recent years, efficient marketing efforts have elevated Wagyu to near-divine status among foodies.

But they've also led to confusion about what Wagyu is and what separates Wagyu beef from the even-more heralded Kobe beef.

Here's help for beef eaters visiting Japan.

What is Wagyu beef?

For more than 200 years during the Edo Period (1603-1867), Japan's isolation from the outside world ensured the purity of its livestock, which over time became more and more homogenized.

When the country opened to world trade in the subsequent Meiji Era, Wagyu breeding accelerated.

Unlike cattle in other countries, which are often bred for a range of traits, Wagyu were and are raised with one goal in mind: supreme flavor.

"Genetics is everything," says Jason Morgan, owner of The Meat Guy, a Nagoya-based meat importing business.

Wagyu's striking characteristic is its pervasive marbling.

Achieving optimum and evenly distributed fat is a slow process.

Wagyu are typically bred for upward of 30 months.

By contrast, most United States Department of Agriculture (USDA) beef comes from cattle that's about 22 months old.

The fattening period is longer than it is on most Western ranches.

Wagyu cows eat plentifully and frequently.

Japan's lack of vast pastures means Wagyu tend to live a sedentary life, which also contributes to generous marbling.

Wagyu grades

Japan has a sophisticated numbering system for tracing each piece of beef produced.

The National Livestock Breeding Center (NLBC) maintains records on each cow's ancestry, birthplace, ranch location, fattening days and other details.

Restaurants can usually provide a 10-digit tracking number for any steak upon request, which has a code that links directly to the NLBC database.

In addition, the Japan Meat Grading Association gives each carcass a score based on its yield (A-C) and level of marbling, firmness, color and overall quality (1-5), with A5 being the highest possible mark.

Most Japanese Wagyu beef is in the A4-A5 range.

Wagyu yields and pricing

All the care that goes into raising Wagyu cows translates into consumer prices that are typically higher than in many Western countries.

Visitors to Japan should expect to pay anywhere from Â¥5,000 ($46) to upward of Â¥15,000 ($138) per person for a meal of authentic Wagyu beef.

At the Oak Door Steakhouse at the Grand Hyatt Tokyo, meat designated F1 (a mix of two pure breeds, such as Wagyu and Angus) is more popular than pure Wagyu beef because it's cheaper yet still yields good quality.

"Eating Wagyu is considered an investment," says Troy Lee, chef de cuisine at Oak Door. "F1 is the most-consumed beef in Japan.

"For most families, Wagyu beef is a delicacy reserved for special occasions."

Wagyu cows have a high yield of prime cuts.

"In the United States, you can only use three of four cuts for steaks, whereas in Japan you can get high-quality beef from nearly all parts of the cow," says Morgan.

The emphasis is on quality, not quantity.

NLBC figures put the total Wagyu population at around 1.7 million cows as of December 2012, compared with roughly 33 million beef cattle in the United States.

How to eat Wagyu beef

Most chefs recommend Wagyu steaks be cooked a little longer than those from Western countries -- medium-rare or even medium. Otherwise, "they can be like eating a stick of butter," says Lee.

Steaks aren't the only way to enjoy Wagyu.

Traditional preparation methods include sukiyaki and shabu-shabu, one-pot dishes that render out more of the fat than grilling.

Sukiyaki simmers thinly sliced beef in a pot with vegetables, usually bathed in a sauce made with soy sauce, sugar and sake.

A raw egg is served with the dish, used for dipping the beef after it's extracted from the broth.

Shabu-shabu is a light and healthy meal made with strips of meat even thinner than those used for sukiyaki. The beef strips are briefly cooked in a simmering kombu kelp broth.

Finally, there's beef tartar or "nigiri Wagyu sushi," though this is a relatively rare preparation in Japan.

No matter how it's prepared, virtually all restaurants in Japan have a signature dipping sauce or sauces, which often contain miso, sesame or citrus juice.

Wagyu beef myth: Fatty means unhealthy

Health-conscious eaters may be wary of the web of fat (called "shimofuri") woven through slabs of Wagyu.

However, pure Wagyu contains mostly monounsaturated fatty acids (aka "the good fats") rich in Omega-3s.

One study from the Japan Livestock Industry Association says Wagyu has up to 30% more unsaturated fat than Angus cattle.

You may have heard about the fifth "primary taste" on top of sweet, sour, salty and bitter: umami, a term and concept that originated in Japan, which describes a subtle sweetness and aroma.

The presence of unsaturated fats is what makes Wagyu beef so full of umami goodness.

Wagyu cows are rarely, if ever, given antibiotics.

One of the primary purposes of administering antibiotics, says Morgan, is to make an animal more feed-efficient.

This philosophy runs counter to the goal of Wagyu ranching, which is to raise fat, hungry cattle.

Myth 2: Japanese cows drink beer and get massages

While it's true that the Matsusaka Cattle Council's website advocates using beer to stimulate a cow's appetite in humid summer months and massages for uniformity of fat and improved circulation, it cites no actual case studies.

At best, these techniques may be used sporadically by small-scale farms.

Some ranches may use sake to enhance the luster of an animal's coat and Japanese TV programs have depicted ranches with prongs in cattle pens that animals rub up against to simulate a massage.

But we remain skeptical.

While it's amusing to entertain notions of Wagyu cows happily guzzling beer while receiving rubdowns, there's no evidence to suggest such practices have ever been commonplace.

The Kobe Beef Marketing and Distribution Promotion Association states that neither massages nor the feeding of beer or sake to cows is part of its standard rearing methods.

"How's he going to feel a massage through his leather jacket, anyway?" asks Morgan.

Myth 3: Wagyu beef and Kobe beef are the same thing

A common misperception is that all Wagyu beef is Kobe beef.

In fact, only .06% of beef consumed in Japan bears the Kobe distinction, and only 3,000 cattle each year are certified as Kobe grade.

It wasn't until February 2012 that the first Kobe beef shipment was sent outside Japan -- to Macau.

The first (small) export to the United States was in November 2012.

Wagyu beef types are named for the region in which the cattle are raised, including, confusingly, Kobe.

For the impressive level of marbling in its Wagyu beef, the Kansai region produces the three "king" varieties: Matsusaka, Kobe and Ohmi.

However, beef from other areas can be equally tasty, says Lee of the Oak Door.

Kumamoto Wagyu, for example, comes from the rare Japanese brown breed and is a good choice for those seeking a leaner cut.

Although many ranching outfits in Australia and the United States are now raising Wagyu crossbreeds, only four facilities in Japan are certified to export Wagyu beef to the United States.

So, the easiest and tastiest place to get authentic Wagyu beef remains Japan.

Just one more reason to visit.

Oak Door Steakhouse, Grand Hyatt Tokyo, 6-10-3 Roppongi, Minato-Ku, Tokyo; +81 3 4333 8784

@highlight

Wagyu, which means "Japanese cow," is considered the caviar of beef in Japan

@highlight

The striking characteristic of Wagyu beef is its pervasive marbling

@highlight

Wagyu beef and Kobe beef are not the same thing