(CNN) -- The practice of moving research involving human subjects from wealthy countries to less wealthy countries has grown in recent years, raising a number of ethical and scientific issues that need to be addressed, researchers said in a journal article Wednesday.

More and more clinical trials are being moved to less wealthy nations, a medical journal article reports.

"The question is proportionality," said Dr. Kevin Schulman, director of the Center for Clinical and Genetic Economics at Duke University Medical Center in Durham, North Carolina, and one of the study authors. "We should test products where we are going to market them. The populations who take risks to participate in clinical research should be the ones that we anticipate will get the benefits of the research."

He and his co-authors reported in the New England Journal of Medicine that in November 2007, about one-third of clinical trials (157 of 509) were being carried out entirely outside the United States, many of them in developing countries. Between 1995 and 2005, the number of countries where such trials were being carried out more than doubled, while the number in the United States and Western Europe decreased, the researchers at Duke University said.

The shift appears to have been driven at least in part by economics -- a top medical center in India charges about a tenth what a second-tier U.S. medical center would charge per case report, the authors said.

Another incentive to move such work abroad: other countries' regulatory environments can be less burdensome. The authors reported one study that found only 56 percent of 670 researchers surveyed in developing countries said their work had been reviewed by a local institutional review board or a health ministry.

Another study reported that 18 percent of published trials carried out in China in 2004 adequately discussed informed consent for subjects considering participating in research.

In addition, recruitment of study subjects can be easier in developing countries, where a trial subject may get more than a year's pay to participate or participation could be his or her sole means of being able to get treatment, the authors said.

Transparency is yet another issue.

"We know little about the conduct and quality of research in countries that have relatively little clinical research experience," they wrote.

Schulman put it more bluntly.

"We've seen problems with people cheating on clinical trials," he said.

He acknowledged that similar problems have arisen in the United States, but said such misdeeds were less likely to be found out when they happened abroad.

Of critical importance is the fact that some populations' genetic makeup may affect their response to medication, the authors said. For example, they said, some 40 percent of people of East Asian origin have a genetic trait that impairs ethanol metabolism and limits response to nitroglycerin treatment.

"This finding may affect the relevance of trials involving cardiac, circulatory and neurologic disorders that are treated with nitroglycerin or nitric oxide-dependent therapies," they said.

The authors called for regulations governing trials to be reduced while ensuring ethical conduct, for greater use of centralized oversight boards and for research contracts to be written using standardized terms.

"Key strategies for clinical trials should be outlined in formal clinical-development plans, publicly vetted, and submitted to regulatory agencies," they said.

Alan Goldhammer, vice president for scientific and regulatory affairs at the Pharmaceutical Research and Manufacturers of America, said the industry will study the suggestions and weigh whether to incorporate them.

"We're constantly taking a fresh look at all our documents and revising them as appropriate," he said. "The last thing any company wants to have happen is for a trial site to be called into question and that data then not used for review by the regulatory agency, which could put its approval status in limbo."

The matter has gained in importance with the announcement by the Obama administration that the government will carry out tests to determine which drugs work best.

A spokeswoman for the Food and Drug Administration, who said she could not be identified because she had not sought permission to talk to the news media, said the agency has begun training and educating regulators in countries where clinical trials are being carried out for companies that are seeking U.S. approval for their drugs.

@highlight

In November 2007, one-third of clinical trials were done outside of United States

@highlight

Trials in India, for instance, carry only about one-tenth the costs

@highlight

Authors say genetic makeup in countries may affect response to medication

@highlight

Report written in the New England Journal of Medicine