(CNN) -- This week the 19th International AIDS Conference is being held in Washington. It is the "state of the AIDS epidemic" forum -- where researchers, advocates, social service providers, and people with AIDS from all of the world learn about advances in AIDS treatment, care and prevention.

Twenty-six years ago I gave birth to my third child, Tiffany. Tiffany's first three years of life were a constant struggle of countless surgeries, misdiagnosis, feeding tubes and painful medical tests.

My husband, Lenny and I took her to medical experts around the country. They all asked the same questions, but they could not provide answers or a cure for her illnesses.

I still remember the pain in her eyes.

When Tiffany was 2 years old, my husband Lenny became ill. He was tired all of the time, he had flu-like symptoms and began to lose weight. The cycle began again -- misdiagnosis, hospitalizations, tests and more encounters with doctors who didn't understand what was happening to my family.

Prior to Lenny and Tiffany becoming ill, we were living the so-called American dream. Lenny had escaped the whirlpool of chaos in a community in New York decimated by drugs. He had been clean from intravenous drug use for more than 10 years. We got married, worked hard, saved our money, bought a home in the suburbs and raised our children.

At that time doctors did not know or understand the latency of HIV, the modes of transmission, or the differences in HIV manifestations in men, women and children.

Interactive: 30 years of AIDS moments to remember

When Lenny was finally diagnosed with AIDS, I witnessed a dramatic change in the quality of health care he received. His tray of food was left outside of his room; the doctors and nurses were less attentive. There were no treatment options for him at the time.

Within days, Tiffany was given the same diagnosis, and the change in the type of care she received was just as obvious and even more painful. I was also diagnosed with HIV, but there was very little time to deal with that because my husband lay dying in one hospital, my youngest child lay dying in another hospital and there were two children at home who needed my care.

Lenny died a few months after being diagnosed with AIDS. Within 6 months, Tiffany died too.

I was 29 years old. I spent the next months putting things in order to ensure that my two remaining children, Alana and Shawn would be taken care of.

I began to lose weight. Every time I had a fever or a bout of diarrhea I thought that I was going to die. I had two frightened children and I could not break down in front of them. I would cry in the closet in my bedroom to keep them from hearing me. I was distraught because I would not see Shawn and Alana grow up, graduate from school, or get married.

I missed Lenny and Tiffany. I couldn't understand why they died and I was still alive.

The days became months and even years. I lived my life in fear and dread, waiting to die. For years I believed the media hype that women were not being infected with HIV/AIDS. I thought I was the only one.

I was so lonely that I decided to reach out. I posted a flyer in a hospital seeking other women with HIV/AIDS to come to a support group at my home. To my surprise, within days the telephone began ringing off the hook. I would get phone calls late at night from young girls and women -- some were in their hospital beds, others isolated in their homes, too afraid to disclose their HIV status to anyone.

Within weeks, the support group became so large, it outgrew my living room and we began to meet in the basement of a church. There were professional women, teachers, physicians, secretaries, bus drivers. I began to go with women to their doctor's appointments, advocating that they receive the appropriate care.

Women needed so much, but our stories were not being told; we were not the face of AIDS. Women needed shelter from abusive husbands, they needed clothes and food for their children or they just needed someone to talk to. We shared our stories of frustration about not finding services and support for women living with HIV/AIDS.

Gay, bisexual black men at high risk for HIV

Women talked about physicians who refused to treat them or who did not know how to treat the different manifestations of HIV/AIDS in women. Women talked about having their HIV status disclosed in public places. We talked about other things beyond HIV. We talked about love and we laughed a lot.

Even as we lost our friends, we didn't talk about dying. We talked about learning to live with HIV.

In less than two years, the support group became a nonprofit organization called The Women's Collective.

In 1996, it provided services to 50 women in the District of Columbia, which has one of the of the highest incidence of HIV in the country. The core of our mission is peer-based, woman-focused and family-centered. Back then, I worked full-time and I was able to get enough funding to hire a part-time person.

Today the Women's Collective has 20 full-time staff and a host of volunteers. We provide a wide range of services including case management services, helping women find health and other types of services. The goal is to keep woman in care.

We provide AIDS-prevention education, counseling and testing services, and therapeutic counseling services. Women and their children can come in and use our computers for schoolwork or work on a resume. They can come in and get hot food. We have a food and clothes pantry so they can take stuff home.

Our AIDS prevention education services reaches more than 3,000 women and young girls in schools, social service agencies, churches, and hospitals. We have shared our model of care with women from around the world, including Africa, Russia, India, Brazil, Caribbean and Eastern Europe.

The staff and the women we serve also participate in policy advocacy at the local and national level. It is empowering because we are literally fighting for our lives.

Women with HIV/AIDS and their families face so many challenges. The only way to address our needs is to take our concerns to the policy makers and service providers who are supposed to serve us.

During the last four months, the Women's Collective has been preparing for the International AIDS Conference in Washington and I have been thinking about how much -- and how little -- things have changed over the last 26 years.

Over the years, I have been able to access treatment because I have the resources. But unfortunately many people still don't have the resources necessary to access treatment and care. They are also struggling with homelessness, hunger, and lack of employment.

What is often overlooked at these conferences is the impact of the stigma and social isolation associated with an HIV diagnosis, especially for women and children. Twenty-six years ago I was afraid that if people learned about my diagnosis, my children would be marginalized and we would be shunned by my community.

Pastor fights HIV stigma in rural town

As recently as 2011, a school in Hershey, Pennsylvania, denied admittance to a 13-year-old honor student because he is HIV-positive.

Twenty-six years ago, Lenny and Tiffany were misdiagnosed by several physicians at hospitals across the country. In 2012, women served by TWC continue to share the same stories of being misdiagnosed or not receiving the most appropriate standards of HIV care.

Years ago, treatment options were limited. Today, there are more treatment options, but access to these treatments continue to be a huge problem due to budget cuts to the Ryan White Care Act and Medicaid.

Twenty years ago there were waiting lists for life-saving AIDS drugs. Today people are yet again being placed on waiting lists. AIDS organizations, especially community-based organizations, face tremendous budget cuts. AIDS is no longer the "hot" topic and funding for AIDS programs across the country is being reduced.

The sense of urgency has dissipated.

Over the next few days of the conference, I am sure I will learn a lot that will give me hope. I have been blessed to see my children Shawn and Alana graduate from college and graduate school. I am now a grandmother with a brilliant 2-year-old grandson!

Some days I struggle with a range of medical issues, but I am thankful to be alive. Every day I think about Lenny and Tiffany. I remember all of the wonderful, brilliant, friends lost throughout the years. I mourn the loss of Towanna and several women that we served at The Women's Collective, who lost their battle to AIDS last month.

I look forward to the day when I don't have to add any more names to the list of lives lost.

This week, several newspapers and magazines have declared that the AIDS epidemic is over. The epidemic isn't over.

FDA approves Truvada for prevention of HIV/AIDS

@highlight

Patricia Nalls lost her husband and daughter to AIDS two decades ago

@highlight

Nalls has HIV and started a support group for women and children with the disease

@highlight

Nalls: We have made progress, but still need to work on treatment accessibility