(CNN) -- The northern California Bay Area's biggest earthquake in 25 years has people asking: Is the world seeing more tremors than usual? And is the long-dreaded "Big One" that could devastate California coming soon?

Actually, experts say the world might not be seeing more than usual. And as for the Big One, there's no sign that it's imminent.

The infamous San Andreas Fault is due for its epic every-150-years rumble. But the quake that struck Sunday, centered about 6 miles southwest of Napa, wasn't on that line.

"I don't think we can make any connection on that," CNN meteorologist Chad Myers said. "This is on a different fault -- still part of the same system, still the plates are still shifting from California, the North American Plate and the Pacific Plate."

More quakes in 2014?

Peru, California, Chile and Iceland have all been hit by notable earthquakes in 2014, which has some wondering whether there have been an unusually large amount of strong earthquakes this year.

The rate of major earthquakes -- those with a magnitude higher than 7.0 -- more than doubled in the first quarter of 2014 compared with the average since 1979, according to a paper published in the journal Geophysical Research Letters in June by Tom Parsons and Eric L. Geist of the U.S. Geological Survey.

But a time period of fewer than 50 years isn't a large enough sample size to definitively say whether this year has had an abnormal number of quakes. It could be a statistical anomaly, according to CNN meteorologist Sean Morris.

"It's such a small sample and short time frame; let's not get alarmed," Myers said.

The Geological Survey notes that many earthquakes go undetected "because they hit remote areas or have very small magnitudes."

There has been a greater amount of smaller temblors in the central United States, especially in Oklahoma, which experts say could be a result of fracking in the area.

In June, Oklahoma surpassed California in the number of earthquakes this year.

"When they first started happening, they were a big deal," said Althea Peterson, a reporter with the Tulsa World. "It's nothing I ever expected in Oklahoma."

When will the 'Big One' strike?

Catastrophic earthquakes seem to strike along the southern San Andreas Fault about once every 150 years, the U.S. Geological Survey said, citing studies examining the past 1,400 years. The last time an enormous temblor on the fault struck Southern California was in 1857.

"There's a real likelihood of a major, major earthquake in the next 10, 15, 20 years," California Lt. Gov. Gavin Newsom said.

Newsom is former mayor of San Francisco, a city that sits near the Hayward Fault and the San Andreas Fault, "the one that fear is most instilled in us."

But the San Francisco Bay Area is less likely to see a massive earthquake soon, as only about a century has passed since the great 1906 earthquake.

Yet "moderate-sized, potentially damaging earthquakes could occur in this area at any time," the Geological Survey warmed.

In 1989, a 6.9-magnitude quake struck the Bay Area during baseball's World Series. The Loma Prieta earthquake caused 63 deaths, 3,757 injuries and an estimated $6 billion in property damage, according to the Geological Survey.

What about the 1994 Northridge quake?

That mammoth tremor wasn't on the San Andreas Fault; it actually occurred on a fault that no one knew about.

That 6.7-magnitude Southern California quake killed 57 people and caused $42 billion in total damage.

But even the Northridge quake could pale in comparison to the devastation that the "Big One" on the San Andreas could bring.

"It would be like having a Northridge here and Northridge here and Northridge here," Caltech seismologist Kate Hutton said this year, indicating swaths of a California map. "It covers such a wide area that it would be ... a major disaster for the nation."

Six things we've learned since 1994 Northridge earthquake

Why is the San Andreas Fault so notorious?

The San Andreas is considered "the 'master' fault of an intricate fault network," the Geological Survey said. It's the fault responsible for the 1906 San Francisco earthquake, which killed about 700 people.

The 800-mile-long fault is the boundary between the Pacific Plate and North American Plate. And because the Pacific Plate shifts about 2 inches a year, the Geological Survey said, Los Angeles and San Francisco will become next-door neighbors (though not for about 15 million years).

So while it's impossible for the San Andreas to sweep California out into the ocean, the Geological Survey said, southwestern California is slowly -- very slowly -- sliding past the rest of the state toward Alaska.

CNN's Michael Martinez, Kyung Lah and Ashley Fantz contributed to this report.

@highlight

The 6.0-magnitude quake Sunday was not on the San Andreas Fault

@highlight

Some predict the "Big One" will strike along the fault in the next few decades

@highlight

USGS: Los Angeles and San Francisco will one day become next-door neighbors