(CNN) -- The official tally of last month's presidential election is almost complete, and one pivotal piece of electoral data -- voter turnout -- will be lower than officials have previously claimed.

The turnout matters as it may reflect how much trust the Hondurans placed in an election during a political crisis pitting the country's de facto government against the nation's ousted president.

According to Honduras' Supreme Electoral Tribunal and interviews with the electoral officials, with 99.8 percent of the votes counted, 2,298,080 people participated in the November 29 election.

This represents a 50 percent voter turnout, a figure much lower than the 61 percent officially estimated by the electoral tribunal on election day, and lower than revised turnout figures that the Electoral Tribunal gave to CNN as recently as December 5.

The crisis, which escalated after President Jose Manuel Zelaya was ousted in a coup last June, has split the international community now that a new president has been elected.

Some countries, such as the United States, Colombia and Costa Rica, have said they will recognize President-elect Lobo Sosa. Others, such as Argentina, Brazil and Spain, have said they will not.

Other nations have indicated that the turnout figure will be an important indicator in determining whether they will recognize the legitimacy of the election.

To date, the tribunal, known as TSE by its Spanish acronym, has only released one official press release regarding the vote count. That statement, made on election day, cites a 61 percent voter turnout rate and says 2.8 million people cast votes.

When CNN made its own analysis earlier this month, TSE spokesman Roberto Reyes Pineda said that about 2.6 million votes were cast. This downward revision turned out to be overly optimistic as well.

"There was clearly an effort to get out early vote results as robustly as possibly and convince the international community that the elections were legitimate," Christopher Sabatini, senior director of policy at the Americas Society and Council of the Americas, told CNN.

But Reyes Pineda said that the electoral tribunal has not purposefully tried to put out inflated numbers.

"That was a projection that reflected the data at the moment," he said, referring to the data in the first press release and the data given to CNN.

A consultant to the TSE who has participated on the official vote count disagreed.

"They gave out those numbers without any substantive evidence," said the consultant, who spoke on the condition of anonymity because he was fearful of jeopardizing his position. "There was no substantive methodology behind their projections."

Estimates from TSE were higher than the patterns the statisticians were seeing because there was political pressure for the election to be considered legitimate and successful, the consultant said.

Reyes Pineda said that the TSE's estimates of 2.8 million and 2.6 million votes cast were "based on what we expected. The number could be a little erroneous, but it was based on the data at the time."

The electoral body hasn't put out any further updates to its original 61 percent voter turnout prediction to avoid confusion, he said. Another official press release is not expected until after all the votes are tabulated and all disputes in smaller races settled, Reyes Pineda said.

A 50 percent turnout would mean that fewer voters participated than in the last presidential race, in 2005, where turnout was 55 percent, according to TSE data. But it also follows a trend of declining turnout since 1997.

"Even the adjusted numbers are not significantly different from the patterns of past elections," Sabatini said.

A turnout of under 40 percent may have jeopardized the international acceptance of the election, but the actual turnout rate is still significant enough to be considered legitimate, he said.

Other indicators that could shed light on whether Zelaya's calls for a boycott were heeded, such as the number of spoiled or blank ballots, are not significantly different than in the last election, TSE data shows.

@highlight

Voter turnout numbers in Honduras lower than originally reported

@highlight

Numbers are important because they may show faith of Hondurans during crisis

@highlight

The crisis escalated after President Jose Manuel Zelaya was ousted in a coup

@highlight

Other countries split on whether they will recognize President-elect Lobo Sosa