(CNN) -- Metro stations get a bad reputation as dark, grimy places where travelers are as likely to catch a communicable disease as they are a train.

Riding the subway needn't be a journey to the dark side.

Brash, bright and colorful new metro stations have begun to open in several cities that make going cheek-to-cheek with 45 strangers in a metal tube almost feel worth it.

With the latest of these, New York's sunlit Fulton Transit Center, opening its doors this month, here's a look at some of the world's best.

Fulton Transit Center (New York)

Gloomier than most, New York's underground rail network would make an ideal hangout for vampires, if only they could put up with the unpredictable weekend services and that weird smell at Canal Street.

Creatures of the dark would do well to avoid the newly opened Fulton Transit Center though.

This hub for nine subway lines in Lower Manhattan sits under a huge oculus -- a beautiful conical conduit that pulls light down well below street level.

Westfriedhof (Munich)

Inaugurated in 1998 to little fanfare, this otherwise ordinary looking station took on new life just three years later.

In 2001, Westfriedhof's platform was aesthetically enhanced by 11 enormous, domed lighting fixtures that continuously bathe the surroundings in haunting shades of blue, yellow and red.

Toledo (Naples, Italy)

Opened in 2012, Toledo station defies its depth -- at 50 meters, one of the deepest in Naples -- with a design based around themes of light and water.

A work called "Light Panels," by Robert Wilson, illuminates the station corridor furthest underground.

This stunning station has competition: it's part of the city's network of so-called Metro Art Stations.

Komsomolskaya (Moscow)

Komsomolskaya station's baroque-style decor, historical mosaics and chandeliered ceilings resemble a grand ballroom.

Opened in 1952 to alleviate the congestion of one of Moscow's busiest transport hubs, the opulence of the mosaics was inspired by an infamous wartime speech by Stalin.

Olaias (Lisbon, Portugal)

In 1998, Lisbon hosted a world expo, in part to celebrate 500 years of Portuguese inventions.

Built to help transport the expo's 11 million visitors, the station is a whimsically colorful space that to this day holds its own as a modern work of art.

Formosa Boulevard (Kaohsiung, Taiwan)

Half metro station, half kaleidoscope, this church to commuting revolves around a dazzling "Dome of Light" said to be the largest glass work in the world.

The dome, consisting of 4,500 panels, is the work of Narcissus Quagliata, an Italian designer who subtitled "Wind, Fire and Time."

Given the ecclesiastical appearance of this installation, it should come as no surprise that its been proposed as a venue for mass weddings.

Westminster (London)

London Underground might be the great great grandparent of all the world's metro stations, but Westminster, opened just days before the new millennium, has to be one of the most futuristic-looking.

The austere concrete and stainless steel design somehow achieves a functional beauty rather than oppressing all those commuters scurrying to and from their offices.

Khalid Bin Al Waleed Station (Dubai, UAE)

The driverless trains of Dubai's shiny new(ish) metro system might be mildly disconcerting, but not as much as the bizarre, but beautiful jellyfish dangling from the ceiling of the the Khalid Bin Al Waleed Station.

These exotic chandeliers cast a luminous blue glow over the stop beneath the BurJuman shopping center and add to a watery theme further complimented by images of traditional pearl divers.

T-Centralen (Stockholm)

Above ground, Stockholm's central station looks like a pretty average part of a rapid transit system.

Start boring down, though, and unexpected changes in color and shape reveal a very different animal.

When commuters reach the bold blue and white, cave-like platform at T-Centralen, they're reminded that they've indeed ventured underground.

Various stations (Pyongyang, North Korea)

There are many grim realities to life in North Korea, but traveling on the Pyongyang Metro is unlikely to be high on the list, not least because of the ornate stations.

These spotlessly clean deep level stops on the two-line network are styled as palaces for the people.

It's claimed the city's underground rail network began life as a military facility and there are still lines and stations used exclusively by security services and government officials.

Bockenheimer Warte (Frankfurt, Germany)

Seeking to distinguish his design from the unobtrusive minimalism of other Frankfurt stations, architect Zbigniew Peter Pininski outdid himself with the fantastical entrance to Bockenheimer Warte.

Depicting a train car crashing through the sidewalk, it leaves commuters either shocked or bemused, but rarely indifferent.

"Fosteritos" (Bilbao, Spain)

Less than 20 years old, Bilbao's metro is the third-largest in Spain.

The curved-glass entrances of many of the stations -- affectionately nicknamed "Fosteritos" ("Little Fosters") after their creator, Lord Foster -- are considered prime examples of the city's modern, up-to-the-minute style.

The transparent structures admit plenty of daytime light and at night are lit up.

Palais Royal -- Musee du Louvre (Paris)

In a city as beautiful as Paris, this unconventional station entrance at Place Colette still stands out.

Completed in 2000 (the centennial year of the Paris metro), Jean-Michel Othoniel's "Kiosque des noctambules" ("Kiosk of the night owls") intertwines dazzling colored beads to form two protective cupolas.

A meeker design would be overshadowed by the close proximity of the Louvre Museum and surrounding classic architecture.

In this case, however, it adds a touch of cheeky hipness.

Admiralteyskaya (St. Petersburg, Russia)

St. Petersburg's newest metro stop proves that classic and modern design can coexist harmoniously.

After many setbacks, the station finally opened for business in December 2011.

Stark curved ceilings and low lighting complement traditional marble and arched platforms in what's the deepest station in the network.

Plac Wilsona (Warsaw, Poland)

The Soviets built some extraordinary metro stations, but this 2005 effort, named after U.S. president Woodrow Wilson, showed that a capitalist Poland could come up with some beauties, too.

Unless, as might appear, it was actually built by UFOs.

Staromestska (Prague)

All the stations on Prague's A Line deserve a place in the European metro hall of fame for their distinctive dimpled metal tunnel walls, but Staromestska is the most visited and photographed.

A different color for each station, they look like something from the dystopian film "A Clockwork Orange," but the bubble-wrap design actually strengthens the metal.

Universidad de Chile (Santiago, Chile)

Santiago's clean and efficient metro network has been built with style in mind, so there's plenty to look at across its 108 stations.

Leading the charge is the Universidad de Chile stop where gigantic murals by artist Mario Toral cover the walls.

The epic scale of these acrylic and oil on canvas works match their subject matter -- the highs and lows of Chilean history.

Puts the daily commute in perspective.

What's the best metro stop you've ever traveled through? Elbow your way into the carriage in the comments field below.

Originally published February 2014, updated November 2014.

@highlight

Newly opened Fulton Transit Center in New York features a conical oculus that pulls light deep underground

@highlight

At 50 meters deep, Toledo station, in Naples, feels filled with light

@highlight

Part of the oldest metro, London's Westminster looks super-futuristic

@highlight

A German station features a train car crashing through the sidewalk