Dakar, Senegal (CNN) -- Jazz, soul and a blend of rock and roll combine to make Senegalese music sound quite familiar, while the sound of the sabar, a traditional Senegalese drum, keeps the music true to its West African roots. I'm listening to the mbalax style of music for my latest "Inside Africa" assignment: to experience the special sounds of Senegal.

Without a doubt, the biggest name in Senegalese drumming is Doudou N'Diaye Rose. He's almost mythical; every person I interviewed spoke of him as the "sabar master." With more than forty children and an untold number of grandkids, he's been performing since the 1930's, gradually crafting the unique rhythm of this part of the world -- literally with his bare hands.

Meeting the legend was not what I expected. At 82 years old he has a small frame and is such a humble person. When we arrived at one of his homes, he was more concerned with our crew eating breakfast than showing off his many accomplishments. Doudou has performed with the Rolling Stones, Miles Davis, at the Cannes Film Festival and has been declared by UNESCO as a "living human treasure."

Most of his children learned from him, playing in a traveling orchestra. Even his female grandchildren formed a group, practicing on the rooftop. However, when Dakar's chief drum major -- who is draped in an elaborate Grand Boubou print -- steps behind his wide array of drums, modesty leaves the room.

The beats are complex, quickly changing from soft, rapid taps of the finger tips and palm to loud strikes by the galan, or stick. Strings pull the shaved goatskin surface tight and, by twisting a series of cylindrical pegs, each drum can be tuned just like a guitar.

Doudou explains that what I'm hearing is more than music -- it's a beautiful language reminiscent of his childhood in the Plateau district. A time when certain types of drums would be used to communicate certain ideas; calm, joyful messages for wedding ceremonies, or exciting, encouraging sounds for young men heading off to battle.

See also: Senegal island exposes horrors of the slave trade

Today, younger Senegalese artists are taking the Doudou sound and modernizing it. He often appears as a special guest on stage with artists like Coumba Gawlo -- currently one of the best selling female singers in the country.

When I watched her performing, she was serenading crowds in the local language of Wolof, belting out the mbalax sound as she was being lowered in a golden cage onto a smoke-filled stage. But even next to a curvaceous woman wearing a sparkling dress, Doudou holds his own -- an octogenarian with as much stage presence as a pop star.

From inside a lively recording studio elsewhere in town I find more local artists who cite Doudou as their inspiration. Daara J Family is a group made up of Faada Freddy and Ndongo D, plus the support of drummers, electric guitar players and a keyboardist.

The sound is eclectic; I can hear Jamaican reggae influences in their beats and in Ndongo D's fast rapping style. Faadda Freddy tells me that in songs like "Bayi Yoon," they pull from the South African vocal tradition, essentially sampling from every place they've toured.

Local history is important to them as well. On Daara J Family's second album they included a song about Senegal's Goree Island as a modern way of discussing the trans-Atlantic slave trade.

But mostly, the group is optimistic and forward-looking. Ndongo D explains to me that while they pull from the Doudou-created Senegalese sound they want to include more aspects of music in the African diaspora because "we all came from Africa, and then went to different horizons to settle." Their aim is to connect with people globally.

See also: Beach life gives a taste of real Senegal

On this journey of discovery, it's becoming more apparent to me that music has been a powerful form of communication, expression and family bonding in Senegal. Getting to a place of a strong, almost spiritual connection is what mbalax is really about - even though it might sound quite foreign to many of us.

It was a privilege to meet Doudou (and even get a personal lesson in drumming), wonderful to see traditional music get a contemporary twist, and eye-opening to see West African artists reaching out to the rest of the world. Faada Freddy summed up my impressions best: "Being African is not a matter of color -- it's about heart."

@highlight

Mbalax, combining jazz, soul, and rock with traditional beats, is the dance music of Senegal

@highlight

The godfather of the scene is the 82-year-old drummer Doudou N'Diaye Rose

@highlight

His instrument is the sabar, the traditional drum played with the hand and a stick

@highlight

Younger generations are fusing the sound with new influences to reach international audiences