Paris (CNN) -- Daniel Ek founded the music-streaming service Spotify in his native Sweden in 2006 and launched it to the public two years later. The service now has more than 10 million users in 12 countries.

It launched in the United States in July and recently announced a platform for third-party apps, allowing outside developers to build new social features into the service.

Ek is one of the speakers at Le Web, one of Europe's largest tech conferences. He spoke to CNN ahead of his talk Friday.

The following is an edited version of that interview:

CNN: You recently announced you were opening up Spotify to outside developers. Are you hoping that Spotify will become an online music hangout?

Daniel Ek: Yes. Look, the way we think about it is that there are 500 million people right now that listen to music online, and out of those 500 million the vast majority of people listen illegally. We just feel that what is missing right now is sort of music across the Web.

The other thing we realized is that music is something that is deeply personal to people and curating that experience is definitely a personal experience. We felt that there were so many places around the Web where people were doing a good job curating music, but you couldn't actually hear it. So we felt that what we added to the table was really powering music to all these great experiences.

CNN: So what other mid- to long-term plans do you have for Spotify? Where do you see it in five, maybe 10 years?

Ek: We kind of look at music as something very natural in people's lives. I mean, most of us can relate to music in some sort of shape and form, and if you think about it, most of us remember the first time we kissed someone, what kind of music was playing or the song that was playing on our friend's birthday.

We believe that music should be like water. It should just exist everywhere so if you think about that for a moment. What we are really trying to do (is) making music more accessible.

We want music to be everywhere and in every device, in every place. It really doesn't matter where in the world that is or on what device that is or what I'm doing. I should always have music accessible.

CNN: How do you think the Facebook integration is working out? You can see users' Spotify choices showing up next to their updates. How is that working out?

Ek: The most important thing in converting people from pirate users to legal users has been to get them to engage more in music. And Facebook really helps us with that. We find that our users who are social share a lot more playlists with their friends, and that also means that they are discovering a lot more music, and the more music they are discovering the better it is because they keep coming back to Spotify.

But they are also a lot more likely to pay, so I would say that we are incredibly aligned with Facebook in that we want people to engage more. And so far it has been a great partnership.

CNN: Has there been any privacy backlash over that sharing?

Ek: The way I look at this is every time Facebook has done something historically there has always been a great debate about privacy. But what normally happens is after a few weeks everyone kind of says, "OK, well, actually this is pretty cool and this is what I wanted."

We take people's privacy very, very seriously. Shortly after releasing the first clients, we had a lot of users that said, "Hey, I want the opportunity to turn this off at different times," and what was so interesting about that process was that we asked our community.

I was actually tweeting with our users, and they were the ones that suggested to us that we add this private listening mode that we now have. So our users suggested that and were very specific with "this is how we think it should work" and we took that very seriously and implemented it within 48 hours.

CNN: Do you see yourself on a crusade to save the music industry?

Ek: I don't think we see ourselves as the savior of the music industry. We are passionate about making it so that users enjoy the music that they want to enjoy but at the same time fairly compensates artists. That's not the same as saving the music industry.

CNN: How much support do you receive from the record labels in your quest to do that?

Ek: Again, this has been a big change. Not for us, but for the entire music industry. Music has moved from being about ownership to being about access, and I think that any major change and a disruption in an industry takes time. But we have great relationships with all of our label partners.

And we feel that we are going from strength to strength, and I think our user numbers are showing that but also the fact that we have now, in a very short period of time, become the second-largest income stream for all the music industry in Europe in just shy of three years.

CNN: What kind of feedback have you personally gotten from musicians that you've met?

Ek: A lot of them are real excited. They just want to know how they can market themselves better with Spotify. They want to figure out, "How do I get as many people as possible to hear my music?"

And the interesting thing with Spotify is that it is entirely democratic because we don't promote a single artist or do anything else. Actually, the only thing we have here is we have apps now that help curate. Spotify itself does nothing to promote a particular type of music. Thereby, my advice to artists is very simple: "Make the best music you can and people will share it." It's really that simple.

CNN: And what about you yourself? How do you consume music?

Ek: It's actually funny because I have two -- I probably shouldn't even admit this -- but I have two listening modes. One is obviously Spotify, but I've started becoming a bit of a vinyl buff so I actually listen to vinyl. There is something warm, and I just really enjoy vinyl. So I tend to buy a lot of vinyl records. I like it for the artwork but also for the warmness in sound.

CNN: What kind of music? What are your music preferences?

Ek: I listen to jazz, pop, rock, R&B. It really doesn't matter to me. So it's often easier to talk about specific artists that I listen to right now.

And right now I listen to an Israeli artist called Yael Naim, which I know is pretty odd, but I discovered here through some Israeli who was living in London and listening to Spotify and thereafter I have fallen in love with her. There is a pretty cool cover of the Britney Spears song "Toxic."

@highlight

Streaming-music service Spotify has more than 10 million users in 12 countries

@highlight

Founder Daniel Ek sits down for CNN interview before Le Web conference

@highlight

Ek says Spotify is trying to turn 500 million people into legal music users

@highlight

"We believe that music should be like water. It should just exist everywhere," Ek says