(CNN) -- Poached for use in traditional Chinese medicine or sold as exotic pets. Sometimes slaughtered in a vicious, drawn-out war.

We're all familiar with the themes dominating headlines about Africa's declining wildlife.

Lions, elephants and tigers, one might think, will exist only in sad tales told to children in a decade or two.

Yet amid the disturbing news, one African wildlife success story stands out like the sun rising over the Serengeti -- and it's great news for travelers.

With sustainable wildlife tourism as the long-term goal, the southern African nation of Namibia has been making ambitious commitments to habitat conservation since its independence in 1990.

Almost half of country protected

The nation of 2.2 million people was the first African country to write environmental protection into its constitution. More than 40% of Namibia is now under some form of conservation management.

Officially inaugurated in March 2012, the KAZA (Kavango-Zambezi Transfrontier Conservation Area) initiative established a 100,000-square-mile, five-nation conservation zone -- the world's largest.

Encompassing the entire Caprivi Panhandle in Namibia, KAZA's "conservation beyond borders" approach protects wildlife corridors shared by Angola, Botswana, Namibia, Zambia and Zimbabwe.

Central to the effort are the communal conservancies -- rural communities that share the proceeds of wildlife ventures equitably between members -- that now cover one-fifth of the country and affect 250,000 rural Namibians.

Human-wildlife conflict reversed

In many cases, poachers have become protectors, as Namibians have come to appreciate the long-term benefits of living with wildlife.

Generations of human-wildlife conflict are being reversed, while communities are made stakeholders.

Much of Namibia's wildlife is now flourishing.

This is also good news for travelers.

With more than 30 conservancy lodges dotting the Caprivi Panhandle and north-central regions -- Namibia's wildlife hotbeds -- visitors are privy to some of the most unforgettable wildlife encounters in Africa.

Five top Namibian wildlife lodges

Susuwe Island Lodge

This remote island lodge in Namibia's eastern Caprivi is a gateway to wildlife spotting along the Kwando River and perennial wetlands. Game drives deliver superb sightings of elephant herds, lion, leopard, hippo, zebra, impala and scores of bird species.

Susuwe Island Lodge; +264 64 40 3523; rates from N$2,408 ($230) per person/day based on double occupancy (meals, activities extra)

Camp Chobe

Boat safaris from this tent camp near the Botswana border spot elephant families in the river, along with buffalo, hippo and large Nile crocodiles.

Camp Chobe; +264 81 800 0762; rates from N$600 ($57) per person/day based on double occupancy (meals, activities extra)

Chobe Safari Lodge

This substantial lodge actually located in Kasane, Botswana, is a plush base to explore the wetlands of Chobe National Park. Land safaris into the park include sightings of elephant, giraffe, buffalo, hippo and lion.

Chobe Safari Lodge; +267 652 0 336; rates from N$1,333 ($132) per room (meals, activities extra)

Ongava Lodge

The stark landscape here includes huge saline deserts and intermittent waterholes that are magnets to wildlife. Game drive sightings regularly include lion, leopard and hyena, as well as endangered black and white rhino.

Ongava Lodge; +264 676 87187; rates from N$4,668 ($463) per person/day, includes accommodation, meals/beverages, activities and guided tours

Lianshulu Lodge

Game drive sightings departing from this isolated lodge on the Kwando River include large herds of elephant, antelope, zebra, leopard and, uncommon for Namibia, herds of buffalo.

Lianshulu Lodge; +264 64 40 3523; rates from N$2,184 ($216) per person/day based on double occupancy (meals, activities extra)

Ted Stedman traveled to Namibia with the Adventure Travel Trade Association.

@highlight

Namibia was first African nation to write environmental conservation into constitution

@highlight

Lion, leopard, elephant, rhino and other big game is regularly spotted in Namibia

@highlight

More than 30 conservancy lodges dot the Caprivi Panhandle and north-central regions of Namibia