(CNN) -- Draped in a white shroud, the body of a man is engulfed in flames atop a massive pile of wood, the insatiable fire churning out ashes for hours.

A few yards away, a group of mourners chants prayers as the stench of burning flesh guides a billowing cloud of black smoke high into the Indian sky.

This is a traditional Hindu funeral pyre -- an ancient ritual that goes back thousands of years in which devotees cremate bodies by burning firewood in an open ground.

"The smoke is all around the ground," said Ankur Agrawal, a 31-year-old iron merchant who recently attended the final rites of his uncle at a cremation ground in the city of Moradabad in the north Indian state of Uttar Pradesh. "There is a lot of consumption of wood," he added.

And it's because of this that these ceremonies, designed to release the soul from mortal flesh, pose a threat to the living, according to some environmentalists.

Fifty to 60 million trees are burned during cremations every year in India, according to Mokshda, a Delhi-based NGO working to reduce the environmental impact of funeral pyres.

"When you are burning those trees, you are emitting about eight million tonnes of carbon dioxide or greenhouse gas emissions," said Mokshda director Anshul Garg.

Air pollution and deforestation are not the only environmental threats caused by cremation: They also generate large quantities of ash, which are later thrown into rivers, adding to the toxicity of their waters, according to Mokshda.

More than seven million Hindus die each year in India and the sight of corpses surrendering to the flames of traditional funeral pyres is part of the country's daily cycle of life.

New Delhi has about 400 traditional cremation grounds, while Mumbai has around 300, according to Mokshda.

In order to tackle the environmental problems stemming from these sites, the Indian government and environmental groups have, over the years, promoted the use of electric systems as an alternate way of cremation.

But these systems, which burn no wood and generate no smoke, have by-and-large failed, mainly due to financial and religious reasons.

They were expensive to run but, crucially, traditional rituals -- such as kapal kriya, where a stick or long bamboo pole is used to crack open the burning skull to free soul from its earthly existence -- were impossible.

Mokshda, however, claims it has created an alternative system that addresses these problems: It says its affordable, energy-efficient "Green Cremation System" generates minimum air and water pollution, while taking into consideration the religious needs of Hindus.

The wood-based system consists of a man-sized grate beneath a roof and a chimney, which reduces heat loss. The wood is placed on the metal base, which enables better air circulation around the flames.

Garg says the benefits are manifold: It takes up to two hours and 150-200 kilograms of wood to burn a body completely, while a traditional pyre takes six hours and burns 500-600 kilograms of wood. As a result, he says, the cost is reduced significantly and emissions are cut by up to 60%.

Jay Lakhani, director of the UK-based Hindu Academy, which looks at the religion in contemporary society, says such initiatives have a positive impact on the wider community.  

He said: "All these are welcome moves because this is hanging on to tradition as well as making sure the environment is safeguarded.

"There are many such institutions in India that are trying to be environmental-friendly and also of course if you can do it in a more economical way it will be cheaper for the families, so it benefits everybody."

For Agrawal, who attended a cremation using Mokshda's innovation about two months ago, one of the big advantages of this system is that mourners can continue to fulfill all traditional rites. "It has such kind of quality," he said. "It allows us to perform all the rituals."

Mokshda, which began operations in 1992, says it has installed 42 units across the country, mainly in urban areas, and plans to increase the number to 50 by next year.

Yet, the group's expansion has not been without issues: Garg says Mokshda is facing problems from the "wood mafia" -- people illegally cutting down trees to sell for funeral pyres.

"They even go to the extent of threatening our people," said Garg. "If they (our people) go to install and promote these systems we get threatening calls: 'You don't come in our city, don't put up these systems or we will hunt you.'"

But despite the challenges, the group says it is optimistic about the future. It has convinced the government to come forward and provide funding and also engaged the corporate sector to help install its green cremation units under their corporate social responsibility plan.

So far, Mokshda has surveyed over 2,000 cremation grounds across India and has conducted seminars and workshops, asking people for feedback so they can improve their system.

"We are now promoting it on a larger scale," said Garg. "It has the sentiments and the feelings of the people at heart, so we have taken their feedback, their views on how it has to be developed and how it can be promoted.

"While we are doing the rituals for the dead, we should take care that we're not affecting the survival of future generations."

@highlight

In India, an estimated seven million Hindus die each year; many are traditionally cremated

@highlight

NGO: Eight million tons of greehouse gasses emitted from Hindu funeral pyres a year

@highlight

One group has designed a cremation system that burns less wood

@highlight

Mokshda says its system reduces emissions by up to 60%