(CNN) -- The meeting on Tuesday between Russian President Vladimir Putin and his Ukrainian counterpart, Petro Poroshenko, marks the beginning of a new phase in the conflict between the two countries.

Military analysts say that the date by which Putin could have safely hoped to initiate and complete a full scale invasion of Ukraine before the onset of winter has already passed, so the threat of an open military confrontation has receded and there is space to give diplomacy a chance.

Yet it would be premature to conclude that jaw-jaw is about to replace war-war entirely. If there are powerful forces driving both sides to the negotiating table, there are also major differences that continue to keep them apart. We can expect a tense and difficult winter ahead.

The main reason Putin is now willing to explore a negotiated solution is that Western sanctions are beginning to bite. Currency instability, accelerating capital flight and vanishing growth rates all point to a deep and sustained recession if the current political uncertainty persists and Western pressure is maintained.

As Putin noted in a recent speech, Russia cannot fence itself off from the outside world. There isn't a go it alone option if Russia is denied access to global markets and finance. Putin therefore needs to find a way of normalizing relations with the West and bringing sanctions to an end in exchange for stabilizing the situation and allowing Ukraine to function as a country.

Without this, patriotic fervor is likely to subside in the face of economic hardship and record approval ratings will quickly return to their pre-crisis lows.

Closely related to this is the fate of Crimea, the territory annexed by Russia earlier this year. The picture emerging from the peninsula is one of steep price rises and acute material shortages as the problem of resupplying the territory without land access from Ukraine becomes apparent.

A successful Russian invasion of eastern and southern Ukraine would have resolved that issue at a stroke, but with that option apparently off the table Putin faces real difficulties.

What many saw as a geopolitical masterstroke in March is set to become a major financial burden stretching years into the future unless some kind of agreement can be struck. Kiev and the West will never recognize the annexation of Crimea, but arrangements for the supply of water, energy and other goods will undoubtedly form part of the wider negotiation.

For Poroshenko the issues are equally stark. The economic outlook for Ukraine remains dire unless the crisis can be brought to an end and the country is able to function to some extent as a single unit once again.

Ukrainian forces have made significant gains at the expense of the separatists over the last couple of months, but Kiev probably doesn't have the means to bring the insurgency to an end by military means alone. Russia's capacity to destabilize the east remains immense and recent steps to reinforce the separatists and "Ukrainianise" its leadership suggest that Moscow is preparing to play the long game.

Energy is another area of concern for Poroshenko. In the absence of a new agreement on gas supply from Russia, reserves will probably be insufficient to cover demand in the cold months ahead. Reverse flow from the West might help to mitigate the problem, but a harsh winter would leave Ukraine badly exposed.

Although both sides face major pressure to reach a negotiated settlement, they remain far apart on the substance. Russia sees Ukraine as part of its sphere of "privileged interests" and is determined to prevent the country moving closer to the West. Kiev wants to maintain an independent foreign policy, including the option of deeper integration with the West.

The terrain on which this struggle is being played out is the debate over Ukraine's constitutional future and relationship between the center and the regions in particular.

In the absence of a friendly government in Kiev, Russia is promoting a form of federalism that in reality looks more like confederalism. This would give Russian-speaking regions of the east control not only over their own domestic affairs, such as education, public services and the local economy, but also the right to determine their own foreign alignments, security structures and possibly border controls.

The ideal model for Russia is the Dayton Agreement that brought the conflict in Bosnia-Herzegovina to an end in 1995. This created two constitutionally autonomous entities, each with a veto over foreign policy and other major national decisions. Russia has been able to forge close ties to Republika Srpska and relies on it to block Bosnia's membership of NATO.

For understandable reasons the government in Kiev is unwilling to countenance an agreement on this basis. Although it is prepared to cede much greater autonomy to the regions in crucial matters like language and education, it recognizes that Putin-style "federalism" would put a block closer ties to the EU and become a ramp for the soft integration of its eastern regions into a Russian sphere of influence.

Poroshenko is under intense pressure, especially from Germany, to negotiate some kind of decentralized arrangement, but the separatists and their Russian sponsors show no signs of lowering their demands to the point where an agreement might be achievable.

Although an end to the crisis is to be hoped for, the starting point of European diplomacy should be that a quick solution is unlikely and that the reason for this is Moscow's unreasonable expectation of a veto over Ukraine's future.

Germany should stop pressuring Ukraine's leaders to consider proposals that would effectively lead to the break up of their country. Instead effort should be focused on strengthening Ukraine's sovereignty and long-term bargaining power in relation to Russia.

Measures to increase energy supplies, provide economic support and strengthen Ukraine's defense capacities over the difficult winter months ahead should be priorities. At the same time, economic pressure on Russia should be maintained and stepped up.

This is a battle of wills and Putin won't reconsider his position unless the West is able to demonstrate the resolve needed to prevail.

Nina Dos Santos: To punish Russia, Europe must be prepared to suffer
Russian sanctions: Which foods are off Russian menus?

The opinions expressed in this commentary are solely those of David Clark.

@highlight

Russian President Vladimir Putin met his Ukrainian counterpart Petro Poroshenko

@highlight

David Clark of the Russia Foundation says a quick solution to the crisis is unlikely

@highlight

Effort should be focused on strengthening Ukraine's sovereignty, he writes