London (CNN) -- "Lone wolves" who plot to carry out small-scale attacks on soft targets, like those in which seven people have been killed in France, could be the future of terrorism, a security expert has warned.

"We are witnessing the next stage of terrorism in Europe," said Sajjan Gohel, director of International Security at the Asia Pacific Foundation, a London-based counterterrorism think tank.

Mohammed Merah is suspected of carrying out a series of shootings in which seven people, three of them young children, have died in recent days. Merah, 23, a self-styled al Qaeda jihadist, was found dead after a 31-hour siege at his home in France on Thursday.

Gohel told CNN that killings like those in Toulouse and Montauban would likely inspire other radical Islamists to action.

"This has sent out the message that followers of al Qaeda can carry out successful attacks, can precipitate terror, on their own.

"This is exactly what happened in France: People were scared to go out, schools were under guard, there was a real sense of insecurity -- that is true terrorism."

He said the actions of Anders Breivik, whose twin bomb and gun attacks in Oslo and on the island of Utoya in Norway in July last year left 77 people dead, had also encouraged would-be terrorists.

"Although it wasn't linked to al Qaeda, the Norway attack set a dangerous precedent, because it showed that a plot like this could succeed."

And Gohel said there were fears the upcoming Olympic Games, due to be held in London this summer, could be targeted.

"The sort of attack we've seen in Toulouse is not a model that is unique to France -- it could be replicated in Germany, in Britain, or elsewhere -- and that is a real concern, especially in the lead-up to the Olympics in London later this year.

"The Olympics are of symbolic significance, because the day after the 2012 games were awarded to London, in 2005, we had the 7/7 bombings [on public transport, in which 52 people were killed].

"And so there is a sort of a scar associated with that, and it could be that those who sympathize with the motives of the bombers see the Olympics as a symbolic time to attack."

But he said counter-terrorism forces faced a major challenge in tackling 'lone wolf' attacks.

"They are a real headache for the authorities, because they are very difficult to thwart: If a 'cell' is only one or two people it's a lot harder to monitor their activities, to trace their networks, and so on.

"In previous cases, the ability of the authorities to disrupt the planning stage has been low, because you don't get the leakage of information that you get with a larger cell."

Merah, the suspect in the French killings, was a supporter of radical Islamist group Forsane Alizza, the Knights of Glory, France's Interior Minister Claude Gueant said.

Gohel said the organization, which has members in Paris and Limoges in central France, acts as an "antechamber towards terrorism," encouraging its followers to go abroad for training.

"Before it was banned earlier this year, it had posted a chilling warning on Facebook, encouraging its followers to attack Americans, Jews and French soldiers," said Gohel. "Unfortunately, that threat seems to have been carried out in recent days."

The security analyst told CNN al Qaeda's role in the Toulouse and Montauban killings remained unclear.

"There are two schools of thought -- that it could be an al Qaeda-controlled attack, or that it could be an al Qaeda-inspired attack -- and either way, it's a real concern.

"If it's al Qaeda-controlled, it shows that al Qaeda is still able to recruit European-based followers, and to train and guide them into carrying out attacks.

"If it's al Qaeda-inspired, then it's the first 'lone wolf' act of terror of its kind to succeed in the West. There have been many al Qaeda-inspired attempts, but so far they have all failed -- are we seeing that in this instance it has succeeded?"

@highlight

"Lone wolves" who carry out attacks on soft targets could be future of terrorism, expert warns

@highlight

Killing of seven people, including three children, in France could inspire radical Islamists to action

@highlight

Sajjan Gohel: Lone wolf attacks "very difficult to thwart" because of lack of information leaks

@highlight

Olympic Games in London later this year could be "symbolic target," says Gohel