PATUAKHALI, Bangladesh (CNN)  -- Survivors of a storm that killed more than 3,000 people in the impoverished nation of Bangladesh grieved and buried their loved ones Monday as they waited for aid to arrive.

Villagers grieve in Patargata, around 125 miles south of Dhaka, capital of Bangladesh, Monday.

The number of dead killed from Cyclone Sidr -- now at 3,114 -- is expected to rise yet further as the South Asian nation continues to assess the damage.

The Bangladesh Red Crescent fears the death toll could be 5,000 -- perhaps even reaching as high as 10,000.

In the fishing village of Galachipa, in Patuakhali district, Dhalan Mridha was grieving for family members who died in the cyclone after ignoring an alert issued by authorities.

"Nothing is going to happen. That was our first thought and we went to bed. Just before midnight the winds came like hundreds of demons. Our small hut was swept away like a piece of paper, and we all ran for shelter," Mridha, a 45-year-old farm worker, told The Associated Press.

On the way to a shelter, Mridha lost contact with his wife, mother and two children. The next morning he found their bodies.

The Category 4 cyclone raked Bangladesh's southwest coast on Thursday with maximum sustained winds of 241 km/h (150 mph), destroying fishermen's hamlets and villages.

Thousands are still missing, while an estimated 280,000 others are unable to return to their homes which were wiped out by the storm. Many grieving families are now burying loved ones in single graves as no male members are available to dig them.

Most houses in the region are made of flimsy materials such as bamboo and corrugated iron, and had no chance of withstanding the storm's powerful winds.

In addition, the storm-struck area is criss-crossed by a huge river delta which surged as Sidr pushed through, wiping out many villages and littering the river's shores with debris.  Watch as people are left to fend for themselves »

Low-lying Bangladesh is already prone to flooding which has wiped out the country's rice production -- a major food staple for the impoverished country.

Improved warning systems and shelters have kept the number of deaths far lower than the disastrous cyclones in the region of 1970 and 1991, when the tolls were in the hundreds of thousands.

Bangladesh President Iajuddin Ahmed visited the devastated region Sunday, handing out some aid to the crowds of people before members of the international media. It was seen largely a token effort as hundreds were left empty-handed and furious. Security officials struggled to hold back the crowd.  See dramatic photos of storm survivors »

Sidr has already ruined Bangladesh's rice harvest, but the international community is rallying to make sure the country does not suffer as acutely as it has in the past. Nearly a million people died after massive floods wiped out the country's rice production in 1974.

International aid organizations promised initial packages of $25 million during a meeting with Bangladesh agencies Monday, the U.N.'s World Food Program said. The United States has offered more than $2 million as an initial contribution for emergency relief, and sent two U.S. Navy carriers to help in recovery operations.

In addition, the U.S. Agency for International Development (USAID) is airlifting in relief supplies and an 18-person Department of Defense medical team is in Bangladesh helping the estimated 15,000 injured by the storm.

Bangladesh's government held an emergency Cabinet meeting Saturday to assess the disaster and discuss recovery issues, Bangladeshi government spokesman Fahim Munaim told CNN.

Officials fear the scope of the destruction may be much more extensive since there are remote areas where conditions cannot yet be determined.

Munaim said nearly a third of Bangladesh's 64 districts were affected by the cyclone, most of those along the southern coast. The Bangladeshi military is working to provide shelter for the many people who have been displaced.

International aid groups -- including Save the Children, World Vision, and the Red Crescent, which already have offices in Bangladesh -- are deploying resources to the cyclone-stricken region but -- like the government -- they have found it nearly impossible to reach the more remote areas to assess conditions.

Roads to remote areas are either blocked by massive trees fallen by the storm, or so severely damaged that it is impossible for vehicles to use.

Clearing could take weeks in the remote areas because it must be done by hand -- there are no chainsaws and modern machinery to speed up the process.

Along the broken road that leads into Kolapara, the body of an 8-year-old girl called Rummie was carefully carried away for burial.

Overwhelmed with sadness, her mother Khadija was steadied by a relative.

"I am feeling too much pain in my heart," she said. "I have lost my daughter, so I am a victim of the cyclone as well." E-mail to a friend

CNN's Dan Rivers contributed to this report.

@highlight

Survivors of Cyclone Sidr in Bangladesh waiting for aid to arrive

@highlight

Red Crescent Society official says deaths could rise to 5,000-10,000

@highlight

Bangladeshi president distributes aid; angry survivors go empty-handed

@highlight

Thousands remain missing; estimated 280,000 homeless