To understand Jay Silver, it helps to go back 10 years, to a night he spent flying kites on a beach in his native Florida with the woman who would become his wife.

She asked him whether he knew how to listen to the wind. Being an engineer, he responded that wind produces only white noise, and white noise contains no information.

But he loved her, so he opened his mind and gave it a try.

"And I felt a deep joy," Silver said during a recent talk at the PopTech conference here. "And then I stopped pursuing information and efficiency, and I changed my life's course a little and started to practice rituals of joy."

This childlike sense of play, curiosity and discovery -- one that many people lose as they move through adulthood -- has informed Silver's life and work ever since. It's no accident that he shows audiences video clips of wide-eyed toddlers encountering snow for the first time or an M&M candy skittering around on a moving escalator. Or that he took the stage at PopTech in a T-shirt, baggy shorts and a surfer cap, looking more like a skateboarder than someone with a Ph.D. from MIT.

Yes, at 33, Silver is something of a big kid himself.

He's also a leading proponent of the "maker movement," the do-it-yourself culture of inventing, hacking and prototyping that inspires many young engineers in tech fields.

At the MIT Media Lab, Silver studied how to make tools that engage people's creative spirit and help them make things with modern technology. One of his first creations was Drawdio, an electronic pencil that lets you make music as you draw.

Next up was something with the Silveresque name of MaKey MaKey, an invention kit he developed at MIT with fellow student Eric Rosenbaum. Funded by Kickstarter (they set a goal of $25,000 and raised $568,000), the simple electronic kit contains a circuit board, alligator clips and USB cables and helps anyone turn everyday objects into touchpads that can be used to interact with a computer.

People clamp the alligator clips to an object and then connect them through the kit to their computer. Touching the object produces a tiny electrical connection, which the computer interprets as a keystroke or the movement of a mouse.

The kits cost $50 and say "Be stoked. The world is your construction kit!" on the box. Since they began shipping last summer, people around the world have used them to control computer programs with anything that can conduct electricity: fruit, plants, water, even household pets. One student at Southern Methodist University won a talent show by hooking MaKey MaKey to plates full of food and eating his way through a crowd-pleasing rendition of "The Star-Spangled Banner."

MaKey MaKey seems like a toy, and educators have used it to play games or teach kids about basic electrical circuitry. But Silver believes that his kit can also help engineers test concepts and prototypes more cheaply.

"Some people are just totally goofing around (with the kits). Some people are making devices so that their son with cerebral palsy can access browsing the Web," he said. "I don't know which of those two things actually are more important. They're both, to me, really valuable."

Silver, now a maker-research scientist at Intel Labs, hopes MaKey MaKey will awaken the creative impulse in people and encourage them to tackle their own DIY projects.

"Right now, in culture, there's this feeling that we have to make (things). And I think it's because we didn't make (things) for a while, with the Industrial Revolution," he said. "I think when you make something, you're kind of making meaning and purpose. You're kind of making the world what it is. You're voting with your hands -- not in a booth but making change, right now, that really happens in your own space."

Lifelong Kindergarten

Long before that night on the beach, Silver's roiling imagination was inventing stuff.

As a boy in Cocoa Beach, Florida, he duct-taped a fork to a hand drill to make an automatic spaghetti-twirling machine. In fourth grade, he discovered by accident that his walkie-talkies communicated at the same frequency as his remote-control car. So he combined the car, an upside-down trash can and some other parts to make a robot he controlled by making certain sounds into the walkie-talkies.

"Like any good child of the '80s, I watched a lot of 'MacGyver.' But I was pretty bad at making things," he said. "I loved kites. Kites have more questions than answers. I love things with more questions than answers."

Silver is fascinated by the idea of combining or refashioning objects, like his spaghetti twirler, to create uses for which they were not intended.

"What is the purpose of things? Who said that was the purpose of it?" he asked. "Other people don't have to decide the meaning of things. We can all decide."

It's the same impulse that leads kids to play with a box instead of the toy that came in it.

"I didn't need anything special to hack as a child. I just used whatever was around. I think all children do this," Silver wrote in an e-mail. "I think this is one of the most special and also least unique things about all humans: They try everything every way and have very open minds, especially when young."

At MIT, Silver became part of a group called Lifelong Kindergarten, which seeks to foster creative adults through a "kindergarten style of learning" that emphasizes designing, experimenting and exploring. It was a great fit for him because it taught him to not fear failing, to keep trying different things.

"I'm kind of a bottom-up maker. I don't have a plan. I don't really know how things work that well. I just mess around with stuff, and things start to emerge," he said. "It's kind of like a conversation with materials."

Silver's approach -- part engineer, part artist, part curious 5-year-old -- impressed his mentors at MIT.

"Jay is an incredible creative force. Rarely have I met someone who spins out so many creative ideas. He really has the spirit of a tinkerer, always trying out new things," said Mitchel Resnick, professor of learning research at the MIT Media Lab.

"Jay has held on to that playful curiosity (that children have) and uses that to engage with people," Resnick added. "One thing that's for sure is that Jay will do something that none of us will expect. He'll create new paths that none of us are even thinking about today. And whatever it is, it'll help people explore the world around them and bring joy to their lives."

Creative confidence

Today, Silver lives in Santa Cruz, California, with his wife, Jodi, an artist and early-childhood-creativity educator, and their son, Oak, 2. His job at Intel takes him to festivals and events such as the Bay Area Maker Faire, where he leads creative workshops on such activities as making digital circuits by drawing with a pencil. In return, he takes some of what he learns about prototyping back to Intel Labs, which does research in a variety of futuristic computing fields.

Silver is also still spreading the word about MaKey MaKey. His production company, JoyLabz, has distributed about 20,000 of the kits.

"The reason I'm making this kit is that I'm totally stoked about what I can do with it and what other people can do with it," he said. "I hope that other people use it in a way that makes them feel alive. And if they are, it doesn't matter to me if what they're doing can be called useful or not."

Silver talks wistfully about a utopian future where everyone creates their own unique space instead of settling for cookie-cutter homes or furnishings or decorations.

"We just don't want people running to Walmart when they have a wobbly table," he said. Instead, Silver envisions a new generation of creative thinkers who cut and paste disparate materials to make something new that holds personal meaning for them -- like what artists and writers have been doing for centuries but on a broader scale.

"Take, for example, one of the cornerstones of creative icons: LEGOs. LEGOs let you build anything, right? Well, I am a fan of LEGOs, but there is one thing they are not communicating: The world you live in is a set of LEGOs," he said. "That's my message. You don't need a kit, and you don't need to stick to the pieces that come in the box."

To Silver, such tinkering boosts "creative confidence": the transformative power that comes with making something tangible and fresh.

"If you get some kids thinking 'I can do this' -- especially ones that wouldn't have had a chance to think that way -- that's good enough for me. And we're already seeing it happen," he said.

Silver's workshops are aimed mostly at children, but there's a reason why he's invited to speak at idea-driven conferences like TEDx and PopTech. His lessons are applicable to any hidebound grad student or business executive: Rewrite the rules. Try everything. Don't be afraid to fail.

Follow your joy.

To Silver, it's human nature.

"The world that I'd like to live in is a world where everybody helps to make it in their own way," he said. "So it's a hodgepodge of different collections, of contributions ... reflecting everyone's own internal inspiration. Kind of the way nature is, but with humans. That would be a beautiful world."

@highlight

Jay Silver is a leading proponent of "maker movement," the do-it-yourself culture of inventing

@highlight

His MaKey MaKey kits let anyone turn everyday objects into computer interfaces

@highlight

Silver: "I think when you make something, you're kind of making meaning and purpose"

@highlight

Silver spoke recently at PopTech, an idea-driven conference in Camden, Maine