Washington (CNN) -- A custody battle involving the "best interests" of a 3-year-old Cherokee girl will be taken up by the U.S. Supreme Court, an issue spanning the rights of adoptive parents and the desire to preserve Native American families within tribes.

The justices announced they will hear an appeal from Matt and Melanie Capobianco, who legally adopted little Veronica in 2009, shortly after the birth mother agreed to give up the child. Oral arguments in the case will likely be heard in April with a ruling by late June.

The South Carolina Supreme Court in July ruled for the biological father, who had sought custody shortly after the child's birth. He is a registered member of the Cherokee Nation and is raising the child in Oklahoma.

Dusten Brown had earlier signed a legal document agreeing to put the girl up for adoption, but his attorneys say the father did not understand the extent of the waiver, and that the birth mother misrepresented the child's American Indian heritage to social service workers when the adoption was finalized.

At issue is whether Brown, as the onetime non-custodial father, can gain parental custody, after the non-Indian mother initiated an adoption outside the tribe.

A special congressional law governs such interstate adoptions, since the current 556 federally recognized tribes all fall under Interior Department oversight, giving those tribes certain unique benefits and rights.

Lawyers for the Capobiancos say federal law does not define an unwed biological father as a "parent."

The adoptive couple was excited that the high court will hear their case.

"We weren't sure what to expect," Melanie Capobianco told CNN's Randi Kaye. "It was a low chance and we just feel really extremely happy that they decided to hear it."

Her husband, Matt, added, "It restored some hope and a little faith in the judicial system."

The federal law in question is the Indian Child Welfare Act (ICWA) of 1978, a response to decades of often abusive social service practices that resulted in the separation of large numbers of native youngsters from their families, in many cases to non-Indian homes.

Who's a Native American? It's complicated

The legislation was designed to "promote the stability and security of Indian tribes and Indian families by the establishment of minimum federal standards to prevent the arbitrary removal of Indian children from their families and tribes and to ensure that measures which prevent the breakup of Indian families are followed in child custody proceedings."

Brown's relationship within the "federally recognized government" of the Cherokee Nation means Veronica -- named in court papers as "Baby Girl" -- is a member of the tribe and subject to their jurisdiction.

"It's not anyone's intent ever to rip a child away from a loving home," said Todd Hembree, the Tahlequah, Oklahoma-based tribe's attorney general. "But we want to make sure those loving homes have the opportunity to be Indian homes first."

Still, the Capobiancos argue that the little girl's real home is with them.

"Veronica was always a part of our home from birth and we just felt like she was in a happy place and that those kinds of needs could have been met through us," Melanie Capobianco said. "I just don't think that was what Congress was thinking about when that act was passed."

As with many custody fights, there is wide factual disagreement over the circumstances of both the couple's breakup and subsequent adoption of the child. Opposing sides even disagree on what legal issues the high court should address.

The Capobiancos think the issue should be about whether the ICWA law can improperly block adoption proceedings voluntarily initiated by a non-Indian mother who had sole custody of her child, due to what the adoptive parents say is the Indian father's failure to establish a legal parent-child relationship under state law.

But Brown argues he successfully established paternity under state law, and qualifies as a "parent" under the ICWA, thereby giving him proper control and custody of his daughter.

Opinion: Should race be a factor in adoption?

He said in legal papers that the child was conceived when the couple was engaged, and "excited" he would be a father. But Brown claims the biological mother broke off the now-strained relationship by text message. He agreed to relinquish his parental rights in exchange for not paying child support, but said the mother never indicated she intended unilaterally to give the child up for adoption.

And Brown claims the biological mother tried to "conceal" his Indian heritage during the adoption process with the Capobiancos, who live in Charleston, South Carolina.

Establishing such heritage would normally make it very difficult for the Cherokee Nation and state social services to agree to any non-Indian adoption and removal from the state.

By this time, Brown was deployed to Iraq on a one-year deployment in the U.S. Army, making it hard to press his custody claims. Veronica lived with the Capobiancos for two years before the high court in South Carolina ruled for the father. Brown took his daughter back to Bartlesville, Oklahoma, on New Year's Eve 2011.

The state's top court that ruled in his favor said Brown had "a deeply embedded relationship" with his American Indian heritage, in which Veronica will be raised.

But the Capobiancos point to another part of the state court's conclusion: that despite a ruling against them, they were "ideal parents who have exhibited the ability to provide a loving family environment." That court said its hands were tied, and that federal law trumped state law.

"Courts in seven states have held that ICWA does not bar courts from terminating the parental rights of a non-custodial father under state law when the father abandoned his child to the sole custody of a non-Indian mother," said Lisa Blatt, attorney for the couple.

She says the father's initial agreement to give up his parental rights meant he forfeited any subsequent efforts to establish custody, when the child was already in a happy, stable home environment.

The Capobiancos argue Brown had refused to offer any financial assistance to the biological mother until they were married and "wanted nothing to do" with the pregnancy.

As a single mother with two other young children, the biological mother felt she had no choice but to give her daughter up for adoption, said a legal brief filed by her lawyers. They say she complied with the adoption laws in both states and with the tribe.

The couple also says they long wanted to be parents and had seven unsuccessful attempts at in vitro fertilization. She is a child developmental psychologist and he is an automotive body technician. They were in the room when Veronica was born, and had an "open" adoption, meaning the biological mother could and did maintain a relationship with Veronica.

The case is Adoptive Couple v. Baby Girl, a Minor Child Under the Age of Fourteen Years (12-399).

@highlight

NEW: S.C. couple says it is happy that the high court will hear their appeal

@highlight

Cherokee Indian man won custody of his biological daughter

@highlight

S.C. couple's appeal will be heard by high court

@highlight

A federal law meant to protect Indian family breakup is key to the case