(CNN) -- Missouri death row inmate Russell Bucklew's rare birth defect will make his execution, slated for just after midnight Wednesday, an "excruciating" process, his lawyer says.

And she hopes to prove it by videotaping her client's death, a motion a federal court has denied.

In what would be the first execution since Oklahoma's botched procedure last month, Russell Bucklew is schedule to die at 1:01 a.m. ET at Eastern Reception, Diagnostic and Correctional Center in Bonne Terre.

In their request for a stay, filed Tuesday with the U.S. Court of Appeals for the Eighth Circuit, Bucklew's attorneys say he could suffer a "prolonged and excruciating execution" because of his birth defect, known as cavernous hemangioma. A U.S. District Court judge on Monday declined to stay the execution, along with the request that the procedure be videotaped.

"If Missouri officials are confident enough to execute Russell Bucklew, they should be confident enough to videotape it. It is time to raise the curtain on lethal injections," said defense attorney Cheryl Pilate.

Bucklew, who turned 46 last week, is already in pain, as his condition includes unstable tumors in his head and neck, causing him to bleed regularly from his mouth, nose, eyes and ears, Pilate said.

Dr. Joel Zivot of Emory University filed an affidavit in the case saying that Bucklew's airway is so "severely compromised and obstructed," especially when he's lying flat, that it could easily be ruptured, raising the risk that Bucklew could choke or suffocate.

"If you touch it, it bleeds," Zivot wrote of Bucklew's airway.

In 1997, a jury convicted Bucklew of first degree murder, kidnapping, and first degree burglary and recommended the death sentence, court documents show.

He was accused of fatally shooting his ex-girlfriend's presumed new boyfriend, Michael Sanders, and firing at Sanders' son, 6, before kidnapping Stephanie Ray Pruitt. After raping his ex-girlfriend, he became involved in a gunfight with authorities, during which Bucklew and a Missouri state trooper were injured, according to court documents.

Controversy over lethal injections has been brewing in recent years after European manufacturers -- including the Denmark-based manufacturer of pentobarbital -- banned U.S. prisons from using their drugs in executions. In 2009, the U.S.-based manufacturer of sodium thiopental, a drug also commonly used in executions, stopped making the painkiller.

Many states have scrambled to find substitutes from overseas or have used American-based compounding pharmacies to create substitutes.

Attorneys for death row inmates in several states have flooded the court system, arguing correctional facilities' secrecy over where and how they obtain drugs is unconstitutional and violates the Eighth Amendment's "cruel and unusual" punishment clause.

Last month, Oklahoma used a new three-drug lethal injection protocol to execute convicted murderer and rapist Clayton Lockett, but his vein collapsed and he died of an apparent heart attack. A full investigation and autopsy results are still pending, but witnesses said they saw Lockett struggling to speak as he convulsed and writhed on the gurney.

Previously, Oklahoma inmate Michael Lee Wilson said during his January execution, "I feel my whole body burning." Wilson was executed using a cocktail that included pentobarbital, as was Texas' Jose Luis Villegas, who also complained of a burning sensation during his April execution.

Also in Texas, Robert James Campbell's attorneys challenged the state's plan to administer pentobarbital to their client. A federal court stayed his execution last week -- not because of the drugs Texas planned to use, but because his defense team deserved more time to make the case that Campbell was intellectually disabled.

On Monday, the Georgia Supreme Court weighed in on the issue, reversing a stay of execution for inmate Warren Lee Hill after his attorneys argued last year that a statute keeping the compounders of lethal injection drugs "a confidential state secret" was unconstitutional.

"We hold that it is not," Justice P. Harris Hines wrote in the 33-page majority opinion.

He said the reason for keeping such information private is "obvious, including avoiding the risk of harassment or some other form of retaliation from persons related to the prisoners or from others in the community who might disapprove of the execution as well as simply offering those willing to participate whatever comfort or peace of mind that anonymity might offer."

@highlight

Convicted murderer Russell Bucklew is scheduled to be executed in Missouri after midnight

@highlight

Attorneys want the execution videotaped as evidence that Bucklew suffered in process

@highlight

Judge has denied motion for stay, saying that Bucklew could suffer from birth defect

@highlight

Lethal injection cocktails have sparked numerous appeals as drug supplies dried up