WASHINGTON (CNN)  -- While most sitting Supreme Court justices refuse to comment about current and future nominees to that bench, one member says she can't wait to welcome Judge Sonia Sotomayor to that exclusive club.

Justice Ruth Bader Ginsburg her views occasionally are ignored by the male justices.

Justice Ruth Bader Ginsburg, the only women on the nine-member court, told a group of lawyers and judges this weekend she was "cheered" at the nomination of Sotomayor.

Ginsburg said the 54-year-old federal appeals court judge brings "a wealth of experience in the law and in life. I am glad to no longer be the lone woman on the court, and look forward to a new colleague well-equipped to handle the challenges our work presents." Her remarks were made at a semi-private conference in Upstate New York.

The justice has made no secret of her desire to see greater gender diversity on her court. She has lamented the departure of her friend and colleague Sandra Day O'Connor in 2006.

She told USA Today just weeks before Justice David Souter announced his retirement that more women should join her. "Women belong in all places where decision are being made," she said. "I don't say [the split] should be 50-50. It could be 60 percent men, 40 percent women, or the other way around. It shouldn't be that women are the exception."

Sotomayor has drawn controversy with her remarks at a 2001 speech: "I would hope that a wise Latina woman with the richness of her experience would more often than not reach a better conclusion than a white male who hasn't lived that life." She has echoed the sentiment in related talks she has given over the years.

Ginsburg spoke weeks before Sotomayor was tapped for the high court about observations she and O'Connor had made in the past that were similar to Sotomayor's.

"You know the line that Sandra and I keep repeating... that 'at the end of the day, a wise old man and a wise old woman reach the same judgment'?" she told USA Today. "But there are perceptions that we have because we are women. It's a subtle influence. We can be sensitive to things that are said in draft opinions that [male justices] are not aware can be offensive."

Ginsburg used the word "same" to describe the outcome, Sotomayor used the word "better," a wording she has told senators privately she now regrets.

Ginsburg noted gender differences are "seldom in the outcome." But then, she said, "it is sometimes in the outcome."

Ginsburg expressed frustration in that interview with how her male colleagues view her role, and how they view certain cases. She said in closed door conferences where all the justices gather to decide cases and pending appeals, her views occasionally are ignored. "When I will say something -- and I don't think I'm a confused speaker -- and it isn't until somebody else says it that everyone will focus on the point."

The same thing can happen in the public setting of oral arguments, the 76-year-old justice said. A case from April dealt with whether school officials abused their discretion by conducting a strip search on a 13-year-old female student who was suspected of carrying ibuprofen medicine, in violation of the school's anti-drug policy.

In arguments, she asked a lawyer for the school, "After Redding [the student] was searched and nothing was found, she was put in a chair outside the vice principal's office for over two hours, and her mother wasn't called. What was the reason for... putting her in that humiliating situation?"

Her colleague Justice Stephen Breyer had noted, "I'm trying to work out why is this a major thing to, say, strip down to your underclothes, which children do when they change for gym," Breyer said. "How bad is this, underclothes? That's what I'm trying to get at. I'm asking because I don't know."

Ginsburg countered that the girl was told by female staffers "to shake [her] bra out, to shake, shake, stretch the top of [her] pants."

In another case this term, the court ruled time off given women decades ago for pregnancy leave cannot be counted when deciding pension eligibility. Ginsburg dissented strongly, noting, "Certain attitudes about pregnancy and childbirth throughout human history have sustained pervasive, often law-sanctioned, restrictions on a woman's place among paid workers and active citizens."

The appeal had parallels to a similar workplace discrimination claim involving Lily Ledbetter. The former tire company manager alleged she was paid less than her male counterparts for equal work for about two decades, but did not find out about the discrimination until she was about to retire. The high court in 2007 ruled against her, saying existing federal law did not allow such lawsuits to be filed so late. Most workers had 180 days to file a claim after the first discriminatory pay decision.

But President Obama, in the first bill he signed when taking office in January, made law the Lily Ledbetter Act. It nullified the high court decision and said every new paycheck received over the years based on a discriminatory act -- regardless of when the first discrimination occurred -- would extend the statute of limitations 180 days.

Ginsburg told reporter Joan Biskupic that oral arguments in the 2009 pregnancy case were, "just for me, Ledbetter repeated."

Ginsburg is still recovering from surgery and post-operation chemotherapy after an early diagnosis in January for pancreatic cancer. Ginsburg has had no outward signs of complications, and has kept up with her busy schedule, both on and off the bench. She has told friends and colleagues privately she is doing well, and plans to be back on the bench for the start of the fall term.

Sotomayor's Senate confirmation hearings will begin July 13.

@highlight

Justice Ruth Bader Ginsburg happy about possibility of female colleague

@highlight

Ginsburg: "Women belong in all places where decision are being made"

@highlight

She says Sotomayor "well-equipped to handle the challenges our work presents"