Another "tiger" has been caught.  Last week, Ji Jianye, the mayor of my hometown Nanjing, a major city in eastern China, was arrested on suspicion of accepting bribes worth about 20 million yuan ($3.3 million)

After taking power in March, President Xi Jinping launched a high-profile anti-corruption campaign, vowing to catch both tigers and flies -- big and small corrupt officials.  China has seen plenty of such campaigns, arising and subsiding like summer storms.

But this one appears to be the most vigorous since China opened up; when corruption became rampant in the new market economy and officials started to trade power for financial gains.

Much as I appreciate our president's determination, his battle feels like an attempt to "put out a big fire with a glass of water," given how corruption has reached every corner of our society.

Chinese public opinion surveys identify corruption as the most hated social problem, yet everyone is also guilty of it.

Last year, when my father fell seriously ill, we took him to a decent hospital close by but were told the beds were fully occupied.  As always, we turned to our guanxi -- our network of connections -- for help.

Fortunately, a relative, a not so senior but well-connected official, managed to secure a private room at the hospital, which is reserved for ranking leaders.  In return, the relative agreed to get the son of the hospital director into the most desirable school in Nanjing.

I became aware the weight of guanxi shortly after I was thrust into adulthood: At 16 I was dragged out of the school to work at a military rocket factory.

Two months later, when Spring Festival came, my mother requested that I visit my boss' home with gifts she had prepared.  Naive and embarrassed, I refused.  Mother angrily predicted: "You'll never go far in life if you don't know how to la guanxi!"  The verb la means to pull or to develop.  Sure enough, I never got any promotion during my decade-long stint at the factory even though I acquired a degree in mechanical engineering.

For any Chinese businessman, guanxi is essential.  Recently, I met up with a long-lost friend, with whom I marched in the Nanjing streets back in the spring of 1989 and shouted "Down With Corruption" -- one of the complaints that had sparked the unprecedented Tiananmen Square democratic movement.

More than 20 years later, this friend spends 90% of his time running his high-tech company.  His youthful idealism has gone and his waistline has expanded considerably.  With a ghost of a smile, he blames it on the excessive dining, drinking and occasional visits to prostitutes that are part of the tiresome game of guanxi.  "Your business can't survive a day if you are not corrupt," he told me.

He has to smooth every step of his business with gifts or outright bribes: From obtaining the business license, to entertaining potential clients, to receiving 15% of the tax deduction that a high-tech company is entitled to.  He estimates that 3% to 5 % of operating costs goes to guanxi.

Such practices drive entrepreneurs to seek senior officials as their patrons because politicians in China have the power to approve projects and allocate resources.

The relationship between the now disgraced politician Bo Xilai and businessmen Xu Ming, the founder of Dalian Shide Group, was typical of such patron-client relationships.  Xu, a large man, allegedly fattened his pockets through his guanxi with the Bo family as he funded the family's jet-set life style.

Xu was detained shortly after Bo's arrest and testified against Bo at his trial in August, although Xu has not been charged with any wrongdoing.

Local media reports suggest that authorities are investigating similar ties between the newly disgraced Nanjing mayor and Zhu Xingliang, the richest businessman in Suzhou, a city near Nanjing, who has also been placed under house arrest.

And politically, China produces its top leaders more or less based on patron-client ties rather than meritocracy.  Both President Xi and Bo are "princelings" -- the children of senior leaders, the most powerful and influential group in China.  Nepotism, a form of corruption, has feudal roots.

In fact, I believe the whole corrupt practice of guanxi is rooted in China's long tradition of renzhi -- rule of men rather than the rule of law.

President Xi has called for a curb on official extravagance: No red carpet treatment, no luxury banquets and no fancy office buildings.  But these are the symptoms not the root of the problem.

To stamp out corruption, he will have to not only observe the rule of law but also introduce genuine political reforms that would allow checks and balances, transparency, and independent scrutiny.  Such remedies, although proven elsewhere, may be too strong for him to take.

I don't doubt that the authorities will net more tigers.  But there will be hundreds and thousands more at large and countless flies, thriving in China's politically and culturally rich breeding ground for corruption.

@highlight

Everyone in China is guilty of corruption, says writer Lijia Zhang

@highlight

Use of guanxi or connections part of everyday life

@highlight

Businessmen say they can't survive unless they are corrupt

@highlight

China needs to focus on rule of law not "rule of men"