(CNN) -- This is always a frightful time of year, but this year it got a bit scarier.

You may have been prematurely spooked by an "illegal alien" costume threatening Halloween thrill seekers with an extraterrestrial countenance, orange prison garb and a green card. There's also a version with a baseball cap and droopy moustache.

Frankly, I'm surprised the manufacturer, Forum Novelties, is not offering other stereotypical accessories, like low-rider flying saucers and glow-in-the-dark lawn mowers.

The costume reflects ominous trends: the deterioration of the immigration debate, the rise of anti-immigrant hostility as a form of racism and the need for greater empathy to bridge the gap between those who view such attacks as harmless humor and those who are demeaned and hurt by them.

According to a CNN.com article: "Political satire and Halloween often merge. Costumes depicting former well-known political figures are often seen alongside those depicting Batman or Wonder Woman."

But what if the inspiration for the satire is a group of disenfranchised people? When is a costume clever and funny and when is it an expression of uglier truths inside us?

The Coalition for Humane Immigrant Rights of Los Angeles, California, joined the League of United Latin American Citizens and the United Farm Workers of America in condemning the costume, calling on retailers to drop it.

Target was among those stores that quickly stopped selling it, while others, including BuyCostumes.com, chose "trick" over "treat."

"Wearing this costume shows poor taste and ignores the painful reality -- for millions of immigrants who must live through constant taunting,  discrimination and now mocking,"  the Coalition's director of communications, Jorge-Mario Cabrera, told me. "The costume is a sign of the decaying dialogue on immigrants as a community in the U.S."

Dreadfully, this costume contest also illuminates the evolution of discrimination in America. The Pew Research Center recently reported that 55 percent of adults say "there are 'very strong' or 'strong' conflicts between immigrants and people born in the United States" while "39 percent believe there are serious conflicts between blacks and whites."

The Pew report concludes that: "Disagreements between immigrants and native-born Americans emerge as the most prevalent and serious type of social conflict."

What we are witnessing this season is a metamorphosis of racism, from anti-black to anti-immigrant. It's like Darth Vader slipping into Voldemort gear. Still spine-chilling.

But not all trick-or-treaters are repulsed by the specter of prejudice masquerading as freedom-loving, tongue-in-cheek revelry. William Gheen, of Americans for Legal Immigration, said he is buying the costume.

"The only people getting upset are the hypersensitive, over-politically correct, pro-amnesty, illegal alien-supporting nuts." he said. "You can't attack people's freedom in this country."

This reaction highlights the polarization of the immigration debate in America and the widely divergent views on discrimination among different social groups.

According to the Pew survey, blacks, Latinos and women are significantly more likely than whites and men to say major conflicts exist between groups.

Some of the widest perception gaps exist between blacks and whites on whether black/white conflict persists: 53 percent of blacks said "yes" compared with 35 percent of whites.

Gaps also exist between Latinos and whites on whether conflict exists between immigrants and native-born Americans: 68 percent of Latinos said "yes" compared with 53 percent of whites.

It's interesting that racism and immigration-related conflict is most perceived by those experiencing its negative effects rather than those either perpetrating the prejudices or simply floating through life oblivious to them.

What may be dismissed as a non-issue or joke by some tastes bitterly like insult and injury to others. It depends on who wears the costume and who is the butt of the joke.

So before people brandish their right to ridicule and belittle entire ethnic groups, before such frivolous freedoms help stoke anti-immigrant fervor, let's pause and reflect. Just because we have a right doesn't mean we must exercise it. Even if we believe all undocumented immigrants should be shipped back to their nations of origin, we needn't mock their plight or demean their humanity.

We don't have to don a costume that strips 12 million people of their dignity just for a few cheap laughs. Which America do we hope to see in the mirror when the Halloween party's over?

How about trying to put ourselves in the shoes of that "illegal alien"? for no matter how you dress it up, it's cruel. So what are you going to be this Halloween?

I have this suggestion -- and it goes for manufacturers, retailers, shoppers and activists on all sides of the immigration issue. This year, don't get a costume; get a conscience.

The opinions expressed in this commentary are solely those of Rudy Ruiz.

@highlight

Rudy Ruiz: "Illegal alien" costume has alien's face, wears prison garb, carries green card

@highlight

Ruiz: Just because we have a right, we needn't demean people or mock their plight

@highlight

Says costume reflects the rise of anti-immigrant hostility as a form of racism

@highlight

Ruiz: If you're one of the people who are the butt of the joke, it's not so funny