Chimaltenango, Guatemala (CNN) -- In rural Guatemala, all it takes is a few minutes for tons of heavy mud to plow into a vulnerable hillside community and swallow its people and their homes.

Sometimes, the devastation is there for all to see. But not always.

"I met a couple who lost their children and their home ... all of it just gone," Anne Hallum said, recalling a trip to the country in 2005. "We arrived, and it was hard to believe anyone had died. There weren't bodies lying around. ... They were buried under."

Hundreds of dangerous mudslides occur every year during Guatemala's rainy season, which lasts from mid-May until October or November. In one extreme case, a mudslide resulted in 700 deaths, according to CEPAL, the U.N. Economic Commission for Latin America.

There are plenty of natural reasons why Guatemalans are vulnerable to mudslides: frequent earthquakes, hurricanes and heavy rains oversaturate Guatemala's mountainous terrain and muddy the soil. But Hallum said there's another mudslide trigger to consider.

"Deforestation -- or the absence of trees -- causes mudslides to occur," said Hallum, co-founder of the Alliance for International Reforestation, a nonprofit trying to help the villagers protect themselves from mudslides. "Trees are cut for firewood and to make room for the crops, and without realizing it ... they've taken away their protection. Where it used to be rainforest becomes an open space for the mud to come right on through."

Nearly 373 square kilometers of trees are destroyed each year in Guatemala, according to the University of Santa Barbara's Department of Geography. Through her group's efforts, Hallum is inspiring villagers to stop chopping and, instead, use trees to safeguard their lives and crops against mudslides.

The effort, nearly 20 years strong, was one Hallum said she never really planned. A political science professor at Stetson University in DeLand, Florida, Hallum traveled to the rural town of Nueva Concepcion, Guatemala, in 1991 as an adviser for a university field trip. It was her first trip outside the United States, and despite not being able to speak Spanish, she was moved by a blatant poverty that "broke her heart" and birthed a "new purpose."

"I went into the villages where lots of the trees were cut down, and I held some of the children," said Hallum, 57. "They were listless and couldn't hold themselves up. Their eyes were dull, and it became pretty clear that they were malnourished."

Do you know a hero? Nominations are open for 2011 CNN Heroes

The farms she visited were not sustainable, she said, because the soil was eroded and lacked nutrients. Hallum, a self-proclaimed nature lover, was not formally trained in agriculture, but she knew some basic facts about trees and food products that could be cheaply grown. With the help of a former student, she researched rural resources and learned that many local Guatemalan tree varieties could be strategically replanted to provide fruit, fertilizer, coffee, food and medicinal herbs where resources were failing or nonexistent.

"When we started, it was all about fighting poverty," Hallum said. "We wanted to help families farm better and feed their children better. But we started to notice that in the areas where (pine) trees were planted, the mudslides were no longer occurring. So that brought a new focus for us. Food, shade, fertilizer and mudslide protection -- the trees can do it all."

Not all trees that are planted can protect against mudslides, but Hallum said pine trees planted on high mountain slopes can be most effective.

Pine trees have long, anchoring tap roots that can extend 6 meters below the soil. When they are planted in slopes above residential areas, Hallum explained, heavy rains are unlikely to loosen their grip on the soil.

"We learned the hard way that without trees, we are at risk, and our land is at risk," said Jose Avelino Boc, a lemon farmer and Alliance program participant.

Boc, 53, has lost family and friends to mudslide disasters, and he now attributes his life and the success of his farm to Hallum's nonprofit.

"The trees give us life," he said. "If there is too much rain, they keep the soil. And the mountainside doesn't fall down anymore."

Constant land surveys, particularly during the rainy season, help Hallum and her team identify which rural areas need assistance. But the easiest way to determine which village to target next, Hallum said, is simply "to answer the door."

"They're coming to us directly now to ask for help," Hallum said. "People know us, and now they trust us."

Local Guatemalan staff -- all trained agroforestry technicians -- are assigned six villages each and provide free weekly instructional courses on topics like tree planting, sustainable farming and air quality. Each technician remains in his or her assigned communities for five years. Hallum credits her group's success to this commitment of staying within a community until the community itself can see and reap benefits.

"It's a lot of work," Hallum said. "We don't come in, plant some trees and leave. We do that, and they'll cut them down. It's a step-by-step process that starts with education. In a little time, they notice their crops are doing better; mudslides aren't happening. And the behavior changes: They start to protect the trees. We say: 'All right, you've got it. You know how to do this now.' Then we leave ... on to the next village."

The Alliance for International Reforestation has helped 110 rural villages plant more than 3.8 million trees throughout Guatemala.

As an added incentive for attending classes and planting trees, the group donates and installs ecofriendly, fuel-efficient cooking stoves to some program participants based on economic need. These stoves require very little firewood and give off no emissions. With the stoves, not only are fewer trees cut down, but families no longer inhale dangerous fumes caused by stovetop, chimney-less cooking.

The group also provides educational resources and promotes economic independence within communities. Its agroforestry textbook series has been adopted by more than 200 Guatemalan schools.

Hundreds of women have also benefited from the rural farming initiative. They help generate income for their families from the sale of fruits, salves and shampoos created from trees and fruits they learned to harvest.

"I learned so much from AIR and from Anne," Doña Elena Siquinajay said. "We're 50 women in our village working together. ... We come together and plant in the tree nurseries or pack the products, and we support each other. It is a lot of work, but we enjoy it very much. Without the program, some of us would not learn anything."

Although Hallum remains a full-time university professor, she spends all of her free time in Guatemala. After 40 visits, she is happy with the progress of the program and vows to keep returning to the "place where her heart remains."

"I can go back to areas that were nothing but mudslides and soil erosion, and now I see forest," Hallum said. "This is not just a project. We are a team. It's about building the community and saving the planet. ... It's about a better future for the children."

Want to get involved? Check out the Alliance for International Reforestation website at www.air-guatemala.org and see how to help.

@highlight

Anne Hallum is helping rural Guatemalans prevent mudslide tragedies

@highlight

Through her nonprofit, Hallum is showing villagers how some trees can provide protection

@highlight

The group also provides educational resources and agricultural know-how

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes