New York (CNN) -- Protests swelled in cities nationwide Friday as police forces struggled to either corral or remove demonstrators from downtown parks and plazas in the latest development of the monthlong Occupy Wall Street movement.

Scores of protesters were arrested in Denver, Seattle, San Diego and New York, though reports of violence were rare. CNN iReporters sent in photos and video from "occupy" protests across several American cities.

In San Diego, CNN affiliate KFMB broadcast images of police detaining demonstrators as they gathered amid tents and tarps strewn about a downtown plaza.

Protesters appeared to refuse to leave the area, sitting in columns atop the plastic tarps and yelling "stay down" as police tried to remove them from the scene. At one point, police used pepper spray to break up the crowd.

"We understand people have a right to protest (but), somewhere along the line, people have a right to conduct business," San Diego Police Chief William Lansdowne told CNN affiliate KGTV.

Police eventually removed tents that had been set up by protestors and cleared the area by late afternoon.

In Denver, authorities said 24 people were arrested as CNN affiliate KMGH broadcast aerial video of police detaining protesters in a downtown section of the city.

Colorado State Police spokesman Mike Baker said the demonstrators could be identified as two distinct groups: The first was a part of what he described as the local "Occupy" group, which maintained close communication with law enforcement during the demonstration. The second, he said, was a more "radical" faction.

"These were the ones (police) came into trouble with today," Baker said.

Most of those arrested in Denver were charged with unlawful conduct on state property, he said, while one other person was charged with simple assault. Another protester was arrested for impeding traffic.

In Seattle, police in riot gear rounded up and arrested 41 demonstrators who gathered in a city park, said police spokeswoman Renee Witt.

In New York , Deputy Police Commissioner Paul Browne said law officers arrested 14 demonstrators after they sat in roadways to block traffic, overturned trash bins, knocked over a police scooter and hurled bottles.

Wesleyan University student Ben Doernberg, who attended Friday's protest in Manhattan's financial district, shot video of at least one demonstrator being taken to the ground by police.

The video captures a police officer pressing his night stick against the back of the protester's neck during the arrest. The man is seen face down on the pavement.

He can be heard screaming after what Doernberg described as an earlier incident in which the man's leg was allegedly run over by a police motorcycle.

"I saw a number of other people being shoved or pushed with batons," Doernberg said. "I saw another officer punching people."

New York police disputed the claim that the man had been run over by a police vehicle. Independent witnesses from the New York Daily News and The Associated Press saw the man intentionally place his legs under the scooter, Browne said in a statement.

"(The man) had repeatedly disregarded lawful orders to get out of the street and onto the sidewalk, and then feigned being run over before kicking over the police scooter. He was arrested for felony criminal mischief, obstructing governmental administration, disorderly conduct and resisting arrest," the deputy police commissioner said.

The demonstrations, meanwhile, seemed to pick up steam across the country by late Friday afternoon.

CNN affiliate WDIV in Detroit showed aerial images of protesters rallying in city streets. An oversize sign fixed to the outside of a building read, "Outsource to Detroit."

Hip-hop mogul Russell Simmons called the protests "inspirational."

"People want this country to be better," he told CNN. "They want the money out of Washington." He said he believes the U.S. government remains largely controlled by corporations.

New York Mayor Michael Bloomberg also addressed the concerns again earlier Friday during his weekly radio show.

He said Brookfield Office Properties -- the real estate firm that owns Zuccotti Park, considered a home base for Manhattan protesters -- made the decision not to try to clean up the park, as it had announced, after the company was "inundated" with threatening calls from elected city officials.

The mayor said on New York's WOR Radio that he didn't know which officials allegedly made the threats, but the company decided to work out some form of a negotiated settlement in the coming days.

Bloomberg added that while he lacked firsthand knowledge of the conversations, he was told the officials generally threatened to "make life more difficult" for the real estate company.

Brookfield Properties issued a statement later Friday saying "a number of local political leaders" requested the cleaning of the park be deferred for "a short period of time." But the company declined to provide specifics on which city officials had made the calls or whether they were considered threatening.

The clean-up cancellation, meanwhile, averted a broader showdown between authorities and demonstrators, who appeared heartened by news.

"We are winning and Wall Street is afraid," protester Kira Moyer-Sims said in a written statement distributed by the group. "This movement is gaining momentum and is too big to fail."

Bloomberg's office also said the real estate firm withdrew its request for police assistance Friday.

"Our position has been consistent throughout: the city's role is to protect public health and safety, to enforce the law, and guarantee the rights of all New Yorkers," said Deputy Mayor Cas Holloway.

City officials in New York had initially told the protesters, who have been mostly peaceful, that they would have to be ready to move out of the way of cleaners beginning at 7 a.m.

But the demonstrators mopped, collected trash and scrubbed the pavement in the dead of the night as the Friday deadline neared. When the word of the postponed cleaning filtered through the more than 1,000 protesters who filled the park, they appeared jubilant.

"All day! All week! Occupy Wall Street," the group chanted, calling the development a victory of passive resistance.

"We're extremely excited. This is an example of what people power can do," said Tyler Combelic, a spokesman for the group. "This is what democracy is all about in this country,"

Protesters descended on Zuccotti Park, near the New York Stock Exchange, on September 17 to protest the nation's ailing economy.

A number of unions, including the United Auto Workers and the United Federation of Teachers, have since pledged to support the New York protest and similar demonstrations cropping up across the country.

"You want to clean up something? Clean up these crooks on Wall Street," shouted City Council member Charles Barron.

Brooklyn Councilwoman Letitia James said the move to clean the park was a "ruse" to end the protest.

But Bloomberg said Wednesday that the decision to clean the park was made after the owners voiced concerns about "unsanitary conditions and considerable wear and tear on the park."

"The mayor is a strong believer in the First Amendment and believes that the protesters have a right to continue to protest," his office said in a written statement. But the situation in the park is "not in the best interests of the protesters, residents or the city," it added.

Share your photos, video from the protests, but stay safe

Local business owners and residents have continued to express concerns about sanitation and the group's affect on the local economy.

The plan had been to clean the park in stages, with protesters being allowed to return to the park as areas were cleaned, but only if they obeyed the rules set forth by Brookfield Properties, the company said.

Authorities had distributed a pamphlet at the park outlining the rules, which included a ban on camping or pitching tents; lying on the ground or on benches; placing tarps or sleeping bags on the ground; and storing personal property that interferes with park use.

The protest campaign began in July with the launch of a campaign website calling for a march and a sit-in at the New York Stock Exchange.

CNN's Susan Candiotti, Rose Arce, Steve Kastenbaum, Raelyn Johnson, Deanna Proeller, John Couwels, Anna Gonzalez, Greg Morrison and Vivienne Foley contributed to this report.

@highlight

NEW: Police use pepper spray against protesters in San Diego

@highlight

NEW: Reports of violence have been rare

@highlight

Police arrest 41 demonstrators in Seattle

@highlight

In New York, 14 people are arrested after blocking traffic and hurling bottles