(CNN) -- The weekend before Christmas, Mother Nature is gifting -- or, rather, clobbering -- the United States with a little bit of everything. Ice storms, snow, flooding, thunderstorms, tornadoes and record-setting warmth are all in store, and with this maddening mix comes a massive headache for more than 94 million expected holiday travelers.

Unless you're on the West Coast, odds are the weather outside is frightful and complex. To make sense of it all, let us take you on a national tour.

Southeast: Thunderstorms, tornadoes and torrential downpours

While ice storms and snow wreak havoc in parts of the country, the bigger story that's brewing is about rain and a severe storm event, says CNN meteorologist Jennifer Gray.

Harsh weather continued Saturday evening, with a risk of thunderstorms in Louisiana, Mississippi, parts of Arkansas, Alabama and Tennessee.

Isolated storms that form ahead of these bigger storms could become supercells, which means the possibility of tornadoes. One tornado hit Friday night in Mississippi.

By midday Saturday, there were two tornado watches in effect. Saturday night, the National Weather Service in Jackson, Mississippi, said damage in that area -- four semi trucks overturned, five houses heavily damaged and 15 others with minor damage -- was likely due to a tornado.

Saturday night, the Mississippi Emergency Management Agency reported one death in Coahoma County, along the Mississippi River. There were no further details.

The National Weather Service issued a tornado warning late Saturday afternoon just west of Memphis, Tennessee, and there were reports of some semi trucks overturned on Interstate 40 in that area, according to CNN affiliate WREG.

In Hughes, Arkansas, the St. Francis County sheriff told WREG a possible tornado touched down in that area. A spokesperson for the Arkansas Emergency Management Agency tells CNN the storm destroyed two homes and damaged three others. Three people were hurt in the storm, one of with serious injuries.

Heavy rain, damaging winds and lightning were forecast to continue Saturday night into Sunday morning. These storms will spread, bringing downpours to Georgia, Florida, South Carolina and up the East Coast on Sunday.

Some of the highest rain totals for Saturday occurred in Junction, Illinois, where six inches were reported, and Trumann, Arkansas, where residents had seven inches of rain by late Saturday evening.

The main trigger for the severe weather is the above-average temperatures farther north.

Midwest: A flood of wet worry

The warm air in this system means heavy rains across the majority of the Midwest and fears of flooding in the Ohio River Valley. Flash flood warnings and watches and flood advisories are in effect from Ohio up to eastern New York, all the way down through Indiana, parts of Illinois, Missouri and Arkansas. Anywhere from 3 to 5 inches of rain could fall in some of those areas.

On Saturday evening, some low-lying areas of Shelby County, Indiana. were evacuated as the rain continued to fall in central Indiana.

Where temperatures are lower, snow will come down across Iowa, Wisconsin and into northwest Michigan. Some areas will see up to 8-10 inches of snow, others around 4-7 inches. And an ice storm is predicted in southeast Michigan.

Central Plains: Slammed with ice and snow

Power outages, falling tree limbs -- if not trees -- and treacherous roads are in the forecast for a large part of Oklahoma. An ice warning has been issued for the northern and central parts of the state, including Oklahoma City. Residents there are being encouraged to hunker down at home, CNN affiliate KFOR reports. They're even being warned not to park their cars beneath trees.

In Kansas and southeast Nebraska, snowfalls will total 3-6 inches. And those cold temps will keep folks shivering.

CNN's Nick Valencia has been bundled up outside Kansas City International Airport in Missouri.

"Just a few days ago people were outside in T-shirts and shorts grilling. Now this," he said. And while the roads are of serious concern, he said diehard Kansas City Chiefs fans are also worrying about Sunday's NFL game.

So far there have been no flight cancellations or delays at that airport, Valencia said. But Whitney Eichinger of Southwest Airlines told him the company is looking out for the safety of travelers.

"We are allowing customers to rebook their trip with no penalty through tomorrow," she said. "That has more to do with traveling to the airport, not flight cancellations."

The highest snow total of the day was in Cloudcroft, New Mexico, where 12.5 inches had fallen by late Saturday evening.

Mid-Atlantic/Northeast: Weirdly warm

If there is one present being handed out on this first day of winter, it is the well-above-average temperatures in the Mid-Atlantic, with record highs up to the 70s anticipated.

By Sunday, that warm weather will grace the Northeast, sending temperatures into the 60s. Already, in Boston Saturday, the temperature is in the mid-50s.

Farther north, however, the situation is less cozy. In Maine and across New Hampshire, Vermont and into New York, winter weather -- including ice storm warnings and freezing rain -- are in effect.

New York Gov. Andrew Cuomo declared a winter ice emergency and activated the state's emergency operations center. The National Weather Service in Buffalo issued a winter storm watch for five counties in upstate New York and winter storm warnings for two others. The NWS in Buffalo said up to an inch of ice accumulation is expected, and areas near the St. Lawrence and Black rivers could see even more.

CNN's Jennifer Gray, Nick Valencia, Todd Borek and Matt Daniel contributed to this report.

@highlight

NEW: One death reported in Mississippi, agency says

@highlight

Damage in Jackson, Mississippi, likely caused by a tornado, National Weather Service says

@highlight

New York governor declares winter ice emergency

@highlight

Possible tornado injures three, damages homes in Arkansas