(CNN) -- The gang rape and murder of a 23-year-old student on a moving bus in New Delhi in December 2012 marked a sharp turning point for the debate on women's rights in India. The protests that exploded nationwide following the incident brought the issue forcefully to the political table in a way that revealed the power of the Indian masses, according to a prominent advocate for women's rights.

"As women in India, we grow up with constraints; and live with a degree of discrimination and assault," says Karuna Nundy, a Supreme Court lawyer, adding that privileged women, who have a significant amount of power, have to deal with it a lot less.

"But when thousands of people came out onto the streets and walked in front of the Rashtrapati Bhavan, the presidential palace, I think it became clear to me that none of us have to deal with this anymore -- that people around the country are standing with us and saying 'enough.'"

That sentiment is shared by the majority of Indians taking part in the country's general election this month, according to a recent public opinion poll.

More than 90% of Indian voters see the combating of violence against women as a priority, second only to corruption, the MDRA/Avaaz survey released last week shows.

According to the poll, 75% of men and women participating in the largest democratic event in history also believe that the political promises made to advocate women's rights have been inadequate so far.

"The electoral process is a very important time to hold parties to account and to make it clear that politicians will lose their seats if they don't truly represent the aspirations of the people," says Nundy. "Politicians need to respond to that."

So what are some of the main promises being made by the leading election contenders?

The three main parties cite similar goals, including enacting the Women's Reservation Bill, which would allocate a third of seats in parliament and state legislatures for women, as well as enforcing fast-track courts -- the same process used to convict the accused men in the gang rape case.

The ruling Indian National Congress party, which has been in power for 49 years and is led by Sonia Gandhi, claims it will ensure at least 25% of staff at all police stations are female.

The main opposition, Bharatiya Janata Party (BJP) led by Narendra Modi, released its manifesto on the first day of the polls and says women's security is its focus.

The recently formed Aam Adme Party (AAP or "Common Man" party), born out of a desire to eliminate corruption, enjoyed an astonishing victory in Delhi in the local assembly elections last year. During a news conference in New Delhi on Thursday, the party's leader and former activist Arvind Kejriwal said women's safety is the "biggest issue which has come to the forefront" and promised it would be high on the party's agenda.

But how convincing are these pledges?

"There have always been throwaway, ad hoc references to realizing women's rights in manifestos in the past," says Nundy. "In this election we see an increase in parties addressing those rights. They're addressing them more frequently but the approach is still ad hoc."

The outcry after the gang rape in Delhi did instigate some change, says Nundy. For instance, under the Criminal Law (Amendment) Act, 2013, stalking and voyeurism have become offenses and it is now possible to file a criminal complaint against a police officer.

"But it's not enough," Nundy says. For example, "marital rape is still not criminalized, it's still explicitly legal. (The law) says it's rape unless the parties are married."

Dissatisfied with the government's efforts, NGOs, women's movements, journalists, economists, academics and lawyers are promoting their "Womanifesto:" A six-point plan, first drafted last year, that details what needs to be done within the next five years to improve conditions for India's women and girls.

The six points are: Educate for equality; make laws count; put women in power; appoint police for the people; enact swift, certain justice; and ensure a flourishing economy.

Nundy, co-founder of the plan, received early confirmation from AAP party leader Kejriwal to commit to the charter. However, the Congress and the BJP are yet to agree.

Another motivation for the Womanifesto was to spell out the process in which women's issues should be tackled.

Co-contributor Kavita Krishnan, who is also secretary of the AIPWA (All India Progressive Women Association) and national leader of the Communist Party of India (CPIML) says political parties end up "moral policing women in the name of protecting them" by imposing dress codes or punishing couples for being intimate in public.

Although the mass protests following the Delhi gang rape spurred change, Krishnan argues that the focus of the outcry needs to shift: "Among the protesters there was still a large number that demanded the death penalty for rapists and little else -- and it is this sentiment that parties tend to play to, pushing patriarchal protectionism rather than women's equality and rights."

Nundy says a drawback in India is action: "The problem with India is not that we have bad laws; I mean, the laws aren't perfect at all, but the problem is that they aren't implemented."

Another major challenge for the Indian government is the country's 1.2 billion population, with richly diverse religious and cultural practices. Some, such as infanticide and dowry customs, are oppressive for women. So how can any plan accommodate the entire country?

Referring to the Womanifesto, Nundy says: "There would be local discussions about this. This is one page. It can't be the same plan for everyone; India's too big a country. Breaking down (the plan) for local practices and customs would be required."

Priya Nanda, group director at the International Center for Research on Women (ICRW), adds: "Civil society needs to help the government. For certain areas, even the government doesn't have the skills.

"It's not just about running out there and delivering a service or a product. You're building perspectives, trying to change norms and attitudes, so it takes time to do that."

INTERACTIVE: India elections: By the numbers

@highlight

A recent poll finds most Indians see combating violence against women as a political priority

@highlight

The three main parties in India's general elections have pledged to support women's rights

@highlight

Dissatisfied with the state's efforts, civil society groups draft a plan to tackle women's issues