(CNN)  -- The recent emergence in the United States of "K2," sometimes called synthetic marijuana, is testing lawmakers to see if they've been paying attention to the failures of marijuana prohibition and will respond to K2 with enlightened policy.

The first stories on K2, or "Spice," broke out with headlines labeling the mixture of herbs and spices, which are treated with a synthetic compound, as "fake pot." K2 was virtually unknown until the media hyped up its presence at tobacco and novelty shops.

Under U.S. law, and in all 50 states, the herbal product is legal, and also unregulated. People who have tried K2 often report psychoactive effects that are comparable to marijuana, but notably less pleasurable.

When lawmakers consider regulating K2, they should keep in mind that the government has waged a futile war against marijuana and people who use the drug for decades.

For another opinion, click here

Elected officials have burned through billions of taxpayer dollars chasing marijuana sellers, bagging marijuana plants and jailing marijuana users.

Government-funded media campaigns have sought to scare children and adults away from marijuana with grossly exaggerated claims that using the drug will lead to death and mayhem.

Despite all of these efforts, the public has largely dismissed the myths and hysteria around marijuana and recognized that the drug has important medicinal benefits. Moreover, public opinion is leaning in favor of a regulated and taxed market for marijuana.

Researchers who have tested K2 identified synthetic chemicals that are thought to mimic the psychoactive component in marijuana. These chemicals are thought to act on the cannabinoid receptors in the brain much the way that THC -- the principal psychoactive component in marijuana -- operates.

What's notable about these synthetic chemicals is that very little is known about them, and this legal alternative designed to deliver an experience like marijuana may actually carry more risk. Thus we have a supreme irony of drug prohibition: The government continues to criminalize marijuana -- a drug with established medical value that has undergone exhaustive study -- and entrepreneurs introduce a legal alternative to marijuana with ingredients scientists know little about.

Given this potential for harm, and the growing volume of sensational media portrayals of K2, some lawmakers have ignored the lessons learned from marijuana prohibition and moved to criminalize possession and sales of K2.

Lawmakers in Kansas, Kentucky and Missouri have already written legislation to ban the herbal mix. It seems that a reporter need only write an article about an obscure bag of twigs to spur a lawmaker to criminalize more chemicals and the people who use them.

Time and time again, elected officials have dropped the ball when it comes to regulating drugs. Lawmakers have preferred to lazily pass the responsibility of controlling a drug on to law enforcement and the criminal justice system.

The problem is, we know from marijuana prohibition that law enforcement has no control over the drug market and the criminals who run it. Criminalizing K2 will only worsen the devastating harm our society already suffers under drug prohibition. Rather than regulation of the supply and ingredients of K2, criminalization leaves the question of what goes into the product up to drug dealers.

Rather than passing regulations that bar K2 sales to minors, criminalizing K2 will essentially give dealers the green light to sell the product to whomever they please.

By choosing to ban K2 outright, lawmakers will also forfeit badly needed state revenue from K2 sales and instead commit millions of taxpayer dollars to investigate, prosecute and jail K2 users. Plus, researchers point out that hundreds of other known synthetic chemicals will easily reach store shelves once K2 is banned.

The sensible legislative response to K2 is to create effective regulatory controls on sale and possession. California and Maine have passed model legislation that formally regulates and taxes adult sales of salvia divinorium -- another product with psychoactive properties -- and criminalizes salvia sales to minors.

Lawmakers should deliver a knockout to prohibition and pass laws that will actually regulate and control K2.

The opinions expressed in this commentary are solely those of Grant Smith.

@highlight

Grant Smith: "K2," sometimes called synthetic marijuana, should be regulated for safety

@highlight

But, he says, lawmakers must not duplicate costly, futile war against marijuana

@highlight

Criminalizing the treated herbal mix K2 will turn trade over to drug dealers, Smith writes

@highlight

Smith: Regulating K2 generates revenue, saves millions on prosecution of users