(CNN) -- The facts show, and President Barack Obama and his Republican challenger Mitt Romney agree, that U.S. production of oil and gas has increased over the past four years.

But is this rise because of Obama, or "in spite of his policies," as the former Massachusetts governor said at Wednesday night's debate?

"All of the increase in natural gas and oil has happened on private land, not on government land," Romney said. "On government land, your administration has cut the number of permits and licenses in half."

The facts:

The Republican nominee's assertions can be broken down into two parts. The first has to do whether "all of the increases in natural gas and oil" under Obama are attributable to drilling on private land, rather than federal and Indian lands and offshore areas.

This statement raises a few questions. Firstly, has there been more oil and gas production, relatively, on private lands versus federal lands? Secondly, does the federal government, through regulations and license approvals, have any impact on oil and gas production on private land? And last, can "all" the increase in production be tied to production on private lands?

There is no dispute that natural gas production on private lands has increased. Adam Sieminski, head of the U.S. Energy Information Administration, told a congressional subcommittee in August that it went up "by 16.4 billion cubic feet per day" from fiscal year 2005 to fiscal year 2011, which ended September 30, 2011 -- a period that includes parts of the administrations of both President George W. Bush and Obama.

Meanwhile, natural gas production on federal and Indian lands has steadily fallen, a trend that began around fall 2002. This is due to a consistent decrease in offshore gas drilling, though such gas production onshore, on federal lands, is actually higher now than it was at the end of the Bush administration.

Overall, the percentage of U.S.-produced natural gas from federal lands -- relative to that produced from private ones -- fell significantly over the past eight years, from 35% to 21%, reported Sieminski.

Oil production is more a mixed bag. On state and private lands, oil production was actually going down in the 2000s, leveled off between fiscal years 2007 and 2010, then went up by 385,000 barrels a day in fiscal year 2011, when the most recent data are available, Sieminski said.

On federal and Indian lands, as well as federally approved offshore drilling sites, oil production went up from 1.6 million barrels per day to 2 million barrels per day between fiscal years 2008 and 2010. But it dropped to 1.8 million barrels per day for the last fiscal year available, a decrease that the U.S. Energy Information Administration attributes to the impact of the Deepwater Horizon oil spill in the Gulf of Mexico.

Despite the one-year drop in production, oil production on federal and Indian lands from 2009 through 2011 totaled 2.027 million barrels. That's an average of 675,000 barrels per year during Obama's term, compared to an average annual production of 609,000 barrels annually during Bush's last term.

Now, moving onto the second part of Romney's statement -- that Obama's "administration has cut the number of permits and licenses in half."

The Institute for Energy Research, a nonprofit research and advocacy group that has been critical of Obama, asserted in a September 26 report that the rate of oil and gas leasing (or licenses, as Romney stated) "has slowed by about half."

It then directs readers to a chart on the federal Bureau of Land Management's website.

This chart does show that fewer leases have been granted under the first three years of Obama's administration, compared to the last few years under Bush. Fewer drilling permits have also been issued, for these lands.

During the last three fiscal years totally under Bush, there were 9,661 "new leases" granted for federal lands. For the three most recent fiscal years (which includes a few months of Bush's administration), there were 5,568 such new leases. This works out to a 42.4% decrease.

Take the same comparable periods for drilling permits on federal lands. There were 20,479 for the last three years under Bush, then 12,821 for the most recent three including much of Obama's first term. This is a 37.4% decrease.

Complete coverage of CNN's Fact Checks

Conclusion:

There has been more oil and natural production on private lands than in federally controlled areas. So Romney is correct in pointing out an imbalance.

But it is an overstatement to say that "all of the increase" has been on private lands -- since, by definition, new permits and licenses have been granted for federal lands (bringing in more gas and oil).

Romney's claim that Obama's administration has "cut the number of permits and licenses in half" for federal lands is also not on the mark.

True, there has been a significant drop -- one tied, in part, to the unprecedented Deepwater Horizon oil spill. Yet the actual numbers of permits and licenses haven't been "cut ... in half." As mentioned above (and including data from part of the Bush administration), there has been a 42% decrease in leases and 37% decrease in drilling permits -- not 50%, as Romney implied.

Even the Institute for Energy Research acknowledged that "this decrease isn't a result of President Obama's policies exclusively, but it is the result of decades and policies that have systematically reduced energy production on federal lands."

Fact Check: Is Donald Trump a small business?

Fact Check: Job creation versus unemployment

Fact Check: Green energy

Fact Check: Seniors' drug prices

CNN's Lindsey Knight and Greg Botelho contributed to this report.

@highlight

Oil and natural gas production did rise in the past four years, much of it on private land

@highlight

Romney: The whole rise in U.S. gas and oil production "happened on private land"

@highlight

Romney: Obama "cut the number of permits and licenses in half" -- which isn't quite true