(CNN) -- Members of Congress working to pass immigration reform are divided on many issues, but there's one they agree on. Democrat and Republican, virtually all have been adamant since the debate began that President Obama should stay out of it-- that pressure from the White House would only spur resistance on Capitol Hill.

Still, there's an exception to every rule. The president has the power to transform the immigration debate by one simple action: nominating a tough, law-enforcement Republican to replace Janet Napolitano as secretary of Homeland Security.

The prospects of passing reform hang uneasily in the balance this month as members of Congress spend time at home in their districts. Back in Washington, an all but unbreakable House rule mandates that passage of any law as momentous as immigration reform requires a "majority of the majority" -- in today's House, 118 GOP votes. And many Republicansâ€”a majority, I believe--are still up for grabs.

In the past, many House Republicans have opposed immigration reform, but attitudes have changed dramatically in recent months, thanks largely to a new understanding of the Latino vote's power. A dwindling minority still oppose reform at all cost. A growing but still small minority is generally favorable to an overhaul. And the rest -- the majority in the middle -- are wrestling to come to terms with an issue they're suddenly seeing in a new light. They are reexamining the facts, questioning old assumptions, trying on new policy ideas and asking themselves how far they can stretch. The ferment is palpable --as are the possibilities.

Opinion: Key to immigration reform -- worker visas

The biggest obstacle: House Republicans don't trust that Obama will enforce the law.

This mistrust has deep roots, and Obama has only inflamed it in recent years. The last time Congress passed an immigration overhaul, in 1986, it was cast as a grand bargain: amnesty for the millions of immigrants then living in the country illegally in exchange for tough enforcement on the border and in the workplace.

By the early 1990s, 3 million formerly unauthorized immigrants had earned legal status and were on their way to citizenship. But the border was more porous than ever, and workplace enforcement had all but ground to a halt, as a new cottage industry in forged identity documents erased all hope of meaningful control and a frustrated immigration service threw up its hands.

Enter President Obama, who from day one has shown what House Republicans consider a decidedly selective approach to the law. Whatever you think of Obamacare or the Defense of Marriage Act, they are the law of the land -- but the president has enforced them only when he felt like it, if he felt like it at all--putting a hold, for example, on the Obamacare employer mandate. On other issues, he has thumbed his nose at the Constitution's federal balance of power, bypassing Congress to appoint members of the National Labor Relations Board and grant legal status to young immigrants brought to the U.S. as children.

As for immigration enforcement, there has been some progress in the Obama years on the border and in the workplace, but two huge congressional directives remain just that, unfulfilled directives. One is completing the 700 miles of fence mandated in 2006, the other building an electronic "exit" system to track that foreigners visiting the United States on visas leave the country when they say they will -- a mandate that dates to 1996.

There's nothing Obama can do to restore Republicans' faith in him -- that horse left the barn years ago. And not any Republican appointment to the top immigration enforcement job will reassure the GOP.

A Republican seen as a dove on immigration will change nothing -- might as well go with a Democrat. So, too, a Republican popular in the mainstream media or among sophisticated elites, and that rules out even accomplished law enforcement officials like, say, Bill Bratton, former police commissioner in New York and Los Angeles, or Raymond Kelly, now the top cop in New York City.

Opinion: Crunch time for immigration, budget fights

What's needed is someone so reliably tough and so committed to enforcing the law that even diehard immigration hawks do a double-take when the name surfaces. Part of the point, after all, is neutralizing criticism from immigration restrictionists. And of course, such a choice will make many Democrats gasp. That, too, is part of the point. Without it, skeptical Republicans will not be convinced.

The other indispensable requirement is that a nominee should be someone with enough national stature -- a household name, if possible -- to push back against the president if need be. House Republicans need to know that this person will hold the line, no matter what the president tries, will take his or her case to the media if necessary, and will have enough popular support to make a national appeal effective.

Who fits this bill? It's not a long list. Would Rudy Giuliani take the job? Condoleezza Rice? A respected general? Someone who proved his law and order bona fides in the last Bush administration -- former Attorney General John Ashcroft, for example? Or former Sen. Jon Kyl of Arizona, a committed immigration enforcement hawk and among the Republican lawmakers, sitting or retired, most knowledgeable about the issue?

Coming up with the right name won't be easy, but ultimately this is a question about Barack Obama. Is he strong enough -- and self-confident enough -- to take this step? Can he brook the dissent and give up control? If he means what he says when he talks about enforcing the law, he should put his money where his mouth is. Nothing would do more to improve the chances of passing immigration reform on his watch.

The opinions expressed in this commentary are solely those of Tamar Jacoby

@highlight

Tamar Jacoby: Obama can help immigration debate by picking tough DHS secretary

@highlight

She says he should pick a well-regarded Republican to win trust of GOP on reform

@highlight

She says Congress, returning from break, will respond to gesture when debate resumes

@highlight

Jacoby: Giuliani, Rice, Ashcroft? One could spur reform. Can Obama give up control and do it?