(CNN) -- Does it matter that the new pope comes from Argentina? It matters greatly, because Argentina shaped the life and the views of Cardinal Jorge Mario Bergoglio, now Pope Francis. Through Francis, Argentina will help shape the church.

More than any country in Latin American, Argentina is a nation of immigrants, with an unlikely mix of inhabitants -- including one of the world's largest Jewish communities. It is nation that has undergone enormous political upheaval, where the human rights abuses of a cruel military dictatorship remain an open wound. It is country of great natural wealth and a proud culture on impressive display, but one in which poverty and inequality remain urgent problems.

The College of Cardinals elected the first pope from the Americas in its history and the first non-European in more than a thousand years. But the choice is important for more than symbolic reasons.

The times in which we live test us and mold us. They are our crucible.

In Argentina, Bergoglio was tested and we can see some of the ways in which he was molded. By examining his career in Buenos Aires we can gain some insight into his coming papacy.

As archbishop of Buenos Aires, Bergoglio had an extraordinarily close relationship with the city's Jewish community. He worked together with them on anti-poverty programs and co-authored a book with a rabbi. As part of that relationship he was willing to address the Catholic Church's controversial role during the Holocaust, supporting the need to open the Vatican files to find out the truth. This suggests he might be open to lifting some of the secrecy that has shrouded the Vatican in other controversies, perhaps even including the recent child sexual abuse scandals.

Opinion: Pope Francis, open up the church

He showed a commitment to interfaith relations, respect for other religions, and a determination to fight for justice. He attended Rosh Hashana services, lit Hanukkah candles, and pushed the Argentinean government to persevere with a stalled investigation of a 1994 attack against a Jewish community center, the worst terrorist attack in Argentina's history. He showed his commitment to finding the truth was not a matter of offering a sound-bite, but of pursuing justice; again, a possible hint of things to come.

His selection was widely celebrated in Argentina. Like every other Argentinean, this pope will be a devout soccer fan. The soccer superstar Diego Maradona proclaimed, "The god of soccer is Argentinean, and now the pope is, too. It makes our country joyful."

But not everyone in Argentina is celebrating.

Some human rights activists say Bergoglio's behavior during the dictatorship that consumed Argentina from 1976-1983 was shameful. During the years of military rule, the regime abducted and killed up to 30,000 people. During most of that time, Bergoglio was head of the Jesuit order. The Catholic Church generally supported the dictatorship.

In the book "The Silence," by investigative reporter Horacio Verbitsky, Bergoglio is accused of deliberately failing to protect two Jesuit priests who were captured and imprisoned by the government. In a separate case from that era, Bergoglio has been called to testify about the kidnapping of a baby, part of a regime practice of stealing the children of imprisoned activists and handing them for adoption by prominent families. Elena de la Cuadra says she and her husband were kidnapped and their baby stolen. They claim Bergoglio failed to intercede when he was asked, and accuse him of having knowledge of the practice and not speaking out.

Navarrette: Pope pick a signal to Latino Catholics

Bergoglio denies the accusations, and his supporters, including Argentinean Nobel Peace Prize winner Adolfo Perez Esquivel say they are not true.

More recently, Bergoglio has not shied away from challenging the government. He vehemently rejected support for same-sex marriage, calling gay rights legislation "a machination of the Father of Lies." And he forcefully criticized the government for what he viewed as a failure to tackle poverty and inequality.

Much has been written about his disdain for earthly comforts -- he prefers the bus to a chauffeur-driven limousine and cooked his own meals until now -- but his activism on behalf of the poor has been just as much a hallmark of his life. While he rejects "Liberation Theology," a radical social and political ideology, he supports an aggressive policy to promote equality.

And in what will be a papacy guided by conservative moral standards on most issues, his past suggests that the fight against poverty will take a primary role. He has declared that "human rights are not violated just by terrorism, repression and assassination, but also by unjust economic structures that produce great inequality."

Living in Argentina during the years of dictatorship and during times of economic upheaval that created more poverty put the new pope in a position to make moral choices. Other popes before him faced the challenges of their time.

Opinion: Pope Francis - A conservative who sides with the poor

His immediate predecessor, Pope Benedict XVI, came of age in Nazi Germany and, like other people of his generation, was a member of the Hitler Youth and served in the German military. He tried to explain those circumstances to critics during his papacy. Before him, Pope John Paul II grew up under communist rule in Poland, a fact that played a key role in his papacy when he helped inspire the fall of the Iron Curtain in Eastern Europe.

Pope Francis grew up in a different place, with a different history. He lived in a country with a large Catholic majority, but one where most people are not particularly devout. He will try to make Catholicism relevant, particularly to the poor, and he has shown he is not likely to promote a theology that seeks to demonize or distance itself from those who practice other religions.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Argentina has unique makeup, circumstances that were crucible for new pope

@highlight

She says Francis had close, good relationship with country's large Jewish community

@highlight

She says he's been accused of abetting dictator there in '70s, '80s; He denies this

@highlight

Ghitis: He's conservative, has shown interest in inequality, sees poverty as rights issue