(CNN) -- It's a plot twist that even a thriller writer might have struggled to come up with during Serbia's European qualifying clash with Albania in Belgrade.

A drone flying a flag depicting the "Greater Albania" over a major international soccer game Tuesday was the subject of a 'whodunnit' mystery after the brother of the Albanian prime minister hit back at allegations by a Serbian government official that he had been piloting the quadcopter.

"I am very disgusted by the allegation of my having any involvement in the piloting of the drone," Olsi Rama told CNN Wednesday, who said he had been taking pictures of the game from a VIP suite at the stadium.

As a football match mushroomed into a diplomatic incident amid claim and counter-claim in a region of a world that is still riven by ethnic divisions, his version of events conflicted with Serbia's version of events.

"According to the information from the police he (Olsi Rama) was in possession of the navigator," said a Serbian official as the country's football federation labeled the drone flight a "terrorist action planned in advance."

UEFA has confirmed that disciplinary proceedings have been opened against both teams.

The game was abandoned after 41 minutes with players clashing after the flag was taken down by a Serbian player.

Rama insisted the police's actions were part of a Serbian "plot," after discovering he was the Albanian prime minister's brother.

"There were 50 or so Albanian guys who can say I didn't have the controller-- they searched everyone."

The Serbian prime minister's office also stated that Rama was arrested and sent home to Albania, a claim denied by the Albanian government's spokesman.

"There is no proof whatsoever and Olsi Rama was never arrested in Belgrade," Endri Fuga, communications director for the prime minister of Albania told CNN.

"He has nothing to do with the drone."

The contest, played at Partizan's stadium in Belgrade, was abandoned near the end of the first half following ugly scenes involving fans and players.

"When you have 32,000 people shouting kill, kill, kill Albanians, it's living in another dimension," said Rama.

Albanian players ran from the field, while a number of missiles and flares were thrown from the stands by some home supporters. Images from photo agencies showed fans had invaded the pitch.

"What happened last night in Belgrade is truly sad," Fuga told CNN.

"The Albanian government firmly condemns the despicable expressions of racism and violence against the Albanian National team players.

"We put all of our trust in UEFA to conduct a fair investigation which sheds light on the truth of all that happened in the Belgrade Stadium, from the start of our national anthem to the very last moment that our squad left the stadium," added Fuga referring to European football's governing body.

"Football should never be mixed with politics and state politics cannot be driven by what happens in a football match."

Fuga believes the scenes witnessed in the Serbian capital offer "further proof that the ghosts of the past" that still haunt the Balkans.

"The false story that the Albanian prime minister's brother instigated the showdown of violence by launching a drone carrying a flag over the stadium, is a testament to the presence of harmful elements that wish to keep this region mired in the past," said Fuga, who explained Rama was one of a few dozen Albanians who attended the game with valid tickets provided by the country's football association.

He says that the group were searched by police but not found to be carrying anything.

"The Albanian Prime Minister remains firmly committed to fostering this new, historical chapter of peace and cooperation," said Fuga.

"He will do all in his power to ensure it will not be closed by hatreds such as those which cast such a negative shadow on the football game."

Rama says that he was moved from the VIP box for security reasons and informed the authorities that he held American citizenship before being given a police escort to waiting buses.

"I tried with my broken Serbian to understand what was happening, but they said this is orders," he added.

"I had no involvement in the drone. When the banner came up we had no idea, we thought some Serbians set it up."

Prime Minister Rama is scheduled to arrive in Belgrade in the next few days -- the first such visit by an Albanian leader in 68 years.

In a statement on its website, UEFA said that the match "was abandoned and the circumstances will be reported to the UEFA Control, Ethics and Disciplinary Body."

UEFA spokesperson Pedro Pinto told CNN an announcement on sanctions against both countries are expected to be made within a week.

Albania's first visit to Belgrade since 1967 was expected to be a tense occasion, though the events of Tuesday evening appeared to catch security authorities by surprise.

The "Greater Albania" insignia, which was attached to the drone, refers to the idea of an extended area in which all ethnic Albanians reside -- one which would include Kosovo.

The two illustrated figures on the flag were Isa Boletini, an Albanian nationalist who led uprisings against the Serbs and Ottomans in 1912 and 1913, while the other, Ismail Qemali, is considered to be the founder of the modern Albanian state, which became independent in 1912.

The word "Autochthonous," which refers to an indigenous inhabitant of a place, was emblazoned at the bottom of the flag and is considered an offense to Serbians.

When Serbian player Stefan Mitrovic ripped the flag down, it provided the catalyst for an already combustible tie to fully ignite.

Albanian players ran from the field, while a number of missiles and flares were thrown from the stands by some home supporters. Images from photo agencies showed fans had invaded the pitch.

Martin Atkinson, the English referee, took the players off the field with the game goalless.

"What happened is something we can't comprehend at the moment," Serbia captain Branislav Ivanovic told reporters following the abandonment.

"On behalf of my team, all I can say is that we wanted to carry on and that we shielded the Albanian players every step of the way to the tunnel (after the riot broke out).

"The Albanian team said they were unfit physically and mentally to carry on after talking to the officials and they will now decide the fate of this match.

"We can only regret that football took a back seat but it is difficult to draw any conclusions or make any comments now."

Security had been tight in the lead up to the contest in Belgrade with away fans prevented from attending amidst heightening tensions over Kosovo -- a majority-Albanian former Serbian province which declared independence in 2008.

In 1999, a 78-day air war was launched by NATO to stop the killing off ethnic Albanians in Kosovo by Serbian forces.

Kosovo's independence is recognized by many countries including the United States, the United Kingdom, Germany and France -- but not Serbia.

Four of Albania's starting lineup were born in Kosovo, with Lorik Cana of Italian club Lazio, goalkeeper Etrit Berisha, midfielder Burim Kukeli and Ermir Lenjani.

With Kosovo not recognized as a state by the United Nations, it is unable to join FIFA or UEFA, meaning some of its players have adopted other countries.

Xherdan Shaqiri, who plays his club football with Bayern Munich, represents Switzerland as does Valon Behrami and Granit Xhaka.

While Kosovo is able to play friendly matches, the team cannot compete in international competition.

Belgium-born Adnan Januzaj, one of the most exciting talents in the English Premier League with Manchester United, turned down the opportunity to play for Kosovo, where his father is from. He was also eligible for Albania through his mother's lineage.

"We came to Belgrade to play football, but we were physically attacked by the Serbian supporters," Cana told reporters on Tuesday.

"We just wanted to take the flag, and everything would be under control if the stadium security at the stadium had prevented the supporters from attacking our players.

"I was defending my teammate, I have injuries to my face, as does Taulant Xhaka. They asked us to play in front of empty stands (instead of abandonment) -- however, we did not feel good because of our injuries."

The two countries must now wait for UEFA to make a decision on whether the game should be replayed. and what punishments are handed out.

"It is a regretful situation on which we will report; the referee, myself and the security adviser. The circumstances were such that we couldn't continue the match," UEFA's match delegate, Harry Been told reporters.

"You all saw what happened and I cannot comment on who is to blame or what to blame. I will submit a report with my colleagues to UEFA and UEFA will decide what will happen further."

@highlight

Prime minister of Albania's brother hits back at allegations

@highlight

Serbian official told CNN that drone was controlled by Olsi Rama

@highlight

Serbia vs. Albania game abandoned after 41 minutes

@highlight

Flag flown over stadium by drone sparked chaos