(CNN) -- It was described as a "dramatic shift" and a "bombshell." One writer dubbed it a "stunning change." Even the Human Rights Campaign, the LGBT advocacy organization, announced a "seismic shift in Rome." So it was all the more disheartening that the Catholic Church's Synod of Bishops decided to backpedal on its surprisingly welcoming language for LGBT people and their families from earlier in the week with the release on Saturday of the final document from its meeting.

Or it would have been disheartening if the interim report hadn't used theological arguments that would virtually have guaranteed that same-sex couples and their families would remain second-class citizens in the church.

True, the synod's initial report employed a language of welcome that few LGBT Catholics and their friends and allies have ever heard from the Vatican. And many participants in the synod did indeed embrace the orientation toward the marginalized that has been a hallmark of Pope Francis' papacy. Both the synod's initial draft and final document acknowledged the blessings that can be found in different forms of family life (although the final draft explicitly limited itself to talking about "a stable and true relationship between a man and a woman"). Yet even if the more welcoming language of the synod's first document had survived subsequent editing, a closer reading reveals that the theological framework it used to articulate its views had its limitations.

In thinking about families whose lives fall outside the church's norms, the synod's initial document took its cues from a theological model first developed at Vatican II, a model that at first had to do with interreligious dialogue. But here, instead of teaching that other religious communities have only partial access to the truth about God, the synod claimed that nontraditional families only partially reflect God's intentions for human relationships. These families have "seeds of the Word [of God] that have spread beyond [the church's] visible and sacramental boundaries," the document stated. In thinking about them, the synod said it turned "respectfully to those who participate in her life in an incomplete and imperfect way."

So, although the language of intrinsic disorder and grave sin -- the vocabulary that Catholic leaders have so often used to talk about same-sex relationships -- was laudably absent from both the initial draft and the final document, the language that the synod initially proposed still relegated LGBT persons and others to second-class status. If the synod were to have taught that same-sex couples, like those who live in other nontraditional family arrangements, are theologically akin to members of other religions, then implicitly it also would have taught that the only way that they can be fully recognized or received by the church is if they undergo conversion. After Vatican II, the council's theological framework was perceived in some quarters as patronizing and paternalistic. The synod's newer framework might not have fared much better.

The theological tensions that swirled just underneath the surface of the synod's original draft may explain much about the seeming backpedaling we have seen. That original draft surrounded its positive statements about LGBT people and same-sex couples with qualifiers -- qualifiers that some commentators missed or downplayed. For instance, the draft stated unequivocally that same-sex relationships "cannot be considered on the same footing" as opposite-sex marriage, and it prefaced its praise for the sacrificial love of same-sex couples with the caveat that it was not "denying the moral problems connected to homosexual unions." The final version, which received mixed support from synod participants, was less welcoming still: "There does not exist any basis to establish even remote analogies between homosexual unions and the plan of God for marriage and the family."

Many believe that the synod reversed course with regard to LGBT people and same-sex unions. But that reversal seems much less dramatic when one considers the full implications of the synod's much-celebrated initial document. Far from accepting and celebrating same-sex relationships as the signs of divine and human love that so many people -- gay, straight, Catholic, non-Catholic -- are finding in them, that document actually charted a path where those relationships could at best have only been tolerated in the church.

It is clear that by avoiding a more searching examination of the presumptions about gender and sexuality that Catholic theology has inherited, the synod members did not fully confront the truly seismic anthropological, cultural and theological shifts that have occurred in the past few decades.

For many of the rest of us, it is unfortunate that in rushing to celebrate the steps that the synod took last week toward a more inclusive church, we may have turned a blind eye to theological assumptions that might have given us much pause.

@highlight

Vatican's interim report discussing same-sex couples was widely seen as major shift

@highlight

But theological arguments used suggest it wasn't revolutionary, says Patrick Hornbeck

@highlight

Commentators were too quick to embrace interim report, Hornbeck says