(CNN) -- The Supreme Court is set to decide whether to take the same-sex marriage cases on September 29, a mere 15 months since they overturned the Defense of Marriage Act as unconstitutional. That decision has created a deluge of cases, all of which (save one in Louisiana) have found that same-sex marriage bans are unconstitutional.

The pace at which this country has addressed marriage equality has been breathtaking. It was only 10 years ago that Massachusetts became the first state to allow same-sex marriage. It makes some wonder -- is this happening too quickly?

The Supreme Court eventually will decide the issue, and likely the future of marriage equality rests squarely on the shoulders of one man -- Justice Anthony Kennedy. He will be the deciding vote, so he needs to feel comfortable taking the next step.

Commentators have suggested that there is hesitancy at the Court on the part of Justice Kennedy and possibly Justice Ruth Bader Ginsburg. The concern is not with same-sex marriage, though. It is the long shadow of Roe v. Wade, the Supreme Court's 1973 decision that found state bans on abortion unconstitutional. Because of the social upheaval following Roe, the justices may fear a similar backlash if they move too quickly on marriage equality.

Fortunately, the public's view of same-sex marriage has kept pace with legal advances for the lesbian, gay, bisexual, and transgender (LGBT) community. A May 2014 Gallup poll shows that 55% of Americans support same-sex marriage, up from 42% a mere 10 years ago. For those 18 to 29, support sky rockets to 78%, showing the generational nature of this issue. Moreover, 19 states and the District of Columbia now allow same-sex marriage.

Even if there wasn't clear support, the issues in marriage equality differ significantly from those in the abortion debate. With marriage, the answer is binary -- either same-sex couples can marry or they can't. Legislatures have very few policy levers available to undermine marriage rights.

This contrasts sharply with the complicated legal issues surrounding abortion. As even Roe itself noted, there are a number of competing interests involved: "We repeat, however, that the State does have an important and legitimate interest in preserving and protecting the health of the pregnant woman ... and that it has still another important and legitimate interest in protecting the potentiality of human life."

Abortion is a medical procedure, which means the state has an interest in its regulation. Each of these concerns provides legislatures opposed to a woman's right to choose with a potential lever to attempt to inject the state's interest, leading to various legal battles over the constitutionality of such efforts.

Same-sex marriage does not present these complications. Even if society has yet to achieve a certain level of acceptance of same-sex marriage (although it appears it has), there is little risk of ongoing social battles over marriage.

Indeed, the justifications for banning same-sex marriages are groundless. The Supreme Court has made it clear that religious-based objections cannot justify such discrimination against LGBT persons. Legislation that discriminates against certain groups only because the majority disfavors them, for religious or even secular reasons, are not legitimate. Moreover, the argument that allowing same-sex marriage undermines efforts to channel procreation into marriage is nonsensical.

We allow infertile couples to marry, so procreation cannot be a necessary requirement for marriages. Even if such "channeling" is a legitimate interest, it would only support the creation of opposite-sex marriage, not a ban on same-sex marriage. No state has advanced a reason why same-sex marriage bans would have any impact on the procreation of straight persons.

As Judge Richard Posner on the U.S. Court of Appeals for the Seventh Circuit explained (with great rhetorical flourish): "Heterosexuals get drunk and pregnant, producing unwanted children; their reward is to be allowed to marry. Homosexual couples do not produce unwanted children; their reward is to be denied the right to marry. Go figure." The "shotgun wedding" defense of same-sex marriage bans is meritless.

Same-sex marriage doesn't undermine marriage. Instead, it serves to enhance and confirm the importance of marriage in today's society. Thousands of gay couples are fighting for the right to enter an institution that has been waning within the heterosexual community, with divorce on the rise and couples choosing to cohabitate instead of getting married. Those in favor of marriage should be happy that gays and lesbians are fighting for inclusion, breathing fresh life into marriage's faltering lungs.

So, if Justice Kennedy is reading this -- it'll be OK. Take the next step. The time has come to open the doors to marriage to all couples, regardless of their sex or gender. America is ready, and we can handle it.

@highlight

Supreme Court will decide on taking same-sex marriage cases on September 29

@highlight

Tim Holbrook: Future of marriage equality likely rests on Justice Anthony Kennedy

@highlight

Because of the upheaval following Roe v. Wade, the justices may fear a similar backlash

@highlight

Holbrook: Justices shouldn't worry, America is more than ready for marriage equality