(CNN) -- The Iraq War ended in December, and veterans and other citizens throughout the country have begun clamoring for local parades to celebrate the return of our Iraq veterans -- yet only one city in the nation, St. Louis, has held one.

In New York, which this week hosted a ticker-tape parade for the New York Giants after they won the Super Bowl, Mayor Michael Bloomberg has said he will hold off on a celebration for Iraq veterans, as the Department of Defense has suggested, because he agrees the time is not right. And President Obama has yet to call for broader ceremonies besides a small state dinner to be held later this month for only 200 Iraq veterans.

The question of whether we should commemorate our Iraq veterans is controversial in a way that it shouldn't be. This isn't about claiming "mission accomplished" prematurely. The troops are finally home, and Americans across the political spectrum ought to recognize and celebrate their service.

As an Iraq War veteran, I can tell you: This isn't about glorification. Nobody joined the military so they'd one day get to walk under a hail of confetti. But a commemoration isn't about that; it's about validating the morally and politically difficult task of serving your country in war.

While most veterans will tell you about receiving hearty thank-yous from strangers or a spontaneous round of applause every now and then, what they seldom mention are the people who feel compelled to qualify their appreciation by noting that they opposed the war. It's time for that to end.

Less than 1% of this country has served in Iraq or Afghanistan, and this has created a civil-military divide that has alienated and isolated this generation of veterans. It has tangible consequences across issues of mental health, employment and education. Our government has expanded on the best public policy program of the last century by creating the Post-9/11 GI Bill. Yet some veterans struggle to use the program because of the challenge of attending class alongside students with little understanding of the experiences they've faced.

With new veterans facing 12% unemployment last year, an epidemic of suicides, and the legacy costs of war, we not only need this country's unreserved support -- we need its sacrifice. Americans need to hire our veterans, invest in their education, and expand on services that will help them heal from the scars of war. Instead, we risk repeating our society's Vietnam-era mistake of marginalizing and ignoring returning service members.

Already there's been a grass-roots effort in St. Louis to turn this around. On January 28, two civilians got on Facebook and organized a parade there that drew 100,000 supporters and 20,000 veterans from throughout the country. More importantly, though, the event was bookended by a resource fair for veterans. My organization, Iraq and Afghanistan Veterans of America, was one of those providing employment, health and education resources to veterans after the parade.

This kind of on-the-ground resource is important, because while the federal government has a critical role to play in funding services to veterans, it's in the cities and local communities that veterans actually are administered the support they need. For example, San Francisco has created a 311 line that connects veterans with local services to give them resources beyond what the Veterans Administration can provide alone.

That's why the decision of the mayor of one of the greatest cities in the world not to be at the forefront of these efforts is so disappointing. Mayor Bloomberg, we exercised leadership overseas -- why can't you do the same thing at home?

To the argument that holding parades while we're fighting in Afghanistan would be premature, I say consider this: In 2002, the first of this generation of veterans left the military behind to rejoin their civilian counterparts. Since that time, the number has swelled to more than a million. We can't afford to wait for these wars to end to start taking care of those that fought in them.

These two wars are inexorably intertwined in the American consciousness, but for many, they remain separate. When the last troops return from Afghanistan in a few years, the Iraq War will be a distant memory.

For those who served, there will never be closure, but there can be reconciliation. I know firsthand, having protested the Iraq War and then served in it, how complicated the politics of the last decade were. But this isn't about a war overseas; it's about a struggle here at home to take care of this generation's veterans, that we'll carry with us into old age.

As a country, we're at a critical point where our approach to this generation of veterans will define whether we become the Next Greatest Generation or simply forgotten veterans of a forgotten war. I've seen the tremendous accomplishments of my fellow veterans overseas when we all worked together. Now it's time to do the same thing here at home. Will you have our backs?

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Timothy Kudo.

@highlight

Timothy Kudo: Some are clamoring for parades and recognition for returing Iraq vets

@highlight

He says Bloomberg and Pentagon want to wait, but vets need acknowledgment now

@highlight

He says civil-military divide alienates vets, slows connection with needed services

@highlight

Kudo: U.S. must step up, validate the morally, politically tough task of serving one's country in war