Alex Honnold's fingertips and toe tips barely cling on to the side of a mountain in Yosemite, thousands of feet in the air. He is free solo climbing, which means he has no rope to support him, so one false move would mean a long fall to the rocky ground below.

He looks up at filmmaker Peter Mortimer, who is capturing his climb in silence, and finally breaks the ice: "So what should I be doing? Do you want me to make it look like this is hard for me?"

Watching 26-year-old Honnold climb, it seems impossible. Mortimer, also a climber, first discovered him in 2008, and he was so amazed that he started turning his climbs into documentaries. As with the routes Honnold scales, it has taken many small moves to get here.

"He was a horrible kid to raise, from the day of his birth, and I mean that literally," says his mother, Dierdre Wolownick. "He was always trying to get vertical. At 11 hours old, he would hold on to your pinkie and stand up on his little legs."

Soon his mother would have to get used to him climbing on counters, refrigerators, bookshelves, and everything else.

He found his outlet when he was about 10 years old and a climbing gym opened in Sacramento, California, where he lived. He found his passion and his home, hanging on walls.

He started working at the gym when he got older. After hours, when the supervisors went home, he and his friends would try climbing without a rope, and that started a passion that has only grown in the 17 years since.

Extreme kayaker helps young adults with cancer through outdoor adventures

"It was exciting. It was also kind of scary, but I really liked it," Honnold remembers.

Honnold graduated high school and took the next logical step for a smart kid, to the University of California, Berkeley. But after his first year, he faced some difficult challenges. He wasn't happy at school, didn't have many friends, and then in 2004, his father passed away.

Around the same time he placed second at the Youth Nationals climbing competition, realized that was one of the few things that made him happy, and decided to chase his dream.

"At first I didn't even have a car. I had a bicycle and a tent, and it was pretty grim," he remembers. "But I just wanted to climb all the time, so that's what I did."

His dedication paid off as his name started circulating in the climbing world and sponsors started calling. Soon he was able to support his lifestyle and to attempt things that had never been done. This includes his most recent feat of climbing the "Yosemite Triple" on his own in one day, about a 7,000-foot course.

Mortimer remembers when he first met Honnold, "He was so self-confident and so calm. His vision of what was possible in climbing was, 'Anything is possible.' I mean the first things he free-soloed, people thought it was a joke, it wasn't even possible."

Climbing friends gave him the nickname "No Big Deal" because of his nonchalant attitude toward incredible feats. Honnold climbs with a rope 90% of the time, but every year, he'll take on one or two epic challenges with no rope at all.

Honnold's demeanor is a clash of the uber-confidence you'd expect of someone who would climb a 3,000-foot wall with no rope vs. the modesty of an average climber.

"I'm one of the best soloists ... but only because there's been like eight really good soloists ever, so it's not that hard to be one of the best," he claims.

But many, including Mortimer, would disagree. "On the physical side, he's an elite climber. In the mental game, Alex is inarguably the greatest in the history of the sport. His ability to be composed in the most extreme positions is beyond wherever anyone has gone or thought they could go."

Watching him defy gravity raises the question: How long he can sustain this lifestyle? He travels the country, sleeping in a van, and regularly tackles dangerous climbing destinations all over the world. But people close to him believe he'll be around for the long haul.

"He's very, very calculated, and he has this ability to stay even-keeled when climbing. So I don't think there's a high probability that he will fall," says Mortimer.

His mother agrees, "I'm his mother, of course I worry about his safety. But I think he's very in tune with what he's capable of."

2 American climbers found dead in Peruvian mountains

Now Honnold faces his biggest challenge of all: fame. He's become somewhat of a legend in the climbing world after documentaries like Peter Mortimer's "Alone on the Wall" have made the film circuit, and his 2011 appearance on "60 Minutes" expanded his audience.

The sudden exposure caused him to run away the same way he did college. "I kind of dealt with it by fleeing back into the van and embracing my old style of just being on the road," he says. "But then I realized that won't fly. So I've spent the last few months going the other direction, embracing all the craziness. Hopefully channeling it to do something positive."

Honnold is getting more comfortable in the spotlight. His list of sponsorships has expanded from The North Face to include even a luxury watch line. His most recent climb is featured in another film to be released this year, and he's appeared in a popular Citibank commercial. He is now working on starting a nonprofit that will help the environment, a cause he cares about deeply.

"Hopefully I can translate all this into something that will have a more lasting effect on the world." says Honnold.

He has a shot to be a recognizable character in a sport that hasn't yet had its Michael Jordan, a crossover hit with the general public.

"Nonclimbers can relate to him in a way that they can't relate to regular rope climbers. What he's doing is overcoming a basic human fear. It's not even about the sport; anyone can imagine being on the side of a cliff face and being scared to death," says Mortimer.

The future is wide open for Alex Honnold, and chances are, he'll take small, calculated steps to reach the top.

Climbing geographer reaches Mount Everest summit

For more on Alex Honnold's climbs, visit http://www.senderfilms.com.

@highlight

Alex Honnold became fascinated with mountain climbing at 10 years old

@highlight

Honnold travels the country and world, climbing with and without a tether

@highlight

Peter Mortimer filmed Honnold's climbs for the documentary "Alone on the Wall"

@highlight

"Alex is inarguably the greatest in the history of the sport," says Mortimer