WASHINGTON (CNN)  -- Department of Veterans Affairs medical facilities do not consistently offer the level of services and infrastructure necessary to properly treat the growing number of female veterans, a government investigation concludes.

One official says the VA can offer women better medical care than they would get in private practice.

The report by the Government Accountability Office found wide variation in the medical centers' facilities and programs for female veterans.

Investigators visited 18 veterans' facilities and found that basic services, like pelvic examinations, were being provided and that patients had access to female providers for gender-specific care. But the facilities were lacking in some simpler accommodations, such as the configuration of exam rooms and privacy in check-in areas.

The department says it is taking comprehensive steps to improve, including programs for primary care and mental health care for female veterans, along with having a female veterans' program manager in each of its medical facilities.

But Veterans Affairs faces hurdles in its efforts to improve its services and facilities, the department's chief consultant for women's medical care testified before Congress on Tuesday.

"Moving to a more comprehensive primary care delivery model could challenge VA clinicians, who may have dealt predominantly with male veterans and sometimes have little or no exposure to female patients," said Patricia Hayes of the department's Women's Veterans Health Strategic Healthcare Group.

Only one-third of veterans' facilities offer a separate space for women to receive gynecological, mental health and social work services, according to Hayes.

There is a goal to have a gynecologist available at every facility by 2012, she said.

And Dennis Cullinan, national legislative director for the Veterans of Foreign Wars, noted that Veterans Affairs has contracted out to provide female veterans care in the facilities where there are not in-house providers.

He said the department is fighting an aging infrastructure that is making it tougher to improve facilities.

"The facilities to provide the level of care and privacy just aren't there," he said. "The VA is pursuing this. They are absolutely not dodging it."

There are more than 1.8 million female veterans in the United States, 8 percent of the veteran population. In 2008, more than 281,000 female veterans received care from Veterans Affairs, according to the department's statistics.

The number of female veterans enrolled for medical care with the department is expected to increase by 30 percent in the next five years, it predicts.

The median age of female veterans is much lower than their male counterparts: 47, compared with 61, according to Veterans Affairs data.

Hayes said the department can offer female veterans better care than they would receive in private practices.

"Women are screened for unique health concerns like cervical cancer or breast cancer at higher rates than non-VA health care programs," she noted.

While noting that the department has taken steps to upgrade its services and facilities to meet the needs of female veterans, investigators found that it stumbled on some more basic elements.

None of the facilities visited was fully compliant with the department's standards for privacy, investigators found, including privacy in the check-in area.

"In most clinical settings, check-in desk or windows were located in a mixed-gender waiting room or on a high-traffic public corridor," the report explained. In a majority of the clinics, "check-in desk were located in close proximity to chairs where other patients waited for their appointment."

In one facility, it said, investigators observed other patients lining up immediately behind the patient trying to check in.

The government investigators also found that exam tables were not oriented away from the door or shielded properly by curtains, as is required, and there was a lack of toilets near the facilities where gynecological examinations were conducted.

And only two of the facilities provided sanitary napkin dispensers in at least one public restroom for women.

@highlight

GAO report finds centers lacking in simple accommodations

@highlight

Veterans' agency says it is working hard for improvement

@highlight

Aging infrastructure expected to complicate efforts

@highlight

Number of women enrolled for care expected to rise 30 percent over five years