ATLANTA, Georgia (CNN) -- Recently, at 48 years of age, I was diagnosed with Asperger's syndrome. For most of my life, I knew that I was "other," not quite like everyone else. I searched for years for answers and found none, until an assignment at work required me to research autism. During that research, I found in the lives of other people with Asperger's threads of similarity that led to the diagnosis. Although having the diagnosis has been cathartic, it does not change the "otherness." It only confirms it.

When I talk to people about this aspect of myself, they always want to know what it means to be an "Aspie," as opposed to a "Neurotypical" (NT). Oh, dear, where to start . ...

The one thing people seem to know about Asperger's, if they know anything at all, is the geek factor. Bill Gates is rumored to be an Aspie. We tend to have specialized interests, and we will talk about them, ad infinitum, whether you are interested or not. Recognizing my tendency to soliloquize, I often choose silence, although perhaps not often enough. Due to our extensive vocabularies and uninflected manner of speaking, we are called "little professors," or arrogant.

I don't quite understand small talk, and early in my adult life, solecisms were frequent. At meetings, I launch into business without the expected social acknowledgments. It's not that I don't care about people, I am just very focused on task. Do you have to rehearse greeting people to reinforce that you should do it? I do.

I am lucky to have a very dear friend who savors my eccentricities. She laughs, lovingly, about one particular evening at a restaurant. Before she could get seated, I asked her what she knew about the golden ratio and began to spew everything I know about it. I re-emphasize how lucky I am to have her as a friend, because this incident occurred long before I was diagnosed.

A misconception is that Aspies do not have a sense of humor. It is true that we can be very literal, so we often miss the humor in everyday banter, but we can and do enjoy even subtle humor. Our literal interpretations, however, can be problematic.

In first grade, whenever someone made a mess in the classroom, the teacher would ask a student to get the janitor. The student would come back with Mr. Jones (not really his name), who carried a broom and large folding dustpan. When I was asked to get the janitor, I looked all over the school and reported back to the teacher that I could not find it. After all, the person was Mr. Jones, so the janitor must be the object, right?

I lack the ability to see emotion in most facial expressions. I compensate for this deficiency by listening to the inflections in people's voices and using logic to determine emotional context. The words people choose, their movements, or even how quickly they exit a meeting can provide clues to emotion.

I also have intensified senses -- touch, taste, smell, sight, and sound -- so I am attuned to lights, noise, textures, and smells. In a "busy" environment, I will eventually go into sensory overload and my mind will go blank. When this happens, I have to "go away" mentally for a brief period to regain focus. When I "return," I have to piece together what occurred while I was "away." The additional mental processing I must do to function every day is fatiguing, and I don't handle "ad hoc" very well. Being asked to respond quickly in the midst of all this other processing is difficult, sometimes impossible.

I am so sensitive to touch that a tickle hurts me. This is the hardest concept for most people to understand. How can a tickle hurt? All I can tell you is that it does, so I avoid being touched except by those who have learned how to touch me.

Hugs are dispensed infrequently, but if I do hug someone, I resemble Frankenstein's monster, arms extended to control contact. When my dad (who I suspect is an Aspie, too) and I hug, we both have "the approach." We sometimes miss and have to re-approach a couple of times until a brief, awkward hug is achieved.

In school, other children noted my differences, and I was bullied (and tickled into fits of despair) for years. Already needing extended periods of time alone, my response was to become even more of a loner. Uh oh. When you are weird, you are a joke. When you are a loner, you frighten people. It's always the quiet ones. ...

I am married (wow!), and my brilliant husband is an absolute sweetheart. I don't know any other man who has the self-confidence to be pushed away (sometimes sharply), both physically and mentally, as often as he has been. He has been gentle and patient (and, yes, frequently emotionally depleted) as we both worked through my need for space, tendency to go so deep into my own world that the real world and everyone in it cease to exist, and sensitivity to touch during the 26 (soon to be 27) years of our marriage.

I live with anxiety, because the world can be overwhelming and people have expectations that I always, sooner or later, fail to meet. I cannot begin to tell you how many times I have been told that I am rude, inaccessible or cold, yet I have never purposely tried to harm anyone, nor do I mean to be, well, mean.

I could tell you so much more, but instead let me share one last insight. Don't pity me or try to cure or change me. If you could live in my head for just one day, you might weep at how much beauty I perceive in the world with my exquisite senses. I would not trade one small bit of that beauty, as overwhelming and powerful as it can be, for "normalcy." E-mail to a friend

@highlight

Woman says Asperger's syndrome diagnosis at 48 helped explain  "otherness"

@highlight

People with Asperger's are often ultra-focused on sometimes obscure topics

@highlight

With intensified senses she's ultra-attuned to lights, noise, textures, and smells

@highlight

Asperger's syndrome is one of the autism spectrum disorders