Athens, Greece (CNN) -- Efforts to form a unity government in Greece failed Monday, moving the country closer to a eurozone exit as the president called for another meeting Tuesday to seek a solution.

Talks between Greek President Karolos Papoulias and the leaders of three main parties ended Monday night without a resolution, the president's office said.

Papoulias then called a meeting for Tuesday to discuss the possibility of a government run by technocrats with support from political parties, according to the leader of the socialist PASOK party, which attended Monday's talks.

"We have no choice" but to support the idea of a technocracy, PASOK leader Evangelos Venizelos said.

Papoulias had invited the leaders of the New Democracy, PASOK, Syriza and Democratic Left parties to Monday night's meeting. Syriza was the only one not to attend; the party's leader, Alexis Tsipras, said he wanted to talk with all parties or with just the president, and not with a selected group.

The far-left Syriza came in second in parliamentary elections on May 6, and polling since then has suggested it would come in first if the politicians call new elections because they cannot form a government.

The debt-wracked country has until Thursday to either form a government or call new elections.

Absent a government, Greece could run out of money to pay its debts and might crash out of the euro, the currency used by it and 16 other European Union countries.

"If no government is in place before June when the next installment (of loan money) from the European Union and International Monetary Fund is due, we estimate that Greece will run out of money sometime between the end of June and beginning of July, at which point a return to the drachma would seem inevitable," Bank of America/Merrill Lynch wrote in a report released Friday.

Syriza campaigned against the wildly unpopular government austerity measures that Greece -- under the now-ousted coalition of New Democracy and PASOK -- agreed to in exchange for loans by international lenders. The Syriza party's goal, Tsipras said Monday, is to remain in the eurozone without those "catastrophic" measures.

But although his party rode high in opinion polls immediately after the election, survey results released Monday suggested that many voters blame Tsipras for the current political deadlock.

About two in five people say he is most at fault, according to the Rass opinion poll of 1,002 people conducted by telephone on May 10-11. About one in five people blamed all political leaders equally.

About one in three people said Tsipras had taken the worst position during talks on forming a new government.

The meeting called by Papoulias came a week after angry voters punished mainstream parties by backing a range of fringe groups and parties opposed to the government bailout.

Seven parties won seats in parliament, but none captured more than 19% of the vote. That led to three failed attempts to form a new government.

Democratic Left leader Fotis Kouvelis held his own meeting with Papoulias late Sunday. So did Nikolaos Michaloliakos, the head of the far-right Golden Dawn party.
Michaloliakos emerged from those talks saying that any new government would need a premier with the international clout to reject the bailout package the previous government had signed, calling the deal "a crime against our country."

Venizelos said his PASOK party would do everything possible to form a national unity government, but it was ready for new elections, if necessary.

The Communist party, meanwhile, called for new elections, saying it will not participate in a coalition government.

The gravity of the situation was underscored Sunday by Tsipras, who told leaders, "I am concerned that if we carry on with implementation of the bailout conditions in Greece, then Greece is at risk of facing a humanitarian crisis."

His remarks were made in a private meeting, a transcript of which was released Monday.

In the meeting, Papoulias said the New Democracy party, which has supported him, had two conditions: to ensure that the country remains in the euro and to renegotiate conditions of the bailout.

In a poll published Saturday by the newspaper Kathimerini, four of five voters said they would vote the same way in a new election.

In a separate poll published Sunday by the newspaper Vima, seven of 10 people said they wanted the parties to form a coalition government.

Syriza would come in first if new elections were held, the Vima poll suggested, after coming in second behind New Democracy a week ago with 16.8% of the vote. But the results would still lead to a deeply divided parliament, the poll suggested, with no party getting more than 21% of the vote.

In the same poll, six of 10 voters said Syriza's plans against austerity are not realistic.

Syriza is opposed to the terms of the bailout agreed to with the European Union, European Central Bank and International Monetary Fund. The country's lenders have said that if Greece does not comply with the bailout terms, payments will stop.

The stakes are potentially huge, with concern stirring that the lack of leadership could jeopardize Greece's bailout agreement. That could lead to a disorderly default by Greece and force the nation out of the eurozone.

A default by Greece also could drag down other troubled governments such as Spain and Portugal. Any financial shock of such a magnitude could plunge the region into a deep recession, with ripples being felt across the world.

CNN's Antonia Mortensen and journalist Elinda Labropoulou contributed to this report.

@highlight

Monday night's talks break up without a resolution

@highlight

The president calls a new meeting to discuss a possible technocracy

@highlight

Greece has until Thursday to come up with a government or call new elections

@highlight

Failure to form a government puts Greece at risk of a eurozone exit