(CNN)  -- At the middle of his first presidential term, Barack Obama faces major electoral challenges, some of which have come to involve questions of religious identity and power.

A few have revived suspicion about Obama's religious identity, especially after he said he supported New York's decision to permit the construction of an Islamic cultural center near the site of ground zero.

At the same time, some prominent black figures have accused Obama of ignoring African-American concerns and tens of millions of "churched" black voters. On the one hand, Obama faces religious xenophobia; on the other, he faces the mobilization of critical voices among a religious population that Democrats have long taken for granted.

With fierce midterm election battles at hand and his prospects for a second term as president uncertain, we might expect Obama to revisit the strategy of a president who faced similar religious challenges more than 70 years ago: Franklin D. Roosevelt.

In the lead-up to Roosevelt's own re-election in 1936, some religious sectors charged his New Deal and the repeal of Prohibition constituted an attack on traditional Christian values.

Meanwhile, he could hardly take for granted the black vote. The Democratic Party was understood as the party of the openly violent Jim Crow South, where millions of African Americans remained disenfranchised. But by the middle of his first term, Roosevelt and the Democratic National Committee knew they would need to reach out to Northern black voters, who were growing in numbers yet had been only partly swayed by the limited availability of New Deal emergency relief.

Criticism from black churches was on the rise, just as it seems to be now. In 1934, right at the midpoint of the first Roosevelt administration, the major black denominations formed the Fraternal Council of Negro Churches, specifically to push a social justice agenda and protest, if need be, at the national level. Black religious publications reported racial discrimination in Roosevelt's New Deal and were incredulous about his refusal to promote an anti-lynching bill.

Roosevelt, in his electoral strategy, reached out extensively to African-American local and national religious leaders, including those of the Fraternal Council of Negro Churches, through the Good Neighbor League of the National Democratic Party.

The league recruited sympathetic clergy to lead political discussion clubs in black congregations and planned major events in churches in 25 Northern cities. These events highlighted the New Deal's tangible benefits to black people, portrayed the New Deal and Roosevelt himself as rooted in "social gospel" values of equality and justice and elevated certain Fraternal Council leaders to positions of unprecedented visibility.

Not only did black people shift decisively to the Democratic Party in the election of 1936, but the social gospel movement that Roosevelt championed gained enough prominence in black religion that it became a keystone of the civil rights movement. Meanwhile, the Fraternal Council of Negro Churches, which had always promoted a black social gospel, gained its political foothold during the Roosevelt years and provided the institutional template for national church-based protest groups such as the Southern Christian Leadership Council.

President George W. Bush's Office of Faith-Based and Community Initiatives may be understood as an adaptation of Roosevelt's black religious strategy, although Bush was not promoting the social gospel. From its inception, Bush's Faith Initiative elevated individualistic, moral reform strategies over strategies emphasizing public responsibility for poverty and structural solutions to inequality.

As Bush stated at the Faith Office's inaugural event, "We will help all in their work to change hearts ..." Obama has rebranded and reformed Faith Office as an interfaith think tank, designed to generate new ideas and discover best practices, but it is uncertain how the new Faith Office will mediate electoral challenges.

President Obama did, however, meet with 20 black church leaders in March 2010 to solicit opinions and prayers. Just a month earlier, the heads of seven major black denominations launched the Conference of National Black Churches, the lineage of which goes back to the Fraternal Council.

While upholding the value of individual responsibility and transformation, this ecumenical body also advocates for social and economic justice and is concerned with the structural aspects of black poverty, crises in education, health and housing, staggering incarceration rates and more. The Conference of Black National Churches has already reached out to Obama and denounced religious xenophobia by supporting his remarks on the proposed Islamic center near ground zero.

Obama, like Roosevelt, could turn to the nationally organized black churches to shore up electoral turnout while neutralizing fears about his own religious intentions.

Like the Fraternal Council and the early black Social Gospel proponents, the freshly mobilized black churches could use this moment in national political history to lay the groundwork for a social change movement of unprecedented proportions. If history is any indication, pivotal times are ahead at the intersection of national politics and black religion.

The opinions in this commentary are solely those of Omar McRoberts.

@highlight

Omar McRoberts: Obama faces criticism from blacks and fears of commitment to Christianity

@highlight

FDR also faced religious challenges, criticism from African-Americans, he writes

@highlight

He says Roosevelt enlisted black church to build up trust among a disenfranchised group

@highlight

Obama could turn to black churches to bring out vote and prove religious identity, he says