(CNN)Imagine that you lived in a country that every day had to stay vigilante because of the risk of terrorist attacks -- physical or of the cyber variety. Or that has faced blizzards of historic proportions, with another winter storm on the way. And imagine if the people you were depending on to help you were expected to turn up for work, but that they may or may not be getting paid.

Well, thanks to a completely avoidable standoff in Congress, you might not have to imagine at all.

February 28 marks the date when money for the Department of Homeland Security runs out as House Republicans hold the DHS's funding hostage to make an ideological point. They say they are unhappy with President Barack Obama's executive orders rescinding deportation for a class of undocumented immigrants known as the Dreamers, among others. As a result, unless a deal is reached, more than 200,000 employees will be required to show up to work next Monday without pay.

If we lived in a world that existed solely on the ideological plane, then House Speaker John Boehner's approach might be brilliant -- the work of the agency created to enforce our borders and immigration rules would grind to a halt, the President would capitulate, and Boehner would have achieved some sort of short-lived "victory" on the backs of immigrants, many of whom arrived here as babies.

But most of us live in the real world, where actions have consequences for the rest of us. And that means not just those disappointed immigrants who believed they were beginning the process of securing citizenship. It also includes those who work at DHS and the people that depend on them.

Maybe the public isn't outraged by this fight because they associate DHS with long lines at airports and the checks undertaken by the Transportation Security Administration. But hundreds of thousands of "essential" workers at TSA and the many other sections of DHS that work to keep us safe are facing the reality that they will not get a regular paycheck.

Yes, they will get their money eventually, but if this standoff continues, there will be no certainty when -- it could be weeks. And how many Americans supporting families can work indefinitely not knowing when the next paycheck is coming?

This isn't to say that the creation and execution of DHS's work has been seamless. Created back in 2003 through the merging of a few dozen agencies (and the addition of a couple more), DHS has struggled with its identity, morale (it regularly ranks as least favorite federal agency to work at), and role.  And the department is by no means perfect -- I served as assistant secretary early in the Obama administration, so I am fully aware of the challenges.

But one of DHS's fundamental roles has always been to work with states and localities in crises management, disaster relief funding, and emergency response training.  And it is in these specific roles -- supporting state emergency management agencies, writing checks to localities and individuals who have suffered harm, and training hundreds of thousands of first-responders on how to protect their communities -- that the DHS standoff will surely be felt.  The homeland matters.

Without funding, local budgeting processes and support for first responders cannot be accounted for.  Without funding, homeowners and those harmed in disasters will not receive monetary relief.  Without funding, the training and exercises that are funded by the federal government to support local and state planning in a real crisis will not materialize.

Right now, where I live, in the Boston area, we have suffered four blizzards of historical proportions that have brought the city to a standstill. Literally.  Our metropolitan transit system has been closed periodically, roads cannot be plowed fast enough, our harbor's commercial activity is slowed due to ice buildup, and there is simply no place to put all this snow.  Local businesses have been harmed, damage has accrued, and the citizenry is demoralized.

But the situation will be worse for residents in hard-hit places like Boston if DHS and one of its agencies, the Federal Emergency Management Agency, is not able to help buttress local and state efforts at recovering from the barrage of storms the region has faced.

Of course our disaster-relief system is not perfect. But the system we have now is the one that individuals, cities and states have come to rely on.  And it does provide funds for localities to train and exercise their responses so that fewer people will be at risk.

These are the stakes in the real world.

Yet even though a Texas court may have handed Boehner a face-saving lifeline by ruling Obama's actions unlawful and essentially stopping the presidential actions pending appeal, House Republicans appear undeterred, although Senate Majority leader Mitch McConnell on Tuesday indicated Senate Republicans might be willing to offer some concessions.

As a result of this deadlock, you can increasingly expect to hear governors and mayors -- who actually run something -- to begin to push House Republicans to sign a clean funding bill that will keep DHS funded. After all, these leaders know as well as anyone that ideology can only go so far when the well-being and safety of our homeland is at stake.

@highlight

Department of Homeland Security will run out of money without funding deal

@highlight

Juliette Kayyem: Actions of Congress have consequences for the rest of us