Washington (CNN) -- With a series of potential disasters hovering over the nation like a demon storm, the most prominent words of a Washington-based word cloud would be: government shutdown, continuing resolution, debt limit and Obamacare.

Although a potential shutdown and the need to raise the debt limit are different issues, they are interrelated and have one big thing in common: They are both products of a crisis manufactured by Washington. And both are being used for leverage in attempts to undermine Obamacare.

So, what's the difference between them and why should you care?

Government shutdown: Again? Seriously?

First up, the shutdown

The federal government's fiscal year starts next week -- October 1. And Congress' one key duty laid out in the Constitution is to pass spending bills that fund the government.

If it doesn't, most of the functions of the government -- from paying the military to funding small business loans to collecting the trash in Washington -- could come to a slow-motion halt.

It shuts down.

This time around, the House of Representatives, led by conservative Republicans, has linked this funding process -- known as a continuing resolution -- to defunding President Barack Obama's signature health insurance law, the Affordable Care Act or Obamacare. It passed its bill last Friday and sent it to the Senate.

This week, the Senate is expected to strip out the anti-Obamacare provision and pass its own "clean" version of the bill -- and then the drama begins.

But more on that in a minute.

What's important here is that if Congress doesn't pass the $986 billion continuing resolution, or CR, in the next week, the national parks could close, airport Transportation Security Agents might get furloughed and agents might be unable to process Social Security checks.

10 ways a government shutdown would affect your daily life

Next crisis, the debt limit

Remember that time when you maxed out your credit card? That's what the debt limit is all about. The U.S. is on the verge of maxing out its $16.699 trillion credit card.

A maxed-out credit card doesn't mean you can stop spending. While you have to pay your credit card bill, you also have to continue to buy groceries and pay the electric bill, so you might have to open up a new credit card.

That's similar to what the U.S. government must do. The government can't just stop paying on its previous debt or spending money, even though its credit limit is maxed out, because it has too many obligations to meet. It has to have access to money to pay for the interest on that debt, as well as pay soldiers' paychecks, doctors' Medicare reimbursements, expenses like bridge repairs, and so on. So the president must ask Congress to raise the limit of the country's credit card, or debt limit.

But many think Republicans in Congress may also try to link raising the debt limit to defunding Obamacare. Sound familiar?

Sometime around the middle of October -- unless Congress votes to raise the debt limit -- the U.S. government will be out of options. This past spring it already implemented "extraordinary measures" where accounts were reshuffled to enable the U.S. to continue paying its bills.

But this time, once the debt limit is reached, there are no other tricks Treasury can use. It won't be able to meet 30% of its obligations, according to a report by the Bipartisan Policy Center.

Although the government won't "shut down," many say the consequences would be much, much worse.

Treasury Secretary Jack Lew predicted that impacts on the global and local economy would be "catastrophic."

While the U.S. operates at a deficit, the rest of the world purchases U.S. debt. It's considered one of the safest investments around, because it is believed that the U.S. will always pay its bills. But what if it doesn't?

The U.S. will no longer be considered "the most reliable creditor in the world," said Shai Akabas, senior policy analyst at the Bipartisan Policy Center. In addition to potential financial panic because the most stable investment will no longer be considered safe, individual investors, hedge fund managers, other countries -- those who own U.S. Treasurys -- could start to turn to other countries for investments, and interest rates on Treasurys would start to increase.

That means the benefits that U.S. consumers enjoy, including low interest rates on home loans, credit cards and business loans, would begin to erode. Fast.

At home, it would also be devastating. That 80-year-old woman who relies on her Social Security check to pay her rent might not get paid. That means her landlord won't get paid.

The doctor who sees Medicare patients won't get reimbursed, so he might not purchase that new flat-screen TV he was planning on buying next month. The government contractor who is owed for providing food at military bases won't get paid, and she will have to lay off line cooks.

Obviously, this could be very, very bad. That's why each side thinks the other will blink on Obamacare to avoid such a calamity.

What happens if the government shuts down

So what does Obamacare have to do with any of this?

In short: a lot.

While the health care law is not directly tied to funding the government -- the CR -- or paying bills already incurred -- the debt ceiling -- it is being used as a powerful bargaining chip.

A group of Republicans, led by freshman Sen. Ted Cruz of Texas, despises the health care law so much that it is willing to risk government shutdown or default.

While 41 previous attempts to repeal, defund or stop the law haven't worked, the group hopes efforts to link it to these two pieces of must-pass legislation will. That's why there's talk of a government shutdown.

The House, which is controlled by Republicans, voted on a measure that would fund the government until December 15 -- but in exchange for keeping the government open, the health care law would be defunded.

But the Democrat-controlled Senate vows that Obamacare defunding will have no part in efforts to keep the government running and is expected to strip that provision out of its version of the CR sometime this week.

Cruz and his supporters aren't backing down. And neither is the president.

"I believe we should stand our ground, and I don't believe (Senate Majority Leader) Harry Reid or Barack Obama should shut down the federal government," Cruz said on "Fox News Sunday." "The House voted last week to fund the federal government. If Harry Reid kills that, Harry Reid is responsible for shutting down the government."

But many within the Republican Party think Cruz's idea is a terrible one. While Republicans have successfully extracted budget cuts from recent battles over government funding and the debt ceiling, most understand that a political poison pill like this is unlikely to succeed. Democrats control the Senate with their 54-seat majority.

"We are not about to shut the government down over the fact that we cannot -- only controlling one house of Congress -- tell the president that we are not going to fund any portion of this, because we can't do that," Sen. Tom Coburn, Republican of Oklahoma, said on CBS's "Face the Nation."

If Democrats win the battle over government funding and Obamacare stays intact, Republicans indicated they will make similar demands when the president asks to raise the debt limit.

But Obama has repeated numerous times that he will not negotiate on the debt limit either.

"We will not negotiate whether or not America should keep its word and meet its obligations. We're not going to allow anyone to inflict economic pain on millions of our own people just to make an ideological point," Obama said at the Congressional Black Caucus awards dinner this past weekend.

And even if Cruz and his supporters somehow overcame the Democrat-controlled Senate and successfully sent a bill to the president's desk that defunds Obamacare, would Obama really sign a bill that guts his signature legislative achievement?

And so we have the showdown.

@highlight

The federal government is facing a potential government shutdown next week

@highlight

Meanwhile, if debt ceiling isn't raised, the government will soon be unable to pay its debts

@highlight

Many are confused about the difference between the two and their link to Obamacare

@highlight

The Affordable Care Act is being used as a bargaining chip in both debates