(CNN) -- When Cathy Sarubbi's first child was born, she could have never imagined the girl would grow up to become a U.S. Paralympian who competed in Vancouver and trained for Sochi. She couldn't dream of anything for her daughter because she didn't know if the baby would even live through the night.

In the weeks leading up to the delivery, excitement was building for the first grandchild on one side of the Sarubbi family, and the third on the other: 150 family and friends feted her with a baby shower at The Tamaqua, a neighborhood bar owned by her husband's family for three generations.

Sarubbi lives in a tight-knit community in Brooklyn called Gerritsen Beach. Surrounded by water on three sides, it is as small-town as you can get inside a borough with a population of more than 2 million. It is where I grew up (I knew the Sarubbi family growing up, but wasn't aware of Caitlin's story until now).

The big day finally arrived. After three or four normal sonograms, Sarubbi, then 27 years old, went into labor. "And out comes the baby, and the room goes quiet," she said during a recent interview.

The doctors and nurses were stunned. In fact, a neonatalogist told Sarubbi that he had never seen anything like it in over 20 years of practicing, the mother of five told me.

Her daughter, who would be named Caitlin, was born with no eyelids, underdeveloped ears and other facial deformities. Her vision was dramatically impacted because amniotic fluid inside the womb damaged her corneas.

Sarubbi, who had to be rushed into the operating room after delivery because she was hemorrhaging, didn't see her baby until 12 hours later.

She remembers the maternity nurse who took her to see Caitlin for the first time.

" 'Now you stop your crying, you get on your knees and you pray. ... Let's go mama,' " Sarubbi said the nurse told her. "She gave me that smack in the face I needed."

The doctors told her Caitlin might die, become mentally challenged or legally blind. "They didn't know what to do so they just put her under the jaundice lights," she said. When someone dropped a tray, and Caitlin jumped, she and her husband knew their baby could hear sounds and decided they had to get her into a hospital with more specialized care.

"It's been pretty much a miracle ever since."

'She was fully accepted'

When Caitlin was just 3 days old, she had the first of some 70 surgeries she would have over the next 24 years.

Doctors determined she had Ablepharon Macrostomia Syndrome, an extremely rare genetic disorder characterized by various physical abnormalities that could affect the head and facial area, the skin, and fingers, according to the National Organization for Rare Disorders.

After nearly 10 weeks in the hospital, Caitlin, who is called Caitie by her family and friends, came home. "And it was like the floodgates of Gerritsen Beach opened," said Sarubbi, remembering the love and support she received, especially that first time she walked baby Catie in a stroller down the main avenue running throughout the community.

"She was fully accepted, so that gave us strength to put her out in the world ... and it didn't stop."

It didn't stop, indeed.

Caitlin, who is legally blind and partially hearing impaired, would go on to ski in the 2010 Winter Paralympics in Vancouver and get into Harvard University, where she is studying social and cognitive neuroscience.

She got her Harvard admissions letter and her nomination letter to the U.S. ski team in the same week during her senior year in high school.

"It was just so powerful for me because this was years of work and sacrifice, and to have it all come together in this one, two, three day span, it was like wow, this actually happened. This was all worth it," Caitlin told me during an interview.

She owes everything to her mom, and her dad John, a New York City firefighter, she said.

"If it wasn't for them ... I wouldn't be here today because so many other people could have (broken) under that kind of pressure and that kind of decision making," she said. "My syndrome is so rare. ... It wasn't even something that they had a plan of action for from previous examples."

A passion grows out of tragedy

New York communities were hit hard by the September 11 terror attacks, including Gerritsen Beach, which is home to many firefighters. The inlet community lost residents, including two members of the New York City Fire Department.

Charitable offers to firefighters to attend concerts and meet celebrities poured in, and John Sarubbi, deeply in pain, turned them all down, his wife said.

Disabled Sports USA, a group that tries to help people with disabilities live full lives through sports, offered an all-expenses paid trip to Breckenridge, Colorado, to John and Cathy along with 11-year-old Caitlin and their three other children at the time. Cathy jumped at the chance, but John was reluctant, thinking it was a scam to commit the family into buying something.

"Johnny's like, 'I'm not going. It's a time-share spiel,' " said Cathy.

But they went.

Four years later, John received a lifetime achievement award from Disabled Sports USA. Now he travels to Colorado every year to volunteer along with his entire family. Besides inspiring the Sarubbis to give back through volunteering, that trip did something else. It gave birth to Caitlin's love affair with ski racing.

At first, Caitlin was a bit of a chicken on the mountain, she said, but over time she got more aggressive, and decided to give racing a try when the Adaptive Sports Foundation, a group the family volunteers with in Windham, New York, started a race team and asked her to join.

"I did like the feeling it gave you, like a freedom," said Caitlin. "And then I just fell in love with racing because it was a controlled environment to be out of control almost."

Always reaching higher

As a super high-achiever, who took Advanced Placement courses in high school even while missing up to 10 weeks of classes to train, she set her sights on the next big goal.

"What's the next thing I can do, what's the next thing I can achieve?" she remembers thinking at the time. "I need to make the U.S. ski team."

After her first semester at Harvard, Caitlin took 2Â½ years off to train for Vancouver, the site of the 2010 Winter Paralympics.

PHOTOS: Winter Paralympics opening ceremony

Family, friends and other supporters -- 38 people in all -- traveled to cheer on Caitlin at the Games.

"Mostly all of them had known me since I was a baby... so for them to kind of experience that transition with us was kind of incredible," said Caitlin, who finished sixth in two races and eighth in another.

She would gain national exposure when Procter & Gamble, through its "Thank You, Mom" program, saluting the moms behind the athletes, chose to feature her in a campaign, along with four Olympic athletes: speedskater J.R. Celski, moguls skier Hannah Kearney, ice hockey team player Julie Chu and snowboarder Seth Wescott.

"It meant so much that they acknowledged the Paralympics," said Caitlin. "I didn't even get a medal in Vancouver, but they thought my story was good enough to include with these other amazing athletes."

This year, P&G created its first ad specifically for the Paralympics, which Caitlin said is another huge step in putting the Olympics for athletes with disabilities on the map. The Paralympics wrap up Sunday in Sochi.

Getting the gold

After 2Â½ years at Harvard, Caitlin decided to make a run for Sochi. She took a year and a half off from school, and moved to Mt. Hood, Oregon, along with her 20-year-old sister Jamie, who would train to be her guide. All visually impaired downhill skiers have a guide, who skis in front of them and helps direct them down the mountain.

But during a warm-up run in December, when Caitlin said she was giving it her all, her dream of a second Paralympic run came crashing to an end. She got a concussion during a wipe out, missed five weeks of training and did not secure a spot on the U.S. Paralympic team.

The girl who achieved everything she set out to do now faced something she had never faced before.

"This is the first time Caitlin ever set out for anything and it didn't happen," said Cathy.

In an e-mail to family, friends and supporters, Caitlin told them her Sochi hopes were over, thanked them for their support and then attached an e-mail from the mother of a child who has a disability.

"The e-mail was inspiring. She said I love your story. You gave me so much hope," said Caitlin, who is back home in Brooklyn, volunteering with the Adaptive Sports Foundation and looking for internships this summer before returning to Harvard in the fall. "I kind of attached a little bit of that e-mail and said, 'Listen this is why I want to do it. I want to raise awareness.' "

"And (if) you look at it from that way, I won. I got the gold medal," she told her supporters. "I don't need to go to Sochi."

What do you think it takes to raise a child with disabilities? Chime in below in the comments or tell Kelly Wallace on Twitter or CNN Living on Facebook.

@highlight

When Caitlin Sarubbi was born, doctors didn't know if she'd live through the night

@highlight

Caitlin was born with Ablepharon Macrostomia Syndrome, a rare genetic disorder

@highlight

Caitlin became a top visually impaired skier and made it to the 2010 Winter Paralympics in Vancouver

@highlight

A Harvard undergrad, she's focusing on raising awareness of people with disabilities