London (CNN) -- "Everything I do is centered around women," says Pinky Lilani. As founder of the Women of the Future Awards, the Asian Women of Achievement Awards and the Global Empowerment Award, it's fair to assume this is no exaggeration.

"Plenty of women are confident and talented but they still need champions; they need mentors," she explains.

And, since emigrating from India to the UK 34 years ago, Lilani has become just that -- earning herself an OBE from Queen Elizabeth II for services to women along the way.

To mark this year's International Women's Day we asked her which extraordinary women she believes are under-acknowledged for their achievements. From an empress to a humble florist, in her own words Lilani presents her five unsung heroines

Shaista Suhrawardy Ikramullah (1915-2000), politician, diplomat and author

Shaista Ikramullah was a woman before her time.

Her autobiography "From Purdah to Parliament" is a mesmerizing tale of a fearless Muslim woman who fought her way from veiled to valiant.

Ikramullah grew up in a society where women were not encouraged to have an education, but she ignored this culture and went on to become the first Muslim woman to receive a PhD from the University of London.

She was one of very few Muslim women to take part in the Pakistan movement and witness first hand the fall of the British empire. She became a member of Pakistan's parliament, an ambassador to Morocco and her country's delegate to the United Nations. This would have been a colossal feat for any woman at that time, let alone a Pakistani.

She also found time to be a mother of four and was a role model to millions. Her book "Behind the Veil: Ceremonies, Customs and Colour" is a collection of essays on Muslim society from a woman's perspective. It was published in 1953 but is still a crucial work for a country where, in my opinion, women are not given as much opportunity to progress as they are across the border in India.

Constance Spry (1886 -1960), educator, florist and author

My mother used to enter flower arranging competitions in Calcutta. She learnt everything she knew from Constance Spry. In fact, the only book I brought with me from India was my mother's "Constance Spry Book of Flower Arranging".

Constance had many strings to her bow -- this is also the woman who invented coronation chicken! She created the dish when catering for foreign delegates at the coronation of Elizabeth II.

The role of women was at the core of what she did. During both the World Wars she gave frequent lectures, teaching women about first aid, cookery, dressmaking and how to grow your own vegetables in times of austerity -- all priceless tools for empowerment.

But for me her flower arrangements are still her greatest achievement. After all, a beautified life is one full of spirit.

Anna Jarvis (1864-1948), founder of Mother's Day

As a daughter and a mother to two sons, I really believe in the commemoration of motherhood.

A lot of people forget to thank their mother, but thanks to an American woman called Anna Jarvis, who successfully campaigned to make Mother's Day a national holiday nearly 100 years ago, we have this day to remind us.

Sadly, before her death, Jarvis became disenchanted by the commercialization of her own accomplishment. She is recorded as saying that "a printed card means nothing except that you are too lazy to write to the woman who has done more for you than anyone in the world."

It's true that Mother's Day has become far too commercial. We shouldn't need a calendar date to acknowledge our mothers, but if it acts as a reminder of how pivotal mothers are then so be it.

Empress Dowager Cixi (1835-1908), empress of China

She may have been barbaric, some even say a despot, but I still see her as a heroine.

Cixi was an indigenous girl, an outsider who went from lowly concubine to China's leader for 47 years. It's a rags to riches tale like no other.

In a time when a childless Chinese woman was expected to kill herself as a mark of respect, she went on to be the most powerful female ruler China has ever had.

Yes, she may have resorted to Machiavellian tactics to get there but she managed to command a respect that no woman in China had ever achieved before.

Her resolve, resilience and tenacity should act as inspiration to any woman fighting against the odds.

Begum Om Habibeh Aga Khan (1906 - 2000), philanthropist and fourth wife of Aga Khan III

I grew up in an Ismaili community so we followed the Aga Khan. I always remember people talking about his French wife, Begum Om Habibeh (originally Yvette Blanche), with great compassion.

They came to my parent's wedding in Calcutta -- she was wearing a sari and a mink. I had never seen anyone wear a mink before.

It is extraordinary that a glamorous European woman managed to integrate so well into Ismaili society-- she had such an empathy with the community.

She was an unlikely national treasure but we loved her like Britain loves Kate Middleton -- she was always out in the community helping the poor and elderly and would relentlessly encourage education for women.

Her legacy remains in the Om Habibeh Foundation, whose programs have contributed to health, education and inclusion in some of the poorest areas of Egypt, where her and the Aga Khan are buried.

The opinions expressed in this story are solely those of Pinky Lilani.

@highlight

Pinky Lilani OBE is an entrepreneur, public speaker and leading advocate for women

@highlight

We spoke to her in the lead up to International Women's Day

@highlight

Her unsung heroines include an Empress, politician, florist, and the founder of Mother's Day.