(CNN)  -- President-elect Barack Obama is poised to restore the United States' image in the international community, but experts say the president-elect must show the world that his actions will live up to his rhetoric.

People in Kisumu, Kenya, celebrate the election of Barack Obama.

Receiving a warm welcome is not the same as maintaining one, and Obama has a lot of work to do to improve the U.S. brand.

America's image has declined in nearly every region of the world in recent years, but Obama's victory "enables the United States to start again with a clean slate," according to John Quelch, the senior associate dean at Harvard Business School.

"Americans can actually go to dinner parties and cocktail receptions around the world today and not have to apologize for the United States the way they have had to do the last several years," he said. "The election has made life a little bit easier for Americans living and traveling abroad to hold their head up high again."

The United States' tarnished reputation has been fueled by a combination of factors, including opposition to U.S. policies like the war Iraq and alleged torture and abuse of prisoners, the perception of hypocrisy, unilateralism, and the perceived war on Islam, according to a congressional report released in June.

Obama represents a "clean break" from the past, and his election is the first big step toward change, said Dick Martin, author of "Rebuilding Brand America."

"Changing America's standing in the world was going to be the work of a generation, and it would have to start with some kind of grand gesture that demonstrated that things were changing. His election in itself is that kind of grand gesture," he said.

Throughout the election season, Obama was largely well received across the globe.

More than 200,000 people came to watch his speech in Berlin, Germany, in July, according to police estimates -- and it wasn't because they'd read his book or memorized his policies.

"It was because they all felt that he was the incarnation of change and they admired him. They had an emotional connection," Martin said.

When Americans voted for Obama on November 4, citizens around the world celebrated his resounding win. People in cities and villages danced and cheered in the streets, and Kenya declared the day after the election a national holiday.

In China -- where the media is state-run and domestic stories are almost always the top stories -- newspaper headlines read "First Black President of the United States."

When President Bush was elected for his second term, the cover on the U.K.'s Daily Mirror read, "How can 59,054,087 people be so dumb?" The day after Obama's victory, the paper's cover read, "GOBAMA!"

While the reaction around the world was mostly positive, some areas have been more hesitant to embrace Obama. The day after the election, IslamOnline published an article titled, "Pakistanis Skeptical About Obama."

In the months before the election, a survey by the Pew Research Center suggested little enthusiasm for Obama or Sen. John McCain in the Middle East, especially in Muslim nations.

But in general, people across the world have reacted with joy to Obama's election because they are looking forward to the end of the unpopular presidency of Bush, said Robin Oakley, CNN's European political editor based in London.

"The arrival of Obama, as an African-American president, gives people a reason -- an excuse even -- to start loving America again," Oakley said.

But with expectations so high, experts say Obama will have to work to capitalize on the opportunity before him.

"Obama needs to show that he is prepared to listen to America's allies, to consult with them genuinely on issues like Afghanistan and climate change, to open up to new thinking about Iran and Cuba, to re-shape the world's economic institutions," Oakley said.

The biggest thing Obama could do to reshape U.S. foreign policy would be to capture Osama bin Laden, Quelch said.

"For eight years he dodged George Bush and I think President-elect [Obama] has been pretty strong in terms of indicating his determination to secure bin Laden," he said.

If that were to occur, Quelch said, "the U.S. could then in a sense close that chapter in its history and perhaps reopen dialogue with many parts of the Arab world that the relentless pursuit of al Qaeda and the Iraq war have closed off in the last few years."

Obama must also bring a greater level of professionalism to the selection of the ambassadors he appoints, Quelch said.

"I think previous administrations have not served U.S. overseas interests and image that well by in some cases appointing cronies who haven't even set foot in the country to which they were appointed before they were named as ambassadors," he said.

Martin said that most importantly, Obama must listen to what the international community wants if he wants to restore America's reputation.

"The number one thing the people hold against us is that we don't appear to take their interests into account," he said.

Closing Guantanamo, adhering to the Geneva Conventions and eliminating torture are key issues for people around the world because they are the symbols of American unilateralism, Martin said.

Martin also suggested that Obama take a page out of President Eisenhower's playbook and give the rest of the world an opportunity to experience American culture through an agency like the now-defunct United States Information Agency.

In addition to exposing the rest of the world to U.S. culture, Obama should also make sure young Americans are citizens of the world. Martin recommends education reform, with an emphasis on world history and language classes.

"They think we are clueless, they absolutely think we are clueless, and in many cases we are," pointing to a 2002 National Geographic study indicating that nearly a third of young Americans could not locate the Pacific Ocean.

Alessio Vinci, CNN's Rome bureau chief, said that if the president-elect wants to change the world's view of the United States, "Obama has to be Obama."

"Obama's support in Europe is pretty much based on the fact that most people on this side of the Atlantic are fed up with the Bush administration, not with America as a nation," he said.

@highlight

People around the world celebrated the election of Barack Obama

@highlight

The United States' reputation has been on the decline in recent years

@highlight

Obama must address issues like Guantanamo, Geneva Conventions, Martin says

@highlight

Capturing Osama bin Laden would reshape U.S. foreign policy, Quelch says