Washington DC (CNN) -- Last month, an independent film titled "I Want to Be an Astronaut" about a driven high school robotics student and his dream to become an astronaut premiered aboard the International Space Station 286 miles above the Earth.

The film's concept was originally hatched in 2011 when its creator, David Ruck, caught astrophysicist Neil deGrasse Tyson on "Real Time with Bill Maher" late one night. Maher's panel was comparing cuts in NASA's budget to the $700 billion used to bail out Wall Street in 2008.

Determined to shine a light on the importance of STEM (science, technology, engineering, and math) programs, Ruck set out to make a film for his master's thesis about high school robotics programs.

Ruck's film examines the state of America's space program and captures the passion for human space travel as well as the somber tone that followed the retirement of the Space Shuttle program in 2011.

According to various sources, NASA issued layoff notices to about 3,200 contractors after the shuttle Atlantis and its crew of four astronauts landed at NASA's Kennedy Space Center on July 21, 2011, the final mission after a 30-year career.

But the film really took shape when Ruck met Blair Mason, then a 17-year-old high school senior keenly interested in space travel.

Mason, who is now 19, had wanted to be an astronaut since he was 3 years old. The film follows him as he leads his FIRST (For Inspiration and Recognition of Science and Technology) Robotics team in a competition and looks to the U.S. Naval Academy for college.

The NASA Robotics Alliance Project (RAP) has been supporting participation in FIRST Robotics Competitions by providing grants to high school teams as well as sponsoring FIRST regional competitions.

Blair set his sights on the Naval Academy because it has graduated more astronauts than any other U.S. institution. Now a midshipmen earning academic honors, Blair is majoring in aerospace engineering and computer science with the hope of attending flight school.

Blair, who is not permitted by the Naval Academy to speak to the media, acknowledges in the movie that becoming an astronaut is, "a long and complicated process, and I don't know what I'm going to encounter along the way, but I don't think I'll ever lose that dream."

John Grunsfeld, astronaut and chief of NASA's Science Directorate, who is shown in the film as a mentor to Mason's FIRST Robotics team, said these programs are similar in many ways to how NASA designed, built and tested the NASA Mars Curiosity rover, which is currently exploring the Red Planet.

"NASA always looks forward to seeing how students' innovative solutions are developed and seeing how their creativity might help inspire development of future spacecraft systems," Grunsfeld said.

Michael Mason, Blair's brother who is now a junior in high school, also caught the robotics bug.

"I joined FIRST Robotics for (several) reasons: I have always loved to build things and see them work, and I saw how happy it made my brother and how much it challenged him," he said. "The robotics team gave me a great idea of what engineering is and has made me want to pursue it as a career."

While the shuttle program has been retired, the United States is still involved in space exploration with various robotic missions, private enterprise and international efforts.

According to NASA.gov, "NASA is committed to human spaceflight beyond low-Earth orbit and the continued development of its next generation spacecraft -- Orion.

The Orion spacecraft will take astronauts beyond low Earth orbit (LEO) to deep space. It will provide emergency abort capability, sustain the crew during space travel and provide safe reentry from deep space. The spacecraft will launch on Exploration Flight Test-1, an uncrewed mission planned for 2014."

So what does this mean for kids who dream of traveling in space?

Dan Hendrickson, director of Space Systems at Aerospace Industries Association (an association that represents aerospace and defense manufacturers) said there are plenty of opportunities.

"I'm excited for NASA's future and I'm looking forward to the agency's completion of numerous programs that will be brought online in just a few short years," he said. "Between the Commercial Crew program, the Orion Multi-Purpose Crew Vehicle, and the Space Launch System, more vehicles are being built for human spaceflight right now (2014) than at any other point in our history, if (the nation) maintains steady support for these programs."

Ruck and his team passionately hope the film will "draw attention to the importance of the STEM education as it relates to our nation's ability to remain on the cutting edge of science and technology to create jobs of the future." Ruck personally believes, "We need a vibrant space program to provide the context needed for young people to pursue these challenging and exciting career fields."

According to NASA.gov and Whitehouse.gov, the 2014 NASA budget is $17.7 billion dollars, the same as 2013 and a .3% decrease from 2012. That translates to a $50 million cut from 2012 funding.

Ruck's film is slated to be screened in May at the International Space Development Conference in Los Angeles that will host speakers Buzz Aldrin -- the Apollo astronaut who was the second man on the moon, Elon Musk, CEO of Space X, and Gwynne Shotwell, president and COO of Space X. The film will also be presented at the American Astronautical Society's 60th Anniversary celebration on July 16 at the National Academy of Sciences in Washington.

Most recently, Ruck and his film were invited to the Humans to Mars Summit 2014 at George Washington University. The film is scheduled to open discussions on how humanity can land on Mars by the 2030s.

As Ruck said in a recent interview, "Our goal with this film is to remind everyone what NASA means to the world, reignite those dreams again, and explore space together."

@highlight

Space film follows young man's astronaut dream

@highlight

"I Want to be an Astronaut" premiered aboard the space station in March

@highlight

FIRST Robotics featured in film about space travel dream

@highlight

NASA's future includes several new vehicles for human space flight