You could blame weeds, trees, and grasses if you start itching, sneezing, coughing, and wheezing this fall. But the usual suspects aren't the only triggers. A host of household items -- candles, chemicals, stuffed animals, and spices -- may be the real culprits.

From blue jeans buttons to limes to teddybears, allergy triggers  come in many ways, shapes and forms.

"Many homes are filled with irritants, and if there's a high enough count of an irritant, you'll react," says Christopher Randolph, M.D., an allergy expert and professor of pediatric immunology at Yale University.

Here, a rundown of 11 sneaky suspects -- and how to stop them from bothering you.

Candles

You can't be allergic to essential oils -- which make candles smell like autumn leaves or dune grass -- but their odors can inflame your nasal cavities, according to James Wedner, M.D., chief of allergy and immunology at the Washington University School of Medicine.

"People with nasal allergies have a natural increased sensitivity, so they're likely to get a runny nose or watery eyes around candles," he says. "To the person with the sensitive nose, it's no different than cigarette smoke."

What to do: If you're very sensitive, avoid candles altogether. But if you love the smell and want to use them at home, buy candles that have few ingredients and feature just one scent, such as pumpkin. By a process of elimination you may be able to pinpoint which scent or ingredient bothers you. (Smoke from candles can also be an irritant, though that usually comes from snuffing it out; open a window or blow out the flame outside.)

If you have a bad reaction to a scented candle, getting some fresh air should make you feel better.

Perfume

Fragrances can contain hundreds of chemicals that are mostly untested on humans, Wedner says. When those chemicals bond with the essential oils in perfumes and are then sprayed into the air, sensitive people may take offense. Sneezing, congestion, and headaches can be the result.

What to do: Kindly ask your colleagues to go easy on their favorite fragrances, and bring a portable fan to keep your area as scent-free as possible. If the thought of not wearing a fragrance leaves you blue, stick with body creams and moisturizers that have light scents. These are less likely to irritate you.

Soaps and detergents

You think it's the chemicals in cleaning products that make you itch? Surprise: "The majority of skin sensitivities are caused not by the cleaning agent but by a perfume additive," Wedner says. "And nearly every soap now has some sort of plant in it to make it fancy -- roses, elderberries, etc. The skin can respond with irritation, and give you a rash." Read more on how to identify a rash

What to do: Buy organic or specially marked soaps; look for "no additives," "nonscented," or "phthalate-free" on the label. Phthalates are chemicals that help improve texture, but they've been linked to allergic reactions; products that contain them may have "diethylphthalate" or something similar on the label. Dove, Tide, and Ivory all offer low-irritant products, as do many organic brands.

If fabric softener seems to be giving your skin fits, try using a sheet of aluminum foil in your dryer instead; this trick will get rid of static cling. Or use a scent-free, no-additive version, like Seventh Generation Free & Clear Natural Fabric Softener.

If you're in a public laundromat, wash and dry towels first, which will soak up the residue left behind by previous users. Then be sure to use that same washer and dryer to clean and dry your clothes.

Stuffed animals

Dust mites living in mattresses and pillows are a huge allergy trigger. Roughly 15 percent of the population is allergic to these microscopic bugs. Encasing mattresses and pillows with impen­etrable covers and cases is a useful step, but it's not enough. The mites also love kids' favorite furry toys.

What to do: Wash, dry, then repeat ... and use very hot water. "Toys should be washed at 140 degrees, which will ensure that the mites are killed," Randolph says. After they're clean store them on a shelf, not on the bed.

What to do with the nonwashable toys? Every two to three weeks put them in a plastic bag in the freezer for a couple of hours, which will also kill the mites.

Carpeting

You may love the feel of carpeting under your feet, but mites find it just as attractive. "Even if you vacuum constantly, you've still got mites," Wedner warns.

What to do: Remove wall-to-wall carpeting -- who doesn't like a beautiful wood floor? -- and use small rugs that can be washed in hot water monthly. "And keep the humidity below 50 percent" with your central air system or a dehumidifier, Randolph says. "Dust mites thrive in humidity." Read more on how to allergy-proof your house

Spices

They add nuance and zing to a variety of dishes, but there's no getting around spices' origin: pungent plants. For some people, eating the spices made from these plants leads to a just little sniffling. For others, it may cause itching, swelling, and even burning of the lips.

What to do: Avoid the spices more likely to cause trouble: coriander, poppy seeds, pepper, dill, paprika, cumin, and saffron -- which, in broad strokes, means Indian and Middle Eastern food. If you're not sure which spices bother you, record what you've been exposed to each time you have symptoms and look for the common denominator. Need help planning an allergen-free Halloween? Read on for some tips

Christmas trees

A word to the wise before the holidays: Mold grows fast on Christmas trees. "When you put that tree in a bucket of water, invisible mold grows almost immediately," Wedner says. "Most people are allergic to or irritated by mold spores."

What to do: Try a fake tree. Can't live without a real one? Ask when it was cut down before you buy it; trees that were cut weeks in advance are already ripe with mold. Then, starve it of water and keep it for as short a period as possible. Mold grows on houseplants, too, so keep them on the dry side.

Wall paint

The solvents and synthetic resins used in paint often lead to itchy eyes and headaches. Oil-based paints are a particular problem because they can continue releasing chemicals even after they dry.

What to do: Keep windows open as often as possible and allow fresh air to circulate for four weeks after painting, no matter what kind of paint you use. "Once it has dried -- and I mean really dried, weeks later -- the odor goes away, and you won't have a problem," Wedner says. If possible, use latex paint, which emits less gas than oil-based kinds due to its water base. By the way, there isn't any real latex in latex paint, so if you're allergic to latex gloves the same won't apply to the paint.

What about paint with low levels of VOCs (volatile organic compounds)? They spew fewer chemicals into the air and are less smelly than regular paints. But that doesn't mean they won't bother you. To find these paints, look for the "Green Seal" certification mark on the label.

Alcohol

An actual allergy to alcohol is quite rare, but being allergic to the grains and additives used in liquor is not: wheat or the preservative sulfur dioxide could cause a rash or a stuffy nose.

New York City allergist Wellington Tichenor, MD, founder of the information site Sinuses.com, also blames grains like corn, bar­ley, and rye, as well as fruit flavorings. Wine and beer may create problems, too.

What to do: Stick with grain-free liquors like potato vodka, rum (made from sugar), and tequila (the agave plant). Skip all flavored liquers. And if sulfite preservatives in wine bother you, red wine tends to have fewer preservatives than white. Also, look for wine labeled "sulfite-free" (it won't stay fresh for long). And remember that anything with carbonation (like a wine cooler) increases the likelihood of an allergic reaction, Tichenor adds.

Blue jeans buttons

The buttons on your jeans are probably made with the metal nickel -- a rash trigger for up to 20 percent of women. A nickel rash near your waistline is usually itchy, red, and sometimes blistery.

What to do: Take your pants to a tailor and have her replace the nickel buttons with plastic ones (another metal might also cause irritation). A second option: Coat the button with clear nail polish, a remedy found to be effective in a recent St. Louis University study. Just be aware that nail polish itself may lead to a rash if you're sensitive to it.

Lemons and limes

Limonene, a zesty compound in lime and other citrus fruits, gives many people watery eyes and a burning sensation in the nose, Wedner says. It might even irritate your skin, whether you touch it or eat or drink products containing limonene.

What to do: If you get a rash, treat it with topical hydrocortisone creams used for bug bites and poison ivy. Skip the lemon or lime wedge with your drink or salad, and look out for lime in salad dressings, desserts, and marinades (it's used in numerous dishes).

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Household items such as candles, wall paint, carpet may cause allergy symptoms

@highlight

Dust mites live in bedding and stuffed animals, irritating 15 percent of Americans

@highlight

Mold can grow on Christmas trees, household plants causing allergic reaction