(CNN) -- A Kenyan-born designer is taking African art to America's Deep South -- and finding his way into the pages of U.S. fashion glossies.

"You don't hear about the incredible art coming out of Africa, stories of people digging themselves out of poverty," says jewelry designer Zia Sachedina.

He often runs into fellow Africans at trade shows across the U.S. and remains an avid supporter of their "Africa-inspired, Western-designed" fashion.

Sachedina has applied the same formula to his own business -- selling exotic jewelry with signature African patterns and striking color combinations tweaked for the western market.

And trendsetters are taking notice -- with his designs featured in fashion bibles like Vogue and Glamour as well as TV series "Gossip Girl."

Glorious colors in the desert: Darfur's fashionable women

Though most of his clients are middle-aged women who favor conservative jewelry, he mentions "Big Momma's House" actress Nia Long as the ideal "Zia Woman."

"She wore our jewelry in Ebony (magazine) and looked amazing," he says. "It's that kind of sophisticated, confident woman, in touch with her culture and African origin that I'm trying to exert."

Based in Savannah, Georgia, for the last decade, Sachedina says his work stands out like a "sore thumb" in the traditional southern town.

"A lot of people are scared that it won't sell, but that's something that's never scared me."

His store Zia Boutique ships collections to other jewelers around the U.S. and beyond -- including countries such as Canada, Colombia and Costa Rica.

The Africa-inspired Kalahari collection is his most popular line.

Dedicated followers of fashion: Congo's designer dandies

To his surprise, it has even sold well in the rural areas of Louisiana, Oklahoma and Texas. This has been encouraging for Sachedina, who relishes the opportunity to try something new.

"We won't push something that doesn't look good on you," he says. "I want people to walk down the streets and go wow, you look incredible, where did you get that?"

Sachedina says his work is a celebration of his unique life experience for men and women of all nationalities to enjoy.

Struggling to define his cultural identify while growing up, he was born to an East African Asian father and a Japanese American mother.

He describes his mother as a "free spirited hippie" and his father as a "traditional Muslim Indian."

After his parents separated, he relocated to Kansas with his mother, where she was born. Sachedina enjoyed a happy childhood there, but recalls many friends couldn't identify with his "other life" in Kenya.

Why African designers are finally in the fashion spotlight

As a teenager, he developed a deep longing to better understand his Indian side and realized that only spending school breaks in Kenya wasn't enough.

Sachedina returned to Nairobi and enrolled at the International School of Kenya. He was surrounded by students and faculty from over 70 countries -- which he describes as the best experience of his life.

It was also a period that helped shape the "global citizen" he views himself as today. At 32, Sachedina feels he has developed the ability to connect with others regardless of race, culture or religion.

But he insists taking on that approach to life didn't happen overnight. Instead, it involved embracing the best parts of his parents' cultures -- as well as welcoming influences from his many travels around the world

He is currently in the process of scouting locations for more U.S. branches of Zia Boutique -- with the goal to operate five stores before turning 35.

@highlight

Kenyan-born designer Zia Sachedina creates jewelry inspired by his heritage

@highlight

He was born to an East African Asian father and a Japanese American mother

@highlight

Sachedina has a flagship boutique in Savannah, Georgia

@highlight

His work has been featured in Vogue and Glamour magazines, and TV show Gossip Girl