Editor's note: Steve Perry is the founder and principal of the Capital Preparatory Magnet School in Hartford, Connecticut, and author of "Man Up!: Nobody is Coming to Save Us," which offers solutions to problems in the black community.

Steve Perry says a question from a parent started his journey to creating a top-performing school.

HARTFORD, Connecticut (CNN) -- "Why do only rich kids get good schools?"

I was the founder and director of a part-time out-of-school college preparatory program.

The questioner was a parent; herself a victim of a dulled urban education. The statement was more of an indictment than question, and I had no answer. "Well, why can't this program be a school," she offered.

The program sent 100 percent of our graduates to college. We served poor students who were the first generation in their families to attend college. We provided college preparation through a six-week summer program, after-school tutoring and in-school academic advising.

That single mother's question came at the end of the summer program. This was always a tough time. As the kids said goodbye to their friends and the program's high expectations, we all looked at the school year with great trepidation.

We knew that the students were returning to failed schools with very low expectations -- and results to match. Like that mom, I too wondered why wealth and whiteness are too often linked to quality education. Her question connected to a discussion that I'd been having with some colleagues during the summer program.

All of the teachers in that program worked in failed urban schools. Many had tried to reform traditional urban schools. They'd started formal and informal programs, identified groups of kids and connected to parents. Each had had some success with some kids, but the conditions that led to the need to do something went unchanged.

The question was raised at the end of our 2002 summer program. My first instinct was to begin down the path of opening an all-male minority charter school. In Connecticut, charter schools are publicly funded and privately run, with no teachers' unions, no school board influence and no centralized curriculum. These were the pluses. There was only one minus: There was no money. The charter idea was dead as soon as it began.

I assembled an all -black team. My plan was to put black educators together, and we would show 'em. Brothers and sisters were gonna open a successful charter school. Black educators serving black kids. This was my first major mistake.

Talent and commitment have no color. Kids don't care what color their teachers are, and I shouldn't have either. After almost a year of stops and starts with a team that was not effectively assembled, I realized that I failed in my judgment because I did not keep my eye on the goal, which was to build a school that sent kids to college regardless of their hue or economic status. I have never made that mistake again.

I doubled back and went into the schools and found the teachers who stayed the latest and arrived the earliest. I looked for the most ambitious teachers who had a reputation of being the most talented, and we started a second team.

I am a social worker. I knew that I could run an organization, but wasn't sure about developing curriculum. When I created Team 2, my first pick was the best teacher I could find. Rich Beganski is the perfect complement, or opposite, of who I am. He's meticulous and lives and breathes curriculum. He is an operations genius. He was a longtime assistant coach who never wanted to be coach. I've never been an assistant and don't want to be one.

Our team was composed of a white guy, a Latina, a black woman and a black man bound by a single commitment: to send kids to college.

In 2003-04, Connecticut was settling a desegregation case. A component of the agreement was to open eight magnet schools in Hartford in two years. Magnet schools are publicly funded and publicly run theme-based schools, complete with unions and subordinate to the local school board.

The part-time college preparatory program was hosted in a community college. The college's president was an impulsive visionary. On a Friday afternoon elevator ride from the 10th to the seventh floor, he said, "Steve, we're gonna start a high school, you should run it." I told him I would and got off on the seventh floor. First thing that following Monday, I was in his office with the dead charter school application.

Over the next few months, we tweaked it until it became a magnet application. With the help of some of the program's parents, we submitted it to Hartford's mayor, superintendent, and then the board. The process was anything but smooth. The district could not conceptualize what Capital Prep would become.

A year-round college-preparatory uniform school for grades six to 12 was the absolute antithesis of the district's offerings. Hartford was either the worst or second-worst school system in Connecticut, with a high dropout rate and three failed traditional high schools. At first, Capital Prep was a poorly received idea. It became real, in large part, because of the state's settlement and our team's determination to answer the question.

After receiving school board and state approval in December 2004, we were expected to open for August 2005. The problem was that while we had a "team," Capital Prep didn't have a single employee. Since we were becoming Hartford Board of Education employees, we all had to apply for our jobs. My hire was relatively painless.

Beganski, the team's operations genius, was turned away as an "internal" candidate. After two years of working 30 hours a week to turn an idea into a reality, he became our first central office/union casualty. I promised to resign if he wasn't hired. Finally, the district relented and gave him the job that he had designed. This was to become an ongoing theme in the school's first few years: ridiculous actions focused on maintaining the failed status quo.

We worked through the summer with the rest of the team. The district stumbled and stalled until, with less than two weeks before our first day of school, Capital Prep only had two staff members: Beganski and me. We were not allowed to hire a single teacher.

Even though we had had a team that had worked for years researching and designing the school for no money, we were told that none of them could be hired because union rules dictated who and when we could hire. This meant that our last employee for year one was hired 14 hours before the first day of school.

In the years that have followed, the struggles with the union and central office's narrow, regressive policies have tested our commitment to answer that mother's simple question. The complexity of the answer is rooted in Capital Prep's relationship to the failed policies of the once highly centralized district and educators' union.

In recent years, a new superintendent has come on board -- the third in our first three years. His approach has been absolutely aligned with what we need to exist. He leaves us alone as long as we get results. He can't shield us from the unions, but he has supported our creativity and commitment to our kids. He lets me run the school, and our teachers teach what works. That's all we've ever sought.

Answering the question of "why only the rich kids get good schools" has set our team on an odyssey. Seven years later, we have an answer that we are proud of. Rich kids are not the only kids who have good schools, because Capital Prep's 80 percent black/Latino, 60 percent poor students attend one of America's top high schools, according to US News & World Report.

The opinions expressed in this commentary are solely those of Steve Perry.

@highlight

Steve Perry: A parent asked why only rich kids get good schools

@highlight

He says question started process of building a quality school

@highlight

Perry says his team fought bureaucracy, union to try something new

@highlight

He says his school is highly rated and sends all graduates to college