Tehran, Iran (CNN) -- The Iranian judiciary said Wednesday it is considering a request for setting bail in the case of two American hikers convicted of spying and sentenced to eight years in prison.

"The two U.S. nationals accused of spying have not been released and their attorneys' requests for setting bail is being considered," the judiciary said.

The statement, posted on the judiciary's website, seems to contradict accounts previously given by the hikers' attorney and Iranian President Mahmoud Ahmadinejad.

Attorney Masoud Shafiee said Tuesday his clients, Josh Fattal and Shane Bauer, would be released from Tehran's Evin prison after a $500,000 bail was paid for each of them.

On Wednesday, an Omani plane was en route to Tehran carrying an Omani official who will be working on any negotiation, a Western diplomat told CNN.

But it was not clear whether the hostages would be free to leave, the source said.

Fattal and Bauer have been held for more than two years. They and a third hiker, Sarah Shourd, were arrested July 31, 2009, after apparently straying across an unmarked border between Iraq and Iran while hiking in northern Iraq's Kurdish region. They said they were unaware they had crossed into Iran, but Iranian authorities said they were spies who entered the country illegally.

Shourd, who is Bauer's fiancee, was released last year for medical reasons, although authorities said her case remains open.

Last month, Fattal and Bauer were convicted and sentenced to eight years in prison -- five years for espionage and three years for illegal entry, according to Iranian media. Their appeal is pending.

In an interview with NBC that aired Tuesday, Ahmadinejad said the hikers could be released "in a couple of days" but did not mention bail.

The president suggested there is a need for the United States to release Iranians held in its jails.

"OK, these two persons will be released," Ahmadinejad said. "Is it going to be over? We do it, for example, in (a) humanitarian gesture. Is it going to solve the problems? I hope so."

But in the statement posted Wednesday, the judiciary said that "the case is currently being considered by the presiding judge, and any related news will be given by the judiciary."

"No other source is entitled to provide news about this case," it said.

The contradictory information may point to a long-simmering rift in the Iranian government. In Iran, the clerics, not the president, control the courts. In addition, the hikers may have become a political hot potato in Iran.

In April, a public spat erupted between Ahmadinejad and Iran's supreme leader, Ayatollah Ali Khamenei. Top officials and media outlets close to Khamenei criticized the president, and several of his top aides were reportedly arrested, one for "sorcery." On April 17, Ahmadinejad fired Intelligence Minister Heidar Moslehi, and Khamenei vetoed the move. The president publicly denied any disagreement.

But public criticism has also targeted one of Ahmadinejad's in-laws and chief of staff, Esfandiar Rahim Mashaei. He and several others in the government are considered by Iran's hardliners to have strayed from the path of revolution and the direction set by Khamenei, as well as the late Ayatollah Ruhollah Khomeini, who led the 1979 Islamic Revolution in Iran.

Mashaei's nationalistic statements and his alleged contacts with the West, including the United States, have caused the clerics and the hardliners to launch an open campaign against him. They are reluctant, however, to attack Ahmadinejad directly, as Khamenei supported him after his re-election, according to a political analyst.

The heads of two of Iran's three branches of government, meanwhile, are brothers -- Ali Larijani is the speaker of parliament, and Ayatollah Sadegh Amoli Larijani is the head of the judiciary. The two may well attempt to thwart what they consider to be anti-cleric and anti-revolutionary actions by Mashaei, who is close to Ahmadinejad, the analyst said.

Separately, a human rights group issued a statement criticizing Ahmadinejad for using the hikers as political pawns.

"Ahmadinejad is trying to use the hikers' release for political gains on the international stage," said Hadi Ghaemi, spokesman for the International Campaign for Human Rights in Iran. "No one should be fooled. The question is, why were these young men deprived of their liberty for so long on trumped-up charges and without proper judicial proceedings? Moreover, why isn't anyone held accountable for this injustice?"

The organization said it welcomed the news of the hikers' possible release, but noted they have been held for more than two years "without any substantive evidence supporting the espionage charges against them. Their detention and sudden release is seemingly another example of politically motivated arrests and prosecutions by the Iranian judiciary and impunity for officials that bend Iranian laws and violate human rights."

Amnesty International issued a statement Wednesday calling for the hikers' immediate release.

"The Iranian authorities must stop treating Shane Bauer and Josh Fattal as pawns -- both in their dealings with the U.S. government and in domestic political rivalries," said Philip Luther, Amnesty International's deputy director for the Middle East and North Africa.

"All available evidence and the authorities' conduct throughout the trial suggests that the Iranian authorities have known all along that these men were not spies," he said. "Rather, it appears they were probably held in order to try to gain political concessions from the USA."

CNN's Shirzad Bozorgmehr and Elise Labott contributed to his report.

@highlight

An Omani official is en route to Tehran, a Western diplomat says

@highlight

The judiciary seems to contradict a Tuesday statement by the hikers' lawyer

@highlight

The contradictory information may point to rifts in Iran's government

@highlight

Human rights groups criticize Ahmadinejad for using the hikers for political gain