LAS VEGAS, Nevada (CNN) -- Cell phones and TVs converging with the Internet? That's so 2008. The next big tech trend may be the marriage of computer technology to your car or truck.

This spring, Ford will offer a dashboard computing system on its full-size pickups and E-series vans.

This month, Hyundai is launching a system that warns motorists when they drift out of the lane they're traveling in. Another manufacturer has developed pedestrian-detection software that works with heat-seeking cameras to alert drivers when someone is in their path.

In March, Ford will release a fully functional, dashboard computer -- complete with keyboard -- geared to contractors and other business folks who want to access the Web, review documents and log inventory while on the go. In the spring, AT&T will launch an in-car entertainment service with 22 satellite TV channels.

Industry executives hope the new technological bells and whistles will put some sizzle back into stagnant vehicle sales.

"Consumers want a vehicle that's always on and always connected," said Kieran O'Sullivan, vice president at Continental Automotive Systems, which supplies parts and technology to automakers. In the near future, he said, "consumers and carmakers will be able to customize the [dashboard] instrument panel to their individual tastes the same way that people customize their mobile phones."

O'Sullivan spoke Thursday at a panel discussion at the International Consumer Electronics Show subtitled, "The Automobile's Convergence with Consumer Electronics." Panelists, including executives from Microsoft, Nokia and GM's OnStar service, agreed the industry is just beginning to tap the potential of in-car computing.

"We'll someday use this information technology in ways we can't even predict today," said Tom Phillips, general manager of Microsoft's automotive unit. "To me, we're in the infancy in terms of the amount of evolution that's going to occur."

As consumers are growing accustomed to having mobile Internet through their smart phones, more car buyers are seeking connectivity in their vehicles that will allow them to move seamlessly between their digital lives at work and home, panelists said.

Half of the new vehicles sold in the United States are now compatible with MP3 players and 80 percent can connect with wireless Bluetooth headsets, said automotive technology expert John Waraniak, who served as the panel's moderator. iReport.com: Are you attending CES?

General Motors' OnStar service, which can remotely unlock car doors, reduce gas flow to a stolen vehicle or dial 911 if a car is involved in a crash, now has almost 6 million subscribers. Toyota said this week it plans to launch a similar driver-assist program on certain models beginning this summer.

Not to be outdone, Ford's similar Sync system, which now comes standard on many vehicles, is adding voice-activated, on-demand traffic, sports and weather reports, plus GPS-assisted navigation. In a keynote speech Thursday at CES, Ford CEO Alan Mulally said the automaker is learning to think more like an electronics company.

Ford will begin installing its Works Solutions package on its full-size pickups and E-series vans this spring. The dashboard computing system costs $1,195 plus a monthly Web access fee, has a 6-inch touch screen and runs on Windows. It will allow electricians and other contractors to create Excel spreadsheets, print invoices and even access other computers.

"Ford is truly making the office mobile," said Ford product development manager Bill Frykman while demonstrating the system Thursday to reporters in an F-150 parked in a large tent outside the Las Vegas Convention Center. "This bridges the gap between the full laptop and a smart phone."

Meanwhile, an entire hall at CES is devoted to the latest in automotive technology, from portable navigation units to rear-mounted cameras which, with the help of a dashboard screen, allow the driver to see what's immediately behind his vehicle while backing up.

Here's a quick peek at some other automotive technology on display at CES this week:

-- FLIR Systems, Inc. makes a thermal-imaging camera, an option on BMW's 6-series sedans, with a new pedestrian-detection feature. When the camera detects a heat source in the shape of a human being, the on-board computer alerts the driver by highlighting the pedestrian in yellow on the dashboard screen.

-- AT&T's CruiseCast service brings 22 satellite TV channels to your vehicle with the help of a small rooftop antenna, augmented by video-buffering technology that supposedly maintains the signal underneath overpasses and trees.

It will cost $1,299 plus a $28 monthly fee and is being pitched to parents with kids and pre-game tailgaters. "It's an extension of your living room," said Jackie Lapin, a spokeswoman for AT&T.

-- Nervous about handing the car keys to your 16-year-old? The CarChip ($119) plugs into any post-1995 model vehicle and records 300 hours of how the car has been driven, including mileage, speed, braking and acceleration.

Parents can remove the chip, download its data to a computer and use the information to verify driving agreements with their teens. Newer features even let parents set restrictions on their kids' driving.

"If you want to set it at a certain speed -- say, 'I don't want my kid going over 65 mph' -- it'll beep at them until they slow down," said Michael Copeland, sales manager for manufacturer Davis Instruments.

-- Hyundai's latest vehicles can be outfitted with a system that detects when a car is drifting across lanes, then sounds a buzzer or vibrates the wheel to alert the driver. Some Hyundai vehicles also contain ultrasonic sensors that help drivers to park by measuring the distance between a car and other objects.

In fact, the next generation of automotive technology may employ automatic steering and braking systems that relieve drivers of much of the responsibility for, well, driving.

"Maybe 15 years from now, cars will drive themselves. That's certainly a goal some companies have," said Jay James of FLIR Systems. "It's not just 'Jetsons' stuff now. It's really starting to happen."

Some 2,700 exhibitors and 130,000 attendees are in Las Vegas, Nevada, for CES, the nation's largest consumer electronics trade show. The event runs through Sunday.

The 2009 North American International Auto Show follows next week in Detroit, Michigan.

@highlight

More automakers are shipping vehicles with computerized features, Web access

@highlight

Features include pedestrian-detecting cameras, on-demand traffic reports

@highlight

Ford to include Web-enabled dashboard computer in full-size pickups, vans