Beijing (CNN) -- A large white poster dominates Liu Xiuzhi's simple room.

In black Chinese script she has written the story of her decade-long struggle for justice. A story of how a simple legal dispute ended years later with Liu being branded a prostitute and thrown into solitary confinement.

"A day in that place felt like a year," she says. "Ordinary people wouldn't be able to understand."

Liu's story begins, like many legal battles in China, over a property dispute with a powerful neighbor.

She says that when she won a civil case against the neighbor, he sent thugs to beat her up. They left her unconscious, several teeth knocked out of her lower jaw. At first, complaints to the local police were met with indifference, she says. Then anger.

So Liu started to petition. Following a centuries old tradition that started in dynastic China, Liu tried to take her grievances to local and national authorities. She says all she received was more beatings and humiliations.

"We are powerless people in China," she says. "Either you have money in China and you have power or you are poor and you have none. I followed the law and I had to suffer."

Over time, her petitioning became more overtly political. She started to display signs with slogans like "power and money rules in China" and "in China there is no justice and no equality."

State security took notice.

They wouldn't let her leave her building during Beijing's 2008 Olympics, she says, adding that she was carefully monitored during state visits. When police caught Liu with documents for petitioning at a sports event in southern China, they finally lost their patience.

Charged under a provision for "hooliganism, prostitution, theft and fraud," Liu was shipped to the Xi An Re-education Through Labor Jail in southern Beijing.

The re-education through labor system, or laojiao as it's known in China, began in the 1950s as a way for the fledgling Communist Party government to maintain order and stability in the chaotic post-revolution years.

Half a century later, the system still allows police and other state security agents to arrest offenders for up to four years without trial. The government admits there are re-education facilities across the country and, by its own estimate, says they house tens of thousands or even more than a hundred thousand prisoners.

Despite repeated requests, no officials would comment about Liu's case or about the country's re-education system.

While laojiao was designed for petty thieves and prostitutes -- minor criminals that officials didn't want clogging up the courts -- rights groups believe that it is a convenient place to put government agitators.

"It is a way to silence people," says Amnesty International's Roseann Rife. "It is a way to silence dissent and keep those quiet that offend the government."

Journalists, petitioners and members of the banned religious sect Falun Gong have all been put in re-education centers, says Victor Clements, a researcher for a Chinese human rights group.

"It is widely viewed as a convenient way to punish Chinese citizens who exercise constitutionally-protected civil liberties," he wrote in an email interview.

Human rights activists and liberal Chinese intellectuals see the 10 years of Hu Jintao and Wen Jiabao's leadership, while overwhelmingly positive for the nation's economy, as a lost opportunity to reform China's legal system and protect the individual rights of ordinary Chinese.

Now, there is a push for reform.

"Re-education through labor is illegal," says Zhang Qianfan, a prominent law professor at Peking University's law school.

"The constitution should protect the basic rights of the people and if we can't implement it successfully it means the rights of the people won't be protected."

Zhang and more than a hundred other prominent academics, journalists and economists wrote and posted an open letter online earlier this year that called for incoming President Xi Jinping to ratify U.N. rights treaties and respect basic principles of human rights. Censors quickly deleted it. (Read a draft translation here.)

Pressured in part by anger on social media, the government has pledged to reform the system. Recently, state media quoted officials saying it will be done by the end of 2013. However, none have elaborated on what the potential reforms could be.

Many are skeptical.

President Xi, while pledging to fight corruption and trim government excesses, shows few concrete signs of reforming China's legal system or allowing more public dissent.

"Even if re-education through labor is abolished, there are many other forms of administrative detention that effectively do the same thing," says Amnesty's Rife.

Zhang, like many Chinese, sees extrajudicial prisons as a way for government officials to settle scores, silence petitioners, and muzzle critics

"It stains our reputation. It makes China a joke. It causes a lot of tragedies for the victim, it doesn't help with our stability and security, so I believe that re-education through labor system should be abolished immediately," says Zhang.

Liu Xiuzhi was broken by her time in Xi An prison.

She says she was put in solitary confinement when she refused to admit the charges against her. She says it was a matter of principle.

When she got out, after more than a year in prison, she vowed to keep fighting for justice. But she doesn't hold out much hope.

"On the television the Communist Party shows that it is taking care of everything and I really believed it. But when you encounter real trouble it's different. Whatever you say they will ignore you and punish you."

@highlight

Petitioner Liu Xiuzhi spent more than a year in one of China notorious labor camps

@highlight

Re-education through labor system allows people to be held for four years without trial

@highlight

The prisons are seen as a way for officials to settle scores and muzzle critics

@highlight

Government has pledged to reform the system but little progress so far