Seoul, South Korea (CNN) -- North Korea is showing signs it could be preparing to carry out a new nuclear test, South Korea's Unification Minister Ryoo Kihl-jae said Monday, according to the semi-official South Korean news agency Yonhap.

Ryoo made the comment in response to a South Korean lawmaker who cited unspecified reports suggesting there had been an increase in activity near the site of the North's three previous underground nuclear tests, Yonhap reported.

The South Korean government had said Sunday that it believes North Korea may test a missile about April 10, citing as an indicator Pyongyang's push for workers to leave the Kaesong Industrial Complex by then.

Seoul "is on military readiness posture," South Korea's Blue House spokeswoman Kim Haeng said in a briefing. She said national security chief Kim Jang-soo also based the assessment on North Korea's hint to foreign diplomats in Pyongyang to send personnel out of the country.

The Blue House is the office and residence of South Korea's president, similar to the White House in the United States.

"As of now, nothing out of the ordinary has been detected," she said on Kim's behalf. "If limited war is to break out, North Korea should bear in mind that it will receive damages many times over."

In the rising tide of its anger, North Korea's communist government days ago banned the entry of new workers and trucks into Kaesong, which is on its side of the militarily fortified border with the south.

Personnel and supplies are running out in the shared manufacturing zone, causing 13 companies to cease production, the South Korean Ministry of Unification said in a statement Sunday.

There are 518 people left in Kaesong, with 39 planning to exit Monday.

U.S., South Korean officials put off Washington trip

Gen. James Thurman, the top U.S. commander in South Korea, is canceling a trip to Washington this week due to the rising tensions.

"Given the current situation, Gen. Thurman will remain in Seoul next week as a prudent measure," a spokesman said.

Thurman was to testify before the Senate Armed Services Committee and the House Armed Services Committee.

Gen. Jung Seung-jo, South Korea's top military officer, also delayed a trip to Washington, national news agency Yonhap reported.

Switzerland offers to host meeting

Switzerland offered Sunday to host a meeting between North and South Korea in hopes of calming tensions.

In a statement, the Swiss government condemned North Korea's recent threats and called on all parties to exercise restraint.

The Swiss government "is always ready to contribute to finding a solution, if that is the desire of the parties, for example hosting meetings between them," the statement said.

The government recently reminded North Korea of its offer, the statement said.

Opinion: An accident, then war with North Korea?

Scare tactic bluster

Pyongyang's warpath posturing is a scare tactic, Kim said via his spokeswoman.

"North Korea has been coming out with content that makes headlines on news media every day. This is called the 'headline strategy.' "

It is designed to warp public opinion, he said.

Kim also said not to be fooled by the South's calm reaction to it. "A duck will appear peaceful on the surface, but its feet are moving breathlessly under the water," he said, describing the Blue House's behavior.

Underneath the calm, Seoul's government is working "restlessly" but "harmoniously."

The South will not succumb to scare tactics and rush into any new peace agreements to stop the North's conduct, he added. He admonished North Korea to open a different kind of dialogue.

The Korean war ended in 1953 with an armistice agreement, not a peace treaty.

Pyongyang has consistently demanded a full peace treaty, and it also wants direct talks with the United States, which Washington has resisted, preferring instead multilateral discussions.

Missile test put off

The United States is delaying a long-planned missile test to avoid any misperceptions by North Korea amid mounting tensions, a senior U.S. Department of Defense official said Saturday.

Postponing the launch of the Minuteman III intercontinental ballistic missile, initially scheduled for Tuesday at Vandenberg Air Force Base in California, was "prudent and wise," the official said on condition of anonymity.

The missile test had nothing to do with North Korea, but the United States decided to hold off "given recent tensions on the Korean Peninsula," the official said.

"The U.S. will conduct another test soon and remains strongly committed to our nuclear deterrence capabilities," said the official, who was not authorized to publicly release details of the launch.

U.S. reducing rhetoric that feeds North Korean rhetoric

Embassies staying put

Word of the launch delay comes amid bellicose posturing and threats that have grown more dramatic by the day on the Korean Peninsula, including North Korea's warning to foreign diplomats in Pyongyang that if war breaks out, it cannot guarantee their safety.

On Friday, officials met with ambassadors to ask whether they needed help evacuating their personnel, several diplomatic missions said.

The same concern apparently does not extend to foreign tourists.

Amanda Carr, who works for a British travel company, wrapped up a pleasure tour of North Korea with a group of 20 tourists Saturday. Before leaving the country, they were able to take in a rally in Pyongyang.

The British Embassy in North Korea gave her company, Koryo Tours, some guidance in light of the international tensions. "We've been advised to continue with the tours," Carr said.

Her North Korean partners -- from the state's travel agency -- continue to accept tourists, she said. And their demeanor is friendly, as it always has been.

Russia, a traditional ally of North Korea's, may consider an evacuation of staff because of the tensions, Russian state media said.

The Swedish Embassy will remain open. It represents the concerns of the United States in North Korea and helps its citizens traveling there.

British, French and German diplomats also have no immediate plans to leave.

Meanwhile, U.S. Secretary of State John Kerry will visit Asia next week and is expected to discuss potential diplomatic incentives for North Korea once it stops its threatening rhetoric, senior administration officials told CNN on condition of anonymity.

"Secretary Kerry agrees that we have to have a robust deterrent because we really don't know what these guys will do," said one senior official, who was not authorized to speak on the issue.

"But he also knows that the North Koreans need a diplomatic off-ramp and that they have to be able to see it."

Key dates in U.S. military moves near North Korea

Missile tension

New reports of missile movements in North Korea have triggered military counteractions by South Korea and the United States.

South Korea's semiofficial Yonhap news agency reported that the missiles were ready to launch, citing military sources in Seoul. They are probably Musudan missiles, U.S. officials said. They would have a 2,500-mile range and could threaten South Korea, Japan and Southeast Asia.

It is believed that a North Korean missile launch would be a "test" launch rather than a targeted strike.

A U.S. official told CNN that two medium-range missiles have been loaded onto mobile launchers on the east coast of North Korea, but a second U.S. official said intelligence on that is not definitive. Both officials spoke on condition of anonymity because they are not authorized to publicly speak on the issue.

In response, South Korea has sent Aegis destroyers equipped with advanced radar systems to both of its coasts, Yonhap said, citing navy sources.

The United States will deploy missile defense systems to Guam, a Western Pacific territory that is home to U.S. naval and air bases. North Korea has cited those bases when listing possible targets for missile attacks.

North Korea: Our global fear and fascination

CNN's Ben Brumfield reported from Atlanta; CNN's K.J. Kwon reported from Seoul; CNN's Josh Levs, Chris Lawrence, Barbara Starr, Kyung Lah and Jim Clancy contributed to this report.

@highlight

NEW: South Korean official cites indications another test is being planned

@highlight

U.S. commander in South Korea also cancels trip to Washington this week

@highlight

Seoul says Pyongyang is trying to make headlines as a scare tactic

@highlight

Switzerland offers to host a meeting between North and South Korea