(CNN) -- Last September, William Jeffrey Dumas was convicted of three counts of rape. According to the charges, he had raped a woman three times over a night and the following morning, and the jury agreed with the prosecution that he was guilty. But just last week, a judge overturned the jury's conviction and ordered a new trial.

The Georgia appeals court judge, Christopher McFadden, argued that the verdict went "strongly against the weight of the evidence" because, in his judgment, the woman in question -- I'll join other writers in calling her Jane -- didn't act like a victim and the man didn't act like a rapist.

Jane has Down syndrome and the growing national outrage to this case has focused, with reason, on her disability. But Down syndrome is only part of the story.

The outrage is not only because this judge didn't understand Down syndrome, but that judges frequently impose their perceptions on cases of sexual assault, reducing sentences even for convicted rapists on the grounds that the victim didn't act "correctly." Jane's troubling case reveals the intersections between rape culture and the way we strip agency from people with disabilities.

Here are a few details. In October of 2010, Jeffrey Dumas was hanging out with friends in a home where a 24-year-old woman with Down syndrome was staying while her mother was out of town. According to the complaint, Dumas raped the woman three times over an evening and the following morning, but she made no "outcry" until the following day, despite having ample opportunities to tell the other adults in the house.

People with intellectual disabilities, especially women and girls, are sexually assaulted at a much higher rate than the rest of the population. People with intellectual disabilities, even those with strong communication skills, can be vulnerable to sexual assault because they are unsure of what's right or wrong or whether they can say no.

They rarely receive sexual education or are provided assertiveness training. Given this context, one might well invoke Down syndrome to explain the delay between the assault and the complaint. Most important, during the trial, Jane testified that she was raped, the jury believed her, and the medical and physical evidence confirmed her story.

But the judge, acting as he says in his decision, as the 13th juror, saw things differently. McFadden writes that although "the evidence is sufficient to sustain the conviction," he offers a long list of confusing aspects in the testimony, which he boils down to, "At no time prior to her outcry on the 19th (the next day), did (she) behave like a victim. Nor did Mr. Dumas behave like someone who had recently perpetrated a series of violent crimes against her."

I don't pretend to know what happened on the night of October 18 in the Fayetteville, Georgia, home. But I do know that what happened in the courtroom is not just about disability and agency, but about rape and the way authorities respond to women's testimony.

Down syndrome may be a reason this judge decided that Jane's words carried less weight when measured against his perception, but many nondisabled women, women of all social classes, races, sexual orientations, and levels of ability, have experienced precisely the same kind of dismissal.

Here are a few examples that do not involve disability.

Last year in Montana, a judge reduced a former teacher's rape conviction to 31 days because the victim, a 14-year-old girl, was "as much in control of the situation" as her rapist and, in his opinion, "older than her chronological age."

In California, a judge reduced a sentence of a convicted rapist because the woman didn't fight hard enough. The judge said, "If someone doesn't want to have sexual intercourse, the body shuts down. The body will not permit that to happen unless a lot of damage is inflicted, and we heard nothing about that in this case. That tells me that the victim in this case, although she wasn't necessarily willing, she didn't put up a fight."

In Arizona, a judge reduced a sentence of a police officer convicted of sexual abuse to community service and probation, instead blaming the victim for being in a bar. The judge said, "If you wouldn't have been there that night, none of this would have happened to you. ... When you blame others, you give up your power to change."

In Alabama, a judge structured a 40-year sentence for rape  so the rapist would serve two years in a community program for nonviolent criminals and three years of probation at home. The judge, much like McFadden, argued that the victim just didn't behave correctly. He said, "You didn't hear the evidence. The original allegation was that both of these crimes were forcible. But then you have to believe that although she was forcibly raped twice, she continued to come back and have a social relationship (with the rapist)."

Other women have been prosecuted for false reporting of rape because they didn't "act traumatized." Rape convictions have been vacated entirely because the victim didn't fight back, such as in Connecticut, when the state supreme court freed a rapist because his victim, a woman with cerebral palsy and a mental age of 3, with no ability to speak, didn't bite, kick, or scratch her attacker.

As disability blogger Sarah Levis has commented, all of these stories should push our attention to this aspect of rape culture in the courtroom. Rape culture creates the myth that victims of rape must react within a predictable set of norms or raise doubts about the legitimacy of the rape. All of these women, including Jane, behaved in a way that judges didn't understand, so they overturned convictions or reduced sentences.

And here is where disability comes back into play. Because of her Down syndrome, Jane is relatively immune to the kinds of victim-blaming endured by other women who are assaulted or abused.

We know she wasn't asking for it. We can't blame her for staying in the house while Dumas got drunk. We know she didn't encourage him, then change her mind the next day. All of the myths about false reporting of rape don't apply to Jane because of her disability, and for that at least we can be thankful. Jane's experience points to the offensive way women's behaviors are interrogated when they seek justice.

I hope that Jane and Dumas get justice in their next trial. If there are discrepancies in the timeline of events, as the court documents suggest, let them be explored. After an outcry, Judge McFadden recused himself from the retrial, which seems like a good decision.

But as the next trial unfolds, do not focus on Jane because she is a woman with Down syndrome. Focus on Jane because she is a woman who says that she was raped. Focus on Jane because she's joined the ranks of other women, women of all races, classes, sexual orientations, and levels of ability who have said that they were raped and then had their testimony disregarded by a judge on the basis of not acting enough like a victim.

There is no one correct way to respond to being violated, but there are so many ways that our justice system can make it worse.

The opinions expressed in this commentary are solely those of David Perry.

@highlight

Judge reversed rape verdict, saying woman didn't act like a victim, man didn't act like rapist

@highlight

David Perry: The victim "Jane" has Down syndrome, but that is not reason for outrage

@highlight

Perry: See "Jane" not as person with Down syndrome, but as a woman who wasn't believed

@highlight

Perry says judges blame victims, dismiss cases cause victims "didn't fight back"