(CNN) -- President Obama and Israeli Prime Minister Benjamin Netanyahu met Monday as more than 10,000 pro-Israel activists gathered in Washington for the annual American Israel Public Affairs Committee Policy Conference. But rather than focusing on the stalled Middle East peace process, their talks and subsequent media coverage have centered on the question of using military force to stop Iran's nuclear program.

The events in Washington took place just after 24 Christian, Jewish and Muslim prominent faith leaders from the United States and Indonesia returned from a mission to the Middle East. The joint delegation returned from the birthplace of the three great faiths of the Western world convinced that religion can be a force for unity and understanding instead of a source of division and conflict.

Unfortunately, however, concerns about security and safety have made the Holy Land a region of walls that have all but eliminated any contact between Israelis and Palestinians today.

In the six days the delegation visited the region, they got a sense of the fear that has led to the building of many kinds of walls. They saw much evidence of the distrust, intolerance and hatred that exists between the two sides of the conflict. But they also met faith leaders and civic activists of great vision and courage.

Rabbi Michael Melchior, the founder of Mosaica Center for Inter-Religious Cooperation and a former member of the Israeli Cabinet, is working with Dr. Abdul Rahman Abbad, the secretary general of the Muslim Council of Religious Leaders in Palestine, to moderate the views of extremist religious leaders.

The delegation met with leaders of Neve Shalom/Wahat al-Salam, which, for more than 40 years, has created a model community of Jewish-Palestinian coexistence, including a School for Peace that has trained thousands of youths and teachers to help create a humane, egalitarian and just society. And they met with leaders of Parents Circle/Bereaved Families Forum who have lost loved ones in the conflict but have turned their anger and loss into constructive work to advance peace.

Although many of the American faith leaders in the delegation had some exposure to the Middle East, this was a new experience for our colleagues from Indonesia, which does not have diplomatic relations with Israel. For them, the trip was one of several thousand miles as well as one of cultural and historical assumptions.

The Indonesian delegation that participated in our mission deserves credit for doing what so few leaders in the world do today: having the courage to cross a great divide with an open mind to better understand the "other." All delegates came to better understand the competing narratives that fuel the conflict in the region.

For more than 60 years, a just solution to the Middle East conflict has eluded the greatest statesmen of our time. Perhaps it is time for a different strategy. Let's call it an Abrahamic peace strategy.

In the field of conflict resolution, mediators help disputing parties peel back layers of difference until they reach common ground on which both parties can agree. In the Middle East, that common ground is our common ancestor Abraham.

Abraham did not build walls. He built wells to sustain all those around him with life-giving water. He did not exclude anyone from his home, opening all four flaps of his desert tent so that any wayfarer, coming from any direction, would feel welcome and share in his hospitality. That is why we are taught that the core character trait of anyone true to the Abrahamic tradition is compassion.

No peace plan will ever work in the Middle East until there is a wholehearted commitment to get Christians, Jews and Muslims to recognize that the core values they share from Abraham transcend political ideologies, flags, national anthems and even geography.

They must be educated in the same classrooms, join hands in launching social action projects to help the most vulnerable, visit each others' places of worship and then visit each others' homes to drink coffee and become friends.

If we could promote projects that bring Israelis and Palestinians face to face, it would begin to plant the seeds for peace for future generations in a way far more enduring than the signing of a treaty by heads of state.

Political strategies have failed. Let us try a new strategy, one that goes back to the faith of our common ancestor Abraham. Start with that, and peace will follow.

The opinions expressed in this commentary are solely those of the authors.

@highlight

The stalled Middle East peace process is getting little public attention

@highlight

Interfaith delegation toured Mideast in search of answers

@highlight

The three major faiths in Mideast share tradition traced back to Abraham

@highlight

Peace could be built on Abraham's core value of compassion for the stranger