Erin and William Petersen almost didn't get the ultrasound. You don't really need it, the doctor told them, but come on in if you like and have a look at your baby.

They watched excitedly as the baby, just 12 weeks old, moved its hand across the screen. It looked like a wave hello to Mommy and Daddy.

Excuse me, the technician said as she put down the ultrasound wand and headed toward the door.

"Is everything OK?" the Petersens asked.

"No," the technician answered and walked out of the room.

Sky-high rate of a birth defect

Nearly two years after the state of Washington was alerted to a possible cluster of babies born with severe birth defects, experts are speaking out, criticizing the state health department for not doing enough to save babies' lives.

For four years in a row, from 2010 through 2013, the rate of babies born with a brain defect called anencephaly -- a type of neural tube defect -- in one rural area of Washington has been more than four times the national rate. The defect is always fatal.

The Washington Department of Health has steadfastly refused to interview the parents of these babies and has failed to accept offers of help from world-renowned anencephaly experts.

"It really looks like they're dragging their feet," said Richard Finnell, a pediatric geneticist and birth defect expert at the University of Texas.

He said that to find the cause of the cluster, state investigators need to speak with the parents of children with birth defects in the three-county area to see whether they might have something in common. But the state has not contacted these parents.

"This is the highest rate of anencephaly since a cluster in Texas back in the '90s, and they should get in there and figure it out. But they don't seem very excited about it," Finnell said.

That Texas outbreak was found to be associated with moldy corn consumed by the mothers. A team of experts on this mold offered help to Washington investigators back in February but hasn't received a response.

"We're frustrated that they're not moving more quickly to find the cause," said Janee Gelineau-van Waes, one of the mold experts and an associate professor of pharmacology at the Creighton University School of Medicine in Nebraska.

The Washington Department of Health has defended its response to the high rate, pointing out that it did a review of the mothers' medical records and, this month, created an advisory committee to help with the investigation. A state epidemiologist, Juliet VanEenwyk, said that at some point, investigators hope to work with the mold experts.

If all of that isn't enough of a response, that's partly because the state's epidemiologists believe the increased rate could be random, VanEenwyk said. Though it is indeed high, the number of anencephaly cases is so small  -- 8.7 per 10,000 births -- that next year, the rate could be back in line with the rest of the country. The national rate is 2.1 cases per 10,000 live births.

"Clusters come and go," said VanEenwyk. "This could possibly be a statistical blip."

But Finnell and others say they think a fourfold increase is no blip.

With anencephaly, the baby is born without a fully formed brain. There's no chance of survival.

Research has suggested that pregnant women are at higher risk of neural tube defects if their intake of folic acid is low before and during pregnancy. The United States has seen a 27% drop in such case since it started fortifying grains with folic acid.

'The lamest excuse I've ever heard'

When the ultrasound tech walked out the door, the Petersens were left alone, Erin's stomach still exposed with the ultrasound gel on it.

"It's OK," her husband kept repeating, but Erin couldn't even look at him. She just stared at the wall, listening to the sound of her own heart beating louder and louder.

The tech returned with the doctor.

"He told us our baby had anencephaly and had no chance of survival. He was surprised he'd made it this long," Erin said. "He went to the computer and brought up a picture of a deceased baby with anencephaly, and there was no skull past the eyebrows. It was horrifying. The image is seared into my head forever."

The Petersens scheduled a pregnancy termination for two days later, on June 30, 2012.  In the meantime, they went home to wait.

"I was inconsolable," Erin said. "I had a baby inside me that was living, and his heart was beating, but I knew I would have to say goodbye in a couple of days."

The day before the termination, Billy Petersen found a red marker and drew a heart on his wife's stomach.

"I knew our baby was in there, and I was showing him that I love him," he said. "It was our last night with him."

This kind of emotion is one of the reasons why the Department of Health has decided so far not to interview families like the Petersens.

"It's very intrusive to start knocking on doors of people who've had a pretty major trauma in their lives," VanEenwyk said.

"That's the lamest excuse I've ever heard," said Billy Petersen, reflecting the viewpoint of several families interviewed by CNN whose children have neural tube defects.

"We want to talk to them," he said. "We'd do anything to help find out why our baby died and help other families. We don't want anyone else to go through what we've been through."

VanEenwyk said it's not clear what investigators would ask these parents. The medical records review showed they had nothing obvious in common.

"Unless we really think we're going to learn something that will help us prevent neural tube defects, we've said that that's not the route to go yet."

All the Petersens can do now is grieve without answers.

A few weeks after they terminated the pregnancy, the couple found outthat  their baby had been a boy. They named him Oliver Michael and got tattoos in his memory.

Billy's tattoo on his collarbone has a baby's hand and the letters AIMH, for "Always in my Heart."

Erin's tattoo on the inside of her wrist has the same baby hand.

"Godspeed," it reads. "Sweet dreams."

@highlight

Anencephaly is a fatal brain defect

@highlight

There has been a cluster in rural Washington

@highlight

Experts are criticizing state health department

@highlight

The health department has defended its response