On December 10 last year a huge crowd rallied in Moscow. The people were fired up about alleged election fraud and fed up with Prime Minister Vladimir Putin. It was unprecedented in the country's post-Soviet history. Unthinkable in Putin's Russia.

It inspired predictions of a Russian Winter to rival the Arab Spring. Now three months, and several huge opposition rallies later, Putin looks certain to be elected president again. So what happened?

The big protests were ultimately triggered by claims that widespread cheating boosted the results for Putin's United Russia party in December's parliamentary election -- claims the Kremlin denied.  But there were other factors. Putin's announcement three months earlier that he would bump Dmitry Medvedev and seek the presidency again for himself was a key moment.

It wasn't a total surprise.  Many had long suspected that Medvedev was just a seat warmer, helping the real boss work around the constitution and its limit of two consecutive presidential terms. But there was also hope Medvedev, who is considered a reformer, would find the fire in his belly to openly fight for the top job. It was a naive hope.

The brazen admission of their private deal was like an open hand slap to the face -- a stinging reminder of who really has the power. Suddenly Russians were confronted with the possibility of 12 more years of Vladimir Putin's rule.

Many of the people most appalled by that idea have done well under Putin. They're educated, well traveled and economically comfortable. For Russia's new middle class the authoritarian stability of the Putin years has brought prosperity. But it's no longer enough. Now they want their vote to count and they want to use it to get rid of Putin.

"The most educated, the most responsible part of Russian society has come together to deliver a single message," one first-time protester told me. "The current government has no right to represent Russian society. They don't say what we want to say. They don't take actions we want to take." So says the urban middle class. But they don't speak for the country.

"It's pure mathematics," says Putin's spokesperson Dimitri Peskov. "Yes we have something like 70,000 people out there [protesting] on Sakharov Avenue but at the same time we have to keep in mind they are a minority. The majority of the population does not live here in Moscow. We have a huge country and if we look eastwards we'll see lots and lots of big cities, small towns and rural populations that still support Putin pretty well."

There's another important reason why Putin appears set to win. There's no obvious alternative. Putin's closest electoral competitor is the Communist leader Gennady Zyuganov -- a serial election loser. This would be his fourth defeat. Two other candidates, right-wing table thumper Vladimir Zhirinovsky and left-leaning Sergey Mironov have also run and lost spectacularly in the past.

Billionaire businessman Mikhail Prokhorov is the only fresh face in the pack. On paper, his manifesto of democratic and economic reforms should appeal to many of Moscow's protesters. But he's struggling to shake off his reputation for being too close to the regime. Cynics call him a Kremlin project, a candidate designed to credibly attract the middle class vote without posing a genuine threat. Prokhorov's repeated denials and slick campaign have not seen his polling move beyond single figure territory.

The line-up of wannabe presidents is said to be another example of what's known here as "managed democracy" where opposition candidates and parties are tolerated but only if they know their place. Critics describe it as the illusion of democracy.

While Vladimir Putin's victory seems assured, we don't know what it will look like. Will there be more allegations of fraud? Will he win comfortably? Or will he get less than 50% of the vote and be forced into a runoff with the second place candidate?

The last scenario appears increasingly unlikely but it's what leaders of the opposition movement are desperately hoping for. It would be a clear sign Putin's support is eroding as well as an opportunity to weaken him further. But however he wins, the next Russian president can expect continued public dissent.

"We want to see new elections," says leading opposition figure Alexei Navalny. "Vladimir Putin won't win on March 4. He will appoint himself as tsar. He'll try to remain Russian president for the rest of his life. We need to fight and stop him from wrongly taking power. Our goal is to keep pressure on Putin."

In light of that intent, the answer to one question will sharply define Russia's immediate future: How would President Putin respond to further challenges to his authority?

Vladimir Putin remains a sure bet for the presidential election. Beyond that there's only one other certainty. He'll be leader of a country that has changed dramatically in the last three months.

@highlight

Russians are confronted with the possibility of 12 more years of Vladimir Putin's rule

@highlight

Putin's closest electoral competitor is the Communist leader Gennady Zyuganov

@highlight

Prokhorov's slick campaign has not seen his polling move beyond single figure territory

@highlight

A second round of voting looks increasingly unlikely