(CNN) -- As fighting rages in Gaza, a question about the region has shot to the forefront of international politics: More than three years after Israel pulled out from the small strip of land, is it still "occupied" territory?

An Israeli helicopter gunship fires a missile Tuesday at a target in Gaza.

"They are re-invading occupied territory," Palestinian legislator Hanan Ashrawi said on "CNN Sunday Morning." She added that Israel has "all the powers and none of the responsibilities of the occupying force."

Ambassador Reda Mansour, Israel's consul general to the Southeastern United States, decried "the same old story about 'occupation.'" He added, "We didn't have, until the last 48 hours, one soldier inside Gaza. We didn't have one settler there."

The United Nations still calls Gaza "occupied," although U.N. Secretary-General Ban Ki-Moon last year balked at the question. U.S. government Web sites also describe Gaza as "occupied." Israel's supreme court ruled last year that after the disengagement, Israel "had no effective control over what occurred" inside Gaza, according to the Israel Ministry of Foreign Affairs.

Israel's relationship to the two separate Palestinian territories -- Gaza and the West Bank -- is one of the most sensitive topics in the world.

The issue is further complicated by the fact that Hamas -- the Palestinian political party whose militant wing has killed Israeli civilians through terrorist attacks -- and many other groups in the Middle East consider all of Israel an occupation of what should be Palestine.

Background

Gaza's history can be traced from ancient Egypt through to the Ottoman Empire. Beginning in 1920, it was part of the British-ruled Mandate of Palestine.

In 1948, Egypt gained control of Gaza during the Arab-Israeli war -- the same war that ultimately led to Israel's independence as a nation. During the six-day Arab-Israeli war of 1967, Israel took control of Gaza and the West Bank.

In 1993, Israel and the Palestine Liberation Organization (PLO) signed agreements that led to the withdrawal of Israeli troops from most of Gaza in 1994. Ten years later, following numerous failed peace efforts, Israel -- under Prime Minister Ariel Sharon -- announced a plan to remove all Jewish settlements and Israeli troops from Gaza by the end of 2005.

On September 11, 2005, the disengagement was complete. As CNN reported, "The Israeli flag has been lowered over Gaza, symbolizing the end of 38 years of Israeli occupation of the Palestinian territory two weeks ahead of schedule."

But Palestinian leaders say that despite the symbolism, the disengagement did not end the occupation.

Israel has "besieged Gaza," Ashrawi said Sunday. "They control the territorial waters, the airspace, the land crossing points and they gave themselves overriding security consideration or powers."

Israel says the steps it has taken are necessary to protect Israeli citizens from terrorist attacks by Hamas, which controls Palestinian life in Gaza.

"They can't live without blaming the Israelis for all the troubles of Gaza," Mansour said. "Gaza is a great place, it should be a very advanced place. Israel was willing to develop it. ... We want to make it one of the most advanced areas of the Middle East. There could be tourism, there's natural gas, there's so much resources to use in Gaza."

Palestinian officials argue that terrorism and poverty wouldn't flourish in the region if Israel eased restrictions. Israel says the terrorism must stop so it can ease restrictions.

The U.N. position

In February 2008, Secretary-General Ban was asked at a media availability whether Gaza is occupied territory. "I am not in a position to say on these legal matters," he responded.

The next day, at a press briefing, a reporter pointed out to a U.N. spokesman that the secretary-general had told Arab League representatives that Gaza was still considered occupied.

"Yes, the U.N. defines Gaza, the West Bank and East Jerusalem as Occupied Palestinian Territory. No, that definition hasn't changed," the spokesman replied.

Farhan Haq, spokesman for the secretary-general, told CNN Monday that the official status of Gaza would change only through a decision of the U.N. Security Council.

The U.S. position

The CIA World Factbook says: "West Bank and Gaza Strip are Israeli-occupied with current status subject to the Israeli-Palestinian Interim Agreement -- permanent status to be determined through further negotiation; Israel removed settlers and military personnel from the Gaza Strip in August 2005."

The U.S. State Department Web site also includes Gaza when it discusses the "occupied" territories. State Department spokeswoman Amanda Harper referred CNN Monday to the department's Web site for any questions about the status of Gaza, and she noted that the Web site referred to the 2005 disengagement. When asked the department's position on whether Gaza is still occupied, Harper said she would look into it. She has not yet contacted CNN with any more information.

Israel's supreme court

Israel's court system has dealt with legal questions involving Israel's responsibility for Gaza after the withdrawal in 2005.

In January 2008, the supreme court ruled in a case involving the shipping of fuel into Gaza. "The Israeli Supreme Court determined that since Israel had disengaged from the Gaza Strip it had no effective control over what occurred there," Israel's ministry of foreign affairs says on its Web site. "The judges also determined that Israel had no commitment 'to deal with the welfare of the residents of the Gaza Strip or to allow unlimited amounts of goods and merchandise' to pass through, but only vital and humanitarian goods."

Occupation of the West Bank

The Israel Ministry of Foreign Affairs, on its Web site, notes that in 1967 the Israel Defense Forces completed the "occupation of West Bank and Gaza Strip."

After the 1993 peace agreements, Israel withdrew its troops from much of the West Bank. But in 2002, amid a slew of terrorist attacks from extremists in the region, Israel reoccupied most cities from which it had withdrawn.

While Israel pulled out of Gaza in 2005, its troops remain in the West Bank and the number of Jewish settlers in that area has grown.

Israel says its actions in the area, including building of a separation barrier, have helped prevent terrorists from entering Israel. Palestinians say it has increased the misery for Palestinians and further delayed any prospects for peace.

Hamas: Israel's existence is an occupation

To Hamas, Israel's "occupation" is not limited to Gaza and the West Bank. Like many other Islamic militant groups, Hamas views Israel's presence as the de facto occupier of greater Palestine. Hamas' charter calls for the destruction of Israel altogether.

As former Israeli Prime Minister Bibi Netanyahu said on CNN's "Late Edition with Wolf Blitzer" on Sunday, "They say, 'Look, we're firing these rockets to liberate occupied Palestine, occupied Ashkelon, occupied Ashdod, occupied Tel Aviv. To them, any place that Israel sits on, any square inch of Israel is occupied territory, and Israel has to be destroyed.'"

@highlight

Question of Gaza "occupation" at forefront of international politics

@highlight

Palestinians say Gaza still "occupied" despite Israel's pullout

@highlight

Israeli diplomat decries "same old story about 'occupation'"

@highlight

Militant group Hamas claims Israel's existence is an "occupation"