Courtroom experts call it a one-of-kind murder mystery that some people believe has yet to be completely solved. The remarkable story of Timothy Hennis and the stabbing deaths of a mother and two small girls is full of shocking legal twists and turns.

During the course of 21 years, Hennis underwent three trials for the same crimes in three courtrooms. The case puts constitutional questions about double jeopardy squarely under the spotlight.

It all began in Fayetteville, North Carolina, in 1985. Hennis, who was then a 27-year-old Army soldier based at nearby Fort Bragg, visited the home of Kathryn Eastburn and her husband, Gary, a captain in the Air Force. The Eastburns were planning to move outside the country and had placed an ad in the newspaper to sell their dog. Hennis stopped by the house in response to the ad.

Four days later, when neighbors became concerned, police entered the home to find the bloody bodies of Kathryn Eastburn and two of her daughters. The youngest Eastburn child, a 22-month-old girl named Jana, was found in the house alive. Police said Gary Eastburn was undergoing training in Alabama at the time of the killings.

Hennis came forward to police when he heard on TV news that authorities were looking for a man who visited the house in response to a newspaper ad.

Investigators had been gathering evidence and interviewing witnesses. A witness named Patrick Cone said he was near the Eastburn home the night of the killings and saw a tall white man wearing jeans, a knit cap and a Members Only jacket leaving the Eastburns' driveway with a trash bag. A police artist drew a sketch based on Cone's description. Prosecutors said the sketch resembled Hennis. Police put Hennis in a line up, and prosecutors said Cone identified Hennis as the man he saw.

In 1986, his first trial

Police arrested Hennis and in 1986, prosecutors put him on trial. They said his motive was sex.

The theory was that "Hennis' wife was out of town, he had a new baby and so he decided to make a pass at a married mother of three -- and that didn't go well," former local reporter Scott Whisnant told CNN's "Death Row Stories."  Whisnant had covered the case in depth for Wilmington's Morning Star newspaper.

Gary Eastburn told police several items were missing from his home, including an envelope of cash, an ATM card and the Eastburn account password. Police said the ATM card was used to withdraw $150 twice over two days.

Prosecutors said Hennis was behind on his rent, which was about $300. He paid his rent the Monday after the killings, prosecutors said. A woman who used the same bank ATM shortly after the Eastburns' ATM card was used told investigators she saw a man nearby matching Hennis' description.

During the trial, prosecutors showed jurors gruesome police photos to illustrate their case. The jury rendered a guilty verdict and sentenced Hennis to death.

While on death row, Hennis received a mysterious, anonymous letter in the mail: "Dear Mr. Hennis," the letter said. "I did the crime, I murdered the Eastburns. Sorry you're doin the time. I'll be safely out of North Carolina when you read this. Thanks, Mr. X"

The letter's author was never determined.

A second chance to prove his case

Hennis' lawyers appealed his case to North Carolina's Supreme Court, where judges ruled that the graphic police photos had wrongly influenced jurors to render a guilty verdict. The ruling allowed Hennis a rare second chance to prove his case in a retrial.

Compared with the first trial, Hennis' defense attorneys engineered a complete 180 on their strategy. After exhaustive preparation, they attacked many of the prosecutors' most damaging accusations one by one. They discredited the prosecutors' star witness, Patrick Cone, and his testimony. He had testified that the weather was clear the night of the killings, but another witness said it was overcast.

A new defense witness who looked similar to Hennis testified he was walking in the neighborhood at the time of the killings.

The witness, John Raupaugh, "lived down the street from the Eastburns," Whisnant told "Death Row Stories." "He was an uneasy sleeper and had a habit of walking the neighborhood at 3 in the morning. He often wore a beanie hat and he had a black Members Only jacket." Raupaugh's testimony, defense attorneys said, gave jurors the reasonable doubt they needed to acquit Hennis in 1989.

Escaping death row as a newly freed man, Hennis then re-enlisted in the Army, eventually retiring in 2004 as a master sergeant.

But prosecutors continued to pursue the case.

In 2006, vaginal swabs from a rape kit taken from Kathryn Eastburn's body yielded new evidence. DNA testing was an imperfect science in the 1980s, so the semen found in Kathryn Eastburn's vagina wasn't pursued as evidence during the first trial. But by the 2000s, technological advances in DNA analysis had improved. Experts said the DNA from Eastburn's rape kit was consistent with Hennis' DNA.

U.S. Army steps in

A team of military attorneys evaluated the case and the Army decided to pursue it. Hennis was recalled to active duty two years after his retirement and promptly arrested on three counts of murder.

"Tim Hennis is the only person in United States history who's been tried for his life three times after guilty and not guilty verdicts," said Whisnant, whose book "Innocent Victims" was made into a 1996 TV movie.

Many observers were surprised. Wasn't Hennis shielded by constitutional protections against so-called double jeopardy?

"In the simplest terms, if a defendant is acquitted and the prosecutor says to the judge, 'I want a do-over,' that is clearly prohibited. That's the definition of double jeopardy," said CNN legal analyst Jeffrey Toobin. "But if a different prosecutor in a different court comes up with a different way to frame charges in the same crime, then that is generally permissible."

Maj. Rob Stelle of the Army Judge Advocate General Corps, who worked on the Hennis case, told "Death Row Stories" that the military's ability to prosecute a case that has already been tried is "well-settled law. Nothing the state does actually effects what the federal government can do."

"In a very narrow category of cases where the federal government believes an injustice has been done, then federal prosecutors will step in," Toobin said. "But by and large, they operate in separate spheres."

When it came down to it, the prosecution's case in Hennis' court-martial hinged on the DNA testing results.

"The sperm found in the vagina of Mrs. Kathryn Eastburn is the person who raped and slaughtered her and her children. And that's Timothy Hennis," Maj. Matt Scott, another Army JAG attorney who worked on the case, told "Death Row Stories."

The jury rendered a guilty verdict and sentenced Hennis to death. He now sits in solitary confinement on death row at Fort Leavenworth military prison in Kansas, awaiting appeal.

But many unanswered questions remain. "There's a ton of physical evidence in that house that they can't explain," Whisnant told CNN's "Death Row Stories."

A head hair was found in the Eastburns' bed that is not Hennis', Whisnant said. Unidentified DNA was found under Kathryn Eastburn's fingernails. "We should be running that DNA against our known database," Whisnant said. "Let's find out what happened."

It likely will be a long time before the final page is written in this bizarre murder mystery.

Even after the appeals process is over, Hennis cannot be executed without presidential approval. In recent years, that hasn't happened very often. The U.S. military has not executed anyone from its ranks since 1961.

@highlight

Soldier Tim Hennis convicted in 1986 and 2010 of murdering a mother and her two girls

@highlight

Author: Hennis only American "tried for his life three times after guilty and not guilty verdicts"

@highlight

The weird triple murder case calls into question the rules regarding double jeopardy

@highlight

Hennis now sits on death row in a military prison in Fort Leavenworth, Kansas