ISTANBUL, Turkey (CNN)  -- In a landmark case, the European Court of Human Rights ruled Tuesday that Turkish authorities failed to protect a woman from her abusive ex-husband, effectively allowing his pattern of domestic violence to lead to the killing of her mother at gunpoint.

Judges unanimously ruled that the Turkish state violated three articles prohibiting torture and discrimination, and ensuring the right to life of the victim.

Legal experts said the ruling sets a precedent throughout Turkey and Europe for governments to protect women from domestic abuse.

"It's a very good decision," said Pinar Ilkkaracan, co-founder of the Istanbul-based organization Women for Women's Human Rights. "This means now that the state must take effective measures to protect women from violence."

According to a Turkish government study released in February, four out of 10 Turkish women are beaten by their husbands. The European Union-funded poll concluded that "one out of 10 women has reported to have been beaten during her pregnancy."

Turkey passed the Family Protection Act in 1998, which is supposed to offer women protection against domestic violence.

But in the case, Opuz v. Turkey, judges ruled that the "discriminatory judicial passivity in Turkey created a climate that was conducive to domestic violence."

Court documents state that in the southeastern Turkish city of Diyarbakir, Nahide Opuz, 36, and her mother were the repeat victims of attacks by the woman's ex-husband, Huseyin Opuz, referred to as H.O.

"Criminal proceedings were brought against H.O. on three occasions," the court wrote. On one occasion, Huseyin Opuz ran over the two women with a car. In 2001, he stabbed his ex-wife seven times with a knife. The ex-wife survived the assault. Turkish authorities detained and then released her ex-husband after fining him the equivalent of about $580.

Less than a year later, Opuz shot and killed his former mother-in-law. She was killed in a moving van while transporting her daughter's family to the safety of another Turkish city.

The court report states Opuz "claims that he killed the applicant's wife because his honor had been at stake as she had taken his wife and children away from him, and had led his wife into an immoral way of life."

In its unanimous decision Tuesday, European Court judges ruled Turkey violated laws since Nahide Opuz's mother "was killed by the applicant's ex-husband, despite the fact that the domestic authorities had been repeatedly alerted about his violent behavior."

Judges awarded the victim 30,000 euros in damages.

Lawyers and women's rights activists argue the court decision puts pressure on Turkey to implement laws to protect women, which were ratified more than a decade ago.

"I don't believe the state is sincerely working on this matter," said Aydeniz Alisbah Tuskan, a representative of the Istanbul Bar Association Women's Rights Center. "Every municipality is required to have a women's shelter. Yet when we ask them what their plans are, it becomes clear they are not taking any initiative."

Tuskan cited polls that indicate up to 40 percent of Turkish women believe they deserve to be beaten by their husbands.

Day-time talk shows and newspapers in Turkey regularly report accounts of domestic violence and honor killings.

Nahide Opuz could not be reached for comment Tuesday.

Speaking by telephone from Diyarbakir, her attorney, Mesud Bestas, told CNN she is not giving interviews because she still fears for her life.

In March 2008, Huseyin Opuz was released after serving six years in prison. Since then, he allegedly has made inquiries, searching for his ex-wife's address. Bestas said she has twice asked Turkish authorities to grant the woman protection.

"Nothing was done," the attorney said.

@highlight

European court rules Turkey failed to protect a woman from abusive ex-husband

@highlight

Experts: Ruling sets precedent in Europe for governments to protect women

@highlight

European Court of Human Rights awards victim 30,000 euros in damages

@highlight

In case, man attacked ex-wife, killed former mother-in-law, court documents say