Leonardo da Vinci painted an earlier version of his famed masterpiece "Mona Lisa," claims a private Swiss art foundation dedicated solely to the alternate painting, which it unveiled Thursday.

But an expert on da Vinci in Britain says there is evidence that the Renaissance master may not have been behind the picture presented as the "Earlier Mona Lisa" but known more commonly as the "Isleworth Mona Lisa."

The Mona Lisa Foundation, based in Zurich, offers a wealth of documentation to support its argument that the painting it represents is a predecessor -- from the master's own hand -- to the world's most famous portrait hanging in the Louvre Museum in Paris.

Martin Kemp, professor emeritus at Oxford University, who has examined the arguments, says the "reliable primary evidence provides no basis for thinking that there was 'an earlier' portrait of Lisa del Giocondo."

Da Vinci's lost masterpiece may be found

In addition to a 320-page art book titled "Mona Lisa: Leonardo's Earlier Version," the foundation's website makes its case using visual widgets of painstaking side-by-side comparisons of the "Isleworth" with "Mona Lisa," magnifying their similarities down to the small details.

The obvious resemblance, easily visible to the untrained eye, could be evidence that the work is just another copy of the portrait of Lisa del Giocondo that was painted after da Vinci's masterpiece was completed -- and probably by someone else, Kemp said in a news release.

The "Mona Lisa" that millions of art lovers flock to gaze upon behind its protective case in the Paris museum was altered from a previous state.

"The Isleworth picture follows the final state of the Louvre painting," Kemp said. "It does not therefore precede the Louvre painting."

The foundation and Kemp also disagree on the results of modern technical examinations of the "Isleworth," which the foundation has invested in.

"The images produced by infrared reflectography and X-ray are not at all characteristic (of) what lies below Leonardo's autograph paintings," Kemp says.

Museum displays earliest known Mona Lisa copy

The Mona Lisa Foundation presents historical notations by artists and intellectuals in the 16th century and beyond to back up the possible existence of a second portrait, but Kemp finds it inconclusive.

In a 20-minute art history video, its own in-house expert Stanley Feldman, main author of the book, presents the foundation's detailed arguments.

The video also includes sound bites from the director of an Italian museum dedicated to Leonardo da Vinci.

"I believe it is more than possible that there existed two pieces of art," said professor Alessandro Vezzosi, director of the Museo Ideale Leonardo da Vinci, pointing to features that could tie the painting to historical references to an earlier work of art.

What the brain draws from: Art and how we see it

But Vezzosi does not say directly that he believes the "Isleworth" is the predecessor of the world-renowned coyly grinning "Gioconda."

In a speech in Geneva on Thursday, Vezzosi again hedged his bets, not backing the foundation's claim outright but saying it had presented a "fascinating possibility" that merited further study.

"The 'Isleworth Mona Lisa' is an important work of art deserving respect and strong consideration as well as a scientific, historic and artistic debate among specialists rather than a purely media interest," he said.

He is conducting parallel research in conjunction with another expert, Carlo Pedretti of the Armand Hammer Center for Leonardo Studies of the University of California in Los Angeles, Vezzosi said.

Meanwhile, Kemp recommends "that questions are asked about the relationship of the Foundation to the current owners."

The Swiss nonprofit was established by bank chairman Markus Frey, financier Daniel Kohler and auctioneer David Feldman, who shares his last name and hometown of Dublin with the foundation's art historian.

It does not divulge who owns the "Isleworth" on its website but explains that "the owners of the painting have endowed The Mona Lisa Foundation with exclusive rights to carry out its objectives."

If the "Isleworth" is not a da Vinci original, as the foundation claims, but a copy, which Kemp thinks is more likely, then it's not a great one, he says.

It doesn't quite have that Mona Lisa smile.

Scientists unlock secret of Mona Lisa's face

@highlight

A Leonardo da Vinci expert says the claim is worth further research

@highlight

Swiss foundation unveils what it claims is a predecessor to "Mona Lisa"

@highlight

An Oxford University professor cast doubt on its authenticity

@highlight

The Mona Lisa Foundation exists solely to research this one painting