New Delhi (CNN) -- India's beleaguered government huddled with various political parties Wednesday, trying to come up with a way forward on an anti-corruption bill as ailing, elderly campaigner Anna Hazare continued his fast for a second day to protest legislation he slammed as too weak to deal with endemic graft.

On Tuesday, the national assembly's lower chamber, the Lok Sabha, cleared the bill, aimed at creating a citizen ombudsman called the Lokpal. However, after a marathon session, legislators defeated a key federal motion to accord constitutional powers to the new watchdog.

Now, the legislation is expected to be taken up by the upper house of elders, called the Rajya Sabha, where the ruling Congress party does not have a majority. In order for the anti-corruption bill to become a law, it has to be approved by both chambers of the Indian Parliament with a majority vote.

"We are talking to everyone and trying (so) that this bill gets passed in the Rajya Sabha," Rajiv Shukla, the country's junior parliamentary affairs minister, told reporters Wednesday.

It is not immediately clear though when the bill will be debated in the upper chamber in the current, extended sitting of Parliament.

Meantime, a leading constitutional analyst feared that the legislation, even if it is passed into law, would become vulnerable to legal challenges for reserving slots for religious minorities in the proposed institution.

"The (Indian) constitution allows no religion-based quotas," noted Subhash Kashyap, a constitutional expert. Slots in government establishments are only reserved for lower-castes, he said.

"This bill is more political than a serious attempt to fight corruption," Kashyap said. Several political parties, including the Congress party, are trying to woo Muslim minority groups ahead of upcoming state elections, especially in Uttar Pradesh province, where the community forms a sizeable voting bloc, he explained.

Family scion Rahul Gandhi, son of Sonia Gandhi -- the Italian-born head of the Congress party -- had earlier this year suggested a constitutional designation for the Lokpal to protect it from being dismantled by ordinary laws in the future.

"Huge slap on govt (government)'s face" read a stinging headline on the Pioneer newspaper Wednesday, referring to the failed attempt at securing parliamentary approval for a constitutional status to the ombudsman.

"Lokpal bill passes, statute change fails," said a bold header on the Asian Age daily.

Meanwhile, Hazare, who brought the corruption issue to the fore, fell ill while keeping up his hunger strike.

Doctors warned him to end his fast as did his supporters, while ambulances stood by at the Mumbai commercial complex where the elderly crusader was staging his protest, his third this year.

In his remarks Tuesday, Prime Minister Manmohan Singh defended his government's bill stoutly.

"There are some very special moments in the life of a nation. This is one such moment," Singh said during the Lok Sabha debate.

"Others can persuade and have their voices heard," he said, alluding to Hazare. "But the decision must rest with us. ... We have seen how public anger has manifested itself in the last one year. Let us, therefore, endorse this bill as proposed."

But opposition leaders said Singh was leading a corrupt party -- Congress's reputation has been marred by scandals -- that had put forth a weak anti-graft bill.

In a new Transparency International survey published last week, 64% of Indians said they had paid a bribe to police, the highest corruption rate of any institution. And less than a quarter of those surveyed thought their government's efforts to fight corruption were effective.

One point of contention in the proposed legislation is that it excludes the Central Bureau of Investigation or federal police from the purview of the Lokpal.

"Without an investigative agency, what is the purpose of Lokpal?" Hazare said in a December 17 letter. "It's better we don't have such a Lokpal."

Corruption has been a part of daily life in India for many years. But it was a series of high-profile scandals that rocked the current administration and investor confidence in Asia's third-largest economy.

In April, a former government minister was among a dozen defendants charged in a multibillion-dollar telecom scandal.

Andimuthu Raja, a former telecommunication minister, is accused of being involved in a scheme involving the underselling of cell phone licenses at the height of India's lucrative telecom boom.

Police have questioned several high-profile executives in connection with the suspected below-price sale of radiowaves or broadcast spectrum in 2008. Politicians, bureaucrats, and corporate officials linked to the probe have denied any wrongdoing.

Investigators also probed complaints of financial malfeasance in the Commonwealth Games that India hosted in October last year.

Several politicians, military officials, and bureaucrats have also been the subjects of a separate inquiry for allegedly taking apartments meant for war widows.

@highlight

Ailing campaigner continues his hunger strike

@highlight

Law, minus key provision, passes lower house

@highlight

Hazare slams law as too weak to deal with graft