(CNN) -- Sen. Ted Kennedy would have had a "very, very difficult" time politically surviving the drowning death of a young woman if it happened in the era of blogs, talk radio and 24-hour news cycles, experts said.

Sen. Ted Kennedy hit the airwaves to say it was "indefensible" he didn't immediately report the accident.

Mary Jo Kopechne, 28, drowned after Kennedy drove his Oldsmobile off a bridge following a regatta party in July 1969. The incident on Chappaquiddick Island, Massachusetts, helped dash the youngest Kennedy brother's chances at the Oval Office in 1972 and 1980.

Massachusetts was more forgiving than the rest of the nation, however, backing Kennedy by a 3-to-2 margin in his 1970 bid to keep his Senate seat. That his brothers, John and Robert, had been assassinated in recent years may have been a factor, experts said.  Watch Kennedy attend brother Robert's funeral »

"Great expectations and great tragedy has always been the storyline of the Kennedys," said Christopher Arterton, dean of George Washington University's graduate school of political management. "The people of Massachusetts were prepared to forgive a lot of transgressions."

Kennedy vanished to the family compound for days after the incident, huddling with advisers before emerging the following week to plead guilty to leaving the scene of an accident. A judge suspended his two-month jail sentence.

Critics saw the plea as an attempt to stifle details that would have emerged during a trial.

In a display of the senator's legendary oratory, he delivered a nationally televised explanation and apology, saying it was "indefensible" that he hadn't called police until the day after the accident.  See how Chappaquiddick fit into Kennedy's legacy »

"If at any time, the citizens of Massachusetts should lack confidence in their senator's character or his ability, with or without justification, he could not in my opinion adequately perform his duty and should not continue in office," Kennedy said.

Jim Baughman, author of "The Republic of Mass Culture: Journalism, Filmmaking, and Broadcasting in America since 1941," said he recalls Kennedy's address being "less an explanation to the country than to the Commonwealth of Massachusetts."

The nation's response was tepid. According to a Time-Harris poll in August 1969, about 44 percent of respondents said Kennedy failed "to tell the real truth," 51 percent said his explanation was inadequate and 77 percent said he was wrong not to report the accident immediately.

However, 58 percent of respondents said "he has suffered, been punished and should be given the benefit of the doubt."  Watch a timeline of Kennedy's tragedies, triumphs »

"I think the national repercussions would have been more severe [today]," Baughman said.

In 1969, the national media were dominated by three TV networks and a handful of magazines and newspapers. New media and talk radio would be a "much more ferocious force" today, he said.

Media reports from the time indicate few mysteries were solved by Kennedy's address.

Then-Edgartown Police Chief Jim Arena was often lambasted for his handling of the case. He said Thursday he would handle it no differently today except that he would charge Kennedy with vehicular homicide, a charge that did not exist in 1969.

"I will always contend that what happened that night was an accident. What happened afterward has never been completely explained," said Arena, who is now 79.

In his national address, Kennedy said he was driving Kopechne to a ferry landing because she was tired. He denied "widely circulated suspicions of immoral conduct" and also refuted reports that he was "driving under the influence of liquor."  Watch Kennedy's explanation »

Kennedy said his unfamiliarity with the bridge, which had no guardrails and met the road at an awkward angle, caused him to drive off the side and into Poucha Pond.

"The car overturned in a deep pond and immediately filled with water," Kennedy said. "Water entered my lungs and I actually felt the sensation of drowning, but somehow I struggled to the surface alive."

Kopechne did not. Kennedy said he dived back into the water several times, "but succeeded only in increasing my state of utter exhaustion and alarm."

Conceding he did not seek a telephone, Kennedy said he returned to the party and summoned a cousin and friend to the scene. They, too, failed in saving Kopechne, he said.

"All kinds of scrambled thoughts -- all of them confused, some of them irrational, many of them which I cannot recall, and some of which I would not have seriously entertained under normal circumstances -- went through my mind during this period," he said.

He asked to be taken to the ferry slip, he said, where he jumped into the water, swam the 500-foot channel back to Edgartown, returned to his hotel room and collapsed.

It wasn't until morning that he called police, and then, only after he called legal adviser Burke Marshall, he said.

The media clamored with questions: Why had Kopechne left her purse and room key at the cottage and told no one she was going home? How did Kennedy get lost on a one-turn trip to the ferry? Was the ferry operating when Kennedy and Kopechne left?

"The larger anger about it was the 10-hour lag [in reporting the accident], that he was more concerned about his reputation than this young woman's life," Baughman said. "He didn't take enough time to blame himself and take responsibility."

Today, Baughman said, Kennedy could still survive a Chappaquiddick -- largely because of the Kennedys' clout and because Massachusetts is so enamored with the family -- but it would be tougher with the Slate.coms and Drudge Reports of the world hounding him.

George Washington University's Arterton concurs that, like Jesse Helms' North Carolina or Strom Thurmond's South Carolina, Massachusetts would likely forgive one of its favorite sons today.

If Kennedy survived his first re-election, as he did in 1970, he likely would have prevailed in later ones, though it would have been "very, very difficult to remain in office," Arterton said. He also doubts Kennedy would have been able to isolate himself with advisers for days without making a statement.  Watch a newsreel of Kennedy's early years »

"In the cable news era, that would not have been possible," he said, explaining that blogs and other new media would have prodded the networks and newspapers. "There would have been much more effort to dig into that story nationally."

At the least, Baughman said, "you'd have maybe a more diverse conversation about Kennedy's culpability and judgment."

Then-Chief Arena remembers the intense criticism of his investigation from his own counterparts.

Diver John Farrar, who pulled Kopechne from the car, told media outlets she may have lived had Kennedy called police immediately, and George Killen, a detective-lieutenant with the State Police, alleged at the time that Kennedy "killed that girl the same as if he put a gun to her head and pulled the trigger."

Kennedy's explanation was a "weak defense," Arena acknowledges, but he insists there was no evidence of negligence to facilitate manslaughter charges.

Arena said the Kennedys never pressured him during the investigation. He also never obfuscated details to benefit Kennedy -- in part, because of a paternal adage he has always held dear.

"When you tell the truth, you don't have to worry about what you said the first time," he said. "The charge I came up with was the only one I thought we could prove. ... I did what I could, and I'll stick by it."

@highlight

Media "more ferocious" today, wouldn't have left questions unanswered, expert says

@highlight

Ex-police chief says he would have charged Kennedy with vehicular homicide today

@highlight

Chappaquiddick incident credited with ending Ted Kennedy's presidential hopes

@highlight

Chief: "What happened afterward has never been completely explained"