Cairo (CNN) -- Former President Anwar Sadat's "infitah" or open door policy was a megaproject touted as a fix-all to Egypt's ailing economy.

The idea seemed logical on paper -- attracting foreign investment as a means of reaching economic prosperity. In reality, however, the open door policy widened social disparities, yielding a boom in construction, hotel, and tourism industries and concentrating wealth in the hands of a few.

By 1977 -- nearly three years after the project had been in effect -- nine out of 10 Egyptians were living in poverty and half of the country's men didn't have regular jobs.

Sadat's decision to address the situation with a World Bank loan was conditional upon cutting subsidies for basic foodstuffs. The result were the infamous "bread riots" of 1977.

Nearly 40 years later, a new $8.4 billion dollar Suez Canal expansion project stands poised to -- as a World Bank official put it -- "change the economic landscape of Egypt" by engaging private business and creating at least one million new jobs.

The project will likely create wealth -- but will it be shared by all? Egypt's recent history with such projects raises doubts.

Former President Hosni Mubarak embarked upon several neoliberal projects which were also billed as economic fix-alls that ultimately only benefited a select few.

Cairo 2050 in the late 2000s and Toshka in the late 1990s were two massive urban planning projects costing into the billions which did little to address Egypt's social disparities and eventually failed. Both of these projects hinged upon displacing something around 20% of the Egyptian population -- many of whom were living in informal urban areas in the Nile Valley -- to satellite towns in the desert. Toskha relied on private sector investments while Cairo 2050 sought to replace Nile valley residents with five star hotels, business parks, wide boulevards, and compounds.

Before these two projects was the smaller-scaled Dreamland, a private residence complex 17 km west of Cairo designed for the upper classes seeking an escape from the din of the city.

In his piece, Dreamland: The Neoliberalism of Your Desires, Timothy Mitchell uses the example of the project to show the lopsided economic benefits of Mubarak's projects.

Mitchell describes Dreamland as a complex featuring "luxury fiber-optic-wired villas, shopping malls, theme parks, golf courses, and polo grounds" staffed by employees who didn't earn enough in a month to attend its amusement park.

Mitchell also points to nationwide social disparities yielded by Mubarak's neoliberal project focus, explaining that from 1990 to 1995, public industrial sector wages dropped eight percent, and that by 1999 soup kitchens had reappeared and school teachers were making less than $2 a day.

Today Egypt continues to suffer from a wide range of economic and social issues. Many of them, like unemployment, and problems with sewage and running water, are more or less as they were when Sadat came to office in 1970.

Others, such as public education, insufficient electricity, cases of Hepatitis C and poor hospital care have only worsened.

Recently, President Abdel-Fattah El-Sisi stated that the world's poorest education system needed 30,000 new "quality teachers" -- but added that it wasn't possible now as it would cost LE 18 billion ($2.5 billion).

But couldn't the government tone down its megaprojects and allocate some of its funds to social programs like this one?

A smaller expansion of the Suez Canal and following up on Sisi's "expensive" suggestions to reform the education system would reduce illiteracy rates and improve performance in the labor market while also having a positive effect on the general health of the population.

It would also strengthen the social contract by showing that the government is taking action that will directly affect the livelihood of more than just a few.

If Egypt's current economic situation wasn't an aberration -- if this was the first time the government was faced with laundry list of economic problems -- then the focus on a project like the Suez expansion would be understandable.

However, as the lights in Egypt continue to flicker, it seems like the country needs something more than another fix-all megaproject to heal its same economic ails.

@highlight

Egypt continues to suffer from a wide range of economic and social issues, writes Amr Kotb

@highlight

Former President Hosni Mubarak's fix-all neoliberal projects benefit a few, he says

@highlight

He asks: Couldn't the government allocate funding to social programs?

@highlight

Kotb: It would show that the government is directly affecting the livelihood of more than a few