(CNN)News that the United States has suspended operations at its embassy in Yemen -- and reports that Houthi rebels have seized U.S. Marines' weapons -- have laid bare the failure of U.S. policy in the country.

The Houthis -- a Shiite insurgent group backed by Iran -- are now the key power brokers in Sanaa, Yemen's capital. They have also extended their presence far south of their historical northern stronghold, advances that prompted Yemen's entire executive branch to resign on January 22, following a successful siege of the presidential compound.

In the process, the Houthis have destroyed Yemen's legal government, thrown out its draft constitution, infiltrated its intelligence services and security forces, and demanded that all sides in Yemen's complex and acrimonious socio-political-economic system play by their rules. Meanwhile, their military expansion is beginning to fuel sectarian Sunni support for al Qaeda in the Arabian Peninsula, or AQAP, which is recruiting and expanding its operations.

Despite all this, President Barack Obama is still defending the "Yemen model," describing it as the "best option." And Michael Vickers, undersecretary of defense for intelligence, insists that the United States has been able to continue some of its counterterrorism operations in Yemen despite the rising influence of the Houthi movement and the fact that the administration has had to suspend some operations as the Houthis have penetrated some intelligence installations.

All this leaves the United States with few counterterrorism options in Yemen aside from the ability to conduct drone strikes. Yet the Yemen model was never supposed to be just about drone strikes, especially as the U.S. drone campaign in Yemen has not been intense enough to disrupt AQAP. The terror group retains some of the capabilities of an insurgent force, is able to establish and control its own safe havens, and can still challenge Yemen's security forces directly. Since Obama is (rightly) unwilling to deploy U.S. forces to fight the AQAP insurgents directly, any strategy for dealing with that group therefore rests on having a viable partner on the ground to conduct operations against the group.

But even in its heyday, before the collapse of the current government, the administration's Yemen policy had had only limited success. America's main goal in training specialized units in the Yemeni military was to enable them to focus on killing AQAP high-value targets. Yet while Yemenis needed — and received — special counterterrorism capabilities to take out these top AQAP commanders, the military was no match for insurgents on the ground.

Unfortunately, the administration's Yemen model did not bridge the gap between what the Yemeni army could do and what it needed to do. Meanwhile, U.S. policy also too often ignored other potential local allies in Yemen, some of which had a successful track record against AQAP.

So what can the United States do now?

There is no easy strategy for success in Yemen. But one thing is certain: A partnership with the Houthis -- who prefer to run the country as puppet masters from the wings, infiltrating rather than controlling the Yemeni military and governmental institutions -- is not the answer. The fact is that the Houthis are not perceived on the ground as a neutral actor, and their actions are driving Yemen toward a sectarian conflict in a country where religious fighting has been virtually nonexistent.

A further barrier to working with the Houthis is that Saudi Arabia, a key U.S. partner in Yemen, sees them as an Iranian proxy and as a threat. Riyadh has reacted to the rise of the Houthis in Sanaa by suspending most aid to Yemen, ending the much-needed financial assistance that kept the economy afloat. Getting the Yemeni state to a point where it is stable is a costly endeavor, and the Saudis are unlikely to pay the price to sustain what they see as an Iranian foothold on the Arabian Peninsula.

The White House needs to admit that its counterterrorism model is not working, and should perhaps heed calls from both sides of the aisle for an increase in special operations forces and covert operations in Yemen beyond the trainers and advisers already there. A small deployment of special operations troops -- not a "massive" "perpetual" deployment of U.S. troops -- could both enable and assist Yemeni army units fighting AQAP insurgents. These forces could identify and support local partners in the fight against AQAP, working with others beyond the central government. They could also identify local populations tempted by AQAP assistance in their fight against the Houthis.

The United States must also change its regional, political and diplomatic approach. We have to abandon the notion that our only alternatives are working exclusively through a dysfunctional (or, in this case, nonexistent) central government or outsourcing our policy to regional partners. Instead, we must work to establish relationships with power brokers in key areas of Yemen such as oil-rich Ma'rib and Hadramawt provinces.

Of course, we will need regional interlocutors to make connections and build ties, but the United States will have to own and execute its own political strategy. That strategy should aim at constructing coalitions of locals willing to fight against AQAP while also seeking to mediate the disputes that are tearing Yemeni society apart and creating openings for AQAP to expand. The problems in the Middle East today will not be resolved purely by state-to-state interactions, nor will they be solved by redrawing borders.

Ultimately, Yemen's AQAP problem is never going to be solved by dealing solely with the central government, which has little control over the entire country. At the same time, the White House is right when it says the United States "cannot be an occupying force in a place like Yemen." Large numbers of American troops in Yemen would probably be as unwelcome as the Houthi militias. But doggedly defending the current Yemen strategy -- an approach that risks descending into complete failure -- is misguided.

We need to be honest with ourselves -- whatever we were trying to do in Yemen has failed. It's time to turn the page.

@highlight

The United States suspended operations at the U.S. Embassy in Yemen this week

@highlight

Katherine Zimmerman: Even before, U.S. Yemen policy had only limited success