Editor's note: The staff at CNN.com has been intrigued by the journalism of Vice, an independent media company and Web site based in Brooklyn, New York. Motherboard.tv is Vice's site devoted to the overlap between culture and technology. The reports, which are being produced solely by Vice, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (Motherboard.tv) -- Tucked between a bodega and a bar in a former industrial neighborhood on the border of Brooklyn and Queens, an unassuming door leads to New York's newest, most radical punk scene.

But the slouched-over kids and bearded scenesters who slide into the cavernous space, known as Silent Barn, aren't just here for the fine underground music. They really come for the video games.

This is the home of Babycastles, an underground collective and gallery dedicated to pressing the reset button on the concept of the video game arcade, with loving help from a growing culture of independent developers, players and fans.

Don't expect any change machines, prizes, or incessant video game musak wafting across a linoleum-lined room full of pale adolescents. Descend into the basement of Silent Barn on any given night, and you're likely to encounter a rowdy scene that looks more like CBGBs if it had been founded by hackers with a predilection for florescent neon.

That's how you might describe Kunal Gupta and Syed Salahuddin, who met each other through the independent gaming scene after college and launched Babycastles with a smattering of music and beer-soaked events in 2009. They grew up in the 1980s and '90s, as a steady stream of home gaming consoles were eclipsing the arcade and the privacy of the living room was replacing a lively -- if not completely functional -- public space.

"It was a dark, dingy place with a lot of teenagers who were really into arcade games," Salahuddin says of his favorite arcade from childhood, the recently-closed Chinatown Arcade. "There were a lot of random strangers and friends you made that night. People stood around these machines discussing the games, talking about the games, deconstructing these games."

In Babycastles' cozy underground space, visitors gather around homemade games, installed on often aging computers that are embedded inside ramshackle cabinets. The games -- often constructed around an array of silly, bizarre and downright fascinating conceits and told in a vibrant, minimalist aesthetic, are designed by young developers from New York and around the world whose clever antics are more accustomed to internet message boards, blogs and IRC channels. The cabinets are lovingly decorated in all manner of artwork, from intricate painted cardboard panels to collage-covered wood panels.

See the rest of Babycastles: DIY Arcade at Motherboard.tv

For the opening exhibition at a temporary space near Times Square last year, Thu Tran, the inimitable maestro of the IFC show "Food Party," turned a former storefront into a veritable zoo of brightly-colored furniture and cabinets. In painted wood and styrofoam, it was a masterful and whimsical refusal to answer that pesky question of whether games can be art. Here was a kind of proof that you don't have to choose.

Nor do you have to play by the rules -- in fact, often no one knows what they are.

In B.U.T.T.O.N., a staple of the gallery, players are left guessing at the objective: will they be asked to beat their opponents to a single magic button, to force their opponents to press the button, or to carry out instructions printed on the screen in Danish? In the current exhibition, hosted at a separate music venue in Williamsburg, a game by Ivan Safrin lets players reenact a popular YouTube video showing a zealous ATV-rider with a giant American flag who celebrates the death of Osama bin Laden by firing his shotgun aimlessly. A game by Adam Saltsman simply asks users to press any key -- they win when they find the correct one.

Doing things the wrong way -- an ethos obvious in the eccentric, sometimes iconoclastic design of many of the gallery's games -- echoes the progenitors of other devil-may-care and do-it-yourself artistic movements. That's why the music and games at Babycastles events play together so nicely. Indie rock and punk fare isn't the only soundtrack at Babycastles -- the collective also pairs up with a steady global roster of chiptune musicians, who, with their hacked Game Boy controllers and Genesis consoles, are in many ways the musical breatheren of today's lo-fi game developers. (Babycastles launched as a party alongside the Blip Festival, a showcase of chiptune musicians; this year's festival begins this week in New York.)

Meanwhile, the patrons of both of these independent communities are in one way or another striving to experience something new -- something that can't be bought in a store, but that is available for anyone to see and hear if they look in the right places. Just like indie music, the independent gaming scene is trading in neat, mass-produced convenience for a rough-hewn, playful provocation.

"[At big gaming studios] games have become massive undertakings in which each developer acts like a cog. The budget for games has increased by billions of dollars, and developers don't take as much risk anymore," says Salahuddin. "So you see a lot of rehashed games from the same video game engine, like another "Unreal" clone." The independent gaming movement "is in response to that."

The implications of Babycastles remixing go wider than the music, art and gaming worlds. The hope, says Salahuddin, is to build a kind of economy for independent gaming developers outside the large studios, something akin to what supports indie musicians who make much of their money through touring and merchandise.

Babycastles' other mission is to bring an obscured world of hobbyist game development to a larger audience -- a public that may be jaded with a culture often built on testosterone-fueled first-person shooters, or that tends to roll its eyes at the premise of games altogether. It's a formidable challenge, but, as the gallery's raucous and diverse gatherings prove, one that isn't so hard to beat.

Still, mixing games with the underground music scene can have its downside too -- some musicians who come to play fall in love with the games in the basement, Salahuddin says. "So bands started missing their sets."

@highlight

Underground space in nondescript New York building home to indie video game arcade

@highlight

Homemade video games, indie bands, diverse crowd make up "raucus", "radical" punk scene

@highlight

Owners, patrons strive for an experience that "can't be bought in a store"