(CNN) -- Sid Meier's "Civilization" is now 20 years old.

But for someone who has been involved in video games since the mid-'80s, one of Meier's early prophesies is just now coming true because of mobile and social gaming technologies, he told CNN.

"I've always said that games will someday take over the world and that seems to be happening," he said.

Meier is considered to be one of the great game designers. He serves as director of creative development for Firaxis Games. He sat down with CNN to reflect on the short history of video games and what he hopes will be their long future.

The following is an edited transcript:

CNN: Congratulations on 20 years of "Civilization." When you were first coming up with the idea, did you imagine that it would stand the test of time?

Meier: I wanted to make a game that was fun to play. Where it is today, I wouldn't have dreamed. We made the first "Civilization" game because it was a game that we wanted to play and hoped that if we liked it, others would, too. Lucky for us, people latched on to the game and our fan community has made the game what it is now.

CNN: Where do you find inspiration?

Meier: The themes for all of my games are inspired by things I've been interested in my whole life: history, pirates, railroads, airplanes, golf, etc. are all things that I enjoy, so I wanted to make games based on these subjects.

For "Civilization" games, we get a lot of our inspiration from our fans and the talented folks who work on the games. While I have my own ideas to contribute, by bringing in designers with a fresh perspective, we're able to continue growing and developing "Civilization" to create a new gameplay experience with each iteration of the game.

I've also been inspired by other developers and games such as Will Wright's "SimCity," the first "God Game," which really set the stage for the first "Civilization." Also, Bruce Shelley, one of my design partners during Microprose's early days, created one of the best RTS games ever made, the "Age of Empires" series. I'm also a big fan of Dani Bunten who created the first open ended adventure game, "The Seven Cities of Gold."

CNN: What is the greatest innovation or idea that has been introduced in the "Civilization" franchise?

Meier: Each "Civ" game is unique because the designer brings their own unique ideas to the game. The biggest changes lately were the hexagonal world tiles, the one-unit-per-tile combat system and the beautiful graphics in "Civ V."

We'd thought about hex tiles all the way back in the original "Civ," but never tried it until "Civ V." The one-unit-per-tile system makes combat much more tactical and fun to play. And the graphics take the gameplay experience to a wonderful new place.

Maybe the biggest change to the Civilization series as a whole is that we've managed to bring it to a variety of new audiences through our console, mobile and Facebook versions of the game.

CNN: What were some of the best times and hardest times in gaming for you in the last 20 years?

Meier: It's difficult to think of hard times when I get to go into work every day and make games. I have the greatest job in the world and feel very fortunate to have been doing this for so long. The thrill of designing a new game never seems to grow old for me.

CNN: How has gaming and video games changed in the past two decades?

Meier: Technology is always changing and giving us new tools to work with. PC and console game designers have been taking advantage of this by creating dramatically better graphics and deeper gameplay experiences. New technology has also allowed developers to deliver games on a wide array of devices, so people from all walks of life have access to games everywhere from phones to tablets to the Internet. It's a great time to be a gamer.

CNN: Is the social gaming and mobile gaming trend a product of advancing technology leading an audience or a change in the gamer's philosophy about gaming?

Meier: It's a little bit of the chicken and the egg debate, but I do think advancing technology has allowed us to explore new platforms and areas of games that we didn't previously have at our disposal.

Social and mobile games deliver a different kind of experience than the traditional PC and console games, which seem to appeal to a broader audience than the usual gamer. The growth of gaming on so many different platforms, and the diversity of the audience is great news for the gaming industry as a whole.

CNN: Has gaming become more important to our culture in terms of entertainment?

Meier: Games have become the entertainment of choice for people all over the world. I've always said that games will someday take over the world and that seems to be happening. There are so many different gaming platforms and a constant stream of new games for players to enjoy in any way they choose.

It's exciting to see the rise of games in popular culture in the past few years. Now it seems that everyone plays games on their phones and social networks. Games and game franchises have become an integral part of mainstream entertainment, and the industry is only 30 years old. It's just the beginning of the greatness still to come.

@highlight

Sid Meier's "Civilization" game launched in 1991

@highlight

The director at Firaxis Games is considered to be one of the great game designers

@highlight

Meier: "I wanted to make a game that was fun to play. Where it is today, I wouldn't have dreamed"