The United Kingdom took a step Friday toward being the first country in the world to allow a pioneering in vitro fertilization technique using DNA from three people that could prevent mitochondrial diseases but that also raises significant ethical issues.

One in 6,500 babies in the United Kingdom is born with mitochondrial disorder, which can lead to serious health issues such as heart and liver disease, respiratory problems and muscular dystrophy.

Problems with mitochondria, the "powerhouse" cells of the body, are inherited from the mother, so the proposed IVF treatment would mean an affected woman could have a baby without passing on mitochondrial disease.

But the cutting-edge IVF technique, which involves transferring nuclear genetic material from a mother's egg or embryo into a donor egg or embryo that's had its nuclear DNA removed, raises ethical questions.

The new embryo will contain nuclear DNA from the intended father and mother, as well as healthy mitochondrial DNA from the donor embryo -- effectively creating a "three-parent" baby.

The amount of donor DNA in the mitochondria will, however, be much less than the parental DNA in the nucleus, which determines the baby's characteristics.

IVF-related birth defects may originate with moms, not treatment

The UK government plans to consult on draft regulations on the fertility treatment later this year, with the intention of putting the measure before parliament next year. At the moment, only unaltered eggs and embryos can be used for in vitro fertilization.

"Mitochondrial disease, including heart disease, liver disease, loss of muscle coordination and other serious conditions like muscular dystrophy, can have a devastating impact on the people who inherit it," said the UK's chief medical officer, professor Dame Sally Davies.

Since scientists have developed "ground-breaking new procedures" that could prevent these diseases being passed on, Davies said, "it's only right that we look to introduce this life-saving treatment as soon as we can."

The government says public consultation shows there is "overall support" for the treatment.

But Dr. David King, director of Human Genetic Alert, a London-based watchdog group, opposed use of the technique Friday -- saying it opened the door to the creation of "designer babies" -- and disputed the results of the public consultation, saying not enough weight has been given to online polling.

"These techniques are unnecessary and unsafe and were in fact rejected by the majority of consultation responses," he said in a statement.

"It is a disaster that the decision to cross the line that will eventually lead to a eugenic designer baby market should be taken on the basis of an utterly biased and inadequate consultation."

King told CNN that conventional egg donation already allows a mother to bear a child without passing on a mitochondrial disorder, so the benefit of the new technique would only be to allow the baby to be genetically related to her.

"While I can understand that, that's not a medical benefit to anybody -- and you have to weigh it against the risks of invasive techniques that will clearly carry a risk to the child," he said.

Could 'personhood' bills outlaw IVF?

There's also a "risk to society at large," he said, because once the ethical line over modification of human DNA has been crossed, the door will be opened to "the next step and the next step after that."

"That's why governments around the world over the last 20 years have said 'we won't allow you to genetically engineer human beings,' " he said.

Even if approved by lawmakers, more research is needed to ensure that the procedure actually works in humans and can be carried out safely, King said.

The government's announcement Friday prompted a slew of UK media headlines -- and will probably continue to divide the scientific community.

The UK-based Nuffield Council on Bioethics, which carried out a six-month inquiry into the ethical issues around the technique, concluded that the health and social benefits of living free from mitochondrial disorders meant that "on balance ... if these novel techniques are adequately proven to be acceptably safe and effective as treatments, it would be ethical for families to use them."

Its working group also concluded that "mitochondrial donation does not indicate, either biologically or legally, any notion of the child having either a 'third parent,' or 'second mother.' "

But University of Notre Dame law professor O. Carter Snead, a bioethicist who specializes in the governance of science, medicine and biotechnology, urged the United Kingdom to "proceed slowly and cautiously" given the "unresolved safety and ethical questions" around the new technique.

"Little is known about the short- and long-term genetic effects of this procedure on children born with its aid," he said. "It would be an ironic tragedy if this procedure were rushed from bench to bedside, only to harm the very children it was meant to help.

"Moreover, there remain serious questions about the ethics of conceiving children with three genetic progenitors or 'parents.' "

IVF 'co-pioneer' Robert Edwards dead at 87

@highlight

"Little is known about the short- and long-term genetic effects," says a U.S. bioethicist

@highlight

Government takes a step toward allowing an IVF technique involving DNA from 3 people

@highlight

It is intended to prevent mitochondrial disorders being passed on from mother to child

@highlight

Mitochondria are "powerhouse" cells of the body; defects can cause serious health issues