Thailand's military declared Thursday that it has taken control of the country in a coup.

Two days earlier, the military declared martial law, saying the aim was to calm tensions.

What's fueling the situation in Thailand? What could happen next? And why should you be paying attention?

Here's a guide to understanding the country's fast-moving crisis:

What's the latest?

Details are sketchy, but Thailand's military chief announced Thursday in a national address that the armed forces had taken control of the country after rival factions were unable to reach an agreement to govern.

On Tuesday, the military declared martial law without consulting the country's interim prime minister, who was serving in a caretaker status after former Prime Minister Yingluck Shinawatra -- also a caretaker -- was ousted by Thailand's Constitutional Court. An aide to interim Prime Minister Niwatthamrong Boonsongpaisan described Tuesday's move by the military as "half a coup d'etat."

There's been no reaction from Niwatthamrong's camp so far.

The country remains under martial law, which among other things  includes restrictions on where protesters can gather, what TV and radio broadcasters can air and social media posts, according to the Bangkok Post.

Thailand wakes up to military rule: What it means

How did things get to this point?

Thailand's politics have been in turmoil for years, driven in large part by a schism between populists, many of them rural and poor, and a largely urban middle class and elite in Bangkok partial to the nation's royal establishment.

The current disruption has its roots in the 2006 military ouster of billionaire Prime Minister Thaksin Shinawatra, who built a strong political base with populist policies that appealed to rural villagers in Thailand's north.

Thaksin's removal led to a broad-based opposition movement that came to a head with widespread demonstrations in parts of Bangkok in 2010. The military violently suppressed the protests, resulting in some 90 deaths.

A year later Thaksin's sister, Yingluck Shinawatra, rode a wave of opposition votes into power.

In 2013, Yingluck proposed legislation that would have granted amnesty to Thaksin and others. The move set off a new wave of protests and anger -- this time among Bangkok's urban elites and middle class sometimes known as "Yellow Shirts" -- who want an end to the involvement of Thaksin's family in Thai politics for good.

In May, Thailand's Constitutional Court removed Yingluck and nine Cabinet ministers from office, saying she had violated the Thai Constitution by reassigning a senior security official in 2011.

Populists known as "Red Shirts" saw her ouster as a "judicial coup" and have been protesting what they consider a bias by many of the country's institutions against their side.

Things escalated last week when three Yellow Shirt protesters died and 23 were injured after gunmen opened fire on a protest camp. The violence prompted an ominous warning from the army chief that troops would have to step in if the situation didn't calm down.

What's next?

Before the coup, the army chief, Gen. Prayuth Chan-ocha, said the next step would be bringing "rival parties to talk in peace."

It wasn't immediately clear if such negotiation is still on the table, or if the military has other plans.

Previously, Thitinan Pongsudhirak, a political science professor at Chulalongkorn University in Bangkok, said the military was in a precarious situation.

"They have to be evenhanded," he said at the time.

"If it's seen as favoring one side or the other side, then we could see more violence and turmoil against the military," he said.

Has anything like this ever happened before in Thailand?

Thailand is no stranger to military coups.

Including Thursday's coup, the military has attempted 19 coups in 80 years; 12 have been successful.

Before Thursday, the last one was in 2006 when the military sent tanks onto the streets before ousting Thaksin.

Soldiers, selfies and martial law

Why should I care about this?

Thailand's political instability could have an impact beyond the country's borders.

"Known as the 'Detroit of the East,' Thailand has risen to become a vital manufacturing and assembly hub of hard-disk drives and automobiles for Japanese and Western firms," the Center for Strategic and International Studies said in a December analysis of the political crisis.

The months of protests have already hurt Thailand's economy and run the risk of making the country less attractive to investors and governments looking to strike up deals, analysts said.

"A reputation for perpetual political unrest would definitely hurt Thailand's competitiveness and attractiveness to foreign investment in the future," the analysis said.

A recent report from the U.S. Congressional Research Service noted that "Bangkok's reliability as a partner, and its ability to be a regional leader, are uncertain."

"A stable Thailand is strategically important to the United States, both because of its status as a U.S. treaty ally and as an anchor for mainland Southeast Asia," the report said. "U.S. policymakers are faced with how to deal with an unraveling democracy and how to respond to profound concerns about the civilian-military balance in Thai society."

This sounds familiar. How does it compare to what we've seen in other countries?

Around the world, we've heard a lot about coups recently.

In Libya, some troops have been arguing that increasing military power that's rallying behind a renegade local general isn't anything about which to worry. But the Libyan government and the military command in Tripoli reacted with alarm, saying that they didn't order retired Gen. Khalifa Haftar's deadly attacks against Islamist militants last week, and that the operation -- which they conceded included some Libyan soldiers -- amounted to a coup.

In February, Ukraine's President claimed a coup had forced him from office, while lawmakers said they were following the will of the people when parliament voted to oust him and hold new elections.

A military coup in Egypt last year ousted President Mohamed Morsy from office and placed an interim leader in power. A debate surged afterward about whether a coup was an appropriate term to use for the ouster.

@highlight

Army declares coup as Thailand remains under martial law

@highlight

It's unclear what will happen next; army had sought political dialogue

@highlight

The volatile political situation has affected Thailand's economy