(CNN) -- The killing of 16 unarmed Afghan civilians is, as President Barack Obama has said, heartbreaking. Families have lost children, mothers and fathers in a rampage that has left Afghanistan reeling.

For Afghans it is the latest in a pattern of disrespect and dishonor: the burnings of the Quran that ignited protests, video of U.S. soldiers urinating on Taliban corpses, kill teams in Kandahar.

The horror of the killings offers a public relations victory for the Taliban and leaves Afghans wondering whose side they should be on. Is this the kind of "peace" they should believe in and rely on? Both hearts and minds have been shattered and lost.

And, devastatingly, another casualty of this rampage is the quiet voices of men and women who risk their lives each day to fight for the progress of their country. Human rights activists, midwives, high school principals, doctors, entrepreneurs and young students crowding on to Facebook like kids everywhere else in the world. Their voices pleading for patience and calm are lost in the violence, mistrust and misunderstanding of the last few months.

These warriors for progress are rarely heard in the media, but the jeopardy in which they place themselves is very real: Since 2011, Kandahar's mayor was assassinated in his home, the city's police chief was assassinated and an educator in Logar province was shot and killed for the crime of educating girls. The killings in Kandahar by insurgents are another strike against people who simply want to live in a secure country where they can support their families and send their children to school safely.

The bloodshed thus far in 2012 bolsters those in the United States and Afghanistan who say that a swift international exit from Afghanistan is the only answer. On the other side are those who argue the United States must stay the course militarily.

Stuck in between are the country's women, who have fought since the Taliban's departure to strengthen their own rights to go to work and to school and to lead their communities. More than 2 million girls are now in school. Women make up a quarter of the Parliament. And nearly 3,000 midwives go out each day to save women's lives in a country that Save the Children rated the deadliest for expectant mothers.

Women I speak with feel caught in a political ambush. They enjoy little protection from their own government, they are under fire and constant threat from anti-government insurgents and now troops sent to protect them are contributing to the violence. Women who fear deeply for the erosion of their own rights if the Taliban return are told by some in their community: "Would you rather have this? Is this alternative any better? Is this peace?" And their push for progress this past decade is tied by their opponents to an international effort increasingly seen as drenched in disrespect.

Afghan President Hamid Karzai has been balancing for political survival on a tightrope between the international community on one side and his country's most conservative elements on the other. The more peace talks with the Taliban in Qatar become a reality, the further the Karzai administration seems to tilt in favor of the conservatives: Recently, Karzai signed off on a code of conduct for women released by clerics on the Ulema Council that said women should not travel without a male guardian or mix with men in offices or schools.

Women activists say they do not want troops in their country forever. But they worry what the international community will leave behind as it hurries for the exits. Timelines seem to determine events on the ground rather than the other way around.

As parliamentarian Fawzia Koofi told me in the wake of the Quran protests, "If the international community decides to leave tomorrow, women will be the first victim of the Talibanization of the government."

No one is championing endless war in Afghanistan. For Americans, too much national treasure has been spilled and the treasury has been depleted. Drawdown plans leading to 2014 are well under way and will continue to unfold in the coming days. But how the international community gets out matters. And so does what it leaves behind.

We have trapped ourselves in an all-or-nothing conversation. The military alone cannot end the war in Afghanistan -- and U.S. military officials are the first to say this.

But after "drawdown," two other "Ds" are critical. Diplomacy -- talks about Afghanistan's future that involve all Afghan sides and regional players and include women. And development dollars -- funds that help local government and civil society keep schools open, clinics functioning and midwives working after 2014 has come and gone.

Already an orphanage I know is facing funding problems as it works to keep boys and girls off streets and out of trouble. A withdrawal of troops should not mean an abandonment of Afghanistan.

This is not simply about American altruism. This is about leaving behind a state stable and secure enough that American forces will never have to go back. Afghan women are not a pet project taken up by the international community. They are a stability indicator whose involvement in their own societies is in the best interest of lasting security. Any agreement that leaves them out will simply be a short-term deal, not a durable peace.

Women's involvement in their own country's future is a must-have for the U.S. president to get what he has said he wants: a "responsible" end game for America's longest war.

The opinions expressed in this commentary are solely those of Gayle Tzemach Lemmon.

@highlight

Gayle Lemmon: Massacre, a PR victory for Taliban, raised cry to get out of Afghanistan

@highlight

She says activists, midwives, educators, doctors who risk lives for progress are unheard

@highlight

Lemmon: In a bad omen, Karzai signed clergy's standard of conduct for women

@highlight

Women will be left to ultra-conservatives in a precipitous withdrawal, she says