(CNN) -- As U.S. President George W. Bush wrapped up his tour of the Middle East, some of the region's biggest investors were doing business in the U.S.

U.S. President George W. Bush during a lighter moment on his Middle Eastern tour with Saudi Prince Salman bin Abdul Aziz

Saudi Prince Alwaleed bin Talal topped up his holding in U.S. banking giant Citigroup, as part of a $12.5 billion cash injection from a group of backers, including the Kuwait Investment Authority.

The same day, the Kuwait Investment Authority also participated in a $6.6 billion boost for U.S. investment bank Merrill Lynch.

They're the latest in a long line of substantial investments emanating from the Middle East; most made by Sovereign Wealth Funds spending the proceeds of the oil boom.

What are they? Sovereign Wealth Funds (SWFs) are not a new phenomenon -- the first was founded in 1953 -- but recently, they've become much more active. In the past six months, in the financial sector alone, they've taken stakes in Morgan Stanley, UBS and Bear Stearns, as well as Citigroup and Merrill Lynch.

How much are they worth? Figures vary as many of the larger funds don't divulge valuations. Morgan Stanley says, combined, they could be worth as much as $2.5 trillion. Standard Chartered says the total assets managed in SWFs correspond to around 12 percent of the market capitalization of the NYSE, or about 42 percent of total stocks on the Tokyo Stock Exchange.

Who owns them? Sovereign Wealth Funds aren't solely the preserve of Middle Eastern royalty. Norway's Government Pension Fund is one of the biggest SWFs in the world, worth an estimated $322 billion. Singapore, China and Russia also have sizeable funds. In fact, they're all featured Standard Chartered's "Super Seven"; funds with more than $100 billion in assets.

In recent years, more countries have jumped aboard the SWF wagon. Among the most recent are Chile's Economic and Social Stabilization Fund (2006) and Venezuela's National Development Fund (2005).

Where does the money come from? The biggest single source of funding for the largest SWFs is oil and other commodities. As oil prices swelled, so too did government coffers. Excess foreign reserves are also a source of funding. And of course, as the value of their assets grows, SWFs too will have more money at their disposal. In ten year's time, Standard Chartered estimates they'll be worth $13.4 trillion. Morgan Stanley forecasts a more optimistic $17.5 trillion.

Who are the big spenders? The Abu Dhabi Investment Authority is the world's biggest SWF, in dollar value, as well as a proportion of the Emirate's GDP. Estimates of its size vary widely, from $250 billion to $1 trillion. Standard Chartered puts it about half-way at $625 billion. One of its most recent purchases was a $7.5 billion stake in Citigroup last November.

Sounds great, what's the catch? Many commentators view the rise of SWFs as a positive force in the world market. For example, while the prospect of a recession in the U.S. has sent other investors running for cover, they've been willing and able to pump vast sums of money into the U.S. banking sector. However, there's some trepidation about their lack of transparency; many don't provide details of their size, investment returns or asset allocation.

The secrecy has stoked concerns about their investment motives. Some countries are worried that SWFs will give other governments undue influence over important local companies. The challenge is to ease concerns about "strategic investments," while not setting up too many barriers to foreign money. E-mail to a friend

@highlight

Sovereign Wealth Funds (SWFs) active buying stakes in leading U.S. banks

@highlight

First SWF founded in 1953, now total worth worldwide estimated at $2.2 trillion

@highlight

Abu Dhabi has biggest SWF, followed by Singapore, Norway and Kuwait

@highlight

Secrecy of some funds stoking concern about strategic goverment stakes