Cairo (CNN) -- Egyptians will vote in two weeks to approve, or reject, a new constitution -- a potentially pivotal moment for the North African nation that underwent a revolution a year ago and, more recently, has seen its president become the target of fierce protests.

President Mohamed Morsy on Saturday announced a December 15 referendum date on what could become the nation's constitution, shortly it was presented to him by the Islamist-dominated assembly that crafted it.

While his supporters cheered the move, there was little indication the vote or anything Morsy said would placate the opposition.

"(Morsy) put to referendum a draft constitution that undermines basic freedoms & violates universal values," said Mohamed ElBaradei, a Nobel laureate and head of Egypt's Constitution Party, on his Twitter account. "The struggle will continue."

The proposed constitution will be published Sunday in government newspapers, said Hossam al-Gheryani, head of the 85-person group that pushed through its 234 articles Friday after 21 hours of haggling. Egypt effectively has been without a guiding constitution, as well as a legislature, since the 2011 revolution marked by the ouster of its longtime leader Hosni Mubarak.

Thousands of the president's supporters packed streets around Cairo University on Saturday, taking part in marches and a massive rally organized by the Freedom and Justice Party, the Muslim Brotherhood's political branch that Morsy once led. They carried banners featuring Morsy's photo, waved the Egyptian flag and chanted their support.

An even larger rally took place just south of Cairo in the city of Giza. It involved Brotherhood members, fellow Islamist groups and others including the Egyptian Revolution's Alliance, the Revolutionary Front to Protect the Revolution and the Coalition of the January 25th Youth.

Other pro-Morsy rallies were held in the northern port city of Alexandria and the central city of Asiut.

These events aimed to bolster Morsy after more than a week of protests against him, during which stones flew, demonstrators and police clashed and clouds of tear gas wafted through, among other places, Tahrir Square in central Cairo.

That landmark square, which is across the Nile River from one large pro-Morsy rally, remained buzzing Saturday night with people who have camped out there and marched elsewhere to vent their anger at the president. They have called Morsy a dictator, even worse than Mubarak, for his edict declaring that his past and future decisions are immune from judicial oversight -- new power that the president insists is only temporary.

They responded to his speech, which was blared over loudspeakers, by chanting, "Leave, leave" -- suggesting that, whatever comes of the constitutional referendum, their goal remains removing Morsy as president.

Morsy's controversial edict, issued November 22, energized the opposition and led them to reoccupy Tahrir Square, as dissidents did in the winter of 2011.

Seeds of Egypt's past sown long ago

Many saw it as an overbearing, undemocratic grab for power that left the president in charge without any checks and balances. Morsy described it as a necessary move to fight judges loyal to Mubarak's regime who were blocking progress in government.

It engendered sharp opposition within Egypt's judiciary, with many courts basically shut down as judges and prosecutors went on strike. Despite the order, the nation's high administrative court has indicated it will review the proposed constitution -- though it's not clear, if they rule it invalid, if that will prevent the referendum.

As part of his edict, Morsy had also given the constitutional assembly up to six more months to craft the pivotal document. But amid the raging discontent, the president spurred the group to speed up its work -- an expedited process that prompted Christian, liberal and leftist members of the group to walk-out in protest, with many of them later replaced by Islamists.

Essam El-Erian, a senior Morsy adviser, insisted all viewpoints -- including the need to safeguard freedoms when it comes to things like gender and religion -- were taken into account nonetheless. But critics are unconvinced.

Opinion: Don't blame Muslim Brotherhood for Morsy power grab

A quick glimpse at the constitution's articles show language dealing with individuals' civil rights, particularly how security forces and the justice system treats them.

There is wording prohibiting arbitrary arrest and detention and ensuring due process, a sensitive topic in Egypt. Mubarak and his loyalists are blamed for jailing and harshly mistreating innocent people in the years before and especially during last year's uprising.

One article stipulates no one in jail can be interrogated without a lawyer present, and if detainees don't have one, the judicial system must appoint one. Phone conversations, electronic correspondence and other communication could not be taped without a warrant.

Protesters to Morsy: Roll back your decree or leave

While many of the articles sound democratic, the fine print indicates otherwise, some human rights advocates say.

"Moving a flawed and contradictory draft to a vote is not the right way to guarantee fundamental rights or to promote respect for the rule of law," said Joe Stork, deputy Middle East and North Africa director at Human Rights Watch.

Mohamed Naeem, a member of the Egyptian Social Democratic Party, said he fears the proposed constitution would open the way for a theocracy by moving the country closer to Sharia law.

The preamble includes language pertaining to women, saying they are equal to men, but it also accentuates their role as mothers.

And the United Nations' high commissioner for human rights, Navi Pillay, has urged Morsy to reconsider the draft, saying a number of measures contained in it are incompatible with international human rights law.

Beyond the details about the constitution itself, some see this month's vote more generally as a referendum on the government.

Morsy took office in June as Egypt's first popularly elected president, following decades in which Mubarak held vast powers and limited dissent (including by banning the Muslim Brotherhood). But Morsy's recent moves have stirred suspicions that he and his Islamist allies are intent on amassing powers at the expense of others.

Opinion: A new Egypt must learn political compromise

CNN's Reza Sayah, Amir Ahmed and Ben Brumfield contributed to this report.

@highlight

NEW: President's supporters cheer proposed constitution at rallies in Cairo, elsewhere

@highlight

NEW: But an opposition leader rips the document and says "the struggle will continue"

@highlight

Egyptians can vote in a referendum on the proposed constitution on December 15

@highlight

Protesters have criticized Morsy for what they call an undemocratic power grab