(CNN) -- In the last few weeks, the media has been ablaze with news of the government shutdown, the debt limit and health care reform. Missing from most public debate, however, is the cut to the Supplemental Nutrition Assistance Program, or SNAP, benefits that will take place on November 1 and will affect every one of the more than 47 million Americans who depend on the program to help meet their basic nutritional needs.

When the changes are implemented, everyone enrolled in the SNAP program will see their benefits cut. For example, a family of four that qualifies for the maximum monthly benefit will lose $36 a month -- that's a 5% reduction.

While this may not seem like a lot, I speak from experience when I say $36 provides much more than you might think. This past September, I participated in the SNAP challenge.

For a week, I stuck to a budget of about $1.50 per meal, the average SNAP benefit for one person. It was a tough week. I found myself drained and constantly thinking of food.

When the SNAP cuts take effect next week, benefits will average about $1.40 per meal. I can't imagine the strain this will place on struggling families who are counting every penny and trying to stretch their benefits.

Eatocracy: The food stamp challenge

Most families do not have enough to make it through the month already -- 90% of SNAP benefits are redeemed by the third week of the month and 58% of food bank clients currently receiving SNAP turn to food banks for help at least six months out of the year.

The upcoming cuts will result in an increased need for food assistance at food pantries and soup kitchens across the nation when many are already stretched meeting sustained high need in the wake of the recession.

At Feeding America, we're doing everything we can to prepare our network of food banks for the increased demand, but charity alone cannot make up for the impending $5 billion loss in SNAP funding. The reduced funding will result in the loss of nearly 1.9 billion meals in the next year. That's more than half of Feeding America's total projected output for 2014.

The cuts this week are significant and will put a strain on millions of families struggling with food insecurity, hitting them right before the holiday season. Adding to this is the fact that Congress is considering much deeper cuts to SNAP benefits and eligibility restrictions that will affect millions of low-income people as part of the farm bill.

In September, the House passed legislation cutting $40 billion in SNAP over the next 10 years, according to a Feeding America analysis. Together with this week's cuts, the pending legislation will result in a loss of nearly 3.4 billion meals for low-income Americans in 2014 alone, according to a Feeding America analysis. These are meals our most vulnerable citizens cannot afford to lose, and food banks and other charities simply cannot fill that gap.

While we cannot stop this week's SNAP cuts, we can prevent further cuts from taking place. Call your member of Congress and tell them not to cut SNAP.

Helping our neighbors in need is a fundamental American value, and fighting hunger is a public-private partnership. We need a strong charitable system and a strong federal anti-hunger safety net. Working together, individuals, charities, business and government can solve hunger. Do your part to make sure no one in America goes hungry.

The opinions expressed in this commentary are solely those of Bob Aiken.

@highlight

Food stamp benefits will be cut about 5% starting Nov. 1

@highlight

Bob Aiken says this will hurt America's struggling families, and more cuts could come

@highlight

Aiken says food banks won't be able to fully take up the slack

@highlight

He says Americans already often use up food stamps and need help from food banks