Editor's note: How would you rate President Obama's first 100 days? You'll get a chance to make your opinion known at 7 p.m. ET Wednesday on the CNN National Report Card.

Supporters say President Obama is tackling an aggressive agenda, while critics say he's leaving Republicans behind.

(CNN)  -- More than two years ago, a junior senator with presidential aspirations stood on the steps of Illinois' Old State Capitol in Springfield and warned of politicians who fail to live up to expectations.

"Too many times, after the election is over, and the confetti is swept away, all those promises fade from memory, and the lobbyists and the special interests move in, and people turn away, disappointed as before, left to struggle on their own," then-Sen. Barack Obama said as he announced his intentions to pursue the Democratic nomination.

Now, after 100 days in office, observers are asking the same of him: Has President Obama lived up to the expectations that candidate Obama created?

"What Obama has successfully done is keep his persona intact, which is a man of deep family values and a core moral center. And I think that people are learning to trust Obama that when he talks, he's not just articulate, but he's shooting straight," said presidential historian Doug Brinkley.

Obama won the White House campaigning on a message of hope and a promise of change. As he emerged a frontrunner for the Democratic nomination, he pushed an ambitious agenda, vowing to overhaul health care, education and energy policy.

But as the severity of the economic meltdown took hold and Obama moved into the White House, his inspirational rhetoric was injected with a sobering dose of reality. Obama encouraged patience and cautioned that, "change doesn't happen overnight."

In his first 100 days, Obama laid the groundwork for many of his campaign promises and faced criticism that he's trying to do too much.

"Nobody will ever be able to accuse him of being an idle man during his first 100 days," Brinkley said. "He's clearly showing himself to be a progressive in the tradition of Franklin Roosevelt, John Kennedy and Lyndon Johnson, with the moral core of Jimmy Carter."

So far Obama is showing himself to be "the same guy that we had on the campaign trail," Brinkley said.

Given the items on his agenda, Obama is living up to expectations, CNN senior political analyst Bill Schneider said. "The public is patient and is not expecting to see a quick turnaround in the economy," he said.

"I count 10 major items -- jobs, health care, education, energy, housing, banks, automakers, deficit reduction, taxes and the war in Afghanistan. Plus, a pledge to take up immigration reform and climate change in the near future. Any one of those things would be a significant agenda," he said.

But some Republicans say the president has failed when it comes to his pledge to reach across the aisle.

After Democrats moved ahead with a $787 billion stimulus bill that garnered no Republican support in the House and just three Republican votes in the Senate, "That's when it became clear to me that all of this post-partisan talk and working down the middle and working together was a ruse," said John Boehner, House minority leader.

Obama's approval ratings remain high -- hovering around 65 percent. Those numbers are on par with where President Reagan and President Carter stood at this point in their presidencies. But one year later, their approval ratings dropped to about 40 percent.

Obama has maintained his popularity, Republican strategist and CNN contributor Mary Matalin said, but he's lost support from Republicans and some independents "because what he is not is what he was perceived to be in the campaign -- a centrist."

Schneider said Obama's agenda -- which includes massive government spending -- represents a challenge to the Republicans' core principle of smaller government. Republicans haven't responded to Obama's outreach, and "it's causing serious political damage to their party, he said.  Watch: Is bipartisanship dead? »

Obama is not personally polarizing in part because he is cautious about divisive social issues, "but his economic policies are very divisive," Schneider said.

"Obama is the mirror image of Bill Clinton ... Voters either loved him or hated him," he said, noting that after his first two years, Clinton's policies became more moderate and consensus driven.

The National Republican Senatorial Committee last month released an ad accusing Obama of backpedaling on numerous campaign promises, calling him out for signing a spending bill with thousands of earmarks, mishandling the AIG bonus scandal and failing to rein in government spending.

PolitiFact, a Web site that has been keeping track of Obama's campaign promises, reports that Obama has kept 27 promises, compromised on seven, broken six, stalled on three, has 67 in the works and has yet to take action on another 408.

But one Republican who broke ranks to endorse Obama and also spoke at the Democratic convention says he's had no regrets.

"As president, in surprisingly short order, he has moved rather decisively to implement new directions," said former Iowa Rep. Jim Leach, who served as a Republican member of the House for 30 years.

And on areas where Obama hasn't been 100 percent in line with his campaign promises -- such as softening his stance on NAFTA and slightly extending his timeline for troop withdrawal -- Leach said Obama is making adjustments "in a very appropriately adaptive way."

"It is inconceivable that a thinking individual can agree with the president or anyone in public office 100 percent of the time," he said, adding that he thinks Obama has some prospect of "potentially going down as one of the great presidents in American history."

Rep. Lincoln Davis, D-Tennessee, who declined to endorse Obama before his party's convention, said Obama has met expectations thus far.

"I think every person who runs for office -- whether it's a local office, statewide office, runs for president -- we all have ideas, we all have visions, we all have a hope," Davis said. "But then acting on those is sometimes more difficult than others. But I do believe the president, during the campaign, made his visions known ... and I think he has certainly lived up to those."

Republican strategist and CNN contributor Ed Rollins said if he were a Democrat, he might give Obama an "A" on his performance.

"I think the guy has had a great start. He's pushing an agenda that obviously he ran on. He's lived up to most of his promises. You know, he's a big personality, and I don't diminish that," he said.

"I think the country wants a president they feel comfortable with. A long, hard path ahead, and hopefully, some of the stuff he's thrown out there will work because we're spending a ton of taxpayers' money,"  he said, noting that as a Republican he gives Obama a "B."

Brinkley said it's somewhat unfair to hold the president to a 100-day litmus test because "it takes a while to get settled in."

"He's doing a lot of bold things for as short a period of 100 days," he said, pointing specifically to Obama's economic bailouts. But, he said, there's the large caveat that only time will tell how these bold moves will play out.

@highlight

As a candidate, Obama campaigned on a message of hope and change

@highlight

"Nobody will ever be able to accuse him of being an idle man," historian says

@highlight

GOP strategist says Obama not acting like the centrist he was during the campaign

@highlight

Obama's agenda represents a challenge to GOP principles, analyst says