(CNN) -- A top Florida lawmaker is demanding that the federal government help "get to the bottom" of dozens of deaths at a now defunct boys' reform school.

"For the sake of those who died and the family members still living, we've got to find out what happened at the school," U.S. Sen. Bill Nelson, D-Florida, said in a letter dated Wednesday to U.S. Attorney General Eric Holder.

His demand follows a report this week by state forensic investigators who say they've discovered evidence that there are 19 more grave sites than previously thought at the Arthur G. Dozier School for Boys in the Florida panhandle town of Marianna.

For years, stories and allegations of beatings, torture and murder have surrounded the century-old school. State authorities have previously said there were 31 burial sites at the school, and a 2009 state investigation found no allegations of wrongdoing in connection with those deaths.

Now, investigators say there's evidence that 98 boys died at the school, and some of them may be buried in the 50 graves found on school grounds.

The school closed last year, allegedly because of budget cuts.

Mystery surrounds school graves

"The reform school may yield some ugly reminders about our past, but we absolutely must get to the bottom of this," Nelson said in a news release Wednesday.

Nelson is asking the Justice Department to provide support and assistance to a team of anthropologists and forensic scientists from the University of South Florida as they continue to search the school grounds.

The Justice Department has not yet responded to Nelson's request.

The USF team, equipped with ground-penetrating radar, is currently searching another part of the property where another cemetery may exist. So far, they haven't found anything.

"We found burials within the current marked cemetery, and then we found burials that extend beyond that," said Dr. Erin Kimmerle, one of the investigating anthropologists. "For the majority, there's no record of what happened to them. So, they may be buried here, they may have been shipped to their families. But we don't know."

She said she hopes a more thorough investigation, which would include the exhumation of bodies, would bring some closure to the families.

"When there's no knowledge and no information, then people will speculate and rumors will persist or questions remain," she said.

Glen Varnadoe's uncle, Thomas Varnadoe, died at the facility in 1935. He wants state authorities to carry out exhumations so he can bring his uncle's remains home to Lakeland, Florida.

"This is my uncle's body. We want the state of Florida to point us to his grave and give us access to his remains so we can have him reburied with his family," he told CNN.

Varnadoe said both his father and uncle were both sent to the facility at one time, and -- according to his mother -- his father saw his dead uncle being buried on the property in the middle of the night.

Varnadoe says he does not intend to sue the state of Florida for damages. He says he simply wants his uncle's body.

"My mission is to recover his remains and bury him next to his mother," he said.

Who exactly is buried on the school grounds is a mystery that dates back to 1900, when the boys' school opened.

The research team has gone back in time, going over old, antiquated state records and conducting interviews with survivors, when possible. The existing cemetery is marked only by 31 rusting tubular steel crosses.

The forensic investigators say poorly kept, contradictory records have only added to the mystery about the cemetery and the school. Reform school ledgers and notations label some of the boys as "runaways," but it is unclear whether these boys were ever found. The school was officially closed in 2011.

"These are children who came here and died, for one reason or another, and have just been lost in the woods," said Kimmerle. "It's about restoring dignity."

During its century-long history, 98 deaths have been documented at the school, but the whereabouts of 22 bodies cannot be determined by examining historical records, according to Kimmerle.

Her team's findings only add to the mystery, controversy and horror that has surrounded the former reform school for years.

Elderly men, who were once sent to the reform school as wayward youth, have come forward with horrific tales of beatings, abuse and stories of boys who simply disappeared.

In 2008, Florida's then-Gov. Charlie Crist ordered a state investigation into allegations by a group of men, known as "The White House Boys," who had came forward with stories of how they were beaten with leather straps by school administrators in the 1960s.

The Florida Department of Law Enforcement issued a report that found 31 boys were buried in the cemetery, although each individual plot could not be identified. That report found that most of the boys had died either in a 1914 fire or from a flu pandemic four years later.

At the time, the law enforcement agency said it could not determine where another 50 boys -- who died at the school as a result of illnesses or accidents -- were buried, blaming poorly kept school records.

FDLE closed the case due to the lack of evidence that anyone had died as a result of criminal conduct, and no charges were filed.

The new findings will undoubtedly lead to speculation that the newly discovered graves are evidence of a generations-long criminal coverup by administrators of the prison.

In a statement to CNN, FDLE said it is aware of the new report.

"In the absence of any additional evidence, we do not anticipate further criminal investigative action," said Keith Kameg, an FDLE communications coordinator.

@highlight

Sen. Bill Nelson is calling for a federal probe into more graves found at a defunct reform school

@highlight

There were 31 known graves and a 2009 investigation determined no wrongdoing

@highlight

This year, researchers found evidence of 98 deaths and 50 graves

@highlight

The century-old school closed last year, allegedly for budget issues