(CNN) -- It's been a year since the Occupy Wall Street movement sprang up. Since then, it has fizzled, but this does not mean that the underlying issues that gave rise to the protests have gone away.

Until last year, mainstream political discourse did not include nearly as much emphasis on such populist concerns as rising income inequality, tax policies that favor the rich, growing influence by large corporate interests in elections and the reckless deregulation of financial institutions that resulted in the 2008 crisis. It is hard to miss them now.

These concerns still impact 99% of Americans. Even if Occupy protests have petered out, the movement has affected the political narrative in our country.

Meet the original 'Occupiers'

We can see Occupy's impact in the current presidential campaign. Whereas Bill Clinton's 1996 re-election strategy focused on the idea of "triangulation" -- taking centrist positions on key economic issues to isolate his Republican opponent on the right -- President Barack Obama has taken on much more of a populist stance, mobilizing his Democratic base and economically stressed independents against an opponent whom his campaign is depicting as the quintessential representative of the 1%.

Occupy activists justifiably express skepticism over how much to trust the president's left-leaning rhetoric when his actual economic policies have been decidedly centrist. Still, the fact that Obama's re-election campaign recognizes the advantage of decrying unfair tax laws and similar policies that affect middle class Americans is indicative of how the tone has shifted.

Unfortunately, much of the decline of the Occupy movement can also be attributed to the distraction from this year's election campaigns. Despite the Democrats' mixed record, the unions and many other potential allies necessary in building a real movement have felt obliged to focus their energy on re-electing Obama and helping other Democratic candidates.

Some police repression and serious violations of civil liberties by city authorities certainly crippled the Occupy protests as well, as did the media's tendency to focus too much on its more violent or flaky elements.

But, this does not mean that all is lost.

What was the point of the Occupy movement? Share your view with CNN iReport

The Egyptian Revolution and other unarmed civil insurrections that have swept the world recently did not start and end during a few dramatic weeks or months when millions of people were on the streets. They were the culmination of many years of struggle, often initiated by young radicals engaging in small but creative demonstrations.

The Occupy protesters, even at their greatest numbers, were never able to do what successful movements must do in terms of developing a well-thought-out strategy, clearly articulated political demands, a logical sequencing of tactics and well-trained and disciplined activists who don't vandalize property or fight cops. Indeed, the Occupy protesters never developed enough of the structural elements necessary to truly be considered a "movement."

Most importantly, those involved never recognized that colorful protests are no substitute for door-to-door organizing among real people.

A look back: Meet the 99%

The United States has a long history of popular social and economic struggles, from the abolitionists to the Populists to the suffragists to the civil rights movement and, throughout much of that history, the trade unions. As Thomas Jefferson once beckoned his fellow Americans: "crush... the aristocracy of our moneyed corporations which dare already to challenge our government to trial and bid defiance to the laws of our country."

If the pressing concerns of the 99% are not addressed, don't be surprised if new incarnations of the Occupy movement emerge in the near future.

The opinions expressed in this commentary are solely those of Stephen Zunes.

@highlight

It's been a year since the Occupy Wall Street movement sprang up

@highlight

Stephen Zunes: The movement has fizzled, but it affected our political narrative

@highlight

He says Obama has taken on populist issues such as income inequality, unfair tax policies

@highlight

Zunes: If concerns of the 99% are not addressed, new versions of Occupy will emerge