(CNN) -- Four years ago today, President Barack Obama signed Obamacare into law, pledging that Americans could keep their health care plans and their doctors and that their coverage would be "more secure and stable" than before.

As the horror stories continue to roll in, however, the emptiness of those promises and the human toll of this deeply misguided experiment have become increasingly difficult for Democrats to ignore.

Consider Angela Strobel, a mother of five girls from Owensboro, Kentucky.

Angela was perfectly happy with the insurance and the doctor she had before Obamacare. She also had an ironclad assurance from the President that she wouldn't have to sacrifice either one if his health care plan became law. Now she finds herself among the growing group of Americans who've been shell-shocked by the reality.

The fact-checkers may have declared the President's "you can keep your plan" pledge last year's "lie of the year." But Angela and millions like her will be reeling from that broken promise for years.

It won't be easy. Angela not only lost her insurance, she also lost a trusted family doctor to Obamacare. In a perfect summary of modern liberalism, one of the billing clerks for Kentucky's Obamacare exchange told Angela that since she now qualifies for Medicaid, she'd be breaking the law if she tried to pay more out of her own pocket just to keep her old doctor. Medicaid rules forbid it.

The upshot: for Angela and her family, it's either Medicaid or a monthly premium increase of nearly $1,000.

Tragically, stories likes Angela's are playing out in households all across the country. And the promises that were made to sell Obamacare â€” that it wouldn't disrupt people's previous health care arrangements and that premiums would go down â€” are now being exposed for the cheap and deceptive sales pitch they were.

It may be tempting for some to brush all this aside as standard politics. But it's hard to think of anything even comparable to the scope of the deception involved in selling this law.

The President made repeated, explicit pledges that no one would lose their doctor or their plans as a result of this law. For two years, he did everything he could to assure Americans that they had nothing to worry about.

Yet now, as millions of Americans speak out about their frustrations and heartbreak, he's not even listening.

Instead, leading Democrats have engaged in a despicable campaign to discredit the victims. Senate Majority Leader Harry Reid labeled people like Angela liars, while other Democrats have downplayed statistics that cast it in an unfavorable light.

As for the President, he seems more interested in promoting his NCAA bracket and talking up Obamacare's elusive virtues on satirical talk shows like "Between the Ferns."

For the Washington Democrats who gave us Obamacare, in other words, these stories about lost care, lost doctors, and higher costs aren't problems to be resolved, but political obstacles to be deflected.

But there's only so much they can do to tune out or brush aside the cascading impact of Obamacare.

In recent weeks, we've heard calamitous reports of Obamacare patients being denied access to doctors, hospitals and premium cancer care centers.

A recent analysis by the management consulting firm McKinsey & Co. found that only a fraction of the biggest local hospitals in a given coverage area will accept Obamacare patients. An Associated Press study found that only four of the 19 cancer centers it surveyed would give Obamacare patients access to its cancer care through the new Obamacare exchanges in their states.

This is progress?

Don't tell that to Terri Durheim of Enid, Oklahoma. She's another mom who's been blindsided by the realities of Obamacare. Terri told CNN that her son has a serious heart condition, but will now have to travel more than an hour to find a pediatric cardiologist who's covered under her new plan. She doesn't even want to think about what she'll have to do in case of an emergency.

"Obviously we'd have to pay out of pocket and go here in town," she said, "but that defeats the purpose of insurance."

Terri's story raises a key question: what was the point of all this? Those who voted for Obamacare cling to the claim that they've increased access. But as report after report has shown, increasing the ranks of the insured doesn't necessarily guarantee access. It certainly didn't for Angela and Terri.

For many, the answer to all this is obvious: Admit that Obamacare is a failure, repeal it, and work together on bipartisan, patient-centered solutions that correct the deficiencies in our previous system. But clearly, those who supported this law still need convincing. Four years after Obamacare was signed into law, they still can't bring themselves to admit the reality all around us.

That needs to change. Obamacare's human toll is getting worse every day. We can do better. For the sake of people like Angela Strobel and Terri Durheim, we must.

Join us on Facebook.com/CNNOpinion.

The opinions expressed in this commentary are solely those of Sen. Mitch McConnell.

@highlight

Sen. Mitch McConnell says that four years after the Affordable Care Act was signed, many Americans still struggle

@highlight

McConnell points to President's repeated claims that it wouldn't disrupt people's existing health care plans

@highlight

He tells of several constituents who are "reeling from that broken promise"