(CNN) -- If you have been an Apple stockholder last year, you probably feel like you have been on a roller coaster.

Apple began 2012 by attaining the largest market cap in the world, with some analysts predicting that it would cross a trillion in market value. The stock price hit $700 in September, around the introduction of the iPhone 5. But in the weeks after, disillusionment set in and the stock price dropped to about $500 by the end of the year. Recent earnings disappointment has plunged the stock some 12%, and panic seems to have set in.

How can a company fall from grace so quickly, especially when it still possesses enviable profit margins and perhaps the most valuable franchise in the world?

The answer lies in recognizing that a market price is set by demand and supply, which, in turn, are driven not only by underlying value but also by other factors including hope, hype and momentum. Apple is particularly susceptible to these "nonvalue" forces.

Apple has acquired a motley collection of investors, with wildly divergent views about the company and its future. There are growth investors, who were attracted by its capacity to come up with new products and conquer new markets. There are momentum investors, who were drawn by the ever-rising stock price (at least a year ago). And there are value investors, who were enticed by its capacity to generate and pay out large cash flows.

The ubiquitous presence of Apple products has made each of these types of investors an expert on the company's future. Thus, investors who would not have dared forecast the futures of GE and Exxon Mobil -- when they were the largest market cap companies in the world -- feel no qualms about prognosticating Apple's future.

You may wonder: So what?

When a stock becomes a pricing play, investors no longer pay attention to underlying value and instead focus on trivial stories, such as the lack of crowds at the Shanghai store for the introduction of the iPhone 5. Investors react in exaggerated (and herd-like) fashion to small, often insignificant surprises.

Given that you and I as investors can do little about the crowd insanity that characterizes Apple's stock today, what should we do?

You can try to play the pricing game and get ahead of momentum shifts, a dangerous game that I, for one, have neither the stomach nor the expertise to play. Alternatively, you can look past the price at Apple's underlying value, based on its capacity to generate growth and margins over time.

At the end of last year, I estimated a value of roughly $609 per share for the company. While this valuation predates the most recent earnings report, I see little reason to revisit it, since the revenue growth and margins that Apple reported are actually in line with what I had used in my valuation.

If you do decide to buy Apple's stock, as I did last week, remember that the pricing game has its own internal dynamics that may cause the price to move further away from value, before there is a correction.

So, it is entirely possible that your "value play" in Apple could yield disappointments in the near term. To be successful, you have to be able to hold the stock through these disappointments and to stop listening to equity research analysts and Apple experts in the meantime.

As for the company, it is time for a reboot.

I feel sympathy for CEO Tim Cook, who has big shoes to fill. But there are three things that Apple can do to put itself back on even keel.

First, the company has to regain credibility with investors, both in terms of guidance that it provides on upcoming earnings and the information it makes available about its product plans.

Apple has acquired a reputation for lowballing its expected results before earnings reports. Instead of making it easier for the company to beat expectations, it has led instead to markets paying little heed to the guidance. Also, Apple's secrecy about new products and strategies might be a great marketing strategy, but it creates an information vacuum, which is filled with rumors and fantasy.

Second, the company has to stop trying to be all things to all investors and make its stand on whether it sees itself more as a growth company or a more mature company. By making the choice to be a mature company, Apple is not forsaking growth, but it is signaling that its emphasis will be on protecting the profitability of its current franchises first before seeking out new growth opportunities. By doing so, it may be able to create a more homogeneous investor base that is less likely to be at war with itself.

Third, once Apple makes its stand as a growth or mature company, it has to behave consistently. So if it decides that it is a mature company, it should return more cash to its stockholders.

The tax code is tilted toward debt, and a company that can afford to borrow money that does not is not using that tax benefit. So perhaps in the future, the company should think about using a little debt to fund itself.

The opinions expressed in this commentary are solely those of Aswath Damodaran.

@highlight

Despite record quarterly profit, Apple's stock price plunged 12% recently

@highlight

Aswath Damodaran: How can a valuable company fall from grace so quickly?

@highlight

He says Apple has acquired investors with wildly divergent views about the company

@highlight

Damodaran: When a stock becomes a pricing play, investors look past real value