(CNN) -- Ten years and 1.2 billion users into its existence, there's no question that Facebook has changed our lives.

Whether it was an inspired vision, deft execution, a bit of dumb luck or a combination of all three, Mark Zuckerberg's social juggernaut has ingrained itself into the daily lives of digital-age users in a way that forebears like MySpace and contemporaries like Twitter could only imagine.

Which is not to say it's all "likes" and "shares" and happy kid pics. As with any new (or newly discovered) technology, the impact of the end product is largely in the hands of the user. We are, after all, only human -- with all the joy and sadness, decency and ugliness that that entails.

So here, as Facebook turns 10 on Tuesday, is a look back at five ways the social network has changed us -- for better and for worse.

Share! Share! Share!

The good: Wedding announcements? Thing of the past. Birth announcement? Just slap an Instagram shot of that bouncing baby boy or girl on your timeline.

Dating? Graduated? Bought a house? Got a puppy? Same deal.

We take it for granted now, but the ability to share major events with all the people closest to you with a single click of the mouse is unprecedented.

There were the Myspaces of the world before Facebook. But mom, your second cousin and Aunt Jenny weren't on them.

And it's not just the good stuff, either. Changing that relationship status to "single" can save you from those awkward "How's Joey doing? You two are so cute together!" conversations.

The bad: Overshare! Overshare! Overshare!

Seriously. Ten years in, some folks haven't figured out what everyone on their friends list wants, or needs, to know.

OK, sometimes those pictures of your dinner look delicious. Sometimes.

But the detailed updates on your mundane day are mind-numbing and the play-by-play of your 3-year-old's potty training is just -- too much.

We all want to know you got a wedding ring. The fact that you just polished the one you've had for 14 years? Not so much.

The past is not really past

The good: When a site has 1.2 billion users (OK, we all know some of those are multiple or abandoned accounts, so let's say at least a cool billion) it's a pretty amazing database of the world's Web-enabled population.

That means your odds of finding just about anybody are a heck of a lot better than they were 10 years ago.

There have been the remarkable tales, like the woman who -- after years of failed efforts -- reunited after 44 years with her birth mother. How long did it take on Facebook? Two days.

For most of us, it's less dramatic than that. Childhood friends who moved long ago, college roommates who drifted away, even former teachers who served as inspirations are now but a quick search away. There's no doubt we have friends because of Facebook that we wouldn't have otherwise.

The bad: Sometimes, drifting apart isn't a bad thing.

Yes, your old high-school classmates got annoying and your cousin's politics disgust you. But we're not talking about that.

We're talking about exes. And past flirtations. And cheating.

Nostalgia is part of life. But, with Facebook, getting nostalgic about an old crush or flame could lead to a late-night Facebook message. Or, you know, a poke.

"I see Facebook issues breaking up marriages all the time," Gary Traystman, a divorce attorney in New London, Connecticut, told the Wall Street Journal.

More than 80% of U.S. divorce attorneys say they've seen an increase in cases involving social media, according to the American Academy of Matrimonial Lawyers, and one-third of all divorce filings last year contained the word Facebook, according to a survey by Divorce Online.

Temptation is always out there. But with Facebook, it can be a little too convenient.

It makes you happy

The good: In 2009, a survey of 2,600 college students by researchers at the University of Texas showed that those who were the heaviest users of Facebook were the most satisfied with their lives. They also were more likely to be engaged socially and politically.

More recently, a University of Wisconsin study showed that, after five minutes of looking at their own shiny Facebook profiles, users experienced a significant boost in self-esteem. A 2011 Cornell University study delivered similar results.

"For many people, there's an automatic assumption that the Internet is bad," associate professor Jeffrey Hancock said at the time. "This is one of the first studies to show that there's a psychological benefit of Facebook."

The bad: Or maybe it makes you unhappy.

Other studies have looked at aspects of Facebook use and the results have been less encouraging.

Last year, a University of Michigan researcher found that looking at posts by Facebook friends -- you know, the photos of smiling kids on vacation in the Caribbean or announcements about promotions, engagements and awesome nights on the town -- can make us feel sadder about our own humdrum lives.

"On the surface, Facebook provides an invaluable resource for fulfilling the basic human need for social connection," the study reads. "Rather than enhancing well-being, however, these findings suggest that Facebook may undermine it."

As with many things, your mileage may very. But what's clear is that Facebook has become such a part of our lives that it tweaks our emotions, for better or worse.

Every day is a reunion

The good: Reuniting with classmates from high school or college has never been easier. Pre-Facebook, a class reunion committee looking to celebrate five, 10 or 20 years post-diploma faced a thankless task.

"Where does Jennifer live these days?" "Who has Steven's phone number?" "Do you know Wanda's married name?"

Now? One Facebook event invitation and you can focus on booking the best '80s cover band available.

The bad: If every day is a reunion, why have a reunion?

Actually reuniting with old classmates is losing some of its appeal when we know the names of the former theater club president's three kids and which character from "The Hunger Games" she'd be.

Timothy Davis, co-founder of reunion website Classreport.com, told the Baltimore Sun that he has noticed a drop-off in the number of reunions in recent years, particularly among folks in their mid- to late 20s.

"People I haven't talked to in years will see my wedding pictures on Facebook, then I'll see them in person and we won't say one word to each other ...," Rebecca Miller, a 23-year-old whose five-year reunion fizzled to a small party at the class president's house, told the paper. "Why go to a high school reunion when you're going to stand around and go, 'So, how did that doctor's appointment go yesterday?'"

Privacy

The good: For those willing to find and use them, Facebook provides tools that let you select who sees what.

So, while grandma is welcome to look at those pics of the kids playing in the snow, she might not need to be privy to your strongly worded rant about the cable guy who is two days late. You can direct that one instead to buddies with a proper appreciation for your expansive vocabulary.

Rival Twitter is designed by default to be a public forum, where you broadcast your 140-character pearls of wisdom to the world. Facebook allows that, too, but is more geared toward limiting your thoughts to certain family and friends.

The bad: Well, you know.

Security breaches have been a reality of many websites' growth. But as its user base grew dramatically, Facebook's problems (like the time CEO and founder Mark Zuckerberg got his own page hacked) played out in front of a massive, and nervous, audience.

While Facebook has privacy settings that let users protect information, some privacy advocates say the network doesn't make them easy enough to find and use. (Facebook has worked to ease those concerns, especially for younger users).

At the end of the day, Facebook benefits when you decide to share more openly. The details about your life that you share on Facebook are rounded up and compiled into a profile of you that helps advertisers target you with things they think you'll like.

So, when you announced your pregnancy and were, soon after, bombarded with Facebook ads for a bunch of baby stuff? That was no coincidence.

To be clear, Facebook is not handing advertisers information about you personally. But, somewhere, there exists a nameless profile of a user with your hometown, gender, age and likes and dislikes, just waiting to be used for marketing purposes.

That, in a nutshell, is the entry fee to use this remarkable social tool. Yes, Facebook has changed the way we communicate. Whether it is truly cost-free remains another question.

@highlight

Facebook turns 10 next week and has undeniably changed how many of us live

@highlight

For many of those changes, there are positive and negative sides

@highlight

In the Facebook age, there's rarely such thing as a long-lost friend

@highlight

But some folks still haven't figured out etiquette of social sharing