(CNN) -- Tsunami waves that raced across the Pacific Ocean triggered warnings in more than 50 countries and territories Friday, but there were few immediate reports of major damage outside of Japan.

The National Weather Service warnings were later downgraded to advisories for the U.S. state of Hawaii, and the coastal areas of California and Oregon. Warnings remained in effect across wide swaths of the Pacific.

Advisories also were in effect along the California-Mexico border and in the coastal areas of Washington, British Columbia and Alaska, the weather service reported.

The initial warning list included Russia and Central American countries including Guatemala, El Salvador and Costa Rica.  The quake, which struck near the coast of Honshu, Japan, on Friday afternoon local time, unleashed powerful pulses in the Pacific. Japan was the first nation to be hit, as a wall of water rushed inland, leveling houses and bashing cars in its path and killing hundreds. The waves also spread out across the ocean.  "The tsunami is more than one wave, and the waves can be separated by 20 minutes or half an hour. So just because you see a wave come up and then go back in the ocean again, that doesn't mean it's over," said Gerard Fryer of the Pacific Tsunami Warning Center.

Tsunami waves can travel at speeds of 800 kilometers, or nearly 500 miles, per hour.

Sirens sounded in Hawaii around 10 p.m. Thursday, warning residents they could expect tsunami waves five hours later. The Pacific Tsunami Warning Center said Kauai was the first Hawaiian island hit by the waves, which swept across the remainder of the island chain as 6-foot ocean surges pushed waves ashore.

By 8 a.m. Friday, emergency management officials in the Hawaiian island of Oahu had issued an all clear.

Still, significant damages were reported at Oahu's Keehi Lagoon, with some 200 vessels affected, the U.S. Coast Guard said. The islands of Kauai, Maui and Hawaii escaped virtually unharmed.

On island of Guam, police reported no damage or injuries as the tsunami warning was lifted.

Indonesia also lifted its warning after residents rushed to higher ground as emergency officials corralled those in low-lying areas.

The northern California counties of Del Norte and Humboldt kept their evacuation orders in place, according to Emergency Management spokesman Brad Alexander.

Seven-and-a-half-foot waves crashed into Crescent City, California, causing significant damage there as Coast Guard helicopters circled overhead, he said.

San Mateo County had also issued evacuation orders, as had areas in southern California stretching from Santa Barbara to the Mexican border.

More than 1,000 residents filled 20 evacuation centers in the state.

In southern California's Orange County, all beaches, harbors, piers, marinas and coastal roads were reopened in the cities of Newport Beach, Laguna Beach, Dana Point and San Clemente as of 1 p.m. (4 p.m. ET) Friday, county authorities said. But the waterfront in Huntington Beach and Seal Beach remained closed until 4 p.m., authorities said.

In the Philippines, the government evacuated 20 coastal areas. Officials said they were getting reports from Isabela province of "unusual waves" hitting the coastline.

The country's disaster management director, Benito Ramos, said waves had hit the coastal areas of Aparri, Cagayan and Basco, Batanes.

Ramos said the tsunami alert remained at level two as a precaution.

The administrator of the U.S. Federal Emergency Management Agency said employees are ready to assist state and local officials.

"We remind everyone who lives in the region to monitor their local news for instructions from their state and local officials and if told to evacuate -- evacuate," Administrator Craig Fugate said.

Russia's Emergency Situations Ministry said more than 11,000 people living in dangerous areas had been evacuated after a tsunami warning was issued for the Kuril Islands. Ships docked in open ports were heading back out to sea to avoid being hit by tsunami waves, the ministry said.

"This is a very large earthquake," Chip McCreary of the Pacific Tsunami Warning Center said. "We've evaluated it as about the same size as the earthquake last year in Chile. However, it's much closer to the Hawaiian islands than the Chile earthquake."

In Chile, officials upgraded a tsunami warning to an alert for residents of Easter Island Friday evening and urged coastal residents to evacuate to higher ground, CNN Chile reported, citing the country's interior minister.

In Mexico, the Interior Ministry issued tsunami warnings that reflect a "moderate risk" for the country, warning tourists and fishermen in coastal areas.

The National Weather Service list included Japan, Russia, the Philippines, Indonesia, Papua New Guinea, Australia, Fiji, Mexico, New Zealand, Guatemala, El Salvador, Costa Rica, Nicaragua, Panama, Honduras, Chile, Ecuador, Colombia, Peru and the United States.

Numerous Pacific islands, including some U.S. territories, were also on the list.

Friday's 8.9-magnitude temblor in Japan was the largest earthquake since a 9.0-magnitude earthquake struck the Banda Aceh area of Indonesia on December 26, 2004, causing a massive tsunami that killed about 250,000 people in 14 countries and washed away entire communities. The tsunami caused nearly $10 billion in damage and more casualties than any other tsunami in history, according to the United Nations.

Friday's earthquake was initially reported as 7.8 magnitude before being upgraded to 8.9.

"When you jump a magnitude from 7 to 8.9, it's not 10 times stronger, it's 1,000 times stronger," CNN International meteorologist Ivan Cabrera said. "With an ... earthquake that shallow, that close to shore, there will be more than one tsunami."

CNN's Kyung Lah, Matthew Chance, Hannah Belcher, Samira Said, Kevin Voigt and Catherine E. Shoichet and journalist Steve Lunt contributed to this report.

@highlight

NEW: Chile upgraded a tsunami warning to an alert for residents of Easter Island, CNN Chile reports

@highlight

NEW: Some 200 vessels are impacted at Oahu's Keehi Lagoon

@highlight

NEW: Warnings are downgraded to advisories for Hawaii, the coastal areas of California and Oregon

@highlight

Advisories are in effect at the California-Mexico border and Washington to Alaska