(CNN)Israel's next prime minister -- whether incumbent Benjamin Netanyahu or Labor Party leader Isaac Herzog -- will be faced with a myriad of international and domestic crises amid deepening tensions with the United States, its closest ally. Here are five key issues waiting in the new leader's inbox after Tuesday's election.

1. Repairing relations with the United States

There are any number of irritants -- from settlement construction to failed peace talks to Israeli military action in Gaza and Lebanon -- which have long tested the alliance between Washington and Israel. But ties have grown increasingly strained between President Barack Obama and Netanyahu, playing out over the last several years in a series of awkward photo-ops, anonymous quotes in U.S. and Israeli media and tense body language.

Relations hit a low point recently with Netanyahu's speech to Congress criticizing President Obama's policy toward Iran about its nuclear program.

Repairing ties with the White House becomes easier if the next government is formed under Herzog, who has pledged to "restore intimacy and trust" with the leadership in Washington.

Repairing ties becomes more difficult if Netanyahu remains in office. For all its official praise for the "unshakable bonds" between the U.S. and Israel, the White House sees Netanyahu as the problem.

If Netanyahu is re-elected, they will have to work with him. Personal relations may be fraught now, but Obama has never suggested watering down or delaying mostly military U.S. aid to Israel, which amounts to $3 billion a year. Privately, however, U.S. officials have warned the level of Washington's political support for Israel with allies and at the United Nations could be affected by Netanyahu's attitude toward the Obama administration.

2. Confronting Iran

World powers are pushing toward a framework nuclear deal with Iran before the March 31 deadline. The next prime minister will take office shortly before a July deadline for a final deal and will need to reach key understandings with Washington on what security and diplomatic guarantees the United States will provide Israel if the deal goes forward.

In addition, Israel will want input on what constitutes a violation of the deal and what would trigger punitive measures if Iran reneges.

If he remains in office, Netanyahu's differing perceptions of the threat posed by Iran will undoubtedly come to a head as that deadline approaches. Netanyahu has been clear he believes history has handed him the role of delivering the Jewish state from an existential threat posed by Tehran's nuclear ambitions. He worries that the agreement that emerges will leave Iran as a nuclear "threshold state" with the materials and expertise to quickly break out and build a nuclear weapon.

Herzog has similarly said he would never accept a nuclear Iran and stresses all options are on the table, including the military options. But he has suggested as prime minister he would work closer with the Obama administration and other governments negotiating with Iran to strengthen a deal, rather than try and block the deal through the US Congress.

Beyond the nuclear deal, the next Israeli will leader will face an increasingly emboldened Iran in the region. Beyond it's longstanding support to Hezbollah in Lebanon and backing of the al-Assad government in Syria, Iran has extended its involvement in Iraq's battle against ISIS and has provided support to Houthis in Yemen.

Israeli officials say Iran is  actively working to open up a front against Israel in the Israeli-occupied Golan Heights. Iran said in January an Iranian general had been killed in an Israeli airstrike in the area.

3. Solving problems with Palestinians

The breakdown last April of peace talks led by Secretary of State John Kerry led the Palestinians to take unilateral steps in international forums such as the United Nations and the International Criminal Court. In response, Israel has halted delivering tax revenues, which it collects on the Palestinians' behalf, seriously squeezing their economy.

Now the Palestinians are threatening to halt security cooperation with Israel. Coupled with a lack of a viable peace process and a potential economic collapse of the Palestinian authority, the lack of security coordination would present a total breakdown of cooperation between the two sides. The next Israeli leader will need to stop this free fall before this dangerous cocktail of instability leads to further chaos and perhaps a third intifada.

The differences between Netanyahu and Herzog seem to be more style than substance. During the campaign, Netanyahu has hedged on his longstanding support for a two-state solution, but has not abandoned the idea entirely. Herzog has pledged to restart the peace process, but has expressed skepticism about whether Palestinian President Mahmoud Abbas is a reliable partner.

The new prime minister must also deal with an ever worsening humanitarian situation in Gaza, where rebuilding has been slow after last summer's Operation Protective Edge. Egypt has basically cut off the border, further squeezing the strip. While there has been little violence since last year's war, Hamas has not been demilitarized and another round of fighting could be just another matter of time.

Although Hamas belongs to a unity government with Abbas' Fatah party, Abbas continues to exercise little influence over the group.

4. Addressing growing social inequality

While Israeli voters traditionally cite security issues as a driving factor, the high cost of living has emerged as a major focus in this election season. Sky-high housing prices are of particular concern. Last month, Israel's state comptroller issued a report finding housing prices in the country rose by 55% between 2008 and 2014.  Rising food prices are another key issue.

In July 2011, Israel saw a massive wave of social protests centering on the expensive housing market and food prices. Dubbed the "cottage cheese" protests -- because of the rising cost of cottage cheese, a staple in many Israelis pantry -- they were emblematic of a broader concern that Netanyahu's relentless focus on security issues was at the expense of domestic issues.

Polls indicate the growing frustration with the economy has resulted in a shift from Netanyahu to Herzog. Herzog has pledged to spend 7 billion shekels (about $1.75 billion U.S.) on affordable housing, health care and other social programs for the middle class, which he called the "sandwich generation."

For the most part, Netanyahu has not addressed the economy in his few campaign events, focusing more on his strong security credentials. In recent days, he pointed to a 5% decrease in food prices and an increase in affordable housing during his tenure, but acknowledged that the rising costs of living and housing prices were not "fully addressed" by his government and promised to make the economy a top priority if re-elected.

5. Reversing Israel's isolation on the world stage

Israel's next prime minister will need to repair Israel's increasingly frayed ties with once-friendly countries and its deepening worldwide isolation.

Leading opposition candidate Tzipi Livni, who once served as Netanyahu's main peace negotiator, accused Netanyahu of being responsible for a "diplomatic tsunami" against Israel.

Indeed, Netanyahu's aggressive style has been cited as a major factor in strained ties with the United States and Europe -- a perception caught in a hot-mic conversation between President Obama and French President Nicolas Sarkozy in 2011, in which Sarkozy lamented he couldn't "bear" Netanyahu, calling him a "liar." Obama replied, "You're fed up with him, but I have to deal with him even more often than you."

Regardless of who is Israel's next leader, Israel faces growing worldwide frustration over its policies towards the Palestinians, particularly settlement construction.  The European Union, Israel's largest trading partner, is in the process of canceling tax exemptions on Israeli products made in settlements in the occupied West Bank and is considering plans to label the origin of other products made in settlements.

Federica Mogherini, the EU's new foreign policy chief, is seeking a greater role in helping to mediate the Israeli-Palestinian conflict. In the absence of a viable peace process, several European nations have already recognized a Palestinian state, with several more promising to consider such a move.

This makes Israel ever more dependent on U.S. diplomatic support, including its veto at the United Nations. Washington has traditionally defended Israel against Palestinians efforts to achieve recognition at the United Nations and legal action at the International Criminal Court. And it has lobbied its European allies against sanctions on Israeli exports.

As with the United States, it would seem easier to repair these frayed ties under a Herzog-led government. If re-elected, Netanyahu will have his work cut out for him

@highlight

Benjamin Netanyahu trying to hold leadership post against Isaac Herzog

@highlight

Iran, relations with Palestinians among key issues

@highlight

But there also are domestic economic concerns