Beijing (CNN)In a historic climate change deal, U.S. President Barack Obama and Chinese President Xi Jinping announced both countries will curb their greenhouse gas emissions over the next two decades.

Under the agreement, the United States would cut its 2005 level of carbon emissions by 26% to 28% before 2025. China would peak its carbon emissions by 2030 and will also aim to get 20% of its energy from zero-carbon emission sources by the same year.

"As the world's two largest economies, energy consumers and emitters of greenhouse gases, we have a special responsibility to lead the global effort against climate change," Obama said Wednesday in a joint news conference with Xi.

The announcement marks the first time China has agreed to peak its carbon emissions, according to the White House. Xi is calling for "an energy revolution" that would include broad economic reforms addressing air pollution.

Obama, who was in Beijing for the Asia-Pacific Economic Cooperation summit, said he hopes the deal will spur other nations to tackle climate change.

"We hope to encourage all major economies to be ambitious -- all countries, developing and developed -- to work across some of the old divides, so we can conclude a strong global climate agreement next year," Obama said.

Xi said both sides were committed to working toward the goals before the U.N. Climate Conference in Paris next year.

Colorful summit ends with rare news conference

The Center for Climate and Energy Solutions said the joint announcement is "an extremely hopeful sign" and will help get other countries on board.

"For too long it's been too easy for both the United States and China to hide behind one another," said the center's president, Bob Perciasepe.

"People on both sides pointed to weak action abroad to delay action at home. This announcement hopefully puts those excuses behind us. We'll only avert the worst risks of climate change by acting together."

The announcement could put climate change back on the G20 agenda, said researcher David Holmes of Monash University in Australia.

"The announcement may mean climate will have to be higher on the G20 agenda despite host nation Australia trying to keep it off altogether," Holmes said.

"As an economic meeting, it cannot afford to ignore the restructuring of energy markets and productive capacity that will be needed to accommodate these very ambitious cuts."

The goals laid out by Obama and Xi were not as ambitious as some hoped, said Lo Sze Ping, CEO of the World Wildlife Fund Beijing.

But "what's important is that both these two large emitters are taking the responsibility to act and work together to resolve the problem, not the numbers or targets themselves," he said.

U.S.-China relations: Can teens succeed where presidents have failed?

The White House said the ultimate target is to "achieve deep economy-wide reductions on the order of 80% by 2050."

A senior Obama administration official said the goals are "ambitious and achievable" -- but U.S. domestic politics could be a challenge.

The official said "leading climate deniers" in the Republican party might try to stop the initiative. The official hinted that Obama could act alone if necessary.

"Congress may try to stop us, but we believe that with control of Congress changing hands we can proceed with the authority we already have," the official said.

"This is really the crusade of a narrow group of people who are politically motivated and have made this a cause celebre, but we believe we will be successful."

The Obama administration hopes to sell the plan back home by touting the anticipated savings on energy costs. The plan offers initiatives and incentives to develop more solar and wind power in both countries, the official said.

"Consumers and businesses will save literally billions of dollars," a senior administration official said.

But the Senate's top Republican said the climate change deal will hurt the U.S. economy.

"Our economy can't take the President's ideological war on coal that will increase the squeeze on middle-class families and struggling miners," Sen. Mitch McConnell said in a statement.

"This unrealistic plan, that the President would dump on his successor, would ensure higher utility rates and far fewer jobs."

24 hours with President Obama in China

China has agreed to provide another 800-1,000 gigawatts of nuclear, wind, solar and other zero emission generation capacity by 2030.

That amount of zero-emission output exceeds all the coal-fired power plants that exist in China today and is close to total current electricity generation capacity in the United States.

A senior Obama administration official said that historically, the United States and China have often been seen as antagonists, so the climate change deal "should send a powerful message," and "will usher in a new day, where the U.S. and China can work as partners."

During Obama's visit to Beijing, the Chinese government closed factories and gave employees time off to reduce car traffic and emissions in Beijing.

The reduction of smog and the appearance of blue skies was noted by media throughout the APEC summit.

Top Senate Republicans slam climate deal

As well as the historic climate change deal, Obama and Xi also agreed on the importance of denuclearizing the Korean peninsula, cybersecurity, strengthening military relations and increasing trade.

"China is firmly committed to the denuclearization of the Korean Peninsula," Xi said.

Both sides also agreed to an extension of the validity of short- term business and tourist visas from one to 10 years, and of student visas from one year to five years.

"This arrangement will facilitate the travel of millions of U.S. and Chinese citizens, furthering the trade, cultural, and people-to-people ties that form the foundation of our bilateral relationship," the White House said.

CNN's Matt Hoye reported from Beijing; Holly Yan reported from Atlanta. CNN's Hilary Whiteman, Dana Bash and Katie Hunt contributed to this report.

@highlight

Under the deal, the U.S. will cut carbon emissions by more than 25% by 2025

@highlight

China is aiming to get 20% of its energy from renewable resources by 2030

@highlight

Obama: U.S. and China have responsibility to lead effort against climate change

@highlight

Sen. Mitch McConnell says the plan will hurt the U.S. economy