(CNN) -- Almost three years ago Dell launched a phone called the Streak, an Android-based handset with a 5-inch display that was marketed more as a tablet with phone capabilities than the other way around.

Critics blasted the device for being too large. Most smartphones at the time were still 3.5 to 4 inches, after all. That was the norm.

We didn't see many more mobile phones from Dell after its blunder with the Streak.

Now let's jump to the present.

Last Thursday, Samsung introduced its new flagship phone, the Galaxy S IV. It also has a 5-inch screen, like the Dell Streak. But this time no one complained. In fact, the reaction was quite the opposite. Critics have been praising the Galaxy S IV's gorgeous display, which is slightly larger than its predecessor.

And suddenly the iPhone, which was once the standard for all other smartphones to copy, looks puny next to Samsung's new phone.

How'd we get here?

In an effort to differentiate themselves from the dominant iPhone, manufacturers that relied on Android to run their mobile devices -- Samsung, LG, HTC, Motorola, and others -- began moving towards bigger and bigger screens. Android was still in its infancy, and it didn't have the smoothness, app selection, and robust feature set that Apple's iOS did.

If an Android phone wanted to stand out, it had to offer what the iPhone couldn't on the hardware side. That meant removable batteries, expandable storage, and larger screens.

In a few short years the trend snowballed to the point where no one scoffs anymore when a manufacturer launches a phone with a giant screen. In fact, there are plenty of phones with screens that are dangerously close in size to the growing breed of smaller tablets such as the Kindle Fire, Nexus 7 and iPad Mini.

And people keep buying them.

I overheard one Samsung exec put it this way when recently asked if the company thinks phones are getting too big: "We'll find out at some point, but we haven't found out yet."

Larger screens appeal to the increasing number of people who use their phones to watch video and play graphics-rich games.

In other words, don't expect your next phone to be any smaller than the one in your pocket now. These devices are only going to get larger until they reach a point where they're so big that consumers start turning their noses at them.

Some companies are already pushing the limit. At the Mobile World Congress trade show in Barcelona last month, a handful of companies released new phones in the seven and eight-inch ranges. Samsung introduced its new iPad mini competitor, the Galaxy Note 8.0. But unlike the iPad, the Note 8.0 can make phone calls. Asus also has a seven-inch Android phone that it calls the FonePad.

Apple did increase the screen size of the iPhone 5 by half an inch over previous models, but it hasn't embraced the big-screen trend yet, and clearly doesn't think it needs to for now. While the company never gives details on what it's working on, its public statements don't offer too much hope that a larger iPhone will arrive anytime soon.

During Apple's earnings call in January, CEO Tim Cook said Apple keeps its phone sizes relatively small because it believes that is the perfect form factor for most people.

"It also provides a larger screen without sacrificing one-handed use," Cook said, referring to the 4-inch display on the iPhone 5.. "We put a lot of thought into screen sizes and we think we picked the right one."

Still, Apple's decision to boost the iPhone's size is a tacit admission that plenty of people are clamoring for a bigger phone. There have been rumors that a larger iPhone could hit the market as early as this summer, but it's more likely you'll have to wait until next year at the earliest.

That's not to say Apple is doomed if it doesn't get into the so-called phablet business. Apple is clearly doing just fine. But it does suggest that if and when Cook & Co. do release a bigger phone, they will clearly find a receptive market.

Copyright © 2011 Business Insider.

@highlight

With the Samsung Galaxy S IV, phones with 5-inch screens are becoming common

@highlight

It's a change from three years ago, when the 5-inch Dell Streak flopped

@highlight

The iPhone 5 has a 4-inch screen. Will a larger iPhone be next?

@highlight

Larger screens appeal to people who use phones to watch video and play games