Editor's note: Chris Anderson is the editor-in-chief of Wired Magazine and the author of "FREE: The Future of a Radical Price", published by Hyperion on July 7. The book's first printing generated controversy over failing to attribute some passages to Wikipedia, which Anderson said in his blog was a mistake and will be corrected.

Chris Anderson says technology allows giants like Google to give away services.

(CNN) -- When Christine Varney was confirmed in May as the Obama administration's top antitrust cop, some of her words from last year sent a chill through the Googleplex, the search engine's headquarters in Silicon Valley.

During the waning days of the Bush administration, Varney worried that the government would not do enough about Google: "I think we're going to continually see a problem, potentially, with Google, who I think so far has acquired a monopoly in Internet online advertising lawfully."

Now she's in a position to do something about it.

Having a legally obtained monopoly is not a crime, but abusing it to gain unfair advantages in other markets can be.

The most recent landmark cases on this in technology have been the decade-long investigations and prosecutions on Microsoft's dominance of PC software.

In those cases, competitors complained that the software giant's near-monopoly on operating systems allowed it to get the upper hand in other markets, for example, by gaining an advantage on the Web through bundling Microsoft's Internet Explorer with every copy of Windows.

Now Google has Microsoft-like dominance in search and search advertising. What should it not be allowed to do?

That question may come to define this era of antitrust law. When Varney was confirmed, she withdrew the Bush administration's report setting relatively conservative standards of antitrust enforcement and declared, "The Antitrust Division will be aggressively pursuing cases where monopolists try to use their dominance in the marketplace to stifle competition and harm consumers."

How might Google's dominance be harming consumers? Ask makers of such items as books and newspapers and advertisers and all will say they are concerned about Google's clout and ability to act unilaterally because of its dominance. Google, meanwhile, has been on a charm offensive for the past few weeks, emphasizing how easy it is for consumers to switch to other search engines and how small it is compared to other companies that have been in a similar position in the past, such as Microsoft, AT&T and IBM.

The Web is still a new territory, with the boundary lines of markets in flux. At least in the Microsoft case, we knew what an "operating system" and "Web browser" were. But on the Web, where software is a Web site, not something you buy in a box, and everything is just one click away from everything else, core antitrust concepts such as "lock-in" and "barriers to entry" will have to be redefined.

One of the most interesting issues that Varney will have to face is Google's use of free. This is not 20th Century "free," as in "buy one, get one free" or "free gift inside." Instead, it's really Free (let's dignify it with a capital F), something that's only possible in the digital age, where costs are close to zero.

Like many Web companies, Google gives away most of what it does. Its searches are free, as are its e-mail, maps, online word processor and spreadsheet, and nearly 300 other products, from directory assistance (GOOG411) to Google Earth.

This use of Free is part of its "max strategy" -- it uses Free to get its products in the hands of the greatest number of users, and then figures out some way to get money from them (mostly with ads, but sometimes with "pro" versions of the services, in which users can pay for more storage or features, using the "freemium" business model).

Google can give away so much because the incremental cost of serving one more Web page to one more user is almost nothing -- and falling as technology gets cheaper. This is the difference between the "bits economy" and the "atoms economy." The marginal cost of production for digital things is so low that Free becomes not just a marketing gimmick but the default price in most markets, driven by economic forces as real online as gravity is in the real world.

But companies still have to make money, so there are limits to how much they can provide free. Not a problem for Google. Its core advertising business is so powerful, dominant and profitable that it can subsidize almost everything else the company does, using Free to get customers in new markets.

Is that fair, when so many of its competitors don't have a similar golden goose at the core of their operations?

The analogy is something like the semiconductor battles of the 1980s, when Japanese companies were accused of "dumping" (selling for under cost) memory chips in the U.S. market to drive out U.S. competitors. Any time you are giving away a product, you are by definition selling it for less than cost (even if the cost is just a fraction of a cent).

Note that no court or regulator has yet suggested that there's anything remotely like this going on in the use of Free online. But when Varney starts looking at ways that Google is using its search dominance to win new markets, its use of Free is going to have to be one of the things she considers.

Could Free be OK for little companies, but not really big ones? How much market share would you have to have in one market to disallow you from using Free in another?

As she digs into this, she may find that it takes her back to Microsoft itself. As entrepreneur Alex Iskold has pointed out, Google is using the profits from its search advertising dominance to fund its competition with Microsoft in word processors and spreadsheets (Google Docs).

Microsoft, meanwhile, is doing just the opposite: using the profits from its dominance of word processors and spreadsheets (Microsoft Office) to subsidize its competition with Google in search (Microsoft Bing). In each case, the companies are using a highly profitable paid product to make another product free, on the hopes of gaining market share by taking price off the table.

The difference this time is that Google is the dominant player, and at least as far as search goes, Microsoft is a struggling upstart. Confused yet? Then spare a thought for Varney. She not only has to figure out what markets need protection, but also how to do that (to say nothing of the poignant irony of Microsoft complaining about unfair monopolies). Tough job. Who would have thought that there was anything not to like about Free?

The opinions expressed in this commentary are solely those of Chris Anderson.

@highlight

Chris Anderson: Obama's antitrust chief concerned about Google's power

@highlight

He says she will have to decide whether it's OK for Google to give things away

@highlight

He says Google's dominance in ads gives it power to win new markets

@highlight

Anderson: Battle pits Google against Microsoft, itself a  target of antitrust cases