Washington (CNN) -- New research suggests a high-calorie, high-protein diet may improve the outcome for some service members with brain injuries due to battlefield explosions.

The Pentagon spends billions of dollars trying to detect and avoid improvised explosive devices in Iraq and Afghanistan, but traumatic brain injuries (TBI) have become an expensive and troubling legacy of the wars -- responsible for a variety of injuries and long-term problems for military service members.

An Institute of Medicine report released Wednesday says improvements in nutrition may offer benefits just after a blast injury and calls for immediate changes.

"The committee strongly supports the provision of energy and protein to patients with severe TBI early after injury," the report says.  "This important recommendation should be implemented immediately and will achieve significant positive outcomes by reducing the inflammatory response, which is likely to be at its height during the first two weeks after the injury."

The report calls for more research on the beneficial effects of other nutrients and suggests that a different diet before an injury also may have benefits.

And researchers point out that changes in treatment and improvements in recovery would have an impact not just in war zones, but on athletic fields, highways and everywhere brain injuries occur.

"TBI is also a major health concern for the civilian population and the actual burden of TBI in the United States is underestimated," said John Erdman, chairman of the Institute's Committee on Nutrition, Trauma, and the Brain, in an introduction to the report. "It is my hope that this report assists not only the Department of Defense in its goal to improve outcomes from TBI but also the public health community as a whole."

The report said TBI "contributes to nearly one-third of all injury-related deaths in the United States, making it a major health concern for the civilian population as well."

"According to recent estimates, between 1.6 million and 3.8 million sports-related TBIs occur annually, including those not treated by a health care provider," the report said.

The Institute of Medicine is an independent, nonprofit organization that provides "unbiased and authoritative advice to decision makers and the public," according to its website.  It was created in 1970 and is the health arm of the National Academy of Sciences.

@highlight

Brain injuries are a significant cause of death and disability among service members

@highlight

They also account for nearly 33% of all injury-related deaths in the United States, the report says

@highlight

Studies suggest a diet high in protein and calories could improve victims' recovery