(CNN) -- Twenty-six years ago this week, a botched reactor safety test in a corner of what was then the Soviet Union set off the worst nuclear accident in history.

The radiation effects of the April 26, 1986, reactor explosion were about 400 times more potent than the bomb dropped on Hiroshima during World War II, and nearly 14 times greater than the disaster last year at the Fukushima plant in Japan.

Fast forward to today, and even in the exclusion zone, plants have re-grown, animals are flourishing and Chernobyl has been opened to tourists.

But Chernobyl refuses to be relegated to the past. Indeed it may still be devastating the lives of millions who continue to live in the fallout zone.

Aside from the potential health hazards of living in an area contaminated with radiation, domino socioeconomic effects have caused multiple problems in these regions.

Chernobyl Children International, or CCI, works to help kids in the region whose lives have been impacted by a disaster that happened years before they were born. Many suffer from physical problems such as congenital heart defects. Many kids have chronic illnesses or disabilities, and many live full time in institutions.

To help them, CCI sends surgical teams who in turn help train local doctors. CCI nurses teach institution staff techniques, and volunteers renovate facilities.

One of CCI's main goals going forward is a program they call "Home of Hope," which uses money from donations to place institutionalized kids with nearby families.

For many severely disabled children there, the future is uncertain. CCI works to build community centers in affected areas, in the hopes that there will be some support system for them after they are too old to remain in institutions.

Decades after the meltdown, the mission of CCI is complicated by the fact that there is no real consensus on how many of the region's current problems can be directly attributed to Chernobyl.

Only 30 people died in the immediate aftermath, either from the explosion or acute radiation syndrome. But the disaster sent a cloud of radioactive fallout over hundreds of thousands of square miles of what is now Russia, Belarus and Ukraine that would have an impact on the health of many more.

More than 200,000 people were evacuated, never to return. However, a 2005 report by "The Chernobyl Forum" (the most comprehensive to date) estimated more than 5 million remain in what have been termed "contaminated territories," and a quarter-million live in "highly contaminated territories."

Ten years after the explosion, a CNN team visited Chernobyl to ascertain the long-term effects of radiation exposure for those living near Chernobyl during the accident, for cleanup workers or "liquidators," or for those who continued to live in areas that were classified as polluted. They found more questions than answers.

Research funds were scarce. Economies of affected countries were decimated by the disaster and by the subsequent breakup of the USSR.

Years later, there aren't many more definitive answers than there were then, to the question of how exactly Chernobyl has affected the lives, not just of those who lived through it, but of subsequent generations still living in these "contaminated' areas"

Many of us have certain mental images that spring to mind when thinking of the effects of radioactive contamination: mutated animals, children with deformities and birth defects, for example. But the 2005 Chernobyl Forum report found scant evidence that this was the case.

In fact, other than a marked increase in thyroid cancers in those living near the exclusion zone, the report found few definitive links to increased instances of disease or birth defects.

Their conclusion; in the 600,000 people they studied, they might expect around 4,000 extra deaths that could be directly linked to Chernobyl.

The report created fierce debate among some who felt it grossly underestimated the impact of the disaster. A subsequent study titled "The Torch Report," commissioned by the European Green Party, put the number of extra cancer deaths alone at a much higher rate -- somewhere between 30,000 and 60,000.

Figures released by UNICEF in 2010 showed that more than 20% of adolescent children in Belarus suffered from disabilities and chronic illness. Belarus absorbed 70% of Chernobyl's fallout.

But the truth is, no one really knows where to lay the blame for these figures.

One of the main challenges for anyone attempting to ascertain the health effects of Chernobyl radiation is that there is so much background radiation in the atmosphere to begin with. But more specifically, Chernobyl was so much more than an explosion.

"When we think about Chernobyl, most people think about the medical consequences of living with radiation," said Kathy Ryan, a spokesperson for Chernobyl Children's International (CCI). "But it's important to understand that people are still being affected by the social and economic fallout."

After the Chernobyl disaster, millions living on previously prime farmland found that no one would import their "contaminated" produce. The high cost of cleanup from the accident, which cost Belarus alone well over $200 billion, is thought to have contributed to the breakup of the Soviet Union and further crippled affected region's economy.

With diminished ways to make a living, many were -- and still are -- forced to eat food and drink water from the polluted areas where they live. Whether radiation in produce is or is not harmful, what's certain is malnutrition is common, which often can result in illnesses and birth defects. Another factor is a sense of defeatism in Chernobyl-affected people, many of whom had to leave homes their families had lived in for generations.

The International Atomic Energy Agency (IAEA) says displacement, poverty and fear of radiation sickness have contributed to "suicides, drinking problems and apathy."

It's issues like these -- prenatal alcohol exposure for example -- that have led to birth defects and illnesses in many children. As a result, many children live in institutions; UNICEF estimates the number in Belarus alone to be nearly 10,000.

"The children in many cases were removed from their home ... because the parents might have had issues with alcoholism or with poverty," Ryan said.

According to CCI, many kids suffer almost as much from being in an institution as they do from their disability or illness.

Rebecca Fordham, communications officer from UNICEF, said that finding an alternative to institutions is a worldwide priority for them.

"It can be impersonal," she said. "They're not getting the dedicated services they need, not having enough access to proper food or physical activity."

The question now, is how populations can begin to move on from the specter of Chernobyl?

Reports by the U.N. Scientific Committee on the Effects of Atomic Radiation (UNSCEAR) and the World Health Organization claim that much of the land designated as "contaminated" by the former Soviet Union actually contains radiation levels not much higher than vast areas considered "safe." In fact, by the USSR's standards, it's not just the former Soviet republics that should be concerned..

"Some 45,000 square kilometers in Western Europe have measurable levels of radioactivity in the soil from Chernobyl above the criterion applied in the former Soviet Union to designate 'contaminated' areas," said UNSCEAR Secretary Malcolm Crick. And yet, those areas have experienced nowhere near the alienation and economic impact of much of Belarus and Ukraine.

How many areas are still "contaminated," and what does that mean? Does lingering radiation adversely affect the health of residents, and is there still a danger from eating food grown there? These are questions that many not have answers to for some time to come.

In the meantime, a priority for CCI volunteers is simply to spend time with the kids, hug them, show them some love, and help them look forward to some kind of future -- whatever their link to the explosion that so altered their past.

"We're not scientists; we're humanitarians," Ryan said. "We just don't want these people to be forgotten."

@highlight

A botched reactor safety test set off the worst nuclear disaster in history in 1986

@highlight

About 5 million people remain in what have been termed 'contaminated territories'

@highlight

Kathy Ryan: "People are still being affected by the social and economic fallout."

@highlight

CCI helps children from contaminated areas who are negatively impacted