(CNN) -- As Germany continues to rise as lead survivor -- and decision-maker -- in the European Union's economic mire, the U.S. would do well to take a lesson from the country's economic model, particularly in manufacturing.

Losing 4 million jobs over the past 10 years, U.S. manufacturing has hovered at roughly 12% of America's GDP, less than half its percentage in the 1950s. In Germany, however, manufacturing is well on its way toward 25% of GDP. President Barack Obama's pledge this week to lower manufacturing sector taxes to 25%, and January's U.S. manufacturing growth numbers, the highest in seven months, will certainly help stem the tide. But, clearly, a word to the wise is in order.

With America experiencing the highest income inequality since the Great Depression, a gap that mushroomed primarily in the past 30 to 40 years because of trade, tax and labor policies, the answer is in our workers.

Consider U.S. trade policies, which undermined America's working class through the outsourcing and offshoring of U.S. manufacturing and the erosion of labor protections.

Consider its tax policies, which moved wealth from the majority to the minority, thanks to tax loopholes such as low capital gains and dividends taxes, thus favoring nonlabor wealth creation.

Consider its labor policies, which failed to increase minimum wages for the majority of America: Minimum wage is worth less now -- adjusted for inflation -- than it was in 1968 when the inequality trend started to take off.

Opinion: Nostalgia for factory jobs that will never come back

The way America has treated its workers has helped to create a highly precarious socioeconomic reality: One out of every two Americans is in poverty or low-income. According to the U.S. Census Bureau, roughly 50 million Americans are living below the poverty level and surviving on an average annual income of less than $22,500 for a family of four. Another 100 million Americans are living in the low-income bracket, living on average annual income of less than $45,000 for a family of four -- hardly the American dream.

Couple these trends with the devastating financial crisis, which hurt those whose wealth was in basic stocks and first-time home purchases -- as opposed to the wealthy who invested in insurance-backed securities, derivatives and credit default swaps -- and you've bottomed out America's working class.

This is where the United States can learn from Germany.

How Germany stayed economically healthy, while maintaining a strong working class, might offer a lesson or two for America's woes.

Unlike the U.S., Germany recovered quickly from the economic slump in 2009, mainly because German industry managed to keep its skilled work force during the crisis.

This was possible because the German government sponsored short-time work, or a reduction of working hours, thus avoiding layoffs. This measure was possible only where decent wages and management-union trust existed, what Germans call a "social partnership".

Even now, despite some growth in nonunionized companies and income inequality, the export-oriented manufacturing model of social partnership is strong.

Those who believe unions, high wages and workers rights are a burden for business should consider that this sector has been Germany's most successful. Exports, mainly manufacturing, grew by 2.3% (even with 2009 data included), higher than the average growth rate of the German economy over the past 10 years at 1.1%.

Here's how they did it: Instead of trying to outcompete global markets in cheap goods, German industry specialized in high-quality products and kept its share in a growing global market, as other European countries, Japan and the U.S. lost shares to China.

The German manufacturing strategy is based on making existing products better again and again, or as a Mercedes ad put it: "We are inventing the car. Since 1886."

This strategy is possible only with highly skilled and highly motivated workers and requires managers who promote a constant evolution of improvement in products and processes. This change-oriented management is successful because strong union representation on the shop floor, in the form of "work councils," and on supervisory boards ensures that workers' interests are always considered.

In the face of global competition, German manufacturing workers' representation remains strong. It has proved to be successful because it has incorporated the knowledge of workers and their representatives, countering change with fewer conflicts. Contrast this with Germany's services sector, where wages are much lower and the power of unions is much weaker. Growth, not coincidentally, is much weaker, too.

Politicians across the Atlantic, but particularly in Washington, would be well-advised to take a look at the German manufacturing sector. The U.S. is only facing increasing global competition. If America wants an economic tide that lifts all boats, the answer is in its workers.

The opinions expressed in this commentary are solely those of the writers.

@highlight

U.S. manufacturing lost 4 million jobs over past 10 years, accounts for only 12% of GDP

@highlight

Writers: Germany recovered quickly from the economic crisis by keeping its skilled work force

@highlight

German industry is 25% of its GDP, they write, and focuses on high-quality goods

@highlight

Writers: German industry has unions, offers high wages and is its most successful sector