Earlier this month during Holi, the Indian festival of colors, more than three million Twitter followers of the Indian prime ministerial candidate Narendra Modi received a personalized greeting from him. Others received celebratory recorded phone messages that concluded with an appeal to vote.

In another online campaign, supporters of the Aam Aadmi Party (AAP) were urged to donate a tweet or Facebook status to the newly formed anti-corruption party.

Social media has become the new election battleground for India's nationwide parliamentary elections, which started Monday.

A bevy of politicians, who, at first sight, seem antiquated and traditional in their flowing kurtas and Gandhi caps are turning to social networking sites to engage Internet-savvy first time voters. Having an official YouTube channel or an active Facebook page is now as important as holding mass rallies and plastering candidates' faces on billboards.

Some are borrowing strategies employed by U.S. President Barack Obama's 2012 presidential campaign, with the use of Thunderclap, an online platform which helps to make content viral.

There are more than 200 million Internet users in India. Most of them are young and mobile urban dwellers. This demographic is also socially engaged, making for the highest Twitter and Facebook usage in the world, outside of the United States, according to Alexa Internet.

These numbers might justify the social push by political parties as a persuasion tool. However, with large parts of the country still without Internet and mobile, the impact of these campaigns on election results remains to be seen.

Social media: The new election battleground

In February, Modi appeared on a giant screen across tea stalls in the country, with a beloved Indian staple in his hand -- a cup of tea. This was BJP's "Chai Pe Charcha" (discussion over tea) campaign, where satellite and mobile technologies were used to host live interactions with people.

In this flood of online political campaigning, the BJP's strategy has been effective, said Kapil Gupta, founder of OMLogic, an online media agency.

"They have hired experts and given them full liberty to manage their social media," he said. "Some campaigns are not just for promotions, but to create conversations."

A Facebook tracker designed to show how much users are talking about candidates and parties showed more buzz for the BJP over rivals.

But Modi is not the only one as scores of political parties have turned to Facebook interviews, mobile crowd sourcing, or hashtag wars on Twitter.

Activist-turned-politician Arvind Kejriwal and his Aam Aadmi Party, which made its debut in Delhi assembly elections earlier this year, have been using social media to draw swathes of supporters. The anti-corruption party has a Facebook page for every single constituency in the capital.

A study by the Center for Media Studies estimates this year's total election spending to reach $5 billion -- three times higher than the previous elections in 2009. This sum is being compared to the $7 billion that the U.S. spent in its last presidential elections. According to a report by the Internet and Mobile Association of India (IAMAI), political parties are typically spending 2 to 5% of their budget on fueling their online presence.

The social media strategy of the ruling Congress Party doesn't appear to be as aggressive. At a time when Twitter has become politicians' latest fighting weapon, both the party president, Sonia Gandhi and her son, Rahul Gandhi, 43, are conspicuous by their absence on the microblogging site.

Many of the party members, however, are active tweeters.

But one notable campaign by the party has been the wide use of the mobile messaging platform, WhatsApp, both for internal communication and relaying party updates.

Google is helping all political parties with their online strategy by organizing weekly hangouts with politicians. In the past, India's political class mostly interacted with the public only through campaign trails, mass rallies and media interviews.

The search engine has also developed a dedicated election hub, and a "Pledge to Vote" interactive map.

"We wanted to engage with first time voters and inspire different age groups to go out and vote," said Sandeep Menon, director of marketing at Google India. "We have over half a million pledges so far and they are coming from all parts of India."

This trend is largely to do with changing voter demographics. Out of the massive electorate, more than 20 million are first timers in the age group of 18 and 19.

Will it work?

The IAMAI report estimates there could be a vote swing of 3 to 4% in 24 states -- states with significant numbers of Internet users. These could be young men or non-working women who are active social media users.

However, a major reason for dissent is India's notoriously weak Internet infrastructure. Most of India's rural belt still lives in an offline world of SMS and faxes. A report by McKinsey found rural Internet penetration to be just one twelfth of urban penetration rates.

Paranjoy Guha Thakurta, New Delhi-based independent political analyst, says that with the digital divide in India, the impact of online campaigns remains constrained.

"Let's not exaggerate the influence of social media to influence Indian society in general, and politics in particular," he said. "One of four people in India has never used the Internet; they are just beginning to use a mobile. The impact, as of now, remains limited largely to urban areas and well-off sections of society."

Political parties have tried to get past this hurdle in their campaigns by using mobiles to target the rural voters. The BJP allows potential supporters to SMS their voter registration number to receive voting assistance. The AAP adopted a "missed call" initiative during the Delhi elections and has continued with it in the run up to the national elections. Anyone can register as a party member or a volunteer by simply calling a designated number and hanging up after one ring.

Regardless of the reasoned debate around its worth, social media is paving the way for a further "democratization of politics" in the world's biggest democracy, says Gupta.

"Earlier, elections in India were governed by either the rich class or the rural poor," he said. "Now, even the middle class is interested, and social media is where they can express their opinion and talk."

@highlight

According to estimates, India will spend close to $5 billion in the 2014 elections

@highlight

Twitter, Facebook, Google Hangouts and mobile crowd sourcing are proving vital

@highlight

More than 20 million are first-time voters between 18-19 years