(CNN) -- In the chaotic weeks during Egypt's revolution, thousands of inmates escaped from jail. Untold hundreds among them were Islamist militants. Many more detained for belonging to jihadist groups have been released from detention in the 18 months since President Hosni Mubarak was ousted -- and the activities of some are beginning to cause serious concern to Egyptian and Western intelligence agencies.

Muhammad Jamal Abu Ahmad, 48, was one of those released. A heavyset, bearded man, Abu Ahmad was raised in the poor and crowded Cairo suburb of Shoubra. He joined Egyptian Islamic Jihad as a young man and spent time in Afghanistan training mujahedeen and in Sudan in the 1990s -- before being jailed when he returned to Egypt in 2002. He spent the next nine years in detention but appears never to have faced a trial.

Former jihadists who knew him describe him as "ultra-radical," according to Barak Barfi of the New America Foundation, who has spoken with former senior members of Egyptian Islamic Jihad in Cairo.

Just what Abu Ahmad may be doing now goes to the heart of the dilemma facing counterterrorism agencies in the Arab world and the West: Of the thousands of Islamist militants now back in circulation in the wake of the Arab revolutions -- who is taking up arms again in the cause of global jihad?

The Wall Street Journal reported Tuesday that Abu Ahmad is suspected of a role in the attack on the U.S. Consulate in Benghazi on September 11. The Journal quoted a former U.S. official as saying that intelligence reports suggested some of the attackers trained at camps Abu Ahmad established in the Libyan Desert.

"Mr. Ahmad, although believed to be one of the most potent of the new militant operatives emerging from the chaos of the Arab Spring, isn't the only one, according to Western officials," the article continued.

Like many former jihadists now out of Egyptian jails, Abu Ahmad is difficult to trace. There is no clear evidence that he has spent time in Libya or is still there, though the long desert border would make a crossing relatively straightforward. Former comrades insist he is in Cairo, studying for his master's degree in Islamic law.

Magdi Salem, a founding member of Egyptian Islamic Jihad, told CNN that Abu Ahmad had been a fierce fighter. But he added: "I last saw him three months ago but he had no announced intentions of jihad and informed me that he is staying in Egypt and was determined to finish his studies."

"Like many jihadists who were against Gadhafi killing his own people, he may have communicated with rebels in Libya during the revolution," Salem said.

Nizar Ghorab, a prominent lawyer in Cairo who has represented jihadists in court, told CNN: "I have been contacted by different foreign government agencies requesting information about him."

And Mohamed al-Zawahiri (brother of al Qaeda leader Ayman al-Zawahiri and a former member of Islamic Jihad himself) told CNN Wednesday that Abu Ahmad was definitely in Cairo.

But keeping track of the activities and intentions of former jihadists -- many of whom have stayed in touch with each other since being released -- is no easy task. In May 2011, Egypt's interior minister, Ahmed Gamal El Din, told CNN that around 23,000 prisoners had escaped during the collapse of the Mubarak regime (though they included many common criminals), and only some 7,000 had been apprehended.

The new Muslim Brotherhood government has granted pardons to dozens more jihadists, some of whom had been held in "administrative detention" by the Mubarak government without ever seeing a courtroom. Last month, Mustafa Hamza -- a prominent member of Gamaa Islamiya -- was freed. He had been implicated in the slaughter of foreign tourists in Luxor in 1997, when some 60 people were gunned down and then mutilated. Hamza was also implicated in the attempted assassination of Mubarak in 1995. He was extradited to Egypt from Iran eight years ago.

Of those released, some -- like Magdi Salem -- have taken up roles as mediators between the government and jihadist cells that have emerged in the volatile Sinai Peninsula. With the blessing of President Mohammed Morsy, Salem met with religious and tribal leaders in the Sinai town of El Arish in August -- in an effort to prevent further attacks on security forces by groups such as Supporters of Jihad in the Sinai Peninsula.

"We believe there is a conspiracy to damage the reputation of the Islamists through attacks like these," he said in remarks quoted by The National, a Persian Gulf newspaper.

Osama Rushdi, a former Gamma Islamiya member, says the situation in Sinai is the most alarming facing the government. Attacks by militants on police posts have killed dozens of members of the security forces, and there have been several attempts by militant cells to cross into Israel. Last month militants carrying black flags (often associated with al Qaeda) invaded a U.N. peacekeepers' base in the Sinai.

Another of those released, Tareq al Zumour, who was convicted in 1981 of involvement in the assassination of President Anwar Sadat, has founded the political wing of Gamma Islamiya, the Building and Development Party. Other militants, such as Mohamed al-Zawahiri, also appear to have embraced the new political process in Egypt. He demands Egypt become an Islamic republic under sharia law, but does not espouse violence. Last month, al-Zawahiri presented CNN with a manifesto for a truce between al Qaeda and the West, though he says he has not seen his brother since 1996.

The Egyptian government's ability to track militants back in circulation has been dramatically impaired since Mubarak's fall. The State Security Investigative Service was disbanded, to be replaced by another agency called Homeland Security. Hundreds of senior police officers were sacked; thousands of security files vanished or were burned.

Compounding a sense of general insecurity, the Libyan revolution released a flow of weapons across the border, many of which ended up in Sinai. According to Egyptian security sources, these have included antiaircraft missiles.

In addition, European counterterrorism officials are concerned that Cairo has become an easy destination for Westerners bent on jihad. They say a number of militants have left Europe for Cairo in recent months; some are going to Cairo to transit to Yemen and other fronts.

Egypt's president draws much of his support from religious conservatives and Salafists, and is anxious not to be seen as using Mubarak-era tactics against Islamist radicals. Morsy also has called very publicly for the release from jail in the United States of Omar Abdel Rahman, the blind sheikh convicted of playing a role in the first attack on the World Trade Center in 1993. Rahman is known as the 'godfather' of Egyptian Islamic Jihad.

Mohamed Al-Zawahiri insists the fuss over Abu Ahmad and other jihadists is misplaced and exaggerated.

"I think the United States is once again trying to create a new bogeyman and are giving him a much higher status than he deserves. The media and certain governments will try to prove that the release of Islamists after the revolution was a mistake. But it is only justice served," he told CNN.

Whatever the merits of the release program, Western counterterrorism agencies fear the law of unintended consequences may apply.

@highlight

Untold numbers of Islamist jihadists escaped prison during Egypt's revolution

@highlight

One of them, Muhammad Jamal Abu Ahmad, is suspected in the Benghazi attack

@highlight

Hosni Mubarak's fall impaired Egypt's ability to track at-large militants

@highlight

Muslim Brotherhood government has granted pardons to dozens more jihadists