(CNN) -- Michael Petrina's mother passed away from Alzheimer's disease 15 years ago. That's one of the reasons the 67-year-old retired attorney works his mind so hard.

Petrina took first place in the AARP National Spelling Bee on Sunday, beating more than 50 contestants in 47 rounds. The winning word? Rhizoctonia, a genus of imperfect fungi.

"R-H-I-Z...," Petrina started to spell before breaking into laughter as he spoke to CNN Monday. "Is that right? I hope. I'll look it up while we're talking."

The AARP started the spelling bee in 1996 as a way to motivate members to keep their minds sharp.

While Alzheimer's and other types of dementia are a big concern for seniors, even normal aging can slow the brain's processes over time.

As fetuses at six months, "we actually have more brain cells than we will ever have in our lives," Dr. Gregory Jicha says. "[After] six months in the womb, nerve cells start dying."

As an associate professor of neurology, Jicha works at the Sanders-Brown Center on Aging in Lexington, Kentucky. Since 1989, the center has been studying the healthy brains of seniors in hopes of identifying exactly what keeps someone from developing a cognitive disorder.

Researchers have some ideas, Jicha says, but there's little definitive evidence. Part of the problem is the brain's complexity; each type of memory is affected differently as we age.
The good news is that it's not all bad news, says Dr. Suzanna Penningroth, a gerontologist from the University of Wyoming.

Your brain's processing speed -- how fast you can interpret and recall information -- slows as you age, according to Penningroth. Episodic memory, like what you ate for breakfast this morning, is also on the decline.

But studies have shown seniors are much better at prospective memory, such as remembering to take a daily medication, and have larger knowledge bases than younger generations. Penningroth says that semantic memory stays strong as we age.

The aging brain: Why getting older just might be awesome

In other words, you might not remember where you parked this morning but you'll always remember how to drive.

Here are some tips to keep your thinking skills sharp, starting now:

Engage the mind

To prepare for the spelling bee, Petrina wrote out 20,000 words on flashcards and went over them again and again. He also enjoys crossword puzzles and reads often to keep his mind active.

Fortunately for those who aren't bookworms, mind engagement can come in many forms. Learning a new dance or musical instrument counts, Jicha says. So does playing card games or adding up scores during a game of golf.

Enrich your environment

The amount of time we spend communicating often declines with age. Americans age 55 to 64 spend 13% of their time socializing and communicating, compared to 8% of those older than 75, according to the 2010 Older Americans report.
Studies have shown that lab animals in an empty cage form far fewer nerve cell connections than those who are given neighbors and toys.

"We can take that as a lesson, that we as human beings need to be in an enriched environment," Jicha says. "In the face of the fact that we're losing nerve cells every day, we need to keep making these new connections."
Case in point -- the morning after the AARP competition, Petrina was packing for a trip to Turkey. Whether it's for work or pleasure, Jicha says new experiences are an important part of keeping the mind healthy.

Eat right

The mind uses nutrients as building blocks to form new connections, Jicha explains. Since the brain is one of the fattiest organs, eating omega-3 fatty acids from fish, seeds and nuts can help rebuild damaged tissue.

Brain suffers when fish oil falls short

Also important is eating fresh vegetables and fruits. Their antioxidants help defend and repair our cells, Jicha says.
"Our brain, we're only given one. If we're going to live to 80, we've got 80 years of healthy nerve cell life we have to protect."

Exercise 
Petrina works out with a trainer twice a week. He knows exercise is important for keeping his brain fit.
Exercise can stimulate cell growth, Jicha says. One area of the brain that can produce new cells is the hippocampus, which is responsible for memory.
"It's nice to know that something as simple as physical exercise can actually lead to biological change," he says.

Exercise also keeps the cardiovascular system working efficiently, increasing blood flow to the brain and reducing the risk of vascular dementia.

Strength-training key in preventing Alzheimer's

Encode better

Even if you eat right, exercise frequently and stay engaged with your environment, your mind is going to fade, Penningroth says.

"You just have to know what your weaknesses are. If you understand these weaknesses you can easily compensate."

To boost memory, shut your eyes

Paying attention is the first step to encoding new information, she says. Use repetition, like saying a new friend's name several times to make sure it sticks. Then keep checklists or other aids to help you complete important tasks.
If nothing else, try to remember that everyone is in the same sinking boat as you are.

"I always like to kid that I think my brain was at its best at 25," Jicha says. "And it's been downhill ever since."

10 best cities for successful aging

@highlight

The AARP National Spelling Bee started in 1996 to motivate members to keep minds sharp

@highlight

Each type of memory is affected differently as we age, experts say

@highlight

Eating right, exercising and engaging the mind can help slow the aging process