(CNN) -- North Korea's apparent cooperation with nations seeking to end its nuclear weapons ambitions -- six years after a deal collapsed and two years after testing a bomb -- may lead to questions about why it would play ball now.

Some signs show North Korean leader Kim Jong Il does intend to drop his nuclear weapon program, experts say.

One school of thought: The communist nation, in desperate economic straits, has long been willing to drop its program for better relations with the United States. But mistakes on both sides interfered, according to Jim Walsh, a national security analyst.

North Korea could be trying to achieve survival through deceit, intending to keep its nuclear weapons as blackmail for better treatment, analysts suggest.

But those making a case for North Korea's sincerity, Walsh said, would say it must "do the things economically that [it needs] to do to avoid collapse."

"Having nuclear weapons when the regime is collapsing won't do them much good," said Walsh, a research associate at the Massachusetts Institute of Technology.

North Korea, following a 2007 agreement with five nations including the U.S., handed over a declaration of its nuclear program on Thursday.

The nation also took steps to disable a reactor that officials acknowledge helped extract plutonium to build nuclear weapons. On Friday, it destroyed the reactor's cooling tower -- significant because the tower would take a year or longer to rebuild.  Watch the tower being demolished. »

After North Korea's declaration, President Bush said Thursday that he intends to move North Korea from the U.S. list of states that sponsor terrorism.

Down the line, North Korea would receive economic and energy assistance if the U.S. and other nations agree it is complying with other efforts to dismantle its nuclear program.

North Korea has been heavily sanctioned in the past because of its nuclear program. Stephen Hadley, the U.S. national security adviser, told reporters Thursday that the terror list was one incentive for North Korea to drop its nuclear ambitions.

"I think it is important to them not to be on a list that says 'enemies' and not to be on a list that says 'supporters of terror,'" Hadley said.

Walsh said North Korea has been weakened by sanctions and its lack of arable land, leading to a population unable to feed itself.

"It can't grow enough food," Walsh said. "And they've got to attract foreign investors."

He said North Korea was better off in the days of the Soviet Union, when it had an ample amount of communist nations with which to trade. But the Soviet Union collapsed, and many other nations turned away from communism, leaving North Korea increasingly isolated.

"Geostrategically, North Korea was growing weaker, and everyone around them was growing stronger," Walsh said.

In 1994, North Korea pledged to the U.S. that it would freeze and eventually dismantle its nuclear program in exchange for international aid, including help building two power-producing nuclear reactors.

By 2000, however, North Korea was complaining that not all the aid was coming as promised. In 2002, the U.S. accused North Korea of working on a secret nuclear weapons program, and the U.S. said North Korea admitted doing so.

Countries including the U.S. halted oil supplies, and North Korea withdrew from the Nuclear Nonproliferation Treaty. It conducted an underground test of a nuclear weapon in 2006.

Walsh said both sides haven't fully lived up to previous agreements. The U.S., he said, promised normalized trade at one point but didn't follow through.

Jon Wolfsthal, senior fellow of the Center for Strategic and International Studies' international security program, said North Korea has been "remarkably consistent" regarding its reactions to U.S. positions.

"When we've engaged them directly, they have responded. And when we have reduced our commitment, to our engagement ... they have responded negatively," Wolfsthal said.

Wolfsthal said China -- which provides oil and food aid to North Korea -- has been instrumental in getting North Korea to cooperate.

"China has gone from being an uninvested ... mediator to being a true participant in this process -- from a country that originally wanted to help the U.S. and North Korea work out their differences to a state that has worked to convince North Korea to meet its obligations," Wolfsthal said.

Wolfsthal said he believes China was embarrassed by North Korea's nuclear test, and shifted course.

"I think that over time, the United States has helped China see that North Korea's unpredictable behavior destabilizes their own backyard," he said.

Walsh and Wolfsthal said another theory has it that North Korea is only playing with negotiators and intends to keep its nuclear program and weapons as a security blanket.

Expanding on that possibility, Wolfsthal said North Korea leader Kim Jong Il could keep the country's nuclear arsenal but agree not to produce any more nuclear weapons.

"Everybody's speculating. None of us has met Kim Jong Il," Wolfsthal said.

Walsh said the West doesn't have hard evidence to determine North Korea's intentions.

"But so far, the evidence is pretty strongly on the side of North Korea wanting a real bargain," Walsh said.

@highlight

North Korea's negotiations driven by economic need, desire for survival, experts say

@highlight

China, embarrassed by nuclear test, has prodded North Korea, expert says

@highlight

Deceit possible, experts say, but nation's best interest is to be on West's good side