Los Angeles (CNN) -- A California city filed for bankruptcy Wednesday, the third in the Golden State to do so in recent weeks, stoking experts' concerns that other cities could follow suit.

The city of San Bernardino, with more than 200,000 residents on the eastern tip of greater Los Angeles, "filed an emergency petition for Chapter 9 Bankruptcy" with a regional U.S. bankruptcy court, according to a news release from the city's interim manager.

The other two to file recently were Stockton, with around 300,000 residents, according to 2010 U.S. census data, and Mammoth Lakes, a resort town, where visitors and seasonal residents outnumber the just over 8,000 permanent inhabitants.

Why U.S. cities are going bankrupt

Many municipalities in the Golden State and around the nation are struggling to cover their costs as the economic malaise continues to hurt tax revenue streams, experts said. This will lead to more municipal bankruptcies, which have been rare until now.

"This is not the end. This is the beginning," Peter Navarro, business professor at University of California, Irvine, told CNN recently. "As cities see it can be done and is being done, it will give them the idea to do it."

Eric Hoffman, an analyst at Moody's Investor Service agreed, saying more city bankruptcies are likely in California and throughout the nation.

Cities have also struggled from budget changes made on the state level. Because of massive budget shortfalls, Gov. Jerry Brown and the state legislature made changes to vehicle tax money and redevelopment agencies that stripped locales of hundreds of millions in state funding.

San Bernardino said it will continue to provide services during the bankruptcy phase.

Rhode Island city asks retirees to cut their pensions

"There will be no immediate service reductions or changes in service to the community as a result of the filing," interim city manager Andrea Travis-Miller said Wednesday. But "reductions may occur" in the future.

In a prior statement Travis-Miller hinted the city may continue to "negotiate in good faith with its creditors."

In early July, Miller and finance director Jason Simpson issued a report stating that the city was facing insolvency and its expenditures were projected to exceed revenues by $45 million. The city's general fund reserves had been as high as $19 million in 2001 but are now depleted, the report said.

"The city has reached a breaking point," the report said.

Some $10 million to $16 million in annual revenue has evaporated in recent years as taxable sales dried up and property values plummeted in the city, the report said.

Mammoth Lakes sought protection July 2 after a property developer won a $43 million court judgment against the resort town. Experts say this filing should not be lumped in with the other two California municipal bankruptcies since it was an unusual circumstance.

Stockton, however, filed for bankruptcy in late June after three months of mediation when creditors failed to close a $26 million budget shortfall. The city had already addressed $90 million in deficits over the past three years, mainly through reducing services and employee compensation.

Video: Declaring bankruptcy in Harrisburg

Both Stockton's and San Bernardino's fiscal troubles are due in large part to the massive housing downturn and recession that swept across California. Both towns were hit particularly hard by the foreclosure crisis, which left numerous abandoned homes and reduced property values in its wake. That led to lower property tax revenues, critical to supporting public services.

While some areas of the Golden State are starting to recover, the regions containing those two towns are not, said Chris McKenna, executive director of the League of California Cities.

By filing for bankruptcy, cities will be able to keep police and firefighters on the street and possibly keep some parks and libraries open while they work out their finances, he said.

CNNMoney's Tami Luhby contributed to this report.

@highlight

San Bernardino has lost revenues in the housing and economic downturns

@highlight

The city is at the eastern tip of the greater Los Angeles area

@highlight

Expert: City bankruptcies could increase, if other cities see it can be done

@highlight

The city faced a $45 million shortfall as millions in revenues have evaporated