Editor's note: Jared L. Cohon is president of Carnegie Mellon University.

Jared Cohon says Pittsburgh shows the power of education and innovation to revive an economy in crisis.

(CNN) -- This week the international community is converging on my chosen hometown of Pittsburgh, Pennsylvania, as heads of state gather for the G20 summit.

Pittsburgh may seem like an unlikely choice for such a high-profile event, but a closer look shows why this city personifies the transformative power of education and research, and how the practical application of innovation can drive growth and improvement in quality of life the world over.

Pittsburgh is a city that was largely written off as a rusted industrial center. But as heads of state from around the world tour the city this week, they will see running trails replacing former industrial railways and they will find green hotels and LEED-certified buildings rising where abandoned steel mills once stood.

These changes are creating jobs, bringing new commerce and making Pittsburgh the most livable city in the United States, according to the Economist magazine. President Obama has praised our city as a "bold example" of the new green economy.

A significant part of Pittsburgh's renaissance can be attributed to its two major research universities: Carnegie Mellon and the University of Pittsburgh. Having one such institution is an advantage in today's global economy; having two (very close to each other) puts Pittsburgh in a very small group of American cities.

The shape of today's research university, with its heavy dependence on federally sponsored research, can be traced to World War II and its immediate aftermath, with a major boost a decade later when the Soviet Union launched Sputnik. But what began as a response to national security threats has turned into the engine of America's -- and the world's -- prosperity.

As my colleague, the Dean of Carnegie Mellon's College of Engineering, Pradeep Khosla has written, the industries that have fueled economic growth have come out of the American research university enterprise.

Biotechnology, nanotechnology, digital communications, and computers and software that have improved our quality of life and economic standing all have their origins in research universities. The companies that apply this research create jobs and fuel economic growth and wealth generation in ways that the world has never before experienced.

According to one report prepared for the White House, 50 percent of the growth in the American economy in the last 40 years has been due to investments in research and development. Obviously, the private sector is a major driver of R&D, but federally funded research at universities throughout the United States plays a key role.

The presence of a major research university does not, by itself, guarantee economic progress beyond the direct jobs that the university creates. Realizing the full potential of a university depends on effectively tapping into the brilliance and ingenuity of its faculty and students and the innovations they create.

Technology commercialization -- shaping a bright idea into a commercially successful product -- has been described as a "contact sport". It requires an innovative and entrepreneurial campus culture and an ecosystem surrounding it that supports technology-based economic development with facilities, money and people who know how to take ideas to the market.

More than a decade ago, Carnegie Mellon embraced Pittsburgh's economic development as one of its institutional strategic priorities. We changed our technology transfer policies to make it easier and faster for our faculty and alumni to create local companies based on our technology.

We joined forces with the University of Pittsburgh and partnered with state and local government and industry to strengthen the entrepreneurial ecosystem on which we all rely. Today, there are more than 200 Pittsburgh companies commercializing Carnegie Mellon technology.

Our economic development efforts have also included company attraction. With state and local government support, we built a building on campus for global technology companies, which see value in being so close to our faculty and students.

There are now hundreds of new jobs in that building, created by Intel, Google and Apple. Disney set up their first research lab here, but they're across the street -- the new building is full.

The success of the American research university has been, and continues to be, studied by many developing and developed countries that want to advance technology, secure a stronger position for themselves in global markets and raise the standard of living for their citizens.

It is clear that the U.S. model must be replicated in many countries in order for the world to be a better place. During the last decade, in pursuit of another of our strategic priorities, Carnegie Mellon has partnered with several countries, including Qatar, Portugal, Greece, Australia and Japan, among others, to establish high-caliber education and research programs.

Countries that can successfully replicate the U.S. research university enterprise will secure for themselves a strong position for the future, for they will be the source of the next wave of economic expansion in the world.

We are living in one of the most intellectually exciting eras in history. From medicine to energy, to robotics and computing, many fields of science are experiencing a revolution that will change our understanding of what is possible. These revolutions are occurring on the campuses and laboratories of research universities every day around the world.

As world leaders arrive here in Pittsburgh, they must keep in mind the importance of research and education, historically and in addressing today's most challenging issues.

As they contemplate stimulus plans and regulation of the financial industry, and enjoy Pittsburgh's beauty and impressive progress, they must also resolve to sustain and, in most countries, grow their systems of higher education, including and especially their research universities. Research universities are at the heart of Pittsburgh's transformation, and they are a key to our collective future.

The opinions expressed in this commentary are solely those of Jared L. Cohon.

@highlight

Jared Cohon: Pittsburgh economy has been reinvented through innovation

@highlight

He says universities have played a key role in economic revival

@highlight

He says G-20 meeting focuses attention on role of universities

@highlight

Cohon: Nations must focus on key role of education and research