(Health.com) -- Every year, sneeze sufferers swear: "This is the worst allergy season ever." And they're right.

"Pollen levels are increasing, pollen seasons are getting longer, and more people are developing allergies," says Estelle Levetin, Ph.D., chairwoman of the aerobiology committee for the American Academy of Allergy, Asthma & Immunology.

In fact, this year's fall allergies (affecting at least 12 million Americans) will most likely last up to 27 days longer than average in the northernmost parts of North America, going even into November in some spots, a new study suggests.

While spring and fall allergies cause the same symptoms (sneezing, itchy eyes, and runny nose), their triggers are different.

Spring allergies, which run from February to late July, are brought on by pollen from trees, grasses, and weeds. Fall allergies go from mid-August through the first autumn frost, and are chiefly set off by pollen from the ragweed plant, mold, and dust mites.

Health.com: 20 ways to stop allergies

Read on to learn what's making both seasons so unbearable—and the best ways to survive them.

The seasons are longer

Spring allergies now start sooner and fall allergies end later, thanks to global warming, says Jeffrey G. Demain, M.D., director of the Allergy, Asthma & Immunology Center of Alaska.

We're using more and more carbon-based fuels, generating greenhouse gases (such as carbon dioxide) that trap heat from the sun in our atmosphere. This makes temperatures rise, prompting plants and trees to flower—and release pollen—earlier each spring; in the fall, they delay the death of ragweed plants from frost, extending the pollen season, Levetin explains.

End result: "Fall" allergies may go practically into winter.

Health.com: The worst plants for your allergies

There's more pollen than ever

Higher amounts of carbon dioxide not only kick-start pollen production, they also boost the amount of pollen each plant generates, too -- especially in urban areas, where the gas is more plentiful.

To add insult to injury, CO2 is making pollen more potent, too. "There's more allergen now in each grain than there used to be," Demain says.

And pollen isn't the only allergen on the rise. Increasingly balmy temperatures mean more moisture in the air, which creates mold. "The higher temperatures and gas may increase not just the growth of mold but also its spore production—which is how it distributes allergens—both indoors and out," Demain says.

Health.com: Protect your home and family from dangerous mold and mildew

More people are developing allergies

The number of Americans with allergies is two to five times higher now than it was about 30 years ago, according to surveys from the National Institutes of Health. Genes play a role in your susceptibility, but the blooming allergy boom is most likely due to the longer, more intense pollen seasons — plus these expert-supported theories:

We're too clean. Now that we're exposed to less dirt and bacteria (thanks in part to our obsession with antibacterial everything), and have fewer scourges like polio and parasites to fight, our immune systems are quicker to overreact to otherwise harmless substances like pollen, says Levetin.

At the same time, our environment is too dirty: Studies show that pollution (such as exhaust fumes) can trigger allergic flare-ups.

Our modern diet is hurting us. Today's processed, preserved foods lack the tough fibers of the plants and grains our ancestors feasted on, throwing off the delicate balance of bacteria in our guts and setting us up for allergic sensitivity, says University of Michigan professor of internal medicine Gary Huffnagle, Ph.D..

Studies suggest, too, that as use of antibiotics — which also disrupt bacteria in the gastrointestinal tract — has surged, so have allergies.

Health.com: Your secret allergy triggers revealed

The good news: Even if we're now more prone to sniffling, sneezing, and itchy eyes, "there are many more treatment options on the market now," says Levetin. "The current medications are so much better than they used to be."

A potent mix of non-sedating antihistamines, steroid sprays, and eyedrops help target today's stepped-up symptoms. And in the end, simply getting back to nature—by skipping the hand sanitizer from time to time and eating whole, fresh foods—may just be a crucial defense against, well, nature.

Copyright Health Magazine 2011

@highlight

Spring allergies now start sooner and fall allergies end later, thanks to global warming

@highlight

More carbon dioxide kick-starts pollen production

@highlight

Number of Americans with allergies two to five times higher now than 30 years ago