(CNN) -- Historian David W. Blight has written that the first Memorial Day took place in Charleston, South Carolina. On May 1, 1865, a crowd of African-Americans -- recently freed from slavery -- honored the Union soldiers entombed in the rocky ground of the Charleston Race Course.

Twenty-nine days later, William Tecumseh Sherman concluded his farewell order from the United States Army with the words, "Your general now bids you farewell, with the full belief that, as in war you have been good soldiers, so in peace you will make good citizens."

On this Memorial Day 2014, we must acknowledge, not as a member of Congress, a veteran of the Vietnam War and a journalist-filmmaker, but as one nation indivisible, that Sherman's hope for American soldiers is not being realized today.

According to current Veterans Administration estimates, 22 American veterans take their lives every single day.

High rates of unemployment, homelessness, alcoholism, substance abuse and post-traumatic stress are decimating our community of veterans. With the wars of the past 13 years in Iraq and Afghanistan coming to a close, we are seeing too many casualties among American soldiers in this transition to peace.

In light of this crisis, we need a new kind of Memorial Day.

Many veterans are desperate to talk about their experiences with fellow Americans who accept shared responsibility for what is done in war, particularly the killing. Yet these conversations rarely happen today. How can a veteran truly come home unless we acknowledge that our nation's wars are something we all chose and paid for?

Returning Vietnam veterans were treated shamefully. That, thankfully, is behind America. We've moved from outright hostility to awkward, if well-meant, expressions of "thank you for your service" and the creation of a number of new veterans services organizations.

However, there remains an abiding sense of national indifference, or worse, a sense that somehow veterans are victims. This must change.

There are more than 2 million Iraq and Afghanistan veterans in America. That they are all proud volunteers doesn't excuse us from helping them come home.

Yes, the VA and other government services that cater to veterans need to work better, but there is an additional, crucial step that America must take: The entire nation must accept responsibility for the wounds, psychological and physical, that they bring home from war. Opposing the recent wars does not exempt one from this responsibility any more than opposing national health care exempts one from having to take care of America's sick and injured.

Many veterans didn't see combat, but all were separated from their families for long periods and subjected to the enormous stresses of life in a war zone. Ironically, a consequence is that veterans often feel excluded from the very society they helped defend.

Other cultures understood this obligation to help rebuild the bond between a returning warrior and his community. In early Native American cultures, a warrior back from battle participated in purification ceremonies intended to reaffirm his identity. These rituals also empowered the community to welcome the warrior home: To listen to his battle tales, to appreciate his sacrifice, and to assert his value in society.

In our modern society, tribal rituals should give way to a concerted, national effort to share in the stories of our fighting men and women. Pomp and circumstance are fine, but what our veterans really need is a solemn commemoration that the wars of the past 13 years -- wars waged by all of us -- are over. Our veterans also need public forums in which to tell their stories. Our soldiers' stories are visceral, and sometimes repugnant, and their telling can close the widening gap that exists between our military and the rest of American society.

We are either one nation or we're not. We can't have it both ways. This is what future Memorial Days in America could mean to us all.

Whether through community forums, statewide listening tours or action at the federal level, a national embrace of our veterans' experiences is a profound way to combat today's veterans' crisis. Each and every American must make a commitment to help return our soldiers to society: cleansed, rehabilitated, welcomed, and empowered.

Our soldiers deserve a Memorial Day 2.0. And, as we help our veterans navigate their paths of reconciliation and reintegration, we may become better citizens ourselves.

We may also find that the answers to many of America's most pressing challenges are found in the pain and pride, the tragedies and triumphs, of American soldiers.

@highlight

Writers: America is not fulfilling promise to soldiers to help them on their return to society

@highlight

They say veterans adrift face unemployment, homelessness, substance abuse, suicide

@highlight

They say many cultures see embrace of veterans as critical. All Americans should, too

@highlight

Writers: We must be one nation, together with our veterans, help them reintegrate, reconcile