Hong Kong (CNN) -- As President Barack Obama prepares to visit Myanmar next week, a nonprofit group warned violence between Buddhists and Muslims in the west of the country could destabilize the nation just as it is emerging from decades of military repression.

Obama is set to become the first sitting U.S. president to visit Myanmar, providing a powerful endorsement of the Southeast Asian nation's efforts to move toward greater democracy under President Thein Sein.

But his arrival follows months of turmoil in the western state of Rakhine, where tensions between the majority Buddhist community and the Rohingya, a stateless ethnic Muslim group, boiled over into clashes that have killed scores of people and left tens of thousands of others living in makeshift camps.

Read more: What a difference a year makes in Myanmar

The Rohingya, most of whom don't have Myanmar citizenship, appear to have born the brunt of the violence. The situation has ominous signs for Myanmar and its complex ethnic makeup, according to the International Crisis Group, a nonprofit organization that provides analysis and advocacy on conflicts around the world.

"The ongoing intercommunal strife in Rakhine State is of grave concern," the group said in a report released Monday. "And there is the potential for similar violence elsewhere, as nationalism and ethno-nationalism rise and old prejudices resurface."

The bloodshed and upheaval of recent months have left the Buddhist and Rohingya communities in Rakhine "essentially segregated," the report said.

A failure by authorities to address the deepening divisions between the communities could result in a resumption of violence in the future, the report argues, "which would be to the detriment of both communities, and of the country as a whole."

Read more: Q&A: What's behind sectarian violence in Myanmar?

Citing government figures, the United Nations says at least 89 people have been killed in violence in Rakhine in recent weeks and 110,000 people are now displaced. The deaths come on top of dozens of others during clashes in May and June.

Some Rohingya have tried to flee into neighboring Bangladesh, but many have been blocked at the border. Bangladeshi authorities say that the more than 200,000 Rohingya refugees already in the country are as many as they can deal with.

The risk for Myanmar authorities, according to the International Crisis Group report, is that the unrest in Rakhine could spread to other parts of the country.

"All the large cities have significant Muslim minorities," the report says. "And if the violence in Rakhine State evolves into a broader religious conflict, with communities turning on each other across the country, it could be a source of major instability and a serious threat to the reform process."

@highlight

A nonprofit group is warning ongoing violence could destabilize the country

@highlight

The clashes are between majority Buddhists and a stateless ethnic Muslim group

@highlight

Scores have been killed in clashes in recent weeks

@highlight

Roughly 110,000 people are displaced