Humans have reached the moon and are planning to return samples from Mars, but when it comes to exploring the land deep beneath our feet, we have only scratched the surface of our planet.

This may be about to change with a $1 billion mission to drill 6 km (3.7 miles) beneath the seafloor to reach the Earth's mantle -- a 3000 km-thick layer of slowly deforming rock between the crust and the core which makes up the majority of our planet -- and bring back the first ever fresh samples.

It could help answer some of our biggest questions about the origins and evolution of Earth itself, with almost all of the sea floor and continents that make up the Earth´s surface originating from the mantle.

Geologists involved in the project are already comparing it to the Apollo Moon missions in terms of the value of the samples it could yield.

However, in order to reach those samples, the team of international scientists must first find a way to grind their way through ultra-hard rocks with 10 km-long (6.2 miles) drill pipes -- a technical challenge that one of the project co-leaders Damon Teagle, from the UK's University of Southampton calls, "the most challenging endeavor in the history of Earth science."

'A ship flying in space:' Earth seen through the eyes of an astronaut

Their task will be all the more difficult for being conducted out in the middle of the ocean. It is here that the Earth´s crust is at its thinnest at around 6 km compared to as much as 60 km (37.3 miles) on land.

They have already identified three possible locations -- all in the Pacific Ocean -- where the ocean floor was formed at relatively fast spreading mid-ocean ridges, says Teagle.

The hole they will drill will be just 30 cm in width all the way from the ocean floor to inside the mantle -- a monumental engineering feat.

"It will be the equivalent of dangling a steel string the width of a human hair in the deep end of a swimming pool and inserting it into a thimble 1/10 mm wide on the bottom, and then drilling a few meters into the foundations," says Teagle.

To get to the mantle scientists will be relying on a purpose-built Japanese deep-sea drilling vessel called Chikyu, first launched in 2002 and capable of carrying 10 km of drilling pipes. It has already set a world-record for the deepest hole in scientific ocean drilling history, reaching 2.2 km into the seafloor.

Read more: Super telescope to search for secrets of the universe

What makes the task even more difficult is that, currently, the drill bits have a limited lifespan of between 50-60 hours before needing to be replaced, meaning drilling could take many years unless technology improves.

The first attempts to reach the Earth's mantle actually began back in the early 1960s. Dubbed "Project Mohole" after the Croatian meteorologist Andrija Mohorovicic who first discovered the boundary between the Earth's crust and mantle, a team of U.S. scientists managed to drill a few meters into the oceanic crust off Guadalupe Island in the eastern pacific. The achievement was recognized by a telegram from President John F. Kennedy but the project was closed down in 1966.

Since then, a Russian-project in the far north Kola Peninsula during the 1980s has taken over the record for the deepest borehole ever drilled, reaching 12 km into the earth's crust.

And In 2011, the oil giant Exxon Mobil recorded an even longer borehole at just over 12 km in eastern Russia. However, it wasn't drilled vertically downwards and only reached soft sedimentary rocks.

While neither of these record-drilling projects got close to the Earth's mantle, they did give the geologists leading the new project -- The Integrated Ocean Drilling Program (IODP) -- confidence that recent advances in drilling techniques have made their plans more feasible than ever before.

What we've done on Mars, and what's next

"Many of the technologies required are conventional deep-drilling technologies that are presently being used in the oil and gas industry," explain IODP geologists.

However, given the challenges and the likely cost of $1 billion plus, much of which still needs to be raised, skeptics may question the necessity of the mission.

For Teagle, reaching the Earth's mantle would provide a "legacy of fundamental scientific knowledge" and "inspire" future generations.

"I was giving a lecture to a group of 15-year-old high-school students recently and they [and their teachers] were fascinated by the technology and the thought that we could re-enter a hole just a few centimeters across with a drill string dangled from a ship in the open ocean 4 km above."

As well as the technical achievement of bringing back samples, the samples themselves will clarify many of the assumptions we have about how our planet works. Despite making up 68% of the Earth´s mass, Teagle says we only have a "reasonable" idea of what the mantle is made of and how it works.

"[The mantle] is the engine that drives how our planet works and why we have earthquakes and volcanoes and continents. We have the textbook cartoons but detailed knowledge is lacking," he says.

The Japanese government has already invested substantially in the project through the construction of Chikyu, with some scientists regarding the mission as the country's "moon project."

If Japanese support can be combined with other funding, Teagle says they could start drilling before the end of the decade, making it possible for humans to finally reach the Earth's mantle by the early 2020s.

Deepest cracks of Earth give clues to life in space

@highlight

Scientists planning mission to drill down to Earth's mantle and bring back first fresh samples

@highlight

Mantle could hold clues to origin and evolution of the planet

@highlight

Geologist calls it the most "challenging endeavor in the history of Earth science"

@highlight

If project gets the go-ahead, the team hope to reach the mantle by early 2020s