Washington (CNN) -- The federal government unveiled new proposed regulations Wednesday mandating "bolder health warnings" on cigarette advertisements and packages, according to a news release from the Department of Health and Human Services.

The proposed requirements, characterized as the biggest change in tobacco health warnings in 25 years, include "nine new larger and more noticeable textual warning statements and color graphic images depicting the negative health consequences of smoking," the release stated.

The public will have an opportunity to weigh in on 36 proposed images through January 9. Assuming the plan moves forward as scheduled, Food and Drug Administration officials will select the nine statements and images to be used no later than June 22.

Rules requiring the use of the new images and warnings on all cigarettes distributed for sale in the United States would take effect by October 22, 2012.

"Today, FDA takes a crucial step toward reducing the tremendous toll of illness and death caused by tobacco use by proposing to dramatically change how cigarette packages and advertising look in this country," FDA Commissioner Margaret Hamburg said.

"When the rule takes effect, the health consequences of smoking will be obvious every time someone picks up a pack of cigarettes. ... This is a concrete example of how FDA's new responsibilities for tobacco product regulation can benefit the public's health."

Mathew L. Myers, the president of the Campaign for Tobacco-Free Kids, called the proposed changes "the most significant change in U.S. cigarette warnings since they were first required in 1965."

Anti-tobacco advocate Richard Daynard praised the new warnings. "It's about time," he told CNN in a telephone interview. "Canada has had similar labels for at least five years and they've been very effective in reducing consumption there. It's an absolutely costless way to get information to people in a way that they will actually pay attention to it."

The law professor at Northeastern University in Boston, Massachusetts, and president of the Public Health Advocacy Institute said current warning labels "are unread, as as far as anyone can tell ... It's not going to be possible to ignore the new ones."

The change became possible last year, he said, when Congress gave the FDA the broad power to regulate tobacco products. Before that, "everything that was done had to be done by a vote of Congress."

Stanton Glantz was more blunt about why it had taken so long to effect change in the United States. "It's because the tobacco companies have a lot of muscles," the professor of medicine at the University of California at San Francisco told CNN in a telephone interview. "And because they give loads and loads and loads of money to politicians."

Under the current labeling, the United States "has the weakest warning labels in the world," Glantz said.

Glantz, who also directs the Center for Tobacco Control Research and Education at UCSF, predicted that some tobacco companies "almost certainly" are going to sue claiming that publishing the warnings would prove too onerous.

In a statement, Philip Morris USA said it supported several of the initiatives cited by HHS regarding tobacco issues. "Philip Morris USA has actively participated in the FDA's rule-making and public comment processes and plans to do the same on this proposal," it said.

But David Howard, a spokesman for R.J. Reynolds Tobacco Co., said the legality of requiring larger, graphic warnings on cigarette packages was already the subject of a lawsuit filed by the maker of Camel and Pall Mall cigarettes.

The suit alleges that the warnings violate the company's First Amendment rights of commercial, free speech, Howard told CNN in a telephone interview. "Seizing half of our packaging, devaluing our trademarks, we're challenging that," he said.

Though the suit was rejected last year in federal district court in Bowling Green, Kentucky, the company has appealed to the U.S. Court of Appeals for the Sixth Circuit, which is expected to take up the matter next year, Howard said.

Tobacco use, according to the federal government, causes 443,000 deaths in the United States each year and remains the leading cause of premature and preventable death nationwide.

An estimated 30 percent of all cancer deaths are related to tobacco use, health officials say. In the United States, smokers number 46 million -- including 20.6 percent of adults and 19.5 percent of high school students, according to the federal government.

CNN's Tom Watkins contributed to this story.

@highlight

NEW: R.J. Reynolds is challenging the requirement in court

@highlight

Current labels are largely ignored, an anti-tobacco advocate says

@highlight

The federal government is pushing for "bolder" warnings on cigarette ads and packages

@highlight

The new rules would constitute the biggest changes in tobacco warnings in 25 years