Washington (CNN) -- Two steps forward, one step back.

A surge of optimism on Monday for a possible compromise to end the partial government shutdown and avoid a U.S. default as soon as this week got jolted by the sudden postponement of a White House meeting between President Barack Obama and congressional leaders.

In a brief statement, the White House said the meeting announced earlier in the day was put on hold "to allow leaders in the Senate time to continue making important progress" toward a solution.

It was unclear if the development signaled a problem or was needed to give more time for talks between Senate Majority Leader Harry Reid and his Republican counterpart, Mitch McConnell, to finish an agreement that could win approval in the Senate and the House.

7 crazy side effects from the shutdown

Negotiations heated up with the Democratic and Republican leaders signaling progress. Both Reid and McConnell took to the Senate floor to express optimism for a compromise on the twin priorities that they expected to be reasonable and acceptable to both sides.

Reid's tone remained positive as night fell over the Capitol.

"We've made tremendous progress," he said, saying that "everyone just needs to be patient" and that "perhaps tomorrow will be a bright day."

Key negotiators also maintained an upbeat posture and financial markets, which Washington is watching very closely considering their volatility over the political impasse, also ended the day higher with Wall Street heartened by news of a possible deal, especially on the debt limit.

At the same time, both sides noted that nothing had been finalized and the postponement of the meeting between congressional leaders and Obama and Vice President Joe Biden raised a new question mark in the process.

Supporters stand by representatives and government shutdown

During a visit Monday to a local food pantry, Obama cited progress in the Senate negotiations but also warned of what he called continued partisan brinkmanship by House Republicans who "continue to think that somehow they can extract concessions by keeping the government shut down or by threatening default."

"My hope is a spirit of cooperation will move us forward over the next few hours," Obama said.

Shutdown drags on

The failure of Congress to authorize spending for the new fiscal year triggered the shutdown on October 1.

Another deadline looms on Thursday, when the Treasury says it will need Congress to raise the debt ceiling so it can borrow more money to pay all the government's bills.

During his visit to Martha's Table in Washington, Obama said the congressional leaders could "solve this problem today."

The crisis with an on/off switch

He warned that a default, in which the government would lack enough cash on hand to pay down its debt obligations as well as other daily bills such as Social Security checks, "could have a potentially devastating effect on our economy."

"We've already had a damaging effect on our economy because of the shutdown," he said. "That damage would be greatly magnified if we don't make sure that government's paying its bills, and that has to be decided this week."

The Treasury Department said it will be unable to pay the government's bills unless the debt limit is increased by Thursday.

As reported by CNN's Dana Bash and CNN Senior White House Correspondent Jim Acosta, the main sticking point involves how long an agreement would fund the government to end the shutdown and increase the debt limit.

Democrats want the debt ceiling increase to extend as long as possible to avoid similar showdowns in coming months.

Conservatives defiant in the face of GOP troubles

At the same time, they seek a temporary spending plan to reopen the government while formal budget negotiations work out a longer-term agreement that can negate the impacts of the forced sequestration cuts.

Republicans, however, want a longer spending proposal that would lock in the planned sequestration cuts in coming months, with a shorter debt ceiling extension in order to negotiate further deficit-reduction measures.

Sen. Joe Manchin, D-West Virginia, and moderate GOP Sen. Susan Collins of Maine have spearheaded the bipartisan talks. Separately, Republican Sen. Bob Corker of Tennessee also cited progress.

"We'll get this done. We're gonna get this done. I feel real confident," Manchin said.

Manchin said the goal was to get at least 65 Senate votes -- which would mean 10 or more from Republicans -- to help Speaker John Boehner generate GOP backing in the House despite certain opposition from the tea party conservative wing.

Manchin said Reid and McConnell must work out specifics.

The two party leaders met twice in the morning and early afternoon, and they offered their optimistic assessments after their second face-to-face discussion. Boehner also dropped by McConnell's office to get an update on the talks, his aide confirmed.

Has shutdown affected you? Share your story with CNN iReport.

Details of proposal fluid

Democratic sources told Bash and CNN's Deirdre Walsh that the proposal under consideration by Reid and McConnell would fund the government through January 15, allowing it to reopen for at least three months or so.

At the same time, negotiations on a budget for the full fiscal year would have a deadline of some time in December, the sources said.

Meanwhile, the debt ceiling would be increased through February 7 to put off the threat of default for almost four months, according to sources in both parties.

The budget negotiations were expected to address deficit reduction measures and therefore could impact when the debt limit would need to be increased again.

Paul Ryan steps into budget fight

In addition, provisions involving Obama's signature health care reforms could be included, such as strengthening verification measures for people seeking federal subsidies to help them purchase health insurance required by the 2010 Affordable Care Act, the sources said.

Another possible change to the health care reforms would delay a fee on employers, unions and other plan sponsors that raise money to compensate insurance companies for taking on high-risk customers in the early years of Obamacare.

CNN political analyst John Avlon said Monday that Democrats wanted to press what they perceive as an advantage over Republicans on how the public is perceiving the latest round of Washington budget and deficit brinkmanship.

"What's behind it (are) poll numbers that saw Republicans getting their butt kicked because of this whole gamesmanship," Avlon said.

Mindful that the Thursday debt deadline is days away, House Republican leaders are considering all their options even as Republican and Democratic Senate leaders try to craft a deal on the debt ceiling, said a GOP leadership aide, speaking on the condition of anonymity.

Computer failure temporarily halts some food stamp payments

Rallier tells Obama to 'put the Quran down'

Will 2014 election solve anything?

CNN's Dana Ford, Greg Clary, Deirdre Walsh, Mark Preston, Chelsea J. Carter, Dan Merica, Brianna Keilar and Janet DiGiacomo contributed to this report.

@highlight

NEW: Under deal being negotiated, the debt ceiling would be increased until February 7, sources say

@highlight

Senate majority leader hopes that Tuesday will be "bright" in Washington

@highlight

Democratic sources say changes to Obamacare under consideration

@highlight

President Obama chides House Republicans for partisan brinksmanship