(CNN) -- Researchers at the National Institutes of Health (NIH) have identified a new disease among people in Asia that causes AIDS-like symptoms but is not associated with HIV.

The study, released in the New England Journal of Medicine Thursday, found patients with the disease were making antibodies that attacked their immune systems.

"We all make molecules and proteins in the body that tell our immune system how to function properly," said Dr. Sarah Browne, a clinical investigator at the National Institute of Allergy and Infectious Diseases at NIH and the lead author on the study.

"They tell different immune cells when to turn on and when to start fighting infection," she said. "We found a large number of the patients that we studied with serious opportunistic infections make an antibody that blocks the function of one of these molecules, which is interferon-gamma."

Without functioning interferon-gamma, people become more susceptible to certain types of infections -- infections people with working immune systems normally don't get, she said.

The disease is being called an adult-onset immunodeficiency syndrome because it strikes adults. Cases date back to 2004, with most of them occurring in Thailand and Taiwan. The NIH has been studying the disease since 2005.

"It's rare -- more prevalent over in Southeast Asia," Browne told CNN. "But we have been diagnosing it here in the U.S. in individuals of Asian descent."

So far NIH has seen about 12 cases, all of them in people of Asian descent. According to Browne, most patients survive. There have been deaths in other countries, she said, but did not know how many. No one has died in the United States.

Dr. Anthony Fauci, director of NIAID, says it's important to note the disease is not contagious.

"It is not a virus, that's the first thing. It's not a new AIDS-like virus," Fauci said. "It's a syndrome that was noticed and discovered in Asia where people get opportunistic infections similar to HIV/AIDS, but the cause of the syndrome is not an infection like HIV."

Fauci said researchers "found the people have an autoimmunity, where their bodies are making antibodies against a protein that's important in fighting infection.

"The reason the body is making that antibody is unclear but it isn't a virus like HIV that's causing it," he said. " It's autoimmune disease, and people get secondary infections similar to AIDS."

The study was already in the early stages in 2009, when Kim Nguyen, a 62-year-old Vietnamese woman from Tennessee, came to NIH suffering from symptoms that would be linked to the mystery disease.

A little more than 200 people -- almost exclusively from Thailand and Taiwan between the ages of 18 and 78 -- were studied. All were HIV-negative.

"We want to understand what triggers people to make these antibodies in the first place," Browne said. "And we want to use that information to guide treatment -- because really, when you treat the infection you're treating the symptom. You're not treating the underlying cause."

Right now, doctors are simply treating the infections. For many of the patients, that's sufficient, Browne said, but for those cases where it's not, they are trying to find ways to target the antibodies themselves by lowering the antibody levels and trying to reverse the immunodeficiency.

Both Fauci and Browne believe a combination of both genetic and environmental factors are most likely at play, but don't yet know what those factors are.

"Overall it appears to be a chronic disease, but we have not yet studied it for a long enough period of time to know the long-term prognosis," Browne said. "We don't yet know what factors may distinguish those with mild versus those with severe disease."

@highlight

Patients with disease are making antibodies that attack their immune system

@highlight

Cases date back to 2004, with most of them occurring in Thailand and Taiwan

@highlight

Scientists do not believe the disease is contagious

@highlight

The NIH has seen about 12 cases, all in people of Asian descent