Toronto (CNN) -- The disappearance of Malaysia Airlines Flight 370 has propelled Mitchell Casado into the realm of aviation analyst celebrity -- and no one is more uncomfortable with that than Casado.

I found him incredibly shy and modest, even by Canadian standards. Casado never wanted to be on camera. In fact, he was horrified when we at CNN suggested it. At 6-foot-2 and "gargantuan," as he puts it, he hates to see himself on camera.

Yet in the cockpit he transforms, and it's clear he has a gift that exceeds controlling a jumbo jet. His eyes light up, and his soft-spoken voice rises in level and confidence. You not only know he can fly, but he makes you want to fly, too.

On TV, he's a natural and can take the most complex pieces of aircraft equipment or flight scenario and explain it in a way that's clear and simple. He shuns jargon and acronyms and, unlike other aviation experts, uses words we already know.

He's a pilot for the people.

But in a profession known for precision, he suffers for his everyman speak and appearance. His hipster facial hair and casual cockpit attire have earned him critiques from anonymous "pilots" sniping from online. The negative comments can cut him to the bone.

The reality is he dresses not for corporate aviation but comfort, and his journey to becoming a pilot and aviation analyst is far from typical.

Casado, 33, grew up in a tough, blue-collar suburb of Toronto. His father came from Central America, his mother from Europe.

At age 7, a gift of a toy plane set him on the route where we find him today.

Fascination about flying turned into obsession -- his word -- for all things aviation. At school he'd get in trouble for reading flying magazines tucked inside his textbooks. He wasn't good at math, but his sights set firmly on the goal of flying one day, he studied hard to master calculus and geometry.

Because of a birth defect, he suffered almost constant, even violent bullying, and long before he started navigating jets through the air, he was plotting alternate courses home from school to avoid heckling classmates.

After high school, he joined the Army to serve his country, and only after that did he turn his focus to flying.

His parents helped him get his private pilot's license, but a commercial license proved much more expensive because it required flight school and significant flying time.

He took any job he could to earn money, working in kitchens and fast food restaurants. His apartment, for a time, went without furniture.

When he eventually had $14,000, he headed to a flight school in western Canada, thrilled to finally be on his way. But the dream turned to disaster when the flight school went bust, taking his money with it.

Ocean Shield: A mission of hope and uncertainty in search for Flight 370

That's when the darkest days of his life began.

Homeless, he slept on park benches and in stairways until finally ending up at the place he knew best, the airport.

By day, he'd sit in the terminals and at night, he'd sleep in the bathrooms. In the oversized handicapped stalls he would use a roll of masking tape to mark out runways and walk around them practicing approaches.

He used a toilet seat for chair flying, imagining the controls and switches in his mind.

Eventually he made it back home and began working once more to earn money to fly. It would take him years before that final check flight.

When the pilot turned and told him he had passed, Mitchell couldn't help it: he cried. His dream had come true.

By 2007 he was ranked in the top 10 of Canada's amateur pilots. Today, in addition to his multi-engine license, he has earned his seaplane rating, flown cargo routes and flown as a "bush pilot" in Canada and elsewhere. When he's not in the air, he works as a simulator instructor on Boeing 737s and 777s.

And, of course, there's his new-found television talent. For his on air role, I have pushed him to do in the simulator what he would never attempt as a professional pilot. Hence, he has probably virtually crashed a 777 more than anyone. That's my fault.

On TV we have had him fly a 777 at 5,000 feet in the Himalayas. I nearly lost my dinner on that one with all the banking and yanking.

Then there was the time I made him attempt to land the plane on a ridiculously small runway on a remote island. Just to make it harder, I told him to make the weather stormy. He had one shot live on TV with countless people watching.

To his credit, he landed with room to spare but was so exhausted from the attempt he couldn't answer our anchor's questions afterward. A few days later he got a message from someone at the Federal Aviation Administration congratulating him on the landing.

The other day we made him simulate a scenario where the fuel runs out on a 777. It was awful. It was real. We both sat in silence for a minute when it was over. He apologized and left the cockpit.

I had become caught up in the "gee-whiz-what-if" angle of the simulator. Casado had not. We may have flown in the virtual world, but as a pilot, Casado knew the heartbreaking loss for 239 passengers' families is real.

Casado also has a life outside the cockpit. He's married to his childhood sweetheart, Deborah, whom he married three years ago.

When the hours go long -- and they do -- he worries about Buddy and Snowflake, his two Netherlands dwarf rabbits waiting at home. Buddy's a rescue.

He speaks to young people, often cautioning those who might be considering flying as a career that the airline industry isn't what it once was. The high-octane, high-paying days of commercial aviation are now a business.

There's more he wants to do in life, but for now Casado spends most days flying and instructing in the 777 simulator where I met him.

What's unique about the place is it's open to the public, so if you've ever fantasized about taking off from Los Angeles International or landing at Toronto Pearson, or even just doing touch-and-gos at Paris' Charles de Gaulle, Casado is the guy you want in the left seat.

He knows a thing or two about dreams, what it takes to make them come true and how sometimes there can be a turbulence along the way.

'I want to give them answers'

@highlight

Mitchell Casado doesn't like to see himself on camera, but he is a natural on-air

@highlight

Fascination with flying became obsession when he got a toy plane as a gift at age 7

@highlight

He wasn't good at math & suffered stint of homelessness en route to becoming pilot

@highlight

He's married to his childhood sweetheart, and he often worries about his pet dwarf rabbits