For Camille Kim, music is life.

On a typical day, the Emory University student spends hours on her laptop, scouring the Internet for the latest music. She uses a site that aggregates music recommendations from blogs to discover new artists and songs, streams them online and then shares her finds with her friends through a Facebook group.

But she rarely buys songs or albums.

"If I really love an artist and I want to support them, I will buy their music," said Kim, 21. "You can find [music] on the radio and TV, but those songs are chosen for you. The Internet allows you to find your own music. It's more personal."

Young listeners like Kim represent a looming sea change for the music industry, which has been in upheaval since the Napster era of the late 1990s. Five years ago, music consumers had to choose between buying a CD or downloading the album. Nowadays, thanks to the rise of music-streaming services like Pandora and Spotify, that choice is becoming whether to download music or just stream it online.

Interviews with college-age music fans suggest that more and more are choosing to stream music instead of downloading it. After all, why pay for music when you can summon almost any song you want, at any time, for free?

And the growth of music apps, online radio channels, and music-streaming platforms raise an even larger question: Do we really need to 'own' music anymore?

"The last time I bought a CD was probably in middle school, and I can't even remember what it was," said Sean Wilson, 21, of Atlanta, Georgia. "Ninety percent of my friends stream music. To be honest, I haven't seen someone use iTunes in a really long time."

In five years, Wilson believes "streaming will be the norm. It's more practical and more convenient than buying music and uploading it onto something. And the best part is, it's free."

Pandora, Spotify and 8tracks

The popularity of listening to music online can be directly linked to the emergence of music-streaming sites like Spotify, Pandora and The Hype Machine, which have grown substantially in the past year. These and numerous other sites now offer people the ability to listen to music without paying.

And they're changing the way people consume music, says Paul Resnikoff, publisher and editor-in-chief of Digital Music News.

"We are already seeing a trend on the aggregate with the lack of music ownership," said Resnikoff, who believes the difference between a download and a stream is starting to blur. "If I can get that Katy Perry song anywhere and anytime, what is the difference?"

Streaming sites are a big step away from the familiar Apple iTunes business model, which allows users to download a song or album and then upload it to an iPod, iPhone or other portable device.

Apple to kill social network Ping, report says

Spotify offers users a database of more than 16 million songs for free, although the service limits how many hours of music a user can stream in a month without a paid subscription. Users can pull up any song in Spotify's database, or create custom playlists. The site launched in 2008 in Europe but didn't become available in the United States until last year. It now claims to have more than 20 million active users.

Pandora acts like an online radio station, streaming free music 24 hours a day in a mix that users can customize, using Pandora's algorithms based on their tastes. Unlike Spotify, members cannot request specific songs, however. Pandora now claims more than 150 million users in the United States alone.

Pandora's application has been among the most-downloaded free apps for iPhones and iPads, demonstrating that streaming is becoming a mainstream way to listen to music on portable devices. Pandora is now available on more than 400 connected devices, the company says.

Then there is 8tracks, an online radio station that offers a more social music experience for its users. Named one of the top 50 best websites by Time magazine last year,  8tracks provides its listeners with free music hand-selected by other site users known as "DJs."

"The programming is crafted by people rather than an algorithm," said David Porter, CEO and founder of the site, which has seen a drastic increase in users.

8tracks users can upload tracks from their personal collection or use music from Sound Cloud, a site that emphasizes artists from independent labels. Although relatively new, 8tracks already has 5 million active users, Porter said.

"If you want a song on demand, YouTube is the place to go, but if you want to discover music you would go to Pandora or 8tracks," he said. Like Spotify and other services, 8tracks also offers a mobile app that allows users to stream music free to their phones.

A brief guide to online music

Owning music "a lot of work'

Apple's iTunes is still the world's most popular music vendor, with more than 225 million accounts. One reason streaming music is catching on is the rise of online or mobile apps built on large music providers, such as Apple, that have already secured copyrights on songs, says Eliot Van Buskirk, editor and chief of Evolver.fm, an independent music publication

"You can now build apps on top of apps, and everything is legal and no one is getting sued. In terms of music fans, it is a bit confusing because there are so many options," he said. "I think downloading came from a time when our mp3 players didn't have Wi-Fi connections and our computers did not connect that fast."

But Van Buskirk also suggests another reason for streaming, not acquiring music. It's liberating.

"There is a certain relief with not having to own music. It is a lot of work," he said. "So the challenge is how to still feel like you are building a [music] collection."

Portability of music is another big issue for many consumers. Recent Georgia Institute of Technology graduate McCall King, 23, says she needs her music accessible all the time.

"If I could reliably stream music for free to all of my portable devices I would use streaming sites exclusively," she told CNN.

King says she prefers streaming because it allows her to access a large variety of music.

"I discovered She and Him, Zoey Deschanel's band before she was ridiculously famous, and I never would have sought it out on my own," she said.

Porter says the way people own music is transforming. He believes the cloud model is where the state of music is heading, and for many people ownership is not essential.

"I think ownership is access, you don't have to have music on your local hard drive to own it," he said.

Electronic Dance Music: How bedroom beat boys remixed the industry

Old media sticks around

If you listen to some young people, you might think that few people in the future will ever want to own music. But Peter DiCola, professor of economics and law at Northwestern University, disagrees.

DiCola believes that music consumers' transition to a full streaming model will be a lot slower than people think.

"Old media sticks around," he said. "FM radio is still around, and just because tech is new doesn't mean it is better in all dimensions." He cited vehicles as one area where streaming music will be slow to gain a foothold.

"Think of Napster," he said. "When it came out people were saying the record labels would disappear, but they didn't."

There is more to owning music than simply the convenience that digital media provides. Some consumers still want to own a physical memento by an artist they love, whether it's a CD with artwork and liner notes or just a few lines of digital ones and zeroes on their smart phone.

Maybe that's why sales of vinyl records have been on the upswing in recent years. Resnikoff says this is because the need to own music is also influenced by human psychology.

"The music fan never ceases to surprise me," he said. "If you told me five years ago there would be a boom in the sale of vinyl records I would have laughed. But people are buying them, and I think there are some people that will continue to buy music [and not just stream it]."

Overheard on CNN.com: Streaming debate strikes chord with music fans

How are you accessing music? Share with us in the comments below.

@highlight

More young people would rather stream music than own it

@highlight

Music streaming sites such as Pandora and 8tracks are popular

@highlight

The idea of what is music ownership is changing, observers note

@highlight

But some music lovers will always want to have a physical memento