New York (CNN) -- Within hours of speaking with the BBC and Voice of America, both in Persian, Fariborz Raisdana, a leading Iranian economist, was arrested by the security forces of the Islamic Republic.

On both these occasions, Raisdana was severely critical of Iranian President Mahmoud Ahmadinejad's program of substantially cutting governmental subsidies, in what amounts to "the biggest surgery" to the Iranian economy in 50 years.

Initiated on Sunday, the government's actions introduced a four-fold rise in the price of gasoline and seriously cut government food subsidies, including, literally, people's daily bread.

The current 20% inflation rate, some economies believe, will in fact increase after these new "austerity measures." Even economists sympathetic to Ahmadinejad's policies warn of higher inflation and characterize his claim of "zero inflation" as disingenuous.

A much milder version of a hike in the gasoline price resulted in widespread riots and the burning down of gas stations by protesters back in 2007, only two years into Ahmadinejad's presidency. This time around Ahmadinejad anticipated possible protests by "flooding Iran's capital" with the militarized security forces, in a move similar to the government's response to the opposition Green Movement.

The U.S.-led and U.N.-imposed sanctions against Iran, aimed at stopping its nuclear program and supported by those wishing for "regime change," obviously played a major role in increasing the pressure for cutting government spending.

But among Raisdana's comments to BBC and VOA was the fact that such cuts in governmental subsidies and a turn to neoliberal economics was a policy favored by the last two presidents of Iran, who have also been (to varied degrees) supporters of the Green Movement -- Ali Akbar Hashemi Rafsanjani and Mohammad Khatami.

This creates a major rift within the opposition camp of the Green Movement. Its leadership, particularly Khatami, now needs to decide where they stand -- they can no longer oppose Ahmadinejad for a program they were championing for decades -- but did not have the political will and/or military wherewithal to implement.

By taking these steps and introducing a form of Reaganomics to Iran, Ahmadinejad is exposing his own hypocrisy. He can no longer pose as the populist champion of the poor fighting against the presumably more affluent members of the Green Movement. He has also exposed as a fraud his global posturing as an anti-capitalist champion.

Some 7 million Iranian laborers, and their families -- with their union leaders like Mansur Osanlou suffering in the dungeons of the Islamic Republic -- are set to suffer the consequences of these cuts in subsidies.

Ahmadinejad's neoliberal economics share another thing with President Ronald Reagan's policies. The Iranian president is pushing an increase in military spending. That buildup is first and foremost prompted by the military threat that the U.S. and its regional allies have posed to the Islamic Republic for at least the last decade.

Such spending also supports the heavily militarized security apparatus of Ahmadinejad's regime. It helps employ less-well-off Iranians, making them beholden to the regime and enhances the power of the "the military industrial complex" that now rules the country from the headquarters of its paramilitary revolutionary guards.

Be that as it may, these same measures also expose the banality of Ahmadinejad's alliance with such self-proclaimed champions of anti-capitalism as Evo Morales of Bolivia and Hugo Chavez of Venezuela. And it makes a mockery of what passes for "progressive anti-war activists" in the United States who fall head over toe trying to have dinner with Ahmadinejad when he visits New York, in support of his "anti-capitalist," and "anti-imperialist" positions.

Domestically, the move is a calculated risk for Ahmadinejad, because it will undoubtedly compromise his populist propaganda, if not his claim to a popular base. Still it may be a risk worth taking for Ahmadinejad, since it could weaken the opposition.

If this opposition wants a market-driven economy, here it is -- initiated by Ahmadinejad's government. The ball is now squarely in Mir Hossein Mousavi's court. The leader of the Green Movement must clearly and succinctly distinguish his economic philosophy from that of Ahmadinejad and his predecessors, and reach out on behalf of the most vulnerable social classes of the society as they struggle with huge cost increases.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Iran cut government food and fuel subsidies, leading to higher prices

@highlight

Hamid Dabashi: Ahmadinejad is using security apparatus to discourage protests

@highlight

He says the move shows Ahmadinejad's pose as a populist is not sincere

@highlight

Dabashi says changes may hurt opposition leaders who have favored cutting the subsidies