(CNN) -- Infectious disease detectives worldwide rushed Thursday to find the cause of an outbreak of a rare strain of E. coli that has spread to 10 countries and is blamed for at least 16 deaths and hundreds of illnesses.

Nine patients in Germany had died of a form of kidney failure called hemolytic uremic syndrome, or HUS, according to the World Health Organization, which cited Tuesday figures as its most recent. Six had died of enterohemorrhagic E. coli, EHEC, a strain of E. coli that causes hemorrhaging in the intestines and can result in abdominal cramps and bloody diarrhea. One person in Sweden has also died.

Across Europe, 499 cases of HUS and 1,115 cases of EHEC have been reported, WHO said on its website.

In addition to Germany and Sweden, cases have been identified in Austria, Denmark, France, Netherlands, Norway, Spain, Switzerland and the United Kingdom.

All but two of the cases occurred in people who had recently visited northern Germany or, in one case, had contact with a visitor from northern Germany, the organization said.

Scientists at the Beijing Genomic Institute said the outbreak of infection in Germany is caused by a new "super-toxic" E. coli strain, though the U.S. Centers for Disease Control and Prevention said the strain has been seen before.

"We have very little experience with this particular strain, but it has been seen before," said Robert Tauxe, deputy director of the CDC's division of foodborne diseases.

The CDC said the strain is very rare and added that, while it is not aware of any cases ever having been reported in the United States, it is aware of a few previous reports of the strain in other countries. Britain's Health Protection Agency has said that the strain suspected in the outbreak is "rare" and "seldom seen in the UK."

Though WHO said it does not recommend any trade restrictions related to the outbreak, Russia announced a ban Thursday on fresh vegetable imports from the European Union.

Russia imposed the vegetable ban because "no one wants to get sick. It is a natural protective measure taken in response to events that are happening in Europe today," Russian Foreign Ministry spokesman Alexander Lukashevich said Thursday.

Gennady Onishchenko, head of the Russian Federal Agency for Health and Consumer Rights, issued a statement saying the ban will remain in effect "until we become convinced that this situation is resolved."

Customs officials have been instructed to prevent the produce from entering the country, according to Onishchenko, while supermarkets and food chains in Russia were told to withdraw European vegetables from their produce bins.

Frederic Vincent, the European Commission's health spokesman, called the move "disproportionate."

"The commission will be writing today to the Russian authorities, and we will be liaising and working with them in the coming days to try to find a solution," Vincent said. The commission is the EU's executive body.

Yelena Skrynnik, Russia's agriculture minister, issued a statement assuring Russians that, despite the ban, "the volume of home-grown vegetable production combined with exports (from other countries) is sufficient to fully meet Russia's domestic demand."

In 2010, the imports of tomatoes and cucumbers from the EU amounted to, respectively, 11% and 5% of all imports of those vegetables into Russia, the Russian Agriculture Ministry said.

The ban could potentially affect some larger cities in the European part of the country, where about 90% of vegetables are imported, said Sergey Shugayev, chairman of the Rural Russia Association.

China and Turkey are the two largest exporters of fresh vegetables into Russia, according to the Russian Greenhouses Association.

The European Food Safety Alert Network initially said EHEC was found in organic cucumbers originating from Spain, packaged in Germany and distributed to countries including Austria, the Czech Republic, Denmark, Germany, Hungary, Luxembourg and Spain.

But authorities said Thursday the source had not been pinpointed.

Spain's Ministry of Health, Social Politics and Equality said Thursday that all samples of Spanish produce that it analyzed had proved negative.

Spain's ambassador to Britain, Carles Casajuana i Palet, told CNN that Spanish produce had been "completely cleared" and are "safe for all consumers." But, he added, the matter had damaged the country's growers "and we are sure there will have to be compensations" through the European Union.

Britain's Health Protection Agency on Thursday confirmed that there were four new cases in England suspected to be related to the outbreak, bringing the total number of cases in the country to seven.

The agency said that it was "reminding people traveling to Germany to follow the advice of the authorities and avoid eating raw tomatoes, cucumbers and leafy salad including lettuce, especially in the north of the country, until further notice. In addition, anyone returning from Germany with illness including bloody diarrhea should seek urgent medical attention and make sure they mention their recent travel history."

The ban on fresh vegetables from the European Union comes three days after Russia blocked the import of fresh tomatoes, cucumbers and salad greens from Germany and Spain. On Wednesday, the United Arab Emirates imposed a temporary ban on cucumbers from Spain, Germany, Denmark and the Netherlands.

CNN's Maxim Tkachenko contributed to this report.

@highlight

NEW: Spain's produce "safe for all consumers," Spanish official says

@highlight

At least 16 people have died in the outbreak and hundreds have been infected

@highlight

The deadly strain has spread to at least 10 countries

@highlight

The strain is very rare, according to disease experts