(CNN) -- American and US Airways recently announced their $11 billion merger. Is this the kiss of death to the legacy airline industry, which after the merger will only have three major carriers: United, Delta and American? Will the merger reduce consumer choices and increase prices? Is this another proof that airline deregulation is a big mistake and a sellout to corporate interests?

Rest assured -- there's no reason to panic.

According to the Bureau of Transportation Statistics, the average round-trip ticket (net of fees paid at the airport, including baggage fees and on-board fees such as meals, both of which are important sources of new revenues) increased by 28% since 1995.

In contrast, average retail prices in the same time frame increased by 47%, which means that the average air fare fell in real terms by about 15%. At the same time, crude oil prices (a key factor in airline costs) increased by a factor of 5, from around $17 per barrel to more than $90 per barrel.

During this period, we saw many legacy airlines disappear, mostly through mergers. TWA -- the fourth major legacy -- was acquired by American in 2001. America West was absorbed by then bankrupt US Airways in 2005. Continental merged with United last year. Southwest, a major new entrant at the national scale since deregulation, took over ATA Airlines in 2008 and Air Tran in 2010, which previously absorbed ValuJet, another new airline since deregulation. Delta purchased Northwest in 2008.

Although the U.S. airline industry is more concentrated than the rest of the world, in reality, its competitive nature changed dramatically.

The entrance of new players at the national stage such as Southwest, JetBlue, and Virgin America, among many others, as well as the development of strong hub-and-spoke networks among the major airlines, put strong competitive pressure on the majors.

On the one hand, the new entrants are all nimble. Southwest has been the only consistently profitable airline for 20 years. When compared to the majors, they all have lower labor costs, and more modern and standardized equipment -- leading to low operational and fuel costs. They tend also to be highly selective in the markets they serve.

On the other hand, the majors' strengthening of the hub-and-spoke networks (by which travelers go from A to B via a hub in airport C) imply that entry into new markets -- what in the industry is called "city-pairs" -- is relatively simple. All a major needs to do is to start service between one hub and a given city to have service to hundreds of new city-pairs, all prior existing cities being suddenly connected to a new destination. So if an airline attempts to gouge its customers on a particular destination, other airlines with reasonably located hubs will have a strong incentive to add such destination to their networks, frustrating the gouging airline's ability to raise prices.

It is in this framework that the American-US Airways merger needs to be looked at. Although there will be some competitive overlap, particularly at national airports where both American and US Airways have a substantial presence (US Airways providing the North East Shuttle service as well as regular service), such overlap will be investigated by the antitrust authorities.

Actually, the two networks are quite complementary and will provide consumers with more choices and improved quality of service. In particular, East Coast residents where US Airways has its major eastern hubs will benefit from increased domestic and international connections.

Although the combined airline may decide to streamline some of its hubs, other hubs, such as Phoenix (which is a strong Southwest hub), will provide the combined airline with a strong competitive position to recapture some of the market the majors lost to Southwest over the years (US Airways competes today with Southwest in about 80% of its routes).

Overall, this merger, the last of the large airlines' merger wave, has the potential of being not only good for shareholders and airline employees, but to domestic travelers alike. It's not a bad deal.

The opinions expressed in this commentary are solely those of Pablo T. Spiller.

@highlight

American and US Airways recently announced their $11 billion merger

@highlight

Pablo Spiller: Is this the kiss of death to the legacy airline industry?

@highlight

He says consumers will likely get more choices and improved quality of service

@highlight

Spiller: This merger, the last of the large airlines' merger wave, is good overall