(CNN) -- Proposed new legislation won't change Ireland's general ban on abortion, Prime Minister Enda Kenny said Wednesday, but is about "saving lives" when pregnant women are in danger.

Ireland's government published the controversial draft measure late Tuesday to clarify what happens when there's a threat to the mother's life, including a risk of suicide.

The government wants the legislation, the Protection of Life during Pregnancy Bill 2013, to become law before the summer recess at the end of July.

The draft bill is already prompting a divided response in Ireland, with much concern focused on the provision for pregnant women who are suicidal.

Kenny, Ireland's Taoiseach, or prime minister, acknowledged in a speech how contentious the proposal may be in the majority Roman Catholic country.

"This is an issue that has been very divisive and contentious for over 30 years," he said. "It's also an issue that is complex and sensitive, about which many Irish people have sincere and strongly held views.

"We are a compassionate people. This is about women, it is about saving lives -- the life of the mother and the life of the unborn."

The government's aim, Kenny said, "is to protect the lives of women and their unborn babies by clarifying the circumstances in which doctors can intervene where a woman's life is at risk."

At the same time, he said, the bill "restates the general prohibition on abortion in Ireland."

The draft bill seeks to bring the country's legislation into line with a Supreme Court judgment two decades ago that it is legal to end a pregnancy when there is a risk to the life of the mother.

Ireland has also had to look again at its abortion legislation because of its obligations under European human rights law.

Legal framework

Presentation of the draft law follows calls for change from some quarters after the death last October in Galway of an Indian-born dentist who was denied an abortion while miscarrying.

The coroner at an inquest into the death of Savita Halappanavar last month recommended that authorities lay out exactly when doctors can intervene to save the life of a mother.

Woman's death in Ireland abortion case ruled 'medical misadventure'

The government says its proposed bill sets out a "clear legal framework" for women and medical practitioners in Ireland.

Under the draft legislation, when the threat is not from suicide, two doctors must jointly certify that there is a "real and substantial risk" of the loss of the pregnant woman's life, and that they believe abortion is the only way to avert that risk.

One of the doctors must be an obstetrician or gynecologist, and at least one of the two should consult with the woman's own doctor where possible.

When the risk to the pregnant woman's life is from suicide, the assessment must be made by an obstetrician or gynecologist, along with two psychiatrists.

Husband testifies his wife died after abortion was denied in Ireland

A doctor is also allowed to terminate a pregnancy in the case of a medical emergency if there is an immediate threat to the pregnant woman's life, the draft states.

The procedure must be carried out by a registered medical practitioner at an appropriate location. The final decision on whether to carry out the abortion will always be made by the pregnant woman, it adds.

'Empty and misleading'

While anti-abortion campaigners say the proposed legislation would make abortion too easy, pro-choice proponents say it will still be too difficult for women to access the procedure.

United Left Alliance lawmaker Clare Daly told the Irish parliament Wednesday that the bill would not stop the "exportation of abortion" -- referring to the Irish women who travel to Britain for terminations to circumvent the ban.

Addressing the prime minister, Daly said: "I'm glad this legislation is before us, but let's be clear what you've presented is the absolute minimum. The clear intention is to make it so restrictive that most women who will be affected will not even bother, that instead they will continue to make the journey to Britain so that you can continue to pretend that there's no Irish abortion."

Meanwhile, the Pro Life Campaign dismissed the government's reassurances over the general abortion ban as "empty and misleading," and said claims the new legislation would be life-saving are dishonest.

"What matters is what's contained in the bill, and what's in the bill is dangerous," said Caroline Simons, a legal consultant to the campaign. "For the first time an Irish government is proposing to introduce a law that provides for the direct intentional targeting of the life of the unborn child."

The draft legislation will be discussed by the Irish parliament's health committee over the coming weeks before being presented to both houses of parliament. It is almost certain to be approved in the end, as the coalition government has a big majority.

Some lawmakers from the main coalition party Fine Gael are likely to vote against the bill, however. Their opposition is set to be expressed at their weekly party meeting Wednesday evening.

Anti-abortion protesters may also gather Wednesday.

Ireland's deputy prime minister, or tanaiste, Eamon Gilmore, reminded lawmakers Wednesday that a small number of pregnant women do find themselves in the awful situation where their life is in danger.

"Women have a right to know that if the worst happens, they will be able to have life-saving treatment," he said.

"Yesterday, the government made a decision that that right will now be vindicated."

@highlight

NEW: An anti-abortion campaign group says the government's reassurances are "misleading"

@highlight

"This is about women, it is about saving lives," says Taoiseach Enda Kenny

@highlight

The draft bill clarifies what happens when there's a threat to the pregnant woman's life

@highlight

A panel of medical practitioners must agree that there's a "real and substantial risk" to life