With its skies regularly shrouded by a filthy film of gray smog, bringing chaos to the transportation network and forcing millions to seek refuge behind surgical masks, Beijing has been forced to take more extreme action.

Officials in China's capital this week announced a raft of emergency measures in a bid to tackle the problem, including mandatory factory closures and bans on cars entering the city on days when pollution levels are particularly high.

While Beijing is not alone when it comes to smoke-filled skies, this city of more than 20 million people has come to symbolize the environmental cost of China's break-neck economic growth.

Red alert

The city's Heavy Air Pollution Contingency Plan stipulates that when there is "serious pollution for three consecutive days," a warning system comprising of blue, yellow, orange and red -- the most serious -- alerts will be activated. Kindergartens, primary and middle schools will then have to stop classes, while 80% of government-owned cars must be taken off the roads. Private cars will only be allowed to enter the city on alternate days according to ballot system of the numbers on their registration plates.

All freight vehicles and those transporting material for construction sites will be barred from the roads when the red alert is issued, while more watering carts and sprinkler trucks will take to the roads, the state-run China Daily reported.

Factories in the city emitting pollutants will be required to cut their emissions or shut down completely when the orange warning signal is hoisted, while construction sites must halt excavation and demolition operations. Other measures include a ban on barbeques and fireworks on heavily polluted days.

Harmful to health

According to the plan, these emergency measures will come into play when the air quality index for fine particulate matter, PM2.5 -- airborne particles considered most harmful to health -- exceeds 300 micrograms per cubic meter for three days running. The "safe" limit is 25 micrograms, the World Health Organization says.

While the announcement has been broadly welcomed as a step in the right direction, doubt remains about its long-term effectiveness.

"The new emergency measures show the government's determination to tackle the air pollution in Beijing, especially those regulations that limit car use and close schools and kindergartens on heavily polluted days. It shows that the authority has really paid attention to those vulnerable groups," Huang Wei, a spokesman for Greenpeace East Asia, told CNN.

"But what is problematic is that those emergency measures are only targeted to those polluted days. It is rather a remedial measure than a preventative measure, and just to repair won't help the issue in the long run.

"The air pollution in Beijing is mostly transmitted from other cities, and what Beijing can do is very limited. What the authority should do is to build a linkage mechanism, combining preventative measures with emergency control. For instance, factories in surrounding areas like Inner Mongolia, and Shandong Province could close their factories in advance before the potential transmission of serious pollutants. It should be collaborative work between cities, and only Beijing is not enough."

Popular opinion

This view was backed by many ordinary Chinese on Weibo, China's popular micro-blogging service.

"They should have some long-term thinking instead of always waiting till the crisis happens," posted one user with the handle Shijinmilu.

Another, called Qinghualiuqingyu, asked: "How about those people who can't afford an expensive house in the city and have to take cars to work every day?"

"Cars are not the main polluters, surrounding factories are. Sometimes the pollution level still goes up crazily even it's around 2 or 3 a.m. The policy itself is good, but it's more important how they implement it," said TangyuanAllesGute.

Positive action

Last month, the central government in China announced plans to start listing its top ten most air-polluted cities every month in the hope that national humiliation will push positive environmental action.

"We must put air quality control as an ecological red line for economic management and social development," China's Vice Premier Zhang Gao Li said in a statement as he announced the new policy at the 18th Air Pollution Control Conference in Beijing.

Chinese officials did not say when the first list would be announced, but the northern megacities of Beijing and Tianjin, as well as the surrounding provinces of Hebei, Shanxi, Inner Mongolia and Shandong have signed onto an official plan to speed up air pollution control measures.

Meanwhile, life was returning to some semblance of normality in northeastern China Wednesday as days of smog-filled skies brought one city to a standstill.

Thick smog closed Harbin's international airport, affecting hundreds of flights, and closed schools and businesses as visibility in some areas was reduced to less than 20 meters (65 feet).  Some buildings could barely be seen from the opposite side of the street, while drivers brave enough to take to the roads were forced to flash their hazard warning lights.

The unusually severe pollution levels were blamed on the city's coal-fired heating system, as well as farmers burning straw as temperatures in the region begin to drop.

@highlight

Beijing authorities to close factories, reduce vehicle traffic to reduce pollution

@highlight

Emergency measures come into effect after "three consecutive days" of smog

@highlight

China's capital has symbolized the environmental cost of economic growth

@highlight

Environmentalists say plan must involve more than one city