(CNN) -- Former New York Mayor Michael Bloomberg plans to spend $50 million of his own money to build a state-by-state grass-roots network focused on stemming the tide of gun violence by expanding the background check system for gun buyers.

His new organization, Everytown for Gun Safety, will bring together Mayors Against Illegal Guns and Moms Demand Actions for Gun Sense in America, two gun control groups he already funds. Everytown for Gun Safety will focus on 15 states because, Bloomberg says, we've got to work at gun control "piece by piece."

There's no disputing that gun violence in America needs to be tackled. Bloomberg is making a sizable investment, $30 million more than what the NRA -- the largest U.S. lobby group for gun rights -- spent in the 2012 election cycle.

But there are two problems. First, do we want mega-rich individuals to influence public policy or sway voters with their wealth? And, second, just as we need a federal immigration policy instead of piecemeal state legislation, don't we need a federal gun control policy?

I grew up in a family that owned guns. My father was a homicide detective and a member of the police department's SWAT team. He was also a hunter, as was my maternal grandfather. My stepfather, as a member of the Air Force, was well-trained in firearms.

As a child, I was taught the basics of gun safety, and I often accompanied one of these men when they honed their hunting skills through target practice or skeet shooting. Even though I was familiar with guns, they scared me, and I often worried that my father would be fatally shot by a criminal. This worry ended when he retired from the police force, but my fear of guns persisted.

The recent fatal shootings at Fort Hood and the Jewish Center in Kansas City have again brought my gun fears to the surface. I do not welcome the fears, but I do appreciate how the shootings have renewed the debate about gun control in Washington. Perhaps Bloomberg's new gun control group will fuel the debate further.

Bloomberg isn't the only one who cares about this issue, but he may be the most prominent. We need more big voices to get involved in solving the problem of senseless gun violence in America. But we also need to get some basic facts straight.

-- Guns kill. The Brady Campaign to Prevent Gun Violence reports that an average of 86 people are killed by guns every day in the United States. The Centers for Disease Control and Prevention report that between 2000 and 2010, more than 300,000 people died from guns.

-- Guns are the most common weapon used in murders and manslaughters. Handguns comprised 72.5% of the firearms used in murder and non-negligent manslaughter incidents in 2011: 4.1% were with shotguns, 3.8% were with rifles,18.5% were with unspecified firearms.

-- Children are often victims of gun violence. Eighty-two children under 5 years old died from firearms in 2010, and half of all juveniles killed in the same year were killed with a gun. As reported by the Office of Juvenile Justice and Delinquency Prevention, nearly three times more children were injured by firearms in 2010 than the number of U.S. soldiers wounded in action the same year in the war in Afghanistan.

-- Guns kill young African-American men more than anything else. In deaths of 15- to 24-year-olds, firearms homicide rates in the United States are about 43 times higher than in other developed countries, and for young African-American men ages 15-24, it's the leading cause of death. For African-American male youth, firearms homicides surpass unintentional injuries, cancer, HIV and other diseases combined.

Of course, gun rights advocates often point out that people don't need guns to kill. They can use other weapons such as knives. This is true, but in practice people are nowhere near as likely to get killed with a knife. In America, of 14,022 homicides in 2011, 11,101 were committed with firearms. The rate of fatality is nearly four times higher when someone uses a gun rather than a knife to assault another person.

Stronger background screenings of potential gun owners would be a good start to curtailing firearm deaths. A study to be published in a forthcoming issue of Journal of Urban Health shows that when Missouri repealed a handgun law in 2007 that required all handgun purchasers to verify that they had passed a background check, the murder rate increased by 16%, adding 55 to 63 murders per year.

Even before the results of the study were released, many Americans -- including most gun owners -- supported universal background checks. That's just one reason for Congress to pick up the issue of gun control again. Another is that since the shootings at Sandy Hook Elementary School in Newtown, Connecticut, which was the last time there was a serious debate about gun control, there have been 44 more school shootings and 28 deaths.

Now that the debate has again been sparked, let's try to find ways that would both preserve individual rights and make guns less responsible for deaths.

A common sense approach is offered in the 2013 book "Reducing Gun Violence in America: Informing Policy with Evidence and Analysis" by Daniel Webster and Jon Vernick, with a forward by Michael Bloomberg. We should strengthen background checks, ban assault weapons and magazines that fire more than 10 rounds, and fund research on what actually works to end gun violence.

If you agree, please follow something my father, an avid gun lover, liked to say: We need to make it tough to get guns because too many careless people use them to end petty arguments and squabbles. Let's not try to do it state by state. Let's take a stance as a nation.

@highlight

Michael Bloomberg is spending $50 million to stem the tide of gun violence

@highlight

Jill Koyama: We need a federal policy rather than piecemeal state legislation

@highlight

She says we need to strengthen background checks and ban assault weapons

@highlight

Koyama: We must find a way to preserve individual rights and reduce gun violence