(CNN) -- Greece's economic turmoil threatens to topple the eurozone, shake the global financial markets and bring down the protagonist in the political drama: embattled Prime Minister George Papandreou.

Papandreou has been at the center of the financial storm in Europe, with his political future on the line after a turbulent day of political wrangling between the government and opposition.

As the 59-year-old comes under fire for his call for a referendum on the latest bailout package from Europe, the world is anxiously watching.

And uncertainty looms for a man surrounded by power from an early age.

Born in Minnesota and educated in the United States, Sweden and several other countries, Papandreou has seen the world as a student and a diplomat.

The son and grandson of former leaders, Papandreou is a product of Greece's political establishment. His grandfather served as prime minister in the 1960s, a position assumed about two decades later by his father after he founded the Panhellenic Socialist Movement, or PASOK party.

During his first run for Greece's top job in 2004, Papandreou did not shy away from touting his family legacy.

"I am very, very honored to have such a name," he said at the time. "It is a heavy responsibility, but it is the Greek people in the end who make the decision."

While his name is a political institution in the South European nation, his rise to power was hardly preordained -- considering he was born more than 5,000 miles from Athens, on June 16, 1952, in St. Paul, Minnesota.

His father, Andreas, joined the University of Minnesota faculty five years earlier as an associate economics professor, rising later to full professor before leaving in 1955 for a post at the University of Berkeley in California.

"He was a most charismatic character: His eyes seemed to burn with zeal," Scott Maynes said of the elder Papandreou in a University of Minnesota economics department newsletter.

"It bothered me that he seemed to see the CIA under every bed ... But what impressed me most of all about Papandreou was the strong commitment he inspired."

The prime minister's mother, Margaret Chant, graduated with a journalism degree in 1946, from the Twin Cities university.

Six years later, the same year her son was born, she earned her master's degree in public health.

In a letter in the 1972 edition of the University of Minnesota alumni news magazine, Margaret Chant Papandreou explained how her family left the United States in 1959 and settled into "political life" in Greece.

She wrote then that she initially spoke little Greek, though her children -- young George included -- "attended Greek schools." Her friends, she said, tended to be educated in England or the United States. And she particularly bristled at what she deemed Greece's "machismo" culture, and the tendency of men in authority to demean and unfairly punish women who spoke out.

"They detested me," Chant Papandreou recalled of those aligned against her and her husband. "I had 'mingled too much in politics,' they declared... If I weren't in the fight for the liberation of Greece, I'd surely be in the fight for the liberation of Greek women."

The Papandreou family's lives turned upside down following a military coup in April 1967, leading to a globe-trotting existence evident in the schools the prime minister attended including in Illinois, Stockholm and Toronto.

Papandreou also attended Amherst College, a small and prestigious liberal arts institution in central Massachusetts where he roomed with Antonis Samaras, according to Amherst's news office.

Samaras would later become his primary political rival as the leader of Greece's conservative New Democracy party. He has described the prime minister as untrustworthy and demanded he resign and call for snap elections in six weeks.

After attending schools in far-flung cities, he eventually returned to Greece and immersed himself in politics. He first won election to parliament in 1981 and within a few years, he was a key figure in his father's PASOK's party.

While still a parliamentary member, he assumed several ministerial positions where he coordinated the government's unsuccessful bid to win the 1996 Olympic summer games.

After a short stint away from top ministry positions and fresh off heading Greece's winning 2004 Olympic bid, he emerged as a prominent international figure in the late 1990s.

He became a tested diplomat on various issues, including fostering positive relations with Turkey, boosting support for the U.S.-led coalition against terrorism and serving as a key figure in helping defuse a 2002 crisis involving militants expelled from the West Bank after taking refuge in Bethlehem's Church of the Nativity.

One of his biggest milestones came last month when he negotiated another round of bailout funding (and mandated austerity measures), worth about 130 billion euros ($178 billion).

It remains to be seen whether that agreement will be realized, or whether Papandreou will be in power if, and when, Greece turns the financial corner.

Journalist Elinda Labropoulou contributed to this report.

@highlight

George Papandreou was born in Minnesota

@highlight

He is the son and grandson of former Greek prime ministers

@highlight

During his first run for top job in 2004, he did not shy away from touting his family legacy