(CNN) -- A dry and mild spring led Don Villwock, like all of Indiana's corn and soybean farmers, to plant two weeks early this year. He was hopeful for a bountiful Labor Day harvest.

But the rain didn't fall and June brought blistering heat.

Now, as punishing drought grips the Midwest, Villwock, 61, walks his hard-hit 4,000 acres in southwest Indiana in utter dismay.

Where there should have been tall, dark green, leafy plants, there now stand corn stalks that are waist high or, at best, chest high. They are pale in color and spindly. Fragile. Tired.

Pull back an ear's husk and you find no kernels, he says. With temperatures rising above 95 degrees, the pollen starts to die.

"It's emotionally draining," he said. "The crop got out of the ground very well. We were so optimistic. But maybe a few of us were counting our eggs before they were hatched."

The costs of America's worst drought in 24 years is obvious to Villwock, who has been farming for four decades. They are not so apparent to American consumers -- at least, not yet.

But down the line, people are certain to be paying more for food this year.

Authorities have declared more than 1,000 counties in 26 states as natural disaster areas.

A county is generally qualified as a natural disaster area if it has suffered severe drought for eight consecutive weeks. Farmers are then eligible for low-interest emergency loans from the Department of Agriculture's Farm Service Agency.

Is the drought hitting your area? Let us know how you're coping on CNN iReport.

As of Tuesday, 61% of land in the lower 48 states was experiencing drought conditions -- stretching from Nevada to South Carolina -- the highest percentage in the 12-year record of the U.S. Drought Monitor.

The parched conditions come after some areas of the United States suffered record-setting heat waves, killer storms and blazing wildfires.

In America's Corn Belt, the prognosis for farmers is grim as fields and pastures become drier by the day.

Villwock says the drought is already larger in scope than in 1988, and he fears it will intensify to become worse. Many areas in the southern Midwest are reporting the poorest conditions for June since 1988.

Corn prices pop after lower production forecast

"In the hottest areas last week, which were generally dry, crop conditions deteriorated quickly," writes Rich Tinker, author of the Drought Monitor.

He says 30% of the corn crop in the 18 primary corn-growing states is now in poor or very poor condition, up from 22% the previous week.

Half of America's pastures and ranges are in poor or very poor condition, up from 28% in mid-June, he says.

Think it's hot? Imagine living here

The sizzling conditions have also led to a dramatic increase in wildfire activity since mid-June, shortly after the High Park Fire ignited near Fort Collins, Colorado. During the past three weeks, acres scorched by wildfires went up from 1.1 million to 3.1 million.

The past 12 months have been the warmest the United States has experienced since the dawn of record-keeping in 1895, the National Climatic Data Center said earlier this week.

In Indiana, with water reservoirs at low levels, a mandatory water ban began Friday at noon in Indianapolis in hopes of saving an additional 25 million gallons a day. The ban mainly affects lawn watering.

At Bilskie's Market in Indianapolis, owner Jim Bilskie says he has offered customers local produce for 40 years. This year, he's paying more for fruits and vegetables and says he has to pass on the costs.

"The cost is high now," Bilskie told CNN affiliate WTHR. "The wholesaler isn't making money. The cost is going up. We're not making money. It's outrageous."

Mother nature's kill list

Iowa farmer Dave Miller, 60, has not seen rain in 21 days.

His corn looked good until about two weeks ago when the soaring temperatures turned killer.

"I'm about 50 percent short of needed moisture," he said. "In parts of southern Indiana, southern Illinois, they have been much drier for a longer period. We looked good, compared to them."

At this stage, Miller needs 2 inches of rain right away to carry his corn crop as well as his soybeans, which will start aborting pods without adequate moisture.

It will be challenging for many farmers, who often pay $800 to $1,000 per acre to plant a crop.

Consumers will be hurting as well down the line when they feel the drought in their pocketbooks, says Miller, who is also the director of research and commodity services at the Iowa Farm Bureau.

Corn prices have climbed 45% already, Miller says; soybeans, 22%.

"In the short run, that doesn't show up in the grocery store," he said, since most of this corn is used as livestock feed.

In fact, he said, meat prices could fall at first if farmers slaughter more animals to decrease the cost of buying feed.

But eventually, Americans will pay more at the checkout counter.

"It's likely that in three to six months from now, you will start seeing an increase in prices in the meat case," Miller said. "There will be a quicker impact on eggs and poultry because the production cycle is shorter."

And even milk could see 4% to 6% price hikes if there are reductions in dairy herds.

Villwock, the Indiana farmer, says he must wait now until the fall of 2013 before he can hope for a full harvest.

Harsh weather affects everyone, but farmers are especially at the whim of Mother Nature, he says.

Meanwhile in Iowa, the forecast Friday included a 30% chance of rain, filling many hearts with hope.

But last time Miller checked his radar, not one drop had fallen on his 350 acres.

Extreme weather: Get ready to see more of it, scientists say

@highlight

Farmers like Don Villwock in Indiana are worried about poor yields

@highlight

They planted early and were optimistic for bountiful crops

@highlight

But drought and record-setting temperatures have damaged corn and soybeans

@highlight

The drought stretches from Nevada to South Carolina