(CNN) -- President Barack Obama's speech Thursday night was technically a fine speech. It sounded good. It was rhetorically impressive. Its problem -- or perhaps to the President its virtue -- is that very little of it was true.

President Obama described what sounded like a reasonable plan to prioritize the deportation of felons, criminals and gang members over the deportation of other people in the United States illegally. "We'll prioritize," he said, "just like law enforcement does every day." The whole proposal was entirely within his authority, he argued, because it amounted to a kind of prosecutorial discretion: "All we're saying is we're not going to deport you."

But the policy the White House actually announced, as opposed to the policy the President described in his speech, was not merely a directive to emphasize enforcement against those who have committed crimes, or even a simple pause on deportations for millions of Americans here illegally. The policy the White House actually announced, in a memo from its Office of Legislative Affairs hours before the President's speech, was a 17-point plan including several new programs without congressional approval, budget appropriation or spending authorization, and many of which the President either didn't mention or which bore only a faint resemblance to what he described in his speech.

The President, according to the White House, has directed the Department of Homeland Security to "create" a "new deferred action program" that will give millions of people here illegally "work authorizations" for at least three years. It establishes extensive new criteria by which people can register to be exempt from deportation. DHS will likely have to employ thousands of bureaucrats to process those who "come forward and register, submit biometric data, pass background checks, pay fees, and show that their child was born before the date of this announcement." Applicants supposedly will also have to prove they have been in the United States for at least five years and will have to pay taxes.

Well, a brand new program that hands out three-year work authorizations and processes more paperwork than many state Departments of Motor Vehicles is not merely saying, as the President put it in his speech, that "we're not going to deport you," and it is certainly not simple "prioritization" or "prosecutorial discretion," as many administration officials have been calling it before and after the announcement.

It is new law, created by the executive without constitutional authority.

The President said in his speech that the new program will allow people here illegally to "come out of the shadows and get right with the law." Meanwhile administration officials explained on the record that he wasn't really legalizing anyone, since he couldn't technically do that.

The President also said in his speech that his actions would offer relief only to people who met certain criteria he described, including having child dependents in the United States. But the actual policy memo makes clear that "DHS will direct all of its enforcement resources at pursuing" people who are "national security threats, serious criminals, and recent border crossers."

In other words, there will be one group, estimated at 4 million or so, who are eligible for the new work authorization program. But at the same time, there will be no resources directed at enforcing immigration law against the other 7 million people here illegally as long as they do not fall into a few narrow categories, according to the President's Office of Legislative Affairs. And indeed, a "senior administration official" told Roll Call that the administration "will order immigration agents to prioritize deportations of criminals and recent arrivals â€” and let people who are not on that priority list go free." This is not at all the program the President described in his speech.

The President assured us his actions "are not only lawful, they're the kinds of actions taken by every single Republican president and every single Democratic president for the past half century." Except the primary examples his administration cites are cases of presidents implementing congressionally approved amnesties, narrowly expanding them to include cases Congress didn't anticipate, with no objection from Congress. The President has no such congressional sanction, and his actions are an order of magnitude larger.

President Obama said his plan would "stem the flow of illegal crossings" in the future. Yet every time the government has pledged to stop deporting certain classes of people in the past, there has been a huge surge in the number of illegal border crossings, including most recently the humanitarian crisis of unaccompanied minors on our southern border, which President Obama created with DACA, his last unauthorized executive action on immigration.

This was a Gruber speech. It was designed to sound acceptable to the American people, even if it was largely a lie. For those not familiar with Jonathan Gruber, a now infamous co-architect of Obamacare who described how Obamacare was written "in a tortured way to make sure" the Congressional Budget Office did not "score the mandate as taxes," even though the administration knew it was a tax. He described how the administration won support for the tax on "Cadillac" health plans "by mislabeling it, calling it a tax on insurance plans rather than a tax on people, when we know it's a tax on people who hold these insurance plans." With Obamacare, Gruber concluded, "the lack of transparency" was "a huge political advantage" and "the stupidity of the American voter" was "really, really critical for the thing to pass."

Listening to a speech in which the President lied about what he was proposing and lied about his authority to implement it, it was hard not to think of the Gruber model -- which is really the Obama model, after all. He said what he needed to say to do what he wants to do.

Immigrants will "get right with the law," but not be "legalized," just as Obamacare's taxes weren't taxes, until they were taxes before the Supreme Court, but after which they weren't taxes again. Only immigrants who meet certain specific criteria will be eligible for relief, except for the millions of other people he doesn't mention for whom he will also stop enforcing the law.

In the past few years, the President has described 22 times on video how he doesn't have the legal and constitutional authority to take many of the actions he announced Thursday night.

"With respect to the notion that I can just suspend deportations through executive order, that's just not the case, because there are laws on the books that Congress has passed," he said in 2011. "...[W]e've got three branches of government. Congress passes the law. The executive branch's job is to enforce and implement those laws. ...There are enough laws on the books by Congress that are very clear in terms of how we have to enforce our immigration system that for me to simply through executive order ignore those congressional mandates would not conform with my appropriate role as President."

President Obama made a good case back then. It's a shame he apparently thinks, like Gruber, that Americans are all so stupid we won't figure out he's not telling us the truth today.

Join us on Facebook.com/CNNOpinion.

@highlight

Newt Gingrich: President Obama not being open about immigration plans

@highlight

Obama speech, intended action on immigration don't match, Gingrich says

@highlight

Gingrich: Obama immigration plan reminiscent of Obamacare