(CNN) -- This election season, the term "Super PAC" has escaped from the obscure world of campaign finance lawyers to emerge on the front pages of major newspapers and political websites. Super PACs are political organizations that can take unlimited sums from individuals, corporations and labor unions to spend in support of, or opposition to, federal candidates. To do so legally, a Super PAC must avoid  certain forms of coordination with candidates.

The groups played a big role in Iowa, with a pro-Mitt Romney Super PAC, "Restore Our Future," widely credited with running ads that halted Newt Gingrich's momentum in the polls. They are expected to play an even greater role in the fall, when control of the White House, Senate and U.S. House of Representatives will be up for grabs.

Super PACs are troublesome for a number of reasons.

They tend to run more negative advertising, since they are able to act as the "evil twin" of campaigns because they are not accountable to voters the way candidate committees are. Thanks to holes in our disclosure laws, which neither Congress nor the Republican commissioners on the Federal Election Commission have seen fit to fix, we don't know who is funding many of the Super PACs.

Candidates can even raise money under certain conditions for supportive Super PACs without violating the FEC's technical coordination rules. And thanks to clever campaign finance lawyers who can use an affiliated nonprofit 501(c)(4) group, we may never know the identity of some donors. (That's why comedian Stephen Colbert formed his 501(c)(4) "Colbert Super PAC SHH" (as in "hush") to funnel money to his regular "Colbert Super PAC.")

But the greatest danger of Super PACs is that they may skew the legislative process in the next Congress in favor of the interests of large Super PAC contributors.

To understand why, we need to go back to the Supreme Court's controversial 2010 opinion in Citizens United v. Federal Election Commission. In that case, the Supreme Court held that the First Amendment barred a federal law preventing corporations and unions from spending their own funds to influence the outcome of elections. Key to this ruling was the court's statement that independent spending (that is, spending not coordinated with candidates) cannot corrupt the political process.

From there, lower courts and the FEC, spurred by opponents of campaign finance regulation, led the way for the creation of Super PACs. As I have explained, first they concluded that if independent spending cannot corrupt, then an individual's contributions to an independent group cannot corrupt. (Gone was the $5,000 per person contribution limit to political action committees -- or PACs -- which only spend independently to support or oppose federal candidates.)

Second, they concluded that if an individual's contributions to one of these Super PACs cannot corrupt, then neither can a corporation's or a labor union's contribution. (Corporations now have a way to influence elections anonymously, thus avoiding the risk of alienating customers who may object to their choice of candidates.)

But the initial supposition is wrong. Independent spending can corrupt.

The main reason the Supreme Court has rejected challenges to campaign contribution limits (currently set at $2,500 per election to federal candidates) is that large contributions can create the actuality and appearance of corruption of those candidates. A candidate who receives a large contribution will feel grateful to the contributor, and legislative policy could well skew in the contributor's direction.

Well what of the six- and seven-figure donors to Super PACs supporting federal candidates? Federal officeholders are likely to feel just as indebted to them. And federal officeholders may do the bidding of other wealthy individuals, corporations and labor unions out of fear that they will support the official's opponents through a Super PAC in the next election if they don't.

Given the expected vast spending by presidential candidates and parties in the general election, I am not very concerned that Super PAC spending will influence the outcome of the presidential election, though it might.

I am not even that concerned about Super PAC negative advertising, which can serve to educate the public and mobilize some voters to become more politically engaged.

But I am concerned that Super PAC spending will influence the outcome of close Senate and congressional races. And I am greatly concerned that when Election Day is over and the public will stop hearing about Super PACs, contributions to these groups will skew public policy away from the public interest and toward the interest of the new fat cats of campaign finance, as members of the House and Senate thank their friends and look over their shoulder at potential new enemies.

The opinions expressed in this commentary are solely those of Richard L. Hasen.

@highlight

Richard Hasen: Super PACs have emerged in a big way as funders of campaign ads

@highlight

He says Supreme Court ruling opened the door to special-interest spending

@highlight

Super PACs can influence voters and put legislators in their debt, he says

@highlight

Hasen: Danger is that, after election, lawmakers will back causes of Super PAC funders