(CNN) -- President Barack Obama is exploring executive orders to help prevent mass shootings in America, Vice President Joe Biden said Wednesday.

"The president is going to act. Executive orders, executive action, can be taken," Biden told reporters before meetings with groups representing survivors of mass shootings. "We haven't decided what this is yet, but we're compiling it all with the help of the attorney general and all the rest of the Cabinet members."

Legislative action also is needed, Biden said.

"I'm convinced we can affect the well-being of millions of Americans, and take thousands of people out of harm's way, if we act responsibly," he said.

President Obama vowed last month that a new task force overseen by Biden will provide "concrete proposals" by the end of January to reduce gun violence. The group, which includes an array of Cabinet members and government officials, was established in the wake of the massacre in Newtown, Connecticut, that left 27 people dead -- 20 of them elementary school children.

In addition to gun laws, the group is looking at mental health care and what the president has described as a culture that often "glorifies guns and violence."

CNN iReport: The gun control debate

Biden's brief remarks Wednesday came before what will likely be some of the most emotional testimony before the task force.

Among those addressing the group to push for tougher gun laws is Colin Goddard of the Brady Campaign. He was shot four times in the 2007 Virginia Tech massacre, in which a gunman killed 32 people and himself.

"My job is to represent the voice of the overwhelming majority of Americans ... that want some comprehensive, common sense changes to our gun policy," he told CNN Wednesday. "There are common ground solutions that respect the Second Amendment."

Many gun sales take place without background checks, and "that's bad policy," he argues. Conducting such checks "doesn't stop a law-abiding citizen from getting a gun. But somebody with a history of illness, felony record, they need to get checked."

The campaign's phones have been "ringing off the hook" since the Newtown massacre, he said.

The task force will also hear from gun safety organizations Wednesday.

Where do you stand? Weigh in on Twitter

Gun lobby faces challenge

On Thursday, Biden's group will hear from the other side: gun rights groups, including the National Rifle Association.

The NRA has argued that it is committed to keeping people protected, but that a focus on stricter gun control is misguided.

NRA CEO Wayne LaPierre has called for all U.S. schools to have armed guards

NRA President David Keene later told CNN the group supports schools choosing whether they want armed guards.

A rising chorus of voices is standing up against the NRA and the gun lobby's sway over U.S. politics.

Rep. Gabrielle Giffords, shot in the head in a mass shooting two years ago, and her husband Mark Kelly, a former Navy captain and astronaut, launched a new political action committee Tuesday to end what they called lawmakers' "fear" of the gun lobby.

White House responds to petition to deport Piers Morgan

CNN's Piers Morgan has also garnered attention for speaking out against the influence of the gun lobby and pushing stricter gun control, which led more than 100,000 people to sign a petition on the White House website calling for him to be deported.

"Let's not let arguments over the Constitution's Second Amendment violate the spirit of its First," White House spokesman Jay Carney wrote in a response Wednesday.

"Americans may disagree on matters of public policy and express those disagreements vigorously, but no one should be punished by the government simply because he or she expressed a view on the Second Amendment -- or any other matter of public concern," Carney added.

Carney's response did not mention Morgan by name.

Wal-Mart changes tune, will attend White House meeting

The nation's largest retailer, meanwhile, made news for reversing a decision -- and saying it will participate in a White House meeting.

Wal-Mart initially said scheduling conflicts would prevent its "experts" on gun control from attending. But on Wednesday it announced it will send representatives to the Thursday meeting.

The company has had "ongoing conversations with the administration, Congress, (New York) Mayor (Michael) Bloomberg's office, sportsmen groups, suppliers and others to listen and share our thoughts and experiences," company spokesman David Tovar said in a statement to CNN.

"Knowing our senior leaders could not be in Washington this week, we spoke in advance with the vice president's office to share our perspective," he said. "We underestimated the expectation to attend the meeting on Thursday in person, so we are sending an appropriate representative to participate."

Wal-Mart sells guns and ammunition.

The future of gun laws: Weigh in on Facebook

States, cities make their own moves

Across the country, people are sharing their views on what Washington should decide. Among them are Californians who have packed town hall meetings.

Some have spoken out in support of renewing a ban on assault weapons -- high-capacity weapons that have been used in numerous mass shootings. Sen. Dianne Feinstein, a California Democrat, is pushing to reinstate a ban that expired in 2004.

But others at the town halls argue that banning those guns isn't the answer, and could even be a slippery slope toward banning all guns.

New York Gov. Andrew Cuomo, in his annual State of the State address, said Wednesday his state must enact "the toughest assault weapons ban in the nation, period."

"Gun violence has been on a rampage as we know first hand and we know painfully. We must stop the madness, my friends," he said. "It has been enough."

Bloomberg, a longtime advocate of stricter gun control, is pushing for tough steps nationwide.

In Connecticut, Gov. Dannel Malloy choked up discussing the Newtown shooting, and said "more guns are not the answer."

"Freedom is not a handgun on the hip of every teacher and security should not mean a guard posted outside every classroom," he said Wednesday in the State of the State address.

Burlington, Vermont, a city of less than 43,000 people, has already made a move of its own: passing a resolution that could lead to a ban on assault rifles and high-capacity magazines.

The city council voted 10-3 in favor of the resolution, which will now be presented in public hearings and voted on by the public before going to the state legislature.

Amid the cacophony of voices battling over the issue, two young former Marines have found themselves in a spotlight online, representing very different views.

First, Joshua Boston posted on CNN iReport an open letter to Feinstein explaining why he would not abide by an assault weapons ban. "I do not believe it is the government's right to know what I own," he wrote in the post, which went viral. "Nor do I think it prudent to tell you what I own so that it may be taken from me by a group of people who enjoy armed protection yet decry me having the same a crime."

On Tuesday, Nick DiOrio responded with his own iReport. Marines don't believe in following the law "only when it suits us," DiOrio wrote, calling Boston's letter "embarrassing because he makes Marines seem insensitive and uncaring." DiOrio said he supports an assault weapons ban.

@highlight

White House responds to petition calling for Piers Morgan to be deported

@highlight

Connecticut Gov. Dannel Malloy says "more guns are not the answer"

@highlight

Burlington, Vermont, passed a resolution that could lead to an assault weapons ban

@highlight

Wal-Mart reversed a decision, saying it now will attend a Thursday meeting