LONDON, England (CNN) -- The high speed, high-rolling world of Formula One is not a sport you would associate with something as mundane as the boiler tucked away in a dusty cupboard in your house.

The Fast Forward exhibiton shows how F1 technology can improve all our lives.

If you thought that motor racing and the real world are poles apart then an exhibition currently running at the Science Museum in London, England might change your mind.

The "Fast Forward" exhibition has put together 20 examples of how Formula One technology and innovation has helped improve the wider world.

It is testimony to all the hard work, intelligence and ingenuity of the engineers who make the sport what it is today, according to Katie Maggs, one of the exhibition's curators.

"Rather than treating it as a traditional design exhibition, we wanted to look at how the engineers in Formula One use technology in ways that can be experienced in other industries, in the home or in hospitals."

The "Boiler Buddy" is a good example of Formula One technology that can be found in the home. Designed to help improve the efficiency of home heating systems, the technology uses the magnetic principles which informed the filter that keeps F1 engines free of particles of dirt and dust. The filter device can be found on the shelves of many hardware stores.

There is an impressive variety of objects on display. A bicycle fitted with sensors to monitor wheel speed, angles of lean, heart rate and humidity while riding, is a direct descendant of the sensors attached to Formula One cars which track the performance.

The Carbon fibre composite chassis design first introduced into Formula One by McLaren engineer John Barnard in the 1984 has found its way into a range of products outside the sport.

Lightweight and incredibly robust, technology using carbon fibre composites are being used to create state-of-the-art furniture. An elegant table on show at the exhibition has a carbon fibre surface that is just two millimeters thick.

But it is perhaps in the healthcare sector where Formula One is making its most impressive and important contributions.

Inspired by the monocoque cockpit which keeps drivers safe, the BabyPod II is allowing paramedics to transport newborns quickly and safely. The Ovei -- a pod-like structure designed to help capture healthcare data and transmit results to doctors and therapists around the world -- is also made from carbon-fibre composites.

A wheelchair, designed by Formula One engineer Mike Spindle, improves not only the safety of a user, but also their comfort and mobility thanks the monocoque structure at its heart.  View a gallery of the F1 innovations »

"The one-piece carbon fibre seat can be molded to fit the user," Maggs said.

"Because it is carbon fibre the wheels can be fixed further forward and at an angle which makes it easier for the user to get around."

Some of the sport's innovations aren't necessarily tangible, but are delivering improvements to hospital patients all the same.

Using the expertise of McLaren and Ferrari's pit stop crews, Great Ormond Street Hospital in London has been able to improve the efficiency of patient handovers from one department to another by up to 40 percent.

When the exhibition was officially opened by former McLaren team principal, Ron Dennis earlier this year it attracted the sort of media scrum usually witnessed on the grid prior to a race.  Watch CNN's coverage of the exhibition opening »

As the exhibition shows, Formula One is about improving performance. If that eventually filters down into products and services that we can all benefit from then that can't be a bad thing.

@highlight

Science Museum, London hosting a exhibition of innovations inspired by F1 design

@highlight

Monocoque wheelchair uses lightweight and robust carbon fiber seat

@highlight

Ferrari and McLaren pit stop expertise help hospital speed up transfer of critically ill