(CNN) -- It's been a month since the "cease-fire" was due to come into effect in Syria as the first step in a U.N.-backed peace plan, with a team of U.N. monitors on the ground to observe the progress.

But clearly, there is no let-up in the violence. Daily reports spill in of bombings, shootings, explosions and more as opposition groups and the regime forces of President Bashar al-Assad battle for more than a year.

So, where does the Syria conflict stand now?

First, it's very difficult to get a clear picture of the extent of the violence in Syria, who's perpetrating it and where. The international media's access is very limited, and the U.N. observer mission -- still not at full strength -- is unable to monitor all hot spots. But there is certainly no cease-fire; opposition groups report daily attacks by regime forces, which continue to use indiscriminate artillery fire. The London-based Syrian Observatory for Human Rights says 60 people were killed in the first three days of last week.

U.N. peacekeeping chief Herve Ladsous told the Security Council last week that there has been a shift in the military's tactics, according to diplomats, with a decline in the use of heavy weapons and large-scale operations. But there have been widespread arrests recently.

The special U.N.-Arab League envoy, Kofi Annan, echoed that view. Diplomats say he expressed concern that arrests and torture were increasing and that government forces "continue to press against the population."

Observer on Syrians' stories: 'They burned my heart'

The Syrian security forces finally broke the back of popular resistance in the Bab Amr district of Homs early in March, but killings continue in the city. There's also been substantial bloodshed in Hama since then, where an uprising in 1982 was savagely put down by the current president's father.

In Idlib province in the northwest, the resistance remains strong. Journalists have reported burned-out tanks near the provincial capital, which is ringed by checkpoints. Soldiers don't enter some towns for fear of ambush. Elements of the Free Syrian Army appear to be able to operate in mountainous areas near the Turkish border. Their aim is to turn it into a "government-free zone."

In the south, where it all started more than a year ago, there are daily reports of security forces opening fire and using artillery against what the regime deems to be opposition neighborhoods.

What has really changed in the past few months, starting in Damascus in January, is the emergence of a bombing campaign against key government installations. On Thursday, the deadliest bomb attacks yet killed at least 55 people, according to the Interior Ministry, wounded nearly 400 and caused widespread devastation in the Qazzaz neighborhood of Damascus.

A bomb also exploded near a U.N. observer convoy in southern Syria last week.

The Syrian Interior Ministry blamed "terrorist suicide attacks" for the carnage and says most of the victims are civilians. It does seem that jihadist cells are emerging in Syria. One calls itself the al Nusrah Front and provided video evidence of a suicide attack carried out in Damascus in January. It also claimed responsibility for a bombing in Damascus last week. Some of its claims cannot be substantiated, but U.S. officials have expressed anxiety about a growing jihadist element in the resistance.

Most Syrian protesters have little sympathy for Islamist militancy and have begun waving posters insisting there is no al Qaeda in their midst. The opposition Syrian National Council alleges the regime itself is staging such attacks to paint the resistance as terrorists and is itself in league with al Qaeda.

Is al-Assad shooting himself in the foot?

Of particular concern to the regime is the recent spate of protests and bomb attacks in Aleppo, the commercial heart of Syria, which until recently was spared the worst of the violence. A blast near the Baath Party headquarters Friday was the latest in a string of attacks. If these attacks are the work of the government as the opposition alleges, it would be a high-risk strategy.

Bottom line: Although street protests persist, the resistance has become more militarized and is beginning to resemble the early stages of the Iraqi insurgency in 2004. And the security forces continue house-to-house raids and mass arrests, while relying less on the sort of shelling that reduced parts of Homs to rubble.

More: Bashar al-Assad: President defined by violence | Al-Assad's wife, Asma

@highlight

It's been a month since a "cease-fire" was due to come into effect in Syria

@highlight

There has been no relief from the violence despite the U.N.-backed peace plan

@highlight

It's starting to resemble early stages of the Iraqi insurgency in 2004