(CNN) -- The civilian death toll mounted in Syria Wednesday as the U.N.-Arab League envoy for the country, Kofi Annan, considered a response from Syrian authorities to proposals laid out in weekend meetings, officials said.

Annan "has questions and is seeking answers," said a statement by his spokesman.

"But given the grave and tragic situation on the ground, everyone must realize that time is of the essence. As he said in the region, this crisis cannot be allowed to drag on."

The opposition said 56 people died Wednesday across Syria, including 29 in the rebel stronghold of Idlib, where activists reported Syrian military forces had seized control following a four-day onslaught. Only pockets of the city were held by soldiers who have defected, the activists said.

Annan met last weekend in Damascus with Syrian President Bashar al-Assad in an attempt to of reach a diplomatic solution to the crisis, which began almost a year ago.

Three U.S. administration officials said earlier that al-Assad doesn't recognize the former U.N. secretary-general as the Arab League's representative and had rejected Annan's efforts. Al-Assad also said he will not do anything until the opposition lays down its arms, the sources said.

Annan will brief the U.N. Security Council on Friday, according to the United Kingdom's mission to the United Nations, which holds the Security Council presidency this month.

World powers will continue to attempt to pressure al-Assad's regime and focus on getting humanitarian aid to Syrians, U.S. President Barack Obama said Wednesday at a news conference with British Prime Minister David Cameron.

The Syrian regime is being isolated politically, diplomatically and economically, by tightening sanctions, Obama said, while the Syrian opposition is growing stronger and military defections are continuing.

Cameron said his country wants "revolution rather than civil war" in Syria.

Syrian state-run media Wednesday said security forces "have brought safety and security back to the city" of Idlib, "which witnessed terrorist acts by armed gangs."

Al-Assad's regime routinely insists "armed terrorist groups" are behind the bloodshed in Syria.

But the continuing carnage and a scathing report about torture at the hands of the regime suggest there's been no progress in Syria after almost a year of attacks on civilians.

In Idlib, the Free Syrian Army, a group of fighters composed primarily of defectors from government forces, had fled the city for "tactical reasons," said Hamza abu al-Hassan, an activist with the opposition Binnish Coordination Committee. Binnish is a town located a few kilometers northeast of Idlib. Clashes had slowed compared with previous days, but shelling continued, he said.

Shelling was ongoing on the southwest outskirts of Binnish, al-Hassan said. The shells appeared to have been launched from military barracks south of the town, he said. No casualties resulted, as the shells struck open areas in an apparent attempt to scare residents.

Most women and children have fled Binnish, he said. The city has shortages of food and gasoline, as well as medicine, he said.

Human Rights Watch, citing accounts from witnesses and activists, said Syria's bombardment of the city of Idlib had killed 114 civilians since March 10. "Five witnesses, including three foreign correspondents, gave separate accounts to Human Rights Watch that government forces used large-caliber machine guns, tanks, and mortars to fire indiscriminately at buildings and people in the street," the group said. "After they entered Idlib, government forces detained people in house-to-house searches, looted buildings, and burned down houses, the witnesses said."

Government forces also used mortars during the attack on the city, an Idlib resident told Human Rights Watch.

Government forces looted shops and apartments and burned down houses of suspected activists, the witnesses said.

Throngs of security forces Wednesday infiltrated villages in the port city of Latakia, searching for activists and setting homes afire amid sporadic gunfire, according to the Local Coordination Committees of Syria, or LCC, an opposition activist network.

"This comes under a complete cutoff (of) electricity and telecommunications in the area," the LCC said.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

But most reports from inside Syria indicate the regime is slaughtering civilians to wipe out dissidents seeking al-Assad's ouster. The al-Assad family has ruled Syria for more than four decades.

More than 8,000 people have been killed in the conflict, including many women and children, the president of the U.N. General Assembly said this week. Opposition activists have put the toll at more than 9,000.

Two Turkish journalists are missing in Syria, according to Milat newspaper.

Adem Ozkose, a columnist and war reporter for Milat and the Middle East correspondent for Gercek Hayat magazine, and Hamit Coskun, a freelance cameraman, were covering events in Syria and shooting a documentary, according to Milat. They were last heard from Saturday, said Turgut Alp Boyraz, a member of the newspaper's foreign editorial board.

Three members of the opposition Syrian National Council resigned Tuesday over disagreements with its leadership, Ausama Monajed, adviser to council head Burhan Ghalioun, said Wednesday.

The three -- Haitham al-Maleh, Kamal al-Labwani and Catherine al-Telli -- "wanted radical change within the organization," Monajed said. However, the council -- an umbrella organization that represents the Syrian opposition abroad -- is not ready for radical change, he said. The three decided they would be more "effective working from the outside," he said.

Also, Saudi Arabia and Italy on Wednesday became the latest countries to suspend embassy activities in Damascus and withdraw their staffs. Spain suspended its embassy activities earlier this month, and the United States and France previously closed their embassies.

"We reiterate the firmest condemnation of the unacceptable violence perpetrated by the Syrian regime against its citizens," Italy's foreign office said in a statement. "Italy will continue to support the Syrian people and to work toward a peaceful solution to the crisis that ensures their fundamental rights and legitimate democratic aspirations."

However, Venezuela's parliament on Tuesday passed "an agreement in solidarity with Syria in light of the imperial threat presented by the United States and its Arab allies," Venezuela's Interior Ministry said Wednesday in a statement. "The document exhorts the international community and peace lovers to undertake a massive campaign to reject intervention in that nation," the statement continued.

According to an Amnesty International report released Wednesday, Syrians detained by the regime are subjected to torture, including electric shocks, beatings and sexual violence.

Based on interviews with dozens of Syrians who have fled to Jordan, the report details "31 methods of torture or other ill treatment" by security forces, the Syrian army and pro-government armed gangs.

An 18-year-old identified as Karim told researchers his interrogators used pincers to gouge flesh from his legs while he was held for 25 days in Daraa in December.

Detainees also were forced to witness abuse and hear others -- sometimes relatives or friends -- being tortured and raped, the report said.

"I heard the screams of those being tortured for 24 hours a day," a 29-year-old identified as Musleh told researchers. "While in the cell, we were busy praying for the safety of those who are being tortured."

After reports this week of a massacre in Homs, where dozens of women and children were reportedly stabbed and burned to death, authorities "arrested a number of terrorists who perpetrated the terrifying massacre against the citizens of Karm al Zaitoun neighborhood," the news agency reported Wednesday.

Both opposition groups and the government reported a massacre in Homs, but opposition activists accused regime forces of carrying out the attacks.

Shelling continued Wednesday for a fifth consecutive day on Homs neighborhoods, killing five people and wounding almost 60, activists said. More than 70 rockets and tank shells hit central and eastern neighborhoods in the city; power blackouts were reported in some areas, the activists said.

Over the past year, about 30,000 Syrians have fled to neighboring countries, said Panos Moumtzis, the U.N. High Commissioner for Refugees' coordinator for Syrian refugees.

CNN's Kareem Khadder, Amir Ahmed, Mitra Mobasherat, Catherine Shoichet and Anna Ozbek contributed to this report.

@highlight

Wednesday's death toll is at 56, including 29 in Idlib

@highlight

Two Turkish journalists are missing in Syria

@highlight

Annan will brief the U.N. Security Council on Friday

@highlight

Three resign from the opposition Syrian National Council