(CNN)In the center of China's eastern Zhejiang Province lies Commodity City, which photographer Richard John Seymour says is the largest small-commodity wholesale market in the world.

The shopper's paradise, in the city of Yiwu, covers 46 million square feet and has about 62,000 booths, with 100,000 suppliers exhibiting 400,000 kinds of products.

The sheer enormity of the place posed challenges for London-based Seymour, who visited Commodity City twice last year.

"I tried to see as much as I could in the days that I was there, and became very quickly exhausted by the constant sensory overload," he said via email. "I spent a total of four days constantly walking around Yiwu and wouldn't say I got near to seeing all of the stalls."

Seymour's "Yiwu Commodity City" photo project began in January 2014, when he established both the style and content of his photos: the sellers in their environments in addition to the monotony of the market itself.

When Seymour returned to Yiwu in August, he felt well-prepared to begin shooting. During this visit, he also came to better understand the atmosphere and dynamics of the market.

"The atmosphere of the market was quite unusual in that one gets the sense that it really is home to a community," he said. "The second trip I made to the market was during school summer vacation, and because of this there were children in a huge number of the stores who obviously (spent) the day in the market with their parents. There were also children running and playing throughout the market, riding scooters along its vast corridors, chasing each other around, etc. It gave the impression that this was more than just a place of business, but a place of life, something that took me by surprise."

The photos are like an endless delivery of presents, as each and every shot unwraps an assortment of contents within the identically square-shaped booths of the sellers.

"Shooting Yiwu in a repetitive way, for me, becomes a very interesting way of describing the place, as each store becomes describable only by the items for sale within it," Seymour said.

An estimated 40,000 visitors make their way into Commodity City every day. Many of them are retail buyers.

Because of the large number of visitors and their diverse backgrounds, buyers and sellers typically communicate utilizing translators that work in the market permanently.

"There is a broad mix of people in Yiwu, buyers and sellers come from all over the world. However just from my own experiences and those of others I spoke to, the fastest growing markets are of Middle Eastern and African buyers," Seymour said.

There are thousands of orders placed at Commodity City that are later sold to consumers in many different countries.

"I learned a great deal during this project," Seymour said. "If there was one thing that particularly stands out, it was the scale of production in China. ... Everything in Yiwu is a one-of-a-kind sample. Orders are made in Yiwu, but the factories nearby manufacture the items, so what you're seeing in the market is actually not for sale. This is why the stores are so visually rich, because there is no need for multiple samples, every item is different."

What makes Seymour's photos so striking is how they encompass a mixture of familiar sights with unknown wonder.

Social media

Follow @CNNPhotos on Twitter to join the conversation about photography.

"Possibly the most interesting aspect of this project was when I occasionally encountered an item that was very familiar to me in such a strange place," he said. "We tend to adopt quite personal emotions to our belongings, and if we see something in our own home every day then it naturally fosters quite an intimate relationship. What was interesting was then seeing one of these items halfway across the globe, a constant reminder that we have a connection with places around the world (that) we know next to nothing about."

Many of the items shown in the photographs are very ordinary. There are woolen hats, artificial flowers, mannequins and even cooking utensils. But there are also mysterious sellers barely visible in their booths. Just as the city of Yiwu is surrounded by mountains, the sellers at Commodity City are boxed-in by their very own mountains of commodities.

"For me there (is) quite a beautiful metaphor in Yiwu, there is a kind of beauty in the numbness of the expressions in contrast with their colorful surroundings, perhaps highlighting the perils of untapped consumption," Seymour said. "The inhabitants of these spaces become almost swallowed by the objects that make them their living. They are, quite literally, consumed."

The "Yiwu Commodity City" photos are part of a larger series by Seymour titled "Consumed," and it was completed in collaboration with the Unknown Fields Division, a nomadic design studio that works to show how distant landscapes connect to the rest of the world.

Seymour's photos ultimately leave viewers to reflect upon the possibility that Commodity City may in fact be the origin of many of the products they currently own.

"I definitely view the items I see in many shops differently now that I have seen (Yiwu). I'll often see a particular item whilst walking around London and think to myself, 'I'm sure that came from Yiwu,' " Seymour said.

According to China's state-run news agency Xinhua, more than 60% of the world's Christmas decorations are made in Yiwu and wholesaled at Commodity City. The likelihood is relevant well beyond Christmastime, however. Whether enjoying the beach, purchasing clothing or even playing games at the local fairground, consider if the "Made in China" label imprinted on those inflatable beach balls, shirt buttons, and cuddly teddy bears perhaps connects all the way to one of the Commodity City booths.

"I believe that more and more, we are defining our environments not as the spaces themselves, in terms of the buildings or architecture, but rather by the objects and devices that we buy and surround ourselves with. ... I would like that message to carry through universally," Seymour said.

Richard John Seymour is a photographer based in London. You can follow him on Instagram and Twitter.

@highlight

Richard John Seymour traveled to the Chinese city of Yiwu to photograph Commodity City

@highlight

In "Yiwu Commodity City," Seymour documents the buyers and sellers that make up the wholesale market

@highlight

The photos shed light on how the products people own may connect to unfamiliar, distant landscapes