(CNN) -- If Barack Obama could make three wishes, he would probably ask for the crisis in Syria to go away. That would help him receive another wish: Getting reelected as president of the United States.

Unfortunately for Obama, and tragically for the people in Syria, history has brought the American presidential campaign and the Syrian revolution to the same pages of the calendar. That means Obama will do whatever he can, for as long as he can, to keep the carnage in Syria from interfering with his reelection plan.

That means the killings in Syria could go on longer than if the uprising had erupted during a nonelection year.

Anyone who doubts that electoral considerations have become a major factor in U.S. foreign policy should look to Obama's own words from a few months ago. Obama did not realize his microphone was on during a meeting in Seoul with then-Russian President Dimitry Medvedev, so he leaned in close and whispered, "This is my last election. After my election I have more flexibility." In this instance, Obama was referring to the contentious issue of missile defense.

It's not uncommon for presidents to worry about reelection while charting foreign policy. In Robert Caro's new biography of President Lyndon B. Johnson, "The Passage of Power," he describes how Johnson made decisions about Vietnam with an eye towards the elections. Caro concluded that "the steps he took had, as their unifying principle, an objective dictated largely by domestic â€” indeed, personal â€” political concerns."

With less than five months until November, the last thing Obama needed on his already very full plate is another shockingly cruel, politically complicated conflict in the Middle East, complete with gruesome, heartrending images, a recalcitrant dictator, and prominent voices calling on Washington to do something.

Photos: In Syria, families flee and rebels fight

You can't put history on hold until after Election Day, but you can certainly try.

The Obama administration has put other major foreign policy issues on the back burner in order to avoid giving Republicans fodder for criticism, to prevent new risks to the economy, or simply to avoid stepping on a landmine while moving along a dangerous global landscape.

A report in Britain's Sunday Times claims that the White House asked Israel to delay an attack on Iran until after November. Many fear that a war with Iran would send oil prices skyrocketing and hurt Obama's reelection prospects. Although that scenario could be averted, the risk of armed conflict creates too much uncertainty during a pivotal year. For now, Obama and the West are backing slow-motion talks with Iran along with economic sanctions. They have significantly reduced their demands from a requirement that Iran stop enriching uranium to a call for Tehran to "curb" enrichment to higher grades.

Elsewhere in the Middle East, a top Palestinian leader said the Obama administration told Palestinians to be patient this year, with a promise that a reelected Obama, unbound by the need to win votes, would make a forceful return to his mediation efforts.

Even with Afghanistan, Obama has been perceived as putting political goals ahead of strategic decisions. Leslie Gelb, President Emeritus of Council on Global Relations, suggested that the November election is the main reason why Obama has not ordered a faster draw-down of troops. "But wait till next year," he wrote. "The fig leaf of vital interests will no longer be sustainable in the postelection marketplace."

While the Obama administration tries to plug all the holes, or at least slow the leaks until it has more freedom of movement, its timid efforts in Syria are starting to look like an abdication of a fundamental moral duty. The death toll in Syria continues to rise, with more than 13,000 people killed. At this rate, the political cost of doing nothing will outweigh the risk of taking action.

There is no obvious, easy answer. And the American people so far seem to have no desire to see American forces step in to stop the horrifying massacres. But Washington could, without sending in American troops, take a stronger leadership role.

Pressure is mounting on Obama to launch a more muscular response as Syria unravels and risks creating chaos in other parts of the region. Even Democrats are making a case for American intervention. After all, Syria is Iran's closest ally. Helping to staunch the bloodshed there could help prevent a war with Iran by weakening Tehran's hand. The U.S. could also try to fortify the Syrian opposition and work with other Arab countries who want to see Assad removed from power.

For too long, the White House placed its faith in a plan negotiated by former U.N. chief Kofi Annan, which was doomed to fail from the very beginning. Washington has blamed Moscow for the diplomatic stalemate and the lack of progress in Syria, but not everyone buys that argument.

Obama would like to prevent a major crisis with uncertain political ramifications from standing in the way of his reelection. But the tragedy in Syria is not waiting until November.

Sure, everyone would like to see all the tough geopolitical problems solved by diplomacy, with a handshake and a smile, without massacres of civilians and lies from dictators. But the world does not work that way.

Sometimes history has lousy timing. And presidents don't get to make three wishes.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Obama tries to keep the crisis in Syria from interfering with reelection

@highlight

Ghitis: Carnage in Syria could go on longer than in a nonelection year

@highlight

She says electoral considerations are often a major factor in U.S. foreign policy

@highlight

Ghitis: Tragedy in Syria isn't waiting till November; Obama should take action now