(CNN) -- Those of us who love travel know it can be a life changer. Since making resolutions is de rigueur this time of year, why not resolve to take steps that lead to adventurous and memorable trips all year long?

Consider these eight resolutions for 2013:

Take off on your own -- even if you're traveling with a group. (Especially if you're traveling with a group).

While togetherness can be great, at a point we all need a break. If you're an early riser, step out and stroll the half-empty streets before your fellow travelers get up. Longing to check out a boutique or museum no one else will appreciate? Do it on your own.

If you feel badly about ditching your companions, pretend it's an adventure. Suggest everyone spend one morning or afternoon finding something they'll later introduce to the group. Not only will you discover some cool new spots when you regroup, you'll get to spend time alone inside your own head on your own personal treasure hunt. Everybody wins.

Don't let the lack of a foreign language keep you at home.

No matter how many (or how few) stamps you've got in your passport, hit the road anyway. When you arrive at your destination, those you'll meet won't expect fluent French, Mandarin or Swahili to flow from your lips. But you still should at least learn the pleasantries in your hosts' country -- as in "thank you," "please," "excuse me" -- before you show up.

If you have time and the funds, why not sign up for a brief language course in your hometown? If you're on a budget, your local library likely has phrasebooks or dictionaries you can borrow. Does a restaurant in your area serve food from your destination country? Visit before you go and ask the staff to help you with a few words. Smart travelers know that it's the small things that mean the world to those you'll meet. Show respect by speaking their language -- even if just a little -- and you'll get respect in return.

Say you're not a "tour" or "cruise" person? Give one a shot.

Many of us experienced travelers pride ourselves on making our own way in the world, seeking out B&Bs and locally owned boutique hotels. We scour blogs and message boards for barely known ethnic eateries on the other side of the world. And once we arrive, we muddle through broken French-Turkish-Vietnamese-Urdu to figure out how to get around.

But for a change, why not sign up for an excursion where someone else gets paid to do the planning? When going to parts of the world where no one is likely to speak your language -- or if you're visiting a place where it's not especially safe to travel alone -- an escorted tour makes plenty of sense.

Even if you think a cruise will be too confining, consider taking one based on your passions or interests. It could be American baseball legends, classic Hollywood films or the sounds of "Soul Train." Or set sail to a destination like Antarctica or Alaska, where being on the water makes navigation easier.

Don't be ashamed to fall back on what's familiar.

As someone who often writes about cuisine, I love fine dining, great wine and Michelin-star restaurants as much as the next foodie. Still, there are some days on the road -- even in incredible food destinations like Paris or Rome -- when I get a craving for McDonald's fries and nothing else will do. And that's OK.

I still remember years ago when a Spanish corporate colleague hosted me for a day of sightseeing and shopping in Madrid and for a coffee break she took me not to a historical Spanish cafÃ©, but to Starbucks. I was appalled. But now as a more seasoned and far less snobby traveler, I appreciate it.

I have an American friend who lives in West Africa, and when she recently came to Paris, what did she long for? Stops at Starbucks and the city's first Chipotle location. Sometimes you just want what's familiar and comfortable -- so make no apologies and indulge.

Vow not to leave vacation days on the table.

Even though Americans earn less vacation time than most other industrialized countries -- a median 12 days, according to a recent Expedia Vacation Deprivation study -- they still tend to forgo two days. Whether folks think they can't financially swing a trip or fear their bosses will think negatively of them for taking off, we're leaving that earned time on the table.

I never was one of them, but I always foolishly took my work with me on the road, calling into conference calls and frequently checking e-mail when "on holiday." But that's a bad habit -- and one you'll be expected to maintain if you do it. So don't start. Otherwise, you'll return from your vacation in need of another one. Periodically disconnecting from work is not only good for you, but it also will make you a more productive employee or boss when you get back.

Start a travel-specific savings account.

No matter how much we love to travel, most of us aren't made of money. Very often, our discretionary funds -- or the lack of them -- determine where we go, when, and for how long. But if there's someplace you've been dying to check out, why not create your own personal layaway fund? These days, it's easy to pre-arrange for a set amount of cash -- even if it's just $15 or $20 -- to be deducted from your paycheck or bank account.

Or go the low-tech route and toss spare change and small bills into a dedicated jar. Over time, even small sums add up and just may mean the difference between taking that trip and staying home. The adage about your checkbook showing what you care about is true. If travel is truly a priority for you, then save like it.

Do at least ONE thing that scares you while you're on the road.

Travel often shakes you from your comfort zone -- and that's a good thing, especially for those of us who feel an obsessive need to always be in control. Why not consciously decide that while you're away from home, you'll do something that's a bit out of character? Nothing dangerous, of course -- just eyebrow-raising for you. For some of us, that's sampling a dish we'd never try at home -- whether fish cheeks in China or Tuscan cinghiale (wild boar) at the always-lively Il Latini ristorante in Florence. (So what if you hate it? You never have to try it again.)

For others, it's ziplining over the jungles in Costa Rica. Yet others may take the baby step of going to the theater alone. Don't forget to build an element of whimsy into your trips -- and perhaps surprise yourself, too.

Don't let other people's fears keep you from going.

There's nothing sadder than letting other folks' hang-ups keep you at home. How many of us have been told how "scary" certain places are because someone knew someone who'd once heard of someone who'd been robbed on a train or gotten sick from the water?

Perhaps you've been advised not to visit a country because there won't be many people who look like you. But so what if people stare? Although people in "low-look" countries such as the United States and Great Britain are taught that it's impolite, not all cultures consider steady eye contact "rude." In "high-look" countries such as Italy, you may find yourself the object of a long gaze. Perhaps people are just curious or think you're attractive.

Travel teaches you that we can't always judge others' behavior by how we do it at home. Use common sense, but vow to make travel choices that speak to you and your values, not other people's fears. Besides, friendliness and warmth transcend languages and cultures, so travel expecting the best.

Maureen Jenkins is a freelance travel, food and lifestyles writer. A Chicago native, she lives outside Paris and blogs about expatriate life at UrbanTravelGirl.com.

@highlight

Try breaking away from the group to explore a little on your own

@highlight

Learn a few words in the language of the country you're visiting to show respect

@highlight

Consider an organized tour to let someone else do the planning for you

@highlight

It's OK to take a break at Starbucks or other American business for something familiar