In 16 years, cancer will become the leading cause of death in the United States, surpassing heart disease, according to a new report from the American Society of Clinical Oncology. The number of new cancer cases is expected to increase nearly 45% by 2030, from 1.6 million cases to 2.3 million cases annually.

This influx of new patients will place a bigger burden on a field of medicine already stretched by physician shortages and financial difficulties, says the report, which highlights growing problems for cancer care in the United States.

Dr. Jeffery Ward knows these issues well. When he joined a community oncology practice in Seattle, it had three doctors. A few years later the group merged with another practice, and connected with a national network of community doctors that enabled them to invest in new technologies and receive group discounts on cancer drugs.

In return, they paid a percentage of their practice's profit to the network.

Over time, the doctors' profit margins became slimmer. They couldn't compete with hospitals in the area for radiation therapy and other services that would have diversified their practice, and insurers had the upper hand in contract negotiations.

It became obvious, as Ward said, "that 0% of zero would be zero." So Ward and his colleagues decided to leave the community oncology network and join a large hospital system in Seattle.

Nearly two-thirds of the small oncology practices surveyed said they were likely to merge, sell or close in the upcoming year, according to the oncology group's inaugural report, "The State of Cancer Care in America."  And as community practices disappear, patients are paying more and traveling farther for quality care.

"If you can't get care, you can't get good care," said American Society of Clinical Oncology President Dr. Clifford Hudis, chief of Breast Cancer Medicine Service at Memorial Sloan Kettering Cancer Center and a professor at Weill Cornell Medical College.

WHO: Imminent global cancer "disaster"

Adding to the burden will be an increase in the number of cancer survivors. Fifty years ago, only a handful of "minimally effective" treatments for cancer existed, according to the report. Today, there are more than 170 FDA-approved anti-cancer drugs.

Two-thirds of Americans now live at least five years after a cancer diagnosis, up from about half in the 1970s, the report authors write. Survivors need ongoing care, as they're at higher risk for other types of cancer and conditions such as diabetes, cardiovascular disease and osteoporosis.

The Affordable Care Act will also increase the need for oncologists, as millions of Americans get newly covered by health insurance.

Taking these future patients into consideration, the oncology society expects demand for oncology services to grow 42% by 2030. Yet the number of oncologists is expected to grow only 28%, leading to a shortage of more than 1,400 physicians.

A large part of this is because of the aging physician population, according to the report. In 2008, the proportion of oncologists older than 64 surpassed the proportion younger than 40 for the first time. A large number of communities in central and Midwestern states are covered solely by these older doctors. When they retire, more patients will have to travel farther to find care.

"The shortage of oncologists is a real problem," said Dr. Otis Brawley, chief medical officer of the American Cancer Society. "Many smaller practices actually provide a lot of uncompensated care to those who do not have insurance or have insurance that does not pay well."

The report also highlights the need to lower costs, for both doctors and patients. Right now, the system is designed to compensate doctors for how much they do, rather than how well they do it. That goes against the oncology society's recommendations, which encourage physicians to avoid performing unnecessary tests and treatments.

"One of the reasons that so many patients are harmed in medicine is they are over-treated," Brawley said.

How doctors do harm

Drug prices are another big concern. When Ward started practicing, the average cancer drug cost $1,000 per month. Today, he said, the average is $10,000 per month.

"If we don't begin to control these prices in one way or another, in 20 more years, the average cost of a cancer drug will be $100,000. That's not sustainable," he said. "Twenty percent copay on $10,000 (per month) is not in the pocketbook for most of my patients."

Brawley said price is one of the biggest reasons there is such a disparity in cancer outcomes; research shows minorities are more likely to develop cancer and more likely to die from cancer.

To combat some of the issues raised in the report and improve patient care, the society is working on several projects involving "big data." These projects will help physicians "distill massive volumes of data into meaningful information," according to the report authors.

Shoppers have Amazon. Students have Google. Oncologists will have CancerLinQ.

"Medicine has lagged behind the rest of society in adopting and benefiting from these remarkable and ubiquitous technological improvements," Hudis said.

CancerLinQ is an electronic health system that will collect and analyze data from millions of patients and provide feedback to providers in terms of standards of care and best practices. Its goal, Hudis said, is to prevent mistakes before they happen.

"I'd rather have a doctor who avoids mistakes than one who learns from them," he said.

The oncology society said it expects to roll out some components of the system in early 2015.

Most cancer cases are preventable

@highlight

Oncology group releases report: "The State of Cancer Care in America"

@highlight

Number of new cases is expected to increase nearly 45% by 2030

@highlight

Smaller community oncology practices being absorbed by larger networks

@highlight

Patients having to travel farther and pay more for cancer services