Atlanta (CNN) -- An American doctor infected with Ebola is making progress a day after he arrived in Atlanta from Liberia, where he contracted the deadly virus.

"It's encouraging that he seems to be improving," Thomas Frieden, director of the Centers for Disease Control and Prevention, told CBS' "Face the Nation" on Sunday. "That is really important, and we are hoping he will continue to improve."

The Christian charity that employs Dr. Kent Brantly confirmed that the 33-year-old received a dose of an experimental serum before leaving Liberia.

"We praise God for the news that Kent's condition is improving," Samaritan's Purse said in a statement.

Brantly, the first known patient with the deadly virus to be treated on U.S. soil, landed at Dobbins Air Reserve Base in Georgia on Saturday and was quickly rushed to Atlanta's Emory University Hospital.

He's one of two Americans sickened by the deadly viral hemorrhagic fever last month while on the front lines of a major outbreak in West Africa.

Emory has said it will treat Brantly and fellow missionary Nancy Writebol in an isolation unit.

Phoenix Air says its highly specialized air ambulance, equipped with an isolation unit, departed Georgia for Liberia on Sunday evening to pick up Writebol. The flight is scheduled to land in Georgia on Tuesday.

Brantly's wife, parents and sister cried when they saw him on CNN walking from the ambulance into the hospital, another representative of Samaritan's Purse said on condition of anonymity. His wife, Amber, later said she was relieved that her husband was back in the United States and was "confident that he is receiving the very best care."

"I was able to see Kent today. He is in good spirits," she said Sunday. "He thanked everyone for their prayers and asked for continued prayer for Nancy Writebol's safe return and full recovery."

Amber Brantly visited her husband along with their daughter in Liberia, but Frieden said "they did not have contact with him when he was sick, so it does not appear that they would be at risk."

Tennessee doctor who worked with Ebola patients quarantines self

Brantly, who has ties to Texas and Indiana, and Writebol, of North Carolina, became sick while caring for Ebola patients in Liberia, one of three West African nations hit by an outbreak.

Treatment in isolation

This will be the first human Ebola test for a U.S. medical facility. The patients will be treated at an isolated unit where precautions are in place to keep such deadly diseases from spreading, unit supervisor Dr. Bruce Ribner said.

Everything that comes in and out of the unit will be controlled, Ribner said, and it will have windows and an intercom for staff to interact with patients without being in the room.

Ebola doesn't spread through airborne or waterborne methods. It spreads through contact with organs and bodily fluids such as blood, saliva, urine and other secretions of infected people.

There is no FDA-approved treatment for Ebola, and Emory will use what Ribner calls "supportive care." That means carefully tracking a patient's symptoms, vital signs and organ function and taking measures, such as blood transfusions and dialysis, to keep patients stable.

Dr. Sanjay Gupta: Ebola will go global

"We just have to keep the patient alive long enough in order for the body to control this infection," Ribner said.

Writebol was given an experimental serum this week, Samaritan's Purse said, though its purpose and effects weren't immediately publicized.

The Ebola virus causes viral hemorrhagic fever, which refers to a group of viruses that affect multiple organ systems in the body and are often accompanied by bleeding.

Early symptoms include sudden onset of fever, weakness, muscle pain, headaches and a sore throat. They later progress to vomiting, diarrhea, impaired kidney and liver function -- and sometimes internal and external bleeding.

Emory's isolation unit was created with the Centers for Disease Control and Prevention, which is based nearby. It aims to optimize care for those with highly infectious diseases and is one of four U.S. institutions capable of providing such treatment.

The World Health Organization reports that the outbreak in Liberia, Sierra Leone and Guinea is believed to have infected 1,323 people and killed more than 729 this year, as of July 27.

Fight against Ebola

All the concerns in the United States pale in comparison to the harsh reality in the hardest-hit areas.

Even in the best-case scenario, it could take three to six months to stem the epidemic in West Africa, Frieden said.

There's no vaccine, though one is in the works.

The National Institutes of Health plans to begin testing an experimental Ebola vaccine in people as early as September. Tests on primates have been successful.

So far, the outbreak is confined to West Africa. Although infections are dropping in Guinea, they are on the rise in Liberia and Sierra Leone.

On Saturday, Ebola claimed the life of a medical director at a hospital in Liberia's capital. A Saint Joseph's Hospital statement said Dr. Patrick Nshamdze tested positive July 29 after being sick for two weeks.

In the 1990s, an Ebola strain tied to monkeys -- Ebola-Reston -- was found in the United States, but no humans got sick from it, according to the CDC.

Sierra Leone deploys military; screens passengers

In Sierra Leone, where government officials have asked citizens to stay away from work, the military has deployed at least 750 infantry and military medical officials to 13 locations, military spokesman Col. Michael Samoura said Sunday.

Health officials are screening incoming and outgoing passengers at the country's main international airport with a device that takes people's temperature from their eyes at a distance.

Anyone showing signs of fever is taken away to have their blood tested for Ebola.

Experts: U.S. health care system well-prepared for Ebola

CNN's Jason Hanna and Faith Karimi reported from Atlanta; CNN's David McKenzie reported from Freetown, Sierra Leone. CNN's Christabelle Fombu and Nana Karikari-apau contributed to this report

@highlight

NEW: Kent Brantly received experimental serum before leaving Liberia

@highlight

NEW: Air ambulance left for Liberia on Sunday to retrieve second U.S. patient

@highlight

Brantly is the first known Ebola patient in the U.S.

@highlight

Both Americans infected with Ebola will be treated in Atlanta