Santiago de Compostela, Spain (CNN) -- Somber organ music filled a cathedral in northwestern Spain Monday at a memorial Mass for the 79 passengers who perished in last week's train crash.

Santiago de Compostela Archbishop Julian Barrio offered prayers for victims and their families, and praised neighbors who lived near the tracks for rushing to help those in need.

On a day last week when residents were preparing for a large regional celebration, he said, "news of the rail accident overwhelmed our souls."

"Our brothers lost their lives ... when they had so many plans. It is not easy to understand and accept this reality," he said, "but I say to you, let our pain not be wasted. Everything has meaning in our lives. We are not shouting in a vacuum. Our faith tells us that our pain and suffering, joined with that of Christ and the cross, carries us to salvation."

Along with relatives of some of the victims, Prime Minister Mariano Rajoy and members of Spain's royal family were among those who attended Monday's Mass.

Passengers in last week's crash came from near and far -- Europe, Latin America, the United States -- and had almost reached their destination of Ferrol on the northwestern coast when the train careened around a curve and derailed, hurling carriages into a concrete bridge support structure.

Five days have passed since the disaster, but many questions remain: What caused the train to derail? Was the train going too fast? And what did the conductor do in the moments before the crash?

The driver

The driver of the train, Francisco Jose Garzon, was charged Sunday with 79 counts of homicide by professional recklessness and an undetermined number of counts of causing injury by professional recklessness.

A court granted Garzon conditional release, but his license to operate a train has been suspended for six months. He also surrendered his passport and must report to court weekly.

Many have questioned how fast the train was traveling when its wheels left the track near Santiago de Compostela on Wednesday evening.

Interior Minister Jorge Fernandez Diaz told reporters Saturday there are "rational indications" that the crash was the fault of the driver. But pressed on what those are, he declined to provide details.

Police now have the data recorders from the train.

A somber task

Over the weekend, relatives of victims embarked on the grim but necessary task of picking up the luggage left behind.

A solemn parade of mourners wheeled bags away from the police station in Santiago de Compostela. The suitcases had been recovered from the wreckage scene, their owners either dead or badly injured.

About 70 people injured in the crash remained hospitalized Sunday, including 22 in serious condition, a representative for the regional health department said.

Identifying the bodies

Forensic police say all 79 bodies have been identified.

The dead include at least 63 from Spain, said Maria Pardo Rios, spokeswoman for the Galicia regional supreme court. Some of the other victims came from the United States, Latin America and Europe.

Myrta Fariza was one of the two Americans killed. She and her husband were on their way to a Catholic festival; he was injured and later released from the hospital.

"Myrta was our loving wife, mother, sister, mother-in-law, aunt and friend, and words cannot express our sense of loss," her family said in a statement. "To all who knew her, Myrta provided irreplaceable love, compassion, courage, friendship and support. We will miss her dearly."

The other American was Ana-Maria Cordoba of Arlington, Virginia.

Forensic experts said Saturday there are 37 body parts that must still be tested to see whether they belong to bodies that have already been identified, or to others not yet known.

Going too fast?

The driver of the train has said it was traveling about 190 kilometers per hour (120 mph), the Spanish news agency Efe and the national daily El Pais reported, citing sources within the investigation

But a spokeswoman for the national railway Renfe did not disclose the speed the train was traveling on an express track, where cars can go as fast as 250 kph. But she said the speed limit for the bend of track where the crash occurred is 80 kph.

Rafael Catala, secretary of state for transport and housing, told Spanish radio network Cadena SER that the "tragedy appears to be linked to the train going too fast" -- but that the reasons it was going so fast are not yet known.

The express passenger service was nearing the end of a six-hour trip from Madrid to the town of Ferrol, on the Atlantic coast, when the crash occurred, the state railway said.

Firefighter Miguel Angel Bello said the first four minutes after he arrived on the scene were a desperate race against time.

He and fellow firefighters smashed windows and kicked in doors to pull out the passengers trapped inside as rail cars went up in flames.

A young girl in the wreckage called out to him.

"She was under wreckage she said she wanted to get out and go home," he said. "But she died."

'It felt like a roller coaster'

Elder Stephen Ward of Utah was headed to the coastal Spanish town, ready to start a two-year Mormon religious mission.

The last thing he remembers from the train was flying sideways out of his seat.

"We had been going around some pretty sharp turns. We finally came to one more sharp turn, and the train, like, completely lifted up," he said. "It was leaning sideways. It felt like a roller coaster."

Ward, 18, blacked out when his car slammed on to its side, regaining consciousness only as he was being helped out of the train.

"I've got staples all over my scalp, I was covered in blood," he said. "They've scrubbed most of it off me now, but everyone was just covered in their own blood and occasionally the blood of others. It was gruesome to say the least."

Ward was discharged from the hospital Thursday, wearing a neck brace because of a cracked vertebra he suffered in the crash. Lacerations on his face are stapled shut, and there's a huge bruise on his leg.

Once he recovers, he plans to return to his missionary service.

CNN's Karl Penhaul reported from Santiago de Compostela and Holly Yan from Atlanta. CNN's Laura Perez Maestro, Catherine E. Shoichet, Mariano Castillo, Laura Smith-Spark, Al Goodman, Bob Hand and Jonathan Helman contributed to this report.

@highlight

NEW: A memorial Mass at Santiago de Compostela's cathedral honors the 79 killed

@highlight

An archbishop offers prayers and praises those who rushed to aid victims

@highlight

Driver Garzon is charged with 79 counts of homicide by professional recklessness

@highlight

They were killed after the train derailed Wednesday near the northwestern Spanish town