(CNN)  -- In the aftermath of the 42-year rule of Moammar Gadhafi, the world is left wondering whether the bloodiest conflict in the popular unrest that has swept the Arab World will signal the rise of democracy in Libya or a descent into chaos.

A group of economists is proposing one solution to help a strong Libya emerge from the smoldering ruins of civil war: Give all Libyans direct annual payments from oil revenue.

Call it the 'Alaska solution.'

"In 1982 then-governor Jay Hammond of Alaska said, 'Look, there is no check or balance on our use (of state oil revenue)," said Todd Moss, a senior fellow at the Center for Global Development in Washington. Hammond started a program to give residents annual checks from the state's petroleum fund. "That held Hammond and all his successors into account."

Libya is a textbook example, Moss said, of what is known as the "resource curse" - countries whose economies depend on oil, gas or other natural resource exports. It's sometimes known as "the paradox of plenty" - rather than create an economic boom, export cash from resource-rich nations often flows directly to corrupt leaders while most the population doesn't share in the wealth.

How to handle a sudden burst in commodity wealth is an issue that echoes around the globe, from the huge copper and coal mines plumbed in Mongolia, to the offshore gas fields in Ghana and vast tracts of lithium deposits in the Andes Mountains of Bolivia.

"Of course you have corruption, but I think the key thing about understanding how the resource curse works is it impedes economic and political development," said Arvind Subramanian, a senior fellow at the Peterson Institute of International Economics in Washington.

Resource curse in the Arab World

Research shows the more a nation's economy is dependent on export of natural resources, the less that nation's economy is likely to grow, says Ragnar Torvik, an economist at the Norwegian University of Science and Technology. "But it's a chicken and the egg question- is it natural resources that cause this low growth, or some bad economic and political conditions as a result of just specializing in natural resources?" Torvik said.

The unrest in the Arab world demonstrates the resource curse at play. "Why was the population (of Libya) not able to get rid of Gadhafi by their own, as they did in Egypt and Tunisia? One likely part of the answer is that the oil revenues in Libya is much more important than in Tunisia and Egypt, which gives the ruler a much wider menu of political choices to fight the democratic demands from the population," Torvik said.

"And why was the response in Saudi Arabia to hand out large sums of cash to the people? Presumably this was not because suddenly that they cared more about the people - the more likely answer is that this was a move to maintain political power and avoid demands for democracy," Torvik said. "So I think indeed the varieties of experience in the Middle East in the last months have much to do with oil revenues."

Major natural resources aren't necessarily a national curse. A recent survey of the 10 most livable cities by the Economist Intelligence Unit is dominated by cities in Canada and Australia - nations that both have booming commodities exports. While sub-Saharan countries like Nigeria and Congo have had moribund economic growth despite resource riches, diamond-rich Botswana is the fastest growing economy in Africa.

"Here in Norway we are one of the largest oil and gas exporters in the world; I can observe that in Nigeria oil has been bad, but in Norway it is good," Torvik said.

A key difference between nations that do well with natural resources and those that are "cursed" depends on the strength of government institutions before nations strike underground wealth, economists say. Botswana is one of the few sub-Saharan nations with a parliamentary system of government. Norway had 200 years of democracy before its off-shore oil industry took off in the 1970s.

Instead of giving direct payments to citizens, Norway has plowed all its oil revenues into a public fund for use in education or other public works. "We use 4% of the fund every year, the ambition is you don't eat the principal but live off the interest," Torvik said.

Mongolia grapples with 'curse'

On the steppes of Mongolia, the land of Genghis Khan has released a horde of coal and copper in recent years, causing an economic explosion in this landlocked nation in Central Asia. But worries are rising with its national coffers, Mongolian Prime Minister Sukhbaatar Batbold said.

"We talk a lot these days, and especially the last couple years, about the resource curse," Batbold told CNN.

"We have seen the Norwegian experience of sharing the benefit with the people. We have seen the Chilean stability fund, we have seen Canadian and Alaskan model," Batbold said. "We should not reinvent the wheel, we should better learn and copy from good successes."

For example, Mongolia is using mining revenues to finance child cash benefits. Each Mongolian citizen will receive 536 shares from the privatization of the Tavan Tolgoi coal mine in southern Mongolia.

"Hopefully, the people will appreciate that they are responsible for an investment in their own future and that they will learn how to treat those shares and use them for benefit for themselves and their children in the future, rather than just selling them," said Bill Gorman, president of the Mongolian Stock Exchange.

Yet the challenges are stark for Mongolia, which has only has 20 years of democracy. The nation ranks 116th out of 187 nations in the 2010 Transparency International corruption perceptions. One-third of Mongolia's 2.8 million people live below the poverty line.

Corruption "is an enormous problem, but one of things we're hoping to do with our partnership with the London Stock Exchange is to make certain the listed companies have proper transparency and management," said Gorman of the Mongolian Stock Exchange.

Are taxes the solution?

Giving direct payments to Libyans, Subramanian and Moss argue, is a way for a new government in Tripoli to foster closer economic ties with its citizens - through taxes.

Taxes create an incentive for the government to make broad improvements across the economy to increase government revenues. And, as the Tea Party phenomenon in the U.S. shows, taxes create a populace that is deeply interested in how government spends its cash. "They are going to watch the government like a hawk," Moss said. "If one year people get a $500 check (from oil revenues) and the next year they get $400, they're going to wonder why."

"People think (an oil find) is Manna from heaven, so you don't need to tax," Subramanian says. "But that severs that two-way relationship between the governed and those who are governed."

Two practical problems to giving away oil cash: Convincing leaders it's in their best interests, and the modalities of getting that cash to citizens. "The latter is actually the easiest ... there's been a lot of advances in biometrics, such as iris scanning and fingerprinting, along with e-banking through cell phones," Moss said.

Trying to talk leaders in resource-rich countries to give it away, however, is another matter. Both Moss and Subramanian have approached leaders in Ghana and Nigeria, respectively, to distribute it - both were rebuffed.

Still, a new government in Libya could have a unique "constitutional moment" to allow its oil profits to flow directly to the populace, Subramanian said. "Libya is a country that has had virtually no political development for nearly 50 years," he said.

Adds Moss: "When you have a moment of transition, there's a lot of uncertainty - that's a moment you can lock into a certain kind of path you may not find for another generation."

CNN's Anna Coren contributed to this report

@highlight

'Resource curse' hits economies depend on oil, gas or other natural resource exports

@highlight

'Paradox of plenty' can prop up weak or corrupt leaders at expense of economic growth

@highlight

Some economists believe countries like Libya could reform through sharing oil wealth

@highlight

Many countries, such as Botswana and Norway, have avoided the 'resource curse'