(CNN) -- It's no James Bond. But then again, 007 probably couldn't patrol the ocean depths, in disguise, for hours at a time.

Meet Cyro, the robotic jellyfish.

Designed by a team of researchers at Virginia Tech's College of Engineering, the robot is 5 feet, 7 inches wide and weighs 170 pounds but is stealthy enough to one day be used as an underwater spy for the military.

Cyro is part of a nationwide, multi-university $5 million project funded by U.S. Naval Undersea Warfare Center and the Office of Naval Research.

The goal is to create self-powering, autonomous robots that could be used for underwater surveillance or to monitor the ocean environment.

"We are trying to get it as close as possible to the natural animal," said Alex Villanueva, a Virginia Tech doctoral student in mechanical engineering. "The way it looks, the way it moves, the general feel of it."

The Navy has been involved with robotic jellyfish in the past, but none has been of this magnitude.

Virginia Tech's research team, led by mechanical engineering professor Shashank Priya, unveiled an early prototype called RoboJelly in 2012. But that robot was only as big as a man's hand.

"One reason to develop a larger vehicle is payloadâ€”more room to put instruments, allowing you to achieve more complex missions," Villanueva said. "But another important thing is that as your robot gets bigger, it actually becomes more efficient ... biologists have shown that the animals, as they get bigger, actually use less energy going from point A to point B."

Cyro, named after the jellyfish Cyanea capillata, has eight aluminum arms and a white, flexible silicone covering. It is designed to mimic the way a real jellyfish propels itself through the water.

A control box in the middle of the jellyfish serves as the robot's "brain." The robot does not currently carry a camera, but researchers say one could be added, along with other monitoring instruments.

"Cyro has a basic control system. We program Cyro beforehand and basically map out what we want it to do. So when we turn on Cyro in the water, it follows this mission that we pre-programmed," Villanueva said.

One of the limitations of this prototype is how long it can swim. The robot can last about four hours continuously using a rechargeable nickel metal hydride battery.

"We're somewhat limited by the batteries," Villanueva said. "The idea behind the project is to develop these vehicles that can last as long as possible and require as little maintenance as possible. In the future, we're trying to leave this robot in the ocean for weeks and months at a time."

The research team is exploring alternative energy sources to power the robot.

"If you look at the natural animal, it can't swim infinitely without eating. It's the same thing with the robots. They have to refuel," he said. "We're looking into energy harvesting using any sources that we can in the ocean â€” solar, wave energy. We're also looking into some more novel methods such as the digestion of nutrients in the ocean waters using microbial fuel cells."

Although this prototype is still years away from being deployed in the ocean, there are plenty of potential uses. The robot could be used to study schools of fish, monitor ocean currents or handle cleanup duty from oil spills. Not to mention play a role in covert military surveillance operations.

"One of the strengths of the jellyfish as far as stealth is that it's an animal you don't really feel threatened by," Villanueva said. "If I saw a shark and a jellyfish ... and both of them turned out to be robots, I would definitely pay more attention to the shark."

@highlight

Researchers develop a robotic jellyfish that could be used for undersea surveillance

@highlight

The robot has a white silicone covering that acts as a disguise

@highlight

It's been developed by grad students at Virginia Tech's College of Engineering

@highlight

The robot is still years away from being deployed in the ocean