In one of the most anticipated Supreme Court hearings in years, the justices on Tuesday offered sharply divided views on the controversial individual mandate provision at the heart of the 2010 federal health care reform law.

The fate of the individual mandate -- requiring most Americans to purchase health insurance by 2014 or face a financial penalty -- may be in jeopardy, and perhaps with it the entire law's other 450 or so sections, based on tough questions of the government by the court's conservative majority.

Jeffrey Toobin, CNN's senior legal analyst, said questions asked at oral arguments often show how justices are thinking, and based on what he heard Tuesday, the health care reform law could be in "grave danger."

Neither the justices nor the lawyers arguing before them mentioned "Obamacare"-- as opponents have labeled the law pushed through Congress by Democrats and President Barack Obama -- or the president by name.

But the court seemed fully aware of the landmark consequences of their eventual rulings.

"Those who don't participate in health care make it more expensive for everyone else," said Justice Ruth Bader Ginsburg, in support of the law. "It is not your free choice" to stay out of the market for life, she said.

Hear Tuesday's oral arguments

Younger, mostly healthy people who would be the "subsidizers will become the subsidized" when they grow older, added Justice Elena Kagan.

However, Justice Anthony Kennedy said that the federal government "is telling an individual he has the obligation he must act" and purchase insurance.

"That threatens to change the relationship between the government and the individual in a profound way," Kennedy said.

If Congress could regulate health care in the name of commerce, added Chief Justice John Roberts, "all bets are off" on a range of areas subject to federal oversight.

Monday roundup: 90 minutes of lively debate

Tuesday's argument was the biggest of the high court's three-day marathon this week examining the limits of congressional authority. It was part legal seminar, part history lesson, with politics sprinkled throughout.

At least 17 members of Congress attended, along with several members of the Obama administration, including Attorney General Eric Holder.

Administration officials, speaking on condition of not being identified, said they expect the high court to uphold the individual mandate despite the tough questioning Tuesday.

Read a transcript from the courtroom

They noted conservative judges who asked similarly challenging questions as the issue made its way to the Supreme Court ended up upholding the mandate, and that Roberts targeted both sides with his queries.

Outside the court, dueling news conferences and protests Tuesday reflected the partisan nature of the health care debate.

Rep. Michele Bachmann of Minnesota, who failed in her bid for the Republican presidential nomination to take on Obama in November, told tea party supporters near the Supreme Court building that the issue is freedom for individuals to decide their health care needs.

"If the federal government can tell you, when you are not doing anything, that you must do something, then the federal government can tell you anything," Bachmann said, later adding a call for the Supreme Court to declare the mandate unconstitutional.

Sen. Ron Johnson, a Wisconsin Republican, said he was "optimistic" the court would strike down the mandate because he saw Justice Kennedy was "highly skeptical."

"Can the federal government force Americans, free Americans to buy a product?" Johnson said.  "That's really what this boils down to. This is a very basic issue of freedom. I would say four conservative justices, three of them spoke and they were highly critical of this claim."

Sen. Rand Paul, a Kentucky Republican, called it the "most important decision probably in two or three generations."

The Supreme Court and election-year blockbusters

Earlier, a cancer patient said at a news conference held by supporters of the law that it saved her life.

"Because President Obama signed the Affordable Care Act, I get to keep my house, I won't go bankrupt, my kids are going to get to go to college, and I am going to live," Spike Dolomite Ward said to cheers.

The nine-member bench kept Tuesday's two hours of arguments focused on the constitutional and policy implications.

CNN Poll: Most want health law modified, not scrapped

At issue: May the federal government, under the Constitution's commerce clause, regulate economic "inactivity"? Three federal appeals courts have found the Affordable Care Act to be constitutional, while another has said it is not, labeling it "breathtaking in its expansive scope."

That "circuit split" all but assured that the Supreme Court would step in and decide the matter.

A coalition of 26 states, led by Florida, argues individuals cannot be forced to buy insurance, a "product" they may neither want nor need.

The Justice Department has countered that since every American will need medical care at some point in their lives, individuals do not "choose" to participate in the health care market.

Federal officials cite 2008 figures of $43 billion in uncompensated costs from the millions of uninsured people who receive health services -- costs that are shifted first to insurance companies and then passed on to consumers.

In court, Solicitor General Donald Verrilli Jr. struggled to articulate the government's position that the mandate regulates commerce that already exists because everyone -- whether or not they currently have health insurance -- participates in the health care market.

Justice Antonin Scalia jumped in, asking Verrilli: "Why do you define the (health care) market that broadly?"

"It may well be that everybody needs health care sooner or later, but not everybody needs a heart transplant, not everybody needs a liver transplant," Scalia continued. "Could you define the market so that everybody has to buy food sooner or later, so you define the market as food, therefore, everybody is in the market; therefore, you can make people buy broccoli?"

Roberts said the law covers pediatric care and drug treatment, but not all Americans would need them and would indirectly subsidize them.

But Justice Sonia Sotomayor said the federal government's economic oversight is broad, "true of almost every product, directly or indirectly by government regulation."

"There is government compulsion in almost every economic decision because the government regulates so much," Sotomayor added, calling it "a condition of life that some may rail against," but the reality nonetheless.

Ginsburg, meanwhile, made the correlation between health care reform and Social Security, passed in the 1930s to give a financial boost to older citizens, that is subsidized by young and old.

"If Congress could see this as a problem when we need to have a group that will subsidize the ones who are going to get the benefits, it seems to me you are saying the only way that could be done is if the government does it itself; it can't involve the private market, it can't involve the private insurers," Ginsburg said.

A CNN/ORC International poll released Monday indicated that the health care law is growing in popularity, especially among independent voters, but half of those questioned still oppose it. However, while most opponents of the measure believe it goes too far, some who disapprove think it's not liberal enough.

The poll found an almost even split on the individual mandate, with 47% in favor and 51% opposed, a gap within the survey's margin of error. According to the survey, a gender gap exists on the issue, with 58% of men opposing the mandate while 53% of women support it.

In addition, a stark partisan divide exists on the issue, with 71% of Democrats favoring the mandate while 78% of Republicans oppose it. Among independents, 56% oppose the provision.

CNN Money: What if the new health law is killed?

The opposing sides do not even agree on what the mandate -- known as the "buy in" or "minimum coverage" provision -- was designed to accomplish.

Supporters see it as a way to spread health care costs among a larger pool of individuals, ensuring affordable, quality medical care. They say regulating commerce and the economy has long been a federal prerogative.

Opponents see fundamental constitutional violations, such as an intrusion into a citizen's personal life and an intrusion in long-held state power.

Most individuals would be covered under the mandate, except for those whose religious beliefs would conflict, as well as illegal aliens and inmates.

It would fall on insurance companies to inform the government of those covered under their health policies.

10 things you might not know about health care law

It is the individual mandate that has sparked the most controversy. It requires nearly every American to purchase some level of insurance or face a tax penalty of up to about $700 a year.

On Monday, the justices quickly bored of the dense legal argument presented on whether the individual mandate was a "tax," which would put off consideration of the larger constitutional questions for another few years.

Few on the bench seemed eager to embrace that go-slow approach, and some justices began asking questions about Tuesday's argument on the individual mandate.

Two families, two viewpoints on health reform

That shows where the court's real focus lies, knowing its ruling on the mandate key question will have enormous legal, social and political implications. Tuesday's case was Department of Health and Human Services v. Florida (11-398).

Oral arguments conclude Wednesday with two hearings on whether the entire law should collapse if the individual mandate is found unconstitutional, and whether the separate expansion of Medicaid is unduly burdening the states.

Rulings on all four issues taken up by the court are expected by late June.

@highlight

Administration officials say they expect the mandate to be upheld

@highlight

CNN's legal analyst says the individual mandate appears to be in "grave danger"

@highlight

Kennedy: It could "change the relationship between the government and the individual"

@highlight

Supporters of the health law say the federal government had to get involved