Google Street View, the interactive panorama feature within Google Maps, has shared eye-level images of Antarctica, gone inside NASA's Kennedy Space Center, floated down rivers in the Amazon and strolled the halls of famous museums.

Now the company is going underwater. The company on Wednesday added panoramic undersea images of the Great Barrier Reef in Australia, the waters off the Apo Islands in the Philippines and underwater life around the Hawaiian islands.

The stunning photos capture fish, plants, turtles and other marine critters going about their business in faraway oceans. Now anyone can get an immersive view of the seas without getting wet or worrying about the bends. Zoom in to check out a manta ray's belly, join a school of fish or study intricate coral up close.

More Australia wildlife news: Albino whale puts on show

The photos are part of a partnership with the Catlin Seaview Survey, an ambitious project focused on documenting the world's reefs using high-resolution 360-degree images. Catlin is working to create a thorough archive off the world's reefs that scientists can use to study the effects of climate change. By documenting reefs with photographs, it will be possible to determine the impact increased water temperatures and acidity will have on the areas over time.

"If you want to reach millions of people worldwide, the first place you knock on the door is Google," said Richard Vevers, project director of the Catlin Seaview Survey.

The partnership with Google (which also involved a live Google Hangout with a diver and a sea turtle earlier this year), is an attempt to get people invested in the fate of these ecosystems and the role the oceans play in sustaining the planet. For the 99% of people who have never been diving, a panoramic photo is a vivid introduction.

"It's about introducing to the wide number of people on this planet the impact we're having on these coral reefs," said Vevers. "Until we make coral reefs and the important ecosystem in the ocean relevant to people on the planet, we're not going to get action."

Google has used cars, trikes, snowmobiles and people outfitted with custom cameras to capture 360-degree images around the world. For this project, the images were taken by a camera custom-designed for the Catlin Seaview Survey, the SVII, whose design was inspired by sharks. The rapid-fire camera can be controlled by a tablet in watertight housing, and it records GPS data as well as the exact angle at which the photo was taken.

To capture images at greater depths, between 30 and 100 meters (about 98 to 328 feet), the group plans to send down special remotely operated vehicles outfitted with remote-controlled digital single-lens reflex cameras. Nearly 90% of the Great Barrier Reef is below 30 meters of water.

So far, the project has taken 15,000 panoramic photos underwater, and each of those is made of three separate shots. They hope to have between 50,000 and 100,000 panoramic photos by the end of next year. Future sites will include Bermuda, the Caribbean, the Indian Ocean and the Coral Triangle, an area where coral reefs retreated to after the last ice age.

Only the most interesting images will be used for Google Maps, but all will be accessible to scientists through the project's main site.

"One of the central concepts of this activity is to bring people on this jouney with scientists," said Ove Hoegh-Guldberg, director of the Global Change Institute at the University of Queensland.

The Street View (perhaps Reef View?) ocean project was first announced in February. Since it launched in 2007, Google Street View has captured 20 petabytes of data in 48 countries. The National Oceanic and Atmospheric Administration estimates that 95% of the ocean is still unexplored.

@highlight

Google and the Catlin Seaview Survey are capturing underwater imagery

@highlight

Images of the Great Barrier Reef, Philippines and Hawaii are viewable on Google Maps

@highlight

The project will help scientists monitor the effects of climate change on reefs