Princeton, New Jersey (CNN) -- In the week leading up to the meeting of world leaders in Washington, President Obama has been demonstrating a strong commitment to nuclear arms control.

Last week, he signed the first major agreement with the Russians since 2002, which reduces the number of nuclear warheads and long-range missiles.

Obama released the Nuclear Posture Review, saying the United States would not use nuclear weapons against countries that complied with the Nuclear Non-Proliferation Treaty, even if they attacked with conventional weapons. At the same time, the president said the countries that refused to abide by the treaty could be subject to nuclear reprisal.

Although Obama's Nuclear Posture Review does not go nearly as far as many of his supporters were hoping, some Republicans immediately attacked.

Sens. John Kyl and John McCain warned that "we believe that preventing nuclear terrorism and nuclear proliferation should begin by directly confronting the two leading proliferators and supporters of terrorism, Iran and North Korea. The Obama administration's policies, thus far, have failed to do that, and this failure has sent exactly the wrong message to other would-be proliferators and supporters of terrorism."

Some Democrats, constantly leery about appearing weak on national security, will buckle as the politics of nuclear weapons heats up when the treaty with the Russians reaches the Senate for ratification. But the administration should pursue this treaty aggressively and with confidence that they can win public opinion on this issue.

The president must remind fellow Democrats, as well as Republicans, that historically the public has tended to strongly support nuclear weapons treaties, and the presidents who pursue them.

After the Cuban Missile Crisis in October 1962, President Kennedy proposed the Limited Test Ban Treaty. Proponents of a ban on atmospheric and underwater testing of nuclear weapons had unsuccessfully pushed for some kind of ban since the early 1950s. There were many powerful opponents of a treaty, including the Joint Chiefs of Staff, as well as the Republican right. In 1963, they warned that a treaty would threaten America's military strength.

But Kennedy was determined to obtain a treaty. He had seen the possibility of nuclear war firsthand when the Soviets and the U.S. went eye-to-eye over missiles in Cuba. Kennedy also worried the Chinese were dangerously close to exploding their first nuclear bomb, something that also gave the Soviets an incentive to work toward some kind of treaty.

Negotiations over a limited test ban took place from March to May. Conservatives warned that verification would be impossible. On June 10, in an effort to move the process forward, Kennedy made a dramatic speech at American University in which he said, "I realize that the pursuit of peace is not as dramatic as the pursuit of war -- and frequently the words of the pursuer fall on deaf ears. But we have no more urgent task."

On August 5, 1963, the U.S., Britain and the Soviet Union reached an agreement on the Limited Test Ban Treaty that prohibited atmospheric, space and underwater testing. The administration remained nervous about whether Republicans would be able to block its ratification. But by limiting the test ban rather than agreeing to a total moratorium, Kennedy undercut the opposition.

The Senate ratified the treaty 80-19. Polls showed that Americans overwhelmingly approved of the treaty. The following year, President Johnson used Sen. Barry Goldwater's opposition to the treaty as a central theme in the fall presidential campaign.

Democrats broadcast a series of ads aimed at scaring the public about the possibility of nuclear war under a Goldwater presidency. Polls consistently showed that Goldwater's position on nuclear weapons was his greatest weakness.

Hawkish Republican presidents have also discovered that nuclear arms reduction is popular with voters.

In 1981, Ronald Reagan launched his presidency with an aggressive program that turned away from arms negotiations with the Soviet Union and insisted on the toughest terms possible before negotiations could even begin. He staffed key positions with neoconservatives who opposed negotiations with the Soviets. The administration also vastly increased defense spending.

But the public was scared, and Reagan knew it. By 1983, the atmosphere was tense.

Some called it the most dangerous period in the Cold War since 1962. A series of international crises, including a standoff that followed the shooting down a South Korean airliner by the Soviets, caused Reagan to see how easy it was for nuclear war to start.

There was strong political pressure on the administration as well. The nuclear freeze movement, a massive international movement, was creating immense political pressure for Reagan to reverse his agenda.

On television, Americans were fearful when they watched the television special "The Day After," which focused on the effect of a fictional nuclear war on a small town in Kansas.

One adviser warned Reagan that "the issue in the general arena of foreign relations that could swamp us if we do not handle it with great care is the proposed freeze on the production and deployment of nuclear weapons. Even when apprised of the difficulties of the verification of this plan, 75 percent of all Americans favor the freeze."

The Strategic Defense Initiative, under which Reagan proposed to build a shield around the U.S. to protect the nation from incoming missile attack, was partially a response to his critics to show the president wanted peace as well.

Reagan adopted a more conciliatory posture toward the Soviets in 1984. He delivered a widely publicized speech arguing that the Soviets and the U.S. could achieve peace. Then between 1985 and 1987, he defied the right-wing of the Republican Party -- Howard Phillips called him a "useful idiot" for Kremlin propaganda -- and entered into negotiations with the Soviet Union's Mikhail Gorbachev that culminated in the INF Treaty in 1987.

When national security is on the table, Democrats tend to get nervous politically, particularly if they support a position that can be characterized as too dovish. But when it comes to nuclear weapons, President Obama is on a path that is politically sustainable.

During the Cold War, presidents from both parties learned that the American public tends to prefer politicians who are willing to take risks to reduce nuclear stockpiles rather than those who beat the drums of war.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Barack Obama shows strong commitment to nuclear arms control, says Julian Zelizer

@highlight

He says other presidents have discovered controlling nuclear weapons is popular

@highlight

Some Democrats may be leery of taking a position seen as too dovish, he says

@highlight

Zelizer: Public prefers politicians willing to take risks to prevent nuclear war