At 16, Deon just about stopped dreaming.

The teen, born and raised mainly in Yakima, Washington, has been in and out of foster care since he was 5. Every time it looked like he might finally be adopted and find a permanent home, his hopes were dashed.

"You start to feel numb and depressed," said Deon, admitting that last year he "kind of gave up" ever thinking a family would want him.

"You lose hope ... and you think ... I have a few more years to go of this. What's going to happen to me?" he said during an interview.

At 18, children in foster care essentially age out of the system. State agencies might offer them services such as job skills training or help building resumes, but they ultimately need to find a way to take care of themselves.

"It's pretty frightening for them because they really are just pretty much on their own," said Amber Louis, Recruitment and Outreach Specialist for the Northwest Adoption Exchange in Seattle.

An idea is born

While Deon was giving up, Jennifer Loomis, an acclaimed maternity and family photographer, was getting curious.

A friend of hers had adopted a child. Since she and her boyfriend of four years didn't have any kids, she thought they should consider adopting as well.

So, she went online, visiting sites that showcased children to adopt.

"I was so blown away by how bad the photos were that I thought, 'Oh my God, these photos don't show these kids at all,' " said Loomis. "I can't get a sense of who these kids are."

As someone who tries to give back to her community as much as possible, Loomis thought surely she could carve out a couple of days to do a free photo shoot to create better pictures for the children.

"And so I sent an e-mail that night ... I said, 'Hi, this is really random but I'm a photographer in Seattle and I was looking through your site and I really feel like you guys need better photos,' " she told me with a laugh, remembering the directness of her note.

Amber Louis of the Northwest Adoption Exchange received Loomis' e-mail and jumped at the opportunity.

"I see so many kids with photos that just don't do them justice," said Louis.

"I think any photo that we can put together that shows their personality a little bit more is really helpful. ... I think it also increases the likelihood that an adoptive parent is going to stop and take a look when they are just scrolling through the pages of photos."

Strike a pose

Loomis teamed up with another photographer, Rocky Salskov, and received donations from friends and clients, including food, balloons, even a small trampoline, to use for the photo shoot.

The goal? To show the "sensitive, vulnerable side of these kids," said Loomis.

"I wanted photos where you could look into their eyes and see into their soul a little bit better, where you could be like, 'Wow, Deon, what a guy,' " she said.

Deon was one of seven children in foster care, from age 9 through 17, chosen for the two-day photo shoot.

"I got really into it. I started posing, and there was one part where they had the trampoline there and that was so fun. You jump up in the air and strike a pose," he said. "It was really, really cool."

Louis said she had targeted kids like Deon who she thought needed new photos. "You just cross your fingers and hope that ... a photo will catch (someone's) eye and they'll inquire."

'A burning thing in my heart'

Joanna Church of Oak Harbor, Washington, which is on Whidbey Island, remembers being at a church service as a young girl, and hearing about how children are less likely to be adopted as they get older and how older children in foster care are at greater risk for homelessness and incarceration once they age out of the foster care system.

They are also at greater risk of unemployment, pregnancy and suffering from poor health, according to research.

"And so from a really young age ... it just was a burning thing in my heart that I just knew it was something I wanted to do someday," said Church, who works with the Canadian National Defense and helps military families living on Whidbey Island.

After trying for some time to have biological children, Church approached her husband, Sean Vaillancourt, a sonar operator for the Canadian Navy, with the idea of adopting an older child in the foster care system.

Vaillancourt remembers feeling unsure about whether they should take such a life-changing step.

"I was nervous going into it because you just don't know what you're about to get ... like, 'Am I going to be borrowing trouble? Am I going to be a good father?' " said Vaillancourt.

After thinking about how much they had in their lives and how much they could give back, he decided to go forward but remained anxious.

Sparkly, happy eyes

With her husband's support, Church headed online to look for children hoping for a home.

She saw Deon's picture on a different website and went right past it, she said. 'It wasn't a good picture. It was grainy. ... It did not capture me at all."

But when she saw Deon on the Northwest Adoption Exchange website, which showcased the pictures that Loomis and Salskov had taken, she stopped.

"You saw ... personality in the face, like you saw it coming off the page, and it was enough to get us to stop and open that profile and look at it, and want to get to know Deon better," said Church.

When I asked her what she saw in those pictures, she said Deon's "sparkly happy eyes."

OPINION: Why adoption jokes hurt

Amber Louis remembers the phone call.

"When I heard that there was this family interested, I kept my fingers and toes crossed," she said.

Photographer Loomis, who is due to give birth in July, smiled when she heard the news. "This is exactly what I hoped for even though I wasn't sure it would happen. Photographs can be really powerful when they are authentic and genuine."

When Deon learned a family was interested in him, he was excited but his guard remained up.

"I thought it was too good to be true because I've had that happen to me where I'd go for a little bit and then I'd come back, and so the fact that somebody actually wants me is pretty cool."

In October, Deon moved into Joanna and Sean's home and then they started the process of adopting him. They expect his adoption to become final next week and are planning a big family party to celebrate. Joanna and Sean are also helping Deon get Canadian citizenship, because they will be moving to Victoria, British Columbia in August.

No matter where they live, they say they are committed to making sure Deon remains connected with his biological family, including a great grandmother who has been his primary care provider throughout this life.

"They've really given me a new look on life," said Deon, referring to Joanna and Sean. "Instead of feeling just like that I'm all alone, I actually feel like I have somebody there for me."

"I think that's the most rewarding thing is just trying to be there for somebody else," said Vaillancourt.

Raising awareness

Church has become a passionate advocate for children in foster care, hoping her story will help raise awareness about how many kids are waiting for homes and how life-changing adoption can be for them.

As of November of last year, there were nearly 400,000 children in the United States in foster care.

"There's just such a need, there (are) just so many great kids out there," she said.

To people who might be afraid to adopt an older child thinking they will come with grown-up issues to contend with, Church argues that biological children come with big question marks, too.

"Well, you just don't know what kind of kid you're going to get," she said people tell her. "And my response is always, you (don't) know what kind of kid you're going to get when you birth them."

Saving a life

For Church's husband, the experience is all about giving a kid a chance.

"We've all had our chances, from our parents, from somebody looking out for us, and these (kids) have nobody looking out for them," said Vaillancourt.

Before the couple decided to adopt Deon, he didn't do that well in school and thought the military might be his only option. Now his grades are up, and he's running track for his high school, learning to drive, getting excited to travel to Canada and thinking about other careers, including one in the military.

"We get the privilege of helping a kid discover who he is, what he likes, what his strengths are and what he can be truly passionate about in life," said Church in a follow-up e-mail.

When you give someone a chance, it can change their life forever, Deon said.

"They could actually play a part in the community and do something with (themselves), rather than end up in jail or even worse, dead," he said.

"You are basically saving a life."

Would you consider adopting an older child? Chime in below in the comments or tell Kelly Wallace on Twitter and CNN Living on Facebook.

@highlight

Photographer Jennifer Loomis felt the photos of foster children didn't do them justice

@highlight

She and another photographer convened a free photo shoot to capture better photos

@highlight

Deon, 16, was one of seven foster children who took part in the special shoot

@highlight

Nearly 400,000 children were in foster care as of November 2013