Beijing (CNN) -- President Hu Jintao has said what so many others have been thinking: the Chinese Communist Party is under threat.

In front of more than 2,000 delegates at the opening of the 18th Communist Party Congress in Beijing, Hu made plain there is a cancer at the heart of the system and it is called corruption.

"Combating corruption and promoting political integrity is a major political issue. If we fail to handle it, it could prove fatal to the party and even cause the collapse of the party and the fall of the state," he said.

It would be tempting to dismiss this as empty rhetoric, an attempt to placate an increasingly anxious and angry population.

But this isn't just about words. Chinese politics has been battered this year; a year of scandal, embarrassing revelations about the riches of party leaders, a slowing economy and a perilously widening wealth gap.

With one former leader, Bo Xilai, purged from the party and awaiting trial, Hu was putting others on notice.

"All those who violate party discipline and state laws, whoever they are and whatever power or official positions they have, must be brought to justice without mercy," he warned.

This is the last time Hu will address the Congress as party chief. Xi Jinping is preparing to be appointed General Secretary at the end of the meeting next week, and next year will be installed as state president.

Hu ends his ten years at the helm of a country that has risen to be the second biggest economy in the world -- closing fast on the United States. Yet, the nation is far from Hu's much vaunted "harmonious society."

The economy is overdue for reform, the old model of high investment, mass exports and cheap labor is looking tapped out. The party is trying to shift gears to be more domestic consumption-orientated, but economists say that is going to require significant investment in the social safety net to turn a nation of nervous savers into spenders.

Social unrest is on the rise with people, especially in rural areas, protesting against everything from environmental pollution to the rule of law and land seizures.

Ethnic groups continue to complain of victimization. Just this week there have been more reports of Tibetans setting themselves alight as part of a campaign for political and religious freedom. Human rights groups say dissidents -- particularly lawyers, writers and artists -- are languishing in prison or under house arrest.

Some China watchers say Hu's warnings about the fall of the party are meaningless, rather it his leadership that should be blamed.

"These are only empty words which sound good. In these ten years, China is nothing close to harmonious but the conflicts and contradictions have become worse. In fact, it is reaching a crisis moment," said Zhang Min, from China's Renmin University.

It will fall to Xi to save the party from itself. But this is a man who remains a mystery to many China watchers, though someone who has risen through the ranks being careful to keep his views to himself.

On a trip to Mexico in 2009, he lifted the veil just a little. Speaking to Chinese workers, he revealed a leader who may be more inclined to look for blame outside China than to criticize his own.

"There are some bored foreigners with full stomachs who have nothing better to do than point fingers at China," he said at the time.

As Hu ponders the party's demise, historian Zhang Lifun says Xi above all else will be dedicated to its survival. He's a son of the party, labeled as a "princeling" because his father was a revolutionary hero.

"He is part of a consensus to keep the Communist party as the only ruling party. Any so-called liberty must only be on the condition of the survival of a one-party dictatorship," he said.

Xi's very future depends on it.

@highlight

Outgoing President Hu Jintao warned against corruption in China

@highlight

He was speaking at the start of the 18th Communist Party Congress

@highlight

China has been beset by political scandals, corruption claims and slowing economy

@highlight

But critics argue Hu himself is to blame for many of China's problems