Baghdad (CNN) -- Hundreds of demonstrators were in the streets Thursday in locales around Iraq, inspired by uprisings elsewhere in the region as they railed against the government's inability to provide basic services and complained of food, water and power shortages, officials said.

The biggest demonstration took place in al Hamza, a relatively poor town in a heavily Shiite region about 200 kilometers (125 miles) south of Baghdad. Two Iraqi interior ministry officials -- who, per policy, did not speak by name due to security concerns -- estimated that that nearly 1,000 people participated.

The protesters walked toward a local council building, trying to force their way in as they hurled rocks inside the compound and at police outside, the Iraqi Interior Ministry officials said. Some were heard shouting, "We've had enough" and "Where are your promises."

Iraqi police opened fire, ostensibly to disperse the crowd, and wounded three protesters in the process, the officials said. Four others were hurt while skirmishing with police outside the council building. Eventually, tribal and civic leaders intervened to end the demonstration, the officials said.

Some of the protesters carried items such as water tubes and oil lanterns to demonstrate a lack of basic services like water and reliable power.

Abu Sajad, a protester, said that sewage had flooded the small town's streets after heavy rain in recent days, and he complained that "the government hasn't done anything to solve it" even though it happens every year.

"We've suffered a lot from bad services in the town," Fadhil Hussein, a 50-year-old protester, told CNN. "One government comes and another leaves, and nothing has changed in this town for decades."

Dozens of protesters in Kut, part of another predominantly Shiite province about 110 kilometers south of Baghdad, Thursday demanded the resignation of Wasit's provincial governor, Latif Hamed, according to a Wasit police official and an Iraqi Interior Ministry official.

These were the latest in a string of demonstrations around Iraq, mostly emphasizing the same themes -- low-quality public services and a dearth of basic commodities.

That was the case Monday, when dozens of protesters took to the street in northern Baghdad's al-Husseinya district.

A day earlier, nearly 200 Iraqis demonstrated in two locations in Baghdad to show solidarity with those in Egyptian rallying against their President Hosni Mubarak and to criticize their own leaders.

They included about 100 people who gathered in Firdos Square in the city center, near where U.S. troops in 2004 pulled down a giant statue of former dictator Saddam Hussein. They referenced what was happening in Egypt, as well as their hope that their own government would take steps to improve Iraqis' security, increase basic services and pursue policies to create more jobs.

Figures compiled by Iraq's Defense, Interior and Health ministries indicate that 259 people -- 159 civilians, 55 police and 45 soldiers -- were killed in January 2011. The figures also show that 363 people were wounded in January --178 civilians , 95 police and 90 soldiers.

Meanwhile, Iraq's national unemployment rate is around 45%.

"We have suffered more than any other country in the past eight years, and it is time for Iraq's government to take serious steps to end our suffering," said one demonstrator, Qassim Harith. "We are here to support our brothers in Egypt, but also to give a message to Iraqi politicians and to the Iraqi government that Iraqis are losing patience."

Elsewhere in Baghdad on Sunday, another 100 people rallied just outside the heavily fortified Green Zone that houses Iraqi government offices and the U.S. and British embassies.

They, too, called for government to improve basic services and not to evacuate them from government buildings and institutions. Some carried a coffin draped in a black sheet that read "The share of the Iraqi."

"We sacrifice our blood and souls for Iraq," the protesters shouted.

Iraqi security forces, from the army and police, sported machine guns as they surrounded the demonstrators.

Some of the protesters said they were emboldened by the overthrow of Tunisia's long-time president, which began after Muhammad Al Bouazizi, a 26-year-old college graduate, set himself afire after a police officer seized the goods from his fruit stand. That popular uprising has been followed by anti-government demonstrations in Algeria, Yemen and Jordan as well as Egypt.

"Of course we have been inspired and what has happened because of a street vendor, who sparked the uprising in Tunis and now in Egypt," Hani Sabri, one Baghdad protester, told CNN.

@highlight

Hundreds protest in al Hamza, an Iraqi town, over a lack of basic services and shortages

@highlight

7 are wounded in confrontations with police outside a council building, officials say

@highlight

Dozens also demonstrate in the central Iraqi city of Kut, according to officials

@highlight

These anti-government protests follow similar ones Sunday and Monday in Baghdad