(CNN) -- "My beat is looking for ways to create a future which is sustainable, dynamic, prosperous and fair -- a future which is both bright and green."

Alex Steffen, eco-crusader and founder of Seattle-based environmental Web site Worldchanging.com, wants to save the world; and he thinks we've got 25 years to do it.

Alex Steffen, founder of Worldchanging.com

"Our climate is ripping apart at the seams at a rate that's surprising even the so-called alarmists," he writes. "Natural systems are collapsing. The ocean seems headed towards a series of catastrophic tipping points. Economic inequity is producing a planet of billionaires and a billion desperate people."

Steffen says the world's challenge stems from the inherently unsustainable systems embedded in our culture. He quotes statistics that say we're each using 2.3 hectares of land to support ourselves, instead of the 1.9 per person available.

But, he adds, we're not sharing the world's resources fairly. "The average American uses nearly 10 hectares, the average Chinese uses only about one and a half, while the average Pakistani has only about 6/10 of a hectare," he says.

Steffen and his friends were hanging out one day, talking about how potentially world-changing solutions weren't getting media coverage. As Steffen said to CNN, "There was plenty of space for talking about what was going wrong, but very little for talking about how to make things go better."

So they decided to do something about it. "We decided that -- as a little bit of a hobby project really -- we'd start a blog called Worldchanging and note all the various solutions we found that we thought were interesting."

Within six months, the site was so successful that Steffen had to give up his day job. Three and a half years later, Worldchanging.com is one of the most popular environmental campaigning sites on the Internet and has led to the publication of a successful companion book, "Worldchanging: A User's Guide to the 21st Century."

The site -- and the book -- cover all aspects of sustainability, from living spaces to locally-produced food to green advocacy, and focuses on cutting-edge developments. Steffen's team of writers, a mixture of journalists, scientists, architects, academics and designers, share his passion for positive thinking. "It's really a kind of fun, amorphous group. It's almost more of a tribe than a business in some ways," he told CNN.

And they pull no punches when it comes to the future of the planet. Steffen is bold enough to state the harsh truths that refusing a plastic bag, turning the TV off standby or switching to a duel-fuel car isn't enough to turn things around. He's frustrated by the rise of the eco-consumer and its embracement by the media, which he describes as "muddle-headed, style-over-substance, 'lite green' environmentalism." He calls this "greenwashing."

"We don't need more carpool lanes. We need to eliminate fossil fuels from our economy," he writes. "We don't need more recycling bins. We need to create a closed-loop, biomimetic, neobiological industrial system. We don't need to attend a tree-planting ceremony. We need to become expert at ecosystem management and gardening the planet... We need a bright green revolution."

This might sound extreme, but Steffen is in touch with a large audience who share his beliefs and his vision for the future. He describes them as "some of the best people -- people who really care and are working really hard to try and make a difference."

And Steffen's lasting message is that each one of us can -- and should -- make that difference. He says, "Fundamentally, sustainability is a small problem writ big by six billion people. Each of us has a part to play on that team in making this new society possible."

...................................................

What do you think of Alex Steffen's vision? Do you think we can avert environmental disaster? Tell us in the forum -- or read others' thoughts on the future. E-mail to a friend

@highlight

Eco-crusader says we have 25 years left to save the world

@highlight

One-time hobby blog now highly popular environmental campaigning site

@highlight

Steffen frustrated by eco-consumerism - says green revolution is essential

@highlight

Sustainability is key for survival of the planet