(CNN) -- Two secret blitzes. Two high-value targets. Two very different results.

U.S. forces launched dual raids on the northern and eastern coasts of Africa over the weekend in the hunt for two alleged terrorists: Abu Anas al Libi, a suspected al Qaeda operative wanted for the deadly 1998 bombings of two U.S. embassies in Africa, and an Al-Shabaab foreign fighter commander named Ikrima.

American forces snatched al Libi in the Libyan capital Saturday morning. But 3,000 miles away, the plan to catch Ikrima didn't go as planned. Navy SEALs came under heavy fire during their raid and had to retreat -- not knowing whether Ikrima was dead or alive.

While officials have disclosed some details, many questions remain. Here are the five key ones:

1. What's next for al Libi?

He spent 15 years on the run and had a $5 million reward on his head. But he was captured in less than a minute by U.S. Army Delta Force members outside his home in Tripoli.

The Pentagon said the U.S. military was holding al Libi in a "secure location" outside Libya. There, a team of officials from the FBI, the CIA and other intelligence agencies will grill him for intelligence on al Qaeda.

Eventually, he'll be taken to New York to face federal charges.

U.S. authorities have long wanted al Libi to stand trial in an American court for his alleged role in the embassy bombings in Kenya and Tanzania that left over 200 dead and thousands wounded.

In December 2010, Libyan authorities told a U.N. committee that al Libi was living there, even giving a Tripoli address for him.

But al Libi hadn't been apprehended until now because of the delicate security situation in much of Libya, where ex-jihadists -- especially those who once belonged to the Libyan Islamic Fighters Group -- held considerable sway since the ultimate ouster of longtime leader Moammar Gadhafi.

There's no extradition treaty between Libya and the United States. And Libya's interim government has called al Libi's capture a "kidnapping."

U.S. Secretary of State John Kerry disputes that. He described al Libi as a key al Qaeda figure who is a "legal and an appropriate target."

Kerry said Monday that al Libi "will now have an opportunity to defend himself and to be appropriately brought to justice in a court of law."

Ruthless leader aims to extend reach of Al-Shabaab, eyes the West

2. Could al Libi be a treasure trove of information?

That's the hope, but it might not happen.

Edith Bartley, who lost her father and brother in the embassy attack in Nairobi, said she was relieved when Osama bin Laden -- also indicted in the embassy attacks -- was killed in 2011. But she's also happy that al Libi is in U.S. hands.

"Certainly, we are very pleased to know that we can have someone who is captured, and for the wealth of information that may be available to our intelligence community and our military personnel," she said. "You can't put a price on that."

If he talks, al Libi could offer valuable information on men he worked with inside Libya, as well as al Qaeda in general.

"He is a big catch. He is going to know about the Libyan branch of al Qaeda," CNN National Security Analyst Bob Baer said. "He knows the entire infrastructure of the early days of bin Laden. Catching this guy alive, he's got a lot to say, a lot -- carrying a lot of phone numbers, all sorts of knowledge."

But some think al Libi probably doesn't know much about the current operational details of al Qaeda.

"There's a lot of thought out there that al Libi may have sort of gone into semi-retirement," CNN Pentagon correspondent Barbara Starr said. "Maybe he was in Libya, of course, to start an al Qaeda operation there, but had sort of moved away over the last 15 years from some of his potential activities."

Libyan counterterrorism analyst Noman Benotman, a former jihadist associate of al Libi's, also said his former colleague has been out of the game for a while.

Al Libi's wife agreed, saying he was living a normal life and was not in hiding. She said he actually reapplied for a job with the oil ministry.

Umm Abdul Rahman said her husband left al Qaeda in 1996 and had no connection to the twin 1998 bombings at U.S. embassies in Kenya and Tanzania.

"I am sure of what I am saying -- he did not take part in any bombing anywhere in the world," Rahman told CNN's Jomana Karadsheh. "He participated in the jihad in Afghanistan. .... He was a member of al Qaeda and he was personal security for bin Laden -- that's true -- but he did not take part in any operation."

Opinion: Good thing U.S. terrorist hunters weren't furloughed

3. Who is Ikrima?

The target of the U.S. raid in Somalia was named Ikrima -- a Kenyan of Somali origin, a senior administration official told CNN. He has been on the U.S. radar for at least three years.

Before dawn Saturday, a team of Navy SEALs zoomed in by speedboat and snuck up on a seaside villa in southern Somalia. Soon afterward, the sounds of heavy gunfire and several large explosions echoed across the port city of Barawe.

After coming under fire, the SEALs made a "prudent decision" to pull back, a senior U.S. official said. They withdrew, unable to confirm whether they killed their target, the official said.

A recent Kenyan intelligence report alleged that Ikrima was behind several foiled terror conspiracies against targets in Kenya between 2011 and 2013.

The most recent was a plot to attack Mandera Airport in Kenya's North Eastern Province in April.

Kenyan officials said last year that Ikrima had a significant role in recruiting and training Kenyans in Al-Shabaab.

He is thought to have been a close associate of the Saleh Ali Nabhan, a fellow Kenyan and senior al Qaeda operative in east Africa, who was believed to have been connected to the embassy attacks. (Ali Nabhan was killed by U.S. forces in 2009 in Somalia.)

Ikrima also appears to be close to Al-Shabaab leader Mukhtar Abu Zubayr, who also goes by Ahmed Abdi Godane.

Al-Shabaab, of course, is the al Qaeda-linked militant group based in Somalia. Most recently, it made headlines when it claimed responsibility for the days-long deadly attack at Kenya's upscale Westgate mall in Nairobi in September. At least 67 people were killed in that siege.

4. Were the raids a coincidence or were they coordinated?

The two missions have one thing in common: the 1998 embassy bombings. Al Libi was wanted for his alleged role in attacks. And Ikrima is closely associated with Saleh Ali Nabhan, also accused of being part of the attacks.

But U.S. officials have not talked specifics about the timing.

"Sometimes that depends on the moment of opportunity. You can be watching and then the moment of opportunity comes up and you have to take it," says CNN foreign affairs correspondent Jill Dougherty.

President Barack Obama gave his go-ahead and was updated as the operations proceeded.

The missions, however, are unlikely to help buoy Obama as he battles House Republicans amidst a partial government shutdown.

"I would submit to you right now most Americans remain focused on the economy. They remain focused on the government shutdown and the upcoming debt ceiling lifting or not lifting, depending on what Congress decides to do," CNN chief political correspondent Candy Crowley said.

But David Rennie of The Economist said the missions are a reminder that "even an American president who is domestically very frustrated wields extraordinary executive powers."

U.S. forces strike in Libya, Somalia

5. Who is next?

The operatives of the 9/11 era are largely dead or captured. And key operatives like Khalid Sheikh Mohammed -- an alleged 9/11 mastermind -- are detained at Guantanamo Bay.

Topping the list of still-wanted is Ayman al Zawahiri, the leader of al Qaeda. With a $25 million reward on his head, Zawahiri is believed to be hiding in Pakistan.

But some of the biggest targets are part of the new al Qaeda affiliates like Al-Shabaab -- including its top leader, Godane.

"By formally merging with al Qaeda and doing an attack in which Americans were targeted, this group has put itself in the sights of the United States," CNN National Security Analyst Peter Bergen said.

The United States is also hunting for other emerging terrorist leaders.

Nasser al-Wuhayshi is a one-time bin Laden aide and leader of al Qaeda in the Arabian Peninsula (AQAP). The Yemen-based group is now considered one of the most lethal.

CNN's Tim Lister, Paul Cruickshank and Barbara Starr contributed to this report.

@highlight

U.S. forces launched raids in Libya and Somalia over the weekend

@highlight

They captured Abu Anas al Libi, a suspected al Qaeda operative, in Tripoli

@highlight

Navy SEALs came under fire while trying to get an Al-Shabaab fighter in Somalia