London (CNN) -- The Dutch royal family, also known as the House of Orange-Nassau, is symbolic of this nation's fiercely independent spirit. The Netherlands is small geographically but during its "golden age" in the 17th century it had what historian Simon Schama called "an embarrassment of riches." Over the centuries it has experienced much religious strife, acquired and lost an empire and is now governed by a series of coalitions. The monarchy is a proud symbol of national unity.

Members of the House of Orange-Nassau were originally appointed as place-holders, or "stadtholders," under Spanish rule, a post that became hereditary. They became kings after the United Kingdom of the Netherlands was established after the Napoleonic wars in 1815 and their rule has been characterized by the frequent use of the monarch's prerogative to abdicate.

The first Dutch monarch, Willem 1, abdicated in 1840 and three successive queens, Wilhelmina, Juliana and Beatrix have also done so. After a reign of 33 years Queen Beatrix bequeaths to King Willem-Alexander a relatively prosperous nation and a monarchy that continues to have enormous popular support. Other countries might well benefit from emulating a system which is as responsive and flexible as this has proved to be.

King Willem-Alexander takes Dutch throne

The forceful Queen Wilhelmina ruled for 58 years and her tireless work heading the government in exile in London during World War II and her broadcasts to the nation became symbolic of her country's will to resist the Nazi occupation which included the terrible "hunger winter" of 1944/45.

The Dutch have also never forgotten that in 1953, when the country was hit by a devastating storm, Queen Juliana personally helped with physically demanding relief work in the finest traditions of public service. This was to be highly significant as her reign, which lasted 32 years, also faced serious crises.

In the 1950s, she fell under the influence of a malign faith healer Greet Hofmans who had to be removed from court after parliamentary intervention. In 1976 her husband Prince Bernhard faced charges of accepting substantial bribes in the Lockheed scandal. He had to resign from his official positions and there was no criminal prosecution but posthumously he admitted culpability.

In 1966 Juliana's eldest daughter Beatrix's marriage to the German diplomat Claus von Amsberg, who had seen wartime service in the Wehrmacht, caused riots although he later became popular. King Willem-Alexander's marriage when he was crown prince was also controversial.

Maxima Zorreguieta's father, Jorge, was minister of agriculture in the Argentinian military junta and her parents were not invited to the wedding in 2002 but her popularity has since soared. However the king's brother Prince Johan Friso lost his place in the line of succession when he married Mabel Wisse Smit in 2004 without parliament's approval.

iReport: Happy faces as crowds applaud new king

A series of such crises could have brought down an institution that had a less powerful grip on the loyalties of its people. The soubriquet "bicycling monarchy" is largely an invention of the press. In reality it is a style pioneered by Queen Juliana and continued by Queen Beatrix of being less formal and more approachable and this is extremely popular domestically. There is, for example, an investiture, not a coronation and protocol is more relaxed than in most other monarchies. The wealth of the royal family is reportedly substantial and its senior members also benefit from tax-free stipends voted by parliament.

Orange succession: Queen Beatrix to Prince Willem-Alexander

Queen Beatrix's consort Prince Claus suffered from severe depression for years and felt constrained by his role. Consequently Queen Maxima will be allowed to carry on her current charitable works which include helping immigrants to integrate and an important role with the United Nations assisting those who have no access to basic financial services. The king has specialized in water management but had to give up all his official duties on his accession to the throne.

The House of Orange is Protestant but, importantly, this is by tradition and not a legal requirement as the country today is mainly secular and practicing Protestants are outnumbered by Roman Catholics.

The Dutch monarchy is also an exemplary example of adaptability as the 1848 constitution that established parliamentary democracy has undergone alterations that have reduced royal power. The crown's role as head of the armed forces and its right to intervene in the formation of coalition governments have recently been removed. The monarch currently signs bills into law, presides at the ceremonial opening of parliament and has weekly audiences with the prime minister. However the distancing of the institution from political power has its uses, since politics is divisive and coalitions are inherently unstable.

The Dutch, who are among the world's most egalitarian nations, have a monarchy that unites a country with a fractious history as shown by the huge support it receives in opinion polls. The institution's friendly image, its involvement with charity at home and abroad and its readiness to allow its powers to be reduced are strengths made all the more potent by the charismatic personalities of the three queens who have been its most recent sovereigns. Their endeavors have been pivotal in enabling their country to play a constructive role on the world stage.

Inside Guide: Best of Amsterdam

The opinions expressed in this commentary are solely those of Richard Fitzwilliams.

@highlight

Beatrix bequeaths prosperous nation, popular monarchy, says Richard Fitzwilliams

@highlight

Beatrix's mother worked hard in 1953 when Netherlands was hit by huge storm

@highlight

Fitzwilliams: Dutch have investiture, not coronation; protocol is relaxed

@highlight

Monarchy unites country with fractious history, the author adds