Hong Kong (CNN) -- The leading contenders in Japan's upcoming national election kicked off their 12-day campaign Tuesday near the seaside prefecture that was at the heart of last year's nuclear disaster â€” and is now a powerful symbol of Japan's deepening economic woes.

The man polls suggest will become the country's next leader appealed for votes in Fukushima City, some 50 kilometers (30 miles) from the site of last year's nuclear meltdown at the Fukushima Daiichi power plant.

Shinzo Abe, leader of the opposition Liberal Democrat Party (LDP), has said that, if elected, he'll decide within three years whether to restart the nuclear plants that were shut down after an earthquake and tsunami triggered nuclear devastation in March 2011.

He's a former prime minister who stepped down in 2007 after just one year in power citing health reasons.

In his first official campaign speech Tuesday, Abe focused on economic arguments, saying he will act to counter deflation, weaken the yen and promote economic stability.

"We'll regain economic power in Japan," he said.

Nearly two years after the nuclear meltdown, hundreds of thousands of people remain in temporary homes as the government, led by the Democratic Party of Japan (DPJ), sees its support slip away. The economy is weakening, and policymakers are under enormous pressure to restore communities affected by the disaster.

Since assuming power in September 2011, current Prime Minister Yoshihiko Noda has faced fierce resistance to his plan to raise government revenue by doubling the 5% sales tax by October 2015. He's dealing with an economy that's contracting -- by 3.5% between July and September -- after years of economic malaise. If GDP continues to shrink this quarter, the country will officially enter another recession.

"Any prime minister who has seriously taken up the cause of instituting or increasing an existing consumption tax rate -- if they succeeded or failed -- has lost power, so in that sense you have to give Noda his dues," said Keith Henry, founder of consultancy Asia Strategy.

Last month, Noda agreed to dissolve the lower house of parliament, clearing the way for an election on December 16, as part of a deal to secure support for a crucial financial bill from the LDP. It was a risky move, and one that a poll released on Monday suggested would lead to Noda's removal from power, just one year after assuming office.

The poll, conducted by Asahi Shimbun last weekend, suggests the LDP retained a 5% lead over the DPJ. Twenty percent of respondents said they'd vote for the LDP if the lower house election was held now, compared to 15% who'd vote for Noda's DPJ.

Noda also launched his re-election campaign in Fukushima prefecture, at the Iwaki station, where he told supporters they faced a clear choice. "The question in this lower house election is whether we can move forward with what we should do or whether we turn back to the old politics," he said.

He has promised to phase out nuclear power by 2040, seizing on a popular backlash against the energy source since last year's nuclear disaster. It's a policy pledged by other smaller parties vying for votes in an election that's expected to see 1,500 candidates compete for 480 lower house seats.

According to the polls, neither party is expected to win a majority, although Asia Strategy says a survey of polls shows that the LDP is on track for a coalition win, with its traditional ally the New Komeito Party.

Amid flagging support for the major players, smaller parties have proliferated including The Japan Restoration Party, led by Shintaro Ishihara.

The controversial former governor of Tokyo is perhaps best known outside the country for triggering a diplomatic spat with China over his move to buy disputed islands in the East China Sea. Earlier this year, he urged residents to donate cash to fund the purchase of the islands Japan calls Senkaku and China refers to as Diaoyu. The Japanese government eventually stepped in to buy the islands from private owners, provoking a sharp rebuke from Beijing and anti-Japanese protests across China.

In the Asahi poll, 9% of respondents said they'd vote for Ishihara's JRP, the same proportion who said they'd give him their vote last week, indicating that his rising popularity may have stalled.

Henry said that it's unlikely that this election will give marginal parties enough votes to influence the parliament.

"I'm convinced that these minor parties are going to remain minor parties," he said. "They grab the attention of the media, they're old style curmudgeons but they won't gain any political influence."

Whether the combined leadership of the LDP and the New Komeito Party is able to introduce policies to contend with Japan's major structural challenges` remains to be seen, Henry said. If it can't, more political waves could be made when the upper house votes in an scheduled election next year, he said.

CNN's Junko Ogura contributed to this report.

@highlight

Japan's 12-day election season begins with campaign speeches in Fukushima

@highlight

Polls show the Liberal Democrat Party is likely to return to power, led by Shinzo Abe

@highlight

Abe is a former prime minister who stepped down citing health reasons in 2007

@highlight

Japan is struggling with economic contraction and the aftermath of last year's nuclear disaster