Turns out you can do a lot of really smart things, as long as you're clueless.

At Not Impossible Labs, we've already created a device to let a paralyzed painter create his art, using just the movement of his eyes. We made it to the Sudan and printed a new arm on a 3D printer for a teenaged boy whose arms were blown off in the war -- and he fed himself for the first time in two years. And pretty soon, we'll have a device that will allow patients suffering from Lou Gehrig's disease to type on a computer -- just by thinking.

We didn't have any fancy labs for any of this, or gigantic budgets. We didn't go through insurance companies or medical labs. We made all of these devices for maybe a couple hundred bucks apiece -- some for much less. (the Brainwriter, as we're calling it, includes a homemade EEG device based on a prototype that a couple of our team members fashioned out of some electrodes, two nine-volt batteries, and an old sock, in their kitchen, at 2 in the morning. I wasn't there, but I'm told there was some whiskey involved as well).

In each case, the experts told us that what we were doing just couldn't be done.

Fortunately, we didn't listen, or didn't hear them, or ignored them, or were oblivious, or all of the above. We went ahead and tried anyway. And what do you know. It worked.

This all started when I met a graffiti artist named Tempt, who was paralyzed with ALS. I was a film producer, with no experience whatsoever in the field of technological medical devices. But when I learned how he was communicating with his family -- they'd run their fingers over a piece of paper with the alphabet printed on it, he'd blink when they'd get to the letter he wanted, and, painstakingly, he'd spell out a sentence -- I was moved, and angry, and a whole lot of other things. And I blurted out to his father, "We will find a way to get Tempt to paint again."

See, I was just clueless enough not to know that that was impossible.

Funny how that works.

So we got a bunch of crazy hackers together, and Tempt's plight gave way to the Eyewriter: a device that tracked his eye movements, translated that to a cursor, and allowed him to create drawings. It was a beautiful thing to see. And a beautiful beginning.

At one point, a group of programmers and coders told us, "If you had any clue how hard it is to do what you did, you never would have tried it in the first place."

I'm so glad we were clueless.

What happened with Tempt gave way to the Not Impossible Labs, a foundation and company with a simple idea. We'll create these devices with whatever we can -- coat hangers, duct tape, chewing gum. Essential to the process is what's called "open source"  -- we give everything away, for free. We post the design on the Web and hope other people will pick it up and improve it. That's just what happened with the Eyewriter: A Samsung engineering team in South Korea saw the device and made a better one. Now Samsung, working with a  government agency, is providing hundreds of those to ALS patients. And they've "open-sourced" their design as well -- so now anyone can make one, for around 50 bucks.

We starting thinking about what we were doing as the Revolution Against the Absurd. Anyone who has tried to get a medical device for a loved one, and had to negotiate the maze that's created by the provider, the hospital, the lawyers, the insurance companies, knows just how absurd it can be. It's absurd that in this day and age, an ALS patient would have to communicate with his parents by watching them run their fingers over a piece of paper. It's like seeing someone rubbing two sticks together, and thinking, hey, someone should invent a match for these people.

So that's what we're doing. We're down in the basement, inventing matches.

Everyone told me I was crazy to go to the Sudan -- one of the most dangerous, war-torn areas of the globe -- in search of Daniel, a boy I'd read about whose arms had been blown off by a bomb. Three months later, we'd not only tracked Daniel down and fashioned a new hand for him, but we left the 3D printer and materials behind, and trained a group of locals to make the hands -- which they're cranking out now, for others maimed in the war.

Not Impossible just kept growing -- because of passionate, brilliant people who were always willing and able to do good, but just needed a place to point their energy. A guy up in Canada named Javed Gangjee saw a TED talk I gave about the Eyewriter, decided he wanted in, and started devoting all his spare time to taking it one step further. The Eyewriter relies on the patient's ability to blink, as a way to "click" the cursor the way you'd click a mouse. But what about patients who can't control their ocular muscles anymore? he asked. Don't they deserve to communicate, too? So he started devoting all his spare time to hooking our Eyewriter device up to an EEG -- a homemade device to register brain activity as a way of clicking a mouse.

"Working in the scientific field, you kind of run into 'yes' people and 'no' people," said David Putrino, another member of the Brainwriter team (and the one who came up with the electrodes-and-sock model.) "There are the scientific people who are the skeptics, who just say there's just no way this can be done. And there are people like me and Javed who say, 'this is totally impossible, but we're just gonna try and do it.'"

David possesses a quality -- as do the other members of the team, Dan Goodwin and Sam Bergen -- that, I think, is essential to success.

We call it beautiful naïvete.

Because if you're just naïve enough to believe you can do what everybody tells you that you can't, amazing things can happen.

It's just possible, in fact, that you'll discover what each of us has discovered:

That nothing, in fact, is impossible.

@highlight

Ebeling started Not Impossible because "I hate the word 'no'."

@highlight

They look to "crowdsource" technological solutions to problems

@highlight

Not Impossible found a way to print 3-d limbs for less than a tenth of their usual cost

@highlight

They created a device that allowed a paralyzed graffitti artist to draw with his eyes