(CNN) -- There are many strange jobs in Hollywood. Seat filler at awards show. Producer on "COPS" who blurs all of the naked bodies. Co-star on "Anger Management." Here's another: Person in charge of the subtitles for TLC's reality sensation "Here Comes Honey Boo Boo" (Wednesdays, 9 p.m.). Imagine trying to decipher everything that comes out of the mouths of seven-year-old beauty pageant contestant Alana Thompson and the rest of her fast-drawling, "Guess Whose Breath"-playing family from McIntyre, Georgia. We asked Sara Reddy — the fearless Honey Boo Boo exec producer who counts this task as one of her responsibilities — to take us into her strange world of TV transcription.

Why does the executive producer supervise the subtitles? Does she have a special skill set?

Not exactly. Reddy was raised in Southern California, not the South. But she did develop a special ear for the family's peculiar enunciations while working on "Toddlers & Tiaras," the show on which Alana was discovered. "Most people think of Southern accents as having this drawl that's really slow and deliberate, but with this family it's the opposite," says Reddy. "They talk incredibly fast and they just skip over consonants and entire syllables. I don't know if it's the region they are from or just the family." And for some reason, she's the one on staff who can best decode their language. "I don't know why I have this gift, but I understand them perfectly, and I don't think they need to be subtitled. It astonishes me when people are like, 'What is she saying?' I'm like, 'You can't hear that? It's perfectly clear to me!'"

How do the show's producers decide what to subtitle (which seems to be pretty much everything)?

"We have so many subtitles, it's like we're making a foreign film in English," she declares with some amount of pride. Occasionally during the notes process, a network executive will ask for an onscreen translation of a hard-to-decipher line. But here's the true test: "If the [family is] delivering information you need to follow the story line, we subtitle it," she explains. "Sometimes we subtitle things that we don't understand and put in the noises. They're not even words. We take it seriously and make sure we're phonetically accurate."

Reality TV's most appalling shows (so far)

What goes into the subtitling process?

The subtitles require 15 to 20 staff hours of labor per episode, estimates Reddy. They are typed in and checked for accuracy; as many as ten co-workers might weigh in on a difficult line. Lip-reading is also key. "Sometimes, it will come down to looking at the upper teeth meeting the lower lip and you know it's an f or a b, and that could be a starting point." (Another trick is to isolate a family member's microphone on high-quality speakers during the audio mix session.) The show's online editor keeps a collection of Post-it notes with spellings of the family's made-up words, such as "smexy" and "s'mage." Reddy recalls a particularly healthy discussion over how to spell Sugar Bear's nickname Shugie. "Normally you wouldn't have to think of that," she says. "But when we went to subtitle it, it became this big debate. Because s-u-g-e-y looks like "soogie." It became this thing: 'How do we spell it? Two g's? One g? Do we spell it phonetically? Do we spell it with an S and an H?"

Isn't it condescending to subtitle people speaking English? Or Pumpkin saying "marannaise" instead of "mayonnaise"?

Reddy insists that's not the intention. "They make up so many interesting words and mispronounce things in pretty genius ways, and I don't want to correct them. Especially if it's a delightful mistake," she says. "Also, it tests your eye if what you're reading doesn't match what you're hearing. If we put 'mayonnaise' as it's spelled, your brain has a little stutter. We try to put little quirks in the subtitles because that's part of what makes them so charming. The way they handle the English language is so fascinating. If (the family members) were sensitive about it, that would be different. But part of what makes this show magical to me is that this family embraces their flaws. Find anyone on the planet who knows how to pronounce everything. To me, it's relatable." In addition, she says that viewers may be leaning on the subtitles more than they think. "When people say it's condescending, it's because they're reading the subtitles so they understand everything. If we showed it without subtitles they'd be complaining they couldn't understand enough. So it's taken for granted. We give them the answers."

Which family member is the toughest to translate?

Reddy doesn't even pause to think before answering. It's Mama Bear. "I'm fluent in June-ese," she says. "That's the hardest dialect. She talks so fast. It's just this rapid fire of syllables. She does these amazing combinations of words like 'beautimous.' 'Vajiggle jaggle' is this kind of onomatopoetic word. It's brilliant. In early edits of the show, 'vajiggle' was spelled 'vagiggle' which looked like 'va-giggle.' We had to change it to a j. I was an English major and I sometimes don't know if it's an advantage or a disadvantage."

The 15 worst TV spin-offs

Who's the runner-up?

Sugar Bear claims that honor. "He has more of a slow drawl -- like most people think of the Southern drawl -- but he mumbles so much that you don't hear a lot of consonants," she notes. "It's an entirely different challenge."

And the easiest?

It's that voluble little star, Alana, a.k.a. Honey Boo Boo "She doesn't talk as fast as the older girls and her mom, and she also has this very deliberate delivery that she was just born with, and she sells every line that she says," says Reddy. "But she's young still and she'll probably be talking really fast by the time she's a teenager and will be just as difficult as the rest of them."

How often is Reddy stumped while trying to figure out what June & Co. are saying?

Only on the rarest of occasions. She recalls a line in a season 1 episode that tormented her: "Pumpkin was saying, 'Why do we have all this toilet paper?' And June turned to Pumpkin and said, 'To wipe your ...' Something. I could not understand for the life of me. It sounded like 'tootay' and I wrote down so many words. I wrote 'tube tape,' 'toot take.' I listened to it a thousand times and I finally just put in the subtitle 'tootay.' I was making up a word as a placeholder. And I actually sent the clip to June and said, 'What are you saying here?' And she wrote back, 'Yeah, I think I was saying 'tootay.' And I was like, 'What is that?', and she said 'I don't know, I just made it up as a word for her butt.' I had spent hours listening and trying to figure out what combination of words would have those syllables that matched this context, and sure enough it was just some word she'd made up on the spot. I think that was a pretty big moment of realizing, 'Oh, she makes up words. There are going to be times when there isn't an answer.'"

Did the producers ever tell the family to speak more clearly?

A few feeble and futile attempts were made in the beginning. "And then we realized what makes them so great and so great for TV is just letting them be themselves," says Reddy. "If they were to become self-conscious about trying to speak differently than they just naturally speak, it would absolutely ruin the magic of the show. It's the same thing with trying to get them to speak one at a time. It would be a losing battle. It's so much better to just embrace them for exactly who they are and let them be themselves and subtitle it, so the rest of the world can enjoy them and understand them."

Any subtitle spoilers for this season?

"We do have a scene coming up in one of our later episodes that could quite possibly break the world record for the most subtitles ever appearing in a short amount of time," teases Reddy. "It'll break the record for the world's fastest subtitles. There might not be a record that's ever been established but we'll break it anyway."

Has Reddy ever considered subtitling the family's pet animals?

"We toyed with the idea of giving the chicken, Nugget, some thoughts when he clucks," says Reddy. "We were thinking about subtitling what he thought of the family. But we decided we were taking too many liberties with Nugget's inner world.... We thought about [subtitling] Kaitlyn, the baby, and what her thoughts could be. But we want this to be a real world. What makes the show awesome is that it's so real. It still is my dream to subtitle Nugget someday."

And what would Nugget say?

"'Save me.'"

See the original story at EW.com

CLICK HERE to Try 2 RISK FREE issues of Entertainment Weekly

© 2011 Entertainment Weekly and Time Inc. All rights reserved.

@highlight

Executive producer explains how to subtitle 'Honey Boo Boo'

@highlight

Honey Boo Boo is easiest to subtitle; Mama June the hardest

@highlight

Producer considered subtitling babies and pets