(CNN) -- The first couple weeks of each new year start with grandiose visions.

This year, you will exercise like a maniac, eat well, start a rewarding relationship, advance your career and take amazing and exotic vacations. Now that we're halfway through January, some of that get-up-and-go has dissipated a wee bit, no?

Don't abandon your entire ambitious agenda. At the very least, enrich yourself with a travel adventure. Hopefully, good fortune has shined upon your bank account in the form of a holiday bonus or an upcoming tax refund.

Here are 12 ideas to get you started:

January: Scenic snowshoeing

Yes, January is slipping away fast, so this first option is an easy one for anyone who lives within striking distance of a heap of snow. Snowshoeing is pretty straightforward; it's bundled up hiking with special shoes. In some cases, it's also free. At Oregon's spectacular Crater Lake National Park, rangers lead free snowshoeing hikes (shoes included) each Saturday and Sunday (there's also one on MLK Jr. Day). Conservation organization Oregon Wild and outdoor clubs in snowy states like Vermont also arrange snowshoeing expeditions. You can rent shoes from outdoor outfitters for $10 to $20 per day.

Plus, there's a romance factor. Oregon Wild wilderness coordinator Erik Fernandez proposed marriage on a full-moon snowshoeing outing. "If you're looking for a romantic date, taking somebody on a full-moon snowshoe trip is going to score you some serious points," he said. Rewarding relationship, wintry adventure -- check, check.

Blood falls and other natural oddities

February: Skiing inn-to-inn in Norway

Renew your fitness vows by cross-country skiing along the well-groomed Peer Gynt Trail in Gudbrandsdalen in south-central Norway. A seven-day self-guided trip organized by Norske Bygdeopplevelser has skiiers covering up to 16 miles a day. Your luggage is transferred from inn to inn as you ski alongside inspiring views of the Jotunheimen and Rondane mountains and Lake Gala. See? Outdoor exercise is a lovely pursuit. $1,550 per person for double occupancy, including lodging, train transfers to and from Oslo, luggage transport and most meals. Ski equipment is not included.

Inside the beluga of the skies

March: Big game fishing in Panama

Panama's got world-class fishing, plus bragging rights if you hook something huge. Panama Big Game Fishing Club on Isla Boca Brava off the Pacific Coast offers four to seven-night fishing packages, starting at about $3,000 per person for four nights, including lodging, airport transfers and domestic flights, fishing expeditions and all meals and drinks. The waters near the lodge are home to a large population of billfish, including black marlin and Pacific sailfish as well as a host of other impressive swimmers.

8 elegant U.S. mansion hotels

April: A tall ship ocean crossing

Royal Clipper's 21-night Barbados to Rome trans-Atlantic crossing is for the truly committed sailor and ship enthusiast. "They take the trip because they want to experience an uninterrupted stretch of sailing in open water, as there are 10 consecutive days at sea on this cruise. They also tend to be readers," said Buck Banks, a spokesman for Star Clippers.

The ship stops in Portugal's Azores, Malaga, Mallorca and Menorca, Spain before reaching Rome. Weather permitting, passengers may have the opportunity to swim in the middle of the Atlantic. Brrrrr. The 42-sail, five-masted full-rigged Royal Clipper was inspired by the historic tall ship Preussen. Rates start at $5,878 per person for double occupancy.

May: Tuscany biking

You'll want to stretch your legs now that you're back on dry land. Pedal through Tuscany with a six-night bike tour from Backroads. The verdant landscape, Medieval hilltop towns and Chianti wine tastings will take the edge off the rolling hills, and daily route options from "easygoing" to "avid" give you some wiggle room on your energy investment. (And there's shuttle support). Rates start at $4,398 per person for double occupancy.

June: Spotting the Komodo dragon

To see a Komodo dragon in the wild, you have to go to Indonesia. Komodo National Park, a UNESCO World Heritage site located in the center of the Indonesian archipelago, is home to more than 5,000 of the world's largest living lizards, the Varanus komodoensis. The park is made up of three main islands, Komodo, Rinca and Padar. Many outfitters run single and multi-day trips from Labuan Bajo on Flores. Guides are necessary as the dragons are dangerous. The area around the islands also boasts spectacular scuba diving.

July: Swiss hut hiking

Hiking from one Alpine hut to another to see the famed Matterhorn is many a European's idea of a good time. For those not familiar with the tradition, why not explore the Haute Route taken by British climbers for the first time more than a century ago? Only experienced trekkers need apply, even on an organized tour, because the route can include daily altitude gains of more than 3,000 feet. U Track's Haute Route tour through Switzerland starts in Le Chable (near Verbier) and concludes in Zermatt, including views of the Matterhorn, Dent Blanche, Zinalrothorn and Weisshorn during the trip. Rates start at $1190.

August: Burning Man Festival

Design your own desert sculpture. Turn your bicycle into a moving Oreo. Or create a mock Wall Street and burn it down, as artist Otto Von Danger did in 2012. The huge totem that's set ablaze in the Nevada desert, giving Burning Man its name, is just the tip of the iceberg that attracts free thinkers, radical artists and others wishing to break free of society's constraints. Purists complain that mainstream tourists changed the event with their RVs and plasma televisions -- hardly evidence of the self-reliance the organizers extoll. But as you watch "the Burn" when Burning Man gets torched, you may be transformed. Pre-sale tickets cost $650 plus fees. Need-based discounts are available.

September: Coastal Portugal hiking

While Portugal is well known for its port wine tourism, many travelers are just starting to realize how much more Portugal's rugged Atlantic coast offers the adventurer. A new REI Adventures trip from Lisbon to the Algarve hits villages, beaches and castles, ending up on the windswept, far-western Sagres promontory, on the edge of the Old World. Enjoy the food and drink in lovely cafes and plazas as you rest each night. Rates start at $2,499 for REI members and $2,899 for nonmembers. (REI charges a one-time fee of $20 to become a member.)

October: Climb to Mount Everest's base camp

Climbing Mount Everest is not for the faint of heart or body. Even the most experienced climbers have perished on the unforgiving mountainside. A trip to Everest's base camp, still only for the most physically fit, may be the way to start exploring this Nepalese wonder. National Geographic Expedition's 19-day Himalayan trek to Everest's Southern Face Base Camp combines days of hiking with exploration of ancient Thami and Tengboche monasteries as well as Sherpa villages. Prices start at $4,995.

November: Search for South Africa's animals

There's never been a better time to explore all that South Africa has to offer. Go on safari, of course, but also explore this magnificent country while hiking, biking and kayaking. Spend three days on safari with REI Adventures at Sabi Sand Reserve, explore the Cape Winelands via bicycle, kayak to an African Penguin colony, hike Cape Town's Table Mountain and hike in the Drakensburg Mountains. Prices for REI members start at $6,999 and nonmember prices start at $7,700.

December: Christmas kayaking in Costa Rica

If you've had enough of artificial Christmas trees and shopping mall-dictated presents, leave it all behind and head to Costa Rica for a nature adventure. Nestled between the Caribbean Sea and the Pacific Ocean, this small Central American country has some of the most diverse animal life and lush landscape in the world. Not sure where to start? G Adventures' Costa Rica kayaking trip includes kayaking and standup paddling in Lake Arenal, kayaking through the canals around Tortuguero, a boat trip of Tortuguero National Park and a guided hike through the jungle. Prices start at $799.

@highlight

Vow to do something truly memorable on vacation this year

@highlight

See Komodo dragons in Indonesia or try sportfishing in Panama

@highlight

Go to Burning Man or bicycle through Tuscany