Washington (CNN) -- The sea of red that overtook Virginia on Tuesday night didn't just jeopardize Sen. Mark Warner's re-election bid — it exploded his entire worldview.

Thirteen years after he famously employed a "Bubba strategy" in culturally conservative regions of Virginia — courting NASCAR fans and commissioning a bluegrass theme song for his campaign on his way to the governor's mansion in 2001 — Warner was clobbered in the commonwealth's southern and southwest counties. The results were a shock to a senator who put in heavy time there.

The margins made for a too-close-for-comfort Election Night against Republican nominee Ed Gillespie, who conceded the race on Friday.

Even so, it was a reckoning that cut to the heart of Warner's public identity as a self-proclaimed "radical centrist" and ratified the urban-rural divide that characterizes the re-aligned politics of Virginia -- and the South.

Why, some flabbergasted Virginia Democrats are asking, did Warner spend so much time campaigning in rural Virginia in the first place?

"He was running a campaign that was designed to win in the late 90's," said one Democrat with Virginia experience who did not want to talk on the record criticizing one of the state's most prominent party leaders.

Coal country, and pretty much everything south and west of Richmond, drifted firmly into Republican hands in 2010, two years after President Barack Obama took office.

Since then, Democrats running statewide — Sen. Tim Kaine in 2012 and Gov. Terry McAuliffe in 2013 — paid only modest attention to rural Virginia, focusing instead on turning out the Democratic base in populous northern Virginia and other strongly African-American jurisdictions around Richmond and Hampton Roads.

But even in 2014, Warner was still enamored with the mythology of his first statewide victory so many years ago. He spent considerable time visiting rural parts of the state, even teaming up with former GOP Sen. John Warner — no relation — for a last minute push before Election Day.

"My path has been very different from Terry's or Tim's or others'," Warner told The Washington Post before the election. "To the annoyance of some of my so-called staff, I'm going to Abingdon and Russell County now because southwest Virginia gave me a start, and I'm not going to cede one part."

The comments look like a misstep in hindsight: In 2001, Warner won Russell County by 21 points. In his 2008 Senate race, he won it by 33. But on Tuesday, he lost Russell by 23 points.

The Post reported that even his own advisers were urging Warner to layer more direct appeals to unmarried women and African-Americans on top of his usual bipartisan rhetoric and conservative outreach. It might have made Tuesday's margin, around 17,000 votes for now, more comfortable.

Certainly the 2014 midterms were a bloodbath for Democrats everywhere, and swing-y Virginia was hardly immune.

"In a wave, even Jesus will have problems, and Mark Warner is as close as you get to Jesus in Virginia politics," said another Democrat who has labored on several Virginia statewide campaigns. "No one is immune to national waves, especially purple states like this."

Looking at it another way, Warner was the only statewide Democrat on a ballot in the South to win an election on Tuesday. Or as one strategist close to the Warner campaign put it: "Who else but Mark Warner could have survived a Republican tidal wave?"

"Performing well in southwest Virginia has been a mark of pride for Warner in the past, and a proven strategy for him in two elections," said Andrew Bleeker, a Democratic digital strategist who has worked for Kaine and McAuliffe. "No one expected the Republican wave to be as large. If the media narrative had anticipated a closer race we would have seen even higher turnout in northern Virginia and Norfolk."

Still, after the results starting coming in, Virginia Democrats who have worked on other statewide campaigns said they were mystified at Warner's approach.

"This is a base turnout state now," said one strategist who wondered why Warner was spending time on the trail with a white, 87-year old Republican ex-Senator instead of bringing in African-American surrogates for the final push.

"Why was he spending so much time in southwest Virginia? He should have been focusing on black parts of Richmond, northern Virginia, Hampton Roads," the source said.

Loudoun, one of three vote-rich northern Virginia counties, is a happy hunting ground for statewide Democrats.

In last year's governor's race -- another off-year election -- McAuliffe made his campaign almost entirely about base turnout, focusing heavily on places like Loudoun in the Washington, D.C. suburbs and the African-American vote in Richmond and Hampton Roads. To be safe, he brought in President Barack Obama and former President Bill Clinton for closing campaign rallies.

The result: McAuliffe 2013 outran Warner 2014 in every big northern Virginia county — Loudoun, Fairfax and Prince William — as well as in Democratic strongholds like Hampton, Newport News and Norfolk. In Fairfax alone, McAuliffe banked almost 70,000 votes with a 22-point rout of his GOP opponent in the state's biggest county. Warner won Fairfax, but by less — a 17-point margin, or 54,000 votes. Of the biggest Democratic counties in the state, Warner only outperformed McAuliffe in Henrico.

The comparison is imperfect. Last November was a better environment for Democrats, and McAuliffe was less well-known and viewed less favorably than Warner. But McAuliffe still only won the state by 2.5 points, validating his strategy of targeting the base with direct appeals to women and African-Americans.

Warner, it should be said, held onto a shred of dignity in rural Virginia this year, outpacing McAuliffe in the region but still losing badly everywhere except for Montgomery County, home to Virginia Tech, and the city of Danville.

And yet, the few thousand votes he picked up here and there added little to his total margin. If he invested similar energy farther north, his vote lead would have been larger.

But Warner allies insist that in a surprisingly too-close-for-comfort race, every little bit helped.

And if there's truth to the whispers of a rivalry between Warner and McAuliffe — the Senator escaped this year's midterms with a nice talking point.

McAuliffe, after all, won 1,069,789 total votes last year. Warner's total? 1,071,049 and counting.

@highlight

Mark Warner's re-election in Virginia was surprisingly close

@highlight

He's being criticized for not focusing on heavily African-American parts of the state