Washington (CNN)The straight talking governor is suddenly mealy-mouthed over measles.

As he toured the United Kingdom on Monday, Chris Christie seemed to leave his tough guy persona back in the United States. The potential Republican 2016 presidential contender punted on questions about whether Americans should vaccinate their kids amid a 14-state outbreak of a disease which is staging a comeback after being largely eradicated by science.

"All I can say is we vaccinated ours," Christie said, while touring a biomedical research facility in Cambridge, England, which makes vaccines.

The New Jersey governor added that "parents need to have some measure of choice in things as well, so that's the balance that the government has to decide."

Parents: What is your message to parents who don't vaccinate their kids?

The meandering response trampled his message on a trip apparently meant to polish foreign policy credentials. And it was uncharacteristic for Christie, a political bruiser who regularly shouts down critics and, just a few months ago, defied the White House by forcibly quarantining a nurse who treated Ebola patients.

WATCH: Obama: Vaccinate your kids

The flap is a reminder that as a politician who made his name by telling it like it is, Christie will be carefully watched for any sign he is toning down his act or hedging on difficult issues as he tries to navigate the early skirmishes of a likely presidential campaign.

With Democrats pouncing on a new chance to brand Christie as "anti-science" and reporters jumping on a story that livened up a routine trade mission, the Christie camp rushed out an unusual clarification.

"To be clear: the Governor believes vaccines are an important public health protection and with a disease like measles there is no question kids should be vaccinated," said Christie spokesman Kevin Roberts. "At the same time different states require different degrees of vaccination, which is why he was calling for balance in which ones government should mandate."

The episode hit the headlines because federal health officials are expressing alarm that a spate of measles cases is being fueled by skepticism among some parents of infant vaccination schedules.

The United States is one of the most vaccinated nations in the world. Experts note that infants face more than 20 shots before they are 18 months old and some parents question the speed and utility of all the doses.

Claims picked up by the so-called anti-vaxxer movement, now debunked by scientific research, argue that shots can cause childhood autism and other unintended side effects.

So it's not surprising that politicians should face questions about the issue --  especially if they are a governor who is thinking of running for president.

Christie seems to have been tripped up more by policy than substance. When he spoke with nuance, it came across as a political calculation because his careful remarks contrasted with his own tendency to talk most of the time in an unmistakeably blunt way.

"Get the hell off the beach ... and get out, you're done," Christie, for instance, once told people he saw on news footage who had yet to take Hurricane Irene's approach seriously in 2011.

So his equivocation on Monday raised questions over his motives.

Was Christie for instance fudging on an issue that could play into suspicions of government mandates - in health care, education and other areas -- that could animate the 2016 Republican primary race?

There is, after all, precedent for a vaccination flap having political reverberations in a primary race.

Then-Texas Gov. Rick Perry came under fire in 2012 from Republican opponents who opposed his executive order requiring girls to be vaccinated against human papillomavirus, which spreads through sexual transmission.

Social conservatives opposed making the shot mandatory for girls as young as 11.

Another candidate, Michele Bachmann, helped torpedo her own campaign by suggesting the drug could cause "mental retardation."

Christie is not the only candidate being forced to weigh in on the vaccinations debate which looks set to rumble through the 2016 campaign.

Republican Sen. Rand Paul, a physician, said he thought vaccinations were a good thing but parents should have some input in how they are used. He told CNBC he had staggered a program of doses for his children when they were newborns. And he added that he had heard of "many tragic cases of walking, talking, normal children who wound up with profound mental disorders after vaccines."

Another potential Republican presidential candidate Carly Fiorina was quoted by Buzzfeed.com as saying that "vaccinating for measles makes a lot of sense."

But she added: "I do think parents have to make those choices."

Christie's struggles in getting his own message across may have several explanations, not all political. He could simply have been caught off guard in a place far from the early skirmishes of the Republican presidential sweepstakes.

Or perhaps he was off his game, when appearing before a small traveling press pack, after battling a five-hour time difference to stay up late to watch the Super Bowl.

But the episode is a reminder of the perils facing a politician who prizes speaking off the cuff.

"Is he going to have to be clarifying his comments all the time?" said Jonathan Jaffe, a communications consultant who publishes a daily newsletter on New Jersey politics.

MAP: The measles outbreak

"Christie is a very casual speaker. He talks a lot of the time off the top of his head," Jaffe said, saying that quality could become a liability when every word is parsed by political journalists or opponents.

Indeed, candidates like Christie who build a brand on straight talk, often face extra scrutiny when they appear to hedge on an argument.

"It depends on what the vaccine is, what the disease type is and all the rest," Christie said, trying to explain his initial quote. "I didn't say I'm leaving people the option. What I'm saying is that you have to have that balance in considering parental concerns."

He went on: "Not every vaccine is created equal and not every disease type is as great a public health threat as others. So that's what I mean by that so that I'm not misunderstood."

Christie's remarks, for once, were not as direct as those of the more professorial President Barack Obama, who touched on the issue in a pre-Super Bowl interview with NBC.

"There is every reason to get vaccinated but there aren't reasons to not," said Obama, adding "the science is pretty indisputable."

Taken out of their political context, Christie's remarks seem a lot less contentious.

Mark Largent, a Michigan State University professor who wrote a book about the vaccination debate in modern America, said that issues like inoculation schedules tend to be seen as a barometer for candidates on wider issues of scientific and medical issues.

He says the debate is a rare one which cuts across political divides. On the right, objectors tend to sense the overweening hand of big government and infringments on individual liberties.  On the left, suspicion is driven by skepticism about the motives of the pharmaceutrical industry, he said.

The result is a debate in which legitimate concerns can be drowned out by politics.

Christie "is very moderate in what he is saying, but he is going to get pummeled as anti-vaccine," Largent said.

Christie's comments may also be conditioned by his time in New Jersey where there has been a spirited debate over the issue, with activists complaining about what they say are the nation's most expansive mandates for child vaccines.

The Daily Beast reported on Monday that as far back as his first gubernatorial campaign in 2009, Christie expressed sympathy for parents of autistic children who wanted more input over which vaccines were administered to kids.

The speed with which Christie's camp rushed to put out Monday's storm appeared to signal that the governor was not making some sort of clever play for government-hating activists on the conservative right -- a sector of the Republican Party where he must make inroads.

But Democrats wouldn't give him a break, giving him a dose of his own tough talk.

"Chris Christie isn't a scientist. He isn't a doctor. And he sure as heck isn't a leader," said Democratic National Committee spokesman Mo Elleithee.

@highlight

Measles flap stamps on Christie message in UK

@highlight

Sparks new Democratic claims GOP is 'anti-science'

@highlight

Politics overwhelms substance in medical debate