(CNN) -- A now-retracted British study that linked autism to childhood vaccines was an "elaborate fraud" that has done long-lasting damage to public health, a leading medical publication reported Wednesday.

An investigation published by the British medical journal BMJ concludes the study's author, Dr. Andrew Wakefield, misrepresented or altered the medical histories of all 12 of the patients whose cases formed the basis of the 1998 study -- and that there was "no doubt" Wakefield was responsible.

"It's one thing to have a bad study, a study full of error, and for the authors then to admit that they made errors," Fiona Godlee, BMJ's editor-in-chief, told CNN. "But in this case, we have a very different picture of what seems to be a deliberate attempt to create an impression that there was a link by falsifying the data."

Britain stripped Wakefield of his medical license in May. "Meanwhile, the damage to public health continues, fueled by unbalanced media reporting and an ineffective response from government, researchers, journals and the medical profession," BMJ states in an editorial accompanying the work.

Speaking to CNN's "Anderson Cooper 360," Wakefield said his work has been "grossly distorted" and that he was the target of "a ruthless, pragmatic attempt to crush any attempt to investigate valid vaccine safety concerns."

The now-discredited paper panicked many parents and led to a sharp drop in the number of children getting the vaccine that prevents measles, mumps and rubella. Vaccination rates dropped sharply in Britain after its publication, falling as low as 80% by 2004. Measles cases have gone up sharply in the ensuing years.

In the United States, more cases of measles were reported in 2008 than in any other year since 1997, according to the Centers for Disease Control and Prevention. More than 90% of those infected had not been vaccinated or their vaccination status was unknown, the CDC reported.

"But perhaps as important as the scare's effect on infectious disease is the energy, emotion and money that have been diverted away from efforts to understand the real causes of autism and how to help children and families who live with it," the BMJ editorial states.

Wakefield has been unable to reproduce his results in the face of criticism, and other researchers have been unable to match them. Most of his co-authors withdrew their names from the study in 2004 after learning he had had been paid by a law firm that intended to sue vaccine manufacturers -- a serious conflict of interest he failed to disclose. After years on controversy, the Lancet, the prestigious journal that originally published the research, retracted Wakefield's paper last February.

The series of articles launched Wednesday are investigative journalism, not results of a clinical study. The writer, Brian Deer, said Wakefield "chiseled" the data before him, "falsifying medical histories of children and essentially concocting a picture, which was the picture he was contracted to find by lawyers hoping to sue vaccine manufacturers and to create a vaccine scare."

According to BMJ, Wakefield received more than 435,000 pounds ($674,000) from the lawyers. Godlee said the study shows that of the 12 cases Wakefield examined in his paper, five showed developmental problems before receiving the MMR vaccine and three never had autism.

"It's always hard to explain fraud and where it affects people to lie in science," Godlee said. "But it does seem a financial motive was underlying this, both in terms of payments by lawyers and through legal aid grants that he received but also through financial schemes that he hoped would benefit him through diagnostic and other tests for autism and MMR-related issues."

But Wakefield told CNN that claims of a link between the MMR vaccine and autism "came from the parents, not me," and that his paper had "nothing to do with the litigation."

Read autism coverage on "The Chart" blog.

"These children were seen on the basis of their clinical symptoms, for their clinical need, and they were seen by expert clinicians and their disease diagnosed by them, not by me," he said.

Wakefield dismissed Deer as "a hit man who has been brought into take me down" by pharmaceutical interests. Deer has signed a disclosure form stating that he has no financial interest in the business.

Dr. Max Wiznitzer, a pediatric neurologist at Rainbow Babies & Children's Hospital in Cleveland, said the reporting "represents Wakefield as a person where the ends justified the means." But he said the latest news may have little effect on those families who still blame vaccines for their children's conditions.

"Unfortunately, his core group of supporters is not going to let the facts dissuade their beliefs that MMR causes autism," Wiznitzer said. "They need to be open-minded and examine the information as everybody else."

Wakefield's defenders include David Kirby, a journalist who has written extensively on autism. He told CNN that Wakefield not only has denied falsifying data, he has said he had no way to do so.

"I have known him for a number of years. He does not strike me as a charlatan or a liar," Kirby said. If the BMJ allegations are true, then Wakefield "did a terrible thing" -- but he added, "I personally find it hard to believe that he did that."

CNN's Elizabeth Cohen and Miriam Falco contributed to this report.

@highlight

NEW: Dr. Andrew Wakefield says his work has been "grossly distorted"

@highlight

British journal BMJ accuses Wakefield of faking data for his 1998 paper

@highlight

"The damage to public health continues" as a result of the autism-vaccine claim

@highlight

The study was retracted and Wakefield lost his license in 2010