(CNN) -- Their CVs combined look like the envy of all bona fide air adventurers. Pioneering ultralight aircraft? Been there. Setting world records by circling the globe nonstop in a balloon? Done that. Commanding the first ever 24-hour flight on a plane powered just by the sun? Yep, you've guessed it.

And now, following 12 years of complex designs and intense training, aviation pioneers Bertrand Piccard and Andre Borschberg are set to conquer new heights, taking up the challenge of the first solar flight around the globe.

The Swiss duo unveiled last week Solar Impulse 2, a revolutionary aircraft designed to achieve the longest ever flight in the history of aviation in terms of duration for a single pilot. It will attempt to fly non-stop for 120 hours (yes, that's five successive days and nights) over oceans and continents without a drop of fuel.

Made of carbon fiber, Solar Impulse 2 is the evolution of a prototype that has smashed several aviation records in recent years, including the first fully solar-powered overnight flight lasting 26 hours in 2010.

The upgraded plane has a huge wingspan of 72 meters, wider than a standard Boeing 747, and weighs only 2,300 kilos -- that's about as heavy as a family car. Its wings are covered with a skin of 17,000 solar cells that supply four electric motors with renewable energy, while its custom-made lithium batteries are able to store enough solar energy throughout the day to keep the ultralight plane flying at night.

"What we have now is the first airplane in the world which has unlimited endurance," says 62-year-old Borschberg, a father of three, who was the one in the cockpit in 2010's record-breaking flight. "It can fly a day and a night, it can fly a week, it can fly a month -- theoretically it can fly a year," he adds. "It's the most energy efficient airplane ever built."

20-minute sleeping

Inside the airplane's tiny cockpit, measuring about one and a half the interior volume of a 2013 Mini Cooper, every detail has been calculated to achieve maximum energy efficiency while ensuring the pilot can live there for several days. Its structure is surrounded by a high-density foam to protect the pilot from temperatures ranging from -40Â°C +40Â°C in the absence of heating and air conditioning.

There is enough space for food, water and oxygen supplies, while a multipurpose seat, which comes packed with a parachute and a life-raft, functions as a toilet. It also reclines to allow the captain to perform physical exercises to keep blood circulation going as well as take a nap -- but only for up to 20 minutes.

"We've learned to do what we call polyphasic sleep," says Borschberg, referring to the practice of sleeping several times over a day. "You need to know how to rest, how to eat, when to go to the toilet and how to keep the body functioning. Of course, we've also prepared for the worst -- how to jump out if it's necessary, how to survive in the ocean with a small life raft and how to get rescued."

To achieve all that, Piccard and Borschberg have spent countless days and nights inside flight simulators over the last few years. But while technical training is crucial, Piccard says preparing yourself mentally is as important.

"You have to be ready in your head to really visualize all the solutions," says Piccard. "All the positive emotions around the flight that will last five to six days alone over the ocean, and also visualize how to enjoy it -- otherwise it's very, very difficult."

It runs in the family

If there's someone who knows about difficult, if not impossible, undertakings, then that's Piccard, a third-generation adventurer. His grandfather was the first man to make it to the stratosphere in a balloon while his father was the first to reach the deepest point of the Earth's oceans, the Mariana Trench at nearly 11,000 meters.

Following in their footsteps, Piccard developed a passion for aviation early on. Starting out as a teenager, he soon became one of the pioneers of ultralight flying and won several hang-glider aerobatics competitions.

In March 1999, he completed the first non-stop round-the-world balloon flight with Brian Jones from the UK, while four years later he joined forces with Borschberg, an aviator, entrepreneur and mechanical engineer, to embark on their lofty mission to build a solar aircraft that could circle the world with no polluting emissions.

"In my family tradition there has always been the scientific exploration and the protection of the environment -- so this is what drives me," says 56-year-old Piccard, who is also a doctor, psychiatrist, and a father of three. "(To) have an interesting and exciting life but also have a useful life for others," he adds.

Indeed, more than just setting new records, it's this desire to chart a sustainable path for future generations that seems to motivate the Solar Impulse founders -- when asked whether he was at all afraid of undertaking once again something that's never been done before , Piccard is unequivocal.

"To be really honest," he says decisively, "I am very afraid of living in a world that burns one million tons of oil every hour -- without even counting gas and coal; a world that is destroying the planet and the environment," he continues. "I am much less afraid to fly in a solar-powered airplane because solar power is one of the solutions for the future.

A future without fuel

Following last week's unveiling, Piccard and Borschberg are now set to begin test flights in mid-May before embarking on their 35,000-kilometer journey in March 2015. Starting from the Gulf region in the Middle East, the two pilots will then fly over India, Myanmar and China, cross the Pacific, the United States and the Atlantic with the aim of returning to their departure point.

With a sluggish top speed of just 88 miles per hour, each ocean crossing will last five to six days, taking the total flight time up to 20-25 days over the course of a few months. "Because it's a single pilot and the plane flies slowly, we're going to land on every continent and switch the pilot," explains Piccard. "So one of us will make the Pacific, one will make the Atlantic; one will cross China the other one will cross America and so on."

Each stop on their itinerary will last for several days as the Solar Impulse team wants to organize public events to raise awareness about a more sustainable way of life.

"This is really the message we want to spread," says Piccard. "With clean technology, with renewable energy we can achieve incredible things without any fuel at all."

READ THIS: Is your flying car finally here?

@highlight

Bertrand Piccard and Andre Borschberg have unveiled Solar Impulse 2

@highlight

The solar-powered aircraft will attempt to circle the globe next year

@highlight

It will have to fly non-stop for five days and nights crossing the Pacific and the Atlantic

@highlight

The aviation pioneers want to raise awareness about clean energy