Beijing (CNN) -- A Chinese court adjourned the public trial Tuesday of a police chief who triggered one of China's biggest political scandals in decades by famously seeking refuge in a U.S. consulate in February.

The verdict will be announced at a later date along with sentencing, court officials told reporters after the trial.

Court proceedings ended after five hours of public hearing Tuesday, following a one-day trial held in secret Monday due to the confidential nature of the information, officials said.

Wang, 52, is facing four charges of defection, bribe-taking, abuse of power and "bending the law for selfish ends." Wang didn't contest the charges, court officials said.

Until February, Wang was considered the right-hand man of disgraced politician Bo Xilai, once considered among Communist royalty and a fast-rising star within the party destined for the highest office of the country.

Read more: The downfall of Bo Xilai

After being suddenly dismissed as police chief, Wang spectacularly sought refuge for one day inside the U.S. Consulate in Chengdu, apparently fearing for his life and allegedly holding incriminating information against his boss.

Bo's wife, Gu Kailai, poisoned and killed Neil Heywood, a British businessman and Bo family friend, last November amid a financial dispute. She was convicted of murder in August and given a suspended death sentence.

According to the state-run news agency Xinhua Tuesday, prosecutors said Wang knew "perfectly well" that Gu was suspected of murder, but deliberately covered up for her so she would not be held legally responsible for Heywood's death.

Four high-ranking police officers who once worked under Wang were convicted of covering up the Heywood murder and received prison sentences ranging from five to 11 years. Another former top deputy of Wang was recently arrested and accused of taking bribes.

A court official told reporters Tuesday that Wang's defense team argued that he provided useful evidence in securing Gu's conviction. They also pointed out that he left the U.S. consulate voluntarily and on those grounds appealed for leniency in his sentencing.

According to Xinhua, prosecutors also accused Wang of using "technical reconnaissance measures" against "many people on multiple occasions, either without the approval of authorities or by forging approval documents." They alleged his acts "severely undermined the socialist rule of law" and "infringed citizens' legitimate rights and interests."

Prosecutors also alleged Wang took advantage of his position as police chief to accept bribes and property worth more than 3.05 million yuan (U.S. $484,127) in return for "securing benefits" for other people, though Xinhua did not report what those benefits were.

On the defection charge, prosecutors said Wang, as a holder of state secrets, "left his position without authorization and defected to another country's consulate while he was performing his official duty."

Wang's decision to flee to the U.S. consulate in February threw the Communist Party into crisis mode by threatening to expose ructions within the leading Party just months away from a once-in-a-decade leadership change.

Read more: Disgraced Party chief looms large over leadership

Censors moved into overdrive to silence public speculation about why Wang had fled and what it had to do with Bo, then a popular politician and contender for China's Politburo Standing Committee, the nine-member team that effectively rules the country.

In April, two months after Wang fled, the government announced that Bo was being stripped of his leadership positions for "serious breach of party discipline." He has not been seen publicly since.

Wang headed the police department of Chongqing, a sprawling southwestern metropolis with more than 30 million residents, during most of the period when Bo was the local party chief from late 2007 to early this year.

Wang's indictment quoted by Xinhua did not mention Bo, but prosecutors alleged that the former police official "illegally used technical surveillance measures." Analysts say the accusation may reflect rumors that Wang had bugged other senior officials to benefit Bo politically.

Bo, 63, a charismatic albeit controversial politician, launched a "smashing black, singing red" campaign in Chongqing that promoted Communist ideology as zealously as it cracked down on organized crime.

His economic programs, which included millions spent on social welfare, made him a popular leader in Chongqing. But analysts say his populist policies and high-profile personal style were seen as a challenge to the more economically liberal and reform-oriented faction that dominated the current party leadership.

Bo and Wang were known to have worked closely on Bo's signature crime-fighting program in 2009. In just 10 months, Chongqing police arrested almost 5,000 people and executed more than a dozen.

Wang was taken into custody once he left the consulate for entering the diplomatic post without authorization. Analysts say his gambit forced China to deal with the scandal with an unprecedented level of transparency, prodded along by social media.

It is now rumored that the 18th Communist Party Congress, a meeting where a new generation of leaders is expected to be unveiled, will be held in the middle of next month. The current leadership under President Hu Jintao is trying to resolve the Bo affair before its once-in-a-decade power transition, according to Joseph Fewsmith, an international relations professor at Boston University and a longtime China watcher.

"There was a desire on the part of the Chinese Communist Party to get this case settled," he said. "It's not yet, but it is out of the party and into the hands of criminal courts -- well before the 18th Party Congress."

The conviction rate for criminal trials in China stood at 99.9% in 2010, a U.S. State Department report quoted the Chinese Supreme People's Court as saying.

@highlight

NEW: Trial ends for former Chongqing police chief Wang Lijun

@highlight

In February he fled to the U.S. consulate, triggering political crisis

@highlight

Wang faces four charges including defection and bribe-taking

@highlight

He was considered right-hand man of now disgraced politician Bo Xilai