Atlanta (CNN)  -- Imagine paying as much for water as you do for your mortgage.

Residents throughout Atlanta are outraged by hundreds, even thousands of dollars in monthly spikes in their water bills, and have questioned the legitimacy of the charges for years. Now, they're demanding answers.

"I thought we were sinking in a hole of water," said Debbi Scarborough. "It scared me to death. I thought we had a major leak when I got the bill."

Over two months last summer, her family's monthly water bill, shot up to $1,805 In July and then $1,084 in August, leaving a balance due of more than $3,000. She said in the past her bill has averaged $200 to $250.

"I'm not paying a $3,000 bill. And for those three months, we were pretty much out of town most of the time and there's no leaks," she said, showing CNN a copy of her plumber's report.

The city installed a device on her meter to track daily usage. In the meantime, Scarborough's bill remains unpaid while she disputes the charges.

She is not alone.

While similar complaints about huge water bill spikes have popped up in Cleveland, Ohio; Charlotte, North Carolina; Tampa, Florida; and Brockton, Massachusetts; it appears that the issue has lasted the longest in Atlanta.

See how top 50 cities rank

It's led to a class-action lawsuit, countless meetings with city officials and continuing complaints from fed-up residents.

Thousands of residents who have seen unusual spikes have appealed their high water bills. Just last year, the city issued credits totaling $466,368 to customers.

Atlanta, with more than 500,000 residents, says it already has the highest water rates of any major city in the United States, due in part to federal consent decrees to overhaul the city's water supply infrastructure.

Many of the problems arose after the installation of new, automated water meters, which began nearly five years ago, and involved contracts for meter installations, the electronic meters and software equipment.

The automated meter-reading technology eliminates the need for city workers to manually check every meter. Instead, they retrieve the data by driving by each property. The meter electronically transmits data showing the amount of water used.

From the beginning, there were problems.

In 2007, city auditors found they were "unable to verify electronic meter readings" because of "meter read errors, equipment failures or human errors."

Specifically, the audit said "about 9% of the meters could not be read due to broken or malfunctioning equipment."

Two years later, another audit concluded that a "high number of accounts" were not getting "actual meter readings" because of "meter read errors, equipment failures or human errors."

CNN reviewed hundreds of complaints from Atlanta residents as well as city e-mails obtained through a public records request.

On August 26, 2010, Mitch Elliott, a sales executive of Neptune Technologies, which manufactured the meters, wrote to a city official: "It has been an industry experience that typically when a utility does an AMR (automatic meter reading) meter changeout and also switches software billing companies that generally high bill complaints are either due to new meter accuracy and/or a billing multiplier error."

Elliott would not comment, referring CNN to city officials.

Peter Aman, the city of Atlanta's chief operating officer, said in an interview that he realized at that time the situation was serious. He's been on the job since January 2010. Last September, he replaced senior management in the Atlanta Dept. of Watershed Management.

He said the city has sampled about 9,000 of the 132,954 residential meters and made a major discovery: About 1% of the meters' registers, which show how much water is being used, and the meter base underneath do not properly fit. That mismatch could result in a doubling of the water bill, Aman said.

"These two components don't match and guess what? They're labeled. This one says three-quarter (inch) on it and this one has a "1" (inch) on it. Now, it's small print but it's big enough to see," Aman said.

That would explain a billing multiplier error, which leads to higher bills, he said.

He added that the problem was first "identified in the audit back in (2007) and [the city] put in place, or were supposed to put in place, a whole system of checks and balances as they went through the rest of the system upgrade, and clearly they failed because we're still finding these mismatches out there."

Experts: U.S. water infrastructure in trouble

Operators of Lenox Square Mall and Phipps Plaza, two large shopping malls, complained about water billings "nearly $300,000 over last year for this same period of time," according to another e-mail.

"There appears to be serious errors in the water billings that are creating huge hardships for both centers," wrote Michael F. Romstead, regional vice president of Mid Atlantic Mall of Georgia. "We need the city's full attention to correct the problem."

The city responded by changing the meters' registers. Romstead did not return calls to check whether the bills had gone back to normal, but there are no follow-up complaints in the city records supplied to CNN.

Asked about problems with the rest of the meters, Aman said, "The majority of the people who complain about high water bills have some issue that is not associated with the meter. Many, many of them have either leaks, or increases in usage through irrigation or pool filling that they didn't fully understand the impact of, but that's not to minimize the fact that we do have some cases of meters that aren't functioning properly. And we're addressing those on a case-by-case basis and giving people their money back. To me, the story here is there has been a complete loss of trust between the city and its citizens and its customers."

The city has not found issues with meter manufacturer Neptune Technologies Inc. or Systems and Software Inc. which installed the billing software, Aman said. Executives at both companies declined interview requests. Two other contractors that installed meters at commercial locations did not return calls.

"We have not found a smoking gun, if you will, in terms of a system problem," Aman told CNN.

However, he said the company that installed the residential meters should be held accountable. KHAFRA, an Atlanta-based firm, joined a Pennsylvania company to carry out the $40.3 million contract.

After months of calls, KHAFRA President Valentino Bates agreed to an interview, but only after CNN had spoken to Aman.

"When we ended the contract in December of 2009, we had a 90-day window to come in and address any concerns. No concerns were brought to us. So as of today sitting here with you, it is our understanding that the meters are functioning properly as they were supposed to when we installed them," Bates said.

He said the company had identified 968 meters that had the mismatching problem, and fixed all of them by last March. The project, he said, was "very successful" and he added that he had not been informed about additional meter issues.

Asked if his company would repair any other meters the city said were not correctly installed, Bates told CNN, "If it is our problem, we will do that."

Meanwhile, Atlanta residents continue to complain to the city, which received more than 22,000 calls to its Department of Watershed Management in January. And last year alone, there were a total of 12,291 water bill disputes, according to the city.

"Clearly, people are upset, and one of the things that we said to people is that we hear you and that we do believe we have problems in the water meter and billing system," Aman said.

That doesn't convince residents like Wilda Cobb, who is astounded at a water bill that now totals $10,071.

Her bill spiked to more than $1,200 in November, then skyrocketed to $6,879 in December.

"I am furious, I am upset, I'm confused," Cobb said. "I can't get an answer from the city because they won't admit there is a problem."

A city official reviewed Cobb's bills, and said the unusually high usage for the two months would normally mean there was some kind of leak, possibly with the irrigation system. The city installed a data logger meter that tracks usage during each day.

Her latest bill is down to just $34.

Ironically, Cobb knows something about water issues. She's an attorney for the Environmental Protection Agency.

"As I person, I know something's wrong here," Cobb said. "As an attorney, what can I do about it? But, I don't think it takes a law degree to say $7,000 for a month's use of water by one person in a small home is just crazy without a leak."

Watch CNN Newsroom weekdays 9am to 3pm ET and weekends. For the latest from the CNN Newsroom click here.

@highlight

Atlanta woman reacts to her $3,000 water bill: I'm "sinking in a hole of water"

@highlight

City water officials received more than 22,000 calls in January

@highlight

Many problems arise after installation of automated water meters

@highlight

Similar water bill spikes reported in Ohio, Massachusetts, North Carolina and Florida