(CNN) -- A massive emergency response operation is under way in northern Japan, with world governments and international aid groups coming together to bring relief to the beleaguered island nation.

According to Japan's Foreign Affairs Ministry, 91 countries and regions and 6 international organizations have extended offers of assistance.

The Japanese government has received 11 urban search and rescue teams, the group said in a situation report, including teams from the United States, South Korea, Australia, Germany, Mexico, New Zealand, China, Hungary, Singapore and the United Kingdom.

Japan's own search and rescue team was in New Zealand, assisting with recovery from the recent Christchurch earthquake, when the quake and tsunami struck Japan on Friday.

Here is a sampling of relief efforts under way:

.

United States

.

Ten U.S. helicopters flew missions Monday finding people in need of help and delivering water, food and blankets, Pentagon spokesman Col. David Lapan said. Additional helicopters conducted surveys of at-sea debris as well as search-and-rescue operations along the coast, Lapan said.

Eight U.S. Navy ships are now at work off the Japanese coast, with five more on the way in coming days and weeks, Lapan said.

Some military personnel on the USS Ronald Reagan off the East Coast of Honchu set off alarms indicating radiation and were decontaminated with soap and water, according to Lapan. The ship was about 100 miles from the damaged Japanese nuclear reactors at the time and subsequently changed its position, he said.

Lapan said those who registered "very low levels" of radiation included flight crews on helicopters returning to the ship, as well as crew members who never left the ship. He was unable to say how many people had to be scrubbed down but added that they weren't wearing protective gear and that none had been given radiation-blocking potassium iodide in response.

Two search-and-rescue teams from the United States arrived in the hard-hit coastal city of Ofunato, which was severely damaged in the quake. It took their convoy six hours to travel from Misawa Air Base on Monday.

Nearly 150 people and 12 dogs trained to detect live victims arrived in Japan late Sunday, according to Los Angeles Fire Department Inspector Don Kunitomi. Hailing from California and Fairfax County, Virginia, the teams are the only two in the United States qualified to respond to disasters on such a scale, Kunitomi said.

"There are a lot hazards that have never been experienced by a search-and-rescue team," Kunitomi said. "There's this radiation factor. We do have radiation equipment ... but no one has ever really experienced this."

"It looks like it'll be part Katrina because of the flooding and part New Zealand because of the earthquake," he continued, referring to Hurricane Katrina in 2005 and last month's earthquake in Christchurch, New Zealand.

The teams traveled in a convoy of two buses, several flatbed trailers and half a dozen utility vehicles.

The U.S. Agency for International Development (USAID) is coordinating the overall American response. The United States is also sending experts from the Department of Energy and the Nuclear Regulatory Commission to offer technical assistance to the Japanese government.

On Sunday, the USS Ronald Reagan started delivering aid in the coastal regions of Japan's Miyagi Prefecture.

Crew members, in conjunction with the Japan Maritime Self Defense Forces, conducted 20 sorties delivering aid pallets. Eight U.S. and Japanese helicopters were used to distribute the pallets, according to Sgt. Maj. Stephen Valley of U.S. Forces Japan.

.

China

.

A 15-member Chinese search and rescue team has begun work in Ofunato, according to China's state-run Xinhua news agency. The group brought 4 tons of material and equipment and is expected to work in the area for up to 10 days, the agency reported.

The gesture comes just six months after the two countries sparred in a territorial dispute over the Diaoyu Islands in the East China Sea. Tokyo held a Chinese trawler captain after his fishing boat collided with Japanese coast guard ships near the islands in September.

There also remains a great deal of tension between China and Japan, left over from Japan's invasion and occupation of part of China from 1931 to 1945. The wartime atrocities still fuel widespread distrust of Japan by many Chinese.

However, "China is also a country prone to earthquake disasters, and we fully empathize with how they feel now,"  Chinese Premier Wen Jiabao said Monday.

China has been hit with two devastating quakes in the past three years. And it is conducting domestic quake rescue efforts in southwestern Yunnan province after a deadly 5.8-magnitude quake Thursday.

.

United Kingdom

.

A British team comprising 63 fire service search-and-rescue specialists, two dogs and a medical support team is in Japan, the U.K. foreign office said. The group has 11 metric tons of rescue equipment, including heavy lifting and cutting equipment to extract people trapped in debris, the government said.

.

New Zealand

.

New Zealand has sent a rescue team of 10 from Christchurch to the hard-hit Japanese coastal city of Sendai. Christchurch is cleaning up from its own earthquake on February 21 that killed 123 people.

.

Mexico

.

A Mexican rescue squad made up of eight search and rescue specialists, five dogs, two structure assessment specialists, members of the Mexican Red Cross and personnel from the National Autonomous University of Mexico is in Sendai, the Mexican Foreign Affairs Ministry said Monday.

.

International Groups

.

The International Atomic Energy Agency's Incident and Emergency Centre has offered technical assistance to Japan in the wake of an explosion at the Fukushima Daiichi plant. The government has evacuated more than 200,000 residents from homes close to the plant and tested 160 people for radiation exposure, authorities said Sunday.

In addition to the response from world governments, humanitarian assistance groups have sent teams to hard-hit areas across Japan.

The International Federation of Red Cross and Red Crescent Societies has 62 teams in-country providing assistance, according to a United Nations situation report.

A Red Cross hospital in the city of Ishinomaki, which was engulfed by the tsunami, is the primary medical facility providing health care services in the area, according to the International Red Cross' Patrick Fuller. He says the focus is very much on search and rescue at the moment, adding that the group is particularly concerned about Japan's large population of elderly people who are vulnerable to hypothermia.

The World Health Organization has alerted its network of health experts who specialize in nuclear-related disasters. The Radiation Emergency Medical Preparedness and Assistance Network is now on standby, ready to assist if requested by Japanese authorities. The network is made of representatives from more than 40 institutions with expertise in radiation emergency medicine, public heath interventions and long-term followup.

Mercy Corps International teamed with Peace Winds Japan to rush aid to affected regions. On Sunday, Peace Winds conducted assessments in two northeastern cities, Ishimaki and Kesennuma, according to a statement on Mercy Corps' website. On Monday, the group will use helicopters to bring in 30 family-sized tents, plus materials to construct a 100-person balloon shelter. Peace Winds has expert responders on their way to remote areas of northern Japan, where they plan to distribute large emergency tents, water, food and blankets, according to Mercy Corps' website.

The two groups are working to deliver other essential items that are in short supply.

Medecins sans Frontieres has a 10-member team working in Miyagi Prefecture, assisting "in the massive government-led relief effort."

"On Sunday, we conducted mobile clinics and assessments in two evacuation centers," team coordinator Mikiko Dotsu said in a news release. "It appears that medical needs are increasing in evacuation centers."

Additional personnel will join the group Monday, which will then split in two to cover more ground. The teams will begin working their way into more remote areas, focusing particularly on the needs of vulnerable populations like elderly people and young children.

Stephen McDonald of Save the Children said Sunday that his group had multiple teams in the country, reaching out to families left homeless. There are water shortages at evacuation centers, creating hygiene challenges, he said.

.

Celebrities

.

Celebrities from Lady Gaga to Linkin Park rallied their fans to ante up for earthquake and tsunami relief in Japan.

Lady Gaga is offering a red-and-white wristband with the words "We pray for Japan" and an image of the singer's monster paw gesture.

Mike Shinoda of Linkin Park has designed a T-shirt to benefit Music for Relief's Tsunami Relief in Japan.

The Red Cross appeared to be the charity of choice among celebs, who encouraged their fan bases to make donations via text message.

CNN's Nick Valencia, Kim Hutcherson, Brian Walker, Michael Martinez and Sarita Harilela contributed to this report.

@highlight

NEW: Mexican rescue squad arrives in Sendai

@highlight

U.S. search and rescue teams are in hard-hit Ofunato

@highlight

New Zealand sends search and rescue team as it recovers from its own earthquake

@highlight

China sends team despite long-running tensions with Japan