(Mashable) -- We've seen some major world events unfold on the social media stage in the past week, the biggest being Google's threat to pull out of China and the Haiti earthquake.

Google's actions have brought attention back to the long-standing Internet censorship that blankets China, while the destruction in Haiti has mobilized hundreds of thousands to open their wallets and their hearts.

Just like the Iran election crisis, those events are causing people to reassess the impact of social media on the world. It's clear that social media has the power to impact world politics and the lives of billions, but some have overstated what social media can actually do. We need to understand what social media really is in order to use it effectively for social good.

iReport: Looking for loved ones in Haiti

Let me explain by highlighting a few examples of social media's impact on the world stage, and then concluding with how I view social media's impact in the larger context of mobilization and world discussion.

Iran election crisis

During summer 2009, the world's eyes were fixated on Iran. Questions were raised after Ahmadinejad was declared the winner over rival Mousavi in Iran's Presidential elections. The abnormalities and potential tampering of the vote resulted in massive protests that engulfed the Islamic nation.

Social media's role in the Iran Election Crisis started with #CNNFail, but that was only the beginning of social media's role. With the Iranian government clamping down on information and enforcing censorship, Twitter, Facebook, Flickr, and YouTube became the primary mediums for bringing information out of the conflicted nation and spreading notes between dissidents.

Take a look at the Iran election social media timeline we built if you want to see its full impact. Key moments in the crisis, especially the death of Neda, were recorded and spread like wildfire, creating an outpouring of support for the protesters. Twitter's role was so important in fact that the U.S. government got involved in scheduling Twitter's downtime.

In the end though, social media didn't topple any governments, although it has helped shift the political climate in Iran. In some cases the use of Twitter in Iran was overstated, yet the result is that the tipping point for Iran is close, thanks to social media.

Haiti earthquake

After a magnitude 7.0 earthquake (and multiple aftershocks) devastated the nation of Haiti, social media became the medium in which everybody spread the word. Dramatic Haiti earthquake Twitter pictures swept across the Web, while tech giants mobilized.

iReport: Earthquake rocks Haiti

The most impressive part of social media's impact on Haiti has to be the charity text message campaign that has already raised more than $10 million for Haiti victim relief. Social media spread the word. Technology made it possible.

It's not all perfect, though: the money raised is small compared to the relief coming from world governments and donations face 90 day delays. Still, social media for social good is becoming more effective with each crisis.

China-Google standoff

While we are still far from the conclusion of this messy affair, Google's threat to pull out of China has already had a dramatic effect in both social media and political circles.

Politically, China has been put under pressure. The U.S. government has thrown its support behind Google, though it's doubtful that the Obama Administration will get involved in the end.

More importantly though, social media is being used to lift China's blanket of censorship. Social tools, while many are blocked by the Chinese, can get through China's great firewall. We have the tools to undo censorship in China. Google's efforts have re-ignited the debate over censorship, but they won't break the barrier.

Social media's global impact

In all three cases -- China, Haiti and Iran -- social media has had an impact, especially as the course of events evolved. Real-time communication platforms like Twitter and Facebook have spread the word about what's happening within these nations, long before the mainstream media prints the story. These tools have also created a level awareness we've never seen before.

iReport: I'm alive! Messages from Haiti

We have to be realistic, though: New media isn't going to stop censorship, overthrow oppressive regimes or heal the people of Haiti alone. Social media has transformed communication, media, and the transmission of information, but it still takes people on the ground to pull people out of the rubble or to fight for freedom.

Just as Paul Revere embarked on his midnight ride to warn that the British were coming, social media acts as both the first warning and the rallying cry for mobilization. In the end though, social media is just a collection of tools. It's up to us, the people, to make the real impact on our world.

© 2010 MASHABLE.com. All rights reserved.

@highlight

Author: Social media has helped mobilize people in China, Haiti and Iran

@highlight

After Haiti's earthquake, aid groups solicit donations by text message

@highlight

Social media's ability to help people has been overstated in the past, author says

@highlight

Ultimately, technology and social networks are tools people must use