The United States plans to send small arms, ammunition and potentially anti-tank weapons to Syria's rebels, two officials familiar with the matter told CNN on Friday.

President Barack Obama's administration has declined to provide details about increased military assistance for the rebels following its announcement Thursday that Syria crossed a "red line" with its use of chemical weapons.

Ben Rhodes, a U.S. deputy national security adviser, told reporters that Washington will "increase the size and scope of the assistance."

When pushed for more details, Rhodes said: "I can't give you a specific timeline or itemized list of what that assistance is."

The weapons will be provided by the CIA, the officials told CNN's chief White House correspondent Jessica Yellin. The officials spoke on condition of anonymity because of the sensitivity surrounding the issue.

The U.S. announcement set off a series of claims and counterclaims in Syria and world capitals over the conflict that has claimed more than 90,000 lives with no sign of progress toward a political solution.

Britain backed the U.S. change in position, but Syria and its allies in Russia quickly sought to cast its integrity into doubt.

The Syrian foreign ministry accused Washington of releasing "a statement full of lies regarding the use of chemical weapons in Syria," according to a statement released on state TV.

And a government statement carried by the state-run Syrian Arab News Agency accused the United States of using "flagrant tricks to come up with any possible means to justify the decision of President Barack Obama to arm the Syrian opposition."

An aide to Russian President Vladimir Putin labeled as "unconvincing" the U.S. evidence of chemical weapons use by Syria.

However, British Foreign Secretary William Hague backed the U.S. government's assessment and called for a coordinated response from the international community.

'Weapons and ammunition'

Obama has been criticized at home and abroad for not acting sooner to assist the Syrian opposition, and the declaration that the red line of chemical weapons use had been crossed raised expectations of U.S. arms heading to the rebels.

"What we need, really, is weapons and ammunition, and especially anti-tank and anti-aircraft missiles," Gen. Salim Idriss of the rebel Free Syrian Army told CNN's Christiane Amanpour on Friday.

Idriss said he has not been told what type of weapons the United States will provide to the rebel army.

Louay Almokdad, political and media coordinator of the rebel Free Syrian Army, told CNN that he expected the United States initially to send ammunition, rather than heavy arms.

What complicates any U.S. military support for the opposition is that many of the rebel fighters are militants with pro-al Qaeda sympathies, the same stripe of militants America has battled in Iraq and Afghanistan.

They include the al-Nusra Front, a rebel group that the United States says has links to al Qaeda.

The rebels promised U.S. and European officials that any military weaponry they get won't end up with extremists among the anti-government forces, Almokdad said.

The officials told CNN that beyond small arms and ammunition, anti-tank weapons were also under consideration. They did not spell out what was being given to rebels, but small arms can include such items as rocket-propelled grenades, small rockets, mortars and mines as well as guns.

Anti-aircraft weapons were considered less likely, and Rhodes made clear Friday that Obama has ruled out sending any U.S. troops to Syria.

"The one option that we've basically taken off the table is boots on the ground," Rhodes said, adding that Obama has made the final decision on the step that "dramatically increases assistance to" rebel forces.

'Convincing' evidence

Presidential aide Yuri Ushakov told reporters the United States had shown Russian officials data and information on Syria's use of chemical weapons, Russia's state-run news agency RIA Novosti reported Friday.

"What we saw does not look convincing to us," Ushakov was quoted as saying.

In a telephone call with U.S. Secretary of State John Kerry, Russian Foreign Minister Sergei Lavrov said arming the rebels "would lead to an escalation in the region, since the U.S. accusations that Damascus has used chemical weapons are not rooted in reliable facts," according to a statement released by the Russian Foreign Ministry.

Washington and Moscow have been deeply divided over how to end the bloodshed in Syria, and the issue is expected to top the agenda when Obama and Putin meet for one-on-on talks Monday at the start of G8 summit in the UK.

"This is a fluid situation. So it is necessary for us to consult with leaders of the G8 about the types of support that we are providing for the opposition," Rhodes said.

Asked about Russia's questioning of U.S. evidence that Syria forces used chemical weapons multiple times, killing between 100 to 150 people, Rhodes said the information provided to Putin's government included samples of sarin gas and other "convincing" evidence.

That evidence, according to Rhodes, includes intelligence reports, eyewitness accounts and "physiological samples" of the nerve agent sarin.

No single piece of intelligence led to the conclusion that the Syrian regime had used chemical weapons, said a senior administration official, who spoke on condition of anonymity. The official was not authorized to speak publicly on the matter.

The finding, according to the official, was a result of looking at a number of instances of suspected use, seeing similar evidence and patterns of usage and coming to the conclusion chemical weapons had been used.

Rhodes acknowledged the differences that remain between the United States and Russia on the Syrian crisis.

The administration believes al-Assad's forces have used saran gas at least eight times in the more than two year conflict, said a U.S. Senate sourced briefed on the matter.

A boost in support by the United States for the rebels could put at risk the gains made by Syrian forces in recent days, especially in central and northern Syria, with the help of Hezbollah fighters from Iran.

In Damascus, an al-Assad loyalist who spoke to CNN's Frederik Pleitgen said he believes the United States is "inventing stories" about the government's use of chemical weapons "because our army is winning."

McCain: Rebels losing fight

The White House announcement comes at a critical time for the Syrian opposition, which has suffered a series of significant losses in recent weeks. Those losses have coincided in large part with the arrival of thousands of Hezbollah Shiite fighters, backed by Lebanon and Iran, to reinforce al-Assad's forces battling the mainly Sunni uprising.

After months of gaining ground, the rebels this month lost Qusayr -- one of their strongholds near the Lebanese border -- which was considered essential for the rebels' supply route.

Until now, the United States has limited its aid to rebels, providing communications equipment, medical supplies and food. Obama signed off on a new package of non-lethal aid in April. That assistance was expected to include body armor, night-vision goggles and other military equipment.

Sen. John McCain, who has repeatedly pushed the Obama administration to step up its support for the rebels, told CNN on Friday that they need anti-tank and anti-aircraft weapons.

Asked whether the rebels were losing the fight, the Arizona Republican said: "Absolutely, there's no doubt about it."

He also called for taking out al-Assad's air assets to create a safe zone for the Syrian opposition.

"I know that we have the military capability to impose a 'no-fly' zone, to crater their runways and their fixed installations where fuel and parts are, and establish a 'no-fly' zone with Patriot missiles," McCain said.

"And if we can't do that, then the question ought to be asked to the American taxpayer -- to the Pentagon, 'What in the world are we wasting tens of billions of dollars for defense for if we can't even take care of this situation?'" McCain said.

Rhodes, however, indicated that a "no-fly" zone was unlikely, saying it would be "dramatically more difficult and dangerous and costly" to enforce one in Syria compared to the one NATO forces imposed with U.S. backing during Libya's civil war.

Libyan rebels had control of large portions of the country, unlike the Syrian rebels, he noted, and the Libyan military had fewer air-defense systems. He added that a "no-fly" zone "is not a silver bullet."

U.S. defense officials are not reviewing any new or updated options for a no-fly zone, two Pentagon sources said.

Even if U.S. planes monitored a no-fly zone along the Syrian-Jordanian border, the Syrian regime could attack targets in southern Syria using long range artillery or Scud missiles, a senior Pentagon official said.

Syria's stockpile

Syria has long maintained that rebels, not government forces, are behind the use of chemical weapons. It also went to the United Nations with its claims, but al-Assad would not allow U.N. inspectors into the country to try to verify the claims.

Analysts believe the Syrian government may have one of the largest stockpiles of chemical weapons in the world. Specifically, the supply is believed to include sarin, mustard and VX gases, which are banned under international law. Syria has denied the allegation.

Sarin gas can be hard to detect because it is colorless, odorless and tasteless. It can cause severe injuries -- including blurred vision, convulsions, paralysis and death -- to those exposed to it

In recent months, reports have repeatedly surfaced that Syrian forces have moved some of the chemical weapons inventories, possibly because of deteriorating security in the country, raising fears the stockpile could fall into the hands of al Qaeda-linked groups working with the opposition should al-Assad's government fall.

U.S. officials have been closely monitoring Syria's chemical weapons stockpiles and are certain they remain in the control of al-Assad's regime, Rhodes said, adding that it would be too dangerous to destroy the chemical weapons stockpiles from afar.

As recently as last week, the French foreign minister said sarin gas had been used several times in the Syrian civil war, citing results from test samples in France's possession.

In early May, the head of the U.N. Independent International Commission of Inquiry on Syria said that evidence points to the use of sarin by Syrian rebel forces. But the commission later issued a news release saying it "has not reached conclusive findings as to the use of chemical weapons in Syria by any parties to the conflict."

@highlight

President Barack Obama will meet with Russia's president on Monday

@highlight

A rebel general says he has not been told what type of weapons U.S. will provide

@highlight

The CIA will provide small arms and maybe anti-tank weapons, sources say

@highlight

Syria accuses U.S. of producing a "statement full of lies" on chemical weapons