Every day, millions of people like 16-year-old Celeste live their lives shouldering a huge emotional weight forged by fear, uncertainty and separation.

She was only 10 years old when the reality of her family's desperate situation hit her in the face.

Rolando Zenteno has lived more than half his 18 years in the United States, yet he still feels like an outsider.

Another undocumented immigrant -- Prerna Lal -- is fighting to stay in her adopted homeland and dreaming of becoming an immigration lawyer.

As Washington lawmakers try to hammer out an immigration reform plan while avoiding political gridlock, millions of people find themselves caught in the middle -- suspended between two worlds -- while not really belonging to either.

Some immigrants spoke to CNN, giving permission to use their full names. Others chose to withhold their last names, fearing it would affect their legal status. Here are their stories.

'Now's the time' to move on immigration, Obama says

Celeste, 16: She's carrying a 'big old rock'

Celeste was 10 years old when police pulled over her dad while he was driving near their south Georgia home. She recalls crying as she frantically translated the officer's words from English into Spanish for her father. She feared her family would be deported back to Mexico, but the officer let them go.

The family got a second chance, but Celeste never shook the dread that filled her that day -- the fear that she could be sent back to a country she barely remembers, or get separated from the family that she loves. That's why immigration reform must happen now, she says.

"It would be a big old rock that would be lifted from our shoulders," she says.

She says any policy changes should create a path to citizenship for undocumented immigrants like her parents, who are agricultural workers. Celeste says they came to the United States from Mexico to give their children a better life.

Last year, the Obama administration's deferred action program gave her the hope of a reprieve. But that isn't enough, she says.

"It's like being out in the cold and me having the only blanket in the family."

Mexico welcomes new U.S. immigration reform push

Rolando Zenteno, 18: 'In limbo'

Zenteno has lived in the United States since he was 7, and says he identifies more with American culture than his native Mexico.

But he feels like he's in limbo, and it's a constant struggle.

"I identify myself with the American culture," he says, "but at the same time the American society is like 'No, you're not part of us.'"

Zenteno says talk of immigration reform is encouraging, even though it's a problem the president has pledged before to tackle -- and then failed to solve.

Actions speak louder than words, says Zenteno, a freshman who is studying journalism at Armstrong Atlantic State University in Savannah, Georgia.

"At the end of the day, the political parties will do what they can" for votes, he says.

And with what he's seen so far when it comes to immigration reform, Zenteno says if he ever had a chance to vote in the United States, he wouldn't cast a ballot for Democrats or Republicans.

Ana, 20: Everything is complicated

Ana was 10 when her mother decided she'd had enough of Michoacan, Mexico, packed up the family and moved to the United States.

"When you first get here, you think like you're like everyone else," Ana says.

Sometime around the eighth grade, though, she began to realize she was different. While friends were starting to think about their futures, where they might move to or go to school, Ana "hit the wall."

She feels stuck. Everything is complicated because she is undocumented -- finding an apartment, a good job, securing loans for school.

Ana currently works at a jewelry kiosk in Atlanta.

If immigration reform were to become a reality, she says she'd like to study psychology and find a better paying job so as not to be a burden to her parents. She'd also like to go to Mexico to visit relatives she hasn't seen since she was a little girl.

"If they want to make it a little strict, that's OK ... so they don't think they're giving it to us," Ana says.

Immigration plan: New era of bipartisanship or political necessity?

Prerna Lal, 28: It's not just Latinos

Many Americans connect the immigration issue to Latinos, but it's broader than that, says Lal. She came to the United States from the Pacific island of Fiji when she was just 14. Now, she's fighting a legal battle in court to avoid deportation.

"I don't think it's a bad thing to really focus on this amazingly powerful voting bloc," she says. "I do think that people need to look at immigration from a lens that shifts from just 'those Mexicans just coming across the border' to the many people from Asia and from Europe who are still stuck in the system."

The government should stop deporting people, she says, and focus on fixing a broken system that leaves many people in limbo even when they follow the rules.

"Everyone talks about going to the back of the line being the number one thing that undocumented immigrants should do. I have been in several different lines. ... The issue is there are so many undocumented immigrants that are caught up in lines that never really go anywhere," she says.

Lal is a third-year law student at George Washington University. No matter what happens with the latest reform efforts, she plans to become an immigration lawyer.

Tania, 43: Citizenship means everything

Tania's family is a hodgepodge of legal statuses. She and her husband are undocumented, as are their two oldest children. Their younger four were born in the United States and are citizens.

"For my family, it would be the best," she says about immigration reform. She wants a change that would lead to citizenship.

"For my husband, it would mean a good job where he wouldn't be abused by bosses. And for my children, it would mean they could continue their studies," she says.

Her husband works at a recycling plant. She is from Ecuador. Tania spoke at an immigrant rights organization in Queens, New York.

Voices for and agaiunst immigration reform proposals

Vasant Shetty, 59: Hope and hard work

In India, Shetty says he never could have imagined starting his own business or sending his two children to college. In the United States, he has done both of those things. On Monday, Shetty was answering phones at the front desk of his motel in central Arizona. When he bought it, he said the property was in shambles. He then renovated it into a place he's proud to own.

"I came to this country with lots of hope, almost 15 years ago. It was very hard," he says. "Today I have two motels. I never used any shortcuts. It was all hard work, all the time."

As President Barack Obama prepared to deliver an immigration reform speech in Nevada on Tuesday, Shetty braced himself  to appear in an Arizona immigration court. There, a judge may decide whether he should be deported.

Immigrant rights activists have asked federal officials to drop their case against him, arguing that deporting him would unjustly separate his family and unfairly punish someone with no criminal history.

Despite his personal battles with the U.S. immigration system, talk about immigration reform makes Shetty feel optimistic. Time and time again, he says, America has shown him kindness and opportunity.

"I believe this country has a lot of good people," he says. "There is a way. They will do something good."

Mario, 33: Faith and fear

Mario lives in constant fear of being picked up by the police.

"Just to come here, I have to think," he says, weighing whether the trip was worth the risk.

"Here" in his case is Plaza Fiesta, a mall in Atlanta that caters to immigrants. As he spoke Monday, TVs showed senators announcing their plan for reform. No one paid attention to the screens, which could barely be heard over the noise of the food court and nearby arcade games.

Mario has lived in the United States for 13 years. He moved from the capital of Mexico. He cleans offices for a living and says he would like to see some sort of change so that he could find better work, maybe buy a car or a house.

Mostly though, he wants reform so he could feel free, free of fear.

"I still have faith," he says. "Who knows when? Maybe it won't happen tomorrow or the day after, but sometime ... Faith never dies."

Opinion: Immigrant - Can we trust Obama?

@highlight

With talk of reform, undocumented immigrants reveal their fears and hopes

@highlight

Immigrant: "I identify with American culture," but he hears "you're not part of us."