(CNN) -- It started in May of last year for Beth Ulibarri, as she would go on the occasional long run.

"I would experience a tingling sensation throughout my lower legs. I described it as feeling like something was tickling my legs from the inside and just figured it was my muscles firing away from the exertion of the run."

Less than a year and many medical tests later, the Albuquerque, New Mexico, resident was diagnosed with multiple sclerosis, or MS.

"My biggest struggle has been dealing with the unknown -- questions that do not have answers," she said. "Concern for my children -- will they get this disease as well? Concern for my future. Will I end up in a wheelchair? Concern for how my husband will handle everything to come."

Multiple sclerosis affects about 400,000 Americans and 2 million people worldwide, according to the National Multiple Sclerosis Society. It can damage the protective outer lining of nerve cells, making it difficult to control muscular activity.

Ann Romney, scheduled to speak on Tuesday night at the Republican National Convention, has spoken often about her experiences with the disease during the presidential campaign.

Jack Osbourne's recent diagnosis has received a lot of attention as well.

Ulibarri is one of many who shared their stories of struggle and triumph with the iReport community.

She confessed that she worried that the disease would affect her ability to take part in athletic activity.

"One of the first things I did was research athletes who have MS," she said. "I was relieved to find many runners and triathletes who have MS who continue to train and even do amazing things like run marathons and do Ironmans."

Dr. Timothy Vollmer, the director of Neurology Clinical Research at the University of Colorado-Denver, even says that such activity can be beneficial.

"We encourage patients to really think about lifestyle issues, to maximize their activity and exercise, and also to maximize healthy diet, because we now know those things do impact the amount of residual disability people have."

Since she was diagnosed, Ulibarri has completed one marathon and has qualified for the Boston marathon.

"I know that eventually this disease may prevent me from doing things like running marathons, and I will have to accept that as it comes," she said. "For now, I am incredibly grateful for each day I can get out of bed and head out the door."

Beat goes on for music producer diagnosed with MS

As CNN's iReporters showed, no two people afflicted with MS have exactly the same symptoms, and no two people will react to it the same way. While Ulibarri lives her life publicly with MS, others have felt the need to hide their disease.

One such person is an Ohio man who wanted to go by the name of Michael Taylor for this story.

"All I want is to build a career (and) a family, work out and golf. Pretty normal for an active and ambitious 25-year-old," he said. "But I find myself attempting to plan for the future and ask questions. I find myself injecting my leg with medication I know little of, and asking questions on a daily basis."

Taylor has had MS for years but only found out about it earlier this month. So far, he has hidden his MS, over worries that it could hurt his career.

"The fact is that most adult Americans know someone with MS, they just don't know they have MS because they keep it quiet," Vollmer said.

"The fear is that they will have relapses, they won't be able to work, they're not reliable. That's actually not true for the majority of them."

As for Taylor, he says he has been able to get by with the occasional bout of numbness or loss of strength. "I just recently completed a rigorous ropes course that many healthy non-MSers could not."

Helen Solinski found herself in the same boat as Taylor in 2003.

"The first few years, I tried to hide my disease and pushed myself as hard as I could, but there was a point when I simply let go," said the Saratoga, California, resident. "I realized I couldn't bear to stand on the sidelines, hoping for better MS drugs."

Solinski left her job in Silicon Valley to work with the Myelin Repair Foundation, an organization searching for a cure for MS.

MS drug Gilenya under safety review

"My goal is to prevent future generations from having to make important life decisions around a chronic disease -- it's not what I want for my son," she said.

Christina Lamb Sidell of Williston, Vermont, wasn't sure she would be able to have a son.

"I had similar symptoms as Jack Osbourne, but was lucky that my doctor figured out within just a few days of my seeing him that I had MS."

At 35, she was told she could either wait a minimum of two years to have children or have children right away.

"During pregnancy, there is a decrease in having an attack of MS," Vollmer said. "But there's a rebound effect after delivery. There's an increased risk in having a relapse three to six months after delivery.

"If you look at populations with more pregnancies or less pregnancies, the women with less pregnancies actually have more disability. We do not recommend that women delay pregnancy because of MS."

A year and a half later, Sidell's son was born. She and her husband call him their "free gift with disease." And yes, "he is perfect."

Carol Sadrozinske was told she might not be able to raise her son when she was diagnosed while pregnant in 1987, at the age of 23 (many people with MS are diagnosed quite early in life, with the peak of the disease coming at 29 or 30, according to Vollmer).

"I was encouraged to put the child up for adoption, since at the time stress from childbearing and child rearing were thought to be detrimental to the health of a woman with a diagnosis of multiple sclerosis," she explained.

She ignored the advice, and by 1996 was a mother of three boys.

She has had her ups and downs with the disease, included a devastating fall earlier this year that left her bruised with a broken arm.

MS activity may vary with seasons

"The worst part of the disease is not knowing what each day will bring," she said. "Will I be able to see? Will I be able to walk? Am I making any sense when I speak?"

Even so, her three sons -- now 24, 21 and 19 -- have brought her tremendous joy.

"Their joys, triumphs and struggles make my life worthwhile. Not to mention that their love alone gives me the courage to survive. I believe that the best thing I have done is ignore the advice to not have children!"

On the flip side, Beth McCann's daughter, Molly, just had to share how proud she is of her mother, who has suffered the debilitating effects of MS for 17 years.

"The worst form of MS is primary progressive, and my mother is one away from the worst. You can do the math. She lost her beautiful singing voice and her memory is declining to the point where she is forgetting even my cousins' names."

Now 20, McCann, of Eagan, Minnesota, said that she has had to grow up quickly and gained a sense of independence.

"It's the hardest thing in the world watching the person you love and admire the most in this world slowly, slowly decline to more and more disability and losses in her life. It is like a death sentence of my mother, but in slow motion to me."

Even so, she has always admired how her mother handled it.

"Throughout her progression, she is so positive, never complains, is always joking and refuses to let this disease get the best of her."

Like so many who spoke to CNN, McCann has found that little things can help conquer the disease at the worst moments.

"This is all I've known of my mother. I love her regardless of this disease. Despite being sick, she still loves life; and sees the beauty in all of its challenges. She is the best mother a girl could ask for."

@highlight

iReporters share their experiences with multiple sclerosis

@highlight

MS affects about 400,000 Americans and 2 million people worldwide

@highlight

The disease makes it difficult to control muscular activity