London, England (CNN) -- Former British Prime Minister Tony Blair's one-time media adviser said a 2002 intelligence document that claimed Iraq could launch weapons of mass destruction within 45 minutes was not "sexed up" to exaggerate the case for war.

Alastair Campbell was testifying Tuesday at the Iraq war inquiry, an independent set of hearings looking into the decisions that led up to the 2003 invasion and governed Britain's involvement in the war.

The former spin doctor testified that his former boss was determined to disarm Iraqi leader Saddam Hussein. But he said Blair had never been in a "rush to war" and that he regarded military action only as a last resort.

The intelligence document in question came out in September 2002 and detailed the threat posed by Iraq. It is most famous for saying that Iraq could "deploy chemical or biological weapons within 45 minutes of an order to do so."

The document came as Blair was finding fewer and fewer chances for a diplomatic solution on Iraq, and he had to convince the British public of the threat Saddam posed.

Presenting the intelligence dossier to Parliament and the public was a way of engaging them in his decision-making, Campbell said.

Campbell said he worked on the dossier with John Scarlett, the former head of MI6, the British foreign intelligence agency. Scarlett testified at the inquiry last month that it was he who wrote the dossier.

"At no time did I ever ask him to beef up (or) override any of the judgments that he had," Campbell said. "At no point did anybody from the prime minister down say to anybody in the intelligence services, 'Look, you've got to sort of tailor it to fit this argument, that argument."

British media quickly highlighted the 45-minute claim; it filled the headlines of British newspapers the next day. But less than a year later, after coalition forces had entered Iraq, the media began to question it.

In May 2003, a BBC report accused the government, and Campbell in particular, of pushing for the dossier to be "sexed up" to exaggerate the Iraqi threat.

Campbell testified that it was intelligence officials who had the final say over any claims made in the dossier, and that Scarlett "had the single pen" for writing it.

Testifying about the dossier last month, Scarlett said, "There was absolutely no conscious intention to manipulate the language or to obfuscate or to create a misunderstanding as to what they might refer to."

Campbell also said he never pushed for changes to the intelligence claims. Of his numerous e-mails with Scarlett, Campbell said "not a single word of them at any time sought to question, override, rewrite -- let alone the ghastly "sexed up" phrase -- the intelligence assessments in any way, at any time, on any level."

Campbell blamed the media for latching onto a single phrase and then discrediting the entire dossier once the phrase was unproven. He said the 45-minute claim "was not that big a point" within the overall document.

"I still defend every single word of the dossier, I defend every single part of the process," Campbell said.

The 45-minute claim was not the only part of the dossier that inquiry members questioned Tuesday. They asked Campbell about the claim that the assessed intelligence has established "beyond doubt" that Saddam had continued to produce chemical and biological weapons despite United Nations resolutions.

Blair's former spokesman said "nobody" at the time was saying Saddam did not have those weapons and that he did not pose a threat. But he also admitted such strong language may not have been necessary.

"Would it have been that weakened had those two words not been there? Probably not," Campbell said.

In the first hour of his testimony, Campbell stressed that Blair sought disarmament of Saddam before any military action. He said Blair "tried exhaustively to go down the diplomatic route," believing that conflict was not inevitable.

"Would someone like Tony Blair, from the day he went into politics, think that somebody like Saddam Hussein should be got rid of? Yes, he would. Was that the policy he was pursuing the whole way through? No," Campbell told the inquiry.

"He was trying to, through the (United Nations), lead the British government in the direction of pursuing a policy that would lead ultimately to disarmament of Saddam Hussein," Campbell said of Blair.

Blair said in an interview last month that he would have removed Saddam even without evidence of weapons of mass destruction in Iraq.

The inquiry, which began hearings in late November, is the most thorough investigation yet into the decisions that led up to the war.

It cannot find anyone criminally responsible, and it cannot even apportion blame, but inquiry members will be able to judge the legality of the conflict and identify lessons learned from Britain's involvement.

Prime Minister Gordon Brown promised last year that the committee would have access to the full range of information about the war and the lead-up to it, including secret documents.

Inquiry Chairman John Chilcot has said Blair will be called to testify, and Blair has said he will appear.

Britain has held four other hearings about the Iraq war. But because all were held before the end of 2004 -- so close to the start of the war -- they were hampered by limited information, political analysts have said.

The current inquiry has the greatest potential to tell the "full story" of the decisions leading up to war, analyst Glen Rangwala of Cambridge University told CNN in November.

@highlight

Alistair Campbell managed the British government's case for war in Iraq

@highlight

Campbell was Blair's powerful director of communications

@highlight

Inquiry is most thorough investigation yet into the decisions that led to war

@highlight

PM Gordon Brown said committee would have access to full range of information about war