(CNN) -- The Gulf Coast Claims Facility "is fully functioning and will begin to process claims for emergency payment," a statement from the agency said on Monday, the same day BP reported having paid out $399 million in claims to date.

The independent group, headed by attorney Kenneth Feinberg, who handled the 9/11 victims' compensation fund, was established in June as part of an agreement between the Obama administration and BP to facilitate processing of the personal and business claims from those affected by the Gulf oil disaster stemming from the Deepwater Horizon explosion on April 20.

BP said last week that it was no longer accepting claims as the transition to the new entity was taking place. The oil giant, which said Monday that it has written 127,000 checks to pay $399 million in claims so far, will continue to handle claims put in by government entities.

BP said Monday that 27,000 claimants who filed paperwork have not yet been paid. According to the Gulf Coast Claims Facility statement, claims previously filed with the BP Claims Process have been transitioned to the new claims facility for review, evaluation and determination. However, claimants will be required to file new forms with the Gulf Coast Claims Facility to receive payments.

Feinberg, who now controls a $20 billion escrow account established by BP to compensate for damage, said in the statement, "I want to make sure the people in the Gulf understand we will not let you go out of business or lose your home. The No. 1 priority of the GCCF is to assist the people in the Gulf."

He added, "Now that the claim centers are open and ready for business, the goal will be to get the emergency six month payment checks out the door, within 48 hours for individuals, after receipt of the claim form and sufficient supporting documentation and no more than seven days for businesses, after receipt of claim form and supporting documentation, and help people on the path to rebuilding their lives."

To date, BP has funded $3 billion of the $20 billion total, ahead of its payment schedule.

In a conference call Sunday, Feinberg said he plans to be more generous than any court would be in determining payments. However, he said if potential claimants don't like the offer the Gulf Coast Claims Facility makes, and believe they can do better, they can file suit -- although he doesn't advise it.

"It is not in your interest to tie up you and the courts in years of uncertain, protracted litigation when there is an alternative that has been created," he said.

Feinberg stresed on Sunday that his facility is independent of both the government and BP. Claimants can file online, by fax, by mail or in person. All 35 of BP's claims offices will remain open, but will be staffed with newly trained workers with the goal of quickly and efficiently answering questions, Feinberg said.

On Monday, Feinberg is scheduled to hold three town hall meetings in Mississippi. Each site is also supposed to have people from the fund to help Mississippians file their claims and answer specific questions. The meetings are scheduled for Bay St. Louis, Biloxi, and Pascagoula.

Claimants can receive between one and six months' compensation without waiving their right to sue, Feinberg said. Only those who file for and receive a lump-sum payment later in the year will waive their right to litigate. Feinberg said it is still being determined whether those people will be required to release just BP, or other potential defendants, from lawsuits.

He said determining eligibility in some cases could be tricky. The farther a person or a business is from the Gulf, the less likely they are to be determined eligible. However, Feinberg said, proximity is only one factor that is being looked at. A shrimp processor located 100 miles inland that solely processes Gulf shrimp would be one example of a case where other factors come into play, he said.

"I don't want to underestimate the importance of proximity to the Gulf, but we'll have to be looking at the nature of your industry and how dependent you are on Gulf resources," he said. "I'm going to have to draw some tough lines, but I'm hoping I'll be able to enjoy the benefit of saying, 'If I haven't found you eligible, no court will find you eligible.'"

BP has done a pretty good job of claims payment in some cases, but has not been very effective in processing business claims, he said. Under his purview, "they may not always like their answer, but they'll get their answer within seven days."

He said he anticipates "a flood of early emergency claims" beginning Monday, but hopes the tide may be lessened by claimants' ability to file and track their claim processing online.

He said he plans to be transparent about budgets and payments, even his own compensation. A summary narrative on how adjusters will process claims has already been made public.

Asked about Florida Attorney General Bill McCollum's Friday letter to Feinberg criticizing the claims process under the Gulf Coast Claims Facility, Feinberg again emphasized that the program is voluntary.

McCollum said the program appears to be less generous to Floridians than the BP claims process, but "appearances are deceiving, and that is not the case," Feinberg said. He encouraged potential claimants to "test" the program and see how they will be treated.

While Gulf Coast residents are applying for payments onshore, offshore BP has renewed "fishing operations" on the sunken, crippled Macondo oil well, BP spokeswoman Catherine Hill said Monday.

As a prelude to permanently shutting down the well, crews are trying to withdraw drill pipe hanging below the bottom of the blowout preventer and remove it from the well, so they can then remove the capping stack that's kept oil from leaking since July 15 and replace the old blowout preventer with a new one.

Retired Coast Guard Adm. Thad Allen, the government's point man in the region, said BP has determined there are three sections of drill pipe that need to be removed -- a main pipe and two shorter ones. The largest pipe is roughly 3,000 feet long. The government wants to preserve the removed pipe to use for study and possibly as evidence down the road.

Development Driller II, the rig drilling a second relief well as a redundancy measure, is completing preparations for its blowout preventer to be used on the Macondo well, while the Development Driller III -- the rig drilling the relief well expected to intercept the main well -- is standing by until that's done.

Once the blowout preventer is replaced to mitigate the risk of pressure in the well, it will take about four days to drill through the relief well and intercept the main well, based on statements from Allen. From that point, it will take another few days to permanently seal the well with mud and cement from below in what's called a "bottom kill" procedure.

@highlight

BP says it has paid out $399 million in claims to date

@highlight

BP is doing prep work to replace the blowout preventer on the damaged well

@highlight

The Gulf Coast Claims Facility process kicks off Monday

@highlight

Chief Kenneth Feinberg says he is operating independently and will be transparent and efficient