(CNN) -- This past Sunday's "60 Minutes" and the latest issue of Newsweek bring back to the fore the complicated issue of money and politics. Both highlight a new book by Peter Schweizer, "Throw Them All Out," which rails against what Schweizer calls "honest graft." 

Schweizer charges that leaders from both houses of Congress have been drawing on insider knowledge to make money in the stock market -- a practice that is banned in American industry and restricted in other sectors of government.  And although he is a conservative at the Hoover Institution, Schweizer is an equal opportunity scourge, attacking both Democratic and Republican leaders.

Democratic leader Nancy Pelosi and Republican speaker John Boehner have fired back, asserting that Schweizer has misrepresented them and they have done nothing wrong. Until competent legal authorities investigate, both deserve the benefit of the doubt. The public does, of course, deserve a more thorough airing of the facts. Equally important, Congress ought to have rules about conflicts of interest that are as demanding as those for people who work in the executive and judicial branches; so far, Congress skates free. 

But whatever the rebuttals from Capitol Hill, this controversy underscores a deepening sense that money plays far too large a role in politics. If anything unites the tea party and the Occupy Wall Street protesters, surely it is the sense that the system is rigged in favor of big shots in Washington and against little guys back home. Money is at the heart of it.

A new book that should receive far more attention makes an even more sweeping and thoroughly researched case against money in politics -- "Republic, Lost: How Money Corrupts Congress -- and a Plan to Stop It,"  by Harvard law professor Lawrence Lessig.

The author is a man of many parts: Lessig made his name as a legal theorist in issues surrounding new technologies, but he also has a keen interest in politics. He was the youngest member of the Pennsylvania delegation that nominated Ronald Reagan at the Republican convention in 1980, clerked for conservative Supreme Court Justice Antonin Scalia, and later endorsed his friend and former University of Chicago Law School colleague Barack Obama for president.

Lessig, who lately has been working to organize a movement for a new constitutional convention, is disillusioned with both right and left and blasts away at them for essentially selling the republic out. But his charge is not that politicians in Washington are taking money on the side, à la Spiro "Pass the Bags" Agnew.  He doubts much of that goes on today.  Rather, he is deeply troubled by what he calls "dependence corruption" -- the degree to which politicians have become dependent on money from lobbyists in order to pay for their campaigns, and the ways in which that dependence has increasingly distorted public policy in ways that do serious harm to the country, while also (and just as perniciously) undermining public trust.

His argument is wide-ranging and impossible to do justice to in a brief column. But a few of the most striking facts he marshals are worth recognizing. Among them:

-- The cost of getting elected to Congress has exploded: from 1974 to 2008, Lessig notes, the average cost of a re-election campaign ballooned from $56,000 to more than $1.3 million, a more than twentyfold increase that far outpaces inflation.

-- Fundraising is a constant concern: Candidates have to spend between 30% and 70% of their time raising money. (Lobbyists, however can ease this pressure through many kinds of what Lessig calls "legislative subsidies" -- advice, research, support, and most of all, campaign cash.)

-- The revolving door between Congress and lobbyists is spinning faster: In the 1970s, just 3% of retiring members of Congress went into lobbying. But by 2004, in the previous seven years more than half of all senators and 42 percent of House members had made the switch.

-- The incentives for lobbying are clear. A 2009 paper found, for example, that firms get between $6 and $20 back for every $1 they invest in lobbying for tax benefits.

With regard to taxes and regulation, Lessig's observations are particularly sharp. Business leaders argue, for example, that they are not investing as much as they might in new jobs because they face so much uncertainty that they don't know what to expect from the government from one year to the next. Many citizens are likewise baffled by some regulations and, especially, the tax code: Why is it so massive, so confusing, sometimes so seemingly wasteful and preferential?

Lessig's explanation is that this complexity and uncertainty is no accident, and that's because politicians in Washington have an interest in keeping business guessing and the rest of us confused.

Pass a tax law for five years and lobbyists won't need to come around with contributions for a long time; make it a one-year law and they'll be back next week. Likewise, keep the code incomprehensible, and the voters won't know if they're getting hosed. Those are fascinating insights.

One of Lessig's heroes is Henry David Thoreau, and he likes to quote the American philosopher as saying, "There are a thousand hacking at the branches of evil to one who is striking at the root." Lessig sees the role of money in politics as the root of the country's current ills, from health care to education to the economy. He also thinks it explains why the parties appear to have grown closer in economic ideology -- where the concentrated corporate lobbying money is -- while growing more polarized in social ideology, for which more extreme viewpoints yield a bigger haul. He is quick to note that this corruption is "not the product of evil" -- it leads to "great harm," but is the result of "no bin Laden."

Without "great evil," Lessig reflects, he is "not yet sure that we can muster the will to fight." That's a deep concern, and it calls to mind the memorable formulation of the economist Charles Schultze, who once divided our problems into two categories: a wolf at the door, or termites in the basement.

As a nation, we've always been a lot better at handling the first than the second. But if Lessig is right about the campaign finance system, it's a major case of termites in the basement -- and addressing it will require more than simply throwing all the bums out. In Lessig's view, it may require laying a whole new section of our foundation instead.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Book alleges Pelosi, Boehner, other political leaders benefit from insider trading

@highlight

Gergen, Zuckerman: Whether allegations are true or not, money plays huge role in politics

@highlight

Writers cite new book that argues lobbyists' money permeates and corrupts Congress

@highlight

Writers: Fundraising, paying cost of running for office: Money drives our democracy