Pretoria, South Africa (CNN) -- Talk of "bloodcurdling screams" and shots in the night took center stage Monday in the first day of testimony in the murder trial of South African amputee track star Oscar Pistorius, who killed his model girlfriend, Reeva Steenkamp, last year.

"Something terrible was happening at that house," Michelle Burger testified.

"Her shouts, her screams were petrifying," she said later.

Burger was the only witness Monday in a trial that is expected to last a few weeks. Testimony was scheduled to resume Tuesday morning.

Under questioning by prosecutors, Burger told the court that she heard a woman's screams and a man yelling for help.

"Just after 3, I woke up from a woman's terrible screams," she said. "Then I also heard a man screaming for help. Three times he yelled for help."

Burger said her husband called authorities. She later told her husband that she feared the woman had witnessed her husband being shot "because after he screamed, we didn't hear him."

Language issues caused problems after the lunch break, as defense attorney Barry Roux pressed Burger on her account during cross-examination.

She frequently had to help her Afrikaans interpreter translate her words into English, and eventually dropped speaking in her native tongue altogether.

Roux questioned Burger's timeline of events and what she heard, asking if the "bang" sounds she heard might not have been gunshots, but rather a cricket bat bashing at a bathroom door.

She answered that she had clearly heard gunshots, testily answering Roux's questions about timing, saying she "didn't sit there with a stopwatch and take down the timing of each shot."

Roux also suggested that the screams she had interpreted as being a woman's might have been the high-pitched screams of a terrified Pistorius.

"I'm 100% certain I heard two different people that evening," she responded.

He also faces weapons charges

As the trial began, Pistorius pleaded not guilty to murdering Steenkamp inside his house a year ago. He also pleaded not guilty to several weapons-related charges.

It's expected to take about three weeks for Judge Thokozile Matilda Masipa to hear the case and decide whether Pistorius mistook Steenkamp for a burglar, as he says, or killed her in cold blood.

South Africa abolished jury trials in 1969.

Pistorius faces one charge of premeditated murder and a firearms charge associated with Steenkamp's killing, as well as two separate gun indictments from 2012.

In one incident, he is accused of shooting a 9 mm handgun out of the sunroof of his car. In the other, authorities say he illegally fired a Glock 27 in an outdoor cafe in 2012. A friend of the sprinter told CNN that Pistorius was showing the gun to a friend when it accidentally went off.

In South Africa, premeditated murder carries a mandatory life sentence, with a minimum of 25 years. He also could get five years for each gun indictment and 15 years for the firearms charge.

If he isn't convicted of premeditated murder, the sprinter could face a lesser charge of "culpable homicide," a crime based on negligence, and could be looking at up to 15 years on that charge, experts say.

LIVE UPDATES: Pistorius on trial for murder

Parts of Pistorius' trial are being televised live -- a first in South Africa -- after a judge's decision last week allowing cameras in the courtroom. But witnesses have the option of not having their images televised. Burger took that option, and only her voice was broadcast.

June Steenkamp, Reeva Steenkamp's mother, was in the courtroom for Monday's testimony, marking the first time she had laid eyes on Pistorius in person. The two had never met before.

Steenkamp's parents have avoided previous court appearances because they wanted privacy.

Pistorius' brother and sister were also present for Monday's proceedings.

Dream couple

Pistorius, now 27, and Steenkamp, 29, were a young, attractive, high-profile couple popular in South Africa's social circles.

Pistorius, nicknamed the "Blade Runner" because of the special prostheses he uses while running, won six Paralympic gold medals and became the first double amputee runner to compete in the 2012 Summer Olympics in London.

Personal essay: What my son taught me about Oscar Pistorius

Cover girl Steenkamp, who was soon to star in a TV reality show, was on the cusp of becoming a celebrity in her own right.

Everything changed before dawn on Valentine's Day 2013, as Steenkamp lay lifeless in a pool of blood on the floor of her boyfriend's house in an upscale gated community in Pretoria.

Moments before, Pistorius says, he had pointed his 9 mm pistol toward an upstairs toilet room and fired four bullets through the locked door.

INTERACTIVE: Explore each side's argument

Murder, or tragic mistake?

The sprinter's lawyers will argue he was a man deeply in love with his girlfriend who made a terrible mistake.

In court documents, Pistorius has said he heard a noise from the bathroom in the middle of the night and -- feeling vulnerable without his prosthetic legs on -- charged toward the bathroom on his stumps.

He has said he shot through the toilet door in order to protect himself and Steenkamp.

"I felt a sense of terror rushing over me," he said in his court affidavit. "There are no burglar bars across the bathroom window and I knew that contractors who worked at my house had left the ladders outside."

"It filled me with horror and fear of an intruder or intruders being inside the toilet. I thought he or they must have entered through the unprotected window. As I did not have my prosthetic legs on and felt extremely vulnerable, I knew I had to protect Reeva and myself."

Prosecutors are painting a different picture. They say the pair had an argument and that Steenkamp locked herself in the toilet.

At last year's bail hearing, the state said Pistorius put on his prosthetic legs, collected his gun from under the bed and walked down the hall leading from the bedroom to the bathroom before unloading a flurry of shots through the door.

Pistorius is not claiming self-defense; he is claiming to have been mistaken about his need for self-defense. He is denying that he intentionally, unlawfully killed Steenkamp. He has never denied killing her.

The case has put the spotlight on South Africa's rampant gun violence and high crime rates.

Roughly 45 people are murdered every day, according to police statistics, and the number of home burglaries is up 70% in the last decade.

In 2012, more than half of South Africans told the country's police force that they were afraid of having their homes broken into. In his affidavit, Pistorius said he had been the victim of violence and burglaries before, including death threats.

The trial has also divided opinion in South Africa. Many of his fans find it difficult to believe a national hero could be capable of the crime he's been charged with. Others find his version of events that night implausible, and point to troubling details that the case has dredged up about Pistorius' past.

Since the shooting

Pistorius has shied away from the spotlight since the shooting and his release from jail after a highly publicized hearing.

He lives at his uncle Arnold Pistorius' house in Pretoria, and although video surfaced last year of him training, he has not officially returned to the track.

Support from his family has been unwavering.

"We have no doubt there is no substance to the allegation and that the state's own case, including its own forensic evidence, strongly refutes any possibility of a premeditated murder or indeed any murder at all," Arnold Pistorius said.

Steenkamp's family, meanwhile, has tried to focus on Reeva's memory -- not on the media and legal circus unfolding in Pretoria.

Her parents are seeking "closure, and to know that our daughter did not suffer on that tragic Valentine's Day," June and Barry Steenkamp said last month.

"It's not about the court case," her uncle, Mike Steenkamp, told CNN. "It's about Reeva, and Reeva can never be part of it."

At the same time, Mike Steenkamp said seeing Pistorius at the trial may bring at least some closure to what has been a harrowing year for the family.

"I would like to be face to face with him and forgive him, forgive him for what he's done. That way I can then probably find more peace."

CNN's Richard A. Greene reported from Pretoria, South Africa, and Nick Thompson reported and wrote from London. CNN's Robyn Curnow, Ashley Fantz and Susannah Cullinane contributed to this report.

@highlight

First day of trial ends with defense lawyer hammering at witness testimony

@highlight

Oscar Pistorius' neighbor describes "bloodcurdling screams"

@highlight

Pistorius shot and killed Reeva Steenkamp at his Pretoria home last year

@highlight

The double amputee Paralympic and Olympic sprinter says he mistook her for a burglar