(CNN) -- They're the generation that came of age in the 1950s and 1960s, that remembers Beatlemania and the Vietnam War, the assassinations of John F. Kennedy and Martin Luther King Jr., transistor radios and the novelty of the first color TV sets.

Or ... they experienced their formative years in the 1970s, forced to choose between punk and disco as the Watergate scandal unfolded, hard drug use exploded, and television sitcoms introduced untraditional households such as "The Brady Bunch," "Three's Company," and "Sanford and Son."

Numerous books, films and academic papers have been devoted to defining the impact of the 76 million people born between 1946 and 1964, known as baby boomers, boomies or the bulge. Their sheer volume in the United States fueled an unprecedented population boom, from 141 million in 1946 to 311 million in 2010, according to the U.S. Census Bureau.

The first wave of baby boomers is turning 65 this year, but the youngest are 47. Defining the entire group is a risky endeavor, given its almost 20-year spread. But there's one thing historians, economists and pop culture junkies agree on: Baby boomers' numbers have allowed them to leave an imprint in each phase of life they passed through, a vast departure from their parents' generation.

Next, the boomer generation will change the way we think about retirement and aging, experts and analysts say, just as they transformed notions of relationships -- with delayed marriages, fewer children, more divorces -- and ideas about careers, with more women in the workplace and adult learning.

American generations through the years

"Boomers are all about exploration and transformation. Many of them reject the idea of retirement that they saw firsthand with their parents, where you stop changing and growing and become a fixed entity," said Ann Clurman of The Futures Company, which tracks consumer attitudes that forecast lifestyle and behaviors, and author of "Generation Ageless: How Baby Boomers Are Changing the Way We Live Today."

"Boomers have a hard time giving up control. For them, control is a fundamental right born out of basic entitlement -- they grew up in a time of unprecedented economic prosperity and a basic feeling that the struggle for survival was over. Many have never been in love with the idea of retirement, but at least they felt like it was an option they could control. But now because of the economy and the hit their portfolios took, they're revamping their plans, and I don't think most boomers know what they're going to end up doing."

But the day is fast approaching for many. The boomers are the main reason for projections that the number of Americans 65 and older will reach 88.5 million by 2050, more than double the estimated 40.2 million in that group in 2010, according to a 2010 U.S. Census Report, "The Next Four Decades."

By 2030, when all of the boomers will be 65 or older, they will make up 19% of the population, up from 13% today.

The aging of the baby boom will have wide-ranging implications for the country, raising challenges for policymakers and programs such as Social Security and Medicare, said Ron Lee, director of the Center on the Economics and Demography of Aging at the University of California, Berkeley.

Baby boomers crowded classrooms and later, the labor force, boosting the economy and consumer spending while their taxes funded Social Security benefits and Medicare for the elderly.

In 2010, 60% of the U.S. population was between 20 and 64 years old. By 2030, as baby boomers age, the proportion in those working ages will drop to 55%, according to "The Next Four Decades."

Boomers are leaving the labor force at a time when health care costs are growing at a rate faster than productivity and per capita income growth, leaving a big gap, Lee said.

The average annual expenditure on health care in 2004 for people ages 45 to 54 was $2,695. When budgeting medical expenses, baby boomers should expect increased health care spending as they age; for instance, those ages 55 to 64 spent $3,262 and those 65 and over spent $3,899, according to the U.S. Bureau of Labor Statistics.

"There's already a clear sense of what the situation is. We know that our social programs are not sustainable the way they're currently structured, and benefits are going to have to be cut or taxes increased. But that doesn't mean the public has absorbed that fact or believe it, so it's difficult for politicians to do anything serious to come to grips with the problems," Lee said.

But that doesn't necessarily mean the blame should be placed on the boomers, he said. Population aging is universal and inevitable -- the baby boomers merely postponed the day of reckoning.

"The problems we're going to have are problems we would have had without the baby boomers. They just happen to be the generation that's initiating them. The problem is real and serious but by no means catastrophic," he said.

The baby boomers will continue steering American culture as they age, too.

They were the first generation of children and teenagers with significant spending power, economist Diane Macunovich of the University of Redlands said. That, combined with their numbers, fueled massive marketing campaigns and the introduction of new products targeted at their current stage of life, whether they were young families or looking toward retirement.

"Station wagons became the vogue in the 1950s in response to the needs of boomers' parents. Those mutated into 'vans' to accommodate 'Yuppie' boomers in their thirties and forties and then into 'SUVs' for boomers as empty nesters, many going through 'mid-life crisis,'" Macunovich wrote in a 2000 paper, "The Baby Boomers."

In this way, boomers essentially created the idea of pop culture and fed its symbiotic relationship with mass marketing and consumerism, said Gary West, a consultant who runs the website mrpopculture.com, a digest of the weekly zeitgeist back to 1950.

"The buying power of that generation set pop culture in motion. If you look back into the '50s, you can see where teen buying power got bigger and bigger and created pop culture: younger-skewing movies and television, rock and roll, pop rock, what we call soul music," he said. "The baby boomers really started the pop culture trend and it had to do with buying power, and as we've grown into the work force, we've kept creating those trends. Who were the first to buy records, then CDs, then computers?"

Despite Bill Gates and Steve Jobs, the boomers can't take all the credit for the advent of the Internet age, but they've been fast learners of how to leverage its benefits. University of Oklahoma history professor and History Channel resident historian Steve Gillon, who wrote the book "Boomer Nation," said technology will continue to play a big role in boomers' retirement years.

"People with specific skills will use the Internet to take advantage of the breakup of hierarchies in the economy and remain involved in their fields, be it through consulting or using social media to find professional communities or networking groups," Gillon said.

"Many boomers have a desire to stay involved and connected; they're not going to give in to the dictates of age and accept the older model. They're going to find ways to stay socially, intellectually and physically active."

@highlight

Boomers are the reason for projections of 88.5 million Americans 65 and older by 2050

@highlight

They've redefined each stage of life; retirement and aging will be no different

@highlight

Boomers will still affect pop culture as they age, too