(CNN) -- There is no word more reviled in America than "Ebola," especially since the death of Thomas Eric Duncan, the Liberian national who had traveled to Dallas. But as Ebola has spread, it has become increasingly clear that if there is to be any chance of stopping the disease -- not only here in America, but across the world -- then the United States must lead through inspiring example.

Unfortunately, the response of some institutions that should know better has been anything but inspiring.

First, this idea of a travel ban. Amidst numerous calls for a ban on air travel to and from West Africa, including from Texas Gov. Rick Perry, it is worth noting that West Africa is not a single country, but a region comprised of 15 nations.

And while Liberia, Guinea and Sierra Leone have been ravaged by the disease, Nigeria (20 cases) and Senegal (one case) have contained the disease, while Ghana, Togo, Cameroon and the other countries in this subregion of Africa have not reported any cases at all.

Should the U.S. follow the lead of countries, including Jamaica, which have instituted such a travel ban?

The trouble is that doing so would give us a false sense of security, and at a huge cost. In spite of the hundreds, if not thousands, of Americans that are volunteering on the frontline to fight this disease, only one infected person has so far made it into the United States.

And while it is true that the virus has also been contracted by Duncan's caregivers, the hospital appears to have had a golden opportunity to halt the disease in its tracks here, when Duncan reportedly told staff about his symptoms.

Perhaps worse than the heated rhetoric over a travel ban has been the way some of our academic institutions -- supposedly bastions of knowledge against ignorance -- have themselves been overreacting.

Take the widely publicized case of Navarro College, a school in Texas, which reportedly rescinded admissions to Nigerian students based on a school policy of "not accepting international students from countries with Ebola cases."

Meanwhile, Case Western Reserve University in Cleveland recently reportedly withdrew an invitation to Richard Besser, ABC News' chief health editor, who was scheduled to speak at the university on the need for good communication during health crises, citing his September visit to West Africa. Syracuse University for its part has also uninvited Pulitzer Prize-winning photojournalist Michel du Cille from participating in its fall workshop for journalism students, despite his having passed the 21-day Ebola incubation period without showing any symptoms and having accompanied CDC Director Dr. Thomas Frieden to Congress.

These institutions appear to be choosing to err not only on the side of caution, but of fear.

More encouragingly, President Barack Obama has appointed an Ebola czar, Ron Klain, to help the United States tackle the problem. But if he is to make a success of his assignment, he will need to enlist the help of West African communities within the United States. Doing so will require reassuring these communities that they will not be stigmatized, but instead will be treated fairly -- even in cases where there are suspected or confirmed Ebola cases.

My own experience working with the Clinton Health Access Initiative in HIV-ravaged parts of Swaziland in southern Africa showed me firsthand the perils of panic and stigmatization in an epidemic, and how these could drive people into the shadows, even if their illness is not actually related to Ebola.

As with any epidemic, simple, clear and fact-based mass education is important. I was part of Nigeria's virtual EbolaAlert.Org team that leveraged mobile technology and social media to help create mass awareness and respond in real time to questions, concerns, tweets and rumors before Nigeria was able to contain the spread of the disease. The United States, with its huge technological advantage, needs to do even better and quickly embark on a social education campaign about the disease and help to allay concerns.

Ultimately, we must remember that we live in a truly global world, and simplistic measures such as banning flights to and from West Africa won't resolve these issues. And welcome as their assistance is, the United States will need to do more than just send soldiers to West Africa to address the immediate crisis. The United States should also ensure personnel are available to help develop social infrastructure, especially in Liberia.

We are all in this together -- and that is the only way we can beat this virus.

The opinions expressed in this commentary are solely those of Idris Ayodeji Bello

@highlight

U.S. response to Ebola is key for setting global example, writes Idris Ayodeji Bello

@highlight

But too many institutions are overreacting, Bello says

@highlight

Travel ban for flights from West Africa would be counterproductive, he says