Few feats of engineering are synonymous with an entire industry.

But Boeing's 747 jumbo jet revolutionized air travel, adding to the glamour, romance and, most significantly, affordability of commercial flight, while simultaneously slapping it in the face by ushering in the bovine era of mass tourism.

Monumental in size, the shape of the 747 is iconic itself -- the enormous wings, four engines and that front end "hump" make it one of the world's most recognizable aircraft. To this day, the "upstairs" seating area -- reserved for a lucky few each flight -- imparts a sense of prestige and exclusivity.

Boeing has delivered more than 1,400 of the aircraft to airlines around the world -- not bad for a plane now into its fifth decade.

Since its historic debut at the Paris Air Show in 1969, the company has introduced a number of variations to the 747 family, including the 747-100, 747-200 and 747-300. The most common variety for international travelers today are versions of the 747-400.

Each new version has brought enhancements. The 747-400's most noticeable change was the addition of winglets, which Boeing describes as "wing tip extensions which reduce lift-induced drag and provide some extra lift."

The 747-400 is no longer being built -- production ended in 2009.

Its successor, the 747-8 Intercontinental, rolled out last year and is currently being built at a rate of two per month. Each 747-8 is made up of about 6 million parts and has a list price of $351.4 million.

Lufthansa is the only airline flying the passenger version of the 747-8. It has six in the skies serving cities such as Frankfurt, Los Angeles, Washington D.C., Bangalore and New Delhi. The first was delivered in 2012, one of 19 of the aircraft the European carrier ordered, with deliveries expected to be completed in 2015.

This month, the airline added the 747-8 to its Hong Kong-Frankfurt route and invited CNN to tour the latest version of the classic jumbo jet.

So what's different?

No surprise that the 747-8 Intercontinental looks like a 747. Though 70% of the airplane's structural weight is brand new, it has the same iconic shape, though with some noticeable external differences.

The wings are new -- an upgrade Boeing hadn't originally intended for the new design. Gone are the winglets, replaced by raked wingtips Boeing says increase aerodynamics and, thus, fuel efficiency.

The same design is being used on Boeing's 787 Dreamliner. Boeing says the 747-8 is approximately 14% more fuel efficient per seat than its predecessor.

The engines are new, too. There are still four, but the new design features a scallop-edged casing around each newly developed General Electric engine.

As important, though less noticeable to the typical passenger, the plane has been stretched. It's 5.6 meters (18 feet) longer than its predecessor, with a total length of 76.3 meters (250 feet). Boeing points out this makes the 747-8 about a meter longer than the Airbus A340-600 and thereby the longest commercial aircraft in the world.

The upper deck is also stretched.

"We chose this location (for additional room) because it is here that the airlines benefit the most -- both from the premium seating on both the upper and lower decks, as well as in the cargo hold," says Boeing's Joanna Pickup.

Inside, the plane still has that exhilarating new airplane smell (kind of like new car smell, but a lot more expensive), with windows and surfaces joyously free of the scratches, smudges and hair goo residue all too typical of the commercial flying experience.

When we toured it was also free of other passengers -- no screaming kids nor (sadly) smiling cabin crew manning the drinks cart.

While we can't comment on the flying experience, the Lufthansa 747-8 interior is sleek, comfortable, modern and efficient. In other words, German -- designed to get you from A to B in good shape without over the top frills.

In economy class, where seats are naturally skeletal compared with their fat cousins up front, nothing feels tacky or about to break. Or worse still, like your father-in-law has been sitting in it for 20 years.

'Wow factor'

With the plane comes Lufthansa's new business class, which will be retrofitted on the rest of the airline's fleet.

We've reeled off some of business class' features and other enhancements in the gallery above. Expect the mod cons -- fully flat seats in biz and first, video on demand, power plugs and iDevice ports and new features such as sound-insulating curtains and cool automatic window shades in first class.

On the whole, the plane feels spacious. Admittedly, this is easier to pull off when no one else is aboard, but relocating some storage area to sidewalls (not in overhead spaces) adds a lot of cabin room and makes it less likely passengers will bash their heads on compartments above in that frantic post-landing-must-touch-my-carryon-immediately moment of choreographed (and mystifying) panic.

Lufthansa can carry 386 passengers on its 747-8 in its 8-80-298 (first-business-economy) arrangement.

The upper deck is home to 32 business class seats in a 2-2 configuration -- the width of the area is roughly the same as the interior of the 737-700.

It's here and at the front of the plane that Lufthansa is aiming to attract customers in the competitive but lucrative East Asia-Europe route.

"This gives us a competitive shift. We have been here for 52 years and we know that customer expectations are high. That's why we are the first to bring the 747-8 to Hong Kong," says Andrew Bunn, Lufthansa general manager for Hong Kong, South China, Taiwan and Macau.

"It brings a unique element to our brand. From an economic point of view, it gives us more capacity and is more cost effective. For customers, they will notice and appreciate the enhancements on board.

"More than anything, it is exciting. It is a new experience. It is a new aircraft. There is certainly a 'wow' factor, not just for our customers. People all over the airport are taking pictures of the aircraft every day."

Still capturing attention, this legend of the skies is showing no signs of retirement. Rather, the 747-8 is the latest chapter in a legendary chunk of aviation history.

@highlight

747-8 Intercontinental is latest version of the iconic 747 jumbo jet

@highlight

Only five are in operation at the moment, all operated by Lufthansa

@highlight

The 747-8 is the longest commercial aircraft in the world