(CNN) -- The guitarist stands in front of a mirror messing with his mohawk. The drummer strikes a wild tempo. The singer rips off his T-shirt and begins to scream the lyrics.

Basim Usmani is bassist for The Kominas, a group that blends traditional sounds with punk rock beats.

They're young. They're punk. And they're rocking both their Muslim and American worlds with their music, lyrics and style.

"A lot of times people say, 'Oh wow, look, brown people playing music' [but] it's more than that," said 25-year-old Pakistani-American Shahjehan Khan, the lead singer for a Muslim punk band, The Kominas.

The Boston-based band is one of a handful of Muslim punk bands that emerged in the United States in the past few years.

The members of this four-person rock group with South Asian roots hold varying views on religion. One says he's an atheist; three others identify as Muslims -- both practicing and non-practicing. For them, punk music is a way to rebel against their conservative cultural upbringing and the frustrations of growing up a young Muslim in America.

"We aren't [just] some alternative to a stereotypical Muslim. We actually might be offering some sort of insights for people at large about religion, about the world," said 26-year-old bassist Basim Usmani.

Blending traditional South Asian rhythms with punk rock beats, they sing in both English and Punjabi. (Kominas means "scum-bag" in Punjabi, according to the band.) Their songs can be at once political, serious, satirical and insinuating.  Audio slide show: On tour with Muslim punk rockers »

Their risqué lyrics and provocative song titles such as "Sharia Law in the USA," "Suicide Bomb the GAP" and "Rumi was a Homo" -- a protest song against homophobia in the American Muslim community -- have drawn the attention of Muslims, non-Muslims, fans and critics alike.

"You sort of have to throw it in peoples' faces and be shocking in order to give people a different way to think about stuff," said Usmani.

"These punk, metal and rap scenes - so-called extreme music scenes -- are addressing issues that mainstream music doesn't," said Mark LeVine, a professor of Middle Eastern history at University of California, Irvine, who is also a musician and author of "Heavy Metal Islam."

"[Punk] allows them to rebel against society and their own culture at the same time," he said. iReport: Is Islam at odds with American values?

Before the Islamic punk movement in North America had a voice, it had a story. The Muslim punk scene began to gel in 2003 when novelist and convert to Islam, Michael Muhammad Knight self-published his book, "The Taqwacores" about a fictional Muslim punk scene in Buffalo, New York.

The book opens with a poem called "Muhammed was a Punk Rocker" and describes both conventional and unconventional characters including a Shi'ite skinhead, a conservative Sunni Muslim, a burka-wearing feminist punk and a Sufi who sports a Mohawk and drinks alcohol.

"The punk rock kids I would hang out with weren't even Muslim," 31-year old Knight recalls. "They were so fiercely individualistic -- I wish that I could be a Muslim in that way: not be ashamed of my confusion, not be ashamed of my doubts. Just be myself and be proud of who I am."

The novel's title, "Taqwacore," is a hybrid word stemming from the Arabic "taqwa," meaning "god consciousness," and "core" referring to "hardcore" -- a genre of punk music. It's now a general term for Muslim punk rock.

The popularity of the book, which Knight said was born out of a search to find his identity as a Muslim-American, grew in underground youth circles and online.

It didn't take long before real-life "taqwacore" bands like The Kominas began blooming across the country.

"It makes sense why punk has been the music of choice for young, politically active Muslims who are musical," said LeVine. "The straight edge movement in punk which was about no drugs, no alcohol, was clean yet very intense and political. It's a way for them to rebel against their families in some extreme ways yet still be ritualistically, 'good Muslims.' "

"Taqwacore" gave voice to many young Muslim-Americans who felt muted by circumstances and created an opening for bands like Al-Thawra, Vote Hezbollah, and Secret Trial Five -- an all-girl punk band out of Vancouver, Canada.

In the summer of 2007, five of the taqwacore bands organized a "taqwa-tour" of the northeastern United States. They played in city after city, traveling in a green school bus with TAQWA painted on the front bought by Knight for $2,000 on eBay.

This summer, The Kominas continue to strike a chord with audiences around the country, hitting cities from San Francisco to New York on a multi-city tour.

The taqwacore movement has also inspired two upcoming films - a dramatic feature film based on the book and a documentary.

Many conservative Muslims may peg young taqwacores as heretic for their suggestive and irreverent lyrics. But the musicians say they are just trying to show both cultures how broad the spectrum of belief can be.

Like many young adults balancing their religious beliefs with American culture, some young Muslims in the United States say it's a constant struggle to be accepted in both worlds.

"I had a lot of conflicted feelings growing up a Muslim in America," said 25-year-old Kominas drummer Imran Malik. "It was hard not being able to do the same things that everyone else around you is doing without feeling guilty about them."

Knight, who grew up with a Catholic mother and white supremacist father, converted to Islam when he was 16. He said his message is not one of blasphemy but rather an extension of his discontent with the rigid etiquette that dictates certain practices within Islam and the stereotypes of Muslims in American.

"Muslims haven't been fully accepted as Americans but the American experience hasn't been accepted as something that can contribute to the Muslim world," said Knight.

Knight said writing the book helped him and others connect through shared experiences.

"When I first wrote it, I felt like there would never be a place for me in the Muslim community and that has really turned around a lot," he said. "The book gave me the community I needed, it connected me to all these kids that were also confused and who also went through the things that I went through."

That connection is vital to taqwacore music, bassist Usmani said.

"The music is great, but the conversation is the key to all of this. The dialogue that we have inspired is really invaluable."

"I don't think Islam is ever going to go away, I'm just trying to see how it best fits in my life."

@highlight

A handful of Muslim punk bands have emerged in the last few years

@highlight

A fictional portrayal of a Muslim punk scene helped set the real-world stage

@highlight

Some conservative Muslims disapprove of the suggestive and irreverent lyrics