(CNN) -- Pakistan, and Pakistani-American relations, confront their worst crises in recent memory.

Pakistan's economy is in free fall, and its major cities are wracked by political violence, while Pakistani attitudes toward the United States have never been worse -- a legacy of the CIA contractor who shot and killed two Pakistanis in the city of Lahore this year, the campaign of drone attacks in Pakistan's tribal regions and the unilateral American raid to kill Osama bin Laden in northern Pakistan in May.

On the U.S. side, there is considerable anger about Pakistan's unwillingness or inability to constrain Taliban groups based on its territory that are killing American soldiers in Afghanistan and a perception that while U.S. aid flows in large amounts to Pakistan, it continues to harbor enemies of America.

As a result, the rupture in the U.S.-Pakistan relationship may be the most serious ever. Some members of Congress are calling for the freezing of U.S. aid to Pakistan, while the Pakistani government has demanded that U.S. Special Forces troops who have been training elements of its armed forces return home.

A further rupture in relations between the two countries would mean placing crippling constraints on American aid, ending dialogue and curtailing cooperation on attacking terrorists.

Pakistan is the second most populous nation in the Muslim world and is armed with nuclear weapons. The United States cannot allow such an important country and an ally of the past three decades to become an enemy.

In fact, the two nations have many interests in common. The U.S. counterterrorism program in South Asia would be crippled without Pakistan's help. And fostering a stable and prosperous Pakistan would reduce the risks of a nuclear confrontation between India and Pakistan, which has been a central goal of American statecraft since the late 1990s.

Even many who support the relationship, from Washington Post columnist David Ignatius to members of Congress, have suggested the need for a partial separation, a cooling-off period or a more distant stance. Sens. Carl Levin and Dianne Feinstein, while encouraging a renewal of ties, reflected widespread official opinion when they called for steps to re-evaluate the relationship.

The general consensus in Washington, in fact, though not endorsing more extreme calls for an outright divorce, appears to hold that the only realistic strategy for rebuilding U.S.-Pakistan relations is gradual, long-term and qualified. Such an argument is hardly unreasonable, given the mutual antagonism and distrust that exists today.

Yet we do not agree. Waiting on events, we fear, could invite new crises and a more fundamental break in the relationship.

Instead, we propose a new basis for a revised yet lasting U.S.-Pakistan partnership: a collaborative agenda for Pakistan to take its place as a major power in a modernizing South Asia.

This concept, which we developed together with a study group of Pakistani economists, journalists and former government officials as well as their American counterparts with considerable experience in Pakistan, calls for actions within Pakistan to build the social, political and economic basis for this vision, as well as a U.S. commitment to support this agenda with critical actions -- on trade, peacemaking and technical support.

One important step would be a shift from a relationship in which the U.S. sends aid to Pakistan to one in which the emphasis is on trade that benefits both sides.

Textiles constitute 60% of Pakistani exports, half its manufacturing output and a third of its industrial employment. Yet Pakistani textiles make up less than 4% of U.S. textile imports.

We recommend a new effort to reduce the disproportionately high American tariffs on Pakistani textiles — as well as parallel programs to enhance U.S. and international foreign direct investment in a range of Pakistani industries — as an alternative to most U.S. civilian aid, which theoretically could amount to as much as $1.5 billion a year if all the aid available to Pakistan was actually disbursed.

Efforts to lower taxes on Pakistani textiles have foundered in the past because of opposition in Congress and from U.S. manufacturers, but if this effort was tied to reduced U.S. aid, it might have a better chance of being implemented.

On security matters, extremism and terrorism threaten both nations. Yet there is a tendency for both sides to operate in secret, from Pakistani support for militant groups who are killing American soldiers in Afghanistan to U.S. covert operations in Pakistan and drone strikes in the Pakistani tribal regions.

This only sets the stage for public outrage when secret activities are revealed without being grounded in the fundamental strategic justification, the shared threat that warrants working together.

So the time has come for the two governments to move toward joint, sustainable actions — against terrorism, militancy and insurgency — that can be agreed upon and defended in the public sphere.

Pakistani concerns about civilian casualties and infringements of their national sovereignty caused by American drones could be addressed with a more transparent drone program, perhaps involving the public release of some drone video footage, as well as more public explication about why certain individuals have been targeted by drones. all done more clearly under Pakistani government guidance.

After all, the war against the militants in the tribal regions is Pakistan's more than America's, and polling in those regions indicates that if the Pakistani military were seen as more directly responsible for the drone program, opposition to it would subside dramatically.

Pakistan must also get its own house in order. Economic growth has fallen to less than 3%, and inflation has run in double digits for years, reaching a peak of over 20% in 2008-09, while Pakistan has one of the lowest tax-to-GDP ratios in the world, with less than 2% of the population paying income tax.

Pakistan needs to make good on long-delayed tax reform that would boost state revenues and to pursue steps to improve the climate for foreign investment. The motivation for Pakistan to do that is the parlous state of its economy; if it maintains a 3% growth rate, given its high birth rate, the economic conditions of the Pakistani people, which are already bad, will steadily worsen.

We also recommend initiatives to accelerate trade throughout South Asia. Improved trade with India represents a natural source of potential growth for Pakistan and a way to ease tensions between the two states.

Just as after World War II former enemies France and Germany created the coal and steel common market that spawned the European Union, the more India, Pakistan and other regional players collaborate along economic lines, the more troubling political issues will be seen as nuisances in the way of an emerging regional prosperity.

A number of short-term initiatives could jump-start this process: allowing multiple-entry visas for businesspeople, easing restrictions on direct shipping and on rail and air links, and allowing Indian and Pakistani banks to open branches in each other's countries.

This will take political will in Pakistan amongst its politicians and the military, which retains a veto over all matters relating to national security.

Political will also have to be exercised on the U.S. side to sustain faith in a challenging but essential partnership with Pakistan. The relationship has certainly had its bad patches, but it's one that neither side can live without.

The opinions expressed in this commentary are solely those of the authors.

@highlight

Pakistani-U.S. relations are at their lowest ebb, authors say

@highlight

Some argue that there needs to be a cooling-off period to calm tempers

@highlight

Authors: Both nations should craft a new plan to change the game

@highlight

Joint anti-terror operations and new trade policies would help, they say