(CNN) -- When George Washington Vanderbilt, a descendent of the prominent Vanderbilt family, moved into his expansive new home in Asheville, North Carolina, back in 1895, he invited friends and family over for a lavish party on Christmas Eve.

The holiday tradition continues to this day at Biltmore House, as the 250-room French Renaissance-style chÃ¢teau celebrates the holidays with an elaborate Victorian era-inspired spectacle boasting 56 hand-decorated Christmas trees, 1,000 poinsettias, 300 luminaries and miles and miles of fresh garland.

But the Biltmore isn't the only grand U.S. estate that puts on a show come December. Here's the scoop on what Biltmore House and five other historic homes are doing to commemorate this special time of year.

Biltmore Estate
Asheville, North Carolina

Widely considered one of the South's most beloved holiday destinations, the Biltmore attracts visitors from near and far for its seasonal tribute covering practically every inch of the 135,000-square-foot manse and surrounding 8,000 acres. But the celebration doesn't stop at the decorations. In addition to the usual daily self-guided tours of America's largest home, where you can view the Vanderbilts' original collection of furnishings, art and antiques, there are special nightly candlelight tours, visits with Santa, holiday decorating seminars led by the Biltmore's floral and gardening experts, a gingerbread house tea, musical performances and more.

Adult tickets start at $49 for daytime entry in December. Evening visits start at $69 for adults. Reservations may be required on busy days.

8 great places to completely unplug

Winchester Mystery House
San Jose, California

In 1884, Sarah Winchester, a New England rifle heiress grieving the loss of her husband and child, started construction on an unusual California mansion she believed would appease evil spirits. She continued to add on to the sprawling Victorian house until her own passing 38 years later. Today, the estate is a popular tourist attraction for both its extravagant design (it boasts 160 rooms, 2,000 doors, 10,000 windows and 47 stairways) and the supposed paranormal activities surrounding it.

But each holiday season, it's the spirit of Christmas that takes over. Daily tours show off the more than 20 designer Christmas trees and other colorful embellishments, with roving carolers, violinists and other performers making select nighttime tours even more joyous. Visitors can also enjoy the hot chocolate bar, snap family Christmas photos and shop in the boutique for ornaments and other gifts.

Daytime holiday tours are $33 for adults. Adults pay $20 for evening admission to holiday events.

Best affordable island hotels

The Breakers, The Elms and Marble House
Newport, Rhode Island

The town of Newport has multiple properties on the National Register of Historic Places, all of which were once the summer "cottages" of wealthy silver heiresses, senators and the like. Three of these decadent Gilded Age dwellings deck their halls each December for the annual Christmas at the Newport Mansions event, where festival goers can chat with jolly ol' Saint Nick (eggnog and cookies provided), attend evening concerts, capture pics of the gingerbread masterpieces created by local pastry chefs and more.

The opulent "cottages" hosting holiday events are The Breakers, an Italian Renaissance-style palazzo finished in 1895 for Cornelius Vanderbilt II; The Elms, a summer house completed in 1901 for coal magnate Edward Julius Berwind; and Marble House, which was inspired by the Petit Trianon at Versailles and completed in 1892 for Mr. and Mrs. William K. Vanderbilt. The homes will be open for tours as well, each of them festooned with holiday finery as they would have been back in their heyday.

A Winter Passport for admission to all three houses is $28 for adults.

Hillwood Estate, Museum & Gardens
Washington, D.C.

The name Marjorie Merriweather Post is familiar to many as the former owner of another one of this country's most impressive estates -- Mar-A-Lago, in Palm Beach, Florida. But it was at this neo-Georgian-style mansion surrounded by 13 acres of formal gardens in northwest D.C. where she would live out the rest of her life. In 1977, it became a museum showcasing both her impeccable taste and worldly possessions, including one of the most comprehensive collections of Russian imperial art outside of that country.

In keeping with Post's interest in Russian culture, Hillwood hosts, among other Christmas-themed events, an annual Russian Winter Festival. Grandfather Frost (Russia's version of Santa Claus) and his granddaughter, the Snow Maiden, are on hand for the festivities, which include traditional bands, choirs, and dancing and the chance to make an authentic ladies' kokoshnik (headdress) or gentlemen's winter hat. This year's festival will be held December 14 and 15.

Admission to the festival is $18 for adults.

Oak Alley Plantation
Vacherie, Louisiana

This gorgeous antebellum plantation along the banks of the Mississippi, named for the row of centuries-old live oaks leading up to the main house, has its share of stories -- there's an old slave quarters on site -- but the setting is hard to beat. The estate is even more enticing when embellished with fresh fruit, lush greenery and other Creole touches as it would have been in holidays past. The 1850s Christmas decor is on view all month.

Another yearly tradition here is the lively Christmas Bonfire Party, complete with costumed hostesses, a brass quintet, carolers, dancing and nonstop food and drink, culminating with hot chocolate and beignets from 11 to midnight. This year's bonfire event on December 7 is already sold out, so if the idea is enticing, mark December 6 on your calendar for next year's blaze. Eats and beats also dominate the Christmas Sunday Jazz Brunch held a couple of weekends later on December 22 and reservations are still available.

The brunch is $50 per person and $25 for children under 12. Admission to the house is $20 for adults.

Hearst Castle
San Simeon, California

It's been said that Christmas was one of William Randolph Hearst's favorite holidays and that an invitation to the decadent holiday parties he threw at his magnificent West Coast compound was quite the get. Luckily you don't have to wait for an invite to experience Hearst Castle in all of its seasonal splendor. Decorated as it would have been back in the 1920s and 1930s during the famed newspaper magnate's reign, this 165-room Moorish castle is a sight to behold, from the grand social rooms on the ground floor to the private rooms on the upper levels.

The Grand Rooms Tour ($25 for adults) and the Evening Tour ($36 for adults) are recommended for viewing the holiday decorations.

@highlight

Lavish estates are prime spots for soaking up lavish holiday displays

@highlight

The Biltmore House in North Carolina is a big draw at Christmas

@highlight

Newport, Rhode Island's Gilded Age "cottages" are not too shabby either