(CNN) --  On the first anniversary of the historic 2008 election, retired Gen. Colin Powell, the first African-American secretary of state, talks one-on-one with CNN's Don Lemon for Essence Magazine about the most pressing issues facing black men in the age of President Obama.  Don Lemon: President Barack Obama issued a national call to service. Do you think African-Americans have answered that call?

Colin Powell: I really don't know that I know the answer to that question. I do know that in the work that I do and my wife does as the chair of America's Promise, we are seeing more and more people step forward to try to deal with the problems that we have, to include African-Americans and Hispanics stepping forward.

But it's not just a one-time thing. You can't just have, let's have a day of service on Martin Luther King Jr.'s birthday or a day of service. We've got to get deeply involved in working with our kids on a continuing basis and not just one day a year.

We need more African-American men, for example, to step forward and serve as mentors to young kids who don't have a responsible, caring adult male in their lives. If I could snap my finger and do one thing, I would make sure that every young American boy or girl, but especially African-American [children], have a responsible, caring adult in their lives.

Hopefully, it's their parents, even if it's a single parent. ... But without that kind of family support, then we need Boys and Girls Clubs. We need Big Brothers and Big Sisters. We need mentors. Otherwise, these kids will find bad adults to copy from, and we're going to lose them.

Lemon: I recently reported on youth violence and gangs in Chicago, Illinois. Most of the young men didn't have role models at home. Would it help if more African-American men had picked up the torch to help those young men?

Powell: Of course it would. President Obama has spoken out rather clearly about this: Fathers have got to start doing their jobs.

Every child has a father, and some of those fathers don't want to live up to the responsibility of being a father. Whether it's a father in a marriage or a father in a good home, that father is a father and owes that child financial support, owes that child companionship, owes that child an example in life.

Those of us who have been blessed with some success ... you can look back and see family members who kept you in play. If it hadn't been for my relatives and my parents and my cousins and my priest and all the other people in my neighborhood, I wouldn't have made it. But they had a level of expectation for me.

Lemon: How do you convince African-American men, especially, that service is a worthwhile effort?

Powell: You tell them that without that effort, all of our achievements over the last 50 or 60 years are being put at risk. The statistics are frightening. Fifty percent of our African-American youngsters are not graduating from high school. And of that 50 percent, a higher percentage of boys are not graduating than girls.

And when they get out of high school, if we can get them into the college, you will find six girls in college for every three or four boys who are in college. And those six girls will graduate at a higher rate than the three or four boys.

This is a moral disaster for the African-American community. This is not why Rosa Parks rode in the back of the bus or why Martin Luther King Jr. and all of his colleagues marched. We didn't do it so that these kids could fail because they don't have adults in their life, teaching them how to succeed.

We've got to teach them that you've got to behave. You've got to learn what it means to "mind" somebody. You've got to read to your kids. You've got to act like responsible fathers.

Lemon: How did you become involved in President Obama's Renew America Together initiative, and what is your role?

Powell: The president-elect was aware of the work that Alma and I had done together on America's Promise. As part of the transition effort, he intended to make this an important part of his administration, and he wanted to get started earlier.

The White House asked if I would work with transition officials to launch his first initiative, which was called Renew America Together.

I launched that for him on the 9th of January, 11 days before the inauguration. We also announced the Web site where people could sign up to get involved in service to their community. It's called usaservice.org.

I'm so pleased that he has made this a major part of his administration and his agenda, because it fits right into what my wife and I have been doing for many years.

LEMON: Did you have any African-American role models? What did they teach you?

POWELL: They were, first and foremost, my family. When I was a young kid, born in Harlem, raised in the Bronx, it was my family that taught me how to behave, taught me what they expected of me, gave me a sense of shame and told me to "mind." It's a word that's not used enough anymore.

I tried to observe people who were successful in life. In the black community, we didn't have that many in those days. You had Joe Louis, Jackie Robinson, Ralph Bunche, Willie Mays, a lot of athletes. ... You had Gen. Benjamin O. Davis Sr., the first black general in World War II. But it was still a country where people of color could not reach the heights.   I was nevertheless inspired by these folks who did the best they could in the time in which they lived and showed that if you do your very, very best, you will be recognized and rewarded for it.

I entered the Army five years after the last segregated unit was closed down. I entered in 1958, and at that time, the Army was fully integrated, the most integrated institution in American society.

And what my commander said to me: "We don't want to hear any sad stories about you were born in Harlem and raised in the Bronx. Don't tell us anything about your immigrant family. We know you didn't go to West Point.

"We don't care where you went, and we don't care if you're black, white, blue. ... The only color we care about now is green. You're in the Army."

The only thing that counts is performance. You can't perform if you don't get your education. You can't perform if you don't speak the English language well. You can't perform if you're not respectful. You can't perform and you won't get the opportunity to perform if you walk around with your pants dragging around your ankles and you're not behaving in a proper manner.

Lemon: Amen, General. Thank you.  Read Don Lemon's editorial on Essence.com about what Obama represents for all of us.

@highlight

Retired Gen. Colin Powell, wife founded America's Promise Alliance to support youth

@highlight

Powell: "Fathers have got to start doing their jobs"

@highlight

"All of our achievements over the last 50 or 60 years are being put at risk," Powell says

@highlight

Watch "Black Men in the Age of President Obama," weekdays on HLN at 4 p.m. ET