(CNN) -- When Felicity Aston started smelling fish and chips, she knew something was wrong.

The unmistakable aroma of the classic British pub food, deep-fried fish and french fries, could only mean one thing: She must be hallucinating. After all, there are no pubs in the middle of Antarctica.

The British explorer was skiing solo across the great frozen continent and had not seen another human being for weeks.

"It drove me insane," said Aston. "It was like I was skiing along a huge row of fish and chips shops, the whole day."

Read more: Global warming hits Antarctica, study finds

But, she says, she kept wiggling her fingers and toes to check for hypothermia, gritted her teeth and kept going, eventually crossing Antarctica in 59 days -- becoming the first woman in the world to make it solo.

Despite being a seasoned explorer -- she previously led a team to the South Pole; raced across Arctic Canada and traversed the inland ice of Greenland -- this was her first solo expedition. She says she has never felt so alone.

"The first time it really struck me was when the plane dropped me off (at) the beginning of my journey, and I watched it disappearing into a dark blob (in) the sky."

As she started putting up her tent and organizing her equipment, she says she realized her heart was jumping, she was out of breath and her hands were shaking.

Read more: Ship spends 10th day stuck in frozen waters off Antarctica

"I realized I was absolutely petrified," she said. "And it wasn't because I (was) scared of dying or injury, it was just that level of aloneness that was instantly frightening. Just the weight of the amount of time on my own."

Being alone in the Antarctic means being on a high alert all the time. There is a danger at every step: Crevasse fields; whiteouts; sharp-edged grooves and ridges; temperatures below -40 C and hurricane-speed winds.

Among the many physical impacts this environment has on the body -- exhaustion, malnutrition, frostbite, cramps, sunburn -- one of the most serious is hypothermia.

Among polar explorers, hypothermia is known as "the silent killer" because its first symptom is a progressive inability to think clearly, recognize the problem and do something about it. "The first warning signal of hypothermia is abnormal behavior -- being very quiet, confused, incoherent," Aston explained.

These are things that other members of an expedition pick up on, but, in a team of one, there's no one else to raise the red flag.

Read more: Patient from Antarctica flown to New Zealand for treatment

"If you're alone, you have to make sure that if something goes wrong, you can get out of it," she said. "I had to always make sure that I would be able to put up a tent and look after myself at the end of each day." That's why she constantly wiggled her fingers, to make sure they weren't becoming numb, as the inability to use her hands would have been fatal.

Despite the endless physical dangers, Aston says the real challenge is winning the mental battle with solitude.

"It became the biggest struggle of the whole trip," she said. "Every single morning, the first thing that struck me was, 'Oh my goodness, I can't do this, I don't want to be here, I've made a terrible mistake.'

"I realized that the real (trick) of this would not be how strong I was or how much experience I had, it would literally be getting out of that tent."

But each day, she would get out of the tent and repeat exactly the same routine. After 40 days, she says she started noticing changes.

Read more: Scientists: Japanese tsunami produced Antarctic icebergs

"I realized I would go a whole day and really not think about anything at all. My head was completely empty," she said.

Hallucinations and strange sensations came next: "The sun became really important to me," she added.

During the polar summer, the sun circles in the sky, never going down. It became Aston's constant companion and she began greeting it in the morning. "This developed into me having full-blown conversations with the sun in my mind," she added.

Crying also became part of the daily routine and she says it wasn't until day 15 of her journey that she managed to go a whole day without bursting into tears.

In pictures: Stunning undersea panoramas now on Google Street View

As an experienced explorer, she knows they are part of the experience. "The men do as much crying as the women do," she said. "And the women smell as bad after six weeks without shower."

While bodily functions don't make the difference, it's the attitude that sets man and women apart.

She says that even the most experienced women tend to suffer from a lack of self confidence and sense of vulnerability.

"When I take a groups of women out into the cold environment, they are a lot more unsure, their default position is 'I can't do this,'" she said. Her job then becomes to convince them about the opposite.

With men, it's different. "Usually they'll fling themselves at it and their default position is 'I already know how to do this, I know exactly how to do this,' and it's a matter of bringing them in and telling them that they need to think more and watch out for certain things."

After days of skiing alone, in extreme cold, these differences disappear and men and women have to deal with the same issues.

Apart from one, which Aston has yet to find a solution to: Going to the toilet.

During the coldest days in Antarctica, she was deliberately dehydrating herself to avoid the need to get undressed in the bitter frost.

"It's the only time in my life I've ever ... wanted to be a man," Aston said. "You see the guys just turn around and have a quick pee in the snow and you go, 'Arrghh, I have to get undressed in this cold!'"

@highlight

British explorer Felicity Aston became first woman to ski solo across Antarctica

@highlight

She says the biggest challenge was coping with the long-term solitude

@highlight

Aston had to deal with hallucinations and frustration to complete the expedition