Baghdad, Iraq (CNN) -- On a bitterly cold December morning in 2011, we watched as the last U.S. troops crossed the border into Kuwait, ending America's war in Iraq.

More than 100 vehicles were in that convoy, snaking its way across the desert and through the floodlit border crossing, leaving behind empty bases and memories of nearly 4,500 American lives that were lost.

Americans breathed a sigh of relief. Many Iraqis held their breath. War, they feared, was far from over for them, and time has borne out their fears. The death and violence never stopped -- it's just that the bombs and bullets faded from American minds and television screens once the pull-out was complete.

Two years later we're back in Iraq and things are in many ways worse for Iraqis than when the Americans left.

READ MORE: The "bad old days" return in Baghdad

Driving in along what the U.S. military called "Route Irish" -- or the BIAP (Baghdad International Airport road) -- the stark concrete blast walls are now covered in murals, the median is grassed with palm trees and fountains. We were reminded this was done for the 2012 Arab League Summit in Baghdad, not for general "beautification."

Those of us who'd been to Baghdad on multiple assignments were struck by the ubiquitous security presence -- police checkpoints and posts and army units on duty in some places.

The traffic was always bad in Baghdad. Today, it's worse that we can remember.

Locals talk of almost becoming accustomed to the threat of not coming home at night because of some random car bomb.

READ MORE: 5 things to know about Iraq violence

More than 8,000 people were killed in Iraq in 2013, according to the U.N. estimates -- most of them innocent civilians caught up in the tempest of violence that grips their country.

The groundwork for today's problems began almost as soon as that last American convoy left in 2011. Sunni lawmakers protested the rounding up of many of their aides and security guards, and the country's vice president -- top Sunni leader Tariq al-Hashimi -- faced arrest and later fled the country.

The government of Prime Minister Nouri al-Maliki was supposed to usher in a political era of inclusion and reconciliation. His critics say those first days after the American departure were a signal of opposite intentions that have continued to this day.

The Sunni minority that had ruled Iraq via the iron fist of Saddam Hussein was at the political and social mercy of al-Maliki's Shia-dominated government. Today, they say, "inclusiveness" never materialized, Sunnis have been marginalized and resentment has festered in a divide-and-conquer political climate. As one local put it, "It's like if you're against us, you're a terrorist and we'll arrest you."

Why Iraq is in turmoil

This resentment, aided by the violent government shutdown of Sunni protest camps, provided an opening for the al Qaeda-linked Islamic State of Iraq and Syria (ISIS) to move into the Sunni heartland of Anbar Province in force. Al Qaeda is a beast that feasts on discontent and in Anbar there is no shortage of sustenance.

A previous version of ISIS, the Islamic State of Iraq, comprised the core insurgents the Americans fought in those cities during the war. They have regrouped and strengthened across the border in Syria during that country's bloody conflict -- and extended their fight for a home for their brand of hard-line Islamism into Iraq.

The results have been deadly -- not just in Ramadi and Fallujah of course, but across the country, where, just like the "bad old days" of 2005-2009, bombings and killings have become pretty much daily events.

READ MORE: At least 60 killed in Anbar since December 1

In 2006 the Americans convinced -- and paid -- Sunni tribal and religious leaders to fight the hardliners, with great success. But Sunni grievances never went away and some in Anbar see ISIS as comrades-in-arms against an al-Maliki government viewed as an oppressor of Sunnis. Other Sunnis see al-Maliki as the lesser of two evils -- they don't like how they're treated, but like even less the ISIS brand of hard-line, brutal "governance".

Al-Maliki has more than once termed the various fights and stand-offs in Ramadi and Fallujah as a fight against "al Qaeda", but it's not that simple.

The Sunni sense of being under the heel of a sectarian government, of being cut out of the running of their country, failing to share in growing oil revenues, has nothing to do with al Qaeda and won't evaporate once ISIS is forced from Ramadi and Fallujah.

The Americans aren't coming back to help out with boots on the ground, but they are giving other support -- offering drones, missiles, aircraft and other assistance.

But this isn't a battle to be won militarily. Sunnis -- many of whom have yet to get used to no longer running the country -- say they want to be part of the system that was meant to be "inclusive" but has, they feel, been anything but.

READ MORE: How al-Maliki overreached in Anbar province

@highlight

CNN's Michael Holmes says things are in many ways worse for Iraqis now than in 2011

@highlight

Security situation in Sunni-dominated Anbar province has deteriorated in recent days

@highlight

Critics say Iraqi Prime Minister Nouri al-Maliki's Shia government has marginalized Sunnis