He saw it first-hand on a reporting trip in Guizhou province -- scores of village children going to school hungry.

But Deng Fei refused to stand by and watch. So in 2011, he left journalism and started his own private charity to provide free meals for China's village children.

And in three years, his "Free Lunch for Children" campaign has fed a total of 92,000 kids across 23 Chinese provinces.

"The government won't be able to solve all our problems," Deng tells CNN. "We must give up this unrealistic idea and take the initiative ourselves."

China may be a single-party state run from the very top. But grassroots activism has been bubbling up from beneath, bringing about much needed social support and change.

Officially, China has around half a million registered NGOs, most with government connections.

As for the number of unregistered independent NGOs? According to James Miles, The Economist's Beijing Bureau Chief, it's a figure close to some two million.

"These are tiny little groups of people all over the country working on trying to improve the lives of people living in those areas -- whether it's on labor issues, women's rights or the environment."

Force for change

For more than two decades, Han Dongfang has been an advocate for workers' rights in China. He first gained international attention during 1989 Tiananmen Square protests when, as a railway worker, he helped set up China's first independent trade union.

After the crackdown, he continued his advocacy work in Hong Kong as the founder and director of the China Labor Bulletin.

Han says China's national trade union has failed to represent the needs of the nation's workers: "The official union always sees itself as, unfortunately, government officials. They don't see themselves as workers' representatives."

So the workers of China have no choice but be their own force for change in the country, striking for better wages and launching civil action for just compensation.

And with the rise of social media in China, the country's civil society is more connected and better resourced than ever before -- bringing people in need together, including China's once isolated coal miners suffering from deadly lung diseases.

"There are a hundred thousand silicosis victims who are supposed to die in the cold and be silent, but now they're making their voices heard," Han tells me.

"They're going to die soon, yes. But their voices are brought together on a platform through social media. That has changed everything. It brings people out from isolation."

Social power

The power and reach of social media has played a major role in developing a civil society in China. It has also unsettled the Chinese Communist Party, which operates an Internet censorship regime that filters content and frequently takes down posts critical of Party rule.

But it's also forced Beijing to take part in the online exchange.

"Social media is definitely a game changer to China," says Isaac Mao, a Chinese social media researcher and Internet freedom activist.

"The government and the civil society, they all participate in these platforms as their voice channels. And the government has to follow the game rules of social media, not their traditional rules."

With state-run media channels like the People's Daily or CCTV actively managing social media accounts, an online civil society has forced the Party to embrace a more interactive platform.

But can it lead to real world political change?

Political tension

James Miles, who has had more than 20 years of experience covering China, believes civil society may very well play a critical role in changing China's political landscape.

"What we might see now compared with 25 years ago during Tiananmen, is that the cells of organizations are much more quickly formed together," says Miles, who was in Beijing to cover the protests in 1989.

"It would be much more difficult for the government to control information, to stop people organizing, and to stop the flow of information in these kind of critical events."

Beijing is aware of the growing strength of the country's civil society, and is taking action to rein them in and take control.

"The government itself is beginning to try and bring more of these small hitherto unregistered groups into the official fold -- registering them, getting to know them," says Miles.

"It hopes, presumably, to get to control them better."

And yet the blessing of the government has proved essential for many non-governmental organizations in China.

"Government support is also very important to us," says "Free Lunch" campaigner Deng Fei.

"They have the control over a lot of resources, and they decide whether or not we can access the schools."

That's people power in the People's Republic of China.

@highlight

A civil society is forming under single-party rule in China

@highlight

Widespread use of social media means China's civil society is more connected and better resourced than before

@highlight

Beijing is aware of growing strength of the country's civil society and is taking action to rein it in