(CNN) -- For the first time in several weeks, authorities have released information about missing Malaysia Flight 370 not previously available to the public.

The problem is, it's very technical and experts said it's going to take them weeks to figure out exactly what it means.

On Tuesday the Malaysian authorities published a 47-page document containing hundreds of lines of communication logs between the airliner that went missing March 8 and Inmarsat, a British satellite telecommunications company.

Is there anything in the data we didn't already know?

The data is dense and complicated, and even professionals will need time to analyze the logs, experts tell CNN.

But there is some key general information that has emerged. The data includes the seven "handshakes" investigators said helped them conclude that the plane ended its flight in the southern Indian Ocean, where the search continues.

"Handshake" is the lingo that Inmarsat uses. It means a signal between the satellite and the plane. The satellite sends a coded signal to the plane essentially asking "Are you there?" and the plane sends a signal conveying "I am here."

Remember it was Malaysian authorities who, in late March, told relatives of the 239 passengers and crew that the aircraft crashed in the southern Indian ocean.

The Malaysian government's decided to release the data now, said Inmarsat CEO Rupert Pearce on CNN's "New Day."

The data constitutes "raw communications logs over our networks," he said.

"That's all the information that we have that passed between our network and the plane during the fateful hours when the flight was lost," Pearce said. "So it's everything -- we put everything out there."

Speaking of handshakes, what's this about a 'partial handshake'?

Inmarsat and Australian officials have addressed something they call a "margin of error" -- or how far the plane could be from the location where authorities believe it crashed. The focus of the search has been the so-called seventh arc, which represents the location of a "partial handshake." Authorities believe that area is where the plane ran out of fuel. When it ran out of fuel, the plane's on-board satellite communications system stopped, and the "partial handshake" was the battery-powered communication's equipment powering up following a power interruption, authorities said.

Angus Houston, the head of the Australian agency coordinating the search, first suggested at a press conference in early April that may have happened.

You've said it's going to take time -- how long exactly?

An international group of experts is reviewing the data from Inmarsat and examining an analysis of the plane's performance -- and that enterprise could take two to three more weeks, Australian Transport Safety Bureau Chief Commissioner Martin Dolan told CNN Tuesday.

On top of that, it's possible that continuing to review the data will further refine or even shift the search area from its current location, Dolan told CNN.

It's not just people involved in the search saying that.

Even Michael Exner, founder of American Mobile Satellite Corporation, a member of a loose confederation of experts who've demanded access to the information, said the information released Tuesday is too limited to verify Inmarsat's conclusion that the plane flew south, into the Indian Ocean.

He joined the chorus of others who called for more time.

But don't the Australians, the leaders of the search, have anything more to say?

For the first time, Australian accident investigators outlined in a detailed report why they believe the plane crashed in the southern Indian ocean. The report, posted Monday on the ATSB's website, includes a map with seven concentric circles representing the "seven handshakes" captured in the Inmarsat data.

This is where aviation experts -- who call themselves av geeks -- can begin their inside baseball debate. To start them off -- the Australians' report explains two key measurements: The first, the Burst Timing Offset (BTO), which allowed investigators to figure out how far away the plane was from the satellite at the time of each "handshake." The second, the Burst Frequency Offset (BFO), which helped investigators estimate the speed and direction of the aircraft, which led to the conclusion that MH370 flew into the southern Indian Ocean.

You've probably seen family members on the news, outraged at the Malaysian government, accusing officials of not being transparent during the investigation. How are relatives reacting to the release of this data?

"It is very technical and we are not experts, so we may ask some other people who can help us," said Steven Wang on CNN Tuesday. His mother was a passenger.

Sarah Bajc, partner of American passenger Philip Wood, told CNN's "New Day" that she believes Malaysian authorities have more information they're not releasing. She suggested that the Malaysian government received the data from Inmarsat and manipulated it before releasing it to the public.

"They're clearly covering something up," she said. "Now, whether they're covering up their own incompetence or they're covering up wrongdoing or they're covering up on behalf of somebody else, for instance another more powerful government, it could be any of those scenarios."

She said that the families have reached out to their own hired experts who are analyzing the data, but that it is too soon to tell if they can draw any conclusions.

@highlight

47-page document released with data about missing Malaysia Flight 370

@highlight

Document contains communication logs between company and plane

@highlight

The data is dense and complicated; experts say it will take weeks to analyze