Editor's note: Mark Sanford, a Republican, is governor of South Carolina.

Gov. Mark Sanford says opposition to the stimulus bill doesn't mean doing nothing to fix the economy.

COLUMBIA, South Carolina (CNN) -- When a debate as important -- both in terms of policy and politics -- as the one currently rolling around our nation regarding the president's "stimulus" plan takes place, emotion often takes precedence over fact.

Words are ripped out of context, motives ascribed where none may exist, political strategies implemented with limited regard for actuality. This, then, is the playing field we step onto -- as it has long been.

But, as those in South Carolina have often heard me say, it is important to disagree without being disagreeable. So let's take a clear-eyed look at Paul Begala's recent defense of the president, which happened to refer to me by name -- because what I and others have suggested is far from "doing nothing."

First, dispense with the notion that there are simply two options here: Support the stimulus package or do nothing. The Washington Post debunked that idea quite convincingly earlier this week.

In truth, there are a variety of options outside a spending bill of unprecedented scope available in this time of considerable economic distress, including, but not limited to, cutting the payroll tax, opening foreign markets through an expansion of our trade agreements, and reducing our corporate tax, which is among the highest worldwide.

Second, we should all be skeptical of any argument centered on the idea of doing something for doing something's sake. We can't focus on the why and simply ignore the what. And what does this particular rendition of "doing something" actually do?

According to the Congressional Budget Office, the effects of the bill on job growth as early as 2011 would be miniscule. More distressingly, CBO's long-term projections estimate that due to "crowding out of private investment," the package will result in a reduction of our GDP as early as 2019.

As for the jobs created in the short-term, what's the cost? The Heritage Foundation crunched the president's own numbers and came up with this startling figure: for every single job the bill creates, American taxpayers will spend $223,000.

Examining the bill's contents makes clear just how foolhardy that is. What stimulant effect will we get from the $180 million of spending on "diplomatic and consular services?" Should taxpayers really be doling out $300 million for what one newspaper described as "streamlined golf carts?"

And, even though it didn't make it into the final version of the bill, why would anyone even consider letting the very investment bankers whose companies just pulled down a few hundred million dollars in TARP funds to be in line to receive a $15,000 government credit for buying a new Hamptons beach house?

Finally, history shows us quite clearly that a government cannot spend its way out of an economic downturn. It didn't work in Japan in the 1990s, when the 10 stimulus packages implemented over an eight year period failed to prevent the "lost decade." And the New Deal, which the president's supporters are so quick to point to?

Here are the thoughts of Henry Morgenthau, FDR's Treasury Secretary: "We have tried spending money. We are spending more than we have ever spent before and it does not work. ... I say after eight years of this administration we have just as much unemployment as when we started ... And an enormous debt to boot!"

The president's stimulus represents the largest and most invasive economic action in our government's history. For a relatively small number of short-term jobs, this administration and this Congress are poised to mortgage the economic future of my four boys and the millions of young Americans just like them. To me, that's simply not a morally acceptable outcome.

The opinions expressed in this commentary are solely those of Mark Sanford.

@highlight

Mark Sanford: Opposing the stimulus isn't an argument for doing nothing

@highlight

He says tax and trade policies could be used to bolster the economy

@highlight

Sanford says expanded spending will not get us out of the economic turndown

@highlight

He says he can't support burdening our kids with the debt from stimulus plan