Oslo, Norway (CNN) -- An empty chair stood in for imprisoned Chinese dissident Liu Xiaobo as he was awarded the Nobel Peace Prize in absentia on Friday amid protests and condemnation from China.

China has responded furiously since the Nobel committee announced on October 8 that Liu would be its peace prize winner. Officials have repeatedly called Liu a common criminal and declared the award a Western plot against China.

The rhetoric continued Friday with China calling the awarding of the prize to Liu a "political farce."

"The decision of the Norwegian Nobel Committee does not represent the wish of the majority of the people in the world, particularly that of the developing countries," said Jiang Yu, a Chinese Foreign Ministry official.

Liu, a professor of literature, is serving an 11-year sentence in a Chinese prison for what the government called "inciting subversion of state power." He was not allowed to travel to Norway to accept the prize, nor was his wife, Liu Xia.

Nobel committee chairman Thorbjorn Jagland, in awarding the prize Friday, likened Liu Xiaobo to Nelson Mandela, the former South African president who fought the apartheid regime.

After announcing the award, Jagland placed Liu's medal in the empty chair, the second time such a symbol has been used in the event.

Before the ceremony, some Twitter users who listed their location as Beijing had changed their profile pictures to an empty chair.

In his speech, Jagland commended China for lifting millions out of poverty, but said democracy and free speech must go hand in hand with its economic development.

"China, too, will grow stronger if its people are granted civil rights," Jagland said.

While Chinese officials have said the prize represents a Western perspective, human rights activists in China "represent the world's common values and standards," Jagland said.

He added that Liu has done nothing wrong and "must be released."

U.S. President Barack Obama also called for Liu's immediate release.

"Mr. Liu reminds us that human dignity also depends upon the advance of democracy, open society, and the rule of law," Obama said in a statement. "The values he espouses are universal, his struggle is peaceful, and he should be released as soon as possible."

As the awards ceremony was getting under way, a large number of officers stood guard outside the west central Beijing apartment complex where Liu's wife has been under house arrest since her husband's award was announced. Journalists were cordoned off in a small area next to the building.

The police presence outside the Norwegian Embassy in Beijing had also increased early Friday as groups of protesters gathered there and at the city's U.N. offices.

Jagland said Thursday that the award is not a protest.

"It is a signal to China that it would be very important for China's future to combine economic development with political reforms and it is support for those people in China who are struggling for basic human rights," Jagland told reporters.

Beijing also put pressure on its allies and other countries not to attend the peace prize ceremony, and it hastily announced its own honor -- the Confucius Peace Prize, which was awarded Thursday to former Taiwanese Vice President Lien Chan. That award was accepted by a 6-year-old girl on Lien's behalf. Lien did not know about the prize, his office said.

Amnesty International said it had received reports from "reliable sources" that Chinese diplomats in Norway have been pressuring Chinese residents into joining anti-Nobel demonstrations.

On Thursday, the U.N.'s human rights chief called for Liu's release from prison and criticized what she said were "recent restrictions placed on an ever-widening circle" of the dissident's associates.

"In recent weeks, my office has received reports of at least 20 activists being arrested or detained and more than 120 other cases of house arrest, travel restrictions, forced relocations and other acts of intimidation," U.N. High Commissioner for Human Rights Navi Pillay told reporters.

Jagland said the committee expected a "harsh reaction" from Beijing.

But "we are very glad to see that two-thirds of the nations that have embassies in Oslo will be attending the ceremony, and most of them are very big, very important countries," he added.

Among those attending was U.S. House Speaker Nancy Pelosi, who was part of the official delegation on behalf of Liu and his wife.

Of the 19 countries that declined to come to Friday's ceremony -- including China, Russia, Saudi Arabia, Pakistan, Iraq and Iran -- Jagland said Thursday that two had reconsidered: Ukraine and the Philippines.

But the state-run China Daily newspaper reported Friday that "most nations" had expressed their support for China's stance, citing a Chinese Foreign Ministry spokeswoman.

The spokeswoman, Jiang Yu, said the award would not change the fact that "Liu committed crimes."

Friday's ceremony included songs by a children's choir -- a special request made by Liu through his wife, according to Lundestad. And Norwegian actress Liv Ullmann was on hand to read one of Liu's "most interesting and beautiful texts," Jagland said.

Jagland predicted that keeping Liu, 54, in prison for the entirety of his 11-year sentence may prove impossible after the prize was awarded.

"The pressure from the outside world will be on China to release him. In today's world, it is totally impossible to close a country. We already know that a lot of Chinese know about the prize, and this is creating a huge pressure on China," Jagland said.

Several foreign news websites -- including CNN and BBC -- were blocked in mainland China Thursday and Friday.

Broadcasts of CNN International were blacked out intermittently, when news of the peace prize was reported. CNN reports about China's new Confucius Peace Prize were not blocked.

Internet companies in China are treating Chinese characters for "Liu Xiaobo," "Nobel," and peace prize as "sensitive words," said Jeremy Goldkorn, editor of Danwei.org -- a website about Chinese media and Internet. Acting on government instructions, the companies are deleting text containing those words, preventing such text from being uploaded, or returning no results on searches for the words, he said.

"I think the main aim is to reduce the chances of Chinese citizens seeing that the Liu Xiaobo Nobel Prize is big news internationally, and to make it more difficult for articles sympathetic to Liu Xiaobo and photos of him to be copied and circulated inside China," Goldkorn said.

The last time an empty chair was used to represent an absent winner was when German peace activist Carl von Ossietzky won the 1935 award, according to Geir Lundestad, director of the Nobel Institute. Ossietzky was under "protective custody" in Nazi Germany and could not come to accept the award in person, nor was he represented by anyone.

Three other Nobel peace laureates were also unable to attend their ceremonies for political reasons -- human rights activist Aung San Suu Kyi, Polish trade union leader Lech Walesa, and Russian Cold War dissident Andrei Sakharov -- but spouses or other relatives accepted the awards on their behalf.

CNN's Jaime FlorCruz, Jo Ling Kent, Stan Grant and Catherine E. Shoichet contributed to this report.

@highlight

NEW: Obama says Liu Xiaobo "should be released as soon as possible"

@highlight

Chinese state media says "most nations" support the country's stance

@highlight

Nobel chairman says human rights activists in China "represent the world's common values and standards"

@highlight

An empty chair represented Liu at the event