(Health.com) -- Ginny Bank was 14 when her mother sat her down and said they needed to see a gynecologist.

While pregnant with Ginny in the mid-1960s her mom had taken a synthetic estrogen known as diethylstilbestrol (DES), which at the time was prescribed to prevent miscarriages and complications. Later that decade, however, doctors connected the drug to a rare form of vaginal cancer that was turning up in young women exposed to DES in the womb.

Bank's first Pap test came back abnormal. Over the next several decades she endured countless abnormal results, biopsies, and preventive surgeries, but fortunately she never developed cancer.

But in her early 30s DES came up in a different context, when she consulted a fertility specialist after trying for several months to get pregnant. "I was filling out a questionnaire before my appointment, and there it was: 'Did your mother take DES?'" Bank recalls. "Before then, no one had ever told me I'd have a problem getting pregnant."

Health.com: A top doctor reveals 8 fertility misconceptions

Cancer, it turns out, is just one of the potential health problems faced by the millions of women like Bank who were exposed to DES in the womb. According to a new government study published this week in the New England Journal of Medicine, these so-called DES daughters are at higher-than-normal risk for an array of reproductive complications and other problems, including infertility.

Researchers at the National Cancer Institute analyzed data from three separate studies that have followed more than 4,000 DES-exposed women since the 1970s. Compared with a control group of unexposed women, DES daughters were found to have higher rates of infertility (33% versus 16%), miscarriage (50% versus 39%), preterm delivery (53% versus 18%), and ectopic pregnancy (15% versus 3%).

The DES-exposed women were also 82% more likely to develop breast cancer after age 40, and more than twice as likely to experience menopause before age 45. For most of the health conditions included in the study, the increase in risk was even greater for DES daughters who had been exposed to especially high doses of the drug.

Health.com: 25 breast cancer myths busted

"Investigators tend to just study disease rather than people. But this actually looks at...the risk for an individual woman who's been exposed and tells her what exactly it means to her," says Robert Hoover, M.D., the lead author of the study and the director of epidemiology and biostatistics at the NCI, in Bethesda, Maryland. "When you look at it that way, the numbers are somewhat staggering."

As many as 10 million people were exposed to DES in the womb between 1938, when the drug appeared on the market, and 1971, when the Food and Drug Administration urged doctors to stop prescribing it. (As if the health fallout weren't reason enough, researchers had also discovered that DES wasn't effective at preventing miscarriages.)

Many of the potential health complications identified in the new study have been raised in previous research, in some cases with conflicting results. A 2010 study of DES daughters conducted in the Netherlands, for instance, found no link between exposure and breast-cancer risk. (Fifty-three DES daughters who developed breast cancer have brought a lawsuit against several DES manufacturers; the lawsuit is currently under way in Boston.)

Health.com: 5 simple things that could cut your breast cancer risk

Researchers can't explain the apparent link between DES exposure and health problems, but lab experiments in animals have suggested that the drug may cause harmful cell changes or compromise immune function, the study notes.

Despite the long history of DES research, the "vast majority" of health professionals working today know very little about the drug, says Candy Tedeschi, a nurse practitioner in Great Neck, N.Y., who worked for 20 years in a state screening center for DES daughters operated by the Centers for Disease Control and Prevention.

"They either have never heard of it, or they think that it's long over with -- that the women affected are all dead," Tedeschi says. "Hopefully this [study] will have a bigger impact and get doctors looking at some of the risk factors for these women that they weren't already."

Hoover and his colleagues recommend that doctors and researchers continue to monitor women who were exposed to DES in the womb. Some researchers have also begun to look for abnormal health patterns in the daughters of DES daughters, a group known as the DES granddaughters.

Health.com: Can pregnancy predict your risk of breast cancer?

Bank, now 47, doesn't have to worry about passing any DES-related problems on to a daughter. Tests conducted in her early 30s showed that she had the hormone levels and reproductive system of a 45-year-old, as well as a very small uterus. (Like most DES-exposed women, Bank can't conclusively prove DES directly caused these abnormalities.)

After an unsuccessful round of in vitro fertilization, Bank sought solace in an online advocacy and support group, DES Action, and a year later adopted a baby boy.

Her experience has made her "very wary" of prescription drugs and dietary supplements that haven't been well-researched, even though she works as a consultant for the dietary-supplement industry in Boulder, Colorado. "I don't know what I'm going to do when I get to menopause and have hot flashes, because I certainly don't want to take hormones," she says.

Health.com: Can supplements ease menopause symptoms?

For his part, Hoover says the new study reiterates the importance of continuing to make clinical research safer and more thorough in the future.

"If it wasn't for this small group of women with this bizarre cancer back in the '60s, we wouldn't know anything about what turned out to be a major public-health disaster," he says. "It's a wake-up call for us to wonder how many other drugs might be out there that are also causing all sorts of adverse health effects."

Copyright Health Magazine 2011

@highlight

DES linked to vaginal cancer in young women exposed to drug in the womb

@highlight

DES daughters at higher risk for reproductive complications, study says

@highlight

DES-exposed women 82% more likely to develop breast cancer after 40