London (CNN)  -- The past week in London has been like living in a disaster movie. "Escape from Peckham" would have been an apt title on Monday as we broadcast live from the center of the riots, which saw gangs of several hundred young men and women looting shops, terrorizing by-standers and mugging news crews.

We arrived on Peckham High Street in the early evening to find a scene of anarchy. The police were outnumbered and only able to hold a small side road while the mob -- emboldened by the lack of arrests -- controlled the main highway.

Our crew was equipped for a war zone -- perhaps an overreaction in hindsight, but during those febrile hours, gunfire didn't seem impossible. Thugs in balaclavas patrolled the streets, menacing anyone that they saw as they helped themselves to televisions, alcohol and cash from local businesses. As we beamed the pictures around the world, we too were targeted -- bottles and bricks thrown at us in an attempt to drive us back.

One journalist approached, breathlessly warning us his video camera had just been snatched by a group of about 10 young men. We soon realized the presence of the police nearby wasn't enough to stop us being targeted. As we walked back from a supermarket that we'd filmed being looted and then "re-taken" by police dog handlers, we were accosted by more criminals. These men, women and children were high on the intoxicating sense of anarchy that had turned a once bustling shopping area into a no-go zone.

In a matter of hours they'd completely lost all fear of arrest -- it was clear to see that the looters now were in control and, for a few hours, could do anything they wanted. It sounds ridiculous, but I was as scared in Peckham as I've ever been in Afghanistan, Libya or the Ivory Coast.

The crowds were skittish and moved in packs. Every so often, without warning or apparent pretext, there would be a panicked stampede. Hooded kids would run down the road as if fleeing from other looters.

After several hours the police managed to re-establish order in Peckham, but by then the genie was out of the bottle. Copycat gangs were on the rampage elsewhere. We drove north into central London, seeing shops smashed on Tottenham Court Road, and then into Camden -- the bohemia of cool -- suddenly awash with gangs of masked teenagers without a policeman in sight.

Then reports came in of trouble in Ealing -- a leafy suburb to the west. As we drove the radio relayed eyewitness accounts of fires burning out of control across London and beyond. We arrived in Ealing to find a car abandoned in the street, its windshield smashed, as if it had been attacked while traveling along the road. I shuddered to think what happened to its occupants. It didn't take a great leap of imagination to empathize with terrified local residents; I used to live not far from here -- and have friends who still do.

Nearby, a parade of shops was smashed, bins set alight. Further on, we found burning cars, ominous sentinels marking the fault-line between "turf" held by the gangs and the relative sanctuary of streets controlled by the police. The fire brigade and police watched the vehicles burn, but made no attempt to extinguish them, apparently for fear of being attacked. I don't blame them -- the risk was very real.

Amid all this chaos though, there were signs of civility. I met a man, Luke Metcalfe, who'd rescued a bus driver from a gang of vandals. The bus remained abandoned in the street, windows smashed, interior charred, wipers -- bent 90 degrees -- still occasionally moving in unison. The driver, Andrew Boe, spoke of the horrifying moment he saw the gang was coming for him, his bus boxed in by traffic and unable to move. He was unhurt, but profoundly traumatized by what had happened, thankful of the kind actions of a stranger who helped him to the safety.

The feeling of depression and fear about what we'd seen was vivid. It felt like British society was collapsing. I wondered how on earth order would be restored and realized how fragile civilized law and order can be. In one night, it seemed we'd collectively lurched towards a precipice -- a small minority of idiots had hijacked the country.

By Tuesday in London it was clear that sheer numbers of police were needed. The officers faced down the gangs with "robust" action -- as the Prime Minister David Cameron had called for. We watched in Canning Town as youths, some mere children, were arrested for the slightest infraction. Anyone who looked suspicious was stopped, searched and detained if there was resistance or "back-chat."

And there was a new weapon against the mob -- the public. Fed-up with the spreading chaos, communities were taking on the role of the police, groups of men protecting businesses, mosques, temples and cafes in different parts of the city, applauding the police as they sped past to the latest flash-point.

Elsewhere in Britain, though, the mayhem was just starting -- the great industrial cities of the midlands and the north were now facing the same destruction and looting quashed in London.

We traveled to Birmingham, where three young British Pakistani men had been mowed down by a car and killed while trying to protect a local garage. Reports from Manchester, Nottingham and Liverpool re-enforced that this was now a nationwide phenomenon.

And then as suddenly as it started, it stopped.

The invisible momentum which had propelled the gangs evaporated. Perhaps idle parents suddenly took their offspring in hand, perhaps the "game" of destruction had become boring, perhaps the police were too visible and numerous, perhaps the community vigilantes too threatening.

The debate about why it happened is already in full swing -- all I know is that, like millions of other Britons, I am relieved that it appears to be over and hope we never stare into the abyss of anarchy again.

@highlight

For five nights, CNN and the world watched as riots spread across UK cities

@highlight

CNN's Dan Rivers and crew became targets of attackers as the violence spread

@highlight

Looters roamed the streets, emboldened by lack of arrests as hours wore on

@highlight

'I was as scared in Peckham as I've ever been in Afghanistan, Libya or the Ivory Coast'