(CNN)It's been more than six months since the United States first sent warplanes to conduct airstrikes against the militant group ISIS, and four months since the formation of an international coalition to help fight the terror group.

Since then, warplanes from Western and regional members of the coalition have flown hundreds of missions against ISIS targets in Iraq and Syria.

While the United States has contributed the bulk of the military might, some 60 nations in all have participated in some way, according to the U.S. State Department. On Monday, Egypt sent fighters to Libya to bomb ISIS positions after the execution of 20 Egyptian Christians.

"Everybody in this coalition contributes what they can, and we're grateful for all of that," Pentagon spokesman Rear Adm. John Kirby said in February.

Here's a look at the contributions of some of the nations involved in the coalition:

Australia: Australia has participated in airstrikes and humanitarian missions in Iraq, and has sent special forces and other troops to help train Iraqi security forces in first aid, explosive hazards, urban combat and working dog programs, according to the defense ministry. As of February 12, Australian aircraft had carried out about 13% of all coalition airstrikes, Vice Adm. David Johnston told reporters.

Bahrain: The oil-wealthy Gulf nation east of Saudi Arabia was part of the first handful of nations that participated in airstrikes against ISIS targets in Syria. Foreign Minister Khalid bin Ahmed al Khalifa, speaking on CNN in September, called ISIS a "deviated cult" that must be fought. On Sunday, Bahrain announced it was sending aircraft to Jordan to participate in anti-ISIS efforts. Bahrain has had close relations with the United States for years, and the U.S. Navy's Fifth Fleet is in based in Bahrain.

Belgium: The country has conducted airstrikes against ISIS targets, according to U.S. Central Command. In January, Belgian authorities broke up a plot by ISIS veterans to launch a terror attack in the country.

Canada: Its warplanes have flown 310 sorties against ISIS targets as of February 11, the Canadian armed forces reported. Canadian aircraft have also flown dozens of aerial refueling and reconnaissance missions in support of the anti-ISIS fight, and its cargo aircraft have been used to deliver military aid from Albania and the Czech Republic, the Canadian military said. The military has also sent a small detachment to help advise the Iraqi government and donated $5 million in humanitarian aid.

Denmark: It has conducted airstrikes against ISIS targets, according to U.S. Central Command.

Egypt: The country struck ISIS targets in Libya on Monday after the group reportedly executed 21 Egyptian Christians, and called on anti-ISIS coalition partners to do the same, saying the group poses a threat to international safety and security. Egypt had previously agreed to join the anti-ISIS coalition, but details about its role, if any, have been scarce. U.S. Secretary of State John Kerry has said Egypt has a critical role to play in countering ISIS ideology, and Egypt's grand mufti condemned the terror group, saying that its actions are not in line with Islam, Al-Arabiya reported.

France: French planes have taken part in airstrikes against ISIS in Iraq, and the nation has flown reconnaissance flights over Iraq, contributed ammunition and made humanitarian drops over the nation. France's air force was also part of an operation in the Iraqi town of Amerli, along with Australia and Great Britain, that pushed back ISIS fighters. ISIS has called for attacks against Western citizens, singling out "the spiteful and filthy French" for punishment. A video emerged of militants who have pledged allegiance to ISIS beheading Herve Gourdel, a French citizen who was kidnapped in Algeria.

Germany: Although it has declined to participate in airstrikes, Germany has provided Kurdish forces in Iraq with $87 million worth of weapons and other military equipment, along with a handful of troops to help with training, German broadcaster Deutsche Welle reported. Germany has also banned activities supporting ISIS,  including making it illegal to fly the trademark black flag of the Islamic State in Iraq and Syria.

Italy: It has sent weapons and ammunition valued at $2.5 million to Kurdish fighters in Iraq, along with 280 troops to help train them, according to Foreign Policy magazine.

Iraqi Kurdistan: The Kurdish fighting force, the Peshmerga, is battling ISIS on the ground.

Kurdish fighters helped expel ISIS forces from the Syrian city of Kobani in January, and are fighting ISIS forces near Mosul, Iraq, and Sinjar Mountain, the site of a dramatic siege this summer by militants of ethnic minority Yazidis.

Read more: CNN coverage of some of the bloodiest battles between the Kurds and ISIS

Jordan: The country initially joined in airstrikes against ISIS but suspended its participation when one of its aircraft went down in Syria, leading to the capture of pilot Lt. Moath al-Kasasbeh. The kingdom resumed its attacks in February after ISIS released a video depicting the pilot being burned to death in a cage.

"We are upping the ante. We're going after them wherever they are, with everything that we have. But it's not the beginning, and it's certainly not the end," Jordanian Foreign Minister Nasser Judeh told CNN. Jordanian officials have also said one of the country's key contributions would be intelligence information.

Netherlands: The Dutch government sent F-16 fighter jets to bomb ISIS targets and troops to help train Kurdish forces. As of early February, Dutch warplanes had conducted nearly 300 strikes on ISIS targets, the Defense Ministry said.

Recently, the Dutch military said two F-16s dropped bombs on armed ISIS vehicles in northern Iraq that were shooting at Kurdish fighters. The ISIS vehicles were destroyed, the military said, and ISIS fighters were "possibly killed."

Qatar: The small but rich Gulf nation that hosts one of the largest American bases in the Middle East has flown a number of humanitarian flights, State Department officials said. In late September, in his first interview as the Emir of Qatar, Sheikh Tamim bin Hamad Al-Thani vowed to support the coalition. Qatar has been accused of funding terrorism, which the Emir dismissed. "We don't fund extremists," he told CNN's Christiane Amanpour. "If you talk about certain movements, especially in Syria and Iraq, we all consider them terrorist movement." Of the coalition, he said, "We've been asked by our American friends if we can join, and we did."

Saudi Arabia: The kingdom has sent warplanes to strike ISIS targets in Syria and agreed to host efforts to train moderate Syrian rebels to fight ISIS. It also donated $500 million to U.N. humanitarian efforts in Iraq.

Turkey: Though the NATO member initially offered only tacit support for the coalition, Turkey's government in 2014 authorized the use of military force against terrorist organizations, including ISIS, as the militant group's fighters took towns just south of Turkey's border. Foreign troops have also been allowed to launch attacks against ISIS from Turkey.  U.S. officials said it had earlier taken steps to cut the flow of money to ISIS and denied entry to or deported several thousand foreign fighters heading to Syria to join the extremists.

United Arab Emirates: Like its ally Jordan, the UAE initially took part in anti-ISIS airstrikes -- the country's first female fighter pilot led one of the missions. But the government suspended its participation in December after the downing of a Jordanian fighter whose pilot was later killed. It resumed airstrikes in February, flying F-16s from Jordan against militant targets.

United Kingdom: The UK began airstrikes against ISIS in October, hitting targets four days after its Parliament approved its involvement. British planes helped Kurdish troops who were fighting ISIS in northwestern Iraq, dropping a bomb on an ISIS heavy weapon position and shooting a missile at an armed pickup, the UK's Defence Ministry said. Since then, warplanes have struck targets in Iraq dozens of times, and British planes had been involved in reconnaissance missions over that country. The British military is also helping train Kurdish Peshmerga and has sent advisers to help Iraqi commanders. Britain has also pledged more than $60 million in humanitarian aid.

Read more: Britain vows to 'confront' ISIS

Other nations: Also participating in one way or another are the Arab League and the European Union as well as the nations of Albania, Andorra, Austria, Bosnia and Herzegovina, Bulgaria, Croatia, Cyprus, the Czech Republic, Estonia, Finland, Georgia, Greece, Hungary, Iceland, Ireland, Japan, Kosovo, Kuwait, Latvia, Lebanon, Lithuania, Luxembourg, Macedonia, Malta, Moldova, Montenegro, Morocco, New Zealand, Norway, Oman, Panama, Poland, Portugal, South Korea, Romania, Serbia, Singapore, Slovakia, Slovenia, Somalia, Spain, Sweden, Taiwan and Ukraine.

Some countries -- such as Kuwait -- are providing bases. Some, like Albania, the Czech Republic and Hungary, have sent weapons and ammunition. Others are providing humanitarian support, taking legal steps to curb recruitment or providing other, unspecified aid.

Read more: How ISIS lures Westerners

CNN's Mick Krever, Jim Sciutto, Elise Labott and Khushbu Shah contributed to this report.

@highlight

Some 60 nations are involved in anti-ISIS coalition in some way, the United States says

@highlight

A dozen have participated in airstrikes against terror group