Washington (CNN) -- The Rev. Martin Luther King Jr. as Public Enemy No. 1? Well, 50 years ago, that was nearly true.

As the nation celebrates the 50th anniversary of the 1963 March on Washington and the anniversary of King's "I Have a Dream" speech -- arguably one of the most important speeches of the 20th century -- few are also remembering that the historic civil rights leader was once under heavy surveillance by J. Edgar Hoover's FBI.

Hoover's techniques were primitive but effective -- bugging hotel rooms, digging through trash cans for telltale receipts or paying close associates to reveal details.

Back then, tapping someone's phone without a warrant -- the 1960s version of high-tech electronic surveillance -- was seen as taboo, condemned today as one of the excesses of that era.

Those were the bad old days when law enforcement exercised too much power, and everyday citizens had fewer rights.

But now, after a series of revelations about the sweeping extent of the government's electronic snooping capabilities, it's a moment to ask whether government surveillance has somehow gone full circle.

Opinion: Did we really learn the lesson of the March on Washington?

The modern-day FBI

Last week I interviewed outgoing FBI Director Robert Mueller, who has the same job today that Hoover held with an iron fist in the 1960s. Muller said the nation's approach to surveillance has changed from in the days when the government spied upon King.

Today, said Mueller, things are different.

"I do think it's tremendously important as we develop the capability to gather intelligence that we focus on the goals of collecting that intelligence and assure that the objective is one that is agreed upon by Justice Department, the Congress, administration and the like," Mueller said. "You can get out of a lane so to speak on intelligence because there aren't many guides as you have in the criminal justice system."

Mueller added that during his time as head of the FBI, investigations involving civil rights received high priority. The FBI website devotes dozens of pages to civil rights violations, hate crimes, human trafficking and modern slavery.

They also investigate so-called color of law abuses -- acts carried out by government officials operating "within and beyond the limits of their lawful authority" -- excessive use of force, sexual abuse, false arrest and fabrication of evidence.

The bureau says 42% of its total civil rights caseload for 2012 involved these types of investigations.

Related: Our lessons with King

Muller said cases such as these are part of the FBI's "smaller victories" in recent years that also included extensive work in other areas, including public corruption, white-collar crime and mortgage fraud.

"At bottom, for us, it's the credibility of the institution and the focus on integrity that is at the heart of what we do. And to the extent that the American public believes that we are not political, that we are objective ... and treat everyone the same, it's tremendously important. It goes back to the integrity of the institution and its individuals."

Under surveillance

King had long been watched by law enforcement, including the FBI in the months and years before the speech. Surveillance of King in the 1960s was focused primarily on whether he and his movement were being infiltrated by communists, according to historians.

But after King left Washington in August 1963, the surveillance escalated as the bureau began to view him as the "most dangerous Negro in America."

The stepped-up surveillance was authorized by the brother of the president, none other than the attorney general of the United States, Robert F. Kennedy, on October 10, 1963. The younger Kennedy feared King had ties to top members of the American Communist Party. Ironically, five years later, in 1968, both King and Bobby Kennedy would be assassinated, just months apart.

Humility and scandal

The surveillance focused on King's private life -- both the good and the bad. Pulitzer Prize-winning biographer David Garrow's meticulous accounts of the day-to-day -- and sometimes minute-to-minute -- details of King's life show him as being intensely self-critical.

Related: Moving out of the dreamer's shadow

Garrow told CNN in 2008 that the secret tapes compiled by the FBI showed that King truly believed he was alive to be of service to others and "not a man with any egomaniacal joy of being a famous person."

But the tapes also reveal another side of King.

Private behavior that would surely attract tabloid headlines today -- including a secret meeting with a woman in Washington's Willard Hotel after a party -- was highlighted in the recordings. King was married and had four children.

Today, the rules -- and the standards -- have changed.

Electronic snooping by the government has higher standards, more controls and a completely different justification than in the days of King.

Where the enemy was once communism, it is now terrorism. Investigators focus less on the private lives of highly public individuals such as King, and more on the thousands of people whose private communications and activities could come under the watchful eyes of government interceptors.

Related: Everyday racism: How bias still sneaks in

Government officials say the modern surveillance programs involving telephone calls and Internet activity are carefully controlled by the courts, Congress and the White House.

But we don't know everything about these programs because they are by their very nature, secret.

The power of today's NSA

Still, old habits die hard. The most recent revelations involving the National Security Agency show that the government can peer into intimate moments in the lives of everyday Americans.

And it has happened before.

In his 2008 book about the NSA, "The Shadow Factory," author James Bamford wrote about an NSA employee named Adrienne Kinne, who was quoted saying she made a personal decision to erase intimate communications that had been intercepted between Americans living abroad and in the United States.

"A lot of times I would just delete them. ... I would just do that because I didn't feel comfortable leaving it in the system and I didn't. ... A lot of times you could tell they were calling their families, waking them up in the middle of the night because of the time difference. And so they would be talking all quiet and soft, and their family member is like half asleep -- incredibly intimate, personal conversations -- and I just can't believe they were frigging recording them, and I don't know why they would ever have to to begin with."

Fast-forward to this week.

A story first reported by The Wall Street Journal asserted that NSA officers have on several occasions "channeled their agency's enormous eavesdropping power to spy on love interests."

So perhaps, if a guy like J. Edgar Hoover had access to a tool such as the NSA, it might have been hard for him to resist using it any way he saw proper.

Even on a civil rights hero.

@highlight

The Rev. Martin Luther King Jr. was the subject of FBI surveillance in the 1960s

@highlight

J. Edgar Hoover spearheaded investigation, with approval from Robert Kennedy

@highlight

Today's FBI, said its director, operates under different rules and policies