(CNN) -- If it seems to you that there's a food safety crisis every other week, you're actually not paying close enough attention. Since the start of summer 2014 alone, the Food and Drug Administration has announced 37 different recalls, market alerts and safety withdrawals related to food, and the Food Safety and Inspection Service has issued 14.

Some recalls result from mislabeling (such as undeclared ingredients like shellfish, milk, nuts, eggs or wheat gluten) or improper processing, while other recalled foods were contaminated with listeria, E. coli, salmonella or botulism.

About 48 million people -- 1 in 6 Americans -- contract some form of food poisoning each year, according to the Centers for Disease Control and Prevention. That's 128,000 hospitalizations and 3,000 deaths that are, by the federal government's estimations, "largely preventable."

At any given time the FDA is responsible for watching over some 167,000 domestic food facilities or farms and another 421,000 facilities or farms outside the United States, according to FDA officials. But there are only about 1,100 inspectors to oversee these facilities, officials told CNN in 2012.

Tainted food and mislabeled food slip through the cracks all the time, and unwitting consumption can result in conditions ranging from stomach discomfort and fever to death from infection and allergic reactions. It's in a food producer's best interest to get a bad product off store shelves and alert consumers as swiftly as possible -- and it's the duty of the federal government to help minimize the risk to public safety.

Often, their best course of collective action is a recall, but what does that actually mean?

Who is looking out for your food safety?

Prior to the passage of the Food Safety Modernization Act, the FDA could strongly suggest action, but had no authority to issue a mandatory recall of potentially harmful food. (For example, in the summer of 2010, consumers had to rely on suppliers' voluntary removal of nearly 500 million eggs from the marketplace in order to make sure that store supplies were free of salmonella. Still, an estimated 1,600 people nationwide were sickened by the eggs.)

Since President Obama signed the law into effect in January 2011, there has only been one attempt by the FDA to enforce the mandatory recall of a food item: pet treats that were found to have been tainted with salmonella and allegedly caused several dogs to become ill. (In the end, the company was given a two-day notice to take corrective action -- which it did -- and enforcement wasn't needed.)

But in the interim, hundreds of food items -- including 9 million pounds of adulterated meat, massive quantities of stone fruit and several dozen varieties of peanut butter -- have been voluntarily recalled by their producers.

There are a few ways that can be set in motion. A producer may, through its own internal product testing or customer reports, find that there is an issue with its food and alert the FDA or FSIS. In other cases, testing by these agencies' inspectors may reveal an issue, which is communicated to the company. And in others, local and state health services will contact the CDC, which can identify patterns of foodborne illness using the FoodCORE system and in turn alert the FDA and FSIS.

Foodborne Illness 101

If the product is meat, poultry or egg-based, FSIS can form a committee to determine if a recall is needed. If so, agents collaborate with producers to make sure that the product is no longer available to the public, and that consumers have received adequate warning via the media and the FSIS website about what products are affected and what course of action to take. If a risk is posed, but a recall is not needed, FSIS will issue a public health alert.

The FDA oversees all food that's not under FSIS jurisdiction and will evaluate each case to determine the threat it poses to public safety. In most cases, the agency will work with the producer to take corrective action at the facility level (cleaning machines and workrooms, safely removing contaminated ingredients and the like) and alert the public if needed. All cases are listed on the FDA website, but more severe ones will be communicated to the media via press release.

But if the risk to public safety is found to be particularly high, the Food Safety Modernization Act allows the agency to shut down manufacturing until the threat has been contained. This power was enacted for the first time in November 2012, when a multistate outbreak of Salmonella Bredeney was linked to peanut butter produced by Sunland Inc. The FDA suspended the company's food facility registration, effectively prohibiting it from distributing food. Sunland subsequently declared bankruptcy and shut down production for good.

Both FDA and FSIS use a three-tier classification for the threat posed by the food:

"Class I recall: a situation in which there is a reasonable probability that the use of or exposure to a violative product will cause serious adverse health consequences or death.

"Class II recall: a situation in which use of or exposure to a violative product may cause temporary or medically reversible adverse health consequences or where the probability of serious adverse health consequences is remote.

"Class III recall: a situation in which use of or exposure to a violative product is not likely to cause adverse health consequences."

So how does a reasonable consumer stay apprised of all these goings-on and avoid spending precious time making the rounds of governmental websites on a daily basis?

Follow @FDArecalls on Twitter. The account posts the most recent additions to the recall list, and its sister account, @USDAFoodSafety shares a mix of FSIS recall news and food safety tips.

If RSS is more your speed, the FDA and FSIS both offer newsfeeds, as well as e-mail blasts to keep you on top of your food safety game.

@highlight

1 in 6 Americans will get food poisoning this year

@highlight

According to the federal government, these illnesses are largely preventable

@highlight

Recalls by federal agencies can help keep the public safe

@highlight

Social media and newsfeeds can help you stay on top of food safety news