(CNN) -- President Barack Obama promised accountability, but he made clear Wednesday he won't fire Veterans Affairs Secretary Eric Shinseki -- yet -- over excessive and sometimes deadly waiting times faced by veterans seeking government health care.

The controversy has mushroomed since CNN first reported the problem last November in a detailed investigation examining several VA hospitals.

Hospital delays are killing war veterans

After meeting with Shinseki at the White House, Obama held a hastily arranged news conference in which he said he needed more time to review what was going on.

"If these allegations prove to be true, it is dishonorable, it is disgraceful, and I will not tolerate it, period," the President said in his first public comments in weeks on the issue.

However, he made clear his main target for now was anyone who actually carried out improper practices at VA, rather than the retired Army general at the top.

"Anybody found to have manipulated or falsified records at VA facilities has to be held accountable," Obama said.

Emotional issue

The VA problems touch on an emotional topic -- caring for America's military veterans, many of whom served in war -- and the revelations of scheduling tricks and secret lists to hide months-long waits for care prompted criticism of Shinseki and the VA on both sides of the aisle.

"My attitude is, for folks who have been fighting on the battlefield, they should not have to fight a bureaucracy at home to get the care that they've earned," Obama said.

Asked if Shinseki offered to resign, he said the retired Army general "cares deeply about veterans and he cares deeply about the mission, and I know that Rick's attitude is if he doesn't think he can do a good job on this and if he thinks he's let our veterans down, then I'm sure that he is not going to be interested in continuing to serve."

His remarks did little to soothe critics, with House Republican leader Eric Cantor of Virginia quickly asserting that the President "is known for talking about accountability without ever holding anyone accountable."

Rep. John Barrow of Georgia became the first congressional Democrat to publicly call for Shinseki's dismissal since the controversy erupted after CNN's initial reporting.

Barrow released a statement after Obama's remarks that said: "While I don't think a change in leadership will immediately solve the serious problems that plague the VA, I do think it's time to give someone else an opportunity to lead the agency and begin the rebuilding process to ensure these issues never happen again."

Calls for Shinseki's dismissal

The American Legion, a major veterans' group that has called for Shinseki's ouster, labeled Obama's decision to keep him in office "unfortunate."

"Words are nice, and even somewhat comforting, but when will the VA's house be cleansed of those who are soiling it and dishonoring the system?" said Daniel Dellinger, the legion's national commander.

Obama noted that the public wants a "swift reckoning" on the VA issue, but he defended the record of his administration and Shinseki -- who has been the only Veteran Affairs secretary of his presidency. In particular, the President cited increased spending for VA, expanded services, efforts to help veterans go to college and get jobs, and reducing a backlog of benefits claims.

CNN reported last month that in Phoenix, the department used fraudulent record-keeping -- including secret lists -- that covered up excessive waiting periods for veterans, some of whom died in the process.

Bonuses paid

In a new development, Shinseki has rescinded an $8,495 bonus awarded to Phoenix VA Director Sharon Helman last month. Helman is on administrative leave in response to the allegations of misconduct under her watch.

"Secretary Shinseki today exercised his authority to rescind Sharon Helman's fiscal year 2013 performance award immediately," a VA statement said on Wednesday. "Previously, Ms. Helman received the performance award due to an administrative error."

Meanwhile, the number of VA facilities under investigation has expanded to 26, the agency's Office of Inspector General said Tuesday. Last week, the inspector general told a Senate committee that 10 facilities were being investigated.

Obama's deputy chief of staff, Rob Nabors, will head to Phoenix on Wednesday night to interview the VA office's interim director and visit the facility. Nabors is aiding Shinseki with a review of the allegations, and Obama said he expects a preliminary report from them next week.

In addition, Nabors is conducting a broader review of overall VA health care administration, with a deadline to report back to Obama in a month, the President said.

For six months, CNN has been reporting on delays in medical appointments for veterans across the country, with some dying or suffering harm while waiting for appointments and care.

The most disturbing and striking problems emerged in Arizona last month, with sources revealing to CNN details of a secret waiting list. According to the sources, at least 40 American veterans died in Phoenix while waiting for care at the VA there.

An internal VA memo from 2010, first disclosed at a congressional hearing last week, showed officials warned of "inappropriate scheduling practices" to cover up excessive waits for veterans four years ago.

Problem cited in 2010

The memo by William Schoenhard, who was a VA deputy undersecretary, referred to a growing practice of "gaming strategies" that he said would not be tolerated. However, the CNN investigation shows such practices have continued.

One of CNN's sources, Dr. Samuel Foote, a retired VA hospital physician, said Wednesday that VA managers worried about being able to report they were meeting deadlines for providing care to veterans, rather than getting accurate information on what was happening.

If the numbers provided to superiors looked good, then the VA looked good, Foote explained, adding, "There's really no incentive for the upper management to get accurate numbers."

He said, "I think the VA needs to get out of its delay and deny mode and start admitting that there really is a problem, and that's generally the first step in solving a problem is admitting you have one."

The VA has acknowledged 23 deaths nationwide due to excessive waits by veterans for care, and the VA inspector general launched an independent investigation of the Phoenix allegations and other VA problems in addition to the internal review by Shinseki and Nabors.

At a Senate hearing last week, the inspector general said his investigation so far found a possible 17 deaths of veterans waiting for care in Phoenix but added there was no evidence that the excessive waiting caused those deaths.

More details

Obama sought to provide a more detailed description of the allegations on Wednesday, saying the cooked books and excessive waits applied more to veterans with chronic conditions who are among the 85 million VA appointments each year instead of those needing emergency care.

At the same time, he wondered if a 14-day deadline for the VA to provide service to newly registered veterans -- a policy implemented under Shinseki -- was realistic.

"What is not yet clear to me is whether enough tools were given to make sure those goals were actually met," Obama said. "I won't know until the full report is put forward as to whether there was enough management follow up."

On Monday, White House spokesman Jay Carney acknowledged the White House learned of the situation at the Phoenix VA from CNN reports in April.

Asked Tuesday about the 2010 memo by Schoenhard, Carney refused to answer and instead referred reporters to the VA because it was an internal agency document.

The administration's response so far has included putting three Phoenix VA officials on administrative leave; recently accepting the resignation of VA Undersecretary for Health Robert Petzel shortly before he planned to retire this year; appointing Nabors to review VA operations, and the inspector general's independent investigation.

Since the initial CNN report, whistleblowers from other VA hospitals have stepped forward to describe similar schemes by officials to hide the extended waits.

The chairman of the House Veterans' Affairs Committee, GOP Rep. Jeff Miller of Florida, called Wednesday for Obama to take executive action to get waiting veterans the help they need.

Miller also has threatened to propose a contempt motion against the VA for what he calls its failure to adequately respond to his panel's May 8 subpoena, which included a request for information about the alleged destruction of the secret wait list in Phoenix. Officials have denied any knowledge of it.

He called three senior VA officials to a committee business meeting on Thursday to discuss the matter. The VA said earlier this week that it was complying with the request for information.

Obama said at his news conference that he wanted Shinseki and the VA to act now to provide care for veterans who have been waiting.

Separately, the House overwhelmingly approved legislation proposed by Miller on Wednesday that would make it easier to fire or demote senior executives at Veterans Affairs.

The bill would give the VA secretary the authority to remove at any time any of the agency's senior executives based on performance. Currently, executives get at least 30 days' notice of a potential firing and the option of an appeal.

Companion legislation has been introduced in the Senate, but its prospects are not clear.

Florida problems

Meanwhile, an audit team sent to the Malcom Randall VA Medical Center in Gainesville, Florida, discovered a list of patients needing follow-up appointments that was kept on paper instead of in the VA's electronic computer system.

As a result, three members of the Gainesville VA's supervisory staff have been placed on paid leave, pending the outcome of the inspector general's investigation, VA Sunshine Healthcare Network spokeswoman Mary Kay Hollingsworth said this week.

The secret waiting list in Phoenix was part of an elaborate scheme designed by VA managers there who were trying to hide that 1,400 to 1,600 sick veterans were forced to wait months to see a doctor, according to a recently retired top VA doctor and several high-level sources.

Phoenix VA officials denied any knowledge of a secret list, and said they never ordered any staff to hide waiting times.

They acknowledged some veterans may have died waiting for care there, but they said they did not have knowledge about why those veterans might have died.

CNN has tried repeatedly to interview Shinseki, but the requests have been denied.

Rights group calls VA 'scapegoat' in scandal over wait times, care

CNN's Nelli Black, Paul Courson, Scott Bronstein, Deirdre Walsh, Jim Acosta, Virginia Nicolaidis and Becky Brittain contributed to this report, which was written by Tom Cohen in Washington.

@highlight

Shinseki rescinds 2013 bonus for Phoenix VA director

@highlight

President Obama defends VA Secretary Shinseki, promises accountability

@highlight

The number of VA facilities under investigation has expanded to 26

@highlight

NEW: House panel wants three VA officials to appear at a meeting on Thursday