(CNN) -- Health officials announced Friday a campaign to vaccinate more than 20 million children against polio and other diseases across much of the Middle East.

"The headline is the Middle East is reinfected," said Dr. Bruce Aylward, the World Health Organization's assistant director-general for polio, emergencies and country collaboration.

The announcement, by WHO and UNICEF, comes a week after an outbreak of polio was confirmed in Syria for the first time since 1999. Ten children have been left paralyzed, and hundreds of thousands are at risk.

Given that the virus paralyzes anywhere from 1 in 200 to 1 in 1,000 of the people it infects, "that means you've got probably thousands infected," Aylward told CNN in a telephone interview.

"So, if you do a campaign to respond, it would have to cover basically all of Syria."

Most of the victims are younger than 2 years of age, born since violence erupted in March 2011, wracking the country and shredding its once-robust public health infrastructure.

"We will expect to see more cases, certainly in Syria if not in surrounding countries," Sonia Bari, a spokeswoman for polio eradication for WHO, said in a telephone interview.

Syria's immunization rates have dropped from more than 90% before the conflict began in March 2011 to 68% now, the United Nations Office for the Coordination of Humanitarian Affairs, or OCHA, said Friday in a prepared statement.

Already, more than 650,000 children in Syria have been vaccinated, including 116,000 in the northeast province of Deir Ezzor, where the outbreak was confirmed, the OCHA statement said.

The campaign also will target Egypt, Iraq, Jordan, Lebanon, Turkey, and the West Bank and Gaza.

Over the past year, the virus has been discovered in sewage samples from Egypt, Israel, the West Bank and Gaza, a region that has not seen polio cases for nearly a decade, it said. Transmission of the virus occurs through close person-to-person contact and consumption of food or drink contaminated with feces.

"Preliminary evidence indicates that the poliovirus is of Pakistani origin and is similar to the strain detected in Egypt, Israel, the West Bank and Gaza Strip," the OCHA statement said.

Pakistan is one of three countries -- the others are Nigeria and Afghanistan -- where polio remains endemic.

But Aylward said health officials have a good chance of halting its spread in Syria, where 1.6 million children are to be vaccinated against not only polio, but against measles, mumps and rubella.

"They have a great history of vaccination in Syria; the immunity gap is in a relatively small part of the population," he said.

In addition, the region is entering its cool season, when transmission would typically slow, he said.

Aylward said he met last week with Syria's minister of health and was impressed by the response. "Everybody's playing ball," he said.

But it's a dangerous game. "The virus is unforgiving -- both what it does to kids and what it does to epidemiologists trying to stop it," he said.

Over the past few days, more than 18,000 children at Zaatari refugee camp in Jordan have been vaccinated, with a national goal of reaching 3.5 million people.

Vaccinations have also begun in western Iraq, with more planned for the Kurdistan Region in the north in coming days.

And the campaign is slated to begin this week across Lebanon, and in Turkey and Egypt by the middle of this month.

Though there is no cure for polio, it can be prevented through vaccination, which is credited with slashing cases around the world by more than 99% since 1988.

@highlight

NEW: "The Middle East is reinfected," says WHO polio expert

@highlight

Ten children have been paralyzed, and hundreds of thousands are deemed at risk

@highlight

"We will expect to see more cases," says a WHO spokeswoman

@highlight

Vaccination rates in Syria have plummeted after the start of the civil war