(CNN)From the moment we are born, the first question our parents are asked is, "Is it a boy or a girl?"

The answer to that seemingly simple question quickly establishes the child's path and trajectory for years to come; however, the question is not simple. The question is tragically flawed and here's a newsflash for everyone who has ever asked new parents that question: You're asking the wrong people.

I realize that parents are simply sharing a bit of biological information based on their baby's physical "parts," but only that beautiful baby can accurately and authentically tell you what gender he or she is. You may want to give it a little time before you paint that nursery bright pink or pick out junior's first baseball glove -- it's just not that simple.

I may only be 15 years old and will be the first to admit that I know very little about this great big world, but I know way too much about gender and being mislabeled.

Why transgender teen Jazz Jennings is everywhere

You see, the doctor told my parents, "It's a girl," but he couldn't have been more wrong. Aside from my biology, I knew I was a boy from the age of 2. I was 100% sure of who I was and biology was an insignificant part of the conversation.

Keep in mind that this was a time before I had even realized that being a boy trapped in a girl's body was anything beyond normal, and this was long before I could possibly articulate what was happening.

However, there was no need to articulate anything. I was a little boy expressing myself based on what was in my heart and mind -- not yet distorted by biology, other people's confusion, or fear.

It was when I was older that other people let me know something was "off." No matter how many times I was told differently, I was a boy and the people that mattered knew it too, for the most part.

I want to address the moment where people, gender, and respectful communication part ways. That is the moment when the word "sexuality" creeps into the conversation. That is when people get scared, cite religion, start whispering, and disconnect.

It's a sad moment, but I get it.

People have always mocked what they don't understand, and this is a tough one for most to grasp. That said, it has to change and I believe it is changing.

The transgender life: What to know, say and understand

I cannot stress to the world enough, gender and sexuality are two completely different things, and the moment people incorrectly connect them is the moment when most people start looking for an exit or a fight.

Save your fear people. This is not something to be afraid of; it's an opportunity for us to evolve.

Nothing is completely black or white, hot or cold, here or there, or male and female; there are varying degrees of everything and the quicker we respect that, the faster we all grow and allow people to be who they are. It all starts by taking sexuality out of the initial conversation.

I first heard the term "gay" in the second grade, long after I had my first "girlfriend" and had proudly written "a penis" at the top of my Christmas list.

Not until after I learned that there was such a thing as sexuality and homosexuality did I become afraid of who I was.

It wasn't until I learned that there were people out there that considered homosexuality "abnormal" or that people needed to put labels on our feelings toward others that I became terrified that I was "different."

I knew I liked girls and I was technically a girl, biologically, but I was a boy and my feelings about girls were normal boy feelings. I was not gay -- but try to explain that to someone without his or her eyes glazing over.

Thankfully, I grew up in a household that taught me that I could love anybody I wanted to and it was fine because it is fine. Anyone can love anyone and there is nothing wrong with that.

Fortunately, people have developed more of an understanding of that over time, but there are always going to be people that think differently and we all have to accept that. Do they matter? Of course they do because we all matter, equally; however, ignorant people are here to help us learn how to better communicate; everyone is reachable with the right circumstances and I look forward to the battles as much as the victories.

As long as you're happy, you're indestructible. That said, I knew being gay wasn't a bad thing, but I also knew it didn't describe me. I was a straight boy who liked girls and there is nothing wrong with that, either.

I was afraid of being thought of differently. The most crippling fear came from people not understanding that I was a boy trapped in a girl's body and simply labeling me something I'm not. That's what I was truly afraid of.

Experience how one family reacted when their daughter said she's a boy. CNN Films presents "Raising Ryland," a short film available exclusively on CNN Digital on Wednesday, March 18.

Discovering that I was transgender was a miraculous moment. I finally found the key that unlocked the cage I'd been trapped in for 14 years and that's why I call this journey, "My Transcension." With the support of my parents, I am sharing my story.

Breaking free and owning your sexuality is something you find within yourself and is spectacular, but it is just the tiniest part of the greater transgender conversation. I am going beyond that and my journey is one that is constantly moving forward and upward.

I'm taking the body I was born into and transforming it into the body I know I'm supposed to be in -- thanks to my family, friends, Dr. Jo Olson, the support groups, the science, and lastly, myself.

See, that's the irony, I was the first person and truly the only person capable of answering the "is it a boy or girl" question -- not the doctor, my parents, or anyone who thinks they know better.

That is the lesson, let each of us dictate our own path and respect everyone's choice. I realize that it's easier said than done but if you read this and find yourself open to a new conversation about gender, I consider that a win for us all.

Truthfully, I'm most proud of myself for having the courage to find my own way and owning it, to proudly begin my transcencion from someone I wasn't -- into the man I always knew I'd become.

Whether I'm a boy or a girl, white or black, rich or poor, gay or straight, it's completely irrelevant. What truly matters is the fact that I'm Avery Wallace and I've always known exactly who I was.

I'm here to share my journey and hopefully, help someone else recognize theirs.

@highlight

Avery Wallace says he knew he was a boy from age 2

@highlight

"I knew being gay wasn't a bad thing, but I also knew it didn't describe me," Avery says

@highlight

People mock what they don't understand, he says