Bangkok, Thailand (CNN) -- Severe flooding in Thailand on Saturday threatened central areas of Bangkok, a bustling capital barely above sea level and facing inundation at the next high tide predicted at 13 feet.

Residents who decided to stay in their homes despite government pleas to get out waited anxiously to see whether high tide, forecast for Saturday afternoon, would overwhelm defenses along the Chao Phraya River and its many canals.

Bangkok's outer suburbs were already submerged, but the central city had been largely spared the misery Thailand has been suffering for months in the nation's worst flooding since 1942. In the east and the north of the city, water was at waist-level in some neighborhoods, but in central Bangkok, it had been mostly dry.

The city was facing two converging threats, however.

Runoff the equivalent of 480,000 Olympic-size pools was flowing south to the sea through Bangkok, as high tide pushed the water in the opposite direction.

"The challenge is to manage the huge runoff from the north passing via the city on its way to the Gulf of Thailand," a Red Cross bulletin said.

Saturday's high tide, the Red Cross said, was expected to put "extreme pressure" on Bangkok's elaborate system of dikes and other flood defenses.

Prime Minister Yingluck Shinawatra ordered work crews Friday to cut channels in roadways to allow faster drainage, according to the state-run MCOT news agency. But the plan was rejected late in the day in favor of dredging canals and using pumps, the Bangkok Post reported.

Health concerns were rising with the water.

Bangkok residents waded through murky waters without knowing what lurked within, the risk of infection and communicable disease worrying health officials. The government sent out crocodile hunters after reports of crocodiles and snakes in the filthy floodwater.

"We were hearing disturbing reports of dangerous animals such as snakes and crocodiles appearing in the floodwaters and every day we see children playing in the water, bathing or wading through it trying to make their way to dry ground," said Annie Bodmer-Roy, spokeswoman for the humanitarian agency Save the Children.

As floodwater entered homes, some Bangkok residents still in the city made plans to leave.

Thanyarat Hemkittiwat said she was going to stay with relatives outside the city.

"Some families in southern Bangkok had their house flooded," said the 31-year-old worker at a furniture export company, which was shut after it also was flooded. "The water level is 2 meters (six feet) high and smells very bad," she said.

The military had set up a flood relief center, "but now even that has water coming in it," she said.

Asked what help the government had provided, she said, "We don't see that the government is doing anything much to help people, so better to help ourselves by getting out of Bangkok." But the Bangkok Post reported that government buses had evacuated a number of elderly residents from the northern and eastern suburbs, and would pick up residents of the capital on Saturday and take them out of Bangkok. As of Saturday, an estimated 1 million of the city's 12 million residents had left.

Another Bangkok resident said she was worried about abandoning her house, which has been flooded for five days, and would not leave. Still, so many people had left that the streets were relatively quiet.

Panic buying had led to a shortage of food and bottled water in the capital, residents said.

City officials bracing for more flooding have opened nine evacuation centers.

Officials urged tourists to steer clear of Bangkok, while noting that many of the other tourist spots, such as Phuket, remained dry and open for business.

Thailand's Ministry of Public Health had transferred 280 of the capital's 520 patients in severe condition to 22 hospitals upcountry, the MCOT news agency reported.

The remaining 240 patients will be taken to hospitals in other provinces by Sunday, it said, citing Permanent-Secretary for Health Paichit Varachit.

Health Minister Witthaya Buranasiri said that, after months of flooding, 107,101 Thais have been diagnosed with stress, 6,214 with depression and 878 at risk of suicide. In all, 1,356 people were under observation by health officials, the minister said, according to MCOT.

The U.S. State Department issued a travel alert on Thursday, recommending against all but essential travel to affected areas. It noted that most tourist destinations, such as Phuket and Chiang Mai, were unaffected.

U.S. Ambassador Kristie Kenny said the crisis was slow-moving and it was hard to know what would be hit next.

The United States has already provided civilian relief resources, including water pumps, water purifiers and life vests, she said, and two U.S. helicopters are helping the Thai military determine the extent of the flooding.

The floods, caused by monsoon rains that saturated rivers, have killed 373 people nationwide and affected more than 9.5 million people,

Are you there? Share photos, video but stay safe

The government has called the flooding the worst to afflict the nation in half a century and said it might take more than a month before the waters recede from some areas.

The government has set up more than 1,700 shelters nationwide, and more than 113,000 people have taken refuge in them.

Overall damage from the floods could exceed $6 billion, the Thai Finance Ministry said.

CNN's Sara Sidner and Kocha Olarn reported from Bangkok and Moni Basu reported from Atlanta. Aliza Kassim and Elizabeth Yuan contributed to this report.

@highlight

NEW: Tourists urged to steer clear of Bangkok

@highlight

Many other tourist spots, such as Phuket, remain dry and open for business

@highlight

The outer suburbs are already flooded, but the central city has largely been spared

@highlight

The Thai floods have killed 373 people and affected more than 9.5 million