(CNN) -- Following the preliminary hearing of a Georgia father accused of allowing his child to die in a hot car, most legal experts agree that the prosecution will likely upgrade the charges to malice murder after the case is presented to a grand jury.

For now, until those charges are upgraded, Justin Ross Harris is charged with felony murder, perhaps the most widely criticized legal construct in American jurisprudence. To many legal scholars, the felony murder rule is logically and morally indefensible. To many members of the law-and-order public, the ends of the felony murder rule justify the means. And in Georgia it is liberally employed. It offers an end run around the very difficult standard of proof to find a killing was intentional.

First, let's define murder. Most Americans have a working definition of murder, formed not only by what they've gleaned about the law, but also their personal morality. Murder is generally understood to be an intentional killing, without justification.

There are subcategories of intentional murder: For example, killing by poison, torture, or ambush are considered worse; these show intent and take a more prolonged period.

In addition to intentional killings, those resulting from incredibly reckless behavior qualify for murder, too. It makes sense: If someone shoots a gun into a crowd of people, someone is highly likely to die -- even though the defendant could truthfully say he didn't actually aim for the victim. It's important to remember that this kind of murder is not defined simply by the stupidity of the actions -- the defendant must have been aware of the risk, and have acted with a depraved indifference to human life.

These are two main kinds of murder. One is intentional, and the other involves behavior so indifferent to human life and so close to intentional that it might as well have been. Those definitions make sense.

But then there's felony murder.

Call it what you will, but the "felony murder rule" is murder in name only. In fact, it's a first-degree murder charge for an admittedly unintentional killing. More specifically, it's a killing that happens during the commission of an inherently dangerous felony.

With this definition, the policy behind the felony murder rule becomes immediately apparent: deterrence. The rule sends a powerful message to would-be felons: burglary, arson, rape, robbery, and kidnapping are so dangerous that a defendant should know that an innocent person is likely to die. If you intend to rob a bank, then you know a bank teller might die. Therefore, you, too, should be charged with murder, along with that robbery -- even if you were driving the getaway car and not the one who pulled the trigger.

To felony murder supporters, it doesn't matter that a defendant is charged with murder, even a defendant they know didn't actually kill anyone and who didn't want anyone to die. To them, the ends of the felony murder rule justify the means: If you don't want to catch a murder case, don't rob banks.

It's the cases like Justin Ross Harris that really test the morality of the rule, while exposing some logical problems with its application. Georgia has a very broad felony murder statute: The only limitation on the type of underlying felony for a felony murder conviction is that the crime must be "inherently dangerous to human life."

Also in Georgia, a conviction for felony murder may be predicated on second degree child cruelty, which qualifies as that "inherently dangerous felony." That's what has happened so far in this case. The prosecution has charged Harris with second degree child cruelty, and used that charge as the predicate felony for the murder charge. There's just one problem: The second degree cruelty charge is a negligence crime.

That means Harris is charged with murder using a felony charge that is an unintentional crime. In other words, Georgia reserves the charge of murder for the most intentional, depraved conduct, but if you do something unintentional but negligent, that can be a qualifying felony.

So, charging Harris with felony murder predicated on child neglect was a brilliant strategic move by the prosecutors. Proving a specific intent to kill in this case will be more difficult than proving mere carelessness in parenting. And if both are murder, then there's no reason to charge the more difficult crime to prove.

Key role of digital evidence

Of course, at the preliminary hearing, you'd never know that the charge was negligence, because we heard ample evidence of malicious intent. The defense attorney made a reasoned argument that the prosecution's state-of-mind evidence was thinly disguised, improper character evidence, but the judge sided with the prosecution and allowed this damning evidence in against Harris. The sexting, the life insurance policy, the Internet searches, had nothing to do with Harris' alleged negligence -- remember, right now, negligence is the only basis of the felony murder charge.

It's as if the prosecution put on a hearing for a specific intent crime, malice murder, that hasn't been charged yet. That's why the preliminary hearing was just a harbinger of things to come. Why put on evidence of so much malice if it wasn't really germane to a charge of neglect? Because we'll probably see upgraded charges in the near future, once this case goes to a grand jury.

It's very likely that the felony murder charges will only be a short chapter in the prosecution of Justin Ross Harris. However, they present an opportunity to open a debate traditionally reserved for legal scholars and philosophers: Is felony murder an unfair legal fiction that overly punishes people for unintentional killings? Or, is the overall message to would-be felons worth ignoring the logical inconsistencies of the felony murder rule? In law, as in many things, legal minds can differ on whether the ends justify the means.

@highlight

Danny Cevallos: Justin Ross Harris charged with felony murder, a controversial charge

@highlight

Usually murder is intentional or behavior so dangerous it might have been intended

@highlight

Cevallos: But felony murder is when someone is killed during a felony, which child abuse is

@highlight

Cevallos: Legal experts think the real charge will be malice murder, or murder with intent