(CNN) -- Thailand pulled back from the brink of chaos this week as anti-government protesters ended their occupation of Bangkok's two main airports after a court ousted Prime Minister Somchai Wongsawat.

Protesters say the current Thai government is a proxy for exiled former prime minister Thaksin Shinawatra.

But political reshuffling means that the current crisis, merely the latest episode in an ongoing political saga that has undermined the stability of the southeast Asian nation, is set to continue.

What's the background to Thailand's political crisis?

The latest unrest, which has seen anti-government protesters occupy Bangkok's international airport, dates back to the controversial premiership of Thaksin Shinawatra. A multibillionaire media tycoon, Thaksin was elected in 2001 on a populist platform that promised universal healthcare and cash handouts to poor villagers.

But Thaksin's government was soon mired in allegations of corruption and he prompted anger by selling control of his Shin Corp. media group to Singaporean investors. Throughout the summer of 2006 hundreds of thousands of protesters took to the street to demand Thaksin's resignation, prompting the army to oust him in a bloodless coup.

But subsequent governments have been seen as proxies for Thaksin. Somchai Wongsawat, who took charge in September, is his brother-in-law. Somchai's predecessor, Samak Sundaravej, who was forced to step down in August after Thailand's Supreme Court ruled he had violated the constitution by appearing on a TV cookery show, was also an avowed Thaksin ally.

"Basically since 2006 the protesters have been grappling with the problem that whoever the people elect is a supporter of Thaksin," said CNN's Bangkok Correspondent Dan Rivers. "They held an election and, having banned his old party, it re-emerged under a different name and won the election. The underlying issues are exactly the same."

Who are the protesters?

The anti-government People's Alliance for Democracy (PAD) was founded in 2005 by Sondhi Limthongkul; like Thaksin, Sondhi is a successful media mogul and a former supporter of the exiled former PM. The group claims to represent the traditional Bangkok ruling class and argues that lawmakers should be mostly appointed rather than elected.

During 2006's anti-Thaksin protests, PAD rallies attracted massive crowds but numbers have dwindled significantly, according to Rivers. Since August, PAD supporters have occupied Government House, the Thai prime minister's main offices, in what they have called their "final battle" against the government.  The Bangkok protests in pictures »

"As time goes on the PAD seems to be getting more and more desperate," said Rivers. "They have irritated people with months and months of standoffs. A lot of the media has turned against them. There are fewer and fewer people who support what they are doing because they see that they are ruining the fragile democracy that there was here."  Watch what's behind protesters' demands »

What role has Thaksin played in the crisis?

Thaksin is currently living in exile in Dubai, having been convicted in October by the Thai Supreme Court to two years in prison on a corruption charge. However he continued to wield power through Somchai and his political allies, Rivers said: "There is no doubt he is the puppetmaster behind this government. This is a battle between Thaksin and his opponents, as it has been all the way along. He came out this week and said he wants to come back and be prime minister one day which is a big thing for him because before he said he was through with politics."

So is it all over?

The protesters ended their siege early Wednesday after the Constitutional Court dissolved Somchai ruling party, effectively ousting his government from office. The court found the People Power Party committed electoral fraud, and it barred Somchai and other top party officials from from holding public office for five years.

Some flight have resumed after a week of disruption and stranded tourists were beginning to leave.

But within hours of the courty's ruling, PPP members unaffected by the ban regrouped under the banner of the Puea Thai party, a move that will allow them to maintain their grip on power and could potentially trigger new protests.

Rivers said the court's ruling was little more than a face-saving resolution for the airport protesters, who became increasingly desperate and isolated as Thais grew tired of the blockade. He said the move would change little.

"This is merely the interval between acts -- the PAD protest show and the Thaksin puppetry are about to start all over again," he said.

@highlight

Thailand's political crisis dates back to protests against Thaksin Shinawatra in 2006

@highlight

Thaksin was ousted by military coup but his allies remain in government

@highlight

Anti-government PAD wants lawmakers appointed rather than elected

@highlight

Universally revered monarchy could play key role in resolving crisis