(CNN) -- Seventy dollars.

Gary Bender had difficulty believing what was right before his eyes.

Bender, an accountant who lives in Irvine, California, was looking at a hospital bill he had found while going through the possessions of his late mother, Sylvia.

"I'm kind of the family historian," he told me. "I keep things."

What he was looking at was the bill for his own birth, in 1947.

The bill had been mailed to his parents after they, and he, had left Grant Hospital in Columbus, Ohio, in May of that year.

The grand total for his mother's six-day stay at Grant, for the use of the operating room, for his days in the nursery, for the various medicines and lab work -- for all aspects of his birth -- was $70.

"It made me think, 'How did we get from that, to where we are today?'" Bender said.

He was referring to the soaring costs of health care in the United States. For all the discussion of how out of hand the price of medical treatment has become, somehow that one old piece of paper put the subject in sharper focus for Bender than all the millions of words in news accounts analyzing the topic.

10 ways falling off the fiscal cliff could hurt your health

"It can't just be inflation, can it?" he asked.

No, it can't. According to the U.S. Bureau of Labor Statistics, $70 in 1947 would be equivalent to $726 in 2012 dollars.

Does it cost $726 for a hospital stay to deliver a baby these days?

Dream on.

According to a 2011 report from the American Congress of Obstetricians and Gynecologists (ACOG), the cost for a hospital stay, including physician fees, for a conventional birth with no complications was a little over $11,000 in 2008, the most recent year the report covered. For a birth involving a Caesarean section, the cost was around $19,000.

(While five- or six-day hospital stays were commonplace for mothers and newborns in the 1940s, today they routinely leave the hospital within 48 hours of childbirth -- so the higher costs are for shorter stays.)

At Grant Hospital in Columbus -- now called Grant Medical Center -- a spokeswoman told me that the average cost for having a baby is around $15,000.

So what exactly has happened, for costs to rise so astronomically?

A lot of things, said Dr. Gary Hankins of the University of Texas Medical Branch in Galveston, a former chair of ACOG's obstetric practice committee. The technology available to keep mothers and babies safe is light years removed from what was available in 1947, he said, and "regrettably, the technology is expensive."

He said that in almost every way, new mothers and their babies are better off now than they were 65 years ago. The antibiotics that have been developed to fight infections, the improved surgical procedures, the sophisticated anesthesia, the highly accurate electronic fetal monitors and other medical machinery -- all provide advantages for mother and child that did not exist in 1947.

Medical malpractice insurance premiums figure into the high cost of childbirth today, he said. And there are some physicians who question whether all procedures that are regularly performed, increasing costs, are routinely necessary. But for all the frustration that patients feel about the price of medical care, one fact is indisputable:

The rate of infant mortality, and the rate of mortality for new mothers, has plummeted, said Hankins. In 1950 nearly 30 infants out of 1,000 died at or soon after birth; in 2009, that number was 6.4 out of 1,000, according to the ACOG report. It may be more expensive to give birth to a child today, but both the mother and child, if there is trouble during delivery, have a much better chance of survival than they once did.

Opinion: Fairness needed for pregnant workers

At Grant, where Gary Bender was born, Dr. Michael Sprague, medical director of women's health, told me that "infection, blood clots, hemorrhage -- our ability to diagnose and treat all of these" is considerably better today. "You never know who that patient is going to be," Sprague said -- the mother or baby who suddenly requires all the resources a hospital maintains, at great expense, to save lives during delivery.

I sent copies of Gary Bender's childbirth bill to Hankins and Sprague. Both were amazed at the particulars:

The hospital room charge for Sylvia Bender was $7 per day, for six days. The cost for Gary to stay in the nursery was $2 per day. The flat rate for maternity service was $15.

Grant Hospital, by the way, was not an anomaly; a 1947 brochure from Santa Monica Hospital in California, to use one example, listed a similar price structure for having a baby: $17.50 for maternity service, $2 per day for the nursery, an extra $15 if the birth was by cesarean section.

And Gary Bender, who came into this world for $70?

He told me that last year, the cost of the health insurance he and his employer sign up for, covering him and his wife, was in excess of $18,000 -- and that was before a single visit to a physician, and before a single prescription was filled.

"It just astonishes me that in our lifetime, we have seen such extremes in medical costs," said Bender, who was one of more than 3.8 million American babies born in 1947.

And who -- with that old hospital bill still in hand -- lived to tell the tale.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene's friend found the hospital bill from his birth in 1947. It was $70, $726 in 2012 dollars

@highlight

He says the price of a hospital birth in 2008 was $11,000. Why is it so expensive now?

@highlight

He says huge pricetag is partly due to advanced technology that has greatly cut infant mortality

@highlight

Greene: Some say not all costly procedures necessary, but outcomes are better now