Almost two years ago, Philadelphia launched its Healthy Chinese Take-out Initiative with the goal of reducing sodium content by 10% to 15%.

The city's Public Health Department worked with 206 restaurants, first evaluating their menus for sodium content and then helping them choose ingredients and develop recipes with less sodium. One way found to reduce sodium was for restaurants to cut the use of commercially prepared sauces and instead make their own.

After nine months, the initiative analyzed two popular dishes from 20 participating restaurants to see what changed. The result? A 20% reduction in sodium, more than the project's goal.

It's one thing to choose how much salt to add to your food when you eat. It's another to live with decisions made by those who prepare your food before it makes it to the table.

It's not a question of just putting down the salt shaker.

The vast majority of sodium consumed in the United States comes from processed and restaurant foods.

Americans eat out, on average, almost five times a week, and restaurant foods make up a surprisingly high percentage of sodium in the American diet.

On average, food from fast-food restaurants contains about 1,850 milligrams of sodium per 1,000 calories and food from sit-down restaurants has nearly 2,100 milligrams per 1,000 calories. Many restaurant meals have twice that many calories or more.

Toddler meals swimming in salt

U.S. dietary guidelines recommend limiting sodium to less than 2,300 milligrams a day -- and about six in 10 adults should further limit sodium to 1,500 milligrams a day. Excess sodium can lead to high blood pressure, a major contributor to heart disease and stroke.

An article published Thursday by scientists at the Centers for Disease Control and Prevention, "From Menu to Mouth: Opportunities for Sodium Reduction in Restaurants," offers strategies that reduce sodium in restaurant food.

Restaurants can provide nutrition information at the point of purchase to give consumers the option to make healthier choices. They can also create group purchasing organizations to save on bulk purchases of lower-sodium ingredients.

Health departments can make dietitians available to assist restaurants with nutrition support.

It all boils down to: reduce, replace, reformulate. When restaurants rethink how they prepare food and the ingredients they use, the healthy choice becomes the easy one for the customer.

The story in Philadelphia shows it can be done.

The CDC collaborates with the food industry to reduce sodium in the food supply and provides technical assistance for this important work. We monitor programs to see what's working in sodium reduction as well as broader blood pressure control initiatives through Million Hearts, the national public-private effort to prevent 1 million heart attacks and strokes over the next five years. And we share that information through papers such as the one published Thursday.

Reducing sodium in restaurant and prepared foods isn't about reducing choice -- just the opposite. By reducing sodium in the foods you buy, companies put control into your hands. After all, it's easy to add salt if you want to, but not to take it out if it's there.

@highlight

Philadelphia's sodium-reducing initiative is a success story, CDC's Dr. Tom Frieden says

@highlight

Processed and restaurant foods make up majority of sodium consumed in U.S., he says

@highlight

CDC chief: Restaurants can rethink how they prepare food and ingredients used