(Parenting.com) -- When your toddler is hurt and screaming and emotions are bubbling over, it can be hard to tell if a situation is a true emergency, something that can be treated in your doctor's office or an issue you can handle at home.

"It's always better to call the pediatrician before going to the ER for anything but life-threatening emergencies," says Lara Zibners M.D., a pediatric ER doctor and author of "If Your Kid Eats This Book, Everything Will Still Be Okay."

We spoke to pediatric ER doctors about the most common accidents and whether your child's doctor will deal with the issue over the phone, have you come into the office or call the ER to alert them that your child is on the way.

What if your baby pulls up on the coffee table and then yanks a mug of hot tea on herself? Head to the ER if the burn covers a large part of her body; if it's on her face, hands, feet or genitals; or if it's a third-degree burn, which is pretty unlikely from a hot beverage. Otherwise, treat her at home and act fast. Since the first thing to do is get the hot liquid off the body, Dr. Zibners recommends removing the wet clothing and plunking her into a cool shower.

"If it's only a small part of the hand or arm that's been burned," she says, "running cool water over the limb in the sink for 10 to 15 minutes or until the pain subsides will stop further injury and provide immediate pain relief." Keep the area in water until it's cool to the touch, then treat the burn.

At-home burn basics

If she has a first-degree burn (the skin is red), follow these tips:

DO: After the burn has cooled, cover it loosely with a dry bandage or clean cloth.

DON'T: Apply ointments (or butter). This could cause infection or trap heat and make the burn deeper. Do not break any blisters. This could allow bacteria into the wound.

What if your toddler topples off his changing table? The goose egg is huge, and he's hysterical. Head to the ER?

For kids older than 12 months, you can take a watch-and-wait approach. Dr. Zibners says most kids who bump their heads are fine, and the size of the bump rarely has anything to do with the extent of the injury. There are loads of blood vessels in the head and face, so the swelling can be dramatic.

Keep an eye on him for the next few hours to make sure he doesn't limp or favor one arm, vomit or become unusually sleepy or especially irritable. If you see any of these signs, call the doctor as they could mean something more serious. And, of course, if your child is motionless or unconscious or refuses to move after his fall, call an ambulance right away. The exception: Dr. Zibners says any child under a year of age who experiences more than a minor bump should always be checked out by a physician because injuries are harder to detect when the patient can't talk.

Parenting.com: How to decode that strange rash

Diaper duty

The American Academy of Pediatrics offers these guidelines for safe diaper changing:

- Choose a changing pad with a concave middle to keep baby in place.
- Always buckle the safety strap.
- Keep diapering supplies within your reach (but out of baby's).

What if another kid bites your baby and the skin is broken? Call your pediatrician right away. She may decide to send you to the ER, depending on the location of the bite and its appearance. (She might prescribe an oral antibiotic.) Otherwise, wash the wound immediately and thoroughly with soap and warm water and then apply an antibiotic ointment and bandage.

"Human bites are among the dirtiest of all wounds due to bacteria normally found in the human mouth," says Karen Frush M.D., a pediatric emergency room doctor and chief patient safety officer at Duke University Health System in Durham, North Carolina. "Thoroughly washing the skin with soap and water is the best thing a parent can do to effectively reduce the bacteria load found in the wound."

Parenting.com: How gross is it? Your germiest situations analyzed

What if someone sideswipes your car? Your child is strapped into his safety seat, but he's upset and crying. Head to the ER? Only if he doesn't calm down after a reasonable amount of time, say 15 or 20 minutes.

"With children age 5 and under who are properly restrained in an age-appropriate car seat, the likelihood of injury is small in a non-or low-impact situation," says Dr. Frush.

But if your child won't stop crying, bring him to the emergency room.

"That may mean he was subjected to unusual force, and a doctor can figure out if there are any injuries," she adds. Generally, though, if your child is moving his arms and legs, the best thing to do is remove him from his car seat, try to calm him and make sure he's OK.

Warning signs

Sometimes symptoms take a few hours to appear. Call the doctor if you notice these signs:

- Blood in his urine (which could be a result of injury to the upper or lower urinary tract).
- Bruising over his chest or belly from the straps.
- Refusing to move or turn his head.
- Refusing to bear weight.

What if your toddler falls, bites her tongue and it's bleeding buckets? Head to the ER? Only if it's still bleeding after 10 or 15 minutes of applying direct pressure with a clean washcloth. The tongue is full of blood vessels, so it'll bleed a lot, which may scare her (and you!).

"With young children [applying direct pressure] is often very difficult, so it may be helpful to encourage her to suck on an ice pop, which can also provide pressure on the tongue and sometimes help stop the bleeding," says Dr. Frush. She adds that tongues usually heal nicely and it's very rare a child will lose enough blood from a tongue injury to become anemic.

Parenting.com: 9 pediatric emergency essentials

To treat a tongue bite

DO: Dampen a clean washcloth with cool water, seat your child on your lap, then press the washcloth over the injured area of the tongue. Feed her cold foods, such as frozen yogurt.

DON'T: Give your baby any acidic or salty foods while her tongue is healing because it will sting and make the pain worse.

Get 2 FREE YEARS of Parenting magazine - Subscribe Now!!

Copyright 2011 The Parenting Group. All rights reserved. Reproduction in whole or in part without permission is prohibited.

@highlight

Most kids who bump their heads are fine

@highlight

"Human bites are among the dirtiest of all wounds due to bacteria," Karen Frush said

@highlight

Sometimes symptoms take a few hours to appear