In an exodus of almost biblical proportions, thousands trudge across a river to escape killers belonging to the Islamic State in Iraq and Syria, or ISIS.

Entire families carry nothing but the clothes on their backs. Some are barefoot.

Jamal Jamir, a 23-year-old university student from Sinjar, told CNN his family fled to the barren and windswept Mount Sinjar more than a week ago after ISIS captured their town. The group, which calls itself the Islamic State, has been on a rampage, killing members of various minorities, including Yazidis.

Jamir said after ISIS arrived in his town, Arab neighbors of his turned on the minorities and helped ISIS kill. "They join them, and actually they kill us."

"People you know?" CNN asked.

"Yes," he responded. "People -- our neighbors!"

Jamir's family was among tens of thousands who flocked to the mountain and desperately waited for airdrops of food and water.

His family escaped to Mount Sinjar on foot and made a marathon 15-hour journey to Syria. After traveling northeast along the border, many families have been crossing a bridge in Faysh Khabur, back into Kurdish-controlled Iraq.

Jamir said two of his young brothers didn't make it. "What we do?" he said. "Not enough water and dusty. ... They died.

"We are poor people. We don't have any problem with anybody. We need someone (to) help us."

The Kurdish peshmerga and Iraqi air force have orchestrated helicopter flights to bring necessities to the mountain and lift some people out.  One flight crashed Tuesday, killing the pilot and injuring some others on board.

Now, the United States is considering a possible air evacuation, a U.S. official said Wednesday. No decision has yet been made.

An estimated 10,000 to 20,000 people remain on Mount Sinjar, according to Fuad Hussein, chief of staff of the Kurdistan Regional Government.  There are only broad figures because of the expanse of the area, he said.  Some previous estimates have been substantially higher.

A senior official in Irbil, Iraq, speaking to CNN on condition of anonymity, gave an estimate similar to Hussein's, and added that some endangered Yazidis have not made it to the mountain.

"A few thousand" are moving in the direction of Mount Sinjar from their villages, the official said.

ISIS has also captured part of Syria, in its continuing effort to establish what it calls an Islamic caliphate.  Activists said Wednesday the group has overtaken villages near the northern city of Aleppo following violent clashes with rival Islamist groups.

While U.S. airstrikes have helped the fight against ISIS in Iraq, the United States has not taken such action over ISIS-controlled areas in Syria.

An uncertain future

Descendants of Kurds and followers of an ancient pre-Islamic religion, Yazidis are one of Iraq's smallest minorities. They have faced persecution for centuries and have a strong sense of community.

When the refugees crossed a river and stepped into Syria, their suffering did not end.

Relief workers provided two plates of chicken to a family of 12. People slept in the open, perhaps using scraps of cardboard for a bed.

Many were too sick and exhausted to walk any farther.

It's unclear what lies ahead for those who managed to escape ISIS and Mount Sinjar. Some aid groups have teams helping, and the United States is working to help Iraqi leaders organize humanitarian relief. But for now, some Yazidis tell CNN as they re-enter Iraqi territory, they play plan to camp out by the river.

ISIS executes civilians who don't adhere to its version of Sunni Islam.  The group celebrates its own savagery, hoisting severed heads on poles and posting numerous videos online.

During one of the airdrops on the mountain, a CNN crew observed as the crewmen tossed food and water to the ground. Then the helicopter landed and was rushed by Yazidis seeking to escape.

In a chaotic scene, some of the adults pushed their children on board, and some climbed on themselves.

When the helicopter finally took off, the refugees wept out of relief.

At the refugee camp near the Iraqi-Syrian border, some people are finding relatives they've not seen for years. Jamir, for instance, reunited with a missing cousin.

"We lost each other!" he said. "We lost each other!  Thank God, we arrived!"

In Israel, a desperate Yazidi father

Khairy al-Shingari is among the many Yazidis around the world with family members who fled to Mount Sinjar.

He made it into Israel with his six-month old son who needed life-saving heart surgery -- just days before ISIS overran his village, where his wife and four other children were left behind.

"There were hundreds of young men and children.  Like this, they cut off their heads.  And they scream 'God is great?'  What kind of human beings are they?  And they describe us as infidels?"

Al-Shingari told his family to flee to the mountains, where ISIS' vehicles can't reach.  "They stayed seven days.  There was no water, food, no medicine.  They had to come down from the mountains, risking their lives."

Now, he got word that his wife and kids survived, making it into the Kurdish region.  And his baby boy is recovering well at a Tel Aviv hospital.

But others are learning the worst.

In the U.S., Yazidis fear for loved ones

Nawaf Suliaman is one of hundreds of Yazidis living in Lincoln, Nebraska, in the central United States.  He learned that four relatives, all of them children, died of dehydration while on the hillside.

And his sisters are being held by ISIS -- forced to convert to Islam or die.

Faysal Shaqooli says his sister is being held as well.

"The terrible things she saw with her own eyes," he says.  "One pregnant woman refused. They cut her belly."

His sister has a phone which she hides from her captors, he says.

When President Barack Obama announced targeted strikes against ISIS targets, "there was hugs and cries everywhere," says Laila Khoudeida, another member of the Yazidi community in Nebraska.

But the worries continue.  "Many of us are sleep-deprived.  We cannot eat," she says.

Sometimes when his sister has called, Shaqooli says, he didn't answer. "I didn't know what to say -- what to tell her."

@highlight

Officials estimate 10,000-20,000 Yazidis on Mount Sinjar

@highlight

ISIS has captured more villages in Syria, activists say

@highlight

"They join them, and actually they kill us," a Yazidi says of Arab residents

@highlight

Yazidis' loved ones in Israel and U.S. fear for them