Editor's note: Steve Clemons directs the American Strategy Program at the New America Foundation and publishes The Washington Note, a popular political blog.

Steve Clemons says the Nobel panel correctly decided Obama's approach to diplomacy holds great promise.

WASHINGTON (CNN) -- Cynics will say that Oslo was jealous that Copenhagen, Denmark, scored a visit from President Obama, and giving him a Nobel was the only way to get him to Norway.

But the Nobel Committee's decision to make Obama the only sitting U.S. president since Woodrow Wilson to receive the Nobel Peace Prize shows the committee's clear-headed assessment that Obama's "unclenched fist" approach to dealing with the world's most thuggish leaders has had a constructive, systemic impact on the world's expectations of itself.

Obama has helped citizens all around the world -- including in the United States -- to want a world beyond the mess we have today in the Middle East and South Asia. They want a world where America is benign and positive, and where other leaders help in supporting the struggles of their people for better lives rather than securing themselves through crude power.

Obama has found a way in this interconnected world of cell phones, Twitter, Facebook and other social networking to reach a majority of the world's citizens with his message of hope for a better world. He speaks past the dictators to regular people and has, on the whole, raised global political expectations about everything from climate change to nuclear nonproliferation in ways that no one in history has done before.

Americans tend to look at everything from a U.S.-centric lens, and many woke up this morning shocked that Obama, who just saw a lot of his political capital wasted on trying to secure the 2016 Olympics for his hometown of Chicago, has gotten a fresh injection of sizzle to fill the Obama bubble.

The world has been mesmerized by Obama since he started to run for the presidency. The battle between Hillary Clinton and Obama for the Democratic nomination did more to educate the rest of the world about real political choice -- and about a system in which no candidates had an automatic lock on victory -- than any USAID program could have achieved.

Obama's decision to make the ulcerous Israeli-Palestinian negotiations one of the first foreign policy challenges of his administration, rather than the last, defied most seasoned analysts' expectations. His message to Iran's citizens, marking the Persian new year holiday of Nowruz, and his powerful and captivating speech in Cairo, Egypt, communicated to Muslims all around the world that their lives and their faith and their expectations for a better world were vital and as valid as any others.

From his perch in the White House, Barack Obama affirmed the humanity of Muslims and told them that America does value Muslim lives.

Obama's posture and rhetoric have reversed the collapse of hope and trust that the world's citizens had in America and stopped the degradation of America's image during the tenure of George W. Bush and Richard Cheney.

Should a U.S. president get the Nobel Peace Prize if he's about to send more U.S. troops, armed drones, bombs, tanks and other military hardware into the war-ripped zones in Afghanistan?

Or should Obama get the prize if he hasn't even succeeded in getting Israeli-Palestinian negotiations going? Or if he hasn't gotten Iran to drop its nuclear ambitions and to re-enter the international system on constructive terms?

The answer is yes.

I think that given how the odds were already so stacked against Obama on the global economic and security fronts, one can only be amazed at what this unlikely and fascinating president has done with "optics."

The night before Obama's inauguration, White House Chief of Staff Rahm Emanuel accepted my congratulations and responded, "It's going to be tough, and right now we can only change the optics," meaning that political perceptions and appearances could be changed more quickly than hard realities.

What is brilliant about Obama and why he deserves the Nobel Peace Prize is that he is a global leader who clearly saw the gains that could be made in changing "the optics" of the global order, upgrading the level of respect between the United States and other nations, making a point of listening to other leaders.

Obama saw that before the world could move to a more stable and better global equilibrium, it had to believe it could -- and this is what Obama has done in ways that no other leader has in memory.

Obama will still make mistakes. Leaders will still wrestle with him. Hard choices and the gravity of war will still generate challenges for Obama's leadership.

But the Nobel Prize Committee has shrewdly given a key down payment for a kind of leadership it wants to see from the U.S. for many more years and given Obama another tool to help craft a new global social contract between the United States and other responsible stakeholders in the international system.

The opinions expressed in this commentary are solely those of Steve Clemons.

@highlight

Steve Clemons: Many Americans shocked that Obama won Peace Prize

@highlight

He says the rest of the world sees how Obama has changed international tone

@highlight

He says Obama's rhetoric has "reversed the collapse of hope" in the world