(CNN) -- Presidential candidates Sens. Barack Obama and John McCain are detailing their plans for solving the country's energy crisis and criticizing each other's proposals this week as they campaign in battleground states.

Here's a look at the candidates' energy proposals:

Overall strategy

McCain, the presumptive GOP nominee, has proposed a national energy strategy that would rely on the technological prowess of American industry and science.

McCain has said he would work to reduce carbon emissions 60 percent below 1990 levels by 2050. He has said he would commit $2 billion annually for 15 years to advance clean coal technology.

He also has pledged to oppose a windfall profits tax on oil companies that, according to his campaign Web site, "will ultimately result in increasing our dependence on foreign oil and hinder investment in domestic exploration."

McCain also believes the U.S. needs to deploy SmartMeter technologies, which collect real-time data on the electricity use of individual homes and businesses.

Meanwhile, Obama laid out his comprehensive energy plan Monday in Lansing, Michigan.

"If I am president, I will immediately direct the full resources of the federal government and the full energy of the private sector to a single, overarching goal -- in 10 years, we will eliminate the need for oil from the entire Middle East and Venezuela," the presumptive Democratic nominee told a crowd.

Obama's plan also would invest $150 billion over the next 10 years and leverage billions more in private capital to build a new energy economy that he said would harness American energy and create 5 million new jobs.

He also called on businesses, government and the American people to meet the goal of reducing U.S. demand for electricity by 15 percent by the end of the next decade and said he would modernize the national utility grid.

Another prominent feature in the plan: Immediately give every working family in America a $1,000 energy rebate and pay for it from oil company profits.

Offshore drilling

McCain: Proposed lifting the ban on offshore drilling as part of his plan to reduce dependence on foreign oil and help combat rising gas prices.

Would let individual states decide whether to explore drilling possibilities.

Opposes drilling in some wilderness areas -- including the Arctic National Wildlife Refuge -- and said those places must be left undisturbed.

Obama: Opposed new offshore drilling, but later shifted to say that he would consider it if it were part of a larger strategy to lower energy costs.

Supports bipartisan energy plan from the Senate that combines alternative energy innovation, financial, nuclear energy and drilling proposals. Effort by five Democrats and five Republicans to break Congress' energy impasse would allow expanded offshore oil exploration and embrace ambitious energy efficiency and efforts to develop alternative fuels.

Believes oil companies should drill on the 68 million acres they have access to but haven't used and would require oil companies that will not drill to give up their leases.

Strategic oil reserves

McCain advocates suspending the purchase of foreign oil for the Strategic Petroleum Reserve during periods of high prices to reduce demand.

Obama called for tapping into strategic oil reserves as part of his plan to provide relief from high gas prices. (He previously said he was opposed to using the strategic reserves, but on Monday he proposed selling 70 million barrels of oil from the reserves to lower gas prices).

Cars and driving

McCain: Proposed a $300 million award for "the development of a battery package that has the size, capacity, cost and power to leapfrog the commercially available plug-in hybrids or electric cars."

Called for the suspension of the 18.4-cent-a-gallon federal gas tax and 24.4-cent-a-gallon diesel tax from Memorial Day to Labor Day. Says the lost revenue would be paid for by money from the general fund.

Obama: Would provide $4 billion in loans and tax credits to American auto plants and manufacturers so that they can retool factories and build fuel-efficient cars; would put 1 million 150-mpg, plug-in hybrids on U.S. roads within six years and would give consumers a $7,000 tax credit to buy fuel-efficient cars.

Nuclear energy

McCain: Calls for building new nuclear reactors, saying barriers to nuclear energy are political, not technological.

Would put a plan in place to build 45 new nuclear power plants by 2030 -- with the ultimate goal of 100 new plants.

Would provide for safe storage of spent nuclear fuel and give host states or localities a proprietary interest so when advanced recycling technologies turn used fuel into a valuable commodity, the public would share in the economic benefits.

Obama: Says he'll find safer ways to use nuclear power and store nuclear waste.

In Democratic debate earlier this year, he said, "We should explore nuclear power as part of the energy mix."

Renewable energy

McCain: Would commit $2 billion annually to advance clean coal technologies.

Calls for a permanent tax credit, which he says will "simplify the tax code, reward activity in the U.S., and make us more competitive with other countries," according to his campaign Web site.

Encourages development of low-carbon fuels -- wind, hydro and solar power.

Obama: Would require 10 percent of U.S. energy come from renewable sources by the end of his first presidential term. The plan would extend the Production Tax Credit for five years to encourage the production of renewable energy.

Create five first-of-a-kind, coal-fired demonstration plants that would capture and store carbon dioxide emissions and invest in technology that will allow for more coal use.

Climate change

McCain: Proposes a bipartisan plan to address the problem of climate change and stimulate the development and use of advanced technologies. It is a market-based approach that would set caps on carbon and other greenhouse gas emissions and provide industries with tradable credits.

Obama: Calls for a reduction of carbon emissions by 80 percent by 2050 by using a market-based cap-and-trade system. Would create what his campaign calls a  "Global Energy Forum" and re-engage with the U.N. Framework Convention on Climate Change.

CNN's Ed Hornick, Kerith McFadden and Alan Silverleib contributed to this report.

@highlight

Sen. Barack Obama lays out comprehensive energy plan this week

@highlight

Obama vows to eliminate the need for Mideastern, Venezuelan oil in 10 years

@highlight

Sen. John McCain proposes an energy strategy relying on technology and science

@highlight

McCain says the federal government should lift restrictions on offshore drilling