Washington (CNN) -- The father's first comment, when he heard I was in his city to talk about a book I'd written about kids, mental health issues and medication, came loudly and fast: "When my daughter was 10, my ex-wife and a psychiatrist called to try to get my permission to put her on Prozac. I refused," he said proudly. "I wasn't going to let them drug my kid."

We spent quite a few hours together. By nighttime, as he drove me back from the last event, his mood was altered, his tone notably more somber. It had been a day of impassioned testimonials from parents of children with mental health issues, and even from one teenager, who called in to a radio show to describe how taking medication for his attention deficit hyperactivity disorder had helped him "level the playing field" with other kids and made it possible for him to attend college.

"I don't know if we did the right thing by her," the dad said at last, thinking of his daughter as he looked out at the dark road ahead. His daughter's life had never really come together. She had dropped out of college; her future was unclear. She presented a happy face to her dad, but deep down, he felt, the truth of her life wasn't so sunny. "I don't know how to read her," he said. "I really don't know what to do."

We all know what the prevailing opinion is these days on children's mental health in America: Kids with nothing truly wrong with them are being over-diagnosed and overmedicated by doctors, parents and schools, who are colluding to make them better behaved, more high-performing and more tractable to our society's unnaturally high demands.

This opinion used to be mine. It was the basic line of my argument at the beginning of my research, when the only information-gathering I'd done on the topic consisted of reading and compiling the already-recycled reporting of others.

But soon, the facts got in the way.

Surveys and statistics showed that the story of over-diagnosis and overmedication was wrong; 5 percent of children in America take psychotropic medication, while 5 to 20 percent are estimated to have mental health issues. The vast majority of those in need of help never get any care at all.

The facts are incontrovertible: Kids' mental health issues are real, they're serious, and they often cause profound suffering. And they're not new. Listening to parents gave me a very concrete answer to the question so many skeptics ask as to where all the kids with "issues" were a generation ago. We existed, many of the parents of kids who now are getting diagnosed told me. And no one noticed that we were suffering. And, they said, they weren't going to let the same not-noticing, or the same labeling with words like "lazy" or "stupid" or "bad," happen to their kids today.

Interviews with about 100 parents and doctors showed that rather than rushing to pathologize and medicate their kids, parents did all they could to avoid "labeling" their children and put off using medication -- if they used it at all -- until they really were desperate. What these interviews showed above all is that for parents and children (and grown children) dealing with mental health issues, life is complicated, unsure and filled with unanswered questions that can't be addressed by gross generalizations about the "medicated child" in our time.

It's very hard to get at any of that complexity -- and humanity -- when we typically talk about children's mental health in the media. Journalism generally doesn't lend itself to complicated messages; we need eye-grabbing headlines and strong voices spouting easy-to-summarize arguments, opinions which, in the strangely evolving media world of today, have come to have far greater currency than fact.

In another city, a mother told me that she'd never attended college. She would have liked to have gone, she said, but she earned almost all Cs in high school, and no one had ever presented it to her as a possibility.

"I don't think I was dumb," she said, "I just couldn't keep my mind focused on my work." At 48, she wondered, was it too late to find out if she had the inattentive kind of ADHD?

She'd become a model after high school instead. She'd married a lawyer; she lived in the kind of community where former high achievers made a second career of micromanaging their children's lives. She wanted to be an involved mother, too, but when she spoke at school meetings, the high-power moms made her feel invisible. "They talk right over me," she said. "It's like I don't exist."

Her husband was out of work. After so many decades, her own lack of a college degree still burned as a cause of embarrassment, worry and resentment. How could her parents, she mused aloud, not have encouraged her to try to at least try to get into college?

It is very easy to look at a woman like this and say, who cares? She turned out OK -- more than OK, after all. But her voice was full of pain as she talked about the feelings of inferiority that still haunted her. Hadn't she had the right to at least try to live up to her potential? She was committed to making sure that her daughter would have every possible option.

Behind the black-and-white shouting matches that now dominate discussions of children's mental health in our country, there are stories like these. They aren't necessarily headline-making. But they're powerful, and true.

The opinions expressed in this commentary are solely those of Judith Warner.

@highlight

Judith Warner says common view is modern parents over-medicate kids for mental health

@highlight

But her research showed that most parents avoid meds, are sensitive to kids' suffering

@highlight

Kids' mental health issues not new; now better diagnosed, so seem newly prevalent, she says

@highlight

Warner: Real-life stories reflect parents' struggling to do right by kids, not just "normalize" them