(CNN) -- When art expert Safia Dickersbach cast a dart at a map of Africa, she had no idea it would spark an eight-year love affair with a country she had never seen before.

"It landed in Ghana," Dickersbach recalled, "it was just a playful planning method." After taking aim at the world's second-largest continent, the dart randomly struck Ghana's Volta Region, in the east of the country bordering neighboring Togo.

The exercise was the beginning of Dickersbach's extensive research into Ghana's contemporary art culture and her mission to push Africa onto the global art scene.

Read more: Africa's most exciting new photographers

She launched a project called "The Black Stars of Ghana -- Art District," (named for the black star in the center of the Ghanaian flag, and the nickname of Ghana's national football team) in which she interviews some of the country's eminent visual artists and gauges their views on social issues as well as the inspiration behind their work.

"Between 2005 and 2011 I went to Ghana three times," she said, "visiting 45 artists in that period. I went to major cities like Accra, Kumasi and Shama."

Dickersbach -- originally from the Tanzanian city of Dar es Salaam -- is now based in Berlin and works as a public relations director for Artfacts.Net

CNN's African Voices spoke to Dickersbach about her vision of African art and its place on the global stage.

CNN: You've visited 45 artists over the course of your research, what is the objective behind it?

Safia Dickersbach: Contemporary art is dominated by a Eurocentric attitude today and it is that attitude that decides what is relevant and what isn't. This prevents artists from regions of the world that are not located in Europe or North America from getting the attention they deserve.

Read more: Hollywood classics get African photo remake

It is called the "international art scene" but where is Africa on this stage?

I hope "The Black Stars of Ghana -- Art District" gives viewers a taste of the depth, vibrancy, beauty, vision and diversity of contemporary art produced on the African continent.

CNN: Who did you interview for the "The Black Stars of Ghana - Art District" project and why?

SD: The project includes research and film material about many different artists like Professor Ablade Glover, Kwadwo Ani, Kofi Setordji, Wiz Kudowor and Marigold Akufo-Addo, among others. These are prominent artists in Ghana.

Hopefully, a resource like this will provide art professionals, scholars and practitioners as well as art lovers from all over the world the chance to get to know the different artists and protagonists of the Ghanaian contemporary art scene through the Internet.

CNN: What inspired you to pursue such a project?

SD: This project was inspired by a couple of disappointing events and stories which I observed in my professional career regarding how great and talented artists from outside of Europe were treated by the Western art establishment.

It is very important that artists who are based and work in Africa determine and define for themselves the narrative about contemporary African art.

Read more: Stunning Congo artwork shows conflict in a different light

In my view, even highly educated intellectuals and experts (in the West) let themselves be influenced by prejudices and stereotypes of the continent such as images of hunger and war in Africa. (They) treat African countries with a mixture of patronizing empathy and intellectual loftiness, and definitely not on a par with themselves.

CNN: Why do you believe this is so?

SD: Too often artists from the African continent have been confronted with ignorance or condescending attitudes in the West and this is definitely some kind of intellectual conflict caused by a lack of multicultural competence and in some cases just plain arrogance.

A simple example is the fact that art from African countries is usually shunted to the anthropological department whereas art from Europe and North America will be dealt with in the "Arts and Culture Section."

CNN: You're from Tanzania in East Africa and you live in Germany, why was Ghana the best place for your research?

SD: I have an African heritage and I specifically chose a country that I didn't know because I wanted to look at that country and its art from an objective perspective.

I didn't want to be influenced by friends and relatives who are members of the art scene so I wanted to go somewhere where I didn't know anyone.

Read this: Artists' road trip across Africa

CNN: What makes your research different from other art research and documentary projects related to Africa?

SD: I think the project explores and reveals the contemporary art scene in Ghana as viewed by local artists and protagonists.

This is important because it is independent of what European or American art experts, critics and historians have to say about that scene, while also reiterating the message that Africa is not a country.

There are thousands of cultures, sub-cultures and histories in Africa and it is about being sensitive to that. I think the interviews highlight the individual and not the collective.

CNN: What is it about Africa that fascinates you?

SD: I think the attitude of the people is more dramatic and expressive than we're used to in the developed world. For instance, the market stalls in Lagos, when they barter it looks like they're fighting but that's just how they communicate passionately.

There's a fear of Africa, a fascination fear. When western photographers and artists go to Africa, they are mesmerized by the amount of light and shadows in the sky and the atmosphere is very different.

But at the same time, I think a colonial attitude exists still, that need to control a fear of the unknowing in Africa. It's very much a love-fear relationship and that's what fascinates us.

@highlight

'The Black Stars of Ghana - Art District' interviews some of Ghana's biggest artists

@highlight

The series is the work of art expert Safia Dickersbach

@highlight

She says contemporary art is dominated by a Eurocentric attitude

@highlight

Project includes interviews with artists Wiz Kudowor and Marigold Akufo-Addo