(CNN) -- Audiences will be getting a new look at Abraham Lincoln this weekend with the wide release of director Steven Spielberg's "Lincoln," and they'll be seeing a lot of America, too.

The film, which recreates the former president's life through the crucible of the Civil War, was filmed at several historic locations. Lincoln's life took him through a number of states before and during the war, which gave Spielberg and his crew a wide geographic canvas.

It was while shooting "War of the Worlds" in Rockbridge County, Virginia, that Spielberg began discussing returning to the state, said Andy Edmunds, interim director of the Virginia Film Office. Edmunds worked with production designer Rick Carter for nine years, helping him scout locations across the state.

Yet there is so much more to Lincoln than the movie that bears his name.

For history and film buffs looking to explore Lincoln's life, here are five locales that go beyond a trek to the National Mall.

DON'T watch these 11 movies on a plane

City Point: Hopewell, Virginia

One of Spielberg's Virginia stops was City Point, now Hopewell, which served as Ulysses S. Grant's headquarters during the Siege of Petersburg.

Lincoln spent two weeks there in 1865 with his family, traveling aboard the war ship River Queen, which filmmakers replicated in full, said Rita McClenny, chief executive officer of the Virginia Tourism Board.

From there, Lincoln watched the fall of Petersburg, later visiting the city, which was also shot on location, Edmunds said.

Indeed, many pivotal wartime decisions "were made on Virginia soil," McClenny said.

Tailing James Bond: 007 destinations

Capitol Square: Richmond, Virginia

Filming in Richmond was a win-win for both the state and the filmmakers: Spielberg dressed up Richmond's capitol building as its national counterpart, and he used the capitol square as a sort of backlot for more than two weeks, Edmunds said.

Tourism officials, in turn, organized city tours, turning the location shoots into opportunity.

While filming, locals consumed the star sightings. A local restaurant even debuted a salad named after one of the movie's stars: the Sally Field of Greens.

Did co-star Tommy Lee Jones really eat at Bistro Bobette? Yes, and fans can too, McClenny said. With any luck, they'll sit in his seat.

Old State Capitol and Lincoln/Herndon Law Offices: Springfield, Illinois

Springfield, Illinois, was the nucleus of Lincoln's career, political and otherwise, before he headed to Washington. It was there in 1858 that he gave his "House Divided" speech. It's also home to the Old State Capitol, where Lincoln worked as a legislator, and to the Lincoln-Herndon Law Offices.

Both sites are crucial, according to Dave Blanchette, public information officer at the Abraham Lincoln Presidential Library, the former because "it looks as though the General Assembly just met there yesterday rather than 150 years ago." Adding to the historical sense visitors get while touring, it feels now as it felt then.

But Lincoln was also a lawyer for 25 years, "longer than anything else in his life," Blanchette said. The law offices -- the only of their kind, as no other buildings remain where Lincoln practiced law -- provide a necessary perspective on the president's professional experiences.

New Salem State Historic Site: Petersburg, Illinois

Lincoln spent some of his most formative years growing up in New Salem, Blanchette said. And the township is at the heart of the "log cabin" image that has crystallized around the 16th president.

The site was recreated in the 1930s and '40s using the remaining foundations.

"You can stroll through the log village and try and imagine what life would have been like in the 1830s," Blanchette said, which lets visitors experience a period when Lincoln transformed himself from a "young man with no real direction in life" to someone with "purpose and a vision."

Abraham Lincoln Birthplace: Hodgenville, Kentucky

The president's birthplace is "literally the first memorial of any kind of Abraham Lincoln," said Bill Justice, superintendent of the Abraham Lincoln Birthplace National Historic Park, which has its origins in an early 20th-century project by the Lincoln Farm Association.

The park, designed by John Russell Pope years before he began work on the Jefferson Memorial, includes two sites: the Memorial Building, which stands on the farm where Lincoln was born in 1809, and his boyhood home at Knob Creek.

It was at his boyhood home that Lincoln formed his earliest memories, Justice said, such as planting pumpkin seeds between the farm's corn rows.

At Knob Creek, visitors get a more hands-on idea of what those early years were like: The field is "pretty much unchanged," Justice said.

A favorite activity of his at the park is visiting the creek.

"The best thing to my mind, it gives me goose bumps when we go over there, is to stand there," he said, "and look down on the field and contemplate that you're pretty much looking at what Abraham Lincoln saw."

Photos: 'Lincoln' extras pose for portraits

@highlight

Abraham Lincoln's life and career included many historic sites across the country

@highlight

Steven Spielberg's biopic "Lincoln" was shot at several real-life locations in Virginia

@highlight

Fans of Lincoln can visit the president's birthplace, childhood home and more

@highlight

Experts say visiting these historic sites gives a better sense of Lincoln's experiences