The Ferguson, Missouri, police chief insisted Thursday that he won't step down -- despite continued unrest months after one of his officer's fatally shot Michael Brown and high-level talks that could lead to his exit.

"I'm going to stay and see this through," Chief Thomas Jackson told CNN.

The firestorm around Jackson began August 9, when Officer Darren Wilson, who is white, shot Brown, an African-American teen. Wilson's defenders have said he acted in self-defense, while Brown's backers note the teenager wasn't armed and claim he had his hands up when the fatal bullets hit him.

The incident roused large and, at times, violent demonstrations in Ferguson. Jackson faced criticism over his department's handling of the Brown shooting and the subsequent protests.

Government officials say that Jackson's future is part of talks involving local, state and congressional officials. Part of that discussion centers on what severance package the chief might get, as well as who would manage the Ferguson police department instead of him.

Whether the chief wants it or not, the collective decision has been made that the Ferguson police will move ahead without him, according to the officials. All sides taking part in the talks had hoped Jackson would be able to step down on his own accord, instead of being forced out.

But Jackson gave no indication Thursday that he'll leave voluntarily, saying he plans to stay as long as the city manager and council support him.

"I certainly have the support of the police department and the community. I have a lot of support in the community," he said. "I think this is my job to complete, and I'm going to do it."

The situation in Ferguson remains unsettled. Wilson's fate is up in the air: He hasn't been charged, though a grand jury is hearing evidence and will determine whether to indict him. And activists haven't shown any sign they're ready to give up in pushing for Wilson's prosecution and other, broader changes in Ferguson.

Amid it all, Jackson says that "this happened on my watch, and I intend to see it through," he told CNN.

"I think I'm very capable of doing that, and I have a lot of people behind me that believe so as well."

Investigation

The Justice Department is investigating Ferguson police. Investigators are looking at the department's use of force over the years; analyzing stops, searches and arrests; and examining the treatment of people detained at the city jail, U.S. Attorney General Eric Holder has said.

Holder has said the Justice Department's investigation includes the department's leadership.

Some officials have expressed a desire to dissolve the entire department and turn over law enforcement to St. Louis County police.

Complete coverage of Ferguson shooting and protests

"We're looking at a whole variety of things, including the leadership of that department, the practices that the department engages in, the nature of the interaction between the department and the community that it is supposed to serve," Holder said.

Holder has declined to comment on whether the police chief should be removed, but he has not been shy about expressing his views.

"It's pretty clear that the need for wholesale change is appropriate," he said this month.

Jackson has found fault with Holder's remarks.

"He's drawn a conclusion that wholesale change needs to be made," said Jackson. "We have a lot of good stuff going on, so I think he needs to be a little more specific."

The police chief also defended the handling of the sometimes violent protests in the wake of the shooting.

"There was firebombs thrown. There were shots fired, for several nights in a row, shots fired at police officers and vehicles. And through all of that, the tactics that were used resulted in no injuries to any protesters or police officers. So, that's actually something to be quite happy about," Jackson said.

Apology

Last month, Jackson released a video apology directed at Brown's parents and the peaceful demonstrators who took to Ferguson's streets to protest the teen's death. In particular, he apologized that his department left Brown's body in the street for four hours after the shooting, and for his department's failure to protect the demonstrators' right to assemble.

He acknowledged that the incident had sparked a larger conversation about societal issues, saying Ferguson and the surrounding areas have "much work to do."

"Overnight, I went from being a small-town police chief to being part of a conversation about racism, equality and the role of policing in that conversation. As chief of police, I want to be part of that conversation. I also want to be part of the solution," he said.

"For any mistakes I've made, I take full responsibility. It's an honor to serve the city of Ferguson and the people who live there. I look forward to working with you in the future to solve our problems, and once again, I deeply apologize to the Brown family," he said.

Later that day, he waded into a crowd at a protest and apologized again.

Some people seemed satisfied by his apologies, but not everyone was eager to hear from him.

One man shouted into a bullhorn, "If you are not resigning tonight, go home."

What's next?

Part of why he wants to stay, Jackson said, is because he finds it painful to watch what's happening in his community. He said he wants to help heal it.

Although the department has done a lot around the issue, police need to work harder on minority recruitment and retention, the chief said.

Ferguson is a predominantly black community with a mostly white police force. At the time of Brown's shooting, only three of the city's 53 officers were African-American.

Police can also put more of an emphasis on community-oriented policing and problem-solving, Jackson said.

Asked whether those sort of changes will be enough to restore calm, the chief replied: "What's enough is sort of dependent on what's the right thing to do, and that's what I'm focused on."

But he knows the issue is much bigger than one person.

"I'm just one of the players. This is going to take the entire community," Jackson said.

@highlight

Officials: There's a collective decision Ferguson will move on without Jackson

@highlight

Officials says chief's future is part of  talks, including what severance he'd get

@highlight

Ferguson chief says he has "a lot of people behind me," wants to finish the job in city

@highlight

Jackson's department has been under fire since the shooting death of Michael Brown