(CNN) -- Federal authorities have ordered ExxonMobil to make safety improvements to a ruptured pipeline in Montana that caused 750 to 1,000 barrels of crude oil to gush into the Yellowstone River last week.

The cause of the pipeline break is still under investigation, authorities said.

The U.S. Department of Transportation's Pipeline and Hazardous Materials Safety Administration issued a corrective action order to ExxonMobil Pipeline Company that will require the safety measures along the Silvertip hazardous liquid pipeline, the federal agency said late Tuesday.

The order will require ExxonMobil to re-bury the pipeline underneath the river bed to protect it from external damage, the federal agency said in a statement. The oil company will also have to conduct a risk assessment on the pipeline where it crosses any waterway. Exxon will then need to submit a restart plan before operation can resume, officials said.

"The safety of our nation's pipelines is a priority and the investigation into this incident is ongoing," U.S. Transportation Secretary Ray LaHood said in a statement. "It is our responsibility to ensure pipelines are safely delivering energy to U.S. households and businesses, and when companies are not living up to our safety standards, we will take action. We will continue to work with the EPA, while ensuring that those responsible are held accountable."

The Silvertip Pipeline is a 12-inch pipeline about 69 miles long and carries crude oil from the Silvertip station in Elk Basin, Wyoming, to an ExxonMobil Refinery in Billings, Montana, federal officials said.

This spring, in the wake of several major pipeline accidents, LaHood announced an action plan to immediately begin addressing concerns about the state of the nation's aging pipeline infrastructure, and he called upon U.S. pipeline owners and operators to conduct a comprehensive review of their oil and gas pipelines to identify areas of high risk and accelerate critical repair and replacement work.

LaHood has also proposed federal legislation that would improve oversight on pipeline safety and increase the maximum civil penalties for pipeline violations from $100,000 per day to $250,000 per day, and from $1 million for a series of violations to $2.5 million for a series of violations.

On Tuesday, Montana's governor declared a state of emergency in Yellowstone, Treasure, Rosebud, Custer, Prairie, Dawson and Richland counties, all of which have been affected by the spill that occurred just before midnight Friday. ExxonMobil reported 750 to 1,000 barrels (32,000 to 42,000 gallons) of oil spilling into the river in Laurel, about 16 miles southwest of Billings.

The longest undammed river in the United States, the Yellowstone eventually leads into the Missouri River, one of the biggest in the United States.

Gary Pruessing, the president of the ExxonMobil Pipeline Company, told reporters Tuesday that spilled oil had been confirmed 25 miles away, with most pockets of oil within 19 miles of the leak site.

But in the emergency declaration, which paves the way for emergency funds for the seven counties, Montana Gov. Brian Schweitzer claimed that oil has since been discovered beyond Hysham, about 90 miles from the leak site.

But the federal order says that overflights conducted as recently as Sunday have observed oil deposits as far as 240 miles downstream in Terry, Montana.

Schweitzer, a Democrat, stated in the executive order that the "ExxonMobil Pipeline Company (is) the responsible party for this release."

ExxonMobil has seen "measureable progress," said Pruessing, as it has stepped up its cleanup effort -- one that's come under criticism from Schweitzer.

The Texas-based firm has committed 350 people to the spill response, and of those, between 150 to 200 people are actually on the ground, cleaning up and looking for oil, Pruessing said.

The federal Pipeline and Hazardous Materials Safety Administration said it has three inspectors on site and they are working with the U.S. Environmental Protection Agency and U.S. Coast Guard to conduct investigations.

"We're going to keep adding resources," ExxonMobil Alan Jeffers told CNN on Tuesday. "That's our focus -- find the oil, clean it up and get it back to its original state as quickly as possible."

Schweitzer toured the spill site Tuesday morning, one day after criticizing the speed and effectiveness of the response in an interview with CNN.

Later that day, Pruessing of ExxonMobil said, "We do not yet have a resolution, as to what caused the incident."

While no official determination has been made on what caused the pipeline rupture, the governor said it is easy to see the dangers posed by fast-moving waters.

Any pipelines built now, Schweitzer noted, must be buried deeper under the riverbed in order to prevent such incidents.

The governor called it premature to minimize the spill's potential impact by saying, for instance, that it has only affected 10 miles of the river. His fear is that the abundance of fish, birds and animals in the area, which is about 100 miles downstream from Yellowstone National Park, may be hurt in the short and long term.

"My biggest concern is those 1,000 barrels," Schweitzer said. "You cannot dump (that much oil) into a pristine trout stream without causing damage to the fisheries."

Besides the fish, the area is home to Canada geese, ducks, ospreys, otters and bald eagles, said Charles Preston, an ecologist and conservation biologist who heads the Draper Museum of Natural History. The birds, in particular, might die directly or indirectly as they go after fish. Toxins may kill critical insects, which in turn could have a trickle-down effect on the multimillion-dollar fishing industry, he said.

"It could take years to really understand the impact of the spill," Preston said.

The Yellowstone is the nation's longest river without a dam -- a plus for the spill cleanup efforts because the continuously running water more easily breaks up the toxins, but a negative because any ill effects could spread into the Missouri River and its other tributaries, Preston said.

More than 48,000 feet of absorbent boom and 2,300 absorbent pads had been used as of Tuesday to soak up the oil, while "vacuum trucks" and tankers have been positioned nearby to transport them from the scene, according to ExxonMobil. The company said the air quality and municipal water systems are also being monitored, while planes are routinely flying over the river to help detect patches of oil.

David Eglinton, an ExxonMobil spokesman, said the company is committed to staying the course and studying the effects through the whole course of the river. That includes checking water quality as far downstream as Miles City (144 miles) and Glendive (222 miles) from the original spill site.

CNN's Greg Botelho, Matt Cherry, Alan Silverleib, Matt Smith and Michael Martinez contributed to this report.

@highlight

An ExxonMobil official says oil detected 25 miles downstream

@highlight

But the state says 90 miles and the feds say 240 miles downstream

@highlight

Montana declares a state of emergency for 7 counties, says ExxonMobil is responsible

@highlight

Company officials remain unclear of the cause of the spill in Montana's Yellowstone River