(CNN) -- IBM, one of America's largest companies, shook the employee compensation world when it announced recently that it would contribute only once every December to its employees' 401(k) accounts. Any employee who leaves before December would not be able to collect the company's match.

Workers at IBM aren't marching to the picket line like Walmart workers and longshoreman who protest pay and working conditions, but you just never know.

Only about 9% of the nation's employers make matches once a year. IBM's move is paving the way for big companies to go down this road.

If I were an IBM manager, I would love this once-a-year lump payment. First, my buddies in Human Resources would have much less hassle with fewer deposits to make. By delaying payment to the end of the year, "the float" -- interest accrued -- would go to the company instead of the workers. In other words, the company saves money.

Moreover, few IBM workers are going to voluntarily leave before December, which means projects can be planned better and employees can be asked to do more.

QUIZ: The ultimate portfolio -- 15 questions to help you define your financial goals

A few years ago, in 2008, IBM made news by transforming its traditional defined benefit plan, a pension, into a 401(k)-type plan. That move saved money, but the company lost an important personnel tool.

Defined benefit plans are designed to encourage employees to exit or retire when it is optimal for the company. A 401(k) is cheaper, but it is a "cash and carry" account that does not have the element of timing finesse. A 401(k) plan does not reward loyalty, and its value is not predictable as it fluctuates all over the place depending on the financial markets.

By making workers stay until December before they can receive the company's 401(k) match, IBM is putting back, albeit with an anemic substitute, a reward for workers to stay at least until December.

The company can be pretty sure that there will be very few workers exiting during crunch time season: September, October and November. It would really be IBM's choice in determining which employees to let go. This incremental addition to IBM's control over their employees is surely the main reason IBM changed its 401(k) payment timing.

But let's step back. Relative to other companies, IBM actually has a good retirement plan. It matches more than 6% of a worker's contribution, which is above the national average. Only 7% of companies do not make matches to 401(k) plans, so at least IBM is, for now, in the majority of companies that match their employees' contributions. Not many people know that just because a company sponsors a 401(k) plan doesn't mean that it will pay a cent.

In the Great Recession of 2008 to 2009, more than 11% of companies stopped their 401(k) match. Because they are voluntary, most workers do not even have a retirement account plan, which means many middle-class and upper-middle-class workers will only have Social Security to rely on for retirement.

These workers face considerable chance of downward mobility later in life because Social Security is not designed to replace pre-retirement living standards for anyone but the lowest paid workers. Middle-class workers will need at least a $500,000 payout on top of Social Security checks to have a chance of remaining middle class when they retire. Most of us could only dream of accumulating that amount or its equivalent by saving for retirement at work or being in a pension plan.

IBM looks better than most companies because most companies are whacking their workers' retirement plans or don't sponsor any at all. GM offered its salaried, white-collar workers a lump sum -- the worst way to get a retirement account because people spend a lump sum too fast -- instead of an annuity. Ford will follow GM's example next year. Fortunately, very few auto managers and workers are taking up such an offer; they must know an annuity is more valuable.

What is there to stop companies from ending retirement accounts altogether? Nothing.

Unions represent less than 11% of the private sector workforce and the unemployment rate is high enough that anyone who has a job feels lucky to have a job. I don't see anything on the horizon that will encourage companies to maintain or improve retirement programs at the workplace.

Political leadership and bravery is needed to call out the failure of the voluntary retirement system and to secure retirement income and savings for all American workers.

The opinions expressed in this commentary are solely those of Teresa Ghilarducci.

@highlight

IBM said it would contribute once every December to its employees' 401(k) plans

@highlight

Teresa Ghilarducci: This type of payment benefits the company rather than workers

@highlight

She says relative to other companies, IBM actually has a good retirement plan

@highlight

Ghilarducci: Most companies are reducing retirement benefits; workers lose