New York (CNN) -- Technology and globalization are putting the jobs of millions in America's middle class at risk, says analyst Fareed Zakaria.

In a cover story for Time called "How to Restore the American Dream," Zakaria writes, "We have just gone through the worst recession since the Great Depression. The light at the end of the tunnel is dim at best. Sixteen months into the recovery, the unemployment rate is higher than it was in the depths of all but one of the postwar recessions. ...

"Americans are far more apprehensive than usual, and their worries seem to go beyond the short-term debate over stimulus vs. deficit reduction," according to Zakaria. "They fear that we are in the midst of not a cyclical downturn but a structural shift, one that poses huge new challenges to the average American job, pressures the average American wage and endangers the average American Dream."

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Friday. Here is an edited transcript:

CNN: You wrote in your Time cover story that the American middle class is being "hollowed out." What does that mean?

Fareed Zakaria: Well, if you think about it, middle class to most Americans means somebody who has a good high school education, somebody who didn't go to fancy schools or grow up in a fancy suburb, but somebody who is working on a factory floor as a foreman, or a manager, or maybe in sales or administration.

What's happened to these people is that these jobs have a certain kind of routine nature to them. What technology has done over the last 10 or 15 years, it's become possible to do many of these tasks through computer programs. Now computer programs need to be monitored and supervised, but it takes far fewer people to do that ... and the people supervising computers need to be more high-end, more skilled people.

CNN: How does that work out in practice?

Zakaria: Take the example [former GE CEO] Jack Welch gave. He said information technology been around since the 1980s and 1990s, when it was mostly streamlining back offices. Now it's transformed every department from sales to marketing to administration. You used to just use computers to streamline, for example, the payroll system. Now it's completely ubiquitous, affecting every aspect of business.

Read Zakaria's "How to Restore the American Dream"

Welch gave the example of a company he's involved in buying. It had $12 billion in revenue in 2007 with 26,000 employees. With the greater efficiency that comes with technology, the same company, when it returns to that level of revenue in a few years, will have only 14,000 employees. That's roughly half the people generating the same revenue. That's the basic dilemma -- companies have gotten so efficient, and there's enormous pressure on these simple routine tasks that used to employ lots of people.

CNN: Is globalization of companies also a factor in hollowing out the middle class?

Zakaria: Clearly, the second big part of this is globalization. Most big American companies are now global companies. The world market has tripled or quadrupled over the last 20 years, as the number of potential consumers greatly increased once the Soviet system collapsed, and China and India liberalized their economies. It's added as many as a billion and half consumers to the world market. Companies have benefited enormously from it, but these new consumers are willing to work for much less. That's a huge factor, you can't deny it.

Technology may be a bigger driver than trade, but globalization is easier to understand -- when you have an autoworker in Mexico willing to work for $7 an hour versus $28 an hour in the U.S. The best way to think of it is that technology and globalization are working together to produce these results.

CNN: You give the example of a radically cheaper car that is being produced in India? Why is that important?

Zakaria: It's called the Nano. It costs a little more than $2,000 in India and when it's sold in the U.S., it will cost about $7,000 once it has safety features such as air bags and meets U.S. crash requirements. It's a good car. This is a perfectly nice car, looks a lot like Mercedes' Smart Car, except that the Smart Car costs $22,000.

The most important thing may be the parts -- every part in that car costs a fraction, as little as 1/16, of what it costs to manufacture in the United States. So where will the U.S. car companies get their parts made if they're trying to be competitive? They will be tempted to buy those parts manufactured in India.

You can't even call it outsourcing since these are global companies with global supply chains. They will invest more in their Chinese operation, or their Brazilian operation, and less in the U.S. operation. They will be doing what they need to do to survive in a competitive global market.

CNN: So what can be done?

Zakaria: We are going to have to move up the value chain. Ultimately you don't want to be making products that people can make somewhere else in the world at half or a quarter of the price.

You have to take on the more complex aspects of manufacturing. The car is becoming two things, it's a manufactured product, but it's also a very highly sophisticated computer. Think of your GPS system, audio system and so on. Each of these components has to be coordinated. Can we make the high-end aspects of the car? Can the U.S. be dominant in design, in the computer electronics part of it. It's very tough to be competitive on the pure manufacturing of the chassis.

CNN: What's the impact on people?

Zakaria: They have to hone their skills so they are really good at this stuff, at the skills of complex manufacturing and electronics. I don't mean to say everyone has to become a brain surgeon, but there's a difference between skilled labor and highly skilled labor. The Germans have maintained their manufacturing base because they've concentrated on complex manufacturing. They don't try to make Toyota cars; they make BMWs.

That means a lot of education and retraining. And the most important thing is education. You can only retrain somebody who knows how to read and write and do math. To the extent that U.S. schools are failing at this, there is a basic problem.

You can't retrain somebody who has a fourth-grade reading level, and when they don't have any basic math in the first place. We've gone from having the best test scores 25 years ago to having the worst in the industrialized world today. That's probably the single most important problem.

@highlight

Fareed Zakaria: Technology, globalization threatening middle-class jobs

@highlight

Zakaria says companies have become so much more efficient due to computer technology

@highlight

World market has grown, with many willing to work for far less than those in the U.S., he says

@highlight

Zakaria: America's middle class must become more highly educated and skilled to compete