Okaloosa Island, Florida (CNN) -- Vacationers were the first to notice the bird fumbling in the water near this popular tourist beach last week. It bobbed and swayed differently than other birds, and didn't react when humans came dangerously close. Once it was ashore, they could see why: a light sheen of oil covered its feathers.

Animal health technician Stephanie Neumann tried to rescue the Northern Gannet, but beach safety officers stopped her. Her coworkers at the Emerald Coast Wildlife Refuge already had stabilized birds and a sea turtle affected by the Gulf oil disaster, but officials wanted to know: Did she have a contract with BP? Could she -- and the bird --wait while they verified her organization's status?

"They're trying to do their job," Neumann said as she crouched over the motionless bird, wrapped in a white sheet and barely hidden from the stares of kids and parents. "They have to make sure protocol is followed."

When brown clumps of tar began to wash up on the snow-white beaches around Destin last week, the mood in this sunny beach community shifted from optimistic denial to furious worry. Local ideas about how to protect the area clashed with plans from BP, state and federal agencies. Community volunteers struggling to cut through protocol cheered a decision by Okaloosa County to defy BP and the feds. They were done waiting. They'd use their own plans.

"This is ridiculous. We'll take the heat. We would do whatever it took to stop the oil," said the county commission chairman, Wayne Harris.

After months of wrangling with agencies responding to the spill, Harris wasn't willing to stake the county's ecology and economy only on boom that captures or absorbs oil. The commission authorized emergency management teams to add skimmers, barges and extra boom, and an air wall they hope will push the oil away. They plan to layer prevention measures in the pass that connects the Gulf to Choctawhatchee Bay, where fresh and salt water mix and dolphins play. Harris said the plan could cost up to $6 million per month, which he hopes will be covered by money from BP.

The county developed its oil plan in the days after the disaster began to unfold, but it was plagued by miscommunications, disagreements and bureaucracy once it left local hands, Harris said.

Communities along the Gulf Coast have made similar complaints. Mayors grilled a BP official about the response during a press conference earlier this month. In Magnolia Springs, Alabama, locals went outside the federal plan and risked incarceration by adding boom and barges to protect Weeks Bay. In Pointe Aux Chenes, Louisiana, Native Americans pitched in to string boom near an island where many of their ancestors are buried.

Harris said some of his county's efforts may work; others may not. "Doing something is better than doing nothing," he said.

On the Okaloosa Island beach, local response to the oiled Gannet was quicker, but the federal response had less red tape to work through. U.S. Fish and Wildlife workers arrived before Neumann's status was verified, so she left their bird in their care.

"Time is essential with these guys," she said. "Every minute counts."

For the rest of Okaloosa County, more boom and barges were starting to appear in the water. The county commission vote was "smart," and sped up the state and federal response, said public safety director Dino Villani, who was quickly invited to an "olive branch" meeting in Mobile. Most of the county's preferred plans are moving forward, Villani said, and they'll continue to adapt as the oil moves throughout their waters.

Harris said the plans would have gone forward even without approval from BP or other government agencies.

"I'm sure they're cussing. I'm sure they're cussing us bad," Harris said. "If we had waited, we'd still be waiting. Why did it take us giving an ultimatum?"

Charles Diorio, a Coast Guard commander in Mobile, said some communities decided to implement their own plans once they saw they didn't top the list of state and federal priorities, if they were on the list at all. Some just wanted to act before the mess -- and response agencies' attention -- began to move their way.

Now that oil is reaching Florida's shores, resources are shifting there, Diorio said, and there's a plan to meet with Okaloosa commissioners this week.

"Now is the time to make sure these relationships are still working and strong and the lines of communication are open," he said.

The commission's vote marked a turning point for Okaloosa County residents and vacationers. Even as oil crippled fishing, tourism and ecology in Louisiana, Alabama and Mississippi, wishful thinkers hoped for the best around Destin, which calls itself the "World's Luckiest Fishing Village."

"I'm guilty of it. Every day something doesn't happen, you walk down your beach and don't see it, the feeling gets stronger -- until it arrives," Okaloosa County's beach safety division chief Tracey Vause said as he picked gummy tar balls from the sand.

"I was infuriated. It's almost like grieving. This is the destination, white, sandy beaches. Now they're not."

June is typically a busy month along the area known as Florida's Emerald Coast. Beaches in Destin and Fort Walton are usually packed with families freed from school and work, and the water is crammed with boats. But when traces of oil actually arrived last week, clean-up crews were on land and familiar local fishermen wore life jackets, a tell-tale sign they were called into service for BP. Tourist rentals already were down as much as 50 percent, county officials said. Shops were quiet, service jobs were cut back and only a few umbrellas and towels were scattered across the soft sand.

No oil-related illnesses or injuries had been reported as of late last week, said Cecilia Wagner, a community health worker for Okaloosa County. A health advisory warned beachgoers against swimming one day last week, but it was lifted hours later.

The arrival of oil spooked residents, and made clear the conflicts between local action and BP's response.

On the boardwalk at Okaloosa Island, volunteers cleaned up after a group of campers made oil-absorbing boom from hosiery and animal hair. Boom makers Yente Sehman and Barbara Johnson said they'd prefer boom made with renewable resources in the water around Okaloosa County's beaches, and as oil came closer, more materials and volunteers had showed up to help their efforts.

In a warehouse nearby, the pair stacked human and animal hair donations funneled through the non-profit Matter of Trust and postmarked from Missouri, Georgia, Massachusetts, Australia and China. Volunteers packed dog and alpaca hair clippings into the legs of pantyhose, then tied them off and strung them into mesh casings with plastic pieces that float in the water. Already, more than 5,000 boom were stacked inside the warehouse.

County officials said they don't want to discourage volunteers, but they aren't planning to use the animal hair boom, except as a last resort. Sehman's phone was busy with calls from local business owners and real estate agents who wanted the boom to protect their businesses, but organizers can't give the boom away without county approval and a clear plan for its disposal.

"We live in paradise and everybody wants to believe it's not going to happen to us," Johnson said. "It's turning into anger and frustration. BP, local government, state government, everybody sitting around waiting for someone else to do something. We want to help, but we can't."

Still, the women said they won't stop their boom-making effort, especially as more community members notice the empty beaches studded with tar balls and look for ways to get involved.

"Once we started, no way," Sehman said. "I'm very proud to live in this county at this point in time. People of this county are going to do what they want to do."

@highlight

Residents and vacationers in Okaloosa County in Florida are starting to spot tar balls and oiled wildlife on their beaches.

@highlight

County commissioners voted to respond to the oil spill with their own plans, regardless of whether unified command approved.

@highlight

Unified command sped up approval of their plans and will meet with commissioners this week.