(CNN) -- Securing the release of American prisoners Kenneth Bae and Matthew Miller from North Korea was not cost-free. It may also be an omen of the return of recurring efforts by U.S. administrations of both parties to negotiate deals with Pyongyang that inevitably fail.

The United States supposedly does not have diplomatic relations with North Korea. After all, the arms proliferating, dollar counterfeiting, nuclear-armed dictatorship, which torpedoed a South Korean ship in 2010, hasn't accounted for all of the foreign nationals it kidnapped abroad to train its spies, and occasionally threatens America and its allies with annihilation.

But that hasn't stopped a string of senior U.S. diplomats from visiting Pyongyang over the past three administrations. The most recent denizen was U.S. Director of National Intelligence James Clapper, who on Saturday brought home the two Americans imprisoned by the regime for alleged speech and faith-related activities that wouldn't get a second look in the civilized world.

While Clapper's trip may have been "last-minute," as the Obama administration described it, the efforts to arrange it probably went on for months -- and are emblematic of an unfortunate approach to North Korea and its Chinese allies that spans Republican and Democratic administrations -- especially in their final years.

Washington and Pyongyang both have agendas beyond what is visible today.

Is North Korea being magnanimous in releasing Bae and Miller before their trumped-up prison sentences ran out, or might it want something in return? In fact, it has already acquired something: the appearance of legitimacy.

The autocrats who maintain North Korea's totalitarian rule through fear -- and the young leader, Kim Jong Un, who even had his uncle executed -- relish any opportunity to show how they can make representatives of vastly more powerful nations come to Pyongyang and kiss their proverbial ring.

Previous visitors in this vein have included then-Secretary of State Madeleine Albright, former President Jimmy Carter, former Vice President Al Gore, and various representatives of then-Secretary of State Condoleezza Rice.

The North Korean government knows more about the U.S. political cycle than many American political scientists. It saw that the final two years of the Bill Clinton and George W. Bush administrations were fruitful for dealing with presidents and secretaries of state desperately trying to burnish their legacies.

Under President Clinton, aid to North Korea from Washington and Seoul spiked beginning in 1999, and included efforts to build nuclear power plants for the North Koreans. Under President Bush, Rice announced in 2007 a breakthrough whereby Pyongyang would give up its nuclear program in exchange for aid. As some predicted, North Korea took the aid but kept the nuclear program. It now likely hopes for a repeat of sorts.

North Korea no longer depends on foreign handouts for its survival. By some accounts, its economy is better off than ever, thanks to expanded trade with China -- much of which is supposedly banned by U.N. resolutions. But Pyongyang would still welcome further sanctions relief and loves to be courted diplomatically, which makes it look strong.

Courtship of North Korea also invariably involves obeisance to the notion that China will pressure its neighbor into behaving -- and perhaps even surrendering its nuclear weapons program. This is a diplomatic truism that just isn't true: Beijing has always normalized trade with North Korea rapidly after any disruptions in the wake of North Korean nuclear tests or other belligerent acts.

But it seems only Pyongyang and Beijing are in on this joke played on American and allied diplomats -- and China's unelected government itself cherishes the legitimacy it gets from being seen as the regional diplomatic linchpin. That is why Beijing has also been promoting multilateral talks with North Korea.

The way out of this is to stop believing that romancing Pyongyang will advance U.S. interests. North Korea has violated numerous arms agreements with the United States or other parties. Pyongyang will not be sweet-talked out of its nuclear arsenal or other provocations.

Washington can end the cycle of North Korea taking Americans hostage by declaring U.S. passports invalid for travel to North Korea. Furthermore, the United States and its allies should pivot to a program of putting nonviolent pressure on the North Korean regime.

Washington should tell the truth about China's support of Pyongyang, increase aid to defectors who try to pierce the curtain of censorship that keeps North Koreans in the dark and punish any company or bank that does business with the regime.

Putting the United States at the same table as lawless thugs isn't just morally repugnant -- it's ineffective. The free world should devote more effort to a better form of diplomacy that makes life difficult for its opponents.

@highlight

Kenneth Bae and Matthew Miller released by North Korea

@highlight

Agreement may be sign of more deals to come, says Christian Whiton

@highlight

Whiton: Kim regime is demonstrating knowledge about U.S. politics

@highlight

Time for U.S. to stop 'romancing' North Korea, he says