On CNN's "State of the Union," CNN host and chief national correspondent John King goes outside the Beltway to report on the issues affecting communities across the country. King recently traveled to Arizona, to explore the debate over how to control illegal immigration.

A fence separates the United States from Mexico in the U.S. Border Patrol's Yuma Sector in San Luis, Arizona.

SAN LUIS, Arizona (CNN)  -- The Yuma desert is below: San Luis, Arizona, to one side and San Luis, Mexico, to the other. On this clear day, the Colorado River is glistening, birds playfully circling over what any map defines as the U.S.-Mexico border in this area.

But from a helicopter above, the border is a steel barrier that stands out along the riverbank and against the desert sands, and is the dividing line that gets the most attention from those crying to cross illegally and those who believe recent efforts to bolster U.S. border security have been riddled with wrong choices.

Just this past week, eight Democrats in Congress wrote President Obama urging him to halt any further construction of the fence, one of the many border- and immigration-related political debates that have carried over from the Bush administration.

To the Border Patrol agents stationed in Yuma Sector, there is no debate. To them, the fence is a success story. From a Vietnam War-vintage Huey helicopter, pilot Chad Smith points across the border to Mexico's Highway 2 and then to the barriers that help stop illegal immigrants from making a sprint into southern Arizona.

"You can see the triple-layer fencing," Smith tells us as he lowers the helicopter and hovers over what was once a major crossing point for illegal immigrants and drug smugglers. "Steel fence right on the border, the pedestrian fence about 90 feet north of that, and then the chain-link fence with the barbed wire."

The fence has three layers in areas where there is an urban neighborhood on the Mexican side. Smith is among those who say their flights are less hectic now because while you can still clearly see the trails in the sand and in some hilly areas below, there is considerably less traffic.

"I've flown before and come back and had 70-plus [illegal immigrants logged in a tracking book]," Smith said. " I know guys who have gone on a flight and come back with 100-plus illegals in their logbook. Now it is in single digits, typically."

It is a fascinating view from above: Old trails in some places, and the remnants of newly placed white sandbags in others.

"It forms a pretty good bridge for them to drive across." Smith says of the sandbags. When they are spotted from above, Border Patrol agents on the ground are called in to destroy the makeshift crossings.

Congress in 2006 -- with then-Sen. Barack Obama's support -- authorized nearly $3 billion for 670 miles of fencing stretching from California to Texas. There are more lights, sensors and cameras, and there are also more agents like Mike Lowrie driving patrols and chasing tips called in from colleagues monitoring the camera feeds at the Yuma Sector headquarters.

Standing alongside the steel barrier at a point in which there is just one layer of fencing, Lowrie shakes his head when told that some in Washington want to stop additional construction in other areas.

"This used to be a very high-trafficked area, and now it is not," Lowrie told us.

Asked to define "high traffic," Lowrie says, "In the Yuma Sector, we would get about 800 a day. Now, 25 maybe, or 10."

Nodding toward the barrier, he continued: "Numbers don't lie. We didn't have it three years ago, and we were getting massive numbers of illegal entries. We have it now, and we don't."

But there are voices on both extremes of the immigration debate that say the role of the fence is exaggerated, or that say the barrier's benefit in slowing illegal traffic is offset by other costs.

Maricopa County Sheriff Joe Arpaio, whose tough stance against illegal immigrants has earned him global media coverage, says the fence is fine, but: "We just arrested 150 in the past 14 days. They're still coming."

And Father John Herman, a Roman Catholic priest whose Spanish language Masses are packed with illegal immigrants, blames the fence for more risky crossings in less-populated desert areas.

"We know that the way enforcement has gone has driven many people into the desert and caused more deaths. Needless deaths. If we could only get together and work for comprehensive immigration reform."

@highlight

Eight Democrats in Congress wrote Obama to halt building of border fence

@highlight

Border Patrol agents say fence has drastically cut number of border crossings

@highlight

Then-Sen. Obama voted to authorize almost $3 billion for building 670 miles of fence

@highlight

Critic says barrier has forced illegal immigrants to make riskier desert crossings