Many climbers dream of reaching the peak of the world's highest mountain at least once in their lifetime.

Chhurim Sherpa has done it twice -- in one week.

Guinness World Records formally recognized the 29-year-old's achievement last week, though it's been almost one year since she completed her historic double climb.

"People have set different kinds of climbing records in Everest," said Chhurim, sitting on her living room couch directly beneath a string of certificates hung on the wall -- the Guinness plaque included. "But no one has climbed twice within a week. So I just climbed with the sole motive of making a world record."

Chhurim made her initial ascent on May 12 and then, after a two-day rest on her return to base camp, reached the peak again on May 19, 2012.

Since Tenzing Norgay Sherpa and Sir Edmund Hillary broke barriers by stepping afoot the 8,848-meter peak in 1953, many benchmarks have been set. But for Chhurim, it was Pasang Lhamu Sherpa -- the first Nepalese woman to climb Everest (she died during her descent) -- who inspired the then fifth grader to sketch a future plan that most girls the same age couldn't conceive of.

Growing up in Taplejung district in north-eastern Nepal, Chhurim's early romance with mountaineering blossomed when she saw tourists trekking through her village. She wanted to do the same.

"I wanted to carry a backpack and climb the peak [Mt. Kanchanjunga] I saw from my village," she said.

But her eyes were set on Everest. She expected herself to achieve the extraordinary.

When she came to Kathmandu to visit her sister in 2010, Chhurim enrolled in a basic mountaineering training course run by the Nepal Mountaineering Association. She said it helped her get the "psychological, physical, and technical training" required to prepare for her the mission.

For the next two years, Chhurim honed her skills in rock climbing and first aid and climbed the Yala Peak (5,520m) -- also considered a trekking peak -- in Nepal's Langtang region.

Concerned about the risks and dangers, Chhurim's parents, however, were wary of her planned Everest ascent.

"She was determined," said Dandu Sherpa, her proud father. "She was on a quest to do something extraordinary -- it was difficult for us to stop her."

While parents and family members kept track of Chhurim throughout her journey, the climber said she detached herself from any emotions.

"The only thing on my mind was to successfully set the record," Chhurim said. She looked across the couch to her parents, and laughed, "I didn't really think of anyone during the climb, not even myself."

On May 12, when she reached 8,848m for the first time with a group of four other climbers, she stood amazed above the "layer of tiny mountain peaks blanketed by circular cloud patterns." During the 15 minutes she spent on top of the world, Chhurim said she took a moment to thank God, her parents, and then reminded herself that she had to do it all again.

After returning to base camp two days later and resting for another two days, Chhurim made the ascent again on May 17. But this time, she only had Tshering Dhendup, her aid, for company.

It was 33-year-old Dhendup's third trip to Everest. He recalled the two-day climb with Chhurim as a "memorable experience."

"She's fit and firm," he said, adding that he takes pride in being a part of Chhurim's record-setting expedition.

But for Chhurim, "Everest was exhausting."

En route to the world's highest peak, she also traversed the Khumbu Icefall at 5,486m as well as the steepest climb after Camp 3 (7,470m), all while carrying 15 kilograms of her expedition gear that she said seemed to weigh more like 50.

"But I did it -- I reached the summit on May 19, stood there for a little longer this time, about 25 minutes, and then headed to base camp in a day and a half," Chhurim said, describing the journey with such ease as if it were a trek for amateurs.

To date, the total number of people who have successfully climbed Everest from the Nepalese side, according to the Expedition Department at the Ministry of Tourism, stands at 3,842. Of them only 219 are women, out of whom a mere 21 are Nepalese.

"I really want other Nepalese women to get involved in mountaineering," Chhurim said. "We should have a can-do attitude so that we can move forward and not be left behind simply because we're women."

Though soft-spoken and shy, Chhurim was assertive when she talked about the involvement of women in the country's tourism sector. To her, it's also of utmost importance for women to become educated.

Though successful in her own right, Chhurim still laments not being able to continue school after eighth grade. There was no high school in her village and her family did not have the money to move to Kathmandu, or the closest town with a school.

"But it isn't too late," Chhurim said.

Currently, she is studying English at a local language institute in Kathmandu. She believes that the "international language" will further empower women to move forward in the tourism sector.

It certainly is helping her to work as a tour guide, she added.

With only two peaks -- Mera Peak (6,476m) and Island Peak (6,189m) --  to her credit before Everest, she's since gone on to conquer Mt. Ama Dablam (6,812m) and Kun peak (7,135m) in India.

But she's not finished with Everest. Chhurim wants to climb the summit again from the Chinese side, as well as ascend Mt. Kanchanjunga, and also the highest peak on every continent.

Her father said he "couldn't be happier or more proud" to see one of his eight children achieve something no one else has.

For Chhurim, it's the world record that matters -- it's a testament of her determination to succeed in her mission.

As she held her framed world record certificate to pose for a photograph, Chhurim said, "I have created a name for myself and I have raised my country's profile. If you're really determined, you can definitely take yourself to new heights, and that's what I've done."

@highlight

Chhurim Sherpa is the only person to have climbed Everest twice in one week

@highlight

Feat was recognized by Guinness Book of Records last week

@highlight

Sherpa made the double climb last May after years of preparation

@highlight

She says: "If you're really determined, you can definitely take yourself to new heights"