(CNN) -- Growing up in the Jim Crow-era South, we saw firsthand the great disparities in health care suffered by African-Americans. The lack of access to basic services, the dearth of black physicians and the often overtly racist attitudes of white health care providers contributed to higher rates of infant mortality, chronic illnesses and shorter life expectancy.

The Rev. Martin Luther King, Jr., said that "of all forms of inequality, injustice in health care is the most shocking and inhumane." But hasn't the prejudice that prevailed in those far off times been eliminated in today's more equitable society? Or do health disparities persist in less obvious but no less worrying ways -- and not just for African-Americans?

Studies emphatically conclude that such disparities do persist.

U.S. News and World Report released its latest issue announcing the best hospitals in the nation on Tuesday. People put a lot of stock in these rankings, and equality of treatment should be considered as a factor in what makes a hospital excellent.

"Unequal Treatment," published by the Institute of Medicine in 2002, spelled out exactly how Latinos, African-Americans, Native-Americans, Asian-Americans, and Pacific Islanders receive care that's inferior to that enjoyed by mainstream Americans. The IOM report triggered other studies that demonstrated the (often unconscious) prejudice that prevails in treating women, the elderly, the LGBT community, the obese --13 groups in all -- a large percentage of the health care consuming public.

Here are a few shocking examples: Women with symptoms of heart disease often are not transported by emergency medical services to health facilities as rapidly as men. Women and blacks with heart attack symptoms are not given cardiac catheterizations and other appropriate clinical tests at the same rate as white men. Latinos and African-Americans do not receive the same pain medication for long bone fractures as do their fellow citizens.

Attacking health disparities head-on can make a big difference. A program in Alaska designed to train dental health care therapists -- the rough equivalent of physician's assistants -- celebrated its 10th anniversary this month. The Native Tribal Council initiated the program, Dentex, because the state had few dentists and most wouldn't accept Medicaid. Many native children lost all of their teeth by age 18, affecting their health, social lives, school attendance, and employment possibilities.

The dental health aide therapists have improved oral health in Alaska dramatically. Now, despite the fierce opposition of the American Dental Association, Maine and Minnesota have approved the training and deployment of similar mid-level dental providers, and other states are considering it.

It is widely accepted that African-Americans and Hispanics are underserved. Shortening the waiting times at Grady Hospital in Atlanta, Georgia -- which primarily serves African-American, Hispanic and other minority populations -- allowed greater access to mental health services because the population is admitted more quickly and provided with care.

Hospitals would be encouraged to join the fight if equality were included as a metric in the U.S. News and World Report rankings. These rankings are popular and closely watched. They bestow bragging rights on hospitals, but most important, provide guidance for people deeply interested in where they might go to receive the best care in the specialties that concern them most.

U.S. News and World Report has a tremendous opportunity to facilitate significant changes in health care delivery by rating hospitals for their care of the underserved. Its annual hospital rankings tell consumers nothing on this vital subject.

Where do hospitals rank in their understanding of the problem of unequal care? What measures do they take to counteract the effects of prejudice in the treatment they provide?

We encourage the publication to maximize this opportunity before next year's "Best Hospitals" issue. That would enable women and minorities to advocate for health care equality more successfully. It would help U.S. health professionals understand health disparities and more effectively treat underserved and minority populations.

Most important, it would help all patients and their families, not just those who need not worry about disparities in care, to know better where to go for the care they need.

@highlight

U.S. News and World Report releases respected list of best hospitals in the U.S.

@highlight

Louis Sullivan, Augustus White grew up when minority health care was shameful

@highlight

They say problems persist in unequal access, quality of care for minorities, women

@highlight

Authors: "Best Hospital" rankings must include metric of equal treatment