(CNN) -- Dick Cheney, it has been said, fears that "somebody will Pinochet him."

This extraordinary grammatical twist of the word Pinochet cannot be found in Cheney's recently published memoirs. It was used in several television interviews by Col. Lawrence Wilkerson, the former chief of staff to Colin Powell, to suggest that George W. Bush's vice president dreads the possibility that he, like Gen. Augusto Pinochet, Chile's late dictator, will be put on trial for crimes against humanity in a foreign land.

In effect, ever since Pinochet was arrested in London in 1998 and spent the next year and a half fighting extradition to Spain to face charges of having ordered and condoned torture during his regime, ever since the British House of Lords (equivalent to the U.S. Supreme Court) judged that it was valid to indict a head of state for human rights abuses in a country other than the one where those abuses had been committed, the specter of that decision and that fate has haunted rulers and former rulers everywhere.

What terrifies Cheney (and perhaps should terrify his boss, Bush, as well) is that one morning he will be sipping his cafÃ© au lait in Paris or strolling along the Thames in London or examining Picasso's "Guernica" in the Museo Reina Sofia in Madrid (would he recognize Iraq in that painting?), only to be suddenly tapped on the shoulder and escorted to a nearby police station. Politely, of course -- there would be no roughing him up, no extraordinary rendition, say, to North Korea, certainly no waterboarding in GuantÃ¡namo to get him to come clean, no one whispering in his ear, "If you have nothing to hide, you have nothing to fear."

And, after being booked, Cheney would be brought before a magistrate to be informed that according to international law, he is indicted for authorizing torture (he has acknowledged direct involvement in approving its use on prisoners detained after 9/11), an activity that is condemned in a covenant that the United States ratified in 1994. And then he will have the chance -- which none of his purported victims did -- of defending himself with attorneys and the possibility of cross-examining his accusers.

It's true that the former vice president can avoid all this unpleasantness by simply staying within the borders of his own land and never venturing abroad, except perhaps to Bahrain or Yemen, nations that have not ratified the U.N. Convention Against Torture.

What Cheney cannot avoid, however, is the universal shame and disgrace of being targeted and tainted by the word Pinochet, an infamy that, unfortunately, also soils the country where Cheney was born and which now gives him refuge and offers him impunity.

By refusing to investigate, let alone prosecute, members of the Bush administration who stand accused by many human rights activists of crimes against humanity, the United States is telling the world that it does not obey the treaties it has signed or even its own domestic laws. It is declaring that some of its citizens -- the most influential of these citizens -- are beyond the reach of the law. It is joining a group of rogue nations that routinely torture and humiliate their prisoners and deny them habeas corpus.

It is difficult to exaggerate how much this harms the United States -- a country that throws out the window thousands of years of progress in defining what it means to be human, what it means to have rights due to the mere fact of being human. A country that flouts the Magna Carta and destroys the legacy established by the fathers of American independence and violates the U.N. charter that the United States itself helped to create after World War II when the cry of "never again" rose from a wounded planet. A country that applauds the trial of Hosni Mubarak in Egypt and scorns the torture chambers of Moammar Gadhafi in Libya and deplores the massacres in Syria, but will not hold accountable one of its own elite.

There is a way, of course, to be rid of this stigma and, also, to verify whether Cheney's claims of innocence (like those of Pinochet) are valid.

Put Cheney on trial in the United States itself. Let a jury of his peers decide whether, as he himself has stated, it would have been unethical or immoral "not to do everything we could" (in other words, torture) "in order to protect the nation against further attacks like what happened on 9/11." Examine publicly whether those "enhanced interrogations" were, in effect, necessary to keep America safe or if, on the contrary, they have endangered the country's security by debasing its moral standing and creating more jihadists bent on new acts of terrorism.

Justice for all.

The last three words of the Pledge of Allegiance that schoolchildren all across America recite each morning, their hands on their hearts before the flag, the words I spoke out as a child in New York and carried with me into my many exiles.

Not justice for one. Or justice for some. Or justice for almost everybody.

For all.

Those oh-so-simple three words are stating that it does not matter how powerful you are, whether you were a tyrant such as Pinochet or a man such as Cheney who was a mere heartbeat away from the presidency of the United States, you can never be above the law.

All.

A word synonymous with humanity, all of it, every first and last one of us -- the ruler who commands millions and the victim screaming in the darkness for a reprieve from pain.

If Cheney really loved his country, he would demand that a grand jury be convened, he would want a world where the schoolchildren of tomorrow, his own grandchildren and great-grandchildren, can truly pledge that there will be justice for all.

He would want to clear his name and never more see it even remotely associated with Pinochet, that thief, that traitor, that man who tortured his own people and lives on only in the annals of villainy.

The opinions expressed in this commentary are solely those of Ariel Dorfman.

@highlight

Ariel Dorfman: Ex-Colin Powell aide says Dick Cheney fears "somebody will Pinochet him"

@highlight

Dorfman: Cheney likely terrified of being tried for crimes against humanity for OK'ing torture

@highlight

He says Pinochet tag would be shameful for Cheney, debases U.S. in eyes of world

@highlight

Dorfman: Cheney should face trial in U.S. to show that "justice for all" has meaning