(CNN) -- Horror struck Newtown, Connecticut, in such a disturbing way that the nation still struggles with its impact a year later.

The legacy of the second-deadliest mass shooting in U.S. history is so profound that it cannot hold just one meaning. It holds several. That's because the crime itself conveys multiple issues in its summary:

A mentally ill 20-year-old recluse obsessed with school shootings enters Sandy Hook Elementary School after the morning bell and kills six adult women, 12 girls and eight boys in 11 minutes. The children were 6 or 7 years old. The heavily armed Adam Lanza, who first killed his mother before taking her car to the school, also killed himself, in a classroom.

On the anniversary of the December 14 slaughter -- under the shadow of another school shooting, this time at Arapahoe High School in Centennial, Colorado -- country and community alike pause and reflect on an event known simply as "Newtown" or "Sandy Hook" and what it says about America on the matters of guns, mental health, healing, and the human spirit.

Guns

Whether the United States has reformed its gun laws after the Newtown massacre may depend on your point of view.

Clearly, America affirms a right to bear arms.

President Barack Obama was unable to persuade Congress, as he vowed in Newtown's aftermath, to "come together and take meaningful action to prevent more tragedies like this, regardless of the politics" about gun reform.

Obama failed to even expand background checks on firearm buyers, though he signed 23 executive actions to strengthen existing gun laws and take related steps on mental health and school safety.

However, Paul Barrett, author of "Glock: The Rise of America's Gun," said it's easier today to own a firearm in some states than a year ago.

"The one-word answer is yes," Barrett, an assistant managing editor and senior writer at Bloomberg Businessweek, told National Public Radio. "And I say yes because I think the overall environment in the United States has moved in a libertarian direction, in a pro-gun direction, away from the idea that the regulation of the lawful acquisition of firearms has much effect on crime."

Others disagree and point to how a growing number of states have reformed gun laws -- in the absence of the federal reforms. Barrett acknowledges the success in those states, indicating it's not easier to own and operate a gun in those regions a year after Sandy Hook.

Those are major victories, according to gun reform advocates who have spent years working on their cause.

Those activists assembled this month a report card on all 50 states, grading their regulations on guns and ammunition, background checks, and prohibitions against dangerous people buying weapons.

High grades went to eight states that have enacted major gun reforms: California, Colorado, Connecticut, Delaware, Illinois, Maryland, New Jersey and New York. Low grades were given to Arizona, Alaska, Wyoming, South Dakota -- states with some of the highest gun death rates in the country, according to the Law Center to Prevent Gun Violence and the Brady Campaign to Prevent Gun Violence.

"States have clearly led where Congress has failed, and passed gun measures that will save lives," Dan Gross, president of the Brady Campaign, said in a statement. "But to make this the truly safer nation we all want, we need the same laws on a federal level."

Newtown marks the anniversary

Mental Health

Lanza, 20, suffered mental health problems. Many people, including the parents whose children were killed by Lanza, say society needs to better treat these problems to prevent another disturbed gunman committing a massacre. In fact, to combat the stigma-loaded phrase of "mental illness," some Newtown parents have advanced a new wording to illustrate how the issue is deeper or more organic: "brain health" or "brain illness."

Lanza was living with his mother, Nancy, 52, in a Newtown house that evoked the old-growth elegance of New England. She ensured her son received treatment, but after her son's rampage, she was criticized by some for owning a semiautomatic rifle and two handguns, a Glock and a Sig Sauer, and giving her son access to them. Adam Lanza took those firearms to Sandy Hook and used a Bushmaster Model XM15-E2S rifle in the shooting.

Before the violence, Lanza had become isolated. His parents divorced in September 2009, and his father, Peter, remarried and moved to an area not far from Newtown. Their only other child, also a son, 24, wasn't living in the mother's home.

A 44-page summary of Connecticut authorities' investigation concludes that Lanza "had significant mental health issues that affected his ability to live a normal life and to interact with others. What contribution this made to the shootings, if any, is unknown as those mental health professionals who saw him did not see anything that would have predicted his future behavior."

Some Newtown parents and a journalist who wrote a book about the town's atrocity take exception with that finding. They are raising public awareness about mental -- or brain -- health issues as a way to prevent catastrophic crimes and to honor the memory of the children who were slain.

Nancy Lanza arranged help for her son in school, but once he left school at age 18 and became socially isolated, the mother's options became limited, said journalist Matthew Lysiak, author of "Newtown: An American Tragedy." Why she kept guns in the home, however, is "inexplicable," he said.

"When I tracked through Adam's life -- and I was able to access years' worth of Nancy Lanza, the mother's, e-mails -- you can see this deterioration of mental health over the course of many years. And this was a mother who identified that her son was mentally ill and sought professional help," Lysiak said. "Still, Adam was not on medication. And the fact that we have a lot of dangerously mentally ill people around who are not being treated, to me says that you can expect this rising trend of mass shootings to continue unless we figure out a solution."

The parents of Newtown are urging society to make treatment of brain illnesses an affirmative experience, not a stigmatizing one.

"The Sandy Hook shooting could have been avoided if the proper intervention had been made, if he and his family had received help, had sought help and had received help at an earlier stage," said Nicole Hockley, whose son Dylan, 6, was killed in the gunfire.

"And certainly if there hadn't been that sort of open access to firearms, I probably wouldn't be sitting here talking to you today, and to be honest that would be a really good thing," Hockley said last week.

After Newtown, mental health gains prominence in gun debate

The victimized families

Families who lost a child in the mass shooting still recover from the devastation.

They are just now beginning to share with the world the depth of the tragedy. Public comments by the families this weekend are unlikely, as several news outlets, including CNN, have agreed not to send reporters to Newtown on the anniversary.

"I had to be on the floor because I felt if I stood up the world would spin away. I remember asking, why would somebody walk into the school and kill my child," Jennifer Hensel said in a recent interview. She and Jeremy Richman lost 6-year-old daughter Avielle Richman in the shooting.

"I think there's not a minute, not a second of any day that goes by where somewhere in my head I'm thinking, I don't have my daughter Avielle. She's gone. That's always in my head," said Richman.

Mark and Jackie Barden also spoke of falling into an abyss. Their son, Daniel, 7, was also killed.

"I still really can't seem to get my head around that this has happened and how final it is," Jackie Barden said.

Added her husband: "The bottom just falls out for you. What's left is faith."

Hensel and Richman are both research scientists. He studies neuroscience and neuropsychopharmacology. To seek something constructive in a situation so destructive, the couple started a foundation in the name of their daughter, devoted to understanding the biological and environmental factors that can lead to malevolent behavior.

"We do think that there are physical manifestations in the brain that lead to all our behaviors," Richman said. "And if we can understand those, we can help nudge them one direction or another to make things happier and healthier."

Opinion: Keep your guns, but take responsibility

The community itself

After much soul searching, the hamlet of Newtown decided to tear down the school, whose razing began in October.

Another big decision had to be made: Should the new school be built in the same place or another?

The residents would not be bowed: The new school will be built on the same site, a symbol of resurrection.

It wasn't an easy choice in a town of 27,000 where everyone seems to have some sort of connection -- close or loose -- to the school and its carnage.

Should children return to that scene, even if a new school would greet them?

"It was gut wrenching," said Richard Harwood, a community building expert who helped a 28-person task force in Newtown come to a decision.

"This was really about how the community was going to move forward and under what conditions and how you were going to balance the needs of the current students and those of future generations," Harwood said. "There was the question of building on another site and whether that was giving into evil of the gunman."

Public testimony showed divisions, said Harwood, who is president of an institute for public innovation bearing his name.

"Families for victims or survivors would speak before the task force," he said. "They would say something that I wouldn't want to have to be in your shoes making this decision, and even though I don't agree with your decision, I would be supportive."

Perhaps it's these public legacies that are the greatest: Humanity shows compassion in its darkest hour.

And a community moves forward the best it can, recognizing, as Harwood said, that there's "not a perfect solution to an imperfect, horrific situation."

What really makes schools safer?

@highlight

A Connecticut school shooting killed six women and 20 children, ages 6 or 7, a year ago

@highlight

Federal gun reform proposals fail, but some states now have tougher gun laws

@highlight

Mental health problems are now being cast as "brain health" issues in a public campaign

@highlight

A town's compassion is tested when deciding to build a new school on the same site