(CNN) -- Over the past year we've heard a lot about class warfare, the "Buffett Rule" and the tax code and so on. But if you want to see a blatant form of poor vs. rich, walk into a grocery store. Here we are forced to decide between what's good for our kids and what we can afford to feed them.

Ground beef that is 80/20 is fattier but cheaper than 90/10. Ground turkey breast is leaner than the other two but is usually the more expensive. And many of us can't even begin to think about free-range chicken and organic produce -- food without pesticides and antibiotics that'll cost you a second mortgage in no time at all.

Recently Michelle Obama's campaign to get healthier foods into poor neighborhoods came under new scrutiny because two studies found her notion of "food deserts" -- poor urban neighborhoods where access to fresh fruits and vegetables are supposedly nonexistent -- doesn't quite jibe with the research. The studies have even found that there isn't a relationship between the type of food offered in neighborhoods and obesity among the children living there.

That may be true.

But it is also true that The American Journal of Clinical Nutrition recently published a study that found $1 could buy 1,200 calories of potato chips but just 250 calories of vegetables and 170 calories of fresh fruit. And it is also true that Mississippi, the poorest state in the country, is also the fattest.

In fact, the five poorest states are also among the 10 fattest, and eight of the 10 poorest states are also among the 10 with the lowest life expectancy.

I guess one could dismiss this as one big coincidence, but is it also a coincidence that half of the top 10 states with the highest median incomes are also in the top 10 in life expectancy?

Eatocracy: Buying food is a political act

I don't know about "food deserts," but I do know just as there is a link between education and poverty, there appears to be a correlation between poverty and health. In 2010, the U.S. Department of Agriculture estimated the weekly grocery bill for a family of four hovered at $134.50; in 2011 it was up to $141.20. That $7 difference may not seem like a lot to some, but I remember my earlier days, when my family of five didn't have $7. And when we did get it, it was used for the cheapest food available -- the fattest meats and dishes anchored by saturated fats and sugars. In other words the kind of diet that's routinely linked to obesity and its byproducts: heart disease, diabetes and high cholesterol.

Think it's not your problem? Think again.

In 2008, health care costs stemming from obesity were estimated to be $147 billion. By 2030, 42% of Americans are projected to be obese, with costs for health care at $550 billion. One in three adults making $15,000 or less is obese. What happens when they're rushed to the hospital and can't pay their bill? The government pays for it. And by government, I mean taxpayers. Today, hospitals are left with up to $49 billion in unpaid bills, and the government -- or rather we -- pick up 75% of that tab.

We have fought over Planned Parenthood's $363 million budget.

We've squabbled over NPR's $445 million budget.

We have even seen the General Services Administration's $1 million party in Las Vegas become a campaign issue.

But nary a word on the campaign trail about the billions that are being spent each year due to this low income-obesity cycle that is not only potentially cutting short the lives of millions of poor Americans, but eating away at the paychecks of a middle class that needs that money to make healthier food choices for their own families. It's a vicious cycle that has a tangible, long-term impact on our economy.

The first lady was accused by Republicans of politicizing the healthy food conversation. I wish the topic were politicized -- maybe then Washington would talk about it more.

President Barack Obama's Affordable Care Act was characterized by many as "socialized medicine." Well, why aren't those same critics leading the charge against the nation's expanding waistline, seeing as how taxpayers pay the price when the cost comes due?

Instead, we're debating whether or not Obama's a foreigner and legalizing pot.

Overheard on CNN.com: Do Americans take enough personal responsibility?

The rise of Type 2 diabetes in children coincides with the rise of child obesity and childhood poverty. I'm sure to some that is just another coincidence. But to me that is as strong of an example as any of class warfare and what ails our economy.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

LZ Granderson says it's expensive to eat healthier food such as pricey organics

@highlight

He says the real class warfare is when bad food options put the poor on road to obesity

@highlight

Granderson says poor states tend to be fatter with residents who live shorter lives

@highlight

Why isn't it a political issue when we all feel result in higher health care costs? he asks