London (CNN) -- With her flaming red hair, Marilyn Monroe figure, and lurid green snake casually coiled around the arm, Jo-Jo Cranfield looks like a real-life muse emerging from a Salvador Dali painting.

It's impossible not to stare at the neon python on her left wrist. But take a closer look and you'll discover that the reptile slithers in and out of the flesh like a psychedelic needle and thread.

Cranfield is an amputee. And her fantastical arm -- described as everything from cool to creepy, and erotic -- is the work of a London designer reinventing the way we see prosthetic limbs.

From stereo legs to feather arms, Sophie de Oliveira Barata's Alternative Limb Project crosses into the realm of surrealist art, yet with a very important function.

"It's drawing attention to their disability in a positive way," said de Oliveira Barata. "Rather than people seeing what's missing, it's about what they've got.

"Having an alternative limb is about claiming control and saying 'I'm an individual and this reflects who I am.'"

Superhuman

De Oliveira Barata's remarkable work was thrust into the international spotlight last year when model and singer Viktoria Modesta wore her Swarovski crystal leg at the London Paralympics closing ceremony.

Artificial limbs are usually designed to be as inconspicuous as possible. Yet here was an amputee proudly stretching her bejeweled leg before a stadium of flashing cameras and millions of TV viewers across the world.

"Generally the whole technology is moving towards trying to recapture a lifelike limb that looks realistic and also acts realistic in motion," said de Oliveira.

"In this instance I'm doing the complete opposite and I think it does capture that whole childlike imagination -- it's like being a superhero with super powers."

Read this: Are bionic superhumans on the horizon?

Loud and proud

For Latvian-born Modesta, who had her left leg amputated below the knee as a teenager due to ongoing health problems, alternative limbs are as much a way of expressing herself as the clothes she wears.

"Being a self-confessed fashionista, things that I'm into tend to change all the time, and like most key pieces in my wardrobe I would only wear it a number of times," she said.

"The first time I wore a limb that was so obviously bionic, it gave me a total sense of uniqueness and feeling mutant human in the best way possible."

Interactive: Explore the bionic body

Similarly Cranfield, who tends to wear her snake arm on nights out with friends, says it makes her feel powerful and sexy.

"I wanted people to have to look at me twice with amazement," said Cranfield, a motivational speaker and para triathlete, who was born without an arm below the elbow.

"I'd rather people just asked me outright how I lost my arm. This is so out there -- like I'm wanting you to look at me -- that it makes people feel OK to ask questions."

A special effect

After studying special effects prosthetics for film and TV, de Oliveira Barata worked with a realistic prosthetics company for eight years, continuing to experiment with artistic limbs in her spare time.

In 2009 she contacted Modesta with her unique idea for an alternative limb company, and the pair began collaborating on a groundbreaking stereo leg, replete with speakers and stiletto shoe.

The prototype was a success and de Oliveira Barata's clients now range from ex-military men looking for a sci-fi leg to children wanting a secret compartment to store their pencils.

The bespoke limbs cost between $4,600 and $21,000. Materials vary according to each design, but must be durable, lightweight, and water resistant.

In Britain, the National Health Service currently only funds realistic limbs. But De Oliveira Barata argued that alternative prostheses could be just as beneficial.

"The dominant thinking is that a new limb should be as close a match to the previous limb as possible," she said. "But until technology gets to the point where you can have a realistic looking limb in movement and aesthetics, there will always be this uncanny middle ground.

"Having an alternative limb embraces difference and can help create a sense of ownership and empowerment."

Moving with the times

Not just aesthetically pioneering, de Oliveira is now working on a new series of limbs with alternative functions.

Swiss army knife arms with fold-out tools, nightclubbing legs that light up to music, and cooking arms with different attachments for kitchen appliances, are just some of the futuristic designs she's been working on as part of the project with special effects students at Hertfordshire University, in England.

There is something undeniably playful about the project. After all, one of Cranfield's favorite tricks is walking around with her snake arm poking out the top of her bag.

"It provokes some strange reactions," she admitted. "But I've never wanted to just fit in -- I've always wanted to be different."

@highlight

London designer Sophie de Oliveira Barata creates artistic limbs for amputees

@highlight

From snake arms to floral legs, she challenges perceptions of prostheses

@highlight

Model Viktoria Modesta wore crystal leg to Paralympics closing ceremony

@highlight

De Oliveira Barata says alternative limbs have psychological benefits