(CNN) -- Enterovirus D68 has swept through 30 states since mid-August. What sets the virus apart from many others in the same family is its vicious symptoms: Instead of just causing a summer cold, it sends children to the hospital -- where they often end up in the intensive care unit, struggling to breathe.

David Nash from Tucker, Georgia, is one of those children.

At first his parents, Rachel and Rodney Nash, weren't too alarmed when David came down with a cough, runny nose and low-grade fever. But then the 3-year-old got sick very quickly.

David was in the first wave of children hit with Enterovirus D68. The virus struck early in states such as Georgia, where children headed back to school last month, but it then spread to states such as New York and Connecticut, where school began after Labor Day.

"There's no doubt the opening of schools has facilitated the transmission of Enterovirus D68," says Dr. William Schaffner, an infectious disease specialist at Vanderbilt University Medical Center.

What parents should know

The Nashes shared with CNN the day-to-day story of their son's illness, hoping it might help families whose children have been recently diagnosed with what one pediatrician calls a "frightening" virus.

August 11

A healthy David and his big brother, Benjamin, start school.

August 24

David develops a cough, runny nose and low-grade fever. His parents aren't too worried as it seems like a regular cold.

August 25

The Nashes become more concerned. Their little ball of energy who loves flying around the house as Batman doesn't want to play. That night, he wheezes as he sleeps. His parents wake him to give him puffs from an inhaler prescribed for his seasonal allergies.

August 26

David's breathing gets worse.

"You could see him trying to pull the air in," Rachel Nash recalls. "His nostrils flared as he inhaled, and you could see the muscles in his neck and collarbone working extra hard."

Rodney Nash adds, "I remember as a kid my goldfish jumped out of the bowl. That's how he looked to me -- like a goldfish gasping for breath."

The Nashes take David to the emergency room at Children's Healthcare of Atlanta. His oxygen saturation rate is 86%. Healthy children's oxygen saturation is around 97%.

The doctors give David oxygen through his nose. Every two hours he gets nebulizer treatments, which are commonly used to treat asthma, to try to unclog his airways. David hates the mask and isn't cooperative.

David's saturation rate goes up to 88%, but that's not enough. He's admitted to the hospital.

August 27

In addition to the oxygen and breathing treatments, David gets an oral steroid to help shrink the swelling in his airways.

Even then, David is still wheezing.

"It sounded like air going through a balloon -- where you pinch the balloon and hear the squeaking sounds," his father says.

Doctors try a "shaker vest." Blasts of air shake the vest, which loosens up mucus caught in the lungs.

David does the shaker vest treatment every three hours, but he's still not better.

August 28

At 4 a.m., a nurse says David is finally responding to the treatments. His breathing, which had been quick and shallow, is slowing down.

The nebulizer treatments go from every two hours to every four. He still doesn't like them, but he doesn't protest as much as he did before.

At 8 a.m., David is taken off the oxygen and allowed to play. Nurses watch to see if he can breathe OK while riding a bike. If he can't, it means more time in the hospital.

David does fine on the bike, and his oxygen saturation level reaches 94% around lunchtime.

He's discharged from the hospital.

August 29-31

For the first two days back at home, David does inhaler treatments every four hours. He wheezes a bit, but he's pretty much back to his old self -- energetic and playful.

September 16

David has an appointment with his pediatrician, Dr. Betsy John. She gives him a clean bill of health.

David's journey with Enterovirus D68 is fairly typical, says Dr. Mary Anne Jackson, division director of infectious diseases at Children's Mercy Hospital in Kansas City, Missouri.

Many children, however, get sick even faster. David was ill for about two days before he had to be hospitalized, but many of Jackson's patients have gone from healthy to severely ill in just a day, and they arrive at the hospital barely able to breathe.

"These kids were really struggling. Many can't even speak a sentence," she says. "It's frightening."

Her advice: If D68 has made its way to your community, and your child has asthma, or even, like David, just a history of allergies or occasional breathing difficulties, call your pediatrician and ask if there's anything you can do to protect your child.

@highlight

Enterovirus D68 is sending children with breathing problems to the hospital

@highlight

David Nash fell ill in August with typical enterovirus symptoms

@highlight

The 3-year-old was hospitalized but has since recovered