(CNN) -- The business of saving lives can happen in the most unassuming of places: In the corner of a nondescript, dingy building in an unnamed West Coast city, in a small office that can barely fit four desks.

Here, trained counselors take the calls of young people in crisis and those who worry about them. It's the kind of place where the mere act of talking can eclipse the tragic, where people work to keep headlines -- like the story of Rutgers student Tyler Clementi -- from ever happening.

Welcome to one of the two national call centers for The Trevor Lifeline, America's only 24/7 crisis and suicide prevention hot line for lesbian, gay, bisexual, transgender and questioning youths. The lifeline is a cornerstone of The Trevor Project, a broader nonprofit dedicated to promoting acceptance of LGBTQ youths and to preventing suicides.

Between this center and another on the East Coast -- at least one is open at all times -- about 30,000 calls are fielded each year. They come from young people struggling with who they are and those who feel desperately alone. They are from kids who've been kicked out of their homes and those whose friends have rejected them. They are from students being tormented by text messages and, at times, those who are poised with a bottle of pills or a gun.

Anti-bullying resources for parents and teachers

And they are from mothers like Angela Wedel, who dialed the lifeline when her love for her son just wasn't enough.

Garrett Wedel, 16, was only 12 when he came out. He says he was too young to even imagine that parents might turn their backs on a child. Fortunately, his didn't.

Even with his family's acceptance, he kept to himself the stories about bullying. A couple of times, though, he couldn't hide the depths of his pain. He'd broken down and talked about ending his life, but in those cases, he could be soothed, and that seemed enough.

Opinion: Being bullied is hell, but life gets better

One time, though, was different.

The family was on a ski trip during Garrett's freshman year in high school. He'd confessed by text his feelings for a close friend and had told the boy he liked him. The return call that he got, the one in which that boy told Garrett he could not be trusted and they could not be friends anymore, made him crumble.

Angela didn't know what had happened, but she saw him race to his bedroom, and she followed.

"He was basically on the bed in the fetal position just crying and saying how much he hated life, didn't want to live, didn't want to go back to school," she says, remembering that evening two and a half years ago and peering at her son beside her.

"He was just crying so hard ... and I could only comfort him so much. I held him. And that's when I remembered that a friend had given me the number for The Trevor Project."

She'd stored that number in her phone, just in case she ever needed it.

Now she dialed.

"At that point I was out of resources," she says. "I was in a panic. I was frantic ... I couldn't just keep saying 'I love you, I support you' and move on."

The Trevor Project doesn't publicize where the two call centers are to protect their 160 volunteer counselors, all of whom receive at least 40 to 50 hours of training before they take on shifts. Nor does it allow for outsiders to listen in on calls. But even a short glimpse into the West Coast call center helps one imagine what happened next.

Wearing a headset, prepared with questions to assess risk, a counselor answered.

"A calming voice was on the other end," Angela remembers. "I talked to the gentleman on the phone, and he asked to speak to Garrett."

Her son spoke to the counselor for close to an hour. All the while, she was by his side, her arms wrapped around him, doing all she could.

"When I first heard the voice, I was just very relieved," Garrett says, before adding what he remembers being told. " 'Calm down, Garrett. Everything's going to be OK. Please don't do anything. Can't we just talk for a little more?' And I think that really helped me ... it really calmed me down."

In a corner of the small call center office sits a short bookshelf crammed with titles including "Out in All Directions: Almanac of Gay and Lesbian America," "The Meaning of Matthew: My Son's Murder in Laramie, and a World Transformed" and "Free to Be ... You and Me."

Posted on bulletin boards are talking points, lists of resources, contact numbers to use in case of emergency. The lifeline has a psychiatrist on call at all times.

After Garrett finished speaking to the counselor, who encouraged him to call anytime, he handed the phone back to Angela. The counselor then gave her resources, names and numbers, she says, and "he kind of gave me the strength and path to go down to get the help we needed."

He also gave her the reassurance that her son was not in the imminent danger she feared.

"We were still able to reach him and get through to him and talk to him," she says. "I knew he needed help, but I didn't know how to give it to him. And that's where The Trevor Project was able to help me."

Teen's coming out triggers bullying

In the time since that call, Garrett says he's become more able to reach out to others. He won't hesitate to speak with the counselors at school, and he's found friends he trusts. This doesn't mean, though, that the comments he hears in school or the looks he catches don't affect him anymore.

"They still sting the same way," he says. "But I developed a support system."

And in those tough moments when those around him aren't available, or if he needs a different ear, he knows where to turn.

Programmed in his phone is a number he can always call.

To reach the Trevor Lifeline, call 866-4-U-TREVOR.

@highlight

A friend's rejection made Garrett Wedel crumble and left him saying he didn't want to live

@highlight

His mother remembered she had a number for The Trevor Project in her phone and dialed for help

@highlight

A counselor "really calmed me down," says Garrett, who holds onto the number years later

@highlight

The Trevor Project takes the calls of LGBTQ youth in crisis and those who care about them