(CNN) -- The guns that have ravaged much of Syria since March 2011 may fall silent Friday, now that Syria's government has agreed to a cease-fire.

Syria's government and its main rebel force, the Free Syrian Army, said Thursday they would halt military operations during the Muslim holiday of Eid al-Adha, which runs from Friday to Monday.

But the terms of Syria's agreement have raised skepticism among some observers: Damascus reserves the right to respond to "terrorist" attacks, including bombings, as well as "terrorists" trying to reinforce their positions; and to protect neighboring borders crossed by "terrorists."

On the rebel side, a top Free Syrian Army general said his fighters had agreed to halt military operations if the Syrian government were to do so as well. But he said he doubted that the truce would hold.

Syria's rebel opposition is fractured, and Gen. Mustafa al-Sheikh noted that some rebel groups have not agreed to halt operations.

The United States and the United Nations, which helped negotiate the truce through U.N.-Arab League special envoy Lakhdar Brahimi, welcomed the news, despite the uncertainty.

Barbara Walters says she regrets trying to help Syrian aide

"What we are hoping and expecting is that they will not just talk the talk of cease-fire, but they will walk the walk -- beginning with the regime," said U.S. State Department spokeswoman Victoria Nuland.

At the United Nations, Secretary-General Ban Ki-moon "welcomes the reported announcements," U.N. spokesman Martin Nesirky told reporters.

"Obviously, the world is now watching to see what will happen on Friday morning," he said. "We cannot be sure yet what will transpire, but the hope is that the guns will fall silent for the people of Syria so that they will have peace and quiet during this holy holiday."

U.N. humanitarian workers, working with the Syrian Arab Red Crescent, are on standby to provide aid to areas that have not been easily accessible, he said.

Opposition forces said government troops struck rebel targets Thursday in the war's major hot spots, particularly in Aleppo, Syria's most populous city. The state-run Syrian Arab News Agency reported violence in Homs and Deir Ezzor.

At least 106 people were killed Thursday amid fighting and shelling nationwide, the opposition Local Coordination Committees of Syria said. At least 36 of them died in Damascus and its suburbs and 33 in Aleppo.

Rebels expressed skepticism over the truce. "They have betrayed us many times and they do not care if it is Eid or anything else, they will continue to kill," said Abdualla Yasin, the rebel Free Syrian Army spokesman in Aleppo.

Eid al-Adha is a major holiday on the Muslim calendar. It is described as a joyous time of peace as the faithful celebrate the end of the Hajj, the annual pilgrimage to Mecca in Saudi Arabia.

The government touted several goodwill efforts Thursday leading to its announcement that it will stop fighting.

State-run TV aired footage of men walking out of a prison -- part of a government amnesty program, a commentator said.

The release comes a week after rebel fighters told Al Jazeera news agency that they would agree to a proposed cease-fire only if the government were to release detainees, end a siege in the city of Homs and halt aerial attacks.

As the cease-fire was announced, rebels reported strategic military advances in the city of Aleppo.

Syria cease-fire: Could it really happen?

The rebel spokesman singled out Aleppo's Kurdish community for permitting the presence of rebels in their neighborhoods. Much of the opposition is Sunni Arab, and rebels said they were heartened to receive support from all groups in the diverse society.

"We were welcomed by the Kurds because people believe the FSA will liberate Syria," Yasin said. "Every small gain brings us closer to victory. The FSA was also happy to unite another facet of Syrian society under the FSA umbrella."

Previous truces have failed to take hold in Syria, which has been wracked by civil war since March 2011. In April, a cease-fire lasted barely a day before the killing resumed. In total, more than 32,000 Syrians have died since the conflict began, opposition activists say.

A spokesman for the Syrian National Council, an opposition coalition, said the truce is an attempt by President Bashar al-Assad to buy time.

"The whole world knows that the Syrian regime cannot be trusted and doesn't have any credibility in fulfilling any promise that they make to anyone," said George Sabra, a Paris-based spokesman for the Syrian National Council, which speaks for rebels fighting al-Assad. "The Assad regime is trying a diversion."

It's foolish to expect a total cease-fire, said Aram Nerguizian, a Middle East expert at the Center for Strategic and International Studies in Washington. A cease-fire in this context is about a larger goal of getting most rebel brigades and al-Assad forces to halt or reduce the killing.

The rebels themselves are partly to blame for the failure of this spring's cease-fire, Nerguizian said. They have been just as vicious in their killing as al-Assad's forces, he said.

But getting them to work together and resist the urge to fight, he said, is unrealistic.

Meanwhile, the United Nations' investigation into alleged war crimes in Syria is moving forward. The Geneva-based U.N. commission investigating war crimes announced Thursday it has requested a meeting with al-Assad to discuss gaining access to Syria for the team.

5 things you need to know about Lebanon and Syria

Carla del Ponte, who once served as prosecutor for the International Criminal Tribunal for the former Yugoslavia, is part of the commission. Noted for her investigation of war crimes in the Balkans in the 1990s, she cited similarities with past probes.

"The similarity is, of course, we are handling the same crimes, crimes against humanity and war crimes for sure," she said.

The Syrian government's isolation continued to grow.

In Jedda, Saudi authorities announced the deportation of three staff members of the Syrian Consulate General, the official Saudi Press Agency said Thursday. The move was taken because "authorities have concluded that their behaviors are incompatible with their consular duties and assignments," it said.

Attack at Syria funeral: 'Children's bodies were maimed and burnt'

CNN's Ashley Fantz, Holly Yan, and Hamdi Alkhshali and Journalist Ammar Cheikh Omar contributed to this report.

@highlight

NEW: Saudi Arabia deports three Syrian diplomats

@highlight

Under pressure, the government announces the release of some detainees

@highlight

The cease-fire would extend to Monday