London (CNN) -- The last time I sat down to interview Julian Assange more than a year ago, he walked out on me, angered by questions about the allegations of sexual assault in Sweden.

This time, holed up in the Ecuadorian Embassy in London, he had nowhere to go when asked the same question.

Assange has taken refuge in the embassy for five months now, refusing to submit to questioning in Sweden over those allegations. He denies doing anything wrong, and says the allegations are a ruse to get him to Sweden, which would then, he claims, extradite him to the United States.

"Look ... there's an attempt to extradite me without charge, without evidence allegedly for questioning."

Ecuador has granted the WikiLeaks founder asylum but the British government insists it is duty-bound to extradite Assange to Sweden.

As a result, the Ecuadorian Embassy is now Assange's home. If he steps outside, British police are standing by to arrest and extradite him.

But when I met him again, Assange did not seem cornered at all. He was relaxed and friendly. Rumors of ill health, that he had lost a lot of weight, did not appear to be true.

He seemed at ease and, despite being confined largely to a small room in this tiny embassy, comfortable. And as if to prove there were no hard feelings, I received a warm kiss on the cheek.

Embassy life like 'a space station,' Assange says

Earlier this week I received a call out of the blue: Would you like to come and interview Julian tomorrow?

I was surprised, of course, but there was a good reason for it: WikiLeaks is in the process of releasing the "Detainee Files," more than 100 documents from the U.S. Department of Defense outlining the policies and procedures for such infamous prisons as Abu Ghraib and Guantanamo but others as well.

So, the short answer to that question was: Yes. The reunion took place on Thursday morning.

I've been following the story of WikiLeaks and Assange for sometime now, before they made global headlines with the Afghan War Diary, the Iraq War Files and the massive leak of more than 250,000 diplomatic cables from the U.S. State Department.

In 2010, I had read a New Yorker article about a video, released by Wikileaks, that showed an attack on civilians by a U.S. Apache helicopter in Iraq that killed, among others, a Reuters cameraman and a father of two children who were also wounded in the attack.

I was intrigued by the concept of WikiLeaks: an encrypted online platform that allowed whistleblowers to leak information anonymously. But I was also curious about the man behind WikiLeaks, Julian Assange. The article painted him as brilliant but enigmatic, staying up all night bent over a laptop receiving anonymous submissions for the WikiLeaks website.

So, I thought I'd email him, on the off-chance I got a response. To my surprise, a few weeks later, I got a phone call back.

When I first met Assange, I asked him what more WikiLeaks had planned. I was taken aback when he told me casually: "We're going to do something big. We're going to end a war."

What I didn't know at the time was that Assange and WikiLeaks were preparing to launch the biggest leak of U.S. classified documents in recent memory.

Nearly two years and a storm of controversy later, sitting in the same room where he delivered a speech to his supporters from the balcony of the Ecuadorian Embassy, he told me: "We triggered the end of the Iraq war." He quickly added: "Now, that's a rather grandiose statement. But it's true."

He cited commentator Glenn Greenwald and the logic goes something like this: Iraqi Prime Minister Nouri al-Maliki cited documents leaked to Wikileaks as the reason to withdraw legal protection extended to U.S. soldiers in Iraq which ultimately became one of the factors leading to the U.S. troop withdrawal.

For more on that, see the extended version of the interview here.

Personally, I think that's overstating the impact of WikiLeaks. But he has a point that Wikileaks has changed the political landscape. Governments and institutions now live in fear that they could become the next WikiLeaks headline. Anyone with access and a flashdrive can now anonymously leak secrets to this global platform for all the world to see.

Of course, WikiLeaks has plenty of critics and it has suffered due to the allegations against Assange and its financial struggles. The U.S. government has made it clear they believe WikiLeaks' publishing of classified material is illegal and are currently building a case against him. Assange has also been heavily criticized for releasing classified material completely unredacted, potentially putting diplomatic sources into danger.

But he has found plenty of support as well. Nowhere more so than in the Ecuadorian Embassy, a small place of fewer than a dozen rooms.

Assange occupies an office now converted into a bedroom with a bed, a desk and a treadmill for exercise. About once a week, embassy staff say he practices boxing with a friend for more rigorous exercise. The embassy has installed a shower for him but there isn't much of a kitchen, so most of the food is takeaway delivered by his friends and embassy staff.

"The situation here although I'm confined in captivity to an embassy, is much better than being in solitary confinement in a prison." He told me, "So, I am able to work, I am able to speak to you. So, in that sense my mind is free."

Ambassador Ana Alban says he has become part of the family.

"It was difficult for us at the beginning," she told CNN. "We had a person living here 24 hours a day and we didn't know that person, his habits. How he was going to react to confinement.

"What was not normal at the beginning has become normal. He is another one of us here. Somebody that we count on, we talk to, we worry about when we think something has happened to him. We have now an extended and better run family."

His case has become a cause celebre, with Lady Gaga dropping by for tea and fashion designer Vivienne Westwood visiting to display her "I Am Julian Assange" T-shirt.

Small things have changed since I first met him. His white hair, once chin-length has been cropped short. He has ditched his T-shirts and leather jacket for a formal suit and tie. He's far more media savvy now, at times sounding more like a politician than a former-hacker-turned-activist of global renown.

But other things remain the same. He talks passionately about forcing transparency to transform and reform governments and bureaucracies, happily engaging in long debates. He still sees the world's mainstream media as utterly failing in that regard and he's still prone to making grandiose statements.

He's more guarded in interviews now. But occasionally you see some of his mischievous humour peeking through.

In the interview, I asked him whether he considers himself as a dissident against Western governments. Here's how he answered: "No. To be a dissident is simply to take the opposite position."

He added: "You can think of WikiLeaks as simply a function of education. We are just like a library. We collect information about the way the world works. We publish historic documents. And yes, we take the hardest possible case. We look for those things which are very hard to publish and support the rights of publishers and fight for their rights.

"Why do we do that? Well, because we want to live in a better world. But also because it's fun."

@highlight

CNN's Atika Shubert meets again with Julian Assange in Ecuador Embassy in London

@highlight

Assange holed up in embassy to avoid extradition to Sweden to face sex assault probe

@highlight

Shubert: Assange did not seem cornered; in fact he was relaxed and friendly

@highlight

Ecuadorian Ambassador Ana Alban says he has become part of the family