(CNN) -- Wanted by the Drug Enforcement Administration: Ebonics translators.

It might sound like a punch line, as "Ebonics" -- the common name for what linguists call African-American English -- has long been the butt of jokes, as well as the subject of controversy.

But the agency is serious about needing nine people to translate conversations picked up on wiretaps during investigations, Special Agent Michael Sanders said Tuesday. A solicitation was sent to contractors as part of a request to companies to provide hundreds of translators in 114 languages.

"DEA's position is, it's a language form we have a need for," Sanders said. "I think it's a language form that DEA recognizes a need to have someone versed in to conduct investigations."

The translators, being hired in the agency's Southeast Region -- which includes Atlanta, Georgia; Washington; New Orleans, Louisiana; Miami, Florida; and the Caribbean -- would listen to wiretaps, translate what was said and be able to testify in court if necessary, he said.

"The concept is right and good," said Walt Wolfram, distinguished professor of English linguistics at North Carolina State University. "Why wouldn't you want experts who can help you understand what people are communicating?"

"On one level, it's no different than someone from the Outer Banks of North Carolina who speaks a distinct brogue," he said. "The problem is that even the term 'Ebonics' is so controversial and politicized that it becomes sort of a free-for-all."

And Ebonics is no longer spoken only by African-Americans, Sanders said, referring to it as "urban language" or "street language." He said he is aware of investigations in recent years in which it was spoken by African-Americans, Latinos and white people. "It crosses over geographic, racial and ethnic backgrounds," he said.

"[African-American English] is linguistic defiance being reinforced by hip-hop," said professor John Baugh, who leads the public relations committee of the Linguistic Society of America.

The DEA's recruiting "has it half right," Baugh said.

Although having translation help is a good law enforcement tool, Baugh said, the term "Ebonics" may be counterproductive because "the social positions of speakers have been the object of ridicule."

The Washington University professor also is concerned about racial profiling resulting from assumptions made from a speaker's dialect.

While the DEA wants to have the translators available, it may not need to call upon them, Sanders said. He did not know how much it would cost to have the translators available.

"I can't say it's spoken all the time, like Spanish and Vietnamese," Sanders said. "But there are people trying to use this to evade detection" while trafficking in drugs, he said.

Asked whether agency currently has agents who can translate Ebonics, Sanders said some who have worked on local police forces can help pick out words on wiretaps.

The term "Ebonics" -- a blend of "ebony" and "phonics" -- became known in 1996, when the Oakland, California, Unified School District proposed using it in teaching English. After the school board came under fire, it voted to alter the plan, which recognized Ebonics as a distinct language.

The revised plan removed reference to Ebonics as "genetically based" and as the "primary language" of students. The board also removed a part that some understood to indicate that African-American students would be taught in Ebonics, although the board denied such intentions.

"There is something of substance here," said Wolfram, who said he has studied African-American English for 40 years. "There are differences in terms of language and lexicon and so forth that are difficult to understand for most people. So it is an issue. What, of course, happens is, it gets politicized and trivialized by the very term 'Ebonics.'"

The Linguistic Society of America calls Ebonics a form of communication that deserves recognition and study.

"Characterizations of Ebonics as 'slang,' 'mutant,' 'lazy,' 'defective,' 'ungrammatical' or 'broken English' are incorrect and demeaning," a 1997 resolution said.

For Baugh, all languages or dialects are "fundamentally equal." Ebonics is a dialect spoken by slave descendants who live in many countries and don't speak just English, he said. Its early speakers were enslaved, isolated from other speakers of their language and denied access to formal education, Baugh said.

Wolfram -- who has authored more than 20 books on English dialects, including African-American English -- recalled the Black Panther trials during the 1970s, when there was debate over whether the saying, "Off the pigs," was a genuine threat to kill police officers or a more metaphorical saying.

Wolfram acknowledged Ebonics often presented as "nothing but bad language." But, he said, "However you view it ... why wouldn't you want to avail yourself of all the interpretive capability that you can get?"

African-American English is "a systematic language variety, with patterns of pronunciation, grammar, vocabulary and usage that extend far beyond slang," according to the website of the Center for Applied Linguistics, a Washington-based nonprofit organization that says it aims to improve communication through better understanding of language and culture.

"Because it has a set of rules that is distinct from those of standard American English, characterizations of the variety as bad English are incorrect," the center said. "Speakers of AAE do not fail to speak standard American English, but succeed in speaking African American English."

U.S. English, a political advocacy group, supports the DEA's recruitment, said Tim Schultz, director of government relations.

"Having somebody to explain slang terms ... spoken by a particular community is an advantage if it allows them to understand a conversation," he said.

U.S. English's primary focus is making English the official language of the United States and backing laws that ensure immigrants learn English.

Language barriers that contribute to conflicts between nations can be a "serious issue," Wolfram noted. "It's the same point here."

He said the translators could help in investigations, as "the differences between dialect and code words can get pretty blurry at times."

Sanders said DEA plans to continue seeking the translators.

"African-American English is an evolving dialect and in some ways is growing in stature," Baugh said.

@highlight

NEW: Linguistic Society says Ebonics a valid dialect

@highlight

Ebonics is "a language form we have a need for," DEA says

@highlight

Ebonics became controversial with a 1996 school board proposal

@highlight

The DEA is seeking translators in 114 languages