Baghdad, Iraq (CNN) -- Violent attacks on election day didn't stop large numbers of Iraqis from successfully casting their votes in key parliamentary elections Sunday.

"Yes, we were scared after we heard these bombings, but we just had to come," said a woman who identified herself only as Ghisoun. Her two children were at her side.

"It's an opportunity we can't miss -- not for us, but for our children," she said.

Polls in Iraq to elect a 325-member parliament closed Sunday evening, capping an electoral process in which militants intent on disrupting the vote carried out dozens of attacks that killed 38 people.

Despite the risks, voter turnout could reach 55 percent, a senior U.S. official told CNN.

Another voter, Ali Abdul Hassan, also risked the uncertainty of voting Sunday with his 2-month-old infant.

"I want my baby to start voting early," he said.

The general feeling expressed by voters on election day was a longing for change and for a government that will be able to provide basic things such as water, electricity, jobs and security.

A woman in line to vote in Baghdad said her vote was a way of fighting back against acts of terrorism in Iraq.

Preliminary results are expected by Wednesday, the United Nations said. Results will start emerging for each province as soon as votes are tallied from 30 percent of polling centers in that province.

About 60 security incidents were reported throughout the country Sunday, the senior U.S. official said. These included fatal mortar and rocket attacks in various Baghdad neighborhoods.

Secretary of Defense Robert Gates said those reports of mortar attacks in Baghdad had not yet been confirmed.

According to Gates, Gen. Ray Odierno, the top U.S. commander in Iraq, "had expected a significant number of high-profile attacks, both suicide vests and truck and car bombs, but the security situation, the efforts of the Iraqi Security Forces are such that al Qaeda in Iraq was forced to change their tactics."

Speaking at the White House, President Obama also downplayed Sunday's violence.

Some violence was expected, Obama said, but "overall, the level of security, and the prevention of destabilizing attacks, speaks to the growing capability and professionalism of Iraqi security forces, which took the lead in providing protection at the polls."

The success of the vote showed that "the future of Iraq belongs to the people of Iraq," Obama said.

The United States does not support particular candidates in Iraq, but does support Iraqis' right to elect their representatives, he said.

"We know there will be very difficult days ahead in Iraq," Obama said. "There will probably be more violence. But, like any sovereign, independent nation, Iraq must be free to chart its own course."

Secretary of State Hillary Clinton praised Iraq's High Electoral Commission and security forces for running and securing the vote.

"I congratulate all the people of Iraq who participated in national elections today and over the past three days," she said in a statement. "There is no better rebuke to the violent extremists who seek to derail Iraq's progress."

Counting was taking place at the polling stations at the end of voting, under the gaze of observers. Ballots will be counted twice to ensure accuracy, according to the U.N. Assistance Mission for Iraq.

The number of ballots cast will be reconciled with the number of ballots issued to each polling station, and in case of a significant discrepancy, the station will be audited, the U.N. said.

Authorities in Baghdad announced a curfew on the capital from 10 p.m. Sunday until 5 a.m. Monday.

In a statement Sunday, Obama said: "I have great respect for the millions of Iraqis who refused to be deterred by acts of violence, and who exercised their right to vote today."

Referring to the day's violence, he added: "We mourn the tragic loss of life today, and honor the courage and resilience of the Iraqi people who once again defied threats to advance their democracy."

It was Iraq's fifth nationwide vote since 2003, but only the second for a full four-year-term parliament.

More than 30 mortar rounds hit the capital, with three landing inside the heavily fortified International Zone. The zone, informally known as the Green Zone, houses the U.S. Embassy and many Iraqi government buildings.

One of the rockets landed in the Ur neighborhood in northeastern Baghdad, killing 12 people.

The capital also experienced a number of deadly roadside bomb attacks.

The last time the country had a national vote was in 2005, when the Sunni Arab population boycotted the elections and the political process. A Shiite-led government emerged and the Sunnis, feeling disenfranchised, went on to form the main part of the insurgency.

The U.N. mission in Iraq calls the elections an "important milestone in Iraq's democratic progress," serving to strengthen the country's sovereignty and independence as the United States draws down its military presence there.

Sunday's elections were originally supposed to happen in January but were delayed because of political disagreements and a delay in passing the election law that paved the way for this vote.

There are 18.9 million eligible voters, casting ballots for 325 seats in the Council of Representatives, Iraq's parliament. The seats represent Iraq's 18 provinces.

The number of seats is increasing from the previous 275. Seat allocation was based on 2005 population data from the Ministry of Trade and adjusted for a 2.8 percent annual growth across all governates.

On Friday, voting began for Iraqis abroad in 16 countries -- including the United States, United Kingdom, Turkey, Iran, Canada and others in the Middle East and Europe. There are no exact figures on those eligible to cast ballots abroad. Estimates on turnout have ranged anywhere from 300,000 to 3 million.

About 6,200 candidates from more than 80 political entities are vying for seats. At least a quarter of the positions -- 82 -- are guaranteed to go to women, and eight more have been allocated for minorities. They include five set aside for Christians and one each for the Shabak, Sabaeans (Mandaeans), and Yazidis.

A number of special measures were put in place for security reasons. Since Monday, there has been a ban on motorcycles and bicycles in Baghdad until further notice, and on Sunday a two-day ban on any vehicles in cities went into effect.

Provincial borders were ordered sealed, preventing movements between provinces, from Saturday to Monday.

CNN's Arwa Damon, Jomana Karadsheh, Mohammed Tawfeeq and Zain Verjee contributed to this report.

@highlight

NEW: Obama congratulates Iraqis, mourns loss of life, praises overall security level

@highlight

Polls close in Iraq; results expected by Wednesday, U.N. says

@highlight

"It's an opportunity we can't miss," one Iraqi voter says

@highlight

Militants carry out attacks as Iraqis head to polls; dozens killed