(CNN) -- Deaths from pregnancy and childbirth in the United States have doubled in the past 20 years, a development that a human rights group called "scandalous and disgraceful" Friday.

In addition, the rights group said, about 1.7 million women a year, one-third of pregnant women in the United States, suffer from pregnancy-related complications.

Most of the deaths and complications occur among minorities and women living in poverty, it noted.

Amnesty International issued a report Friday that calls on President Obama to take action.

"This country's extraordinary record of medical advancement makes its haphazard approach to maternal care all the more scandalous and disgraceful," said Larry Cox, executive director of Amnesty International USA.

"Good maternal care should not be considered a luxury available only to those who can access the best hospitals and the best doctors. Women should not die in the richest country on earth from preventable complications and emergencies," Cox said in a news release.

The report, "Deadly Delivery: The Maternal Health Care Crisis in the USA," notes that the lifetime risk of maternal deaths is greater in the United States than in 40 other countries, including virtually all industrialized nations.

The report also noted that severe pregnancy-related complications that nearly cause death -- known as "near misses" -- have increased by 25 percent since 1998.

Up to 40 percent of near misses are considered preventable with better quality of care, according to a 2007 study in the American Journal of Obstetrics & Gynecology.

Minorities, women living in poverty, Native Americans, immigrants and those who speak little or no English are particularly affected, Amnesty International said.

"The thing that really struck us was that these problems hit women of color, low-income, particularly hard," said Nan Strauss, researcher and co-author of the Amnesty report. "But every woman who is going through pregnancy in this country is at risk."

Figures compiled by the Centers for Disease Control and Prevention in Atlanta, Georgia, show that black women are three times more likely to die from pregnancy and childbirth than their white counterparts.

White women have a mortality rate of 9.5 per 100,000 pregnancies, the CDC said. For African-American women, that rate is 32.7 deaths per 100,000 pregnancies.

"This has been known for a while and no one has a good handle on it," said Dr. Elliot Main, chairman and chief of obstetrics at California Pacific Medical Center in San Francisco. "This is a national disgrace and a call to action. Both numbers are a call to action -- maternal mortality and racial disparity."

The CDC analysis shows that deaths during pregnancy and childbirth have doubled for all U.S. women in the past 20 years.

In 1987, there were 6.6 deaths for every 100,000 pregnancies. The number of deaths had climbed to 13.3 per 100,000 in 2006, the last year for which figures were available.

A report called "Healthy People 2010" by the Department of Health and Human Services says that number should be around four deaths for each 100,000 pregnancies.

Statistics for other highly industrialized countries show that the U.S. goal of four deaths for every 100,000 pregnancies is attainable. Great Britain, for example, has fewer than four deaths for each 100,000 pregnancies, Main said.

"Women's health is at risk," said Strauss. "We spend the most, and yet women are more likely to die than in 40 other countries. And that disconnect is what makes it such a problem."

Amnesty International points out that nearly 13 million U.S. women of reproductive age (15 to 44 years old), or one in five, do not have health insurance. Minorities account for 32 percent of all women in the United States but 51 percent of uninsured women, the rights group said.

Furthermore, Amnesty International said, one in four women do not receive adequate prenatal care, starting in the first trimester. The number rises to about one in three for African-American and Native American women, the human rights group said.

Amnesty International also cited what it called "burdensome bureaucratic procedures in Medicaid enrollment [that] substantially delay access to vital prenatal care for pregnant women seeking government-funded care."

In addition, the group said, a shortage of health care professionals poses a serious obstacle to timely and adequate care, especially in rural areas and inner cities. In 2008, 64 million people were living in "shortage areas" for primary care, Amnesty International said.

"Obstacles to care are widespread, even though the USA spends more on health care than any other country and more on pregnancy and childbirth-related hospital costs, $86 billion, than any other type of hospital care," the rights group said.

In its call for Obama to take action, Amnesty International said a health care reform proposal before Congress does not address the issue.

"Reform is primarily focused on health care coverage and reducing health care costs, and even optimistic estimates predict that any proposal on the table will still leave millions without access to affordable care," said Rachel Ward, one of the authors of the "Deadly Delivery" report.

"Mothers die not because the United States can't provide good care, but because it lacks the political will to make sure good care is available to all women," said Cox, Amnesty International USA's executive director.

Medical professionals and researchers note that although the percentage of maternal deaths is increasing, the overall number still remains low.

"They are low in absolute number sense," said Main in San Francisco. "These are rare events. They serve as a canary in the mine shaft -- tell us that we need to look more carefully at the system of maternity care. Overall, childbirth is very safe."

More of an alarm is not sounded, analysts said, because most practitioners don't see many -- if any -- deaths each year.

There is now approximately one death for every 6,000 to 10,000 births, Main said. A typical hospital has about 1,500 births a year, so any hospital can go years without a maternal death, he said.

"It's still, thank heavens, quite rare," said Debra Bingham, executive director of California Maternal Quality Care Collaborative.

But that doesn't mean there's not a problem, she said.

"When you see trends worsen in such a short period of time, it requires thoughtful examination," said Bingham. "And you can't just dismiss that."

Rivka Gordon, director of strategic initiatives at the Association of Reproductive Health Professionals, also believes something should be done.

"It's unacceptable in a resource-rich country like the U.S. that we are seeing maternal- and pregnancy-related deaths trending upward," she said. "We have to look very, very carefully at this."

CNN's Ashley Wennersherron contributed to this report.

@highlight

Amnesty International report calls for better maternal care in United States

@highlight

"Women are more likely to die than in 40 other countries," Amnesty says

@highlight

CDC: Whites' mortality rate is 9.5 per 100,000 pregnancies, blacks' rate is 32.7