It is one of life's biggest questions:  Are we born knowing the difference between good and evil?  Or are we taught our moral beliefs by parents and society?

Philosophers and psychologists have long believed that babies are born  "blank slates," and that it is the role of parents and society to teach babies the difference between right and wrong;  good and bad;  mean and nice.

But a growing number of researchers now believe differently.  They believe babies are in fact born with an innate sense of morality, and while parents and society can help develop a belief system in babies, they don't create one.  A team of researchers at Yale University's Infant Cognition Center, known as The Baby Lab, showed us just how they came to that conclusion.

Dr. Karen Wynn runs the Baby Lab, and she and her team have been studying the minds and behaviors of babies for decades.  About eight years ago they began running a series of studies on babies under 24 months to see how much these babies understand about good and bad behavior.

The first test is the simplest.  Show a baby an example of good behavior, and then an example of bad behavior, then let the baby decide what she likes.

Opinion: Do babies know right from wrong?

They begin with a puppet show.  In this show, a gray cat is seen trying to open a big plastic box.  The cat tries repeatedly, but he just can't open the lid all the way.  A bunny in a green T-shirt comes along and helps open the box.  Then the scenario is repeated, but this time a bunny in an orange T-shirt comes along and slams the box shut before running away. The green bunny is nice and helpful. The orange bunny is mean and unhelpful.

The baby is then presented with the two bunnies from the show.  A staff member who doesn't know which bunny was mean and which bunny was nice will offer both bunnies at the same time to the baby.  The baby's mother, who is usually present during the study, closes her eyes so as not to influence the baby in any way.

Which bunny do the babies choose?  More than 80% of the babies in the study showed their preference for the good bunny, either by reaching for the good bunny or staring at it.   And with 3-month-olds, that number goes higher, to 87%.

So what does this tell us? Paul Bloom, author of "Just Babies:  The Origins of Good and Evil" and a professor of psychology at Yale, says these studies show that even before babies can speak or walk, they judge good and bad in the actions of others because they are born with a rudimentary sense of justice.

But Bloom, who is married to Wynn, says this sense of justice is "tragically limited." Although babies are born with an innate sense of morality, they are also born with flaws.

What's your baby really thinking?

He writes: "We are by nature indifferent, even hostile to strangers; we are prone towards parochialism and bigotry.  Some of our instinctive emotional responses, most notably disgust, spur us to do terrible things, including acts of genocide." And the role of parents and society is to overcome these limitations and further develop the innate moral beliefs that already exist in those baby minds.

Skeptics of the studies say babies are not capable of making intelligent choices, and perhaps babies are drawn to a certain color, or they choose according to where the puppets are placed.

The team at the Baby Lab has been very careful in their studies to change the puppets, shirt colors and placement of the animals before presenting them to various babies, and they feel confident their published research is sound.

The Baby Lab has developed a series of studies based on the simple premise that babies have this simple understanding of good and bad.  The other studies explore reward and punishment, compromise and the roots of bias.

@highlight

Yale University researchers say babies are born with knowledge of right and wrong

@highlight

A test with puppets shows babies preferring the "good" character most of the time

@highlight

But bad comes with the good, and parents must guide children, one scientist writes