Sydney (CNN) -- It was, until today, something that happened to sporting codes elsewhere, never in Australia. As a result, the finding of widespread use of banned drugs across professional sports by elite athletes has shocked the Australian sporting world.

The Australian Crime Commission's year long investigation also found links between drug use and organized crime and at least one instance of possible match-fixing.

"It's cheating, but it's worse than that. It's cheating with the help of criminals," Australian Justice Minister Jason Clare told a media conference in Canberra attended by the heads of many of the countries' major sporting codes.

The probe uncovered the use of banned drugs, including peptides and a number of others drugs, some of which have as yet not been tested for humans.

Worse, they have been used, according to the ACC report, in orchestrated doping programs facilitated by coaches, sports scientists, support staff, doctors and pharmacists.

It is this that most shocks Australian Broadcasting Corporation sports commentator Peter Wilkins.

"Sports people are always pushing the envelope. Everyone does that," Wilkins told CNN.

"So if you find a drug and it's not on the banned list you will give it a go," he said.

But that entire teams of elite athletes may be systematically using illegal substances to enhance their performance with the knowledge and help of sports scientists, coaches and doctors, leaves Wilkins astounded.

"The sports scientists and sports teams which are potentially doping, that's shocking," said Wilkins. "But are they going to go down?" he asks.

Tip of the iceberg

All of this comes in the same week that the Essendon Football Club in Victoria approached the Australian Football League (AFL) and Australian Sports Anti-Doping Authority (ASADA) to investigate claims that its players took substances that may be illegal.

Shocking though the claim was, it may turn out to be the tip of the iceberg in a nation which prides itself on being at the forefront of clean sport.

The substances the Essendon Football Club believes its players may have used are believed to include peptide or related substances that were injected.

Some peptides are legal for athletes to inject. The investigation is expected to focus on whether the illegal substances the club believes its players used was inert peptide, or otherwise, and whether the drugs were administered as part of a fitness regime.

Players could face season suspensions, though legendary AFL coach Kevin Sheedy said after the ACC findings were released that suspension might not be enough.

"We need to get rid of it -- we need to find the people and eradicate them from the sport," he told local reporters.

Though the ACC has not named specific athletes or clubs that are under current investigation, the National Rugby League (NRL) says more than one of its players and more than one of its clubs are under investigation.

The code has already committed to an audit and register of people supplying performance services to its players and clubs, as well as centralized testing for illicit substances.

Integrity units

All sporting codes have expressed shock at the findings as they pledged full co-operation with ASADA and other investigating authorities.

The AFL, the NRL, the Football Federation of Australia, Australian Rugby Union and Cricket Australia have agreed to establish integrity units and have called on athletes to own up and co-operate in return for reduced sanctions.

Wilkins said he was surprised that the findings were made public while active investigations are ongoing. "There are still a lot of qualifiers," added Wilkins.

But according to Richard Ings, the former chief of the ASADA, the report's findings are no surprise. He said the involvement of criminal networks was well known to the anti-doping agency.

"Having worked with ASADA for the past five years it was very clear that there were links between elements of organized crime importing and distributing prohibited substances across Australian sport," Ings told CNN.

Nor was AFL chief Andrew Demetriou surprised by the links between the supply of drugs and organized crime.

"Organized crime is very pervasive," he told the Canberra media conference. "They find vulnerable players. They infiltrate," said the AFL chief.

"And all of us here today would say that today is the day we draw a line in the sand. We address it, we tackle it. Sport is too important in this community."

But Demetriou denied that Essendon Football Club went to the authorities with its illicit drug taking suspicions as a result of the ACC investigation.

The ACC's report draws on past international cases to warn of a potential link between the involvement of crime gangs in sport and match-fixing.

"Overseas experience has demonstrated that organized criminal groups involved in match-fixing are increasingly targeting sub-elite athletes due to the ease with which these individuals can be 'bought', the lower levels of scrutiny from integrity authorities at sub-elite competitions, and the potential long-term value of these athletes to the criminal group," it said.

President of the World Anti-Doping Agency John Fahey said that it's not surprising that the problem has surfaced in Australia.

"It is very clear from Interpol and we have a close association with them in WADA, that the suppliers, manufacturers, traffickers of the performance enhancing drugs are the same people who are connected with the illegal drugs, the same people who are connected with match-fixing and illegal gambling so I guess it's not surprising that it now surfaces in this country," Fahey told ABC radio.

Sports betting

The Deputy Victorian Police Commissioner, Graham Ashton, said soccer, cricket and tennis were most at risk of match-fixing by organized criminals because they attracted big offshore bets.

"The increasing betting pools mean that we need to take preventative action now to make these sports more resilient to this threat," he told reporters.

Former South African national Rugby Union coach, Jake White, now a mentor for the ACT Brumbies, thinks it would be difficult to fix a match in rugby.

'The one thing that's magnificent about rugby union is that it's such a difficult game to even think about match -ixing,'' White told The Age newspaper in Melbourne.

''In other games when the margins are nil-nil results, or a team concedes one goal ... rugby is such a fluid and dynamic game that it would stick out like a sore thumb if you even try to do something that's match-fixing," he said.

An Independent Senator in the Australian Parliament, Nick Xenophon, wants an immediate suspension of all sports betting until all investigations are complete.

"These extraordinary findings require an urgent response to protect the integrity of sporting codes that millions of Australians love," Senator Xenophon said.

@highlight

Australian sports chief to establish "integrity units" over doping report

@highlight

Australian Crime Commission report alleges widespread doping

@highlight

Claims organized gangs supplying drugs and potentially fixing matches

@highlight

Former Australian Sports Anti-Doping Authority chief not surprised by report after years working at anti-doping body