(CNN) -- No American family embodies mainstream Republicanism more than the Bushes, noted a New York Times article this year.

For three generations, Bush men have occupied towering positions in the party pantheon, and the party's demographic and ideological shifts can be traced through the branches of the Bush family tree: from Prescott, the blue-blooded Eisenhower Republican, and George H.W. Bush, the transitional figure who tried and failed to emulate the approach of the New Right, to George W. Bush, who embodied the new breed of tax-cutting, evangelical conservatism. Indeed, the Bushes' metamorphosis from genial centrism to deep-fried conservatism has both anticipated and reflected the party's trajectory.

But now, Jeb Bush, a potential 2016 presidential candidate, seems to be bucking the trend. He is seeking to return the party to its ideological moorings -- toward the centrism of his grandfather. Even before the GOP's ignominious defeat in November, Jeb was offering tough love to his party, suggesting that Republicans stand up to Grover Norquist and craft a bipartisan compromise to reduce the deficit significantly. But will Republicans listen? There are many reasons to believe they won't.

Prescott was a Manhattan investment banker who called himself a "moderate progressive." In the 1952 primary between conservative presidential candidate Sen. Robert Taft and moderate Gen. Dwight D. Eisenhower, Prescott chose Eisenhower -- and became the president's favorite golf partner. Prescott rode Eisenhower's coattails into the Senate, where he focused on urban renewal, spearheading the 1954 Housing Act. An early proponent of the line-item veto, he received national recognition as an advocate of fiscal responsibility.

Prescott's son George H.W. left for West Texas in 1948 when Texas was still a one-party state. But change was afoot in the South, and by the time H.W. ran for U.S. Senate in 1964, he encountered a flourishing Texas Republican Party that had recently elected its first U.S. senator by attracting hordes of conservative Democrats. But the new rank-and-file Republicans were nothing like the Connecticut Republicans he knew -- or even like those in the Houston suburbs. Biographer Richard Ben Cramer imagined H.W.'s vexation at this new breed of Texas Republican:

"These ... these nuts! They were coming out of the woodwork! They talked about blowing up the U.N., about armed revolt against the income tax. ...The nuts hated him. They could smell Yale on him."

Recognizing that his 1964 primary campaign would need to be more Goldwater than Rockefeller, he ignored the social problems Prescott had addressed. "Only unbridled free enterprise can cure unemployment," H.W. asserted, contending that government bore no responsibility for alleviating poverty. Though he lost, he began the transition to Sunbelt conservatism that would make him (barely) acceptable to Ronald Reagan as a running mate. But he never fully evolved: He famously reneged on his "no new taxes" pledge. His son George W. would complete the transition.

George W.'s first major legislative accomplishment as president was the enactment of a massive $1.6 trillion tax cut. He rode roughshod over the green-eyeshade types to pass a massive tax cut. When it produced runaway deficits, he accepted Dick Cheney's argument: "Reagan taught us that deficits don't matter."

In adopting Sun Belt conservatism -- sometimes clumsily -- George H.W. and George W. anticipated the Republican Party's ideological shift. Hence, in evaluating Jeb's prescriptions for fiscal responsibility, today's Republicans should recall the Bushes' past political palm reading.

Politics is about addition, not subtraction. Every year, as Republicans maintain the electoral coalition that responds to their platform, they face an inevitable subtraction from their base. That's because unyielding stances on taxes and deficits practically guarantee that young voters will continue opposing them, and the (older and whiter) constituencies who favor them shrink as a percentage of the electorate. Republicans who believe they can continue to win with their current coalition are like rats who believe they can outrun a treadmill.

As the nation approaches $16 trillion of debt and grapples with the baby boomer retirement, young voters will grasp that every dollar spent on entitlement programs is a dollar paid by already-strapped young workers. That may well push young voters to support the party with the most credible deficit-reduction plan.

According to 2012 exit polls, 60% of young voters (aged 18-29) supported President Barack Obama. Young voters also made up a slightly larger share of the electorate than they had in 2008. This is a huge problem for Republicans for three reasons. One, people tend to vote with higher frequencies once they hit their 30s. Two, generational cohorts tend to stick with the party they supported in their formative years. And most obviously, young voters are more likely to be around to vote in the future.

If it were just about math, Jeb could convince the party to adopt what polling shows are clearly winning positions. But as the work of scholars Gary Miller and Norman Schofield suggests, it's not a linear equation: It's about momentum and intensity within the Republican coalition.

That's because the newest entrants to a party's electoral coalition are usually its most robust -- and the hardest to roll in intraparty skirmishes. For Republicans, it is the mostly white and older tea partiers, who block electorally beneficial positions on taxes. The next newest entrants to the coalition are Christian conservatives, many of whom also strongly oppose tax increases.

Fiscally conservative and socially progressive Rockefeller types are the oldest group, but they've been leaving the Republican Party for decades. Whereas many of them supported Republican congressional candidates in the 1970s, far less did by the 2000s. So while this group is the easiest to persuade of the need for adjustments (indeed, many already share Jeb's views), they hold the least sway in the party.

What does all this mean? American parties since the Civil War have periodically shed the coalition elements that are most distant from their activist base. While Jeb's prescriptions are in the party's long-term interest, they will be difficult to execute, given the strength of the party's coalition members.

Can Jeb sway a resistant party base? It's quite possible: His family's odyssey has reflected the party's shifts for 50 years, and he's uniquely positioned to convince his peers. If Republicans listen, it will constitute a return to their roots -- and a reckoning with demographic reality.

The opinions expressed in this commentary are solely those of Jeff Smith.

@highlight

Jeff Smith: No American family embodies Republicanism more than the Bushes

@highlight

Smith: Jeb Bush, a potential 2016 presidential candidate, may be bucking the trend

@highlight

He says Jeb Bush advocates for fiscal responsibility and standing up to Grover Norquist

@highlight

Smith: If GOP can return to its more centrist roots, then it has a chance to win more voters