(CNN) -- If anyone deserves the death penalty, surely it is a man who meticulously plans a mass murder and mercilessly carries it out, shattering the lives of innocents and their loved ones, rending the very bonds of humanity.

Surely such a man deserves this punishment -- if, that is, his grip on moral reasoning has not been eviscerated by mental illness so severe that he can't be responsible for the conduct that would render him guilty under criminal laws. (Such laws have for centuries demanded blameworthiness as a prerequisite to conviction and punishment.)

And if the months of trial preparation, years of hearings, trials and appeals that devour millions of dollars is the best use of those precious resources because -- in the words of the prosecutor representing the people of the state of Colorado in the case against James Holmes -- "justice is death."

There are questions to consider as well:

Will the victims and their families somehow be made whole?

Would the time and money devoted to achieving this man's death not be better spent on services and law enforcement initiatives meant to repair and prevent the mindless devastation of criminal homicide?

Would this man's execution serve an ineffable impulse for justice?

Would it be necessary to ensure that he does not kill again or to prevent killings by others?

A claim of innocence does not stalk Holmes' trial, nor does the legacy of race discrimination that has so long infected capital punishment. He will be represented by well-trained and competent lawyers. He is accused of killing 12 people and wounding 58 more, unassuming individuals whose misstep that fateful July evening was gathering to enjoy a movie.

The wheels of his capital prosecution have now been set in motion after the offer made by Holmes' defense counsel to plead guilty in exchange for a sentence of life imprisonment without the chance of parole was rejected by Arapahoe County District Attorney George Brauchler.

Judgments about Holmes' criminal responsibility and punishment now will be left to a jury. Under Colorado law, as in other states that authorize capital punishment, that jury will first be "death qualified," that is, purged of citizens whose faith or moral precepts would not permit them to sentence Holmes to death.

But there is more to capital punishment than the moral precepts and more that explains why the death penalty is a dying institution throughout the United States -- certainly in Colorado -- and worldwide.

In a country topping 300 million in population and plagued annually by in excess of 13,000 murders, 78 offenders were added to the nation's death rows last year, down 75% from the 326 sentenced to die in 1995.

In 2012, 43 executions were carried out, less than half of the 98 nationwide in 1998. Three convicted murderers inhabit Colorado's death row, a state that has carried out a single execution in the past 45 years.

Many factors account for the dramatic downturn in the country's historic affinity for capital punishment: a revulsion against the awful prospect of executing an innocent person; the racial and social class inequities imbued in the death penalty's administration; the enormous financial burden placed on state and local budgets in supporting capital prosecutions; the availability of life imprisonment without parole to keep the streets safe.

These are coupled with the paucity of evidence that capital punishment deters murder and the growing recognition that the U.S. is sorely out of step with other democracies around the world that have long since renounced it as a violation of fundamental human rights.

If Holmes is convicted in a trial now scheduled to begin not earlier than February 2014, if he is sentenced to die, if no error is found by the appellate courts that will review the proceedings, and if his case is typical of other capital cases in Colorado and elsewhere, he would likely not be executed until 2029.

The murder victims' family members -- those who supported a death sentence in the first place (and many will not have) -- who seek justice or finality through his execution will gain neither until then. Holmes' parents, who were in court when Brauchler announced that the prosecution would seek their son's capital punishment, will also await that long-postponed resolution, sentenced in effect to suffer through those years as well.

While debating the abolition of capital punishment in England in the 1960s, Lord Chancellor Gardiner reminded the House of Lords: "When we abolished the punishment for treason that you should be hanged, and then cut down while still alive, and then disemboweled while still alive, and then quartered, we did not abolish that punishment because we sympathized with traitors, but because we took the view that it was a punishment no longer consistent with our self-respect."

Lethal injection is some steps removed from Lord Chancellor Gardiner's description of the British practice of drawing and quartering capital offenders.

Some today will maintain that drawing and quartering would be a fate richly deserved by Holmes. Yet despite the deep emotions and other justifications that might be offered in support of Holmes' execution, we might ask what good would be accomplished through this ritual act -- whether the lives of the individual victims and Coloradoans generally will be made better, and justice served by his lethal injection. We might ask whether, ultimately, such punishment would be consistent with our own self-respect.

The answer to whether James Holmes should be executed arguably is less dependent on what we think about him than what it says about us.

The opinions expressed in this commentary are solely those of James R. Acker.

@highlight

James Acker: If anyone has death penalty coming, it would seem to be James Holmes

@highlight

That's only if it's proved he's too mentally ill to be responsible in theater killings, Acker says

@highlight

He says death penalty costs too much, accomplishes little and is used less and less

@highlight

Acker: Does killing after murder make things better? Is it consistent with our self-respect?