(CNN) -- Angela Stokes had never been overweight as a child.

Angela Stokes, 30, lost 160 pounds in two years after she adopted a raw-vegan diet. She now weighs 138 pounds.

But she steadily started gaining weight as a teenager because of an under-active thyroid gland. By the time she graduated from college her weight had ballooned and she wore a U.K. dress size 26-28.

"I was 300 pounds, very unwell, very miserable," recalls Stokes. "I ate junk food all the time. I was very closed down emotionally. I had no interest in dieting; I just wanted to eat all the time ... that was like my comfort in life."

At the time, she says she was so "emotionally shut down" she refused to talk to anyone about what was happening. The weight was also taking a physical toll on her health and she frequently battled infections and illness.

Stokes says living her everyday life became a challenge.

"My mobility was quite restricted ... I was unwilling to participate in things from cutting my toenails to going on a walk with my friends," remembered Stokes. "I tried to give this impression that I felt fine about everything, but inside I was in a lot of pain a lot of the time."

Two summers after she reached her heaviest weight, Stokes was working at a greenhouse in Iceland, when a friend lent her a copy of a book about the health benefits of eating raw foods. Stokes, who had never been interested in diets, says she was completely "absorbed" by the approach.

She started eating raw the very next day.  "Everything in my life completely shifted. It was like a light bulb moment to be like ... 'this is what I was waiting for to reclaim my health,' " said Stokes.  Watch CNN's Dr. Sanjay Gupta report on Angela Stokes' raw diet »

She went cold turkey or "cold cucumber," as Stokes often jokes. She stopped eating meat, animal products and processed foods and instead switched to a diet that consisted of uncooked and unprocessed vegetables, fruits, nuts and seeds.

"To me, the thing with raw food is that it just makes sense. It's simple and natural, eating food straight from the earth. There's no rocket science, no mystery," said Stokes. "Once you understand the simple principle that no other animal in the wild eats cooked or processed foods. That's it."

The raw food diet completely transformed her life, she says. Within the first month of going raw, she had her first boyfriend in more than five years. In just two years, she had lost 160 pounds and has experienced dramatic improvements emotionally, physically and socially and is "happier than I've ever been."

Andrea Giancoli, a registered dietitian and spokeswoman for the American Dietetic Association, says everyone could stand to eat more fruits and vegetables.

"We all need to be moving towards a more plant-based diet," Giancoli said. "There are more pitfalls to a typical American diet with all of the processed foods and focus on meat than there are to a plant-based diet."

Is it healthier to eat uncooked vegetables? Not necessarily.

"The raw diet, specifically, the philosophy behind it is scientifically incorrect," Giancoli said. "Raw foodists believe that cooking food destroys enzymes that are essential for the body. While that's true, so does the gastric acid or juice in your stomach.

"So those enzymes are broken down anyway in your gastro-intestinal tract."

Giancoli believes there's a nutritional downside to a vegetarian diet. People who eat no animal foods run the risk of nutritional deficiencies such as a lack of vitamin B-12, iron and zinc and the powerful Omega-3 fatty acids found in fish, she said.

Giancoli recommends people meet with a dietitian to develop a balanced eating plan before they embark on a raw food diet.

Stokes, who now weighs 138 pounds, has kept the weight off for four years and authored several books on "raw foodism" lifestyle.

What tips does she have for people considering a raw vegan lifestyle? First, start slowly.

"I recommend people start out being at least 50 percent raw and go from there," advises Stokes. "Maybe it ends up at some point you are completely raw, maybe not. As long as the majority of the stuff or at least 50 percent is fresh raw food ... then you're tipping the balance in your favor."

Stokes also advises people to start eating things they like such as peaches, plums or spinach and then slowly incorporate more fresh raw foods. She admits the lifestyle can be socially challenging and she encourages people to connect with other "raw foodists."

"It's great to get support. If you look on the Internet and around you, you may find pot lucks," said Stokes. "Read books to inspire you to keep going on this journey."

Matt Sloane contributed to this report.

@highlight

Angela Stokes, 30, was miserable, unhealthy, weighed 300 pounds

@highlight

She began a raw vegan diet after reading a book about its health benefits

@highlight

Stokes lost 160 pounds in two years, improving her emotional, physical health

@highlight

She now weighs 138 pounds and has written several books on "raw foodism"