(CNN) -- Hillary Clinton's trip to Myanmar -- the first visit by a U.S. Secretary of State in half a century -- is poised to produce a breakthrough moment in U.S.-Burma relations.

Some worry that such a high-level visit is premature. Given that government's long history of authoritarian rule and systematic violations of human rights, vigilance is in order. But, to its credit, the Obama administration understands that this is not the time to stand on the sidelines and wait for change to happen.

How this transition plays out in Myanmar, historically known as Burma, is a story that hasn't been written yet. The United States should actively test the new government's credibility and commitment to reform and do all that it can to encourage, prod, and push for positive change.

The pace of change in Myanmar over recent months has stunned even the most skeptical observers.

Following deeply flawed elections one year ago, the shift from a ruling junta to a nominally civilian government has led to democracy leader Aung San Suu Kyi's release from house arrest and the official return of her party, the National League for Democracy (NLD), to the political scene. Her meetings with President Thein Sein represent a welcome signal that Myanmar's new government is reaching out to its opponents. The NLD recently announced that Suu Kyi would likely run for Parliament.

Other "flickers of progress," as President Barack Obama put it, are also under way. The government has created a nominally independent human rights body, invited the International Monetary Fund to engage in dialogue on currency reforms, called on armed ethnic groups to hold peace talks and lifted some restrictions on the media.

While the recent release of 200 or so activists falls far short of the estimated 2,100 political prisoners believed to be languishing in Burmese jails, it's a movement that should be further pushed.

So far, the U.S. government has responded by lifting travel restrictions on some officials -- including Wunna Maung Lwin, Myanmar's foreign minister, who met with U.S. officials in Washington and New York in September and on the margins of the Asia-Pacific Economic Cooperation meeting in Hawaii earlier in November. Derek Mitchell, the U.S. special envoy to Myanmar, has visited the Southeast Asian nation twice during the past two months

Clinton's visit represents the clearest signal yet that the Obama administration is ready to begin a new era in U.S.-Myanmar relations.

The visit is also a strong signal to China that the United States is seeking to contain Beijing's influence in Myanmar. While the U.S. sanctioned itself out of playing a role in resource-rich Myanmar over the past few decades, China has been aggressively pursuing its commercial interests, and today China is the country's main trading partner and arms supplier. But Myanmar's recent decision to suspend the construction of the controversial Myitsone Dam project, which was to provide electricity to China, is a strong indication that the government is ready to say no to China when it is in its interest to do so.

Clinton's visit to Myanmar, which comes on the heels of Obama's recent Asian tour that culminated at the East Asia Summit in Indonesia, also represents a reassertion of American leadership in the wider Asia-Pacific region.

While in Asia, Obama shored up trade, diplomatic and military interests in the region, announced plans to station U.S. troops in Australia and pursued a multilateral approach to resolving territorial and energy disputes in the South China Sea -- a set of issues that Beijing prefers to deal with bilaterally. Re-engaging Myanmar is part of this strategic reorientation.

U.S.-Myanmar re-engagement could open the way to clarifying the military's nuclear ambitions, which have become all the more disturbing in light of U.S. Sen. Richard Lugar's recent disclosure that he received information several years ago that Myanmar's government planned to develop nuclear weapons with North Korea's assistance.

While in Myanmar, Clinton should vigorously press leaders to allow the visit of an International Atomic Energy Agency (IAEA) fact-finding team to investigate any questions related to nuclear cooperation from Pyongyang and sign on to the voluntary Additional Protocol, a safeguards agreement that would provide IAEA greater rights of access.

An expansion in official U.S.-Myanmar ties also could help to address a range of issues beyond Myanmar's internal situation. The nation is the source of a number of transnational concerns related to instability and conflict along its borders as a result of military efforts to rein in insurgent groups, as well as the continuing export of disease and refugees. Myanmar's porous borders, combined with its status as the second-largest opium poppy grower in the world after Afghanistan, have allowed for rampant drug smuggling throughout and beyond Asia.

The recent endorsement by the Association of South East Asian Nations of Myanmar's bid to assume the chairmanship of the regional grouping in 2014 offers a significant point of leverage. The United States would be well-served to coordinate its policies toward Myanmar with ASEAN governments to ensure that leaders in the capital of Naypyidaw enact meaningful reforms that bring about national reconciliation and improve the everyday lives of the Burmese people.

With a per capita gross domestic product (GDP) between $1 to $3 a day, the conditions in Myanmar are among the most dire of any country. This moment of change is an opportunity to help move Myanmar away from authoritarian rule and into the world community.

The opinions expressed in this commentary are solely those of Suzanne DiMaggio.

@highlight

Hillary Clinton's trip to Myanmar could be a breakthrough, says Suzanne DiMaggio

@highlight

DiMaggio: U.S. should actively test the new government's credibility and push for change

@highlight

Re-engagement could clarify the Burmese military's nuclear ambitions, she says

@highlight

This moment is a chance to help move Myanmar away from authoritarian rule, says DiMaggio