Washington (CNN) -- Members of Congress returned to Washington on Monday from a five-week summer break. And they already can't wait to go back home.

Despite frightening international developments drawing the United States into a major military fight against the terrorist group ISIS and several unresolved policy disputes on things like immigration, members of the House and Senate come back to the Capitol with one thing in mind: Do the bare minimum and get back on the campaign trail.

At the top of the must-do list: passing a government funding bill and avoiding another government shutdown. Federal agencies run out of money at the end of September and the House could vote as early as this week on a "CR," or continuing resolution, that keeps current funding levels through mid-December. Congressional Republicans, confident they will regain control of the Senate, want to pass the spending bill quickly and without drama. Privately, some Democrats relish the idea of more brinkmanship on the issue because of the political damage a shutdown inflicted on Republicans last fall.

Senate Republican Leader Mitch McConnell, who is in a tight re-election battle, told CNN's Dana Bash recently he would not allow a shutdown to occur.

"I did rule it out. I'm the guy who gets us out of shutdowns," he said. "That's a failed policy."

Leaders may decide to tack on a short-term extension of the Export-Import Bank, the credit agency that gives loans to companies to promote U.S. exports. The bank's credit authority expires at the end of the month, but many conservatives oppose renewing it, arguing the institution is another example of government doing what the private sector should do.

GPS: Why the Export-Import Bank matters

Another key item in front of Congress: whether to vote on authorizing military action against ISIS. After demanding a plan from President Barack Obama on how he will respond to the terrorist threat, top congressional leaders will head to the White House on Tuesday to hear from the President before he outlines his strategy in a national address on Wednesday. Administration officials have been summoned for a series of hearings on the Hill, but it's an open question whether there will be an actual vote to grant the President new war authority or provide additional money to arm Syrian rebels.

Obama: U.S. to 'go on some offense' in ISIS fight

Asked on NBC's "Meet the Press" over the weekend, the President signaled that he may not think he any needs sign-off from Capitol Hill.

"I'm confident that I've got the authorization that I need to protect the American people," Obama said.

But some on Capitol Hill said it's up to the Congress, not the President, to give the go-ahead for military action. Sen. Ted Cruz of Texas, a possible GOP presidential contender in 2016, said "formal congressional authorization is required by the Constitution and would force the President to commit a clearly defined strategy to protect our national security."

CNN Poll: Most Americans alarmed by ISIS

Senior aides from both political parties said it's hard to gauge whether a new authorization could pass until they see the administration's plans. Already, a number of proposals are being pushed by bipartisan lawmakers, ranging from a narrowly tailored bill that would authorize airstrikes against ISIS in Syria to broader legislation that would give the President congressional approval to go after terrorists around the world.

The House is scheduled to be in session for just a dozen more days before the November election, but if the continuing resolution clears both chambers without any problems, it's likely that Congress will head home for the final campaign stretch earlier than planned.

The brief fall, pre-campaign session will be more about political messaging than legislating.

The GOP-led House will roll up a laundry list of previously approved jobs bills into one major economic measure, pass it and send it to the Democratic-led Senate. It will also vote on a nonbinding resolution condemning the Obama administration for not consulting Congress earlier this year when it traded five Taliban prisoners for the release of Army Sgt. Bowe Bergdahl, who was held captive in Afghanistan.

Republicans continue to believe complaints about Obamacare resonate with voters, so the House is scheduled to vote this week on a bill proposed by Louisiana GOP Rep Bill Cassidy that would allow those who like their current health care plans to keep them. Cassidy is running for Senate against one of the most endangered red state Democrats, Sen. Mary Landrieu.

Any action on the politically tricky issue of immigration reform will be punted until November's lame duck session. Obama announced over the weekend that he is delaying any executive action to curb deportations of undocumented workers until after the midterms, a move House Speaker John Boehner said "smacks of raw politics." But the President is expected to announce a new policy before the end of the year and congressional Republicans will certainly fight back and try to block it.

In the Senate, the first noteworthy vote of the shortened session won't have anything to do with keeping the government funded or defeating ISIS. Instead, the Monday evening vote will be on whether to take up a Democratic-authored constitutional amendment to allow the states and federal government to regulate campaign financing. Most Republicans oppose the approach but may vote to take it up nonetheless if for no other reason than to shrink the window into which Democrats can propose other measures Republicans consider political show votes.

The constitutional amendment has virtually no chance of getting through the GOP-controlled House, not to mention ratification by three-quarters of the states as would be required. It is sponsored by several Democrats up for re-election and has been championed by Senate Majority Leader Harry Reid, who routinely blasts the billionaire Koch brothers for spending millions to help Republicans win control of the chamber this fall.

With the Senate set to leave town September 23 -- after just 12 work days -- Reid warned before the August break senators might be forced to work weekends in September to complete their business. According to aides, that heavy workload may include bills to boost the minimum wage, reform the federal student loan programs, and other Democratic priorities. Republicans oppose those bills and bristle at Democrats for clogging the calendar with measures designed to rally the liberal base and boost Democratic candidates, not actually pass laws.

@highlight

At the top of the list, passing a funding bill to avoid another government shutdown

@highlight

Congress will also hear from President Obama on his plan to combat ISIS

@highlight

Little else is expected to be done with midterm elections less than two months away