(CNN) -- A racially-charged word with many meanings may be at the root of a dispute between two sports rivals that reaches far beyond the soccer field, analysts say.

Manchester United's Patrice Evra, who is black, says the word Uruguayan Luis Suarez shouted repeatedly during a match last month was a racial slur. Evra demanded that Suarez be held accountable for the controversial exchange, which erupted as authorities investigate other accusations of racism in soccer.

Suarez, a striker for Liverpool, hasn't specified what he said, but he argues that it wasn't offensive.

"I didn't insult him. It was only a form of expressing myself. I called him something his own teammates from Manchester call him," Suarez said, according to the Uruguayan newspaper El Pais.

British media reports have suggested Suarez used the Spanish word "negrito."

If that's the case, whether Suarez's remark was racist is a complicated question that doesn't have a black-and-white answer, according to scholars who've studied race issues in Latin America.

Leading figures call on soccer chief to step down

"It's about questions of translation or context," said Mark Sawyer, director of the Center for the Study of Race, Ethnicity and Politics at the University of California Los Angeles.

The word's literal translation is "little black man." But generally, negrito is not considered a racial slur in Latin America, Sawyer said. In fact, it frequently has a positive meaning.

"It's often a term of endearment," he said.

But what the word means also depends on where -- and how -- it's said.

"In Puerto Rico, it has one meaning. In Cuba it has a slightly different connotation and in the Dominican Republic it has a slightly different connotation," said Jorge Chinea, director of the Center for Chicano-Boricua Studies at Wayne State University in Detroit.

Blatter a controversial figure

Chinea said his mother and stepfather, both of whom were light-skinned, frequently used the word.

"When they talked as a couple, my mother would say, 'negrito, I love you.' ... I grew up listening to those expressions commonly being used by a lot of people in my community in Puerto Rico. And it was never associated with any color," he said.

After he moved to the United States in the 1960s, Chinea said, the word took on a different meaning. Many of his acquaintances used racial nicknames, he said, but there was no harm intended.

"It was always more like a quick way of acknowledging the distinctiveness of that person in a very friendly way," he said.

But Chinea said one of his Cuban colleagues in graduate school who employed the word drew criticism.

"When he used it and other people heard it, people came to me to complain. ... In the United States, it sounds offensive to some people," Chinea said.

In Uruguay, the meaning is clear, said U.S. radio talk show host Fernando Espuelas, who originally hails from the South American country.

"It's not a slur whatsoever," said Espuelas, whose show often addresses racism in the Latino community. "It's a term of endearment. You definitely would not use that if you were angry. It would sound ridiculous."

Blatter comments spark Twitter storm

Several scholars said the word's meaning could be connected with complicated racial politics in different Latin American countries, which each had unique historical experiences with colonization and the slave trade.

Uruguay, Chinea noted, has a smaller population of African descendants than some other Latin American nations. In 2006, about 9% of the population declared "Afro or black" roots, according to Uruguay's National Statistics Institute.

"If I were of African descent and someone from that part of the world was to use the word toward me, I would probably think twice about what the intentions are, whereas if the person who was saying it was from Cuba you'd probably take it as a joke. And if you said it to a Puerto Rican, they'd just love it," Chinea said.

Using the word negrito to describe U.S. President Barack Obama got a Honduran government official into hot water in 2009.

Then-Foreign Minister Enrique Ortez was forced to resign after he called Obama a "negrito who does not know where (the Honduran capital of) Tegucigalpa is."

But analysts said without hearing exactly what Suarez shouted in the October football match, or how he said it, it's impossible to know what he meant.

"It's a very interesting case. It will be interesting to see if the English Football Association actually consults experts on this," Sawyer said. "If you want to charge someone with racism or making a racial slur, the person should at least have the intent of making a slur. It's not necessarily clear that Luis Suarez had that intent."

The association said Wednesday that it was charging Suarez, but did not provide details about what transpired.

"It is alleged that Suarez used abusive and/or insulting words and/or behavior towards Manchester United's Patrice Evra contrary to FA rules," the association said in a statement.

"It is further alleged that this included a reference to the ethnic origin and/or color and/or race of Patrice Evra," the statement said.

Liverpool said in a statement that the club expects Suarez to request a personal hearing on the issue and "remains determined to clear his name of the allegation made against him by Patrice Evra."

In a post on his Facebook page shortly after the October match, Suarez said the accusations of racism upset him.

"I can only say that I have always respected and respect everybody," he said. "We are all the same. I go to the field with the maximum (enthusiasm) of a little child who enjoys what he does, not to create conflicts."

Evra, in an interview with France's Canal Plus, said evidence would support his claim.

"There are cameras. You can see him say a certain word to me at least 10 times. There is no place for that in 2011," he said.

Issues of racism have repeatedly surged on the soccer field in recent years, despite efforts to combat it.

Chelsea and England captain John Terry is at the center of a investigation by London's Metropolitan Police and the English Football Association after allegedly making racist remarks to Queens Park Rangers defender Anton Ferdinand during an October game.

Former Brazil defender Robert Carlos walked off the field during a Russian league match in June after a banana was thrown at him from the stands, while the Malaysian Football Association was forced to apologize to Chelsea in July when their Israeli midfielder Yossi Benayoun was subject to racial slurs during a pre-season encounter.

But FIFA president Sepp Blatter told CNN this week that he believes there is no on-field racism in the sport.

"Maybe one of the players towards the other, he has a word or a gesture which is not the correct one. But also, the one who is affected by that, he should say, 'It's a game.' We are in a game. At the end of the game, we shake hands, this can happen, because we have worked so hard against racism and discrimination," he said.

Blatter's comments provoked an immediate response from some players, including Manchester United's Rio Ferdinand, Anton's brother.

"Your comments on racism are so condescending (it's) almost laughable. If fans shout racist chants but shake our hands is that ok?" he wrote in a Twitter post.

Blatter later took to Twitter to explain his comments, posting: "Sometimes, in the heat of the moment, things are said and done on the field of play which are wrong. This does not mean that, in general, there is racism on the field of play. Football unites people more than it divides them."

CNN's Chris Murphy contributed to this report.

@highlight

Patrice Evra accuses Luis Suarez of using a racial slur

@highlight

British media reports suggest Suarez shouted the Spanish word "negrito"

@highlight

Experts say what that word means depends on when -- and how -- it's said

@highlight

"It's often a term of endearment," one scholar says