(CNN) -- Ayman al-Zawahiri emerged from a privileged upbringing in Egypt to become one of the world's most wanted terrorists and now, the leader of the most notorious terror group: al Qaeda.

The bespectacled 59-year-old surgeon formally merged his group, Egyptian Islamic Jihad, with al Qaeda in 1998, becoming then-leader Osama bin Laden's personal physician and closest confidant.

A month and a half after bin Laden's death in a U.S. raid on his compound in Pakistan, al-Zawahiri has been appointed the new leader of al Qaeda, according to a statement posted on several jihadist websites Thursday.

Al-Zawahiri and al Qaeda has been blamed for numerous terrorist attacks worldwide, mainly on Western targets, including the attacks of September 11, 2001, on New York and Washington that killed nearly 3,000 people.

After the attacks, the U.S. State Department offered a $25 million award for information leading to al-Zawahiri's apprehension.

An Islamic fundamentalist, al-Zawahiri joined the outlawed Egyptian Islamic Jihad group as a teenager, being jailed twice for helping plot assassinations of two Egyptian leaders.

He eventually became the group's leader, which was dedicated to the creation of an Islamic state in Egypt, and in the 1980s he joined Mujahedeen fighting Soviet forces in Afghanistan.

There he befriended and joined forces with bin Laden. Before and after 9/11, al-Zawahiri appeared on numerous video and audiotapes calling for attacks against Western targets and urging Muslims to support his cause.

At that time he was thought of as second-in-charge to bin Laden, analyst have said.

From a prominent Egyptian family

Born on June 19, 1951, al-Zawahiri grew up in an upper-class neighborhood in Cairo, the son of a prominent physician and grandson of renowned scholars.

"He used to write poetry to his mother," said Mahfouz Azzam, al-Zawahiri's uncle, calling his nephew quiet, studious and deeply religious.

"He was known as a good Muslim, keen to pray at the mosque and to read and to think and to have his own positions."

As a 16-year-old medical student in the 1960s, al-Zawahiri became involved in the Islamic fundamentalist movement rolling through Egypt.

Authorities arrested and charged him with being part of a Muslim Brotherhood plot to overthrow President Gamal Abdel Nasser.

After Anwar Sadat's election as Egyptian president, al-Zawahiri worked to overthrow Sadat, said Dia'a Rashwan, a specialist in Islamic movements.

After Sadat made peace with Israel, members of Egyptian Islamic Jihad assassinated him. Zawahiri was arrested shortly after in a security sweep of Islamic militants.

In a 1981 trial, as defendant No. 113, he was convicted on weapons charges, but not for being part of the assassination plot, and sentenced to three years in prison.

He spent three years in prison, where by his own and other accounts he was tortured severely.

When President Hosni Mubarak assumed power after Sadat's assassination, al-Zawahiri sought his overthrow as well.

Rise to power

Egyptian officials linked Egyptian Islamic Jihad to the 1995 bombing of the Egyptian Embassy in Pakistan.

Due to his charisma and fluent English, al-Zawahiri emerged as a sort of international spokesman for the imprisoned Islamic activists.

"We want to speak to the whole world," he said in 1983. "We are Muslims who believe in our religion. ... We are here, the real Islamic front and the real Islamic opposition."

By the time al-Zawahiri got out of prison, he had moved into the top ranks of the militants.

He left Egypt in 1985 and made his way to Peshawar, Pakistan, where he worked as a surgeon treating the fighters who were waging holy war against Soviet troops in Afghanistan.

That is where al-Zawahiri met bin Laden, a prominent Mujahedeen leader and who also had left behind a privileged upbringing to join the fight in Afghanistan. The two became close, linked by their common bond as "Afghan Arabs."

After the war against the Soviets ended, al-Zawahiri was unable to return to Egypt.

Instead, he joined bin Laden in Sudan, where he planned terror activities, including an attack on the Egyptian Embassy in Pakistan. He was also linked to assassination attempts on several Egyptian politicians.

Ali Mohammed, a fellow Egyptian and Islamic Jihad member living in the United States, testified al-Zawahiri actually visited the United States twice on fund-raising trips in the early 1990s, including to a mosque in Santa Clara, California.

The group, meanwhile, stepped up its violent campaign against the Egyptian government, blowing up its embassy in Pakistan in 1995 and trying to assassinate several top Egyptian politicians.

A new al Qaeda emerges

After reuniting in Afghanistan, bin Laden and al-Zawahiri appeared together in early 1998 announcing the formation of the World Islamic Front for the Jihad Against the Jews and the Crusaders -- formally merging the Egyptian Islamic Jihad and al Qaeda, bin Laden's group.

The two issued a fatwa, or decree, that said, "The judgment to kill and fight Americans and their allies, whether civilians or military, is an obligation for every Muslim."

Some Egyptians traced al-Zawahiri's anger toward the United States to what many Afghan Arabs felt was the CIA's betrayal to support their cause after the Soviets left Afghanistan and the country slipped into tribal anarchy.

Others date al-Zawahiri's wrath to 1998, when U.S. officials pushed for the extradition of a number of Egyptian Islamic Jihad members from Albania to stand trial in Egypt for terrorism.

In early August of that year, the al Hayat newspaper office in Cairo received a fax from Egyptian Islamic Jihad stating: "We should like to inform the Americans that, in short, their message has been received and that they should read carefully the reply that will, with God's help, be written in the language that they understand."

On August 7, suicide bombers destroyed the U.S. embassies in Kenya and Tanzania, killing 224 people. U.S. authorities later indicted both al-Zawahiri and bin Laden on charges they masterminded the terror bombings.

An hour later, U.S. forces launched cruise missiles in retaliation for the embassy bombings, but al-Zawahiri and bin Laden escaped.

A few days later, al-Zawahiri defiantly called a reporter and warned there would be more attacks. There were, including the attack on the USS Cole in October 2000 and a year later the attacks on New York and Washington.

Levels of terror

In 1999, Egypt tried the Islamic Jihad members extradited from Albania. It also convicted and sentenced al-Zawahiri and his brothers Mohammed to death in absentia.

Back in Afghanistan, al-Zawahiri continued to work with bin Laden and al Qaeda.

Weeks after the 9/11 attacks, Interpol issued an arrest warrant for al-Zawahiri, alleging he "masterminded several terrorist operations in Egypt" and accusing him of "criminal complicity and management for the purpose of committing premeditated murder."

Since then, al-Zawahiri has raised his public profile, appearing on numerous video and audiotapes to urge Muslims to join the jihad against the United States and its allies.

Some of his tapes have been followed closely by terrorist attacks.

In May 2003, for instance, almost simultaneous suicide bombings in Riyadh, Saudi Arabia, killed 23 people, including nine Americans, days after a tape thought to contain al-Zawahiri's voice was released.

On an October 2002 tape, a voice thought to be al-Zawahiri's said, "America and its deputies should know that their crimes will not go unpunished. ... The settlement of this overburdened account will indeed be heavy. We will also aim to continue, by permission of Allah, the destruction of the American economy."

In a tape in 2005, he threatened the French government for passing a law banning Muslim students in that country from wearing head scarves at school.

@highlight

Al-Zawahiri is the son of a physician

@highlight

"He used to write poetry to his mother" his uncle says

@highlight

He became involved in Islamic fundamentalism as a teenager

@highlight

He joined forces with bin Laden during the Soviet invasion of Afghanistan