(CNN) -- Secretary of Defense Leon Panetta has announced new initiatives to curtail what he calls "the epidemic" of rape and sexual assaults in our armed forces. In 2010, an estimated 19,000 service members were raped or sexually assaulted by other service members. Clearly, more resources devoted to counseling for victims and training for prosecutors and judges will help.

But the incidence of unpunished rapes will continue and so will the damaging effects these illegal acts have on troop morale and preparedness. This epidemic requires an overhaul of the military justice system.

The military's chain of command structure keeps most cases of rape and sexual assault from reaching the prosecution level. According to a Defense Department study, only 8% of sexual assailants are referred to military court, compared with 40% of similar offenders prosecuted in the civilian court system. The case of Army Spc. Andrea Neutzling of Ohio is a sad testimony to a justice system gone wrong.

According to Neutzling, in 2002, while serving in South Korea, she was sexually assaulted by an intoxicated soldier she knew. She reported the assault to her commander, who gave the assailant a slap on the wrist punishment of five days of base restriction. Three years later in New Jersey, preparing for deployment to Iraq with a military police unit, she was again assaulted by a fellow soldier. Fearing nothing would happen if she reported the attack, Neutzling instead kept the incident to herself.

A month later in Iraq, she said she was raped by two soldiers who threatened to beat her if she struggled. Although she suffered serious bodily injuries from the rape, she chose not to report it; instead she slept on a cot with her rifle pointed toward the door for the first few days after the attack.

Soon, the chaplain was told about the attack by a woman in Neutzling's unit who reported that the perpetrators were showing a video of the rape to others. But her chaplain didn't believe her, later telling Neutzling, "You don't act like a rape victim."

The commander said it was a "they said, she said" situation, and because she was married at the time of the incident, he threatened to charge her with adultery. The men who raped Neutzling were never charged, investigated or penalized.

In the current military chain of command structure, Neutzling's commander and staff sergeant did nothing wrong. Commanders can decide whether to investigate and issue virtually any punishment or, in this case, no punishment at all -- they have complete authority and discretion over how a degrading and violent assault is handled.

Marine Cpl. Sarah Albertson suffered from post-traumatic stress disorder, but not because of her service in Falluja, Iraq. According to Albertson, she was raped at a California base by a fellow Marine who outranked her. When she reported the assault to her commander, she was ordered to keep quiet and to continue following her assailant's orders. The rapist was promoted, but she lost her security clearance and subsequently left the Marines.

Albertson and Neutzling are two of 28 plaintiffs in a lawsuit against former secretaries of state Donald Rumsfeld and Robert Gates that accuses the military of failing to prevent or prosecute instances of rape and sexual assault.

In the U.S. military, a woman is more likely to be raped by a co-worker than killed by the enemy. The epidemic infects every branch of the armed services, includes female and male victims, and extends to the military academies, which reported that 520 cadets and midshipmen experienced unwanted sexual contact during the 2009-2010 academic year.

Male service members are not immune to rape or sexual assault. In a 2010 survey of 14,000 active-duty service men, 126 anonymously reported unwanted sexual contact by a male or female co-worker in the past 12 months.

A more disturbing statistic speaks to the distrust that servicemen and women have in the military's ability to investigate and fairly prosecute alleged rapists and perpetrators of sexual assault. Only 13.5% of victims actually report the crimes.

Victims deserve an impartial investigation and the opportunity to have perpetrators tried in a military court of law. My bill, the STOP Act (H.R. 3435), takes complete authority and discretion out of the hands of commanders and gives that authority to objective experts.

The bipartisan STOP Act creates a new office of oversight and response to handle all possible cases of rape and sexual assault in the military, enabling unbiased personnel to determine the appropriate path of action for each report. The office would be housed in the Department of Defense and staffed by civilian and military experts trained to manage investigations of sexual assault.

My proposal is not unique to modern defense forces. Several of our closest allies have instituted meaningful reforms to manage cases of rape and sexual assault in their military.

The United Kingdom has largely transferred authority in military sexual assault cases to independent, impartial civilian personnel. Australia and Canada allow aggrieved service men and women to lodge complaints and access external agencies. All three countries strive to keep their internal military adjudication process independent from the influence of the military chain of command. We need to do the same.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions in this commentary are solely those of Jackie Speier.

@highlight

Jackie Speier: Most cases of reported rape go untried; only 13.5% even reported

@highlight

Speier: In 2010, 19,000 service members raped or sexually assaulted by other members

@highlight

Commanders have sole authority whether to investigate or issue punishment, she writes

@highlight

Speier: Victims deserve an impartial investigation and cases tried in a military court