(CNN) -- One of this week's most astounding stories is Facebook's acquisition of WhatsApp, a mobile messaging service that has more than 450 million monthly active users globally. The $19 billion that Facebook will spend on buying WhatsApp created a collective jaw-drop in the tech world.

Sure, the price tag is getting a lot of buzz -- $19 billion is a historically big number for a venture funded company. But what exactly is Facebook getting out of it?

A company just a few years old with less than a billion dollars in revenue and a service that is nearly (but not quite) free.

Is all of that worth so much money?

Just as with the acquisition of YouTube by Google for $1.65 billion or Facebook's purchase of Instagram for $1 billion, many people simply have a hard time wrapping their mind around an acquisition of a service that doesn't fit with traditional valuation principles.

In the old world, company valuations were based on a multiple of revenue or free cash flow, while also factoring growth over time. But in the new world of Internet and social media, revenue is often something that will come later as the result of hyper growth, and traditional valuation techniques don't apply.

Still, because of the eye-popping price, many are naturally asking if this acquisition is a sign of a tech bubble. After all, prices for social media and Internet service startups seem to be getting bigger by the day and, well, $19 billion is a mind-blowing number.

To which I would say that while the price seems enormous - mainly because it is - the price per user is actually in line with acquisitions in the past decade.

When looking at price-per-user from acquisitions over the past decade and throwing out outliers like Yahoo's acquisition of Broadcast.com for nearly $11,000 per user (nice job, Mark Cuban), what Facebook paid for each WhatsApp user is solidly in the middle of the pack at $42, above Instagram's $28 cost per user and Tumblr's $33 per user, but below the $48 or so Google paid for each YouTube user back in 2006.

So while other acquisitions have been much cheaper in total price paid by Facebook, that's because the total user base of these other services has been much lower.

And that's the thing that makes WhatsApp such an attractive prize for Facebook: 450 million active users. Not only is that a massive number, but the number is also growing very quickly, having doubled in just the past year.

In short, with this acquisition, Facebook is getting the most popular mobile social messaging app in the whole world.

The importance of this can't be understated. Facebook has been trying over the past few years to adapt to the mobile world with mixed results, and now with WhatsApp, Mark Zuckerberg is not only getting a massively popular mobile social messaging service, but one that is also enormously popular in emerging markets.

As others have aptly noted, because Facebook doesn't control a mobile platform itself (unlike Google with Android), and with its stock rising, Zuckerberg likely felt it had to make this move now to add fuel to its transition to the world of mobile computing. If Facebook didn't make this move, Google, which reportedly offered $10 billlion for WhatsApp, likely would have.

Facebook is showing that it is willing to bet big chunks of the company (the WhatsApp acquisition will cost them roughly 10% of outstanding Facebook shares) to disrupt themselves and remain relevant.

A high price to be sure, but judging by recent history, the price it paid is about right.

The opinions expressed in this commentary are solely those of Michael Wolf.

@highlight

Facebook bought WhatsApp, a mobile messaging service, for $19 billion

@highlight

Michael Wolf: Yes, the acquisition is worth the money, even though company is young

@highlight

He says WhatsApp's 450 million active users make it attractive in terms of growth

@highlight

Wolf: Facebook is showing that it is willing to disrupt itself and remain relevant