(CNN) -- To get through the long, tedious hours sitting in the fossil archives at the University of California-Berkeley, Jason Head would listen to the hypnotic sounds of The Doors.

So when he happened upon one of the biggest lizards that ever walked on land, he found it fitting to name it after the band's frontman, Jim Morrison -- the original Lizard King.

But that's not what makes this find interesting. It's what the existence of the "Bearded King Morrison" tells us about the effects of climate change that's intriguing.

The climate connection

Lizards, like snakes and turtles, are cold-blooded animals. They depend on warmth from their surroundings to heat their bodies.

And when the environment warms up, they become more active, get hungrier, eat more and grow.

For six years, Head sifted through fossils of animals that lived 40 million years ago, looking for clues on climate change.

Then it jumped out at him: The Bearded King Morrison, as Head named his now-extinct lizard. Head and his team introduced it in a study to be published Wednesday by research journal Proceedings of the Royal Society B.

"It struck me that we had something here that was quite large and quite unique," he said.

The find was striking, because when it comes to climate trends, bigger reptiles point to a warmer climate, Head said.

"One of the things you can actually do is estimate past temperatures by looking at the body size of fossil reptiles," said Head, a paleontologist who studies the Earth and its atmosphere at the University of Nebraska-Lincoln.

The lizard's hefty size helped confirm the elevated global temperature during a period known as the Paleocene greenhouse.

"This would be a globally warmed time in Earth's history, where there's no ice at the poles," Head said. There was a lot of carbon dioxide in the atmosphere back then.

Sound familiar?

Man-made global warming in the 21st century is pushing temperatures back up in that direction, he said.

Current average temperatures are only about 2.5 degrees Celsius shy of where they were 40 million years ago, Head said, when the Bearded King Morrison grazed in the forests of what is now Myanmar.

The Doors connection

The lizard's proper scientific name is Barbarurex morrisioni, and there is a backstory to how Head arrived at it.

The Doors is Head's favorite 60's rock band.

The Doors' founder Ray Manzarek dies at 74

"I had their albums going on kind of endless loop while we were writing and doing the analysis on the lizard," he said.

The size of the lizard took him by surprise. It reminded him of the nickname of now deceased Doors singer Morrison, also known as the Lizard King. Morrison also had a reputation for standing up for the environment.

The king-size lizard, the ecological connection. For Head, the name fit.

The Bearded King Morrison was no dinosaur. It was smaller than today's crocodiles and Komodo dragons.

But those are carnivorous reptiles. This was an herbivore. It ate plants.

It was six feet long and weighed as much as a German shepherd, pretty sizable for a lizard.

Head says he hasn't found fossil records that show why the creature eventually went extinct.

The big deal

The evolution of such a large reptile shows what a huge effect a slight warming bump can have, Head said. With the ice caps gone, Earth's climate became warm and muggy, and forest covered the planet.

There was plenty of greenery for the chubby lizard to munch through.

As man-made climate change progresses, existing reptiles will spread out into new territory, Head predicts.

So can we see another spurt of such giant lizards?

Unlikely.

For them to evolve to the size of the Bearded King Morrison, they would require global temperatures to slowly rise a few degrees and then remain stable for a very long time.

Today's climate is warming so rapidly that "we'll basically block off their ability to respond to the temperature increase," Head said.

Instead of evolution, he said, we'll see extinction.

Or, as Morrison sang, "This is the end, my only friend."

More space and science news from CNN Light Years

Follow @CNNLightYears on Twitter

@highlight

Lizard's size confirms elevated global temperature during Paleocene greenhouse period

@highlight

The cold-blooded animals depend on warmth from their surroundings to heat their bodies

@highlight

Man-made global warming in the 21st century pushing temperatures back up in that direction