Baghdad (CNN) -- "Significant differences" remain between world powers and Iran in negotiations over its nuclear program, European Union foreign policy chief Catherine Ashton said Thursday.

But, Ashton said, "it's clear that we both want to make progress."

The parties "agree on further discussions to expand common ground," she said, and have a clear direction going forward.

Negotiations between Iran and the so-called P5+1 -- the United States, France, Britain, Russia, China and Germany -- will continue next month in Moscow.

Iran's top negotiator, Saeed Jalili, asserted Iran's right to pursue peaceful nuclear energy in his remarks to reporters.

Later, in an interview with CNN, Jalili said there was progress.

"In two days, we exchanged viewpoints regarding those issues," he said. "It showed both sides are serious in order to move forward in the talks."

Western powers fear that Iran may be trying to build nuclear weapons, despite its insistence that its nuclear program is for peaceful purposes. The West has been using sanctions and diplomacy to try to stop Iran from producing nuclear arms.

Jalili told CNN that the removal of "hostile measures" would increase cooperation.

"We have always said the thing that could break this deadlock is the attitude and cooperation," he said. "The current strategy of pressure could make the talks come to an end. The time for and the strategy of pressure is over, but we still have time for talks and new strategies that can bring a new horizon if (there is) cooperation."

U.S. Secretary of State Hillary Clinton said the sanctions will remain in place.

"Iran now has the choice to make," she said. "Will it meet its international obligations and give the world confidence about its intentions, or not."

The announcement of further talks followed two days of intense negotiations in Baghdad. The discussions, scheduled to take a day, were extended into Thursday after reaching an apparent stalemate a day earlier.

Speaking after the talks wrapped up, Ashton said the world powers remain "firm, clear and united" in seeking a swift diplomatic swift resolution to their concerns over the "exclusively peaceful nature" of Iran's nuclear program.

"We expect Iran to take concrete and practical steps to urgently meet the concerns of the international community, to build confidence and to meet its international obligations," she said.

The world powers laid out "clear proposals" to address the issues at hand and in particular the question of 20% enrichment. Meanwhile, Iran came with its own five-point plan, which included an assertion that the world recognizes its "right to enrichment," she said.

"It's clear that we both want to make progress and that there is some common ground," she said. However, "significant differences remain."

Diplomats will arrive in Moscow on June 17, for talks on June 18 and 19 which will be based on "a step-by-step approach and reciprocity," Ashton said.

The resolve to continue talks may signal a change in tone, coming after past negotiations that have been marred by threats and allegations of foot-dragging and unreasonable demands.

Wednesday's meeting appeared to yield little result, with each side submitting dueling proposals.

Iran rejected calls during talks to stop the high enrichment of uranium that can be used for weapons, while the international powers refused Tehran's demand for an immediate end to sanctions crippling its economy.

Iran threatened this year to close the Strait of Hormuz, a vital oil shipping lane, if sanctions were imposed on its exports of crude oil. Israel, which is believed to have its own nuclear arsenal, has said it may attack Iran to try to stop Tehran from developing nuclear weapons.

The talks come at a critical time for Iran. The country's economy has been crippled by sanctions imposed by the United Nations, the United States and the European Union. Because 80% of Iran's foreign revenues are derived from oil exports, an embargo by the EU set to go into effect in July will put further pressure on its economy.

On Wednesday, the six world powers made Iran an offer for stopping its processing of medium-enriched uranium, which can be used to make nuclear weapons, EU officials said.

The proposal also called for Tehran to prove its nuclear program is being used for peaceful purposes as it claims, and comply with U.N. Security Council resolutions, according to a Western official, who spoke on condition of anonymity because of the sensitivity of the discussions.

Asked whether relief from the tough Western sanctions imposed on Iran will be on the table, the same Western official said: "There is no expectation it will happen as a result of this meeting. Iran would need to take significant concrete action first," the official said.

Iran's counter-proposal included five areas of nuclear and non-nuclear cooperation, state-run IRNA reported late Wednesday.

A British Foreign Office spokesman said world powers are offering support for Iranian economic and agricultural development and the country's civilian nuclear program in exchange for cooperation.

Another idea on the table is an updated version of an earlier offer to swap enriched uranium for nuclear fuel, European Union officials said. There had been a proposal to swap most of Iran's low-enriched uranium for fuel rods to power a medical research reactor in Tehran.

The proposals address the world community's "concerns about the nature of their nuclear program," said Mann, the spokesman for EU foreign policy chief Ashton.

"Obviously, you have various U.N. Security Council resolutions and reports from the International Atomic Energy Agency that have found suspicions that they may be developing a military program, so our proposals on the table address those concerns," Mann said. "We hope that they will come back and react positively to those proposals that we've made and that we can really talk about the substance and get things moving."

Mann said 20% uranium enrichment "is one of the issues that's addressed" in proposals Ashton put on the table.

Uranium enriched at 20% is typically used for hospital isotopes and research reactors, but is also seen as a shortcut toward the 90% enrichment required to build nuclear weapons.

Trita Parsi, president of the National Iranian American Council, said all parties should be commended for returning to the negotiating table.

"A feasible solution is to match tangible, verifiable Iranian concessions with a delay of the impending European Union oil embargo," Parsi said in a statement. "This would add time to the negotiation clock and buy both sides some breathing space."

CNN's Mohammed Jamjoom in Baghdad, Matthew Chance in London and Reza Sayah in Islamabad contributed to this report.

@highlight

Iran has critical choice to make, Clinton says

@highlight

Iranian negotiator touts "cooperation" over "pressure"

@highlight

"Significant differences" remain between world powers and Iran on its nuclear program

@highlight

Iran and world powers have agreed to meet next month in Moscow for more talks