Seoul, South Korea (CNN) -- With Kim Jong Un out of sight for a month, three North Korean officials popped down to South Korea for a last-minute visit Saturday.

And they delivered a diplomatic bonbon.

The three officials told South Korea that Pyongyang is willing to hold a new round of high-level meetings between late October and early November, South Korea's Unification Ministry said in a statement Saturday.

"Within my memory ... there was never ever such a high-level visit. Never," said North Korea analyst Andrei Lankov, from Seoul's Kookmin University.

Lankov said two of the three visitors "are essentially number two and number three in North Korean official hierarchy."

Right behind Kim, the "Dear Leader" himself.

Is North Korean leader Kim Jong Un lying low?

Short notice, extensive media coverage

It was a sudden "charm offensive," Lankov said.

And it caused a media flurry, with South Korean television network YTN following the delegation's moves via extensive live coverage.

The three gave Seoul short notice on Friday that they were dropping in officially to attend Saturday's closing ceremonies of the Asian Games in the port city of Incheon.

The South granted permission the same day to Hwang Pyong-so, vice marshal of the Korean People's Army, Kim Yang-gon and Choe Ryong-hae.

Kim Yang-gon is one of North Korea's top politicians responsible for dealings with the South.

Choe is the former head of the military but was replaced in May, triggering some speculation in the international press that he may have fallen out of favor with Kim Jong Un. But South Korean analysts say that he remains extremely influential.

He holds a seat as secretary on the Workers' Party's Central Committee, Pyongyang's highest decision-making body, and commands preeminent authority over civilian affairs.

Choe is also chairman of the Sports Guidance Commission.

The officials' Asian Games appearance was followed by a lunch with South Korean officials, and Seoul's reunification minister greeted the North Koreans at their hotel.

The delegation met with the South's national security chief, Kim Kwan-jin, and later with Prime Minister Chung Hong-won.

Speculation on Kim's absence

Kim Jong Un has been conspicuously absent even from important state events, and Pyongyang officials have said Kim is "suffering from discomfort." The last times he was seen publicly, he had gained weight and developed a limp.

He missed the Supreme People's Assembly of North Korea's Parliament. A prominent seat remained empty onstage, surrounded by North Korea's top brass.

A count of North Korean announcements about Kim's public appearances went from 24 events in July to 16 in August -- then to just one event in September. His last listed public appearance was a September 4 concert.

His absence has triggered conflicting speculation among longtime North Korea watchers about the security of his position, and on the mechanisms of power in what is arguably the world's most closed society.

Jang Jin-Sung, who was a prominent propagandist for Kim Jong Il, Kim Jong Un's father and predecessor, said the 31-year-old dictator is a merely the "puppet" of a shadowy oligarchy.

The old guard who make up the Organization and Guidance Department (OGD) are the real "power holders," Jang told CNN's Brian Todd via telephone from South Korea on Friday. They were tied closely to the late Kim and are not beholden to his son, he said.

Jang, who defected to South Korea almost a decade ago, told Todd that he has spoken with highly placed sources within the regime in recent days. The OGD, he said, "are calling the shots, and not the words of one man they do not know. Basically, they're no longer loyal to the ruling king's word."

Neither CNN nor U.S. intelligence officials can confirm whether Jang's claims are credible, but Ken Gause -- who has studied North Korea for two decades for CNA Corp., a nonprofit agency that provides research and analysis to U.S. government agencies -- agreed that the OGD has enormous clout.

"It keeps the files on everyone (in the regime's leadership), and that definitely makes it a very powerful and dangerous organization," Gause said.

Jonathan Pollack, who specializes in East Asian issues for the Brookings Institution, downplayed the likelihood of a power struggle in Pyongyang, telling CNN that high-level maneuvering to influence Kim is much more likely than any effort to strip him of power.

"This is a top-down system. There is no number two," Pollack said. "It is a royal system, a dynastic system predicated on there being a Kim and then, dare I say, a 'next of Kim' able to wield authoritative power from the top on an unquestioned basis."

Lankov, the Kookmin University analyst, doubts Kim is in political hot water.

"People get sick," he said. "I wouldn't make much of it."

He said he believes Kim is still in charge and is behind Saturday's remarkable visit.

"North Korean diplomacy has been engaged in concerted, well-arranged, well-managed efforts to improve relations with pretty much the entire outside world. And you would not expect it to happen with nobody in control," he said.

Lankov's take on the reason for North Korea's friendlier approach: economics.

"They want South Korean money and they want normal trade, which is subsidized by South Korea."

In particular, they'd like the South to lift the so-called May 24 Measure, a heavy trade sanction taken in 2010 after the North Korean military sank a South Korean ship, killing 46 sailors.

Toning down the rhetoric

In stark contrast to the bellicose gesturing that has haunted relations in the past, North Korea and South Korea took conciliatory steps in each other's direction in February's first round of high-level talks.

North Korea took the initiative in proposing the talks as a measure to build trust. At the meeting, both sides agreed to tone down the harshness of their rhetoric.

Pyongyang has been particularly irked by joint military exercises between South Korea and the United States, and would like them to cease. The North views them as a prelude to an invasion.

Routine military exercises followed later in the same month the first round of talks was held, but were met with less vitriol and military bluster from the North than in the previous year. During joint U.S.-South Korean military maneuvers in 2013, Kim Jong Un flung aggressive threats at both countries and set his military in motion.

Following February's talks, South Korea's Unification Ministry proposed a second round in August.

The North Korean side had not responded to the proposal until Saturday.

CNN's KJ Kwon reported from Seoul, Ben Brumfield reported and wrote from Atlanta. CNN's Brian Todd, Paula Hancocks, Jason Moon and Cameron Tankersley contributed to this report.

@highlight

"Within my memory...there was never ever such a high-level visit," expert says

@highlight

Head of North's military, two other ruling party leaders attend sports event

@highlight

They also meet with South Korean officials, who give them a warm welcome

@highlight

Kim Jong Un has been out of sight for weeks; officials say he is "suffering from discomfort"