(CNN) -- There was a time, not very long ago, when it seemed as if each of the world's major problems and every potential solution pivoted around the United States. The president of the United States was referred to as the leader of the free world, and the term was not used with irony or mockery.

No one today would, or should, use that musty old expression, which dates back to the Cold War. For one thing, it's not even clear precisely what the free world is. Still, it's worth pondering whether if in the next election, American voters will crown the most powerful man in the world, the man who will lead the world's democracies and inspire those who aspire to freedom. In short: Does America, and the American president, still matter that much to the rest of the planet?

I spent much of the time leading up to the last two presidential elections traveling overseas. Back then, conversations with non-Americans revealed anxiety about the elections, which would result in consecutive terms for George W. Bush. More than once I heard the comment that the whole world should be allowed to vote in the U.S. election, because the outcome would affect people's lives everywhere.

For many decades, the security of Europe depended on Washington's protection, and the world economy rose and fell on the fate of America's economic growth.

Today, America seems little more than a bystander on many of the top global issues. The European economic crisis does not hinge on U.S. actions. Developing economies worry more about Chinese than American growth. Those who believed peace between Arabs and Israelis depends on the United States are no longer so convinced. The Arab uprisings, revolutions and civil wars have seen some U.S. involvement -- most notably in Libya -- but they have largely unfolded on their own stage, with America sitting in the audience, at times cheering, criticizing or just offering an opinion.

Opinion: What matters to women in the election

It would be easy to conclude that America's presidential election this time around is a matter of concern only to Americans. But that would be wrong.

The world remains enthralled with American politics. No other election on the planet receives a similar amount of attention. Not even close.

I have just returned from another couple of rounds abroad and still I see enormous interest in U.S. politics. Headlines everywhere follow the minutiae of the protracted U.S. presidential election. From Latin America to Asia, people heard about Republican candidates Rick Santorum and Newt Gingrich. They are intrigued that Mitt Romney is a Mormon, and they have heard about issues of U.S. health care and American troops in Afghanistan.

Still, the sense that the U.S. election will have a direct and immediate impact on everyone's life seems to have receded compared to the days of the Iraq war.

Opinion: Romney's absurd idea on indicting Ahmadinejad

People with Internet connections for the first time had the opportunity to watch the presidential debates. According to YouTube, millions watched live, at all hours of the day and night, in 215 countries and territories.

One poll, conducted by Gallup in 30 countries, interviewing 26,000 people, found 42% say they wish they could vote in the U.S. election. The number is even greater for young people, which shows it's not just Cold War nostalgia at work in the emotional connection to the United States.

Nearly two-thirds of those asked said a U.S. president has a great impact on life in their own countries.

Over the years, many people have resented American influence and power. When the Soviet Union collapsed and the competition between the two superpowers left only one standing, the French, in particular, derided America as the "Hyperpower."

Resentment of U.S. power will never die in some quarters, but the polls show a majority of Europeans consider American leadership in world affairs "desirable."

When the president of France started pushing for Western intervention to prevent civilian massacres in Libya, it took American power to make it happen. With tragic symmetry, the massacres have continued in Syria as Washington decided not to intervene.

Bergen: Romney endorses Obama's national security policy

The world watches America's top politicians. It gets to know them, and everyone has an opinion.

A number of polls show Barack Obama is the overwhelming favorite to win this election; that's among non-Americans. The Gallup Global Poll found Obama ahead by 81% to 19%. Another poll commissioned by the BBC and conducted in 21 countries showed Obama ahead 50% to 21%. The president was ahead everywhere except in Pakistan, where Romney edged ahead, but neither candidate was liked by even 20% of those questioned.

Obama was enormously popular in Europe, Australia, Canada, Nigeria, Kenya, Panama, Brazil and other countries.

It's also not as if the world started paying attention only as the elections approached. Pollsters have been taking the temperature of global opinion all along. Obama came to office with enormous support at home and abroad. As his popularity numbers started coming down to earth in the United States, they did the same in other countries.

Early this year, the international consensus was against Obama. Just 46% wanted him re-elected, according to Gallup's March poll. His approval rating collapsed, particularly in Arab countries, scraping the bottom in Egypt at just 19%.

As the alternative emerged, views changed. Now that they see it's Obama or Romney, the world says give us Obama. I'll leave the explanation of that reaction for another day.

The United States has undoubtedly lost a great deal of the influence it once had. It doesn't always have the ability or the inclination to shape events. Power is more widely divided, but still today nobody has more of it. And that power is not just measured in money or guns. It is still measured in ideas and values. That's why polls show so many people still look to the United States and say they want America to hold on to its position of global leadership.

The entire world is paying attention to the American election, because the president of the United States, whoever he (yes, still he) is, remains the most powerful and influential human being on Earth.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: President once considered leader of free world, a key influence in world

@highlight

She says it's less so now, but world riveted on presidential election and its wide impact

@highlight

She says Obama popularity had ebbed globally but is up again, now that Romney is opponent

@highlight

Ghitis: World is attentive, because U.S. president remains most powerful person on Earth