(CNN) -- When Bob Bergdahl was formally introduced to America in the White House Rose Garden beside the President, he was startling to see and hear at first: He was wearing a long beard and even speaking Pashto. The transformation of the former UPS delivery man was five years in the making in the mountain valleys of Idaho, sparked when his son, Army Sgt. Bowe Bergdahl, was captured by the Taliban in Afghanistan in June 2009.

In the half-decade that he and wife crusaded for their son's release -- finally won this past weekend -- Bergdahl journeyed deep into the meaning of his son's captivity and war itself, according to media accounts.

He immersed himself in books about Afghanistan and its Pashto language, to speak to his son's captors if only from afar. When it was over, he emerged as someone apparently transformed by his odyssey to save his son.

"I am your father, Bowe. To the people of Afghanistan, the same," Bergdahl said during the Rose Garden announcement of his son's release.

His immersion into the Afghan mindset, however, hasn't gone unquestioned.

His Twitter account posted a message expressing his intent to help free prisoners at Guantanamo Bay. Bowe Bergdahl's release was secured after the Obama administration traded five terrorism detainees from Guantanamo in exchange for the U.S. soldier, which Republican leaders and others have criticized as negotiating with terrorists.

Does Bergdahl swap set precedent?

The tweet on May 28 was subsequently deleted. A military spokesman for the family, Col. Timothy Marsano, told CNN that the Bergdahls had no comment on the tweet and would not confirm or deny its authenticity. CNN has no way of independently confirming the authenticity of the tweet.

Back in Hailey, Idaho, where the Bergdahls raised and home-schooled their son and daughter, residents strongly support the family and dismiss the anger over the prisoner exchange. The community has long maintained a yellow-ribbon vigil for the return of Bowe Bergdahl.

"I think that people need to take a little bit more time to stop and listen and understand the situation before they make snap judgments," said Minna Casser, 55, a caregiver and artist who has been living in Hailey for 15 years.

In the past five years, Bob and Jani Bergdahl have been holding rallies, maintaining a website and lobbying congressmen in a campaign to win their son's freedom.

In May 2011, almost two years into his son's captivity, Bergdahl made a YouTube appeal to his son's captors. The father had a long beard, but he didn't speak much Pashto at that time: "We ask that your nation diligently help our son be freed from his captivity. I pray this video may be shown to our only son," he told Pakistani armed forces, apparently because his son's captors were moving him between Afghanistan and Pakistan at that time. "We've been quiet in public, but we haven't been quiet behind the scenes,"

As recently as last January, Bob Bergdahl also spoke Pashto at a rally in Hailey.

"May the peace of God and blessings of God be upon you," he said in Pashto. "After 12 years, let there be peace. Can we push this forward and make this happen?"

Bergdahl then spoke in English, delivering a message to his only son that revealed a mutual trial of the spirit.

"Bowe, my son, if you can hear me ... you are part of the peace process. You are part of ending the Afghan war. Have faith. Do good works. Tell the truth, and have the patience that can only come from God. We are being tested."

Bergdahl, 54, who retired from UPS after working there for 28 years, recently built a campsite with a tent and a wood-burning stove in the same birch forest in the mountains where his son used to play as a child, according to a recent videotaped interview with the U.K.'s Guardian newspaper.

To reach the campsite, Bergdahl hiked in snowshoes with a backpack through the wintry summits.

He's hoping his son will use the isolation of the camp to recover.

"I wake up each morning, and my first thought is, my son is still a prisoner of war in Afghanistan, and I need to do something about that," the father told the Guardian.

Back at home, the family kitchen features a small shrine to their son, with a framed photograph of him in uniform along with a U.S. flag. Elsewhere in the home are stacks of books including one entitled "Pashto" and another called "War Is a Lie," according to the Guardian.

"I'm trying to learn a little Pashto so that I can speak to people," he said in the newspaper interview. "I'm trying to write or read the language. I probably spend four hours a day reading on the region and the history."

Stefanie O'Neill, a Bergdahl family friend, said those are the thoughts of a father fighting for his son's life.

"Wouldn't you try and connect with the people that had your child? Bob and Jani did everything possible they could to ensure Bowe's safety. And if Bob was trying to connect with them, it was to keep his son safe, I'm sure," O'Neill said.

The family home sits high in the crystalline air of the Rocky Mountains down the road from the resort town of Sun Valley, a famous tourist and celebrity getaway for skiing and fresh air.

Outside the house, Bergdahl rides a quarterhorse in the snow without a saddle.

"I don't think anybody can relate to the prisoners in Guantanamo more -- I don't think -- than our family because it's the same thing. My son is a prisoner of war, and wars end with reconciliation and negotiations with the enemy, and prisoners of war should be part of that dialogue, and I insist that it will be," Bergdahl told the UK news outlet.

Bowe Bergdahl was officially classified by the military as missing/captured.

Bob Bergdahl taught his son ethics from the classics. He and his wife moved to Idaho from California and built a two-bedroom house on mountain valley farmland near Hailey, the family told Rolling Stone magazine in 2012. There, the couple raised Bowe and daughter Sky.

The parents are devout Calvinists who home-schooled their children six hours a day and taught them the theologies of Thomas Aquinas and St. Augustine. "Ethics and morality would be constant verbiage in our conversations," Bergdahl told the magazine. "Bowe was definitely instilled with truth. He was very philosophical about perceiving ethics."

His son's upbringing in mountainous Hailey may have helped the young man during captivity, Bergdahl told Time magazine in an interview two years ago.

"Idaho is so much like Afghanistan," Bergdahl told the magazine, citing the mountains of both. "The similarities will help him. We hope that will be what sustains him."

It apparently did, though the captivity has taken a toll on the son, the father said.

His son, too, became immersed in the language of his captors and now has trouble speaking English. The son's recovery will certainly take a long time, the father said.

Bowe Bergdahl's return to the United States -- and reunion with his family and hometown -- have not been announced by U.S. officials.

Opinion: Bergdahl still has a hard road home

CNN's Ed Lavandera and Jason Morris contributed to this report from Idaho.

@highlight

Bob Bergdahl, father of Sgt. Bowe Bergdahl, grew a beard like an Afghan villager's

@highlight

He learned Pashto to speak to his son's captors from afar

@highlight

Each morning, "my first thought is, my son is still a prisoner of war," he tells outlet

@highlight

His immersion into the Afghan mindset, however, has raised questions