(CNN)Dr. John Allen, a gastroenterologist, had to morph into a detective when 10 of his patients came down with the exact same type of rare bacterial infection. Alarmed and mystified, he and his colleagues rushed to find the source of the highly lethal superbug.

The culprit, it turned out, was in his own office: a device called a duodenoscope used to check out tiny ducts in the intestinal tract.

The pseudomonas bacteria had somehow evaded the standard cleaning process, and it infected one patient after another.

If this sounds familiar, it's because duodeonoscopes were also the cause of recent infections and deaths at UCLA. But Allen's patients in Minnesota were infected in 1987 -- and now doctors and members of Congress say they're concerned the Food and Drug Administration might have missed the problem for decades.

CRE outbreak: You're due to go in for a procedure. Should you?

"This problem has been known since at least 1987," said Allen, the president of the American Gastroenterological Association. "It certainly is disturbing that a fundamental design issue with these scopes would cause problems for this long."

On Thursday, the FDA issued advice to hospitals that in addition to following the manufacturer's cleaning instructions, they should "meticulously" clean by hand the specific portion of the device believed to harbor the bacteria.

According to FDA spokewoman Leslie Wooldridge, this is the first time the FDA communicated such advice for duodenoscopes.

On Monday, Rep. Ted Lieu, D-California, called for congressional hearings.

"For the life of me, I don't understand why the FDA didn't issue this advice until now," he said. "I want to know what the FDA knew and when did they know it."

Understanding CRE, the 'nightmare' superbug

Dr. William Maisel, deputy director of science and chief scientist at the FDA's Center for Devices and Radiological Health, said it wasn't until 2013 that there was "convincing evidence" that duodenoscopes could harbor antibiotic-resistant infections even when the manufacturer's cleaning instructions were followed properly, and the agency issued the advisory last week after doing research "so we felt we understood the issue sufficiently."

Over the years, the FDA also received dozens of reports about infections from duodenoscopes.

"We receive a million adverse event reports [on various devices] each year, and we evaluate the reports based on the information that's provided," he said.

But outside the FDA, there was significant concern before 2013 that duodenoscopes -- in particular a small mechanism called the elevator wire -- were difficult if not impossible to clean thoroughly.

In 2010, safety expert Lawrence Muscarella published an article in the journal Endoscopy calling for special attention to the elevator wire, and in 2011, a consortium of medical societies warned that automatic cleaning processes didn't always effectively disinfect duodenoscopes and so manual cleaning should be performed.

But some experts question whether even the most meticulous and diligent manual cleaning will get all the bacteria.

After an outbreak in 2013, a hospital in Illinois tried to get the highly lethal superbug CRE out of a duodenoscope and failed, according to Allen.

"They really went to extremes, but they still couldn't decontaminate the scope, and they finally had to just destroy it," said Allen, now the clinical chief of digestive diseases at Yale School of Medicine.

Doctors hope that manufacturers will come up with a plan soon.

"I do think it will take a redesign of the scope to solve the problem, or new sterilization technology," said Dr. Bret Peterson, a professor of medicine at the Mayo Clinic and lead author of the 2011 guidelines from the medical societies.

Olympus, which manufactured the scope used at UCLA, did not respond to CNN's requests for comments specific to this story.

"This is clearly a matter that needs addressing," said Dr. John Greene, an infectious disease expert at the Moffitt Cancer Center who published an article in 2013 on a duodenoscope outbreak in Tampa. "We really should have done this sooner."

@highlight

Duodeonoscopes were the cause of recent superbug infections and deaths at UCLA

@highlight

The FDA issued cleaning guidance last Thursday

@highlight

Doctors say they've known about the trouble of cleaning them at least since 1987