(CNN) -- The fight to save lives may no longer be the most stressful part of work for some Florida surgeons.

Operation Room staff are being fitted with data-collecting RFID chips at the 'Sunshine State' Celebration Health facility. The chips, embedded in regular ID badges, track their movements and time management, feeding into a central database.

The Operation Room is a new frontier for a scheme that started in 2011 with the hospital's nursing staff, and has been spreading ever since. Management have been encouraged by the results.

"There was nervousness at first about being tracked," says Ashley Simmons, performance manager at the hospital. "But over time as we showed it was not being used punitively, they adapted very quickly and got into their normal routines."

If the data is effective, those routines will be greatly improved. Based on the feedback received, Simmons says that staff have been located too far from each other and patients, and that the workplace environment is to be modified to improve communication.

The figures are also helping to reconstitute shift patterns to best suit staff, who are given access to their performance data and provide input on what their ideal routine would be.

The model can facilitate dramatic improvements in efficiency and transparency across the industry, Simmons believes:

"This gives us the ability to better manage our resources. For a value-based purchasing model, we need to better understand patients and staff to make the right decisions, which other industries have been doing for years.

"Hopefully we can get to a place where we are truly transparent with patients and their families -- where we can allow them to access data and track patients through the OR."

Celebration Health represents the cutting edge of the increasingly pervasive and diffuse field of workforce analytics. From efficiency gains to unmasking misconduct and promoting well-being, the incentives for employers are clear.

It is increasingly common for firms to monitor their employees' computers - down to the key stroke - and to rifle through their communications made using company equipment.

Tools for monitoring active workers in the field are also developing. GPS tracking is now industry standard for long-haul truck drivers. Ostensibly for the purpose of productivity, and occasionally protection in the case of high-risk cargo, the satellite can paint a vivid picture of the subject's life on the road.

Wearable trackers, such as the hospital's RFID tags, can provide even more detail. Major companies such as Amazon and Tesco have fitted their staff with devices that allow micro-analysis of their performance, and are also used to direct them.

The reach of quantified health has extended into the workplace. In a pioneering initiative, Autodesk distributed Fitbit devices to provide health and activity feedback for their employees. The company says the benefit is in greater wellbeing for their staff, leading to improved performance, although it acknowledges the data will also save them money on insurance premiums.

But if there are disturbing possibilities, the opportunities outweigh the risks, believes Ben Waber, founder of Sociometric Solutions, an offshoot of MIT's Human Dynamics Lab, and a passionate evangelist for the benefits of workforce analytics.

The start-up produces arguably the most advanced wearable trackers, including sensors for motion, sound, infra-red, that break down behaviour patterns into granular data. This is gathered on an opt-in basis and is made available to the employees themselves, while management have anonymized, aggregated data to guide improvements.

"You can see the top performers and change behaviour accordingly, to be happier and more productive," says Waber. "In a retail store, you might see that you spend 20% of your time talking to customers, but the guy who makes the most commission spends 30%."

The simple and consistent lessons from the data can have a transformative effect on company culture and practice, Waber believes.

"What's fascinating is that in any industry the interaction between employees is the most important thing that happens at work...The sort of feedback we're giving is 'have lunch with a colleague you haven't met before' or 'only eat lunch with people on your team'. We relate outcomes to behavioural data, which shows the value of relationships between people."

A new paradigm for a worker-oriented "village" may sound romantic, but Waber says this is backed up by hard results.

"In Bank of America call centers we have increased performance by 20% and reduced turnover by 28%. But it's not just a case of saving tens of millions of dollars -- I can also point to thousands of people that say they like their job better."

Sociometric's technology has been tested at several dozen companies, and Waber anticipates that half of the Fortune 500 will be using the model within 10 years. But if he is excited about the possibilities, he acknowledges the risk.

"My worry is that some companies come into the space that force people into it, give companies (de-anonymized) data on those people, and then the whole field gets legislated out of existence."

Waber would like to see regulation introduced along the lines of the US Health Insurance Portability and Accountability Act (HIPAA), which precludes medical providers from sharing patient data.

But academics specializing in workforce analytics believe it is fraught with ethical issues.

"There are huge concerns over work intensification and increased stress, people have different stress reactions," says Professor Kirstie Ball, of the Open University's Center for Research into Information, Surveillance and Privacy. "Monitoring raises the stakes in the employment relationship and can have negative effects if it's applied to the wrong activity, which would be better managed qualitatively."

Ball hopes that limits are established for use of data collection.

"Monitoring technology is potentially pervasive into private life, and we do ethically need to think about privacy boundaries, particularly if (the technology) intrudes on the body or social space."

Performance data may also lead to harsher workplace environment, suggests Professor Michael Blakemore of Durham University, author of the 2011 paper 'From Workplace Watch to Social Spy.'

"The technology allows you to get rid of people at the lower end of performance range, which pushes average performance up. You could have what happens in finance with audits on a quarterly basis with the bottom 10% sacked."

Both academics agree with Waber in that legislation is behind the technology, and ill-suited to preventing abuse. Employees are often unaware of their rights to challenge pervasive monitoring, and may be forced into 'hacking' as their only means to avoid it.

At the dystopian end of the scale, there are fears that the field could run amok to the point of even allowing chips under the skin, as has been practiced with US patients.

For all the possibilities of increased productivity and even well-being, workforce analytics must contend with severe trust issues.

Watch: How to cover music without license

@highlight

Surgeons feature in workforce monitoring experiment with RFID chips

@highlight

Enables productivity and efficiency gains that could transform industry

@highlight

High-tech monitoring field expanding rapidly and becoming more sophisticated

@highlight

Experts have concerns over ethics and legal capacity to deal with issues