London (CNN) -- A painting dismissed for years as the work of an unknown artist has been identified as a piece by Vincent Van Gogh, after x-rays revealed an image of two wrestlers fighting underneath the floral still life.

"Still Life with Meadow Flowers and Roses" has hung in the Kroeller-Mueller Museum in the town of Otterlo, in the eastern Netherlands, since 1974, but doubts over its authorship have dogged the painting for decades.

Experts argued that the large format, the location of the signature, and the huge number of flowers in the composition all suggested the painting was the creation of an unidentified artist, rather than the famed Dutch painter, and the work was officially "dismissed" from his catalogue in 2003.

"There were so many questions around this painting," explained Teio Meedendorp, researcher at the Van Gogh Museum in Amsterdam. "There were a lot of things about it that were strange -- it couldn't quite be trusted [as a piece by Van Gogh]."

But the latest high-tech x-ray imaging has allowed scholars to re-examine an underpainting, featuring two wrestlers fighting, first glimpsed in the 1990s, and confirm that the picture is indeed by Van Gogh.

Saving Van Gogh's home from dereliction

Van Gogh (1853-1890) created some of the world's best known and most loved paintings, including "Sunflowers," "Irises" and "The Starrry Night," and a number of self-portraits.

He was virtually unknown as an artist during his lifetime, but his reputation soared in the years after his suicide at the age of 37 following years of mental illness, and his works now hang in major museums and galleries around the globe.

During the art market boom of the late 1980s and early 1990s, three of Van Gogh's works succeeded each other as the most expensive paintings ever sold: "Sunflowers" for $39.9 million, "Irises" for $53.9 million, and "Portrait of Dr. Gachet" for $82.5 million.

"The painting was x-rayed before, so we knew there was something underneath, but the image was not very clear," he told CNN. "This new technique gave us a much clearer image, and lots of details about the pigments and the paint layers.

"We know Vincent painted wrestlers, we know much more than we did 10 years ago about the pigments he used, and we know that at the time, when re-using a canvas, he simply painted over the top of the previous image, without an intermediate layer.

"This painting was a complete match with all the research that has been done over the past 10 years."

Van Gogh, Kahlo speak from beyond grave

Van Gogh wrote about the wrestlers picture -- which he painted as an assignment during his studies at the art academy in Antwerp -- in a letter in January 1886: "This week I painted a large thing with two nude torsos -- two wrestlers," adding that he was delighted with the result.

Research suggests that the still life was painted on the same canvas fewer than six months later, while in Paris.

"The top layer was applied not long afterwards," said Meedendorp. "We can tell this because he used a lot of zinc white in the wrestlers picture, and it dries very, very slowly.

"The x-rays show that it had not hardened completely when the still life was added, causing some cracks in the paint of the flower picture, which suggests it was painted less than half a year later."

Meedendorp said there was always the possibility of discovering other "unknown" Van Gogh works in future. "There are other paintings that haven't been x-rayed," he told CNN. "There are always other opportunities."

@highlight

"Still life with meadow flowers and roses" dismissed as work of unknown artist

@highlight

Large format, subject, and signature all pointed to painting being by someone other than Van Gogh

@highlight

New high-tech x-ray imaging revealed underpainting of wrestlers, details of pigments used

@highlight

Experts say they are now confident that the piece is definitely by "Sunflowers" artist Van Gogh