(CNN)  -- On a recent trip across America, what surprised me most was the number of people -- over 200 in one city, 80 to 150 elsewhere -- who wanted to discuss this odd word, "acedia."

It's an ancient term signifying profound indifference and inability to care about things that matter, even to the extent that you no longer care that you can't care.

I liken it to spiritual morphine: You know the pain is there but can't rouse yourself to give a damn.

The concept of acedia was developed by Christians in the fourth century who had fled to the deserts of the Middle East, opting for a simple life in rebellion against a newly legal, wealthy and politically powerful church. Today, we would say that they went off the grid.

These men and women quickly discovered that although they had left material possessions behind, they hadn't shed their inner demons. They developed a sophisticated psychology of the "eight bad thoughts" that commonly troubled them, the most spiritually devastating of which were acedia, anger and pride.

Several centuries later, as the church developed its doctrine of the "seven deadly sins," acedia was tucked into the sin of sloth, and the word disappeared from the common vocabulary. Unless you were a student of monastic history or medieval literature, chances are, you would never encounter it.

I wrote my book because I suspected that although the word "acedia" is unfamiliar to most of us, its effects are widely known. When I compared the classic descriptions of acedia with the plagues of contemporary society -- a toxic, nearly unbearable mix of boredom and restlessness, frantic escapism (including that of workaholism), commitment-phobia and enervating despair -- I found the ancient demon of acedia in modern dress.

Acedia can manifest as either extreme lethargy or hyperactivity, but it is not merely an individual spiritual problem. It affects communities as well. And it was this aspect of acedia that my audiences wanted to discuss.

They raised questions about addictions to the Internet and "virtual reality," about fractured families who are so hyper-scheduled that they no longer spend much time together, about the dissonance of living in a society that is the wealthiest in history but whose citizens remain dissatisfied, gobbling up drugs for anxiety, depression and sleep disorders at an alarming rate.

In hard economic times, we can lose faith in ourselves and others, and acedia offers a false sense of complacency and security. We can care about celebrities or online "friends" more than our neighbors; we can treat rampant homelessness as just "the way things are," and that relieves us from having to do anything about it.

We can keep ourselves so busy that we don't have time to care, or we can simply drop out of the fight. Acedia feeds on "compassion fatigue" and assures us that the world's problems are so big that we need not trouble ourselves about them. It's useless to try to change things.

If the Christian church has made too much of the vice of pride, which seduces us into thinking too highly of ourselves, it has not made enough of sloth, which allows us to settle for being less than we can be, both as individuals and a society.

As the late playwright Wendy Wasserstein wrote in her book "Sloth," "When you achieve true slothdom, you have no desire for the world to change. ... Better to fall into line than to question the going ethos."

There is no certain remedy for acedia, any more than for anger and pride. It is part of the human condition. But we can learn to recognize it and resist it when it strikes.

A method that was recommended by a Christian monk in the fourth century, and is also a technique employed in current cognitive behavioral therapy, is to "think about your thoughts." When anger comes, or acedia, examine it dispassionately and try to figure out where it is leading you.

There is no blame attached to having a "bad thought," because they come to everyone. But we do have some choice in how we respond to them.

The opinions expressed in this commentary are solely those of Kathleen Norris.

@highlight

Author: Acedia is profound indifference and inability to care about things that matter

@highlight

Early Christians recognized acedia as one of "eight bad thoughts"

@highlight

Kathleen Norris: Like spiritual morphine; pain is there, but you can't give a damn

@highlight

No remedy, but you can learn to recognize it and resist it