Editor's note: With fears of a swine flu pandemic rising daily, CNN Pentagon producer Larry Shaughnessy remembered a batch of letters from his grandfather, a World War I soldier who battled the Spanish flu pandemic of 1918-1919.

Martin "Al" Culhane, left, is pictured with his older brother, Frank, around 1918 or 1919.

WASHINGTON (CNN)  -- "I'm coming, I'm coming For my head is bending low I hear those gentle voices calling Old Black Joe"

As World War I rages in Europe, fresh U.S. Army soldiers pass the time on a train ride to to Camp Forrest, Georgia. "The boys are just starting to sing," Martin Aloysius Culhane wrote on September 6, 1918, to his friend back home. "They've gotten back to 'Old Black Joe' so far."

Stephen Foster's classic song from the Civil War is about the death of slaves who had become his friends. But Culhane, known as "Al," and the soldiers who sang along could not know how much death would hunt the recruits on that train, most of whom never made it to Europe to fight in the Great War.

They would find themselves in the deadliest influenza pandemic in history.

Culhane's letters to his older brother Frank and his long-time "chum" Clif Pinter are a young soldier's firsthand account of life as a draftee private and how he coped with a disease that would haunt Army camps around the United States and eventually infect people around the world. Some estimates say as many as 50 million people were killed by what's called the Spanish influenza in 1918 and 1919, far more than the number killed in combat during the war.

Three weeks after the train trip to Georgia, Culhane, a 21-year-old clothing salesman from Chicago, Illinois, writes again. Already the flu occupies his thoughts.  Learn more about the current swine flu »

"Received a nice letter from Phil Byrne he reports he is getting along fine, is feeling better than he has ever before." Byrne, a friend from Chicago, was one of the early survivors of the Spanish flu. Other members of the Byrne family took ill a few months later, according to the letters.

In the same letter he mentions how the Army was trying to protect the troops at Camp Forrest:

"Since noon today our camp has been under quarantine to prevent an epidemic of Spanish influenza. We have had no cases thus far but it is the intention of the medical officers to prevent any case of the disease from making an appearance. All the men who have even slight colds have been put into separate barrack which, of course, were immediately christened 'the TB ward' by the rest of the company."

That same day, September 28, 1918, he wrote his brother Frank, a Navy sailor at home awaiting orders, "Well the Spanish Influenza has made an appearance here and we are under strict orders no visits to Chattanooga, we are certainly the hard luck guys when it comes to this quarantine proposition."

At first the threat of Spanish flu is just an inconvenience for Culhane: "I am just about fed up with staying in a district about a block square for three weeks. There is no canteen in the quarantine district and we have a hell of a time getting small supplies."

Just six days after complaining about the inconvenience, a brief but frightening note: "Receive the enclosed letter for your information then see that Frank gets it unknown to the rest of the family."

What Culhane didn't want his mother, sister and younger brother to know was that he was in the infirmary with the Spanish flu. He asks his friend Clif to write often and encourage letters from "my friends, without of course, telling them that I am a little under the weather." His euphemism hid the fact that in some places more than 30 percent of people who contracted Spanish flu died. In the United States the mortality rate was lower, but still a devastating 3 percent.

It was a crisis for the Army. Military bases, with thousands of men from all over the country in tightly packed barracks, were fertile breeding grounds for the flu, especially one as easily spread as this one. And unlike most flu strains that mostly strike the elderly, the very young or the sick, Spanish flu hit healthy, young adults like Army draftees.

Just three days after telling his friend about being sick, Culhane wrote that he was feeling better.

"I am still in quarantine but will be released today. I am feeling great and the two day's rest has done me a world of good. I have done nothing at all but sit in the shade, read and write letters."

His recovery from the Spanish flu was swift, but the very next day, October 7, 1918, he wrote to give "all the details of the death of a very good friend, my Bunkie, Thomas Birdie. His body will go north today, I think," Culhane wrote, asking Pinter to attend the wake. "At his side, say a few prayers for the repose of his soul."

When not writing about the flu, Culhane dropped none-too-subtle hints about wanting care packages full of cookies from home. And he regularly questioned why other friends didn't write.

He also worried that he was "neglecting the ladies." He pelts his friend Clif with questions about Ursula ("Her Majesty," he jokingly refers to her), Ella (the young woman to whom he promised a prized golf club) Ida ("I had a long letter from Ida Flynn. Boy! I will have a job on my hands when I get home") and the Marys (Mary Rose, Mary English, Mary Anne).

While Culhane writes about and to a lot of young ladies, there is no sign in the letters which one, if any, held a special place in his heart. Still he worried about one young man named "Hank" who remained in Chicago.

"Keep the ladies amused by all means, but I look to you to protect my interests. Hank is too darn nice a chap to be safe around the ladies. However, if he seems to get extra strong I will write a note and have him made Admiral of the Arctic Circle."

After recovering from the flu, Culhane bemoans the fact that war was about to end.

"It is almost over now and thirty days will see at least a cessation of hostilities. Xmas will see peace. I will never see France and as long as that is impossible I might as well be out of the Army as soon as it is over." Nine days later, on the 11th hour of the 11th day of the 11th month the war ended.

And just four days after the fighting in Europe ended, the letters from Camp Forrest stopped. Al Culhane was sick again. This time he was taken to U.S. General Hospital #14 at Fort Oglethorpe, Georgia. And he couldn't keep the latest illness a secret from his family back home in Chicago. A Catholic chaplain wrote the family that he was sick and not able to write himself.

When he was well enough, he wrote Pinter, "I don't know just what I have but it felt like old fashioned grip or perhaps 'The Flu.'".

It took about two weeks before he was out of the Fort Oglethorpe hospital and back at Camp Forrest. He had twice survived the deadliest flu in history and lived to write home about it.

After his second recovery his concerns turned to getting back to Chicago by Christmas. "Clif I have seen my discharge all written out and from that moment on my usefulness as a soldier ceased."

But again illness got in the way. This time it was a completely different one: "Measles has broken out in our company and we are quarantined. Did you ever hear of harder luck in all your life?"

Culhane didn't make it back to Chicago for Christmas. But he eventually did return home alive and well.

He never did make it to France, but traveled the United States extensively with his wife, Evelyn, a woman never mentioned in his letters home, but someone he'd known since they went through First Holy Communion together.

As for Clif Pinter, who saved the letters, he and Al Culhane remained "old chums" for life.

After Pinter's death, his son passed the letters on to Al's daughter, Dorothy Clarke, who passed them onto Al's grandchildren, including Lawrence Aloysius Shaughnessy, who works for CNN's Pentagon unit and occasionally writes stories about soldiers for CNN.com.

@highlight

U.S. soldier survived Spanish flu pandemic not once, but twice

@highlight

1918 Spanish flu ravaged military camps where soldiers trained for WWI

@highlight

Letter says camp put "under quarantine to prevent an epidemic of Spanish influenza"

@highlight

Martin "Al" Culhane in letter told his brother to keep infection secret from rest of family