(CNN) -- For the first time, researchers have succeeded in creating human embryonic stem cells by injecting DNA from a skin cell into an unfertilized egg, according to a study published Wednesday.

To achieve what is being called an "important step" in stem cell research, scientists in New York used a cloning technique similar to the one used to clone Dolly the sheep.

"This work now demonstrates for the first time that the human egg has the ability to turn a specialized cell into a stem cell," said Dieter Egli, who along with fellow study author Scott Noggle led the research team at the New York Stem Cell Foundation.

"The goal of this research was to create patient-specific embryonic stem cells with the patients' DNA for the eventual use in cell replacement therapy," Egli told CNN.

He said the motivation for the research was to eventually cure diseases such as Parkinson's, diabetes and many other illnesses.

In 2005, researchers in South Korea claimed to have created the first human embryonic stem cells by cloning an embryo. A year later, it was revealed that the data had been faked.

This new study, published in the journal Nature, shows researchers have finally succeeded in creating human embryonic stem cells. They weren't perfect though because they have too many chromosomes -- 69 instead of the usual 46 -- making the cells suitable for research purposes only, not actual treatments.

In the past, efforts to create human stem cells using cloning meant taking an unfertilized egg, removing egg's nucleus with its 23 chromosomes and replacing it with the nucleus of a skin cell (which has 46 chromosomes) and placing the egg in a chemical bath to make it divide as if it had been fertilized by sperm.

Researchers started out with 270 donated oocytes or unfertilized eggs, provided by sixteen egg donors, Noggle said.

Egli said through a process of elimination, he and his colleagues determined that it was the removal of the egg's genome, not the introduction of new DNA or chemically initiating cell division, which was preventing the egg to develop far enough along so stem cells can be extracted. Noggle says 63 eggs were needed to develop two cell lines, of which one was viable.

"It's the machinery within the egg that allows the egg to progress normally in development," said Ted Golos, who is a professor of Comparative Biosciences at the school of Veterinary Medicine at the University of Wisconsin-Madison.

Golos, who is not involved in this new research, says this new study isn't a giant leap forward but it's an interesting one. Now the challenge is to figure out how to remove the egg's chromosomes, without removing the machinery or spindle, which helps the egg divide. Egli said he and his colleagues are working on just that.

Researchers have been using adult stem cells like bone marrow for treatments for decades. But adult stem cells have been programmed for one part of the body and are not easily converted to correcting problems in other parts of the body.

Then the first major advance in human embryonic stem cell research came In 1998, when Jamie Thomson at the University of Wisconsin-Madison, extracted the first stem cells from an existing human embryo.

In 2007, researchers in Japan and California reported the creation of stem cells by bypassing eggs altogether and reprogramming skin cells directly into dividing like fertilized eggs with the addition of four viruses.

These cells are called induced pluripotent stem cells or iPS cells. Since then, researchers have found these cells have some limitations as well. While some opponents of embryonic research believe advances in the "less controversial" adult stem cell and iPS cells eliminate the need for embryonic stem cell research, most experts in the field believe all three research paths need to be explored to eventually find the right treatment for the right disease.

Dr. Alan Trounson, who heads the California Institute for Regenerative Medicine, which funds embryonic and adult stem cell research, says if researchers are able to take the next step and figure out how to make embryonic stem cells without the excess chromosomes, then they can begin to compare them to iPS cells and determine how different or similar they really are.

Egli agrees.

"We need to better understand the biology of the human egg for reprogramming without the egg genome," he said.

@highlight

The achievement is an "important step" in stem cell research, scientists say

@highlight

They used a technique similar to the one used to clone Dolly the sheep

@highlight

The motivation for the research was to eventually cure diseases such as Parkinson's, diabetes