(CNN)When you were young, what did you dream of being "when you grew up"? Is it what you've ended up doing?

You may dismiss those childhood aspirations as unrealistic now you're an adult with responsibilities and bills to pay, but that role reflected what you enjoyed doing and who you were at that time.

"The dream jobs we aspire to as children are a window into our passions and talents," says LinkedIn's career expert Nicole Williams. "Identifying and understanding those passions are key to improving our performance and enjoyment of the jobs we currently do, even if they aren't specific to the careers we dreamed of as kids."

So, what influences our childhood aspirations?

"When we're small most of us have a limited idea of what's out there," explains career coach Meredith Haberfeld. "It is shaped by the exposure we have -- the people that have a big impact on us and the standards and social expectations around us".

Our families greatly influence our outlook on life. If we look up to one family member in particular, we tend to be drawn to their careers as we want to be like them. Indeed, when Meredith was a little girl, she wanted to be a librarian because her grandmother, who she admired, was one.

And it's not just our relatives' roles at work that can influence children's aspirations. The gender roles that our parents take on at home can also dramatically impact our childhood career choices.

A study by Alyssa Croft, of the University of British Columbia, found that the division of labor at home had implications for how girls' identities developed in gender roles.

Croft told CNN that fathers' behavior around the house seems to be "predicting their daughter's career aspirations" beyond what they "might be publicly endorsing or specifically saying about gender roles."

She found that if fathers talked about supporting gender equality but didn't take on an equal role in domestic tasks then this sent conflicting signals to their daughters, which led to daughters placing more weight on their father's actions, rather than his words.

By contrast, where fathers demonstrated their beliefs in gender equality by taking on an equal distribution of domestic tasks then their daughters would select roles "that are more gender neutral or even sort of male-stereotypic like being a scientist or athlete," Croft says.

And that could have a major impact on our pay check down the line. Research by the London School of Economics, published in the journal Social Forces, found that girls who aspired to traditionally female-dominated occupations were far more likely to earn lower wages in their first job, since stereotypically "female" jobs tend to pay less.

"Stereotypically 'male' or 'female' preferences that children exhibit during childhood continue into, and affect, their adult lives," says Lucinda Platt, Professor of Social Policy and Sociology at LSE.

Our early experiences can also have a bearing on what we see as our "dream job" -- a positive experience linked to a potential career can be hugely inspiring.

"I went through an intense marine biologist phase fueled by a life-changing snorkeling expedition when I was seven years old," reveals Hayley Barna, co-founder and co-CEO of beauty start-up Birchbox.

And inspiration can also strike at school, if we learn about a career that resonates with us.

"When I was in the 4th grade [aged 9-10] I learned about lobbyists. I thought it would be amazing job to try and influence important issues," says Joanne Bradford, head of partnerships at Pinterest.

When we are young, our aspirations are a response to our circumstances; but Haberfeld says that when the time comes to start "designing" our careers we begin tuning in to what we feel "compelled to express" about ourselves.

Clara Shih, founder of Hearsay Social, started out with a long and varied list of possible careers -- she went through phases of wanting to be a teacher (like her mother), a police officer, an astronaut and an attorney.

"Only in high school when I began programming computers, did I become interested in tech and start-ups, which led me to attend Stanford and major in Computer Science," she says.

While many of us turn our backs on our childhood ambitions when faced with the realities of life as a "grown-up," some really do end up in their dream jobs.

A survey of the childhood career aspirations of more than 8,000 professionals from around the world, carried out for social networking site LinkedIn, found that 30.3% of the site's members were either currently in the job they had always dreamed of, or in a career linked to those plans.

Creator and presenter of Digital Futures Shivvy Jervis is one of those living out her early dreams.

"Even as an eight-year-old, swinging ponytails et al, I would wave around my plastic mic and scrawl little 'scripts' to deliver to a pretend audience!" she says.

"When I was fifteen, I announced with assured clarity to my family that my 'dream job' was to be a producer and TV journalist."

Sometimes our careers begin at such an early age that there's little to think about.

Four-time Paralympic champion Ellie Simmonds OBE started swimming when she was five; by the time she was eight she was competing against able-bodied children.

"I'm not sure I thought too much on what career I was interested in when I was a child," she says. "I always just wanted to have a farm and work with horses when I was very young, though the thought of working with children is something I've thought about since.

"I'm very fortunate that my swimming career took off when I was very young, so it was never really a question."

But no matter how early we step on to that treadmill, it's never too late to change tack; thinking back to our childhood ambitions can help us work out which aspects of our current job we love.

After Hayley Barna's marine biologist phase passed, she says, "I never had a single career in mind. I always pictured myself being able to do many things at once: engineer, President of the United States, investment banker, professional skier, magazine editor...

"I haven't checked the box on any of those specifically, [but] I feel lucky that my current role blends a lot of different disciplines."

When we were children, our aspirations were limitless and anything seemed possible; by recapturing that excitement and allowing it to inform your research and networking, 2015 could be the year you find your dream job.

Watch: Stella McCartney's advice to young women

Inspire: Leading Women's most inspiring women of 2014

@highlight

The jobs that we aspired to when we were children reflect our passions and talents, say experts

@highlight

LinkedIn's childhood jobs survey reveals 30.3% of people are either currently in that dream job or a related role

@highlight

Childhood aspirations are shaped by the people, standards and social expectations that surround us