Vienna, Austria (CNN) -- The United States and other countries offered to resume negotiations with Iran over its nuclear program on Tuesday as Iran signaled a willingness to let international inspectors visit a key military base.

The United States, France, Britain, China, Russia and Germany offered to resume stalled talks in a letter from European Union foreign policy chief Catherine Ashton. She was responding to an overture that Iran made last month.

The prospect of negotiations comes amid rising concern that Israel may attack Iran to disrupt its nuclear program.

Israel and the United States suspect Iran is trying to build a nuclear weapon. International inspectors also have voiced concern, but Iran insists that its nuclear program is for peaceful, civilian purposes.

Meanwhile, Iran offered Tuesday to let international nuclear inspectors into one of its military bases, but only after significant details are worked out, its team at the International Atomic Energy Agency said.

The head of the IAEA, the U.N. nuclear watchdog agency, said Monday inspectors wanted to get into the Parchin base as soon as possible because of evidence of ongoing activities at the base, which is suspected of being involved in testing related to nuclear weapons.

Also on Monday, Israeli Prime Minister Benjamin Netanyahu reiterated that Israel will remain "the master of its fate" in ensuring that Iran not obtain a nuclear weapon.

"Israel must reserve the right to defend itself, and after all, that's the very purpose of the Jewish state: to restore to the Jewish people control over our destiny," Netanyahu said in Washington.

He said time for diplomacy was running out.

"We've waited for sanctions to work," he said. "None of us can afford to wait much longer. As prime minister of Israel, I will never let my people live in the shadow of annihilation."

On Sunday, President Barack Obama warned that "all elements of American power" remain an option to prevent Iran from developing nuclear weapons. He also emphasized that he prefers a diplomatic solution.

IAEA Director General Yukiya Amano declined Monday to provide details on whether the activities at the Parchin military base involve ongoing testing or efforts to remove evidence.

"But I can tell you that we are aware that there are some activities at Parchin and it makes us believe that going there sooner is better than later," Amano said.

IAEA inspectors had asked to visit the facility during a February trip to Iran but were rebuffed, the agency and Iran have both said.

Iran's permanent mission to the United Nations agency said Tuesday the IAEA had been out of line to request access to Parchin, but that once the agency formulated an appropriate request, Iran would let inspectors in.

Iran said Tuesday that the request came "in spite of" an agreement between Iran and the IAEA.

"Considering the fact that it is a military site, granting access is a time consuming process and cannot be permitted repeatedly," Iran said.

Nevertheless, it said it would allow access after the IAEA submits paperwork about "all related issues."

Inspectors believe Iran may have used Parchin to test high explosives that could be used to detonate a nuclear weapon.

IAEA inspectors visited Parchin twice in 2005, but inspectors did not go into the building that housed the test chamber then, according to the IAEA.

Iran offered access to another site late in the February visit, Amano said. But the inspection team in Iran was not outfitted to examine Marivan, a site the IAEA believes may have been used to test elements of a nuclear weapon in 2003.

Iran has said its nuclear program is entirely peaceful, but Amano said Iran's failure to cooperate with international inspectors makes it impossible to be sure.

In fact, the agency "continues to have serious concerns regarding possible military dimensions" of Iran's nuclear program, Amano said.

Because Iran is not following an agreement to provide expanded information and broader access to international inspectors, the agency is "unable to provide credible assurance about the absence of undeclared nuclear material and activities in Iran, and therefore to conclude that all nuclear material in Iran is in peaceful activities," he said in a statement preceding his news conference.

He added that the concern stems from "overall credible information that indicates that Iran engaged in activities relevant to the development of nuclear explosive devices."

IAEA inspectors traveled to Iran in January and again in February to discuss the issue, but failed to reach an agreement, Amano said.

Monday's statement by Amano is not the first time the agency has questioned the purposes behind Iran's nuclear program.

Most recently, after the February visit by inspectors, the agency issued a report announcing that Iran had stepped up its efforts to produce enriched uranium in violation of international resolutions calling on it to stop. The agency expressed "serious concerns" about potential military uses by Iran in that report.

Among other things, Iran has tripled its monthly production of uranium enriched to contain a 20% concentration of radioactive material and taken other steps to ramp up its nuclear program, Amano said Monday.

While Iran has said the higher-level enrichment is meant to produce therapies for cancer patients and other peaceful purposes, international critics have called the efforts a troubling step toward possible militarization of nuclear technology.

Nuclear weapons require concentrations of about 90%.

Amano said the agency would continue discussions with Iran and urged the country to abide by IAEA and U.N. resolutions on its nuclear program.

Iran is under increasing international pressure regarding its nuclear program.

The United Nations, the United States, the European Union and other countries have imposed sanctions related to Iran's nuclear research, and speculation regarding a possible military strike on Iranian nuclear facilities has been rampant in recent months.

CNN's Reza Sayah, Matthew Chance and Tom Cohen contributed to this report.

@highlight

NEW: The U.S. and its allies offer to resume negotiations over Iran's nuclear program

@highlight

NEW: EU foreign policy chief makes offer on behalf of the U.S. and several other countries

@highlight

IAEA inspectors want to see Parchin military base about potential nuclear-related testing

@highlight

Israel and the United States vow not to let Iran get a nuclear weapon