Washington (CNN) -- Your hotel, health club and neighborhood pool can remain open this weekend without fear of violating the law.

The Justice Department said Thursday it is delaying for 60 days a new law that requires all public pools to install "lifts" or provide other means to make pools accessible to disabled individuals.

The law was passed in 2010 and was scheduled to take effect Thursday. But in recent months, there has been widespread confusion about what sort of pools are required to make the change, whether pools must install permanent lifts or can use cheaper portable lifts and whether one lift could service more than one pool.

As the Thursday deadline neared, hotels and other pool operators nationwide unleashed a torrent of calls and letters to industry associations and politicians, saying the rule threatened to close pools from coast to coast. Several Republican lawmakers charged the rule was an example of unwieldy government regulation. And scribes even gave the debacle a name: "Poolmaggeddon."

A hotel industry association said the government originally indicated portable lifts were acceptable, but reversed itself in a legal interpretation released early this year. It also said the government is requiring a separate lift for every pool, greatly increasing the costs to facilities with numerous pools.

Permanent lifts are costly because they must have electrical grounding work, which requires installers to "tear up" a pool deck, said Marlene Colucci, executive vice president of the American Hotel & Lodging Association.

"You have to do electrical grounding requirements anytime you're within five feet of water, and that's required by the government. And this was not at all contemplated by the Department of Justice when they issued this further guidance," Colucci said.

Permanent lifts also are an "easy attractive nuisance" for children, she said.

"Children see it, they look at it and say, 'This is a diving board. This is something to play with. And we're very concerned about injuries that result from that."

Colucci said portable and permanent lifts range in cost from $4,000 to $10,000, but permanent lifts have additional installation costs.

Pool operators said there is also widespread confusion about language in the law that says they must accommodate disabled individuals to the extent that it is "readily achievable" to do so.

The Justice Department said the "readily achievable" language has been in the Americans with Disabilities Act since 1992, and is an acknowledgment that it is not always possible to remove all architectural barriers in an existing building at the outset.

"Readily achievable" means that it is "easily accomplished" and can be done "without much difficulty or expense."

Asked by CNN Thursday whether the rule requires permanent, "fixed" lifts, a Justice Department spokesman gave the following response:

"An existing pool must do what is readily achievable (affordable and easy). If a fixed lift is affordable and easy for that hotel, they need to provide a fixed lift. If only a portable lift is affordable and easy for that hotel, they can use a portable lift. If they already have a portable lift, they should explore whether it is affordable and easy to attach the lift. If no lift is achievable, they should make a plan to achieve access when it becomes readily achievable for them."

That language seemingly gives wide latitude to pool operators. But Colucci says it also creates problems.

"By having a definition that's so broad, you really don't give anybody any certainty," Colucci said. "Which means that you end up having to litigate the definition of what is 'readily achievable.'"

In a press release Thursday, the Justice Department conceded there were "misunderstandings" about the pool law and extended the deadline 60 days. It also held open the possibility of even longer delays and said it will accept public comments on a possible six-month extension.

CNN's Lizzie O'Leary contributed to this report.

@highlight

Law requires "lifts" or other means to make public pools accessible to disabled people

@highlight

Confusion, fear of high costs, widespread closures emerged in recent months

@highlight

GOP lawmakers called "Poolmaggedon" an example of unwieldy government regulation

@highlight

Dept. of Justice says it will accept public comments on a possible six-month extension