A ground-breaking cell transplant has allowed a paralyzed man to walk again, researchers announced Tuesday.

Polish man Darek Fidyka, 38, had been left paralyzed from the chest down after a 2010 knife attack caused an 8mm gap in his spinal cord. An initial 13 months of rehabilitation followed by an additional  8-month program before the experimental treatment had not produced an improvement in his condition, researchers said.

But two years after the 2012 cell transplant he can walk with the aid of a Zimmer frame, also known as a walker.

Scientists at University College London (UCL) developed the treatment, which saw olfactory ensheathing cells (OECs) from the nose transplanted to Fidyka's spinal cord. OECs are what allow the sense of smell to return when nerve cells in the nose are damaged.

Surgeons at Wroclaw University in Poland led by Dr Pawel Tabakow injected the OECs above and below Fidyka's spinal cord gap, then used nerve tissue taken from his ankle to act as a bridge for spinal nerves to grow across, UCL said.

Three months after the surgery, Fidyka's thigh muscle began to grow and three months after that he started to walk with leg braces and the help of a physiotherapist, researchers said.

Being able to walk with a Zimmer frame or walker two years on, Fidyka said, was an incredible feeling.

"When you can't feel almost half your body, you are helpless, but when it starts coming back it's as if you were born again," he said.

Bladder sensation and some sexual function have also returned, the UCL said.

UCL's Professor Geoff Raisman discovered OECs in 1985 and headed the team whose research led to the breakthrough.

Previous studies have shown these cells to be popular candidates for research on repairing spinal cord injuries.

These are not the same cells like the controversial human embryonic stem cells used in the Geron Corporation's 2010 trial in the United States. Before that trial was stopped due to funding issues, none of the patients enrolled were able to walk. A 2012 Swiss study launched by California-based StemCells Inc, led to some sensations returning in one patient.

Spinal 'roadway'

In an interview with CNN's Isa Soares, Raisman explained how his idea had developed.

"The problem with spinal injury is that nerve fibers are severed by the injury so that impulses that carry movement -- the desire for movement -- down from the brain to the body are cut off. Impulses carrying sensations up from the body to the brain are cut off," he said.

"So, my idea, which I followed for many, many years, is that actually the nervous system is capable of repairing itself, actually the cut nerve fibers are capable of growing back -- but they lack a pathway to cross the injury.

"So it's as though a motorway has been damaged. The cars still know where they want to go, but there is no roadway for them to go across. Thinking that way, the question is -- what could we use to make a bridge.

"Now, we don't know how the bridge would work, we don't understand the basis of this, so our idea was 'is there somewhere else where nerve fibers are able to relay the road?' and the only place we know is the olfactory system, the sense of smell.

"The underlying idea is 'can we get something out of an area where repair works and transfer it into an area where repair doesn't work and will it then cause a repair?.'"

Raisman compared the process to repairing a washed-out motorway.

"What you have to do is put a bridge across the injury. Exactly the same applies to the spinal cord -- the nerve fibers which have been cut are trying to grow, they're trying to find their way across.

"They can't get across because there's a damage, there's scarring on either side -- there are road barriers up. What we have to do is pull down those barriers and build a bridge along which they can grow.

"That's what these cells are doing," he said. The OECs carried out the same regenerative function for the nerve fibers of the spinal cord as they did for the olfactory system, he said.

But Raisman stressed that the procedure needed to be further developed: "Until we repeat this in a number more patients it's just that one patient."

'Not convinced breakthrough'

Dr. Barth Green, Professor and Chairman of Neurological Surgery at University of Miami Health System echoed that sentiment.

"They've got one patient who did well and that's a wonderful," he told CNN but added that he was not convinced it was a breakthrough: "If you can't reproduce it, it's not real."

Fidyka's spinal cord had not been completely severed in the knife attack meaning -- while he had an 8mm gap -- 2mm of tissue remained, Green said.

Greene said laboratory studies had shown much more significant recovery in patients whose spinal cords were only partially severed.

He queried whether the rehabilitation Fidyka had had before the new treatment had been a factor in his recovery.

"The question is it all the physical therapy, or the cells he's getting?" Green said.

"I'm not convinced that this is a breakthrough," he said. "It definitely isn't the answer for everybody -- or even everybody with the same injury -- until we have more examples with more than one patient."

'Provocative'

Edelle Field-Fote, PT, Ph.D., director of spinal cord injury research at Shepherd Center in U.S. city of Atlanta said the researchers' findings were a "very provocative outcome."

"If similar results are observed beyond this one patient, then bulbar olfactory ensheathing cells (OECs) would be a game-changer," Field-Fote said.

"While prior (unsuccessful) studies used OECs harvested from the nasal mucosa (i.e., tissue in the nose), these OECs were harvested from the area where they grow -- just below the brain.

"It is possible that obtaining these cells from their source using this more invasive approach made the difference, but it won't be possible to know until results from more people are available."

Field-Fote noted that Fidyka had also had scar tissue removed and that there had been documented cases where this process had resulted in improved function.

Funding

In a statement released by the UCL Tuesday, Raisman said the development of the technique was "immensely gratifying."

"I believe we stand on the threshold of a historic advance and that the continuation of our work will be of major benefit to mankind. I believe we have now opened the door to a treatment of spinal cord injury that will get patients out of wheel chairs," Raisman said. Researchers now need to develop the procedure to a point where it could be rolled out world wide, he said.

The research was funded by the UK Stem Cell Foundation and Nicholls Spinal Injury Foundation (nsif).

Nsif was founded by David Nicholls after his son Daniel was instantly paralyzed after diving into a sandbank during a gap year in Australia in 2003.

"One of the most devastating moments a parent will ever experience is the sight of their son or daughter lying motionless in a bed and facing the reality that they may never walk again," David Nicholls said in a statement on the development.

"The young man who was in the bed next to Dan in Australia, also paralyzed from the neck down, had parents who were so traumatized by the finality of their son's condition that they came to visit him once and never came back," he said.

"I promised Dan that I would not give up until a cure had been found. Professor Geoffrey Raisman and Dr. Pawel Tabakow's breakthrough marks the first step."

The full research paper is published in the medical journal "Cell Transplantation."

@highlight

Researchers say a 2012 cell transplant has allowed a paralyzed man to walk again

@highlight

Wrocklow University surgeons used a technique developed at University College London

@highlight

Researchers say, two years on, the patient can walk with a Zimmer frame -- or walker

@highlight

Darek Fidyka said the feeling of recovering the ability to walk was "as if you were born again"