Chapel Hill, North Carolina (CNN)For 18 years, thousands of students at the prestigious University of North Carolina took fake "paper classes," and advisers funneled athletes into the program to keep them eligible, according to a scathing independent report released Wednesday.

"These counselors saw the paper classes and the artificially high grades they yielded as key to helping some student-athletes remain eligible," Kenneth Wainstein wrote in his report. He conducted an eight-month investigation into the scandal, which has plagued the university for nearly five years.

Four employees have been fired and five more disciplined because of their roles. One other former employee had honorary status removed, Chancellor Carol Folt said Wednesday.

Wainstein is the former federal prosecutor hired by UNC to independently investigate the academic fraud brought to light by CNN, the Raleigh News & Observer and other media outlets.

In all, the report estimates, at least 3,100 students took the paper classes, but adds the number "very likely falls far short of the true number."

For the first time since the scandal first came to light five years ago, UNC admitted that the wrongdoing went further than academics and involved its athletic programs.

In fact, Folt said, "it was a university issue."

A stellar reputation comes crashing down

UNC has long been a place where it was believed that athletics and academics went hand in hand. It has enjoyed a stellar reputation, producing basketball greats such as coach Dean Smith and Michael Jordan.

Now, that reputation has been stained.

According to the report, one former head football coach, John Bunting, admitted to knowing of the paper classes and his successor, Butch Davis, also admitted some knowledge. Current men's basketball coach Roy Williams is steadfast that he did not know, Wainstein said.

The detailed 131-page report is being shared with the NCAA and could have huge implications for the university.

In the past 18 years, UNC has won three national championships for college basketball -- in 1993, 2005 and 2009 -- that could be in jeopardy along with countless wins.

And it wasn't just the revenue-generating sports that benefited.

The report says that athletes in a wide range of sports were involved, and it notes a noticeable spike of enrollment of Olympic-sport athletes between 2003 and 2005.

UNC in January: We failed students 'for years'

Report spreads the blame around

For five years, UNC has insisted the paper classes were the doing of one rogue professor: the department chair of the African American studies program, Julius Nyang'oro. Wainstein's report spread the blame much further.

It also revealed that it was Nyang'oro's assistant, Debbie Crowder, who actually created the paper classes out of sympathy for athletes and other students who were not "the best and the brightest." Nyang'oro went along with them when he figured them out.

Crowder was such a fan of UNC sports, particularly basketball, that she would sometimes miss work after a loss, the report says.

It was well-known on campus that Crowder was a lax grader and gave high grades without regard for content, Wainstein said, emphasizing that she never gave a grade unless a student submitted a paper and did not change grades that were already given.

Wainstein did find that five counselors actively used paper classes, calling them "GPA boosters," and that at least two counselors, one in football, suggested to Crowder the grade an athlete needed to receive to be able to continue to play.

Nyang'oro was more hands off. He had initially held legitimate independent studies classes, Wainstein said, but was accused of "being an ass" by counselors who felt he was too hard on athletes. Crowder then took it upon herself to create the first paper classes, naming Nyang'oro as the instructor even though she was managing all aspects of them: sending out paper topics, giving grades and assigning no meeting times.

"It is not clear whether Crowder ever got Nyang'oro's explicit approval to arrange these irregular independent studies. It is clear, however, that he ultimately learned about these classes and acquiesced in them by taking no action to put a halt to them."

When Crowder announced she was retiring, there was a spike in enrollment in the last year of her classes, because football counselors urged student athletes to sign up. Crowder actively tried to cover her activities, according to the report.

UNC fake class scandal and NCAA's response wind their way to Washington

A strategy to keep players eligible

Former head football coach John Bunting admitted that he knew of the paper classes and said that former Director of Football Cynthia Reynolds told him they were part of her strategy to keep players eligible. Reynolds, who is now an academic program coordinator at Cornell University in Ithaca, New York, was one of four employees who refused to cooperate with Wainstein's investigation.

The report shows that during Bunting's years as head coach, there was a steady rise of enrollment of football players in the paper classes.

Butch Davis, who succeeded Bunting as coach and was eventually fired in the wake of the scandal in 2011, also admitted to knowing there were "easy classes," Wainstein said.

Basketball coach Roy Williams maintained he had no knowledge of the fraud, Wainstein said, which was supported by a drop in enrollment in the suspect classes by basketball players during his tenure.

There were no findings regarding renowned coach Dean Smith, who is ill with dementia. For health reasons, the Wainstein team was also unable to interview his longtime No. 2 and eventual successor, Bill Guthridge.

The report does say that Smith's longtime academic adviser, the late Burgess McSwain, and her successor, Wayne Walden, knew about the paper classes.

McSwain, who died of cancer in 2004, was a very close friend to Crowder, the report says.

During the Smith years, 1961 to 1997, the report says there were 54 basketball players enrolled in paper classes. Although the paper classes did start in the spring of 1993, the year of Smith's final championship, grades would not have been entered until after the championship game was played.

A whistleblower's saga

Many of the academic-athletic staff who were named and implicated by Wainstein were also named by university Learning Specialist Mary Willingham, who went public with detailed allegations about paper classes and who, after a an all-out assault on her credibility by the university, has since filed a whistleblower suit.

CNN interviewed Willingham in January about her years working with student-athletes. She said that she had worked with dozens of athletes who came to UNC unable to read at an acceptable level, with some of them reading like elementary schoolchildren.

She also said that there were many members of the athletic staff who knew about the paper classes, and her revelations contradicted what UNC had claimed for years -- that Nyang'oro acted alone in providing the paper classes.

Whistle-blower in UNC paper class case files lawsuit

Willingham said paper classes were openly discussed as a way to keep athletes eligible to play, and former football player Michael McAdoo told CNN he was forced into majoring in African American studies, the department at the heart of the paper-classes scandal.

Willingham shared her reaction to the report with CNN on Wednesday:

"I didn't need Wainstein to validate me because the truth is validation enough, but I feel like what I've said for the last five years is in the report.

"I gave Chancellor Folt credit; she did a good job," she said.

Willingham also said she believes it took so many years and six previous investigations because "this is the flagship of the university system and of the state, and to admit we did anything wrong was too difficult there is a level of arrogance here and that's part of the culture."

Refused to help in investigation

Folt would not say who was fired or being disciplined. Wainstein, however, did name those who refused to cooperate, as:

-- Octavus Barnes, academic counselor for football 2002-2009.

-- Carolyn Cannon, associate dean and director of academic advising. 1999-2010, who was the principle adviser for the men's basketball team.

-- Cynthia Reynolds, director of football, 2002-2010. She was called a "critical witness."

-- Everett Withers, interim head football coach in 2011. He's now at James Madison University.

Scandal has been unfolding for years

The first hints of scandal began in 2010, with allegations that some athletes were having improper contact with agents. As the university investigated, it found academic irregularities and finally announced, under pressure from the News & Observer newspaper in Raleigh, that there were classes where very little work was required.

For the next five years, UNC administration was on the defensive, admitting only to allegations as they surfaced and never digging deep to the root of the problem.

Wainstein said he found no evidence that administrators tried to cover up anything.

He attributed the five-year delayed response to "insufficient appreciation of the scale of the problem."

Six previous internally commissioned reports had stopped short of systemic accusations.

Folt said that when she took the job as chancellor in October 2013, she decided to hire Wainstein because there were still too many unanswered questions.

"I wanted to be sure that we wouldn't have to do this again and again," she said.

CNN analysis: Some college athletes play like adults, read like 5th graders

@highlight

Report by investigator found advisers funneled athletes to "paper classes"

@highlight

3,100 students took those bogus classes, Kenneth Wainstein's report finds

@highlight

The report found the practice more widespread than many first thought

@highlight

UNC's national championships could be on the line