(CNN) -- Amid the current tension along the Turkish-Syrian border, Turkey has seemingly surrendered its initial reluctance to take a more proactive stance against the Islamic State (ISIS).

More than 150,000 mostly Kurdish refugees have crossed the border into Turkey in recent days, fleeing the Mujahedeen's advance on the Syrian border town of Kobane. As ISIS mortar and artillery shells have repeatedly hit Turkish soil, the government in Ankara seems to have realized that it cannot divorce itself from the negative spill-over effects of the international coalition's war against the self-proclaimed caliphate.

The release of Turkish diplomats who had been held hostage by ISIS in Mosul for three months leaves Turkey free to reevaluate its strategy towards the jihadist terror regime to the south.

Turkish infantry and tanks have taken up position along the border with Syria waiting for a go-ahead from Ankara where Parliament voted on Thursday to provide the Turkish government with a mandate to militarily engage ISIS -- if necessary with boots on the ground.

The question now is whether Turkish armed forces can be the strategic game-changer in the international coalition's war against ISIS.

Ever since his return from the United Nations General Assembly in New York last week, Turkish President Recep Tayyip Erdogan has been campaigning for the establishment of a safe haven in Northern Syria and Iraq. It would both provide a place of refuge for Kurds now stranded in Turkey as well as create a buffer zone to keep hostilities at bay.

Turkey's potentially costly intervention would hardly be altruistic then. It would not seek to drive ISIS out of its Syrian and Iraqi heartland. Rather, military intervention would create a safe haven similar to the one created in Northern Iraq after the Gulf War -- this time around hopefully patrolled and secured not just by air power but by actual soldiers.

It would relieve pressure from Turkey's border regions allowing Kurdish refugees and armed volunteers to return to their homes further south. At the same time, it would enable Turkey to galvanize her control over Kurdish heartlands, which given the local state of anarchy, have become fertile grounds for the growth of Kurdish insurgency.

Unlike the Arab contributions to the U.S.-led coalition, Turkey's contribution will add more than just legitimacy. A joint military operation with capable air and land components would be able to expel the Mujahedeen from their current positions not just seizing but most importantly holding territory.

Due to their NATO training, Turkish boots on ground would be able to provide the much-needed integrated forward air controlling capability to partners in the air. It would facilitate reconnaissance and target acquisition increasing the effectiveness of air strikes while minimizing their collateral damage.

Further, Turkish bases geographically nearer the coalition's area of operation would increase the flight time for coalition aircrafts currently based in the Gulf. Aircrafts could remain in the air for longer and react to changing realities on the ground much quicker.

Yet, both strategically and operationally, a mere military commitment by Turkey to Syria and Iraq, will not be the panacea for the underlying socio-political maladies that made the rise of ISIS possible.

From a strategic point of view, there is no sole military solution to jihadist fundamentalism in the region without a comprehensive regional effort to target the socio-political root causes that have fueled insurgency in Iraq since 2003 and in Syria since 2011.

From a military operational point of view, the establishment of safe havens even when enforced by Turkish ground troops, would always be an operation with limited scope. It is highly unlikely that Turkish forces would advance deep into the jihadists' heartland around Raqqa or Mosul, leaving ISIS with enough space to maneuver.

And as a hybrid fighting force, ISIS has proven to be highly adaptive and flexible in its operational approaches. Since U.S. air strikes commenced more than six weeks ago, its Mujahedeen have relied more heavily on dynamic non-linear advances by infantry often in the cover of civilian environments. A conventional military approach with limited scope as envisaged by the Turkish military will find it hard to defeat ISIS on its own turf -- even with boots on the ground.

While Turkish boots on the ground can bring about a short to mid-term relief in Kurdistan, they will not be the strategic game-changer in Syria and Iraq, single-handedly solving a socio-political problem by military means.

Turkish boots on the ground are no alternative then to proxies with local social bases who would be jointly trained, equipped and empowered by Arab and Western partners -- proxies who could not only effectively undermine ISIS' centers of gravity but also herald the socio-political changes necessary for building sustainable security and stability in the region.

@highlight

Turkey's Parliament voted on Thursday to authorize military action against ISIS

@highlight

Release of hostages by ISIS leaves Turkey free to reevaluate strategy, says Andreas Krieg

@highlight

Krieg: Intervention would create safe haven like one created in Northern Iraq after Gulf War

@highlight

Unlikely Turkish forces would advance into jihadists' heartland of Raqqa or Mosul, he adds