TEHRAN, Iran (CNN) -- Defying many predictions, Iranian President Mahmoud Ahmadinejad held a commanding lead in the presidential vote count early Saturday, election officials with Iran's Interior Ministry said.

Men choose their candidates before voting Friday at a mosque in Tehran, Iran.

With 72 percent of ballot boxes counted, Ahmedinejad had 65.7 percent of the vote while his chief rival Mir Hossein Moussavi had 31.4 percent, election officials said.

Moussavi, widely regarded as a reformist, had been expected to do well as his campaign caught fire in recent days, triggering massive street rallies in Tehran.

An "unprecedented" voter turnout at the polls Friday was also expected to boost Moussavi's chances of winning the presidency.

Iran's Interior Minister Seyed Sadeq Mahsouli said 70 percent of 46 million eligible voters had gone to the polls Friday, according to Fars, another semi-official news agency.

Both candidates claimed victory. Moussavi's camp accused the Iranian establishment of manipulating the vote.  Watch why each side is claiming victory »

Voting was supposed to end after 10 hours, but because of the massive turnout, officials initially said polling stations would remain open until everyone in line had a chance to vote. However, Moussavi alleged that doors were being closed with people still waiting outside.

Some private news agencies reported many Iranians were milling about on the streets late into the night. Mehr reported that the chief of police declared public gatherings of candidate supporters illegal.

Earlier in the day, voters crowded the steps of one polling place in Tehran, some waiting more than three hours underneath the hot sun to cast their ballots. Some were lining up even before the polls opened at 8 a.m.

Moussavi is the main challenger among three candidates vying to replace Ahmadinejad. The other candidates are former parliament speaker and reformist Mehdi Karrubi, and Mohsen Rezaie, the former head of Iran's Revolutionary Guards.

Mehr reported Rezaie had 1.72 percent of the vote and Karrubi had 0.87 percent.

If no single candidate reaches a simple majority -- 50 percent plus one vote -- a runoff election will be held on Friday, June 19.

It was unclear where the ballots that had been counted so far had been cast.

Ahmadinejad still has staunch support in Iran's rural areas, but has been blamed for much of Iran's economic turmoil over the last four years. If he loses, it would be the first time a sitting Iranian president has not won re-election to a second term in office.

Fawaz Gerges, an academic and author who studies the region, said Friday's vote is really "a referendum on Ahmadinejad," who has been in office since 2005.

"The unemployment rate is 30 percent ... the largest in the third world, inflation is [in the] double digits in Iran," Gerges told CNN's "American Morning."

"We focus in the United States a great deal on his inflammatory rhetoric on the Holocaust, on nuclear weapons. We tend to forget that Ahmadinejad has basically done a great deal of damage to the Iranian economy, on social policy."

While Moussavi's campaign has energized key segments of Iranian voters -- particularly women -- Gerges noted that "Iranians have surprised us many times."

Moussavi's supporters crowded the streets of Tehran this week, wearing the candidate's trademark color green. His campaign has also energized Iran's youth, many of whom did not take part in the 2005 election. Yasmin, a 21-year-old university student, said she cast her ballot on Friday for Moussavi.  CNN's Christiane Amanpour reports emotions on the street »

"I've never even been interested in the politics of my country until today. It was my first time voting, and I am so excited about it," she said. "We are all yearning for change, and I believe Moussavi will bring much more freedom to Iran and our lives. That is why I cast my ballot for him. There is so much anticipation in the air."

Moussavi's supporters hope that he follows in the same footsteps as Mohammed Khatami, a reformist candidate who overwhelmingly won the presidency in 1997, raising hopes that the reformist movement would bring religious and democratic freedoms to the Islamic republic. But the real power in Iran rests in the hands of Supreme Leader Ayatollah Ali Khamenei.

By the time Khatami left office in 2005, he was unable to make major changes because of the opposition of hard-line elements in Iran's clerical establishment.

"The elected president is not the commander in chief, he does not make decisions of war and peace," Gerges noted. "The major decision maker [in Iran] is the unelected supreme leader, that is Ali Khamenei, along with a National Security Council."

But Gerges noted that the "the style of the president" and his "posture" have a great deal of influence on Iran's relations with other countries, particularly the United States.  Watch CNN review the unprecedented online presence of candidates »

No matter who wins Friday's vote, analysts say it is unlikely any of the candidates would change Iran's position on its nuclear program, which the Islamic republic insists is for civilian purposes but the United States and other Western powers believe may be a cover for a weapons program.

Iranian-American analyst and scholar Reza Aslan said that while Moussavi is "a little bit more of a moderate when it comes to the nuclear issue ... all four candidates agreement with Iran's right to develop nuclear."

Nevertheless, Aslan said that all four candidates also "recognize it's time to open up to America and to the international community because there's no other option with regard to the economy."

CNN's Christiane Amanpour, Samson Desta and Mitra Mobasherat contributed to this report.

@highlight

Officials: 72 percent of votes in, incumbent president has 65.7 percent

@highlight

Large turnout was expected to benefit Ahmadinejad's main rival, Moussavi

@highlight

Moussavi camp accuses Iranian establishment of manipulating the vote

@highlight

None of candidates expected to change Iran's position on its nuclear program