Washington (CNN) -- The federal budget has always been a tool for partisanship, but never more so than in the past few years.

Like the awkward and irreverent distant relative at the dinner table, the Senate tried for several years to ignore it. But everyone knew it was in the room, helping to create a permanent state of partisan gridlock.

But the government shutdown in October caused so much political fallout that most Republicans and Democrats in a Congress already rated poorly by the public didn't want to go through it again with midterm election campaigns just getting off the ground. Passing a budget became an imperative.

Two ideologically opposite lawmakers agreed to the same spending plan -- a notable feat considering Congress has lurched from fiscal crisis to fiscal crisis since President Barack Obama took office, deeply at odds over taxes and spending.

Perhaps more miraculously, the House, which has been the hotbed of partisans, passed the two-year budget plan last week overwhelmingly before leaving town for the holidays.

Republicans and Democrats supported the deal, even though neither side swooned. Some of the most liberal and conservative members opposed it. But for the first time in years, a core of the House came together to support federal spending. The vote was 332-94.

The proposal then traveled across the marble corridor of the Capitol to the Senate, where bipartisanship is usually more common.

But this is where the whole thing gets more difficult due to arcane rules of the Senate, political realities ahead of midterms and the 2016 presidential race, concerns about spending, and a bruising fight over how the Senate operates that has sharpened partisan feelings.

Senate supporters think they have votes

Most insiders believe the bill that aims to avert a possible shutdown in mid January, relax sweeping spending cuts under the so-called sequester, and give everyone some political breathing room from the issue for two years, will ultimately pass and be sent to Obama for his signature.

Those chances seemed to improve by the hour on Monday as supporters gained some conservative backing needed to clear a 60-vote procedural hurdle on Tuesday. Still, there are a number of Republicans who oppose the measure and nothing's certain yet.

A confluence of factors -- both relating to the budget and not -- will influence the outcome.

Here's how things look:

1. 2014 reelection worries

The numbers tell the story. Seven of the 12 GOP Senators running for re-election next year are facing primary challenges from the right. And that list includes the top two Republicans: Minority Leader Mitch McConnell of Kentucky and Minority Whip John Cornyn of Texas. McConnell will not vote for the agreement. Cornyn appears skeptical.

Some major conservative groups have criticized the budget agreement, including Americans for Prosperity, Club for Growth, Heritage Action for America, Freedomworks, and Senate Conservatives Fund. They are influential with tea party activists and other grassroots advocates who vote in big numbers in the Republican primaries -- aka, the kind of voters these Senators will need to win reelection.

"Yes. I think the primary challenges and the threat of future primary challenges is a factor when Senators go to the floor to vote. It may not be the biggest factor, but to ignore the impact of primaries would be silly," said Nathan Gonzales, political editor of the non-partisan Rothenberg Political Report.

One other factor that could be at play when it comes to Senators in the GOP leadership: This is not their deal.

There is not Senate equivalent to the agreement struck by House Budget Committee Chairman Paul Ryan and his Senate counterpart, Democrat Patty Murray.

2. 2016 politics

Sentiments of those same Republican primary voters could be why three GOP Senators not up for re-election in 2014 quickly opposed the deal last week.

Marco Rubio of Florida, Rand Paul of Kentucky, and Ted Cruz of Texas are all considered possible contenders for the 2016 Republican presidential nomination. Because of that, just about every vote they take will be scrutinized by outside conservative groups influential with core voters in presidential primaries and caucuses.

Durbin says 2014 and 2016 politics is a factor when it comes to Senate Republican opposition.

"A handful of members of the Senate are vying for the presidency in years to come and thinking about this vote in the context. And others are frankly afraid of this new force, the tea party force, the Heritage Foundation force, that is threatening seven out of the 12 Republican senators running for re-election," Durbin told "Face the Nation."

Don't expect Boehner to totally change his tune

3. Read the bill

Members on both sides of the aisle aren't enthusiastically supporting the budget deal -- a good sign that it is a true compromise.

On the left, some are opposed to the fact that it doesn't include an extension of unemployment benefits, cutting off 1.3 million Americans three days after Christmas.

"It's really unconscionable," Sen. Tom Harkin of Iowa said on Radio Iowa last week.

On the right, Republicans oppose the amount of government spending.

It preserved about 60% of the automatic sequester cuts that went into effect in March, reducing them by about $45 billion.

With proposed federal spending at $1.012 trillion for this fiscal year and $1.014 for next, some Republicans say that's too high.

"I'd really like to stay within the (spending) caps," complained Sen. John Boozman, an Arkansas Republican about limits imposed by a 2011 budget law.

Others oppose cuts to military retiree pensions as a way to save money.

"We need to find a better way to save $6 billion than take it out of the hides of our retired veterans," said Sen. Roger Wicker, R-Mississippi, who said he would vote against the bill.

Opinion: Obama's very tough year

4. Filibuster fallout

After Democrats changed the Senate rules to weaken the ability of minority Republicans to block presidential appointments, the GOP may not be in the mood to play nice.

The Senate was locked in fierce partisan bickering over this while the House was passing the budget.

Angry over the rules change, Republicans took advantage of Senate procedure and forced two consecutive all-night sessions, an attempt to prove a point and annoy Democrats.

Senate Majority Leader Harry Reid responded to Republican tactics by telling them he can't "heal hurt feelings" and said he would press forward to pass the budget and other items before the waning time left before Christmas.

"I understand that Republicans are still upset," Reid told reporters last week. "I can't wave a magic wand and heal hurt feelings, but I can appeal to my colleagues to be reasonable and work with us and to schedule votes in a timely manner on the important work we have left to do."

Republicans, who don't love the budget deal, might feel like making things a little more difficult.

5. Fears of another shutdown

The 16-day government shutdown was a political disaster for the GOP. Conservative Republicans triggered the political debacle by insisting that money to fund the government be tied to defunding Obamacare, which they despise.

The public mainly blamed them, and their poll numbers quickly dropped in the so-called generic ballot, a key 2014 metric in the battle for control of Congress. Republicans currently control the House and Democrats, the Senate.

Many Republican lawmakers are quietly worried the GOP brand would suffer further damage if they take the blame for another shutdown even though Democrats and Obama have their own problems with voter sentiment on their job performance.

Opinion: Democrats lose on budget deal

Ryan, in touting his deal on Sunday, highlighted that "we're preventing two government shutdowns from possibly occurring."

Republicans say they plan to campaign against the Obamacare health reforms under the Affordable Care Act as they work next year to try and regain the Senate, which Democrats hold by 10 seats and keep their double-digit majority in the House. Another government shutdown would sidetrack them from their mission.

"Democratic political strategists would like nothing more than for the GOP to take the focus off Obamacare again and to shoot themselves in the foot with another government shutdown," said Brian Walsh, a GOP strategist and communications director for the National Republican Senatorial Committee in the 2010 and 2012 election cycles. "This agreement takes that scenario off the table and keeps the Democrats firmly on defense with their disastrous healthcare law heading into 2014."

5 reasons why Congress might (finally) pass a budget

CNN's Ted Barrett contributed to this report

@highlight

The Senate is expected to take up the budget on Tuesday

@highlight

2014 and 2016 politics will play into Senate budget vote

@highlight

The fallout from the filibuster rule change has left hard feelings in the Senate

@highlight

Fear of another government shutdown has pushed some to support the deal