(CNN) -- A chemical found in many sodas may be dangerous to your health, Consumer Reports says. And no, it's not sugar (this time).

The golden-brown color of many soft drinks comes with a dose of the chemical 4-methylimidazole, or 4-MeI. On U.S. product labels it appears simply as "caramel coloring."

Those who say the chemical may possibly cause cancer include the World Health Organization's International Agency for Research on Cancer and the state of California, which now limits manufacturers to 29 micrograms of exposure for the average consumer per day.

Foods exceeding that limit have to carry a warning label that reads: "WARNING: This product contains a chemical known to the State of California to cause cancer."

But when Consumer Reports purchased sodas in California and had them analyzed by a lab, it found that one 12-ounce serving of Pepsi One or Malta Goya exceeded the levels permitted without a warning label.

Ten other brands tested by the group did meet the California standard, which is estimated to limit the risk of cancer from 4-MeI to one case in every 100,000 lifetimes of daily exposure.

"We are concerned about both the levels of 4-MeI we found in many of the soft drinks tested and the variations observed among brands, especially given the widespread consumption of these types of beverages," said Dr. Urvashi Rangan, a Consumer Reports toxicologist, in a statement.

"There is no reason why consumers need to be exposed to this avoidable and unnecessary risk that can stem from coloring food and beverages brown."

The Food and Drug Administration does not set federal limits on 4-MeI in food, and the data gathered by Consumer Reports show that in some cases consumers outside California are drinking a slightly different ingredient. For example, Pepsi One purchased by the group in December in New York contains four times as much 4-MeI as the same product bought that same month in California.

What is clean eating?

Currently the FDA has no reason to believe that 4-Mel poses a health risk to consumers at the levels found in foods with caramel coloring, agency spokeswoman Juli Putnam told CNN in an e-mail. The government agency is testing a variety of food and beverages with the chemical and reviewing safety data to determine if any regulatory action needs to be taken, she said.

Consumers interested in more information on 4-Mel can check out the FDA's FAQ page.

In a statement to Consumer Reports, PepsiCo Inc. said data indicate that the average person consumes less than one-third a can of diet soda per day; therefore, its product meets the California standard, even if a complete serving exceeds that limit.

In addition to new federal standards, Consumer Reports is calling on the FDA to "require labeling of specific caramel colors in the ingredient lists of food where it is added, so consumers can make informed choices."

"First and foremost, consumers can rest assured that our industry's beverages are safe," the American Beverage Association said in a statement. "Contrary to the conclusions of Consumer Reports, FDA has noted there is no reason at all for any health concerns, a position supported by regulatory agencies around the world.

"However, the companies that make caramel coloring for our members' soft drinks are now producing it to contain less 4-MeI, and nationwide use of this new caramel coloring is underway."

American mom wants European M&Ms

@highlight

Consumer Reports warns about caramel coloring found in many soft drinks

@highlight

California limits manufacturers to 29 micrograms of 4-Mel exposure per day

@highlight

Consumer Reports says tests show two products exceeded limits without warning label

@highlight

The FDA is testing foods and beverages and reviewing safety data