Apart from what they do for the military; drones have already proven themselves capable sheep herders, delivery boys, tour guides, filmmakers, archaeologists, and -- possibly -- spies.

The global economic potential of these machines is astounding; a recent study estimated the worldwide market for unmanned aerial vehicles (UAVs)  at $89 billion in 2013.

Proponents are eager to point out the many ways they're going to make our lives better.

"Really, this technology is an extra tool to help an industry be more effective," says Gretchen West, the executive vice president for the Association for Unmanned Vehicle Systems International (AUVSI).

"With precision agriculture, for example, it can take pictures of fields so farmers can identify problems they wouldn't necessarily see walking through the fields. In law enforcement, you could find a child lost in the woods more easily than walking through a field, particularly if there's bad weather or treacherous ground."

While it may seem that drones are set to take over our lives, the reality is a bit more complicated. Drone usage around the world is definitely picking up in the public sector, but when it comes to commercial activity, many countries have strict limitations.

Opinion: Bad laws could hurt good drones

The United States doesn't allow for commercial drone usage at all, though that's expected to change in 2015, when the Federal Aviation Administration (FAA) aims to put a plan in place to integrate drones in U.S. airspace. In the meantime, says West, the U.S. is losing $10 billion in potential economic impact for every year the FAA delays.

"I think the U.S. has been the leader in this technology, and I think there's a risk of losing that first-mover aspect the longer we wait on regulations," she says.

"A lot of countries are allowing for flight, and that puts us at a disadvantage. We're seeing U.S. manufacturers realize they're developing great products they can't use here, and they're looking to overseas to fulfill their business model."

Currently, civilian drone use in the U.S. is only sanctioned in a handful of incidents, namely in the public sector, as research or as a hobby, though the latter dictates they don't fly above 400 feet, near populated areas or outside of the operator's line of vision. While this means that ostensibly, non-military manufactures are restricted to making hobby models, most of these can take on commercial applications.

"We're amazed at the uses that pop up," says Sue Rosenstock, a spokesperson at 3D Robotics -- an American manufacturer of hobbyists UAVs.

In addition to catering to enthusiasts locally, Rosenstock estimates that half their business is done overseas in countries with fewer restrictions. One of the most open countries, she notes, is Australia.

The Outback recently made headlines when Australian start-ups Zookal and Flirtey announced they would team up to provide textbook deliveries via drones by next year.

Read more: How robots learn from insects

"We see them as a wonderful example of the power of legislation to free up this emerging technology," says Rosenstock.

Despite the infancy of the industry, many lawmakers fear the potential invasion of privacy that drones portend. Nine U.S. states have already passed laws restricting drone use, both in the hands of private citizens and law enforcement agencies.

"Drones make surveillance cheaper and easier, and when you do that, you can expect to see a lot more of it," warns Ryan Calo, a law professor at the University of Washington School of Law and an affiliate scholar at the Stanford Law School Center for Internet Society.

While Calo argues that the ease with which the government can spy on us "should be a concern", he also says that drones could be useful in starting a long overdue conversation about privacy law.

"Privacy law has lagged behind surveillance technology for years, and it probably has to do with the fact that citizens can't envision what the problem is, but they can picture what drone surveillance would feel like," he says.

As a result, he argues, drones "could be a catalyst for better privacy law."

@highlight

Though drones have incredible commercial potential, most countries restrict its use

@highlight

The U.S. is expected to open up drones for commercial use by 2015

@highlight

AUVSI estimates the U.S. loses $10 billion yearly by delaying drone integration

@highlight

Though drones bring up privacy concerns, some argue it could advance privacy law