LONDON, England (CNN) -- Hydrogen and electric vehicles might be leading the charge, so to speak, towards cleaner transport, but will cars powered by air and the sun ever surpass the sales figures of gasoline cars?

MDI boss Guy Negre with his AirPods which start a six-month trial at two European airports in 2009.

Click here to read about the latest hydrogen and electric cars

A BREATH OF FRESH AIR

It might seem ridiculous, but air -- yes, air -- can power a car.

Compressed air, stored in a carbon-fiber tank and then released, expands to drive the engine's pistons in the same way that petrol gases do. A Luxembourg-based company, Motor Development International (MDI) is at the forefront of the air car's push to market.

Former Formula 1 engineer and MDI founder Guy Negre has been working on the technology for almost two decades and is producing a fleet of different models including the OneCAT, the CityCAT and the AirPod.

India's biggest car maker, Tata Motors, and a U.S. startup, Zero Pollution Motors, have both signed deals with MDI and hope to have air cars on the road by 2010. In the U.S. the starting price will be nearly $18,000.

In October 2008, Air France and the Dutch airline KLM announced that they will be testing out MDI's "AirPods" for six months starting in spring 2009. The four seaters will ferry passengers around Charles De Gaulle Airport in Paris and Schiphol Airport in Amsterdam.

MDI says one tank of compressed air will take you about 60 miles in the OneCAT, which has a top speed of 35 miles per hour. As you'd expect from a car that runs on air, there is zero pollution.

VERDICT

Compressed-air engines are not new technology -- the French were powering trams with compressed air back in the 19th century. But the air car is highly unlikely to surpass the gasoline car and doesn't have enough oomph to seriously challenge new electric and fuel-cell vehicles.

Malcolm McCulloch, an electrical engineer from the UK's Oxford University, says: "They are interesting, but the problem is that the specific energy -- energy per unit mass -- is very high in air cars."

Professor Paul Shayler from the School of Mechanical, Materials and Manufacturing Engineering at the UK's University of Nottingham says: "It's an idea that's worth pursuing, but compressing air is both a strength and a weakness. The big advantage of conventional engines is that you can put fuel with a high energy content in a tank and get good range. With a compressed air engine the range is not spectacular."

SOLAR SYSTEMS

Solar cars harvest sunlight to drive an on-board electric motor. You're probably familiar with the solar cars that look a bit like a stingray on wheels, but those aren't commercially viable and are mostly entered into endurance races like the annual World Solar Challenge in Australia.

A French motor company, Venturi, has produced an electro-solar hybrid. The Eclectic Concept -- a car with roof-mounted solar panels which power an electric motor -- was so popular, Venturi says, that they have adapted it into a commercial model.

The Eclectic is yours to own for $30,000 and uses solar panels to collect energy to power an electric engine. It has a range of about 30 miles and has a top speed of 30 mph. The car is featured in the 2008 movie, "Babylon A.D.," starring Vin Diesel.

It is rumored that the Toyota Prius -- which passed the one million worldwide sales mark in 2008 -- has a new model due out next year that will be fitted with solar panels on its roof to power the car's air conditioning.

VERDICT

Venturi has demonstrated that it is perfectly possible to produce solar powered vehicles. But they are expensive when you consider the level of performance they can deliver.

Professor Shayler says: "Solar power has a long way to go. At the moment you simply don't have the energy density to do anything special."

But McCulloch thinks that solar could assist the growth of electric cars. "Your garage could have solar panels on its roof, store up energy during the day and charge your vehicle at night," he said."And parking lots and the like could be fitted with solar panels. So there are ways that those two can play together."

THE FUTURE

John Turner, Research Fellow at the National Renewable Energy Laboratory in Colorado, says: "We are talking about a new paradigm here because we know the old paradigm is going to go away.

"For hydrogen, or any new fuel for that matter, to succeed there has to be a policy decision. At the moment it's not cost effective and it's not going to be cost effective until we get into the tens of millions of units per year. There is no way of getting around this. Politicians have to decide when they want to put a policy in place. It's not an economic decision, it's a policy decision."

But any major changes are going to take a long time, he says.

"The issue is manufacturing. Last year we made 60 million cars worldwide. That's two cars a second. That's the current level of production. It has taken many years to get up to that rate," Turner said.

Click here to read about hydrogen and electric vehicles

@highlight

Is the gas engine about to be overtaken by a host of cleaner, leaner rivals?

@highlight

Cars running on air are expected to be on sale in the U.S. and India by 2010

@highlight

French motor company has developed a solar car roof that powers an electric motor