(CNN) -- Right now, two-thirds of Americans are suffering from "Fear-bola," according to a new Washington Post poll. It's a hyper-contagious disease that affects the brain, making sufferers fear a widespread Ebola outbreak in the United States.

Fear-bola is an airborne disease that spreads through conversation, entering your brain through your ears. Fear-bola is so contagious that some victims have contracted it by simply seeing images and videos about Ebola.

Once inside your body, Fear-bola attacks the part of the brain responsible for rational thinking. It starts with a low-grade concern about the two health care workers diagnosed with Ebola in Dallas and slowly builds into fear of a widespread epidemic in the United States. Almost half of the people affected by Fear-bola are also "very" or "somewhat" worried they themselves will catch the virus.

Fear-bola is dangerous because it leads to confused decision-making and illusions. People who favor travel bans, for example, suffer from Fear-bola. Anyone convinced Ebola is an airborne virus is suffering from the disease. If the news that a second health care worker in Dallas diagnosed with Ebola made you think you're in a real-life "Contagion" or "Outbreak" movie, you suffer from Fear-bola.

Fear-bola can also affect institutions. Navarro College, a small community college outside Dallas, has contracted Fear-bola and has stopped accepting students from countries with confirmed cases of Ebola, according to The Daily Beast.

Navarro has rejected every student application from Nigeria, a country with 174 million people and 20 cases of Ebola. By the way, after "world-class epidemiological detective work," that outbreak was traced back to a Liberian-American. Nigeria is five days away from being declared Ebola-free by the World Health Organization.

To put this story in perspective, it would be like Harvard suddenly sending rejection letters to every high school applicant from Texas, stating: "Unfortunately Harvard is not accepting applications from students in states with confirmed cases of Ebola." As you can see, Fear-bola is extremely dangerous at an institutional level because it leads to widespread discrimination.

I almost caught Fear-bola from a good friend when he told me: "You better believe I'm worried about Ebola. Sure, the docs say, 'Don't worry. It's not airborne. You must touch fluid to get it' ... but what if a person on plane or subway sneezes, sending fluid particles at me or a few drops on the seat. ... That's not airborne to docs ... but that's fluid and now I have Ebola. Yeah, I'm very afraid."

That was all it took to contract Fear-bola. Suddenly, I felt the urge to Google "how far does a sneeze travel?" (It's 200 feet, by the way.)

Once you contract Fear-bola, you can't help but spread it to others. After talking to my friend, I called my mom -- who luckily gave me a dose of common sense. As she put it, "I don't know what everyone is so worried about Ebola. If you're in West Africa, yes, you should be afraid, but here? It's ridiculous.

"One person has died in the United States from Ebola and that's awful. But if you want to worry about a contagious disease that can kill you, worry about the flu. Did you know tens of thousands of people died from the flu last year, tens of thousands? I don't see people stampeding to CVS to get a flu shot."

She's right. According to the Centers for Disease Control and Prevention, from 1997 to 2007, flu deaths ranged from a low of about 3,500 to a high of 49,000 deaths a year. The flu reached epidemic levels in last year's season. And just like that I was cured of Fear-bola with a dose of the facts. Unless you are a health care worker or family member caring for an infected patient, you are not going to contract Ebola in the United States. You have nothing to fear.

We cannot allow Fear-bola to take over America because the world needs our help. We need to think rationally, and we need to think globally. In West Africa, the facts are grim -- more than 4,000 dead, and the outbreak is doubling in size every three weeks. The World Health Organization says West Africa could see 10,000 new Ebola cases a week by December.

It's spreading quickly in West Africa because the affected countries are politically unstable and recovering from war, and they lack the public health infrastructure to quarantine people properly, provide health workers with protective gear and educate the population about risks and best practices.

We're right to be concerned about the welfare of the medical professionals who were treating Thomas Eric Duncan, who died from Ebola in Dallas. But an outbreak is not likely. Our public health and communication infrastructures are yet another reason why there will never be a major Ebola outbreak here. The spread of Ebola overseas has more to do with the social and political realities in West Africa than the reality of the virus.

It is vital to mobilize our health care experts and nongovernmental organizations overseas quickly. The best way to prevent Ebola in the United States is to protect people in West Africa. Here, two people are infected with Ebola in Dallas; in West Africa, more than 8,000 are infected. The fewer people who get it in West Africa, the less likely it will spread here. It's counterintuitive, but a travel ban driven by Fear-bola would actually spread Ebola, as this article in Forbes explains.

A travel ban would also seal us off when invaluable resources from the CDC and the National Institutes of Health need to be deployed to help stop the spread of Ebola on a global scale. If a ship is sinking, what good does it do to lock ourselves below deck in our cabins? In 2002, we were invaluable in fighting SARS and in 2009, working with China to curb the swine flu outbreak.

If you live in West Africa, you have reason to be afraid. If you care for Ebola patients, you must be extraordinary careful. If you have been placed in quarantine, you better remain there until you are cleared.

For the rest of us here in the United States, it's time to eradicate Fear-bola and focus on how you can help those who are suffering from the Ebola outbreak overseas. And while you're at it, you should probably get a flu shot.

@highlight

Poll finds two-thirds of Americans fear a widespread epidemic of Ebola in the U.S.

@highlight

Mel Robbins says "Fear-bola" attacks part of brain responsible for rational thinking

@highlight

Robbins: One person has died from Ebola in U.S., but flu kills tens of thousands a year

@highlight

She says we have almost no chance of catching Ebola but need to help West Africa