(CNN)In space there's no atmosphere, it's never cloudy, and in geosynchronous orbits it's never night: a perfect place for a solar power station to harvest uninterrupted power 24 hours a day, 365 days a year.

The concept has been around since the 1940s when science fiction writer Isaac Asimov posited the idea of a robot-manned space station that delivered energy to Earth via microwaves.

Today, the idea is less science fiction than a steadily advancing reality.

Clean energy from above

The United States, China, India and Japan all have projects at various stages of development that would see robots assemble solar arrays that could provide the Earth with massive amounts of clean and renewable energy delivered wirelessly.

Some variants of the idea could even see as much as 1GW of energy beamed to receivers on Earth -- enough to power a large city.

According to Dr Paul Jaffe, spacecraft engineer at the US Naval Research Laboratory, the concept is scientifically sound.

"NASA and the US Department of Energy did a study in the late 70s that cost $20 million at the time and looked at it in pretty great depth," Dr Jaffe told CNN. "The conclusion at that time was that there was nothing wrong with the physics but the real question is the economics."

The cost lies in the number of space launches required to build the power-transmitting satellite. With costs as high as $40,000 per kilogram for some space launches, the final price-tag for the first space-based solar power station could be as high as $20 billion.

Private contractors

While the recent entry of private space companies stands significantly to cut costs, basic physics dictates that getting payloads into space is still an expensive undertaking.

"The subject is revisited every 10 years when the technology changes and some of the factors affecting the economics change."

He said the wars in the Middle East gave new impetus to the space-based solar power as scientific researchers with the military wrestled with the problems of delivering energy to troops in hostile areas.

Multiple, and potentially hidden, receivers could tap space-based solar power and relieve the military of the expensive and often dangerous task of supplying troops with generator diesel by either road or air, he said.

"If you could deliver electricity from space, that would be kind of attractive," he said.

Safety concerns

Two proven ways of getting the power to Earth exist in the form of either laser beams or microwaves.

The laser beam option would involve sending small laser-transmitting satellites into space at the relatively low cost of between $500 million and $1 billion. The self-assembling satellite would lower costs and the small diameter of the laser beam would make it easier to collect on the ground.

But at just 1MW to 10MW per satellite, many satellites would be needed to provide enough energy. As well as this, laser transmitting satellites would have difficulty beaming power through clouds and rain.

The microwave option would have the advantage of uninterrupted transmission through rain, hail or any other atmospheric conditions and could provide gigawatts of power.

Microwave technology, Dr Jaffe explained, has been established for decades: as early as 1964, scientists were able to power a helicopter using microwaves. Dr Jaffe said with a large receiving area the energy from the microwaves was so dissipated that it would present no danger to life.

The chief disadvantage, however, is the fact that as many as 100 launches into space would be required to construct the space stations with costs running into tens of billions.

"Unfortunately, too, from a public relations standpoint, both microwaves and lasers have negative connotations for most people because they associate microwaves with the oven in their kitchen and lasers with science fiction space battles," Dr Jaffe said.

The power sandwich

His research is currently concentrated on the so-called "sandwich module" -- the part of the solar array that actually converts the sunlight into power.

One side of the 'sandwich' receives solar energy with a photovoltaic panel, electronics in the middle convert the current into a radio frequency and the other side has an antenna to beam it away.

"People might not associate radio waves with carrying energy," says Jaffe, "because they think of them for communications, like radio, TV, or cell phones. They don't think about them as carrying usable amounts of power."

Despite the technology already being available for space-based solar power, Dr Jaffe believes the first space power station is still decades away even though the Japanese have already made it one of the pillars of their space program.

"Without the similar research base that we have in the United States for, say, fusion energy it's unlikely to make meaningful progress," he said. "If the Japanese make progress in the next five years people might start to notice and say 'Why aren't we doing that here.'

Ultimately, he said, space-based solar energy is like most novel ideas.

"It's hard to tell if it's nuts until you've actually tried."

Read more from Tomorrow Transformed:

Wind farms of the future go underwater

Is the Darknet a glimpse into the web of the future?

China's impact on the future of e-commerce

@highlight

With no atmosphere, cloudy weather or even night, space is a perfect place to build our solar power stations

@highlight

The concept has been around since the 1940s when science fiction posited the idea of a robot-manned power station

@highlight

Some variants could provide as much as 1GW of energy beamed to receivers on Earth -- enough to power a large city

@highlight

Some scientists say only the cost of putting payloads in space is preventing the idea becoming a reality