Baghdad (CNN) -- Thousands of mourners turned out in Falluja Saturday, hours after a powerful Sunni sheikh called on Iraq's Shiite prime minister to hand over soldiers responsible for killing anti-government protesters in Anbar province or face "losses among their ranks."

The warning came as reports emerged that four soldiers were killed and four were abducted after security forces fired on a Sunni anti-government protest in Falluja, raising fears of retaliations that could ignite sectarian violence.

Sheikh Ahmed Abu Risha, who is credited with rallying Sunni tribal leaders to turn on al Qaeda in Iraq, gave Prime Minister Nuri al-Maliki's government seven days to hand over to Anbar's criminal court those involved in the shootings.

"We warn al-Maliki that the people of Anbar have another choice, if their demand is not met," Abu Risha told supporters in a televised statement broadcast by a number of Iraqi news outlets. Abu Risha's words carry weight, as he is head of a 160,000-member clan, a subset of the Dulaim tribe, one of the largest of all Middle East tribes.

Provincial health officials said that at least seven people were killed and 47 wounded in the shootings Friday during the demonstration in Falluja in the western Anbar province, a Sunni stronghold where protesters have been denouncing what they call second-class treatment by the Shiite-dominated government.

In an interview with Al-Baghdadiya TV, Abu Risha also demanded al-Maliki withdraw troops from Falluja ahead of Saturday morning's funeral procession for those killed.

"They need to go back to their barracks and be stopped, or there may be losses among their ranks or the ranks of the police. With all honesty, Falluja is boiling," he said.

The funeral procession drew thousands of mourners who shouted, "God is great, God is great" and "al-Maliki is the enemy of God," and demanded that al-Maliki be removed from office.

"Al-Maliki is a leader of militias, he is a criminal, he should be fired from his position immediately" Ahmed Ismaeil, one of the mourners, told CNN.

"Al-Maliki should be tried for crimes he has committed against Iraqi people. This is one of his crimes" Ismaeil added.

35 killed in Iraq suicide bombing, police say

The caskets bearing the bodies of the dead were carried on the shoulders of mourners and were buried in Falluja's famous Martyr's Cemetery.

Abu Risha is head of the Anbar Awakening Council, a group composed primarily of Sunni Arab fighters who turned on al Qaeda in Iraq, which was made up of predominantly Sunni extremists, in late 2006 and who joined forces with the U.S.-led coalition.

While a number of the members of the council, also known as the Sons of Iraq, have been integrated into Iraq's security forces, Abu Risha has said he maintains a militia of about 80,000. Al-Maliki's government has put the number at 50,000, according to published reports.

Abu Risha took over as head of the province's Awakening Council after his brother Sheikh Abdul Sattar -- also known as Abu Risha -- was assassinated in 2007.

Abu Risha's demand that troops withdraw from Falluja was backed by a number of religious leaders in the city.

By nightfall Friday, Iraqi soldiers withdrew from several security posts in and around the city and went back to their main military headquarters in Falluja, according to police officials in the city.

There were conflicting accounts about what led to the shootings.

Witnesses told CNN that Iraqi soldiers opened fire after they ordered the demonstrators to stop filming dozens of Iraqi security forces on the rooftops surrounding al-Etisam Square, while others said Iraqi soldiers fired when protesters started throwing objects at them.

Security officials said the shootings occurred when protesters began throwing rocks. When the soldiers opened fire, protesters responded by burning military vehicles and civilian cars.

By Friday night, dozens of angry protesters had attacked an army checkpoint in southern Falluja, setting the building on fire and burning an army vehicle, police officials said. The officials, who spoke on condition of anonymity, were not authorized to release details to the media.

Two soldiers were killed in that attack, the officials said. Two more soldiers were killed by snipers on Saturday morning, they said.

That was followed Saturday by the abduction of four soldiers from near a military base near Falluja, the officials said. The four, who were in civilian clothing, were on their way home for a short vacation when they were kidnapped, they said.

Al-Maliki on Friday said the violence in Falluja doesn't surprise his administration. He cited "conspiracies" plotted by regional intelligence services, vestiges of the old regime, al Qaeda and those with sectarian agendas.

The government, he said, has warned before about "those who have hostile agendas against Iraq, its political process and its democracy." He said dangers are "increasing day after day in an attempt to blow up the security situation in the country and drag the armed forces into confrontations."

The protest in Falluja was the latest in a series held in predominantly Sunni regions of Iraq. They have been countered by mostly Shiite, pro-government demonstrations, raising fears that the sectarian division could bring violence in the streets.

The protests have grown in recent weeks. They began in late December when Sunni demonstrators took to the streets in Anbar province, which borders Jordan and Syria, to protest al-Maliki's order to arrest the bodyguards of Finance Minister Rafaie al-Esawi, a Sunni.

The arrest of al-Esawi's bodyguards came just hours after President Jalal Talabani, a Kurd who is widely viewed as a stabilizing political force in Iraq, left the country about two weeks after suffering a stroke.

The protesters also are demanding the release of detainees they said are held without charges, calling the government corrupt and accusing it of unfairly targeting Iraq's Sunni people.

Iraq's Arab Sunnis and Kurds have accused al-Maliki and his Shiite political party of working to consolidate power in Iraq by cutting them out of the political process, an allegation that comes as U.S. lawmakers raise concerns about Iraq strengthening its ties with Shiite-dominated Iran.

Sunnis make up about 20% of Iraq's estimated population of more than 27 million, whereas about 60% to 65% are Shiite.

Since the fall of Saddam Hussein's Sunni-dominated regime in 2003, Sunnis in Iraq have been largely disaffected. The gulf was widened in 2005 when Sunnis boycotted the country's election, opening the way to a heavily dominated Shiite government.

The sectarian divisions translated into violence in the streets in 2006 and 2007, with fighting that nearly ripped the country apart.

CNN's Mohammed Tawfeeq reported from Baghdad and Chelsea J. Carter from Atlanta. CNN's Amir Ahmed contributed to this report.

@highlight

Four Iraqi soldiers have been killed in clashes in Falluja, officials say

@highlight

Four soldiers also have been abducted, police officials say

@highlight

Sheikh Ahmed Abu Risha is demanding the prime minister hand over the soldiers involved

@highlight

At least seven people were killed and 47 wounded in shootings during protests Friday