Editor's note: Annette Gordon-Reed won the 2008 National Book Award for "The Hemingses of Monticello: An American Family." A law professor at New York Law School and a history professor at Rutgers University, she will speak at the dedication of a new visitors center Wednesday at Monticello.

Annette Gordon-Reed says Thomas Jefferson's ideals have been a powerful force in American life.

(CNN) -- Does the legacy of Thomas Jefferson speak to Americans today? Or perhaps we should ask about Jefferson's legacies, for there are many. His fingerprints are everywhere.

Politics, government, race, slavery -- our third president's life and words touch on so many aspects of the nation's journey from rebellious colony to world superpower that it is impossible to understand the country's history without dealing with him in some fashion.

Even today, Jefferson's name is regularly invoked in the news -- the latest example being writers harking back to the forceful action he took against the Barbary pirates 200 years ago.

His soaring language in the Declaration of Independence -- "all men are created equal" and pronouncement of the right to "life, liberty and the pursuit of happiness" -- galvanized many during his lifetime. Those words have resonated across the years with diverse groups of Americans seeking to gain full citizenship in the United States. Working-class whites, blacks, women, immigrants, gays -- all have turned to the Declaration as a form of promise, a credo for the nation to live up to.

It is particularly interesting to ponder Jefferson's legacies at this moment in American history. The election of the country's first African-American president has brought an intense focus on America's past, specifically the history of relations between the races. Again, it is not possible to consider that history in any serious way without thinking of Jefferson.

The great and often remarked-upon paradox is that the man who wrote about the equality of all mankind, and who wrote insightfully and forcefully about the evils of slavery, was also a lifelong slave owner in a racially based slave system. He was not alone in this, of course. Some of the most prominent founders -- including four of the first five presidents -- owned slaves, too. All these men, at various points in their lives, claimed to abhor the institution that provided their sustenance.

Jefferson tends to be held to a higher standard on this question largely because he, not George Washington, James Madison or James Monroe, wrote the Declaration of Independence. And, as hard as it may be for some to believe now, he early on developed a reputation as a dangerous radical.

There was his attitude toward religion. Jefferson did not believe in the divinity of Jesus Christ and, to the consternation of many, insisted upon the separation of church and state. There is no doubt that he would enthusiastically endorse President Obama's statement on his recent trip to Turkey that "one of the great strengths of the United States" is that it does not consider itself "a Christian nation or a Jewish nation or a Muslim nation. We consider ourselves a nation of citizens who are bound by ideals and a set of values."

And, of course, there was his politics. Jefferson was, in the eyes of many, a "leveler" bent on destroying all social distinctions; a move that his detractors felt would eventually lead to the breakdown of racial barriers.

Indeed, during the period leading up to the American Civil War, later generations of white Southerners emphatically repudiated Jefferson's Declaration and, in some cases, the man himself. They knew that whether he truly believed those words or not, the ideas embodied in the Declaration mattered greatly.

The logic of Jefferson's words, the conclusions that one could draw from them, could not be contained. They would transcend their original context and find meaning for generations of Americans yet unborn. Those who feared that outcome -- and those who welcomed it -- were right: Jefferson's words have made a profound difference.

Then there is Jefferson's life, more specifically the place where he lived it: Monticello, the image on the back of the American nickel. Each year, thousands of people from all over the world make the trip up the 867-foot little mountain to visit a place that was home not only to Jefferson, but to hundreds of enslaved blacks who labored in his fields, plantation industries and house.

Indeed, enslaved men and teenage girls shaved off the top of the mountain, digging with their hands and shovels to level the ground to make it ready for Jefferson's architectural masterpiece. And then, other enslaved people helped build the house and maintained it over the years.

Tangled bloodlines are also a part of the Monticello story. Jefferson's wife, Martha, brought to the mountain the six children her father, John Wayles, had with an enslaved woman named Elizabeth Hemings. Later, long after Martha's death, one of those children, Sarah (Sally) Hemings, would have children with Jefferson, playing out a common scenario in the plantation South.

Many enslaved families lived at Monticello for generations; some spending far more actual time on the land than Jefferson or any member of his legal white family. Take Betty Brown, a Hemings, though not a child of John Wayles. She came to the mountain in 1772 as the 15-year-old personal maid to Martha.

She was, probably, the last person to leave the place, residing there into the 1830s, long after Jefferson's death and long after his property, including human beings, had been sold to pay the enormous debts on his estate.

So Monticello, perhaps the most well-known slave plantation in the world, stands as one of Jefferson's most important and enduring legacies. It is more than just a white family's legal residence, a place of arresting beauty. It is a site where some of the most compelling and tragic dramas of American history were played out.

Slavery in all its aspects -- forced labor, separated families, the whip, the owners and the owned linked together by slavery's law and by blood -- can be found there. For many Americans -- most importantly the numerous school children on field trips -- Monticello has been, and will be, their only firsthand experience of an American slave plantation.

For that reason, as we have grown and matured as a nation, it has become a place not only to celebrate the contributions and genius of one man -- although there is that, and rightly so. It is a place to learn much and to think hard and intelligently about America's past -- the awe-inspiring and the awful -- a vista from which to contemplate and prepare for America's future made possible, in part, by Jefferson's vision.

The opinions expressed in this commentary are solely those of Annette Gordon-Reed.

@highlight

Annette Gordon-Reed: Thomas Jefferson still relevant today

@highlight

She says his words in Declaration of Independence resonate in all kinds of ways

@highlight

His affirmation of freedoms coexisted with his ownership of slaves, she says

@highlight

She says Monticello is a slave plantation and a place to celebrate Jefferson's ideals