New York (CNN) -- In a recent interview, Mir Hossein Mousavi, the opposition candidate spearheading the Green Movement in Iran, said that early in the momentous revolution of 1979 the majority of Iranians were convinced that dictatorship had ended in Iran.

"I was one of those people," Mousavi said. "But today I no longer believe that to be the case."

Today, he said, we can see both the signs of dictatorship and the resistance to that dictatorship. He then claimed this resistance as a legacy of the Islamic Revolution.

"It must be said that people's resistance is a heritage of the Islamic Revolution. People's discontent with deceit, deception, and corruption, which we witness today, are among the clear signs of this heritage," Mousavi said.

But the history and the political culture of revolt against tyranny actually predate the Islamic revolution of 1977-1979. The young Iranians pouring into the streets of their homeland in recent months to demand their civil liberties are nourished and inspired by the same fountain of liberty that moved their parents in the years leading up to the 1979 revolution.

It is the same hunger for freedom that the Islamic Republic, for eight crucial years under the steady hand of Mousavi himself as prime minister in the 1980s, had brutally repressed.

What we are witnessing in the streets of Iran and among Iranians around the globe is the resurgence of a vibrant political culture that gave rise to the 1979 revolution, and that has been violently eclipsed under the absolutism of a militant Islamic theocracy.

The history of the Islamic Republic over the last three decades has been a sad scenario of suppression and brutality. The regime has mismanaged one crisis after another, benefiting at times from the follies of neighbors and superpowers.

Before the creation of the Islamic Republic, the revolution was driven by Iranians rebelling against the tyrannical monarchy of the Shah.

But for the new regime in Iran, the American hostage crisis of 1979-1980 was the first opportunity to create a smoke screen to divert the world's attention while taking Iran's entire political culture hostage to their single-mindedly Islamist approach.

The American hostage crisis had not ended yet when the Iran-Iraq war (1980-1988) started -- yet another prolonged and brutal distraction that Ayatollah Khomeini used to eliminate all his internal opposition. He did not start the war with Iraq. Saddam Hussein did, with the full support of the Reagan administration and its European and Arab allies. But Khomeini prolonged it for his own reasons.

Two years into the Iran-Iraq War, the Israelis invaded Lebanon in 1982, and thereby offered the Islamic Republic the best opportunity to help create the Lebanese Hezbollah and extend its regional power base. The Iran-Iraq War was still raging when the First Intifada (1987-1993) provided the Islamic Republic with yet another opportunity to expand its influence in occupied Palestine.

The Iran-Iraq war had barely ended when in 1989 Ayatollah Khomeini issued his infamous fatwa against Salman Rushdie. This provided another diversion to distract the world's attention from his having ordered a crucial revision of the constitution of the Islamic Republic that would perpetuate the absolutist reign of a Supreme Leader.

Just about the same time, Saddam Hussein invaded Kuwait, the Taliban took over Afghanistan, and the two monsters the United States and its European, regional, and Arab allies had created to control the spread of the Iranian revolution came back to haunt them all and turn against their own creators.

The tragic events of September 11, 2001, plunged the United States into a deep quagmire of mismanaging one crisis after another in Afghanistan and Iraq, as the Israeli invasion of Lebanon in 2006 and Gaza in 2008-2009 added fuel to the fire among Arabs and Muslims.

With every turn of the screw and as the United States was bogged down in the region, the Islamic Republic did what it does best: It took advantage of one crisis after another in the region to stay afloat and disguise its fundamentally weak claim to legitimacy among its own citizens.

Today the Green Movement is threatened by a number of factors and forces. A brutal suppression by the security apparatus of the Islamic Republic is only the most immediate and evident threat.

Equally dangerous is to think the Green Movement is an American-inspired, or "pro-Western" uprising that will turn Iran into a satellite state of the United States and make it safe for neoliberal economics. It is not -- and to drive that point home, it is still good to read Mir Hossein Mousavi invoking the memory of a vast social revolution that had a fundamental commitment to social and economic justice at its heart.

The opinions expressed in this commentary are solely those of Hamid Dabashi.

@highlight

Iran has suffered through decades of political repression, says Hamid Dabashi

@highlight

He says Iran's regime has benefited from turmoil in the Mideast

@highlight

Iran's Green Movement is a new generation following in footsteps of its parents' bid for liberty