Omar Hameed has no regrets about having worked with American forces while a Falluja police officer.

Nor does he have hope -- at least in Iraq.

"There's no future for me here," the stoic 37-year-old man said. "No future for me or for my kids."

That's why he is trying to get help from the country whose forces he once helped by applying for asylum in the United States with his wife and their four young children.

Having a normal life in Iraq is unfeasible, Hameed contends. He is a marked man, targeted by militants overrunning his hometown of Falluja and other parts of his Middle Eastern nation.

Need proof of his suffering, evidence of the steep price he's paid for having partnered with the United States and its Iraqi allies?

Look down at Hameed's legs: One was blown off below the knee, the other at the upper thigh.

READ MORE: 'Bad old days' return to Baghdad

From mechanic to Falluja police officer

Hameed had been a mechanic during the last days of Saddam Hussein's reign, before the U.S.-led invasion led to the heavy-handed leader's capture in December 2003.

Hussein's capture and other decisions opened a vacuum in Iraq, during which U.S.-led international forces teamed with their fledgling Iraqi allies to quell ongoing violence. It also opened the door for Hameed to find a new calling as a police officer.

One sign of the trouble around him came in 2004, when he spotted al Qaeda-linked insurgents planting a bomb outside his Falluja home. Dressed in black, the men worked fast to hide their handiwork in the dirt.

"I went out and spoke to them, and they told me to shut up or they would put my head on the sidewalk," Hameed recalls. "I just had to turn around and walk inside."

But he didn't stay completely quiet. Hameed discreetly alerted American forces -- who were being targeted routinely by such militants -- about the bomb.

U.S. troops showed up later at his central Iraqi house and made a very public display of arresting him. But it was all an act, Hameed explained, saying the Americans told him they had to make it "look real because they wanted to take me to their base to talk."

In those conversations, Hameed said the coalition troops reached out to him.

"They asked if I would help them because of my police work," he remembered. "And I agreed."

READ MORE: Ex-PM says violence could 'burn up' region

Parts of 2 legs lost, wrist deformed

Hameed returned to once again patrol the streets of Falluja.

He also continued his alliance with U.S. forces, as evidenced in photographs of him proudly standing with American troops. Official documents signed by American officers praised his intelligence work and declared his efforts had undoubtedly saved American and Iraqi lives.

But having such friends didn't mean Hameed was safe, especially after coalition forces started to pull out of Iraq. Nor did it mean that everyone was pleased with his work.

He found that out in 2009, as he left his Falluja home to do some shopping.

"As I was driving my car, it suddenly exploded," Hameed said, adding that a "sticky" bomb had been affixed to his car.

Two weeks in a Falluja hospital were followed by a year at medical facilities in Amman, Jordan. It left him with his left wrist scarred and deformed, twisted at a jarring angle.

Today, there are prosthetics where the rest of Hameed's legs used to be, causing him to walk stiffly and awkwardly and to use a cane for balance.

Still, he walks proudly.

'I don't know what to do'

Hameed has spent the past few years moving between Jordan and relatives in northern Iraq, in addition to clandestine visits to Falluja to see his wife and children for a day or two.

Coming home has become more dangerous in recent months in Falluja. This city some 70 kilometers (45 miles) west of Baghdad is seeing some of its worst violence in at least half a decade.

Conflicting reports indicate the Islamic State of Iraq and Syria -- formerly known as al Qaeda in Iraq -- partially control the city in Anbar province.  Iraqi Prime Minister Nuri al-Maliki this month told his troops not to strike residential neighborhoods in Falluja, while at the same time appealing to the city's residents and tribes to expel "terrorists" there.

READ MORE: Is Iraq worse than ever?

Amid all this turmoil, Hameed hasn't been able to escape, even as he's tried to keep a low profile.

In a visit there January 4, he said insurgents stopped him at a roadblock, tied up his hands and took him to a mosque they controlled. Hameed thought he was a dead man.

"They told me, 'We know you are Omar, you were working with the American troops and Iraqi police," he recalled.

The militants showed him some mercy after he showed them the results of the bombing that maimed him. But he wasn't released until a few hours later, following what he described as calls from tribal leaders who argued that his severe injuries were punishment enough for cooperating with the Americans.

Hameed hasn't turned back. His wife, 13-year-old son and three young daughters -- ages 9, 7 and 2 -- are now with him elsewhere in Iraq. They are waiting, like many other Iraqis, for American diplomats to decide on their asylum application.

It's been about a year now.  Hameed argues his work with the Americans, the injuries he suffered because of that and the continued threats to his life are all reasons he and his family should be allowed to take the 7,000-mile journey across the Atlantic.

Until then, he's in many ways lost in his homeland.

"I cannot work in Falluja, and I can't in Baghdad," Hameed said. "I don't know what to do."

@highlight

Omar Hameed was a policeman in Falluja, where he worked with U.S. forces

@highlight

He says a bomb that destroyed parts of his legs was retribution for those efforts

@highlight

He, his wife and their four young children applied for U.S. asylum a year ago

@highlight

Hameed says he has no regrets, but remaining in Iraq isn't feasible