(CNN) -- On Friday the countdown will officially begin to soccer's Euro 2012 finals -- arguably the climax to the second biggest festival of football on the planet behind the World Cup.

The draw for the co-hosted tournament will be held in the Ukrainian capital Kiev, and football fans across the continent will learn the fate of their beloved nations.

It will kick off a six-month countdown to the date of the first game on June 8, to be held in the Polish city of Warsaw. The final will be held in Kiev on July 1.

Amid the excitement, critics have questioned whether the stadiums and infrastructure will be delivered on time for the visit of thousands of fans to Eastern Europe.

Platini: Euro 2012 build up 'a complicated adventure'

Here, CNN examines the myriad of issues on the field, and off it.

What is the European Championship?

The competition was born in 1960 and is held every four years. It sees Europe's top soccer nations battle it out to be crowned the continent's best team. There is a two-year-long qualification period, at the end of which 16 teams make the finals. They are then drawn into four groups of four, with the top two teams progressing from the group to the quarterfinal stage. The last installment, hosted by Switzerland and Austria in 2008, saw Spain beat Germany 1-0 in the final.

Which venues will stage the games?

There are four stadiums in each country that will host games. Poland's newly built National Stadium in Warsaw will stage the opening game, while the PGE Arena in Gdansk and the Municipal Stadium in Wroclaw have also been constructed specially for the tournament. Poznan's Municipal Stadium will also host games. In Ukraine, Kiev's Olympic Stadium has the honor of the final, while the Donbass Arena in Donetsk, the Metalist Stadium in Kharkiv and the brand new Lviv Arena will also stage games.

What are the fears surrounding the tournament?

Euro 2012 was awarded to Poland and Ukraine by European football's governing body UEFA in 2007 -- the first time Eastern Europe has been called upon to host a major football tournament. But their preparations have been criticized for the delayed building of stadiums and infrastructure projects necessary to support the thousands of fans that will descend on both countries come June.

As early as 2008, UEFA president Michel Platini was speaking of the need to resolve problems with the project, saying of Ukraine he had to "wake them up a little" and tell them to "get going." Despite rumors that Scotland offered to step in should the tournament be taken away from Ukraine, Platini said it would remain with the its original hosts.

There are still issues to resolve around the stadium in Lviv, with Polish authorities facing similar concerns over their brand new Municipal Stadium in Wroclaw.

Ukrainian deputy prime minister Boris Kolesnikov told CNN World Sport's Pedro Pinto this week that at no stage did he think the tournament would be stripped from his country: "Neither the president nor the government feared they'd lose the right to host the championship. Of course we were a little bit scared to physically not be on schedule. Our sleepless nights, there have been too many to say, but construction has kept going 24/7 during the last 15 months."

But World Soccer's Gavin Hamilton told CNN that Ukraine's focus on getting the stadiums ready has come at the expense of the infrastructure needed to stage the event. "The concern is that externally, outside of the stadiums, the transport infrastructure hasn't been brought up to speed, there aren't enough hotels.

"So there will be trouble for fans getting around the tournament. As far as UEFA are concerned, in terms of putting on a television spectacle for the world, Ukraine has done a very good job in getting the stadiums ready."

What has CNN discovered in Ukraine?

On a whistle-stop tour of the four cities and stadiums that will host matches in Ukraine, Pinto said he had been impressed with the football arenas but found that some building projects were still battling to be ready, such as the one at Lviv airport, where construction on a new terminal and a lengthened runway continues 24 hours a day.

He said: "Having spent the last week traveling across both countries I can tell you that if you are a football supporter, you needn't worry. The stadiums look great and although some of the roads and railways may not be completed by the start of the tournament, enough progress will have been made to make the fan experience a good one."

What are the costs involved?

According to UEFA figures, revenues taken during the 2008 tournament were $1.7 billion, with an estimated television audience of 4.8 billion for the 31 matches. The final was broadcast to 231 countries around the world.

Speculation in Ukraine, from the Kyiv Post, claims the country's total cost of staging Euro 2012 is $14.5 billion, paid for by a combination of private and public money. The paper claims Poland's estimated costs are in the region of $30 billion.

Mikolaj Piotrowski, communications director for PL.2012 -- the national coordinating company for Euro 2012 in Poland -- told CNN: "The investment, thanks to Euro 2012, has accelerated infrastructure development in this country by three to five years. The overall cost has been $27 billion and has made Poland the largest construction site in Europe."

Yury Gromnitsky, head of the press office for the vice-prime minister of Ukraine, told CNN: "The Ukraine has invested $750 million in sport infrastructure to host Euro 2012, not including the cost of the airport and transportation infrastructure. But being host has really acted as a catalyst for this development to take place."

All four airports in Ukraine's host cities are being revamped, while a series of new hotel developments have also been built -- 67 in Donetsk alone. A high-speed rail link will be in operation to ferry fans between host cities, and new road networks have also been built.

@highlight

The draw for Euro 2012 will take place in the Ukrainian capital Kiev on Friday

@highlight

The European Championships sees the best soccer nations on the continent do battle

@highlight

Poland and Ukraine are co-hosting next year's event and are racing to be ready

@highlight

A series of delays had worried UEFA officials but both countries insist they are on track to deliver