(CNN) -- In American politics, there is strength in numbers. When enough people feel a vested interest in the survival of a program, it becomes extraordinarily difficult for opponents to dismantle it.

Obamacare, officially the Affordable Care Act, looks like it has just reached a critical tipping point. While the program still faces many challenges and numerous Republicans remained determined to keep attacking, the news that 7 million people have enrolled through the health care exchanges is a big victory for President Barack Obama and his supporters. Medicaid enrollment rose by 3 million people, much of which is a result of ACA as well.

Rather than Obamacare being an abstract promise to Americans that will be fulfilled in the distant future, now the Affordable Care Act is a concrete program upon which millions of American voters will be depending. As that number increases, opponents of ACA will be going after the benefits of many millions of Americans -- not just the President.

There is a long history of government programs securing their political strength through sheer numbers.

Although Social Security remained a problematic and controversial program between 1935 and 1950 -- with some officials wondering whether it would even survive -- by the time that Dwight Eisenhower was President, there were fewer legislators willing to express such doubts. The reason was simple. Democratic and Republican legislators found their districts inhabited by elderly Americans who counted on these government pensions and workers who were paying payroll taxes. This is why legislators would increase benefits every election year.

Agricultural supports have been equally strong since being put into place during the Great Depression. As farmers, farms and the entire agricultural industry came to depend on federal government assistance to ensure that prices remained stable, legislators shied away from trying to fix the program. Even legislators who represented urban districts had little interest in angering powerful rural representatives and senators whose constituents would not tolerate anyone tampering with their programs.

When Eisenhower's Secretary of Agriculture Ezra Taft Benson went after the program, Republicans suffered. "Ezra Taft Benson," one reporter said when covering the 1954 midterm elections, "has become the [Democrats'] fall guy, replacing the tired image of Herbert Hoover."

In the years before Congress passed Medicare and Medicaid in 1965, opponents -- including powerful voices in the health insurance industry and the American Medical Association -- railed against the plan as "socialized medicine" that would empower the government to make all the decisions doctors had once had control over. But President Lyndon Johnson and the Democratic Congress overcame their opposition to put into place these two major domestic programs.

By the 1970s, serious opposition fell away.

Doctors were depending on Medicare to fund their patients. Hospitals and states were planning on the Medicaid budget to keep their health systems going. And elderly patients no longer suffered the risk of not being able to seek treatment in their old age. As a result, nobody really wanted to get rid of these programs.

Although there were fights to reform Medicare's regulatory structure and to cut costs since the 1980s, the strength of the programs has been formidable. There has been, thus far, little possibility that either would be scrapped.

The same has been true for defense spending. The surge of military contracts in Southern and Western states during the 1940s and 1950s became a staple to the economic success of the Sunbelt. There are many reasons why defense spending is hard to retrench, but most important is the huge number of people who will vote and lobby against you if you take a step in this direction.

ACA is now starting to reach this same territory. For this reason alone, it makes sense that Obama is smiling. While the program does not have the tens of millions of people who are in the Medicare or Social Security programs, the numbers are growing.

ACA will continue to face political attacks and implementation challenges, but the enrollment level virtually ensures serious debates over repealing ACA are now dead.

@highlight

More than 7 million people have signed up for Affordable Care Act coverage

@highlight

Julian Zelizer says that ensures that President Obama's signature program will endure

@highlight

As with Medicare and farm subsidies, programs that benefit millions tend to last, he says

@highlight

Zelizer: Obamacare will face implementation challenges, but talk of repeal is aimless