Paris, France (CNN) -- You thought maybe le foot (soccer) was the national sport of France? Wrong. It's la politique. And this year there's a doubleheader! For the first time since 1988, the U.S. and France are holding presidential elections in the same year.

Generally speaking, the French feel a strong political kinship with the U.S. because the countries fanned each other's revolutionary flames, and the two nations were forged (reforged, in their case) at the furnace of the Enlightenment. During the 2008 U.S. presidential election, France, like the rest of the world, was watching with hope and wonder as Bush rode off into the sunset and the U.S. elected its first African-American president.

This time around, though, average French people aren't paying much attention to what's going on in the U.S. Their bandwidth is maxed out with their own high-stakes election, the multiple crises in Europe, and the ongoing aftershocks of the Arab Spring.

Postcard: Cairo casts cynical eye on U.S. election

Those among the French who are paying attention to the election, mostly les intellos (intellectuals), are enjoying the spectacle, finding it simultaneously entertaining and horrifying. On one team, there's America's suave, crooning president, and on the other, the GOP candidates, whose retrograde rhetoric simply baffles the French.

Obama's coolitude*

From left to right, the French appreciate Obama the president for his efforts to institute universal healthcare, but they're quite disappointed that he still hasn't closed Guantanamo. But Obama the candidate has charmed them utterly. Presidents and presidential candidates here in France are, for the most part, reserved and dignified (read: dull), often graduates of ENA (the École nationale d'administration, a Harvard-level statesman-producing factory).

Obama is so dignified he could be French. But he's also just plain cool. The French—the people and the media—get a kick out of his coolitude: his laid-back demeanor, his humor, his hipness (publishing his campaign playlist on Spotify), his ninja fly-swatting skills and moments like his impromptu duo with B.B. King.

In France's 2007 presidential election, after 12 years of the dignified yet amiable yet ineffectual Jacques Chirac, the French felt a need to shake things up a bit (and maybe let some fresh air into their stuffy politics). So they elected the guy who seemed to be the antithesis of the traditional candidate: former business lawyer Nicolas Sarkozy, a hot dog whose bulldozer leadership style, pro-business policies and decidedly un-French tastes earned him the nickname "Sarko the American."

But he's not cool (though he thinks he is). Cool is not a characteristic that comes naturally to French government types. Just look at the campaign posters of the two leading presidential candidates this year (François Hollande and Sarkozy). See? No cool.

Different campaign approaches

When it comes to campaigning, the French are shocked by the massive amounts of money Americans pour into campaigns and the attack ads that the money funds. Interactions between politicians remain pretty civil here in France, as you might have guessed (dignity, again). Furthermore, French law strictly limits the amount of money that can be spent on campaigns (which might explain the ugly posters), as well as the amount of media coverage each candidate is allowed. Since anyone who can collect 500 signatures from elected officials in France (of which there are tens of thousands) can run for president, these laws guarantee a level playing field for porn stars and other "regular" people or small-party candidates who'd like to occupy the Elysée (presidential palace).

Then there's the cult of personality in U.S. politics that doesn't exist in France (although that's changing). The French have the impression that U.S. campaigns are more about the candidates than their ideas, and that when candidates do present ideas, they don't seem particularly substantial. I discussed this the other day with one of the regulars in a café down the street who said, "There's no such thing as politics in America anymore. It's all PR."

Party animals

Unlike the U.S., with only two functioning parties (maybe that's going a little far) that you can sometimes barely tell apart and no real left to speak of, France has many active political parties, from extreme left (and the Parti Communiste Français is not considered extreme left) to extreme right. One Frenchwoman I spoke to this week sniffed, "Obama isn't even a social democrat!" (that's about center in France).

Having so many parties works (kind of) in France because there is universal suffrage here and because French presidents are elected in two rounds. This system isn't foolproof, though. The French are still smarting from their 2002 election in which the votes of the left were so spread around in the first round that the extreme right candidate (Le Pen) slipped past the favorite left candidate (Jospin) into the second round.

Two recipes for an extreme right

The French also have a hard time grasping the degree of religious extremism in the American right because the God thing is much more of a fringe phenomenon here. The French, haunted by the memory of centuries under the thumb of the Catholic church, cut the cord between church and state definitively over 100 years ago. Some French people have compared America's Tea Party to France's extreme right party, the Front National, but fundamentalist Catholics do not represent a majority of that party's constituents, and religion is not the binding agent in France's right-wing sauce.

Healthcare for all

The U.S. election issue that gets the biggest rise out of the French is universal healthcare. Nearly everyone I spoke to while writing this article brought it up. It's something that, according to one Frenchman, his compatriots haven't called into question in "over a hundred years." The French deplore the fact that the U.S. is the only Western democracy without universal healthcare (and the only one with the death penalty, for that matter). In the context of our presidential campaign, the French are dumbfounded and deeply dismayed by the brutality of the Republican rhetoric around this issue and some voters' opposition to Obama's healthcare plan.

Learning from the past. Or not.

While working on this article, I had a chance to chat with Razak, a political blogger and photography buff. He brought to my attention the fact that shortly before Newt Gingrich dropped his "make the poor kids work as janitors" bomb, there had been a major retrospective in Paris of the photographs of Lewis Hine. The photos Hine took for the National Child Labor Committee documenting children at work played a major role in bringing about changes to child labor laws in the U.S. in the early 20th century. Nearly 32,000 Parisians went to the exhibit.

* The suffix -itude (-ness) is a real suffix, but it's been tacked on to all kinds of words ever since Ségolène Royal inadvertently coined the word bravitude (to mean bravery) during her 2007 French presidential campaign.

The opinions expressed in this commentary are solely those of Pamela Poole.

@highlight

For the first time since 1988, the U.S. and France are holding presidential elections in the same year

@highlight

Poole: French find U.S. politics both simultaneously entertaining and horrifying

@highlight

French are shocked by the massive amounts of money U.S pours into campaigns