(TIME.com) -- Not familiar with the "Quantified Self?" It's latest trend in obsessively tracking every possible health measure, in real time, that emerged as a major theme at South By Southwest (SXSW) Interactive Festival this year.

With more body-tracking gadgets that can record everything from running blood pressure to respiration to perspiration rates and more, the next question is -- so what? What are we supposed to make of the massive amounts of data that these constantly tracking devices amass?

We're not talking about the familiar pedometer that clunkily clicked away the number of steps you took a day. There are a new generation of medical monitoring devices originally meant to evaluate patients in the hospital that have been made over into sexier, wearable versions for the health conscious or merely health-curious.

The result? Sophisticated and personalized health monitoring that may be generating a lot of information that we are still learning to interpret.

TIME.com: The quantified self evolves: A South by Southwest vision of how gadgets will teach us about ourselve

Take BodyMedia, a wearable body monitoring-systems company that spent its first 10 years developing products for the medical research sector before switching gears to consumer devices in 2009, targeting individuals who need to lose weight.

Their public-friendly product is a clinically-validated armband that gathers physiological information from three small, sensors underneath the armband.

The sensors start collecting a flood of 5,000 data points per minute, including measurements of heat flux (the rate at which heat is dissipating from the body), motion, skin temperature and the skin's electrical conductivity, which are then converted into more meaningful measurements such as the number of calories burned, sleep quality and how efficient the body is overall in performing its metabolic duties.

"That manifests itself into accuracy, personalization and more of a health orientation. We are more than an activity tracker or fitness device, we are actually a health management tool," says Christine Robins, CEO of BodyMedia, who held a "Wearing Your Health on Your Sleeve (Literally)" session on Sunday.

BodyMedia users upload their data online where additional software analyzes the information and relays it in more digestible form. Users pre-set their body parameters and goals, and the software shows them when they fall behind in the areas like calorie burn, physical activity and sleep efficiency.

TIME.com: Viewpoint: Cory Booker wins South by Southwest -- How a mayor conquered America's biggest tech festival

SXSW has a track record in the area; last year, the Nike FuelBand -- a daily activity tracker -- debuted at the festival, launching a trend toward capturing big health data that is still struggling to find meaning.

Studies show that communities of people who coalesce around a health goal may benefit from the support they receive from each other, but it's not clear yet that having access to detailed information about the fluctuations in health measures can translate into measurable, healthier outcomes.

The thought, or hope, among developers is that if the software and hardware of these gadgets and apps are appealing and easy to use, more people will adopt them and that the added information will be motivating, rather than intimidating, and prompt them to make meaningful changes to improve their health.

The devices are still new, and significant and widespread behavior changes are not apparent yet. There's no guarantee that all of that information will even be welcome, or remain inspiring after the initial thrill wears off. Studies of people on diets that required them to track and calculate calories, for example, showed that dieters tended to feel overwhelmed by the task and quickly lost interest in shedding pounds.

"The challenge is establishing what people should do with (this large volume of new health data)," says Sarah Rotman Epps, a senior analyst at Forrester Research who led a session on "Wearables: Moving From Niche To Mainstream." "A lot of consumers don't think health is their responsibility and that it's in the realm of their doctor. For some companies, to sell a device and track health is not resonating with people."

BodyMedia, for example, plans to turn their years of medical research knowledge into a series of monitoring devices for chronic diseases ranging from sleep disorders to diabetes management. But appealing to consumers outside of those who normally track their metabolic measures -- like athletes and dieters -- could be a challenge.

So far, the benefits of these devices come in the form of the support they get from joining online communities. Most of the devices connect to smartphones and allow users to download or share the data collected -- seeding social networks of like-minded data-curious individuals who want to broadcast and analyze their latest blood pressure or skin conductivity numbers.

That makes the devices an ideal fit for SXSW Interactive, says Hugh Forrest, the festival's director. "A lot of these business models center around the idea of building a fitness community or a healthy eating community. Community is certainly one of the bedrocks here at SXSW," says Forrest. "At our best moments we really celebrate and foster a sense of community, so a lot of these fitness-related apps and services really leverage that."

higi, a social networking tool that uses cloud-based technology to aggregate measurements of users' body and lifestyle choices spawned a community centered around the "higi Score," an aggregated measure that represents their overall health status. Personal interactions, like your relationship status, how many friends you have on Facebook and community engagements and how often you send encouraging words to fellow users, all count toward the score.

Users can update their health stats via their smartphone, or at higi stations -- which are now located in thousands of retail pharmacies -- with their weight, BMI, pulse and height. Users can even upload photos of their meals for a calorie calculation. And to make it more interesting, members can compete in the higiSphere for high scores -- topping off at 999 -- or work together to improve their scores, since the amount of interaction you have with people impacts your personal number.

"People who collect their data, share their data," says Michael Ferro, higi creator and founder. "It allows one to see improvements all the time and change habits. The (user's) ranking in the world and in the community is changing by the second. You are the stock on the market, and it can go up and down depending on what's going on in your community. We want to make it so it is not work, but a game."

TIME.com: Listen now -- 9 new bands worth celebrating at South by Southwest

While it's not clear yet that having access to detailed information about the fluctuations in health measures can translate into measurable, healthier outcomes, there is no denying that the health, fitness and tech spheres continue to provide more ways to educate people about their bodies. Forrest says health and fitness has become a popular theme of the festival, which now includes organized daily runs for attendees and more sessions focused on health-related technology and apps.

And the products are by no means reserved for tech-buffs and social media over-sharers. As always, our ability to interpret and make use of all that health information lags behind the innovations made in collecting it. But if information is indeed power, that may soon change.

This story was originally published on TIME.com.

South by Southwest (SXSW): Will collecting data on your body make you healthier?

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Tracking body data emerges as a major theme at SXSW this year

@highlight

We are still learning how to interpret all the information from the new devices

@highlight

One company, BodyMedia, says its product is a "health management tool"