(CNN) -- From bikinis and tank tops to short shorts, summer fashion calls for a whole lot of skin.

When you're not feeling your beach bod best, time to break out the caftans, those long, loose garments with wide sleeves. These robe-like gowns have transcended their ancient origins to become summer fashion staples with universal appeal thanks to their forgiving silhouette, whether you're Elizabeth Taylor or Mary Kate Olsen.

"They're extremely comfortable, and they're extremely flattering to many body types," said fashion historian Valerie Steele, director and chief curator of the Museum at the Fashion Institute of Technology.

Maybe your fashion-forward mom donned a caftan to host pool parties or to swing by the neighborhood shindig. Or maybe you caught "Mad Men" star Christina Hendricks wearing one on "The Tonight Show," describing caftans as her "go-to" item around the house and inspiring one of the best theme parties ever: caftans and casseroles.

Depending on what they're made of, caftans can be worn any time of the year, Steele said. But "we tend to see them as summer wear" because they are one of few clothing items that keep you cool in warm weather without having to bare a lot of skin.

Through the years, designers from Yves Saint Laurent to Rachel Zoe have reinterpreted the caftan in sync with the styles of the time. But what makes a caftan distinct from a flowing dress essentially has remained consistent: a T-shaped garment reaching the ankles that can be pulled over the head. From there, the rest is up to artistic interpretation.

The caftan -- or kaftan -- has come a long way since the early days of the Persian empire, when soldiers wore them under chain mail armor, "reputedly impenetrable by the enemy's sword" thanks to a weave of heavy cloth padded with silk floss, according to Columbia University's Encyclopedia Iranica.

The word itself is Persian and translates to a battle garment worn by soldiers, said Niloo Paydar, curator of textile and fashion arts at the Indianapolis Museum of Art, which houses one of the country's largest collections of Islamic textiles. References to caftans appear in Persian art and literature as early as 600 B.C., and revered Persian poet Ferdowsi mentions them in his seminal work, "Shahnameh," or the Persian "Book of Kings," she said.

Beyond the battlefield, anyone from the peasant class to the upper class could enjoy caftans thanks to their simple structure, which allowed for embellishment and adornment depending on one's means, Paydar said. Much like today, the caftan was worn as a length of draped fabric with sleeves, open or closed, that could be wrapped around the body with a sash or belt.

Arab conquerors introduced caftans to North Africa, where different groups interpreted them according to their religious and cultural traditions, and European imperialism led to cultural contact with the East, allowing for caftans to infiltrate the Western wardrobe, said Steele. Ambassadors to the Ottoman Court in Istanbul received gifts of caftans as early as the 17th century that played well into the era's imperialistic obsession with "Orientalism," she said.

"The English in particular liked to have themselves portrayed in Ottoman dress, so there are a number of portraits of them in caftans," she said.

The style evolved in 18th-century Europe into ankle-length gowns that open in the front known as banyans, Steele said. In the 20th century, when European imperialism opened up North Africa to Western artists and tastemakers, European designers like Paul Poiret and Mariano Fortuny y Madrazo derived inspiration from Moroccan and Algerian styles of caftans to create evening coats and dresses for western women.

When wealthy jet-setters and superstars took off for places like Morocco and India in the 1960s, they brought back Eastern fashion traditions along with spiritualism, Steele said. Halston and Yves Saint Laurent adopted the style into a symbol of bohemian elite that trickled down to mainstream fashion in the 1970s.

The caftan continues to change with the times, with embellishments and diverse patterns offering a more feminine silhouette. Now, as then, the drapey dresses appeal to diverse audiences, from starlets on the red carpet to diplomats at State Dinners to summer music festival-goers.

Would you wear a caftan? Tell us in the comments or on Facebook or Twitter.

@highlight

Caftans -- or kaftans -- have become a summer staple

@highlight

The robe-like garment is comfortable and flattering to many body types, historian says

@highlight

They date to the Persian empire, when soldiers wore them in battle

@highlight

Today, caftans are versatile enough for State Dinners, the red carpet or the pool