(CNN) -- Friday's crash of Virgin Galactic's SpaceShip Two, with its tragic loss of life, comes just three days after the failure of Orbital Sciences Corp.'s Antares re-supply mission to the International Space Station.

Launching spaceships is obviously a very difficult business. The payload sits atop a huge amount of fuel, often weighing many times more than the satellite or material being sent into space.

Every physics student knows the rocket problem: You need a lot of fuel to get a heavy spacecraft moving, and the weight of the unburned fuel itself has to be lifted as well.

To increase the weight of the payload a rocket can lift, more fuel is needed, enough to lift the extra payload weight and lift the weight of the extra fuel. It's kind of like compound interest. Add more mass to the payload and you have to add a lot more fuel.

The payload carried on the failed Antares rocket was reportedly about 1% as heavy as the spacecraft plus fuel. That means the majority 99% was working hard to lift the 1% dead weight.

Early rocket designers realized the advantage of using two separate lift stages. After the fuel in the first stage has completely burned up, its container can be jettisoned, lightening the total spacecraft weight by much more than the burned fuel. The second stage can then accelerate the payload faster than if the empty fuel tank were still attached.

The first stage has to do the most work because it lifts the full weight of payload plus fuel from a dead stop. The second stage has an easier job since the rocket is already moving and is much lighter without the weight of the first stage fuel plus container.

Another design advance was to operate stages in parallel. That accelerates the rocket faster because at no point are any rocket stages dead weight.

Analysis: Will space accidents deter pioneer tourists?

The history of rocket development is littered with explosions, back to the first reported rockets in 14th century China and Korea. Even sophisticated systems well along the development path, like NASA's space shuttle, had failures.

Orbital Sciences and Virgin Galactic are still developing their technologies and processes. NASA's long record of mostly successful launches made spaceflight look so routine that we may have forgotten how difficult it is.

Could the modern world do without launching materials and people into space? Probably not. Satellites and other spacecraft are an integral part of navigation, weather, space science, earth science and ultra-fast global communications -- not to mention robotic and human exploration. Even if we forgo exotic trips to Mars, an awful lot of technology here on Earth won't work without space assets.

Launching America into space isn't for the faint of heart. But it's still the future.

@highlight

The crash of Virgin Galactic's SpaceShip Two comes on heels of a rocket explosion

@highlight

Meg Urry: Launching spaceships is obviously a very difficult business

@highlight

She says the history of rocket development is littered with failures

@highlight

Urry: NASA makes spaceflight look so routine that we may have forgotten how hard it is