(CNN) -- More than 100 countries attending a conference in Dublin, Ireland formally adopted a treaty Friday to ban cluster bombs -- a large, unreliable and inaccurate weapon that often affects civilians long after the end of armed conflict.

Ali Wansa, a 44-year-old Lebanese national, lost his leg to a cluster bomb.

The countries agreed never to use cluster munitions or the explosive bomblets they contain, and they also agreed never to develop, acquire, retain or transfer cluster munitions, according to the official treaty document.

The 111 countries attending the two-week meeting agreed to the treaty Wednesday but formally signed it Friday.

The countries said they are "deeply concerned" about civilians suffering the long-term effects of cluster bombs.

They are "concerned that cluster munition remnants kill or maim civilians, including women and children, obstruct economic and social development, including through the loss of livelihood, impede post-conflict rehabilitation and reconstruction, delay or prevent the return of refugees and internally displaced persons, can negatively impact on national and international peace-building and humanitarian assistance efforts, and have other severe consequences that can persist for many years after use," the document said.

In addition to calling for a total, immediate ban of the weapons, the international accord calls for strong standards to protect those injured by them and to make sure that contaminated areas are cleaned up as quickly as possible and that the weapons are immediately destroyed, a spokesman for the Cluster Munition Coalition told CNN.

Some of the biggest makers and users of cluster bombs cited by human rights groups -- such the United States, Russia, China and Israel -- were not involved in the talks and did not sign the accord. Organizers expressed hope that those nations would nevertheless be pressured into compliance.

"Even though we all know that there are important states not present, I am also convinced that together we will have succeeded in stigmatizing any future use of cluster munitions," said Micheal Martin, Ireland's minister for foreign affairs.

Martin said he ultimately wants to see all U.N. member states ratify the treaty.

The agreement requires the destruction of stockpiles of the weapons within eight years, said Thomas Nash, coordinator of the Cluster Munition Coalition.

Cluster munitions, which break apart in flight to scatter hundreds of smaller bomblets, are what the International Committee of the Red Cross has called a "persistent humanitarian problem."

Most of a cluster bomb's bomblets are meant to explode on impact, but many do not. Credible estimates show the weapons fail to explode on impact between 10 and 40 percent of the time, according to the International Committee of the Red Cross.

That means unexploded bomblets lie scattered across a target area, often exploding only when handled or disturbed -- posing a serious risk to civilians.

Earlier this month, a U.S. State Department representative called it "an absolute moral obligation" to rid a battlefield of unexploded ordnance after the battle.

But Acting Assistant Secretary for Political-Military Affairs Stephen D. Mull said the United States was attempting to solve the problem through a disarmament body called the Convention on Certain Conventional Weapons, or the CCW, which meets in Geneva and comprises major military powers and military trade producers.

The CCW is to meet next in July.

The United States would not agree to any ban because the country considers cluster munitions an important part of its defense strategy, Mull said. He urged regulation of the weapons to render them harmless after battle.

During the 34-day war in Lebanon in 2006, the United Nations estimated that Israel dropped 4 million bomblets, 1 million of which may not have exploded, according to the ICRC. More than 250 civilians and bomb-disposal operators have been killed or injured by them in southern Lebanon since the war ended.

Cluster bombs were also used in the 1999 war in Kosovo.

"Very quickly after the Kosovo conflict, the major killer of civilians (was) not antipersonnel mines or anti-vehicle mines or conventional munitions, but these munitions," said Lt. Col. Jim Burke, a military adviser to the Irish Defense Forces.

In more than 20 countries, according to the ICRC, cluster bombs have created lasting "no-go" areas, rendering them as dangerous as minefields.

Laos is the most affected country. Millions of bomblets dropped during the Vietnam War continue to kill civilians more than three decades later.

Still, militaries consider cluster bombs important for use against multiple targets dispersed over a wide area, such as tanks or military personnel moving across the landscape. A single bomb containing hundreds of submunitions can cover more than 18 square miles.

@highlight

111 countries formally agreeing treaty banning cluster bombs

@highlight

U.S. not attending and not expected to agree to banning cluster bombs

@highlight

Controversial weapons often don't explode but stay dangerous for civilians

@highlight

U.N. estimates 1 million bomblets dropped in 2006 Lebanon war still unexploded