Benghazi, Libya (CNN) -- Libya's interim leaders declared the nation's freedom Sunday, ushering in a new era after the death of longtime ruler Moammar Gadhafi.

"Libyan lands have now been completely liberated," said Abdul Hafiz Ghoga, vice chairman of Libya's National Transitional Council.

Cheering crowds packed a central square in Benghazi Sunday afternoon for a ceremony that leaders said formally marked victory after eight months of fighting.

"We are now united. We have become brothers in love," said Mustafa Jalil, the council's chairman.

He called on Libyans to have "honesty, patience and tolerance" as the nation moves toward reconciliation.

The location of Sunday's ceremony was significant. Uprisings against Gadhafi's regime began in Benghazi in February.

Audience members carried signs, waved flags and batted around balloons. As leaders spoke, the sound of celebratory machine-gun fire filled the air.

Officials urged Libyans to lay down their arms, but not to let down their guard.

"Our people have achieved this freedom by the blood of our brothers, sisters and martyrs. Freedom is great and it's got a great price. It is costly. So turn your teeth into nails and bite on it very hard. Because preserving it is more difficult than attaining it," one military official said at the ceremony.

Earlier Sunday, doctors completed Gadhafi's autopsy at a Misrata hospital, with the chief pathologist confirming the former strongman died Thursday of a gunshot wound to the head.

Dr. Othman el-Zentani, the pathologist, did not disclose additional findings.

Doctors also also conducted autopsies on the bodies of Gadhafi's son Mutassim and his former defense minister, Abu Baker Yunis.

Zentani said the three bodies would likely return to the cold storage unit at a Misrata meat market where people lined up to view the corpses over the weekend.

As Libya now faces the arduous task of building a new society after 42 years of Gadhafi's rule, the NTC said it will hold elections in the coming months.

Mahmoud Jibril, the chairman of the National Transitional Council executive board, put the timetable "within a period of eight months, maximum."

The first vote will be for a national Congress that will draft a constitution. After that, parliamentary and presidential elections will be held.

Already, some signs of improvement have emerged.

Jibril said that oil-rich Libya is currently producing about 300,000 barrels per day, up from near zero during the depths of the eight-month Libyan conflict.

The country should be back at its prewar output of 1.6 million barrels of oil per day within 15 months, he said.

But even as some Libyans celebrated liberation Sunday, the International Committee of the Red Cross said it had visited thousands of newly arrested people in the battle-scarred nation, where committee representatives observed more than 30,000 displaced people, mass graves and nearly abandoned cities. More than 7,000 detainees are held in about 50 places throughout the country, the committee reported.

"When necessary, we have called upon the authorities to place detainees in proper detention facilities instead of makeshift structures such as schools," ICRC delegate Hanan Salah said in a statement.

NATO, which launched a military operation in March to protect Libyan citizens against the Gadhafi regime during the Libyan war, plans to end its mission there by October 31.

"The work to ensure long-term peace and prosperity in Libya is just beginning. We are proud of everything we have done to assist so far, and stand ready to help the Libyan people in the future," British Foreign Secretary William Hague said in a statement Sunday.

U.S. President Barack Obama congratulated leaders of Libya's interim government after Sunday's ceremony and said the council must now "turn its attention to the political transition ahead."

"We look forward to working with the (NTC) and an empowered transitional government as they prepare for the country's first free and fair elections," Obama said in a statement Sunday.

U.N. Secretary-General Ban Ki-moon similarly cheered the liberation declaration and said that it marked a historical juncture.

"Today marks an occasion for Libyans to celebrate, to look forward to a future of liberties and opportunities, from the right to express an opinion freely to the right to elect their own government," he said, promising support to the Libyan people as they work to build a "brighter future."

Gadhafi's family issued a statement Friday calling on the United Nations and Amnesty International to push Libya's new leadership "to hand over the bodies of the martyrs of their tribe so they can be buried according to Islamic rites," a pro-Gadhafi TV station reported.

The United Nations human rights office and activist groups like Amnesty and Human Rights Watch have called for a probe into Gadhafi's death amid questions over the final moments of the late Libyan strongman's life. They want to know whether Gadhafi was killed in crossfire or executed by fighters.

The United States supports calls for an independent investigation into how Gadhafi was killed, U.S. Secretary of State Hillary Clinton told CNN's "State of the Union" Sunday.

Clinton also said that after Sunday's ceremony announcing liberation, U.S. officials will again request that convicted Lockerbie bomber Abdel Basset al-Megrahi be imprisoned.

"Once there's a government in place, we will renew our calls that Megrahi, who should never have been released in the first place, be returned to serve the rest of his sentence for the terrible crime against those passengers on Pan Am 103," she said.

Al-Megrahi was freed from a prison in Scotland in 2009 after serving eight years of a life sentence for blowing up the Pan Am jet in 1988, killing all 259 on board and 11 in the town of Lockerbie, Scotland, below. Doctors who had been treating him for prostate cancer gave him just three months to live, and he was released on compassionate grounds.

CNN's Ingrid Formanek, Nick Paton Walsh, Dan Rivers and Victoria Brown contributed to this report.

@highlight

NEW: U.N. Secretary-General Ban Ki-moon promises support to the Libyan people

@highlight

Libyans wave flags, fire machine guns in celebration

@highlight

"Libyan lands have now been completely liberated," the NTC's vice chairman says

@highlight

Mustafa Jalil, the NTC's chairman, calls on Libyans to be patient and tolerant