(CNN) -- Imagine going to the internet to search your name only to find a mug shot from years ago posted on multiple websites. There are publications and websites whose sole purpose is to feature police booking photos. Some make a profit selling advertising around the photos, while other websites are offering, for a price, to remove or hide these images permanently. Donald Andrew McMahon learned about the mug shot business the hard way.

In 2003, McMahon woke up one morning covered in blood, with stab wounds and evicted from his home. McMahon was fired from his job and slept in a gas station bathroom that night. McMahon knew his life was in need of a change. At the time, the then-bartender was dealing with the deaths of his best friend and sister within months of each other, along with a family history of drug abuse.

McMahon started using cocaine at age 12 and lived in a drug-induced haze until he was 23. During those tumultuous years, McMahon was arrested several times, including two instances for driving under the influence of alcohol.

These days, McMahon is a happily married, churchgoing father who works at the Centers for Disease Control and Prevention in Atlanta. His wife, Andrea McMahon, is a part-time student at the University of Georgia earning a master's in social work. When they're not working, life for the McMahons revolves around their 2-year-old daughter, Gemma. It is a much different existence than McMahon once had.

"I'll be outside watching them and a bag of bricks hits me," McMahon said at his Norcross, Georgia, home while watching "Dora" with the family. "This is me now compared to eight years ago when I was living in a bar."

On paper, McMahon is the quintessential American family man, but his past haunts him in publications and on websites that are using it for profit.

Mug Shots Inc.

As part of his recovery, McMahon went to the Internet to check his online image after he read that employers use Google to search the names of potential employees. Having served the time for his crimes, McMahon was shocked to find his mug shot still posted on a website along with others. He contacted the site to have the image removed. He paid a another site to have the mug shot removed only to see his photo show up in four other places.

"It's like killing one flea and then saying, 'OK the flea problem is done,'" McMahon said.

His frustration built when he contacted the website Reputation.com, which said for $7,500 it could not get rid of his image, but could "bury" it in Internet purgatory.

McMahon is not alone in finding his murky past displayed for the public.

Caught Up is a Tennessee-based weekly that dubs itself a "crime-fighting publication." It features police booking photos. Found primarily in smaller communities throughout Tennessee, Georgia, Florida, Indiana, and Kentucky, the publication showcases people's names and alleged crimes listed below their mug shots.

Caught Up and other similar papers collect mug shots, which are public record, from sheriffs and local police departments, who hand over the information with the names listed in alphabetical order, detailing the criminal charges. These photos are also featured and archived on the publication's website caughtuplive.com. Caught Up will feature anyone. One issue included OutKast's Big Boi on the cover after he was arrested on a cruise in late 2011.

"Sometimes I say I'm the most popular woman of the small counties because police departments are so grateful," said Lori Broderick, the media liaison for Caught Up. Broderick is involved in the publication of every paper, which puts out more than 25,000 copies weekly.

Broderick, who is also a paralegal, joined the Caught Up team in December 2010. She feels the mission of the paper is to give people the ability to keep an eye on their communities.

She recalls one woman who wanted some extra help with her lawn over the summer. The woman saw a picture of a man listed as a sex offender in Caught Up. It was the same man she was planning to hire to work at the home she shares with two teenage daughters. Broderick said the woman told her it was the best $1 she had ever spent.

The flip side is how the publication affects the people showcased. Broderick recalled a man who was a sex offender and had finished serving his sentence. The man was trying to rejoin the community but felt he couldn't with his mug shot in the paper and online. Broderick said she and her team discussed the issue, but ultimately felt their need to inform was more important than helping the man overcome his past.

"When you're talking about the safety of the community and the safety of children and seeing as how these are already public records, we just made the determination that it was in the best interest of the public to have this information available," Broderick said. "The lack of knowledge was not a chance that we were ready to take."

Mug shots: Informative vs. slander?

Caught Up consists mostly of mug shots with a few related written pieces and various games that it calls "informative fun." There also is some local advertising.

Caught Up Vice President Geoffrey Bar-Lev said in today's economy the profit margin for this business is relatively low. However, the demand for the publication in smaller communities has remained the same.

The business makes money even if the lives of the people who make up its content have changed, which leaves someone like McMahon out of luck.

Several clients have asked Kavan Singh-Grover, an Atlanta-based criminal defense attorney, about removing their mug shots from the sites and about what legal action can be taken.

"They are using a person's image for commercial gain without their permission," said Singh-Grover. "To me, its extortion, maybe not legally, but the common use of that term."

Singh-Grover said legally, there is nothing that can be done. The only thing that could stop the publications and websites is legislation that forbids them. That legislation does not exist.

Caught Up's Broderick said she understands the concerns and said other publications might have a lower standard, but their purpose is to encourage safety in communities, not promote public humiliation.

"People think we are in the business to mock," Broderick said. "They believe that we have photos of a person who has been arrested to allow the community to thumb their nose at and that's not our purpose. If people find some of the mug shots amusing, that's more or less a side effect."

McMahon isn't laughing.

"But that's the main way they make profit, right," he said. "We can read a paper without looking at a picture and know that seven people were arrested for DUI -- we don't need the picture. It just -- to me -- seems like the way that they're making money is because the pictures are pathetic or sometimes funny."

RemoveSlander.com is a website that erases mug shots from the Web once a person has been legally cleared. The site said it uses "trade tools" to eliminate the mug shot. Spokesperson Philip Lee said he does not feel RemoveSlander.com should be "affiliated with the mug shot website."

RemoveSlander.com via ImageMax Mugshot Removal said it is the first reputation management firm to offer the service. For $399, RemoveSlander.com allows a customer to specify one website from which to have a mug shot deleted. For $699.00, the mug shot is removed from three sites. Remove.Slander.com has 14 business days to remove the mug shot from the website and Google or the customer gets their money back. If a customer has multiple arrests with more than one booking photo, that costs more.

In his suburban Atlanta home, McMahon seems at peace with his new life and everything that comes with it. However, he's eager to talk about his past if it means more people are aware of publications like Caught Up and sites like RemoveSlander.com.

"I'm human, I made a couple of mistakes -- it's not a secret I made more than one," McMahon said. "Everyone has a past. It's just unfortunate that mine is exploited for profit."

@highlight

Mug shot publications and websites feature police booking photos, which are public record

@highlight

Andy McMahon located his mugshot from seven years ago on a mug shot website

@highlight

"Caught Up," a popular mug paper, is dubbed a "crime-fighting publication"