Editor's note: John King, CNN's chief national correspondent and "State of the Union" host, examines the news made in Sunday talk and offers up this Monday morning crib sheet on what to watch this week in politics. Please note that all quotes are from rush transcripts and are subject to change. If you'd like to receive a sneak peek of next week's news in your inbox every Sunday, you can sign up for the "Political Ticker newsletter" at http://www.cnn.com/profile/

CNN's John King looks back at Sunday's talk shows and what will make news in the coming week.

(CNN) -- And amid all the talk, there was notable silence: House Speaker Nancy Pelosi decided not to appear on any of the Sunday shows to defend herself after a rocky week.

For Pelosi, last week included a concession that she had been briefed about the use of waterboarding back in 2003 and an accusation the CIA had deliberately misled her and Congress about Bush era interrogation practices.

Health care, the economy and the path to a GOP comeback were also hot topics, not to mention the controversy over President Obama's commencement address at Notre Dame.

With Speaker Pelosi declining offers from "State of the Union" and others to answer questions on Sunday, her Republican critics stepped into the vacuum -- with gusto.

Pelosi's critics fire away

"Lying to the Congress of the United States is a crime. And if the speaker is accusing the CIA and other intelligence officials of lying or misleading the Congress, then she should come forward with evidence and turn that over to the Justice Department so they can be prosecuted. And if that's not the case, I think she ought to apologize to our intelligence professionals around the world." -- House Minority Leader John Boehner on CNN's "State of the Union" Read more of Boehner's comments

"I think the reality here is that Nancy Pelosi has stepped in it big time. And she is now put the Democratic Party in a position, where the question for me is, does the president support Nancy Pelosi's versions of what happened, or his CIA director's versions of what happened." -- Republican National Committee Chair Michael Steele on NBC's "Meet the Press"

For all the criticism of the Democratic speaker, there was clearly little desire on the part of some Republicans to seek an investigation that might damage Pelosi but would definitely put the spotlight on Bush administration officials and the interrogations of terror suspects.

"I am less interested in investigating whether her memory is correct or she lied about it than I am in the policies that flow from the debate that we're having. I am not one who thinks we ought to have truth commissions and all of the rest of it and keep looking backward. I agree with the president. We've got enough on our plate, we need to look forward." -- Sen. Jon Kyl, R-Arizona, on ABC's "This Week"

Supreme battle ahead

One certain issue for this week is the president's search for a Supreme Court nominee.

Conservatives are putting pressure on leading Republicans to prepare for a confirmation fight, and while the math overwhelmingly favors the Democrats, the Senate GOP Leader Mitch McConnell said it was too soon to rule out a filibuster, a tactic he condemned during Bush administration court debates.

"I think it is way premature ... to be predicting what kind of procedural moves will be taken when we haven't even seen the nomination yet." -- Senate Minority Leader Mitch McConnell on "Fox News Sunday"

Cheney: Help or hindrance?

Former Vice President Dick Cheney was not out on the Sunday talk shows, but there was a lot of debate over whether he's helping or hurting the Republican Party with his harsh criticisms of the Obama administration.

The criticisms have been coming hard and fast ever since his first TV interview on "State of the Union" on March 15. Read more about criticisms, reaction

One of his staunch defenders was his daughter:

"The future of the Republican Party is going to be built based on substance. And a key part of that substance is a strong national defense. The national security piece of it is one on which the [former] vice president has in fact been very effective in the debate over the last two weeks. Not just in influencing public opinion but frankly influencing the Obama White House." -- Republican strategist Liz Cheney on "This Week" Read more of Liz Cheney's comments

The latest on Guantanamo

The concept of Republicans "influencing the White House" relates to two recent dramatic reversals of policy: refusing to release additional photos of interrogations and considering trying Guantanamo detainees in military commissions instead of civilian criminal courts. The debate on what to do with the detainees continued Sunday:

"They should be transferred to established criminal courts, courts that have been able to handle such cases. ... We have the capacity. We have the prisons that can hold them. We have the finest system of justice in the world. Let's use it. Let's not make a new one up." -- ACLU Executive Director Anthony Romero on CBS' "Face the Nation"

"The president has a tough job to do. And I think he is beginning to learn how difficult it is to govern. You know it's one thing to campaign and to make statements. But when it comes to governing, there has to be much more pragmatic decisions. We've seen the president make several of those lately."  -- John Boehner on "State of the Union" Read more of Boehner's comments on governing

Economy: Hopeful signs?

With such dreadful economic news in the past year, people will take anything they can get.

"I think what happened is the free-fall in the economy seems to have stopped. I guess the analogy [is] there are some glimmers of sun shining through the trees, but we're not out of the woods yet. We do have more work ahead." -- Peter Orszag, director of the Office of Management and Budget, on "State of the Union"

President at Notre Dame

Another big Sunday story was Obama's commencement speech at Notre Dame University -- speaking directly to those who protested his presence at the Catholic institution.

"When we open our hearts and our minds to those who may not think like we do or believe what we do -- that's when we discover at least the possibility of common ground. ... That's when we begin to say, 'Maybe we won't agree on abortion, but we can still agree that this is a heart-wrenching decision for any woman to make, with both moral and spiritual dimensions." -- Obama at Notre Dame University. Read more about Obama's visit

On "State of the Union," two political contributors, conservative radio talk show host Bill Bennett and Democratic strategist James Carville, had very different views of this event:

Bennett: Yes, he should be welcome on the campus. Yes, he should be able to come and express his views. Should he receive an honor for his views? No, he should not. When you go against fundamental moral principles, fundamentally teachings of the church, then you should not be honored. Should there be a debate on campus on this as there can be, sure.

Carville: If Notre Dame is serious ... this is what they need to do: They need to get every member of the faculty, particularly the law school -- I understand that there are law school professors teaching at Notre Dame that say Roe v. Wade is set law. ... Why don't they go through and see if their biology teacher -- see if anybody on that faculty is pro-choice?

Bennett: Missing the point.

Carville: I'm not missing the point. It's much more relevant to a university what a teacher is teaching in the classroom than somebody gets an honorary degree. I know people who have gotten 40 honorary degrees. That's another issue. Are you willing to have them go and make every law professor sign a statement saying that they overturn Roe v. Wade? How can you teach students that?

Bennett: Free inquiry at the university is entirely appropriate. But the point of honoring someone who is the most pro-abortion president for his life and his work is inappropriate. I have one of those honorary degrees from Notre Dame, by the way. It ain't worth much.

On a lighter note

Minority Leader Boehner was the butt of one of President Obama's best lines at the recent press dinner:

"In the next 100 days, our -- my partisan outreach will be so successful that even John Boehner will consider becoming a Democrat. After all, we have a lot in common. He is a person of color. Although not a color that appears in the natural world." -- President Obama

Boehner took the joke about his deep tan in stride:

"You know, as I tell my friends, you only tease the ones you love. And, you know, if the president wants to go out and take a walk with me, as I do every day, or I walked 18 holes yesterday. Last weekend I was in Ohio cutting my grass, trimming my beds, I enjoy being outside. But I'd rather be heckled than ignored." -- John Boehner. Read more about Boehner's response

@highlight

Republican leader Michael Steele: "Nancy Pelosi has stepped in it big time"

@highlight

Supreme Court nominee sure to spur interest on both sides of aisle this week

@highlight

Minority Leader John Boehner says Republicans influencing Obama on Guantanamo

@highlight

Obama notes Boehner's deep tan and Boehner comes back with a line of his own