(CNN) -- I want to translate the Web into every major language: every webpage, every video, and, yes, even Justin Bieber's tweets.

With its content split up into hundreds of languages -- and with over 50% of it in English -- most of the Web is inaccessible to most people in the world. This problem is pressing, now more than ever, with millions of people from China, Russia, Latin America and other quickly developing regions entering the Web. In this TED talk, I introduce my new project, called Duolingo, which aims at breaking the language barrier, and thus making the Web truly "world wide."

We have all seen how systems such as Google Translate are improving every day at translating the gist of things written in other languages. Unfortunately, they are not yet accurate enough for my purpose: Even when what they spit out is intelligible, it's so badly written that I can't read more than a few lines before getting a headache. This is why you don't see machine-translated articles on CNN.

With Duolingo, our goal is to encourage people, like you and me, to translate the Web into their native languages.

Now, with billions and billions of pages on the Web, this can't be done with just a few volunteers, nor can we afford to pay professional translators. When Severin Hacker and I started Duolingo, we realized we needed a way to entice millions of people to help translate the Web. However, coordinating millions of contributors to translate language presents two major hurdles. First, finding enough people who are bilingual enough to help with translation is difficult. Second, motivating them to do it for free makes this next to impossible.

The idea behind Duolingo is to kill two birds with one stone by solving both of these problems simultaneously. We accomplish this by transforming language translation into something that anyone can do -- not just bilinguals -- and that millions of people want to do: learning a foreign language.

It is estimated that over one billion people worldwide are learning a foreign language, with millions doing so using computer programs. With Duolingo, people learn a foreign language while simultaneously translating text.

When you learn on Duolingo, the website gives you exercises tailored specifically to you that teach you every aspect of the new language. You may be asked to translate a sentence, to pronounce or listen to a phrase, or to describe what you see in an image.

Some of the sentences you translate come from real websites. By having multiple students translate each sentence, and then choosing the best one, Duolingo produces translations that are as accurate as those from professional language translators.

Because you create valuable translations as a side effect, learning on Duolingo is 100% free: no ads, no hidden fees, no subscriptions. Duolingo entails a new business model that allows anyone online, regardless of socioeconomic status, to have access to education.

For example, the leading language-learning software sells for over $500, which is beyond the means of the majority of the world's population. If language education is offered free of charge in exchange for students' performing useful tasks, those who cannot afford to pay with money pay with their time -- time that would have been spent learning anyway.

This is how I want to translate the Web. Now go on and sign up for Duolingo.

The opinions expressed in this commentary are solely those of Luis von Ahn.

@highlight

Luis von Ahn founded the company behind CAPTCHA

@highlight

He used that technology to help digitize old books

@highlight

His new project provides a free way to learn languages and thereby translate the Web