(CNN) -- Machinery problems at a drug manufacturing plant prompted the U.S. Food and Drug Administration to warn patients of a possible mix-up affecting various prescription pain medications and over-the-counter drugs.

The FDA is advising patients who use certain prescription medications produced by Endo Pharmaceuticals to visually inspect their pills. And consumers who have select bottles of Excedrin, Bufferin, NoDoz and Gas-X, produced by Novartis, are being told to discard or return the products in a voluntary recall that started Sunday.

The over-the-counter drugs involved in the recall were manufactured at a Lincoln, Nebraska, facility which also produced various prescription pain medicines for Endo Pharmaceuticals, according to the U.S. Food and Drug Administration. These pills include Percocet, Opana and Percodan.

"Due to problems that occurred when these products were packaged and labeled at the site, it's possible that tablets from one product may have been retained in the packaging machinery and then may have carried over into the packaging of another product," said Dr. Edward Cox, director of the Office of Antimicrobial Products, Office of New Drugs, Center for Drug Evaluation of Research for the FDA.

"This could result in an incorrect pill ending up in the bottle of another product. The likelihood of this occurring in medication dispensed in patients is estimated to be low," he added.

The prescription opioids could have ended up in the bottle of another prescription drug or over-the-counter products, although "the risk of pills ending up in the wrong bottle is a rare event," according to the FDA.

There have been no reports of adverse events due to this problem, Cox said.

Patients who take an affected Endo Pharmaceuticals products should visually inspect all the pills in their bottles, according to the company and FDA. Endo Pharmaceuticals posted pictures of the products on their web page for tablet identifications.

The products listed there: Opana ER (oxymorphone hydrochloride) extended-release tablets CII; Opana (oxymorphone hydrochloride) tablets CII; oxymorphone hydrochloride tablets CII; Percocet (oxycodone hydrochloride and acetaminophen USP) tablets CII; Percodan (oxycodone hydrochloride and aspirin, USP) tablets CII; Endocet (oxycodone hydrochloride and acetaminophen USP) tablets CII; Endodan (oxycodone hydrochloride and aspirin, USP) tablets CII; Morphine Sulfate Extended-Release Tablets CII; and Zydone (hydrocodone bitartrate/acetaminophen tablets, USP) CIII.

"We are asking patients to check their medicines, to look for any tablets of a different size, shape or color from their regular medicine," Cox said. "If they find any tablets that are different, stop taking the pain medication and take the medicine to the pharmacy. We are telling patients to look carefully at all tablets in pain medication bottle."

Patients who have questions should contact Endo Pharmaceuticals or their doctors, he advised.

Pharmacists are also being asked to "visually inspect and verify the identity of all tablets dispensed," Cox said.

"The likelihood of finding a wrong pill in an opioid pain medication is low," he said. "Patients should not be alarmed. These steps we're recommending are additional steps we are recommending to further reduce an already low likelihood of medication mix-up."

The Nebraska plant has been temporarily shut down, which could cause drug shortages and disruptions in the supply chain for Endo Pharmaceuticals.

"We anticipate that there may be a short-term disruption in the supply of these products to patients. This temporary supply disruption is not related to the efficacy or safety of these products," according to the company.

"We are not aware of any patient having experienced a confirmed product mix-up and there have been no adverse events attributable to a product mix-up. We believe the likelihood of product mix-up reaching a patient is remote," according to the company.

The over-the-counter items involved in the Novartis recall include Excedrin and NoDoz products with expiration dates of December 20, 2014, or earlier, as well as Bufferin and Gas-X products with December 20, 2013, or earlier expiration dates.

Novartis had suspended operations at, and shipments from, the Lincoln, Nebraska, facility. The company said this was done "to accelerate maintenance" and make other improvements, adding that it currently "is not possible" to determine when the plant will reopen.

Consumers who have the affected products can contact Novartis Consumer Relationship Center or try to obtain a refund.

@highlight

Machine problems could have mixed up painkillers and over-the-counter drugs

@highlight

Novartis issued a voluntary recall Sunday for Excedrin, Bufferin, NoDoz, Gas-X

@highlight

People using Endo Pharmaceuticals urged to inspect their pills