(CNN) -- Not content to simply swim in it, fill balloons with it, shoot it at bystanders during massive water fights or mix it with whiskey, people never cease to find amazing ways to make water even more incredible than it already is.

Blasting it sky high, illuminating it with dazzling lights, surrounding it with classical sculpture ... as the magnificent fountains below illustrate, if you're only using water to drink and do laundry, you're missing out on the fun side of our most precious commodity.

Banpo Moonlight Rainbow Fountain (Seoul)

The world's longest bridge fountain, Seoul's Banpo Moonlight Rainbow Fountain employs 10,000 LEDs and 380 water jets that run along both edges of the 1,140-meter (370 feet) bridge.

The jets shoot out 190 tons of water per minute.

The water is taken directly from the Han River and the fountains shoot up to 43 meters (141 feet) horizontally.

They can also be programmed to move in time with music.

Fountain shows take place every day between April and October.

Banpo Moonlight Rainbow Fountain, Seobinggo-dong, Banpo-dong, Seocho-gu, Seoul, South Korea

Lotte World Musical Fountain (Busan, South Korea)

South Korea is also home to the world's tallest indoor fountain.

It opened in 2010 inside the Gwangbok Lotte Department Store in Busan.

Within three weeks, 500,000 people had visited to see it in action.

Today, it receives 20,000 visitors a day and ranks as Busan's most popular attraction.

The hi-tech display incorporates sound, light and color and 16 different songs provide background music.

Lotte Department Store, 20-1, 7-ga, Jungang-dong, Jung-gu, Busan, South Korea

Fountain of Wealth (Singapore)

Named the world's largest fountain by Guinness World Records in 1998, the Fountain of Wealth can be found outside Singapore's Suntec City shopping mall.

Covering an area of 1,683 square meters and at a maximum height of 13 meters (42 feet), it invites people to retrieve coins in addition to throwing them in.

Throughout the day, the fountain is turned off and the public can collect the money for good luck.

In the evening, laser performances include personalized messages displayed in the cascading water.

Fountain of Wealth, Suntec City, 3 Temasek Blvd., Singapore

Crown Fountain (Chicago)

Chicago's Crown Fountain is one of the most creative fountains anywhere.

It features a black granite reflecting pool positioned between two towers that use LEDs to display digital videos.

Clips include footage of waterfalls, but the most popular ones feature the faces of a thousand Chicago residents who volunteered to be videoed for the project.

The footage shows them puffing out their cheeks as a stream of water shoots out of a nozzle concealed in the surface of the towers.

Crown Fountain, Millennium Park, 201 E. Randolph St., Chicago

Dubai Fountain (Dubai)

You expect great things from a fountain that sits on a 30-acre lake in front of the world's tallest structure, the Burj Khalifa.

And in the Dubai Fountain, you get them.

Featuring five rings of water jets capable of shooting water 50 stories high, the fountain is equipped with 6,600 LEDS and 25 color projectors that allow the jets of water to display various images.

The beam of light in the center of the fountain can be seen 20 miles away, making it the brightest point in the Middle East.

The entire attraction has a length of 275 meters (900 feet) and puts on a daily choreographed show that moves to Andrea Bocelli's "Con te Partiro" ("Time to Say Goodbye"), among other songs.

Burj Khalifa, Sheikh Mohammed bin Rashid Boulevard, Dubai, United Arab Emirates

Fountains of Bellagio (Las Vegas)

The Fountains of Bellagio, which cost $40 million to build and can be found on the Las Vegas casino's eight-acre lake, comprise a network of 1,200 nozzles, 8,000 meters of pipe and 4,500 lights.

The fountains can shoot water to the height of a 24-story building.

Daily maintenance falls to a team of 30 engineers, all of whom are qualified scuba divers.

The maximum amount of water in the air at any one time is 77,284 liters (20,416 gallons).

The Bellagio's legendary fountain shows change regularly, with the latest featuring music by DJ Tiesto.

Fountains of Bellagio, 3600 Las Vegas Blvd., Las Vegas

Jet d'Eau (Lake Geneva, Switzerland)

Geneva's spectacular Jet d'Eau shoots water 140 meters (459 feet) into the sky.

Its creation was actually a mistake.

In 1886, a hydraulic power station was built to deliver water from the Rhone to the city's fountains, households and factories.

However pressure buildups forced engineers to install a relief valve in the center of Lake Geneva.

This marked the birth of the Jet d'Eau, which became such a popular tourist attraction that the valve was moved closer to shore.

The volume of water it shoots out has increased dramatically -- these days it spews 500 liters (132 gallons) of water a second.

Jet d'Eau, Lake Geneva, Switzerland

Aquanura, Efteling (Kaatsheuvel, Netherlands)

The Aquanura fountains at the Netherlands' historic Efteling theme park were built to celebrate the park's 60th anniversary in 2012.

Made up of 200 fountains and 900 lights, all attached to a grid-like structure, the park's daily Aquanura water show combines light, water and fire and features a soundtrack composed by the Brabant Orchestra.

It attracts 6,500 spectators per day.

Efteling, Europalaan 1, Kaatsheuvel, Netherlands

Longwood Gardens fountains (Kennett Square, Pennsylvania)

This series of Pennsylvania fountains was built in 1931.

Within the fountain's various pools are 380 nozzles, while a recirculation system of 18 pumps propel 37,854 liters (10,000 gallons) of water per minute up to 39 meters (130 feet).

Colored lights were later added, and the fountains were fully computerized in 1984.

Longwood Gardens, 1001 Longwood Road, Kennett Square, Pennsylvania

Scioto Mile Fountain (Columbus, Ohio)

Covering 1,393 square meters (15,000 square feet), the Scioto Mile Fountain features five stainless-steel halo structures with 1,100 fog nozzles and a central halo from which water is shot 22 meters (75 feet) into the air.

The fountain operates only from April to October, and relies on an underground reservoir that can hold up to 416,395 liters (10,000 gallons) of water.

Scioto Mile Fountain, 233 Civic Center Drive, Columbus, Ohio

Kanazawa Fountain Clock (Kanazawa, Japan)

This unique clock sites outside Japan's Kanazawa train station and is comprised of a series of small fountains set against a black background.

A hi-tech valve system allows the fountain to be programmed to display both numbers and letters in a range of languages.

Kanazawa Station, Ishikawa, Japan

Stravinsky Fountain (Paris)

Located outside Paris' Pompidou Center, the Stravinsky Fountain is made up of 16 mechanical sculptures inspired by the works of composer Igor Stravinsky.

Specific concepts represented by the fountains include the musical key of G, love and death, wartime and wildlife.

Constructed in 1983, these were the first public fountains built in Paris since 1937, when the Palais de Chaillot was built for the Paris Exposition.

Place Stravinsky, Paris

Swarovski Crystal Head Fountain (Innsbruck, Austria)

This striking fountain can be found at Swarovski's Innsbruck museum, Crystal Worlds (Kristallweltenstrasse in Austrian).

It's a grass-covered head fitted with a nozzle and two large crystal eyes and is actually the entrance to a museum.

The fountain was designed by Austrian artist Andre Heller.

The interior is covered with pieces of Swarovski glass -- the museum's founders describe it as the world's largest kaleidoscope.

The park is currently closed for expansion and will reopen in May 2015.

Crystal Worlds, Kristallweltenstrasse 1, Wattens, Innsbruck, Austria

Tap fountain (Menorca, Spain)

This quirky fountain can be found in Santa Galdana on the Spanish island of Menorca.

A thick jet of water conceals both support and water pipes, giving the impression that the tap is floating in midair.

Though cool, it's not a unique trick.

There are similar fountains in the Belgian town of Ypres and Bahia de Cadiz, Spain, while a giant pink tap recently appeared at the Hampton Court Flower Show in London.

Santa Galdana, Menorca, Spain

Turning Heads Fountain (Walnut Creek, California)

California's Turning Heads Fountain is shaped like an oversized human head and partly submerged in water.

It was created by local artist Seyed Alavi, who wanted to make a piece of art that appealed to children but also represented issues close to his heart.

Alavi decided to place the water spout at the skull's apex to bring together the concepts of birth, rebirth, wisdom and community.

Main Street, Walnut Creek, California

Tamara Hinson is a freelance travel writer based in the UK.

@highlight

Chicago's Crown Fountain uses LEDs to display videos

@highlight

South Korea is home to both the world's longest bridge fountain and the world's tallest indoor fountain

@highlight

The Bellagio's fountains in Las Vegas sit on an eight-acre lake and include a network of 1,200 nozzles