(CNN) -- "If you give me Times Square, I want to give it back to the people."

JR, the 30-year-old globetrotting French street artist, could well say the same about the slums of Kenya or the favelas of Brazil, where he has created large-scale projects.

Known for his black-and-white portraits, poster-sized or much larger and pasted on public walls, streets, grounds, rooftops and even trucks, JR considers himself an "urban artivist" -- i.e., an artist who is an activist.

In New York earlier this month, he invited passersby to get their portraits taken and pasted on the ground at Times Square. Equipped with a photo booth truck that instantaneously printed 36"x53" posters, his crew recruited volunteers -- some of whom held a large broom/brush and very sticky glue -- to help add the next portrait to the mosaic of faces.

The line stretched long as endless numbers of tourists, New Yorkers and the curious waited for hours to get a piece of the action. Nearly 6,000 portraits were taken over three weeks.

The Times Square project stemmed from an initiative that JR launched in 2011 when he won the prestigious TED Prize. Prizewinners get to make a wish and his was to start a global participatory art project.

So was born "Inside Out," which invited people all over the world to submit portraits, share a statement of what they stand for and paste the posters in a public space in their home cities. To date, the project has printed and sent more than 130,000 posters to their subjects in more than 100 countries.

JR is drawn to impoverished and conflict-ridden regions, bringing attention to faces and people that most would easily ignore or forget. He goes to the poor, the repressed, the hungry and the invisible and gives them art in the form of portraits. Those on the receiving end feel, if only momentarily, joyful and proud.

"Art is not meant to change the world, but when you see people interacting, when you see an impact on their lives, then I guess in a smaller way, this is changing the world," he said in an interview with CNN. "So, that's what I believe in. That's why I'm into creating more and more interactions."

Unlike most visual artists, JR has no qualms about embracing technology. His medium may be archaic -- ink, paper, glue -- but he leverages the power of social media by inviting all to participate, upload, comment and share in what he likes to call the "people's project."

He has a Facebook fan page, a Twitter account and is most active and at home on Instagram, where he shows what he's working on and relates to participants by liking their portraits. Yet when it comes to his personal identity, JR prefers anonymity. He has never revealed what his initials mean nor given out his real name. And he always wears dark glasses. He wants his art to be about others, not him.

"Even when I do really big pieces, I do them strips by strips -- so you have to paste, you have to involve people. It's a whole process. And I like that. For me, that's where the artwork is. But I use technology more and more, because that's a great way to share, that's a great way to be in touch with people. It's just a great way to do something and spread it to millions of people through the Internet."

But is interaction enough? One fan asked: What's artistic about JR's work? Another wondered if JR's posters too much resemble advertisements, especially in image-saturated cities like New York.

JR has a response: "I see this project as a social experimentation ... how people see themselves. ... And you see that sometimes -- they're like yeah, I want to paste it there! -- to show part of the community or people from different parts of the world. Or someone comes out and says -- Oh hey, I want to be at Times Square! I want my face up there -- and they have no message. Some people ask me if I like that or not. I can't like it or not. For me, it's a reflection. I have to observe it and study it."

Some people reveal themselves in the portraits by just being visible. Others reveal themselves by being incredibly expressive. The intentions of the portrait subjects vary as much as the responses they elicit.

To be fair, many of JR's projects have taken place in far-flung parts of the world where people don't have easy access to print photographs.

In the documentary, "Inside Out: The People's Art Project," screened at the Tribeca Film Festival and debuting on HBO on May 20 at 9 p.m. ET/PT, we see the track of JR's career, from his start as a graffiti artist in the backstreets of Paris to his more recent projects in earthquake shattered Haiti.

Director Alastair Siddons shows JR's work in the context of its environment, and underlying it is a consistent strand of social justice and political activism. In "Women are Heroes," eyes and faces of women cover the rooftops of houses in the Kibera slum in Kenya. Seen aerially, the haunting group of eyes seems to call out to the heavens for help, for relief. In "Face2Face," monumental portraits of Israelis and Palestinians in the same professions were pasted next to each other on both sides of the Separation Wall and in nearby cities. Most people couldn't distinguish the Israelis from the Palestinians.

In one of the most powerful scenes from the HBO documentary, JR's cohort of photographers stealthily pasted portraits of ordinary Tunisians in a public square in the middle of the night. When day broke, people started tearing them down. It seemed Tunisians, who just went through a revolution and deposed their longtime president, Zine el Abidine Ben Ali -- whose huge posters used to be everywhere -- were not ready to accept any other large portraits in their public spaces.

For the crowds in Times Square, maybe the portrait was about a moment in the spotlight. For the Tunisians, it was altogether something else.

The message is simple. Portraits are powerful in their ability to evoke vastly different responses. It just depends on where you are and who you are.

@highlight

JR, a French street artist, brought his "Inside Out" project to Times Square in New York

@highlight

A documentary about JR will debut on HBO on May 20 at 9 p.m. ET/PT

@highlight

"Inside Out" is a social experiment in how people see themselves and reflect society

@highlight

JR tends to focus on people and faces that most would easily ignore or forget