(Tribune Media Services) -- Six hundred years ago, Brussels was just a nice place to stop and buy a waffle on the way to France. Today, it's a city of 1.8 million, the capital of Belgium, the headquarters of NATO and the political center of the European Union. It may be easy to skip as you zip from Amsterdam to Paris by train, but its rich brew of food and culture pleasantly surprises those who stop. Its magnificent grand square, rightly named La Grand Place, alone makes a visit worthwhile.

When in Brussels, try mussels with a side of crispy fries, or frites.

The city is still buzzing over the opening of its new Magritte Museum in June. With more than 250 paintings, it has the world's largest collection of works by surrealist Rene Magritte, who famously painted a picture of a pipe and wrote on the canvas "this is not a pipe."

Take time to wander through Brussels' other excellent museums. The Ancient Art Museum, featuring Flemish and Belgian art, has a dazzling collection of masterpieces by Van der Weyden, Breughel, Bosch and Rubens. The Museum of Modern Art next door also makes for an enjoyable stroll.

Brussels has its silliness, too. Its mascot is the Manneken-Pis, a fountain statue of a little boy who lives up to his name. You'll find him three blocks off La Grand Place, possibly wearing some clever outfit. By tradition, countries send him costumes from around the world. Cases full of these are on display in the City Museum on La Grand Place.

The Atomium, another of Brussels' offbeat attractions, looms on the edge of town. This gigantic, silvery iron "molecule" has escalators connecting the various "atoms," fun space-age videos and a view from the top sphere. If you're scared of heights or tight spaces, tell your friends you'll wave to them ... from the ground.

If you're hungry, muscle your way into a restaurant to order mussels in Brussels. They're served everywhere. You get a big-enough-for-two bucket and a pile of fries. Use an empty shell to tweeze out the rest of the mussels.

Don't call fried potatoes "French fries." Belgian fries ("frites") taste so good because they're deep-fried twice -- once to cook, and once to brown. The locals dunk them in mayonnaise, especially delicious if the mayo is flavored with garlic.

My favorite budget meal in Brussels is having simple pub grub in an atmospheric old pub with a gaggle of "beer pilgrims," who've flocked here from around the world to appreciate some of Europe's best brew and selection -- more than 300 Belgian varieties.

To get a budget hotel deal, visit in peak season without a reservation, when the city's fancy business-class hotels rent rooms for half-price. Normal hotel prices are high, but if you arrive in July, August or on a Friday or Saturday night any other time, three-star hotels abound with amazing summer rates -- you can rent a double room with enough comforts to keep a diplomat happy, including a fancy breakfast, for about $85.

Go through the tourist information office to get the best price. If you're nervous about traveling without advance reservations, contact the tourist office by email (info@visitflanders.be) and ask which business-class hotels will have special rates during your visit.

Bone up on bonjour and s'il vous plait. Brussels speaks French. Though the city (and country) is officially bilingual and filled with foreign visitors, 80 percent of the locals speak French first and English second, if at all.

Belgium is split between Wallonia in the south, where they speak French, and Flanders in the north, where they speak Flemish, a dialect of Dutch. French-speakers have often dominated the national government, which irks the Flemish, who comprise about 60 percent of the Belgian population. The longstanding rivalry has made it increasingly difficult for the Belgian Parliament to form a stable coalition government. One prime minister recently said that Belgians are united only by the king, a love of beer and the national soccer team.

While the Belgians debate their unity, Brussels is the administrative center of the European Union. It hosts business people from around the world -- only Washington, D.C., has more lobbyists. When Europeans have a gripe, this is where they demonstrate. The European Parliament, a towering complex of glass skyscrapers, has 785 members representing 28 countries and more than 450 million citizens. Take the audioguide tour. It's exciting just to be here -- a mouse in the corner of a place that aspires to chart the future of Europe.

Brussels is one of Europe's great secrets. A trade boom 500 years ago left this city with striking art and stately architecture. And it's once again a trade and cultural center of Europe.

Rick Steves writes European travel guidebooks and hosts travel shows on public television and public radio. E-mail him at rick@ricksteves.com, or write to him c/o P.O. Box 2009, Edmonds, Wash. 98020.

Copyright 2009 RICK STEVES, DISTRIBUTED BY TRIBUNE MEDIA SERVICES, INC.

@highlight

Rick Steves writes European travel guidebooks and hosts travel shows

@highlight

His TV series, "Rick Steves' Europe," airs on PBS stations

@highlight

Steves' company, Europe Through the Back Door, conducts European tours