(CNN) -- Is there no end to Marion Bartoli's talents? She is a grand slam tennis winner, but she has a prodigious intellect and is also an adept artist.

In the relaxed settings of Claude Monet's garden in Giverny, France, Bartoli reflected on a career that blossomed after years of struggles -- both personal and professional -- opening up about feeling like a "ghost" as a child and her Mission Impossible win at Wimbledon.

Monet's garden is one of Bartoli's favorite spots. She often traveled to tennis tournaments around the world with paint brushes and recently graduated from art school in Switzerland with a 90%.

The stellar grade shouldn't come as a surprise, since the Frenchwoman once claimed she had an IQ of 175, higher than Albert Einstein.

Despite winning Wimbledon and carving out a 13-year professional career with earnings of more than $11 million, Bartoli suffered for her art on court.

And contrary to what she uttered in August, Bartoli has no plans of staging a comeback.

"I had some really deep scars that were wide open," the 29-year-old told CNN's Open Court.

"But I covered them and made sure no one could see them when I was playing.

"Now I can say I have passed every single test, and I became the happiest person in the world."

Feeling of neglect

By now many know the methods her dad and coach, Walter, used to train Bartoli.

Her father -- also a doctor -- would reward Bartoli with sweets when she hit targets and attached tennis balls to the bottom of her feet to make sure she stayed on her toes.

Using old tennis balls in practice allowed Bartoli to acclimatize to all types of bounces.

But much lesser known is how Bartoli said she played second-fiddle to her older brother -- who was having "issues" at school -- when growing up and received less attention from her mom Sophie.

It stung.

"She was giving more time to him than to me and I had almost to be a ghost," said Bartoli.

Even as she rose into the top 10 and reached major finals, the feeling of neglect lingered. Over the years Sophie rarely attended Bartoli's matches.

"My mother had another, big influence in another way," said Bartoli.

When asked if she had now proven herself to her mom, Bartoli added: "Oh yeah, I think so. But that's what was also very hard for me to take with my dad, when I could see his disappointment with my performance.

"That was the toughest part."

In 2011, Bartoli's fraught relationship with parents came to a head when she threw them both out of a player's box on a Wimbledon side court.

But she grew stronger mentally on the tennis court, helping to explain her ascent.

Her game mirrored Monica Seles' in being unorthodox -- hitting with two hands on both the forehand and backhand. Between points Bartoli could often be seen bobbing up and down, concurrently simulating a swing.

"The way she bounced up and down and swung between points was exhausting," retired former world No. 5 Jo Durie, a longtime analyst with Eurosport, told CNN. "She must have run so many miles between points let alone during the points."

For a spell Bartoli never bounced the ball before serving, another unusual practice.

For the casual fan Bartoli rose to prominence at Wimbledon in 2007 when she upset then world No. 1 Justine Henin to reach the finale.

Her fondness for actor Pierce Brosnan, who watched one of her matches, became international news.

"Personal" problems

Grass was indeed Bartoli's most productive surface, with her flat, hard ground strokes moving through the court and making life difficult for her opponents. This, despite her home grand slam being held on clay.

It took a while for Bartoli to win over French fans and she was in dispute for most of her career with her federation.

When it didn't budge in her request to make Walter a key member of the Federation Cup setup, she sat out the competition and missed last year's Olympics -- on the very same grass at Wimbledon.

But Bartoli would be the last woman standing at the All England Club last July.

Not that she expected it.

"If I tell you what was happening three days in my life before Wimbledon started, you will never believe I won it," she said.

"Keeping busy"

Bartoli contested a Wimbledon warmup in Eastbourne on the east coast of England and developed a 40-degree fever that forced her to pull out of a second-round encounter against former Roland Garros champion Li Na.

She had "personal" problems, too, to contend with -- reportedly the separation of her parents.

"I just prayed to God and said, 'The only thing I want from now on is to be happy. I don't care about my tennis ranking, I don't care about winning or losing. I just want to be happy,'" she said.

"I felt miserable. I was tired, lonely and sad."

Bartoli's friends rallied around her -- "when I feel loved, I can lift mountains," she says -- and thus her special fortnight began.

Bartoli will be the first to tell you the draw gods helped, as she didn't have to face ex champions Serena Williams and Maria Sharapova, or grand slam winner Victoria Azarenka. They were all upset.

As it turned out, Bartoli avoided any player in the top 10.

But Bartoli downed the promising Sloane Stephens in the quarterfinals, former Wimbledon junior titlist Kirsten Flipkens in the semifinals and big-serving Sabine Lisicki in the final.

Even though she was better ranked than Lisicki, many picked the German to triumph given she had upset Williams and Agnieszka Radwanska.

Durie wasn't one of them.

"I thought she was just so beautifully focused and determined that there was no question in her mind that she wasn't going to win," said Durie. "You could see the determination written large on her face."

Bartoli had little nerves entering the final, relaxed enough to take a nap shortly before it began, joking with her entourage and even booking tickets for her team.

Prior to striking an ace on the final point, Bartoli flashed back to those days as a child when she finished practice past midnight in freezing conditions under a leaking roof.

When it was over a hug to dad, the biggest influence in her career, ensued.

"Two weeks earlier I just wanted to be happy, and then I won Wimbledon," said Bartoli. "That was it. Then you can write, 'The end.'"

It was indeed almost the end.

A month later, her body unable to withstand the demands of the tennis tour any longer, Bartoli quit.

"She dragged every little bit of talent out of herself," said Durie.

But a return, a la Henin, Kim Clijsters or Lindsay Davenport, isn't on the cards.

"I will not come back," Bartoli insisted.

Even after winning Wimbledon, Bartoli was subjected to comments about her appearance after British commentator John Inverdale apologized to her for saying she was "never going to be a looker."

At the time, asked about Inverdale's comments, Bartoli reportedly said: "It doesn't matter, honestly. I am not blonde, yes. That is a fact. Have I dreamt about having a model contract? No. I'm sorry."

Marion, meet Usain

Bartoli is keeping busy in retirement.

She played in an exhibition on Necker Island -- owned by Richard Branson -- this month and returns to the Caribbean in January to meet the fastest man on the planet, Usain Bolt.

Bartoli isn't sure what is on the agenda that day.

"He actually invited me and wanted to meet me," said Bartoli.

If Bolt wants to learn more about tennis, painting -- and maybe even life -- Bartoli might just be the right person.

@highlight

Marion Bartoli has no plans to return to the tennis tour after retiring in August

@highlight

The Wimbledon champion is enjoying life away from the court and devoting more time to art

@highlight

Bartoli says scars from childhood drove her even more to become a tennis champion

@highlight

Bartoli didn't expect to win Wimbledon since she was ill and in pain the previous week