The day before Veterans Affairs Secretary Eric Shinseki resigned in May, nearly 25 senators signed a letter calling for him to step down amid a widening scandal over delayed medical care for vets.

In the weeks before that, lawmaker after outraged lawmaker rose to denounce systemic problems at the sprawling agency that provides medical and other care to more than 8.5 million veterans. Reports of "cooked books," dying patients on waiting lists, and a warped management culture made headlines.

Spearheaded by CNN reporting, the latest news was certainly troubling and upped the stakes in Washington amid a midterm year.

It was high drama and members of Congress were in the thick of a political firestorm and some people were even pointing fingers at them. Facing voters in November, they needed to act, and fast.

Up went the rhetorical fever, down went Shinseki and in went reform-minded proposals to hire more doctors and nurses and build more medical facilities.

The estimated cost -- $35 billion over 10 years. Passage was uncommonly swift and bipartisan in both houses with promises to quickly negotiate a final version.

Veterans neglected for years in VA facility, report says

Oddly functional

A Congress infamous for its legislative dysfunction was oddly functional.

Vets could get care outside the VA under bill passed by House

"It's very clear the status quo is not acceptable and it's time for real change," House Veterans Affairs Committee Chairman Jeff Miller said at a recent hearing.

While the step was dramatic, serious shortcomings at the VA were nothing new to Washington, including Congress.

Complaints of delayed care were well known for years, although not all of the alarming issues raised in the most recent controversy were apparent over that time.

Still, investigations were launched, reports written, and hearings held. Congress took some action, but what came about did not fully address historic health care deficiencies at the agency. This all now raises fresh questions about congressional responsibilities for holding agencies accountable.

Audit: More than 120,000 veterans waiting or never got care

The role of Congress

Difficulties accessing care "is something that goes way back as long as I can remember," said Rick Weidman, executive director of policy and government affairs at Vietnam Veterans of America.

Congress attempted to address a host of issues plaguing the VA in the 1990s. Those reforms improved some functions and the delivery of medical care. But more difficulty in assessing care was an unfortunate consequence of those steps.

The VA scrambled to meet a requirement that no veteran wait longer than 30 days for care.

The mandate was already demanding for a beleaguered VA, but Congress also required that more veterans and more benefits be covered.

Subsequent GAO reports found that the agency was not able to improve health care wait times and the situation actually became worse.

Lawmakers also were generous in allocating services for veterans and even gave the VA every dime it asked for. But that didn't seem to help either. Wait times continued to rise.

Peter Shuck, Yale Law School professor and author of "Why Government Fails so Often and How It Can Do Better," said Congress could have been more effective.

"(Congress) has failed to exercise effective oversight to require the agency to handle its caseload more efficiently,"

Michael O'Hanlon with the Brookings Institution also said lawmakers could have pushed the agency to modernize its records more quickly and instituted more robust staff reviews.

Difficult to oversee

But Miller, who has chaired the veterans committee since 2011 and pressed for the most recent legislation, said the VA has lied "over and over again," making it difficult to oversee.

Weidman said the VA has not been forthcoming with the Veterans Affairs Committee over the years, which complains it is still being stonewalled on its requests for information.

The past five years have been the "least transparent the VA has ever been," Weidman said.

Miller agreed. In a letter to Acting Secretary Sloan Gibson, he accused it of stonewalling or "have possibly tried to mislead" Congress. He outlined three instances in which the VA has not provided information to Congress. He is not alone.

At least two Democrats have lobbed similar assertions, including Hawaii Rep. Tulsi Gabbard, accusing the director of the Pacific Islands Health Care System of being "dishonest" and lacking competence.

Alex Nicholson, legislative director of Iraq and Afghanistan Veterans of America, defended Congress. He said oversight committees, especially in the House, have done a good job probing the problems but the VA has been uncooperative.

"You can't know what you don't know," Nicholson said. "When agency gives you false information and lies to you then it's hard to do oversight."

The VA said it is cooperating fully with Miller's panel, which continues to investigate as is the agency's inspector general and the FBI.

"VA respects Congress' important oversight role and is committed to providing timely and accurate information," spokeswoman Gina Jackson said in a statement.

Acting VA leader: Changes start with getting veterans appointment

Questions about VA finances

Veterans groups also estimate the VA also stumbled on its finances, saying it needed at least 12% more money than it sought over the past five years for medical care.

They said the VA did not account for all of the services it provides, especially for veterans returning from the wars in Iraq and Afghanistan, and that it used overly optimistic efficiency projections that did not produce anticipated savings.

VA officials would not comment on questions about its budget. But Miller said lack of money is not the problem.

"If money was the solution, then the problems would have been solved a long time ago," he said.

To its credit, noted by many amid the current uproar, the VA has moved under pressure to reduce the number of homeless veterans and benefit backlogs -- key Shinseki legacies.

The practical realities of politics are also to blame for inadequate action.

While the Republican-led House has been much more active in passing legislation on a variety of veterans' issues and the Democratic-led Senate has done less, institutional structures is partly to blame.

In the House, Republicans can easily pass bills on its agenda despite objection from the minority. Not so in the Senate, where rules give enormous power to individual members to block legislation. And in the overwhelmingly partisan climate, the Senate is where bills go to die, even proposals to help veterans.

That happened on a major piece of legislation this past winter. A $20 billion plan to address a host of veterans' issues went nowhere over Republican objections on how to pay for it -- a common GOP stand on federal spending proposals.

In light of the latest accusations, however, Congress has acted swiftly, passing VA legislation that includes a series of reforms.

But many say it still doesn't go far enough.

VA crisis: Solutions exist but haven't happened, panel hears

Veterans groups have provided a series of proposals to immediately address the care backlog, including shifting all trained clinicians into direct provider positions and immediately triage all veterans seeking care.

Dr. Robert Jesse, a top official in the VA health administration, acknowledged the need for major changes even beyond what Congress has just done.

"Today we really need to be looking at the entire structure of the organization to move forward. We really need to examine everything," he said on Thursday at Miller's hearing.

Some conservative and business quarters suggest privatizing medical services or at least opening them up to outside examination of organization and structure.

But Weidman said fixing the VA is a lot like an onion -- so many layers.

"And it ain't sweet like a Vidalia," he said.

FBI launches criminal prove of VA

@highlight

Problems plaguing the VA health system have been ongoing for years

@highlight

Government reports informed Congress about the depth of problems

@highlight

Congressional efforts to address issues were mostly inadequate

@highlight

House and Senate passed new VA legislation that requires final negotiation