(CNN) -- More than 8,000 people have died in the violence surrounding the Syrian uprising in the past year, a U.N. official said Tuesday. And a new Amnesty International report released Wednesday says Syrians detained by the regime are subjected to systemic torture.

Dozens of women and children in Homs were some of the latest victims, killed in what activists describe as a massacre over the weekend. The victims were all stabbed to death and burned after "Syrian forces and thugs" stormed their homes, according to a member of the Syrian Revolution General Council.

Syrian President Bashar al-Assad's regime insists "armed terrorist groups" -- which it routinely blames for the violence -- were behind the killings in the Karm al-Zaytoun neighborhood.

CNN cannot independently confirm reports of casualties or attacks in Syria because the government has severely restricted the access of international journalists.

CNN's Arwa Damon was able to recently report from inside Syria after she and a CNN crew were secretively taken into Homs with the help of local activists.

What do the most recent reports of brutality mean for the future and will the violence only worsen? Damon, now in Lebanon, explains:

Question: The latest attacks in Homs as described by the opposition are especially brutal -- have there been similar reports in the past and do you think these type of atrocities are getting worse?

Damon: The situation most certainly seems to be worsening. Activists are warning of revenge killings and are warning that they will not be able to control the masses for much longer, which is one of the main reasons why they are calling for international intervention. There were two similar incidences in Karm al-Zaytoun in January, though neither was on this scale.

Q: What role does sectarian divides play in all this? And is the violence expanding into other areas?

Damon: Just about every Syrian across the spectrum is very quick to declare that sectarianism doesn't exist. That being said, they do admit to sectarian undertones to what is happening, especially in Homs. The concern is that if the situation isn't resolved, these sectarian undertones could emerge which would be utterly devastating.

In the recent attacks in the Karm al-Zaytoun neighborhood, the families were, according to the opposition, all Sunni. The neighborhood is actually a mixed neighbhorhood of Alawite and Sunni. A few weeks ago, activists from Homs were telling us that the neighborhood had basically divided. There was one main road that moved through it, and all of the Alawite families had moved to one side, the Sunni families to another. [Alawites comprise a branch of Shia Islam; they are a minority in Syria with Sunnis being about 74% of the population, according the CIA Factbook.]

And what's incredibly difficult in all of this is really trying to independently verify what is taking place. But there is one thing that is undeniable, and that is that this horrific cycle of death continues. And many people are growing increasingly concerned about the underlying sectarian nature of this type of violence.

If the situation isn't resolved, activists are warning that these types of massacres will be more widespread.

Q: What were things you kept hearing from the people there when you were in Syria? What was the toll of living in this type of situation taking on the people, especially women and children?

Damon: It is wrecking the population physically, mentally, emotionally. There is hardly a person who hasn't lost someone they know to violence or has been detained by the regime. Children are traumatized by the violence. Women are unable to protect their children and are left feeling helpless, vulnerable, frightened. The psychological impact is profound. (Related: Life and death under Syria's military onslaught)

Q: U.N. special envoy to Syria, Kofi Annan, recently left Syria after talking with al-Assad about proposals to end the bloodshed. Annan said he's staying hopeful. What has been the reaction to this from activists?

Damon: It's very difficult to gauge exactly where [Annan's] sense of optimism is coming from. A lot of activists, following those comments, were posting things to Twitter like, "Kofi Annan is being blinded by his humanitarian blinders." Others saying that he quite simply was unable to see the truth, because the opposition firmly believes that the Assad regime has absolutely no intent of reforming.

Trying to bring about any sort of concrete plan that would result in that peace that everyone really does want -- that part most definitely is true -- is going to be incredibly difficult, because both sides are quite simply so polarized and so hardened against one another because of all of the bloodshed. The Assad government is saying that it is not going to relent in its pursuit of these terrorist armed gangs. The opposition is saying that it won't even entertain the notion of sitting at a negotiating table until some sort of cease-fire is implemented. And many members of the opposition won't even entertain the notion of negotiating with the Assad regime to begin with.

They would have to see the president, his entourage removed from power before they will even begin to try to negotiate any sort of way forward. So it's a very, very difficult situation.

But both sides are warning that if some sort of resolution does not take place, the violence is only going to escalate to even more unimaginable heights.

@highlight

Dozens of Syrian women, children were stabbed and burned to death, activists say

@highlight

CNN's Arwa Damon recently returned from dangerous mission inside Syria

@highlight

She talks about possible sectarian divides, what she heard from residents