A short story, buried on the fourth page of the sports supplement: that's how the New York Times, one of America's most globally orientated of newspapers, marked what remains as U.S. Soccer's most sensational result to date and possibly one of the greatest underdog victories of any World Cup.

In front of 10,000 fans in Belo Horizonte, a U.S team fielding three part-time players lined up for their second match of the 1950 World Cup hosted by Brazil. It was a fixture that promised only humiliation for the 500-1 outsiders, as their opponents were the supremely confident, superstar-studded and much-lauded originators of the game: England.

Interest in the match was limited back home. In fact, just one reporter from the world's richest nation had made the trip, and only because he'd paid his own way and used precious vacation time to attend. His newspaper, the St. Louis Post-Dispatch, had seen no value in covering the event.

But Dent McSkimming proved to be on the right side of history. For he was the only American journalist to file the epic tale of how a lone goal from Joe Gaetjens defeated the English Goliath and astonished the rest of the soccer-playing world. It was as if "Oxford University sent a baseball team ... and beat the Yankees," he famously wrote.

In 2014, if the U.S. beat Belgium on Tuesday to once again upset the odds on Brazilian soil, it's fair to say Uncle Sam's hacks will face stiffer competition for their words to be immortalized in the same vein. It seems soccer is starting to stir the soul of the American sports fan and, consequently, there are now hundreds relaying stories where there was once one.

Key indicators suggest interest in the sport Stateside has reached a new zenith.

The 2-2 draw Jurgen Klinnsman's men wrangled from Portugal became the most-watched soccer game in American history according to Nielsen figures when it attracted 25 million television viewers. Bearing in mind that baseball's 2013 World Series averaged 15 million viewers on Fox while the NBA Finals delivered a similar figure for ABC, college and NFL football now remain the only sports franchise with a greater magnetism for Americans.

For the tournament's games in general there's been a 50% audience increase in the U.S. from those of the World Cup in South Africa, 4.3 million against 2.8 million in 2010.

This heightened profile means business has been brisk too. Accountancy firm PWC recently predicted global sports revenues will be worth $145.3 billion by 2015, driven on by events like the World Cup. America accounts for 45% of this market and the 20 sponsors of U.S. Soccer -- from Anheuser-Busch and AT&T to Visa and Yingli Solar -- have hit the jackpot in Brazil.

"As much as our own expectations were extremely high, those (audience) numbers surpassed even what we anticipated," David Wright, senior vice-president of global sponsorship for Soccer United Marketing, MLS's commercial arm that represents U.S. Soccer, told Sport Business Journal.

And it's a sentiment shared by one of America's sport apparel giants too.

Nike entered into football in 1994 and has seen its revenues in this area go from $40 million then to $2.3 billion for the last financial year.

"We don't give out numbers but sales for the two U.S. soccer kits that we make have been very strong," Charlie Brooks, Nike's VP of Global Communications told CNN.

"The red, white and blue away kit was the best-selling U.S. kit we've ever done in North America in the first two weeks after its launch. And even before the tournament had started, the level of interest was huge ... we posted a 21% increase in our football product revenues for the year leading up to the World Cup, and our North America region was up 10% in the fourth quarter helped by strong sales in soccer too.

"The average sports fan in the U.S. is getting into football during this World Cup like never before. Watching ESPN's coverage in the States, with every game live and the action appearing in Sports Center, the fan fests in the major cities ... it shows this is no longer a minority sport but one that is on the up," Brooks added.

"Our animated 'Last Game' advert has hit 200 million views online alone. The three films in our 'Risk Everything' campaign combined registered over 380 million online views ... I don't have exact figures but these are two of the most shared brand videos in Facebook's history. 'The Winner Stays' commercial had 75 million views online before it went on TV."

The digital realm is another area that is experiencing a surge of traffic from America's World Cup interest.  The last group game against Germany set a fresh online audience record when over 1.5 million people streamed the game via WatchESPN.

This World Cup has also seen a new high of 389,000 messages-per-minute recorded on Twitter, eclipsing the previous mark set by activity around Superbowl XLVIII. Facebook confirmed this year's festival of football is the first event to generate 1 billion engagements -- posts, comments and likes -- on its platform with 220 million users (20 million more than the entire population of Brazil) interacting. During the U.S. vs. Portugal game alone, 10 million people generated 20 million Facebook interactions.

And it's not just fandom in the digital sphere where America has been a force. Supporters from the States were second only to host nation Brazil in the amount of tickets (196,838) they bought for the tournament, with fan-group leaders confident this trend is only set to continue.

"This hasn't been an overnight sensation; it's been building and growing for 25 years.  We're excited to see our fan base grow and more and more people involved in the World Cup," Neil Buethe, U.S. Soccer's senior manager of communication, told CNN.

"Our number one goal is player development; number two is growing the game and connecting with our fans. So we set up events (at the World Cup) with our supporters where they can meet the players or on social (platforms) we provide a lot of information from behind the scenes, so they can feel part of the team at all times."

U.S. Soccer work closely with unofficial supporters' groups too, such as the "American Outlaws" -- who organize travel packages for World Cup ticket holders and parties on the ground.

"In 2010 we had 25 official chapters (groups across America) and 10,000 members. Currently we're up to 143 chapters and 25,000 members ... and 7,000 members joined in the last two weeks," Outlaw Daniel Wiersema told CNN.

"Only around 50 people came to South Africa with us, it was basically one coach-load. This year we arranged travel packages and accommodation for 530 members ... despite the large distances that need to be covered in Brazil, so it's changing."

Fandom is evolving in a uniquely American way too.

"The great thing about being an American soccer fan is we can borrow some of the best aspects of other U.S. sports ... so we tailgate before games for example, as well as take on the influence of Europe and Latin America," Wiersema said.

"Either way there is no better way to demonstrate your fandom than following your team to the ends of the earth, it's just an amazing experience."

That's if you can avoid the inevitable hangovers that accompany such an adventure, though Wiersema attests that the last-minute draw with Portugal gave him a bigger headache than any '"caipirinhas sunk in Brazil."

The plucky American Outlaws that remain in Brazil have trekked to Salvador ahead of the showdown with Belgium holding onto the belief that this nation can once again provide inspiration for their side to make history and reach the quarterfinals.

McSkimming would no doubt be proud of the progress.

Off the field: The men of the USMNT

Glossary for the budding American World Cup fan

@highlight

U.S. faces Belgium in World Cup last-16 clash in Brazil on Tuesday

@highlight

Americans shocked the world by beating England in 1950 tournament

@highlight

Soccer is growing in popularity in U.S. as coverage spreads

@highlight

Team USA's success in group stage brought record audiences