(CNN) -- President Obama will sign an executive order establishing a presidential commission to investigate the Gulf of Mexico oil spill, an administration official said Monday.

Eight U.S. senators called earlier Monday for an independent federal investigation of whether oil giant BP violated civil or criminal laws in connection with the Gulf of Mexico oil spill.

It hasn't been determined when Obama will make the announcement of the presidential commission or when he'll sign the executive order, said the official, who did not want to speak on the record ahead of an announcement.

"The commission will take into account the investigations under way concerning the causes of the spill and explore a range of issues," the official said. In particular, the commission's inquiry will focus on industry practices, rig safety, regulatory regimes, federal governmental oversight -- including the structure and functions of the Minerals Management Service -- and environmental review and other protections, the official said.

Last week, Obama harshly criticized the companies involved in the spill, which threatens to become one of the nation's worst environmental disasters, and pledged to break up what he called the cozy relationship between regulators and the oil industry.

In testimony on Capitol Hill, BP touted its progress toward plugging the spill, but a top Obama administration official said the disaster is far from over.

Officials grilled on oil spill

"We are in the middle of this crisis. We are not at the beginning," Homeland Security Secretary Janet Napolitano told a Senate committee Monday afternoon. "We've been at it a month almost, but we are not near the end as well."

BP has successfully inserted a siphon into the damaged riser pipe from the underwater well at the heart of the spill. The procedure has allowed the company to collect more than 1,000 barrels (42,000 gallons) of oil a day that would otherwise spill into the Gulf, said Doug Suttles, the company's chief operating officer. That, combined with the use of chemical dispersants to break up the spill, has reduced the amount of oil reaching the surface, he said.

"This [is] probably the smallest amount of oil I've seen on the surface since the effort began," Suttles said.

The well had been spewing an estimated 5,000 barrels a day into the Gulf since late April, when the drill rig Deepwater Horizon blew up and sank about 40 miles off Louisiana. Eleven workers are presumed dead after the sinking, and the cause has not been determined.

Some of the oil has washed ashore on the Louisiana coast, and tar balls related to the spill have turned up as far east as Dauphin Island, Alabama.

Some estimates put the amount of oil gushing from the well far higher than the 5,000-barrel-per-day estimate made by the National Oceanic and Atmospheric Administration a few days after the spill began. Samples taken by scientists offshore have raised concerns that large plumes of oil are settling below the surface.

Samantha Joye, a professor of marine sciences at the University of Georgia, told CNN's "American Morning" that the size of the suspected plumes is hard to determine.

"Nothing like it has really ever been seen in the deep water of the Gulf of Mexico before," she said. "It's not only a large feature, but it's a very complex feature. There's a lot of vertical structure to it."

But federal officials said the results have not been fully analyzed. Charlie Henry, a scientific adviser from NOAA, said descriptions of "layers of oil" beneath the Gulf were "totally untrue."

"They were able to detect what we think is hydrocarbons in the water column. It was stated as oil, but it wasn't like oil you could see," Henry told reporters Monday afternoon.

The researchers were looking into the effects of the undersea dispersants used to break up the oil near the mouth of the well, nearly a mile beneath the surface, NOAA administrator Jane Lubchenco said in a statement issued Monday. But Lubchenco said the agency does not consider dispersants -- which have their own hazards -- "a silver bullet."

"They are used to move us towards the lesser of two environmental outcomes. Until the flow of oil is stemmed, we must take every responsible action to reduce the impact of the oil," she said.

Suttles said the next step in capping the well is a "top kill" procedure, in which a large amount of heavy "mud" -- a fluid used as a lubricant and counterweight in drilling operations -- is inserted into the well bore. If that succeeds, the well will be cemented shut, he said.

"That is the method we think we will be deploying later this week or this weekend," Suttles said. Another option -- putting debris in the well to stop the flow -- may also be utilized, he said. And once the leak is sealed, "We intend to fill up the bottom of this well with cement and it will never be produced."

BP, as the well's owner, is responsible for stopping the underwater gusher and paying for the cleanup, and Napolitano said the company has paid more than $9.6 million so far without denying a claim.

BP America CEO Lamar McKay, who appeared with Napolitano before the Homeland Security Committee, said the company was concentrating on plugging the leak and limiting the economic damage.

"We will put blame, liability, and those kind of things over to the side. That's not our concern right now," he said.

Large oil plumes may pose additional threat

The April 20 explosion aboard Deepwater Horizon has left BP, rig owner-operator Transocean and oilfield services contractor Halliburton pointing fingers at each other over the cause of the blast. The doomed rig's chief electronics technician told the CBS news program "60 Minutes" on Sunday that Transocean was being pushed to complete the well quickly because it was taking longer than expected -- an allegation Suttles would not discuss during an appearance on "American Morning."

"I know people are talking about various things that occurred that night on the rig, but I actually haven't seen any of the results of these interviews or investigations ... I don't actually have any knowledge that that was the case," he said.

A top official of the Interior Department agency that oversees offshore drilling is retiring a month earlier than planned.

Chris Oynes told his bosses after the Deepwater Horizon explosion that he would retire at the end of June, an administration official told CNN, but announced Monday that he would step down at the end of May instead.

Oynes has been associate director of the Minerals Management Service's Offshore Minerals Management Program since 2007. In the past, critics have accused MMS of being too cozy with the industries it regulates. A 2008 report from the Interior Department's inspector-general found MMS employees received improper gifts from energy industry representatives and engaged in illegal drug use and inappropriate sexual relations with them.

Interior Secretary Ken Salazar last week announced he would split MMS into separate divisions -- one for regulating offshore oil drilling and the other for collecting royalties from oil companies. Salazar is scheduled to appear before the Senate Energy and Natural Resources Committee on Tuesday, while Elizabeth Birnbaum, the current MMS director, will appear before the House Transportation and Infrastructure Committee.

CNN's David Mattingly and Eric Marrapodi contributed to this report.

@highlight

8 senators want to know if oil giant violated laws in connection with Gulf spill

@highlight

On Capitol Hill, BP touts its progress toward plugging the spill

@highlight

Researchers say oil could be lurking below Gulf surface in huge "plumes"