On paper, the 1974 version of "The Great Gatsby" had everything.

It starred Robert Redford, the biggest, most glamorous movie star of the era. The screenplay was by Francis Ford Coppola, coming off writing Oscars for "The Godfather" and "Patton." The art direction was sumptuous, and the costumes -- which helped launch a new craze for 1920s-inspired fashion -- were designed by the then little-known Ralph Lauren, among others.

And yet the movie, though a box-office success, fell far short of the novel. Critics at the time roasted it, and it's been largely forgotten since its release.

There are lots of reasons that the 1974 "Gatsby" hasn't become a film classic equal to the book's literary status. The actors were, perhaps, miscast: Redford a little too perfect given Gatsby's rough edges, Bruce Dern too unpolished for rich Yalie Tom Buchanan. Director Jack Clayton may have paid more attention to the opulent settings than the relationships between the characters.

And then there's the shadow of Fitzgerald himself, with his lyrical language, so enticing on the page and so difficult to translate onto celluloid.

But Hollywood hasn't given up. Like the green light across the bay that forever taunts the book's title character, F. Scott Fitzgerald's classic 1925 novel holds out the promise of a dream: turning the Great American Novel into the Great American Movie. After all, it has everything -- a love story, sex, money, crime, great themes, lush settings.

The latest attempt, a 3-D version starring Leonardo DiCaprio and directed by "Moulin Rouge's" Baz Luhrmann, opens Friday.

Luhrmann has steeped himself in both Fitzgerald and the Jazz Age. He immersed himself in Fitzgerald's biography. He read previous drafts of the novel. He even has a reason for using rock and hip-hop music on his soundtrack: The seemingly anachronistic sounds are the equivalent of jazz in the novel's 1922 setting, when the music was "referred to as an African-American fad," the director told The New York Times.

But does it matter? Is "Gatsby," finally, that dreaded word in Hollywood -- "unfilmable"?

"The language in 'Gatsby' is almost like poetry," says Louis Giannetti, emeritus film professor at Case Western Reserve University. "How do you translate that into cinematic terms?"

Entertainment vs. high school

It's never easy.

Novels and motion pictures are distinct forms of storytelling, points out Everest Entertainment's Tom Heller, who helped produce the films "Precious," "127 Hours" and the current "Mud." A book takes place largely in the reader's imagination; a movie makes concrete choices, down to the casting.

Moreover, it can be tough for a film to translate the internal thoughts of characters and narrators into action -- turning subtext into text, in other words. Len Cassuto, an English professor at Fordham University, says he admires the film version of "The Remains of the Day" for taking Anthony Hopkins' passive butler and turning him into a fascinating film character.

"The (actors) could bring that inner turmoil into sight nonverbally," he says. "It's a pretty big risk to write that as a movie."

Still, says Heller, any literary work can be made into a film, given the right hands. If there's a risk, he observes, it's when filmmakers adhere too closely to a classic or popular book, resulting in an airless dramatization -- not a full-bodied film.

"There's a danger that it can be perceived as something that's good for you," he says. "Films work best when they're extremely entertaining. An audience might look at a film that's adapted from a novel and think that they're in a high school class."

Indeed, it's a Hollywood truism that some of the best movies are made from energetic potboilers. "The Godfather" is usually Exhibit A: a fine, pulpy novel turned into a great film thanks to Coppola's attention to theme, photography and character.

Nevertheless, certain producers have been particularly eager to snap up prestigious literary properties and worry about the cinematic issues later. Scott Rudin, in particular, is well-known for his literary tastes, having optioned Cormac McCarthy's "No Country for Old Men," Michael Chabon's "The Amazing Adventures of Kavalier & Clay," Jonathan Safran Foer's "Extremely Loud and Incredibly Close" and Jonathan Franzen's "Freedom" over the years.

Not all of them have worked out, however.

How to throw a 1920s party worthy of Gatsby himself

Adapting to challenges

Indeed, it's not just literary pedigree that may make a book "unfilmable." Moviemakers may be wary of subject matter, technological challenges, even the mood. A talked-about book might only sell 50,000 copies; a movie has to sell millions of tickets.

So there's a reason Hollywood took the tragic ending of "The Natural" and turned it into a scene of feel-good fireworks. Who, besides a bunch of hubris-fascinated English majors, wants to see the book's (spoiler!) fallen, weeping Roy Hobbs "excluded from the game and all his records forever destroyed"?

Those challenges need not be a death sentence at the box office or with critics, however. "The Natural" had a successful run. John Ford's version of "The Grapes of Wrath" eliminated a symbolic suckling scene, toned down the politics, changed the ending and became a classic. McCarthy's brutal "No Country for Old Men" is full of horrific violence (not to mention the author's distinctive terse writing). Yet the Coen brothers managed to make an Oscar winner out of the material, helped in no small way by Javier Bardem's chilling performance as Anton Chigurh.

"Midnight Cowboy," "The English Patient," "The Lord of the Rings," "Life of Pi" -- all had their issues, whether cultural, literary or technological, and all ended up successful and award-winning films.

The key is that everybody has to be on the same page (pardon the pun), says screenwriter Karol Hoeffner, who's adapted works by authors such as Danielle Steel .

"For the best adaptations, you have a partnership," says Hoeffner, who teaches at Loyola Marymount University in Los Angeles. Moviemaking is a team effort, and if the screenwriter, director and producer are at loggerheads, the final product will suffer, she says.

And you have to follow your own muse, she adds. Hoeffner's original work, including books for young adults, is far different from Steel's romances, and she knew she'd have to make Steel's melodramatic dialogue more film-friendly.

"But," she says, "I was convinced I could tell the story."

Marketing muscle

Which brings us back to "Gatsby."

Luhrmann has the creative partnerships: Pal Craig Pearce wrote the screenplay and Luhrmann's wife, Catherine Martin, tackled the production design. He's tried a different angle, getting at "Gatsby's" famous distance by making Nick Carraway's character -- now in a sanitarium -- the novelist.

And, not unimportantly, he has the marketing muscle.

After all, a primary reason Hollywood keeps adapting certain novels is the built-in sales factor. "Gatsby" is on countless high school reading lists and sells hundreds of thousands of copies a year. There's a curious audience already waiting.

In addition, the book is being backed by a marketing blitz that would make Fitzgerald, a former advertising man, proud. Brooks Brothers, Tiffany, hotels, even an ice-cream manufacturer have climbed aboard the "Gatsby" bandwagon.

Will all that appeal to a summer movie audience generally filled with teenagers?

It's certainly shrewd, says Mary Simonson, a film and media studies professor at Colgate University.

"As I watched the trailer, I thought, 'This is for 16-year-olds,' " she says. "All of this is about gearing this toward high school and college students who may not have any notion of who Fitzgerald was or what the book actually was.

"They're not going to care too much about whether this is a well-done adaptation," she adds. "They're going to care about whether it's a Hollywood blockbuster."

@highlight

New version of "The Great Gatsby" one of many attempts to bring classic to the screen

@highlight

Book's lyrical prose, point of view make adaptation difficult

@highlight

Movies are different art form, and filmmakers have to remember that, says producer

@highlight

"Gatsby" benefits from well-known title, marketing ties