(CNN) -- If, say, Justin Bieber were to offhandedly announce that he will never record another song; if Kristen Stewart were to proclaim that she is finished acting forever; if LeBron James were to declare that he has played his last game of basketball. ...

If any of those things were to occur, they would become the topic of furious, nonstop national conversation.

But when one of the most admired and honored authors of fiction this country has ever produced let it be known that he has written his last novel and will write no more, it took weeks for anyone in the United States to notice.

Philip Roth told an interviewer for the French publication Les InRocks: "I'm done." The interview appeared in early October. This month Salon magazine took note of the French interview and contacted Roth's publisher; the publisher checked with Roth and reported back that it was true.

Roth, 79, after more than half a century of brilliant work -- including more than two dozen novels and novellas -- has decided that his most recent book, "Nemesis," published two years ago, would be the last one.

In the hierarchy of our contemporary world, popular music, movies and professional sports, as produced and played by the new stars of the moment, far outrank the written word in terms of the public's fascination. No one was exactly breaking into network newscasts with breathless bulletins about Roth's decision.

But for those of us who have followed his career and have long been stirred by the breadth and depth of his artistry, the idea that he would voluntarily close the door on writing is a major event.

It's not as if the years have caught up with him and sapped his talent; the work he has published since turning 70 not only holds up well against his earlier novels, it reaches new strata of wisdom, perceptiveness and pure storytelling skill.

From his first book -- 1959's "Goodbye, Columbus and Five Short Stories" -- through "Portnoy's Complaint" and "The Professor of Desire" and "Zuckerman Unbound" and "American Pastoral" and "The Human Stain" (just to skip around some of the mountain peaks of his career) -- he has never failed to provoke and rouse emotions. For most writers, just the work Roth has produced since that 70th birthday -- "The Plot Against America," "Everyman," "Exit Ghost," "Indignation," "The Humbling" and "Nemesis" -- is of a quality beyond all reasonable dreams of what a person might accomplish in an entire lifetime.

So why is he saying goodbye?

Here is some of what he told the French interviewer, as translated by The New York Times:

He has gone back and reread all his own books, and "After this, I decided that I was done with fiction. I don't want to read any more of it, write any more of it, and I don't even want to talk about it anymore. I have dedicated my life to the novel; I have studied it, I have taught it, I have written it and I have read it. To the exclusion of almost everything else. It's enough. I no longer feel this dedication to write what I have experienced my whole life. The idea of struggling once more with writing is unbearable to me." And he told The Times: "Writing is frustration â€” it's daily frustration, not to mention humiliation. It's just like baseball: you fail two-thirds of the time ... I can't face any more days when I write five pages and throw them away. I can't do that anymore."

Of course, even though there will evidently be no more new books, the ones he has written over the last 53 years are still there for new readers to discover. And as much as I admire his writing, there are many of his books that I still somehow haven't gotten to. I'm already making my list.

What I find when I read Roth is that as soon as I reach the last page of one of his novels, I have the urge to start it all over again to try to figure out: How did he do it? How did he create this magic?

Roth is famously private; several times over the years I have been offered the opportunity to meet him, and have purposely not followed up. Decades ago the owner of an independent bookstore who knew him offered to provide an introduction; in recent years a member of a private club in New York where Roth went regularly to exercise in the indoor swimming pool said he would be a go-between. But I hesitated, probably for the same reason that I have never read a review of a Roth book (not wanting someone's summary to spoil the story I am about to read), and have avoided reading profiles of him.

There's a story about a British rock 'n' roll luminary of the 1970s. The musician, it was said, attended an Elvis Presley concert at the Hilton in Las Vegas; he was seated near the front of the showroom.

After the last song, one of Presley's Memphis buddies came out and asked the musician if he would like to come backstage and say hello.

And the musician, or so the story goes, politely declined. The reason, he said, was:

"You're not supposed to meet Elvis."

Meaning: The work is enough. Let the work stand, and speak, for itself. When the work is good enough, that's all that should matter.

I'm looking over at a bookshelf, where I can see two distinctive yellow dust jackets: the first Roth book I ever purchased, more than 40 years ago -- "Portnoy's Complaint" -- and, down the row, the one I purchased most recently, "Nemesis."

"Nemesis" is a heart-stirring and heartbreaking story set against a polio epidemic in Newark, New Jersey, in the summer of 1944. If it does in fact turn out to be Roth's last novel, then these words -- and telling you this here is not giving away the plot -- will be the final sentence in the final Philip Roth novel:

"Running with the javelin aloft, stretching his throwing arm back behind his body, bringing the throwing arm through to release the javelin high over his shoulder -- and releasing it then like an explosion -- he seemed to us invincible."

Indeed.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Philip Roth has said his latest novel would be his last, he won't write any more

@highlight

Greene: Retirement of an artist of such stature in movies would have been huge news

@highlight

Roth's talent was apparent even in the novels he wrote in his 70s, Greene says