(CNN) -- Which president do you want running your country? The one that argues that he knew nothing about the spy programs targeting American allies, which have put America's relations with our closest friends in their most precarious state since the Iraq War? Or the one that approved such programs, knew about them all along, and is simply lying about what he knew?

Which Congress do you want providing oversight for such programs? The one that is now calling for massive investigations into America's out-of-control global surveillance apparatus? Or the one that failed to provide oversight when it was needed?

What kind of leaders do you want representing you in government?

The ones that shrug off gathering data from tens of millions of people in the U.S., France, Spain, Brazil and other countries worldwide as "spy business as usual," but only get really spun up when the surveillance scandal seems to touch other world leaders?

Or the ones still saying the threats posed by several thousand bad guys worldwide are grave enough to compromise the most fundamental rights of hundreds of millions of people worldwide, jeopardize our alliances, and potentially trigger a backlash against U.S. technology companies? The practice can also give other governments an excuse to limit Internet freedoms and spy more on their own people.

Take your choice. Because right now, America's leaders are offering themselves up on both sides of these divides. While the president tells the world he didn't know what spy programs he oversaw (and while his top aides are trying to placate governments with the same hard-to-believe stories), news organizations from Germany's Bild to the Los Angeles Times are running stories that, like logic, suggest otherwise.

Hint: You know you are in a crisis when a president known to be a control freak -- who is allergic to delegating responsibility and has alienated many in his own government by his reliance on a small coterie of close aides -- starts arguing he had no idea what his government was doing. That might be credible, or tolerable, when it comes to IRS snooping on conservative groups or how the tech work was handled on the rollout of a health care website. But when it comes to the vitally important, hugely sensitive business of managing America's intelligence programs, such "ignorance" beggars the imagination.

The White House's defense strategy is to embrace incompetence rather than take responsibility for errors of judgment on its watch. It is an approach this adminstration has used surprisingly frequently, most recently when President Obama responded to Obamacare's Glitchgate controversy by saying it frustrated him more than anyone, as though he were another victim rather than chief executive.

Whether or not he knew or should have known (and his failure to communicate with his Cabinet is a clear contributor to these problems), it sure isn't the kind of response you expect of a leader. Better would be: "It's a screw-up. It happened on my watch. I'll make sure it gets fixed."

It is also fine to note that some of the controversial surveillance programs began during the Bush administration. But all have continued now for five years during Obama's tenure, and some, like PRISM, have been expanded. Each year those programs were budgeted by the White House, overseen by White House appointees, reported to the White House, fed intelligence up to Obama's daily briefing and into the reports received by his top national security officials.

And before the political knife-fighters on Capitol Hill start thinking this is open season on a wounded president who is clearly not going to have any awards for his management skills to sit alongside his Nobel Prize, let's look at them: They have failed just as grievously.

Indeed many in Congress have been responsible for the atmosphere of pervasive fear in the country that has made the last decade a period of laws and actions -- from the Patriot Act to ill-considered foreign wars to "spygate" -- that will be seen by history as a dark chapter in American history. It will be viewed as the moment we responded to a limited threat with so much panic that our best values and judgment were jettisoned.

Perhaps, thanks to the revelations that have come from the Edward Snowden leaks (and let's be clear, Mr. President -- if Snowden knew, you should have too), we will initiate the kind of rules and oversight to avoid a coming era of basic rights diluted and the morphing of Big Data into Big Brother.

This is not just a job of reforms that the President and Congress will have to orchestrate together here in the U.S. To restore our most important relationships and advance the U.S. ideal of a world guided by international law, America must cooperate on initiatives that set standards both for how we ensure the sovereignty of our allies and for how we protect the privacy and freedoms of all people worldwide.

Spying will not and should not end. We must protect ourselves. But we must also remember that this requires vigilance about external threats -- and the ones that come from within our own system.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Do we want president aware of spying or one who lies about ignorance?

@highlight

He asks: Do we want Congress that provides oversight, or one "outraged" when it fails to?

@highlight

He says U.S. has jeopardized ally relations, given cover to regimes who curb Internet, spy

@highlight

Rothkopf: Spying happens, but U.S. should work with allies to guard global privacy