Washington (CNN) -- Call it domestic housekeeping, a political dotting of "i"s and crossing of "t"s on a checklist for launching punitive military strikes against Syria for last week's chemical weapons attack.

The Obama administration briefed members of Congress late Thursday in a display of consultation intended to fulfill a murky obligation under law and address the inevitable complaints by minority legislators that no one ever talks to them.

Officials including Secretary of State John Kerry, Defense Secretary Chuck Hagel, National Security Adviser Susan Rice, Director of National Intelligence James Clapper and the vice chairman of the Joint Chiefs of Staff were among those on the 90-minute telephone conference call, the White House said in a statement.

"The views of Congress are important to the president's decision-making process, and we will continue to engage with members as the president reaches a decision on the appropriate U.S. response to the Syrian government's violation of international norms against the use of chemical weapons," it read.

A lawmaker on the call said that its main message was that the administration has no doubt the Syrian government used chemical weapons. No decision has been made yet on military action, and there is no time table, the lawmaker said.

Hagel reportedly stressed that both action and inaction on Syria carry risk and consequence.

"Tonight the administration informed us that they have a 'broad range of options' for Syria but failed to layout a single option. They also did not provide a timeline, a strategy for Syria and the Middle East, or a plan for the funds to execute such an option," said Sen. Jim Inhofe, R-Oklahoma after the call.

Rep. Dutch Ruppersberger, D-Maryland, warned that the United States "cannot be the lone sheriff of the whole world."

"The United States must be careful in how it proceeds and must act together with a coalition of countries," he said.

While informal briefings and phone calls have taken place this week, the latest sessions with congressional leaders and others represent an official effort to lobby support while meeting an imprecise obligation under U.S. law.

Does Congress need to give blessing?

The War Powers Resolution passed by Congress in 1973 requires that the president seek consent from Congress before force is used, or within 60 days of the start of hostilities. It also says the president must provide Congress with reports throughout the conflict.

Since 1973, the United States has used military force in Grenada in 1983, Panama in 1989, Iraq in 1991, Haiti in 1994 and Kosovo in 1999. In all those instances, presidents -- both Democrats and Republicans -- sidestepped Congress and committed U.S. military forces without obtaining congressional approval.

Congress did, however, provide President George W. Bush with its approval for the war in Iraq in 2002 and the war in Afghanistan after the September 11, 2001, terror attacks.

Now, House Republicans lead the calls for President Barack Obama to convene a joint session of Congress to lay out his case to the lawmakers and the American people. Some in both parties demand a vote before any military strikes occur.

More than 90 members of Congress, most of them Republican, have signed a letter to the president urging him "to consult and receive authorization" before authorizing any such military action, according to the office of GOP Rep. Scott Rigell of Virginia.

Meanwhile, 54 House Democrats mostly representing the party's progressive wing sent Obama a letter Thursday that said "we strongly urge you to seek an affirmative decision of Congress prior to committing any U.S. military engagement to this complex crisis."

However, others acknowledge the reality that Obama has the authority to order limited attacks on Syria without first asking permission.

What next in Syria: 5 lessons from Iraq

McCain: Obama can act without congressional approval

Veteran GOP Sen. John McCain of Arizona expressed the prevailing view when he said Obama should consult with Congress first, but nothing legally required him to get approval before launching missiles at Syria in response to what U.S. officials call a major chemical weapons attack by the regime of President Bashar al-Assad that killed hundreds on August 21.

"No, the president does not have to," McCain told Fox News on Wednesday. "But he is required to consult with Congress, and it would be in his interests to consult with Congress, rather than acting in a unilateral fashion."

Agreeing was GOP Rep. Mike Rogers of Michigan, who chairs the House Intelligence Committee.

"Under the War Powers Act, I don't believe there has to be a vote," Rogers told MSNBC on Thursday. He added that it would be both politically wise and follow the law to have full discussions with Congress, saying: "You have to have these discussions. You have to bring members in. I think the administration is obligated to do that."

So far, the administration has failed to properly meet its obligation to fully consult Congress, Rogers said, describing its efforts as "trying to do it on the cheap."

At the White House, spokesman Josh Earnest disagreed, saying the "robust consultations" cover a wide range of information, including classified briefings for some members of Congress.

"It involves some insight into the perspective of our diplomatic partners around the globe," he said. "It involves reading out conversations that the president and others have had with our allies. It involves a review of the options that are available to the president as he considers an appropriate response."

Along with the congressional briefings, the administration is expected to publicly release a declassified intelligence report this week on what happened in Syria. The White House has made clear that the report would come out before any U.S. action occurs.

War Powers debate arises again around possible action in Syria

Boehner seeks "clear, unambigous explanation"

At home, polls show Americans are conflicted over the U.S. intention to respond in Syria. While national polling over the past few months suggests most Americans don't favor military involvement in Syria, some surveys indicate the public feels Washington would be justified in using military action against Damascus in the event of chemical weapons attacks by the regime.

For almost two years, Obama has avoided direct military involvement in Syria's civil war, only escalating aid to rebel fighters in June after suspected smaller-scale chemical weapons attacks by Syrian government forces.

However, last week's attack obliterated the "red line" Obama set just over a year ago against the use of Syria's chemical weapons stocks.

The United States has concluded Syria carried out chemical weapons attacks against its people, Obama said Wednesday.

"If, in fact, we can take limited, tailored approaches, not getting drawn into a long conflict, not a repetition of, you know, Iraq, which I know a lot of people are worried about - but if we are saying in a clear and decisive but very limited way, we send a shot across the bow saying, stop doing this, that can have a positive impact on our national security over the long term," the president told "PBS Newshour."

Opinion: On Syria, learn from U.S. mistakes in Iraq

Calls for a role in the decision-making process appear motivated both by the incessant grappling to shift Washington's power balance and the general public distaste for more war after more than a decade of conflict in Afghanistan and Iraq.

In a letter to Obama on Wednesday, House Speaker John Boehner called on the president to "provide a clear, unambiguous explanation of how military action -- which is a means, not a policy -- will secure U.S. objectives and how it fits into your overall policy" regarding Syria.

"I respectfully request that you, as our country's commander-in-chief, personally make the case to the American people and Congress for how potential military action will secure American national security interests, preserve America's credibility, deter the future use of chemical weapons, and, critically, be a part of our broader policy and strategy," Boehner's letter said.

"In addition, it is essential you address on what basis any use of force would be legally justified and how the justification comports with the exclusive authority" of Congress to declare war under the Constitution, the Ohio Republican wrote.

On Thursday, Obama spoke by phone with Boehner to brief him on Syria, according to the speaker's spokesman, Brendan Buck. Boehner was also on the conference call Thursday night.

"It is clear that further dialogue and consultation with Congress, as well as communication with the American public, will be needed," Buck said of Obama.

Opinion: For U.S., Syria is truly a problem from hell

CNN's Dana Bash, Ted Barrett, Jim Acosta, Paul Steinhauser, Alan Silverleib and Leigh Ann Caldwell contributed to this report.

@highlight

Top Cabinet officials brief members of Congress

@highlight

History shows presidents can launch military action without approval

@highlight

Consult with us first, both Republicans and Democrats tell Obama

@highlight

House intelligence chairman says Obama is trying to consul "on the cheap"