London (CNN)A French journalist's ISIS captors cared little about religion, Didier Francois -- who spent over 10 months as the group's prisoner in Syria -- told CNN's Christiane Amanpour in an exclusive interview on Tuesday.

"There was never really discussion about texts or -- it was not a religious discussion. It was a political discussion."

"It was more hammering what they were believing than teaching us about the Quran. Because it has nothing to do with the Quran."

"We didn't even have the Quran; they didn't want even to give us a Quran."

Francois was released in April last year, but has only rarely spoken about his ordeal. He is one of the rare ISIS hostages who was freed.

Among those still held by ISIS is an American woman, U.S. President Barack Obama acknowledged this weekend in an interview with NBC News.

Francois told Amanpour that he had met her twice. He was reluctant to get into details, lest anything jeopardize her safety.

In general, he said, women "had a bit more freedom of movement," but being an ISIS hostage is "frightening enough," and "being a woman doesn't make it easier."

Francois saw unimaginable horrors while detained.

When ISIS held him in an Aleppo hospital, he routinely heard and saw the aftermath of his captors' torture of local Syrians and Iraqis who fell afoul of their hardline rules.

"We could see some of them in the corridors when we were taken to the toilets," he said, "and we could see some people lying in their blood."

"You could see the chains hanging, or the ropes hanging, or the iron bars."

Francois is matter of fact when describing his own treatment.

"Of course we were beaten up. But it was not every day. I mean, it's hard enough -- you don't have to overplay it."

"It's hard enough to lose your freedom. It's hard enough to be in the hands of people who you know are killing hundreds and thousands of local Syrians, Iraqis, Libyans, Tunisians, can put bombs in our countries."

"It's terrifying enough. The beating is strong, but it's not every day. It happens sometimes."

"If they wanted to wreck you, they could. None of us would have been able to go through if it was beating every day, and torture every day."

Through ISIS's brutal executions of Western journalists, one anonymous fighter has seared himself into the world's consciousness -- nicknamed "Jihadi John" for his distinctly British accent.

Francois knew Jihadi John while in captivity; he was one of the guards.

"You can see on the video -- he's not somebody you'd like to have to deal with."

The British jihadis, nicknamed "The Beatles" by the hostages, were "harsher in their violence," he said.

They were, he told Amanpour, more extreme -- the food the Brits gave them was better, "but the beating was harsher."

Jihadists from the former French colonies in North Africa, or the Maghreb, were also comparatively harsh in their treatment of French captives, Francois said.

They "were much more keen to [put] the French hostages in the same groups as the Americans and the British, and not negotiate for us," Francois said.

Francois was released just before ISIS made its shocking sweep through Iraq, capturing vast amounts of territory.

Indeed, he now says, he does not believe he and his three colleagues would be released were they still in ISIS hands, "especially with France involved in the coalition and bombing in Iraq."

"We were lucky."

When he went to Syria, he told Amanpour, a journalist or NGO worker's capture was not reported, so it was hard to know just how dangerous it was.

"So we didn't know the level of the risk, or we didn't realize the level of the risk at the time. Plus it was the time when the people from ISIS were still hiding within Jabhat al-Nusra and didn't organize their kind of coup within al Qaeda."

Unlike the United States and the United Kingdom, many European countries are believed to pay ransom for hostages held by terrorist groups, including ISIS.

France has publicly denied paying a ransom for the journalists' release.

"It's never only a question of money," Francois said, calling speculation in the media about amounts of money that may have been paid "utterly ridiculous."

Francois was held captive with James Foley, the journalist whose brutal execution fby ISIS -- and the video that followed -- was the first in a sickening line.

"James was an amazing friend," Francois said. "He never gave up. He had a fantastic heart."

"He was always trying to get things for the others."

When guards asked the hostages if they needed anything, they would all reflexively reply no, not wanting to rock the boat.

Foley, by contrast, would suggest perhaps they could have some vegetables to vary their diet.

"They didn't like the fact that he was not broken. And that's the reason why he was getting more beaten. Because he was not broken. He was still fighting, in his way. He was still arguing."

When Foley was so gruesomely murdered, Jihadi John was seen in an ISIS propaganda video putting a knife to the journalist's neck.

The actual beheading was not shown on camera, leading to speculation about whether Jihadi John was actually behind the killing.

Francois told Amanpour he believes it was Jihadi John who committed the murder.

As a former captive, Francois has incredible perspective on the inner workings of an opaque and new organization.

"The Iraqi and the Syrian people who join ISIS are much more traditional conservative kind of guys from the tribes."

"And sometimes it's not easy for them to fit with the jihadis coming from other countries, because they don't share the same ideas, they don't share the same behaviors, they don't have the same codes. And sometimes it's really tense between them."

Unlike al Qaeda, from which ISIS was cleft, Abu Bakr al-Baghdadi "is always trying to root his organization in the local conflict."

"He always tries to push the Sunni tribes, the Bedouins, to fight against the Shiite, or the Yazidi, or the Christians. And they trying to play communities one against the others. That's how he survives. That's how he recruits."

"He is using, of course, those young guys coming from Europe or coming from all over the place. But it's only one part of his organization. The strongest parts of his organization are the tribes, the local Sunni tribes."

Survival, he said, was a matter of trying to exist "in between those."

@highlight

Didier Francois says his ISIS captors "didn't want even to give us a Quran"

@highlight

He was held captive by ISIS for 10 months in Syria

@highlight

The British jihadis were "harsher in their violence"

@highlight

James Foley "never gave up; he had a fantastic heart"