(CNN) -- For all the difficulties of the Affordable Care Act's rollout, Americans are more patient than you might think: A new poll shows a majority expressing optimism that the problems are going to be ironed out.

Not only that, a majority continues to support the law or think it didn't go far enough. Nevertheless, the conservatives rooting for its demise have been expressing not just vindication, but triumph. "We could be looking at the collapse of American liberalism," said columnist Charles Krauthammer. "Liberalism is crumbling in front of our eyes," echoed Michele Bachmann.

Yes indeed, a glitchy website and people moving from junk insurance to real insurance prove once and for all that government should have as little to do with health care as possible, and the entire liberal project lies in tatters.

That's a little like proclaiming that your team will inevitably lose the World Series, then go bankrupt and disband because the other team scored a run in the first inning of Game 1. But the momentary political situation aside, conservatives still face a fundamental problem when they confront America's health care system. Their ideology dictates only one solution to all health care problems, and that solution -- less government, more free market -- is exactly what gave us our dysfunctional health care system in the first place.

Let's step back a moment to consider why we needed the Affordable Care Act and what it says about the health care market. The basic conservative position is that the more you let market forces operate, the better the outcome will be. "More markets" is the answer to everything: Let people buy insurance across state lines. Make it virtually impossible to sue for medical malpractice. Create more health savings accounts.

But where do you think the problems of America's health care system came from? It wasn't government that gave us nearly 50 million uninsured Americans and denials for pre-existing conditions. It wasn't government that gave us the yearly and lifetime caps on insurance coverage that have sent so many people into bankruptcy when they've faced a serious illness or accident. It wasn't government that gave us "rescissions," where your insurance company cancels your policy if you get sick.

It wasn't government that gave us a system in which the gap between what we spend and what we get is so enormous.

It was the free market.

The conservatives who profess to love markets so dearly seem unable to grasp that the market for health care isn't like the market for shoes or cars. Other developed countries understand this. Every one of our peer nations has a system with more government control than ours, ranging from almost completely socialized systems like Great Britain's to ones like those in Switzerland and the Netherlands, which resemble Obamacare but with tighter regulation.

We don't have to wonder whether a health care system built on capitalist profit-seeking is more efficient and less expensive than those in which the government exercises more control. There has been a test running for decades, with many developed countries doing it one way, and the United States doing it the other. The results couldn't be clearer.

On almost any criterion you can come up with, the government-controlled systems work better. They cover everyone, while spending far less than we do. Their health outcomes are as good or better than ours. A recent Bloomberg News analysis rated America's as the world's 46th most efficient health system, right above Serbia and right below Iran. Among the developed countries in the Organisation for Economic Cooperation and Development, the U.S. ranks first (by a mile) in health spending per capita, but 26th in life expectancy.

There are some, however, who love the American health care system. American doctors make far higher salaries than their counterparts in other countries. American insurance companies do very well. As a recent New York Times investigation revealed, makers of devices like artificial hips mark up their prices double, triple, or even more when they sell to American hospitals as they do when they sell the same devices to European hospitals. The same is true of a hundred other devices and procedures. Why? Because in Europe, Japan, and other places with highly regulated health care, government rules keep the costs low.

In the American system, there are multiple points where companies do the rational thing: Extract as much money as possible from the system. That's why an MRI costs three times as much in the U.S. as it does in France or Holland.

But people living under the oppression of those other governments' systems must hate them, right? Wrong. The Commonwealth Fund recently released a study of health systems in 10 developed countries around the world which included a survey of satisfaction. America's health system was the least popular, with only 25% of Americans saying it works well and the other 75% saying it should be fundamentally changed or completely rebuilt.

The most popular was the most socialized, Great Britain's, with 63% saying it works well. You may remember that the opening ceremonies of the 2012 summer Olympics in London included a tribute to the National Health Service, so proud are Britons of their health system.

Despite all the problems created by America's private health care market, we do have versions of big-government, socialized insurance. They're called Medicare and Medicaid. They are far more efficient than private insurance, and Medicare recipients in particular love their coverage. It's no accident that in every election, Republicans -- who fought against the creation of Medicare and would love to privatize it -- try to pretend to voters that they're the program's greatest defenders. The champions of free-market capitalism decide they can't get elected without supporting a single-payer insurance program.

In all their glee about the troubled rollout of the Affordable Care Act, most Republicans are barely bothering to offer an alternative, other than a return to the way things used to be. It isn't surprising, because to be brutally frank, they never much cared about the spectacular human suffering created by free-market health care.

For decades, liberals have been working to devise policy solutions and create the political conditions for health care reform that would achieve secure, universal coverage. On the other hand, in the face of millions who can't get insurance because of pre-existing conditions and millions more who just can't afford it, the conservative response was always, "Whatever." The market spoke, and you lost. Too bad for you.

The Affordable Care Act can certainly be improved. But in health care -- to paraphrase Ronald Reagan -- the free market isn't the answer to our problems. It is the problem.

The opinions expressed in this commentary are solely those of Paul Waldman.

@highlight

Paul Waldman: Americans still optimistic Obamacare will be fixed; conservatives hope not

@highlight

He says conservatives ignore that market solutions on health care have led to failed system

@highlight

He says U.S.'s peer nations all have government control in their successful health systems

@highlight

Waldman: Health care has been incredibly costly, exclusionary; conservatives say: "Whatever"