It was a brazen attack, resulting in the death of the most senior U.S. officer since 9/11, and officials have named the attacker as a member of Afghan's military.

Maj. Gen. Harold Greene -- a longtime officer who was leading efforts to train soldiers in Afghanistan -- was killed Tuesday at a military training facility in Kabul.

An ISAF official said that the group was standing outside, and the attacker, who has been identified by the Afghan Ministry of Defense as an academy member named Rafiullah, shot from inside a nearby building at a distance of about 100 yards.

The assailant had served in the academy for two and a half years, Zahir Azimi, an Afghan Ministry of Defense spokesperson, told CNN.

Pentagon officials went out of their way to say the shooting would not change the relationship between U.S. and Afghan forces.

"I've seen no indication that there's a degradation of trust between coalition members and their Afghan counterparts," Pentagon spokesman Rear Adm. John Kirby told reporters Tuesday.

But the deadly ambush at a premier training facility for Afghan military officers raises questions about the vetting process for Afghan soldiers and also the upcoming handover of security to Afghan forces.

"When something like this happens, in the least it creates a crisis of confidence for Afghans and for us," said Vali Nasr, dean of the School of Advanced International Studies at Johns Hopkins University.

So far, the Taliban has acknowledged the general's killing, but hasn't claimed responsibility for it.

The Afghan Ministry of Defense continues to investigate the incident.

The Pentagon isn't commenting on the possibility of Taliban involvement, saying the Afghan military and international forces are in the early stages of an investigation.

Nasr told CNN's "The Situation Room" that the attack raises serious concerns as the United States prepares to withdraw forces from Afghanistan.

"The Taliban have proven today they can infiltrate this force at will," he said. "The discipline we are seeking or that we are claiming is not there, and I think it is very difficult for the administration to say that everything is going according to plan, as if this is just an isolated incident and we can just leave."

But it's still unclear whether the gunman had Taliban ties and whether he slipped through the military's screening process, said Philip Mudd, a CNN counterterrorism analyst and former CIA official.

"I don't think we should look and make judgments about the vetting process too quickly," he said. "You would think on the surface that maybe he was recruited by the Taliban. That's not necessarily the case."

Witnessing the horrors of war sometimes inspires soldiers to turn against their onetime allies, he said.

"He might have seen something in the last months or years... and sometimes there is an emotional switch that turns on after their recruitment, after their vetting, that leads them to say, 'I want to do something about this. I'm going to kill someone in the U.S. military,'" Mudd said.

Insider attacks: When Afghan soldiers turns and kill allies

'Routine visit' turns deadly

The attack occurred during a routine visit to the Marshal Fahim National Defense University in Kabul to look at improvements made at the school, Kirby said. In addition to the general's slaying, up to 15 coalition troops were wounded in the shooting rampage.

The shooter was wearing an Afghan military uniform and is believed to be someone who had served for some time in a unit of the Afghan armed forces, Kirby said.

"A person that we believe was an Afghan soldier opened fire and hit many with his weapon," he said.

The Afghan Defense Ministry described the shooter as a "terrorist" and said Afghan soldiers shot him dead.

General helped lead training

Army Chief of Staff Gen. Ray Odierno released a condolence statement confirming Greene's death.

"Our thoughts and prayers are with Maj. Gen. Harold J. Greene's family, and the families of our soldiers who were injured today in the tragic events that took place in Afghanistan," Odierno said in the statement, referring to other officers who were hurt.

"These soldiers were professionals, committed to the mission. It is their service and sacrifice that define us as an Army. "

Kirby, the Pentagon spokesman, described the general as a very experienced officer who was a leader in the training command in Afghanistan. He was an expert in infrastructure and logistics, Kirby said.

Gen. Martin E. Dempsey, chairman of the U.S. Joint Chiefs of Staff, expressed condolences on his official Facebook page Tuesday night.

"We serve, and where we serve we are often at risk," he said. "God bless those wounded and killed in Afghanistan yesterday and their families."

Insider attacks: 'A threat you can't completely eliminate'

This isn't the first time people dressed in Afghan security forces uniforms have attacked coalition forces who have worked to thwart such violence.

"The insider threat is one that we've been focused on for quite some time. ... It is a threat you can't completely eliminate," Kirby told CNN.

But it's a threat that can be mitigated, he said. And officials stress that statistics show that the numbers of such attacks have decreased.

In 2012, so-called "green on blue" insider attacks took the lives of dozens of coalition troops, and the U.S. command in Kabul halted some joint operations with Afghan security forces, CNN has previously reported.

Two attackers wearing Afghan military uniforms killed two U.S. service members in February in Afghanistan, the military publication Stars and Stripes reported.

In October 2013, a man in an Afghan soldier's uniform shot and killed an ISAF member in eastern Afghanistan, CNN reported.

According to an April 2014 Pentagon report, insider attacks against ISAF forces declined from 48 attacks in 2012 to 15 attacks in 2013. In the first quarter of 2014, there were two insider attacks against ISAF.

"Despite this sharp decline, these attacks may still have strategic effects on the campaign and could jeopardize the relationship between coalition and ANSF [Afghan National Security Forces] personnel," the report reads.

Kirby called insider attacks "a pernicious threat" that are "difficult to always ascertain, to come to grips with... anywhere, particularly in a place like Afghanistan."

"Afghanistan is still a war zone," he said.

Numerous security protocols were instituted a few years ago to help ensure military personnel are safe, White House spokesman Josh Earnest said. The United States will review the circumstances of Tuesday's shooting to see if any changes should be made.

White House: Attack is 'painful reminder' of troops' sacrifice

President Barack Obama was briefed about the shooting and called Marine Gen. Joseph Dunford, the top U.S. commander in Afghanistan, to get more information, Earnest said.

"While we have made tremendous progress in disrupting, dismantling and defeating al Qaeda operations and leadership in Afghanistan and progress in winding down U.S. involvement in that conflict, this shooting, of course, is a painful reminder of the service and sacrifice that our men and women in uniform make every day for this country," Earnest said.

In February, the Obama administration announced for the first time that it had begun planning for the possible withdrawal of all U.S. troops by the end of 2014 if Afghanistan did not sign a security agreement pertaining to rights of U.S. troops operating there.

In May, Obama said that if the Afghan government signs a security agreement, virtually all U.S. forces would be out of the country by the end of 2016, shortly before his presidency ends.

He called for 9,800 U.S. troops to stay in Afghanistan after the end of 2014, along with some allied forces. The number would get cut roughly in half by the end of 2015, and a year later the U.S. military presence would scale down to what officials described as a "normal" embassy security contingent.

Kirby told reporters Tuesday that Afghan National Security Forces "continue to perform at a very strong level of competence and confidence, and warfare capability."

The U.S. military feels that the Afghan military "grows stronger by the week" and noted that they are already "in the lead in combat missions" throughout the country, he said.

"They'll be completely in the lead for military operations by the end of the year," Kirby said. "We see no change in that."

2 U.S. soldiers killed in Afghanistan

@highlight

Afghan Ministry of Defense names assailant as academy member named Rafiullah

@highlight

Army chief of staff confirms death of Maj. Gen. Harold Greene

@highlight

Afghan soldier believed to be shooter, says Pentagon spokesman

@highlight

Analyst: "It creates a crisis of confidence for the Afghans and for us"