(CNN) -- A federal appeals court in San Francisco, California, has blocked same-sex marriages in that state from resuming immediately, until the three-judge panel hears broader questions over the constitutionality of such marriages.

The brief order from the 9th Circuit Court of Appeals late Monday set aside a federal judge's decision earlier this month that would have permitted same-sex marriages to resume in California as early as Wednesday. That came after the judge ruled a voter-approved ban on same-sex marriage violated federal civil rights laws.

The appeals court also set a fast schedule to hear the merits of the constitutional challenge to Proposition 8, the 2008 initiative defining marriage as only between one man and one woman. Oral arguments will now be held the week of December 6, meaning a decision on whether same-sex couples can legally wed likely will not be decided until sometime next year.

Opponents of Proposition 8 seeking to overturn the voter-approved ban on same-sex marriages will not appeal Monday's ruling to the U.S. Supreme Court, according to spokesman Yousef Robb with the American Foundation for Equal Rights. Opponents could ask the Supreme Court to intervene on the narrow question of whether to allow the stay to be lifted, but both sides of the debate agree the odds of the justices getting involved at this stage are very slim.

The case has had an up-and-down series of rulings and referendums. The state's high court had allowed same-sex marriage, but then the voter referendum two years ago passed with 52 percent of the vote. The California Supreme Court subsequently allowed that initiative to stand, saying it represented the will of the people.

Opponents of the law next filed a federal challenge, saying the law violated 14th Amendment constitutional protections of due process and equal protection.

Judge Vaughn Walker on August 4 agreed, issuing a 136-page opinion that concluded, "Proposition 8 fails to advance any rational basis in singling out gay men and lesbians for denial of a marriage license." The Reagan-appointed judge added, "Proposition 8 does nothing more than enshrine in the California Constitution the notion that opposite-sex couples are superior to same-sex couples."

Same sex marriage is currently legal in five states and in the District of Columbia, while civil unions are permitted in New Jersey. The five states are Massachusetts, Connecticut, Vermont, Iowa, and New Hampshire.

Walker's landmark ruling assured a swift federal appeal that ultimately may reach the Supreme Court. One sticking point could be whether Proposition 8 supporters in court -- all private citizens and groups -- have legal "standing" to continue appealing the case. State officials, including the governor and attorney general, support individual same-sex couples challenging the law. Such state "actors" traditionally defend voter referendums and legislation.

Some legal experts say if the appeals court eventually rules Proposition 8 backers cannot bring their petition for relief , the Supreme Court may not seek to intervene further, giving no clear guidance on the larger question of the constitutionality of same-sex marriage nationwide. The high court, in a 1997 unrelated appeal, had expressed "grave doubts" about the ability of such private groups to challenge rulings that strike down ballot initiatives.

Walker's ruling had given the losing side a chance to appeal, and he held off allowing same-sex marriages from resuming until an emergency injunction request could be decided by the higher court.

Among the federal appeals judges who agreed Monday to block same-sex marriages from resuming immediately was Sidney Thomas, a Montana native who was interviewed this spring by President Obama for the Supreme Court vacancy that eventually went to Elena Kagan.

The case is Perry v. Schwarzenegger (10-16696).

@highlight

California's Proposition 8 defines marriage as only between one man and one woman

@highlight

On August 4, a federal judge ruled that Prop 8 violates federal civil rights laws

@highlight

Monday's appeals court ruling sets aside that ruling pending further hearings

@highlight

Arguments will now be held before the appeals court in early December