Nearly three years after it began, the surge of U.S. troops to Afghanistan is over.

In December 2009, on President Barack Obama's order, an additional 30,000 troops headed to the war-torn country hoping to stabilize it and quash what was then widely viewed as a Taliban resurgence despite just more than eight years of war.

Now, the last several hundred of the extra troops have left Afghanistan, according to a senior U.S. defense official.

Payoff? Assessing the Afghan surge

That still leaves about 68,000 American troops still in the nation, as was the case in late 2008. And violence continues to rage in parts of Afghanistan, including numerous high-profile "green-on-blue" attacks of late in which men dressed in Afghan police and military uniforms open fire on other Afghan security officers and coalition forces.

If all goes to plan, the withdrawal of U.S. troops will continue as more security responsibilities are handed over to Afghan authorities.

NATO leaders this May signed off on Obama's exit strategy that calls for an end to combat operations next year and the withdrawal of the U.S.-led international military force by the end of 2014.

After that, a new and different NATO mission will advise, train and assist an expected 350,000-strong Afghanistan force, NATO Secretary General Anders Fogh Rasmussen has said.

Obama committed to the surge following years in which the U.S. government poured troops and resources into the war in Iraq, giving the Taliban time to rebuild and start retaking their traditional stronghold in southern Afghanistan.

At the time, progress toward having Afghan forces prepared to take over security in their country had seemingly stalled.

Earlier this month, the deputy commander of international forces in Afghanistan said NATO-led forces had made progress. Yet Lt. Gen. James L. Terry also noted the continued efforts by insurgents to "divide the coalition from our Afghan partners."

One example of how the insurgency can strike, seemingly at will and around the country, is last week's brazen assault on a coalition base in southern Afghanistan that killed two U.S. troops and destroyed six coalition fighter jets, as well as a suicide attack in Kabul on Tuesday that killed 12 people.

Violence rages as surge troops depart Afghanistan

The senior combat leader in Afghanistan, Gen. John Allen, said last month that insurgent violence in southern Afghanistan was down 3% over 2011 levels, but admitted it was not "statistically significant."

However, while violence levels may not have changed much, Allen said the significant change was where the violence had moved.

"We have pushed hard on the insurgency to push them out of the population centers, much of which was cleared last year, and we've continued to push them into an increasingly smaller series of areas, districts, where we have, in many respects, contained them," said Allen, head of NATO's International Security Assistance Force.

Mark Jacobson, a senior fellow at the Washington-based analyst organization German Marshall Fund, positively pointed to signs that "the insurgency is not the monolithic structure it was back in 2009, when people said they were at the gates of Kabul."

NATO restricts Afghan operations after 'green-on-blue' killings, anti-Islam film

Yet Jacobson, a former NATO adviser to Gen. David Petraeus when the now CIA director was the top commander in Afghanistan, also added flatly, "We have not seen as much success as we had hoped for."

"Did the surge provide the necessary impetus in terms of security and the support of government and other activities so the Taliban and the insurgency would be brought to the table? I don't think that has happened as quickly as people had originally hoped," said Jacobson.

The effort to train Afghan forces isn't over, even as the coalition troop withdrawal continues. Marine Gen. John A. Toolan, head of allied forces in southern Afghanistan, said last April that he'd seen improvement in Afghan security forces. Still, he added more work needs to be done in intelligence, combat medicine, special operations, artillery and criminal investigation.

"As the conventional forces leave, special operations forces will continue to be required because their (Afghan military) special operations capabilities are going to take a little bit more time to nurture and mature," according to Toolan.

Opinion: Green-on-blue attacks show there's no easy way out

@highlight

Last of 30,000 extra troops sent in late 2009 have left Afghanistan, an official says

@highlight

About 68,000 U.S. troops remain in Afghanistan

@highlight

Obama has pledged to have most all coalition troops out by 2014