Paris, France (CNN) -- This week, France began deporting members of the Roma population as part of what it says is a crackdown on illegal immigration. It has put the focus back on the Roma, who remain widely misunderstood despite being one of Europe's largest minorities.

France begins controversial Roma expulsion

Who are the Roma?

Roma, also called Gypsies or Romany, are a group of people marked by poverty who live mainly in southern and eastern Europe, though they live throughout the continent. They tend to live in camps, caravans, or informal settlements and have been persecuted throughout history.

Some are Christian and some are Muslim, having converted while migrating through Persia and the Balkans, according to the United States Holocaust Memorial Museum.

Most Roma speak dialects of a language called Romani, which is based on Sanskrit, the classical language of India, the museum says. The language is largely unwritten, however, because of the high rates of illiteracy in most Roma communities, according to information from Minnesota State University.

Where did the Roma come from?

Roma originated in the Punjab region of northern India as a nomadic people and entered Europe between the 8th and 10th centuries, according to the Holocaust museum. They were called Gypsies because Europeans mistakenly believed they came from Egypt.

Many Roma traditionally worked as craftsmen and were blacksmiths, cobblers, tinsmiths, horse dealers, and toolmakers, according to the museum. Others were performers like musicians, circus animal trainers, and dancers. By the 1920s, some were also working as shopkeepers or civil servants.

The number of nomadic Roma was on the decline in many places by the early 1900s, though many "sedentary" Roma often moved seasonally, depending on their occupations, the museum says.

Where did the Roma go in Europe?

Roma were living in Spain, France, England, and large parts of what is today Russia and Eastern Europe by the late 1400s. They suffered persecution in those countries ranging from laws against their language and dress to expulsion, according to Minnesota State. In the beginning of the 15th century, many Roma were forced into slavery by Hungarian and Romanian nobles who needed laborers for their large estates, according to the university.

Roma suffered persecution during World War II. The Nazis judged Roma to be "racially inferior," according to the Holocaust museum. "Their fate in some ways paralleled that of the Jews," the museum said. The Nazis subjected Roma to internment, forced labor, and murder.

"While exact figures or percentages cannot be ascertained, historians estimate that the Germans and their allies killed around 25 percent of all European Roma," the museum says. "Of slightly less than 1 million Roma believed to have been living in Europe before the war, the Germans and their Axis partners killed up to 220,000."

What is the situation for Roma in Europe today?

Many Roma live on the edges of communities or are transient. They suffer massive discrimination throughout Europe, according to Amnesty International, and are often the victims of forced evictions, racist attacks and ill-treatment by police, and are often denied their rights to housing, employment, health care and education.

In Slovakia, thousands of Roma children are placed in special schools and classes designed for pupils with "mild mental disabilities" or in ethnically segregated mainstream schools and classes that provide a substandard education, Amnesty says.

Human Rights Watch expressed concern last year about a wave of attacks on Roma in Kosovo, and the United Nations pointed to mounting racial violence in Russia in 2008 that targeted Roma and other ethnic and religious minorities.

In June 2009, there was a series of attacks on Roma families in Northern Ireland, where the Roma had gone for work.

In Bosnia, Roma are barred from running for president or the upper chamber of Parliament.

The Budapest, Hungary-based European Roma Rights Center sent a letter of concern to Danish authorities last month about the recent mass arrest and deportation of 23 Roma in Copenhagen. They said Danish officials, including the mayor of Copenhagen and the country's justice minister, had made comments blaming the Roma for crimes.

A U.N. report last year cited the cost of deprivation among the Roma. In Bulgaria, it said, their life expectancy is five to six years below the rest of the population and their infant mortality rate is six times the national average. In Hungary, infant mortality among the Roma is nearly four times the country's average, and in Romania it is two and a half times greater, according to the report.

@highlight

Roma are also called Gypsies or Romany

@highlight

They live mainly in southern and eastern Europe

@highlight

They have suffered persecution throughout their history