When Rand Paul, a likely Republican presidential candidate, signed up for the photo-sharing app Shapchat on Wednesday, it set off a predictable round of mockery about the Kentucky senator.

Haha! chanted the Greek chorus of Internet snark. Look at this 51-year-old man signing up for the buzzy social media platform in a lame effort to win over The Youngs!

"Rand Paul Officially Ruins Snapchat Forever," was Huffington Post's take on the matter.

Even the senator himself admitted that edgy social media platforms can be drained of their cool factor once older users try to elbow in on the fun.

"Young people are flocking to it, until the grownups show up and people go somewhere else," Paul said in an interview with CNN.

Taken together, the blizzard of Rand ridicule contained at least one inarguable kernel of truth: Signing up for neat social apps won't solve the Republican Party's complicated relationship with younger voters. The GOP's collective aversion to same-sex marriage, which is favored by a large majority of Americans under 30, is one bigger obstacle that comes to mind.

But politicians -- at least the smart ones -- aren't just flocking to new platforms because they're trying to be hip, though that's certainly part of the calculation. They're joining them because that's increasingly where the voters are.

"It's pretty simple," said Wesley Donehue, a Republican consultant who specializes in digital strategy and spends as much time in Silicon Valley as he does in the trenches of national politics. "Rand Paul is talking to younger voters on a platform where they are spending all their time."

How Americans consume news

During the 2012 presidential campaign, the Pew Center for the People and the Press released a treasure trove of research about how Americans are consuming news.

Television remained the No. 1 news source for Americans, but viewership was on the decline, especially among young people. While older people were continuing to tune in at relatively steady rates, less than a third of Americans between age 18 and 24 reported watching television news the previous day, Pew found. And print and radio? Done-zo.

Instead, teens and twenty-somethings in 2012 were turning to digital sources and social networking platforms for news -- especially on their mobile phones, where millions of thumbs are constantly scanning Facebook, Twitter, Instagram, Vine or Snapchat at all hours of the day and night.

This migration of news to the Web, an expansive topic hashed out in a million newspaper obituaries, sober academic studies on "disruption" and in gushing articles about the triumph of Buzzfeed, is a phenomenon hardly limited to young consumers.

Every day, our Twitter feeds are flooded with some incredible statistic about how Americans across the board are abandoning traditional news and entertainment sources and flocking to digital or on-demand content.

Both broadcast and cable television viewership has tumbled across the board, a trend documented by both the ratings and scads of academic studies.

Pew released an intriguing one just last week: In 1985, it reported, roughly half of Americans could correctly identify Dan Rather as the anchor of the CBS Evening News, then the top-ranked evening news broadcast in the country. But last year, only 27% of the country could correctly name Brian Williams, who anchors the NBC Nightly News. Put another way, three-quarters of the country has no idea who anchors the highest-rated evening news broadcast in the country. This is the stuff Richard Nixon's dreams were made of.

Meanwhile, an entire wing of the Library of Congress could be filled with New York Times style section essays bemoaning our creeping addiction to mobile devices and the Internet.

Three-quarters of all adults now regularly use a social networking site, most likely Facebook, which still commands mind-boggling reach despite it's tumbling street cred among young people. There are more active wireless devices in the United States (326 million) than there are human beings (314 million).

More than 6 billion hours of video are watched on YouTube every month. CNN's digital platforms (shameless plug) had an average of 2.4 billion total global page views per month in 2013. And on and on.

Snapchat has an estimated 8 million users, which represents only a narrow sliver of the electorate. That number, though, is much larger than the daily viewership of any TV morning show.

Campaign strategists agree that television remains the most powerful forum for political messaging. Buying airtime during highly rated television programs is expensive for a reason. News broadcasts can still be potent vehicles, too. Witness how the marathon of televised Republican primary debates in 2011 and 2012 shaped public opinion about the race.

But as the reach of television news dwindles, so does its political power.

"TV is still effective and still going to command the lion's share of campaign budgets," said Will Ritter, a Republican strategist who recently launched Poolhouse Digital, a Virginia-based ad firm devoted exclusively to producing online video for campaigns. "But it's undeniable that every year millions of viewers are either cutting the cord or spending more time watching Netflix, Apple TV, YouTube, Vimeo or some platform we haven't even heard of yet. The trend is only going in one direction."

In 2012, the re-election campaign of President Obama had a firm grasp on the fracturing media ecosystem. It used sophisticated algorithms to identify potential voters and target them with paid media.

But unlike past campaigns, it didn't bother relying on legacy media organizations or White House briefings to get the message out. It ran campaign ads on the TV Land network, or during "Jeopardy" reruns, or it designed creative "infographics" and pumped them directly into the Facebook bloodstream for supporters to share.

"We're just fishing where the fish are," said former Obama strategist David Axelrod in a study released last year by Harvard University's Shorenstein Center on Media, Politics and Public Policy.

Did Twitter Kill the Boys on the Bus?

"Our job as a campaign was to find out the viewing habits and the reading habits of the people who were going to be decisive in the campaign," Axelrod said. "And as it turns out, a lot of those people were low-information voters who were absolutely not reading The New York Times and likely weren't reading a newspaper at all. They weren't watching the CBS or ABC or 'NBC Nightly News.' They weren't watching 'Morning Joe.' They were more likely to have been watching ESPN or reruns of 'Star Trek.' "

Enter the junior senator from Kentucky, who had a similar take on Snapchat, finding some common ground with Axelrod.

"If you want to get a message out, you have got to go where people are," Paul said. "It's not necessarily choosing one medium over another. It's just knowing that there are hundreds of media outlets out there."

Paul also seemed to understand another important truth about campaigning in the Internet age: The message has to be tailored to the medium. In Snapchat's case, that means sharing content that's concise, witty or just plain wacky.

"The way that you communicate is just as important as what you say in it," said Ritter. "You've got Vine and Instagram video and Tout and all these mediums. But it's not just about putting your bumper sticker everywhere. It's about proving to your more technologically savvy audience that you get it."

It's taken some time for politicians to figure this out.

In 2006 and 2007, before Barack Obama became the golden boy of the Internet, it was actually John Edwards who pioneered the use of social media during the 2008 Democratic presidential primary fight. The Edwards campaign produced YouTube "webisodes" (filmed by someone named Rielle Hunter) and signed the campaign up for every social network imaginable (remember Ning?). But it felt perfunctory and inauthentic: The Edwards message was the same across all platforms. Even on LiveJournal.

And for those looking for an even more cringe-worthy example, just Google "Mark Warner" and "Second Life."

On Thursday, the libertarian-leaning Paul sent out his third "Snap" to his followers: a video of him flying a remote control drone around his Senate office, a winking reference to the overseas unmanned missile attacks he so despises. The previous day, he blasted out a black-and-white picture of the moon under the banner: "Hey NSA check this out! You've been 'mooned.'"

"People take things way too seriously," Paul said. "The news cycle too often doesn't have any humor in it. I am always telling my staff to be on the lookout for humorous stuff."

The troubling downside to the explosion of news platforms, on mobile and elsewhere, is message control. Campaigns can keep their candidates cocooned far away from the mainstream media and deliver "news" on their own terms, without having to face very many difficult questions from obnoxious reporters.

But in this era of fraying relationships between the press and politicians, Snapchat offered at least one glimmer of hope this week. This reporter, eager to chat with a presidential hopeful on Thursday, paused during a stroll on Constitution Avenue and sent Paul a Snapchat message requesting an interview.

Thirty minutes later, he was on the line, raring to talk.

@highlight

Politicians flocking to new platforms where younger voters are spending their time

@highlight

Teens, twenty-somethings turn to digital sources and social platforms for news

@highlight

Snapchat has 8 million users -- a far bigger audience than TV morning shows