Washington (CNN) -- If you're one of the millions of Americans who get even a portion of your electric power from a nuclear generating plant, for more than three decades you've been paying a tax, whether you realize it or not, to fund the storage of nuclear waste from that plant in a safe place.

Collected at an estimated $750 million a year, the Nuclear Energy Institute now says this so-called "nuclear waste fund" amounts to close to $30 billion. And it is not being used to pay for the storage of a single ounce of spent nuclear fuel.

"The government has made much more of a mess than it should have been," Jay Silberg, a Washington lawyer, told CNN.

Silberg represents many of the nation's biggest nuclear power companies and for more than 20 years, he's been involved in lawsuits against the government, trying to make it pay for what he says it promised to do way back in 1982.

"That program, when it was set up, was supposed to be science-based," he says.

At one point, all of the nation's spent nuclear fuel -- at least the spent fuel used for commercial power generation -- was supposed to end up at a bleak spot in Nevada, about 90 miles north of Las Vegas, called Yucca Mountain.

Since the project began, the government has spent close to $11 billion in construction, engineering and scientific studies and there have been several blue ribbon commissions examining the safety of Yucca Mountain to hold all that waste.

What happened?

"Rather than let the science take its course, politics has interfered and the plug has been pulled on Yucca, at least so far," Silberg told CNN.

And by politics, he means politics at the highest level.

Almost from the start, Nevada politicians said they wanted nothing to do with the Yucca Mountain Project. But it wasn't until Barack Obama began his presidential campaign that Nevada's opposition gained serious traction.

Obama wrote to a Las Vegas newspaper, The Review-Journal, in the spring of 2007 saying he had "always" been against storing nuclear waste at Yucca Mountain.

And then after he became president, Obama killed nearly all of the essential government funds for Yucca Mountain.

And he did one more thing.

Obama appointed Gregory Jaczko as chairman of the Nuclear Regulatory Commission, the government agency with the power to regulate the nation's nuclear plants and with oversight over Yucca Mountain.

Jazcko (pronounced "Yaz-Koh") served for years as chief of staff to Senate Majority Leader Harry Reid of Nevada, who vowed never to allow Yucca Mountain to proceed.

The offices of Sen. Reid and Jaczko told CNN that the nation's spent nuclear fuel is safe right where it is, strung out across 65 storage sites nationwide.

That spent fuel ...tiny uranium pellets surrounded by steel rods coated with a zirconium alloy all packaged in a highly engineered assembly... now totals more than 70,000 tons nationwide. Two thirds of that spent fuel, according to the Nuclear Energy Institute, is now in pools under about 40 feet of water. Some anti nuclear organizations say those pools are too jammed with spent fuel rods and are vulnerable to accident or terrorist attack.

The nuclear industry says the spent fuel is safe and NRC officials say they believe the spent fuel can be reliably stored where it is for another 40 years.

CNN wanted to visit Yucca Mountain to see what's become of the project. The most recent television footage available of Yucca Mountain was taken in 2002. But officials from the Department of Energy, which oversees Yucca, declined, citing safety reasons. Some Republican members of Congress say they, too, were blocked in an attempt to visit Yucca.

At a Senate hearing this week in Washington, Sen. Lamar Alexander, R-Tennessee, pointedly told NRC Chairman Jaczko that it was "important to ask about Yucca Mountain."

"We have collected $30 billion to pay for an eventual disposal," he said. "Why not use it?"

@highlight

America's nuclear waste fund has close to $30 billion

@highlight

Obama opposes Yucca Mountain site for nuclear storage

@highlight

Spent fuel is stored in 65 storage sites