(CNN) -- Mahmoud Abbas, the Palestinian President who will sit with U.S. President Barack Obama on Monday to discuss the state—and the fate--of Secretary of State John Kerry's peace process is a good man and most likely the best partner for peace negotiations that Washington, this Israeli government or any other is likely to have. He's rational, enlightened and a leader who eschews both violence and the dream that somehow, sometime, the armed struggle, or demography will deliver Palestinians their state.

But there's only one pesky problem: Under current circumstances, he cannot deliver his side of a comprehensive peace agreement with Israel.

Here's why.

The Palestinian consensus

Abbas is in a bind. He's trapped by traditional Palestinian negotiating positions and a narrative that is almost impossible to alter. These positions include: June 1967 borders with minor territorial adjustments, a capital in East Jerusalem, security arrangements that don't suck every bit of sovereignty out of Palestinian statehood, and an acceptable answer to the question of what to do about the volatile issue of "right of return."

To diverge significantly from them would end his political viability and perhaps his life. Even the late Palestinian leader Yasser Arafat—whose power, authority and legitimacy conferred some discretion and flexibility-- wouldn't agree to anything short of this consensus. I once heard Arafat remark, at the Camp David Summit: You won't walk behind my coffin. And Abbas has little of Arafat's street cred. He is head of the Palestinian Authority, and the Palestinian Liberation Organization's executive committee, but is master of none.

Not enough urgency

The idea that you could reconcile this Palestinian consensus with Benjamin Netanyahu's bottom lines—assuming you could identify them-- is fantastical. And his self-image is not to become the midwife or father of a Palestinian state based on Abbas' requirements or needs; it is to water them down with U.S. help. Even then the idea that he's prepared to yield to Abbas on borders or Jerusalem is highly improbable.

The history of peacemaking on the Israeli side is, to be sure, a history of transformed hawks (see Menachem Begin, Yitzhak Rabin, Ehud Barak, Ehud Olmert). But Netanyahu is different, and circumstances have changed. The region is in turmoil, and Iran is his real priority. There is neither enough pain nor prospect of gain for him to urgently make this deal.

Divided Palestinians

Hamas has been greatly weakened. The ouster of Egypt's Mohammed Morsy, Turkish Prime Minister Recep Tayyip Erdogan's troubles and Hamas' need to distance itself from Syria have blocked its options. But, between Fatah and Hamas, the Palestinian national movement is still badly divided and resembles a kind of Palestinian Noah's Ark: There are two of everything: statelets, security services, patrons, constitutions and visions of what Palestine is and even where it is.

The real problem is that any reconciliation of the two factions will likely further harden Palestinian positions, creating a "tradeoff": internal peace in the Palestinian ranks but more tension with Israel, and probably the United States, too. And yet, unless the Palestinians find a way to assume control over the forces of violence in Palestine -- in short, one authority and one gun -- it's hard to see how Israel, even if it could be persuaded to withdraw from the West Bank on paper, would ever do so in practice.

The Obama administration understandably cannot deal with the Hamas issue now. Instead, it seems to subscribe to the "Field of Dreams" school of diplomacy: If you build it, they will come. According to this logic, an agreement between Israel and the Palestinian Authority would leave an already weakened Hamas no choice but to put up or shut up. The only problem is that for that to work, the "it" that they build would have to be an agreement so compelling that the vast majority of Palestinians would rally around it. That's very hard to see now.

No help from Obama

The President would like to be a historic peacemaker. And he made clear in his 2012 interview with Jeffrey Goldberg that he is very frustrated with Prime Minister Netanyahu. But to have a fight with this Israeli Prime Minister over the possibility of a long-shot Israeli-Palestinian deal doesn't add up. A productive fight with Israel that ends up producing a historic peace deal where everyone wins is one thing. But right now that deal is nowhere in sight.

Indeed, right now Obama's priorities are Ukraine, Iran, preserving a domestic legacy and maintaining Democratic control of the Senate in the upcoming midterm elections. He has little incentive or capacity to forcefully press Netanyahu for a deal.

People may think that a second-term president freed from the need for re-election is free to take a big gamble. But it has really never been the absence of political constraints as much as it is the presence of real opportunity that drives presidents. Obama doesn't want to fail.

No cause for alarm?

The odds of a conflict-ending agreement between Netanyahu and Abbas in which the core issues that drive the Israeli-Palestinian conflict are resolved are slim to none. Think outcomes, not solutions.

But this isn't a cause for despair. Kerry's relentlessness and skill in engaging the parties have created a process that will at least survive the U.S.-imposed April deadline for a peace deal and live at least until year's end. Nobody wants to be blamed for the demise of the Kerry process, and both Netanyahu and Abbas likely wonder--and worry about--what will happen if there is no process.

Israel probably doesn't have a Plan B. And Abbas' fallback -- to go to the United Nations and rely on the international community and the Boycott, Divestment and Sanctions movement -- doesn't offer much promise without Washington pressuring Israel.

And so Abbas' meeting at the White House will go well enough. The President deeply cares about the Palestinians and their cause. And while Abbas won't betray Palestinian positions for Obama's legacy, neither will he humiliate the President. Kerry may yet squeeze out enough from the two sides to produce a piece of paper.

In any event, it won't be the Palestinians who spoil the party. President Abbas will almost certainly tell the President, paper or not, deadline be damned, let us continue the important work of Israeli-Palestinian peacemaking. Peace may not be around the corner, but more negotiations almost certainly are.

The opinions expressed in this commentary are solely those of Aaron David Miller.

@highlight

Aaron Miller: Abbas to meet with Obama, but he won't be able to deliver his side of peace deal

@highlight

He says Abbas backs off Palestinian negotiating points at his peril; Netanyahu won't yield

@highlight

He says fractious Palestinians impede any deal, plus Obama taken up by Ukraine, midterms

@highlight

Miller: Parties don't want to subvert Kerry process, but Abbas visit won't move needle