(CNN) -- In my family, I'm always bringing up stories from the past, our family's story, our diversity.

My daughter often rolls her eyes. "We don't need to keep talking about this stuff. We get it."

My son admonishes. "We know!"

In truth, their schools have done of a good job trying to make their population more closely resemble our country and our world. My kids have friends of all races, cultures and social classes.

However, as a female white mom married to a male white dad with two biologically conceived white children, I'm trying to make a different point.

I want them to understand that light skin color is not the norm from which everyone differs. White is not the signifier of normal.

Many white kids take diversity for granted. They have worked hard to overcome stereotypes and bias and to accept other people as different.

The fact that they may be someone else's diversity rarely occurs to them, let alone most white adults.

Three influences have altered my white-centric perspective: my psychology students, the people with whom I work in my clinical practice and the diversity work of both my kids' New York City private schools.

Some of my psychology students wanted to write a children's book where every character had a different identity. Children's books generally feature characters of one race or ethnicity, not multiple identities in interaction with one another. When we finished our first draft, we realized our characters had become very close friends. They each came from a different place but everyone had came from somewhere.

Skin color doesn't define personhood, but since race is a marker of identity in our society, the experience of personhood includes having to deal with the meanings others attribute to racial identity.

Protected by the privacy of a clinical relationship, beautiful black and brown women have shared how ugly they feel. Gentle dark-skinned men convey the humiliation that overcomes them when white people mistake them for dangerous criminals.

Since whiteness has become synonymous with a better life, it is easy for any lighter-skinned person to use skin color as a shield against hurtful stereotypes about social class, gender, sexuality, family history or even mental illness.

When white people deny their own embarrassing identity markers, we perpetuate the hypocrisy that only people of color have these problems.

As a psychologist -- no, as a person -- recognizing status and identity anxiety as a mutual experience lifts the veil that ordinarily separates us from each other.

This year, the parents association at one of my kids' schools named me co-chair of the diversity committee. I felt so self-conscious.

Group leadership called forth a greater reckoning with my identity than simply participating in a committee. It also provided me the chance to experience being a minority member of a group.

Sometimes I sat as the only white person at the table feeling really insecure, worried that I would be seen as a white stereotype instead of as myself.

How did growing up white with financial struggles intersect with racial diversity?

When white people want to "help" people of color, it always reeks of privilege and entitlement as in, "let me help you with your problems." It's a different sentiment than "let's help each other with our problems."

Did people of color trust me? Did they wonder what I was doing on the diversity committee? Was it my job to speak for the concerns of underrepresented minorities? Or did I contribute more by trying to put forth a more multifaceted approach to the question of identity?

How can we sit with each other's differences without feeling compelled to rank one way of being or looking as being better or worse than the other?

Our diversity committee ultimately worked through these questions in our conversations. Although we did not fully answer them, we found that by talking about them, we discovered the theme of our work and developed a friendship.

I now look at diversity as something that is in my interest: I want to live in a society where dignified difference constitutes our common core.

Nuances in how we think, feel, work and love define what it means to be human. Everyone is unusual and unique.

Racism is just another word for hating our realness.

Our commonality as a country derives from the fact that we all have an identity just beneath the surface of our skins.

The variety of stories that inhabit the people who call this country home -- from the brutality of slavery to the flight from genocides to the call to some better god -- enable democracy's creative synergy.

The hands that have built the instruments of modern America have been every color, every nationality and every religion.

I want to be part of a world that loves and embraces humanity as a diverse and interconnected organism. I want to be part of a world that accepts that every difference has a color, and every color has a unique meaning.

How do I do this?

I realized that it starts at home.

Rather than teaching my kids that they are white, I want to impart to them that they are part of a kaleidoscope -- lots of continually shifting colors and shapes.

They don't always want to hear their parents tell another story about grandpa's poverty or the coal-mining relatives. But this history holds our family's painful and joyous truths.

Every family need only peel back the layers of a few generations to find their own story.

Authentic family history exposes everyone's diversity. A society that embraces uniqueness loves the messiness of the human condition. Being loved despite or because of our messy truths creates empathy rather than sympathy.

When we raise children to accept and acknowledge their own story, they learn to listen to someone else's, with respect.

The opinions expressed in this commentary are solely those of Susan Bodnar.

@highlight

Susan Bodnar: "White is not the signifier of normal"

@highlight

Author: Work, students and her kid's schools altered her "white centric" perspective

@highlight

Bodnar: I want to live in a society where dignified difference constitutes our common core

@highlight

Raise children to accept their own stories so they can respect others, author says