(CNN) -- General Motors CEO Mary Barra headed to Congress Tuesday to give testimony about GM's alleged mishandling of defective ignition switches in its cars. It's an awkward moment. After all, the automaker is having to explain its questionable behavior to the same benefactor -- the U.S. government -- that financially supported the company when it needed the protection of bankruptcy laws in 2009.

Despite tougher laws enacted in 2000 and 2010 to encourage automakers and the National Highway Traffic Safety Administration to aggressively root out safety concerns, it is believed that it took GM more than 10 years to publicly acknowledge that it had a potentially fatal problem.

Barra testified, among other things, about GM's recall of 1.6 million vehicles because of faulty ignition switches that may have led to deaths of 13 people. Facing impending litigation, it is proffering an interesting defense, essentially saying:

"That was the Old GM. We are the New GM. Therefore, we're not responsible. Thanks for buying American."

As you can imagine, whether in the courtroom, the workplace or home, a defense like this would not get you too far. It's not likely it would even fly in kindergarten. Whether it's gun charges or throwing Play-Doh at others, avoiding responsibility because the bad behavior occurred at a point in time prior to the present has never been a viable excuse. Yet, for some of the largest corporations, this defense not only thrives, it's government-approved.

Like the mythical phoenix, GM's bankruptcy filing in 2009 -- and the subsequent restructuring agreement -- allowed the company to rise again from its ashes. After GM filed for bankruptcy, the U.S. government rescued it with a restructuring agreement that, in part, protected the company from legal claims arising prior to bankruptcy.

In fairness, the idea of avoiding past liability is not a novel concept in the esoteric world of bankruptcy. In fact, the public policy behind it makes sense. Bankruptcy is a process where people and businesses can eliminate or repay some or all of their debts, under the watchful eye of an intervening federal bankruptcy court. To help them "start over," companies or persons may obtain a discharge, or forgiveness, of debt in the process. The debtor is released from liability for the debt. Sorry creditors.

Under the approved asset sale agreement in GM's bankruptcy, what was called "New GM" agreed to assume liability for products liability claims arising from accidents involving GM vehicles, but only where the accident occurred after July 10, 2009, regardless of when the product was purchased. "Old GM" retained liability for other products liability claims, and "New GM" assumed no liability for injuries prior to July 10, 2009. New GM kept the productive assets, with none of the irritating encumbrances of Old GM.

Plaintiffs with pending claims prior to the magic date, and any injuries that arose prior to July 10, 2009, are stuck going after Old GM in the bankruptcy court proceeding. The same Old GM that went bankrupt. Good luck.

Because of the 2009 cutoff, the lawyers will have to use creative tactics to hold New GM liable. For example, if New GM continued with an ongoing fraud after 2009 to conceal defects, or if it knowingly deceived the bankruptcy judge about its wrongdoing, that could potentially neutralize GM's supposed immunity. If this is troubling, blame the bankruptcy court and the others who agreed to this cutoff. You can blame New GM, too, but it was just acting as any company does, whether new or old: It exists to maximize profit. Any company's management is legally obligated to do just that.

Bankruptcy recognizes that there will be losers in the process, and those losers are creditors of the company. After all, if a bankrupt company could continue to be hammered by creditors ad infinitum, it would never climb out of debt. Bankruptcy gives many people and businesses a chance to survive, where they would otherwise be ground into dust by creditors, leaving everyone on the losing end.

But even though we may justify the economics, the defense itself is anathema to virtually every lesson our society teaches about responsibility and punishment.

Imagine if you could declare criminal "bankruptcy," and refuse to be incarcerated for any crime occurring before the most recent Groundhog Day. Consider your response if your teenager came home and announced he was declining responsibility for any broken windows or bad grades prior to Tuesday.

As a cultural consideration, this abdication of responsibility just feels a little strange when applied to, well, virtually every other aspect of life. Nonetheless, readers are encouraged to try the new defense out the next time the boss calls you into the office for a bad review or you get locked up for drug possession, whichever occurs first. Try this excuse out, and report back. Just remind your persecutor: "That was then, this is now."

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: GM under fire; faulty ignition switches may have led to fatalities

@highlight

He says 2009 bankruptcy in part protects GM from claims made before then -- sorry plaintiffs

@highlight

He says post-bankruptcy GM can keep assets and avoid liabilities

@highlight

Cevallos: Bankruptcy makes economic sense but counter to responsibility in society