(CNN) -- There's nothing broken about being the fourth-most valuable company in the world, which is exactly what Microsoft is today. That same company, however, is valued at half what it was 10 years ago. It's not exactly thriving, either.

Regardless if the glass is actually half empty or half full, consumer confidence in Microsoft is at a low. It is ignored or considered uncool by younger generations. Older generations are often required to use the company's software at work, but turn to Apple or Google devices in their free time.

A month from now Microsoft will release Windows 8, a bold new operating system that seeks to bring touchscreen interfaces to desktop computing. It's the company's biggest product since Windows XP and yet the only thing the tech world has seemingly talked about over the last 12 months is what the iPhone 5 might look like.

In that sense, Microsoft is broken.

Sure, the company that Bill Gates built has had a few bona fide hits over the last decade, most notably from its gaming division: Xbox Live, which is sort of the nighttime Facebook for gamers, and Kinect, a hands-free game controller that caught fire for a year before fizzling somewhat. Bing, Microsoft's search engine, also is gaining traction in the market.

But when it comes to mobile devices -- the biggest area of growth in consumer tech -- Microsoft still lags behind its rivals.

How Apple's story is like 'Breaking Bad'

So how can the company right the ship? According to some of its biggest critics, here are eight ways Microsoft can reinvent itself, return to relevancy and dominate the tech world once more instead of just following it.

1. Make fewer things extremely well. Microsoft has been accused of many things. Being too focused isn't one of them. "They spread themselves too thin across too many product lines," says blogger Mary Jo Foley, a longtime observer of the company. "They let broken products hang on for far too long," resulting in mediocre stuff that few people care about, she says. The good news: "They're getting better at this," Foley says.

2. Move all their software to the Web. Microsoft is in a bit of a pickle. Consumers want to manage, view and manipulate their files from any device connected to the Internet (aka cloud computing). But Microsoft still makes most of its money from locally installed software, so it has been very reluctant to offer its wares online at a discount (if not for free like Google).

Keep it up, though, and Microsoft will be a goner, says Joe Wilcox, editor of Beta News. "On phones and tablets, Microsoft's presence is insignificant or too low to quantify. If the so-called post-PC era is about cloud-connected devices, Microsoft operating systems have no meaningful presence."

3. De-emphasize the desktop. Microsoft has made a fortune selling desktop operating systems. While the desktop will certainly remain an important computing tool for the foreseeable future, it's no longer the primary tool. It's really just one of many available portals now.

"Who cares about a desktop?" says my twenty-something brother-in-law. So long as a device is portable and lets him access the Internet, he doesn't care who makes it or what it looks like. So, in addition to moving all its products online, Microsoft should make those products available on any device, independent of the operating system, like Google does across Macintosh, Android, iPhones, Windows and even their new Google Chrome OS. In other words, it's all about the apps, regardless of how you access them.

4. Lead instead of follow. Whether fair or not, the perception exists that Microsoft largely follows what Apple and Google do rather than making its own waves (think delayed Zunes, Bings, Windows Phones, Surface tablets and retail stores). Heck, even Kinect was a reaction to Nintendo's Wii. To really excite consumers, it would do well to try zigging while others zag.

"Even if Microsoft fails to be as successful during the cloud-connected device era as the PC, its efforts (good or bad) should pressure Apple, Amazon, Google and others do to better," says Wilcox.

5. Serve only one master. The last thing Microsoft needs right now is to further reduce its already dwindling market share. Yet that's what the upcoming Windows 8 might do as it tries to serve both touch users and traditional keyboard and mouse ones.

"I fear Windows 8 is too focused on touch-friendly computing," says Tim Stevens, editor of Engadget. Foley agrees: "I think Microsoft may be too far ahead of its users in its decision to de-emphasize the old and familiar Windows for a touch-centric one."

It's OK to offer both touch and traditional software, as Apple does. But it works best when you keep 'em separated (as Apple has done with Mac and iOS).

6. Be "cool" in its own way. As dominant as Microsoft was in the '90s, its products were never a status symbol like Apple's are today. That's a fact. At the same time, there are varying degrees of coolness; you don't have to be hip so long as you're confident and unapologetic about who you are. The sooner Microsoft realizes this, the better it will embrace its potential as a respected and reliable maker of computing again, rather than just something the establishment makes you use.

What's more, Microsoft is now in the ironic position to brand itself as David to Apple's Goliath, the counterculture to Apple's mainstream. You know, turn the tables on the very upstart company that used to "think different," but that now suffers from groupthink because its products are so widely used.

7. Don't do what IBM did. IBM used to be a household name in computing. After it stopped selling to consumers, it found success in targeting big business. But it is less relevant and smaller than it used to be. This will also remain true of Microsoft if it fails to embrace the cloud-connected devices that are replacing PCs. "If Microsoft retreats to the enterprise and cedes the consumer market, like IBM, they'll lose their relevance," says Wilcox.

8. Be the developer's favorite again. Microsoft Windows didn't become a juggernaut by being a better experience than Macintosh. It became a juggernaut because it offered third-party developers more money, which in turn resulted in more programs, which in turn brought in more users. Not any more.

"The roles are reversed," says Wilcox. "Where are the most exciting apps today? Not Windows. They are on Android and iOS." If Microsoft wants to dominate once more, it will need to entice more developer support to ensnare more consumers.

As for the company's chances, insider opinion ranges from OK to great. "I think it has enough cash reserves to swing and miss a few times and still come out looking good," says Stevens. "But I don't know if it will ever regain the top spot."

Foley shares his skepticism. "I'm not sure they can ever be a consumer powerhouse," she says. "Do three rights undo 10 years of wrongs? I don't know."

Wilcox, on the other hand, says he's seen other decimated companies regain their luster -- most notably Microsoft's longtime rival from Cupertino. "If Apple can rise from near ruin in 15 years to become the world's largest company, surely Microsoft can."

@highlight

Microsoft's products are ignored or considered uncool by younger generations

@highlight

The company will soon release Windows 8, but most people are fixated on iPhone 5

@highlight

According to some of its biggest critics, here are eight ways Microsoft can reinvent itself

@highlight

One suggestion: Move all its software to the Web