(CNN) -- When a black man dies at the hands of a white police officer, not often is there video evidence that could end the speculation and show what happened.

In the case of John Crawford III, there is video evidence -- and Walmart needs to release the tape to the public immediately.

Crawford was 22 years old when he and his girlfriend went to the Walmart last month in Beavercreek, a suburb of Dayton, Ohio. They planned to pick up the ingredients for s'mores for a family cookout. Crawford had two young children.

While browsing, he picked up an unpackaged BB gun from one of the store shelves, and continued shopping. A man named Ronald Ritchie saw him and called 911. A black man was "walking around with a gun in the store," and "pointing it at people," Ritchie told them.

A few minutes later, Crawford was dead -- shot on sight by police. His last words? "It's not real." The gun was a toy, and it was unloaded.

(Absurdly, if Crawford had been carrying a loaded assault weapon in a threatening manner, it would have been legal under Ohio's open carry laws. This is exactly why gun safety advocates like myself have so long criticized these laws for creating a culture of fear.)

Was Ritchie more likely to see phantom danger and call the cops because Crawford was a black man? Were those cops more likely to pull the trigger -- by all accounts, without warning Crawford -- because Crawford was black? In other words, is Crawford dead today because he was black in America?

The answer is clearly: Yes. But not for the reasons you think -- and that is why it is all the more important that this tape see the light of day.

Our modern conception of racism is as a binary condition. You are either racist -- a monster, the epitome of bigotry -- or no racist at all. Night and day. Good and evil. Dare I say, black and white.

But that is not what science tells us. Flash faces up on a screen and ask people to identify which ones are dangerous, and people will subtly pick those with darker skin. Ask them to play a video game where they shoot only bad guys wielding weapons, and they are marginally more likely to "make a mistake" when the unarmed figure is black.

Scientists call it "implicit bias." And the shocking thing? It appears not just in those who are openly bigoted, but even among believers in racial equality (including many black people ourselves).

In other words, when it comes to racial attitudes, science has proven both right and left wrong. Racism is not a thing of the past; bias still lurks in our minds, despite ourselves. So conservatives are wrong when they insist that race is a non-issue and that everyone should "move on." They should really stop accusing anyone who raises the issue of "just playing the race card." Science is not on their side.

On the other hand, progressives need to do a better job of acknowledging that MLK's message of inclusion has had a huge impact -- at least at a conscious level. We have moved from a society that condoned slavery and segregation for centuries, to a society in which only a very small number of people are consciously hostile.

That said: racism is a lingering virus -- alive in all of us, transmitted by a culture that devalues black faces. It is too often lethal to those with dark skin on the wrong end of a gun.

I cannot help but think that it could have been me or my two sons shopping for toys. Would my Yale degree stop a bullet? Would the fact that their father is on TV have been enough to save my children?

The only way to overcome this virus is to face its existence openly and honestly. That starts with being unafraid to discover what happened to John Crawford. And step one in that mission is for Walmart to bow to the request of the Crawford family, and the thousands who have signed a Color of Change petition, and release the surveillance tape.

Crawford's family says the video demonstrates that their son was never a threat, and that he was gunned down in cold blood. Even Ronald Ritchie, the man who called the police, has changed his story -- saying that Crawford never pointed a gun at anyone -- after seeing this tape.

Ohio Attorney General Mike DeWine claims releasing the tape to the public would bias the jury. But he apparently has no problem showing the tape to Ritchie, a witness for the prosecution, to get his facts straight. Nor is he apparently concerned about rampant media speculation that Crawford had a criminal record (the charges were dropped), as if Crawford somehow deserved to be gunned down.

Walmart is the largest employer of black people in the country, and black Americans make up a huge portion of their customers. The retail giant has an obligation to make sure that we feel safe in their stores. If DeWine will not release the video, Walmart should.

Recently, a young woman in New Jersey crashed her BMW into three cars and assaulted a police officer. Officers did not fire a single shot. She was white. She is alive. John Crawford, Michael Brown and so many others are not.

Releasing a tape will not bring John Crawford III or any of the others back. But if it forces us to confront the lingering realities of racial bias, perhaps some good will come of all this.

@highlight

John Crawford III, who was shopping, was shot by a white police officer in Walmart

@highlight

Van Jones: There is video evidence and Walmart should release the tape to the public

@highlight

He says racism is not a thing of the past; implicit bias lurks in our minds

@highlight

Jones: Walmart has an obligation to make sure that black people feel safe in its stores