Islamabad, Pakistan (CNN) -- Osama bin Laden's wife has told interrogators she didn't venture outside the walled compound where the al Qaeda leader was killed for five years, a Pakistani military spokesman said Thursday.

The wife, who was wounded in the raid, said she lived in the compound in Abbottabad with eight of bin Laden's children and five others from another family, Maj. Gen. Athar Abbas told CNN. All of them have been in Pakistani custody since the pre-dawn U.S. commando raid Monday that killed bin Laden and they will eventually be returned to their country of origin, Abbas said.

The many wives of Osama bin Laden

The news came as Pakistan's armed forces acknowledged intelligence "shortcomings" after the world's most-wanted man was hunted down and killed in a city north of their capital. A military statement said an investigation would be launched, but warned that the U.S. raid that killed bin Laden has jeopardized its cooperation with American forces.

Abbas said he wasn't sure from the wife's questioning how long bin Laden had lived in the compound or whether he had ventured outside during the five-year period his wife described. He identified the wife as "Amal," but said he could not confirm her full name.

Amal al-Sadah, 29-years-old and originally from Yemen, is the youngest of bin Laden's five wives. The al Qaeda leader had a total of 20 children, and one of his adult sons was also reported killed in the weekend assault.

With a $25 million U.S. bounty on his head, bin Laden turned out to have been living in a three-story home in the Pakistani town of Abbottabad -- about 50 kilometers (31 miles) from Islamabad and a short distance from a leading Pakistani military academy. American critics have questioned how Pakistani officials could have missed the compound, and U.S. officials have said Washington did not give Pakistan any notice of the assault because they feared the word would leak.

Material shows threats to railways, key cities

Pakistan backed the Islamic fundamentalist Taliban in Afghanistan before the Taliban-allied al Qaeda attacked New York and Washington on September 11, 2001. U.S. officials have warned that some elements of Pakistan's powerful Inter-Services Intelligence agency remain supportive of extremists even as Pakistan battles its own Taliban insurgency.

In a statement from Pakistan's military headquarters, the country's armed service chiefs defended the ISI's efforts in attacking al Qaeda leaders, but said there had been "shortcomings in developing intelligence on the presence of Osama bin Laden in Pakistan." The statement said an investigation will be launched "into the circumstances that led to this situation."

FBI: New attacks were being plotted

But the army chief of staff, Gen. Ashfaq Parvez Kayani, "made it very clear that any similar action, violating the sovereignty of Pakistan, will warrant a review on the level of military/intelligence cooperation with the United States," the statement said.

And Pakistan has ordered U.S. military personnel on its territory drawn down to the "minimum essential" level in the wake of the assault that killed bin Laden deep within Pakistan early Monday, the statement announced.

The U.S. military has had a small contingent of troops operating as trainers for Pakistani security forces for at least three years. Three Americans taking part in that mission were killed in a roadside bombing along the rugged border between Afghanistan and Pakistan in February 2010.

Breaking down the key points of bin Laden raid

Pakistan is also a key supply route for the U.S. and NATO troops battling the Taliban in Afghanistan, with truck convoys often coming under attack near the border. But those runs are made by contractors, not U.S. troops.

Mark Grossman, the U.S. special representative for Afghanistan and Pakistan, had some "very blunt" conversations with Pakistani officials in the wake of the bin Laden raid, according to two senior U.S. officials briefed on the talks. In meetings with Kayani and Lt. Gen. Ahmad Pasha, the ISI's chief, Grossman discussed the need for Pakistan to improve its cooperation on counterterrorism in the wake of the bin Laden operation, the officials said.

But the officials said that there is still no evidence that points to the senior levels of the Pakistani military or the ISI knowing that bin Laden was hiding out in that compound.

And Pakistani Foreign Secretary Salman Bashir told reporters Thursday that any suggestion that the intelligence service or the government were covering for bin Laden "is absolutely wrong." In fact, he said, the ISI alerted U.S. intelligence agencies to the presence of al Qaeda operatives in Abbottabad as early as 2004.

"It is easy to say that the ISI and elements in the government are in cahoots with al Qaeda," he said. "This is a false charge. It cannot be validated, on any account."

Kayani and Pasha both warned that comments like the ones by CIA Director Leon Panetta -- who told U.S. lawmakers in a closed-door session Tuesday that Pakistani officials were either "involved or incompetent" in bin Laden's case -- were unhelpful. Still, they said that they wanted to work through the problems between the Washington and Islamabad, the senior U.S. officials said.

Two key senators defend Pakistan aid

Bashir, too, tried to temper any reports of a rift between Pakistan and the United States. He said there has been an "excellent exchange of views" between the two sides in recent days, a positive rapport he expects to continue even as Pakistan opens a "review" of how bin Laden was able to stay in Abbottabad, deals with the ramifications of accusations it could have done more and addresses issues of its terroritorial sovereignty after U.S. forces got into Pakistan undetected.

"We have cooperated with the United States in the past. We look forward to continuing this cooperation at all levels," Bashir said. "I think, basically, the Pakistan-U.S. relations are moving in the right direction."

CNN's Samson Desta, Tim Lister and Elise Labott contributed to this report.

@highlight

NEW: Pakistani minister says U.S., Pakistani relations moving in "the right direction"

@highlight

Bin Laden's wife says she stayed inside his compound for five years

@highlight

The Pakistani military says further raids would hurt cooperation

@highlight

An investigation will be launched into intelligence "shortcomings" regarding bin Laden