Cupertino, California (CNN) -- The iPhone 4S may not look any different from its predecessor, but it is Apple's only model with a sort of robot living inside.

Apple's new phone, which was announced on Tuesday to be sold in stores on October 14, will have a new function called Siri. The program lets people bark commands or ask questions to the phone, and it will provide an answer or ask follow-up questions in order to perform a given task.

At the news conference, Phil Schiller, Apple's marketing executive, called Siri "the coolest feature of the new iPhone 4S," and the company is expected to advertise Siri heavily in its sales pitches.

Apple dedicated a significant chunk of the presentation to showing the extent of Siri's ability to interpret requests and respond. "Do I need a raincoat today?" incites a robo-female voice to reply: "It sure looks like rain today," as Scott Forstall, Apple's mobile software executive, demonstrated.

Ask Siri to remind you to buy flowers for your wife at a certain time, and Siri may ask you to identify her in the phone's address book. Siri then remembers who she is for future requests, Forstall said. The software integrates with Yelp and WolframAlpha for relevant queries. It can also schedule appointments in the phone's calendar and transcribe e-mails or text messages.

With Google's Android phones, users can dictate messages, too, which are then transcribed by Google's servers. Other cell phones support voice commands, which is handy when operating a phone while driving, but few people take advantage of the option. Even the preceding iPhones had a basic version of this called Voice Control, which can be activated in the same way as Siri, by holding down the phone's home button.

But Apple's ambitions for Siri are much greater.

Steve Jobs has said that Siri's focus is on artificial intelligence. "We like what they do a lot," the Apple co-founder and former CEO said at the AllThingsD conference last year.

Forstall echoed that onstage Tuesday, saying: "I've been in the AI field a long time, and this still blows me away."

The big unveiling of the iPhone 4S on Tuesday was the first time most people learned about Siri, but the voice-assistant software is rooted in many years of extensive technical research.

The project was born at SRI International, a nonprofit research organization. It was a part of an ambitious project called CALO, for Cognitive Assistant that Learns and Organizes. The program was funded by the U.S. Defense Advanced Research Projects Agency (DARPA), the government division responsible for Global Position System (GPS) and developments that led to the creation of the Internet.

Work on Siri began in the summer of 2007, and SRI executives decided to spin out the project as a standalone business in 2008. Apple acquired the company in April 2010.

"The team was so happy when Apple did the acquisition," Norman Winarsky, a Siri co-founder who remained at SRI, said in an interview on Monday. "They have a vision."

Before joining Apple, Siri provided a free app for iOS mobile devices. Apple removed it from the App Store on Tuesday, which means only iPhone 4S owners will be able to access the service starting next week.

The version integrated into the 4S is vastly superior to the now-defunct app based on onstage demos. Apple spokespeople did not respond to CNN's requests to try the product at the event on Tuesday.

Siri's engineers were excited for the opportunity to bake their software deeply into the new iPhone and build features that a third-party developer would not be able to do because of Apple-imposed restrictions, Winarsky said.

"We are going to be very proud," he said. "The world of virtual personal assistants is going to be everywhere."

Siri's specialty is in its ability to interpret so-called natural-language requests. It was originally developed to handle typed queries, Winarsky said. For the voice transcription, Siri uses technology from Nuance Communications, Mike Thompson, an exec for Nuance's mobile division, said in an interview on Tuesday. Apple also licenses Nuance's voice transcription for features on the Mac.

Like Siri, Nuance was spun out from SRI.

"We're thrilled with today's announcement," Thompson said. "What you're seeing today is the beginning of the next generation [of mobile assistants]. That's really the deep integration and the totality of the experience."

For technologists, like Apple co-founder Steve Wozniak, the ability to speak into a digital companion that can understand and respond is a sci-fi dream realized.

"I don't like to learn programs' methods of doing everything," Wozniak said in a recent interview with CNN. "I just want to speak it and have it happen."

Apple is betting that Siri's implementation of that will be a major selling point for the new phone. Despite no apparent technical limitations, the software will only be offered on the iPhone 4S at first.

"Siri is compelling," AT&T Mobility CEO Ralph de la Vega said in an interview after the announcement. He indicated that he expected the feature would be a significant enough reason to spur current iPhone users to purchase the iPhone 4S.

@highlight

Apple's iPhone 4S will have a new voice-assistant feature called Siri

@highlight

Siri is based on a government-funded research program

@highlight

Apple acquired Siri in April 2010