(CNN) -- While there's plenty to be said in favor of the new, sometimes the best things stem from a solid original foundation. Industrial structures like warehouses and factories are finding new incarnations as luxury hotels, challenging designers to get creative with old bones and drawing in guests who seek a sense of history and character.

In New York, the Wythe Hotel (Brooklyn) and the Refinery Hotel (Manhattan) were resurrected from a cooperage and a hat factory respectively. In Istanbul, the brand-new Shangri-La Bosphorus brings opulence to the banks of the river in the form of elegant rooms converted from a former tobacco warehouse. And the remote Fabriken Furillen, once a limestone refinery, is an isolated 16-room property on a Swedish island, where neighbors are few but the scenery is stunning.

Here are seven cutting-edge hotels that come from humble origins.

Your most spectacular travel photos

1888 Hotel, Sydney

One of Sydney's trendiest accommodations, 1888 Hotel opened its doors in July, welcoming guests to its 90-room boutique property in the Pyrmont neighborhood. The guest rooms feature 10-foot ceilings; windows and desks constructed from recycled timber; and a lobby, an atrium and a bar studded with reclaimed wooden beams and exposed brick.

Despite the vintage details, the five-story hotel takes a modern approach to technology: Each room comes with an iPad and Instagram users with more than 10,000 followers are entitled to one complimentary night's stay. The staff wears denim work shirts in a cheeky nod to the heritage-listed building's previous life as a woolshed. Rooms start at $150; 139 Murray St.; 61-2/8586-1888; 8hotels.com.

Fabriken Furillen, Gotland, Sweden

While most former industrial buildings are found in ports or in cities, Fabriken Furillen is a rural outlier on the island of Gotland, off Sweden's southeastern coast. Once a limestone refinery, the 18-room hotel (including two cabins) is a haven of sharp-edged Scandinavian design in a stunningly scenic -- almost lunar -- setting.

Rooms are painted in white or gray and feature luxury beds, Bang & Olufsen technology (some rooms have televisions, others have radios; the cabins are electronics-free) and bucolic touches like sheepskin rugs and blankets made from Gotland wool. The restaurant serves simple, elegant meals made with island-grown vegetables and herbs. Rooms start at $315; Rute Furillen, 624 58 LÃ¤rbro; 46-498/223-040; furillen.com.

Top U.S. spots to visit in 2014

Wythe Hotel, Brooklyn, New York

Brooklyn is home to plenty of reclaimed industrial spaces, but the Wythe Hotel is one of the newest (it opened in May 2012) and chicest. Floor-to-ceiling windows in many rooms look straight out onto the Manhattan skyline over the East River, letting in copious amounts of sunlight to play off the exposed-brick walls and custom-made wallpaper.

Original cast-iron columns, masonry and 13-foot-high timber ceilings speak to the building's history as a cooperage. The concrete floors are heated (a detail the former tenants might have appreciated as they rolled out barrels on the Williamsburg waterfront); the furniture (beds were constructed from pine taken from the ceilings) and artwork is made locally. Rooms start at $180; 80 Wythe Ave.; 718-460-8000; wythehotel.com.

Refinery Hotel, New York

A century-old neo-Gothic building in the heart of New York's Garment District, the Refinery started out as a millinery factory. It is now an elegant, eclectic 12-story hotel with amazing structural features and plenty of luxurious amenities. Opened in May 2013, it features lobby details (a 72-foot custom-designed runner, vaulted ceilings, plaid-patterened finished-walnut walls) that evoke an old New York feel.

In the rooms, steel-and-leather headboards reinforce the industrial ambiance, while wooden bedside lockers add a touch of nostalgia. On occasion the hotel's loading dock becomes Hatbox, a gallery space hosting art exhibits and fashion shows. Rooms start at $460; 63 W. 38th St.; 646-664-0310; refineryhotelnewyork.com.

Departures: World's best design hotels

Sir Albert, Amsterdam

Though Sir Albert may have a fictional host at its helm (the gentleman of its name is a made-up character), the hotel has a very real former life as a 19th-century diamond factory. Despite the space's original connection to gems, the decor has a distinctly masculine feel, thanks to brown curtains, dark wood furniture in the guest rooms and cowskin-patterned cubes for sitting in the study -- a cozy public space with deep leather armchairs and well-stocked bookshelves.

Plenty of bright northern sunshine streams in through the high windows in most rooms, which harkens back to the legacy of the diamond workers, who needed the best possible light to practice their craft. Rooms start at $270; Albert Cuypstraat 2-6; 31-20/305-3020; siralberthotel.com.

Departures: High-design airport terminals

Waterhouse, Shanghai

Formerly a dockyard warehouse on the Huangpu River, Waterhouse is now a high-design hotel. While plenty of its earliest features have been preserved -- the window frames are original metal and the wall behind the reception desk looks positively ancient -- the refurbished concept (by the lavishly praised Neri & Hu Design and Research Office) is a modern masterpiece.

Playing with conventions of internal and external spaces, the design allows guests to peek into private quarters from public areas and vice versa. Gloriously sleek and minimalist, the 19 rooms contrast nicely with views onto the neon-lit Bund, which is crammed with unconventionally shaped skyscrapers. Rooms start at $195; Maojiayuan Road 1-3, Huangpu District; 86-21/6080-2988; waterhouseshanghai.com.

Departures: Spectacular casino hotels

Shangri-La Bosphorus, Istanbul

Originally a tobacco warehouse in the 1930s, this Shangri-La property opened in May 2013 with the largest guestrooms in Istanbul. Situated on the European side of the city, with many rooms overlooking the Bosphorus Strait, the hotel pays homage to the opulence of its Bosphorus neighbor, DolmabahÃ§e Palace.

Chandeliers glitter, specially commissioned artwork dazzles, and Turkish-marble bathrooms come stocked with Bulgari bath products. The hotel's architects even restored the Neoclassical faÃ§ade of the original warehouse. For unparalleled views, check out the Shangri-La Suite, which has three private terraces and overlooks the Old City (the Asian bank of the strait) and the Bosphorus Bridge. Rooms start at $740; Sinanpasa Mah, Hayrettin Iskelesi Sok, No.1, Besiktas; 90-212/275-8888; shangri-la.com.

See more industrial-chic hotels

© 2010 American Express Publishing Corporation. All rights reserved.

@highlight

Industrial structures like warehouses and factories are becoming luxury hotels

@highlight

New York's Refinery Hotel started out as a millinery factory

@highlight

In Amsterdam, the Sir Albert is housed in a 19th-century diamond factory