Barack Obama became the first sitting U.S. president to visit Myanmar on Monday, praising the courage of fellow Nobel Peace Prize winner Aung San Suu Kyi while also providing a symbolic nod to initial reforms in a nation once notorious for political repression.

Later, Obama traveled to Cambodia for a summit of regional leaders and held what an aide called a "tense"meeting with the host country's prime minister that emphasized the need for improving human rights there.

The president's trip, his first overseas since winning re-election this month, foreshadowed the focus his administration will place on Asia in a second term as part of a strategy to blunt Chinese influence in the region. Cambodia is an ally of China.

Monday's highlight was the several hours Obama spent in Myanmar, the formerly secretive country also known as Burma.

The president met with Suu Kyi at the lakeside villa where she spent years under house arrest for her pro-democracy activism. Obama called the meeting a new chapter between the two countries.

"Here, through so many difficult years, is where she has displayed such unbreakable courage and determination," Obama told reporters, standing next to Suu Kyi. "It is here where she showed that human freedom and human dignity cannot be denied."

Myanmar was politically and economically isolated from the rest of the world for decades until it ended military rule last year.

In a diplomatic show of support, Obama referred to the country by the government's preferred name -- Myanmar -- rather than the colonial name of Burma used by Suu Kyi and democracy activists.

Suu Kyi warned that Myanmar's reform process would be difficult.

"The most difficult time in any transition is when we think success is in sight, then we have to be very careful that we are not lured by a mirage of success, and that we are working toward its genuine success for our people and friendship between our two countries," she said.

Opinion: Myanmar faces unfolding crisis

Before meeting Suu Kyi, Obama spent an hour with Myanmar President Thein Sein, whose reform drive has seen the release of hundreds of political prisoners and steps to open the country's economy.

The democratic and economic reforms started by the president could lead to "incredible development opportunities," Obama said.

Thein Sein, who wore a long purple sarong and white shirt, told Obama he was committed to strengthening bilateral relations.

The name Myanmar was introduced by the former military regime 23 years ago and is preferred by the country's current leaders. Until Monday, the Obama administration had largely stuck to the British colonial name of Burma.

Deputy National Security Adviser Ben Rhodes told reporters that Obama exercised  "diplomatic courtesy" in referencing Myanmar instead of Burma when meeting with Thein Sein. The official U.S. position continued to be that the country's name is Burma, Rhodes said.

As well as meeting Thein Sein and Suu Kyi, Obama delivered a speech at the University of Yangon in which he urged the country to continue its "remarkable journey."

"The flickers of progress that we have seen must not be extinguished," Obama said. "Reforms launched from the top of society must meet the aspirations of citizens who form its foundation."

After leaving Myanmar, Obama traveled to Cambodia for a summit of the Association of Southeast Asian Nations that began with a first round of talks Monday followed by an evening dinner.

The president also discussed human rights issues in the host country with Prime Minister Hun Sen, highlighting the case of a Cambodian radio broadcaster sentenced to prison for something he said on air about land seizures, according to Rhodes.

He described the meeting as "tense," in keeping with past U.S. efforts to raise human rights issues with Cambodia.

Hun Sen offered no promises, but expressed a desire for closer economic ties with the United States, Rhodes said.

In essence, Rhodes said, Obama was delivering a similar message in both Cambodia and Myanmar.

At the dinner Monday night, Obama and the other regional leaders wore shirts of batik, the colorful cloth that express Southeast Asia's tropical culture. The president sat between Australian Prime Minister Julia Gillard and Hun Sen.

The visit to Myanmar created "Obama fever" in Yangon, with crowds waving U.S. flags lining the street from the airport to greet the U.S. president. His meeting with Thein Sein took place in the nation's largest city, rather than the isolated capital.

Obama's image also featured on T-shirts and mugs for sale in city stores.

Before his trip, Obama insisted the visit was "not an endorsement of the Burmese government."

"This is an acknowledgment that there is a process under way inside that country that even a year and a half, two years ago, nobody foresaw," Obama told reporters in Thailand on Sunday, the first stop on his Asia trip. He added that the country was moving "in a better direction."

Western governments have responded to Myanmar's progressive efforts by easing sanctions that targeted the military regime. On Friday, the U.S. eased restrictions on imports of most goods from Burma.

But the country has also witnessed bouts of turmoil in recent months. Violence between Rohingya Muslims and local Buddhists broke out in the western state of Rakhine.

What's behind sectarian violence in Myanmar?

During the latest eruption of tensions, the United Nations said at least 89 people were killed over two weeks of violence and 110,000 were displaced.

Obama urged Myanmar to use its "diversity as a strength, not a weakness."

"I believe deeply that this country can transcend its differences, and that every human being within these borders is a part of your nation's story."

He met briefly with representatives of civil society organizations, including an advocate for Burma's Rohingya population.

However, some aid organizations questioned whether now is the right time for Obama to add legitimacy to Thein Sein's government.

Burmese exile leaders and human rights advocates have expressed concerns that the visit is too soon, and may not yield the additional reforms that a presidential visit can deliver if it happens at the right time.

@highlight

President Obama has a "tense" meeting with Cambodia's leader

@highlight

The president is in Cambodia for a summit of Southeast Asian nations

@highlight

Obama meets with pro-democracy icon Aung San Suu Kyi and Myanmar's president

@highlight

Obama is the first sitting U.S. president to visit Myanmar, also known as Burma