Seoul (CNN) -- President Barack Obama arrives in South Korea on Friday looking to bolster ties with an ally at a moment when it's reeling from a ferry disaster that killed 180 people at last count.

Obama, as he often does at home as "consoler-in-chief," will offer support to survivors and victims' families as he pauses from the policy and diplomatic demands of his week-long trip to Asia.

Last week, Obama called the disaster "heartbreaking," a gesture that was noted and well received within the government in Seoul.

The capsizing of the ferry Sewol carrying almost 500 people, including high school students on a field trip, has occupied most of South Korean President Park Guen-hye's time over the past week.

Park has confronted outcry from South Koreans who want answers on why the ferry turned over. A criminal investigation is underway.

The ferry disaster will no doubt overshadow some part the original intent of Obama's visit — to reinforce ties with a strong U.S. ally in the increasingly important Asia-Pacific region.

United front against North Korea

Both countries want to display a united front against North Korea, which in recent days has stepped up activity at its main nuclear test site — possibly in preparation for another underground blast.

The North Korean Foreign Ministry this week described Obama's trip to Seoul as "a reactionary and dangerous one as it is aimed to escalate confrontation and bring dark clouds of a nuclear arms race to hang over this unstable region."

Obama, speaking Thursday, called on North Korea "to start changing your behavior."

"They are the most isolated country in the world. They are subject to more international sanctions and international condemnation than any country in the world. As a consequence, their people suffer as much as any peoples in the world," he said.

Aims to reassure Pacific allies

Obama headed to Seoul from Tokyo, where a formal state visit — complete with a royal audience and a black-tie dinner — was meant to exhibit strong ties between Japan and the United States.

White House officials hope the week-long trip to Asia will reassure Pacific allies the U.S. remains committed to turning its foreign policy focus to them. But he has few tangible "deliverables" to take home.

In Tokyo at a news conference with Japanese Prime Minister Shinzo Abe, Obama was pressed on whether he would use military force to defend an obscure set of islands controlled by Japan that are at the heart of a heated regional dispute with China.

He said the U.S. security pact with Japan does extend to the islands -- known as Diaoyu to the Chinese -- and insisted his implicit offer to defend them against any Chinese incursion did not amount to drawing a red line around the contested land.

"The treaty between the U.S. and Japan preceded my birth, so this isn't a red line that I'm drawing," Obama said. "There's no shift in position, no red line. Were simply applying the treaty."

Obama plays soccer with robot

The group of islands and rocks jutting out of the ocean is tiny and uninhabited. But the long-standing dispute over them has sent tempers flaring in Beijing and Tokyo, especially in recent years.

The area around them in the South China Sea between Taiwan and Okinawa is believed to be rich in oil resources.

Senkaku is administered by the Japanese, but the Chinese claim they are the rightful owners.

The possibility of a war over the islands has been a thorn in the side of the United States, which says it is obligated by the common security agreement to back Japan.

Obama repeatedly urged that Japan and China seek a peaceful resolution through dialogue.

A pivot to Russia and Syria

In his second term, Obama has had limited success in issuing ultimatums in the hopes of halting aggression from nations like Russia and Syria.

But he seized on the line of questioning over the islands to defend his handling of the crisis in Ukraine and Syria's bloody civil war.

Warning a new round of sanctions against Russia are "teed up," the President said he doubts Moscow will honor its commitment last week in Geneva to deescalate tensions in eastern Ukraine.

"Do I think they are going to do that? So far, the evidence doesn't make me hopeful," Obama said at the news conference, acknowledging Russia has yet to reverse course in the face of mounting economic pressure.

But on Syria, Obama said his policy of diplomacy first had a direct effect on the removal of 87% of that country's chemical weapons stockpiles.

"The fact that we didn't have to fire a missile to get that accomplished is not a failure to uphold those international norms -- it's a success," Obama said.

Asked if he was confident with Obama's assurances on Japan's security, Abe pointed to Obama's leadership in rallying the G-7 economic powers to apply sanctions on Russia.

The missing plane

Seoul is the first of two stops on Obama's tour where citizens are coming to grips with major transportation disasters — on Saturday Obama flies to Malaysia, where government officials continue to search in vain for the Malaysian Airlines jetliner that disappeared more than a month ago.

Those officials have come under withering censure, accused of botching the search and keeping family members of those on board in the dark.

So far the White House has avoided faulting Malaysian leaders for the efforts, instead highlighting the U.S. efforts to help locate the plane.

Obama has spoken publicly about the missing plane only once, during an interview in mid-March, offering U.S. assets to help in the search.

Read Longtime rivals China and Japan deploy Harry Potter villain in latest spat

CNN's Kevin Liptak and Serena Dong in Beijing contributed to this report.

@highlight

President Obama to offer condolences to families of ferry victims

@highlight

Capsizing of ferry that so far has killed 180 people will overshadow his visit to S. Korea

@highlight

In Japan, Obama defended his foreign policy moves on Syria, Ukraine

@highlight

Obama is on a week-long trip to Asia to reassure Pacific allies on several fronts