(CNN) -- A day after the most high-profile assassination in Lebanon in more than seven years, accusations over who's responsible homed in on the Syrian regime of Bashar al-Assad.

Prime Minister Najib Mikati, a billionaire supported by Hezbollah, announced Saturday that he plans to stay in power, despite having offered his resignation to appease those who claimed al-Assad was behind Friday's car bombing that killed Lebanon's intelligence chief, Brig. Gen Wissam al-Hassan.

"To hold me personally responsible for the assassination is unfair," he told reporters. "I have always respected and admired al-Hassan, who has done great things for Lebanon."

Mikati's decision to stay heads off a power vacuum in Lebanon's government, as sectarian tensions flare particularly as the effects of Syria's 19-month civil war spill across borders and threaten the region.

Don't know who is who in Lebanon? A guide to key players

The senior Lebanese security official and at least nine others died in the explosion in the typically peaceful and cosmopolitan Ashrafiyeh district of East Beirut.

The attack -- in broad daylight, at one of the capital's busiest intersections -- left a crater more than a meter deep and was just the kind of thing al-Hassan had worked to prevent.

But beyond its potential impact on Lebanon's security, al-Hassan's life and death illustrates the deep political and religious fissures within Lebanese society, believed to be exacerbated by its neighbor's internal conflict, where at least another 123 people were killed Saturday amid fighting that has left tens of thousands dead.

Saad Hariri, a Lebanese opposition leader and former prime minister, told CNN that he had no doubt that the Syrian leader was responsible for Friday's deadly strike.

Hariri accused al-Assad of "killing his own people" and said "he will not think twice" about killing Lebanese in order to protect himself.

"The message from Damascus today is anywhere you are, if you are against the regime from Lebanon, we will come and get you. ... No matter what you try to do, we will keep on assassinating the Lebanese," said Hariri, who blames the 2005 assassination of his father, former Prime Minister Rafik Hariri, on the Assad government.

Lebanon on edge after attack

Syrian armed forces opened fire from across the border on anti-al-Assad and anti-Hezbollah protesters in northern Lebanon, the Lebanese state-run National News Agency reported. The protesters burned al-Assad's effigy and Hezbollah flags before being fired upon, NNA reported, citing its reporters at the scene.

Walid Jumblatt, a Druze politician and influential power broker in Lebanon's rough-and-tumble political landscape, also echoed Hariri's comments.

Jumblatt told CNN he blames Friday's murder on the Assad government and has expressed concerns over his own safety.

He said the Syrian-backed murderers of al-Hassan "can hit you any place anywhere."

"I don't feel safe," he added, talking to CNN in his hillside home outside the capital.

When asked if he thought al-Hassan's killers would be captured, Jumblatt replied: "Sometimes you have justice -- I mean procedural justice according to the rules, and sometimes you have natural justice when one day the killer will be killed. One day the killer will die. You just have to be patient and one day you will see your enemy floating in front of you in the river."

Under Assad, Syria has continued to influence the politics of its smaller neighbor despite withdrawing troops from Lebanon in 2005 following Rafik Hariri's assassination.

Last year, Damascus maneuvered to topple Hariri's son Saad as prime minister by persuading Jumblatt to abandon the majority coalition in parliament, which left Hezbollah to play kingmaker in protracted negotiations to form a new government.

Tensions have since boiled over in Lebanon following Friday's attack as enraged citizens blocked roads and clashes erupted in the port city of Tripoli between supporters and foes of Syria's government.

The Lebanese president declared Saturday a day of national mourning in decrying the "abominable crime" in a statement.

But the prime minister's failure to appear publicly after the explosion elicited criticism, including from one protester in Beirut who said, "This government is killing us by not doing anything. It is not acting like a government. It is like a ghost government."

The U.N. Security Council also weighed in Friday, calling for "the perpetrators, organizers, financiers and sponsors of this crime" to be brought to justice.

CNN's Nick Paton Walsh contributed to this report from Beirut

@highlight

NEW: Syrian forces open fire on anti-al-Assad protesters across border, state media reports

@highlight

Lebanese PM Mikati is staying in power, despite his offer to resign

@highlight

Mikati is backed by Hezbollah

@highlight

Blame over Lebanese intel chief's death is largely aimed at Syrian regime