Editor's note: This is an excerpt from "Zeitoun" by Dave Eggers, a nonfiction account of a Syrian-American immigrant and his extraordinary experience during Hurricane Katrina. Eggers is the author of five other books, including "What Is the What," a finalist for the 2006 National Book Critics Circle Award. Eggers is the founder and editor of McSweeney's, an independent publishing house based in San Francisco.

Dave Eggers writes that Abdulrahman Zeitoun dreamed of fishing on the Syrian coast as Katrina approached.

(CNN) -- FRIDAY, AUGUST 26, 2005

On moonless nights the men and boys of Jableh, a dusty fishing town on the coast of Syria, would gather their lanterns and set out in their quietest boats. Five or six small craft, two or three fishermen in each. A mile out, they would arrange the boats in a circle on the black sea, drop their nets, and, holding their lanterns over the water, they would approximate the moon.

The fish, sardines, would begin gathering soon after, a slow mass of silver rising from below. The fish were attracted to plankton, and the plankton were attracted to the light. They would begin to circle, a chain linked loosely, and over the next hour their numbers would grow. The black gaps between silver links would close until the fishermen could see, below, a solid mass of silver spinning.

Abdulrahman Zeitoun was only thirteen when he began fishing for sardines this way, a method called lampara, borrowed from the Italians. He had waited years to join the men and teenagers on the night boats, and he'd spent those years asking questions. Why only on moonless nights? Because, his brother Ahmad said, on moon-filled nights the plankton would be visible everywhere, spread out all over the sea, and the sardines could see and eat the glowing organisms with ease. But without a moon the men could make their own, and could bring the sardines to the surface in stunning concentrations. You have to see it, Ahmad told his little brother. You've never seen anything like this.

And when Abdulrahman first witnessed the sardines circling in the black he could not believe the sight, the beauty of the undulating silver orb below the white and gold lantern light. He said nothing, and the other fishermen were careful to be quiet, too, paddling without motors, lest they scare away the catch. They would whisper over the sea, telling jokes and talking about women and girls as they watched the fish rise and spin beneath them. A few hours later, once the sardines were ready, tens of thousands of them glistening in the refracted light, the fishermen would cinch the net and haul them in.

They would motor back to the shore and bring the sardines to the fish broker in the market before dawn. He would pay the men and boys, and would then sell the fish all over western Syria -- Lattakia, Baniyas, Damascus. The fishermen would split the money, with Abdulrahman and Ahmad bringing their share home. Their father had passed away the year before and their mother was of fragile health and mind, so all funds they earned fishing went toward the welfare of the house they shared with ten siblings.

Abdulrahman and Ahmad didn't care much about the money, though. They would have done it for free.

Thirty-four years later and thousands of miles west, Abdulrahman Zeitoun was in bed on a Friday morning, slowly leaving the moonless Jableh night, a tattered memory of it caught in a morning dream. He was in his home in New Orleans and beside him he could hear his wife Kathy breathing, her exhalations not unlike the shushing of water against the hull of a wooden boat. Otherwise the house was silent. He knew it was near six o'clock, and the peace would not last. The morning light usually woke the kids once it reached their second-story windows. One of the four would open his or her eyes, and from there the movements were brisk, the house quickly growing loud. With one child awake, it was impossible to keep the other three in bed.

Kathy woke to a thump upstairs, coming from one of the kids' rooms. She listened closely, praying silently for rest. Each morning there was a delicate period, between six and six-thirty, when there was a chance, however remote, that they could steal another ten or fifteen minutes of sleep. But now there was another thump, and the dog barked, and another thump followed. What was happening in this house? Kathy looked to her husband. He was staring at the ceiling. The day had roared to life.

The phone began ringing, today as always, before their feet hit the floor. Kathy and Zeitoun -- most people called him by his last name because they couldn't pronounce his first -- ran a company, Zeitoun A. Painting Contractor LLC, and every day their crews, their clients, everyone with a phone and their number, seemed to think that once the clock struck six-thirty, it was appropriate to call. And they called. Usually there were so many calls at the stroke of six-thirty that the overlap would send half of them straight to voicemail.

Kathy took the first one, from a client across town, while Zeitoun shuffled into the shower. Fridays were always busy, but this one promised madness, given the rough weather on the way. There had been rumblings all week about a tropical storm crossing the Florida Keys, a chance it might head north. Though this kind of possibility presented itself every August and didn't raise eyebrows for most, Kathy and Zeitoun's more cautious clients and friends often made preparations. Throughout the morning the callers would want to know if Zeitoun could board up their windows and doors, if he would be clearing his equipment off their property before the winds came. Workers would want to know if they'd be expected to come in that day or the next.

"Zeitoun Painting Contractors," Kathy said, trying to sound alert. It was an elderly client, a woman living alone in a Garden District mansion, asking if Zeitoun's crew could come over and board up her windows.

"Sure, of course," Kathy said, letting her feet drop heavily to the floor. She was up. Kathy was the business's secretary, bookkeeper, credit department, public-relations manager -- she did everything in the office, while her husband handled the building and painting. The two of them balanced each other well: Zeitoun's English had its limits, so when bills had to be negotiated, hearing Kathy's Louisiana drawl put clients at ease.

This was part of the job, helping clients prepare their homes for coming winds. Kathy hadn't given much thought to the storm this client was talking about. It took a lot more than a few downed trees in south Florida to get her attention.

"We'll have a crew over this afternoon," Kathy told the woman.

Kathy and Zeitoun had been married for eleven years. Zeitoun had come to New Orleans in 1994, by way of Houston and Baton Rouge and a half-dozen other American cities he'd explored as a young man. Kathy had grown up in Baton Rouge and was used to the hurricane routine: the litany of preparations, the waiting and watching, the power outages, the candles and flashlights and buckets catching rain. There seemed to be a half-dozen named storms every August, and they were rarely worth the trouble. This one, named Katrina, would be no different.

@highlight

Dave Eggers: Abdulrahman Zeitoun grew up in a Syrian fishing town

@highlight

He says Zeitoun emigrated to America and settled in New Orleans

@highlight

Zeitoun and his family thought little of Katrina as it approached the Gulf Coast