Washington (CNN) -- Among the volumes of diplomatic communications released by WikiLeaks are frank observations about the character of world leaders, their quirks and their weaknesses.

In an initial review of the documents turns up a number of observations from U.S. staffers that provide unusual insight into foreign leaders' thinking and behavior, from "voluptuous" companions to attention-seeking personalities.

Saudi Arabia's King Abdullah proposed to U.S. officials that a Bluetooth-like device be implanted in Guantanamo detainees.

During a March 22, 2009, meeting between Deputy National Security Adviser John Brennan and King Abdullah, the king suggested that an "electronic chip" would allow the tracking of the detainees' movements, as with Saudi horses and falcons.

Brennan deflected the idea, saying that " 'horses don't have good lawyers' and that such a proposal would face legal hurdles in the U.S."

Another communication dated February 10 said the Saudi king "tends to express himself tersely" because of his lifelong struggle with a "speech impediment" but added that he is a "wry and forthright interlocutor."

The foibles of Libya's leader get a lot of attention in a cable from the American Embassy in Tripoli. Under the subject line "A glimpse into Libyan leader [Moammar Gadhafi's] eccentricities," there is an extensive discussion of his "various proclivities and phobias" and his almost obsessive reliance on his nurse, a woman described as a "voluptuous blonde."

The document goes on to detail the relationship between the 38-year-old Ukrainian nurse, Galyna Kolotnytska, and Gadhafi, touching on rumors of a romantic relationship. It also discusses the lengths the Libyan leader will go to ensure that Kolotnytska travels with him, saying that only she "knows his routine."

The cable says Gadhafi is "almost obsessively dependent on a small core of trusted personnel."

Also among his quirks: Gadhafi's dislike of flying long distances, his fear of flying over water and his need to stay on the first floor of any building.

These diplomatically embarrassing cables extend beyond the Middle East and North Africa. They include observations from around the world, including Europe and longtime allies Germany, France and Italy.

Of French President Nicolas Sarkozy, one cable gave this open assessment: "An activist on the international scene, with an opportunistic eye for grabbing attention and credit, Sarkozy will remain a challenging partner despite his desire to improve the bilateral relationship."

Some news outlets have reported that U.S. diplomats called Sarkozy an "emperor with no clothes."

On Italy's Prime Minister Silvio Berlusconi and his relationship with Russia: The Italian leader "appears increasingly to be the mouthpiece of [Prime Minister Vladimir] Putin," according to a report from the New York Times.

Regarding German Chancellor Angela Merkel: "When cornered, Merkel can be tenacious but is risk-averse and rarely creative. This suggests she will remain a very circumspect ally until the election."

Although these cables may provide the U.S. with some uncomfortable moments with global partners, they are not limited to foreign leaders. American officials are also a topic of discussion.

An almost prescient communication dated February 10 talks about the fallout from Gen. Stanley McChrystal's interview with the German news outlet Bild; four months later, his controversial interview with Rolling Stone was published, and he was forced to resign as head of the mission in Afghanistan.

German Foreign Minister Guido Westerwelle asked to express his concerns "confidentially" about McChrystal's interview.

According to the cable, Westerwelle was particularly worried about a portion of the interview "in which the general is quoted as urging the Germans to take more risks. Westerwelle recounted that he himself had to answer questions about this article for 10 days, explaining that the Germans were not 'peace soldiers' while other countries provided combat troops."

Westerwelle went on to stress that it was "important that German troops not be 'relativized' and cast as second-class troops."

Another document paints Westerwelle in a less than flattering light, noting that the foreign minister, ironically, "has never harbored a fascination for international affairs."

@highlight

Communications discuss Libyan leader's relationship with nurse

@highlight

Saudi king suggested implanting tracking devices in detainees, cable says

@highlight

French President Nicolas Sarkozy called "challenging partner"

@highlight

Former U.S. Gen. Stanley McChrystal was also among topics