(CNN) -- "You're disconnected from the whole entire world," says Gerri Holterhoff, after her mobile phone drops another call.

After Superstorm Sandy walloped the East Coast on Monday night, more than 2 million New Jersey residents, such as 62-year-old Holterhoff of Ocean Township, were left without electricity, heat or cell phone service.

Power has been restored to some households, but nearly 1.5 million customers are still in the dark statewide, and many neighborhoods have been left in disarray.

The New Jersey coast saw the worst of the storm. In the town of Toms River and surrounding barrier islands, 200 people had to be pulled to safety from encroaching flood waters. Gov. Chris Christie said the damage along the Jersey Shore was "unthinkable."

Opinion: Jersey Shore, I'll miss you

Located about four miles inland, the suburban community of Ocean Township wasn't spared. Though she hasn't had to contend with flooding, Holterhoff's neighborhood is a graveyard of broken tree branches, and no one has power for miles around.

Since losing electricity, she has learned to be resourceful. She has no choice.

For warm food, she has relied on the charcoal-fueled barbecue grill outside.

"As food was defrosting, I was taking it out and cooking it. Pot pies, toaster cakes -- anything we could do," she says.

Meanwhile, she uses her car battery to charge her cell phone.

"Sometimes at night, I'm out there charging the phone and have a flashlight and am reading a book," she says.

She's able to keep up with the news via radio --"the only connection to the outside world," she says -- with batteries that were a gift from neighbors.

As temperatures begin to dip into the low 40s at night, she has taken to pacing the rooms of the house she shares with her husband and dog, wearing multiple layers and a hat and scarf to keep warm.

Before the storm, she drove three miles to work. Since the storm, she drives, in gridlock and on back roads because of downed stoplights, to shop for ice, gas or food from one of two grocery stores that are open.

She says lines at the gas station are backed up about two to three miles with cars. There's a separate line of people waiting with gas cans to fuel their generators. She must return to her house at 7 p.m. for curfew.

On its website, Public Service Electric & Gas Co. (PSE&G) said it may take seven to 10 days to restore power to customers in the areas hit hardest, while Jersey Central Power & Light said the "majority" of customers will get their power back by next Wednesday.

Marshes and malls: Migration to U.S. coast heightens impact of storms

"It's eerie. It's very quiet and, as soon as it's dark, you see nothing, you hear nothing, there's nothing going on," she says. That sense has only been amplified for New Jersey residents as stories of looting and petty burglaries have started to circulate.

"We've had a 6 p.m. curfew since the storm and heard some alarming rumors about stores being robbed or armed break-ins by people pretending to be from PSE&G," said Ted A'Zary, of Bayonne.

"It was pretty scary on Wednesday when our phones weren't really connecting and we weren't sure we could even contact 911 if we had an emergency, but it has gotten better since then."

Other concerns are high-risk groups such as children, the elderly and the ill.

A'Zary says local firefighters have been checking on older residents in the area to ensure that those in need are receiving aid.

"Our largest concern with the lack of heat has been caring for our toddler," said 41-year-old A'Zary. "Violet is 17 months old and doesn't know how to sleep under a blanket yet. We've had her sleeping with a sweater over her pajamas inside a fleece SleepSack and are checking her to be sure she's warm enough after every nap and in the morning."

Brendan Ward, a 23-year-old Glen Rock resident, has also added a few layers of blankets since he lost power on Monday afternoon.

"You wake up and are glad it's light out. At night, it's dark and not pleasant," he says.

For the first half of the week, Ward could not even leave his house, where he lives with his parents, because of downed trees and debris blocking his path.

Now, he says, he's staying out of the house as much as possible. In the small town of about 11,000, he can walk to a few of the surrounding businesses that didn't lose power.

"I've gone out to eat every night of the week. I went to the same local pizza shop four nights in a row," he says.

While Ward has been able to return to his home, some aren't so lucky: 6,922 people and 48 pets were being cared for in 104 shelters as of Friday, according to the New Jersey Office of Emergency Management.

The residents we spoke to were sustaining themselves by eating food they'd stocked up before the storm or at local restaurants, but some who live in the state are receiving supplemental food from the Federal Emergency Management Agency.

As of Friday afternoon, more than 596,000 liters of water and more than 199,000 meals have been transferred from staging bases in Westover, Massachusetts, and Lakehurst, New Jersey, to affected states to supplement their existing inventory, according to FEMA.

Long gas lines test residents' patience

While FEMA is helping some, Matt Eckert of Hoboken, who has no power and a flooded basement, is getting by with a little help from his friends.

During the day, he showers, charges his phone, eats and drinks at friends' homes with hot water and electricity.

"We've really come together as a community. We were all so lucky that our friends had power and, therefore, let us share the bounties of our freezers," says Eckert. "Each night we gathered, drank (didn't want the beer to go warm) cooked and socialized before walking back through the dark streets to our own cold apartments."

On Thursday, Eckert's girlfriend's family cooked up a feast in the spirit of Thanksgiving, featuring a turkey that had been frozen since Easter and other food that was just going to go bad anyway.

Despite his losses, Eckert realized he had a lot to be thankful for.

"Many of us were lucky in Hoboken to only have minimal damage," he said. "There are some in town who were not as fortunate, and it is heartbreaking."

7 health risks in the wake of Superstorm Sandy

Like CNN Living on Facebook

@highlight

Nearly 1.5 million people in New Jersey remain without power

@highlight

Power companies estimate full coverage will be restored by next week

@highlight

Residents are grilling outdoors and relying on friends for electricity and hot water

@highlight

Lines for gasoline are miles long, and the waits are endless