WASHINGTON (CNN) -- Questions surrounding Judge Sonia Sotomayor's past speeches generated more controversy in the final day of her Supreme Court confirmation hearings Thursday, as Democrats again called her a mainstream jurist and Republicans portrayed her as a liberal activist likely to legislate from the bench.

Supreme Court nominee Sonia Sotomayor greets Sen. Lindsey Graham, R-South Carolina, Thursday.

One GOP senator said Sotomayor's most controversial speeches "bug the hell out of me," an expression of frustration as Republicans tried -- with little success -- to get Sotomayor to reveal more about her personal views in her fourth and final day of questioning.

GOP critics also summoned New Haven, Connecticut, firefighter Frank Ricci, who was the lead plaintiff in perhaps the most controversial case in Sotomayor's appellate career. Ricci testified that her 2008 rejection of his reverse discrimination claim had undermined the concept of a merit-based civil service system.

In a potential sign of Sotomayor's strong political momentum, however, Senate Republicans indicated they do not intend to filibuster her nomination on the Senate floor. They also indicated their belief that the full Senate would vote on her nomination before breaking for its August recess.

Senate Judiciary Chairman Patrick Leahy, D-Vermont, said he plans to put a confirmation vote for Sotomayor on the committee's calendar for next Tuesday.

The committee's questions once again touched on a range of hot-button issues, including gun control, abortion, same-sex marriage, the death penalty, and the role of international law in American jurisprudence.

"I think you're a walking, talking example of the best part of the United States of America," Sen. Dianne Feinstein, D-California, told Sotomayor. "It is my belief that you are going to be a great Supreme Court justice."

South Carolina GOP Sen. Lindsey Graham was less complimentary, telling Sotomayor that she has "said some things that have bugged the hell out of me," but he quickly conceded that her judicial record has "been generally in the mainstream."

"Your speeches are disturbing, particularly to conservatives," Graham said. "Those speeches to me suggested gender and racial affiliations in a way that a lot of us wonder, will you take that line of thinking to the Supreme Court in these cases of first precedent."

But, Graham conceded, "to be honest with you, your record as a judge has not been radical by any means. ... You have, I think, consistently, as an advocate, took a point of view that was left of center."

Graham defended the importance of probing Sotomayor's political beliefs by highlighting the high court's 1955 landmark ruling in Brown v. Board of Education, which mandated the desegregation of schools. The ruling was "instructive in the sense that the court pushed the country to do something politicians were not brave enough to do," he said.  Watch Graham talk about Sotomayor's record »

The personal views of Supreme Court justices matter, he argued, because "you're not going to find a law book that tells you" how to rule on contentious social issues such as same-sex marriage or whether there is a "fundamental" right to bear arms.

Sotomayor later fired back at the Republican line of questioning, asking Sen. Tom Coburn, R-Oklahoma, if he wanted a judge who pre-decided cases before hearing the evidence and facts.  Watch Sotomayor's record on discrimination »

"Would you want a judge or nominee who came in here and said, 'I agree with you, this is unconstitutional,' before I had a case before me?" Sotomayor said, adding: "I don't think that's a justice I can be."

She noted that the Supreme Court spends considerable time on cases, including Second Amendment cases involving gun control -- an issue Republicans have repeatedly emphasized during her confirmation hearings.

The National Rifle Association, unswayed by Sotomayor's assertion earlier in the week that she recognizes an individual right to bear arms, announced Thursday that it is opposed to her nomination.

"We believe any individual who does not agree that the Second Amendment guarantees a fundamental right and who does not respect our God-given right of self-defense should not serve on any court, much less the highest court in the land," said a joint statement by Wayne LaPierre, the NRA executive vice president, and Chris W. Cox, executive director of the NRA's Institute for Legislative Reform.

Sotomayor repeatedly said she recognizes an individual right to firearms in the wake of the Supreme Court's decision in the 2007 case District of Columbia v. Heller. The high court in that instance ruled that a sweeping handgun ban in the nation's capital violated the constitutional right to "keep and bear arms."

Sotomayor refused to say, however, whether she believed the right is "fundamental," which in legal terms refers to whether a federal statute applies to the states.

On gun control, as in other issues, Sotomayor repeated that the Constitution and facts of the case would be the basis of her rulings.

The highly charged issue of affirmative action surfaced most prominently later in the day, when Frank Ricci testified before the committee.

Ricci was one of a group of 20 mostly white firefighters who sued the city of New Haven after the city threw out the results of a 2003 firefighter promotion exam because almost no minorities qualified for promotions.

The 2nd Circuit Court of Appeals -- including Sotomayor -- backed the city in the 2008 case Ricci v. DeStefano. The ruling of the Circuit Court was overturned in June by a 5-4 ruling by the U.S. Supreme Court.

The "belief that citizens should be reduced to racial statistics is flawed," Ricci told the members of the Senate Judiciary Committee.

"It only divides people who don't wish to be divided along racial lines. The very reason we have civil service rules is to root out politics, discrimination, and nepotism. Our case demonstrates that these ills will exist if the rules of merit and the law are not followed."

Ricci also criticized the 2nd Circuit for disposing "of our case in an unsigned, unpublished summary order that consisted of a single paragraph."

Sotomayor was not present when Ricci spoke. She told committee members earlier in the week, however, that her ruling in the Ricci case was decided on the basis of "a very thorough, 78-page decision by the district court" and followed a firmly established precedent.  Watch Ricci testify at hearings »

The Supreme Court applied a new standard, she claimed, based on a different area of law. If she were ruling on that case today, she said, she would be bound by the new standards set by the Supreme Court.

Ricci was one of a long list of witnesses who testified both for and against Sotomayor.

Linda Chavez, head of the conservative Center for Equal Opportunity, which opposes affirmative action, argued that "it is clear" from Sotomayor's record "that she has drunk deep from the well of identity politics." It is impossible for Sotomayor to be a fair judge, Chavez claimed, when she has "shown a willingness to let her policy preferences guide her."

Arkansas Attorney General Dustin McDaniel testified on Sotomayor's behalf, arguing that her opinion in the Ricci was case, in fact, an example of judicial restraint. It followed a string of legal precedents, he claimed, dating back almost three decades.

FBI Director Louis Freeh and New York City Mayor Michael Bloomberg also testified in favor of Sotomayor. Bloomberg told committee members that she is an "independent jurist" with "sharp and agile mind" who would bring "a wealth of unique experience" to the high court.

Committee Republicans, unswayed by such assertions, once again examined Sotomayor's controversial statement that a "wise Latina" could reach a better decision than a white man.

Asked what she would say to people offended by her remarks, Sotomayor said that she regrets that she has "offended some people. I believe that my life demonstrates that that was not my intent to leave the impression that some have taken from my words."

Sotomayor was also asked to explain her remarks from a 2001 speech in which she said she agreed that "there is no objective stance but only a series of perspectives -- no neutrality, no escape from choice in judging."

She told the committee that, in every case, the two opposing parties view the facts from vastly different perspectives. "You can't just throw up your hands and say I'm not going to rule," she said. There is a choice in judging, which means "you have to rule."

CNN's Dana Bash and Peter Hamby contributed to this report.

@highlight

NEW: Senate wraps up Sotomayor's confirmation hearings

@highlight

Chief plaintiff in Ricci case testifies during final day of confirmation hearings

@highlight

Republicans fail to get nominee to reveal more about her personal views

@highlight

GOP Sen. Lindsey Graham says Sonia Sotomayor's judicial record "mainstream"