North Korea's government was famously accused in 2002 by U.S. President George W. Bush of helping terrorism and seeking weapons of mass destruction, along with fellow "axis of evil" countries, Iran and Iraq.

Iraq's leader Saddam Hussein was overthrown after the U.S. invaded in 2003 but the other two countries continued to defy the West by pursuing a nuclear program. So what will happen next after the death of North Korea's leader Kim Jong Il?

How will the death affect military tensions in the region?

After Japan's defeat in World War II, Korea became a divided nation. The capitalist South was supported by the United States and its Western allies, and the communist North became an ally of the Soviet Union.

Cold War tensions erupted in 1950 as the North invaded the South, devastating the peninsula and killing up to two million people before the fighting ended after three years with a truce, followed by an armistice. Technically, the two Koreas remain at war, and while the North is believed to have a standing army of one million soldiers, with reserves estimated at more than seven million, few expect it to launch a general assault on the South.

What military hardware does North Korea have?

Over the past six decades, skirmishes have flared repeatedly along land and sea borders. Deadly naval clashes occurred along the demarcation line in 1999, 2002, 2009 and 2010.

Washington also accuses Pyongyang of running a secret uranium-based nuclear program. The United States, along with the two Koreas, Russia, Japan and China, have been involved in what is called the Six Party Talks, but those negotiations have been slow and arduous.

Following Kim Jong Il's death, Pyongyang urged an increase in the North's "military capability," prompting Seoul to put South Korean forces on high alert. Martin Navias, from the London-based Centre for Defence Studies, said South Korea raised its alert because it feared Kim Jong Un could be forced to show his toughness with "saber-rattling" and flex the North's military muscles.

CNN's Christiane Amanpour said it remained to be seen how talks would be affected. "The issue here," she said, "is whether it will promote more hardline policies from some of the old guard. Whether they will circle the wagons around this young man and whether it will put a stop to the negotiations with the United States or whether they will go through nonetheless."

What, if anything, will change inside the country?

The state structure in North Korea, the police, security and military apparatus, is extremely strong, said Peter Beck, a research fellow at the Council on Foreign Relations in New York. "The idea of people rising up is hard to imagine," Beck told CNN.

Short-term, Beck said, the Pyongyang regime could hunker down and "remain stable and inward-oriented, sorting out who is in and who is out."

What is in store for North Korea? | Life inside the secretive country

North Korea's Stalinist government has survived mostly by closing itself off and defying the rest of the world. The question is, will this strategy continue to work in the years ahead for the third of the Kim dynasty to rule North Korea?

"The news of the death of Kim Jong Il opens a new chapter in the life of this isolated and repressive regime as it negotiates food aid to stave off starvation for its people and attempts to revive economy amid international concerns over its nuclear ambitions," said New York-based Vishakha Desai, Asia Society president who visited North Korea six months ago.

So will the country's Stalinist regime endure?

Kim's death could provide an opportunity for change, or trigger instability and even chaos. His son, the "Great Successor" Kim Jong Un, now inherits a reclusive, unstable regime confronting political uncertainty, diplomatic isolation, economic malaise and food shortages.

North Korea has been dogged by famine since the mid-1990s when it was hit by severe food shortage caused by floods, drought and economic mismanagement. United Nations agencies based in Pyongyang say the North is in desperate need of outside aid to feed its 24 million people.

GPS: Can Kim's son survive?

In recent years, DVDs smuggled in from abroad showing South Korean soap operas have become popular, according to CNN producer Tim Schwarz, who has visited the country.

"The difference today is that North Koreans are no longer under the illusion they are living in paradise on earth. It is vital for the government to improve their economic prospects. But the state still controls people's lives to an extent almost unimaginable anywhere else.

"What may have an influence is Kim Jong Un's privileged upbringing. He has had an unobstructed view of the outside world that few in his country can have had. He was educated partly in a Swiss secondary school. His friends were ordinary European teenagers and he is reportedly a fan of NBA basketball. So it would be reasonable to think that this could give him a more modern outlook.

"It is hard to imagine that North Korea in the second decade of the 21st century will remain in the same kind of time warp as it seemed to be from in the last decades of the 20th. But don't expect Arab Spring-type changes. Even a move to Chinese style market socialism is a long way away."

What is China's role?

A significant number of North Koreans have fled to China to seek freedom and a better life. In recent years, economic desperation and diplomatic isolation have prompted Kim Jong Il to visit frequently close allies like China.

Why does China support North Korea?

Last May, Kim Jong Il visited China again to ask for continued economic and military aid and political support. On this trip Kim went with another urgent mission: to introduce to the Chinese senior leaders his youngest son, Kim Jong Un, as his heir apparent. As North Korea's major ally, experts say, China's support for the young Kim was important.

China-North Korean ties are so close they are frequently described "as close as lips and teeth," and the two neighbors were Korean War allies. Of all the regional powers, Beijing has the greatest potential leverage over Pyongyang. China supplies at least 80% of North Korea's oil and significant amounts of food, fertilizer and military aid. The two Communist neighbors have frequent political, military and party-to-party exchanges.

Foremost in Beijing's mind, North Korea serves as a buffer, keeping the U.S. troops stationed in South Korea away from the Chinese border.

China has a huge stake in North Korea's stability, experts believe. Former CNN correspondent, Mike Chinoy, a veteran Korea-watcher who has visited North Korea several times, said: "The Chinese have made it extremely clear that they are not going to let Korea go down the drain. They are going to do whatever they need to do to prop it up."

And how will Kim Jong Un fare?

Meantime, experts say, all eyes are on the young and untested Kim Jong Un.

Why Kim Jong Un remains an enigma

Mike Chinoy, a senior fellow at the Los Angeles-based U.S. China Institute, notes the young Kim's big challenge: "How does somebody who's not yet 30 win the loyalty and respect and command authority over the entrenched party apparatus, the entrenched military bureaucracy, and the senior party officials who may have been in their positions for a long time?"

Kim Jong Il had two decades to learn the ropes, develop his network of connections and establish his authority under his father, Kim Il Sung's tutelage and protection. Even so, Chinoy said, when Kim Il Sung died in 1994, the young Kim was dogged with speculations: "Was he going to last?" By contrast, Kim Jong Un only had two years to ascend last year as a senior party leader and four-star general.

The young Kim is expected to rely on powerful backers of close relatives, including Kim's sister and brother-in-law Jang Song Taek, who experts say will serve as regents, tutoring behind the scene.

So despite all the problems that Kim Jong Il left behind, some Korea-watchers do not expect North Korea to implode immediately. After his last visit to Pyongyang last August, Chinoy told CNN: "I was struck by the notion that succession was on track -- not a lot of internal discord about it."

Nor is any huge policy change expected. "Kim has not been put into his position by a group of young Turks hoping to change the system, but by an elderly and entrenched elite," said CNN's Schwarz. "Their interests lie firmly in continuing the current power structure.

"So while gradual change over time may be possible, if on a limited scale, the imminent collapse of the regime is unlikely."

@highlight

North Korea accused by ex-U.S. President Bush of helping terrorism, seeking WMDs

@highlight

Analysts say effect of Kim Jong Il's death on talks over nuclear issue unknown

@highlight

North Korea dogged by famine since mid-1990s; many people flee to China

@highlight

China will prop up its close ally and its new leader Kim Jong Un, analysts say