WASHINGTON (CNN) -- The U.S. Supreme Court ruled 5-4 Wednesday that child rapists cannot be executed, concluding that capital punishment for crimes against individuals can be applied only to murderers.

Patrick Kennedy, 43, was on Louisiana's death row after being convicted of raping his 8-year-old stepdaughter.

The ruling stemmed from the case of Patrick Kennedy, who appealed the 2003 death sentence he received in Louisiana after being convicted of raping his 8-year-old stepdaughter.

Justice Anthony Kennedy wrote in the majority opinion that execution in this case would violate the Eighth Amendment's prohibition against cruel and unusual punishment, citing "evolving standards of decency" in the United States.

Such standards, the justice wrote, forbid capital punishment for any crime against an individual other than murder.

"We conclude that, in determining whether the death penalty is excessive, there is a distinction between intentional first-degree murder on the one hand and nonhomicide crimes against individual persons, even including child rape, on the other," wrote Kennedy, who is not related to the convicted rapist.  Watch how Wednesday's ruling will have a wide reach »

Patrick Kennedy, 43, would have been the first convicted rapist in the United States since 1964 to be executed in a case in which the victim was not killed.

Kennedy was convicted of sexually assaulting his stepdaughter in her bed. The attack caused severe emotional trauma, internal injuries and bleeding to the child, requiring extensive surgery, Louisiana prosecutors said.

In the majority opinion, Anthony Kennedy acknowledged "the victim's fright, the sense of betrayal, and the nature of her injuries caused more prolonged physical and mental suffering than, say, a sudden killing by an unseen assassin."

But the justice -- supported by Justices John Paul Stevens, David Souter, Ruth Bader Ginsburg and Stephen Breyer -- wrote that when determining what punishment the Eighth Amendment prohibits, "evolving standards of decency that mark the progress of a maturing society" must be taken into account.

After a review of the "history of the death penalty for this and other nonhomicide crimes, current state statutes and new enactments ... we conclude there is a national consensus against capital punishment for the crime of child rape," Anthony Kennedy wrote.

Attorneys at the Capital Appeals Project who represent Patrick Kennedy issued a statement applauding the ruling.

"We can only hope that the money that Louisiana has been spending drafting and defending this anomalous and unconstitutional statute will be reallocated to efforts at treatment for victims of sexual abuse and for measures that actually reduce the risk of such abuse in our communities," attorney Ben Cohen said in the statement.

Justice Samuel Alito wrote the dissent, saying, "The harm that is caused to the victims and to society at large by the worst child rapist is grave." He was supported by Chief Justice John Roberts and Justices Antonin Scalia and Clarence Thomas.

Alito also wrote that the majority ruled against the death penalty "no matter how young the child, no matter how many times the child is raped, no matter how many children the perpetrator rapes, no matter how sadistic the crime, no matter how much physical or psychological trauma is inflicted and no matter how heinous the perpetrator's criminal record may be."

Wednesday's ruling will affect six states that allow the death penalty for rape, including Louisiana, where Patrick Kennedy was recently joined on death row by another convicted child rapist, Richard Davis.

Because of the ruling, the sentences of Davis and Kennedy will automatically be commuted to life in prison without the possibility of parole, the Capital Appeals Project said.

"Mr. Kennedy, who has consistently maintained his innocence, plans to continue to pursue his appeals in state and federal court," the appeals project said.

Florida, Montana, Oklahoma and South Carolina have death-penalty laws for rape but have not applied them in decades. Texas enacted a version a year ago, but no defendant has been designated death-eligible for child rape in any state but Louisiana.

Other state and federal crimes theoretically eligible for execution include treason, aggravated kidnapping, drug trafficking, aircraft hijacking and espionage. None of these crimes has been prosecuted as a capital offense in decades, if ever.

U.S. Supreme Court rulings in 1976 and 1977 barred capital punishment for rape. But in 1995, Louisiana passed a law allowing execution for the sexual violation of a child under 12. State lawmakers argued that the earlier high court cases pertained only to "adult women."

Supporters of Louisiana's law say that besides murder, no crime is more deserving of the death penalty than child rape and that the punishment would be used only in the most heinous of circumstances.

"A lot of people think there should not be a death penalty because the child survives," sex crimes prosecutor Kat Bartholomew said. "In my opinion, the rape of a child is more heinous and more hideous than a homicide."

She said a sexual assault on a child "takes away their innocence. It takes away their childhood. It mutilates their spirit. It kills their soul."

Death penalty opponents contend, among other things, that it could give attackers a reason to murder their victims. In Wednesday's ruling, Anthony Kennedy agreed, writing, "A state that punishes child rape by death may remove a strong incentive for the rapist not to kill the victim."

After the ruling, a cousin of the victim's, said, "Just knowing the kind of man [Patrick Kennedy] is, we'll never be comfortable."

The high court has in recent years banned execution of the mentally retarded, underage killers and those deemed to have had an inadequate defense at trial.

Other developments:

The U.S. Supreme Court is also expected to hear these cases:

• GUN RIGHTS -- District of Columbia v. Heller (07-290)

At issue: Does a city's sweeping ban on handgun ownership violate the fundamental right to "keep and bear arms" by preventing individuals -- as opposed to state militias -- from having guns in their homes? Some residents want a handgun for protection in their homes, but District of Columbia officials argue they have the responsibility to impose "reasonable" weapons restrictions to reduce violent crime.

• ENERGY PRICES -- Morgan Stanley Capital Group v. Public Utility District 1 of Snohomish County, Washington (06-1457); American Electric Power Service Corp. v. Public Utility District 1 (06-1462)

At issue, with four other similar appeals: Is an energy crisis sufficient justification for federal officials to decide the standard of review for the sale of electric power contracts? A Nevada power company and a county in Washington seek to invalidate contracts because they were signed at the height of the 2000-2001 Western energy crisis. This decision may affect California's bid to save $1.4 billion on supply contracts signed at the time.

• CAMPAIGN FINANCE -- Davis v. FEC (07-320)

At issue: A federal law's "millionaire's amendment," easing campaign spending limits for opponents of well-heeled congressional candidates who pour $350,000 or more of their money into an election cycle. Democrat Jack Davis, who ran and lost in New York's 26th Congressional District in 2004 and 2006, calls the provision an additional burden on him, requiring greater spending disclosures in a short time frame.

CNN's Sean Callebs contributed to this report.

@highlight

Sentences in two Louisiana cases will be commuted to life without parole

@highlight

Court: Capital punishment for crimes against individuals reserved for murderers

@highlight

Case stemmed from 2003 death sentence of man convicted of raping girl, 8