(CNN) -- Despite facing a punishing air bombing campaign, the Islamic State in Iraq and Syria continues to march across Syria. This week, it tightened its siege on the Syrian Kurdish town of Kobani. Though it is too soon to write off the American strategy to "degrade and ultimately destroy" ISIS by relying on air power and Syrian rebels, the opening week was a box office flop.

For the operation to be a success, Washington should enlist the support of a group it has spurned: the Syrian Kurds.

To explain: ISIS is the most powerful fighting force across northern and eastern Syria. Its main Islamist competitors have all been weakened in recent months. The Salafi brigade Ahrar al-Sham has seen its stock plummet after Qatar curtailed its funding and its leader died. ISIS chased the al Qaeda affiliate Jabhat al-Nusra out of its eastern strongholds of Deir al-Zour. And the Tawhid Brigade has been adrift ever since the death of its leader last year.

But Washington is not pinning its hopes on these politically unsavory groups to dislodge ISIS.  Instead, it has armed smaller and less powerful brigades from the loose umbrella organization known as the Free Syrian Army and has announced a program to train 5,000 rebels in Jordan and Saudi Arabia.

Equipping the Free Syrian Army got off to a rocky start. Sources in Turkey told me this summer that one brigade tried selling American-supplied TOW anti-tank missiles to Jabhat al-Nusra for $25,000 this year.

Throwing money, arms and training at Free Syrian Army units will not defeat ISIS.

Instead, it will require a fundamental shift in the Free Syrian Army's thinking. One of ISIS' chief strengths is its unit cohesion. Its cadres are ideologically bound, fighting for the cause of Islam. These doctrinal bonds ensure that units stick together when they come under fire.

In contrast, Free Syrian Army brigades often battle for material gain and social status. In combat, their forces frequently disintegrate, no longer acting as a team. I witnessed this myself while spending time with them on the front in 2012 and 2013.

There are also more mundane challenges. There are no rebel outfits that can confront ISIS in its Syrian bastion of Raqqa. In the summer of 2013, the city's strongest Free Syrian Army contingent, a loose alliance known as the 11th Brigade, mostly folded into Jabhat al-Nusra.

When fighting erupted between ISIS and other organizations at the end of 2013, ISIS ejected Ahrar al-Sham from the town.

Today, it reigns supreme in Raqqa.

To lay siege to the city, Free Syrian Army groups would have to travel approximately 100 miles from their northwestern strongholds in Aleppo and Idlib. Logistical constraints -- these brigades rarely fight beyond their home regions -- would make resupplying forward units with ammunition, food and fuel unfeasible.

And if Washington is hoping for a civilian uprising to topple ISIS in Raqqa, it might have to wait until the Armageddon jihadists are predicting will occur in Syria. The Western media have depicted ISIS-controlled areas as slave markets where a terrorized civilian population lives in constant fear. But there's evidence that many do not harbor such trepidation. Raqqans I spoke to via Skype and in Turkey said that many in the city support ISIS.

And why would Syrians acquiesce to a group that seeks to control most facets of their lives? Because, as President Bill Clinton famously quipped, "It's the economy, stupid."

In a war-torn country where civilians wait in line for hours to get bread, where they endure constant power outages and are hard-pressed to obtain fuel, Raqqans live on a paradise island of commodities. ISIS' oil fields provide gas, its dams deliver electricity, and its efficient bureaucracy ensures that groceries are stocked with sufficient supplies of basic staples. President Barack Obama may believe that ISIS "is certainly not a state," but the Syrians under its control are grateful for its state services.

Most important, the group ensures security in a country where there is none. The chaos and plunder that characterize Free Syrian Army-controlled areas are a distant nightmare. While the partially rebel-controlled city of Aleppo could be a stage set for a "Mad Max" sequel, ISIS' Raqqa is a field of dreams.

The only other rebel-held areas that have a modicum of order are those under the control of the Kurdish Democratic Union Party (PYD). The group rules the northern city of Qamishli and the villages surrounding it. Unlike Aleppo, the economy has not collapsed, and residents do not cut down trees for warmth. And in contrast to Raqqa, the secular Kurds have not driven out Qamishli's Christians but instead have protected them.

Moreover, Turkish fears that a Kurdish enclave would provide a safe haven for Turkish Kurds from the Kurdistan Workers Party (PKK) have proved unfounded. The Democratic Union Party  has ensured calm on the border, and a grateful Turkish government has reciprocated by meeting with its leaders.

But the Kurdish Democratic Union Party's greatest asset is its willingness to fight ISIS.

Long before Free Syrian Army brigades were willing to take on the jihadists, the Kurdish Democratic Union Party made the battle against them its chief objective. And while Free Syrian Army groups receiving arms from Washington, such as the Hazm Brigade and the 13th Division, have condemned the American airstrikes, the Kurdish Democratic Union Party has welcomed them.

Yet despite this alignment of interests, Washington has shunned the group. It refuses to recognize the Kurdish Democratic Union Party or support it, because of its ties to the Kurdistan Workers Party, a State Department-designated terrorist organization since 1997.

In a country where America has so few allies, a change in policy is warranted. Relying on insignificant Free Syrian Army units will not be enough to topple the ISIS behemoth. Working with the Kurdish Democratic Union Party could help Washington reach its objective of destroying the organization.

@highlight

Barak Barfi: As airstrikes against ISIS fail, Washington should look to Syrian Kurds

@highlight

ISIS is strongest force in northern, eastern Syria, he says; Islamist rivals are weakened

@highlight

He says Kurds eager to fight, can supply the kind of order ISIS brings to conquered cities

@highlight

Barfi: Don't rely on Free Syrian Army; Kurds' objectives more in line with D.C.'s