New York (CNN) -- Some athletes strive to conquer mountains, but Andrea De Mello started with a much more humble goal: a lamppost.

She had suffered a stroke in 1980 at age 10 and spent the majority of the next few years in a hospital bed or wheelchair. She eventually moved from her native Brazil to New York for treatment, and a family friend urged her to get in touch with Dick Traum, who had started a running club for disabled athletes.

When she met the group in Central Park one Saturday morning in 1986, Traum urged her to take steps that would ultimately change her life.

"Dick said to walk one lamppost to another lamppost," she recalled. "I walked very slowly. ... It was very hard."

That day, De Mello walked the distance between six lampposts -- about 300 yards. The next week, she walked eight lampposts. Every week, she improved, and by the next year, she finished the New York City Marathon.

"I felt great because I did something to help myself," said De Mello, 42. "I started my life again."

There are many stories like De Mello's at Achilles International, the nonprofit Traum started almost 30 years ago. Today, the organization provides free athletic training, support and a sense of community to more than 10,000 disabled athletes in 70 countries worldwide.

The idea is relatively simple. At weekly runs, able-bodied volunteers are matched with disabled runners who have a variety of physical and mental challenges.

"Amputees, strokes, autism, diabetes, multiple sclerosis, cerebral palsy -- you probably can't think of a disability that's not represented," Traum said.

Running side by side, the athletes get in shape, build confidence and make friends.

It's an atmosphere that Traum, 71, still loves. An above-the-knee amputee, he can still be found in Central Park every Saturday morning, making people laugh -- and groan -- with his notoriously bad jokes.

"Camaraderie is the most important part of what we do," Traum said. "We make it into a fun thing, so that it's not only a matter of how fast or how far can I run, but it's about sharing the run with the group."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Many of the disabled athletes are training to achieve specific goals, whether it's a 5-kilometer race or the New York City Marathon. Traum believes that when they compete in mainstream races, they change opinions on two levels.

"When an able-bodied runner gets passed by someone on one leg, it changes their perception of what the disabled can do," Traum said. "It also changes the way disabled athletes perceive themselves."

It's a circle of inspiration that's been growing since Traum started his work.

A lifelong New Yorker, Traum was always athletic, even wrestling at the college level. But as a 24-year-old doctoral student, he was in a car accident and eventually had one leg amputated.

"Somehow, I wasn't upset," he said. "When you lose a leg, there's no ambiguity. ... You get an artificial leg and keep going."

He went on to start a successful business, but the long hours spent at work took their toll. When a friend died of a heart attack in 1975, he realized he needed to get in shape.

He joined the local YMCA and started running. At first, he could run only a few hundred feet. But he slowly built up to a mile and then five miles. Running on his prosthetic leg, he was an unusual sight.

"I'd ask my coach how I was doing compared to the other amputees, and he'd say 'About the same,' " Traum remembered. "The joke was, there were no other amputee runners.

"I had more than a few kids ask me if I was a bionic man," he said.

In 1976, Traum became the first amputee to run the New York City Marathon, finishing in seven hours and 24 minutes. To Traum's knowledge, he is the first person to run such a distance on a prosthetic leg.

Traum's achievement inspired Terry Fox, a Canadian teenager who had lost a leg to cancer. Fox decided to run across Canada, averaging a marathon distance of 26 miles a day, to raise money for cancer research. He named his crusade the Marathon of Hope, and he ran more than 3,300 miles, raising millions of dollars and international awareness before cancer finally took his life in 1981.

Traum never met Fox. But it was after he went to Canada to compete in a race held in Fox's honor that he got the idea to start Achilles International, which he named in honor of the Greek warrior who was perfect except for one vulnerability.

The group, which gets its funding from corporate and foundation grants, has no membership fee, and it will often pay race entry fees for people who can't afford them. Traum has never wanted anything to prevent athletes from participating.

"Running that first marathon was probably the favorite day in my life," Traum said. "I'm just trying to give that joy to others."

Opinion: Oscar Pistorius, an inspiration and a question

Although running has always been the group's primary focus, in recent years, Achilles has started offering hand-crank wheelchairs, tandem biking, triathlon training and kayaking. After knee replacement surgery a few years ago, Traum stopped running himself and switched to a hand-crank wheelchair, which is low, has three wheels and is moved by the user's arms.

Achilles has also developed a number of specialized programs like Achilles Kids, which works with more than 4,000 disabled children, and the Freedom Team of Wounded Veterans, which has helped more than 1,000 disabled veterans finish marathons across the country.

Army Capt. David Rozelle had his foot amputated in 2003 after his Humvee hit a land mine in Iraq. He started training with Achilles at Walter Reed Hospital in Washington, and just 10 months after his injury, he ran the New York City Marathon. At his request, he was deemed fit for duty, and in 2005, he rejoined his unit in Iraq, becoming the first amputee to return to war.

Rozelle's story makes Traum glow with pride.

"We are literally addicting people to achievement," Traum said. "They feel good about themselves, and their level of aspiration increases dramatically. "

Since walking to that first lamppost, De Mello has gone on to compete in 20 New York City Marathons and five Paralympic Games, competing in swimming and wheelchair fencing. It's a life that she says she could never have dreamed of without Traum.

"He (became) my friend, my family, my coach and my hero," she said. "Dick helped me realize that everything is possible in my life."

Traum's influence can also be found every day in neighborhoods across the country.

"Now, you see (disabled athletes) running in the park all the time," Traum said. "It's just like a seed that we've successfully planted."

Want to get involved? Check out the Achilles International website at www.achillesinternational.org and see how to help.

@highlight

Dick Traum's nonprofit is helping disabled athletes meet their potential, set new goals

@highlight

Free training has benefited more than 10,000 athletes in 70 countries

@highlight

Traum says "camaraderie is the most important part of what we do"

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes