(CNN)Relief workers reported "unbelievable destruction" after Tropical Cyclone Pam smashed the capital of Vanuatu, the Australian Red Cross said Saturday.

The Australian Red Cross said via Twitter that "humanitarian needs will be enormous. Many people have lost their homes. Shelter, food and water (are) urgent priorities" in Port Vila.

Meteorologists said the storm has weakened some, but it was still pounding the islands after hours of fierce winds and torrential rain.

"#CyclonePam still tearing through #Vanuatu. 'Much bigger than expected,' says our colleague in Port Vila. Initial reports of devastation," the Australian branch of UNICEF said on Twitter earlier.

Pam, one of the strongest storms seen in the South Pacific in years, earlier made a direct hit on the capital, raising fears of mass destruction.

In its 8 a.m. Saturday update, the Vanuatu Meteorological Services warned of "very destructive hurricane force winds" of 155 mph (250 kilometers per hour) in Shefa and Tafea provinces, with several others facing "very rough to phenomenal seas with heavy swells."

The Joint Typhoon Warning Center in Pearl Harbor, Hawaii, said the cyclone had weakened from the equivalent of a Category 5 hurricane to a Category 4. It has dumped more than 9 inches of rain on the capital in a 36-hour period and has wind gusts of up to 190 mph (305 kph).

Track the storm

Pam is forecast to move southeastward along the western edge of the southern islands of Vanuatu. It isn't expected to make any additional landfalls before dissipating.

It will continue to weaken as it crosses cooler waters and encounters higher wind shear.

Pam is expected to pass east of New Zealand on Sunday and into Monday. It could bring heavy rainfall to North Island, including Auckland.

The capital, the biggest city in the Vanuatu island chain, sits on the coastline, which is vulnerable to storm surges during powerful cyclones.

Tropical Cyclone Pam is the strongest storm to make landfall since the devastating Super Typhoon Haiyan hit the Philippines in 2013.

Chloe Morrison, an emergency communications director for the humanitarian organization World Vision, told CNN that she could see some light between her boarded-up windows but it was still hard to see the totality of the destruction outside the house where she and seven others huddled in a back room during the storm.

"Seven hours hunkered down and it's still not safe to go outside," she said. "The winds are still really howling. We're really lucky to be in a concrete house."

Part of the tin roof twisted off the house and landed by one of the windows, she said. She also noted that two trees outside didn't get uprooted, but they had not one bit of fruit or any leaves remaining.

Despite the "quite terrifying ordeal," Morrison said, their house didn't have any damage.

Through the night, the wind and torrential rain made it sound like an angry ocean was just outside their doors, she said.

World Vision, which says it's been based in Vanuatu for more than 30 years, said its emergency assessment  team would head out to view the damage when it is safe.

The staff helped prepare communities on the islands for the cyclone by positioning water, food, blankets, tarpaulins, and shelter, hygiene and kitchen kits in key places, it said, as well as advising on disaster preparedness.

Residents have been advised to seek shelter in places such as churches, universities and schools.

"The strongest thing they've got is cement churches," said Inga Mepham, program director for CARE International for the Vanuatu program. "Some of them don't have that. It's hard to find a structure that you'd think would be able to withstand a Category 5 (storm)."

Earlier, photographer Michael McLennan -- who said the storm is being called the "Vanuatu Monster" -- told CNN that the "strength of winds is incredible."

Video footage he shot earlier Friday showed palm trees being whipped by wind and rain.

Evacuation alerts have been issued for several parts of the country.

Even before the sun rose Saturday, Vanuatu was already getting hit hard, with most communication and power cut off due to the storm.

"The wind outside is terrifying," Michael Wolfe, World Vision's national director in Vanuatu, told that organization. "I can't imagine what it's like for families out there who weren't able to find safe shelter before the storm."

The archipelago nation northeast of Australia contains 83 small islands, many of which have little infrastructure and lack the strong housing structures that can endure a walloping storm.

Because of the tropical climate in Vanuatu, some of the housing is made of lighter building materials, including straw and corrugated metals.

Residents prepared for the storm, boarding up windows and chopping down trees that stand close to buildings in case they could become debris or cause further damage or injury.

CNN host Bill Weir, who was recently in Vanuatu on assignment, said that while Port Vila has some modern development in the form of an airport, large hotels and a convention center that's under construction, life on some of the islands has remained almost unchanged for thousands of years.

"For search and rescue, for bringing food and supplies and medicine, it's extremely challenging," he said.

Pam has triggered watches and warnings in the Solomon Islands and New Zealand.

CNN's Greg Botelho and Derek Van Dam contributed to this report.

@highlight

Red Cross says Tropical Cyclone Pam destroyed many homes

@highlight

UNICEF tweets there are reports of devastation in Vanuatu's capital

@highlight

Storm has made a direct hit on the capital of Vanuatu, Port Vila