(CNN) -- Concussions and the link to CTE have captured the headlines once again, with Junior Seau's family filing a lawsuit against the NFL.

They believe the brain damage Seau suffered during his 20 years in the league led to his suicide.

Then, in a recent interview with "New Republic" magazine, President Barack Obama tackled the culture of violence in football and the impact the game takes on its players. Obama stated, as much of a fan he is of football, "If I had a son, I would have to think long and hard before I let him play football."

And yet, the most captivating and exciting news for me is the recent early findings based on the studies out of UCLA. For the first time, researchers used a brain imaging tool to identify abnormalities in the brains of a handful of living former NFL athletes. Previously, these abnormalities could only be studied after a player died.

This is a possible breakthrough that could revolutionize how we view and treat concussion injuries on all levels of contact sports. It could save lives and provide families of athletes a degree of emotional stability, since symptoms of CTE may appear within months or many decades after the trauma.

I knew Seau personally, and I was also a colleague of Dave Duerson at Voice America Sports. The most unsettling thing about the deaths of Seau and Duerson was not that these men tragically took their own lives, but that on the outside the people closest to them could not see that they were suffering -- and the next day they were no longer here.

A tale of two former NFL players

I always wonder, "Does it really happen that fast, and will I one day not be able to see it myself?" These questions can haunt a father of a 5-year-old boy, especially when I think about his future if he should decide to emulate his father with career on the gridiron. The possibility of early detection of CTE and any possible prevention of him suffering from CTE is an extremely exciting prospect.

My journey through the process of sending in my paperwork was not only an emotional decision, but also one which had to be handled in a very calculated manner. So begins the battle of the logic versus emotion for anyone in the position to make such a huge decision with an unknown future.

The process of committing yourself to such a study is one that you do not take alone. Commitment to this study requires my signature along with the signature of a family member who may not fully understand the reasoning behind the decision. This can make you overthink your decision.

Family members, because of the publicity around CTE and suicide, may assume that you are not mentally stable and are on the verge of taking drastic measures.

Each family dynamic is different, but what I learned in this process is that like every other important issue, when it comes to someone you deeply care about, communication is key.

That communication has to happen, whether it is a spouse, sibling, parent or in my case, my grandmother, who is the true matriarch of the Campbell family.

I had this discussion face-to-face with my grandmother, who felt blindsided and concerned for my safety when she first read the papers. I explained to her that this decision was not just about me, but that donating my brain was my way of giving back to my brothers on the field.

I reminded my grandmother that a passion for giving back is something she instilled in me at a young age, and that's what influenced my decision to sign the paperwork and have it sent to Boston University School of Medicine. Once she understood my thought process, she signed the papers, too.

This new UCLA study can be a turning point, not just for NFL athletes, but all male and female athletes who play contact sports. It gives us hope that tragic losses associated with CTE can be prevented. It gives us hope that treatment might be implemented at an early stage for current and future athletes.

The time has passed for casting blame on what precautions were or were not taken to prevent concussions and CTE. It's time to start the process of making sure that the building blocks of preventive measures take place to guarantee that concussions will never just be looked at as just another consequence of the game.

@highlight

Lamar Campbell knew Junior Seau and worked with Dave Duerson

@highlight

He is intrigued by recent findings out of UCLA on brain disease

@highlight

Campbell says the decision to donate his brain was not to be taken lightly