(CNN) -- A security camera video of a toddler being run over twice on a street in China has swept across the Web in recent days and has drawn a chorus of horrified denunciations. How, we wonder, could so many passers-by have so callously ignored the girl's plight?

As humans, we are horrified when we learn that a person in distress is not helped, even when, as in this case, many potential helpers are present. Our horror increases if the person is victimized in a particularly vicious or careless way by fellow human beings. Our horror is further heightened when we learn that the victim is helpless and the kind of person who normally stimulates our instinct to aid and protect.

Our spontaneous reaction is to say: "Had I been there, I would have helped; what is wrong with these people?" If an incident occurs in a foreign country or culture, it is easy -- maybe tempting, as we grapple with something so baffling -- to conclude that the particular culture is to blame, that it is being callous, uncaring or egotistical.

It is true that cultural differences exist in many aspects of human behavior, and many of these differences are not trivial. But in the Chinese incident, in which the small child was gravely injured before someone finally carried her away, it would be too facile to think that apathy in the face of others' suffering is a signature of the local culture.

First, the public outcry and outrage within China was quite the same as what one would see in other countries. Second, there have been, of course, similar cases in other countries. Indeed, there was the torture and murder of Kitty Genovese in Queens, New York, in a 1964 street attack. Early reports, which may not have been entirely accurate, indicated that many people listened to or watched the attack and did nothing to stop it, and so a media blitz followed . Commentators asked: What is wrong with New York City, what is wrong with these times, and what is wrong with the particular neighborhood?

Outrage in China after toddler run over, ignored

The incident spawned research on the so-called bystander effect: a set of brilliant experiments conducted by John Darley and Bibb LatanÃ©, who showed in their 1968 study that as the number of bystanders goes up, the probability of any individual bystander intervening goes down. This is so because each bystander is trying to solve a so-called "volunteer's dilemma." If everyone responds, the cost could be high and the volunteers might get in each others' way. It would be best if only one bystander responded, the thinking goes. If this is so, it is reasonable to ask who it will be and why it should be me.

Since the original experiments, many studies have explored the bystander effect. Recently, I was part of a research team brought together by Peter Fischer of the University of Regensburg, Germany. We surveyed the existing scientific literature and statistically integrated the findings from 105 data sets. We found that the bystander effect is quite robust, that it has declined somewhat in magnitude over time, and that there are certain conditions under which it disappears or is even reversed.

For example, in a situation in which several bystanders need to band together to overwhelm a perpetrator, they will be more likely to act collectively than to act alone. The heroic effort of the passengers on United Flight 93, which was suspected to be in line to strike a Washington target on 9/11/2001, comes to mind.

It is these extreme cases, the callous injury of a helpless toddler and the heroic revolt of ordinary people in the face of terrorism, that capture our attention. With a bit of luck, most of us will not find ourselves in such existential situations.

We must ask ourselves, however, how we will respond in more mundane situations that present us with fellow human beings who are in need. Will we help or hope that someone else will?

The opinions expressed in this commentary are solely those of Joachim Krueger.

@highlight

Joachim Krueger says video of a toddler run over twice in China has shocked, horrified many

@highlight

He says we wonder why it took so long for someone to help and ask are people in China callous?

@highlight

He says what researchers call "volunteers dilemma" not unique to China; cites NY case

@highlight

Krueger: "Bystander effect" sometimes less when a group is needed, as in United Flight 93