It's like finding a needle in a universe-wide haystack. Researchers have located a planet roughly the size of Earth that could be habitable.

Designated Kepler-186f, the planet is 490 light-years away.  But in the search for worlds similar to ours, nothing has come closer.

"This is the first definitive Earth-sized planet found in the habitable zone around another star," said Elisa Quintana of the Search for Extraterrestrial Intelligence (SETI) Institute at NASA.  "Finding such planets is a primary goal of the Kepler space telescope."

"This discovery not only proves the existence of worlds that might be similar to our own but will undoubtedly shape future investigations of exoplanets that could have terrestrial surface environments," the institute said in an announcement Thursday.

After spotting it, the institute wasted no time searching for emissions that could indicate the presence of ETs.  So far, no emissions have been found.

The size -- estimated to be 10% larger than Earth -- and distance from its star don't just make for interesting factoids.  They give scientists hope that Kepler-186f might sustain life as we know it.

Of nearly 1,800 "confirmed exoplanets" that have been found, approximately 20 orbit their host stars within habitable zones, where it's believed surface water would not freeze or boil. In 2011, NASA announced that Kepler had observed five planets approximately the size of Earth and in the habitable zone.

But the "previously discovered worlds are larger than Earth, and consequently their true nature -- rocky or gaseous -- is unknown," the SETI Institute said in a written announcement on Thursday.  "On the basis of the observed dimming of starlight from Kepler-186, the authors estimate that this newly discovered planet is roughly the same size as the Earth."

Theoretical models and observations tell scientists that planets the size of Kepler-186f likely have a composition of iron, rock and ice, like Earth, Quintana told reporters Thursday.

Even if Kepler-186f is rocky, it's not necessarily habitable, scientists warned Thursday. First, a lot would depend on the atmosphere, if it has one, Thomas Barclay of NASA's Kepler mission said. And scientists right now don't have the technology to know what the atmosphere is.

The star's size -- it's an M-dwarf star, smaller and less hot than our sun -- also could come into play. Because it is smaller, the habitable zone is closer, so radiation could prevent life if the atmosphere isn't dense enough, said Victoria Meadows of the University of Washington Virtual Planetary Laboratory.

But the Webb space-based telescope, now under construction, should be able to gather images of planets around closer dwarf stars and study their atmospheres.

Scientists are especially keen about checking dwarf stars because their habitable planets are more easily detectable, and because they are the most abundant type of star in our galaxy, Barclay said.

For researchers, the discovery of Kepler-186f is like a beginning.  It's a first but "not a record we wish to keep," Quintana said.  "We want to find more of these."

It's likely they will.  Astronomers at the University of California, Berkeley, and the University of Hawaii, using data from Kepler, estimate there are tens of billions of Earth-size, possibly habitable planets in our Milky Way galaxy.

@highlight

Researchers find an Earth-sized planet that may be habitable

@highlight

It "proves the existence of worlds that might be similar to our own," institute says

@highlight

Scientists are looking for emissions that could suggest extraterrestrial life

@highlight

Previously discovered worlds were larger than Earth