The investigation into how AirAsia Flight QZ8501 ended up at the bottom of the Java Sea, involves recovering the bodies, accessing the flight data recorders, and meticulously mapping where debris is found to reconstruct its path.

An Indonesian search and rescue official told CNN that he thinks material detected by sonar equipment in the water is from AirAsia Flight QZ8501.

So what happens next?

Priorities

The first priority is to recover the bodies and return them to their loved ones, Indonesian authorities say. Helicopters are lowering divers to bring back bodies and debris from the surface of the water.

The bodies give clues about what happened on the flight, based on where they're found and their condition. For example, sea water in their lungs would suggest that the people on board may have been conscious when the plane struck the sea.

There is particular attention to the location of the bodies and various debris.

David Soucie, a former Federal Aviation Administration safety inspector and analyst for CNN, likens it to "peeling an onion apart and then putting that onion back together from the inside out."

Investigators map the debris found on the surface of the water. Then they have to look for other pieces in the next level of sea for more clues, he said.

"So you might go down 50 feet or so, to see if there's any floating debris there. And you keep going down and mapping it as it goes. You see how the drift went and how the pieces of the plane moved."

During the investigation of Air France Flight 447, more than 150,000 images of the plane's wreckage site in the Atlantic Ocean were taken.

It was important to "mosaic them together" to give investigators a comprehensive view of the wreckage site, said David Gallo, who co-led that search after the French jet crashed in 2009.

Data recorders

The key to understanding what happened is likely contained in the aircraft's cockpit voice recorder and flight data recorder, commonly known as black boxes.

If they are recovered, Indonesian authorities will designate which agency should open and download the information.

The black boxes, which are actually orange, are located in the tail for Airbus 320-200s.

The cockpit voice recorder collects audio from the pilots' microphones and various channels.

"It picks up other sounds like clicks, things going wrong, thuds, hail. You can hear that on the windshield," said Mary Schiavo, a lawyer and former inspector general of the U.S. Department of Transportation.

Acoustic experts can comb through the audio to try to determine the meaning of every click and sound.

The data recorder holds hundreds of pieces of data such as airspeed, altitude, whether the plane's nose was up or down and which direction it was headed. All that data would print out on long sheets, almost like EKGs, that authorities would use to piece together a timeline of the flight.

Because the AirAsia plane was only six years old, its data recorder is fairly modern and would contain lots of parameters, Schiavo said.

Challenges in the search

Although the plane is in much shallower waters than where Malaysia Airlines Flight MH370 is believed to have fallen, search crews face challenges. Nature certainly isn't helping.

"The problem that the search team is now facing is the monsoon season," said Eric van Sebille, oceanographer at the University of New South Wales in Australia.

"This plane couldn't have gone down in a worse time of year. There's big winds, choppy waves. These shallow seas are known for complicated waves. It's really difficult to work in."

This could put search and recovery crews at risk and decrease visibility. They're also working under a deadline as the plane's pingers, or underwater locator beacons, only last for about 30 days.

Salvage operation

Salvage operations to lift the wreckage are complicated, but the process has been done before in places deeper than the bottom of the Java Sea, which is about 140 feet (43 meters) down.

The U.S. Navy salvaged pieces of TWA Flight 800, which crashed off New York in 1996, from depths of 115 to 130 feet. In 1998, Canadian officials lifted pieces of Swiss Air Flight 111 from the depths of 180 feet, off the coast of Nova Scotia.

Underwater vehicles, designed for deep water salvage operations, can descend as deep as 20,000 feet. They could retrieve smaller items such as the flight data recorder.

Since they can only carry up to 4,000 pounds, larger pieces, such as the fuselage would have to be attached to a cable and pulled to the surface by a crane on a ship. This was done for recovering remnants of the fuselage of Air France Flight 447.

@highlight

Experts: First priority is to recover bodies and return them to families

@highlight

Location of debris and bodies are carefully logged and mapped

@highlight

Data recorders are key pieces of evidence

@highlight

Salvage operations have been used for plane crashes that were deeper than Java Sea