(CNN) -- "We're ready to take control" confirms Bob Fraser, a well-seasoned pilot who has been flying for 37 years.

"And proceed," replies flight test engineer Duncan Casey.

Fraser and Casey are looking at computer display screens, tracking the position of a modified BAE Jetstream 31 aircraft flying north towards Scotland -- but there is one vital difference.

Casey is high in the sky while Fraser has his feet firmly on the ground.

Casey is one of the flight test engineers onboard the test aircraft equipped with state-of-the-art drone technology along with the two pilots in the cockpit for the take-off and landing phases.

After taking-off and climbing to an altitude of 7,000 feet, the pilots hand over to the flight test engineers who in turn hand over to Fraser.

Fraser is responsible for navigating the aircraft on a pre-planned route. Calmly in front of his computer, he taps in coordinates to make the plane turn left and right, clearing it with air traffic control as any other pilot onboard would do.

"Flying an unmanned vehicle is not as much fun as flying a normal aircraft, however it has a lot of similar challenges," explained Fraser from the comfort of his armchair cockpit.

See also: The rise of zombie airports

BAE Systems granted CNN exclusive access to one of their test flights in early July, allowing passengers aboard for the first time in the process.

At the time of filming, the plane had already racked up 480 flight hours using specialist drone technology developed over the past six years as part of the $94 million ASTRAEA program.

The project has brought together a consortium of six companies, BAE Systems, QinetiQ, Thales, Rolls Royce, Cobham and AOS.

With increased automation in the cockpit, hopes are high that planes like those controlled by Fraser can fly further and longer.

For those at the cutting edge of the industry, this is an exciting milestone.

"It's probably the next major step in aviation, it's a bit like introducing the jet engine," said ASTRAEA program director, Lambert Dopping-Hepenstal. "It's a new branch of aviation all together."

"(Next) we've got to find ways of introducing technology to replace the man on the aircraft and indeed amending the regulations. All the (current) regulations assume a pilot to be onboard the aircraft and that's the way it's been for the past 100 years or so."

BAE Systems and partners need to prove to regulators that it is possible for unmanned aircraft to fly safely in commercial airspace.

"As industry, we'd like a full set of regulations to build something to. The regulators would like us to show them a product. The problem is, because there is a big gap between our understanding of manned aircraft and unmanned aircraft, we somehow have got to work together to bridge that gap and that's what the ASTRAEA programme is all about," says Dopping-Hepenstal.

However unmanned passenger flights are unlikely to be taking-off in the near future at least.

Instead, Dopping-Hepenstal believes the technology could first be adopted for cargo flights and for aircraft operating during hazardous emergencies such as wildfires.

These developments could then be fed back into military design and used to make commercial aircraft safer.

See also: How to travel using apps not maps

The technology tested by BAE Systems could also be transferred to other industries outside aviation.

"We are only limited by the power of our imagination with this technology and capability," said Ruth Mallors, Director of the Aerospace Knowledge Transfer Network (AKTN).

"What is important (is) that drones are not just airborne, they are water and land based too .... the Mars Rover is an autonomous vehicle in many aspects.

"There are many capabilities that are crying out for this technology -- agriculture, surveillance, inspection regimes -- but the breakthroughs will be where we discover applications of the technology not yet thought through."

For seasoned pilots such as Fraser, however, the potential of this technology is about far more than the prospect of a profitable new industry.

" I think there will be a number of people for instance who can't fly (now) -- they're airsick or wheelchair-bound -- they're not capable of being in the air. For them this will be an exciting future."

@highlight

CNN goes aboard a modified BAE Jetstream 31 test aircraft as it flies above northern England

@highlight

The aircraft is manned by a crew in the sky but controlled by a pilot on the ground

@highlight

Unmanned flight is an exciting milestone for those at the cutting edge of the aviation industry