(CNN)During the three years that I was serving as a member of Tunisia's Constituent Assembly, I would frequently walk to work through the gate of the Bardo Museum so  I could get a glimpse of the mosaics, and perhaps enjoy the adjoining herb garden. The museum, in downtown Tunis, serves not only as a physical reminder of Tunisia's Roman, Jewish, Christian and Islamic heritage, but is also connected to the Tunisian parliament. I used to love these peaceful moments on the way to work. Sadly, they will likely never feel quite the same again.

On Wednesday, that kind of mood was shattered as the museum came under siege. More than two dozen people were killed as gunmen armed with Kalashnikovs opened fire, sending men, women and children scrambling through the Lion Gate to escape. The members of parliament who were evacuated were, ironically, discussing an anti-terror bill in a committee.

Two of the attackers -- who were killed during the assault -- have been identified, and the security minister on Friday indicated  the pair had been activated from a sleeper cell, although at the time of writing authorities had yet to announce a link to a specific jihadist group. However, the attack followed the release of videos purportedly from the Islamic State of Iraq and Syria threatening Tunisia. Meanwhile, individuals associated with the banned Tunisian organization Ansar Al-Sharia declared allegiance to ISIS leader Abu Bakr al-Baghdadi. All this has left some wondering if the museum attack marks a shift in strategy for ISIS.

Have Salafist terrorists moved beyond their usual guerrilla-style operations to suicidal attacks outside Iraq and Syria?

If they have, then our political leaders -- who have already been vocal about their commitment to combating terrorism, and have been collaborating with Turkey to prevent Tunisians entering Syria -- will need to redouble their efforts. The threat posed by terrorism to Tunisian citizens and our guests can't be downplayed, much less ignored.

However, the reality is that a comprehensive strategy is still wanting, a point made in a recent report published by the Tunisian Institute for Strategic Studies, Tunisia's foremost think tank on political, economic and environmental matters. Indeed, the institute, which has tracked the upsurge in Salafi jihadi recruitment in Tunisia based on fieldwork and interviews with Tunisian jihadists, has documented how the phenomenon has largely unfolded outside the media's view.

So, how should we respond?

Some MPs have demanded the immediate passage of a new anti-terror law, and have been dismissive of the need to focus on human rights at a time of crisis. However, Wednesday's attack doesn't change the fact that we already have an anti-terror law that applies; simply passing a new version of a law will not stop a repeat.

Instead, Tunisians should build on the stable institutions we have in place to implement some of the key ideas contained in the institute's report. For example, rather than rely exclusively on the Tunisian security apparatus for short-term gain, we need to better engage the Tunisian public in our common struggle against Salafi terrorists.

Part of this means beating the terrorists at the recruitment game. Tunisians yearn for a sense that the state recognizes their humanity, dignity and value as individuals, not just as potential voters and taxpayers. With this in mind, it is clear that the Tunisian state has done a poor job of "recruiting" its citizens into the fold, which has left space for terrorists to make a pitch for young Tunisians who feel alienated and who have lost hope.

Of course, a robust police response is required to contain Salafi jihadism. But this must be matched by an equivalent civil response to uproot the problem. That is why as law enforcement fans out across the country to investigate and protect, I hope also to see educators and trained social workers traveling to rural and impoverished areas of Tunisia to demonstrate that the state has recovered the kind of humanity that was lost during decades of police-state, authoritarian stagnation.

Wednesday's attack was tragic. But to move forward, we must not be tempted to fall back on our past.

@highlight

At least 23 people were killed in an attack on Bardo Museum in Tunis

@highlight

Mabrouka M'Barek: Tunisia has failed to "recruit" its citizens into society