While traditionally hotels offering "day rates" conjure up seedy, by-the-hour hovels reserved exclusively for illicit trysts, the last couple of years have seen a rash of upmarket accommodations adopting the practice.

According to many in the hospitality industry, day-rate rooms are more likely to be used for business and tourism purposes than they are romantic ones.

Just behind world-famous department store Harrods sits one of London's most exclusive hotels. The Beaufort may be the only accommodation in the city with unlimited complimentary cream tea and an open bar (guests can guzzle all the champagne they can muster, free of charge). It can afford these amenities because the room rates start at £170 ($270) per night.

"The Beaufort is actually a very exclusive boutique hotel," explains Nassar Khalil, the director of sales and marketing. "We cater to a unique set of people because our price bracket is such. It's not just for any Jack and Jill."

And it's not the type of place you'd expect would offer discounted day rates. Yet it is one of hundreds of high-end hotels that have started doing so in the last year. Khalil reckons that since implementing these mini-stays, The Beaufort has seen a 10% increase in occupancy.

"Most of the time, it's for business guests," says Khalil. "Many of them might have an early meeting, and they want a place to get themselves ready and have a shower.

"Others have a late flight, and they want some place to leave their bag, and maybe have a drink at the bar or have some tea before heading to the airport."

See also: Airports' tiniest sleep spaces

The boutique Town Hall Hotel, also in London, has also seen an increase in its revenue after partnering with dayuse-hotels.com, an online reservation service that lists day rates offered by high-end hotels.

Michael Benjamins, the senior sales manager at the Town Hall Hotel, estimates that in the year since they started taking day bookings they've generated an extra £10,000 ($15,880) in revenue.

"Usually, between 11am and 5pm our guestrooms are empty," explains Benjamins.

"Now, if we have one guest that wants to come for the day, and another who has a late check-in, we can use that room twice," he adds. If the hotel was situated closer to an airport, Benjamins reckons that the hotel's revenue would be substantially higher due to the demand from business travelers.

Dayuse-hotels.com was the brainchild of David Lebée and Thibaud d'Agrèves, both of whom worked at the Hotel L'Amour in Paris. The hotel is particularly popular with touring artists and musicians. Often, the guests would ask about renting a room for a few hours, just for a place to relax before a performance. Lebée and d'Agrèves recognised that there was a gap in the market, and the idea for dayuse-hotels was born.

Though originally it was strictly a Parisian company, dayuse-hotels.com has since become global, and today is partnered with 350 hotels in nine different countries, including the four-star Flatiron Hotel in New York, and the designer Hotel the Gray in Milan.

While d'Agrèves purports that many of the site's users are indeed interested in the rooms for business reasons, the layout of the homepage says otherwise. Categories at the bottom include "affair," "infidelity," "cheating," "love hotel," and -- for the narcoleptic -- "nap."

"In Paris, it is more used for romantic reasons," admits d'Agrèves. "It's just a much more touristic city; people don't visit Paris for business.

"In London and New York, it's different. Because our economy is so terrible, you'll see French businessmen coming to London for the day just to open a bank account. They need a room just for chilling, a rest, and a quick nap. Then they take the train back to Paris."

D'Agrèves sees the trend expanding, especially as dayuse-hotels.com is working on rolling out themed packages designed to pull in a more specialised clientele. Examples include fitness- or gastronomy-themed bundles that will lure in foodies and health gurus, and could ultimately transform the way day rates are perceived.

Benjamins notes that while day rates have become more mainstream, they are not new to the luxury hotel market.

"There's always been a demand for it, but hotels have kept it really quiet," he notes.

He's delighted that dayuse-hotels.com has created a platform for high-end day rates. "It's given us an incremental revenue we would not have otherwise have," he says. "You can't say no to that, especially in this economy."

@highlight

Top hotels such as The Beaufort in London have started offering rooms for a few hours

@highlight

Day rooms not just for illicit trysts

@highlight

Business travelers preparing for meetings drive demand for "day rates"