(CNN) -- You'd love to go. Just think of the history, the beautiful artwork ... the things you could learn. But upon hearing the word "museum," your kids break into a chorus of "I'd rather die."

Your children can pet some of the world's insect species at the Insectarium in New Orleans, Louisiana.

So you wheel, deal and promise ice cream in massive amounts. In return, they agree to whine only when it's absolutely necessary -- or every five seconds, whichever comes first.

Perhaps you can avoid a situation like this on your vacation. Pauline Frommer, creator of the Pauline Frommer Guidebooks, has two kids, ages 6 and 10.

As a travel author, she knows what makes a museum educational and interesting for adults. As a mom, she knows what will keep children from being bored to tears.

"I think it's impossible to pick the very best five," Frommer said. "But here are five really terrific museums, with very different subject matters, that both kids and adults will groove on."

The Spy Museum, Washington

Frommer describes this museum as "an intriguing, surprisingly scholarly, fun and highly interactive introduction to the shadowy world of spies."

When you enter the Spy Museum, you will be asked to pick an alternate identity. Throughout the building, you and your kids will be tested on keeping this cover. In addition to seeing all kinds of cool spy gadgets -- umbrellas with poison tips! --- you'll learn about famous spies throughout history, how the government uses these undercover agents and the common ways spies practice their trade.

"I had trouble dragging my kids out of this one," Frommer said. "And I've been through it twice and enjoyed it both times."

Adults $18; children ages 5-11 $15; children under 5 free

The Grammy Museum, Los Angeles, California

Only 3 months old, the Grammy Museum goes well beyond the famous music awards.

"In truth, it's a museum that celebrates the history of recorded music and does so in a cutting-edge, highly interactive manner," Frommer said.

Every genre from rock to hip-hop to country music is explored here. Top recording artists serve as your guide as they discuss, for example, what makes jazz such an important American phenomenon, what the song-writing process is like or how one genre of music has deeply affected another.

Sound like child dull-ville? "Kids will love the booths that allow them to mix and produce music," Frommer said.

The museum also has a dynamic touch-screen map that allows visitors to explore the nation's musical heritage and several video displays that will distract any kid's short attention span.

Adults $14.95; children 6-17 $10.95; children under 5 free

The Metropolitan Museum of Art, New York

You might not think world-renowned art exhibits would be a good fit with your kids; priceless objects don't often mesh with PB&J-smeared fingers. But Frommer says you will be doing your children a great disservice if you visit New York and don't bring them to the Metropolitan Museum of Art.

"Don't worry, what with all the armor, the mummies and Egyptian temples, the always fun costume collection and the over-the-top grandeur of the place, there's no way they could be bored," she said.

The museum also offers a number of family programs, associate museum educator Mike Norris said. The museum's kids Web site has activities to keep kids entertained while visiting, including guides that focus on specific areas of art like a scavenger hunt, from animals to doors to stained glass.

Norris' top recommendation is not to view the museum as a whole, but as 16 to 18 mini museums. "It's best not to conquer us in one visit," he said. "Remember, [kids'] legs go at twice the RPMs that yours do."

Other offerings from the museum include family audio guides that are best for ages 6 to 12, Norris said, and a "Make your Mark!" sketching book that is aimed at younger children.

Suggested admission for adults $20; children under 12 free

The Insectarium, New Orleans, Louisiana

The Insectarium, part of the Audubon Nature Institute, pays tribute to everything creepy and crawly.

Many up-close insect encounters will take place here, from watching winged beauties in the butterfly garden to the bugs you (or just your children!) can pet. The Insectarium's Web site boasts of trips through the Louisiana swamp, an animated insect film and a special exhibit where you'll be shrunk to insect size.

"I thought I'd be grossed out but came away fascinated," Frommer said. "And all the kids around me were enthralled."

Can't make it there in person? Visit the Web site to download butterfly origami and coloring pages or let your kids read Harry the Praying Mantis' blog.

Adults $15; children 2 to 12 $10

Field Museum of Natural History, Chicago, Illinois

"What kid doesn't love dinosaurs?" Frommer asked. The Field Museum of Natural History sports one of the largest, most complete Tyrannosaurus rex fossils around.

The museum also has a new exhibit called "Real Pirates," running through October 25, that will let your children experience the pirate life. They can hoist the skull-and-crossbones, tie pirate knots, learn how to fire a cannon and more, the museum's Web site says.

Permanent exhibits include displays about Africa, animal biology, bird habitats, ancient Egypt, Eskimos and Native Americans. And for a more focused trip, the museum's Web site provides downloadable "Family Adventure" self-guided tours that cover anything from scavenger hunts through the museum to biodiversity and conservation.

Adults $15*; children 3 to 11 $10* *More for entry into special exhibits like "Real Pirates"

@highlight

Travel author Pauline Frommer recommends five museums for adults and kids

@highlight

Frommer: Sure, take your kids to the Metropolitan Museum of Art

@highlight

The Insectarium pays tribute to everything creepy and crawly

@highlight

Field Museum of Natural History has giant Tyrannosaurus rex fossil