LONDON, England (CNN) -- A new space race is officially under way, and this one should have the sci-fi geeks salivating.

Lift to space: This is a NASA interpretation of what a space elevator may look like.

The project is a "space elevator," and some experts now believe that the concept is well within the bounds of possibility -- maybe even within our lifetimes.

A conference discussing developments in space elevator concepts is being held in Japan in November, and hundreds of engineers and scientists from Asia, Europe and the Americas are working to design the only lift that will take you directly to the one hundred-thousandth floor.

Despite these developments, you could be excused for thinking it all sounds a little far-fetched.

Indeed, if successfully built, the space elevator would be an unprecedented feat of human engineering.

A cable anchored to the Earth's surface, reaching tens of thousands of kilometers into space, balanced with a counterweight attached at the other end is the basic design for the elevator.

It is thought that inertia -- the physics theory stating that matter retains its velocity along a straight line so long as it is not acted upon by an external force -- will cause the cable to stay stretched taut, allowing the elevator to sit in geostationary orbit.

The cable would extend into the sky, eventually reaching a satellite docking station orbiting in space.

Engineers hope the elevator will transport people and objects into space, and there have even been suggestions that it could be used to dispose of nuclear waste. Another proposed idea is to use the elevator to place solar panels in space to provide power for homes on Earth.

If it sounds like the stuff of fiction, maybe that's because it once was.

In 1979, Arthur C. Clarke's novel "The Fountains of Paradise" brought the idea of a space elevator to a mass audience. Charles Sheffield's "The Web Between the Worlds" also featured the building of a space elevator.

But, jump out of the storybooks and fast-forward nearly three decades, and Japanese scientists at the Japan Space Elevator Association are working seriously on the space-elevator project.

Association spokesman Akira Tsuchida said his organization was working with U.S.-based Spaceward Foundation and a European organization based in Luxembourg to develop an elevator design.

The Liftport Group in the U.S. is also working on developing a design, and in  total it's believed that more than 300 scientists and engineers are engaged in such work around the globe.

NASA is holding a $4 million Space Elevator Challenge to encourage designs for a successful space elevator.

Tsuchida said the technology driving the race to build the first space elevator is the quickly developing material carbon nanotube. It is lightweight and has a tensile strength 180 times stronger than that of a steel cable. Currently, it is the only material with the potential to be strong enough to use to manufacture elevator cable, according to Tsuchida.

"At present we have a tether which is made of carbon nanotube, and has one-third or one-quarter of the strength required to make a space elevator. We expect that we will have strong enough cable in the 2020s or 2030s," Tsuchida said.

He said the most likely method of powering the elevator would be through the carbon nanotube cable.

So, what are the major logistical issues keeping the space elevator from being anything more than a dream at present?

Massachusetts Institute of Technology aeronautics and astronautics Professor Jeff Hoffman said that designing the carbon nanotube appeared to be the biggest obstacle.

"We are now on the verge of having material that has the strength to span the 30,000 km ... but we don't have the ability to make long cable out of the carbon nanotubes at the moment." he said. "Although I'm confident that within a reasonable amount of time we will be able to do this."

Tsuchida said that one of the biggest challenges will be acquiring funding to move the projects forward. At present, there is no financial backing for the space elevator project, and all of the Japanese group's 100-plus members maintain other jobs to earn a living.

"Because we don't have a material which has enough strength to construct space elevator yet, it is difficult to change people's mind so they believe that it can be real," he said.

Hoffman feels that international dialogue needs to be encouaraged on the issue. He said a number of legal considerations also would have to be taken into account.

"This is not something one nation or one company can do. There needs to be a worldwide approach," he said.

Other difficulties for space-elevator projects include how to build the base for the elevator, how to design it and where to set up the operation.

Tsuchida said some possible locations for an elevator include the South China Sea, western Australia and the Galapagos Islands in the Pacific Ocean. He said all of those locations usually avoided typhoons, which could pose a threat to the safety of an elevator.

"As the base of space elevator will be located on geosynchronous orbit, [the] space elevator ground station should be located near the equator," he said.

Although the Japanese association has set a time frame of the 2030s to get a space elevator under construction -- and developments are moving quickly -- Hoffman acknowledges that it could be a little further away than that.

"I don't know if it's going to be in our lifetime or if it's 100 or 200 years away, but it's near enough that we can contemplate how it will work."

Building a space elevator is a matter of when, not if, said Hoffman, who believes that it will herald a major new period in human history.

"It will be revolutionary for human technology, and not just for space travel. That's why so many people are pursuing it," he said. "This is what it will take to turn humans into a space-bearing species."

@highlight

Japan group has more than 100 engineers trying to design a space elevator

@highlight

Carbon nanotube would be used as a wire to lift the elevator into space

@highlight

Western Australia and the Galapagos Islands are potential locations for base station

@highlight

Group sets the 2030s as a target to begin construction, although it could be later