Editor's note: Peter Bregman is chief executive of Bregman Partners Inc., a global management consulting firm, and the author of "Point B: A Short Guide to Leading a Big Change". He writes a weekly column, How We Work, for HarvardBusiness.org.

Peter Bregman says you can't make your luck, but you can control how you'll react to what happens.

NEW YORK (CNN) -- There is a Buddhist story about a poor farmer whose one horse ran away. All his neighbors came to him in sympathy, saying "What bad luck!"

"Maybe," he responded.

The next day the horse returned with several other wild horses. "What great luck!" his neighbors exclaimed.

"Maybe," he responded.

A few days later the farmer's son was trying to tame one of the wild horses when he was thrown off and broke his leg. "What terrible luck!" his neighbors said.

"Maybe," he responded.

A week later the army came through the village to draft all the young men but seeing the broken leg of the farmer's son, they left him in peace. "What wonderful luck!" the neighbors said.

"Maybe," the farmer responded. And so it goes.

My life is a series of lucky accidents strung together starting from the moment of my conception. I was a diaphragm baby.

In college I was planning to go into politics. Then in the spring of my junior year the bicycle trip I had planned to go on was cancelled because the leader broke her arm. So instead I went on a camping trip and it changed my life. I soon gave up politics and began teaching leadership on wilderness expeditions. And on one of those expeditions I met the woman who would eventually become my wife.

Later I built a successful company teaching leadership with lots of employees and several offices around the world. Then, as luck would have it, my company crashed along with the economy and the Twin Towers. It turns out, after some introspection and a solid dose of therapy, that I wasn't enjoying the business the way I had built it the first time. So I rebuilt it in a much smaller, sustainable and fulfilling way.

While I might not have been happy about it at the time, each turn of luck was a catalyst that brought me closer to the life that I'm happily living now.

Often we operate with the impression that we are in control of our lives. I remember long conversations with my wife, Eleanor, about exactly when we should have our second child. Two miscarriages later we realized it wasn't up to us. And when Sophia eventually came, we knew that any time would have been the right time.

Some strokes of luck are small. Maybe you enjoy a conversation with someone new. Maybe you read a poem that happened to be sitting on someone's desk. Maybe you bump into the car in front of you. Only years later can you see how fundamentally that moment may have changed your life.

Some strokes of luck are big and you know at the time they will change your life. Maybe you win $10 million with a lottery ticket you didn't even know you had, as recently happened to a woman in Australia. Maybe you lose your job.

What we don't know is how those things will change our lives. All the research points to how poor we are at predicting how we'll feel about something once it happens to us. Lottery winners are no happier than before. Paraplegics are no less happy.

And there's something I've been noticing about people who have lost their jobs recently. They seem happier. Relieved, almost. Not everyone. But in many cases, the fear of losing your job is worse than losing your job. I know a large number of employed people who are miserable on two counts: They hate their jobs and they're afraid of losing them. They're scared and stuck.

But once you lose your job you can move on. Daniel Gilbert, professor of psychology at Harvard University, explained this phenomenon in a recent New York Times article, "What You Don't Know Makes You Nervous." "When we get bad news we weep for a while, and then get busy making the best of it. We change our behavior, we change our attitudes. ... An uncertain future leaves us stranded in an unhappy present with nothing to do but wait."

So when your luck changes, what should you do about it?

Stanford psychologist Carol Dweck has done a tremendous amount of research to understand what makes someone give up in the face of adversity versus strive to overcome it. Her research shows that if someone believes his talent is inborn he'll give up quickly, because any obstacle is a sign of his limitation. He's hit a wall; he can't do something and won't ever be able to.

But if someone believes her talent grows with persistence and effort, she'll work to master the challenge. She'll view adversity as an opportunity to get better.

So here's the good news: You can change your results by changing your mind-set. When Dweck trained children to view themselves as capable of growing their intelligence, they worked harder, more persistently, and with greater success on math problems they had previously abandoned as unsolvable.

Luck changes. Call it fate. Call it God's will. Call it an accident. No matter how well we plan our lives, we're not fully in control. But how we face our luck -- good and bad -- is in our control.

How's this year going? Are you having good luck? Bad luck?

Maybe.

The opinions expressed in this commentary are solely those of Peter Bregman.

@highlight

Peter Bregman: So much of our lives is ruled by luck

@highlight

Bregman says we can't control luck but can decide how we react to it

@highlight

He says studies show you can change your results by changing your mindset