Darren Wilson's version of what happened when he confronted Michael Brown has expanded since he gave his first recorded interview to detectives, but the key parts have stayed largely the same.

Witnesses corroborated and disputed what Wilson said about events leading up to the police officer's fatal shooting of the unarmed teenager in Ferguson, Missouri, on August 9. Much of the crime scene evidence supports Wilson's story, but there are also some key differences, according to an analysis of available material.

Wilson spent 31 minutes being interviewed by police the day after the shooting, about four hours in front of the grand jury, and another 45 minutes talking to George Stephanopoulos of ABC.

The police interview was largely procedural -- what happened when -- while his answers to the grand jury got more into description and motives. To ABC, he added a few key points and revised an unfavorable view of the Ferguson neighborhood where he shot and killed Brown.

The police interview from the day after the shooting and the grand jury testimony were released as part of court records for a case that was closed on Monday when the grand jury decided there was no probable cause to indict Wilson in Brown's death.

There were other interviews with law enforcement -- on the day of the shooting to local detectives and weeks later to the FBI -- that have not been released.

Wilson's story always starts the same way. It had been a quiet shift when he responded to a 911 call to help a sick baby. Medical staff arrived to treat the infant and as he was heading back to his police car on Canfield Drive, he heard a call of a theft in progress, with a description of what he said was a black male in a black T-shirt. He called out on the radio to the other officers involved, "Do you guys need me?" but got no response.

Black T-shirt, cigarillos

The black T-shirt that Wilson mentioned in both his police and grand jury interviews was key. After Brown reacted so strongly to Wilson's instruction to walk on the sidewalk, Wilson said he took a good look at him and saw he was carrying cigarillos, the item that had been reported to have been stolen just minutes earlier.

Wilson then looked in his mirror at Brown's friend Dorian Johnson and when he saw he was wearing a black T-shirt, he put two and two together.

"That's when it clicked for me because I now saw the cigarillos. I looked in my mirror, did a double-check that Johnson was wearing a black shirt -- these are the two from the stealing," he told the grand jury, echoing his police interview.

The call logs from the Ferguson police dispatch -- also released as part of the grand jury records -- do show that a "stealing in progress" was reported by the dispatcher.

But the suspect was mentioned as being a black male in a white shirt who took a whole box of Swisher brand cigarillos.

Minutes later, an officer came on the radio with more of a description -- one that pretty closely matched Michael Brown that day: "He's with another male. He's got a red Cardinals hat, white T-shirt, yellow socks, and khaki short."

We don't know if there was any separate alert about a man in a black T-shirt.

The struggle at the car

Wilson said the identification of Johnson and Brown as suspects was what led him to reverse his car back to the pair. To the grand jury, he elaborated that he angled his car "to kind of cut them off, kind to keep them somewhat contained."

That's when the confrontation with Brown began -- the slamming of the car door, the fight as Wilson was inside the car, a shot fired, then another.

Brown's blood and skin tissue inside the car, a close-range gunshot wound to the base of his right thumb, and two bullet casings found near Wilson's car support at least that there was a struggle over Wilson's gun.

Wilson told the detectives how he ran through in his mind what he could do -- mace, baton, flashlight -- before going for his gun. To the grand jury, he expanded, describing a "use of force" triangle as to what reaction was appropriate.

To the grand jury, Wilson also described his fear. He told jurors Brown was so powerful that when he grabbed the 18-year-old's forearm, "I felt like a 5-year-old holding onto Hulk Hogan." He also used that analogy to ABC. Later, he told Stephanopoulos that he was also asking himself how the situation could have escalated so quickly.

And then Brown ran. Crime scene evidence shows he lost his baseball cap at the car, then first his left sandal and then his right as he ran down Canfield Drive.

Wilson didn't address with the detectives why he got out of the car. To the grand jury, he said he had lost his "comfort zone" in the car. "I wanted to be out of the car, that way if I need to run I can run," he said. He continued: "But I also didn't want him to run away, so I need to kind of stay where I can keep him there, keep myself safe and wait for someone to get there."

ABC's Stephanopoulos also asked why he got out and Wilson agreed it was his duty. "That's what we were trained to do," he said.

What shell casings show, and what they don't

Wilson also told ABC he ran through a mental checklist to determine whether he had the legal right to shoot Brown and decided that he did.

It's impossible to tell from the 10 shell casings found farther down the road exactly how many shots were fired and when, or where Brown and Wilson were in relation to each other. But some of the casings were found farther from the car than Brown's body, suggesting that the men did head some distance east before Brown turned and headed west again, with Wilson backing up.

The autopsy showed no bullets hit Brown's back. The fatal shot hit Brown in the head from a downward direction as he bent down or was falling.

Wilson said Brown fell on his face after the fatal shot. He added that Brown had been moving with such momentum that his feet came up into the air before coming to rest on the ground.

Abrasions were noted by the county and family-hired pathologists, and the family-hired pathologist concluded "the most likely cause" for the wounds would be that Brown lost consciousness and his face would have been unprotected when he hit the roadway.

Where were Brown's hands?

To both detectives and grand jurors, Wilson said that as Brown charged at him, Brown balled his left hand into a fist and put his right hand in the waistband of his shorts.

That hand stayed in the waistband throughout the encounter, he said.

He told the St. Louis County detectives: "During his first stride, he took his right hand put it under his shirt and into his waistband. And I ordered him to stop and get on the ground again. He didn't; I fired, a, multiple shots. After I fired the multiple shots I paused for a second, yelled at him to get on the ground again, he was still in the same state. Still charging, hands still in his waistband, hadn't slowed down. I fired another set of shots. Same thing, still running at me, hadn't slowed down, hands still in his waistband."

When Brown was 8 to 10 feet away, Wilson fired at his head -- the fatal shot. And Wilson said the arm had not moved.

"When he went down his hand was still under his, his right hand was still under his body looked like it was still in his waistband. I never touched him," he told detectives.

The investigator from the Office of the Medical Examiner sent to the crime scene took no photographs, telling the grand jury later that the battery in his camera had died. And CNN could find no photographs of the body in the materials released by the prosecuting attorney.

But the medical investigator did describe how the body was lying. One arm was indeed near Brown's waist. But it was the left, not the right.

"The deceased was lying in the prone position. His right arm was extended away from his side. His left arm was next to his side his lower arm was beneath his abdomen and his hand was near the waistband of his shorts."

Wilson used his interview with ABC to revise what he'd said about Ferguson and the Canfield Green area. While he told the grand jury it was a "hostile environment" and "anti-police," he told Stephanopoulos he was sad about the riots that hit Brown's Ferguson neighborhood after the grand jury decision was revealed. "That community is really a great community."

And while he stood by all his actions, Wilson added one more sentiment in the ABC interview that he hadn't been asked about by the detectives or in the grand jury -- remorse. "Everyone feels remorse when a life is lost. ... I never wanted to take anybody's life," he said.

@highlight

Three interviews with Darren Wilson are now public

@highlight

His story followed the same lines when told to detectives, the grand jury and ABC

@highlight

Witnesses corroborate and dispute what he said

@highlight

Evidence from police logs, crime scene supports much of the story but questions remain