(CNN) -- At an immigration reform event in Riverside, California, about a year-and-a-half ago, a man approached attorney Hadley Bajramovic pleading for help.

The man was a Mexican immigrant who had been living in the United States illegally for several years. He was also deaf.

He abandoned Mexico to flee what he called persecution. He said he was socially ostracized, targeted by police. The abuse was too much to bear.

So now he was in California, and had already been ripped off once as he tried to seek asylum in the United States.

"He just stole my heart," Bajramovic said of the immigrant.

It only took that initial short conversation to realize that "the situation in Mexico is very severe. I realized that there was persecution."

Bajramovic took his case.

Then the next week, there were more phone calls to her office from deaf immigrants who had entered the country illegally looking for asylum.

As of this week, Bajramovic has had 30 deaf immigrants complete asylum interviews with the pertinent authorities, and has another 30 such clients awaiting their turn. They come from several countries, though the majority are from Mexico.

According to Bajramovic, these are the first petitions for asylum by deaf people on the grounds that they are persecuted for their disability. No rulings have been made in any of the novel cases, but critics say that they represent a perversion of the original intent of asylum law. While these types of cases are new, immigrants have long tested the boundaries of what merits persecution for the purposes of remaining legally in the United States.

The first asylum application for Bajramovic's deaf clients was filed in June of last year, and it's possible that no decisions will be handed down until all 60 cases have had at least an initial interview.

Such cases seek to expand the criteria for who qualifies for asylum, said Bob Dane, spokesman for the Federation for American Immigration Reform, an anti-illegal-immigration group.

The law "is being used and abused as a way to game the system," he said.

Some asylum cases such as these are used to postpone a deportation, he added. No matter how frivolous, he said, it buys time.

But Bajramovic says the cases are anything but frivolous.

"I think it's clear," she said. "The law provides for certain groups to ask for protection in the U.S. Disabilities is one of those groups,"

There are five traditional categories covered by U.S. asylum law: race, religion, nationality, political opinion or membership in a specific social group.

The first hurdle that the majority of her clients face, even before they make their case before an immigration judge for asylum, is an administrative one. All but one of the deaf immigrants has to prove that they qualify to apply, even though a deadline to apply for asylum has passed.

The law requires that asylum-seekers file within one year of arriving in the United States. Only one of the 60 immigrants in this case meets that requirement, the attorney said.

But there exist exceptional circumstances, and Bajramovic says her clients qualify. There is a lack of advocacy in Mexico, and a lack of communication that resulted in the deaf immigrants not knowing that asylum was an option when they arrived in the United States.

Furthermore, she argues, once in the United States, they were preyed upon by scammers and developed a fear of immigration help, she said.

The bottom line, she said, is that these people "escaped their home countries because of persecution."

She listed the conditions they faced back home, such as being denied the right to be properly educated, having no formal language until a later age, and abuse by family and police, she said.

Mexico's foreign affairs ministry did not immediately comment on the deaf immigrants' claims when reached by CNN.

The United States simply cannot receive every person who is disadvantaged in their home country, Dane said.

"I think the more we push the reasonable boundaries of the definition of asylum, the further we are getting away from its original intent," he said.

But Stephen Yale-Loehr, an asylum law expert at Cornell University Law School, said that the boundaries of asylum law have always been a busy place for novel claims.

"I don't think there's a bigger trend. People will always try to be creative," he said.

In December 2009, after a 14-year legal battle, Guatemalan Rody Alvarado was granted asylum on the grounds that she faced domestic abuse in her homeland. Her attorneys successfully argued that women who face domestic violence may be viewed as a particular social group, a requirement that must be met before asylum can be granted.

Last year, a family from Germany who were Christian homeschoolers were granted asylum because of what they described as persecution from German authorities against that type of schooling. They argued that Germany didn't allow homeschooling for reasons of conscience.

That said, Yale-Loehr added, the deaf immigrants face an uphill battle.

"They can apply for asylum, but I think they are going to have a hard time winning," he said.

Discrimination is not the same thing as persecution, he said. The onus will be on the immigrants to show that they are being persecuted by the government or by people that the government cannot control.

In the meantime, Bajramovic's reputation as a defender of the deaf immigrant community continues to grow. She has invested in sign language translators who can help with a diverse group of immigrants -- many who use unique signs from their individual countries.

A few have even moved to California to be represented by her, she said.

@highlight

60 deaf people, mostly from Mexico, are seeking asylum in the U.S.

@highlight

They say their home governments persecute them, don't educate them

@highlight

A major hurdle is that only one of the 60 has filed for asylum within deadline

@highlight

Critic says some are "trying to game the system" to avoid deportation