(CNN) -- Syria's major opposition group condemned Bashar al-Assad's regime Wednesday for "brutal massacres" this week and urged the U.N. Security Council to protect civilians against "acts of genocide."

"The regime is using children as human shields so that tanks and armored vehicles can storm residential areas," said the Syrian National Council, which said that about 250 people have died over a 48-hour period.

"Incidents of gruesome murders have been recorded," the council said Wednesday, including the killings of four brothers and the beheading of a sheikh, whose head was hung above a mosque entrance. Both incidents occurred in Idlib, and the council says "acts of genocide" are occurring in Zawiyah Mountain in Idlib province in the northwest and the city of Homs in the west.

It cites "the regime's use of heavy weapons and artillery in shelling civilian neighborhoods, as was the case in the Baba Amr neighborhood of Homs, as well as in the villages of Kansafra, Kafar Awaid, and Mazrain, where a large number of residents were killed. Other residents were forced to flee under heavy gunfire," the council said. The villages are in Idlib province.

The violence spiked as Syria agreed to an Arab League observer mission Monday aimed at ending the violence between regime forces and protesters that started in mid-March. The United Nations this month estimated that about 5,000 people have died in the bloodshed.

"The SNC directed letters to representatives of the 15 member nations of the U.N. Security Council, including the permanent members, urging them to convene in an emergency session to discuss the brutal and systematic killings, the humanitarian situation, and the displacements forced by the regime and its security and military apparatus," the group said in a news release.

The council also sent "urgent communiques" about the violence to the Arab League; the Organization of Islamic Cooperation; the Gulf Cooperation Council; the General Secretariat of the United Nations; the U.S. Department of State; the British Ministry of Foreign Affairs; representatives from the Chinese Foreign Ministry; and the governments of France, Spain, Germany, Canada, Tunisia, Libya and Sudan.

"The SNC urgently requested that these parties support the Syrian people's and the Syrian Revolution's demands for international protection, the establishment of safe zones for civilians, and the establishment of humanitarian corridors for delivery of relief, medical, and other humanitarian needs. The SNC also demanded a prompt intervention to stop the massacres, which have reached the level of genocide and which coincide with the signing of the Arab League Protocol to send observers into Syria," the council said.

Mohamed Hamdo, a lieutenant colonel in the Free Syrian Army, underscored the ferocity of the assaults.

He said that government forces "used military jet fighters and bombed Jabal Al Zawya, including a mosque that contained around 100 civilians who were praying or using it as a refuge." Jabal Al Zawya is in the Idlib region in northwestern Syria.

Hamdo said the military also "destroyed the town of Idlib completely and bombed a hospital there. The problem is they are using women and children who are mounted on their tanks as they raid, making it impossible for us to hit back."

"We have information that they are preparing an attack to control the border crossing to Turkey. We are dispersing our FSA platoons to counterattack. They are using surface-to-air missiles, mortars, military jet fighters and artillery."

Activist groups also reported a surge in killings this week. The London-based Syrian Observatory for Human Rights reported a higher death toll of 111 on Tuesday and 121 on Monday. The Monday figure included 72 soldiers who tried to defect.

The civilian death toll so far Wednesday is at least 16, according to the Local Coordination Committees of Syria, an opposition umbrella group.

And, a video surfaced on social media websites of a boy's grisly killing in Homs during a missile attack Tuesday.

This violence comes as an Arab League advance team is headed to Damascus Thursday to prepare for the observer mission. There would be 100 observers in teams of 10 to investigate what is happening on the ground in a month-long mission.

The league's secretary-general, Nabil el-Araby, called for an "immediate stop" of violence and "swift action" Thursday to pave the way for the observer mission.

"The Syrian government must take responsibility of protecting its citizens in accord to their promises and agreement entailed in the Arab Plan," said el-Araby, worried about news of increased violence.

The observer protocol is part of a larger initiative that calls for withdrawing the army and militias called shabiha, releasing detainees and ending all forms of violence. But Syria and the Arab League haven't yet signed the larger initiative, only the observer protocol, Saudi Arabian Foreign Minister Saudi Al Faisal said Tuesday.

"We expect Syria to follow a policy of buying time, delay and limit the observers' movement on the ground. We think it is a political maneuver by the Syrian regime," said an Arab diplomat intimately involved with the Arab League deliberations. The diplomat could not speak on the record because of the sensitivity of the matter.

Opposition members have criticized the Arab League for naming Sudanese Brig. Gen. Mohammed Mustafa Al-Dabi to be the chairman of the observer mission. They cite close ties between Sudan and Syria and Sudan's track record of using its own national security officials to target activists and political groups.

The White House said it is "deeply disturbed by credible reports that the Assad regime continues to indiscriminately kill scores of civilians and army defectors, while destroying homes and shops and arresting protesters without due process.

"While Syrian security forces have also taken casualties, the overwhelming majority of the violence and loss of life in Syria stems from the actions of the Assad regime, and we call on all parties to put an end to violence."

The United States, the European Union, the Arab League and Turkey have initiated sanctions against the regime.

"The Assad regime is already facing growing isolation and sanctions that are choking off its resources. We urge Syria's few remaining supporters in the international community to warn Damascus that if the Arab League initiative is once again not fully implemented, the international community will take additional steps to pressure the Assad regime to stop its crackdown," the White House statement said.

The French Foreign Ministry called on the U.N. Security Council to speak out on a firm resolution that ends repression in Syria, and it asked Russia, a Syrian ally, to "accelerate talks" at the council on a plan it devised to deal with the instability.

"Everything must be done to stop this murderous spiral into which Bashar al-Assad is dragging his people deeper each day," ministry spokesman Bernard Valero said. "In this serious context, France calls for a bigger mobilization of the international community."

In another incident, Abdel Azeez Al-Khair, an Alawite opposition figure from the National Coordination Body, was detained briefly at the Damascus airport before he tried to take a flight to Cairo to discuss Syria with Arab League officials, two opposition figures told CNN. He is not allowed to travel. Alawities are a minority sect that holds the reins of power in the Syrian government. Syria, an ethnically and religiously diverse society, is largely Sunni Arab.

CNN could not independently verify the allegations of violence or other incidents because Syria restricts the activity of journalists in the country.

The Syrian government maintains that it is cracking down on armed terrorists who attack security forces and civilians. The activists say the government's brutal crackdown against peaceful protests has led to the deaths.

Meanwhile, the Iranian Embassy in Damascus has confirmed the kidnapping of five Iranian engineers in Syria on Wednesday and demanded their release, Iran's Mehr News Agency reported. They are employed by the Jondor Homs electricity plant, Mehr reported.

"These people were in Syria to provide the Syrians with technical and development help, and they should be freed as quickly as possible," the Iranian Embassy said.

There has been opposition anger toward Iran and its support of the Syrian government.

CNN's Kindah Shair and Saad Abedine contributed to this report.

@highlight

NEW: Syrian opposition reaches out to international powers

@highlight

The United Nations estimates that about 5,000 people have died in Syrian violence this year

@highlight

The Syrian National Council wants U.N. and Arab League action

@highlight

It says nearly 250 civilians died over a two-day period