(CNN) -- We hear a lot about children with autism. But adults on the spectrum face their own set of challenges. One of the big ones? Finding and getting a job that fits their unique talents and temperaments.

CNN recently profiled Sarah Still, a woman with Asperger's syndrome (a high-functioning variant of autism) who has had a tough time finding the right career environment. Her story seemed to bring up as many questions as it answered, so we enlisted her, along with a couple of experts, to address them in a live Facebook chat. Joining Still in the chat were Dave Wellman of Myriad Genetics, who has worked with and managed employees with autism as well as having a son with Asperger's, and Becky Ketts of Nobis Works, which provides job training for those with disabilities and other barriers.

You can read the full transcript of the chat on Facebook, or scan through the highlights below to find out how people with autism can confront the challenges they face when finding a job. Some responses have been edited for clarity.

What is the No. 1 challenge you see with those on the spectrum trying to find employment?

Ketts: The No. 1 challenge our agency faces when trying put someone with a disability to work is either lack of work experience or a gap in employment. With the job market being so competitive, it is difficult to sell people as the most qualified and capable when the work history does not reflect this. This is why our agency focuses on giving people that we serve an advantage over others by training them to be excellent employees to match local employers' needs.

Still: The No. 1 challenge would be to find places that are not invading all the senses at one time: too many people, bright fluorescent lights and sudden chaotic noises, where there is no room to breathe and be yourself. Those are major challenges. Many (people with autism) are extremely sensitive and it gets to us much more than regular people. For me sudden and loud abrasive people and places really do not sit well. I have to leave really fast when it gets too overwhelming. I have to go be by myself and cover my ears often.

What do you wish employers knew about those with autism and Asperger's?

Wellman: People with autism have unique talents and they can be some of your best employees. Get to know them. They don't need to be micro-managed or get special treatment. Simply give them a challenge, the support that they need and then get out of the way.

Ketts: Employers need to be flexible when working with people with all disabilities. Most of the time, it is not as important how something is done as that it is done safely and correctly within the set time frame. Our focus is to make sure that someone is equal and not "special" in the workplace. Sometimes this takes some accommodations, but people with disabilities should be expected to be able to perform the essential functions of the job.

I hired someone with Asperger's -- now what?

Are there careers that Aspies excel in more than others?

Wellman: One of the most important things is to pick the right career. Sales and marketing may be a bigger challenge because those fields need people who are more socially adept, but mathematicians and engineers need a gift for logic and reason. Just help them pick a field that is better suited for people on the spectrum.

Is there a list of "disability-friendly" employers?

Ketts: Usually agencies like mine develop those regionally. It's all about relationships and supportive employers. There are some that are large national chains and some are mom and pop operations. We try to focus on finding a job for each person based on what they would like to do rather than trying to fit people into certain jobs/employers.

As a person with autism, would it be safe to tell employers during the interview that you have autism?

Wellman: I would wait to tell your employer. Every employee is unique and has strengths and weaknesses. During the interview process, focus on your strengths and what it is you can offer your employer. Once you land that job, build up trust with your manager, and then if you feel comfortable with sharing that you have autism, do so, but be prepared to help them understand what it means to have autism, including the opportunities.

I have Asperger's and I'm just like you

It's hard enough to get a job, and Asperger's does sometimes get in the way. Any advice on how to get jobs?

Wellman: There is no question that finding a job can be a challenge for any of us. For those with Asperger's, my advice is that a little interview coaching can go a long way. One of the key things employers look for is someone that is a cultural fit to the company and team. It's a hard process for everyone involved in the interviewing process. An interview coach can help with how to answer questions and present the best you that you can be. Check with your local university or community college: Schools often host interviewing workshops for the public, and you don't need to be a student or a graduate.

What can parents of those on the spectrum do to help prep their children for the workplace?

Ketts: It is important for parents to realize that autism does not make it impossible to work, by any means. It may mean that someone will need a specific environment that fits their needs. It is also important for everyone to realize that employers (as well as the general public) will eventually expect someone with any disability to be able to function in the world. I think it is very natural for parents to want to protect or shield their child from anything unpleasant or uncomfortable, but it will be something that will happen eventually. Having expectations of responsibility, chores, school work, etc. is important for any child to transition from school to work.

Wellman: One of the most important things is to help your child pick the right career. Spend time exploring different careers. Mathematics, computer science, graphic design are all great options for people on the spectrum. My brother always says I need to get my son into the best business school I can because of how he loves to organize things.

Growing up autistic

Have you found it important to speak out publicly on workplace issues?

Wellman: Yes, I feel that it has been very important to speak up. People can make harsh and often incorrect judgments about those on the autistic spectrum. If we, who understand the challenges of those living on the spectrum, don't speak up now, then the day may come where we wish we had, but can't.

Ketts: I find it's important to show success stories about people on the autism spectrum going to work and successfully keeping a job. If nothing else, it gives people hope.

@highlight

Experts weigh in on how people with autism can find the right career environment

@highlight

"People with autism have unique talents," explains Dave Wellman

@highlight

Check out the highlights of our Q&A below, or read the whole transcript on Facebook