Baghdad, Iraq (CNN) -- Three people were killed when a parked car rigged with explosives blew up Saturday in Najaf on the eve of parliamentary elections, the Interior Ministry said.

At least 54 others -- 17 Iraqis and 37 Iranians -- were injured in the attack near the Imam Ali Holy Shrine, which houses the tomb of Ali, cousin of the Prophet Mohammed.

Two of the dead were Iranians, the interior official said. Najaf, about 100 miles (160 kilometers) south of Baghdad, is frequented by Shiite pilgrims from Iran.

Iraqis will go to the polls Sunday to choose a 325-member parliament. The election has been marred by violence despite heavy security.

It is Iraq's fifth nationwide vote since 2003, but only the second for a full four-year-term parliament.

Three attacks happened Thursday during early voting for those who will be unable to cast ballots Sunday, such as military and security personnel, detainees, hospital staff, and patients.

A total of 12 people were killed and dozens were wounded. There have been warnings of further insurgent attacks around the vote.

These are Iraq's first national elections since 2005, when the Sunni Arab population boycotted the elections and the political process. A Shiite-led government emerged and the Sunnis, feeling disenfranchised, went on to form the main part of the insurgency.

The United Nations Assistance Mission for Iraq calls the elections an "important milestone in Iraq's democratic progress," serving to strengthen the country's sovereignty and independence as the United States draws down its military presence there.

Sunday's elections were supposed to happen in January but were delayed because of political disagreements and a delay in passing the election law that paved the way for this vote.

There are 18.9 million eligible voters, casting ballots for 325 seats in the Council of Representatives, as Iraq's parliament is called. The seats represent Iraq's 18 provinces. At least a quarter of the positions -- 82 -- are guaranteed to go to women, and eight more have been allocated for minorities. They include five set aside for Christians and one each for the Shabak, Sabaeans (Mandaeans), and Yazidis.

The number of seats is increasing from the previous 275. Seat allocation was based on 2005 population data from the Ministry of Trade and adjusted for a 2.8 percent annual growth across all governates.

Voting for Iraqis abroad also is happening in 16 countries starting Friday -- including the United States, United Kingdom, Turkey, Iran, Canada and others in the Middle East and Europe. There are no exact figures for those eligible to cast ballots abroad. Estimates on turnout have ranged anywhere from 300,000 to 3 million.

Around 6,200 candidates from more than 80 political entities are vying for seats. It is the first parliamentary vote to use an open list, in which the voters vote for political entities and, if they want, also can vote for candidates within those entities, according to the U.N. Assistance Mission.

Although open lists complicates the training of election staff and the counting of votes, the system enhances the role of the voter in the election beyond casting a vote simply for a political party, the assistance mission says.

At least 25 percent of the candidates on the ballot list of each political entity must be women.

The assistance mission is providing technical assistance to the Independent High Electoral Commission, which is organizing the vote.

The commission has ordered that all political campaigning must end as of 7 a.m. Saturday.

A number of other special measures are being put in place for security reasons. Since Monday, there has been a ban on motorcycles and bicycles in Baghdad until further notice, and on Sunday a two-day ban on any vehicles in cities will begin, Iraqi authorities announced on state television.

Provincial borders will be sealed, preventing movements between provinces, from Saturday to Monday. And international borders and all airports will be shut from midnight Saturday.

A curfew will be in place in cities from midnight to 5 a.m. on Saturday, Sunday and Monday, officials said. Civilians may not carry weapons on those days, they said.

More than 47,000 polling stations will be open across the country, each one able to accept a maximum number of 420 voters. Polling stations are clustered into polling centers.

Polls will be open from 7 a.m. to 5 p.m. All those in line at the time the polls are open will be able to vote.

About 300,000 trained election staff -- mostly teachers, principals, and lawyers -- will be on hand at polling sites.

There will be more than 494,000 local and international observers, according to the Independent High Electoral Commission. The number includes about 500 to 600 international observers, according to the United Nations.

Voter turnout figures should be available shortly after polls close, and preliminary results are expected by Tuesday or Wednesday, the United Nations said. Results will start emerging for each province as soon as 30 percent of polling centers in that province are tallied.

Counting will take place at the polling stations at the end of voting, under the gaze of observers. Ballots will be counted twice to ensure accuracy.

The number of ballots cast will be reconciled with the number of ballots issued to each polling station, and in case of a significant discrepancy, the station will be audited.

CNN's Jomana Karadsheh contributed to this report.

@highlight

Explosion near Imam Ali Holy Shrine kills 3 on day before parliamentary elections

@highlight

Seats in the 325-member parliament are up for grabs

@highlight

Elections were supposed to be in January but were delayed by political disagreements

@highlight

18.9 million people are eligible to vote, and will choose from about 6,200 candidates