It's the kind of anxiety you feel when a Category 5 Hurricane is hurtling your way.

You can't gauge with certainty what will fall in its path, what will remain in its aftermath. You board up. And wait.

That's the way much of Ferguson feels as it waits for the St. Louis County grand jury to decide whether Officer Darren Wilson should stand trial in the shooting of Michael Brown. The grand jurors technically have until January, but the prosecutor's office has said a decision could come in mid-November.

It's mid-November.

Lawyers, analysts and journalists have been speculating on when it will be announced. Residents of Ferguson, however, are done with all that for the most part. It has been a long calm before the impending storm.

"We just want them to get it over with" is a common refrain.

They saw street demonstrations  erupt after Brown's killing. They saw how violent things became. They watched heavily armed police come face to face with angry protesters demanding justice.

So did the rest of the nation, and the world. Ferguson became a flashpoint for racial tension.

Some predict that will be the case again when the grand jury's decision is announced. Will the white police officer face any charges in the death of a black, unarmed 18-year-old?

Missouri Gov. Jay Nixon declared a state of emergency Monday as a precaution in the event of unrest or violence.

Along West Florissant Avenue, the ground zero of violent protests, businesses put back the plywood boards they had taken down from their windows and doors. Business owners were tired of answering questions about how they had fared through the weeks and weeks of tension.

"How do you think we are doing?" asked Dan McMullen, owner of Solo Insurance Services on West Florissant.

"I just want to get this over with and move on," he said, sitting at his desk behind the boarded-up entrance to his strip mall office.

He said some protesters came in wanting to leave flyers with information in his office.

"I told them to get the hell out. You broke my windows and now you want me to put out your literature?"

Ferguson Mayor James Knowles told local media this month that he expected demonstrations across the region and warned authorities to "prepare for the worst."

Your view from Ferguson

'We've had three months to prepare'

St. Louis Police Chief Sam Dotson said Tuesday that his officers are ready for whatever happens.

"We've had three months to prepare. ... Acts of violence will not be tolerated," he told CNN. "Our intelligence is good. Our tactics are good. We can protect lawful people and at the same time arrest criminals."

Area school superintendents wrote a letter to city officials and authorities requesting that they announce the grand jury's decision on an evening or weeknight so it doesn't affect about 20,000 students traveling back and forth to schools.

Many parents received notice to fetch their children from school if the decision comes out earlier in the day.

A group of community members calling themselves the Don't Shoot Coalition has asked for 48 hours' notice before the ruling is made public. It also released 19 "Rules of Engagement" that touch on major points of contention between protesters and police.

The group wants assurances that neither police nor the government will interfere with the flow of information, as well as a guarantee that police won't use rubber bullets, armored vehicles, rifles or tear gas. The group also requested that officers wear attire "minimally required for their safety" and that "specialized riot gear be avoided except as a last resort."

Dry runs in cold weather

In the St. Louis area, protesters have been staging dry runs on how to face police. And continuing their demonstrations.

Despite below-freezing temperatures Monday, about 100 activists disrupted lunchtime traffic in the nearby city of Clayton.

Brown's shooting on August 9 also touched a national nerve, with protests decrying racism and police brutality taking place around the country since his death.

The Ferguson National Response Network expects that reaction to the grand jury ruling will not be limited to the St. Louis area. It has set up a Tumblr account advertising about 70 "planned responses" to the ruling. They will take place from West Palm Beach, Florida, to New York to Chicago to Los Angeles.

Brown's supporters have turned out in force, but Wilson's supporters have demonstrated on occasion as well. They point to witness testimony and leaked grand jury documents that suggest Brown might have attacked Wilson, struggled for his gun and perhaps even charged the officer after the tussle over the weapon.

McMullen, the insurance company owner on West Florissant, said that protesters have made this into a racial issue but have ignored the facts of the case.

"There is no way a police officer in America would just get out of his car and shoot someone for no reason," he said.

Protesters are aware of the other version of events, but it doesn't stem their anger.

Many told CNN in August that other witnesses allege Wilson shot Brown at least six times as he stood about 30 feet from Wilson's police cruiser. The fatal shots were fired as Brown had his hands up in surrender, they believe.

Perhaps stoking the most anger is that all six shots hit Brown above the waist, leading community members to believe Wilson never had any intention of arresting the 18-year-old.

Images of Brown's body lying on the street went viral through social media.

Where he once lay is a makeshift memorial -- half on the sidewalk and half on Canfield Drive, in the middle of the road, exactly where Brown fell.

Snow blanketed the hundreds of stuffed animals and plastic flowers as kids bundled up in jackets and scarves made their way home from school Monday afternoon. A lone videographer rolled his camera in front of the QuikTrip gas station that was looted and burned on the first night of violent protests.

Everyone was keenly aware that something like that could happen again. At any moment.

Complete coverage in Ferguson

@highlight

St. Louis police chief says "acts of violence will not be tolerated"

@highlight

Grand jury weighing evidence to determine if Officer Darren Wilson will face charges

@highlight

Wilson fatally shot Michael Brown, an unarmed teen, in August, setting off protests

@highlight

Governor has declared state of emergency; mayor has told police to prepare for worst