(CNN)  -- Iran's parliament has asked authorities to arrest "the main instigators and directors" of Sunday's violent anti-government protests, the state-run Islamic Republic News Agency reported Wednesday, the same day massive pro-government rallies were held in Tehran and other cities.

Legislator Hassan Noroozi named three people he said "must be arrested": Mehdi Karrubi, Mir Hossein Moussavi and Fa'ezeh Hashemi. Karoubi and Moussavi are opposition politicians who challenged President Mahmoud Ahmadinejad in June's elections. Hashemi is the daughter of the former reformist president, Ayatollah Akbar Hashemi Rafsanjani.

"They must not remain on the sidelines and be safe," Noroozi said. "Those who issue statements and invite people to create chaos in the streets and attack one another must be dealt with according to Islamic laws."

In Sunday's protests, at least seven demonstrators were killed in clashes with security forces, although the Iranian government has denied that its security forces killed anyone.

Still, a video released Tuesday appeared to show green and white Iranian police vehicles driving into crowds of protesters and running over at least one. Other videos purported to show people said to have been killed by the police vehicles. Iranian authorities reported that most of the seven dead had died after being struck with "hard objects or due to similar causes," according to chief prosecutor Abbas Jafari Dolatabadi.

Amateur video shot by demonstrators showed clashes, and a number of protesters with serious and possibly fatal injuries, including some with apparent gunshot wounds.

But the battles -- depicted in sometimes grainy and shaky amateur videos anonymously posted on the Internet -- have drawn harsh criticisms from the international community, and subsequently harsh criticisms from the Iranian government.

State media sourced an official as saying that about 500 people had been arrested in conjunction with the clashes.

The protests fell on Ashura, a holy day for Shiite Muslims commemorating the martyrdom of Hussein, the grandson of the Prophet Mohammed who was killed in battle in Karbala in 680 A.D.

Earlier Wednesday, IRNA reported that "two known plotters" of the violent post-election protests and Sunday's demonstrations had "escaped" from Tehran and fled to the north of the country "to be safe from people's anger."

But the Fars news agency later retracted IRNA's report, saying that "informed sources have denied the news that leaders of the plotters have left Tehran."

As Wednesday's pro-government crowds headed toward Revolution Square in Tehran, they cried "Death to America," "Death to Israel," and "Death to Moussavi."

Supreme Leader Ayatollah Ali Khamenei told a group of Islamic students from Europe who were visiting Iran that international leaders who condemned Iran's actions "want to malevolently change the facts and realities and are also influenced by the Zionist media," according to the Iranian Labor News Agency.

No government opponents were seen at the rally, said CNN's Shirzad Bozorgmehr from the capital. Opposition Web sites advised their supporters to stay home.

Bozorgmehr, who watched the demonstrations from the sidelines, said that at Vali Asr square, the crowd was so dense he could not make his way through on foot. From a bridge, he overlooked an area from Imam Hossein Square to Revolution (Enghelab) Square, a distance of about 18 kilometers (11 miles).

There were "easily hundreds of thousands, if not over a million people," he said. There also were protests in Tabriz, Shiraz, Arak, Gilan and Sistan-Baluchestan province, according to government-funded Press TV. Read more Iran coverage

State television ran messages across the bottom of the screen indicating the nationwide gatherings, which lasted at least two hours, were "huge."

"Millions of Iranians gather to condemn insulting Ashura," one ticker read. Others reported that marchers had renewed their allegiance to Supreme Leader Ayatollah Khamenei, supported the Iranian system and renewed their allegiance to the late Ayatollah Ruhollah Khomeini, who led Iran for a decade after the 1979 revolution.

According to Bozorgmehr, "The march was orderly and I saw no sign of security forces in any large numbers. The crowd was a mix of men, women and children, as well as large religious processions accompanied by loud speakers denouncing Sunday's protests."

Ahmadinejad said Wednesday's march showed that criticism by foreign nations can never have a negative impact on his country.

"The officials of these countries should understand that their attempts will not affect the Iranian nations' equations, stances and idealistic and perfectionist move," Ahmadinejad told reporters at the end of a Cabinet meeting.

He said the United States and certain European countries were trying to foment unrest in Iran, and described those efforts as futile, Fars reported.

Ahmadinejad also advised President Obama and his European allies to learn from the experiences of their predecessors.

"Officials of the U.S. and certain European states showed again that they have embarked on wrong plans, stances and attitude," Ahmadinejad said.

The semi-official, state-run ILNA also reported Wednesday that Foreign Minister Manouchehr Mottaki had summoned Britain's ambassador to Tehran, Simon Gass, and notified him of Iran's protest over the "intervening stance of the British foreign minister." Mottaki threatened Britain with a "slap in the mouth," ILNA reported.

Rally organizers distributed a news release after the march that condemned the Ashura protests. They accused those who participated of acting against Ashura, the holy Quran, Islamic values and the Islamic Republic, according to ILNA (Iranian Labour News Agency).

The declaration called the rioters "Mofsed Bel Arz" (corrupt on Earth) and said they had waged war against God. The declaration also demanded that Iranian authorities review the country's relations with Britain and France, which, along with the United States, have criticized the Iranian government's intolerance for anti-government protesters.

The document praises Iran's state media for their "courageous work" in exposing the "plotters" and those in the media who were influenced by foreign spy agencies and had "incited people to riot."

Among the seven who died in Sunday's violence was Moussavi's nephew, Seyyed Ali Moussavi, who was buried quickly on Wednesday with security personnel watching from nearby. There were no demonstrations or disturbances during the burial, and several plainclothes and uniformed security personnel patrolled the area.

According to NoroozNews, a pro-reformist news Web site, at least six journalists and political and civil rights activists were arrested early Wednesday.

Among them were Badr-Alsadat Mofidi, director of the Professional Journalists' Association; Keyvan Mehregan; political director of the Eetemad Meli newspaper; Nasrin Vaziri, who covers parliament for the semi-official ILNA; and Morteza Kazemian, a staff writer and political activist for the opposition Web site Rahesabz.net, who was detained at 1 a.m.

Another journalist, Masha-Allah Shams Alvazein, was arrested Tuesday morning, NoroozNews said. According to its report, "three young agents showed up at his house with a nameless arrest warrant, and about one hour after he resisted and asked for a name-specific arrest warrant, two older agents showed up and threatened to take him by force if he did not go willingly."

NoroozNews said Mansoureh Shojaey, a women's rights activist, also was arrested Wednesday, shortly after midnight, at her house.

There were reports that a prosecutor has signed arrest warrants for 200 journalists, NoroozNews said.

In Jerusalem on Wednesday, international representatives of jurists, parliamentarians, human rights activists and Iranian dissidents held a news conference to reveal their petition for additional sanctions against Iran.

They cited the country's "harsh crackdown on opposition demonstrators" as well as its defiance over its nuclear program.

Leading the coalition of about 60 people was Irwin Cotler, a former Justice Minister of Canada, now a Liberal Party member of the Canadian Parliament. He accused the Iranian government of "gross violations of international law."

"What we are witnessing in Ahmadinejad's Iran is a toxic convergence of four distinct yet interrelated dangers: the danger of a nuclear Iran, the danger of state-sanctioned incitement to genocide, the danger of state sponsorship of international terrorism and the danger of a massive assault on human rights," Cotler said.

@highlight

NEW: Iran's parliament calls on authorities to arrest three key opposition leaders

@highlight

NEW: Mir Hussein Moussavi, Mehdi Karoubi and Fa'ezeh Hashemi named

@highlight

Massive pro-government rallies were held in Tehran and other cities Wednesday

@highlight

Rallies were in response to Sunday's violent protests, which fell on Shiite holy day