(CNN) -- Thailand's people are justifiably proud of their country, which, sandwiched as it is between historically powerful neighbors, has managed skillfully to play off its rivals and retain its independence.

Known as the "land of smiles" to tourists but the "land of freedom" to those born in the country once known as Siam, its astute line of Chakri dynasty monarchs in the 18th and 19th century managed to juggle competing French and British colonial interests in the region.

Thailand, as a result, is the only country in Southeast Asia that was never colonized by a European power.

In the 20th century, Thailand's independence has brought with it challenges that are still being resolved despite its rise to the forefront of the region's emerging economies.

According to the World Bank, it is now second-largest economy in Southeast Asia after Indonesia.

The 86-year-old King Bhumibol Adulyadej has been the head of state of Thailand for more than six decades. During the country's often-turbulent political history, he has acted as a force for continuity and tradition even when the country has lurched between political crises and military coups.

From 1946, when he acceded to the throne, to the present, Bhumibol has reigned through more than 20 prime ministers, 17 military coups and 17 constitutions and steered the country through the destabilizing effects of the nearby Vietnam War during the 1960s and '70s.

Over the years, the king has intervened periodically in political crises, using his influence to try to defuse situations that threatened to destabilize the country.

For much of the first few decades of Bhumibol's reign, the running of the country was dominated by the Thai military and a bureaucratic elite, according to the U.S. State Department.

Governments replaced one another through "a long series of mostly bloodless coups," it said.

The painful and slow transition towards a more democratic government began in the 1970s. That process is still continuing today.

Coups and continuation

From 1992 until this year Thailand is generally considered to have functioned as a democracy, according to the U.S. State Department.

However, the current government is one run by the military and two military takeovers have occurred in the country since 2006.

The first, a coup in September 2006, ousted Prime Minister Thaksin Shinawatra and installed an unelected government for more than a year.

Since then, pro-Thaksin forces -- whose "red shirt" supporters are largely drawn from the rural north of the country but also enjoy support from urban intellectuals -- have periodically engaged in large-scale protests. "Yellow shirt" opposition supporters have also taken to the streets in high numbers. There have been clashes, the most violent with security forces â€” the worst of which was a crackdown by security forces on red shirts in 2010 that left dozens dead.

A series of anti-government protests and sporadic violent clashes on the streets of the capital Bangkok began in November 2013. In May this year, after months of civil unrest, Yingluck Shinawatra --Thaksin's sister -- was removed as prime minister after a Constitutional Court ruled that she had illegally transferred a government official.

Later that month the Thai army enacted a coup and declared martial law. The general who led the coup, General Prayuth Chan-ocha is the current prime minister of an interim government. He was the sole candidate for the post and was selected by the country's National Legislative Assembly. Members of the assembly were chosen by Prayuth; more than half are also in the military.

Economic growth

At the core of Thailand's current political fault line is the country's changing economic dynamic.

Of the many changes that Thailand has undergone since Bhumibol came to the throne, the growth in the nation's economy is considered to be the most spectacular. Largely agrarian when he came to power, Thailand has since become an industrial and services sector giant in the region.

It remains one of the world's top rice producers, is one of the world's most popular tourist destinations and is a regional manufacturing hub for the auto industry and for hi-tech electronics.

However, with the largely rural and once-impoverished northeast of the country now at the center of a boom, its growing middle class in the rural region have been calling for greater political representation.

Economic growth in the northeast Isaan region hit 40% between 2007 and 2011, compared with 23% for the rest of Thailand over that period and just 17% for greater Bangkok, according to government figures.

Isaan, which once exported people to Bangkok and the rest of the world as cheap migrant labor, is seeing its workers return.

While the World Bank predicts that Thailand is on track to meet most of its Millennium Development Goals -- including eradicating extreme poverty and hunger, and improving maternal health -- income inequality and a lack of equal opportunities persist, especially between Bangkok and the rest of the country.

With an official unemployment figure of less than 1% of the population, Thailand could be seen as a model for other Southeast Asian countries.

Yet the plight of the country's estimated two to three million migrant workers -- most of whom are from neighboring Myanmar and fill many low-paid, manual labor jobs -- has gained international attention.

Most migrate willingly, but in June this year the U.S. downgraded Thailand to tier 3, the lowest level, in its annual Trafficking in Persons report. The downgrade means that Thailand has not met minimum standards in combating illegal migration and human trafficking and not made significant efforts to do so.

In a letter to CNN, the Thai government said, "Thailand has been actively combating human trafficking and the issue remains a top priority for the current administration." Acknowledging the downgrade, they added, "Thailand will continue to do our utmost to combat human trafficking and illegal migration."

Another ongoing challenge for the country is the Muslim separatist movement in the south of the country.

Over 90% of Thailand's population is classified as Buddhist, yet in the southern regions of Pattani, Yala, Narathiwat and Songkhla there is a Muslim majority -- Thailand government statistics put Thai Buddhists at just 6% of the region's population.

Muslims there have complained this Buddhist minority dominates the region, and many Muslim hardliners view the education system as a tool of Thai colonialism. As such separatist groups have operated in the region for over 10 years, according to NGO Deep South Watch, that monitors the conflict.

These politically motivated groups often target security officials and Thai government operations. According to the U.S. State Department, in March 2014, at least 50 violent incidents killed more than 30 people in these provinces; Deep South Watch put the cumulative deaths from related conflicts at around 5,500.

The Thai government has stated in a letter to CNN that "the problems in the Southern Border Provinces of Thailand have no direct linkage to religions ... [and] no direct linkage to any separatist movements."

@highlight

Known as "land of smiles" to visitors, "land of freedom" to many Thais

@highlight

The only country in the region not to have been colonized by European powers

@highlight

Second largest economy in Southeast Asia

@highlight

King Bhumibol Adulyadej has reigned since 1946