(CNN) -- Jersey, Guernsey, Holstein; the world's dairy cattle breeds bear the names of some of the wettest, lushest, and greenest places in Europe, testament to the fact that to produce milk you need a lot of water.

Industry experts say one cow must consume three liters of water a day to produce one liter of milk. For high-performing cattle that's equal to 150 liters a day.

Saudi Arabia --with an average annual rainfall of just 2.3 inches (59mm) -- might seem an unlikely candidate to be among the world's top 10 dairy producers, but its mega-dairy Almarai has grown to be one of the biggest food producers in the Persian Gulf.

Leslie Butler, a dairy economist at the University of California, says the vast milking plants that dot the Persian Gulf region employ an industry standard known as the "Californian model" to run dairies in some of the driest regions of the world.

"The Californian model is simply that you don't have to grow all your grass and raise your own feed crops, you can import feed and water and all your input and house a thousand head of dairy cattle on just 40 acres of land," Butler told CNN.

He said as long as the water and feed could be sourced, then dairy operations of this type were sustainable.

"The other side of sustainable, of course, is whether they get the price they want for the milk they produce, but I assume that they do," he said.

From food security to big exports

Established with the help of Irish agribusiness pioneers Alastair and Paddy McGlucklin in 1977, Almarai began modestly with just 300 head of cattle as part of a Saudi push to achieve food security through self-sufficiency -- a government response to the oil shocks of the 1970s.

Forty years later and the company is a diversified regional giant selling juices, poultry, baked products and infant formula.

With a total herd of 135,000 dairy cattle, Almarai's installation at Al Kharj 80 kilometers (50 miles) south of the capital Riyadh, houses one of its largest herds of 67,000.

The company's statistics are staggering: the entire herd produces 2.5 million liters of milk a day -- an average of 40 liters per cow per day roughly double the European average.

Technology to beat the heat

The secret to making a dairy successful in one of the world's most arid environments is to apply technology -- and a lot of it.

At normal desert temperatures that can reach as high 50 degrees Celsius, milk production would normally plummet, the produce would spoil quickly and dangerous bacteria would form.

However, every step of the process of keeping the Holstein milking cows at a perfect temperature of between 21 and 23 degrees Celsius (70 and 73 degrees Fahrenheit) is automated.

Read more: Dubai builds big for Expo 2020

Overhead misters in the open-sided sheds that house the herds send out clouds of moisture that wet the flanks of the herd to keep them cool. Fans also keep them dry and prevent puddles from forming.

As well as computers that monitor the temperature and humidity in the installations, workers put the cattle through stationary water jets - a process that ensures the milk is not contaminated with manure - before the cattle are milked four times daily.

After the cows are milked, the mega-factory goes through the process of pasteurizing the dairy products, bottling and packaging it. Almarai's fleet of 1,000 refrigerated tankers then deliver it to 55,000 stores in six Gulf nations.

Water worries

Saudi is not the only Gulf State to have automated its milk production.

In the nearby United Arab Emirates, the Al Ain Dairy Farm, the largest in the UAE and a competitor to Almarai, has per cow yields at 10,000 liters a year, almost the equal of Almarai's 12,400 liters a year.

However, critics warn that the high yields of Almarai and other Gulf dairies carry a cost.

Seen from Google Earth, the irrigation pivots of Al Kharj stand out like green crop circles in the rocky brown of the desert. Just 40 years ago, Saudi Arabia's underground store of fossil water was estimated at 500 cubic kilometers, enough to fill Lake Erie, according to a report published by University of London SOAS.

Read more: Oxford, Yale or Abu Dhabi?

It estimates four-fifths of the aquifers are now depleted. With practically no rainfall to replenish them, it has been reported that the government intends to phase out wheat production by 2016.

Many of the irrigation pivots at Al Kharj stand unused and the Saudi government is coy about their future.

In the meantime, Saudi investment in land near the headwaters of the Nile in the Gambella region of Ethiopia has caused controversy.

Human Rights Watch, in a 2012 report, said that foreign investors from Saudi and China had acquired large tracts of land and that it had evidence that some 70,000 indigenous people in the western Gambella region were relocated against their will to new villages that "lack adequate food, farmland, healthcare and educational facilities".

The Oakland Institute, an NGO, issued a critical report on Saudi Star's Gambella investment in Ethiopia in June last year, alleging that the company failed to conduct an environmental impact assessment and that residents reported the threat of force from Ethiopian authorities if they did not resettle.

Meanwhile, the Saudi government has denied that its investment in the region has uprooted the region's indigenous people.

"I never heard of even a single displacement," Saudi Agriculture Minister Dr Fahd bin Abdulrahman Balghunaim said in media reports.

"If you or any other correspondent will show us a clear displacement or land grab or whatever by Saudi investment, please let us know. I assure you there are none whatsoever."

@highlight

Saudi Arabian dairy has become one of the biggest in the region

@highlight

Almarai began as a small farm in 1970s with 300 cows

@highlight

Situated in one of world's most arid regions, indoor farms rely on 'California model'

@highlight

Critics point to high use of water and depletion of ancient underground water reserves