(CNN) -- Conventional thinking is that every race in every campaign cycle comes with a debate between the candidates. An increasingly informed, technoliterate electorate threatens to make debates an endangered species, however. In a few cases, at least, that's for the best.

If only all debates were presidential debates, with serious candidates discussing critical issues in front of the world's news media. Presidential level debates set a high bar to test prospective leaders of the free world. On the state and congressional levels, debates regularly offer less nourishing fare.

In less headline-grabbing state and federal contests, political debates have often become empty theater, scripted to be meaningless and do everything but inform voters. In some campaigns, debates can even distort the real picture by lending credibility to candidates who don't merit it -- candidates who by their own mistakes have no chance at success.

This year, there is no better example than Ohio, where incumbent Republican Gov. John R. Kasich is leading his Democrat challenger, Cuyahoga County Executive Ed FitzGerald, by a healthy margin -- after FitzGerald spectacularly imploded, effectively destroying himself, his campaign staff and all political life in his vicinity.

Though we once expected to see a hotly contested governor's race in Ohio, Kasich's solid, first-term economic performance scared off better challengers and left the Democrats with the less-than-top-tier option of FitzGerald.

Just how "less" became evident when news surfaced that police found him in his car in a parking lot at 4:30 a.m. with a woman who wasn't Mrs. FitzGerald.

Just when you thought it couldn't get worse for FitzGerald, Ohio then learned that he had gone 10 years without a driver's license, including while he was a public official, using official cars and overseeing the firing of employees who didn't meet requirements of having a driver's license.

No wonder late-night talk show hosts love the endless fount of material known as politics. It's no surprise that Democrats have abandoned FitzGerald. He's shifted much of his funds to support other races by Democratic candidates and the media has ratcheted down coverage of the Ohio governor's race.

In this environment, a flailing candidate has nothing to lose by going into a debate only to serve himself, not voters, and cause trouble.

Ed FitzGerald will not be the next governor of Ohio, so voters won't appreciably benefit from being informed on his positions, whether policy or personal. In fact, having mismanaged his campaign so badly, his only goal would be to toss a few bombs to win favor with Democratic Party bosses in hope they might mercifully bestow a patronage job on him after November.

I would not argue for a campaign in which an incumbent is subject to less scrutiny or fewer probing questions from the news media. If Hillary Clinton runs for president and her only opponent is Sen. Bernie Sanders, there's a good argument for her to agree to debates.

However, let's get real: It is no great public service to allow a doomed and desperate candidate to turn a serious debate into a food fight. There is a difference between urging a candidate to face appropriate public scrutiny and asking him to become a dartboard.

In an environment charged with desperation, a debate sometimes does nothing to enlighten or inform voters. As someone who has spent a good 40 years directing political campaigns, I'd urge Kasich not to debate and, instead, stand before the voters and press directly.

The likelihood of personal attacks and water-muddying is so assured that it would be better -- for Kasich, voters, the dignity of the process and the dignity of the position -- to cut out the debate theatrics and help voters better understand what their governor plans for his second term by standing before them in open forums such as town halls.

Instead of watching a debate, I'd urge voters to spend an evening on the Internet, reading news stories and digesting analyses by independent groups. There's a lot voters should still learn.

Skipping debates when they move from real discussions to farce is not uncommon. Former U.S. House Speaker Nancy Pelosi -- hardly a shrinking violet -- has refused debates, as has former New York Gov. George Pataki, also not one to shy away from a fight.

Former Tennessee Gov. Don Sundquist did it too, taking a pass on sharing a stage with a perennial gadfly universally regarded as a less than serious candidate. They were all, of course, criticized for their decisions but were none the worse for wear, in part because they were known quantities, whose performance and policies had stood the test of time and had already been scrutinized and evaluated by voters. Alternative methods for delivering information were available to voters then and democracy survived. How much more is that true today?

Conventional political debates are but one potential victim of the disruptive nature of technology. The depth of information available at our fingertips today, from our laptops and mobile devices, is astounding.

Can debates play an ongoing role -- perhaps even enhanced by technology? Of course they can.

CNN has been a leader in modernizing debates, turning them into two-way communications events, connecting voters not only with candidates but also with each other. Now it's nearly impossible to watch a presidential debate without tweeting about it with our friends.

The days of relying on only a few static pillars of voter education -- debates and newspaper endorsements, for example -- are over. Old institutions that monopolized information are being forced to compete and adapt or face replacement. Amidst today's information deluge, voters are increasingly able to find the information that best serves them, and we're all the better for it.

Candidates who embrace this type of change are no less accountable or responsive to the scrutiny inherent in elections. In fact, they are more so and stand to be better rewarded by voters who seek leaders to guide them to a better world.

Join us on Facebook.com/CNNOpinion.

@highlight

Alex Castellanos: We need presidential debates, but some for state office are a waste

@highlight

Castellanos: In Ohio, a challenger to governor saw campaign effectively implode

@highlight

He asks: Should an incumbent get in the ring with a hopelessly outmatched competitor?