(CNN) -- "When I got married I was scared," remembers 10-year-old Nujood Ali. "I didn't want to leave my family and siblings."

Yemeni lawyer Shada Nasser helped 10-year-old Nujood Ali divorce her 30-year-old husband.

At an age when girls in the West still play with dolls, Nujood found herself married to a man three times her age. But in her home country of Yemen -- a deeply conservative Middle East Muslim nation -- this situation isn't uncommon.

Yemeni lawyer Shada Nasser had long opposed the practice of early marriage when, in April 2008, she got a chance to do something about it.

Arriving at the courthouse for her usual casework one day, Nasser was told about a young girl who had come to court alone. She met Nujood, who told her that she was desperate; she wanted a divorce.

Nasser says she was appalled by Nujood's story, particularly her claims that her 30-year-old husband regularly beat and raped her. It was unheard of for such a young girl to get a divorce, but Nasser didn't hesitate to take the case.

"When I spoke with her, I [felt] like she [was] my daughter," Nasser recalls. "I hugged her and said, 'Don't be afraid. I will help you and you will take the divorce.'"

Since then, Nasser has volunteered to help other young brides, and is working to raise the legal age for marriage in Yemen.

As a lawyer and activist, Nasser has always promoted the rights of women and children. Born in the progressive southern region of Yemen, she was raised in an affluent family. She graduated from law school in 1990 in Prague, which was then part of Czechoslovakia.

Her father, a journalist and union organizer, died when she was young, but Nasser inherited his crusading instincts and has spent much of her career challenging the status quo.

Among the first female lawyers in the capital city of Sanaa, Nasser has defended several women who she believes were wrongfully accused of crimes.

"I believe in being a lawyer to help people," she says.

By striving to end early marriage, Nasser is challenging a custom that's been part of Yemeni culture for centuries. Extreme poverty leads some parents to marry off their daughters, while others do it to protect the girls from spinsterhood, or from potentially shaming the family by getting involved with a man out of wedlock. Some find justification in the Quran.

Sanaa University's Woman and Development Study Center found that more than 50 percent of Yemeni women are married before they are 18; in some regions, 8- and 10-year-old brides are the norm.

The 1992 law that set Yemen's marriage age at 15 was later amended to allow even younger girls to wed with parental approval. However, they are not supposed to have sexual relations until they are "mature," a stipulation that's difficult to enforce.

When Nujood's parents agreed for her to be married, they believed they were putting her in the care of her husband's family.

Nujood's father, Ali Mohammed Ahdal, is angry about what the man did to his daughter. "He was a criminal, a criminal. He did hateful things to her," he said. "He didn't keep his promise to me that he wouldn't go near her until she was 20."

Specialists believe that young girls giving birth at an early age has contributed to Yemen having one of the highest maternal mortality rates in the world, according to the United Nations Population Fund.

After Nasser took Nujood's case, reporters packed the courtroom. When the judge dissolved the marriage, the story made headlines around the world. Sharia law dictated that Nujood pay her husband more than $200, which was covered by donations.  Watch Nujood and Nasser tell their story »

Now happily back home with her family, Nujood hopes to become a journalist, and says she never wants to get remarried. Reflecting on her experience, she shows a maturity beyond her 10 years.

"I did this so that people listen and think to not marry girls so young," Nujood says. "Like what happened to me."  Watch Nasser explain how Nujood has become a symbol for girls in Yemen »

Nujood's case sparked a nationwide debate about the marriage age; Nasser and others hope to raise it to 18. Having already been contacted by other child brides, she's vowed to help as many of them as she can, for free.

"I and Nujood, we opened this big window for all other girls," Nasser says. "Nujood's case is going to change a lot of things, and will better the lives of hundreds of young girls who live in the countryside."

@highlight

Yemeni lawyer Shada Nasser helped a 10-year-old divorce her 30-year-old husband

@highlight

Since then, Nasser has volunteered to help other young brides

@highlight

She is also working to raise Yemen's legal age of marriage

@highlight

In some regions of the country, 8- and 10-year-old brides are the norm