(CNN) -- West Virginia's attorney general and state legislators announced Tuesday that they'd join those investigating a chemical spill that left hundreds of thousands scrambling for safe water, with one senator promising "there will definitely be a change."

"This whole series of events is unacceptable," said Senate Majority Leader John Unger, who will be leading the state legislative probe, echoing many others around West Virginia and elsewhere since the crisis boiled up last Thursday.

These latest investigations came out the same day that a few thousand more West Virginians were told they could use their tap water again, for the first time in nearly a week.

Still, nearly two-thirds of the nearly 300,000 people initially prohibited from using their taps still are waiting for the all-clear.

Their headaches and heartaches trace to the leak of several thousand gallons of 4-methylcyclohexane methanol -- a substance used in the coal industry -- from a storage tank belonging to a company called Freedom Industries. That chemical made its way into the Elk River, to a water plant about a mile upstream, then into the water system.

Residents of nine counties -- including the one that is home to Charleston, West Virginia's capital and most populated city -- were urged last week not to use their tap water to do anything except flush their toilets. With its strong odor as the telltale sign, officials warned that they couldn't say that the water so many rely on to drink, cook using or wash themselves with was safe.

Authorities worked to flush the foul-smelling chemical from the area water system, all while conducting tests that eventually showed it declining.

Chemical spill shines spotlight on loose regulation

But it has been only recently some have been told they can use their water, such as the lifting of the "do not use" order Tuesday morning for the Southridge/Southside area near Charleston.

By Tuesday evening, about 114,000 people were advised it was safe for them to run their taps again -- with more than 180,000 remaining in limbo.

And it's not just individual citizens in their homes who have been affected. Without safe water, schools and many businesses such as hotels, restaurants and more decided to close. Gov. Earl Ray Tomblin's office said schools would remain closed in four counties Wednesday, leaving about 46,000 students at leisure.

Amid this widespread pain, a number of local, state and federal authorities have announced they're launching investigations intent on getting to the bottom of what happened and holding people, agencies and companies responsible for the spill and possible issues in the response.

Investigators from the Kanawha County Fire Department and the state Department of Environmental Protection were among the first at the scene.

By the next day, U.S. Attorney Booth Goodwin announced that his office was also looking into what happened, telling CNN that "even a negligent release of this kind could be a criminal violation."

Also on the federal side, Environmental Protection Agency investigators went to the scene as did a team from the U.S. Chemical Safety Board.

Plus, two U.S. congressmen -- Reps. Henry A. Waxman and Paul D. Tonko, Democrats from California and New York respectively -- said in a letter Monday they believe the spill may have exposed regulatory gaps in the country's chemical control laws.

Two new authorities in the state of West Virginia on Tuesday announced their own investigations.

Attorney General Patrick Morrisey said in a statement that his office plans "to get to the bottom of this and ensure that the public knows the truth" -- including what happened, why and how might it have been prevented.

"We need to make sure this never happens again, and that responsible parties are held accountable," Morrisey said of his office's "unbiased, independent inquiry."

And Unger, the Democratic state senator from Berkeley, said the Joint Legislative Oversight Commission on State Water Resources -- which he co-chairs -- is also digging into the "unacceptable" ordeal. Among other things, that legislative body will look into who knew what and when, "and if no one knew, why not."

"There will definitely be a change to the way things have been done in the past," Unger said.

And it's not just West Virginians who are affected.

The Greater Cincinnati Water Works, which serves that Ohio city and parts of four counties in Ohio and Kentucky, will temporarily stop taking water from the Ohio River as a precaution, allowing water that might contain traces of the chemical to pass the city, company spokeswoman Michele Ralston said Tuesday.

Two Kentucky water systems -- in Ashland and Russell -- temporarily turned off their valve systems, Dick Brown, a spokesman for the Department for Environmental Protection, told CNN.

The move was strictly a precaution since the Elk River is a tributary to the Kanawha, which feeds into the Ohio River.

The Cincinnati utility is sampling the Ohio River water and so far hasn't detected anything out of the ordinary, Ralston said. The move will not disrupt customers' water supplies because the company has a two-day reserve and a groundwater plant that can provide even more treated water, she said.

Opinion: It's OK, the water's safe to flush

CNN's Matt Smith, Michael Pearson, Jason Hanna, Alina Machado and Meridith Edwards contributed to this report.

@highlight

NEW: More people are told they can use water; more than 180,000 still under "do not use" order

@highlight

A state legislator says "there will definitely be a change" after last week's chemical spill

@highlight

Thousands of gallons of a compound used to clean coal poured into the Elk River

@highlight

"This whole series of events is unacceptable," lawmaker says