NAIROBI, Kenya (CNN) -- More than $150 million has been paid to pirates around the Horn of Africa over the past 12 months, Kenya's foreign minister said Friday.

The supertanker Sirius Star is the biggest vessel seized by pirates this year.

The money is encouraging them to continue and become more brazen in their attacks, Foreign Minister Moses Wetangula told a news conference in the Kenyan capital.

"That is why they are becoming more and more audacious in their activities," Wetangula said.

Pirate activity off the coastline of east Africa is a cause of growing international concern.

Last weekend pirates, who mostly operate from lawless Somalia, seized a Saudi-owned supertanker Sirius Star, the largest vessel captured to date. Another seized vessel, the Ukrainian MV Faina, was carrying a cargo of military supplies and T-72 tanks.

They currently hold 17 vessels and are estimated to have attacked more than 90 ships in the region so far this year, according to the International Maritime Bureau's Piracy Reporting Center, which monitors piracy around the world. The attacks have increased in recent weeks, the PRC says.

The ransoms being paid to the pirates are also increasing, maritime security experts say. The method of paying the ransoms is changing, too, and has become one of the most complicated and dangerous sticking points in negotiations with pirates, the experts say.

Only months ago, pirates preferred to be paid through a complicated web of bank transfers using offshore jurisdictions, according to a maritime security source now involved with ransom negotiations with hijacked ships.

Now, however, pirates are demanding cash upfront, the expert says. Paying by cash can involve many middlemen who in the past have been killed delivering ransom.  Watch how ship owners are left with little choice but to pay »

The money is also funneled through international crime syndicates who take their cut, give the rest to the pirates, and use their profit to bankroll even larger attacks with bigger ransoms.

"What other alternative does a shipowner have?" said Peter Hinchcliffe, marine director of the London-based International Chamber of Shipping. "It is an appalling situation paying money, knowing that that will further enhance the capability of the criminals ashore."

On shore, Somali pirates are increasingly influential, well armed, and even celebrated. iReport.com: Take a walking tour of pirates' town

"It's become a very lucrative revenue stream for them, and I think they'll be very reluctant to see it disappear," said Chris Austen, chief executive of Maritime and Underwater Security Consultants, which consults with companies around the world on security issues.

The Gulf of Aden is a key route for ships passing from the Arabian Sea and Indian Oceans to the southern Red Sea and the Mediterranean Sea by the Suez Canal.  See where pirates are operating »

A NATO-led international naval fleet has attempted to crack down on the attacks. An Indian frigate battled a pirate ship in the Gulf of Aden on Tuesday, leaving the ship ablaze and likely sunk, the country's defense ministry reported. Warships have also encouraged shipping to stay within patrolled corridors.

On Thursday Russia said it would send more ships to the region to join the frigate Neustrashimy, already taking part in anti-piracy operations.

"After Neustrashimy, Russia will be sending warships from other fleets to this region," Adm. Vladimir Vysotsky told the official news agency Ria Novosti. No additional details were provided.

Red Sea nations in the Arab League also agreed Thursday to coordinate a common strategy against piracy. The Egyptian government hosted the meeting, which was attended by representatives of Saudi Arabia, Yemen, Sudan, Jordan, and Djibouti. A Somali transitional government official was also there.

The group issued a communique condemning all acts of piracy.

The communique said Arab nations around the Red Sea were principally responsible for security there and recommended establishing joint mechanisms between those countries to ensure the safety of shipping.

The group welcomed international and regional support in fighting piracy, and stressed the importance of coordination between the Red Sea Arab nations and regional and international bodies.  Watch more about the pirates' tactics »

It also said Arab countries in that region should be open to having dialogues with other parties about the fight against piracy.

"We did not touch upon the military aspect, but we touched upon aspects related to promoting coordination, consultation and exchange of information, as well as focusing on the importance of regional arrangements, with particular reference to the establishment of the regional maritime center in Yemen," said Ali al-Ayashi, Yemeni deputy foreign minister.

The communique emphasized the importance of strengthening Arab and African cooperation to fight piracy and noted the respect the group has for the sovereignty, unity and independence of Somalia.

Wafaa Bassem, Egyptian deputy foreign minister and chair of the conference, said "the international community in the short term should help and support the transitional government of Somalia and the Somali people with humanitarian, economical and political support to be able to prevent piracy acts in this region."

Egypt has a lucrative industry from the shipping traffic in the Suez Canal, but it is concerned about shipping firms pursuing other routes to avoid the Gulf of Aden.

One Norwegian shipping firm, Odfjell SE, has ordered its vessels to avoid the waters off the Horn of Africa.  Watch Maersk CEO describe risks to shipping »

That decision means that Odfjell SE's 90-plus ships will take the additional time and expense to sail around the southern tip of Africa instead of going through the Suez Canal, a shortcut for mariners for nearly a century and a half.

Going around the Cape of Good Hope would add thousands of kilometers (miles) to a voyage from the Middle East to Europe or North America.

CNN's Paula Newton contributed to this report.

@highlight

$150 million paid to pirates in past 12 months, Kenyan foreign minister says

@highlight

East African pirate activity causing growing international concern

@highlight

Pirates seized Saudi supertanker last weekend; are holding 17 vessels

@highlight

Russia sending more ships to join international naval fleet policing Gulf of Aden