(CNN) -- The World Health Organization raised the swine flu alert Thursday to its highest level, saying the H1N1 virus has spread to enough countries to be considered a global pandemic.

Kindergarten students, some wearing masks, attend school in a residential estate in Hong Kong on Thursday.

Increasing the alert to Phase 6 does not mean that the disease is deadlier or more dangerous than before, just that it has spread to more countries, the WHO said.

"This is an important and challenging day for all of us," WHO Director General Margaret Chan said in a briefing with reporters. "We are moving into the early days of the first flu pandemic of the 21st century."

The last previous pandemic occurred in 1968.

As of Thursday, the virus had spread to 74 countries, the health agency said. There were 28,774 confirmed cases and 144 deaths.

The United States had 13,217 cases and 27 deaths, the Centers for Disease Control and Prevention said June 5 in its weekly update. Cases have been reported in all 50 states, the District of Columbia and Puerto Rico.  See where H1N1 flu cases are in the U.S. »

The U.S. death toll is expected be higher when the CDC releases its latest figures Friday, said Anne Schuchat, director of the National Center for Immunization and Respiratory Diseases.

New England -- particularly Massachusetts -- and the New York and New Jersey areas have been hit the hardest, Schuchat said Thursday at a CDC news conference.

The Phase 6 pandemic designation had been widely expected for weeks.

"Further spread is considered inevitable," Chan said at a news conference at WHO headquarters in Geneva, Switzerland. "The scientific criteria for an influenza pandemic have been met."

The announcement came after a meeting of the WHO's Emergency Committee, which has debated since April whether the spread of a novel H1N1 flu virus was fast and widespread enough to warrant a Phase 6 designation.

Phase 6, Chan said, is meant as a signal to countries to recalibrate their strategies to minimize the harm from swine flu. In countries where the virus and the response to it are already widespread, it is not likely to mean significant changes, but Chan urged countries that have not seen cases, or seen only limited cases, to get ready.

"The virus is not stoppable," she said. "I would advise them to maintain vigilance, enhance surveillance and be prepared for the arrival of the novel H1N1 in their country."

The U.S. Department of Health and Human Services and the Department of Homeland Security said those agencies have been acting for weeks as if Phase 6 were already in effect and no additional measures would be put into effect.

The United States declared a public health emergency April 26.

"WHO continues to recommend no restriction on travel and on border closures," Chan said.

Discussions about shifting to Phase 6 have been under way for weeks. Chan indicated that a major factor in the decision was surveillance from countries in the Southern Hemisphere, where flu season is under way. In Chile and Australia, two countries with many flu cases, she said H1N1 appears to be the dominant strain, "crowding out" the seasonal influenza virus.

Chan said she would recommend that vaccine manufacturers proceed with mass production of an inoculation against the new swine flu strain as soon as they finish production of seasonal vaccine, which she estimated would be complete in about two weeks.

HHS spokesman Bill Hall said Thursday that no decision has been made on full-scale production because there is no need yet to make that decision.

It is a step-by-step process that is moving forward. "We're doing as much as we can now," he said.

The agency awarded a contract several weeks ago to five manufacturers to develop an H1N1 antigen. The companies are producing pilot lots. Clinical testing will take place over the summer, Hall said.

At the end of the summer, HHS will decide whether to go into production.

"There's no specific date on the calendar," Hall said.

If officials decide to produce a vaccine, the first doses would be ready early in the fall. Hall noted that even full-scale production doesn't mean there will be an immunization campaign. Federal officials may have a vaccine and decide not to use it, he said.

Also Thursday, authorities in Hong Kong ordered the closure of all elementary schools, kindergartens and day care centers in the city after 12 students were found to be infected with the virus.

Authorities have not determined the source of the infection, said Hong Kong's Chief Executive Donald Tsang. This makes it the first cluster of swine flu cases in the city without a link to someone who had traveled overseas.

The schools and day care centers were told to close for 14 days as investigators tried to identify the source of the infection, said Tsang, the chief executive.

The health department will decide after two weeks whether to continue the shutdown.

Also on Thursday, Israel's health ministry announced that the number of people diagnosed with swine flu there was 68.

Health officials use the virus' clinical name -- H1N1 -- to reflect that it's actually a combination of several different types of flu and to reduce confusion about whether eating pork can spread the virus. It cannot.

CNN's David S. Martin, Roya Shadravan in Hong Kong, and Michal Zippori in Jerusalem contributed to this report.

@highlight

Further spread of swine flu inevitable, World Health Organization says

@highlight

WHO calls H1N1 a global pandemic, raises alert to highest level

@highlight

U.N. agency says that doesn't mean disease is worse, but that it's in more countries

@highlight

Hong Kong orders closure of all elementary schools, kindergartens, day care centers