(CNN) -- The Boston Marathon bombings shook the nation. With one suspect killed and the other captured Friday night, there are far more questions than answers at this point. While authorities unravel details in the coming days and weeks, many people are curious about Chechnya and its history, hoping to better understand the background of the two suspected bombers.

The important thing to keep in mind right now is that 26-year-old Tamarlan Tsarnaev had a green card, and 19-year-old Dzhokar Tsarnaev became a naturalized U.S. citizen in September 2012. Assuming that their motives are related to their Chechen origins would be like assuming that Timothy McVeigh's motives were related to his Scottish/Irish origins.

Although the Tsarnaev brothers are of Chechen ethnic background, they are from the neighboring republic of Dagestan -- a tremendously diverse region that differs from Chechnya in many ways.

According to press reports, they fled Dagestan for distant Kazakhstan and Kyrgyzstan in Central Asia sometime before or during the second Chechen war with Russia, which started in 1999 and spilled over into Dagestan. It is likely that they found many Chechen contacts in these new homes, which still have a Chechen diaspora remaining from Joseph Stalin's forced deportation of the Chechen people to those republics in 1944. From Kyrgyzstan, they emigrated to the United States in 2002.

Chechnya is a small republic within the Russian Federation of about a million people located in the Caucasus between the Black and Caspian seas. The Chechens have a long history of intense conflict with Russia. In fact, even after encircling the region through the conquest of Georgia, Armenia and Azerbaijan to the south in 1801, it still took the mighty Russian army 60 more years to conquer the region.

In 1944, Soviet dictator Joseph Stalin accused the Chechens of treason and deported every man, woman and child to locations scattered through Soviet Central Asia in a brutal action with high death rates. The deported Chechen people were only allowed to return in 1957, four years after Stalin's death. It is quite likely that the grandparents or great-grandparents of the Tsarnaevs suffered through these horrible actions.

When the Soviet Union collapsed in 1991, 15 constituent republics became independent countries, but Chechnya was just an autonomous region within the Russian Federation, and Russian President Boris Yeltsin refused to allow Chechnya to break free and form an independent state. In 1994, he ordered the invasion of Chechnya to reverse its declaration of independence and to force the region back under Moscow's control.

The two-year war and the years that followed were filled with violence, chaos and lawlessness. Estimates of Chechens killed in the 1990s run as high as 100,000. Dagestan was for the most part able to avoid the violence of the 1990s and stayed relatively quiet.

Both Tsarnaev brothers most likely heard a lot about the second war between Russia and Chechnya that started in 1999, a war that this time involved parts of Dagestan as well.

This time, a radical Chechen warlord named Shamil Basaev tried to spread anti-Russian unrest to the much larger neighboring region of Dagestan. With a small army, he took several towns in Dagestan and a month later four residential apartments were blown up in Moscow and two other Russian cities, killing and injuring hundreds. He found little support from the peoples of Dagestan and instead spurred newly appointed Russian Prime Minister Vladimir Putin to launch a new war against Chechnya.

This round of fighting was even more brutal than the first war. Extreme Chechen groups turned to guerrilla warfare in the mountains, and horrific acts of terror in Russia, including the Beslan elementary school siege that ended with 334 people dead, including 186 children. Other acts included setting off bombs in the Moscow subway system and taking an entire Moscow theater hostage.

Both the pro-Russian Chechen leader Ramzan Kadyrov and his various Chechen underground jihadist and nationalist opponents have denied any connection to the Tsarnaevs. The question of their links to any groups will be one of the most important questions for the investigation to come.

In the past few years, both the Tsarnaevs excelled in sports and academics, and seem to have lived apparently normal lives. It remains to be seen whether their life experiences, nationalist or religious ideas led them to the Boston Marathon bombings -- or if their motives were more akin to the domestic mass killers we have seen far too often in places like Aurora, Newtown, Tucson, Columbine, and elsewhere.

The opinions expressed in this commentary are solely those of Eric Lohr.

@highlight

The two suspected bombers of the Boston Marathon are of Chechen ethnic background

@highlight

Eric Lohr: People are curious about Chechnya and want to know more about the suspects

@highlight

He says Chechnya went through wars and chaos

@highlight

Lohr: It's hard to tell whether their life experiences or other factors led them to their actions