(CNN) -- Ever since an 18-foot chunk of fuselage ripped off an Aloha Airlines Boeing 737 in mid-flight, aircraft metal fatigue has been a worry in the aviation industry. A flight attendant died and eight passengers were injured in the incident, which occurred in April of 1988.

To address the problem of aging aircraft, the Federal Aviation Administration says it has issued numerous regulations and 100 airworthiness directives. But on Friday the agency announced a rule to end the ad hoc approach to a critical issue of aviation safety.

The final rule to prevent "widespread fatigue damage" requires aircraft makers and airlines to establish the number of takeoff-and-landing cycles or the number of hours a plane can operate without risk of fatigue damage. After the limit is established the rule will prevent airlines from flying the aircraft past that point unless they receive an extension.

"Safety is our highest priority. This rule provides a comprehensive approach to the problem of widespread fatigue in aging aircraft," said Transportation Secretary Ray LaHood. "Requiring carriers to regularly inspect their aircraft for possible fatigue is essential to ensuring the highest levels of safety."

In June of 2002, three airborne firefighters over California were killed when their plane collapsed due to fatigue cracks in the wing structure. A similar accident killed two firefighters in Colorado the very next month.

More recently, two Southwest Airlines Boeing 737s suffered serious fatigue cracks last year. One caused an 18-inch by 12-inch gap in the fuselage that depressurized the airplane and another led to the loss of a wheel-and-brake assembly during landing. There were no serious injuries in either event.

Every flight of an airplane puts some stress on its structure. After numerous flights fatigue can trigger cracks, which can expand and connect.

"Widespread fatigue damage is increasingly likely as the airplane ages, and is certain if the airplane is operated long enough," said the FAA in its summary of the new rule. "Existing inspection methods do not reliably detect WFD because cracks are initially so small and may then link up and grow so rapidly that the affected structure fails before an inspection can be performed to detect the cracks."

"This is definitely a good thing they're doing this," said Chuck Horning, chairman of the Aviation Maintenance Science Department at Embry-Riddle Aeronautical University. "It's not uncommon as an airplane ages that you'll find those things."

American Airlines had argued "the rule was not justified in terms of safety," according to the FAA's summary of industry discussion of the rule. Aircraft manufacturer Boeing supported the rule.

"We already have some very good plans that are approved by the FAA that address this issue," said American Airlines spokesman Tim Smith.

American says its fleet, on average, is 14.5 years old and getting younger as it receives delivery of new Boeing 737-800s and retires old MD 80s.

The average age of Delta's fleet also is 14.5 years while United's is 14.3 years, according to the website airfleets.net, which tracks airline fleets worldwide.

The Federal Aviation Administration is giving airlines and manufacturers up to 60 months to come up with time-in-service limits.

@highlight

The new rule is designed to end the ad hoc approach to aircraft metal fatigue

@highlight

Aircraft makers and airlines will have to determine plane safety limits

@highlight

Cracks in airplane metal are small but can link up and grow rapidly, the FAA says