Shanghai (CNN) -- China's recent crackdown on corruption has netted a growing number of high-profile officials, often through campaigns that began with the posting of rumors and incriminating photos on social media. But those same campaigns are also exposing a seedier side of social media, which has become a tool for opportunistic reporters, bloggers, and crime syndicates to engage in vindictive rumor-mongering and even extortion.

The opportunists and vigilantes alike have thrived by using the nation's increasingly influential social media platforms -- most notably the Twitter-like Sina Weibo -- in the name of rooting out corruption under an austerity campaign by China's new leaders. While many of the resulting smear campaigns are based on genuine corruption, some are also clearly motivated by personal gain.

Such smear campaigns would have much more difficulty gaining traction in the West, where traditional media play a more effective watchdog role over issues like government corruption. But with China's state-owned media often muzzled by local interests from reporting corruption, decentralized and privately-owned social media platforms are more effective.

One of the earliest and most famous corruption scandals uncovered by netizens occurred in 2011, involving a young woman named Guo Meimei who claimed to work for a Red Cross Society of China affiliate on her Sina Weibo account while posting photos of herself with luxury cars and designer goods. Her lavish lifestyle led to a public outcry over what appeared to be abuses of charity funding.

Guo quickly apologized for her "ignorant behavior" on her Sina Weibo account. The Red Cross also conducted its own investigation and found Guo had no connection to the organization. But other instances of mismanagement were later uncovered, and general skepticism toward charities seriously damaged the Red Cross' reputation and ability to raise funds in China. Two years later, the organization's reputation remains in tatters.

Last week, the bribery trial of the "sex-tape official" Lei Zhengfu opened. A former Chongqing city official, Lei's downfall began last year with the online posting of a graphic video of him having sex with a mistress. The woman was later revealed to have colluded with a property developer to lure Lei into a "honey trap" to extort him for money or favorable business contracts. Lei argued in court that the 3 million yuan (US$488,000) loan he helped the property developer secure should not be interpreted as a bribe.

In more recent cases, incriminating photos led to the downfall of government officials for such transgressions as owning too many luxury watches and hosting overly lavish banquets at taxpayer expense. In many of these cases, the officials in question were already found guilty in the court of public opinion before any legal proceedings began, and anything they said in defense was largely ignored.

In April, police in the central Chinese city of Zhengzhou reportedly broke up a crime ring of 80 people who posed as journalists and threatened to write negative stories about people who refused to pay hush money. Such extortion has become common even among genuine media. An acquaintance at a major Sino-U.S. joint venture recently complained to me that she was forced to buy advertising from a newspaper after a reporter threatened to write a negative story if she did not pay up.

The government is aware of these growing problems of vindictive rumor-mongering and extortion and is trying to take steps to fix them. The official Xinhua news agency reported in May that six people were charged for secretly taping illicit sex videos of officials in Chongqing from 2008 to 2009 and trying to extort the officials afterward. The Communist Party's official newspaper, People's Daily, also ran an editorial last month saying that spurned mistresses may not be reliable whistle-blowers in corruption cases.

In addition to prosecuting extortionists, the government has also taken steps to bring order to China's unruly social media platforms, where scandalous messages can often go viral in a matter of hours. More than a year ago, the government announced a controversial new policy requiring all social media users to register with their real names. It said the move was designed to eliminate the cloak of anonymity enjoyed by rumor-mongerers, although many critics feared the policy was designed to limit free speech.

Social media platforms themselves have also taken their own steps to make their users more accountable. Last year, Sina Weibo rolled out a user rating system whereby each user is rated on a scale of 10, with 1 being the least reliable and 10 the most trustworthy. The posting and spreading of unfounded rumors lowers a user's rating.

The most obvious solution to these problems would be greater freedom for traditional media, which would relieve social media vigilantes of their unreliable role as government watchdogs. But in the absence of such liberalization, the Chinese government and private Internet operators will be forced to find new and innovative ways to ensure the quality of material posted on their sites.

@highlight

Many corrupt officials in China exposed by vigilantes on social media

@highlight

But opportunists also using social media in extortion schemes against officials

@highlight

Young: Greater freedom for traditional media would relieve netizens of watchdog role