South Padre Island, Texas (CNN) -- Hurricane Alex made landfall along the northeastern coast of Mexico Wednesday night as a Category 2 storm with 105 mph winds, the National Hurricane Center reported.

As the storm lashed a sparsely populated area about 110 miles south of the Texas border, Gulf Coast residents hunkered down in shelters.  Maximum sustained winds were 100 mph as Alex moved to the west at 10 mph.

At least 1,000 people in southern Texas were taking shelter in evacuation centers as Alex's winds and heavy rain squalls bore down on the coastline, officials in Cameron and Hidalgo counties reported.

Brownsville, Texas, appeared to be taking the brunt of Alex's outer bands after as many as six tornadoes were reported in the area, officials said.

Sgt. Jimmy Manrrique, spokesman for the Brownsville Police Department, said the city was receiving "an intense amount of rain" and flood waters were reported to be as high as 2 feet in some areas.

In Harlingen, just 30 miles north of Brownsville, wind gusts of up to 65 mph were reported hours before the storm's expected landfall.

No injuries were immediately reported from the twisters near Brownsville, but some damage was reported, including downed trees and power lines, weather and emergency management officials said.

Carol Rumsey was riding the storm out in her Los Fresnos, Texas, home, not far from Brownsville and about a half hour from the coast.

She told CNN Radio on Wednesday night that her house had an eerie feel as the storm approached.

"You board up your windows and it's like living in a dungeon," she said. "You can't hear anything, you can't see anything."

She said she had considered evacuating as the region was being pummeled by heavy rain and occasional gusts of wind, but said "this is the price you pay for living in paradise."

Meanwhile, authorities in South Padre Island closed the Queen Isabella Memorial Bridge -- which crosses to the popular vacation spot -- as a precaution ahead of the approaching Alex.

At 10 p.m. CT (11 p.m. ET), the storm's maximum sustained winds were 100 mph as it headed west at 10 mph, the National Hurricane Center reported. Forecasters said the storm was expected to continue in that direction and move farther inland over northeastern Mexico Thursday.

Tropical storm force winds extend outward up to 205 miles from the center of the storm and hurricane force winds extend outward up to 35 miles, according to the hurricane center.

Heavy rain and thunderstorms associated with the outer bands of Alex were affecting the entire Gulf Coast from Texas to Louisiana to the Florida Panhandle. Brownsville received more than 4 inches of rain by Wednesday afternoon, the weather service said.

Harlingen Assistant Fire Chief Cirilo Rodriguez said his region was expecting 7-10 inches of rain.

Coastal flood advisories have been issued for Louisiana and Mississippi. Minor coastal flooding is expected along the shore due to a prolonged strong southeasterly wind caused by the large counterclockwise circulation of the hurricane.

Texas Gov. Rick Perry said Wednesday that the state is prepared for the storm. The State Operations Center is fully activated, he said, and Texas continues to work with federal and local authorities to track the hurricane and the BP Gulf oil disaster.

"As Hurricane Alex grows in strength and approaches landfall, Texas is ready to handle this storm and its impact," Perry said in a written statement ahead of the storm. "My message to South Texans is to finish your preparations, stay connected to credible information sources and heed the warnings of your local officials, who are closely integrated with the state's emergency management effort that has been mobilized to prepare for Alex's impact."

President Barack Obama issued a federal emergency declaration for Texas ahead of Alex's expected arrival, the White House said Tuesday night.

After the hurricane made landfall around 9 p.m. CT (10 p.m. ET), forecasters from the National Hurricane Center changed the hurricane warning to a tropical storm warning for the coast of Texas south of Baffin Bay to the mouth of the Rio Grande.

A tropical storm warning issued earlier remained in place along the Texas coast from Baffin Bay to Port O'Connor.

A hurricane warning was in place for the coast of Mexico from the mouth of the Rio Grande to La Cruza, Mexico.

The storm continued to move away from the massive BP oil catastrophe near the Louisiana coast in the northern Gulf of Mexico, but it already was complicating cleanup efforts. The storm created 12-foot waves Tuesday and oil-skimming ships were sent to shore from Louisiana to the Florida Panhandle.

The rough seas may force crews to replace and reorganize booms meant to deter the oil from reaching shore, reported CNN's Ed Lavandera.

Florida Gov. Charlie Crist said that even though Florida may dodge any problems with this storm, the Atlantic hurricane season is just beginning.

"In Florida, we've had a lot of hurricanes a number of years ago, but we handled them very well," he told CNN's Campbell Brown. "The difference and the distinction that we face now is that we have a Gulf of Mexico that's full of oil. So our hope and our prayer is that we don't have a mixture of hurricanes with oil that could potentially damage the beautiful beaches of Florida. But if we do, we're prepared for it."

Pat Ahumada, the mayor of Brownsville, said the city was expecting to distribute 60,000 sandbags and provide shelter for roughly 2,000 families.  Utility crews were on standby to handle outages.  At the same time, the state government provided 90 buses in case an evacuation is needed.

"I expect about 10 percent of residents to evacuate voluntarily, which already started yesterday," Ahumada said Tuesday.  "I see a steady flow of people going out, but no bottlenecks -- which is good.

"We're not taking it lightly," he said.  "We're ready for a worst-case scenario."

CNN meteorologist Sean Morris and CNN's Dave Alsup, Matt Cherry and Sarah Aarthun contributed to this report.

@highlight

NEW: Hurricane makes landfall with 105 mph winds

@highlight

Tornadoes touch down in Texas

@highlight

Gulf coast residents already feeling the effect

@highlight

Storm continues to move away from oil spill but complicates cleanup efforts