(CNN) -- Just when I thought my amazement with Pope Francis had run its course, he did it again. In a long interview with an old friend who was writing for an Argentine magazine, the pope put forward a 10-point plan for happiness. From where I sit, it seems, well, pretty damn good if not perfect. Here are Pope Francis' tips for a happy life and my comments on them:

1. Live and let live. It's an echo of the Pope's earlier remark on gays: "Who am I to judge?" Moreover, it's what Jesus said in the Sermon on the Mount: "Judge not, unless you want to be judged yourself." (Matthew 7:1)

2. Give yourself to others. That is, give your money and your time to those in need. Don't just sit around like stagnant water. Give all you have and then some.

3 Move quietly in the world. The Pope quotes from a favorite novel by an early 20th-century Argentine writer, Ricardo Guiraldes, in which the novelist writes that in one's youth, a person is "a rocky stream that runs over everything," but as one gets older, one becomes "a running river, quietly peaceful." It's very like the Native American suggestion that one should walk "in balance and beauty" on the ground, making the least disturbance.

4. Enjoy leisure. The Pope says that consumerism has brought with it unbearable anxieties. So play with your children. Take time off. And don't spend all your time thinking about your next acquisition. Spend your time well, not your money.

5. Sunday is for families. This is actually one of the Ten Commandments. Honor the Sabbath. (Exodus 20:8) Once a week, give a whole day to meditation, worship, family life, tending the needs of the spirit. This is healthy living.

6. Find jobs for young people. Who would have guessed that job-creation would be on list for happiness? But the Pope is right. Honest, simple work for young people is essential to their well-being. Somewhat surprisingly, in this moment in the interview, the Pope connected job creation to the degradation of our environment: "the tyrannical use of nature." He links the lack of good jobs to the lack of respect for ourselves and the Earth itself.

So creating jobs doesn't mean ruining the environment. It doesn't mean, as the politicians chant, "jobs, jobs, jobs." Good and productive labor is valuable, and it doesn't mean you have to have a fancy job description. You don't have to become rich. You can be ordinary. Happiness lies there. Do good work, create good work for others.

7. Respect nature. This follows from No. 6. "Isn't humanity committing suicide with this indiscriminate and tyrannical use of nature?" the Pope wonders. Not surprisingly, this is what Henry David Thoreau, a founding father of the environmental movement, said. "Most people live lives of quiet desperation," he said. He went into the woods, to Walden Pond, because he wanted "to live deliberately" and to "front only the essential facts of life."

A proper respect for nature means that you can't pollute the air, poison the rivers and chop down the forests indiscriminately without suffering greatly. I suspect that a huge amount of the anxiety and suffering that we see around can be closely traced to our wanton misuse of our resources. Just look at any garbage dump and see what is wasted. In a sense, we've wasted our souls.

8. Let go of negative things quickly. The Pope tells us not to complain about people who annoy or frustrate us, to let go of things as rapidly as we can. I have an old friend who used to say, "Put the bad things in your back pocket and leave them there." This may sound like escapism or putting your head in the sand, but it's more interesting than that. Life throws rotten things our way each day. People say nasty things to us, often about others. This stuff makes them miserable, of course. It makes us miserable, too. Flush it.

9. Don't preach your religion too forcefully. Proselytism brings on paralysis, the Pope tells us. Wow. I'm a Christian myself, and I don't mind saying so. But each person sees the world before them in his or her own way. The Pope says this. As a teaching, it seems to run counter to the so-called Great Commission (Matthew 28:16-20). Jesus said to get out there and spread the word. But the Pope takes a relaxed view of this activity, preferring that we should teach by example. Perhaps that really is what Jesus would do?

10. Work for peace. The Pope has preached this message from the beginning of his time as pontiff. He has gone to Jerusalem and worked to bring together Jews and Palestinians. He has prayed for peace and worked for peace. He has listened closely to Jesus, who said, "blessed are the peacemakers."

The Pope asks us to take in refugees, to think innovatively about how to create peace in the world. Jesus, of course, invites us to turn the other cheek when struck. This is a complex teaching. But it's essential to Christian faith. The Pope, once again, calls on us to take the teachings of the Sermon on the Mount seriously. This is very hard but crucial work.

Pope Francis has, in this unlikely venue, given us his own Sermon on the Mount, his Ten Commandments for happiness and inner peace. One can only be grateful for his wisdom, which is rooted in a sincere faith, in hard-earned wisdom, and a very practical knowledge of human needs and potentials.

@highlight

In an interview, Pope Francis laid out 10-point plan for happiness

@highlight

Among them: Live and let live; move quietly in world; Sunday is for family; enjoy leisure

@highlight

One that surprises Jay Parini is not to proselytize

@highlight

Parini says the Pope urges us to think innovatively about how to create peace