Editor's note: Ed Rollins, who was political director for President Reagan, is a Republican strategist who was national chairman of former Arkansas Gov. Mike Huckabee's 2008 presidential campaign.

Ron Silver, seen in a 2006 photo, was an actor with a strong interest in justice and peace, Ed Rollins says.

NEW YORK (CNN) -- The lights on Broadway were dimmed Wednesday night to honor Ron Silver, the Tony-award winning actor who was buried Wednesday after a courageous battle against cancer of the esophagus.

Ron was a lifelong social liberal and a Democratic activist, but you couldn't narrowly define him. And to those of us privileged to be his friend, he was an extraordinary pal.

In the 25 years we were friends, he and I faced off most of that time on opposite sides of the political spectrum. In this era when people want bipartisanship, Ron was the role model.

Our earliest encounters began when I was managing Ronald Reagan's campaign and he was a Dukakis supporter. He was passionate and a true intellectual. I have spent much of my life around smart people (fortunately a lot smarter than I) and Ron was one of the smartest.

Whatever the topic, he had an opinion on it and probably had just read a book or two on the subject. Ron was a Chinese and international relations scholar and had no casual thoughts, only deep convictions. He backed up his opinions with empirical evidence and could rattle off facts like a baseball statistician.

"Eddie, why do you think that way?" (Only my mother and wife have called me Eddie.) "Why would a smart man like you ever come to that conclusion?" And then we would proceed to discuss the topic for hours. I don't think we ever changed each other's opinions, but after a bottle or two of wine or a bottle of Scotch had been emptied, we still respected each other.

We never had a cross word and no discussion ever ended in anger. After a while I learned it wasn't personal and it wasn't because I was Republican. Ron argued with everyone -- even those on his side in an issue -- because he had great curiosity and always wanted to know more.

The closest we ever came to harsh words was when I teased him on his Emmy nomination for a recurring role as a slick campaign strategist on the TV show "The West Wing."

"You would have won if you asked me how to play the part," I declared. "After all you're just an actor. I am the real thing. I worked in the real West Wing and I managed a real campaign that won 49 states," He quickly replied with a big grin: "Why the hell would I want the input of a guy who lost Minnesota [the only state Reagan lost]? And remember, you only won because you had an actor named Ron making you look good!"

Our discussions often ended in laughter. Because for Ron, politics was serious but it was also fun. I don't think he enjoyed anything more than a great political debate. To Ron, debate was an educational experience. To those of us on the opposite side it was like a combat sport.

Several years ago, I was approached by one of the planners for the 2004 Republican Convention in New York. He wanted to know if I could recommend any movie or entertainment stars who would be willing to participate in the convention. Since the passing of the Reagan era, Republicans haven't had a long list of entertainers to choose from.

From our discussions, I knew that Ron supported President Bush's battle against Islamic terrorism and the war in Iraq and he had been profoundly affected by 9/11. I asked him would he be willing to participate if asked. He said yes, but emphatically stated he was remaining a Democrat. But he also knew that when he publicly supported Bush on the war, it would affect his long relationships in Hollywood and could cost him future work.

Ron's Monday night convention speech was short, less than five minutes and only 429 words in length. It wasn't covered by any of the major networks, but it was still one of the best of the night. When he stated:

"I am grateful for the chance to speak tonight to express my support for our commander-in-chief, for our brave troops and for the vital cause which they have undertaken," his career as a major Hollywood player was over.

Even though he had been a president of both the Actor's Equity Guild and the Creative Coalition that he co-founded, he challenged the entertainment industry with these spoken words:

"Even though I am a well-recognized liberal on many issues confronting our society today, I find it ironic that many human rights advocates and outspoken members of my own entertainment community are often on the front lines to protest repression, for which I applaud them, but they are usually the first ones to oppose any use of force to take care of these horrors that they catalog repeatedly."

Ron was disappointed when he did lose future work and even a few "so-called Hollywood friends," but not surprised. But he said what he believed and never regretted doing it.

Ron was always determined to give back something to his country and New York, the city where he, his parents, grandparents and great grandparents were born and loved.

Whether he was fighting for the cause of Israel or social justice for the poor or for more funding for the National Endowment for the Arts or AIDS research, he was passionate about his causes.

Even though he was close to death, he attended President Obama's inauguration because he thought it was a great day for the country and he didn't want to miss it. And just a few weeks ago while still undergoing chemotherapy, Ron attended the latest board of directors meeting in Washington of The United States Institute of Peace.

The Peace Institute is an independent, nonpartisan institution established and funded by Congress whose 12 members are appointed by the president. The organizational goals are to help prevent and resolve violent international conflicts. Ron was appointed in 2007 and was confirmed by the Senate for a four-year term. He told me it was his most important role and a part he was never prouder to play.

As the dimming of the lights on Broadway signaled Wednesday night, Ron's voice is now quiet -- and missed. His life's work not only lit up Broadway and filled the big screen, it also inspired others to action. The many roles he played on the stage, in movies and on television pale in comparisons to the real roles he lived in his life. Ron was a great friend, a great father and a great American. We will miss you, my friend.

The opinions expressed in this commentary are solely those of Ed Rollins.

@highlight

Ed Rollins: Ron Silver was a liberal Democrat, but impossible to narrowly define

@highlight

He says Silver was passionate and knowledgeable about current events

@highlight

He says Silver faced a backlash in Hollywood because he supported Bush on war

@highlight

Silver's work lit up Broadway, television and films, Rollins says