(CNN) -- A cancerous tumor in 13-year-old Danny Hauser's chest has shrunk significantly since he was ordered by a court last month to resume chemotherapy treatment, a family spokesman said.

Danny Hauser, 13, was headed for a clinic in Mexico until an arrest warrant was issued for his mom.

But the Hauser family attributes much of his progress to the complementary use of vitamins and minerals to boost his immune system, Dan Zwakman said.

"The family is doing it on their own, with the doctor's knowledge," Zwakman said. "Everybody is pleased that the tumor is shrinking, of course. The goal is to get rid of the cancer, but they'd rather be doing it without the chemo."

Danny's case made national headlines last month when he and his mother, Colleen, fled Sleepy Eye, Minnesota, for Mexico to seek alternative cancer care despite a court order that he undergo chemotherapy.

They eventually returned after an arrest warrant was issued for Colleen Hauser. But had they made it to their destination -- the Rubio Clinic in Tijuana, according to Zwakman -- they would have joined the ranks of an estimated hundreds of other cancer patients who head south of the border each year for cancer care.

"Their intentions started long ago with Colleen. She's been involved in natural healing for many years now. She believes the world was created with everything needed to sustain and heal life," Zwakman said.

Despite controversial origins and consistent bad press in the United States, Tijuana's border clinics continue to attract people like the Hausers, who are in search of more holistic approaches to cancer treatment.

Because little data exist on how many clinics are operating, it's unclear how many American cancer patients visit Mexico each year, said Stephen Barrett, a patient advocate who runs the Web site, http://www.quackwatch.com/.

"If they answered, you could not be sure they were telling the truth. They might have an incentive to raise the number," he said in an e-mail. "To make matters more complicated, many of the 'cancer' clinics also see people who don't have cancer."

The concept of complementary and alternative cancer treatment has slowly been gaining acceptance for more than a decade in the United States, with the creation of entities including the National Cancer Institute's Office of Cancer Complementary and Alternative Medicine.

"Clinicians and researchers have realized that it's important to conduct methodologically sound studies to help guide patients to understand what's safe and what's effective," said Dr. Ted Gansler, medical director of health content for the American Cancer Society.

But no one recommends that alternative treatment be used to replace conventional care, such as chemotherapy or radiation, he said.

"The important thing to remember is there is no recommended alternative to conventional treatment, and the reason is because if it worked, it would become conventional," he said.

As far as Tijuana's border clinics are concerned, the American Cancer Society cautions that "methods promoted in Mexican border clinics are not consistent with scientific understanding" of cancer and its treatment.

"Although these clinics often claim great success in advertisements and books, they have not published convincing evidence in medical journals to support those claims," the ACS says in a section on its Web site called Questionable Cancer Practices In Mexico. "Patients traveling to the Tijuana area for treatment appear to be subjecting themselves to costly and potentially hazardous regimens, especially if they postpone standard medical care."

Loose regulatory standards in Mexico allow Tijuana's clinics to thrive, many offering expensive treatment in luxurious, spa-like settings, complete with fresh meals, exercise classes and emotional and spiritual counseling.

Many herbs and dietary supplements used in border clinics are not considered dangerous; they just have not been put through the rigorous clinical trials required for the U.S. Food and Drug Administration to approve them for use as cancer treatments.

Others, like the antioxidants carotene, lycopene and vitamins C, E and A, have produced inconsistent results in large-scale trials and are still being researched. Still others, like laetrile, a chemical compound whose active ingredient is cyanide, can be dangerous, the National Cancer Institute says.

But many patients say they are attracted by the warm, caring relationship between patient and clinic staff.

"They don't just see the disease. They see the person behind the disease and know how to care for them in every way," says Sarah Sackett-Hutcheson, who claims she has been cancer-free for 17 years.

When she was 11 years old, her oncologist told her family she had six months to live and recommended chemotherapy and radiation to battle her non-Hodgkin's lymphoma.

Instead of undergoing the debilitating treatments, she went to the Oasis of Hope Hospital in Tijuana, where she received low doses of chemotherapy along with intravenous vitamins.

The American Cancer Society says there is no scientific evidence that low doses of chemotherapy or large doses of supplements are effective against cancer. But Sackett-Hutcheson believes the small doses of chemo attacked cancerous cells without destroying her immune system while the vitamins boosted her immunity.

"I remember thinking if they'd given me the high doses of chemo I wouldn't have made it. Even the low doses made me so incredibly sick. I'd be getting up like every 15 minutes, puking in the middle of the night," Sackett-Hutcheson said.

Like Danny Hauser, Sackett-Hutcheson was entangled in a court battle over her family's decision. However, a judge allowed her to continue treatment in Mexico, while last month a judge ordered Hauser to undergo chemotherapy. Sackett-Hutcheson's case was ultimately dismissed after doctors from the M.D. Anderson Cancer Center in Houston declined to evaluate her progress on the grounds that they felt she was receiving "inadequate treatment," according to court documents.

Four months after her diagnosis in 1991, she says, she was cancer-free, and has remained so.

Dr. Francisco Contreras, Oasis of Hope's head physician and the son of its founder, says Mexico's "open-mindedness" toward alternative therapies is related to the socioeconomic standing of most of its citizens.

"Mexican authorities are much more open to natural therapies because most Mexicans live under the line of poverty so they would not have access to conventional medicine," he said. "I don't know if that's for benefit of our patients or not, but we have this open-mindedness because we have to do something to help our people."

Like many border clinics, Contreras says his center takes an integrative approach, combining conventional treatment, such as chemotherapy and radiation, with alternative methods to create individualized regimens that focus on healing the entire body with fewer debilitating, long-term side effects.

Not everyone leaves Tijuana's clinics happy. Several articles on www.quackwatch.com and its sister sites contain negative testimonials from people who say they sought alternative treatment, mostly laetrile, for parents or a loved one only to have them die of cyanide poisoning a few weeks later.

Such cautionary tales didn't stop Jennifer Woods from following the example of her grandfather by going to Tijuana to receive the Alivizatos treatment, an intravenous serum that its makers say consists of vitamins, minerals and amino acids.

During her first monthlong visit, Woods paid about $15,000 for surgery to remove her tumors, 20 days of worth of the dosage and two meals a day, plus lodging expenses across the border in San Diego, California.

But Woods says it was worth every penny.

"I feel well. I've never had any ill side effects, and I have learned so much about nutrition and how to maintain my health," she said in a telephone interview from her home in Denver, Colorado.

Woods says she has not seen a doctor in the United States since. She says she returns to IBC about every six months for six days at a time to receive "booster treatments" for about $1,200 a visit.

"It's a very well-rounded program. You don't just go there and let somebody give you something and then walk out and forget about it. You take responsibility from that day forward to do the right thing to keep your health in order."

@highlight

Tumors have shrunk in teen who was ordered to resume chemotherapy

@highlight

Family credits alternative treatments he's getting in addition to chemo

@highlight

Many clinics is Mexico promise cancer healing through alternative therapies

@highlight

Expert: If alternative therapies really cured cancer, they'd be standard treatment