(CNN)When Barack Obama heads to India this weekend to meet Indian Prime Minister Narendra Modi, he will be both the first U.S. president to attend as Chief Guest and the first U.S. president to visit India twice during his term of office.

But despite Obama's warm rhetoric and talk of U.S.-India ties being a "defining partnership of the 21st century," the man of the hour when I was visiting India last month was a different world leader: Vladimir Putin.

"Russia has been India's foremost defense partner through decades. ... Russia will remain our foremost defense partner," Modi explained during the Russian President's visit, adding that the "strategic partnership" between the two countries was "incomparable."

These comments followed Modi's claim to Putin at the BRICS summit last summer that: "Even a child in India, if asked to say who is India's best friend, will reply it is Russia because Russia has been with India in times of crisis." Throw in India's soothing expression of "understanding" over Russia's actions in Ukraine, and it is hard not to wonder whether Modi's words are more than just the kinds of diplomatic platitudes you might expect from a gracious host.

Indeed, even as Modi signed off a speech in Central Park with the words "May the force be with you," I was reminded of another classic American film series -- "Back to the Future" -- and wondered whether Modi's encouraging words to Putin might reflect a certain nostalgia for days gone by.

True, since the fall of the Soviet Union and India's economic reforms, the world's two largest democracies have done their best to put the days of Cold War estrangement behind them: The United States has cooperated with India extensively on terrorism and maritime security, and India conducts more military exercises with the United States (India's largest defense supplier) than any other nation. In addition, the United States has done the heavy lifting in trying to bring India into the international civil nuclear community. And even India's traditional concern over the U.S.-Pakistan relationship seems to have eased in recent years.

Yet as the State Department has noted, the India-Russia defense deals announced during Putin's visit come at a particularly bad time.

For the first time since World War II, Europe has a leader in Putin who evidently believes it is acceptable to alter international boundaries through the use of force. One would think an India disputing Chinese and Pakistani territorial claims to entire Indian states would be particularly wary of the embrace of a former KGB agent who was so quick to force his own way.

But even setting aside India's inconsistency on this, it is unclear what practical benefits India should see in wanting to so closely ally itself with a country whose currency is being severely devalued, whose economy is reeling from falling oil prices and international sanctions, whose trade with India is less than a tenth of that with the United States, and whose planes India has bought, even as questions are now raised about their reliability.

In fact, the reality is that since the Cold War, Russia has been largely missing in action in regard to India. The views of Russia expressed during the Putin visit therefore seem largely formed by Cold War relations between India and the Soviet Union rather than present reality.

But perhaps most importantly of all, this apparent nostalgia raises the question of how India's policy toward Russia can be reconciled with Indian values of democracy, the rule of law, and individual liberty -- values shared with the United States and that are often cited by leaders and citizens, including the 3.8 million Indian Americans who have helped build the natural partnership between the United States and India. Because unfortunately, these democratic values are being steadily eroded in Russia under Putin (the criminal prosecution of opposition leader Alexei Navalny being but the latest example), who has derided talk of them as American attempts to impose a sort of cultural imperialism.

Both India and the United States need to work with Russia on a variety of issues. But this no time for reverting to relations of a bygone era.

Most Indians, and a large number of Americans, were not even alive when the Soviet Union and India were the best of friends -- an era the United States and India should be working to put behind them by looking to a future in which U.S. and Indian school children will recognize their respective nations as best friends.

For this to happen, the U.S. and India must act accordingly.

@highlight

Barack Obama arrives for a visit in India this weekend

@highlight

Ray Vickery: Since Cold War, Russia largely missing in action over India