(CNN)  -- The Kurdish region of Iraq has seen gains in human rights, but security forces "regularly abuse their authority" and women continue to be targets of violence, Amnesty International said Tuesday.

Iraqi Kurds mark International Day for the Elimination of Violence Against Women in November 2008.

The international human rights group drew the conclusions in a report titled "Hope and Fear, Human Rights in Kurdistan Region of Iraq."

The Kurdish region has been an island of relative stability during the Iraq war, and the report said it has "witnessed growing prosperity" and has made progress in human rights. But serious problems remain, Amnesty said.

Asayish forces, as the local security forces are called, arrested and arbitrarily detained people, "including some who were tortured or forcibly disappeared and whose fate and whereabouts remain unknown," the report said.

The report said the torture included electric shocks, sleep deprivation, kicking, suspension by the wrists and ankles, and beatings with fists, cables and batons.

Malcolm Smart, Amnesty's director of the Middle East and North Africa Programme, said the Kurdistan Regional Government "must take concrete steps to rein in these forces and make them fully accountable under the law if recent human rights gains are to prove effective."

Amnesty said that Kurdish authorities have also failed to control the security wings of the Kurdistan Democratic Party and the Patriotic Union of Kurdistan, the two major Kurdish political movements that make up the regional government.

The report, based on research from a fact-finding mission last year, said the Kurdistan Regional Government has made progress in human rights, citing, for example, the release of political prisoners detained without charges or trial.

It also cites legislation expanding freedom of expression and measures that strengthen women's rights, and said several agencies are working to monitor and prevent violence against women.

But Smart said problems such as "arbitrary detention and torture, attacks on journalists and freedom of expression, and violence against women" haven't ended and "need urgently to be addressed by the government."

As for abuse against women, authorities must "redouble their efforts to overcome discrimination and violence against women," he said, "and end the vicious cycle of so-called honor killings and other attacks on women by men who wish to subordinate them."

According to official records, the report said, at least 102 women and girls were killed between the beginning of July 2007 and the end of June 2008 in the region.

"These include an unknown number of 'honor killings' -- women who were killed by male relatives because their behavior was considered to have infringed traditional codes of 'honor.' Victims of 'honor crimes' include women who have objected to being forcibly married as well as women who were found having telephone contact with a man without approval of their family," the report said.

The report said 262 women and children "died or were severely injured in the same period due to intentional burning, including suicides. Some women were reported to have been burned to disguise a killing."

The report cites one woman who was strangled to death apparently by her brother "because of her suspected relationship with another man." A 17-year-old female "was shot dead after she sought a divorce from her husband." A 13-year-old girl burned herself to death "to escape forcible marriage to an adult man."

"Such cases show how much more still needs to be done by the KRG authorities to give women and girls effective protection against violence from those who wish to control their behavior or force them into marriages against their will," Smart said.

"No effort should be spared to prosecute and imprison those who commit violence against women, and to make clear that those who perpetrate these crimes cannot escape justice."

The report also said that emerging independent press outlets that have criticized the KRG or have focused on the security forces, human rights violations and government corruption have been harassed. Journalists "have been detained, beaten and harassed" by security forces, and several newspapers have been sued by the KRG.

@highlight

Kurdish security forces arbitrarily detain, torture people, Amnesty International says

@highlight

Government has made progress in human rights, but problems remain, agency says

@highlight

Honor killings, other attacks on women need to end, it says

@highlight

Journalists have been detained, beaten and harassed by security forces, report says