(CNN)The slaying of prominent Kremlin critic Boris Nemtsov in the heart of Moscow has shocked Russia and the wider world.

His murder, two days before a planned opposition march, has also outraged fellow opposition figures and prompted a slew of speculation over who could be behind it.

Some government critics pointed fingers in the direction of President Vladimir Putin or one of his supporters. State media reported Nemtsov had received threats linked to his stance on the Charlie Hebdo attack in Paris.

The Kremlin suggested Nemtsov may have been killed by enemies of Russia intent on creating political discord. The leader of Russia's Communist Party similarly blamed anti-Russian "provocation," according to the official news agency Tass.

So who was Boris Nemtsov? And how did he make so many enemies?

Nemtsov, 55, was a top official with the Republican Party of Russia/Party of People's Freedom, a liberal opposition group.

He had been arrested several times for speaking against Putin's government. The most recent arrests were in 2011 when he protested the results of parliamentary elections and in 2012 when tens of thousands protested against Putin.

He had most recently been critical of the Kremlin's handling of the Ukraine crisis.

Opposition leader Ilya Yashin said his friend had been working on a report about Russian troops and their involvement in Ukraine.

In a blog entry, published on the website of radio station Echo of Moscow, Nemtsov wrote last weekend that the Kremlin now accused him of being behind the protests in Kiev's Maidan, or Independence Square, which led to the ouster of Ukraine's pro-Moscow President Viktor Yanokovych.

He posted a picture from an "anti-Maidan" protest held in Moscow which showed a marcher holding a sign with his face under the words "Maidan organizer."

"The Kremlin has changed its concept," Nemtsov wrote. "It used to say it's the State Department who organized the Maidan, and now they say it's me."

In a hard-hitting interview conducted only hours before his death with Newsweek magazine, Nemtsov said Russia was "drowning" under Putin's leadership and was swiftly becoming a fascist state.

"Due to the policy of Vladimir Putin, a country with unparalleled potential is sinking, an economy which accumulated untold currency reserves is collapsing," he said.

"This government wades into a costly, fratricidal war in Ukraine and into pointless confrontation with the West. We all feel the effects of this insane policy."

Nemtsov accused Putin of using "Goebbels-style propaganda" -- a reference to Nazi Germany's propaganda minister Joseph Goebbels -- to brainwash his fellow countrymen.

One element of this was to implant them "with a virus of inferiority complex towards the West, the belief that the only thing we can do to amaze the world is use force, violence and aggression," Nemtsov said.

Putin has condemned Nemtsov's murder and ordered a swift investigation. The Kremlin has denied direct involvement in the conflict in eastern Ukraine.

Nemtsov was also known for -- and may have made enemies from -- his anti-corruption stance.

Early in his career, Nemtsov won praise for his efforts as governor of Nizhniy Novgorod, a large city and major economic hub.

Nemtsov was also a vocal critic of the 2014 Winter Olympics held in Sochi, calling them one of the most "outrageous swindles" in recent Russian history.

In a 2013 report, he questioned where $20 billion to $30 billion had gone, saying preparations for the Games had been characterized by "embezzlement" and "unprecedented corruption."

In a restaurant interview with CNN's Anthony Bourdain last year, Nemtsov lamented the situation for business owners.

"This is a country of corruption. And if you have business, you are in a very unsafe situation. Everybody can press you and destroy your business. That's it," Nemtsov said.

In the same interview, he did offer a hint of optimism.

"This is my country. The Russian people are in bit of trouble. Russian court doesn't work. Russian education decline every year. I believe that Russia has a chance to be free. Has a chance. It's difficult, but we must do it," he said.

In a statement after his death, U.S. Secretary of State John Kerry said Nemtsov had always worked toward a more democratic and prosperous Russia.

"In every post, he sought to reform and open Russia, and to empower the Russian people to have a greater say in the life of their country," he said.

Years before he became a key opposition leader, Nemtsov served as deputy Prime Minister under former President Boris Yeltsin, the first post-Soviet President.

Back in the 1990s, he was a high-flier bound for greater things. But he lost out in the struggle to succeed Yeltsin and had been marginalized since Putin was elected, said Peter Baker, author of "Kremlin Rising" and a New York Times reporter.

"He was a person who had been fierce in his criticism of Putin. He'd clearly gotten under Putin's skin on a number of occasions. A number of people had become his enemies," Baker said.

Baker said Nemtsov tried to work with Putin's regime at first but soon switched to the opposition.

"History will remember him as someone who took chances, who risked his life literally to speak out in a country where speaking out is not encouraged, to say the least," Baker said.

Opinion: Nemtsov killing: A chilling historical parallel?

Nemtsov was a man who impressed many who met him with his energy and passion for his homeland.

Sir Andrew Wood, a former UK ambassador to Russia, told CNN that Nemtsov, whom he knew personally in the 1990s, was a "genuine Russian patriot" who opposed what the Kremlin had come to stand for.

"He was enthusiastic, he was engaging, I think he was always true to his beliefs, he didn't take himself over-seriously, but he did his best to promote liberal reform then, and he had been before a very successful mayor of one of the central towns, Nizhniy Novgorod."

Former U.S. Ambassador Michael McFaul paid tribute to Nemtsov "as a real patriot, who believed in the possibility of Russia's greatness" and said he wept for both Nemtsov's family and the country he loved.

"Politics aside, he was always a loyal, loving friend of mine for 20 years. We all will miss him dearly," he said.

Putin, in a telegram to Nemtsov's mother Dina Eydman, also paid tribute to Nemtsov's integrity.

"Boris Nemtsov, left his mark on the history of Russia, in politics and public life. He worked on important positions in the difficult transition period for our country. He always openly and honestly stated his position, defended his point of view," he said.

Putin vowed that her son's killers would be "properly punished."

Nemtsov's death has shocked Russia, but it may not have come as a total surprise.

Nemtsov acknowledged in an interview with Russian newspaper Sobesednik this month that he was "a little bit" afraid that his mother's fear -- that Putin would have him killed -- would come true.

But, he added, "I'm not afraid of him that much. If I was afraid I wouldn't be heading an opposition party and do what I'm doing."

Nemtsov's lawyer Vadim Prokhorov told Russian media that Nemtsov's life had been threatened on social media in recent weeks.

But he didn't walk around with bodyguards, noted Julia Ioffe, a contributing writer to The New York Times Magazine who has covered Russian politics extensively.

"It was a very overt message of bravery," Ioffe told CNN's "AC360."

"What we've seen in return is a very overt message of fear. People in the opposition will not believe anything that comes out of the Kremlin in terms of who did this. They perceive this as a message directly sent to them. When you see Boris Nemtsov's body lying with the Kremlin as a backdrop, they understand that's a message directed to them."

In his final Newsweek interview, Nemtsov spoke of the need for "an alternative vision, a different idea of Russia. Our idea is the one of a democratic and open Russia. A country which is not applying bandit methods to its own citizens and neighbors."

Crowds mourn Boris Nemtsov

CNN's Alla Eshchenko, Frederik Pleitgen, Steve Almasy and Brian Walker contributed to this report.

@highlight

Boris Nemtsov was a former deputy prime minister who became an opposition leader

@highlight

He was a fierce critic of President Vladimir Putin, including his policy on Ukraine