(CNN) -- The latest WikiLeaks revelations may have incurred the wrath of U.S. Secretary of State Hillary Clinton, who warned they could even "put people's lives in danger," but some seasoned observers believe the episode will prove more embarrassing than damaging in the longer term.

On Sunday the whistle-blowing website began publishing more than 250,000 cables from U.S. embassies around the world, in what it said was the largest-ever disclosure of confidential information.

The cables will be released over the course of several months, giving the world "an unprecedented insight into the U.S. government's foreign activities," it said. The New York Times, Britain's Guardian, Germany's Der Spiegel magazine and the Spanish daily El Pais were all given advance copies of the documents.

What is WikiLeaks?

Among the revelations so far are allegations that:

-- Saudi Arabia's King Abdullah urged the United States to attack Iran to halt its nuclear program, warning that if Tehran were to go nuclear, other countries in the region would too.

-- China was growing "frustrated" with North Korea and worried that its nuclear program posed a "threat to the whole world's security."

-- Russian President Dmitry Mevedev was playing "Robin" to Prime Minister's Vladimir Putin's "Batman."

"This disclosure is not just an attack on America's foreign policy; it is an attack on the international community, the alliances and partnerships, the conventions and negotiations that safeguard global security and advance economic prosperity," Clinton told reporters Monday.

Transparency? We used to call it spying

But Richard Dalton, former British Ambassador to Iran, told CNN Wednesday that although it was a "wake-up call" for the U.S., it would not suffer any lasting damage.

"Some people may be reluctant to talk to American diplomats in some countries, while some statesmen may be reluctant to express their minds freely," he said. "But in the long term things are going to get back to normal simply because the Americans will correct some of the weaknesses in their approach to computer security.

"We don't have the full details of Rupert Murdoch's operations or the Bank of England's operations all over the media, even though the things they do are very much in the public interest. So I think the U.S. government has simply messed up."

Dalton also cast doubt on the contention that U.S. personnel serving abroad would be in greater danger as a result of the leaked cables. "I don't think it's likely," he said. "This is political analysis, not military."

Timeline: WilkLeaks releases

In October, WikiLeaks released nearly 400,000 U.S. military reports about operations in Iraq. In July, it released more than 70,000 reports from the war in Afghanistan. However the U.S. government has not said whether any of its military personnel have died as a result of this leaked information.

Richard Caplan, professor of international relations at the University of Oxford, said the U.S. government was "overreacting" in the interest of its own reputation, adding that he understood great care was taken by news organizations to ensure potentially sensitive material was not released.

"This is going to be more embarrassing than damaging for the U.S.," he told CNN. "There won't be many surprises. If there are a few personal insults, then elected individuals can live with those. At the end of the day what matters are interests, and interests won't be affected.

"For example, what we've learned about Saudi Arabia's overtures to the U.S. didn't come as any surprise. Perhaps the tone was different, but it's not as if we're learning something new about Saudi Arabia's views vis-a-vis Iran. It won't have come as a surprise to Iran either.

"It will be an embarrassment in terms of the public perception of relations between the U.S. government and other governments."

The international reaction to the diplomatic cables has so far been relatively mixed. Russia's Vladimir Putin, who was described as an "alpha dog," told CNN's Larry King on Tuesday that "leaks have happened before, and WikiLeaks is not a catastrophe."

The French government released a statement Wednesday calling the controversial website a "threat to democracy" after President Nicolas Sarkozy was described in U.S. embassy memos as "thin-skinned and authoritarian."

Turkish Prime Minister Recep Tayyip Erdogan had threatened to sue the Americans after some of the cables accused him of corruption. "This is the United States' problem, not ours... Those who have slandered us will be crushed under these claims, will be finished and will disappear," he said in quotes carried by Hurriyet Daily News.

A Pakistan foreign ministry spokesman told CNN fears over the nation's nuclear weapons were misplaced. He was reacting to a cable in the New York Times that mentioned the U.S. ambassador in Islamabad was concerned over a supply of highly enriched uranium at an aging research reactor, allegedly enough to build several "dirty bombs."

"Their fears are misplaced and doubtless fall in the realm of condescension," spokesman Abdul Basit said. "There has not been a single incident involving our fissile material which clearly reflects how strong our controls and mechanisms are."

Basit said Pakistan has "extended experience in handling nuclear stuff."

CNN's Reza Sayah and Tim Lister contributed to this report.

@highlight

WikiLeaks has published more than 250,000 cables from U.S. embassies around world

@highlight

Hillary Clinton: Leaked cables "an attack on the international community"

@highlight

Five newspapers, including New York Times, Britain's Guardian, given advance copied

@highlight

Former UK envoy says United States will not suffer any lasting damage