(CNN) -- The story of how I became a national figure in the media is widely known, but few people know what I actually did for the CIA.

I was a covert operations officer specializing in nuclear counter proliferation -- essentially, making sure the bad guys didn't get the bomb.

My job was to create and run operations that sought to peer into the procurement networks and acquisition chains of rogue nations. It was intense, tactical, creative and demanding. I believed that there was no more important work to be done.

I resigned from the CIA in 2006 because it was no longer possible to do the covert work for which I was highly trained and which I loved. This happened because in 2003, my covert identity was revealed in retaliation against my husband, Ambassador Joe Wilson, who wrote an op-ed piece in which he accused the White House of distorting the intelligence that was used to draw us into the Iraq war.

But I did not lose my belief that the danger of nuclear terrorism was the most urgent threat we face. Nor did I lose my passion for working, albeit in a new way, to address that threat. I am working on this issue now as part of the international Global Zero movement, in which political, military and faith leaders, experts and activists strive for the worldwide elimination of all nuclear weapons.

We know that terrorist groups have been trying to buy, build or steal a bomb.

In the past two decades, there have been at least 25 instances of nuclear explosive materials being lost or stolen. There is enough highly enriched uranium, or HEU, in the world today to build more than 100,000 bombs.

Terrorists looking to buy or steal HEU could look to the approximately 40 countries with nuclear weapons materials. And then there are rogue individuals out there who are running black markets selling nuclear materials and technology.

Pakistan's Dr. A. Q. Khan did it for years before my group at the CIA brought him down in December 2003 after catching him red-handed selling a full-scale nuclear bomb to Moammar Gadhafi's regime in Libya.

If terrorists manage to get their hands on enough HEU, they could smuggle it into a target city, build a bomb and explode it. A hundred pounds of highly enriched uranium could fit in a shoebox, and 100,000 shipping containers come into the United States every day.

The nuclear threat is not limited to terrorism.

There are also the dangers of proliferation and accidental or unauthorized nuclear launch. Today, nine countries have more than 23,000 nuclear weapons, and the U.S. and Russia still maintain thousands of nuclear weapons on hair-trigger alert, poised for launch within a few minutes.

The only way to eliminate the danger that nuclear weapons will be used by countries in conflict, by accident or by terrorists is to lock down all nuclear materials and eliminate all nuclear weapons in all countries: global zero.

Today we have a real opportunity to set the course to global zero. U.S. President Obama and Russian President Dmitry Medvedev, whose countries have 22,000 nuclear weapons or 96 percent of the world's stockpile, are signing an agreement to reduce their strategic nuclear arsenals by a third each. This is the most significant arms reduction treaty in two decades and a crucial first step.

Next week, Obama is hosting the leaders of 48 countries at a summit in Washington to address the global nuclear threat and initiate programs to secure all nuclear materials worldwide. With the U.S. and Russia leading the way, 2010 could mark the beginning of the end of nuclear weapons.

But achieving global zero will take years, a realistic plan of action and tremendous amounts of political will. In February, leaders of the Global Zero movement met in Paris, France, and outlined a step-by-step plan to eliminate all remaining nuclear weapons.

The plan, backed by hundreds of former heads-of-state, foreign ministers, national security advisers and military commanders, calls in its first phase for the U.S. and Russia to cut their arsenals to 1,000 total warheads each. All other countries with nuclear weapons would freeze their arsenals, and the international community would conduct an all-out global effort to block the further spread of nuclear weapons and to secure all nuclear materials.

Locking down nuclear bomb-making materials involves building secure facilities for storage, accounting for all stockpiles, guarding materials in transit (transportation being the most vulnerable to terrorist attack and seizure), regulating exports, interdicting smuggling operations, ending production of new bomb materials and ultimately eliminating existing stockpiles.

These steps would be followed by the first multilateral negotiations in history for reductions by all nuclear weapons countries.

I'm proud to be working with the Global Zero movement and its team of world leaders and grass-roots organizers, presidents and college kids. I want to do everything I can to raise public and political support for the elimination of nuclear weapons.

And that is why I said yes when Lawrence Bender, producer of "An Inconvenient Truth," "Good Will Hunting" and "Inglorious Basterds," asked me to be in an extraordinary and chilling documentary film, "Countdown to Zero," which premiered in January at the Sundance Film Festival to critical acclaim and will be released in U.S. theaters in July.

The film will be a stunning wake-up call to citizens and our political leaders about the urgent threats posed by nuclear weapons, including proliferation, nuclear terrorism and accidental nuclear launch. It will build awareness and support for the Global Zero movement to eliminate nuclear weapons.

Based on my experience in the field, I believe that if governments don't act now to begin eliminating all remaining nuclear weapons, we will witness in our lifetime the use of the bomb by a country or terrorist group.

To get governments to act, everyone needs to get involved, to make their voices heard, to bring this issue to the top of the political agenda, to everyone's kitchen table and to the front pages of every blog and every newspaper.

There is still time to change direction and set our course to global zero, but the clock is ticking. To learn more about the issue and get involved in the growing movement, go to globalzero.org and sign the declaration.

The opinions expressed in this commentary are solely those of Valerie Plame Wilson.

@highlight

Valerie Plame Wilson is a former CIA officer who worked to stop spread of nuclear materials

@highlight

She says nuclear weapons and terrorism represent No. 1 threat faced right now

@highlight

Plame says nations need to reduce nuclear arsenals and tightly control materials

@highlight

If governments don't act now, we will witness use of a bomb in our lifetime, she says