Washington (CNN) -- It looks like Marco Rubio isn't laying low anymore.

The senator from Florida and possible 2016 Republican presidential candidate followed up a Friday swing through the first-in-the-nation primary state of New Hampshire with some candid comments on Sunday talk shows about the next race for the White House.

And following a White House report that declared the effects of climate change are upon us, Rubio said in numerous interviews that he doesn't believe that humans are causing global warming, and doesn't think any action can reverse that course.

The moves by Rubio put him back in the 2016 spotlight, which he's avoided for much of the past year.

Inside Politics: Rubio says he's ready to be president

"It's a completely wide open GOP field. None of our fruit is ripe: To move from long shot to frontrunner, every potential GOP candidate has to grow, develop, or overcome a debility and Marco Rubio has as good a shot at doing that as anybody at this point," says Alex Castellanos, a veteran Republican strategist and CNN contributor who last year founded NewRepublican.org.

Another GOP strategist said Rubio's political persona is still a work in progress.

"Building a presidential profile isn't a sprint, it's a marathon. Showing up in New Hampshire will no doubt stoke public speculation, but Rubio has spent his time in the Senate working hard on issues that matter to Florida, but they also matter to a majority of folks across the country," said Republican strategist Kevin Madden, a CNN contributor who was a senior adviser and spokesman for the 2008 and 2012 Mitt Romney presidential campaigns.

Poll numbers slip

Early last year, Rubio's name was near or at the top of public opinion polls of Republicans for the party's 2016 presidential nomination. But Rubio's numbers slipped after his high-profile support for a bipartisan comprehensive immigration reform bill that passed the Senate last June. The measure, which stalled in the House, included an eventual pathway to citizenship for most undocumented immigrants, which is strongly opposed by many conservatives.

Rubio's numbers in 2016 polls quickly faded, and have remained in the single digits in follow-up surveys. Rubio stood in ninth place, at 6%, in the most recent CNN/ORC International Poll, which was conducted just over a week ago.

While many of the other potential Republican White House hopefuls, such as Sen. Rand Paul of Kentucky, Sen. Ted Cruz of Texas, former Sen. Rick Santorum of Pennsylvania, Texas Gov. Rick Perry, and Louisiana Gov. Bobby Jindal, have made numerous trips to all or some of the early primary and caucus states such as New Hampshire, Iowa and South Carolina, over the past 18 months, Rubio has not.

(While he hasn't visited Iowa since 2012, Rubio isn't forgetting about the state votes first in the road to the White House. Rubio recently decided to focus the resources of his Reclaim America PAC on three big Senate races this year. One is the crucial Senate battle in Iowa, where Rubio's backing conservative Joni Ernst, whose stock is on the rise.)

The visit to the Granite State was his first trip to any of those key states since the last presidential election, other than an appearance at an event for Iowa Gov. Terry Branstad soon after the 2012 election, which Rubio indicated he agreed to attend months earlier as a favor to Branstad.

Rubio sounded like a presidential candidate as the headliner for the Rockingham County Republican Committee's annual "Freedom Founders" dinner, held at the historic Wentworth-By-The-Sea hotel just outside of Portsmouth.

He slammed Democrats and in particular former Secretary of State Hillary Clinton, who's seriously considering a White House run and is considered the favorite for the Democratic nomination should she launch a candidacy.

"Their ideas never worked in the 20th century, much less the 21st, and they're threatening to nominate someone now who wants to take us to the past, to an era that is gone and is never coming back," Rubio told the audience.

A good first impression

A veteran Republican strategist in New Hampshire who attended the party dinner said Rubio connected with the crowd.

"Marco Rubio made a powerful first impression with New Hampshire Republicans on Friday, speaking passionately about his uniquely American story and with conviction about his optimistic vision for our country's future, bringing an enthusiastic overflow crowd to their feet at night's end in New Castle," said Jim Merrill, who was a top adviser to Mitt Romney in the Granite State in his presidential campaigns.

"While Senator Paul and (New Jersey) Governor (Chris) Christie, each impressive in their own right, are both perceived as having early advantages here, New Hampshire's upcoming "First in the Nation" primary is the most wide open that we've ever seen, with no heir apparent," Merrill said.

The dinner was just one stop during a busy day for Rubio in New Hampshire. Earlier, he headlined a fundraiser for the state GOP, held private meetings with some influential Republicans, and sat down for interviews with local media.

"I want people to look at the Republican Party as the party that shows them the way to a new American century versus a Democratic Party that shows us how this is the new normal and we just have to get used to it, that the cashier at Burger King will always be a cashier, and all he or she can hope for is an increase in the minimum wage," Rubio said in an interview with the New Hampshire Union Leader.

Another New Hampshire-based Republican strategist said Rubio's "taking all the necessary steps that someone would take if they were considering a presidential run."

Rubio quickly followed his New Hampshire swing with an appearance on ABC's "This Week," where he said that he's ready to be commander in chief. "But I think that's true for multiple other people that would want to run."

Dig at fellow senator?

In the interview, Rubio appeared to take a shot at Rand Paul. Rubio said if someone wants to be president, they should fully commit to just that, adding that candidates shouldn't try to hold their congressional seats while pursuing the White House.

Should he decide to launch a 2016 campaign, Rubio said he won't run simultaneously for re-election for his Senate seat.

Poll: Bush, Paul at top of wide-open 2016 GOP race

"I believe that if you want to be president of the United States, you run for president," he said. "You don't run for president with some eject button in the cockpit that allows you to go on an exit ramp if it doesn't work out."

Rubio has noted that Florida law prohibits candidates from being on the ballot for two offices, a rule he described as "the right law." But in Kentucky, allies of Paul have pushed a bill that would allow a federal candidate to simultaneously seek more than one office.

Climate change controversy

In the same interview, Rubio set down a marker on climate change.

"I do not believe that human activity is causing these dramatic changes to our climate the way these scientists are portraying it," Rubio said.

"I do not believe that the laws that they propose we pass will do anything about it, except it will destroy our economy," he added.

In the week since the Obama administration released a national climate change report that named Miami as the city most vulnerable to rising sea levels, Rubio has been critical of the White House push on global warming.

"I think it's an enormous stretch to say that every weather incident that we read about or the majority of them are attributable to human activity," he told CNN.

Among other things, President Barack Obama has proposed new programs to reduce emissions of carbon dioxide, which most scientists say are the major cause of global warming.

"The President is, he's not a meteorologist. Here's what the President needs to be focused on. He's proposing a certain set of policies that he would have to admit if questioned will do nothing. If in fact these scientists are right and it's greenhouse gas emissions that are changing our climate, none of the things he's proposing would do anything to change that whatsoever, but it would have a devastating impact on our economy," Rubio told CNN.

Rubio: No 'eject button' if he runs for president

While the latest polling indicates most Americans say that human activity is causing the earth to heat up, there's a wide partisan gap, and such comments could benefit a candidate among conservatives, who dominate voting in the GOP presidential primaries and caucuses.

Building a resume

And Republican strategists say Rubio's resume building can only benefit him if he runs for higher office.

"Many voters believe President Obama's inexperience has hurt him. In their next president, they are going to be looking for maturity," Castellanos said. "Rubio has to prove that he's mature enough to be president and he's beginning to do that by rather fearlessly taking on some tough foreign policy and domestic issues, from Crimea to global warming."

Rubio: Candidates should only run for one office at a time

And Madden says that's just what Rubio's doing. Rather than spending much of the past year traveling across the country, Rubio's been on Capitol Hill, putting policy ahead of politics.

"You can't just invent presidential buzz, at least not presidential buzz that lasts or translates into something real. You have to be involved in shaping the debate and fighting on the big issues that matter. Rubio has done that, so he's a part of the conversation," Madden added.

But with the midterm election campaigns in full swing, giving potential GOP 2016ers plenty of opportunities to hit the trail in support of fellow Republicans, Rubio may soon be spending more time on the stump.

Next month, he joins other possible GOP White House contenders at the annual Faith and Freedom Coalition "Road to Majority" Conference in Washington.

@highlight

After spending much of the last year dodging 2016 talk, Marco Rubio re-emerges

@highlight

Rubio follows up high-profile events with swing through Sunday talks shows

@highlight

Florida senator takes shots at President Obama, potential 2016 candidates