(CNN)With her hijab, Yusor Mohammad Abu-Salha may have stood out.

But in every respect, she felt that she fit in -- as a proud, and blessed, American.

Even if most of her North Carolina neighbors didn't wear the same Muslim head covering that she did, Mohammad believed that there were "still so many ways that I feel ... embedded in the fabric that is our culture," meaning the American culture.

"That's the beautiful thing here, is it doesn't matter where you come from," she said last summer as part of NPR's StoryCorps project. "There are so many different people from so many different places, ... backgrounds and religions. But here we're all one.

"It's beautiful to see. People of different areas interacting and being family, one community."

Yusor Mohammad's light, her idealism, was extinguished Tuesday with gunshots that killed not only her, but her 23-year-old husband, Deah Shaddy Barakat, and 19-year-old sister, Razan Mohammad Abu-Salha. All three were shot in the head. A neighbor of the victims, Craig Stephen Hicks, 46, turned himself in to police the same night and has been charged with murder.

Authorities haven't announced any motive, but Mohammad's father thinks he knows.

His daughters and son-in-law died, Mohammad Abu-Salha said, because they were Muslim. If so, that constitutes a hate crime.

The U.S. Department of Justice issued a statement Friday afternoon that said the department's Civil Rights Division, along with the the U.S. Attorney's Office for the Middle District of North Carolina and the FBI, have opened "a parallel preliminary inquiry" to determine whether any federal laws, including hate crime laws, were violated.

President Barack Obama mentioned the FBI inquiry in his Friday afternoon statement about the "brutal and outrageous murders" in the college town of Chapel Hill.

"No one in the United States of America should ever be targeted because of who they are, what they look like, or how they worship," he said. "Michelle and I offer our condolences to the victims' loved ones.  As we saw with the overwhelming presence at the funeral of these young Americans, we are all one American family."

Investigators indicated they haven't found any signs of a hate crime so far, saying the evidence suggests the shootings stem from a parking dispute.

But 150 Islamic, Arab, Jewish, Sikh, Asian-American and other civil rights and faith groups want a closer look. In a letter to Attorney General Eric Holder, they said there is enough circumstantial evidence to "warrant a federal hate crime investigation," an inquiry they say is important to the victims' families and Muslims across the United States.

"Federal leadership is necessary in this case in order to send the strongest message to the public that acts of violence like these have no place in civil society and will be prosecuted to the fullest extent of the law," the groups write. "... As American Muslims and those perceived to be Muslim now, more than ever, fear for their safety, the American people need to hear a strong message from our nation's chief law enforcement officer."

They aren't the only ones demanding action out of Washington.

Suzanne Barakat, Deah Shaddy Barakat's sister, said Friday on CNN's "The Lead with Jake Tapper" that a disagreement over parking didn't spark the killings, because her family members knew to avoid the "disputed" parking spot.

Her family members were targeted because they were Muslims, Suzanne Barakat said, adding that Hicks terrorized her family and the slayings should be considered an act of terrorism.

"It's time people call it what it is," she said.

The story has gotten traction internationally. Al-Azhar, an Egyptian center of Islamic scholarship, has called the killings a "terrorist cowardly act" rooted in "racism and Islamaphobia."

Turkish President Recep Tayyip Erdogan said he has called Obama, Vice President Joe Biden and Secretary of State John Kerry.

Before Obama made his statement, Erdogan said, "President Obama, Mr. Kerry, (Vice President) Biden, at this point have not made any declaration of respect. This is telling. ... And if you stay silent when faced with an incident like this and don't make a statement, the world will stay silent towards you."

Many of the victims' friends and relatives gathered Thursday for their funerals and for candlelight vigils on college campuses such as North Carolina State University in Raleigh, which is where Barakat met his future wife, and where she and her sister went to school.

"These three people, as young as they were, were a source of inspiration, warmth and light for our community," said one woman speaking at the vigil.

That's how Nada Salem knew them. They weren't just Muslims, she said of her friends, but "three good people."

"No one should die like that," Salem told CNN's "New Day," "especially when you're that great."

Mohammad Abu-Salha, father of the two slain women, said the problems started not when Barakat lived in the condo by himself, but when his new wife, Yusor Mohammad, moved in.

He said his daughter told him, referring to the neighbor, "Daddy, I think he hates us for who we are and how we look."

Yusor Mohammad's good friend, Amira Ata, agreed that something doesn't add up.

She recalled one time Mohammad told her about the neighbor coming over with a gun to complain about noise after a few friends had gone over to play a board game.

"We were completely shocked because it's not normal for you to have a disagreement of some sort with your neighbor and for you to go over there with a gun," Ata said.

When the news came out about the slayings, that neighbor jumped to mind. Ata said "the only thing that really makes sense is that he didn't like them because they were different."

"If he went and maybe killed all the neighbors, maybe then we can be like, 'Oh, he has an issue,' " she said. "They were our friends, and we feel like they were targeted for a reason."

Police said Hicks has no prior criminal record and is cooperating with the investigation.

Rob Maitland, the lawyer for Hicks' wife, Karen, said the shooting "highlights the importance of access to mental health care services."

Karen Hicks, who has been in the process of divorce, said her husband had been at odds with various neighbors of various backgrounds over parking. That's what this is about, she said, contending that what happened is not a hate crime.

She said, "I can say with my absolute belief that this incident had nothing to do with religion or the victims' faith."

Opinion: 3 slain college students strived for a better world

CNN's Ben Brumfield, Catherine E. Shoichet and Jason Carroll contributed to this report.

@highlight

Deah Shaddy Barakat's sister says the killings should be considered terrorism

@highlight

President Obama says FBI is investigating the "brutal and outrageous murders"

@highlight

Victim Yusor Mohammad said that in America, "we're all one"