Washington (CNN) -- The Obama administration announced new measures to combat black-market fishing and protect ocean ecosystems on Tuesday, as scientists, diplomats, policymakers, and heads of state concluded a conference dedicated to ocean preservation.

In a recorded statement kicking off the second day of the Our Ocean conference, the President cited recent efforts by his administration to limit carbon output from power plants as a first step toward promoting ocean health.

"Today," he said, "I'm building on that promise by directing the federal government create a national strategy to combat black-market fishing that threatens our oceans, undermines our economy and often supports dangerous criminals."

"And like Presidents Clinton and Bush before me," said Obama, "I'm going to use my authority as president to protect some of our most precious marine landscapes, just like we do for mountains and rivers and forests."

The President will be taking steps to expand the protected area around the Pacific Remote Islands Marine National Monument, where commercial fishing and other extraction activities are banned. The area currently comprises approximately 82,129 square miles in the south-central Pacific Ocean.

That initiative was outlined by White House counselor John Podesta, who said the president is "committed to using his executive authority to preserve ocean areas for future generations as we already protect our most beautiful environmentally significant landscapes."

The black-market fishing task force will be giving its recommendations to the president within six months, according to Podesta, and will recommend a strategy aimed to "give consumers confidence that, when they go to a restaurant or a fish counter, their filets were caught legally and they were labeled correctly."

These moves by the administration are likely to antagonize Obama's critics, who say the he is overstepping his authority as President by increasingly bypassing Congress in favor of executive orders.

The task force will tackle illegal, unreported and unregulated fishing, a shadow industry that costs law-abiding fishermen and other commercial seafood interests an estimated $10 billion to $23 billion a year, according to the White House.

The conference was hosted by Secretary of State John Kerry, who called ocean protection "a vital international security issue," affecting "the capacity of people to exist and live where they live today."

In his opening remarks on Monday, Kerry said, "I want us to walk away from this conference with more than ideas. I want us to walk away from here with a plan, a plan that puts an end to overfishing through new rules based on the best available science."

On Tuesday, Kerry applauded the president's pledge to curb black-market fishing, saying, "If there's no market, we have an ability to really be able to begin to diminish the impact of illegal and undocumented, unwarranted fishing."

Environmental issues have long been priorities for the secretary of state. One of Kerry's first forays into activism came in 1970, when he organized Earth Day initiatives in Massachusetts. Twenty years later, Kerry met his wife Teresa at an Earth Day rally.

Both Kerry and Obama spoke about how their childhoods, in Massachusetts and Hawaii respectively, influenced their appreciation for oceans and sea life.

Perhaps the real star of the conference was actor Leonardo DiCaprio, whose philanthropic foundation supports nature conservation projects around the world.

Earlier this year, the Leonardo DiCaprio Foundation pledged $3 million to the ocean conservation organization Oceana, and on Tuesday, the actor announced he would be committing an additional $7 million to promoting ocean preservation.

"Without healthy oceans we are in serious trouble," said DiCaprio, "and the outlook for their health is not good."

The actor also called on world leaders to increase preservation efforts in their countries, saying, "The only way to address problems of this scale is through smart collaboration between governments, communities, organizations and scientists."

DiCaprio added, "I stand here today to challenge all of you to step up, to utilize your positions of authority to ensure the health of the oceans that are so vital to people's lives all around the world."

An avid diver, DiCaprio said he has seen the effects of ocean degradation firsthand in his travels.

"What once had looked like an endless underwater utopia is now riddled with bleached coral reefs and massive dead zones."

"Because of modern industrialized fishing, ships are heading into ever deeper waters in search of catch, only to find ever dwindling stocks," he added.

@highlight

Obama calls for strategy to combat black-market fishing

@highlight

He says he'll protect "our most precious marine landscapes"

@highlight

Our Ocean international conference is hosted by State Department

@highlight

Leonardo DiCaprio pledges additional $7 million to ocean preservation