Editor's note: "Glenn Beck" is on Headline News nightly at 7 and 9 ET.

Glenn Beck says to always question conventional wisdom.

NEW YORK (CNN) -- "The people who survived the Great Depression were the ones who had money to buy when everybody else was selling." -- My grandfather

I learned a lot from my grandfather, but that might have been the greatest lesson he ever taught me. He wasn't just talking about managing money, he was talking about managing life -- and his words have stuck with me since I was a child.

A few years back, I was taking a theology course and the professor recommended only the books whose authors he agreed with. I read those books, but I also asked that professor which books he thought had it completely wrong -- and I read those too. Then I made up my own mind. After all, following the herd is fine until they all run off the side of a cliff together.

Less than a year ago, a recession was the last thing on anyone's mind. In fact, over the summer, as I was questioning the conventional wisdom, I read an article on my television show that quoted a financial expert as saying, "It is the strongest global market that we've seen in the history of measuring these things."

That's when I realized how fast the herd was approaching the cliff.

But with predictions of a recession now more common than Fed rate cuts -- and that's saying something -- maybe now it's time to look at a worst-case scenario. After all, considering all sides of an issue, no matter how extreme they may be, doesn't make you a crazy person; it makes you an educated one.

So to understand what a real meltdown could look like, I turned to Nouriel Roubini, chairman of RGE Monitor and professor of economics at New York University's Stern School of Business. He's also a former adviser to the U.S. Treasury Department.

Professor Roubini recently laid out what he called the "12 steps to financial disaster." Unfortunately, they were really complicated, and I have severe ADD, so I've boiled them down into five phases that even a rodeo clown like me can understand.

I think of these like our military's "DEFCON" -- or defense readiness condition -- scale, except that this countdown could end in the meltdown of your bank account:

• DEFCONOMY FIVE

How you'll know we're here: The housing downturn turns into a free fall, making it the worst collapse in our country's history. That not only triggers massive numbers of foreclosures and lost household wealth, but it also sets off another large wave of bank write-downs.

Odds we get here:  Roubini told me that it's "extremely likely, even unavoidable" that we hit this stage because "the excess supply of new homes in the market is like we've never seen before." Prices, he believes, "need to fall another 10 to 20 percent before that clears."

• DEFCONOMY FOUR

How you'll know we're here: Americans upside-down on their mortgages and unable to pay their home equity loans begin defaulting on other debt, like credit cards, car loans and student loans. In addition, bond insurance companies lose their perfect credit ratings, forcing already troubled banks to write down another $150 billion.

Odds we get here: High. Roubini says that 8 million households are already upside-down on their mortgages and he thinks we could see that number go to between 16 million  and 24 million by the end of 2009. A lot of those people, he believes, will simply walk away from their homes and send their keys back to the bank.

• DEFCONOMY THREE

How you'll know we're here:  Some banks begin to crack under the pressure of continuing write-downs and mounting defaults by consumers. A national or large regional bank finally collapses, triggering hedge fund failures and general chaos on Wall Street, potentially leading to a 1987-style market crash.

Odds we get here:  Very good. Roubini says that we'll likely socialize the losses, "effectively nationalizing the mortgages or the banks." It would be, he told me, "like Northern Rock (the large bank in England that was recently taken over by the British government) times three." He thinks the stock market will head south throughout the year as fears about a severe recession are confirmed.

• DEFCONOMY TWO

How you'll know we're here:  Most forms of credit (both to consumers and businesses) become virtually nonexistent. That results in a "vicious circle" of additional write-downs, stock market losses, and bank collapses, which leads to even less credit being available.

Odds we get here:  Good. Roubini says that credit conditions are becoming worse everyday across a variety of markets and won't be getting better anytime soon. Without extra credit available, people might have to actually (gasp!) live within their means.

• DEFCONOMY ONE

How you'll know we're here:  Welcome back to 1929. A full economic meltdown results in a complete failure of the underlying financial system. What will be known to future generations as "The Greater Depression" has arrived.

Odds we get here: Not likely. Roubini believes that this will be a "very painful and severe recession" that could last for 18 months or more, but it will be more like 1981 than 1929. Families may be eating soup again, but at least it'll be in their own kitchens.

Now, do I think any of what you just read will happen?

I have no idea, and that's exactly the problem. I'm not an economist or a stockbroker; I'm just a guy trying to make the best decisions I can, and picking the brains of real experts helps me do that.

But I do know one thing for sure: Depressions aren't advertised in advance. Last time around we went from the Roaring '20s to bread lines in a matter of just a few years.

Anyone who says that can't happen again either doesn't know history, doesn't understand how interconnected the world's economies have become, or is lying to you. While that doesn't mean you should panic, it does mean you should prepare -- something my grandfather would've done a long time ago. E-mail to a friend

@highlight

Glenn Beck lays out the DEFCONOMY scale

@highlight

Beck ponders: Will the economy collapse into "The Greater Depression"?

@highlight

"Maybe now it's time to look at a worst-case scenario," he says

@highlight

Then again, maybe not: Be prepared is the key