Editor's Note: Oscar-winning actor Javier Bardem produced a documentary, "Invisibles," on suffering in the Congo and four other regions of the world. John Prendergast is co-chair of the Enough Project, an initiative to end genocide and other crimes against humanity. Prendergast was director of African affairs at the National Security Council and special adviser at the Department of State during the second Clinton term. He has written eight books on Africa.

Javier Bardem produced a film on suffering in Congo and four other regions of the world.

(CNN) -- Over the past decade, waves of violence have continuously crashed over eastern Democratic Republic of Congo, in the world's deadliest war.

A study by the International Rescue Committee says the war has led to the deaths of 5.4 million people.

The human wreckage that washes ashore in displaced settlements and shattered communities has few parallels in terms of pure suffering.

With the most recent escalation in the conflict during September and October, another tidal wave of destruction is hitting the embattled population of eastern Congo, with devastating consequences.

The perpetrators and orchestrators of this violence do so primarily in a mad scramble for one of the richest non-petroleum natural resource bases in the world.

All kinds of minerals are mined in the Congo that end up in our computers, cell phones, jewelry, and other luxury and essential items of everyday use. Because there is no rule of law in the Congolese war zone and no ethical code impacting the international supply and demand for these minerals, the result is that anything goes.

In Congo, this means the vampires are in charge.

Vampires take many forms in Congo. They are the militia leaders who control the mines, and who use mass rape as a means of intimidating local populations and driving people away from areas they want to control. Watch rape victim tell her story »

Vampires also include some of the middlemen based in neighboring countries who arrange for the purchase and resale of Congo's resources to international business interests, run by people who are often accomplices. They need to acquire minerals like tin and coltan to be able to satisfy the insatiable demand for these products in North America, Europe and Asia. It leads them to ask no questions about how the minerals end up in their hands.

Then there are innocent consumers like us -- completely unaware that our purchases of cell phones, computers and other products are helping fuel a shockingly deadly war halfway around the world, not comprehending that our standard of living is in some ways based on the suffering of others.

The suffering of the people of the Congo is unnecessary. If there was a functioning government there, and the rule of law, the minerals could be mined in a legal and orderly way.

If there was a peace agreement involving the main armed groups, the use of sexual violence as a tool of war would end. If there was a cost for committing the kinds of atrocities that have become common in Congo, they would end.

There are many Congolese community leaders, churches, politicians, human rights activists, women's organizations and others who are struggling to create a future Congo that is defined by peace and security. Around the world, we can play a major role in supporting these everyday heroes.

The Enough Project is launching a campaign called RAISE Hope for Congo, aiming to build a permanent and diverse constituency of activists who will advocate for the protection and empowerment of Congolese women and girls.

Women and girls have become primary targets in the war of attrition between the armed groups in eastern Congo. Congo's transformation must begin with them.

Over a century ago, tens of thousands of people across the world joined together in what would be the 20th century's first great international human rights movement to protest the bloody reign of Belgium's King Leopold II over the Congo.

In a murderous effort to exploit the central African nation's vast natural resources, half of the Congo's population would be decimated by King Leopold's personal rule -- an estimated 8 million people. The resulting public outcry helped curb the worst abuses of that period. A century later, the people of the Congo need a new popular movement to end the atrocities once and for all.

So, the good news is there are answers to what is happening in Congo. A determined peace process can end the war. Support for Congolese institutions can help build the rule of law and economic opportunities. And a focus on crimes against women by the International Criminal Court could help introduce some accountability and justice to a place that has little.

But these things won't happen unless voices are raised all over the world against the injustice occurring in the Congo. If we make enough noise, we can influence politicians to pay a little more attention to the deadliest war in the world. With a little attention and some effective action, that war could end, and the era of vampire rule in eastern Congo would come to an end.

The opinions expressed in this commentary are solely those of Javier Bardem and John Prendergast.

@highlight

Bardem, Prendergast: Congo has had 10 years of war and suffering

@highlight

More than 5 million people have died as a result of the conflict, they say

@highlight

They say "vampire" militia leaders, others, exploit Congo's natural resources

@highlight

Voices must be raised against the injustices in the Congo, they say