(CNN) -- "The war on drugs has failed" is a mantra often heard in policy and media circles these days. But not only is the phrase outdated (the 1980s called -- they want their slogan back), it is far too simplistic to describe both current drug policy and its outcomes.

The latest incarnation of this ill-advised saying can be found in a report arguing that since cannabis and heroin prices have fallen while their purity has increased, efforts to curb drug use and its supply are doomed to failure. This leads some to highlight the possibility of alternatives in the form of "regulation" (e.g., legalization) of drugs.

But a closer look at the data -- and the implications for a policy change to legalization -- should give us pause if we care about the dire consequences drug addiction has on society.

Globally, drug use has been stable over the past decade, though it is difficult to paint such a broad brush across countries and substances. But in the U.S. alone, there has been a 40% drop in cocaine use since 2006 and a 68% decrease in workplace positive cocaine tests. Overall in the U.S., all drug use has fallen by about 30% since 1979.

There are likely numerous reasons for this drop, but we can't ignore the fact that the world's top supplier of the drug -- Colombia -- has greatly improved its security situation over the same period.

With help from the United States, Colombia has managed to reduce the amount of land dedicated to coca growing by nearly two-thirds from 2000 to 2010.

Potential production of cocaine has also fallen more than 60%, though in places without such security enhancements -- namely Bolivia and Peru -- cocaine production has picked up. Still, this shows that progress is not only possible, it is happening.

As for the opiates and cannabis, trends vary widely in different regions around the world. While critics are right to say that prices have fallen while potency has risen generally, globally the picture is much more mixed (the global cultivation of poppy has actually fallen since 1997 worldwide).

In policy analysis, the key question that must follow any sentence that says "X policy is good/bad" is: "Compared to what?"

Some have offered legalization as a possible alternative. But we know from our experience with currently legal drugs -- prescription drugs (which are now the leading cause of accidental deaths in the U.S.), alcohol and tobacco -- that legality means commercialization, normalization and wider access and availability that lead to more use and addiction.

Legalization in the United States is likely to accompany a bombardment of promotion, similar to our other three classes of legal drugs. These industries will stop at nothing to increase addiction since their bottom line relies on it. In fact, we know that 80% of the profit from addictive industries comes from the 20% of users who consume most of the volume of the substance.

According to internal documents that the government forced Big Tobacco to release during its historic court settlement, those companies are ready to pounce on the golden opportunity of drug legalization.

It is no wonder that the parent company of Phillip Morris, Altria, recently bought the domain names "AltriaCannabis.com" and "AltriaMarijuana.com." If this sounds frightening, it should be.

Big Tobacco tried for decades to conceal the harms of their drug, and millions of lives were lost as a result. We are naive to think that this wouldn't happen with any other drug that is legalized.

Where does that leave us? That legalization is not a solution does not mean we have to be content with the status quo. Proven interventions such as community-based drug prevention efforts, drug treatment courts, offender re-entry programs and probation reform should be more robustly implemented and taken to scale. It is shameful that the richest country in the world can't figure out a way to make drug treatment available to all who need it, and we must stop relying on incarceration to deal with the drug problem.

Interestingly, though, according to criminologist Mark Kleiman, if all drug prisoners were released tomorrow, we would still have four times the number of people in prison than our historical incarceration rate instead of five. That tells me that the root causes of drug use, trafficking and crime, must be seriously tackled.

On the other hand, legalization -- especially in ad-obsessed America -- would not only sweep the causes of drug use under the rug, it would open the floodgates to more addiction, suffering and costs than we could ever bargain for.

The opinions expressed in this commentary are solely those of Kevin Sabet.

@highlight

A report says cheaper, purer illegal substances suggest war on drugs is failing

@highlight

Kevin Sabet: Actually, global drug use has been stable over the past decade

@highlight

He says some think legalization is the solution, but that would lead to more drug use

@highlight

Sabet: Legalization means companies will try to increase addiction to make more money