Chances are you're reading this while leaning over a table or slumped back in a chair. Your head is tilted forward; your shoulders are curved.

If you're on a mobile device, your arms are bent by your side and your back hunch is even more profound.

Am I right?

The position you're in is probably causing you pain, whether you're aware of it yet or not. Don't worry, physical therapists have a diagnosis for the headaches, neck cricks and achy shoulders. They call it "Text Neck."

"Text Neck is not just a texting problem," says Dr. Dean Fishman. "Text neck is a gaming problem. Text neck is an e-mailing problem."

Fishman originally coined the term in 2008 while examining a 17-year-old patient. The teen came in complaining of headaches and neck pain. As Fishman was trying to explain to the patient's mother exactly what the problem was, he glanced over and saw her posture.

The teen was sitting in a chair, hunched over her smartphone, texting away.

"I knew I had something," Fishman says.

The average human head weighs 10 pounds in a neutral position -- when your ears are over your shoulders. For every inch you tilt your head forward, the pressure on your spine doubles. So if you're looking at a smartphone in your lap, your neck is holding up what feels like 20 or 30 pounds.

Sleeping with your smartphone?

All that extra pressure puts a strain on your spine and can pull it out of alignment. Dr. Tom DiAngelis, president of the American Physical Therapy Association's Private Practice Section, compares it to bending your finger back all the way and holding it there for an hour.

"As you stretch the tissue for a long period of time, it gets sore, it gets inflamed," DiAngelis says. "The real question ... is 'What are the long term effects going to be?' "

Staying in what experts call the "forward head posture" can lead to muscle strain, disc herniations and pinched nerves. Over time, it can even flatten or reverse the natural curve of your neck.

As your mother used to say: Be careful or it might stay like that.

Dr. Michelle Collie, director of Performance Physical Therapy in Rhode Island, says she started seeing patients with head, neck and back pain caused by mobile devices six or seven years ago. Recently she says Text Neck has increased dramatically, especially among her younger patients.

According to the Kaiser Family Foundation, 8- to 18-year-olds spend an average of seven and a half hours using "entertainment media" every day.

But it's not just kids. The average amount of data used on a smartphone tripled from 2010 to 2011, according to Cisco's Global Mobile Data Traffic Forecast Update. And each tablet generates 3.4 times more traffic than the average smartphone.

Not only does forward head posture cause nerve pain, Collie says it can also create metabolic problems.

Try to take a deep breath in a slumped position. Now sit up straight and try again. Experts say slouching can reduce the capacity of your lungs by as much as 30%.

A lack of oxygenated blood flowing through the body can potentially lead to vascular disease. And gastrointestinal problems can be caused by pressure placed on the organs in a bad posture.

So what's an iPad-cradling, smartphone-texting, laptop-loving guy or gal to do?

First, Collie says, is to be aware of your body. Keep your feet flat on the floor, roll your shoulders back and keep your ears directly over them so your head isn't tilted forward. Use a docking station and wrist guards to support the weight of a mobile device. Buy a headset.

Fishman's Text Neck Institute created a mobile app to help you remember to avoid forward head posture.

When your Android phone (the app is not yet available on iTunes) is held at a safe viewing angle, a green light shines in the top left corner. When you're at risk for Text Neck, a red light appears. Optional vibrations or beeps can be added as a warning.

Most important, the physical therapists agree, is taking frequent breaks while using any mobile device or desktop computer. About every 20 minutes, stand up, roll your shoulders and neck or go for a short walk to improve blood flow.

When you return, check out more stories in Our Mobile Society series.

How mobile tech affects the family

@highlight

Dr. Dean Fishman coined the term "Text Neck" in 2008

@highlight

The term is a diagnosis for nerve pain and headaches caused by using mobile devices

@highlight

Be aware of proper posture and take frequent breaks, experts suggest