(CNN) -- Since assuming the role of executive director of the Black Coaches and Administrators (BCA) in 2001, my most frequently asked question has been: "What is the reason for the lack of black head football coaches in the NCAA?" My answers were always objective, not subjective. I focused on the facts. The numbers spoke the truth.

Today, we're immersed in the afterglow of a remarkable seven-day collegiate football hiring span. From Dec. 7 through 13, three new head football coaches of color were appointed on the BCS (Bowl Championship Series) level: Turner Gill (Kansas), Charlie Strong (Louisville) and Mike London (Virginia).

The earlier November selections of Larry Porter (Memphis) and Willie Taggart (Western Kentucky) elevated the number to five in the current 2009 FBS hiring cycle. We have 13 (11 African-American) head football coaches of color among the 120 FBS (Football Bowl Subdivision/IA) schools. We are experiencing a watershed of success after a sordid history of disappointments.

When the BCA released the initial report card in 2003, the FBS had only three head football coaches of color. One year ago, only four African-Americans were head coaches in the FBS. It was the lowest total in 15 years. By the conclusion of the 2008/2009 hiring cycle, the number had risen to nine.

BCA report cards revealed increases in the number of people of color brought in for official interviews, but, in reality, the hiring remained abysmal by any acceptable standard.

Anyone desiring to become a head football coach on the FBS level had a lesser chance statistically than those seeking to become head coach in the NFL or in NCAA basketball or even a general in the U.S. Army. At the minimum, the number of minority head football coaches should be closer to 20 percent of the opportunities. My statement to college presidents, which accompanied the release of our most recent hiring report, called for the administrators to "stand up for justice and not block its path."

Finally, it appears the labors of those who have so painstakingly tended to the tree of opportunity for minority football coaches have finally produced the first significant harvest of delicious fruit.

What happened to cause the change? No single event or group is fully responsible; it is a collaboration of voices and actions on the issue.

I equate it to the steady and deliberate pounding on a huge rock that finally cracks. While the last blow finally splits the rock to the core, all the strokes that preceded it contributed to the break.

I believe the BCA has played a significant role in the exposure of the collegiate football hiring issue dating back to the late 1980s. The production of the annual hiring report card and distribution of capable candidate lists has brought awareness, knowledge and accountability to the search and hire process.

Dr. Richard Lapchick (DeVos Sports Business Program) has produced multiple reports and studies pertaining to the diversity and inclusiveness of all of collegiate sports and, specifically to football. His call for an "Eddie Robinson" rule on the collegiate level, similar to the National Football League's Rooney rule, is heard. The Rooney rule requires that at least one minority candidate be interviewed when a new head coach is appointed.

The executive office of the NCAA, led by the strong advocacy of its late president, Myles Brand, has been significant in voice and funding for this change. The vice president of diversity and inclusion, Charlotte Westerhaus, has provided successful professional development under the NCAA Expert Forum (Academy) for football. The five recent hires are alums of the Expert Forum programs.

The strong voice of retired NFL head football coach Tony Dungy is being heard. When Tony speaks, the people listen. He has the resume and the platform to state the case for the equitable hiring issue. His expertise and credibility is unquestioned.

Winning is always important. Coaches of color are experiencing success. For the first time in history, three current coaches of color will take FBS teams to a bowl game: Randy Shannon (Miami/Champs Sports Bowl), Ken Niumatalolo (Navy/Texas Bowl) and Kevin Sumlin (Houston/Armed Forces Bowl).

Two of the past three Super Bowl champions have been coached by African-Americans African-Americans (Dungy and Tomlin). The current success of the Indianapolis Colts with Jim Caldwell as head coach is further testament.

The Division IA Athletic Directors, led by president Dutch Baughman, recently adopted an "Acceptable Standards" policy to create a prescribed and appropriate standard to administer the business of intercollegiate athletics. Specifically, the intention was to reaffirm a commitment to ethical procedures in the search and hiring process.

The recent passage of the state of Oregon's House Bill 3118 was very significant. Initially, this bill was spearheaded by the concerns of a private citizen, Sam Sachs, to the Oregon legislature. Oregon has adopted legislation similar to the NFL's Rooney Rule for all state colleges as a guideline for hiring in athletics. It appears that up to eight additional states will strongly consider similar legislation.

Finally, nothing is more significant than the positive effect of seeing the highest office in our country and, for that matter, the entire world occupied by an African-American. President Obama's position and success as a national and world leader speaks volumes.

Most of the messages from my office have criticized a process that has progressed slowly, if not begrudgingly, toward equity. Today, I can honestly say our college presidents and athletics directors are standing up for justice and not blocking its path. It's important that we be able to continue to make this statement on a regular basis.

The opinions expressed in this commentary are solely those of Floyd Keith.

@highlight

Floyd Keith says NCAA colleges are beginning to hire coaches of color

@highlight

He says after years of failure, the advocates of diversity are succeeding

@highlight

Keith says victories by teams coached by African-Americans have helped

@highlight

Advocates have worked hard to set the groundwork for the changes, he says