(CNN)  -- If it seems like nearly everyone you see these days, from kids to seniors, has some kind of tech gadget handy, it's not just your imagination.

According to a new report from the Pew Internet and American Life project, nearly 90% of Americans now own a cell phone, computer, MP3 player, game console, e-book reader or tablet computer.

In Generations and Their Gadgets, Pew explores how age groups in the U.S. tend to use their tech devices. It defines six generations ranging from age 18 to 75-plus.

A few highlights about how Americans of different ages use mobile devices:

Cell phones

Eighty-five percent of Americans currently own cell phones, making it the single most popular type of tech gadget. Slightly more Americans use their cell phones to take pictures (76%) than to send or receive text messages (72%) -- but across all age groups, those two non-voice call activities are the most popular.

Among the 15% of Americans who do not own a cell phone, one-third live in a household with at least one working cell phone. So, overall, "90% of all adults (including 62% of those age 75 and older) live in a household with at least one working cell phone," the survey finds.

Also, Pew notes that as of June, about a quarter of all U.S. households had gone mobile-only, ditching their traditional "landline" phone connections.

This includes more than half of all adults ages 25 to 29, and it indicates how crucial it is to update the U.S. 911 emergency calling system to be more friendly to cell phones, as well as to accommodate more types of communication than voice calls.

Even though more people are getting smartphones (30 percent of U.S. cell phone owners, by most estimates), only Americans ages 18 to 34 are especially likely to use their phones for several purposes: internet access, e-mail, games, getting or playing music, sending or receiving photos, recording video, etc.

The only widely popular activities across all age groups are taking pictures and text messaging, which may explain why 70% of Americans still rely on non-smart "feature phones," which have fewer bells and whistles.

MP3 players

As tech gadgets go, MP3 players are relatively limited devices. So it's a bit surprising that the youngest and most tech-savvy age group Pew studied is by far the most likely to own an MP3 player.

Three-quarters of Americans ages 18 to 34 own an MP3 player, but only 56% of the next oldest group (35 to 46) do.

Tablets

As of September, 5% of U.S. adults owned tablet computers such as the iPad or Galaxy Tab, up from 3% in May. (Apple's popular iPad hit U.S. stores in April.)

With the launch of several Android-based iPad competitors, expect this kind of device to become much more popular in the next year. It'll be interesting to see whether tablet ownership starts to displace some ownership of laptop computers.

E-readers

Currently, 5% of Americans own e-reader devices such as the Kindle or Nook, but this vastly underestimates the total number of people who read e-books.

Many people read e-books on their smartphones, tablets, and desktop or laptop computers. E-reader devices are most popular among Americans ages 47 to 56.

I suspect that in the next year, tablets will shake up all kinds of patterns of mobile device ownership and use in the U.S.

If tablet prices start to drop and more options for size and connectivity emerge (especially likely for Android models), it's possible that that many people who rely primarily on feature phones might choose to invest in a Wi-Fi-enabled tablet (a one-time expense) rather than upgrading to a full smartphone (with higher monthly bills and often unexpected charges).

The opinions expressed in this story are solely those of Amy Gahran.

@highlight

Eighty-five percent of Americans currently own cell phones

@highlight

About a quarter of all U.S. households have gone mobile phone-only

@highlight

Five percent of Americans own e-reader devices such as the Kindle or Nook