BAGHDAD, Iraq (CNN)  -- Four U.S. soldiers died in a roadside bombing in Iraq on Sunday, military officials reported, bringing the American toll in the 5-year-old war to the grim milestone of 4,000 deaths.

Troops emerge from a bunker after receiving the "all clear" Sunday following a truck bombing in Mosul.

The four were killed when their vehicle was hit by an improvised explosive device while patrolling a neighborhood in southern Baghdad, the U.S. military headquarters in Iraq reported Sunday night. A fifth soldier was wounded in the attack, which took place about 10 p.m. (3 p.m. ET).

The U.S. milestone comes just days after Americans marked the fifth anniversary of the start of the war.

"No casualty is more or less significant than another; each soldier, Marine, airman and sailor is equally precious and their loss equally tragic," Rear Admiral Gregory Smith, the U.S. military's chief spokesman in Iraq, said.

"Every single loss of a soldier, sailor, airman or Marine is keenly felt by military commanders, families and friends both in theatre and at home," Smith said.

Of the 4,000 U.S. military personnel killed in the war, 3,263 have been killed in attacks and fighting and 737 in non-hostile incidents, such as traffic accidents and suicides.

Eight of the 4,000 killed were civilians working for the Pentagon.

Many of those killed over the years, like the four soldiers slain on Sunday in Baghdad, have been targeted by improvised explosive devices -- the roadside bombs that have been described as the weapon of choice for insurgents and a weapon that has come to symbolize Iraq's tenacious insurgency.

The existence of the Pentagon's Joint Improvised Explosive Device Defeat Organization has been developed to counter the threat of IEDs in Iraq as well as Afghanistan. The group calls IEDs the "weapon of choice for adaptive and resilient networks of insurgents and terrorists."  Watch how IEDs have become deadly staple in Iraq war »

Meanwhile, estimates of the Iraqi death toll range from about 80,000 to the hundreds of thousands, with another 2 million forced to leave the country and 2.5 million people displaced within Iraq, according to the U.N. High Commissioner for Refugees.

President Bush ordered U.S. troops into Iraq on March 19, 2003, after months of warnings that then-Iraqi leader Saddam Hussein was concealing stockpiles of chemical and biological weapons and efforts to build a nuclear bomb.

U.N. weapons inspectors found no sign of banned weapons before the invasion, and the CIA later concluded that Iraq had dismantled its weapons programs in the 1990s.

Hussein's government fell in early April 2003, and Iraq's new government executed him in December 2006.

The news of the 4,000 mark came on the same day that Iraq's national security adviser urged Americans to be patient with the progress of the war, contending that it is "well worth fighting" because it has implications about "global terror."

"This is global terrorism hitting everywhere, and they have chosen Iraq to be a battlefield. And we have to take them on," Mowaffak al-Rubaie said Sunday on CNN's "Late Edition with Wolf Blitzer."

"If we don't prevail, if we don't succeed in this war, then we are doomed forever," he said. "I understand and sympathize with the mothers, with the widows, with the children who have lost their beloved ones in this country.

"But honestly, it is well worth fighting and well worth investing the money and the treasure and the sweat and the tears in Iraq."

Nearly 160,000 U.S. troops remain in Iraq, and the war has cost U.S. taxpayers about $600 billion, according to the House Budget Committee.

The conflict is now widely unpopular among Americans: A CNN-Opinion Research Corp. poll out Wednesday found only 32 percent of Americans support the conflict. And 61 percent said they want the next president to remove most U.S. troops within a few months of taking office.

In the weekly Democratic radio address Saturday, Sen. Bob Menendez of New Jersey said President Bush "took us to war on the wings of a lie."

Menendez said that the war has depleted the resources and morale of the U.S. military; diverted national attention away from the war in Afghanistan, where al Qaeda is regrouping; and hurt the hunt for Osama bin Laden. The Iraq war has not made Americans safer, Menendez said, but has instead hurt the U.S. economy.

The senator called for a "responsible new direction" regarding Iraq.

CNN learned last week, from several U.S. military officials familiar with the recommendations but not authorized to speak on the record, that senior U.S. military officials are preparing to recommend to Bush a four- to six-week "pause" in additional troop withdrawals from Iraq after the last of the "surge" brigades leaves in July.

"If the conditions on the ground dictate that we have to have a pause, then we will have to have a pause," al-Rubaie said.

The return of all five brigades added to the Iraq contingent last year could reduce troop levels by up to 30,000, but still leave approximately 130,000 or more troops in Iraq.

Al-Rubaie emphasized Sunday that any drawdown of U.S. troops "has to be based on the conditions on the ground."

"It depends on the development and the growth and the equipment and the capabilities of the Iraqi security forces, and the preparedness of the Iraqi security forces," he said. "This should not be a purely political decision. It should be also a technical, military and intelligence decision."

But there has been too much "foot-dragging on key governance questions in Iraq," Democratic Sen. Ron Wyden of Oregon said on CNN on Sunday. "It seems to me you put off those troop withdrawals, you send exactly the wrong message to the Iraqis."

On Wednesday, Bush will visit the Pentagon to be briefed by the Joint Chiefs of Staff, chaired by Adm. Michael Mullen.

The American troop level in Iraq "depends on the negotiations that we are engaged in now between the government of Iraq and the United States government," al-Rubaie said.

When conditions warrant the withdrawal of American troops, the Iraqis will say "'Thank you very much, indeed,' " al-Rubaie said. "A big, big thank you for the United States of America for liberating Iraq, for helping us in sustaining the security gains in Iraq ... and we will give them a very, very good farewell party then."

Responding to recent remarks from U.S. presidential candidates that Iraqis are not taking responsibility for their own future, al-Rubaie said Iraqis are making political and security gains.

"Literally by the day and by the week, we are gradually assuming more responsibility," he said, noting that Iraqis have taken responsibility for security in many provinces.

Other developments:

• U.S. troops raided a suspected suicide bomber cell in Diyala province on Sunday, killing a dozen militants, half of whom had shaved their bodies -- which the U.S. military says indicates they were in the final stage of preparation for a suicide attack. Diyala province stretches north and east of Baghdad and has been a major front for U.S. troops fighting militants.

• Several mortars landed in Baghdad's International Zone on Sunday, according to the Interior Ministry. A U.S. Embassy spokeswoman said there were no major casualties.  Watch smoke rise from the Green Zone »

• A suicide car bomb exploded at a fuel station Sunday in a predominantly Shiite neighborhood in northwest Baghdad, killing seven people and wounding 12 others, the Interior Ministry said.

• A suicide bomber detonated a truck full of explosives outside the main gate of an Iraqi military base in Mosul, killing at least 10 Iraqi soldiers and wounding 35 people, including 20 soldiers, Mosul police said. The U.S. military put the death toll higher, at 12.

• A mortar round landed in a Shiite neighborhood in eastern Baghdad, killing seven people and injuring nine others, a ministry official said. Six more mortar rounds landed in other Baghdad neighborhoods Sunday night, killing three people, the Interior Ministry said.

• In southeastern Baghdad, gunmen riding in at least two cars opened fire on a crowded outdoor market, killing at least three people and wounding 17 others, the Interior Ministry said.

• A suicide bomber detonated a small truck rigged with explosives outside a local Awakening Council leader's house just east of Samarra on Saturday, killing at least five people and wounding 13 others, a Samarra police official said. Awakening Councils are largely Sunni security groups that have been recruited by the U.S. military.  E-mail to a friend

CNN's Mohammed Tawfeeq contributed to this report.

@highlight

NEW: As Iraq war enters sixth year, American death toll rises to 4,000

@highlight

NEW: Four U.S. soldiers killed when their vehicle was hit by an IED

@highlight

At least 30 Iraqis died Sunday; 80,000 to 150,000 or more killed since war's start

@highlight

Iraq security adviser said Sunday that Iraq war is "well worth fighting"