Washington (CNN) -- President Barack Obama will defend his foreign policy Wednesday in a commencement address at the U.S. Military Academy at West Point and lay out an interventionist, but not over-reaching plan, White House officials say.

The speech comes amid stinging criticism of the President's foreign policy following a trip to Asia last month. Obama, who has carefully avoided mentioning any sort of military confrontation in his responses to the challenges in Syria and Ukraine, hit back at his critics, saying his goal is to avoid costly "errors" on the world stage.

But the world waits for no man. Obama may advocate a risk-averse foreign policy, but he has a series of pressing global challenges which are likely to dominate the remainder of his term. Here are a few:

Russia

The political crisis in Ukraine and President Vladimir Putin's annexation of Crimea have led to tensions between the United States and Russia that are reminiscent of the Cold War. Those tensions quickly have become the Obama administration's central foreign policy crisis and have tested Washington's mettle and its alliance with Europe.

The United States and its allies have accused Moscow of backing militant separatists and fomenting ethnic skirmishes in eastern Ukraine, and while praising Ukraine's elections this weekend, have charged Russia with attempting to disrupt the vote. Russia has been kicked out of the G8 group of industrialized countries, and the United States and the European Union have slapped a series of sanctions on Russian officials and entities.

But a military response has been all but ruled out and there seems to be little if any taste on either side of the Atlantic for the kind of sectoral sanctions which would deter Putin.

The United States says Russia is feeling the economic heat from the sanctions, but this month in Shanghai, Putin signed a deal with Chinese President Xi Jinping to provide China with $400 billion worth of natural gas from Siberia over the next 30 years.

Moreover, Russia has proven it can impose costs of its own. Although Washington and Moscow teamed up on a deal to rid Syria of its chemical weapons, Russia's political and military support for Syrian President Bashar al-Assad and its pledge to provide weapons to governments across the Mideast continue to frustrate the United States.

With a veto-wielding permanent seat on the U.N. Security Council, Russia is able to block action on world crises. The U.S. needs to work with Russia on a nuclear deal with Iran and on curbing North Korea's own nuclear ambitions. In today's world, a new Cold War simply seems impractical.

Syria

Three years into Syria's bloody civil war, the opposition remains weak and fragmented, extremists continue to grow in numbers and influence and al-Assad remains firmly in power. A year-long effort to bring the opposition and the regime to the table for peace talks was a failure, and a political negotiation seems further away than ever while the humanitarian catastrophe continues to grow.

Despite the U.S.-Russia agreement to remove Syria's chemical weapons, the regime is believed to have launched chlorine attacks which are now being investigated by U.N. inspectors. The administration talks of needing to change al-Assad's "calculus," but Obama has resisted pressure from many of his top advisers to involve the United States deeper in the conflict. Without a decisive change in the balance of power on the military field, it seems unlikely al-Assad will feel compelled to make a deal.

Iran

World powers are just under two months away from a July 20 deadline for a comprehensive deal with Iran on its nuclear program. An interim pact reached with Tehran in November eased some economic sanctions in return for Iran rolling back parts of its nuclear program, which the United States and others believe is designed to produce a weapon. Iran says its nuclear intentions are peaceful.

U.S. negotiators say progress has been made in several rounds of negotiations and the so-called P5+1 -- the United States, China, Russia, Britain, France and Germany -- and Iran have begun to draft an agreement.

But a number of significant roadblocks remain, including the future of Iran's heavy water reactor in Arak, its underground facility at Fordo and whether Iran will maintain the right to enrich a small amount of low-grade uranium on its own soil for medical and research purposes.

Iran has said those are all sticking points, but Israel and the United States aren't likely to budge on them.

A recent U.N. report also warned that Iran continues to pursue ballistic missile capability and Tehran appears unwilling to discuss its missile technology as part of the nuclear negotiations, to the great frustration of the U.S. and its European allies. New concerns have also surfaced over reports that Russia and Iran are discussing an oil-for-goods deal, which could violate the terms of the interim agreement, circumvent sanctions and derail the fate of the talks.

Terror threat

The United States got Osama bin Laden and diminished the capacity of al Qaeda's senior leadership in Pakistan, but a recent State Department report said the terror group's affiliate organizations have gotten even deadlier. And a series of al Qaeda-based threats to attack American and Western targets in Europe is causing major concern inside the U.S. intelligence community.

The State Department report said the group's affiliate in Yemen -- al Qaeda in the Arabian Peninsula -- is among the most lethal of the network and "continues to pose the most significant threat to the United States," which shut down its Embassy in Yemen due to the threats.

The civil war in Syria has created conditions allowing parts of the country to become a new haven for al Qaeda-linked groups and thousands of foreign fighters -- a situation that U.S. officials warn could come back to threaten the U.S. homeland. Next door in Iraq, a weak security environment in the western section of the country, along with the destabilizing effects of the situation in Syria, have allowed a former al Qaeda affiliate, the Islamic State of Iraq and the Levant, to move across the border with ease to conduct its own attacks.

Terrorist groups across North and West Africa are posing an ever-greater threat -- from Mali and Libya, where al Qaeda in the Islamic Maghreb and other extremists groups are growing in strength -- to Kenya, where militants from al-Shabaab, an al Qaeda-linked group in Somalia, are blamed for an increasing number of attacks.

The recent kidnapping of hundreds of Nigerian schoolgirls by Boko Haram has suddenly raised the profile of this al Qaeda-linked group. While al Qaeda's affiliates are grabbing the headlines, the body's core group in Pakistan may be making a comeback. Officials tell CNN's Barbara Starr the core is seeking to place operatives to attack U.S. targets at home and abroad.

Asia

The more pressing crises in Ukraine and Syria have prevented the Obama administration from focusing on the long anticipated "pivot to Asia," billed as an effort to cement American presence in the region and counter China's rise.

However, the region is experiencing significant chaos, and managing China has proven a formidable challenge. Tensions continue to escalate between Japan and China over a set of deserted islands in the East China Sea. Beijing is also stepping up its territorial claims in the South China Sea, and this week a Chinese vessel rammed and sank a Vietnamese fishing boat after a series of anti-Chinese riots that left four Chinese workers dead and more than 100 injured.

The two closest U.S. allies in the region -- Japan and South Korea -- are feuding over what Seoul perceives as inadequate remorse from its brutal colonization and the use of Korean "comfort women" during World War II. Elsewhere in the region, Thailand's military seized power in a bloodless coup.

And Washington's ambitions at increasing trade in the region appear stalled.

Obama traveled to Japan last month to forge a deal with Japan to move ahead with the 12-nation free-trade Trans-Pacific Partnership (TPP) but left Tokyo empty-handed.

The turmoil is distracting from the region's most dangerous threat -- unpredictable North Korean leader Kim Jong Un and his nuclear arsenal. Kim's erratic behavior and threats of a fourth nuclear test have prompted the United States and Korea to shelve the scheduled transfer of wartime operational control of troops on the Korean peninsula from Washington to Seoul.

And more ...

Plenty of other challenges remain: from managing relations with Egypt after the near-certain election of former defense minister Abdel Fattah al-Sissi -- whose interim government has been accused of widespread human rights abuses -- to salvaging the Mideast peace process, after talks broke down last month.

As Obama winds down the war in Afghanistan, violence is surging in Iraq, the first war he brought to a close -- a potent reminder the U.S. withdrawal from Afghanistan must be managed carefully.

And as the President seeks to articulate a foreign policy that avoids aggressive military entanglements while countering critics calling for a more aggressive U.S. foreign policy, it remains certain that his inbox will remain full.

@highlight

Obama delivers the commencement address Wednesday at West Point

@highlight

His focus will be foreign policy

@highlight

There are global challenges likely to dominate the remainder of his term

@highlight

Among them: Russia, Syria, Iran, the terror threat and Asia