(CNN) -- In his first inaugural address in 1953, newly elected President Dwight D. Eisenhower told the American people, "History does not long entrust the care of freedom to the weak or the timid. We must acquire proficiency in defense and display stamina in purpose." This was a fitting and powerful response to the popular noninterventionism current of the 1950s from a five-star general who knew how to win a war.

The first and most important job of the president is to be commander in chief. Eisenhower knew that, as so did many of our great presidents. Today, we are in danger of losing that founding virtue.

President Obama's decision to order a full withdrawal of U.S. troops from Iraq by the end of the year will most likely lead to disaster. He greatly risks losing a country in which we have invested so much time, resources and, most importantly, human life. And he risks losing it to Iran, the world's largest sponsor of terrorism and our primary enemy in a serious Middle East proxy war.

"The long war in Iraq will come to an end by the end of this year," Obama said Friday. It may come to an end for our troops, but it is far from over for the people of Iraq.

Only very few of the loudest opponents of the Iraq war advocated complete withdrawal. The U.S. military commanders recommended at least 15,000 troops remain. Obama once again ignored his generals, as he did with Afghanistan, and instead pressed ahead with a politically calculated decision.

Another view: "Who lost Iraq" is the wrong question

Perhaps this will gain him praise from the far left of his base, but this will not sit well with a vast majority of the American people. More than 4,000 Americans have died in the Iraq war.

The American people have been impatient with the war, but they know we were successful in Iraq. To throw this all away for political expediency is irresponsible. To be tired is one thing, to be irresolute is another. The frequent refrain of Osama bin Laden was that he could always wait us out and that we would eventually show ourselves to be the weak horse, not the strong horse. And, God forbid, if we lose Iraq, it will be on the shoulders of the commander in chief.

Under Obama's plan, a mere 160 U.S. troops would stay in Iraq to guard the U.S. Embassy. That is hardly enough troops to defend our own people. For comparison, the United States has 1,234 troops in Belgium, 1,894 troops in Bahrain and 678 troops in Qatar, according to the Department of Defense's active-duty military personnel records. We risk another Saigon moment by evacuating Iraq and leaving no support behind.

On my radio show, "Morning In America," Michael Rubin, who is the American Enterprise Institute's Middle East expert and teaches our troops at the Naval Postgraduate School, said with no qualifications that he thinks we will lose Iraq because of this.

Dan Senor, senior adviser and the chief spokesman for the U.S.-led coalition in Iraq in 2003-2004, told me that the president's decision shocked and perplexed him. Iraq cannot survive sectarian violence and Iranian influence on its own, he added. Baghdad will surely move closer to Tehran in our absence.

Indeed, one can already see the influence of Tehran. Two weeks ago, Iraq publicly defended the actions of Syrian President Bashar al-Assad, an early and telling sign that Iraq was preparing for the withdrawal of American forces. The Iranians want influence in Iraq; Obama wants out of Iraq.

The president defends his actions on the basis of his campaign pledge to withdraw all U.S. troops from Iraq and former President George W. Bush's withdrawal timeline of 2011. However, just until last week, the Obama administration was negotiating the Status of Forces Agreement with Nuri al-Maliki's government with the understanding that several thousand troops would remain in Iraq -- a clear break from his campaign pledge. More importantly, total troop withdrawal was never a platform of Bush's withdrawal timetable.

We know that Tehran is celebrating the president's announcement. Just weeks after spoiling an Iranian plot to assassinate the Saudi ambassador in Washington, D.C., the United States will withdraw from its strongest post from which to engage Iran. We have given them an open road to Baghdad and unfettered weapons supply lines to Syria and Lebanon. By ceding Iran the high ground, the Obama administration has also undercut American and Israeli efforts to shut down Iran's nuclear weapons program.

In spite of all this, Obama will spend his re-election campaign trotting out his foreign policy accomplishments. He deserves credit where it is due. Osama bin Laden, Anwar al-Awlaki and Moammar Gadhafi are dead. But should we see the loss of Iraq and the rise of Iran, all this will be for naught.

The opinions expressed in this commentary are solely those of William J. Bennett.

@highlight

William Bennett: President Obama's decision on troop withdrawal from Iraq is wrong

@highlight

He says it may gain him points with his base, but risks Iraq falling under Iran's influence

@highlight

Bennett says U.S. generals wanted at least 15,000 troops to remain