(TIME.com) -- Attention-deficit/hyperactivity disorder (ADHD) is the most common neurobehavioral disorder among children, and as incidence of the condition continue to rise, parents and patients are asking what happens next.

How does ADHD affect children as they become teens and adults and start to form relationships, find jobs and establish families of their own? Does the condition put them at a disadvantage for coping with life's inevitable challenges?

With 5.4 million children ever diagnosed with ADHD in the U.S., and 3% to 7% of school-aged children currently struggling with the condition, it's worth considering how ADHD affects their adult lives.

TIME.com: Why youngest kids in class most likely to be diagnosed

Rachel Klein of the Child Study Center at New York University Langone Medical Center and her colleagues studied the potentially long-term effects of ADHD among men who were diagnosed as kids. In their 33-year follow-up study, Klein and her team looked at 135 middle-aged men with childhood ADHD who were referred to the study by their teachers when they were between six to 12 years old.

The researchers compared this group to 136 men without ADHD and found that men with ADHD struggled more in occupational, educational, economic and social arenas later in life compared to men without the diagnosis.

TIME.com: New definition may make ADHD easier to spot in adults

At the 33-year follow-up, when the men were in their forties, those with childhood-diagnosed ADHD without conduct disorders had about 2.5 years fewer years of education compared to the other men; only 3.7% had higher degrees compared to nearly 30% of the control group.

The majority (84%) were holding jobs, but at significantly lower positions than peers without ADHD and were therefore at a financial disadvantage. On average, the researchers say, the ADHD group earned $40,000 less in salary than their unaffected counterparts.

Socially, men with ADHD also struggled with higher divorce rates, more antisocial personality disorders and substance abuse. On the positive side, however, they did not have higher rates of mood and anxiety disorders, like depression.

TIME.com: 25% of adults who seek treatment don't have ADHD

Overall, the ADHD adults showed higher rates of psychiatric hospitalizations and incarcerations, which the authors conclude supports a continued need for monitoring and treatment of kids with ADHD, even when a conduct disorder is not present.

Dr. Klein says even when children with ADHD are not disruptive, they may still be at a higher risk for developing antisocial behaviors later on, like lying, stealing and cheating.

But addressing the needs of children with ADHD, by providing academic support in school to help them overcome their frustrations and challenges in paying attention and retaining what they learn, and by giving them emotional support from the family, can given these students the coping skills they need to meet their adult challenges â€” in the workplace, in relationships and in social interactions â€” as well.

"One of the very important messages [from our findings] is that most kids [with ADHD] do OK, and some do very well. As a group they did well," says Klein. While ADHD's effect can linger into adulthood, it doesn't have to be either debilitating or inevitable. "It does affect their lives, but not to the point that they're very badly off," she says.

The study was published online in the journal Archives of General Psychiatry.

This story was originally published on TIME.com

Men Diagnosed With Childhood ADHD Struggle More with Jobs, Relationships

@highlight

Three to 7% of school-aged children currently struggle with ADHD

@highlight

Study followed 135 middle-aged men who were diagnosed with ADHD as children

@highlight

Men with ADHD struggle with higher divorce rates, substance abuse