(Lonely Planet) -- What's the first thing you think of when you think of Hawaii? The foaming-white sea lapping at a golden-sand beach surrounded by palm trees swaying in the breeze? Well, sure -- Hawaii's one of the world's ultimate beach destinations, an island paradise made for basking in the sun sipping daiquiris or hitting the waves to surf some righteous tubes.

But what to do if you're one of those people who just can't stand beaches? (Scorching sunburn, salt in your hair and sand everywhere!) If you're a beach hater, don't dismiss Hawaii just yet: there's plenty to do on the Hawaiian islands where you'll never have to step foot on sand. Here are some of our suggestions.

HAWAI'I (the Big Island)

Mauna Kea

This dormant volcano's peak is 4205 m (13,796 ft) above sea level -- the highest mountain in the state of Hawaii. (If you measure from its base underneath the Pacific, though, it's 10,000 m (33,000 ft) tall -- making it the tallest mountain on Earth.)

With such a clear vantage point, it's no wonder that its snowy summit is dotted with the greatest collection of astronomical telescopes in the world. The Onizuka Center here offers astronomy displays and nightly stargazing programs to the public.

Experienced mountaineers can even hike 12 miles to the summit through an otherworldly landscape of volcanic cinder cones and ancient archaeological sites.

Hawai'i Volcanoes National Park

If you'd prefer to see some live volcano action, head southeast to this unique national park, where Kilauea, the world's most active volcano, has been erupting continuously since 1983.

Outside the park boundaries, depending on conditions the day you visit, you may even be able to see fresh molten lava flowing into the sea (which is slowly but surely making the Big Island even bigger, year after year).

But even if the volcano goddess Pele isn't cooperating, there are still plenty of intriguing sights within the park's confines: hollowed-out lava tubes, steaming craters, tropical rainforest and old lava trails.

Rangers offer guided walks and other activities at the visitor center. For information on volcanic activity, the National Park Service has helpful updates (plus lava cam).

MAUI

Upcountry Maui and Haleakala National Park

The volcanic soil and sloped pastures of Mt Haleakala have sustained much of Maui's farming and livestock for the past two centuries, and the paniolo (cowboy) vibe is still strong in towns like rustic Makawao.

A drive through the plush pastures of the Kula region will take you past cattle ranches, vineyards with cellar-door sales, goat dairies and a huge lavender farm (with a cafe and gift shop offering lavender versions of just about any foodstuff or cosmetic product you can imagine -- and even those you can't).

If you keep driving you can follow a tortuously winding road up the flank of Mt Haleakala itself, up 3055 m (10,023 ft) to the summit, where you can explore the surreal, lunar-like landscape -- home to unique flora such as the ten-year-blooming Haleakala silversword, which grows nowhere else on Earth -- and stare down at clouds filling enormous volcanic craters below you.

If you can get up early (or stay up late) enough, book a tour to catch the sublime sight of sunrise from the peak; you can also have a van take you and a bicycle up to the top so you can ride -- er, roll all the way down.

Lahaina

This colorful town was once the whaling capital of the Pacific, where ships would dock for supplies, sailors and shore leave. Today the dance halls, saloons and brothels that kept the whalers busy have been replaced by the best restaurants on Maui, art galleries that host free "art nights" every Friday, bars with live music from Irish trad to jazz and, of course, souvenir shops (c'mon, it is Hawaii). Meanwhile, Lahaina's seafaring past is kept alive by the numerous whale-watching cruises that depart from its harbor.

O'AHU

Diamond Head

This extinct volcanic tuff cone stands guard over Waikiki, and is O'ahu's signature backdrop. You can hike to the top in about an hour or less -- a paved trail leads 1.3 km (0.8 miles) all the way to the summit, which at 232 m (760 ft) affords some pretty awesome views of Waikiki. (OK, you'll still have to see a beach, but you won't have to step on it. Happy?)

USS Arizona Memorial

The tragic events of December 7,1941 are memorialized at Pearl Harbor, just a short drive from downtown Honolulu. The USS Arizona lies where it sank, the resting place of over a thousand of the U.S. sailors who died in the Japanese attack.

In 1962 the memorial was opened, with a structure built over the ship that allows you to view its remains poking out of the shallow water below; a marble wall inside is engraved with the names of the honored dead. A visit to Pearl Harbor will leave you with a palpable sense of the history that was made there.

KAUA'I

Waimea Canyon

This gigantic chasm at the heart of Kaua'i is one of the island's greatest natural wonders, and its red-and-black-striated lava-rock walls contrasted with the lush green forests that blanket its top is a true sight to behold.

Its name comes from the Waimea River, which runs through the bottom; the canyon was formed by a combination of erosion and the partial collapse of one of the island's shield volcanoes.

Waimea Canyon State Park has lookout points over Kaua'i's stunning Na Pali cliffs, as well as numerous hiking trails through and around the canyon, a wilderness lover's delight.

Helicopter ride over Kaua'i

Way more thrilling than a day at the beach is a helicopter ride over the interior of Kaua'i, most of which is too densely forested and mountainous for wheeled vehicles.

Numerous helicopter companies (most based in Lihu'e) offer up-in-the-air jaunts over waterfall-striped Mt Wai'ale'ale, the island's central shield volcano and one of the wettest spots on Earth, and the sheer-hewn sea cliffs of the Na Pali coast, accessible otherwise only by ocean kayak.

MOLOKAI

Kalaupapa National Historical Park

Hansen's disease (leprosy) was introduced to Hawaii by foreigners in 1835, and soon spread through the islands. King Kamehameha V, in an attempt to stop the epidemic, created a law banishing all those afflicted to this remote peninsula jutting out from beneath the towering sea cliffs (the world's highest) of Molokai's north coast, which became the final home for the unhappy exiles.

Around 40 years later, a compassionate Belgian missionary named Father Damien came to visit, and remained with the colony for 16 years, when he died after contracting the disease himself (Father Damien was officially canonized by the Catholic Church in 2009).

The enforced isolation law was finally revoked in 1969; today, only a handful of patients, all senior citizens, remain. You can visit the peninsula to see the village and Father Damien's church and gravesite only by pre-arranged tour -- either flying down to the peninsula (which takes about eight minutes) or riding a mule down a steep, 2-mile (3.2km) route zigzagging across the cliffs.

© 2011 Lonely Planet. All rights reserved.

@highlight

Dormant volcano Mauna Kea on the Big Island is the highest mountain in the state

@highlight

Drive up the flank of Maui's Mt Haleakala to explore the surreal, lunar-like landscape

@highlight

Numerous helicopter companies offer up-in-the-air jaunts over Kaua'i