(CNN) -- South African activist Zackie Achmat is a fighter at heart who's been marching against injustice all his life.

From protesting against the apartheid regime to championing gay rights, Achmat advocates for those who he believes don't have a voice.

An openly gay, HIV-positive male, Achmat has battled tirelessly to improve access to affordable treatment for people with HIV/AIDS and even risked his life for the cause.

Today, the 49-year-old is most passionate about his work in South Africa's townships, where he's on a mission to bring better, safer public facilities to poor residents.

CNN's Robyn Curnow caught up with Achmat to discuss his battle for social justice. An edited version of the interview follows.

CNN: Are you the kind of person who needs to fight against something, who needs to rally against authority?

Zackie Achmat: No, I'm exactly the opposite. I'm the sort of person -- I really hope -- who tries to change things and who gives people a sense of dignity, of their own humanity.

CNN: Anti-retroviral drugs are life saving and you used access to them to shame the South African government and have them given to ordinary poor people. Tell me about that process.

ZA: It was a multi-prong process that we did. The main (element) was educating people at community levels about the relevance of anti-retrovirals. The second was using the courts -- especially the high court, constitutional court -- to enforce people's rights. And then of course (there was) the need for a treatment plan and fighting the drug companies to bring those prices down.

CNN: You refused to take anti-AIDS drugs even though you could, to make a point that 'listen, I might die in this fight until ordinary people get it.'

ZA: It was for about four and a half years, and again it's something that caused enormous pain for my friends and my comrades and so on. But the thing I'll always remember was one day a very, very poor woman came up to me and she grabbed my hand at a demonstration and said: 'What you're doing is keeping me alive.'

And I knew that it was a terrible burden to carry, I've never said this, but it was a terrible burden to carry, but at the same time it was the right thing to do

CNN: Did you go to bed at night and think, 'should I just take these drugs?' Were you prepared to die?

ZA: Yes! But it's the sort of thing you put out of your head -- you prepare yourself, I was very much prepared to be dead, in a certain sense I was performing the holy martyr publicly.

And in 2003 when I started taking my medicines, all that changed completely. I had to prepare for life, I made plans and my life changed phenomenally.

CNN: You're still fighting for basic social rights.

ZA: All people who live in South Africa have to deal with the crime and safety situation...the basic things, safe toilets, safe streets, safe lights, after school care and that's what the Social Justice Coalition which I'm part of (advocates for.)

We went this morning... and people get raped when they go to the toilet. (There are) 20 to 30 to 70 people sharing a toilet, toilets that aren't cleaned by the municipality, toilets that are broken, sewerage running all through people's homes on occasion, but the most dangerous thing (for) a person in the informal settlement is (to) go to a toilet.

CNN: You've fought for social justice for your whole life. Where South Africa is now, is it what you fought for as a 15-year-old, is this what you wanted?

ZA: South Africa for me now is in a certain sense immeasurably better off than ever before, immeasurably. The dignity that black people to a degree have -- no black person has to lose their family and go to jail for it like we did under the past laws, so that's one sense of it.

On the other hand the social and class inequalities are much, much wider and much more dangerous for our society.

The question we all have to ask ourselves is whether we have postponed our civil war or whether we have avoided it. Because the civil war happens daily in people's lives when they can't go to a toilet safely, whether that is going to become a public thing is a different matter. And unless we address jobs, education and crime, we're not going to be able to contain our society as a society.

CNN: So the fight continues.

ZA: It's a struggle, the struggle continues and I like, I prefer the word struggle, because it has two connotations: it has the connotation of political struggle but it also has the connotation of what people do daily in order to survive.

And it's the connecting of those two that is the most important struggle in life, the struggle to be an ethical human being.

@highlight

Zackie Achmat is a prominent South African political activist

@highlight

He is known for his battles for gay rights and better access to drugs used to treat AIDS

@highlight

Achmat started his fight against injustice as a young boy protesting apartheid

@highlight

Today he is campaigning for better public facilities in South Africa's townships