(CNN) -- There may not be a single cemetery in Massachusetts or in the entire country that is willing to be Tamerlan Tsarnaev's final resting place, a funeral director told CNN on Monday.

And that has left Peter Stefan in a very difficult spot.

"I think (the cemeteries that have been asked) probably fear reprisals from people who have loved ones being buried there, people who may potentially buy lots there," the funeral director said.

Tsarnaev and his younger brother, Dzhokhar, are accused of setting off two deadly explosions at the Boston Marathon in April.

The funeral director says he is trying to do everything he can, but he's struggling.

"I think a lot of the people don't understand," Stefan said. "And it's an emotional problem, obviously."

But, "We have to bury this guy," he continued. "Whoever he is, in this country, we bury people."

But outside the funeral home in Worcester, about 40 miles west of downtown Boston, picketers denounced plans to bury the marathon bomb suspect in their community. One held a sign that read, "Bury the garbage in the landfill."

Bomb suspect's friend out on bail, released to mom

William Breault, chairman of a Worcester civic group, told CNN that Stefan "made a big mistake" agreeing to accept the remains, "and now we're in a situation where nobody wants to take him."

"I not only don't want to see him buried in Worcester, Massachusetts, very close to where I live, I don't think he should be buried in the state," Breault said. He said his organization, the Main South Alliance for Public Safety, is trying to raise up to $5,000 to have Tsarnaev's body shipped overseas.

"He's not a citizen, he shouldn't be given rights," Breault said.

Meanwhile on Monday, a law enforcement official who spoke to CNN said that investigators believe that Tsarnaev accessed Inspire magazine -- an English-language magazine published by al Qaeda in the Arabian Peninsula -- on a computer in the apartment where he and his wife lived.

The Inspire material had instructions on bomb-making, the official said. Asked whether the computer belonged to the husband, his wife, or whether it was shared, the official said only that investigators believe the husband was accessing that material.

What are the options?

It may be possible to look to the past for guidance on how to handle the remains of notorious figures.

Five new things in Boston bombing story

President John F. Kennedy's assassin, Lee Harvey Oswald, is buried in the Dallas area, where he lived before shooting Kennedy in 1963. Oklahoma City bomber Timothy McVeigh's ashes were scattered after his execution, though where is a mystery. The body of Abraham Lincoln's killer, John Wilkes Booth, lies in an unmarked grave in a Baltimore cemetery where other members of his family are buried.

Cremation is not an option because Islam does not allow it, according to Naeem Baig of the Islamic Circle of North America. However, it would not violate Islamic tradition to bury Tsarnaev in an unmarked grave, which may reduce the odds that a cemetery would suffer a backlash for providing space.

In fact, it's customary for Muslims to forgo gravestones, according to John Esposito, a professor of international affairs and Islamic studies at Georgetown University.

"That burial could be carried out by simply saying he was buried in a cemetery and burying him without a marker," Esposito said.

Some might ask why there hasn't been a move to bury Tsarnaev at sea, the way Osama bin Laden was buried. First, bin Laden's body was in the possession of the federal government, which isn't the case with Tsarnaev's body.

Secondly, as Baig points out, it wasn't a concern that relatives of bin Laden should be consulted. The United States asked Saudi Arabia if officials objected to burying bin Laden at sea. The Saudis did not.

A family matter

In Tsarnaev's case, his parents are alive and in the Russian region of Dagestan. But Tamerlan Tsarnaev held a passport from the former Soviet republic of Kyrgyzstan, where he was born, so his remains can't be sent to Russia, said Zaurbek Sadakhanov, a lawyer for the parents.

Tsarnaev had requested a Russian passport but had not received one, Sadakhanov said. His parents have not asked that his body be brought to Russia -- and in any event, Russian law says the bodies of "terrorists" killed by government forces should be buried in an undisclosed location, without the family being notified of the site, he said.

Esposito said that although an unmarked grave may not violate Islamic practices, it could certainly run afoul of the courtesy of getting Tsarnaev's parents' permission to conduct their son's burial that way.

On Monday afternoon at a media event, Massachusetts Gov. Deval Patrick stressed that the fate of Tsarnaev's body rests with his family.

"First of all, this isn't a state or a federal issue. It's the family's issue," the governor said, responding to a reporter's question. "And the family has some options. I assume they will make a decision soon. I hope they do. I think everybody is feeling upset about what happened."

A reporter asked: "Do communities have a right to refuse the body?"

"I don't know about right," Patrick answered. "I think, if you're asking about legal rights and so forth, I don't know the answer to that. But I understand that the family does have some options, and I expect they will make a decision soon."

Asked if he opposed burying Tsarnaev in Massachusetts, Patrick said, "I don't have a comment about that or a point of view."

Watch: Imam doesn't want body either

On Sunday, Tsarnaev's uncle Ruslan Tsarni was the only relative at Stefan's funeral home.

Tsarni, who decried the bombing suspects as "losers" after the attacks, performed the Islamic tradition of preparing a body for burial, washing and shrouding it.

He said he had not been in contact with Katherine Russell, his nephew's widow.

"I'm left alone to deal with this matter," Tsarni said. "And I want to stress that Tamerlan Tsarnaev has no other place to be buried. There's no other place who would accept his body."

Cambridge clash

Tsarnaev's uncle wants him buried in Cambridge, Massachusetts, arguing that it's his nephew's home. "He grew up here," Tsarni said.

But town officials have strongly rejected the idea.

"The difficult and stressful efforts of the citizens of the City of Cambridge to return to a peaceful life would be adversely impacted by the turmoil, protests, and widespread media presence at such an interment," City Manager Robert W. Healy said in a statement Sunday.

Stefan suggested Monday that he and the family are considering appealing to a Muslim cemetery outside Massachusetts. And yet, that might not work either, he fears.

"I feel the same problem exists when the neighbors and the people find out what we're doing," Stefan said.

He added that most of the cemeteries in Massachusetts are nonsectarian with a section set aside for Muslims.

"The only true Muslim cemetery is in Connecticut," he said, without naming the cemetery he was referring to.

"At this point, any outcome would be better than nothing," Stefan said.

And he will continue to try to bring this painful experience -- for everyone -- to an end.

Stefan has said that if no grave site is found, he plans to ask the U.S. government to find one.

"This is a big problem, and somebody has to step in and say, 'Look, we're going to have to do something here,' " he said.

CNN's Susan Candiotti, Carol Cratty and Tim Lister contributed to this report.

@highlight

NEW: Massachusetts group raising money to ship body overseas

@highlight

Official: Tamerlan Tsarnaev accessed Inspire magazine on a home computer

@highlight

Peter Stefan says he is struggling to find a grave for Tsarnaev

@highlight

Cambridge's city manager says he won't allow Tsarnaev's burial in his city