Midland City, Alabama (CNN) -- Two bombs were discovered Tuesday inside the bunker where an FBI team rescued a 5-year-old boy from his kidnapper, the agency said.

The FBI said they "disrupted" the two explosive devices. One was in the bunker and another was in the PVC pipe that hostage taker Jimmy Lee Dykes sometimes used to communicate with the authorities, Special Agent in Charge Steve Richardson said in a written statement.

The agency sent in a hostage rescue team after negotiations broke down with Dykes, who apparently had bombs in the bunker and shot at agents when they stormed the bunker.

The search for other bombs will continue Wednesday, Richardson said.

Dykes had held a 5-year-old named Ethan since abducting him from his school bus.

Ethan's mother said she awoke Tuesday to what she will forever remember as "the most beautiful sight ... my sweet boy."

For almost a week, Ethan, had been held by Dykes until an FBI team rescued him Monday afternoon.

Mother and child were reunited at a hospital.

"I can't describe how incredible it is to hold him again," the mother, who has not been publicly named, said in a written statement. "Ethan is safe and back in my arms, and I owe it all to some of the most compassionate people on Earth."

Ethan was released from the hospital Tuesday afternoon, Alabama state trooper Kevin Cook said.

Dozens of people attended a prayer vigil for Ethan on Tuesday night and signed a huge birthday card for the boy, who turns 6 on Wednesday.

Tough negotiations

A law enforcement source told CNN that Dykes was contentious with authorities from the beginning of the nearly weeklong standoff, but the conversations deteriorated rapidly toward the end.

The source said investigators talked with Dykes on the phone, exploring several strategies to resolve the situation, without success.

"The team kept going back to the same place -- that they had to go in and get Ethan," the source said.

They knew the rescue might be difficult.

"Dykes built this bunker specifically for law enforcement not to get in and him to not get out," the source said.

Dykes had reinforced the bunker to prevent others from getting in, Richardson said.

Law enforcement officers were able to see what was going on inside the underground bunker where the child was held hostage with a camera they slipped into the hideout, a law enforcement official said.

FBI sources said surveillance drones constantly monitored the situation.

As the standoff dragged on, an FBI hostage rescue team practiced on a nearby mockup of the bunker until kidnapper Dykes' declining mental state forced them to move in Monday afternoon, law enforcement sources said Tuesday.

The resulting assault -- from the top of the bunker, according to another law enforcement source -- ended with Dykes dead and Ethan free.

The other law enforcement official wouldn't say what exactly was done to get into bunker, but the FBI team didn't go in through the hatch.

Authorities took Ethan to the hospital for evaluation.

"He was running around the hospital room, putting sticky notes on everyone who was in there, eating a turkey sandwich and watching 'Spongebob,' " Dale County Schools Superintendent Ronny Bynum said.

The kidnapping

Authorities said Dykes abducted the young boy from a school bus January 29.

Dykes approached the bus and demanded that the driver hand over two children. Dykes killed driver Charles Poland as he blocked the aisle -- allowing children to escape from the back of the bus -- but Dykes seized Ethan and fled to the bunker, according to authorities.

Late Alabama bus driver called a hero

During the ensuing standoff, authorities were extraordinarily tight-lipped about what was happening, but said they were in contact with Dykes and said they believed he had not harmed the boy. He also allowed authorities to deliver food, medicine and at least one toy for the boy to play with, according to authorities.

The details about the law enforcement response to his abduction are the first provided by authorities about how they knew what was going on inside the bunker and why they decided to move when they did.

But many questions remain, including whether the Defense Department provided sensing equipment to aid in monitoring what was happening inside the bunker and why Dykes acted as he did.

'A big boom'

At one point Monday, Dale County Sheriff Wally Olson told reporters that Dykes had "a story that's important to him, although it's very complex."

But according to a law enforcement source, Dykes' mental state deteriorated in the 24 hours before the Monday afternoon rescue.

Experts from FBI units, including a crisis negotiation team, tactical intelligence officers and a behavioral sciences unit, had determined Dykes was in a downward psychological spiral, the source said.

At 3:12 p.m. (4:12 ET) on Monday, the FBI team went in.

While the law enforcement source said FBI agents went in through the top of the bunker, the source declined to say specifically how they breached the roof, how many agents were involved or whether Dykes shot himself or was killed by FBI gunfire.

A Dale County official told CNN that Dykes had been shot multiple times. The body remains "in the area" and will be examined by the county coroner before it is taken to Montgomery, Alabama, for autopsy by the Alabama Department of Forensic Sciences, the official said.

Tom Fuentes, a former FBI assistant director, said the rescue likely was complicated by the layout and materials used to build the underground bunker.

Rescuers would have had to come down stairs, exposing their legs and meaning Dykes would see them first, he said. And if there were brick walls, the FBI agents would have to shoot carefully to guard against ricochets -- all that after probably tossing in a flash grenade to stun the kidnapper.

"The FBI hostage rescue team is the best in the world, and they proved it yesterday," said Fuentes, who was not involved in Monday's rescue.

A law enforcement source would neither confirm nor deny that a flash grenade was used.

What's next for Ethan?

While Ethan recuperated Tuesday from his ordeal, school officials began planning a party to celebrate the boy's birthday and to honor Poland, the bus driver hailed by school officials as a hero.

While the party won't be ready by Ethan's birthday, it will be held soon -- likely at the Dale County High School football stadium, Bynum said.

After being kidnapped, the recovery ahead

Ethan's elementary school principal, Phillip Parker, said teachers are eager to have him back and "wrap their arms around him."

"Everybody knows Ethan. He's a good kid, a friendly kid," Parker said.

Relief that Ethan was safe was palpable in Midland City, but many questions remain about what comes next for him.

How does a 5-year-old heal from this ordeal? How does a youngster go on after witnessing his bus driver shot to death, then being dragged to an underground bunker by a gun-toting stranger? How will he deal with what he experienced the six days he languished in that hole and what he saw during the explosive rescue Monday that killed his captor?

"It's very hard to tell how he's going to do," said Dr. Louis Krause, a psychiatrist at Chicago's Rush Medical Center. "On the one hand, he might get right back to his routine and do absolutely fine. But on the other hand, the anxieties, the trauma, what we call an acute stress disorder, even post-traumatic stress symptoms, can occur."

A psychologist said even if Ethan appears to be doing well on the outside, he needs to talk out what happened to him. Hoping the 5-year-old will forget what happened would be a bad strategy, said Wendy Walsh.

"That's not actually good because when you start to forget, some traumatic events they get stored in your body as feelings that crop up at strange times in your life," she said. "It is better to process it, get some therapy."

When terrible things happen: Helping children heal

Someone who knows all too well what Ethan may go through is Katie Beers, who as a 10-year-old was held underground in a concrete bunker for two weeks by a New York man.

"I am ecstatic that Ethan has been retrieved safe and sound," said Beers, who recently released a book about her abduction. "As for my ordeal, I just keep thinking about the effects of it: being deprived sunlight, nutritious food and human contact. And how much I wanted to have a nutritious meal, see my family."

Beers says she still feels the effects of her kidnapping.

"The major issue that I have is control issues with my kids and finances," she said. "I don't like my kids being out of my sight for more than two seconds. And I think that that might get worse as they get older."

Guiding children through grief and loss

Support crucial for kids after trauma

Victor Blackwell reported from Midland City; Michael Pearson reported and wrote from Atlanta. CNN's Carol Cratty, Vivian Kuo, Rich Phillips, Larry Shaughnessy, Barbara Starr, Lateef Mungin, Steve Almasy and HLN law enforcement analyst Mike Brooks also contributed to this report.

@highlight

NEW: Well-wishers sign oversized card for Ethan, who turns 6 Wednesday

@highlight

Two bombs found in kidnapper's bunker, FBI says

@highlight

State police: Ethan released from hospital

@highlight

Law enforcement used a secret camera to see inside bunker, source says