(CNN) -- As Secretary of State John Kerry pursues new peace negotiations between Israel and the Palestinians, he and President Obama will need broad-based support in efforts for peace, which will come only through bridging the gulf between those who identify primarily with Israelis and those who identify primarily with Palestinians.

As a rabbi and the director of a Jewish human rights organization, I have seen how that gulf inhibits all of us in our ability to support the peace process.

A few cases in point: A pro-Palestinian activist was struggling to understand why the Jewish community reacts so strongly against calls to boycott and divest from Israel. After all, she told me, boycotts are an accepted nonviolent tactic for achieving a political goal. Didn't I know about the anti-apartheid struggle in South Africa? Or the fight for the rights of migrant grape workers in California? What about the Montgomery bus boycott?

But the word "boycott" carries terrible associations for Jews. I explained to her that it is linked in our minds to the boycotts of Jewish businesses in Nazi Germany, which presaged the deportations and murders. Then there's the history of blood libel, the false accusations of Jewish violence against Christians that often prompted boycotts and worse. The very word boycott triggers this communal post-traumatic stress, regardless of the intentions of those advocating for such tactics.

Not long after, the director of a national Jewish organization complained to me that protests against the occupation, including calls for boycotts and divestment, seek to smear Israel's image and de-legitimize the country's right to exist. Although I don't support boycotts of Israel, I challenged him to consider that the worst damage to Israel's image and credibility might come from the occupation itself.

The failure of the two sides to communicate has implications far beyond whether pro-Israel and pro-Palestinian advocates can get along.

Within the United States, we have seen a breakdown in relationships between Jewish communities and other minority communities who have long been natural allies for an open, diverse and equitable America. The inability to break out of one-sided rhetoric also limits both sides' willingness to accept the painful concessions that will be necessary for peace.

Those who sympathize primarily with the Palestinians must recognize that the trauma of the Holocaust and of thousands of years of anti-Semitism remains an open wound for the Jewish community. We will never "get over it." Acknowledging this trauma does not mean that criticism of Israeli policy is off limits. Instead, those protesting the occupation need to clamp down on any rhetoric that crosses the line into anti-Semitic stereotyping, that denies Jewish history and identity, or that dismisses the suffering and human rights of Israelis.

There can be no space within the anti-occupation movement for negative portrayals of Jews, calls to wipe out Israel, or diatribes against "Zionists," a word that most Jews understand as a barely veiled reference to all of us. When Hamas militants shoot rockets at towns and villages in Israel, the Jewish community needs to hear condemnation from those who most often ally themselves with Palestinians.

Those who sympathize primarily with Israel must similarly reject dehumanizing rhetoric about Palestinians or Muslims. It is vital to acknowledge the day-to-day suffering of Palestinians, who contend with the theft of private land, long and demeaning checkpoint lines, and violence from settlers and soldiers.

Responding with disbelief to painful narratives, or countering with stories of Israel's scientific and medical achievements, paints the Jewish community as tone deaf to the suffering of others. When the Israeli government issues building permits for a new settlement, demolishes a Palestinian home, or levies only minor penalties on Jews who attack Palestinians and their property, mainstream Jewish leaders need to condemn these actions as unjust and destructive of the possibility for peace.

Those on both sides who are unwilling to change their rhetoric should come clean about whether they are actually committed to peace. Those who tolerate language that demonizes Jews or who justify violence against Israeli civilians must ask themselves whether they are actually most interested in achieving a better future for Palestinians, or whether they are indulging in dangerous anti-Semitism. Those who dismiss Palestinian suffering or who rationalize violence against Palestinian civilians must ask themselves whether they are serious about a two-state solution, or whether they are simply looking for excuses to sustain the occupation indefinitely.

Each side also needs to look forward instead of back. Jews must acknowledge that this moment is neither the Germany of the 1930s nor the Israel of the second intifada. The very prominence of boycotts, protests and appeals to the United Nations -- whether we approve of these tactics or not -- reflects a decision by the Palestinian majority to pursue nonviolent efforts to achieve a state. Those who take up the Palestinian cause must acknowledge that the state of Israel and its more than 6 million Jewish citizens are here to stay. Both sides need to stop arguing about whose fault it is that previous negotiations have failed.

It's easier to attack and defend than to seek to understand the other side's legitimate needs and emotions. But there's no easy way around it. Creating a just and peaceful future for Israelis and Palestinians requires doing it the hard way.

The opinions expressed in this commentary are solely those of

@highlight

Israeli-Palestinian peace talks need support that comes from understanding of both sides

@highlight

Jacobs: Palestinian sympathizers, know the Holocaust is an open wound

@highlight

Jacobs: Israeli sympathizers, stop dehumanizing Palestinians, accept their suffering

@highlight

Each side needs to look forward, stop arguing over who's to blame, she says