(CNN)Mark Zuckerberg likes to make resolutions for the New Year.  Once he decided he must only eat meat that he had killed himself -- an admirable, if quirky, resolution for any vigorous young man with a rifle.

Another time he decided to learn Mandarin Chinese -- not a simple task.  I wonder how that turned out?  Now he's vowed to start a book club, hoping to channel the reading attention of the millions who follow him on Facebook.  I like his latest idea a lot:  Anything that gets people reading and talking about books is a good thing.

If I were Mr. Zuckerberg, I would aim for books that can be read slowly and carefully by busy people in their spare time, choosing ones with the capacity to enlarge their sense of what it means to be human and to live respectfully and generously among others.  Which ones would you pick?

Here are 10 books that have meant a good deal to me  -- a mix of fiction and nonfiction:

1."Adventures of Huckleberry Finn," by Mark Twain.  This is the primary text of American literature, high on any serious list of world classics.  It's a book about the American soul, about race and community, and about the urgent need to "light out for the territory."  As Huck and Jim float down the Mississippi on their quest for freedom, they take every reader of this truly great novel with them, forever.

2."The Death of Ivan Ilyich," by Leo Tolstoy. Written after Tolstoy's conversion to his own idiosyncratic version of Christianity, this short Russian novel brings us face to face with mortality.  Each of us, sooner or later, will die.  In the process of dying, Tolstoy's lead character comes to terms with his life and its meaning, which is made all the more vivid as it fades.

3."July's People," by Nadine Gordimer. This slim, intense novel appeared in 1981, not so long before apartheid had ended in South Africa.  It imagined a violent finale to that conflict between blacks and whites -- an ending that (fortunately) didn't materialize.  Yet this novel remains a strong evocation of cultural and racial differences; the sort of book that helps to explain racial divides that continues to haunt us.

4."Walden," by Henry David Thoreau.  Another great American book, one that makes the vital connection between spirit and nature.  It's an autobiographical masterpiece as well; the story of one man's quest for meaning in the wilderness.  It's a wry, touching, eloquent evocation of human consciousness as well as conscience.  Nobody can afford NOT to read this book slowly, carefully, more than once.

5."Things Fall Apart," by Chinua Achebe.   This fine African novel has been justifiably chosen by millions of readers as a book that gloriously summons the social, cultural and intensely personal situation of modern Africans living in the wake of colonial power.  Achebe saw his fellow Nigerians as individuals caught in a web of social relations, delineated here with clarity and confidence.

6."Tao Te Ching," by Laozi, translated by Stephen Mitchell.  This Chinese classic is one of the most influential books I have encountered in half a century of reading.  The art of living is beautifully unfolded here in 81 tiny chapters.  The author invites us to conform to the Tao itself, the universal principle of being, and his book teaches us how to live with ourselves and with others, how to govern a nation, a family, ourselves.  It is a book to live with and learn from, decade after decade.

7."Pilgrim at Tinker Creek," by Annie Dillard.  This lovely work of American autobiography is about paying attention to one's surroundings.  Dillard explores the natural world around her home in the Blue Ridge Mountains, moving through the seasons, coming to terms with her own solitude, her sense of vocation as a writer, and her understanding of what faith means.  It's a book that should be read in tandem with Thoreau's "Walden."

8."What Is God?" by Jacob Needleman.  A philosopher and religious scholar, Needleman writes about his own spiritual journey from atheism to a more complex understanding of the source of all being.  Needleman asks:  "Who is wise?"  His answer is:   "one who learn from everything and everyone."  This book asks, even answers, many of the basic questions about being human, drawing on a wide range of religious traditions.

9."Of Woman Born:  Motherhood as Experience and Institution," by Adrienne Rich.  Published in 1976, this eloquent meditation on motherhood is told from the viewpoint of one of the finest American poets of the 20th century.  It's a landmark study, a foundational book in modern feminist thought, and well worth reading, then rereading.

10."One Hundred Years of Solitude," by Gabriel García Márquez. The longest book on my list, but nobody can afford to ignore it.  My old mentor, the Scottish poet Alastair Reid, used to say that anyone who hasn't read this book is still an intellectual virgin.  Márquez tells the story of a single family in a remote village in Colombia.  But this story is the human story writ small, the story of history itself, with its inevitable repetitions, its recurring ghosts, grounded in the nearly untranslatable poetry of human feeling.

@highlight

Jay Parini: Zuckerberg starting book club. He should read books that illuminate humanity

@highlight

He says classics by Twain, Gordimer, Tolstoy, Achebe, Dillard among 10 must-reads