Italian explorer Marco Polo spent 17 years working in the court of Kublai Khan's China, but today most foreigners seeking to live and work in the country aren't looking for the same time-invested cultural exchange.

"It's the place to make money," explained Aynura Askerova, a Russian who has lived in the southern Chinese metropolis of Guangzhou for four years.

Work as a fashion model has taken Askerova across China and the rest of Asia, but "now it's time to find a real career," she said last month, in an overly-illuminated hotel conference room in the city's China Marriott Hotel.

Like hundreds of other visitors from across the world, the graduate in software development from Kazan State University was there for the Jobs Fair for Foreigners; one of three annual events organized by the Chinese government, where expats get a rare chance to meet prospective employers face-to-face.

The events have been a honeypot for job-seeking expats, particularly since the global economic crisis of 2008. While economic growth in China has slowed in the last year, the 7% to 8% predicted growth is positively booming compared to Europe and the United States, leading many to believe their prospects there might be better than at home.

However the perception that expats, particularly from western countries, can just walk into a job or career in China is now out of date.

"The novelty of being a foreigner has worn off," said Shanghai-based Simon Lance, regional director in China for recruitment firm Hays. "Employers are seeking value. Demonstrating a genuine commitment to China is key."

That can include language skills and being willing to spend more than just one or two years in the country, he added.

Read more: Can China become a melting pot?

According to a report by the state-run Xinhua news agency, nearly 7 million new Chinese graduates entered the jobs market last year. It's a figure that is set to increase in the coming years as China expands its number of higher education institutions, adding to the challenge for foreigners embarking on their careers in the country.

"That side of the workforce there's almost an oversupply of junior end candidates," said Lance. "So it's hard for expats to compete. Without Mandarin or local language skills I'd say it's almost impossible."

Nick Cucinella, CEO at CareerBuilder China, advises graduates to have a CV in both English and Chinese, even if they don't speak the language, and that taking the initiative and targeting prospective employers and Chinese companies is the best path to a job.

"Not many people do that, but if they do they will be very well received. Too many just use jobs sites and search engines," he said.

Read more: The best job in 2013 is...

However for those with established careers and particular skill-sets, demand exceeds supply in many industries.

Big infrastructure projects in China mean that recruitment companies are seeing a desire for experienced architects and design engineers, plus a strong demand for those in the pharmaceutical industry, as local and international companies invest in R&D facilities in the country.

"Chinese companies  realize they have to offer more than just a job, but show that the city is good place to live, raise children and there's enough going on," said Cucinella.

The recruitment process in China could also seem quite strange to many westerners.

"At a market in China you're expected to haggle and that applies in some way to job negotiations. Westerners don't want to feel like they're haggling over their life, they want to feel wanted," said Cucinella.

However a larger trend is localizing the workforce across positions, believes Lance.

If the employers he recruits for have a wish-list it is usually for a Chinese national who has gained many years of experience studying or working abroad.

These "haigui," or sea turtles as they are called in China, hit the employment sweet spot with "both the cultural connection and the language skills," according to Lance.

"They provide a pretty good compromise between being able to connect and communicate with local Chinese staff, but have a good understanding of western business and management practice. They bridge the two worlds quite well."

Read more: Can Twitter get you a job?

For those expats at the Guangzhou event swimming against the rising tide of competition, employing a number of techniques is necessary to make it in China -- local connections being one of the most useful.

"Having a connection, or 'guanxi,' is important," said German national Max Storz, who found a sales job in Guangzhou through a contact of his girlfriend. "It helps a lot to find a job and get things done in general."

It's worked for Askerova, too. With business partners she met in China, she has been able to register a trading company in Hong Kong alongside developing a modeling career.

"There are cultural differences to work out, and it was hard for me at first (living in Guangzhou), very different," she said. "But there is really nowhere else like it."

@highlight

For foreigner graduates it is increasingly hard to find jobs and develop careers

@highlight

Guangzhou's annual jobs fairs for foreigners attracts hundreds from overseas looking for employment

@highlight

Around 7 million Chinese graduates enter the jobs market each year

@highlight

Still lots of opportunities for those expats with established skills