It is spacious, contemporary and livable.

There are stainless steel appliances, hardwood floors, and the bedrooms are painted a soothing green. Stately columns convey "comfortable suburban." A savvy realtor could market it as "The Woodlands" model or "The Retreat."

But when the owner of a super-energy efficient house in the Maryland suburbs is the U.S. government, you bet the name will leave you scratching your head.

The welcome mat reads: "Net-Zero Energy Residential Test Facility," or NZERTF.

Built on the campus of a national technology testing site, the "Net-Zero House" is the nation's newest science lab.

Government scientists and engineers will use the 2,700 square-foot home as a test-bed to develop ways to measure products, materials and systems that make a house energy efficient and green.

They aim to demonstrate that an attractive home for a family of four can be "net-zero energy" -- meaning it produces as much energy annually as it consumes.

"What we wanted to do was show that it's possible to do in homes typical in size, with the aesthetics and features of a home in a metropolitan area," said A. Hunter Fanney, chief of the National Institute of Standards and Technology's Energy and Environment Division.

Buildings are an often overlooked part of the U.S. quest for energy independence, Fanney said.

Residential buildings consume 22 percent of the nation's energy and commercial buildings eat up another 18 percent, he said.

Making homes more efficient, proponents say, will help reduce the country's dependence on energy imports and cut greenhouse gases blamed for global warming.

Turning up the heat to drive down carbon emissions and energy bills

Fanney and other experts say that ways to measure systems in the complex environment of a home are lacking. Their solution: this project.

The "Net-Zero-House" was built using commercially available products and constructed to exacting specifications to make it air and water tight.

It bristles with state-of-the-art technology, including photovoltaic panels on the upper roof to convert sunlight to electricity and solar thermal panels on a lower roof to heat water.

Three types of geothermal systems use ground temperatures to heat the house in the winter or cool it in the summer.

Radiant heating is embedded in the floors. Both conventional and high velocity duct systems distribute air. The house also has a "smart" electrical system.

"I'd love to live in this house. It has all the amenities," Fanney said, adding that it will be "extremely comfortable."

But who will actually live in it?

Meet "the Nisters" -- a "virtual family" scientists created to help simulate the impact of real people on the house.

The "Nisters" simulate two working adults and children, ages 14 and 8. Devices in various rooms will mimic them, emitting heat and humidity at appropriate times, while sensors record conditions.

"Every movement of their lives has been scripted. Lights will go on and off; showers will take place," said Fanney. "Appliances will be turned on and off just as a family of four would use them."

"The reason they're not real people is we want to have control," he said. "With real people, we all live randomly, so it's very difficult to have this control in place."

Meanwhile, scientists in the detached garage will monitor conditions.

CNNMoney: Can the Navy really go green?

Approximately $2.5 million has been spent on the house using federal stimulus money. As a condition of the stimulus funds, almost all of the house was built using American materials and products. The lone exception -- a ventilation device in the basement -- was made in Canada. No similar device is made in the United States, the laboratory said.

What will happen to the house once tests are completed?

"I don't think that we'll ever be finished with this facility," said Fanney.

He envisions new energy technology "for the next three or four decades."

And he suspects that the research will allow homebuilders to advertise a house's energy efficiency.

"Buildings will have an energy label on them much as cars have a 'miles per gallon' label today," he said.

TIME: Pro Sports Go Green. Do Fans Care?

@highlight

Stainless steel appliances, hardwood floors, and columns convey suburban comfort

@highlight

'Net-Zero House' is aimed at energy efficiency and is the nation's newest science lab

@highlight

A virtual family of four will 'live' in the house and will test climate, water and other systems