Beijing, China (CNN) -- Celebrating the traditional Lantern Festival this week, many Beijing residents spent a lot of money dining out and setting off fireworks to mark the end of the Chinese Lunar New Year. "For the rich the money they spend is mere peanuts," says Mei Yana, a migrant from rural Henan province working as a restaurant waitress.

Aren't Chinese getting battered with high inflation? "That's the ordinary people's worry," she said.

The annual "Blue Book of China's Society" compiled by the Chinese Academy of Social Sciences noted that last year rising prices topped the list of the public's concerns.

The consumer price index, a gauge of inflation, hit 5.1% last November, despite government pledges to rein it in at just 3 percent. Now hovering around 5%, CPI may seem manageable, but its food component is around 10%, with certain items soaring even faster.

"Prices of meat, fish and vegetables have gone way up," complained Wang Rongfang, a 68-year-old pensioner shopping at the Xinyuanli market in Beijing.

Sometimes inflation pinches in disguised ways. In local retail stores visited by a Chongqing Evening News reporter, prices of some instant noodle brands were unchanged, while the weight of their packages fell from 95g to 85g.

Some residents make ends meet by scrimping, others with black humor.

Jokes circulating on Chinese-language websites offer suggestions on how to save money in inflationary times. "Tell disgusting jokes to stop your wife from eating," says one. Another, in citing the soaring prices of meat, goes: "My son has graduated with a PhD. He is considering whether to work for a software company or the pork business."

But inflation is no joking matter for China's Communist Party rulers, as soaring costs could trigger social instability. "The Communist Party came into power in 1949 in part due to hyperinflation after World War II that broke the back of the Chinese economy and the Nationalist regime," says Patrick Chovanec, associate professor at Tsinghua University School of Economics and Management in Beijing. "They know they nearly lost power in 1989 in part due to anger over rising inflation that fueled the Tiananmen protests."

The Chinese government has taken measures to curb inflation, from offering more subsidies for farmers to produce more essential goods to imposing price controls on scarce goods and government services. In recent months, China has tapped on the brakes to cool the overheated economy, albeit with limited success.

Some analysts say prompt government measures are mitigating risks to avert a repeat of the Tiananmen Square unrest in 1989, when Beijing witnessed massive street protests that ended in a bloody crackdown on June 4. "The current 5% inflation rate is far below the 20% in May 1989," said Wenfang Tang, a political science professor at the University of Iowa in the United States. "Prices have been rising continuously in the past several years, so it is not a shock to most people in China."

Still, some economists say the CPI is only one measure of inflation and does not capture the full inflationary pressure in China's economy today. China's money supply, they say, has expanded by more than 50% over the past two years -- the stimulus fueling China's red-hot growth rates.

With such monetary expansion, the question isn't why China is battered by inflation, but why China hasn't seen more inflation sooner.

One explanation: All the new money printed went mainly into an investment boom, not a consumption boom. State banks lent out new money, which went to bid up the price of land, the price of commodities -- into so-called "asset inflation."

Asset inflation, experts say, does not feel like inflation. "When the price of bread doubles, it feels like it's getting harder to make ends meet," says Chovanec of Tsinghua. "When the price of high-end condos doubles, it feels like smart investors are getting rich -- it feels like a boom."

Eventually, the asset inflation spills into the general price level. "In my view, that's the real worry in China -- that what we're seeing in terms of CPI rates could just be the tip of the inflation iceberg," Chovanec added.

By incrementally raising interest rates and reserve requirement ratio for banks, China has slowed down its inflation rate but only modestly. Ultimately, experts say, what China needs to do is tighten its money supply, which is still growing at nearly 20% yearly.

@highlight

"Blue Book of China's China's Society": Rising prices topped public's concerns last year

@highlight

Inflation is no joking matter for China's Communist Party rulers

@highlight

Soaring costs could trigger social instability, as history attests