Hong Kong (CNN) -- For sale: Hong Kong apartment with sweeping sea views and three rooms, all signs of a recent grisly murder in the bathroom eliminated, will take offers between 15-20% below market value.

In Hong Kong, where superstitions can make or break a property deal, a real estate advertisement like this is not beyond the realms of the fantastic.

With the local property market showing signs of cooling, almost every angle is worked to increase yields, and a trade in so-called haunted houses is now a visible feature of the market.

"There are a group of people that go around and bid on them," explains Eric Wong, a realtor with Hong Kong's Squarefoot.com.hk. "Chinese people, especially in Hong Kong, don't like houses where something unfortunate has happened.

See a list of 'haunted houses' at Squarefoot.com.hk

"This means they can sell for less, which makes the rental yields greater. The normal yields are between 3-4%, but an apartment where there's been a murder can get a yield of about 7%," he said.

The apartment is then rented to someone who does not share the same set of beliefs -- normally a foreigner -- although some realtors say there are Chinese clients who don't care and one even identifies doctors and nurses 'who are used to working around the dead' as potential tenants.

"It often depends on the circumstances of the death and what stories and rumors are attached to it," says Wong. Particularly gruesome murders or harrowing deaths can affect the market price of the whole floor of apartments; in some cases, the entire building.

"There was a bad murder in an apartment block in Quarry Bay in Hong Kong," he says. "A wife killed her husband, cut the body into pieces and placed the parts in dustbins on every floor. Even 15 years later, apartments in that block are still difficult to sell."

For superstitious Hong Kongers, the building is hongza -- a term derived from the Cantonese word hong, meaning violence, murder or calamity, and za meaning residence.

Hongza houses can sometimes sell for as low as 40% below the city average, although 15-20% is more usual. Wong says his company recently opened up a section on its website called Haunted House in response to the growing market.

"We were approached by agents who wanted to access this information more conveniently," he says.

The section, which details government data on unusual deaths and murders in apartment buildings across Hong Kong since 1977, makes for macabre reading. One typical entry for an apartment block in Yuen Long reads: "36-year-old female secondary school teacher faced a marriage crisis, jumped off the building after sending a text message to her husband."

With all the details rendered in the sparse language of a police log entry, one could be forgiven for thinking that Hong Kong life was a depressing litany of fatal misfortunes. However, realtors say an apartment is more or less hongza, depending on what happened there.

"I have heard of realtors using this list which identifies places from one skull, which is like a fatal accident, to four skulls which is a high-profile murder," says Wong. "But I think it's really an unofficial thing."

One realtor, who did not want to be identified, told CNN that hongza tends to wear off, as the apartment changes hands.

"A subsequent owner will not attract as much bad luck as the first person who buys the flat after someone died there," she says. "Even so they can sometimes sell quickly -- I was just about to sell a hongza house to a client when another agent made a winning offer for a client.

"My client must have missed it by all of half an hour."

Despite their popularity among savvy bargain hunters, apartments where people have met violent or unusual ends are heavily stigmatised and banks will routinely run checks before lending on a hongza house, realtors say.

Agents are legally required in Hong Kong to reveal to a buyer whether something has occurred on a property.

"A Lands Department search will show what has happened in an apartment," says Wong. "If we don't reveal that to a buyer they can take action against the agent."

For those with deep pockets, however, and without a willing foreigner to take up a lease, the investment strategy is simply to wait it out.

"Time heals all wounds," notes Hong Kong property speculator and blogger Mo Yu-Wen. "As time goes on, though, fewer and fewer people will remember what happened and the value will go up again."

@highlight

Hong Kong people tend to shun houses where the occupant met a violent death

@highlight

The apartments are known as "hongza" in Cantonese, meaning "calamity houses"

@highlight

'"Hongza" apartments can sell at a steep discount, sometimes as much as 40%

@highlight

Buyers still trade in the apartments, which can show a strong yield on the rental market