It's one of the most influential offices in a building full of partisan bickering and mudslinging -- and its leader is supposed to rise above politics.

The Congressional Budget Office director's term is up in less than two weeks and recent reports indicate Republicans won't give Democratic appointee Doug Elmendorf another four years leading the office charged with projecting the cost of bills. Instead, Republicans may look to pick a successor whose numbers will better jive with theirs.

The potential shake-up comes as Republicans -- including influential House Budget Chairman Tom Price of Georgia -- push to change how the office makes its calculations.

Rather than having the office crunch the numbers on new policies based on the current economic landscape, Republicans would like to employ a method called "dynamic scoring."

This approach takes into account people changing their behavior based on the policy changes, which the GOP feels will make it easier to push for tax cuts. That's because under "static scoring," tax cuts show up in the budget simply as a revenue loss. But under dynamic scoring, the CBO would theoretically take into account GOP arguments that such cuts would stimulate economic growth and as a result either pay for themselves or create even greater tax revenue down the road.

And the stakes are high when it comes to other highly debated policies. Over the next two years, Congress is expected to debate everything from the budget to immigration reform, and will rely on the CBO to estimate the costs. Those numbers can drive the political debate, as they are highly cited in the media and by politicians seeking advantage.

Plus, there's Obamacare.

Republicans have vowed to hone in on Obama's signature piece of domestic legislation, which they say will add $131 billion to the deficit over the next 10 years, a stark contrast to the CBO's projections that the 2010 law will reduce the deficit by about $124 billion.

Though CBO projections have been steeped in a strong tradition of independent, nonpartisan analysis over the office's 40-year history, some say Republicans could appoint a director who would insert his bias as he or she looks at the cost and economic impact of proposed legislation.

Founding CBO director Alice Rivlin, a Democrat, said political appointees from both sides of the aisle have upheld that nonpartisan tradition since she became the office's first director, winning respect from both sides of the aisle, and she believes that tradition will continue.

"One would hope that you would have a CBO director who does not let ideology get in the way of making good estimates," said Rivlin, who now works at the Brookings Institution. "[Congress] values having a credible institution that they can rely on to give them the best estimates possible."

But Stan Collender, a former House and Senate budget committee staffer, said the hyperpartisan climate in Washington could lead Republicans to pick a budget director who would stray from the office's impartial mission.

"This could be the beginning of the end of the congressional budget office if it loses credibility," said Collender, now the executive vice president at Qorvis MSLGROUP. "It's not clear that whoever the Republicans pick will be nonpartisan. The fact that it's been relatively true in the past doesn't mean it's going to continue in the future."

"What's going on now is you've got one side, whoever's in charge, trying to impose their will on the other," Collender said.

It's not atypical for a new majority in Congress to appoint one of their own to the CBO once the incumbent's term is up, but the conservative charge not to reappoint Elmendorf as director comes amid a racket of support from economists on the left and the right.

RELATED: David Koch is a 'social liberal' but votes with his wallet

Greg Mankiw, former chairman of President George W. Bush's Council of Economic Advisors, wrote in a blog post last month that Elmendorf has demonstrated both "competence and impartiality" and "shown himself to be scrupulously nonpartisan" as CBO head.

"I understand that GOP leaders may be tempted to put their own stamp on the Congressional Budget Office. But sometimes the benefits of continuity transcend ideology and political affiliation," Mankiw wrote.

And Democrats, many of whom have had their own complaints about Elmendorf, would go haywire if Republicans look to change the character of the CBO.

"Any effort by Republicans to interfere with the professional integrity of the CBO by selecting someone to push their failed 'trickle down' economic theory of tax cuts for the wealthy through dynamic scoring would undermine the credibility of CBO and the entire budget process," said Rep. Chris Van Hollen, the top Democrat on the House Budget Committee.

Incoming House Budget Committee Chairman Tom Price's spokesman declined to comment on whether Elmendorf would be replaced in January.

But former CBO director and Republican appointee Doug Holtz-Eakin said he believes the "ratio of rhetoric to reality here is extremely high."

"There's always a concern that the next CBO director is going to politicize the place," said Holtz-Eakin, now president of the American Action Forum. "It never happens."

But even if a CBO director would never "put their finger on the scales," Holtz-Eakin said, the CBO director does have influence over what issues and studies are prioritized. And the party leadership is sure to drive their priorities into the office with their own person at the helm.

And to really change procedure, congressional budget leaders would need to alter the budget office's rules for calculating the legislation costs -- something Price has tried to do through legislation. Putting someone in charge who would eschew the rules as they are would set a serious precedent, one that could hurt Republicans if Democrats take back the Hill.

@highlight

Republicans likely won't reappoint congressional budget director Doug Elmendorf when his term ends next month

@highlight

Two ex-CBO directors say the office will remain nonpartisan, but others worry the hyperpartisan environment could change the calculus

@highlight

The next CBO director could have a big impact on key pieces of legislation, from budget negotiations to Obamacare

@highlight

This comes despite Elmendorf's high ratings among both right- and left-leaning economists