New York (CNN) -- New York Gov. Andrew Cuomo is asking state legislators to decriminalize possession of small amounts of marijuana that are in public view.

Saying the aim was to avoid unnecessary misdemeanor charges against thousands of New Yorkers -- "disproportionately black and Hispanic youth," according to a statement from the governor's office -- the legislation "brings consistency and fairness" to New York's marijuana laws.

"There is a blatant inconsistency. If you possess marijuana privately it is a violation, if you show it in public it's a crime. It's incongruous. It's inconsistent the way it has been enforced," Cuomo told reporters at a press conference in Albany on Monday.

In 1977, New York's legislature reduced the penalty for possessing 25 grams or less of marijuana to a non-criminal violation carrying a fine of no more than $100 for first-time offenders -- as long as the marijuana was in private possession and not in public view.

If the marijuana is out and viewable in public -- as it might be when someone is asked to empty his or her pockets during a so-called police "stop and frisk" -- it becomes a Class B misdemeanor.

Selling and smoking or burning marijuana is still a crime, and Cuomo is not suggesting changing that.

"The statute as currently written unnecessarily subjects tens of thousands of people to criminal arrest and prosecution for very small quantities of marijuana," said New York State Assembly member Hakeem Jeffries.

"The overwhelming majority of people who have been arrested as a result of the way that the statute is currently written come from the black and Latino community," Jeffries said, adding that statistics and studies show that marijuana possession and use "is far more racially diverse."

According to data released by the governor's office, 2,000 arrests for small amounts of marijuana were made in 1990. In 2011, over 50,000 arrests were made. Fifty percent of those arrested were under 25 years old, and 82% were black or Latino. Less than 10% were ever convicted of a crime.

"The human costs to each defendant charged with a misdemeanor are serious," said Manhattan District Attorney Cyrus R. Vance Jr., supporting Cuomo's proposal. "The simple and fair change proposed by Gov. Cuomo will help us redirect significant resources to the most violent criminals and serious crime problems, and, frankly, it is the right thing to do."

According to the governor's office, 94% of arrests for small amounts of marijuana in the state are in New York City, and Mayor Michael Bloomberg, the New York Police Department and Police Commissioner Ray Kelly have come under fire in recent years for the department's much-criticized "stop and frisk" policy.

Bloomberg wants to ban large sodas

"Overly punitive charges have a harmful effect on our justice system. They can ruin lives, waste taxpayer money on unneeded trials, and breed distrust between communities and law enforcement," said Gabriel Sayegh, New York state director for the Drug Policy Alliance.

Last year Kelly issued a policy order directing officers to issue violations, rather than misdemeanors, for small amounts of marijuana discovered during street searches, and Monday, Bloomberg issued a statement in support of Cuomo's comments.

"The governor's proposal today is consistent with the commissioner's directive, and strikes the right balance by ensuring that the NYPD will continue to have the tools it needs to maintain public safety -- including making arrests for selling or smoking marijuana," he said. "Thanks to the NYPD, our city has come a long way from the days when marijuana was routinely sold and smoked on our streets without repercussions."

At the press conference Monday, Kelly said, "I was asked to respond to criticism by some members of the (City) Council that the Police Department was making, quote, 'too many' arrests for small amounts of marijuana. And my response to them, was, 'Well, your option is to go to Albany and get the law changed' -- better that than having New York City police officers turn a blind eye to the law as it was written, and as it is still written."

@highlight

A 1977 law makes private possession of 25 grams or less a non-criminal violation

@highlight

But if the marijuana is publicly visible, the same amount is a Class B misdemeanor

@highlight

Cuomo is asking that small amounts even in public view be decriminalized

@highlight

Selling and smoking or burning marijuana would still be a crime