(CNN) -- For some, the name "Williamsburg" conjures images of people wearing tricorner hats and churning butter. For others, the name brings images of people wearing skinny jeans and churning organic butter.

The former are thinking of Colonial Williamsburg, Virginia, a popular family vacation spot whose slogan is "The Future May Learn from the Past." The latter are thinking of Williamsburg, Brooklyn, a popular liberal arts grad landing spot whose slogan could be "Past: It's Me, Not You; L8er, the Future."  

Full-throated endorsements of Williamsburg, Brooklyn, are hard to come by. People find it too trendy or played out. Press further, and critiques fall into two categories: 1) It used to be cool, but now it's filled with fauxhemians: middle-class post-college kids looking for la vie boheme. 2) It's Exhibit A in the case against gentrification: Affordable rent brought artists, artists brought poseurs, poseurs and artists made it hospitable for investment bank bachelors, all three groups raised rents and forced out the low-income population that lived there in the '70s.

All of these complaints are right, of course, just as they would be in many places in New York metro. But they rest on one fundamental truth: People (whether they're your people or not) find Williamsburg attractive. On a recent visit, after being away for several years, I was reminded of why: It's a vibrant little village that punches far above its weight culturally and culinarily.  It teems with small businesses, and its streets are abustle, thick with beautiful youth in all manner of pomp.  

New Yorkers might be inured to the charms of an "emerging" neighborhood, but to a visitor Williamsburg, Brooklyn, can be just as eccentric and strangely charming as that other Williamsburg.  

I was there to visit old friends, partially reformed rabble-rousers who once raised hell here but are raising a family now instead. They were running behind, so I decided to "flaneur" the 10-block walk to their house.  I began at Seventh and Bedford Avenue, the gritty heart of the neighborhood, where the L train from Manhattan makes its first stop in Brooklyn. On some evenings, Bedford can feel like Bourbon Street for hipsters -- a corridor of beer-breathed smokers moving from one bar to the next -- but it being early evening on a Sunday,  the debauch-o-meter was dialed down.  

My first stop was Spoonbill and Sugartown, a beloved local bookstore that anchors a boutique mini-mall. Browsers clogged the shop, perusing design magazines and scanning book titles. Laptops remained sheathed in shoulder bags as people chicken-winged books and skimmed through literary journals. I bought a manual about how to be invisible that was written by a ninja. (I figured that after I read it I could just slip back into the store and take whatever other book I wanted.)  

New Yorkers might take scads of robust independently owned stores in stride, but for Americans who have been chainstored over the past decade, it's as much of a sight to behold as an open-air museum about colonial times.*  Spoonbill, like many of the shops in the neighborhood, is among the best in the country in what it does. Same can be said for Main Drag Music, an instrument shop up the street.  Same with Mikey's Hookup, the local electronics shop. Or the local bike shops. The "small businessmen" we hear so much about in election years are thriving in Williamsburg. 

When I left Spoonbill, I crossed the street  to UVA wines to pick up a house gift. (As the childless friend, it is my responsibility to bring the mischief.) Uva is just one of several small, competent liquor shops that litter the neighborhood. I bought a bottle and crossed the street again to buy socks (I miscounted when packing for my trip) at ID New York, a men's clothing store.

But I could have just as easily ventured to Oak or In God We Trust or Beacon's Closet, all smartly curated clothing shops within a few blocks. 

Now carrying a ninja book, a bottle of wine and a pair of socks, I crossed the street again to visit Bedford Cheese Shop. At Bedford, you're welcome to sample cheese to your partially clogged heart's content, so that's what I did. When I was done, I handed the clerk the bottle of wine I bought, told her how much I wanted to spend and was given two hunks of dairy wrapped in paper. 

A text from my friends; they're still not ready to receive visitors.

So I forged ahead with my wine, my cheese, my socks and my ninja book in tow.  I watched steam come off people's heads as they left the Metropolitan Rec Center, an indoor public pool. In addition to the rec center, Williamsburg has decently maintained baseball fields, tennis and bocce courts and a handsome track, the sort of public amenities that many towns can only dream about. They're well-maintained remnants of a more optimistic time in America. Again, oddly wonderful for an outsider to see.

Once past the Rec Center, a little bar light caught my eye, so ... I crossed the street yet again.

I found myself in Maison Premiere, a new bar made to look old. Dim lights, bourgie cocktails, mounds of oysters, and within minutes I was behind a drink and slurping the briny insides of cold shells. Looking around the horseshoe bar, I noticed that everyone else seemed to be taking this well-appointed, affordable bar in stride. I, on the other hand, was delighted with myself for stumbling across it. (I shouldn't have been; Brooklyn has a disproportionate amount of handsome drinking establishments: Hotel Delmano and Night of Joy, for two.)

A burst on my phone reminded me it was time to push off, but before I reached my destination, I made one last stop at a new restaurant (and there is always a new restaurant here) named Isa. Stepping inside, I felt like I had entered Northern California. Wood, beards, a menu that looked like a flier for a psychedelic concert. I filed it away for another night. 

And then finally I made it to my friends' apartment, a cozy rent-controlled two bedroom in a brownstone. As I unpacked my wine, my cheese, my socks and my ninja book (none of which cost more than $12, by the by) and recounted how I spent my past hour, it occurred to me that there aren't many neighborhoods in America where I could have taken that walk.

In less than a mile, I was able to survey a host of small pleasures. I met courteous shop owners who clearly dig their gigs.  And I got an eyeful of stylish and attractive folks enjoying life's rich pageant. Do I want everywhere like this? Absolutely not, but I don't have to worry about that. Hardly anywhere is like this.

I think people exhausted with Williamsburg forget that. For those who haven't been, post-colonial Williamsburg is worth a visit, and don't worry, you won't offend the sensibilities of the cognosceti; they've already moved on to Bushwick.

*There is only one chain store on the Bedford commercial district; it's a Duane Reade drugstore that felt compelled to include a microbrew beer bar where locals can refill plastic to-go containers just to earn some street cred. The tactic worked a little bit, but locals still prefer the independently owned King's Pharmacy across the avenue.

@highlight

Williamsburg, Brooklyn, gets its fair share of criticism

@highlight

Some people find it too trendy or played out, but it still has a lot to offer

@highlight

Visitors are likely to experience it as eccentric and strangely charming