(CNN) -- Now that Arizona lawmakers have passed what's considered some of the toughest immigration legislation in the country, other states are watching to see whether they should follow in the state's footsteps or stand back.

Arizona's bill orders immigrants to carry their alien registration documents at all times and requires police to question people if there's reason to suspect they're in the United States illegally. It also targets those who hire illegal immigrant day laborers or knowingly transport them.

Critics, including immigrant advocates and the American Civil Liberties Union of Arizona, are concerned that the legislation will foster racial profiling, arguing that most police officers don't have enough training to look past race while investigating a person's legal status.

The bill made it through the state Senate on Monday after it was passed by the state House last week. It's now awaiting the signature of Republican Gov. Jan Brewer. Supporters of the measure expect her to sign it. Latino members of Congress are calling on Brewer to veto it.

Michael Hethmon, general counsel for the Immigration Reform Law Institute, helped draft the language of the Arizona bill. The institute is the legal affiliate of the Federation for American Immigration Reform.

On the heels of the Arizona initiative, Hethmon said he has been approached by lawmakers from four other states who have asked for advice on how they can do the same thing where they live. He declined to identify the states, citing attorney-client privilege.

"Arizona was meant to be the leading edge," Hethmon said. "If you are going to work on developing a state-based response to this enormous problem -- the lack of a national immigration policy -- Arizona is the place to do it."

Hethmon pointed to Arizona's history of citizen ballot initiatives in support of immigration reform, noting that "what's happening in Arizona just didn't pop out of nowhere. It's the latest step in a fairly deliberate process."

Republican State Rep. Russell Pearce, who sponsored the legislation in Arizona, said the four initiatives he put on the 2006 ballot regarding illegal immigrants passed by an average of 75 percent.

State laws relating to immigration have increased in recent years, according to numbers from the National Conference of State Legislatures.

In 2005, 300 bills were introduced. The next year, that number nearly doubled, and in 2007, more than 1,500 bills were introduced. Another 1,305 were introduced in 2008, and about 1,500 were considered in 2009.

About 15 percent of those were enacted, dealing with issues such as driver's licenses, health and education.

About1,000 bills have been brought up so far this year.

Hethmon cited the election year, the Democratic leadership's position on the issue and the tough economic times as catalysts for introducing legislation.

"Historically, not only in the U.S. but in virtually all industrialized nations, when the unemployment rates go up ... the public becomes much less sympathetic toward programs which bring in large numbers of foreigners as workers and economic players," he said.

Whether Arizona becomes the standard-bearer on illegal immigration depends on the fate of the legislation, said Ann Morse, the program director of the National Conference of State Legislatures' Immigrant Policy Project.

"Certainly states will look at it, but not in a rush," she said. With court challenges promised from opponents, states will be watching to see if the legislation is deemed constitutional and if it's costly, Morse said.

Omar Jadwat, the staff attorney with the ACLU's Immigrants Rights' Project, said following in Arizona's footsteps would take states in the wrong direction.

"Although we are aware that people are trying to convince other legislatures to go down this path, I think it's clear that both as a policy matter and a legal matter, that Arizona's approach is the wrong one," he said.

Isabel Garcia, a legal defender in Arizona's Pima County, blasted the bill as "the most dangerous precedent in this country, violating all of our due process rights."

"We have not seen this kind of legislation since the Jim Crow laws. And targeting our communities, it is the single most largest attack on our communities," she said.

Pearce brushed off her criticism, saying, " 'Illegal' is not a race, it's a crime."

"We do not tolerate those who break into our country, just like we don't tolerate those who break into our homes," he said.

Hethmon praised the legislation as "the most cost-effective and the most humane way to deal with the illegal immigration problem."

"Every time you convince an illegal alien to self-deport, you bypass having to resort to direct physical deportation," he said.

In addition to providing a model for other states, Hethmon said the legislation in Arizona and other bills in the works in other states also provide an example on the national level.

"The states are laboratories for democracy. The federal government is in gridlock," he said. "We're providing models for the day when the ice breaks up on the Hill and the legislative waters flow and the country decides to confront this problem in a realistic way."

@highlight

Arizona bill requires police to question people if there's reason to suspect they're in U.S. illegally

@highlight

Governor has not yet signed bill

@highlight

Attorney says lawmakers from 4 states have asked how to follow Arizona's lead

@highlight

"Arizona's approach is the wrong one," ACLU attorney says