(CNN) -- Millions of fans on both sides of the U.S.-Mexico border are mourning the death of Jenni Rivera, whose performances of soulful ballads sold out concert halls and made the singer a household name for many.

Crews searched for the remains of Rivera and six others Monday amid the wreckage of a plane that crashed in a remote, mountainous area in northern Mexico on Sunday.

"The plane was totally destroyed. ... It is a great tragedy," her brother, Gustavo Rivera, told CNN en Español.

There were no survivors, and the singer's publicist, lawyer and makeup artists were among those killed, he said. Family members were planning to travel to Mexico on Monday as investigators work to determine what caused the crash.

Jenni Rivera is mourned, but still inspires

Another brother, Juan Rivera, seemed to hold out hope at a news conference Monday evening, saying: "In our eyes we will have faith that our sister will be OK. We have no confirmation of her body being recovered, dead or alive."

The small Learjet plane that Rivera was flying in was 43 years old, the state-run Notimex news agency reported, citing the director of civil aviation for Mexico's Transportation Ministry.

Collecting evidence at the scene could take up to 10 days, Alejandro Argudin said, according to Notimex. The wreckage, which includes personal items that belonged to the singer, was spread out over an area that spans up to 300 meters (more than 320 yards), officials said.

The U.S. National Transportation Safety Board said Monday that it was dispatching a team to help with the investigation.

According to records from the U.S. agency, the airplane was substantially damaged during a 2005 accident when it struck a runway marker near Amarillo, Texas. At the time, the plane's pilot reported losing the ability to steer the twin-engine turbojet.

As the investigation into Sunday's crash continued, fans, family members and entertainers said they were devastated to learn of Rivera's death.

"The world rarely sees someone who has had such a profound impact on so many," Universal Music Group said in a statement. "From her incredibly versatile talent to the way she embraced her fans around the world, Jenni was simply incomparable. "

Known to fans as "La Diva de la Banda" or The Diva of Banda Music, Rivera was well-established as a musical powerhouse with her Spanish-language performances of regional Mexican corridos, or ballads. For fans, the nickname captured her powerful voice and the personal strength many admired.

Flashback: Rivera reflects on her success

In recent years, she had been working to crack the English-language U.S. market and was reportedly on the verge of a crossover with a sitcom inspired by the success of "I Love Jenni," a Spanish-language reality TV show on Telemundo's mun2 network.

Speaking on the U.S. Senate floor Monday afternoon, Sen. Marco Rubio described Rivera as "a real American success story."

"She was a singer in a genre of music that's largely dominated by males, and she brought a powerful voice to that genre where she sung frankly about her struggles to give her children a better life in this country," the Florida Republican senator said.

Rivera sold 15 million records, according to Billboard, and recently won two Billboard Music Awards, including favorite Mexican music female artist.

But she started out small.

In an interview with CNN en Español in 2010, Rivera spoke about how she once sold cans for scrap metal and hawked music records at her family's stand at a Los Angeles flea market.

"It is very flattering when they tell me that I'm a great artist, a great entertainer, that when I'm on stage I can get in the recording studio and come up with a great production," she said. "But before all of that, I was a businesswoman. I'm primarily business-minded."

Rivera eventually became the owner of several companies, including Jenni Rivera Enterprises, which produced and marketed her music, a fragrance brand, a jeans factory and a television production company.

Rivera was nominated for Latin Grammy Awards in 2002, 2008 and 2011. In October, People en Español named her to its list of the 25 most powerful women.

She was beloved by fans as much for her music as her over-the-top lifestyle that was chronicled in "I Love Jenni" on Telemundo.

Born in Long Beach, California, to Mexican immigrant parents, Rivera released her debut album in 1999, according to her website.

She followed that up with two more albums, including the 2003 album "Farewell to Selena" -- a tribute to slain Tejano star Selena Quintanilla -- that increased her popularity.

Her father, Pedro, and two of her brothers also are well-known performers in Mexico and portions of the southwestern United States.

Famous for her music, she is also known for her tumultuous personal life. The singer was a single mom at the age of 15 and is the mother of five, her website said.

In 2009, she made headlines when she was detained at the Mexico City airport with tens of thousands of dollars in cash.

A year later, she made headlines again with the marriage to former baseball pitcher Esteban Loaiza, who played for the New York Yankees and the Los Angeles Dodgers. In October, she announced she was filing for divorce after less than two years of marriage. It was her third marriage.

Owner of plane carrying Rivera linked to troubled businessman

She told CNN in 2010 that she wouldn't let scandals or personal tragedy stop her.

"Staying defeated, crying and suffering was not an option," she said. "I had to get off my feet, dust myself off and press on. That's what I want to teach my daughters."

"I Love Jenni," which began airing on mun2 last year, featured her life on the road, balancing the duties of motherhood and stardom as she toured Mexico and the United States.

Rivera's openness about the problems she faced won her a devoted fan base, said Raul Molinar, a Dallas-based radio DJ who interviewed the star several times.

"She was a real woman," he said, "and she would express her feelings -- onstage, off stage, anywhere,"

Rivera also was a judge on the popular TV show, "The Voice, Mexico," which was scheduled to air Sunday night. In its place, Televisa aired a special report about the singer.

A fellow judge on the show took to Twitter after news of Rivera's disappearance.

"My heart is devastated," wrote Beto Cuevas. "All my prayers are with you, Jenni, and your family."

Fans and celebrities took to social media to mourn the singer and television star.

"Spent some time with Jenni Rivera recently. What an amazing lady ... Cool, smart, funny & talented. Such a travesty ... God Bless her family," actor Mario Lopez tweeted.

Rivera performed at a concert in Monterrey on Saturday night before boarding the Learjet, which took off early Sunday and lost contact with air traffic controllers about 60 miles into the trip.

Just hours before she died, Rivera opened up to reporters about her divorce and the inner strength she found, thanks to her family.

"I'm so happy. So many strong things have happened in my life. I can't get up in the negative, which destroys you," she said.

"I have brothers. I have children. I have nephews. And they keep me from focusing on the negative."

Obituaries 2012: The lives they've lived

Journalist Victor Badillo, CNNMexico.com, Jim Barnett, Guillermo Arduino, Leslie Tripp and Chelsea J. Carter contributed to this report.

@highlight

NEW: Singer Jenni Rivera was a "real American success story," Sen. Marco Rubio says

@highlight

The singer, 43, who sold millions of records, died in a plane crash Sunday

@highlight

Crews are combing the wreckage site in northern Mexico, searching for evidence