(CNN) -- Mexican President Felipe Calderon made his third visit in a little more than a month Tuesday to the troubled border city of Juarez, where three people associated with the U.S. Consulate were killed over the weekend.

Ciudad Juarez is the most violent city in Mexico, with more than 2,600 drug-related deaths in 2009. No official numbers are available, but more than 400 killings have been reported in local media this year.

The city, long the focal point of Calderon's war on drug cartels, came to renewed prominence after the January 31 killings of 15 people, most of them students with no links to organized crime. The massacre sparked outrage throughout Mexico and drew worldwide attention.

Saturday's deaths of a pregnant woman and two other people connected with the U.S. Consulate renewed attention to the blood-soaked city.

Calderon visited Juarez twice in mid-February within a one-week period, meeting with local officials and residents. More such meetings were scheduled for Tuesday.

Although Tuesday's visit had been scheduled before the latest slayings, analysts say it highlights the city's importance to the president.

"What it says is that he has really decided that success in Juarez is essential for stemming the tide of organized crime," said Andrew Selee, director of the Woodrow Wilson Center's Mexico Institute. "He has staked his presidency on success in Juarez."

Juarez, which accounted for about one-third of the drug-related killings in Mexico last year, was already significant because of the high death count, Selee said. But the killings in January and over the weekend have elevated the city to a symbolic level, the analyst said.

"It has gained an emotional value," Selee said.

The latest killings were carried out by a local gang known as Los Aztecas, who are allied with the Juarez Cartel, Juarez Mayor Jose Reyes Ferriz said.

The three victims were followed and targeted, Reyes said. They were attacked as they left a birthday party at the U.S. Consulate in Juarez.

U.S. and Mexican officials said a consulate employee who was four months pregnant and her husband, a U.S. citizen who was a jailer in El Paso, Texas, across the border from Juarez, were slain in their SUV. The couple's 10-month-old daughter, who was in the vehicle, was not injured, Reyes and other officials said.

Authorities identified the couple as El Paso residents Arthur Redelfs, 34, and Lesley Ann Enriquez, 35. Redelfs was a 10-year veteran of the El Paso County Sheriff's Office, department spokesman Jesse Tovar said.

The third victim was identified as Jorge Alberto Salcido Ceniceros, 37, a state police officer who was married to a Mexican employee at the U.S. Consulate.

His wife was not traveling with him, but two of their children, ages 4 and 7, were in the car and were wounded, officials said.

Authorities said they don't know of a motive, nor had they made any arrests Tuesday.

Widespread violence throughout northern Mexico in the past few weeks has led U.S. officials to take precautions, including the temporary relocation of State Department employees' families in border-area consulates.

The family members at U.S. consulates in Tijuana, Nogales, Ciudad Juarez, Nuevo Laredo, Monterrey and Matamoros are allowed to leave for up to 30 days, the State Department said. The leave can be renewed after 30 days.

The announcement was part of a continued warning to U.S. citizens regarding travel to Mexico.

U.S. citizens are advised to delay nonessential travel to parts of the states of Durango, Coahuila and Chihuahua, where Juarez is located. In addition, U.S. government employees are restricted from traveling to all or parts of the three states.

Attacks have included the kidnapping and killing of two resident U.S. citizens in Chihuahua, the warning states.

"Some recent confrontations between Mexican authorities and drug cartel members have resembled small-unit combat, with cartels employing automatic weapons and grenades," the warning says. "During some of these incidents, U.S. citizens have been trapped and temporarily prevented from leaving the area."

About two weeks ago, the Texas Department of Public Safety took the unprecedented step of telling college students not to visit Mexican border cities during spring break because they are too dangerous. It was the first time Texas authorities had taken that step.

Canada, likewise, issued an advisory Tuesday urging citizens not to take nonessential trips to Ciudad Juarez and to "exercise a high degree of caution" throughout Mexico. "Travelers are advised to reconsider their need to travel to Ciudad Juarez and should only do so if it is absolutely necessary," the government warning says.

Asked if Ciudad Juarez is safe for visitors, Mayor Reyes laughed softly.

"We have a problem in Ciudad Juarez," he said. "We can't deny that or lessen it.

"Normally, the violence is directed at people involved in crime, but at times, civilians are affected who are not involved in crime."

Violence last weekend is a prime example of the extent of the problem. In the western state of Guerrero, for instance, at least 25 people were killed Saturday, state officials said.

The bodies of 14 people, including nine civilians and five police officers, were found in various parts of the resort city of Acapulco, the official Notimex news agency reported, citing Guerrero Public Security Secretary Juan Heriberto Salinas.

In the small city of Ajuchitlan del Progreso, 10 civilians and one soldier were killed in two shootouts that started when federal officials tried to carry out search warrants in two locations, Salinas said.

The Mexican government has not released official figures, but national media said 7,600 people were killed in drug-related violence in 2009. Calderon said last year that 6,500 Mexicans died in drug killings in 2008.

No official figures are available, but unofficial tallies this year say more than 17,000 people have been killed since Calderon declared war on the cartels after assuming office in December 2006.

@highlight

Felipe Calderon goes to troubled city for third time in little more than a month

@highlight

Analysts: Visit highlights city's importance as focal point of Calderon's war on drug cartels

@highlight

Visit was scheduled before 3 people slain Saturday

@highlight

Deaths of pregnant woman, two others renewed attention to the border city