Twenty-five years ago on March 24, the oil tanker Exxon Valdez slammed into Bligh Reef and spilled more than 11 million gallons of crude oil into the cold, clear waters of Alaska's Prince William Sound -- one of the "last best places" on Earth. The oil charged through Prince William Sound and out into the Gulf of Alaska, damaging more than 1,300 miles of some of the most remote, wild shoreline in this country.

This happened 25 years ago, so we might note the anniversary as we do any other historical event. That, however, would imply that the oil spill is over. It's not, and likely never will be.

The sound's coastal ecosystem is permanently damaged. Thousands of gallons of Exxon Valdez oil still pollute the beaches; this oil is still toxic and still hurting the ecosystem near the shore.

The government considers, as of 2010, only 13 of the 32 monitored wildlife populations, habitats and resource services that were injured in the spill as fully "recovered" or "very likely recovered." Some are still listed today as "not recovering." This includes a pod of orcas, which lost 15 of its 22 members after the spill, and has not produced a calf since. Given only one older female is left, scientists appear certain that this unique pod of orcas will go extinct -- it's just a matter of time. The government conclusion is that "there appears to be no hope for recovery."

The "not recovering" list also includes Pacific herring, one of the sound's keystone species. Once the source of a vibrant commercial fishery, herring declined so precipitously that a fishery closed, and has not reopened.

Eight inches long, herring once swam in schools of a million or more, a sudden flash of their silver undersides confusing predators. In April, their spawning turned the bays and lagoons milky white. More than 40 species -- bald eagles, brown bears, seals, humpback whales, tufted puffins, murres -- depend on these small fish.

Those of us who knew the sound before the spill, the "bright and spacious wonderland" described a century ago by John Muir's expedition, and who spend time in the magnificent coastal wilderness that remains, chafe at the idea of passing this 25th anniversary off as merely a historical event, of simply noting the date and then returning to business as usual.

Persistent oil poisoning, and a cascade of ecological effects, continue. There's not much we can do now for Prince William Sound, short of protecting it from more harm. But we can keep from repeating our mistakes elsewhere. This is, after all, why we pay attention to history.

Unfortunately, we still haven't learned the biggest lesson of all from the Exxon Valdez oil spill: The only real solution is to stop using so much oil.

Whether it's Prince William Sound or the Gulf of Mexico, seldom is more than 10% of the spilled oil recovered. This will be especially true in Arctic waters. And regardless of how safe we make oil drilling, tankers, or pipelines, we'll never reduce spill risk to zero.

But the larger reason to reduce our dependence on oil is this: Even if we as a society don't care about oil spills destroying natural environments, we've got to care -- eventually we will all care -- about how burning this oil is destroying our environment through climate change.

As the south coast of Alaska struggles to recover from one spill a quarter of a century later, Alaska's polar bears are drowning from lack of Arctic sea ice.

It's a sad irony that the push for Arctic oil drilling has reached an all-time high. Right now, as the polar bears' ice shrinks, we are trying  at a fever pitch to pull the very substance out of their ocean home that, when burned, will destroy their ocean home. No wonder one of OPEC's founders, Juan Pablo Pérez Alfonso, once called oil "el excremento del diablo," or the devil's excrement.

The best use of this anniversary is to do better, both by ourselves and the rest of the animal world with whom we share our planet. Halting oil drilling in the Arctic would be a clear first step toward doing better. It's time for President Obama to take steps away from the "all of the above" energy policy and move us forward on a path to a clean energy future.

@highlight

25 years ago, Exxon Valdez spilled 11 million gallons of oil into Alaska's Prince William Sound

@highlight

Marybeth Holleman: Animals, coastal ecosystem damaged; oil still pollutes beaches

@highlight

She says no matter how we make drilling, tankers, pipelines safe, risk will never be zero

@highlight

Holleman: We need to reduce dependence on oil; stopping drilling in the Arctic is a first step