(CNN)How are Quebecois chefs putting their unique spin on traditional French cuisine?

Who are the language police, and what do they really do?

Inhabitants of Quebec, Canada's largest French-speaking province, pride themselves on being different from their neighbors, and that sentiment extends from the language they speak to the food on their plates, and beyond. If there's anything that unites all Quebecers, it's their joie de vivre: Quebec is a place where fun is taken seriously.

Consider these truths for a better understanding of the province:

1. This is French soil, with a language police

This tiny francophone enclave has some of the strictest language laws in the world.

French must be the predominant language on signs, retail or food service employees always greet customers in French, and there are even laws dictating whether parents can send their children to English or French school.

O Canada! Our home and delicious land

About 80% of the province's nearly 8 million inhabitants have French as a mother tongue, and outside of multicultural metropolis Montreal, most people only speak French.

Time.com: Quebec's war on English

There's an entity called the OQLF (Office quebecois de la langue francaise), otherwise known as the language police. They enforce the rules by doling out fines to noncompliant businesses, and are usually plain clothed and covert. Recently, language tensions have risen among locals, and OQLF overzealousness was the main culprit.

2. There are Catholic churches for sale

Given that Quebec's most popular curse words ("tabarnak" and "ostie") are derived from church terms, it's not surprising the Catholic church once played a big role here, but today many of the parishes are empty and have fallen into disrepair.

Many of the buildings are for sale, and buyers have been difficult to come by. Some are being demolished, while others have been converted for non-religious purposes.

Montreal band Arcade Fire recorded their Grammy Award-winning album The Suburbs in a church in rural Farnham, Quebec, but they recently put up their "Petite église" (little church) for sale, citing a damaged roof.

3. Quebec has its own national holiday

Canada Day is on July 1, and while Quebecers still get that day off, those celebrations are muted compared to those of St. Jean Baptiste Day -- known as Fête Nationale  -- held a week earlier on June 24.

Because it falls right at the start of summer, the festivities are held outdoors. Quebec has a robust francophone music industry, with its own stars, and St. Jean Baptiste Day is the perfect time to check out the folk revival scene live.

There's a strong nationalistic component to the holiday -- especially for the current minority who believe Quebec should be its own country.

Just be sure to wear blue and keep all Maple Leaf-related paraphernalia at home.

4. Quebec loves small town hockey

The Montreal Canadiens are the only Quebec-based team in the NHL, but outside of Montreal, the storied Habs aren't unanimously adored.

The province has its own junior hockey league for players aged 16-20, the Quebec Major Junior Hockey League, with teams hailing primarily from smaller towns (including a few outside of Quebec). It's the league where NHL Hall of Famers Mario Lemieux and Patrick Roy cut their teeth.

There's also the rock 'em sock 'em minor-pro North American Hockey League, more famous for fights than goals.

While Quebecers don't participate in hockey en masse the way they used to, it's still the most popular sport there, and in the winter, towns will erect their own free, outdoor rinks.

5. Many Quebecers speak joual

The language of Molière has evolved considerably in the former French colony.

Each region has its own linguistic quirks (they're not all called joual, but the term has become a catch-all), and visitors from other French speaking places are often taken aback by the unique contractions and "anglicisms" that have crept into the daily vernacular.

The most creative and colorful joual from the Montreal region usually entails combining multiple words into one, lopping off extraneous syllables or casually dropping English terms with French pronunciation. For instance, most people simply say "weekend" instead of "fin de semaine." Sentences often end with "tsé," which means "tu sais," or "you know"?

Joual is considered a working-class dialect, so while it's celebrated for being homegrown, people of a certain stature aspire to speak a more refined French.

6. Montreal and Quebec City have their own haute cuisine scenes

With almost no outside interference, Montreal has forged its own strange culinary identity, bringing formal French education and homegrown ingredients to rich, meat-heavy Quebec staples.

Expect a lot of foie gras (duck liver), Princess scallops, Matane shrimp, organic vegetables, cheese and high-quality pork. For those interested in game, venison and caribou appear on some menus.

In Quebec City, where the cooking scene is more youthful, there's a fierce commitment to using only made-in-Quebec ingredients.

Quebec is by far the world's largest producer of maple syrup, and during the spring thaw in March, sugar shacks (cabanes à sucre) offer the tasty treat, poured over snow or with a full meal of pancakes, beans, pork and more.

Because cooking school is subsidized by the provincial government, trained chefs in Quebec tend to come from more diverse backgrounds.

7. Even the poutine is being reinvented

The cat is out of the bag concerning Quebec's slimiest treat. The famous dish -- consisting of fries, sauce brune (gravy) and cheese curds -- is being copied in the rest of Canada, and has even made its way down to New York.

In Montreal specifically, some chefs have expanded upon the traditional poutine by adding fancier toppings like foie gras and duck confit.

The greasy spoon (or casse-croûte) favorite is no longer just for famished drunks.

A few towns in Quebec claim to have invented poutine, but the loudest and proudest of those is Drummondville, an hour east of Montreal.

8. Quebec's biggest party is also when it's coldest

Carnaval du Quebec is held every February in Quebec City, the provincial capital, and the success and sheer size of the event is a testament to Quebecers' defiance toward the cold.

There are myriad outdoor activities to partake in over the two-week-long, tourist-friendly festival, but the biggest draws are the massive, illuminated ice palace and the ice sculpture contest.

The ice palace is meant to be the home of Bonhomme, the festival's smiling mascot. The big guy's reach extends far beyond Carnaval though: he's one of Quebec's most recognizable faces.

9. Bear the cold: Quebec's best activities are done outdoors

Ice fishing and snowshoeing -- two activities that were long ago done for necessity -- have evolved into beloved pastimes.

Wherever there's a frozen lake in Quebec, expect to see a handful of temporary huts over it. Renting the necessary gear during the season -- which goes from December to February -- is a painless process.

Snowshoe technology has modernized dramatically. Snowshoes don't look like oversized tennis rackets anymore: they're made with lightweight synthetic materials, and there are different types, depending on whether you're walking in the deep snow for leisure or sport.

In the summer, there's the Route Verte: a network of bicycle paths that stretches across the province from West to East.

10. Expo 67 modernized Montreal, and there are still remnants of it

Montrealers can be shameless braggarts when it comes to civic pride, and the World's Fair the city hosted in 1967, known simply as Expo 67, is considered by many natives to be a high-water mark for the city.

Much of the infrastructure built for the Fair remains. The city's underground public transportation system, the Metro, opened a year before the Expo, and the dirt that was excavated was used to create the artificial island Île Notre-Dame, which is where the Formula One racetrack and casino (formerly the French Pavilion) are located.

There's also Habitat 67, a gravity defying housing development originally conceptualized using Lego pieces (and it shows), and the Biosphere, a geodesic dome that was originally the American Pavilion.

Another international Pavilion that survived the test of time? Jamaica's -- it's used for private events now.

11. The roads are in bad shape

Blame the weather, the materials used or government ineptitude, but Quebec roads don't seem to hold up as well as those of their American or Ontarian neighbors.

In addition to mammoth potholes and cracks, road surface markings seem to fade quickly. Road conditions are especially bad during spring, when the snow melts and temperatures rise.

And that's to say nothing of Montreal's crumbling interchanges and overpasses, which probably look worse than they really are.

Be prepared to be redirected a fair bit during the summer, because that's when most construction work is done.

@highlight

The "language police" enforce strict rules aimed at preserving French in Quebec

@highlight

A minority of the population would like to be independent of Canada

@highlight

Chefs bring formal French education to rich, meat-heavy Quebec staples