(CNN) -- A day after violent protests erupted in the restive city of Daraa, security forces opened fire at protesters in the coastal city of Latakia, witnesses said.

Anti-government demonstrations in Latakia had started peacefully before several people were wounded in a hail of gunfire as security forces tightened their control on access to the city, witnesses said. However, presidential spokeswoman Bouthaina Shaaban told state media that an unidentified group of gunmen opened fire at citizens and security forces.

Although the group allegedly entered Latakia "breaking and burning shops," security forces did not return fire, Shaaban told SANA, the country's official news agency.

The gunmen killed two security force officers and one demonstrator, she said, blaming the clashes on those attempting to "meddle" in the security and stability of the country.

"The right to peaceful demonstration is guaranteed to any citizen in Syria," Shaaban said. "But what is happening is an attempt to ignite an internal strife in the country and to target the security and stability of the nation and the lives of its citizens."

CNN could not independently confirm the accounts as the Syrian government has yet to grant access to the country.

Meanwhile, in the southern city of Daraa where dozens of people were killed in violent clashes earlier this week, hundreds of Syrians demonstrated peacefully without security forces present, a witness said.

The protest also served as a funeral site for throngs of mourners to remember those who died in earlier demonstrations, the witness said.

Friday was marred with reports of casualties in the southern cities of Sanamen and Daraa where government security forces allegedly opened fire on protesters. In Daraa, dozens were shot in the head and neck and hundreds more were wounded on Friday when snipers on rooftops began firing into the crowd, according to a doctor in Daraa who declined to be named for security reasons.

The protesters, who were not carrying weapons, chanted, "We need our freedom, We need democracy," the doctor said.

In the neighboring city of Sanamen, at least 20 others were killed and more than 60 people wounded Friday after government security forces began shooting at demonstrators, the doctor in Daraa told CNN.

Thousands in Sanamen marched Saturday in what appeared to be a mixture of political protest and funeral procession as they sought to bury six people killed in violent clashes earlier in the week, another witness said.

Women chanted, "We will sacrifice our blood, our lives for you martyrs" as they walked, the witness said.

Presidential spokeswoman Shaaban again blamed "a group of gunmen and smugglers" who allegedly seized police weapons and began shooting. Their actions compelled security guards to fire back in defense of their post, she said.

Syrian state television later broadcast the apparent confessions of foreign nationals arrested in Syria, including an Egyptian with American citizenship who worked in Syria, according to SANA.

"The Egyptian man said he was receiving e-mails from external forces asking him to send pictures and video clips from Syria," the agency reported, noting that the man had recently vsited Israel through Jordan.

By Saturday, security forces had left the city, leaving Sanamen to the Syrian military. The army has since surrounded the city and restricted access to it.

Some residents are anticipating a food shortage as a result of what some describe as a blockade.

But chants of "Allah, Syria, and the Army only" seemed to indicate that at least some residents were encouraged by the army's presence, the witness said.

One soldier said "they would shoot themselves before they would shoot (the protesters)," the witness added.

Meanwhile, international concern over the escalating violence continued.

"The situation in Syria has worsened considerably over the past week, with the use of live ammunition and tear gas by the authorities having resulted in a total of at least 37 people being killed in Daraa, including two children," Rupert Colville, a spokesman for the office of the U.N. High Commissioner for Human Rights, said Friday.

Among the dead were 15 people who tried to march to Daraa, sources said, and nine others who died when security forces fired on demonstrators in Daraa's main square, said Wissam Tarif, a human rights activist.

There were many casualties in Daraa, said Abdullah, who asked that his full name not be reported due to security concerns.

"Thousands gathered and moved to the governor's building in Daraa, and there they burned a large picture of Bashar al-Assad, and then they toppled a statue of Hafez al-Assad in the center of the square," Abdullah said, referring to the current president and his late father, the former president.

"After that, armed men came out from the roof of the officers' club in front of the governor's office and started firing at the crowd," he said.

Aman al Aswad, a political dissident, said dozens of people appeared to have been killed or wounded in clashes with security forces in the square, but he could not be precise on the totals.

Earlier Friday, thousands attended an anti-government demonstration in the town, according to Kamal Aswad, a political activist in Daraa.

There, people ridiculed recent government pronouncements of reforms and an assertion by government spokeswoman Shabaan that the country's president had ordered "no live bullets" would be used against demonstrators.

One witness said the people chanted, "Bouthaina, we do not want your bread, we want dignity!" He said an "overwhelming number" of protesters showed up in Daraa to support "martyrs," people killed in recent clashes.

"The whole of the city was out in the street to bury the dead and demand that those responsible be tried for their crimes against the people of Daraa," the witness said. "We broke the barrier of fear today and the security forces could not touch us."

The witness said the security forces had withdrawn from the center of the city and didn't interfere with the demonstrations, which are stoked by a range of political and economic grievances.

The government announced a number of measures that apparently addressed protesters' demands. Among them are decrees to cut taxes and raise government workers' salaries by 1,500 Syrian pounds ($32.60) a month and pledges to provide more press freedoms, increased job opportunities and curbs on government corruption.

The government said it will form a committee "to contact and listen to citizens in Daraa."

It also said it would study lifting the country's emergency law and adopting new legislation that would license political parties.

Syria's emergency law, which has been in effect since 1963, allows the government to make preventive arrests and override constitutional and penal code statutes. It also bars detainees who haven't been charged from filing court complaints or from having a lawyer present during interrogations.

On Friday, state television showed what it said were pro-government demonstrations in Aleppo and Damascus. The state-run Syrian Arab News Agency said its correspondent in Daraa "reported that the crowds in the spontaneous popular rallies chanted national slogans highly lauding President Assad's generous decrees and decisions, pledging their loyalty to his excellency and their unity under his leadership in the face of any conspiracy against Syria."

However, video also emerged of protests in Hama, where the government violently suppressed an uprising in 1982.

And the state news agency reported that an armed gang attacked security forces in the southern city of Sanamen, which "resulted in the deaths of several attackers."

CNN's Saad Abedine and Salma Abdelaziz contributed to this report

@highlight

NEW:  Syrian officials blame violence on armed gangs

@highlight

NEW: An Egyptian with U.S. citizenship who worked in Syria has been arrested, state media says

@highlight

Security forces fired at protestors in Latakia, leaving several wounded

@highlight

Syrian state media says an armed group opened fire at citizens and security forces