(CNN) -- The "do-nothing" Congress is the most misleading expression in politics.

With the start of the final period in this congressional session, politicians and pundits have been writing one story after another about how little legislation is likely to pass in the coming months. "The Do-Nothing Congress," "Congress's Plan to Get Nothing Done," "What the 'Do Nothing Congress' Is Doing on ISIL" and "Will the 'Do-Nothing' Congress Do Even Less in An Election Season?" are just some of the headlines.

Congress, they say, will sit idly and do nothing while the world burns. A recent CNN/ORC poll found that 83% of Americans don't approve of the way Congress is working. A stunning 65% believe it to be the worst Congress of "their lifetime." Comparisons abound with the famous 80th Congress that President Truman lambasted in 1948.

Yes, few major bills will pass. But the term gives a skewed picture of the effects of obstruction. Let's stop calling it a "do-nothing" Congress. For reporters and politicians who use it, the term is a cop-out.

By doing nothing, Congress is actually doing a lot, though the consequences are not very pretty. Inaction can make things worse. And that's exactly what's happening now.

These are some of the problems that will worsen, thanks to Congress' failure:

Immigration: Doing nothing in this case means leaving millions of lives hanging in the balance. Families must continue to live in the shadows, fearful of deportation and unable to gain access to the best jobs and educational opportunities. The New York Times recently published a story featuring a mother in Ohio named Seleste Wisniewski who has been somberly watching the news about President Obama's decision to delay action on changing immigration policy since her Mexican husband -- who has been in the U.S. for over a decade and whose stay of deportation was canceled -- is at risk to be deported.

Climate change: The stakes of failure to act on climate continue to grow. Respected scientists across the globe have documented the dangerous impact of our current business, environmental and energy practices and their role in enabling intolerable levels of greenhouse emissions.

More carbon dioxide is getting pumped into the atmosphere, sea levels are rising, and more species are at risk. Last summer, a bipartisan group of officials, including former Treasury Secretaries Hank Paulson and Robert Rubin, catalogued the immense environmental and economic effects. They urged remedies in the near future, such as the imposition of a carbon tax. Without any change, the costs will rise. "Hope is not a strategy," Paulson said.

Last week, the World Meteorological Organization reported that the levels of carbon monoxide in the atmosphere are higher than ever before. The National Audubon Society gave a very specific result: Half of the North American bird species are at risk as a result of the new temperatures.

Presidential war power: Legislators have a lot to say about ISIS, Ukraine and military challenges overseas. At this point, however, they have not been voting on anything. Congress has limited itself to the safe role of being the Monday morning quarterback. These are the exactly the kinds of conditions that create incentives and room for presidential war power to keep growing.

Indeed, New York Rep. Peter King urged Obama to do something rather than waiting for Congress to act. "I think the president should take action and then I think the Congress should pass legislation supporting what the president does," he said on CNN. In no uncertain terms, Obama has said that he can act without congressional consent if necessary.

Historically, the biggest check to presidential war power has been when Congress is assertive, with its power over the military budget and oversight. When it is inactive, presidents use executive authority, and they do so with impunity. This will happen again.

Democratic Sen. Bill Nelson and Republican congressman Frank Wolf have proposed bills authorizing the president to use military power for a limit of three years against ISIS. Congress should move forward with a vote on their legislation, putting a strong congressional imprint on the policies dictating what kind of military force will be used.

Agency planning: Although not quite as sexy as the other issues, agencies suffer under the current legislative process. Over the past decade, the chaotic budgeting process that Congress has used has left agencies constantly scrambling and uncertain about what kind of funding is ahead. Long-term planning and strategic investments are difficult in this kind of environment.

By holding back on spending bills and constantly raising the possibility of government shutdowns, Congress prevents federal agencies from carrying on the business of government. In this case, the "do-nothing" Congress places handcuffs on civil servants.

Middle-class insecurity: A lot of ink (in printer cartridges) has been spilled in the past few years documenting the growing problem of economic inequality in the U.S. The rich keep getting richer, the poor keep slipping even further behind and the middle class lives in a state of peril.

There are many factors behind this development, but government policy has been one of them. Tax policies that give disproportionate relief to wealthier Americans and the failure to update and strengthen social safety net programs that benefit the disadvantaged have been major culprits. Government investment in growing areas of the economy that could compensate for slow growth in older and failing sectors has not been forthcoming as the parties remain locked in a stalemate.

Government won't solve the problem of inequality and insecurity, but it can certainly make conditions much better. That happened during the 1930s and 1940s, when Franklin Roosevelt rallied the public behind federal programs that produced one of America's greatest periods of economic growth. Right now, Congress is saying no to any new solutions. The result is that the fabric of the country continues to become frail.

In all of these areas, and more, Congress worsens America's problems by standing still.

Starting with this fall's midterm campaigns, voters must increase pressure on Congress to do something different than the current path and to offer compromise solutions to these problems. In the meantime, the media and our political leaders have an obligation to stop using a term that obscures the impact of what is taking place.

@highlight

Julian Zelizer: It's a cop-out to let this Congress be known as "do-nothing"

@highlight

By failing to pass significant legislation, Congress is actively worsening our problems, he says

@highlight

Zelizer: Immigrant families are kept at risk, the economic recovery proceeds very slowly

@highlight

He says a passive Congress fails to provide a check on presidential war powers