(CNN) -- Forget almost everything you ever thought you knew about the moon.

NASA's latest missions indicate the moon is much more than a dead, unchanging satellite orbiting Earth. It's a dynamic environment, with changes occurring by the day and week, not over millions of years.

The space agency says the missions are rewriting lunar science text books and revolutionizing what scientists know about Earth's closest neighbor.

An announcement in November probably rivaled Neil Armstrong's first steps on the surface more than 40 years earlier: There's water on the moon.

The Lunar Crater Observation and Sensing Satellite, or L-CROSS, and its companion spacecraft crashed into a crater at the moon's south pole in October and discovered water in a very dark and very cold place. L-CROSS researchers said about 25 gallons of water were detected in the crater, which measured about 60 feet wide by a few feet deep.

Michael Wargo, NASA'S chief lunar scientist on the L-CROSS mission, said the probes detected more than water in the crater, but researchers are still trying to understand what the other stuff is.

"We're opening new chapters. And in fact, because some of this information is so new and it's so different from the way we use to think about the moon, there are chapters that are blank right now," he said. You know that they're going to written, but we don't even know the questions yet that are going to be engendered from this new information."

Wargo describes the lunar data as a treasure trove. The moon "is like the dusty attic of the solar system, in that things get collected there and they give you insight, not just into the moon, but the evolution of the solar system."

Earthbound explorations, such as Lewis and Clark's historic journey to the Pacific Ocean in the early 19th century, carry critically necessary items, but they have no need to haul wood or water. That's not so for manned space flight. Those missions will have to carry all the supplies necessary for survival unless they can manufacture some of them either in flight or on a planet's surface.

The presence of water and other compounds on the moon means there are potential resources that could sustain future exploration of the moon and beyond.

NASA is also mapping the moon's surface in unprecedented detail, eventually creating the first moon atlas. The Lunar Reconnaissance Orbiter, which launched last summer, is the robotic scout that is providing the data. LRO is on a mission that could last several years -- orbiting the moon and gathering crucial data that will help astronauts prepare for another visit.

Wargo said LRO is carrying high-resolution cameras, which have now mapped about 50 areas on the moon, including the Apollo mission landing sites.

"We have cameras on board that have been able to image where the Apollo spacecraft landed, and you can literally see where they put down their scientific packages, where the astronauts walked on the moon," according to Wargo.

The LRO discovered it's extremely cold in the permanently shadowed polar craters, where temperatures dip more than 400 degrees below zero Fahrenheit, or 249 degrees below zero Celsius. That's not far from absolute zero, defined by international agreement as 273.15 degrees below zero Celsius and a temperature that cannot be physically reached. These are the coldest temperatures ever recorded in the solar system.

The LRO is also measuring space radiation on the moon. Astronauts will need protection from this radiation during expeditions to the moon and other destinations.

All this information is critical if humans are to make it back to the moon by 2020, the the target date set by the Bush administration in 2004. But it's more than that. Wargo sum it up this way:

"We used to think of the moon as this really dead and unchanging place, that the moon was a dead planet. ... There are changes that occur there not over the course of thousands or millions or even billions of years, but are changing over the course of days and weeks and months. That's something people just hadn't thought of until just weeks and months ago. ... This isn't your grandfather's moon anymore."

@highlight

NASA's latest missions indicate the moon has changes occurring by the day and week

@highlight

Space agency says the missions are rewriting lunar science text books

@highlight

Discovery of water in lunar crater could boost efforts for future astronaut visits

@highlight

Lunar orbiter is taking pictures of leftover material from Apollo landing sites