(Budget Travel) -- For many travelers, duty-free is a luxurious enigma wrapped up in discounted Swiss chocolate and soaked in tax-free vodka. Duty-free goods are mostly sold inside international airport terminals, ferry stations, cruise ports, and border stops.

Duty-free shops sell products without local import tax.

As the name implies, duty-free shops sell products without duty (a.k.a. local import tax). For example, by buying goods in a duty-free shop at Paris's Charles de Gaulle, you avoid paying the duty that France slaps on imported goods (like Swedish vodka) and that French stores ordinarily include as part of a product's list price.

In Europe, there's a bonus perk: Duty-free shops in airports and ports are "tax-free shops," too, which means you are spared the value added tax (or V.A.T., a type of sales tax) that would otherwise be included in the price of goods sold elsewhere in the European Union. That means a savings of between 5 and 25 percent, depending on the country.

But there's a catch for duty-free products bought in Europe and elsewhere. If you bring into the U.S. more than $800 worth of items purchased abroad -- duty-free or not -- you'll have to pay the U.S. duty. As a rule of thumb, Americans returning from overseas trips must pay 3 percent on the first $1,000 worth of merchandise over the $800 allowance. Import products worth even more than that and you may be taxed at a higher percentage.

In short, duty-free is hit-or-miss for Americans. The best deals are on items labeled "tax free" and otherwise taxed heavily -- such as alcohol and cigarettes. You may also find it worthwhile to shop in duty-free stores if you have some local currency left and would rather put it to use than redeem it for dollars (and get hit with the high conversion fee of a bank or currency exchange bureau).

Not every duty-free item is a true bargain. Yngve Bia, president of the duty-free research company Generation Research, says price differences depend on two things: geography and currency exchange rates. "Right now, Heathrow and Gatwick in London offer good deals, especially for liquor, because of the weak British pound," he says. For example, a one-liter bottle of Absolut vodka has a typical non-duty-free price of about $30 at retail U.S. shops. But travelers can buy it for just $15 (£10) at duty free shops at London's Heathrow and Gatwick airports. That's a significant savings.

We found impressive discounts on booze elsewhere, too. One liter of Absolut sells for $17.50 (€13.50) at duty-free shops at Rome's and Brussels's main international airports, and for a bit more elsewhere, such as in Prague ($18.50, or 399 Czech koruna) and Munich ($21, or €16). Those prices offer substantial savings off the $30 benchmark price at a typical U.S. retail store. But be aware that American states may restrict how much alcohol you may import duty-free. There's a typical one-liter limit for all types of alcohol per person, though the rule depends on your state of residence and the country you've visited. (One exception: You can return from a visit to a Caribbean country with up to two liters of alcohol duty-free.)

Cigarettes offer similar savings. Gatwick's duty-free shop sells a carton of Marlboro Reds for $36 (£24). The same carton goes for $27 (€20) at the airport in Rome. In New York -- the state with the highest cigarette tax in the nation -- a carton of Marlboro Reds goes for about $80. In a state with more-typical cigarette taxes, Minnesota, the price of a carton is $44 -- still higher than in duty-free shops. (Note: U.S. customs law allows you to import only up to 200 cigarettes and 100 cigars, whether you bought them at a duty-free shop or not.)

But not everything in the duty-free shop is a steal. Duty-free stories once specialized in heavily taxed items, such as alcohol and tobacco products, but now they hawk other products that aren't as deeply discounted.

When shopping for cosmetics and fragrances -- which account for almost one third of all duty-free sales -- you need to shop with savvy and persistence. A 1.7-liter bottle of Ralph Lauren Notorious EDP, for example, costs $46 (£31) at duty free shops at Gatwick while the Ralph Lauren store in Miami retails it for $59. That's a savings of almost 25 percent.

Luxury goods -- defined in duty-free stores as high-end watches, designer-name handbags, and the like -- account for 36 percent of duty-free sales. But you need to comparison shop for these products to make sure that an item is truly on sale. A case in point: Hong Kong International's DFS Galleria, a duty-free shopping area, sells the Armani Obo Bag for $450 (HK$3,500). But shoppers can buy the same bag off Armani's website for about the same price (or, when we checked, on sale for $285).

In the end, if an item isn't liquor or cigarettes, be wary, and come prepared. Says Kathy Borrus, author of "The Fearless Shopper: How to Get the Best Deals on the Planet," "If you know the price of something back home and you go to a duty-free store, you can compare and know what the bargain might be." Consider that United Airlines sells duty-free products on board many of its planes, and a few items are truly discounted. A Waterford Kilbarry Guilloche Pen sells for $72, which is a savings of $18 off the price at a Waterford store.

Get the best travel deals and tips emailed to you FREE - CLICK HERE!

Copyright © 2009 Newsweek Budget Travel, Inc., all rights reserved.

@highlight

Duty-free shopping is hit-or-miss for Americans

@highlight

The best deals are on items labeled "tax free" and otherwise taxed heavily

@highlight

For countries in the EU, duty-free shops at airports and ports are also tax-free