(TIME.com) -- Promising trials hinted that circumcision could lower rates of HIV infection, but until now, researchers didn't fully understand why.

Now, in a study published in the journal mBio, scientists say that changes in the population of bacteria living on and around the penis may be partly responsible.

Relying on the latest technology that make sequencing the genes of organisms faster and more accessible, Lance Price of the Translational Genomics Research institute (TGen) and his colleagues conducted a detailed genetic analysis of the microbial inhabitants of the penis among a group of Ugandan men who provided samples before circumcision and again a year later.

TIME.com: If circumcision rates keep falling, health costs and infections will spike

While the men showed similar communities of microbes before the operation, 12 months later, the circumcised men harbored dramatically fewer bacteria that survive in low oxygen conditions. They also had 81% less bacteria overall compared to the uncircumcised men, and that could have a dramatic effect on the men's ability to fight off infections like HIV, says Price.

Previous studies showed that circumcised men lowered their risk of transmitting HIV by as much as 50%, making the operation an important tool in preventing infection with the virus.

Why? A high burden of bacteria could disrupt the ability of specialized immune cells known as Langerhans cells to activate immune defenses.

Normally, Langerhans are responsible for grabbing invading microbes like bacteria or viruses and presenting them to immune cells for training, to prime the body to recognize and react against the pathogens. But when the bacterial load increases, as it does in the uncircumcised penile environment, inflammatory reactions increase and these cells actually start to infect healthy cells with the offending microbe rather than merely present them.

TIME.com: Can new circumcision devices help fight AIDS in Africa?

That may be why uncircumcised men are more likely to transmit HIV than men without the foreskin, says Price, since the Langerhans cells could be feeding HIV directly to healthy cells.

His group is also investigating how changes in the levels of cytokines, which are the signaling molecules that immune cells use to communicate with each other, might be influenced by bacterial populations.

"There is a real revolution going on in our understanding of the microbiome," says Price, who is also professor of occupational and environmental health at George Washington University. "The microbiome is almost like another organ system, and we are just scratching the surface of understanding the interplay between the microbiome and the immune system."

Previous work suggested that changes in the bacterial populations in the gut, for example, could affect obesity, and other studies found potential connections between microbial communities and the risk for cancer, asthma and other chronic conditions.

TIME.com: Study identifies four new genetic markers for severe childhood obesity

This study was originally published on TIME.com.

Why circumcision lowers risk of HIV

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

The decreased risk may be due to changes in bacteria on and around the penis

@highlight

A high burden of bacteria may disrupt specialized immune cells

@highlight

Uncircumcised men are more likely to transmit HIV than circumcised men