Sanaa, Yemen (CNN) -- Fighting continued Wednesday into Thursday between government forces and tribesmen in Yemen's capital, as Sanaa residents reported hearing explosions near the presidential palace, a government source said.

"The reason the street fighting in Sanaa has gotten a lot more intense in the past several hours is because special forces are now involved," said the source, who asked not to be identified because he is not authorized to speak to the news media.

"The special forces of the Republican Guard, the elite units, got involved on Wednesday. They're being used because the government wants to minimize collateral damage and the special forces have particular training in clearing fighters from buildings."

Sanaa is, by most accounts, the most secure city in Yemen, which has a weak central government and contains vast stretches where tribal law reigns supreme. The intensity of the fighting in the capital, where most of Yemen's security forces and army units are based, has increased fears that the country is on the verge of civil war.

The impoverished, arid and mountainous nation has been a key U.S. ally in the battle against the al Qaeda terrorist network.

The government official expressed frustration that international mediation was no longer being attempted in Yemen. "Where are the Gulf countries? Where are the mediators? Where are our international friends? Someone needs to step in. It seems like people are just kind of giving up and I'm not sure why. What's troubling is that this kind of fighting could go on for a long time in the country's capital."

The official expressed concern over looting of government buildings during electricity outages, with hundreds of computers and furniture being taken from ministry buildings.

CNN was not able to verify the government source's report. Nor was it immediately able to reach a spokesman for the tribesmen.

The fighting was occurring as residents of Sanaa reported early Thursday hearing heavy explosions, which had spread from the Hasaba district and were approaching the presidential palace, some eight kilometers (five miles) away.

"Strong explosions have been going on all night -- we've been hearing them for hours in many different areas of Sanaa," said one resident of the capital. "The clashes are spreading and tonight have been much more intense than they have been the last few nights."

Yemen state television reported that an army general and a civilian were killed and 13 soldiers were wounded in clashes with supporters of the al-Ahmar family. They are members of the powerful Hashed tribe who rose up last month against President Ali Abdullah Saleh after the longtime leader backed out of a regionally brokered deal meant to ease him out of office and end months of demonstrations.

"The excessive use of force all day and night by the two fighting parties, the Army and the Al-Ahmar tribe, on many residential areas of Sanaa is causing great human and capital loss," said Amal Basha, a rights activist in Sanaa.

State television, citing a security source, said al-Ahmar supporters were bombing governrment installations and institutions in the Sanaa neighborhood of Hasba.

Ibrahim Mothana told CNN he was hiding in his house near the palace after hearing continuous machine-gun firing.

Journalist Raja Althaibani said residents in her Sanaa neighborhood were carrying weapons and the explosions were intensifying. "It isn't even because the explosions are loud, it's that they sound heavy and powerful -- giant thuds!" she said. "I can feel it in my bones."

Information was difficult to get out of the country, which has blocked access by CNN journalists.

Thursday's unrest came more than a day after four missiles struck a compound where generals who had defected from the Yemeni regime were meeting, a spokesman for the defected generals said Wednesday.

The spokesman, Askar Zuail, said there were no casualties as a result of the Tuesday night assault, which he blamed on Saleh's regime.

But government spokesman Abdu Ganady on Tuesday denied the claim to Al Jazeera. A senior defense ministry official who did not want to be named for security reasons also denied the claim to CNN.

The defected generals are running Sanaa's largest military base. Despite such cracks in Saleh's regime, the deadly unrest rages on.

Fierce clashes erupted Wednesday between government security forces and Hashed tribesmen in front of the Ministry of Local Administration in Sanaa, witnesses said.

The Hashed tribe has opposed government forces in intermittent fighting for more than a month.

Fifteen tribesmen were killed and 31 wounded in clashes on Tuesday and Wednesday, said Abdul Qawi Qaisi, spokesman for the head of the Hashed tribe.

On Tuesday, clashes between Yemeni security forces and tribal groups left at least five tribesmen dead while a leading tribe seized more government buildings in Sanaa, according to a spokesman for the leader of the Hashed faction.

In the southern city of Taiz, a center of protests against Saleh, three people were killed and at least 26 were wounded by gunfire on Tuesday, said Yasser Nomeree, a hospital staffer, and Bushra Maktari, a youth leader. The Organizing Committee of the Youth Revolution said members of the Yemen Army's Republican Guards shot at demonstrators in downtown Taiz.

In a written statement Tuesday, the United Nations said at least 100 people had been arrested in Taiz, while hundreds more had been wounded nationwide in recent fighting, according to a U.N. statement Tuesday.

"Saleh does not want peace," said the spokesman for the head of the Hashed tribe. "Saleh thrives with blood being spilt. They attacked us and we had to defend."

Government spokesman Tarek Shami said mediation efforts meant to stem the violence between the country's tribal groups and Saleh's government ended Saturday without a peace accord because Hashed tribesmen would not negotiate.

"They occupy ministries and police stations. They walk armed in the streets of Sanaa. They spread fear amongst the people," Shami said. "The tribes are attacking homes of civilians; that is why the cease-fire cannot continue."

Catherine Ashton, foreign policy chief of the European Union, denounced the attacks in Taiz.

"I am shocked and condemn in the strongest terms the use of force and live ammunition against peaceful protesters in the city of Taiz," Ashton said in a statement Tuesday. "The continued repression by the Yemeni regime and grave violations of human rights and international humanitarian law cannot be accepted."

The U.S. Embassy in Sanaa has condemned what it called the "unprovoked and unjustified attack" on demonstrators in Taiz. It praised the protesters and called on Saleh "to move immediately on his commitment to transfer power."

CNN's Jack Maddox contributed to this report.

@highlight

NEW: "Where are the mediators?" one government official asks

@highlight

"Strong explosions have been going on all night," says one Sanaa resident

@highlight

Yemen state TV reported that an army general and a civilian were killed

@highlight

Defected generals are running the largest military base in Sanaa