(CNN) -- Since the days of George Washington, U.S. presidents have carved out a long tradition of official road trips, if not by motorcade, then by railroad or horse and carriage.

The first Secret Service agent killed protecting a president died on a trip with Theodore Roosevelt.

In the late 1800s, President Rutherford Hayes rode railroads to visit 30 states and six territories, earning him the nickname "The Rover," according to Willamette University Professor Richard Ellis.

Eight presidents later, President William Howard Taft logged an average of 30,000 annual rail miles during his four-year administration.

In "Presidential Travel: The Journey from George Washington to George W. Bush," Ellis writes about presidential road trips, some which were tainted by tragedy.

Ellis describes the first century of presidential travel as "littered with grisly accidents, unpleasant near misses, and just plain discomfort. They are a window into the vast difference between the bureaucratized [and safe] presidential travel establishment of today and the far more haphazard and dangerous travel of yesteryear."

Theodore Roosevelt

During a 1902 road trip through New England, President Theodore Roosevelt was traveling in a carriage that collided with a trolley car, Ellis writes.

The crash threw Roosevelt from the carriage and killed Secret Service agent William Craig, the first Secret Service agent to lose his life while protecting the president, according to Ellis.

Living up to his "Rough Rider" reputation, President Roosevelt suffered only minor cuts and bruises in the crash.

Zachary Taylor

A railroad trip took its toll on the health of President Zachary Taylor, Ellis said. "When he made a railroad tour in 1849, it almost killed him."

"He was fairly old at the time, and these trips were brutal, because before each stop on the route, the influential townspeople would get on the train and want to talk with the president," Ellis said. "This meant 30 to 40 people battling for the president's attention, trying to talk to him, shake hands until they reached the town."

Taylor's trip was supposed to last a couple of months, according to Ellis. Within two weeks, he was sick and exhausted, "and they have to take him back to the White House."

Taylor died suddenly a year later after eating a snack of cherries and milk.

Andrew Jackson

In 1833, President Andrew Jackson was traveling through New York when his horse-drawn procession crossed a bridge connecting the Battery and Castle Garden.

The bridge collapsed, plunging "dignitaries of every age and shape ... into the shallow depths, all drenched, all frightened, and all struggling to regain solid ground," Ellis quoted from newspaper reports.

Jackson was unhurt because he was at the front of the procession, which had crossed to safety just before the bridge crumbled, according to Ellis.

"The trip basically got cut short because he collapsed from exhaustion and they had to take him back to Washington," Ellis said.

Franklin Pierce

He wasn't yet officially the president of the United States at the time, but President-elect Franklin Pierce cheated death during a railroad journey in 1853. "A broken axle hurled Pierce's passenger car off the rails and down a steep, rocky embankment," Ellis said.

The crash shattered the car into a "mass of broken glass and splintered wood," Ellis quoted newspaper reports of the day.

Pierce's young son was killed instantly, his skull "almost mashed to a jelly."

George Washington

A storm made trouble for President George Washington in 1791 as he and his horse and carriage crossed Chesapeake Bay, according to Ellis.

Washington reported that he spent the night "in my greatcoat and boots in a berth not long enough for me by a head, and much cramped," before he was rescued, Ellis said.

Road trips by car

For obvious reasons,  including comfort and time, presidents have not historically embraced long-distance travel by car, Ellis said, as railroad trips gave way to air travel.

President Franklin Roosevelt loved traveling by car after arriving in a community on a train, Ellis said.

"He loved trains, and he loved cars," Ellis said. "And he hated planes, although he did fly to Casablanca as president."

@highlight

Franklin Pierce's son was killed while on a railroad trip with president-elect

@highlight

Secret Service agent killed on the road while protecting Teddy Roosevelt

@highlight

Ferry carrying George Washington and his carriage ran aground in a storm

@highlight

President William Howard Taft traveled 30,000 miles by train annually