(CNN) -- A little boy named Jack, adopted from Russia several years ago as a toddler, celebrated Father's Day this year with his family in my home state of Minnesota. Jack is now 8.

Across the ocean, his little brother Teddy, 5, didn't even know it was Father's Day. He simply woke up and lived yet another day of his life in a state orphanage, dreaming of his brother and the parents he met last year, knowing that they are waiting for him in a home somewhere far away.

Jack's parents found out about Teddy too late to adopt the two brothers together. But as soon as they learned about Teddy, they knew they would adopt him, too. They were still in the midst of a drawn-out, three-year process to adopt Teddy when on December 28, Russian President Vladimir Putin signed into law a ban on all American adoptions of Russian orphans.

The news of the ban devastated hundreds of children and families like Jack and Teddy's. Dozens of families were only days or weeks away from flying to Russia for the final court date that would have allowed them to bring their child home. Many of these families have shown me pictures of these children they already love so much.

These are children who have known only the life of an orphanage since birth and whose disabilities make it unlikely that Russian families will adopt them. These orphans now sit and wait, clinging to photos of their American parents, asking when their mama and papa will come for them.

According to the United Nations Children's Fund, 740,000 children live in Russia without parental care. The Russian Ministry of Science and Education estimates that 110,000 of these children live in state orphanages . In contrast, only 7,400 domestic adoptions took place in Russia in 2011, with an additional 3,400 adoptions of Russian children by families from abroad.

These numbers are tragic. For an orphan, there is no substitute for a family. Not even the best orphanage can provide a child what a loving mother and father can. Staff, not parents, run orphanages. And despite any government's best intentions, hunger, neglect, extreme heat and cold and other forms of deprivation are common features of institutional life.

But even more crushing is the lack of security, connection and deep emotional bonds that can grow only within a family. Children who grow up in orphanages tell stories of never having heard the words "I love you" and never receiving a single spontaneous hug throughout their childhood. A government can pay someone to wash and feed children, but it cannot pay someone to love them.

Children with disabilities face an even bleaker fate.

For a host of reasons, children with disabilities are rarely if ever adopted in Russia and elsewhere. Because of the harsh realities of institutional life -- limited staff; scant resources for food, utilities and other needs; little to no medical care -- a large percentage of orphans with disabilities do not even survive childhood.

This means that for children with Down syndrome, cerebral palsy, blindness, deafness or other disabilities, being adopted by an American family may be the only chance they will have not only to receive specialized therapy and life-saving medical care but to know the unconditional love, acceptance and joy of being a cherished member of something special called family.

It is these orphaned children -- the weakest of the most vulnerable -- whom the Russian adoption ban has punished.

In June, I traveled to Russia with a bipartisan congressional delegation, taking part in meetings related to national security in the wake of the Boston Marathon bombings.

We also made it a point to reiterate our profound hope that the Russian government will reconsider the adoption ban, and at the very least, allow for the completion of the cases for the children and families who were near the end of the adoption process. I emphasized in these meetings our desire to provide whatever post-placement reports and information might be necessary to provide the Russian government their desired assurances of the well-being of adopted children.

I've also introduced a bipartisan resolution emphasizing much of the above, and most importantly calling on Russia to remember that every child deserves to be in a loving, protective and permanent family.

I am confident that House leadership will move this legislation forward and that President Barack Obama and Secretary of State John Kerry will proactively reaffirm our commitment to building a better future for every child in desperate need of a family.

Even in the complicated tides of modern political life, the weakest and most vulnerable members of society must never be forgotten or cast aside.

The opinions expressed in this commentary are solely those of Michele Bachmann.

@highlight

Michele Bachmann: Russia should lift its ban on American adoptions of Russian orphans

@highlight

Bachmann: For an orphan, there is no substitute for a family and parental love

@highlight

She says Russia's ban is punishing the weakest of the most vulnerable of its society

@highlight

Bachmann: I've introduced a bipartisan resolution urging Russia to reconsider ban