Washington (CNN) -- Nine new graphic cigarette warning labels showing cancerous lesions and other impacts of smoking were unveiled Tuesday by the Food and Drug Administration, part of the agency's sweeping new powers to regulate tobacco and tobacco products.

"With these warnings, every person who picks up a pack of cigarettes is going to know exactly what risk they're taking," Health and Human Services Secretary Kathleen Sebelius told reporters.

Sebelius called smoking and other tobacco use the "number one cause of preventable death" in America, claiming more than 440,000 lives a year.

Cigarette packages will now carry one vivid color image and one of these warnings about the consequences of smoking: "Cigarettes are addictive"; "Tobacco smoke can harm your children"; "Cigarettes cause fatal lung disease"; "Cigarettes cause cancer"; "Cigarettes cause strokes and heart disease"; "Smoking during pregnancy can harm your baby"; "Smoking can kill you"; "Tobacco smoke causes fatal lung disease in nonsmokers"; and "Quitting smoking now greatly reduces serious risks to your health."

The warnings, which must be in place by September 2012, will cover the upper portion of the pack both front and back. At least 50% of the package will have to be covered.

In addition, the warnings will have to cover at least 20% of a cigarette ad. Small ads less than 12 inches don't require the 20% coverage, but must still have a warning. Each warning will also have a phone number -- 1-800-QUIT-NOW -- that smokers can call to get help if they want to quit.

According to Sebelius, a stall in the downward trend of smoking in America, particularly among young people, prompted President Barack Obama to renew the focus on getting Americans to kick the habit or never start smoking in the first place. It is the first government-mandated label change for cigarettes in 25 years, she said, adding that a major motivation was targeting young people from wanting to smoke.

"Somebody said when they first saw the warning, these are really gross, and they are," Sebelius said. "We want kids to understand smoking is gross, not cool."

The new packaging and ads, which must be in place by September 2012, result from the Family Smoking Prevention and Tobacco Control Act (FSPTCA), which mandates cigarette packs and advertisements have larger and "more visible graphic health warnings" as part of an effort to educate the public about the health risks associated with smoking.

Margaret Hamburg, the commissioner of food and drugs at the federal Food and Drug Administration, said the nine images chosen for the new packaging requirements were tested for their impact on various target groups, such as teenagers and pregnant women. She noted that a pack-a-day smoker will confront the graphic photos more than 7,000 times a year.

"This will be a dramatic change in what a cigarette package looks like, no doubt about it," Hamburg said, later adding: "It will change the consumer response to a package of cigarettes, but frankly, that's what we want."

Thomas Glynn, director of cancer science and trends for the American Cancer Society, said the old labels have been virtually invisible because they're small and have been around for so long. He said people have become immune and don't really "see" them any more, but the new labels will be hard to ignore and will help focus attention on the problem.

"This is going to be a very important element in the tobacco control tool box, but it's not a panacea," Glynn said. "For smokers, it's a new and very visible reminder that smoking can harm them, harm people around them, including children. For nonsmokers, it's a reminder that smokers need their help and concern as far as quitting. The labels are not just for smokers, the labels are for anyone interested in public health."

Glynn says about 20% of the population still smokes, a number that has been pretty steady over the past five years. He hopes the new labels will jump-start a downward trend and reignite discussions about tobacco use.

According to the Centers for Disease Control and Prevention, about 443,000 people in the U.S. die from smoking or exposure to secondhand smoke annually and more than 8 million are living with a disease that's directly tied to smoking. The CDC says smoking is responsible for 90% of all lung cancer deaths in men and 80% in women. It estimates smoking causes 90% of all chronic obstructive lung disease deaths such as bronchitis and emphysema.

In January, both R.J. Reynolds and Philip Morris, the two largest tobacco companies in the United States, opposed the required warnings in letters to the FDA.

R.J. Reynolds, maker of some of the country's best-selling brands such as Camel, Kool, Winston and Salem, said the new requirements violate the First and Fifth Amendments.

The company said, in part, "The anti-smoking message is not intended to provide information that smokers and potential smokers can consider rationally in weighing the risks and perceived benefits from smoking. Rather, it plainly conveys -- through graphic images and designs intended to elicit loathing, disgust, and repulsion -- the government's viewpoint that the risks associated with smoking cigarettes outweigh the pleasure that smokers derive from them and, therefore, that no one should use these lawful products."

R.J. Reynolds said "by confiscating" the top 50% of the package and 20% of the ads, the government is not warning consumers about smoking risks -- it is telling consumers, 'Don't buy or use this product.' "The company is asking the FDA to withdraw the new rule, which it says is flawed, and issue a new one.

Philip Morris, the country's largest tobacco company, supported the FSPTCA legislation. But in its letter, the company raised questions about the constitutionality of the labels.

"Any government requirement that compels a private entity to carry a message not of its own choosing raises constitutional concerns ... To the extent that FDA were to select warnings based on their ability to evoke negative or cognitive reactions -- not their ability to objectively inform consumers about the health risks of smoking -- such warnings would not pass constitutional muster," the company wrote.

It said the sheer size of the warnings violates the First Amendment.

The tobacco companies are footing the bill for the new labels.

However, Glynn noted that tobacco-related disease and health problems cost $95 billion a year.

"The cost of putting the pictures on is at the expense of the tobacco industry; there is no cost to the government," Glynn said. "So this is not the government spending money, and yet what we are going to gain from it is less death and less disease -- and that's going to save the government money."

With this new move, the United States will be the 40th country to have picture warnings on our cigarette packs, making the country compliant with the World Health Organization's global treaty on tobacco. Under the treaty, 35% of a cigarette pack must have warnings and pictures.

The treaty has already been ratified by 173 of 192 member nations of the United Nations. The United States is one of 19 countries that has not ratified the treaty, but with the new labels, will be compliant.

Countries such as Canada, Brazil and Australia have long been leaders in tobacco control and have had very graphic art on their packaging for years.

CNN's Tom Cohen contributed to this report.

@highlight

NEW: Top health official says the goal is lower death toll, health care costs from tobacco

@highlight

Labels include warnings such as "Cigarettes are addictive" and "Cigarettes cause cancer"

@highlight

The new graphic labels must cover half the area on cigarette packages

@highlight

Tobacco company R.J. Reynolds says new requirements violate the First and Fifth Amendments