On Monday, a U.N. official said that Syrian rebels had likely used the nerve agent sarin.

Carla Del Ponte, the veteran war crimes prosecutor and a commissioner of the U.N. Independent International Commission of Inquiry for Syria, made this claim on a Swiss-Italian TV station.

Del Ponte explained, "Our investigators have been in neighboring countries interviewing victims, doctors and field hospitals and, according to their report of last week which I have seen, there are strong, concrete suspicions but not yet incontrovertible proof of the use of sarin gas, from the way the victims were treated."

Del Ponte added, "This was used on the part of the opposition, the rebels, not by the government authorities."

The U.N. commission later pedaled back from Del Ponte's statement, saying that it "has not reached conclusive findings as to the use of chemical weapons in Syria by any parties to the conflict."

The context here, of course, is that President Barack Obama is under pressure to act in Syria because of his tough statement in August that the use of chemical or biological weapons in the Syrian conflict would cross a "red line."

In the past few weeks, there have been multiple reports that Bashar al-Assad's regime has deployed chemical weapons. (And after Del Ponte's remarks were reported, a U.S. State Department official told CNN that the United States does not have information suggesting that rebels have "either the capability or the intent to deploy or use such weapons." But, the source said, the "facts are not complete" and efforts to obtain more information are ongoing.)

But Del Ponte's statement that the opposition is likely using chemical weapons raises an important issue: How plausible is the use of such weapons by any of the many armed factions that are fighting al-Assad's regime?

The most effective Syrian opposition group is widely considered to be al-Nusra Front. The U.S. State Department says that al-Nusra Front is simply a cover name for al Qaeda in Iraq, which has long operated in Iraq and neighboring Syria.

It is a worrisome fact that al Qaeda in Iraq is the only al Qaeda franchise ever to have actually used chemical weapons.

Al Qaeda in Iraq detonated a series of crude chlorine bombs in Iraq from late 2006 through mid-2007.

A study by the New America Foundation found a total of 16 chlorine gas bombings in Iraq, the last of which was in June 2007.

On October 21, 2006, al Qaeda in Iraq launched this campaign of chlorine bomb attacks by detonating a car loaded with mortars and chlorine tanks in Ramadi, wounding three Iraqi police officers and a civilian.

Such attacks sickened many hundreds of Iraqis, but the victims who died in these assaults did so from the blast of the bombs rather than from inhaling chlorine.

U.S. and Iraqi troops successfully killed or captured many of the people in al Qaeda in Iraq who were building the chlorine-laced bombs and captured much of the group's stockpiled chlorine.

Charles Faddis, who headed the CIA's operations against al Qaeda in Iraq's chlorine bomb network, told me in 2010: "There was a lot of effort to secure the chlorine, to get a hold of the tanks, to track these guys down (who were responsible for building the chlorine bombs), to kill them or capture them. Meanwhile, the attacks are not being particularly successful. The people are dying in the blast, but fortunately nobody is dying from chlorine."

There is no evidence that al Qaeda in Iraq stopped its campaign of chlorine bombing because of any qualms about the use of such weapons.

Chlorine gas was used by both sides during World War I but was banned by the Geneva Protocol, along with the use of other poison gases, after the end of the war.

The use of such weapons has been a matter of some debate within the leadership of al Qaeda.

In documents found by the U.S. Navy SEALs who raided Osama bin Laden's compound two years ago in Abbottabad, Pakistan, there was a letter written by bin Laden five days before he was killed in which he urged his followers in Yemen who were considering using "poison" to be "careful of doing it without enough study of all aspects, including political and media reaction."

As we consider the conflicting reports of the use of chemical weapons that have emerged from Syria over the past weeks, it is worth recalling that the al Qaeda affiliate in Syria has in the past used crude chemical weapons on multiple occasions in neighboring Iraq.

Also al Qaeda's leaders such as bin Laden have pushed back on the use of such weapons only insofar as their use might damage the image of al Qaeda in the eyes of the Muslim public, not because of international norms that the use of these weapons is beyond the pale.

@highlight

Official on U.N. commission says Syrian rebel group may have used nerve agent

@highlight

Peter Bergen: It would not be first time al Qaeda-affiliated group used chemical weapons

@highlight

Obama administration raises doubts that rebels used chemical weapons

@highlight

Bergen: Issue of who may have used them in Syria is key to U.S. response