Hong Kong (CNN) -- July 1, 2014, the 17th anniversary of Hong Kong's return to Chinese rule, is set to be a hot, possibly stormy day.

But the suffocating weather won't stop pro-democracy Hong Kongers -- possibly hundreds of thousands of them -- from filling the streets, beginning at 3 p.m today. Activists are openly challenging China's vision for the city's political future, and they believe the public is on their side.

In a recent unofficial referendum organized by pro-democracy activist group Occupy Central with Love and Peace (OCLP), 787,767 Hong Kongers voted in support of free elections for the city's next leader.

READ MORE: Hong Kong's 'referendum' -- What you should know

The almost-800,000 figure represents about 22% of registered voters in Hong Kong, out of a total of 3.5 million registered voters, according to government figures. Before the vote began ten days ago, organizers were hoping around 100,000 people would participate.

Benny Tai, a co-organiser of OCLP, said Hong Kongers were "using this opportunity to at least show Beijing how determined we are for universal suffrage."

Hong Kong's former second-highest-ranked official, Anson Chan, echoed the sentiment in an interview with CNN on Monday.

"Whatever Beijing says in public now I think it can hardly afford to ignore the voices of 780,000 people."

But the Chinese government's reaction was decidedly more frosty, with the government declaring the poll "illegal" and its results "invalid" even before the ballots were counted.

Rimsky Yuen, Hong Kong's Secretary for Justice, has previously said there is no legal basis for the vote.

Yuen, as well a number of other, pro-establishment voices, declined to speak to CNN.

A recent Chinese state media editorial said the poll was a "farce." Searches for the referendum have also been heavily censored on the Chinese internet.

Showdown over democracy

The city's pro-democracy camp wants fully democratic elections for the city's next leader, while China insists it will only allow elections in which it gets to approve the nominees. Specifically, Beijing says it will only allow candidates who "love China."

The Occupy Central referendum outlined three plans to reform the upcoming election. All three plans proposed that candidates be nominated publicly, regardless of whether the candidates have Beijing's blessing.

42% of participants picked a proposal by the Alliance for True Democracy, which said candidates for Hong Kong's chief executive should be nominated by the public, and conditions such as requiring candidates to "love China" should not be allowed.

Another question asked if Hong Kong's legislature should veto any nomination process that did not meet "international standards." This was overwhelmingly approved in the referendum.

The high numbers are a sign that Hong Kongers are not about to back down, said Tai.

"We have an offer and we have a baseline, and this is the thing we will give to the (Hong Kong government)," he told CNN. "I think a responsible government must respond to that. I cannot see any reason for refusing to meet with us."

But if negotiations fail, and no progress is made through legal means, then the group is prepared to disrupt the city to make their statement heard. As a final strategy, Tai says his group may marshal 10,000 people to sit and peacefully block traffic in downtown Hong Kong as a way to pressure Beijing into allowing Hong Kong to exercise "genuine universal suffrage."

"We will only resort to the civil disobedience action as our last resort," said Tai. "Only after exhausting all the legal means and still fail to achieve our goals will we resort to civil disobedience."

Grassroots support

The city is politicized like at no other time in its recent past. While the July 1st anniversary of the handover has always brought demonstrators out onto Hong Kong's hot, crowded streets, often numbering over 100,000, this year protests are expected to be super-sized.

Many Hong Kongers are enraged after the recent publication of a white paper by the Chinese government which declares Beijing's "comprehensive jurisdiction" over Hong Kong.

READ MORE: Alarm in Hong Kong at Chinese white paper affirming Beijing control

Chan said the white paper violates the "one country, two systems" principle enshrined in Hong Kong's constitutional Basic Law, which lets the city maintain high autonomy despite being a part of China.

The white paper "makes it quite clear that whatever autonomy we enjoy is for the central government to give and to take away at its pleasure," she said. "I think this has caused real concern."

The inflammatory document came days after 100,000 people showed up to an annual candlelit vigil for the victims of the 1989 Tiananmen Square crackdown.

"(The white paper) has spectacularly backfired, it's made people even more angry," Chan said.

What's next?

The situation in Hong Kong is volatile. Some activists fear a crackdown on freedoms by the Chinese central government, and others look nervously to the possibility of unrest at tomorrow's mass protest.

Michael DeGolyer, Director of the Hong Kong Transition Project, an independent organization that monitors governance in the territory, said the future is incredibly difficult to assess because no one is totally sure what China's officials are thinking.

"We're in a situation where we have a new regime in power and much more volatile circumstances, and we have groups that are much more separatist, challenging the legitimacy of the central government altogether," he said.

"In these circumstances, it is extremely difficult to tell what the central government intends and what they're thinking and how they'll react."

But despite the uncertainty, Hong Kong's democracy supporters remain hopeful.

"I do not think Beijing has made up its mind on universal suffrage, so let's see what happens in the months ahead," said Chan.

"The government stance has a little bit softened in the last few days. There's a chance there," said Tai. "After (the July 1 protest), we may be able to see whether there's any change in the stance of the Chinese government."

@highlight

Unofficial referendum on Hong Kong's political future draws almost 800,000 votes

@highlight

Results were announced just before the anniversary of the 1997 handover of power, traditionally a big day for pro-democracy protests in Hong Kong

@highlight

Hong Kongers angered by what they perceive to be Beijing's undue influence over their political destiny