(CNN) -- The tragic fate of Malaysia Airlines Flight MH17, believed shot down by a missile in eastern Ukraine, killing all 298 on board, has cast a new light on the series of gambles Russian President Vladimir Putin embarked on in late February.

At that time, Putin sent military intelligence troops in unmarked uniforms to take control of the southern Ukrainian peninsula of Crimea. Three weeks later, Russia annexed the region.

As Russian-speaking Ukrainians farther north in Donetsk and Luhansk stormed administrative buildings, demanding independence from Kiev, Russian intelligence officers started slipping across the border to help organize the militias. In subsequent months, Moscow supplied the separatist guerrillas with artillery, tanks and anti-aircraft weapons.

Putin's goal appeared to be to pressure Ukraine's leaders to negotiate with the Russia-backed rebels and offer constitutional autonomy to the country's eastern regions. Intimidated by the superiority of the Russian army, Kiev -- it seemed -- would have to buckle under.

This strategy was failing even before the Malaysia Airlines tragedy. Soon after his election last May, Ukraine's new President, Petro Poroshenko, launched a determined military campaign to crush the separatist guerrillas. Although he might have been willing to negotiate with Putin, he showed no inclination to talk to the swashbuckling Russian desperadoes on the ground.

The success Poroshenko's operation was having explains why recently Moscow reportedly supplied its proxies with at least one radar-guided Buk missile system that could destroy Ukrainian military planes flying at high altitudes. Such missiles also had the range to hit the commercial airliners that continued to cross the conflict zone.

While the facts about who shot down Flight MH-17 can only be settled by a full investigation, Ukraine's government has said it has "compelling evidence" that a Russian-supplied battery, manned by Russian operatives, fired the missile.

'Moment of truth' for Putin

Suddenly, the risks inherent in Putin's gamble are glaringly obvious. By supplying weapons to the rebel militias, with their strange mix of intelligence agents, local thugs and trigger-happy Russian volunteers, Putin made himself a hostage to their brutish blundering. On Saturday, some of these "freedom fighters," apparently drunk, were said to be manhandling the corpses, while barring OSCE observers from the crash site.

All must now await the results of the international investigation. If it concludes that the plane was shot down by rebels using a Russian-supplied missile -- or, worse still, by Russians themselves -- the pressure on Putin will become intense. The West, led by President Barack Obama, will demand that he cut off support to the rebels once and for all and seal the border.

If Putin does not do so, tougher economic penalties are almost certain. Already, the latest round of U.S. sanctions, announced on July 17, surprised observers by their severity. They targeted the third and fourth largest Russian banks -- VEB and Gazprombank -- as well as the energy companies Rosneft and Novatek, which are associated with the Putin cronies Igor Sechin and Gennady Timchenko.

Putin will, thus, have two options, both dangerous for his regime.

He could reject the conclusions of the international investigation and stand by the separatists. This would result in serious damage to the Russian economy from sanctions that might now target whole sectors such as banking or energy. Such measures would send the economy -- already forecast by the IMF to grow just 0.2% this year -- into a painful recession.

At the same time, the Kremlin would find itself more internationally isolated than at any time since the end of the Cold War. Not just the U.S. and Britain, but many other countries that were previously friendly or neutral would start to treat Putin as a pariah. And Putin would have to worry that his protÃ©gÃ©s across the border might commit some new atrocity, provoking the world into even tougher countermeasures.

Opinion: How MH17 disaster backs Russia's Putin into a corner

Putin's second option would be to accept the report's conclusions and cut off supply lines to the rebels. But that could create significant problems for him at home.

To those informed about the conflict by Russian state-controlled television, such a turnaround would be bewildering. A relentless barrage of propaganda has convinced many Russians that their co-ethnics in Donetsk and Luhansk are being massacred by troops commanded by a fascist regime in Kiev. For Putin to bow to international pressure and abandon his former charges would look like cowardice.

Such a betrayal could quickly squelch the post-Crimea euphoria. From the start, the Kremlin's strategy in Ukraine has aimed in part at consolidating domestic support. As the economy stagnates, Putin has sought to replace growth and prosperity as a basis for popularity with anti-Western nationalism and conservative values.

In the past, xenophobic nationalists have been among the least favorable toward Putin. His current astronomical ratings -- 86% in the latest Levada Center poll -- suggest at least some temporary success in winning them over.

Were he to abandon the anti-Kiev insurgents, Putin could kiss such support goodbye. Moreover, were he to admit that Russian-backed rebels fired the missile, the credibility of Russian state-controlled television would suffer. The main channels have pushed a variety of conspiracy theories, including one in which the Ukrainian military shot down the plane, mistaking it for the jet flying Putin home from the BRICS summit in Brazil. Should Putin disavow such theories and endorse the Western version, his propagandists would look like liars.

It remains possible that the investigation will fail to reach any strong conclusions, leaving Putin some wiggle room. But at this point interpretations completely exonerating Russia are few and far between.

"War," wrote Clausewitz, "is the province of chance." The danger that a covert military operation could get out of hand should have been clear all along. For 14 years, Putin proceeded cautiously in international affairs, weighing expected costs and benefits before taking action. His decision to invade Crimea was so uncharacteristically risky -- with such large potential costs and short-lived benefits -- that it took many observers by surprise.

Now, unless some new unexpected event turns up to rescue him, Putin faces an unappealing dilemma. Either way, the risks are high. Having gambled his way into trouble, he now has little choice but to roll the dice again.

The opinions expressed in this commentary are solely those of Daniel Treisman.

@highlight

Daniel Treisman: Putin took a big risk when he annexed Crimea, backed Ukraine separatists

@highlight

He says the Russian President made himself hostage to brutish action of separatists

@highlight

Now Putin will either have to side with West or reject international consensus

@highlight

Treisman: Putin could make his regime a pariah or could lose support internally