(CNN) -- Once again, the streets are electric with anger after a white police officer evades charges for fatally shooting a black man. Sirens screech and wood batons push back marchers protesting from Missouri to New York to Los Angeles. This time the cadence of "No Justice, No Peace" has been replaced with "Hand's Up. Don't Shoot."

But there was another sign raised above the crowd in a recent protest in New York: "Doing Nothing with Saying Nothing. Changes Nothing." The mathematics of this one are clear. Something's gotta give.

A loose network led by African Americans in the film and arts world has emerged from the fog of tear gas to call for a quiet riot in response: a boycott of Black Friday shopping.

Ryan Coogler, who directed the 2013 film about police brutality called "Fruitvale Station," told us he was confounded by the eruptions of "human rights violations committed by public servants."

"There are three ways you can express yourself," Coogler said. "You can vote. You can protest. You can choose how you spend your money that goes to America's corporations that hold a lot of power."

"We've got to fight the powers that be!" proclaimed Public Enemy's Chuck D in 1989. With the embers of Ferguson still smoldering, it is clear that the struggle continues. But by taking their purchasing power away on retailers' favorite day of the year, the voice of blacks in America, and their allies, may echo more loudly in its absence from shopping malls and big box stores.

Earning less than whites and unemployed at more than double the national average, African Americans still have $1 trillion in buying power, according to Nielsen. They spend more on media, watch more television, shop more frequently off and online and spend more on beauty products than any other ethnic group in the country. That is serious sway.

People who make movies also have sway -- people such as Ava DuVernay, director of the upcoming film "Selma" and actors Michael B. Jordan ("The Wire") and Nate Parker ("The Secret Life of Bees"). #BlackOutBlackFriday has even produced its own minifilms to fuel this modern version of the bus boycotts.

One of them features an interview with the daughter of Eric Garner, who describes losing her father to police violence. Garner was choked to death by police who suspected he might be selling "loosies" or loose cigarettes. In his grand jury testimony, Ferguson Officer Darren Wilson said the man he shot to death, Michael Brown, might have been suspected of stealing "cigarillos" at a convenience store.

Our own contribution to this tragically revived conversation is the Starfish Media Group documentary "Black and Blue". It includes Garner's story and other shocking videos and stories of police brutality.

The #BlackOutBlackFriday videos alone make the case for change.

"Social media and the technology, with respect to camera phones, empowers every single person who has access to a device," Parker told us. These are the kind of media people could be watching ahead of Black Friday, rather than falling prey to commercial plugs to shop.

The outcry over police brutality can't end with the Thanksgiving news cycle. President Barack Obama can't just promise to take a look -- yet another look -- at how the police interact with the public. Public frustration over policing didn't boil over only because of Michael Brown's death. It did because of the daily indignities that have become common for black people. These boycott organizers feel that helplessness as they watch the police violence spinning out of control and don't know how to stop it. It's not like you can dial 911.

To Darren Wilson, who shot Michael Brown "the whole thing started over 'will you just walk on the sidewalk.' " Then suddenly the man he called a "demon" was dead, he washed his hands of blood and stowed his gun. He faced no judicial accountability after 25 days of grand jury investigation.

A 2013 Pew Research Center survey showed that 7 of 10 blacks felt they were being treated less fairly than whites by police. A Gallup poll that same year found that nearly 25% of all black males from ages 18 to 34 reported being treated unfairly by police in the past 30 days.

"This is not a one-day thing," DuVernay told us. "What #blackoutblackfriday is trying to do is to create ongoing pressure to change the conversation among conscious people of all colors."

They might achieve more by opting out of the system than by opposing it. Your presence is sometimes felt by your absence.

@highlight

Soledad O'Brien, Rose Arce: Instead of Ferguson violence, blacks can use economic power

@highlight

They say blacks in arts urge a Black Friday boycott to make voices heard through absence

@highlight

They say police brutality is rampant and outcry can't end with the news cycle

@highlight

Writers: Blacks might achieve more by opting out of system rather than opposing it