(CNN) -- In the horse race coverage of political campaigns, we sometimes forget that elections are just exciting preambles to the main event -- governing.

Now's the time when the parties return to Washington and try to implement the people's wishes as expressed in the election. And unlike 2008 and 2010, neither party is likely to misinterpret the results as an ideological mandate.

This is a good thing. But it's also a mistake to read the election results as simply an endorsement of the status quo. Despite the fact that Americans returned President Barack Obama to office while keeping Democrats in control of the Senate and Republicans in charge of the House, this was no seal of approval on the political division we've seen in Washington for four years. Instead, it was a decided endorsement for balanced bipartisan plans.

Obama won the election with a 16-point margin among moderate voters. Republican Senate candidates who represented the ideological extremes of their party -- Richard Mourdock and Todd Akin, specifically -- were soundly rejected even in states that voted for Mitt Romney by double digits. Polarizing voices such as Rep. Allen West were also retired from Congress. The hate and hyper-partisanship that has disfigured our civic debates in recent years was decisively defeated in this election.

An Election Night poll by the center-right Main Street Advocacy Fund found that 62% of voters said that Washington needs leaders with "willingness to compromise to get things done." This specifically extends to the looming "fiscal cliff" and "grand bargain" negotiations to deal with the deficit and debt. Sixty-nine percent of Republicans and 68% of Democrats chose balancing the budget over preventing tax increases as the bigger priority for the next Congress.

The broad outlines of a balanced bipartisan plan are well-known -- cut spending, change entitlements and raise revenue. That's the ground defined by the Bowles-Simpson commission, the Gang of Six and the Obama-Boehner grand bargain.

In all cases, the problem came to selling such a plan to right-wing Republicans, who refused to consider any revenue increases, as well as left-wing Democrats who don't want to see long-term changes to entitlements. That's why congressional members of the Bowles-Simpson commission such as Paul Ryan on the right and Jan Schakowsky on the left refused to support its recommendations, even while conservative and liberal senators such as Republican Tom Coburn and Democrat Dick Durbin did.

But according to the Main Street survey, 54% of Republicans, 50% of Democrats and 49% of swing voters support the Bowles-Simpson plan -- while just 10% of Republicans and 12% of Democrats oppose it.

And despite the strenuous opposition by adherents to Grover Norquist's no-tax pledge, 35% of Republicans say they would be more likely to vote for a member of Congress who broke the anti-tax pledge to find a long-term solution to the deficit and debt mess -- while 31% said it would make them less likely.

All this should give members of Congress the courage to reach across the aisle, both in the upcoming lame-duck session and the next. House Speaker John Boehner has indicated an openness to raising revenues from comprehensive tax reform that could actually lower rates but close loopholes. Boehner is a deal maker who might feel unshackled from the tea party wing of his party if the president leads in a bipartisan manner. He set exactly the right tone after the election by saying, "Let's find the common ground that has eluded us."

The opportunity and obligation of Obama's second term will be to depolarize the nation and the Congress. That will require leading on issues such as entitlements as part of a balanced plan to deal with the deficit and the debt.

It seems possible that with the right bipartisan style and substance, the president can also achieve comprehensive immigration reform and some aspects of his jobs bill, such as a public-private infrastructure bank.

Republicans now realize that they cannot antagonize the Hispanic community and win elections. President George W. Bush tried to pass immigration reform co-sponsored by John McCain and Ted Kennedy in the Senate but was defeated by an outcry from the right in 2007. Obama could achieve that elusive goal by picking up that legislation again.

The good news is that Sens. Chuck Schumer and Lindsey Graham have said they are resuming their bipartisan talks on the matter.

Also, the president's jobs bill, composed almost entirely of policies that had bipartisan support in the past, was dead on arrival in the last Congress for reasons little more profound than election-year hyper-partisanship. But with the economy slowly improving and the election over, there is little reason to prolong the painful charade.

Ideas such as a public-private infrastructure bank could boost employment while increasing the structural strength of our nation, a clear win-win while the Northeast rebuilds from Superstorm Sandy. Best of all, it can be done with comparatively little cost to taxpayers by simply leveraging government investment with private funds, benefiting private employers rather than creating new bureaucracy.

There will be stubborn hyper-partisans who refuse to work in good faith with the other party, pretending that their unwillingness to compromise is political courage. They are the problem in our politics, angry conformists who put partisanship ahead of patriotism and problem-solving.

We have urgent problems to confront in our country. We have the capacity to solve them, and we know the broad path forward. What's been missing is the political courage to stand up to the extremes in our own parties and reach across the aisle. That is specifically what voters want to see in our next Congress -- a spirit of constructive compromise and principled problem-solving that defines the common ground on any given issue and then builds on it.

This is the time to redeem the promise Obama passionately articulated on Election Night: "We are not as divided as our politics suggests. We're not as cynical as the pundits believe. We are greater than the sum of our individual ambitions and we remain more than a collection of red states and blue states. We are, and forever will be, the United States of America."

The opinions in this commentary are solely those of John Avlon.

@highlight

John Avlon: Election neither an ideological mandate for either party nor support for status quo

@highlight

Avlon: Voters rejected hyper-partisanship and cast ballots for collaboration between parties

@highlight

Leaders have lacked the courage to stand up to extremes in their parties, he says

@highlight

Avlon: Congress' task is to find common ground on issues such as jobs, budget, immigration