BEIJING, China (CNN) -- A 19-year-old prostitute working in an apartment that doubles as a brothel said she has up to eight clients a day.

A woman awaits customers at a Beijing barber shop in 2008. Sex workers also ply their trade in barber shops.

Working in the southern boom city of Shenzhen, a special economic zone just north of Hong Kong, she told CNN she worries about getting AIDS, but has her own prevention measures.

"I always use condoms or take an injection. The medicine can prevent sexually transmitted diseases," she said. "Some girls do not use prevention measures, but we don't talk about that in public."

This young woman, who would not give her name, is part of a group that Chinese and international health authorities are concerned could potentially spread HIV and AIDS in the world's most populated country, so officials have stepped up efforts to educate them about the virus and dispel misconceptions about so-called "injections" that can prevent infection.

"I think sex work is probably one of the most important factors for the potential of HIV spreading in Asia and also in China. There is no doubt about it," said Bernhard Schwartlander, UNAIDS China Country Coordinator. "One of the things that we have seen in China is that knowledge about HIV/AIDS is very low in the general population and certainly also in the sex work industry. That is a big, big problem," Schwartlander said.

It is estimated that some 700,000 people are living with HIV in China and there are about 50,000 new infections every year, according to the Chinese government and UNAIDS. The U.N. agency believes a significant number of those new infections include sex workers.

Prostitution is officially illegal in China, but very loosely addressed by the government. It is estimated that there are between two and four million sex workers in China. As the country's economy has boomed, so has the sex industry, especially in prosperous cities like Shenzhen. Many clients flock there from Hong Kong which is just an hour away, some of them businessmen with money to spend.

Condom use in China can range anywhere from about 20 percent to 80 percent, according to UNAIDS.

"There are misconceptions. People think that they can avoid HIV infections by taking a pill. People think that they are not at risk for HIV infections because they don't know anybody (who has it), because you can't see it, you can't touch it. And clearly, this is something that we have to change very rapidly," Schwartlander said.

Historically, HIV and AIDS have been taboo topics in China, another reason awareness can be so low. Prevention in the gay community has also been difficult because of traditional stigmas against homosexuality.

But the Chinese government is now conducting educational campaigns to inform higher risk groups, including sex workers, about how to prevent the transmission of HIV.

"After years of these campaigns, we found out through survey that condom use is constantly increasing, especially in urban areas, the condom use can reach 70 percent or even up to 80 percent," said Hao Yang, Deputy Bureau Chief of the Chinese Health Ministry's Disease Prevention and Control Bureau.

But other areas are proving difficult. In rural parts of the country, the proportion of condom use among sex workers is less than 50 percent, Hao said.

"When we go to investigate in rural areas, the proportion of people with this knowledge (of AIDS prevention) is still very low," he said. "In addition to that, the proportion of change in their activities is also very low, which means that the condom use rate is still low."

About one in 200 sex workers nationwide currently has HIV, Schwartlander said. But in one part of Yunnan province in the country's far southwest, seven percent of the sex workers -- or as many as 14 in every 200 -- have HIV, according to UNAIDS.

"The sex workers living in remote areas and rural areas have played an important role in AIDS spreading. We do not have a precise figure for the proportion that sex workers make up in it (the spread of AIDS), but we can say that they are making up a significant proportion," Hao said.

The government has a long-term plan to educate the general public and to strengthen intervention in the high-risk populations, particularly sex workers, Hao said.

When HIV initially began to spread in China, infections were concentrated among people who injected drugs, Schwartlander said. Campaigns among this group have been effective, while infections among other groups have risen.

One of those groups, Hao said, was men having sex with men, which accounts for 5.9 percent of infections, according to the Chinese Health Ministry.

A majority of the infections are concentrated among drug users, men having sex with men, and sex workers and their clients, Schwartlander said.

"Society and communities have been able to curb the spread of HIV, also in sex work, and that is what we have to do," Schwartlander said.

As China's economy grows, it is likely the sex industry will as well. Current estimates show that some 30 to 50 million people are at significant risk for HIV infection, Schwartlander said.

"China is a society which is in quite a significant transition. There is a huge increase in disparity of income between the rich and the poor, and all these are very well-known factors that drive the sex industry forward," Schwartlander said. "Clearly, in China, I think that the sex industry is a rising industry. We will see an increase in the number of sex workers due to these factors in the future."

A 22-year-old prostitute in Shenzhen, who did not want to give her name, said she knows the risk but needs the work.

"AIDS is the number one killer for my job. I cannot let this disease destroy my life. This is only a short-term business. I don't have any relatives in Shenzhen and can't borrow any money. I can only rely on myself."

@highlight

Some people in China believe injections or a pill can prevent infection

@highlight

Some 700,000 people have HIV in China; about 50,000 new infections yearly

@highlight

About one in 200 sex workers nationwide currently has HIV

@highlight

As China's economy has boomed, so has the sex industry