(CNN)  -- President Obama slowly walked across the grounds of Cape Coast Castle, a slave outpost in Ghana where hundreds of thousands of Africans were shipped as human cargo to a life of bondage in the United States, South America and the Caribbean.

President Obama and his family toured Cape Coast Castle during their trip to Ghana.

"You almost feel as if the walls can speak. You try to project yourself into these incredibly harrowing moments," Obama told CNN's Anderson Cooper.

When the president reached the "Door of No Return," an arched gateway with thick doors that would shut behind African men, women and children before they were forced onto slave ships, Obama looked out over the Atlantic Ocean where waves crashed onto rocks. "Obviously there's a sense of what a profound sorrow must've been felt as people were hauled off into the great unknown," he said.

What does he tell his two daughters, Sasha and Malia, about slavery?

"You try to explain that people were willing to degrade others because they appeared differently," Obama said. "You try to get them to engage in the imaginative act of what it would be like if they were snatched away from Mom and Dad and sent to some place they had never seen before. But you know, part of what you also try to do with kids is to get them to imagine themselves on the other side, as being the slave merchant.

"That slave merchant might've loved their children and gone to that place of worship," he said, pausing to point to a church on the grounds, "right above the dungeon. And [I try to] get them to make sure that they're constantly asking themselves questions if they're treating people fairly and whether they are examining their own behavior and how it affects others."  Watch Obama's interview with CNN's Anderson Cooper »

He toured the site with his family, including first lady Michelle Obama and her mother, who are descendants of slaves from South Carolina. "I can't imagine that for her, for her mother who is with us ... that seeing that portal doesn't send a powerful message -- the kinds of emotions that must be evoked."

Obama's recent trip to Ghana and the slave-shipping outpost comes on the heels of last month's apology by the U.S. Senate about slavery. The Senate passed a nonbinding resolution that "acknowledges the fundamental injustice, cruelty, brutality and inhumanity of slavery, and Jim Crow laws," and "apologizes to African-Americans on behalf of the people of the United States for the wrongs committed against them and their ancestors who suffered under slavery and Jim Crow laws." Obama called it a "historic" resolution at the time.

The issue of apologizing for the past has prompted some heated discussion. In an interview that has gone viral on the Internet, Chris Matthews, the host of MSNBC's "Hardball with Chris Matthews," blasts Rep. Steve Cohen of Tennessee for backing such an apology.

"It makes no sense to me. Why should the whole country apologize for what a good half or more of the country got killed opposing? You're from Tennessee. Maybe you should apologize first before you ask the rest of the country," Matthews snaps.

Katrina Browne, a descendant of wealthy Northerners, said she always thought slavery was confined to the South, until she began digging through her own family's history. She learned that her family, the DeWolfs, sailed ships from Bristol, Rhode Island, to West Africa, trading rum for African men, women and children in the late 1700s to early 1800s.

The DeWolf family brought more than 10,000 slaves from Africa, she said, and eventually became one of the wealthiest families in the nation as a result of its slave-trading business. Browne detailed her family's experience in a documentary last year called "Traces of the Trade: A story from the Deep North," as part of PBS's "Point of View" series.

"I'm a firm believer in the U.S. government apologizing because of all the ways in which the government supported and condoned and made slavery possible," said Browne, who has also traveled to Ghana to see Cape Coast Castle.  Learn about Michelle Obama's slave roots »

"What most Americans don't know is the extensive complicity of the North in slavery. The victors write the history books, so the North wrote the history on slavery and very conveniently painted it solely as a Southern sin, whereas in fact the Northern colonies and states owned slaves for over 200 years and were the main slave traders."

She said she found inspiration in Obama's trip to Ghana and the recent Senate apology. The nation needs to discuss the issue of slavery now more than ever, she said.

"Some people think that those of us who are white and believe in the importance of public apologies or public acknowledgements -- [they] feel that we're just a bunch of knee-jerk, guilt-ridden liberals," she said. "I like to say, 'Why wouldn't the government and white Americans want to go out of our way to make things right, including with what is just a very simple human step of offering an apology/acknowledgement?' "

In addition to the Senate apology, states such as Alabama, Connecticut, Florida, Maryland, New Jersey, North Carolina and Virginia have enacted similar resolutions at the state level for their roles in sanctioning and promoting slavery.

But many feel an apology is over the top.

State Rep. Patrick McDonough opposed an apology when it was considered in Maryland in 2007. A descendant of Irish immigrants, McDonough said an apology is simply a "mindset cleansing" for liberals and a potential preamble for reparations.

"It's just a divisive grand-standing issue that makes no sense at all," said McDonough, a Republican radio host in Baltimore. "No. 1, I or my family have never owned slaves. We came to the United States from Ireland long after slavery had been abolished. No. 2, I think the apology has already been given in the way of 500,000 dead American soldiers in the Union Army who made it clear that they didn't approve of slavery and fought against it."

He added that tens of millions of dollars from taxpayers, both black and white, have been spent on programs to help African-Americans over the years, amounting to the equivalent of an apology for a bad institution.

"There is no need for an apology; there is a need for people to come together and work for the general welfare of the nation," he said. "The president, I believe, will pretty soon appoint a czar of apology."

On his trip in Ghana, Obama said the nation and the world should never forget the scourge of slavery because it's still relevant in today's world.

"I think that the experience of slavery is like the experience of the Holocaust. I think it's one of those things you don't forget about. I think it is important that the way we think about it and the way it's taught is not one in which there's simply a victim and a victimizer, and that's the end of the story," he said.

"I think the way it has to be thought about, the reason it's relevant is because whether it's what's happening in Darfur or what's happening in the Congo or what's happening in too many places around the world -- you know, the capacity for cruelty still exists."

"So trying to use these kinds of extraordinary moments to widen the lens and make sure that we're all reflecting on how we are treating each other, I think, is something I want my kids to think about and I want every child to think about."

@highlight

Obama's visit to Ghana came weeks after Senate apologized for slavery

@highlight

Debate still rages over apology; Maryland lawmaker says there's "no need" for one

@highlight

Katrina Browne learned her ancestors from the North made millions trading slaves

@highlight

In Ghana, Obama says issue is still relevant: "Capacity for cruelty still exists"