(CNN) -- A 16-year-old girl pleads with her parents not to barter her into a marriage.

Komol, from India, dreamed of continuing her education, going to college and providing a better life for her parents. But what she wanted counted little.

She became pregnant with her first child at age 16, in a marriage she did not want.

"Since then, I have hardly ever been allowed to step out of the house," Komol was reported as saying, in a United Nations Population Fund report released Wednesday. "Sometimes, when the others are not at home, I read my old school books, and hold my baby and cry."

"She is such an adorable little girl, but I am blamed for not having a son."

One in every five girls (about 19%) gives birth before she turns 18 in developing countries, according to the report. Of the 7.3 million girls who give birth every year, 2 million of them are under the age of 14.

The report states that pregnancies -- especially for these girls -- "are not the result of a deliberate choice" but rather "the result of an absence of choices and of circumstances beyond a girl's control," affecting their health, education and future job opportunities.

"For these very young adolescents who do not have a say in whether or when they will become pregnant, their futures are destroyed, and their basic human rights are violated," said Dr. Babatunde Osotimehin, the executive director of the United Nations Population Fund in an e-mail.

Countries with the highest percentage of reported births before age 18 were mostly in West Africa, in countries such as Niger (51%), Chad (48%), Mali (46%) and Guinea (44%).

Globally, adolescent births are declining. But they are increasing in three regions -- South Asia, sub-Saharan Africa and Latin America.

How it relates to child marriages

Underlying factors for early pregnancies include poverty, sexual violence, lack of access to reproductive health and education, and child marriages.

In some countries, girls are used as bargaining chips to strengthen alliances, pay family debts, leading to child marriages. Families "may want to divest themselves of the burden of having a girl," said the report. "In extreme cases, they may want to earn money by selling the girl."

This could stem from poverty, pressures from their communities, partners and even their own families.

Police: Mom sold daughters' virginity

Despite near-universal commitments to end child marriages, one in three girls in developing countries is married before age 18, according to the report.

In Bangladesh, Chad and Niger, more than one in three girls is married before she turns 15. Niger has the highest child marriage rate and adolescent birth rate, according to the annual report.

Why young pregnancies are so dangerous

Every year, 70,000 girls die from causes related to pregnancy and childbirth, according to UNICEF.

They may lack proper nutrition or health care. And girls who are pregnant at age 15 or younger are also at higher risk for eclampsia (seizures), anemia, postpartum hemorrhage and puerperal endometritis (uterine infection).

Girls who are not fully physically developed are at risk for prolonged labor, which could result in obstetric fistula. This condition, marked by a hole in the birth canal, usually results in the death of the baby and makes the mother incontinent.

It's not just developing countries...

While the vast majority of teenage pregnancies happen in the developing world, the developed world is not immune to such issues. About 5% of teenage births (680,000 out of 13.1 million) occur in developed countries.

The United States leads the developed world in teenage births. But teen pregnancy rates there are declining; in 2011, the number of babies born to women aged 15 to 19 was at a record low, according to the Centers for Disease Control and Prevention.

Rural America has a teen pregnancy problem

Even in countries with low teenage births, ethnic minorities and marginalized groups grapple with socio-economic issues leading to early pregnancies.

In Serbia, the teenage birth rate among the Roma minority is more than six times the national average. In Bulgaria, half of Roma girls give birth before turning 18, highlighting the problems of exclusion, child marriage and lack of reproductive health care.

What needs to change?

Pregnancy prevention campaigns are aimed at changing girls' behaviors, implicitly blaming the girl for pregnancies at a young age, according to the report.

"Such approaches and thinking are misguided because they fail to account for the circumstances and societal pressures that conspire against adolescent girls and make motherhood a likely outcome of their transition from childhood to adulthood," wrote Osotimehin.

The report makes recommendations to "build girls' human capital" and offer "opportunities so that motherhood is not seen as their only destiny."

It cited a study that found when Kenyan schools began providing children with uniforms free of charge, the dropout rate decreased by 18% and pregnancy rates fell 17%, showing that access to education was an effective tool.

In Guatemala, Mayans are the country's most disadvantaged group, with problems of child marriage. A support network for rural Mayan girls provided safe space and taught leadership skills. Results showed girls in the program stayed in school and had much lower pregnancy rates than the national average.

@highlight

One in five girls gives birth before turning 18, says U.N. agency report

@highlight

Factors: Child marriages, poverty, community pressures

@highlight

Young pregnancies pose serious health risks for girls

@highlight

Executive director of UNFPA says girls' human rights violated