(CNN) -- With nearly all of the vote counted, the referendum on Egypt's new constitution appeared to be victorious early Sunday, according to unofficial tallies by the Muslim Brotherhood and the semi-official al-Ahram newspaper.

The Muslim Brotherhood said its "final results" show 64% of the vote in favor of the constitution and 36% against it.

Al-Ahram posted a similar outcome on its website, saying it was based on 98% of the votes counted.

The official outcome of the referendum is not expected to be announced until later Sunday.

Saturday saw a second round of voting, this time in 17 provinces largely loyal to President Mohamed Morsy and his ruling party. Voting at the more than 6,700 polling stations stayed open an extra four hours before finally closing at 11 p.m. (4 p.m. ET).

The first round of voting a week ago took place in more liberal provinces like Cairo. But the referendum passed in that round with 56.6% of the vote, leading many to predict an even higher result Saturday.

The Supreme Electoral Commission plans to publicize the official results in a news conference.

Deep friction in Egypt's society and institutions accompanied the draft constitution since its inception.

For a second week, clashes broke out Friday in the coastal Mediterranean city of Alexandria between Muslim Brotherhood protesters, who were supporting a local imam and Morsy, and opposition demonstrators.

Stones were hurtled, leaving 77 injured, according to official news agency Egynews. Riot police intervened and fired tear gas, according to state-run Nile TV.

Last week's confrontation was triggered by the imam's call urging demonstrators to back the constitution.

Voting was tainted by allegations of widespread abuses. A coalition of 123 local rights groups that monitored last week's voting complained of voter intimidation, bribery, and other violations; the nation's electoral commission promised to investigate.

Turnout for both weeks of voting was high. Security was tight, and voting happened peacefully.

Critics of the constitution say it was passed too quickly. Liberals, Christians and other minority opposition groups say they felt excluded from the Constituent Assembly that drafted it and that the wording does not include their voices. They want a new assembly.

Opposition members say the charter uses vague language and will not protect the rights Egyptians fought for in last year's revolution, which ousted former President Hosni Mubarak.

Supporters of the constitution herald what they say is its protection of personal rights, especially its provisions on handling of detainees in the judicial system, which made capricious use of its powers under the former government.

International rights group Human Rights Watch said the constitution "protects some rights but undermines others." It "fails to end military trials of civilians or to protect freedom of expression and religion."

The rocky road to the referendum began when judges threatened to shut down the assembly tasked with drafting the constitution. Morsy then issued an edict in late November declaring all of his past and present decisions immune from judicial review until the holding of the constitutional referendum.

He also sacked the head of the judiciary, which had many members who were still loyal to Mubarak.

The Islamist president's opposition saw the exceptional moves as a grab for dictatorial powers and poured into the streets, converting Tahrir Square in central Cairo back into the center of public discontent it had been during the uprising that brought down Mubarak.

Morsy dropped his decree, but the situation remained tense. Violence raged, producing incidents that have raised the ire of international human rights groups, though these have not been systematic, as was the case under the former government.

The outcome of the election is important to the stability of volatile North Africa and the Middle East -- where Egypt is a key player.

@highlight

The Muslim Brotherhood says 64% of the vote was in favor

@highlight

The semi-official al-Ahram newspaper has a similar result

@highlight

The official results are not expected until later Sunday

@highlight

Saturday was the second round of voting