(CNN) -- I have for some time been collecting the phrases that patients use to complain about us doctors, and it is amazing how often you hear, "(S)he never touched me!" or, ". . . never laid a hand on me!" or "never looked at me" or "never listened" or "was too busy looking at the computer screen."

I take these statements as validating my belief that it is important for the physician to listen to the patient and to perform a skilled physical exam and it is more important than ever in this era of technology. Of course, when you take that position, you run the risk of being called a Luddite.

The truth is, I love and embrace technology, and have no desire to return to the pre-CAT scan and pre-MRI days of old. But I see no reason to let new technology make us lose the abilities we have had for over a hundred years to make sophisticated diagnosis at the bedside. Indeed, it should make us so much better.

There are clearly two very different ways of being a 21st-century physician in nations with advanced health care: In the first way, call it the old way, the patient's story (the history) is critically listened to and examined, because the diagnosis often lurks in that simple step. After that, the physical exam begins: here the actual body becomes the text, a text that is changing and must be frequently re-examined and read by the time-honored methods of inspection, palpation, percussion and auscultation (listening with a stethoscope).

The scent in the room that might signal liver failure, or the expression of a family member that contradicts what the patient says, or the feel of a giant spleen -- these are valid soundings, pieces of phenotypic information that are even more valuable than knowing the patient's genotype. (In other words, it is great to have a genetic test that says you have a certain risk of skin cancer, but it would be just as important to have a physician who can detect that cancer—the phenotype-before it has spread.) Indeed almost all of dermatologic diagnosis is made by this step, but so also many other diagnoses can be made by this method.

The physician then judiciously asks for blood tests and selectively gets imaging (by ultrasound or CT or MRI) and putting it all together, comes away with a holistic understanding of the unique individual who is wrestling with a problem.

TED.com: Your health depends on where you live

The other way of being a physician tends to pay less attention to the living patient — indeed, the patient can almost seem like a distraction, because it is the "iPatient", (the term I coined for the virtual construct of the patient in the computer) that is being treated and examined.

Increasingly, more and more physician time gets taken up with the iPatient, leaving the real patient in the bed feeling neglected. And the bizarre way health care is funded and the way incentives are lined up in this country ( we are paid to do to people, rather than for people — sticking a needle in or performing a test pays more than listening), we are pushed to spend more time with the "iPatient" (much of it spent documenting the time we supposedly have spent with the live patient).

TED.com: Aubrey de Grey on how we can avoid aging

Though we can debate the merits of the two methods (and I think it is not much of a debate), it is clear that patients prefer the former method. That is because a visit to a doctor is not a cognitive exercise by two individuals and a computer — a crossword puzzle to be jointly solved. Instead, it is a complex human-with-human interaction. Indeed it is a ritual. Rituals, I have learned from my anthropology colleagues, are all about transformation: the elaborate rituals of baptism and wedding are associated with crossing a threshold, a transformation.

When one individual (a patient) seeks help from another individual, and confides in that other person, and then incredibly, disrobes and allows touch, that has all the trappings of a ritual — it is not a mere cognitive exercise. Instead it is a ritual that is fundamental to the doctor-patient relationship and one, particularly in chronic disease or in terminal illness, that conveys to the patient a sense of the physician's commitment to being there, to never abandoning the patient. Indeed, it does not in any way negate the importance of technology but instead complements it.

In short, it is just good medicine. Moreover, it is what most patients want.

The opinions expressed in this commentary are solely those of Abraham Verghese.

@highlight

Abraham Verghese: In age of technology, old-fashioned physical exam still vital

@highlight

Technology, reimbursement push doctors to spend more time on electronic records, he says

@highlight

Patients complain that doctors spend too little time with them and don't listen, he says

@highlight

Verghese: Listening to and examining a patient can yield key insights