Editor's note: Maury Klein is professor emeritus of history at the University of Rhode Island. He is the author of 15 books, including "Rainbow's End: The Crash of 1929" and most recently "The Power Makers: Steam, Electricity, and the Men Who Made Modern America."

Historian Maury Klein says it's important to remember that psychology plays a huge role in financial markets.

(CNN) -- Friday marks the 79th anniversary of the day that launched the stock market crash of 1929.

As an unprecedented wave of selling threw the floor of the New York Stock Exchange into pandemonium on a day that became known as Black Thursday, a show of organized support by a coterie of leading bankers halted the panic. But on the following Monday, the market collapsed in a tsunami of selling.

Every intense convulsion of the stock market raises primal fears spawned by the Great Crash of 1929 and the ensuing Great Depression, which dragged on for a full decade and has haunted Americans ever since.

The Panic of 2008 is no exception.

In the past year, the market's fall has at times rivaled that of 1929. Are there connections or similarities between those earlier national traumas and our current crisis?

First some facts about that earlier experience. The Great Crash and the Great Depression were two separate events. The Crash was a financial panic, the Depression an economic downturn. The one does not necessarily lead to the other; the market has collapsed several times in American history without bringing on a depression. Great Depression holds lessons for surviving a tough economy

The Crash began in October 1929, and the worst of it was over in three weeks; the Depression did not fasten itself on the nation for another year. To this day, the connection between them remains unclear, which makes it difficult to draw lessons or analogies from them.

The Dow plunged 39 percent between October 23 and November 13, 1929, but it regained 74 percent of that loss by March 1930. Only when the economy failed to gain momentum in the spring did the market slip back.

By fall the country had slipped into a depression, and the market resumed a downward course that did not touch bottom until July 1932. It did not again return to the levels of 1929 until 1954.

The Depression did not end until increased military spending revived the economy in the spring of 1940.

The bull market of the 1920s was unique in that it marked the first time large numbers of ordinary people participated. The market moved from Wall Street to Main Street and aroused intense interest even among people who were not active in it. The new investors, or "fish" as the pros called them, were prone to panic when the market fell sharply.

Could it happen again? History never repeats itself, but historical patterns do -- though always in a new context. Here are just a few of the similarities and differences between the earlier crisis and its modern version.

During the 1920s, the financial industry underwent a great expansion, bringing into the business many inexperienced people and new investment vehicles -- most notably the investment trust, the forerunner of the modern mutual fund. Nobody knew what impact they would have on the market with their buying and selling on a large scale.

The business world hailed the 1920s as the "New Era," one with new rules in which the old pattern of cyclical depressions would no longer occur and prosperity would be continuous. Compare this delusion with the "New Economy" of the 1990s.

The 1920s marked the beginning of the consumer economy, and with it a broad expansion of credit. Installment buying made its debut on a large scale. Credit also was used to buy stocks on margin, greatly increasing the market's volume and volatility.

The banking system was shaky throughout the 1920s, and failures escalated steadily after 1929. The Crash exposed many cases of fraud that led to investigations and passage of the most significant banking reform in American history.

The Glass-Steagall Act of 1933 created the Federal Deposit Insurance Corp., or FDIC, gave rise to the Securities and Exchange Commission, or SEC, and separated investment banks from commercial banks. The latter reform was repealed in 1999, giving banks free rein to perform both activities once again.

Some differences between the eras are worth noting. Prior to 1933, the federal government played virtually no active role in relieving the banking crisis of the 1920s. The stock market did not have giant institutional buyers moving huge blocks of stock. Nor did it operate on a global scale, though it was deeply influenced by international events.

After the crash, the banks had plenty of money to lend but no takers, the opposite of today's situation. Deflation became the mortal enemy as people removed their cash from banks and hoarded it.

A familiar pattern emerged from these events. Business and the Republican Party in the 1920s demanded and got a "free" market unrestrained by government. Neither Wall Street nor the New York Stock Exchange was regulated by the government.

The resulting disaster prompted outraged demands that Washington "do something." Regulation was then forthcoming. Later, as prosperity returned and the market began soaring, the restraints were gradually removed and the pattern of excess began anew until it collapsed once again in our own time. With the fall comes renewed pleas for government to "do something."

Finally, it is important to remember that psychology plays a huge role in financial markets. Every panic has been at bottom a crisis of confidence. So too with the economy. As Frederick Lewis Allen observed, "Prosperity is more than an economic condition; it is a state of mind." The trick is always to find out what exactly is needed to restore it. We are still fishing for the answer to that riddle.

The opinions expressed in this commentary are solely those of Maury Klein.

@highlight

Maury Klein: The 1929 market crash and the Depression were separate events

@highlight

Many financial panics have not led to depressions, Klein says

@highlight

Before 1933, the government wasn't active in trying to save banks, he says

@highlight

After crisis, people demanded regulation, which eventually faded, Klein says