Nashua, New Hampshire (CNN) -- "I read all about my condition on the Internet," a recent patient proudly told me. Like other doctors, I'm seeing more patients research their symptoms thoroughly before setting foot in the exam room.

Patients are using the Web in unprecedented ways for their own health empowerment. According to the Pew Internet & American Life Project, 61 percent of American adults looked online for health information in 2009, up from 46 percent in 2000.

These "e-patients" are an essential part of the health care team, and play an increasingly influential role in the shared decision making process with their physicians.

Health technology commentator Esther Dyson observed in the Journal of Participatory Medicine that "the amount of medical knowledge is beyond the reach of any one person," and, "because clinicians are overwhelmed ... a huge amount of responsibility is devolving to individuals." But she also noted that e-patients encounter physicians "who are often hostile to their efforts."

Indeed, not every physician is enamored with the e-patient. In a TIME opinion piece, orthopedic surgeon Scott Haig called a patient who Googled her own health information a "brainsucker." And, frustrated with the time needed to engage e-patients, he wondered, "if there [were] patients like this in poor, war-torn countries where the need for doctors is more dire."

Most doctors, however, want their patients to be conscientious about their health and informed about their diseases. In a recent survey, health marketing firm Manhattan Research found that virtually all doctors had patients who searched for health information online, and more than two-thirds of physicians found this to be a positive trend.

Given that the majority of doctors support those who take a pro-active stance with their health, why would some patients perceive physicians as hostile to their empowerment?

Simply put, our health system does not promote the communication necessary for physicians to engage e-patients.

Most primary care doctors practice in an environment dominated by 15-minute office visits, where encounters are rushed and questions discouraged. Patients, on average, are interrupted less than 20 seconds after they start talking, and half of them leave their appointment without fully understanding what the doctor actually said.

As far back as a decade ago, more than two-thirds of physicians already reported not having enough time to spend with patients. And in the face of rising practice and malpractice insurance costs, doctors today are more fiscally pressured than ever to see a greater number of patients.

Harvard internist Katherine Treadway wrote in the New England Journal of Medicine that this leads to "care [becoming] increasingly fragmented, leaving patients angry and doctors frustrated. The time demands have exploded, which has eroded everyone's ability to develop the personal, long-term relationships that are a great source of satisfaction for providers and comfort for patients."

Furthermore, as other industries have embraced e-mail and digital record keeping, there is little financial incentive for doctors to use them. When a primary care doctor routinely sees 30 patients or more in a day, combined with hours wasted on health insurer bureaucracy, taking the additional time to e-mail patients is not fiscally feasible when it is not reimbursed by Medicare or most health insurers.

And with doctors receiving only 11 percent of the savings from implementing expensive digital records -- most of which goes to health insurance companies or the government  -- it's no wonder that only 13 percent of physicians have implemented an electronic record system.

Most doctors applaud patients who want to play an active role in their health. But neither the time physicians spend with their patients, nor the use of the tools necessary to facilitate a stronger patient-doctor relationship, are valued. Instead of encouraging physicians to see more patients, Medicare and the health insurers need to reward doctors who take the effort to engage e-patients both in the exam room and outside the clinic.

E-patients can help, by recognizing the constraints on physicians and demanding that changes be made in the health system that will help doctors better meet the needs of empowered patients.

The opinions expressed in this commentary are solely those of Kevin Pho.

@highlight

More patients thoroughly research their conditions online

@highlight

Dr. Kevin Pho says they expect doctors who can respond to their concerns using new tools

@highlight

He says doctors work in a pressured environment with little time to fully interact with patients

@highlight

Pho: Doctors need incentives to encourage them to engage with e-patients