(CNN) -- Ronnie Smith believed in three things: teaching, Libya and Jesus Christ.

The 33-year-old educator from Austin, Texas, was gunned down Thursday as he went on a morning jog outside his home in the Libyan city of Benghazi.

No one has claimed responsibility for the slaying. Libyan authorities have pledged to investigate the killing, the latest in a series of assassinations in some Libyan cities. There have been near-daily targeted killings in Benghazi and Derna, with the victims mainly security forces, activists and members of the judiciary.

Smith's death is a reminder of how dangerous eastern Libya has become, awash in weapons and armed groups since the 2011 ouster and street-mob killing of dictator Moammar Gadhafi.

Smith moved to Libya a year and a half ago and took a job with the International School Benghazi, a new school on the outskirts of Benghazi where English was taught, according to its site. Hundreds of comments praising the teacher flooded the school's Facebook page within hours of his murder.

"You didn't have to know him to know what he was about -- which was respect, optimism, cooperation, team work," posted Noor Hewaidi. "He believed in his students, and that's the greatest gift any teacher can grant a child."

Some grieved for his wife, Anita, and their young son who Smith often wrote about on his Twitter account.

The teacher recently tweeted: "It's official. I miss my family."

According to members of Smith's church back home in Austin where he served as a deacon, the teacher chose to stay in Libya while his wife and son returned to the States, because he wanted to support his students through midterm exams.

Shortly after Smith's slaying, the Austin Stone Community Church removed from its website a video that shows Smith talking about his "need to spread a spiritual message," according to CBS News.

"I want to go where no one could find a church if they wanted to, where no one has access to this gospel," Smith said of his impending trip to Libya.

The church sent only parts of that video to CNN.

In one part, Smith says, "If there's any single person in the entire universe that you can take a chance on, it's God."

Another clip provided to CNN shows Smith lovingly looking at his wife, with the sun setting in the background, as he proclaims his strong belief that God will be with him in heaven. "That can never be taken away from me no matter what happens," he says. "I'm good. That gives me peace. I'm OK with that."

On Smith's personal page on the Austin Stone Community Church's site, he wrote about his devotion to Christ.

"I was raised in the church from the time I was an infant. It was only by the grace of God that I went through my high school and college years free from the major struggles that many of those I knew dealt with. It was not always sunshine and lollipops but God's hand was always leading me and He brought me to where I am today."

If the chemistry teacher could spend an evening with anyone who lived in the past 1,000 years, he wrote he would choose Jonathan Edwards, a Christian theologian who died in 1758.

Edwards "understood that God gave us minds for the soul purpose of glorifying Him. All of his writings and personal letters are saturated with Christ and he always seemed to have the glory of God in the forefront of his thinking. As a man of supreme intellect and prestige, he was refreshingly humble and holy. If I could model my life after anyone in the last 1000 years it would definitely be Edwards," the teacher posted.

"Ronnie's greatest desire was for peace and prosperity in Libya and for the people of Libya to have the joy of knowing God through Christ," Dave Barrett, executive pastor of Austin Stone Community Church, wrote on the church's site.

Could Smith's openness about his beliefs have made him a target?

Proselytizing has long been illegal in Libya. Since the 2011 revolution there has been a real phobia spreading among certain circles that Christians and Shiites are doing missionary work in the country, particularly in the eastern part of the country.

Earlier this year, dozens of Egyptians were accused of proselytizing and were rounded up in Benghazi. According to some reports, Islamist militiamen tortured them. Pictures released at the time showed piles of Bibles and Christian children's coloring books.

In the spring, the European Union Delegation in Tripoli said it was worried about the detention and treatment of people held on alleged charges of proselytism in the country. In March Coptic Christians in Benghazi had their church ransacked and set on fire.

Before this attack, Egyptian Copts attacked the Libyan embassy in Cairo, burned the Libyan flag and erected a cross over the entrance, according to Foreign Policy. Around this time, Egyptian Christian Ezzat Atallah, arrested on charges of proselytizing, died while being held in Libya. He was reportedly tortured.

CNN requested to speak with Barrett, who declined to answer questions and referred CNN to church spokesman Paul Lee.

Lee said that Smith was not working as a missionary for the church in Libya but that the church does have missionary programs. Lee declined to say where in the world those missionary programs operate.

Apart from being a country where religious expression could result in arrest or worse, Libya has been a particularly dangerous place for Westerners.

On September 11, 2012, militants attacked a U.S. diplomatic mission in Benghazi, killing four Americans, including Ambassador Chris Stevens.

Several Facebook posts on the international school's site about Smith allude to the ambassador.

Mahmoud Agni wrote: "I wish to God that justice take its way & I hope that God does not waste his blood like Chris Stevens."

"I understand hatred for what the US government does," Brian Kav posted. "This man was not the US government. He wanted to help kids learn."

Another post refers to Abu Anas al Libi, an alleged al Qaeda operative accused of playing a role in the 1998 U.S. Embassy bombings in Kenya and Tanzania.

U.S. special forces captured al Libi in Tripoli in October. He has pleaded not guilty to terrorism charges brought against him in federal court in New York.

"This is exactly what I said a few weeks ago after the stupid US foreign policy advisers OKed kidnapping the wrong guy from Libya," someone posted on the school Facebook page. "You think his family will just stand still and wait for mercy? No. They will go around shooting random Americans or kidnapping them for revenge. This administration killed this teacher by their stupid acts. You kidnapped the Libyan guy and you don't even have a case against him and you just have him in a jail in NYC waiting for nothing. and you know you cannot bring a case against him because you have no case..."

A leading Libyan terrorism analyst told CNN that he believes Smith was killed by groups linked or sympathetic to al Qaeda.

"You need to analyze the target," said Noman Benotman, a senior analyst at the Quilliam Foundation. "It was most likely he was targeted because of his nationality, and the groups most interested in doing that are al Qaeda and local Jihadists allied with them in Benghazi."

Benotman pointed to a 17-minute Arabic language video released last week in which American al Qaeda spokesman Adam Gadahn called for al Qaeda supporters in Libya to avenge al Libi's capture.

"I say to the people of Libya in particular and the sons of the Ummah in general: Do not leave this criminal cowardly act to pass without punishment," Gadahn stated, according to a translation by the SITE Intelligence group.

Three days after al Libi's arrest, the American teacher expressed his opinion about Islamist hardliners.

Smith tweeted: "Libyan Islamists are threatening kidnappings. As if they can fit kidnapping in to their 2 hr work day that already includes a nap. Losers."

CNN's Nic Robertson, Jomana Karadsheh, Barbara Starr, AnneClaire Stapleton contributed to this report.

@highlight

Ronnie Smith was a deacon in his church in Austin, Texas

@highlight

He moved to Libya a year and a half ago and taught chemistry at International School Benghazi

@highlight

Gunmen killed the 33-year-old as he jogged outside his home in Benghazi