(CNN) -- It's unlikely that you've heard of PJ King, despite the fact that he's about to set himself apart from most humans who've ever walked the planet. In as soon as 18 months, King could be launching into space as a paying commercial space tourist.

King, a 41-year-old Irish businessman, is one of hundreds of travelers who've signed up and trained to be among the first paying passengers aboard Virgin Galactic's trips to suborbital space -- 62 miles above the Earth.

"One of the reasons I'm doing this is precisely because I want these things to be ordinary," King said. "Part of the problem with space travel is that it is special."

King believes the $200,000 he and other passengers pay for a seat on a Virgin Galactic spacecraft will help create a new future when "flights like this are happening every week, when lots of people go, and the cost has been massively reduced due to the economics of scale."

Prices are coming down, even before space tourism has started taking off.

Russia charges private travelers $40 million to ride on its Soyuz spacecraft and spend a few days aboard the international space station. For a much shorter journey, Virgin Galactic wants $200,000 for a flight to suborbital space. But Space Adventures advertises suborbital trips for about half that price: $102,000. King says he knows people who've taken out mortgages to buy their spacecraft tickets.

The plunging prices are opening doors to consumers which have been all but closed for half a century to everyone except "right stuff" supermen and superwomen with names like John Glenn, Neil Armstrong and Sally Ride.

"I believe in this," King said. "This is not a just a bunch of rich people going into space for fun."

About 360 paying passengers have signed up to be among Virgin Galactic's first travelers, CEO George Whitesides said. After the initial launches, he expects that number to grow to thousands and tens of thousands.

"That's a fundamental shift," he said. "A whole bunch of our major assumptions about space travel are undergoing a major shift."

This past year has seen important strides toward this shift. Washington licensed Jacksonville, Florida's Cecil Field as the nation's eighth non-government spaceport in January. New Mexico's Spaceport America, where Virgin Galactic plans to permanently base its space flights, completed a nearly 2-mile spacecraft runway this month.

Virgin Galactic test-flew its spacecraft Sunday.

A firm that arranges private space travel, Space Adventures, announced private partnerships this year with Boeing and Texas-based Armadillo Aerospace, a rocket development firm headed by John Carmack, the programmer-businessman behind the famed "Doom" video games.

Boeing: Come fly to space with us

King recalls the exact moment when he decided he wanted to go. When he was a youth in Ireland's countryside, far from city streetlights, the Milky Way laid out a virtual welcome mat for him.

"I remember thinking how strange it was that after man had conquered the moon, we appeared to have given up afterwards," said King, who built and sold his Clockworks International software company during the booming 1990s. "I think a lot of people imagined there would have been more progress in terms of space flight."

Virgin Galactic plans for each traveler to undergo a three-day pre-flight launch preparation program immediately before each mission. But many who've signed up, including King, have undergone centrifuge training to experience in-flight stresses stronger than gravity, known as G-forces.

"At six Gs, talking is extremely difficult," King said. "It feels like you've got a weight on your chest and your head is stuck to the back of the seat."

King refers to himself and his Virgin Galactic colleagues as astronauts, a job title Col. Buzz Aldrin, the second man to walk on the moon, is quite familiar with.

"I don't think these space tourists should be called astronauts," Aldrin said. "That term was created by the U.S. military. My suggestions would be star-traveler or starflyer."

Aldrin says he hopes his high-profile activities like competing on TV's "Dancing with the Stars" and his new iPhone app will spur continued interest in space. "In general, the private companies are more efficient ... but I think the government has its hands full trying to do exploration."

Virgin Galactic owner Sir Richard Branson and a virtual hall of fame of other wealthy business figures have invested much of their vast fortunes in hopes of gaining a toe hold in commercial space. Budget Suites owner Robert Bigelow, PayPal co-founder Elon Musk and Amazon.com's Jeff Bezos are all developing their own space hardware for traveling to -- or living in -- Earth orbit.

Working with NASA, their companies are developing space stations, spaceplanes, rockets and capsules for space travelers. Many of these systems are expected to be operating and deployed within the next five years.

"This is a big deal, and the American people should be excited about it," said Charles Miller, NASA's senior adviser for commercial space. "If you get the Steve Jobs and Bill Gates and Sergey Brins of American entrepreneurs working on space travel for the American people in partnership with the U.S. government, that's a good thing, which is why it was done."

NASA's shift toward the privatization of space has been planned since the Reagan administration, Miller said, and it comes as the 30-year-old shuttle program is set to end next year.

Shuttle layoffs leave some workers adrift

At the New Mexico spaceport, about 60 miles north of Las Cruces, workers are completing a combination traveler terminal and spacecraft hangar that looks right out of TV's "The Jetsons."

Tourists will gain access to the spaceport by boarding special buses at welcome centers in the nearby towns of Truth or Consequences and Hatch, said Rick Homans, the spaceport's executive director.

Plans call for facilities accommodating about a half-million annual visitors to be finished in 18 to 24 months, including a "second-to-none" restaurant, space exhibits and simulators that replicate G-forces and weightlessness, Homans said. Spaceport officials are considering offering flights for visitors to watch Virgin Galactic spacecraft blast into suborbit from 50,000 feet.  "We want them to be able to talk to inventors, rocket scientists, to see the spaceships and to witness the technology as much as possible," Homans said. Visitors may be able to launch model rockets or walk on terrain replicating the moon or Mars.

Could these developments in space tourism lead to more practical applications, like a successor to the defunct supersonic Concorde aircraft?

Space designers imagine a network of hypersonic spaceplanes that would take off from a runway in New Mexico and land at a Tokyo spaceport 45 minutes later.

Is point-to-point hypersonic travel around the globe possible in the near future?

"We're a long way from that," Miller said. "We could do it in a decade if there was a commitment to doing it, but it is not a priority for anybody I know in the U.S. government."

@highlight

Traveling to space is just months away for hundreds of paying tourists, experts say

@highlight

Prices for suborbital space flights are already dropping from  $200,000 to $102,000

@highlight

Jeff Bezos, "Doom" games' John Carmack, PayPal's Elon Musk developing space systems

@highlight

New Mexico spaceport aims to host 500,000 tourists a year as Virgin Galactic base