(CNN) -- Congratulations, Jimmy Fallon. You've won the "Tonight Show." You start Monday.

Now, what are you going to do with it?

A lot is riding on the answer -- especially viewers.

Jay Leno hosted "Tonight," the jewel of NBC's late-night lineup, for 22 years, and though he was regularly criticized for lacking the comedic sting and interviewing skills of rival David Letterman, he topped the ratings for almost his entire run. On the other hand, Conan O'Brien, who held the job for just nine months in 2009-10, was quickly removed when his numbers didn't measure up to his sometimes out-there humor.

Now comes another change, with Fallon taking Leno's spot and Seth Meyers becoming the host of "Late Night."

Fallon is facing a much different landscape than Leno did in 1992, however -- or even the one that O'Brien dealt with in 2009.

There's more competition, for one thing. Fallon's late-night rivals include Jon Stewart and Stephen Colbert, Jimmy Kimmel, Chelsea Handler, Arsenio Hall (again), Keith Olbermann, Bill Maher and O'Brien, among others.

Also, for some viewers, not to mention the news media, there's still the shadow of the Big Man, the long-time king of "Tonight," Johnny Carson.

That's a lot to deal with. It's no wonder Fallon posed for New York magazine wearing -- literally -- big shoes.

Having watched other late-night masters do their work through videos at New York's Paley Center for Media, he treats the job with respect. But now that he's entered the golden club of talk-show hosts, does it really matter?

"The late-night genre is the only one whose legacy means more to the on-camera talents than it does to the audience, at least on a conscious level," wrote TV critic Ken Tucker last year after Leno announced his retirement. "Where the actors in sitcoms, dramas, and daytime talk shows are forever trying to justify, alter, or subvert the old forms, only talk-show hosts take upon themselves the burden of history, vowing to carry on the tradition of Carson (who is most frequently cited), even as the demo they seek to reach says, baffled, 'Carson? Carson Daly?' "

The Carson legacy

Indeed, it says a lot about the late-night landscape that there's now a whole generation who barely remembers who Johnny Carson was.

When baby boomers celebrate the 50th anniversary of The Beatles on "The Ed Sullivan Show," at least their children and grandchildren have some familiarity with the Fab Four, whose songs have become part of the pop cultural tapestry.

Memories of Carson, on the other hand, are disappearing faster than the colors on an old 8-millimeter home movie. It's no wonder that his estate launched a YouTube channel in 2011.

"You talk to someone under the age of 25, and they've heard the name and most of them know he was on the 'Tonight Show,' but his star is fading as the people who remember him go," says Robert Thompson, the head of the Bleier Center for Television and Popular Culture at Syracuse University.

Which is ironic, because it was Carson who really established the template for the late-night talk show.

Though he wasn't the first to host "Tonight," it was Carson who became the security blanket for America for three decades, thanks to his skillful monologue, his way with guests, even his corny skits. His "Tonight" was also hugely popular: According to a 1978 New Yorker profile of Carson, in the mid-1970s it was attracting close to 20 million viewers. That's twice as much as the combined average audience for Leno, Letterman and Kimmel this season -- and about the same as the top-rated prime-time entertainment show of 2012-13, "The Big Bang Theory."

But Fallon says he has a different model in mind for his "Tonight": the original host, Steve Allen.

'What I do is more a variety show'

Allen is even less remembered than Carson these days, but his "Tonight" was a free-wheeling hodgepodge of chat, skits, piano-playing (Allen was a prolific composer who wrote "This Could Be the Start of Something Big"), ad-libbing, man-on-the-street interviews and loopy stunts. In one of them, he persuaded the Marines to stage an "invasion" of Miami Beach.

Fallon probably won't do that -- it's a different world -- but his show already has some of the qualities that Allen employed.

He's a capable guitarist and musical mimic who has done dead-on parodies of Bruce Springsteen and Neil Young, among others. Bits with guests such as Michelle Obama and Justin Timberlake have gotten millions of views online, and segments such as "Slow Jam the News" have some of the whimsical quality that Allen was fond of.

Fallon invites the comparison.

"What I do is more a variety show. It's always been older in style. I'm an old soul," he told The New York Times.

"I would love for Steve Allen to still be around, because I think he would say, 'This guy gets it.' "

Youthful energy

Moreover, by late-night standards, Fallon isn't "old," which is another quality he has going for him.

Ol' David Letterman, inspiration for so many of the current hosts, is now Old David Letterman -- he'll be 67 in April. Leno is 63. Even Stewart, 51, and Colbert, 49, are on either side of 50.

Fallon, on the other hand, is 39. (Carson, incidentally, was about to turn 37 when he took over "Tonight" in 1962; Allen was 32 when the national "Tonight" started in 1954.) He's intimately familiar with the short attention spans of the Internet age and has aimed his "Late Night" at the sharable tendencies of the social-media cohort.

That's a plus at a time when ABC's Jimmy Kimmel -- who's 46 but still has the attitude of the snarky 30-year-old he was on "Win Ben Stein's Money" -- was running even with Leno in the advertiser-desired 18-49 demographic.

Fallon also has the hipness of his support band, the Roots, in his favor. And he's moving "Tonight" back to New York for the first time since Carson took it to Los Angeles, land of the cut-off Slausons, in 1972.

The Michaels factor

If Fallon has a challenge, it's the crowded and splintered competition in which there's a late-night show for every taste. Like tart political monologues? You're probably watching Stewart and Colbert on Comedy Central. Fond of Hollywood dish? "Chelsea Lately" on E! is your spot. Love Dick Cavett- or Tom Snyder-like in-depth interviews? "Charlie Rose" is there for you on PBS.

But he and his old "SNL" friend Meyers have another secret weapon: their producer, Lorne Michaels.

Michaels, in fact, may be the real new king of late night. He now controls NBC's three biggest late-night shows: "Tonight," "Late Night" and "SNL." He's even familiar with the new "Late Night" bandleader, "SNL" alum Fred Armisen. (Don't laugh -- Armisen is a fine musician.)

Meyers, the former "SNL" head writer and "Weekend Update" anchor, may be an unknown quantity as talk-show host, but Michaels has faith.

"In my opinion, he has until next fall to find that show. He should be taking chances. It can't spring full-blown from Zeus' thigh," Michaels told New York magazine.

Fallon, of course, has already established himself. And though he'd like to continue Leno's ratings lead, he doesn't plan on changing much from the guy who made "Late Night" his own.

"I don't think we have to win," he told The New York Times. "I just think we have to keep doing better."

@highlight

Jimmy Fallon takes over "Tonight Show" on Monday

@highlight

Show has long and storied history, but do viewers care about that?

@highlight

Johnny Carson dominated late-night TV from "Tonight's" perch

@highlight

Landscape of late night is now splintered into many shows