ATLANTA, Georgia (CNN) -- Last year, downtown Atlanta lost a convention to another Southern city because the visiting group perceived the other city as "greener" than Atlanta. The loss propelled Holly Elmore into action.

Hotel food waste is diverted from Atlanta landfills, turned into compost soil, which is then sold to urban gardens.

"Environmental practices are fast becoming a strong consideration in business decisions," explains the Green Foodservice Alliance founder. Elmore teamed up with Atlanta Recycles and Laura Turner Seydel -- eco-awareness consultant and an Atlanta native -- to create the South's first Zero Waste Zone.

First stop: The downtown Atlanta convention district, where the EPA estimates hundreds of thousands of tons of "waste" are sent to landfills -- "waste" that could be recycled into reusable products.

If it grows, it goes

In 2008, the Hyatt Regency Atlanta served an average of 8,143 meals per week, a total of 423,433 meals in a single year. Imagine the "waste" that was sent to rot and pollute the overflowing landfill.  Watch how the project saves landfill space and grows food »

The hotel already recycled common goods such as plastic and glass, but now every little bit that is able to be reused, is. The food residuals are organic matter that when sent to landfills actually formed into dangerous greenhouse gases. Now that the Hyatt is part of the ZWZ, an estimated 928,000 pounds of residual food product will be diverted from the landfill and instead be turned into valuable compost.

Every single plate returning from the dining area is scraped clean into the compost containers -- berries, salad, meat and bones -- everything.

Excess food, in accordance with the Good Samaritan Food Donation Act, is donated to the Atlanta Community Food Bank, which aids in feeding the city's hungry.

Even spent grease from frying is captured in bins and then suction-collected and turned into bio-fuel.

The full circle effect

Grease into gas. The grease is transformed into commercially available biodiesel fuel, now selling for $2.29 a gallon at a pump for any engine that runs on diesel.

"We use only locally collected used fryer oils ... By sourcing this way, we avoid issues related to the food versus fuel debate, and issues surrounding land use change and deforestation ... we make a local fuel in the most sustainable way," explains Refuel Biodiesel program manager Robert Del Bueno.

With Chick-fil-a and Emory University, Del Bueno's group collects their fryer oils, converts them into biodiesel and supplies the biodiesel back to them for use in their produce trucks and bus fleets.

Crumbs, compost, cabbage. Greenco Environmental collects the residual food from places like the Hyatt and blends that with wood and yard "waste" from tree companies, landscapers and municipalities. After 90 days, a high-quality organic compost is ready for landscapers, farmers and gardeners to fertilize their soil.

"We are running out of room on our planet with the amount of waste we produce," says Tim Lesko, founder and president of Greenco Environmental. "Paper and food waste are the highest proportion of garbage in our landfills, and food waste composting is the next step in recycling in the U.S."

"Due to land clearing, development and erosion, our soils have been stripped of their natural, beneficial nutrients," Lesko explains. Compost added to soil replenishes the nutrients and promotes plant growth.

"Adding compost to the soil dramatically increases its ability to hold water, aiding in water conservation," he adds.

Eco-friendly Daron "Farmer D" Joffe then buys this soil and uses it in his urban gardens and at his Organic Garden Center. Farmer D believes "good compost is an essential ingredient in organic gardening, as it rapidly improves the structure and vitality of the soil, thus increasing the health of the plants growing there, making them more resistant to disease, drought and pests."

"Organic gardening helps foster healthy soils, clean water and nutritious food," he says.

Farmer D closes the circle: "If more people grew their own food and ate locally, it would greatly reduce the amount of fuel, chemicals and energy that are exhausted to put food on the table, while keeping money in the local economy and improving the quality of life for everyone."

Money does grow on trees

There also are direct financial benefits for Zero Waste Zone participants. "In addition to our commitment to responsible, sustainable practices, recycling is just good business. Increasingly, our customers share our commitment to sustainability, and demand these efforts from the hotels where they choose to stay," says Randall Childers, senior director of engineering at the Hyatt Regency Atlanta.

"The economics of recycling are also good, with most of these efforts representing cost savings to our operation, or at least are cost-neutral. With respect to our food waste recycling, we expect to save $8,000 this year," Childers says.

Reduce, reuse, recycle

Georgians dispose of more than 17 million tons of solid waste in municipal solid waste landfills per year, according to the Georgia Environmental Protection Division.

Recoverable products (paper, organics, and plastics) make up 82 percent of the recyclable materials disposed in landfills, says the Georgia Department of Community Affairs. With the ZWZ, these tons of perfectly reusable products are effectively being recycled.

What's next? Holly Elmore and the ZWZ crew hope to expand the program across the state and nation soon with the strong support of the federal Environmental Protection Agency.

@highlight

Hotel now turns food scraps into compost rather than sending them to landfill

@highlight

Spent grease from frying is converted into biodiesel, used in vehicles

@highlight

"We are running out of room on our planet" for waste

@highlight

Zero Waste Zone sees tons of perfectly reusable products effectively recycled