As Russia continues its military occupation of the Crimean district of Ukraine, as Putin enunciates a doctrine of military intervention in support of ethnic brethren, and the West ponders what might be done, Europeans begin to think again about the 1930s and the origins of World War II. The Russian historian Andrei Zubov, for example, has published a sophisticated comparison between Putin's seizure of Crimea and Adolf Hitler's annexation of Austria, seeing both as the beginning of a chain of events with fatal consequences not just for the subjects of the aggression but for the aggressors themselves.

In Vienna, where I live, one also hears constant mentions of 1938. Austrians and other citizens of European Union countries are beginning to consider what the end of Ukraine might mean for their own European system. The point is not that Putin is like Hitler; the point is that the removal of a state from Europe has consequences for the continent.

When we consider any state in isolation from the system, it can seem fragile, new, perhaps unnecessary. Ukraine today, like Austria in the 1930s, is a creation of a dramatic change in the world order. Austria as an independent republic owed its existence to World War I, just as Ukraine as an independent republic owes its existence to the unexpected collapse of the Soviet Union. Independent Austria lasted for two decades; independent Ukraine has existed for only slightly longer. For some, an artificial creation that had no right to exist; for others home to a people indistinguishable from Germans, Austria had few friends in 1938. Ukraine finds itself in much the same position today. Just as most European leaders were happy to accept the German idea that Austria had no right to exist, many people around the West seem ready to forget about Ukraine or to believe the Kremlin's propaganda that half of the country is Russian.

Ukraine towns: Apricot trees and vanished graves

Yet the reasons why states are supposed to exist are general, transcending their particular histories. The principles of international law are not subject to particular claims about identities. As with Putin today in Ukraine, Hitler in 1938 in Austria based his claim on the need to protect fellow ethnics. It is easy to criticize Putin's arguments in some important details. He claims to be defending Russian citizens. But since dual citizenship in Ukraine is illegal, the most visible of Russian citizens in Ukraine are (1) the Russian soldiers and sailors based in Sevastopol, (2) the Russian soldiers who have just invaded southern Ukraine and (3) Ukrainian riot police who are being given Russian citizenship at the Russian consulate in Simferopol to reward them for beating Ukrainian protesters. Putin claims to be defending "compatriots," but that is a category that has no meaning. The suggestion is that anyone who speaks Russian needs a Russian invasion; that would mean that since I am writing in English I need an English invasion.

But the real problem goes much deeper. In both cases the claim of a right of protection of ethnic brethren was only one element of a larger worldview. Hitler in fact cared little for ethnic Germans in Austria or for Austria itself. Its destruction of Austria was meant to show, as it did, that all standards of the European system were subject to corruption if a single man took a single risk.

What Europeans decide to see in the Ukrainian revolution might in the end define Europe. The interwar European system was based on the principle of state sovereignty. No doubt this was an imperfect and incomplete moral and legal basis for international relations. And yet its violation meant the end of the system itself. When Europe's leaders abandoned Austria in 1938, they were conceding to Hitler the right to define the new rules of the new order. The immediate consequences were clear enough. Without the protection of a state, Austria's Jewish minority was subject to anti-Semitic violence. Once Austria had been abandoned, European leaders had little trouble betraying a country that truly deserved their support, democratic Czechoslovakia. Its dismemberment began later that same year. Once Europeans had the experience of allowing states to die they could do so again. By the time the great powers came to their senses in 1939 it was too late.

The European system of today is based on the principle of state sovereignty, combined with the robust international cooperation of the European Union, and legitimated by a historically new attention to human rights. The European Union is based on the premise of learning from history. National Socialism and Stalinism are seen as experiences from which Europeans have learned and extremes to which European politics must be restrained.

This system, like the interwar system, is vulnerable to challenge. Russia has now proposed an alternative, in which Russian culture is historically unique and demanding of protection, European fascism and Stalinism are a trove of constructive ideas, and human rights are nothing more than a facade for western imperialism. Russian propaganda assigns a particular importance to sexual minorities, with many prominent commentators claiming for example that many in the EU are part of an international gay conspiracy.

The Russian invasion of southern Ukraine is a threat above all to the citizens of Ukraine. As Professor Zubov has argued, it has threatening implications also for Russians. This was a courageous argument for him to make -- he says he was immediately fired from his position.

Europeans who face fewer risks can continue the argument. The seizure of Crimea was meant as a challenge to the European Union. It is meant to prove that European values cannot defend themselves.

Can they?

@highlight

Ukraine crisis is making Europeans think again about '30s and origins of World War II, says Timothy Snyder

@highlight

Snyder: As with Putin today in Ukraine, Hitler in 1938 in Austria based claim on need to protect fellow ethnics

@highlight

Once Austria had gone, European leaders easily betrayed Czechoslovakia, which truly deserved support, he adds

@highlight

Seizure of Crimea was meant as challenge to EU, to prove European values cannot defend themselves - Snyder