London, England (CNN) -- Working together must be easy for Tim Bevan and Eric Fellner, the award-winning movie producers.

More often than not, the co-chairmen of Working Title Films finish off each other's sentences, revealing a mutual respect that has its roots in a strong friendship that has spanned two decades.

The London-based producers began working together in 1992. Two years later, they had their first massive hit, "Four Weddings and a Funeral." It took $245 million worldwide by then ticket prices, according to boxofficemojo.com, with more than three-quarters of that coming from outside the United States.  Since then the pair have been on a rollercoaster ride. Their long list of worldwide blockbusters includes "Bridget Jones Diary," "Notting Hill" and "Billy Elliott," proving, more than once, that you don't have to be American to be a success in Hollywood.

Here, the champions of the British film industry talk exclusively to CNN about the future of movies, bad reviews and why they don't sleep at nights.

The Screening Room: What exactly does a producer do?

Tim Bevan: A producer facilitates a film being made; there are different levels of facilitation. For instance, we work with the Coen [Brothers] a lot on their movies. They know what they're doing. They've got a great deal of experience. So, the facilitation is raising the money and ensuring that it's spent correctly -- but they're responsible in doing that -- and then working on the marketing and distribution of the films.

At the other end of the spectrum, we would facilitate a film that is an idea we'd had ourselves and we're intimately involved in all areas of the production, as well as financing it and overseeing the marketing and distribution.

Eric Fellner: There are three key components; the financial aspects, the making aspect and the marketing aspect. You've got to come with the idea, get it made brilliantly with the best possible people and then get it to the market as quickly and as effectively as you can.

TSR: What are the attributes a producer should have or needs to have in order to survive in this business?

TB: The producer needs to be a fool -- a determined fool! You have to be incredibly tenacious because there are a lot of "nos" out there, the whole thing is a bit like herding cats. You have to keep at it and keep at it and one day you get there, to the movie.

EF: The natural response to anything one is trying to do is "no." The only way you can make things happen is by turning the "nos" into "yeses."

TSR: How have the market conditions changed from when this company first started and when you first made the film that made your name?

TB: The biggest thing that has changed is the cost of making films because like everything it's gone up and up and up. Even bigger than the cost of making films is the cost of marketing them.

TSR: How has the recession impacted your industry?

EF: I think it's a bit too early to say. We've only had nine months worth of films out in this downturn period. From what I see, it looks like as many, if not more, people are going to the cinema but they are going to less types of movies.

If they're going to make the effort to go out, it looks to me like they're going out because they want to be purely entertained. They don't want thought-provoking, they don't want difficult, they don't want dark, they don't want dramatic. They want things that are going to take them out of their everyday lives.

TSR: How important are negative reviews?

TB: Really bad reviews can hurt pretty much any movie. They say that some films are review-proof but I think that's probably big high-concept movies, comedies and so on. But, on the whole, if a film gets dreadful reviews it will affect its business.

TSR: Is there a film that has kept you awake at night or you thought would never get made?

EF: Every single one. They're all enormously difficult propositions. There's no such thing as an easy film. In terms of a film that was kind of pivotal, boringly we have to say "Four Weddings" because it was the first big hit that we had and it gave everyone a certain confidence that we hadn't had before, that you can make a small British film and take it out around the world as a success. Up until then, a lot of the films we'd been making had critical success, but none of them had really found their mark on a business level. We were probably 25-30 movies in between us. We were a long way into our careers.

TB: But it wasn't only for us, it was for British films actually. It proved to the world that a British movie could go out and do Hollywood-style business around the world and, interestingly, as it has been proven in a lot of our subsequent movies, it was out of the territories outside of America where that revenue really came from.

TSR:  Why does this partnership work so well?

TB: I think it's a mutual respect. We learnt very early on that it was much better to make the big decisions together -- shall we make the movie, who's going to be in it, who's going to direct it -- and then for one of us to run with the film from there, because that way we can cover more ground. Also, it's an easy way of doing it. We're not likely to step on each other toes that way around.

@highlight

Award-winning producers Tim Bevan and Eric Fellner began their partnership in 1992

@highlight

They are responsible for some of the UK movie industry's biggest successes

@highlight

They talk exclusively about their collaboration, the future of the industry and bad reviews