(CNN) -- "There are those who keep out of mischief, and then there are the adventurers," Juan Manuel Fangio, the pioneering legend of Formula One racing, said in the 1990s.

"We racing drivers are adventurers; the more difficult something is, the greater the attraction that comes from it.

"Michael Schumacher is the greatest of the adventurers."

He's not just been an adventurer. He is a man whose image transcends sport, much like Roger Federer, Sachin Tendulkar, Martina Navratilova, Tiger Woods, Pele and Usain Bolt.

The adventurer Schumacher, who suffered a serious head injury in a skiing accident Sunday, is a man for whom winning became an obsession.

He racked up victories, wins and titles -- and then some: five consecutive world championship titles between 2001-2004, 56 race victories in six years between 2000-2006, a total of seven F1 crowns and 91 grand prix wins.

After claiming his first two titles at Benetton in 1994 and 1995, Schumacher moved to Ferrari where he would go on to bring about a period of domination.

His 72 race victories and five world titles with the "Scuderia" etched his name into F1 folklore and made him the most successful driver in the history of the sport.

His search for perfection translated to recreational activities such as skiing.

"Schumacher wasn't a skier when he joined Ferrari, but by the end he was excellent," British journalist Kevin Garside told CNN. "Each year Ferrari used to have a media week in the Alps in Italy and they would always have a race -- and it was always Schumacher who won."

Few doubted Schumacher's natural talent, but his desire to win at all costs didn't always endear him to the watching world.

Ayrton Senna, the triple world champion who was killed at the 1994 San Marino Grand Prix, remains revered to this very day, while 1950s hero Fangio -- a five-time F1 champion -- was also hugely popular.

"Schumi" was loved in his native Germany and by the majority of Ferrari fans, but his appeal was not altogether universal, though his skiing accident has prompted a huge outpouring of support for him from around the world on social media websites.

Ruthless streak

Never far from controversy, Schumacher was often criticized for his arrogance and use of unsavory tactics to ensure victory.

That ruthless streak was scarcely more evident than at the title-deciding 1994 Australian Grand Prix where, with his own car already irreparably damaged, Schumacher deliberately collided with title rival Damon Hill.

The crash caused both men to retire from the race, handing the German the title.

Three years later, Schumacher attempted the same tactic again in the deciding race, this time against Williams' Jacques Villeneuve -- only to be disqualified from the championship, giving the Canadian the title.

Then there were the groans of dismay at the 2002 Austrian Grand Prix when Ferrari ordered teammate Rubens Barrichello to allow Schumacher to win the race.

In 2006, he was accused of cheating during qualifying for the Monaco Grand Prix after deliberately stopping his car to prevent his nearest rival, Fernando Alonso, from completing a lap which would have probably given the Spaniard pole position.

Born on January 3, 1969, near Cologne, Schumacher attended the local go-kart track where his mother worked in the kitchens.

By 1987, he was already the German and European go-kart champion and left school to pursue work as an apprentice mechanic before becoming a professional racing driver.

Three years later he won the national F3 Championship and joined Mercedes before making the move to F1 in 1991.

He made his debut for Jordan, qualifying seventh, and moved to Benetton the following year where he began his ascent to the very top.

A year later, he won the first of his 91 grand prix victories in Belgium.

While his two title triumphs with Benetton brought him to the attention of the wider world, it was at Ferrari where Schumacher went on to make his name.

He joined in 1996, when the Italian team was desperate to end a title drought which stretched back to 1979.

It took four years for Schumacher to deliver what Ferrari so desperately craved, but when it came it began a period of dominance for the "Prancing Horse."

From 2000-2004, Schumacher swept all before him to win five consecutive world titles.

In 2004, he won a staggering 12 of the opening 13 races to help clinch his seventh and final title in what proved to be his last season of success.

The following year he won just a single race after the introduction of new tire rules, and Alonso ended Schumacher's title streak.

Alonso repeated the feat in 2006, a year which concluded with Schumacher's retirement.

"I retired simply because I don't have the passion and the motivation anymore," he said on leaving the sport.

"I was tired. I didn't really think, 'I'll take a break and then come back.' I wasn't interested in it. I was old enough and I had achieved enough. There was no need."

High-octane life

Schumacher -- who has two children with his wife Corinna, 14-year-old Mick and 16-year-old Gina -- was never going to take it easy in retirement.

He took up motorcycling and skydiving to help quench his thirst for adrenalin while he also enjoyed horse riding as well as skiing.

In 2009, Schumacher was involved in a motorbike crash while testing his Honda 1000 CBR-Fireblade at a racetrack in Cartagena, Spain.

He was taken to hospital where he was diagnosed with a mild concussion, while Schumacher also complained of pain in his right wrist.

Discharged from hospital after just five days, the incident did little to persuade him to give up such a high-octane life and instead he returned to F1 in 2010 at the age of 41 after signing a deal with Mercedes.

His three-year stint failed to match the glorious success he had enjoyed earlier in his career, with a third-place finish at the 2012 European Grand Prix at Valencia the highlight.

At 43, he became the oldest driver to finish on the podium since Jack Brabham at the 1970 British Grand Prix.

Finally, in 2012 following the news that Mercedes would replace Schumacher with Lewis Hamilton, he retired for the second time after a seventh-place finish at the Brazilian Grand Prix.

"From now on life will offer me plenty of new possibilities," he said after his decision to leave the sport.

"I'm looking forward to them. I prefer to be described as a fighter, someone who never backed down."

@highlight

Michael Schumacher won the Formula One title on seven occasions

@highlight

He made his race debut in 1991 before signing for Benetton

@highlight

Won his first race in 1992 in Belgium and captured maiden title in 1994

@highlight

Dominated F1 between 2001 and 2004 by winning five consecutive titles with Ferrari