Washington (CNN) -- It took five days for President Barack Obama to address the controversy he caused by saying "we don't have a strategy yet" to defeat ISIS.

Wednesday, the President attempted to clarify what he meant by specifying that he was referring to ISIS inside Syria while highlighting the U.S. strategy in Iraq of airstrikes to weaken the extremist terror group that calls itself the Islamic State.

"It is very important from my perspective that when we send our pilots in to do a job -- that we know that this is a mission that's going to work; that we're very clear what our objectives are, what our targets are," Obama said during a joint news conference with Estonian Prime Minister Taavi Roivas on the first day of his trip to Europe for NATO meetings.

Obama went further, saying that before the U.S. acts in Syria, the administration must have "made the case to the American people and (make sure) we've got allies behind us so that it's not just a one-off, but it's something that over time is going to be effective."

In other words, the President wants to engage coalition partners, create a meaningful military plan and explain it to the public. He also said he might need approval from Congress.

Who is ISIS?

So why did that take so long to respond to that rare moment of candor that resulted in ongoing criticism from every corner of the political spectrum and provide another opportunity for critics to define his foreign policy as feckless and aimless?

Dr. Nussaibah Younis, senior researcher at the Project on Middle East Democracy, said Obama's slow response to his critics is characteristic of his approach to foreign policy.

"Slowly he's getting there," said Younis, an Iraq expert who has been warning about the growing threat of ISIS and is critical of the President's "cautious" approach to ISIS in Iraq. He wants strategic, limited and immediate airstrikes in Syria. "The gravity of the situation is filtering through and I think that's progress."

Biden: U.S. to pursue ISIS killers 'to the gates of hell'

The President again fell victim to that perception again Wednesday. During that same news conference in Estonia, Obama gave mixed messages of U.S. goals against the group that effectively erased the border between Iraq and Syria.

On one hand he said the goal is to "degrade and destroy," then appeared to move back from the "destroy" part of the phrase by saying the goal against ISIS is to ensure the group is "manageable."

It is another instance that opens him up to criticism from those who want aggressive military action as well as confusion on the part of an American public that wants answers.

"He left a little ambiguous what the goal is today," David Gergen, a former adviser to four presidents, said Wednesday on CNN.

An administration official defended the President, saying he did not deliver two conflicting messages, but noted that this is going to be a time-consuming fight that will begin with managing ISIS's threat and eventually lead to its destruction.

Now that this is the second messaging problem the President has had in less than a week when talking about the terrorist group, Major Gen. James "Spider" Marks said the President's missives must be more clear.

"Words are very, very important," Marks said on CNN, adding that his messages are mixed because the U.S.'s lack of a strategy.

Regardless of messaging, the President's restrained strategy does have its defenders. Fareed Zakaria, host of CNN's "GPS," said that the President's response to ISIS in Syria, which is embroiled in a three-year long civil war, is appropriate. He said one important consideration is whether the brutal regime of Syrian President Bashar al-Assad would be strengthened if ISIS is defeated there.

"In the Middle East, the enemy of your enemy is still your enemy," Zakaria said on CNN's "New Day" on Wednesday.

The external pressure put on Obama to act is harmful, Zakaria said.

"This is where the media pressure actually is unhelpful to having a strong foreign policy," he said.

After ISIS beheaded American journalist Steve Sotloff, the second American in less than one month, New York Times columnist Thomas Friedman wrote that caution is the President's ally because ISIS's actions are "meant to get us to overreact."

The President will begin to mold his strategy at the NATO summit where he will attempt to organize a coalition to address ISIS in Syria. And next week, Congress is back in Washington where debate about U.S. response to ISIS is expected.

Opinion: Why Obama needs to be the explainer in chief

CNN's Jim Acosta contributed to this report

@highlight

Obama addresses his "we don't have a strategy yet" to defeat ISIS five days later

@highlight

Obama said he wants to "clear what our objectives are" and to make "the case" to Americans

@highlight

One expert said his delayed response is characteristic of his approach to foreign policy: slow