Washington (CNN) -- As President Barack Obama considers military action in response to Bashar al-Assad's alleged use of chemical weapons in Syria, a debate over whether he must seek Congress' consent has surfaced. It's a debate with which the president is extremely familiar.

As a senator, Obama was a staunch critic of President George W. Bush for not obtaining renewed authorization for the war in Iraq. He blasted his predecessor in 2007, saying, "The president does not have power under the Constitution to unilaterally authorize a military attack in a situation that does not involve stopping an actual or imminent threat to the nation."

Additionally, as a candidate for president, Obama reaffirmed that sentiment. He told the Boston Globe in a questionnaire, "The president does not have power under the Constitution to unilaterally authorize a military attack in a situation that does not involve stopping an actual or imminent threat to the nation."

"It is always preferable to have the informed consent of Congress prior to any military action," Obama added at the time.

Syria: Western intervention looms after reported chemical attack

As a senator, Vice President Joe Biden had a similar take. During a campaign speech in Iowa in 2007, he said "the consequences of war -- intended or otherwise -- can be so profound and complicated that our founding fathers vested in Congress, not the president, the power to initiate war, except to repel an imminent attack on the United States or its citizens."

Although they have held such strong views in the past, their positions have dramatically changed. They did not seek Congressional consent when the United States engaged its military in Libya, nor when Obama expanded the war in Afghanistan. In both instances, members of Congress complained loudly, but the president defended his decision.

Iran: U.S. military action in Syria would spark 'disaster'

In the case of Libya, the president said at the time that U.S. troops would not be on the ground and so the law didn't apply.

Why the change of heart?

"Where you stand on this issue depends on where you sit, and right now (Obama) is sitting in the Oval Office," said Kal Raustiala, professor of law at UCLA.

It's a long-running battle of checks and balances. And it's one that the president usually wins.

Opinion: On Syria, learn from U.S. mistakes in Iraq

The debate revolves around the War Powers Resolution.

Congress passed the measure in 1973, overriding a veto by President Richard Nixon. It was meant to rein in the president's ability to involve the United States in overseas conflict.

The law requires that the president seek consent from Congress before force is used or within 60 days of the start of hostilities and that the president provides Congress with reports throughout the conflict.

It hasn't really worked that way.

Many in Congress want consultation before action in Syria

It's a debate that has played out time and time again in U.S. history: a president is considering intervening in an international conflict, Congress wants a say. Specifically, congressional opponents want the ability to block the intended military action.

Since 1973, the United States has used military force in Grenada in 1983, Panama in 1989, Iraq in 1991, Haiti in 1994 and Kosovo in 1999. In all those instances, presidents -- both Democrats and Republicans -- sidestepped Congress and committed U.S. military forces without obtaining Congressional approval.

Congress did, however, provide Bush with its approval for the war in Iraq in 2002 and the war in Afghanistan after the September 11, 2001, terror attacks.

Like a replay of the past, some members of Congress are demanding the president seek the legislative branch's approval before any action is taken in Syria. But it's highly unlikely the president will take that formal step.

Warnings of quagmire in Syria as U.S. contemplates military action

Congress complains, sometimes loudly, but has rarely done anything about it. It could pass laws further restricting the president's authority, but hasn't done so. The legislative branch could also withhold funding of any military conflict, but that's another avenue it has failed to take. Additionally, the judiciary has been reluctant to settle the dispute.

In the White House's daily briefing, press secretary Jay Carney said the administration is consulting with Congress. Obama "had discussions with relevant members of Congress, and leaders of committees and leaders of the Congress at large," he said.

Who wants what after chemical weapons horror

In response to Carney's statement, Rep. Justin Amash, R-Michigan, who called military action without congressional approval "unconstitutional" and is among a group of lawmakers who are demanding the president seek their approval, tweeted, "yeah right."

But while members are likely to write letters, pontificate and even challenge the president to seek consent, the president is likely to continue to sit on the winning side of the issue.

TIME.com: What Obama can and can't do

@highlight

Obama was critical of Bush for not getting renewed authorization for war in Iraq

@highlight

President argued against congressional OK for action in Libya

@highlight

War Powers Resolution passed in 1973 over Nixon's veto

@highlight

Law professor says perspective on War Powers depends on where you're sitting