(CNN) -- A couple with fish bowls instead of heads. A magician who can make cards fly in a perfect spiral.

These images have to be real, our brains tell us.

That's the amazing thing about photography, says Ronen Goldman: If the light falls on the object just the right way, if the shadows line up naturally, our brains allow us to believe the unbelievable.

It's the guiding concept that drives 32-year-old Goldman, a conceptual photographer in Tel Aviv, Israel, who has been recreating his dream fragments in a six-year series called The "Surrealistic Pillow" Project. The project has appeared in the Affordable Art Fair in several cities.

Goldman considers himself more of a photographer than a manipulator. He shoots all the elements of his photos on location at the same time under the same lighting to achieve the best optic effects. He then uses Adobe's Photoshop editing program to layer the images together and mask objects as needed to create the illusions.

Analyzing the dream and figuring out how to execute the vision in the real world takes much longer than the photo editing, though that part of the process can also take many days, he says.

"Surrealism in my view is not simply Photoshop or photographic technique," he says. "The most important in my mind is the intention, or the concept you want to convey. It's not about levitation or multiplication of objects -- those are just tools I happen to use to convey deeper concepts I find to be interesting."

Sharing his work and deconstructing it for other photographers is a key part of his art. Goldman, who studied script writing at Tel Aviv University, learned about photography while on reserve duty for the Israeli army.

Art photography: When 'reality isn't good enough'

"Most of what I know today I learned from Internet resources, starting from shutter speeds and apertures, basic functions of the camera, to composition and Photoshop techniques. I bought my first camera and lens with the help from a guy I have never met," he said. "I basically look at hundreds of photos every day from around the world and try to learn what I like."

Goldman uses his blog to take the audience behind the scenes of his photos, deconstructing the image or explaining where the props came from. He made a music video from the shoot where a woman is lying on a bed surrounded by iguanas, one of his favorite images from the series.

That one, which represents a fear of relationships, was shot in his bedroom in Tel Aviv. There was actually only one iguana, and the girl really is in bed with the lizard.

"I did all the lighting preparation beforehand and we just went along and placed the iguana on different spots on the bed. It started moving and that was kind of scary for her, but it was fine, and he got very relaxed afterward," Goldman said. "Then I layered those photos, like 30 different layers, and made that image."

This week Goldman posted a batch of his photos on Reddit, the social news site where members create and run their own forums on topics of their choice and user clicks determine the popularity of posts. He agreed to post them on CNN iReport.

The surreal photos were a hit on Reddit -- his link made it onto the site's front page -- and Goldman stayed up all night answering questions about where his ideas come from, how he remembers them, and his techniques for composing certain images.

What the brain draws from: Art and neuroscience

Some photos, like his depiction of a woman lying upside down on a staircase, and a man rappelling down the wall, require little editing -- just creative angles and a discretely positioned step-stool, he explained.

"I don't love telling everything, just for the reason of the effect on people -- like when a magician does something, you really don't want to know -- but if it helps an actual photographer to go out and do cool stuff, I'm for it," he says. "It's not like it's a big secret about what I'm doing."

Want to try? Ronen Goldman has an assignment for you:

Take a photo of yourself using one element you can recall from a dream, using any type of camera or phone. The photo needs to tell the story of the dream, or part of it. In the caption, write what you remember from the dream.

"If you don't like the result, do it again until you do," Goldman says. "Be prepared for the possibility of it being misunderstood or deemed a failure. It might just turn out to be the best thing you have ever done, and interest a whole bunch of people."

Upload your photo to CNN iReport and it could be featured on CNN.com.

@highlight

Photographer Ronen Goldman recreates his dreams through photos

@highlight

He's inspired by surrealist painters RenÃ© Magritte and others

@highlight

Sharing the process is a key part of his art