(CNN) -- For most Americans, energy policy right now is all about gasoline prices. And given the political claims and counterclaims on this issue being tossed about, it's no wonder that the public is both skeptical and confused. Republicans charge that the president is responsible for higher prices at the pump, and a certain GOP presidential hopeful has even been so bold as to promise a return to $2.50 a gallon gasoline.

How can the average American, already feeling the impact of higher prices, filter through the nonsense and noise?

Critics of the administration are quick to note that when Barack Obama took office, gasoline prices were $1.95 a gallon. But they neglect to note the U.S. economy was in a virtual depression. For purposes of comparison, when President George W. Bush took office in 2001, gasoline sold for an average of $1.55 a gallon. In the summer of 2008, his last year in office, prices exceeded $4.25. In reality, presidents have little to do with near-term fluctuations in gas prices.

Earlier this year, closures of refineries announced in the United States and elsewhere began pushing up gasoline prices well in advance of the coming "driving season." More recent increases are more closely tied to the delicate balance between increased demand growth and concerns related to supply disruptions, including but not limited to concern over Iran.

The single largest component in the price of gasoline is the cost of crude oil. Federal, state and local taxes as well as refining costs, transportation, retail advertising and the cost of the service station lease also figure in. All things being equal, for gas to cost $2.50 a gallon, the crude oil price would have to be in the $50-a-barrel range (less than half of the current price). And to achieve this anytime soon would likely require a global economic collapse.

With oil at $50-a-barrel it would not be economically viable for oil companies to bear the cost of extracting oil locked up in hard-to-reach places such as the deep ocean or oil sands, where much of the new production is found. Such a price reduction would, in any event, be short-lived, as demand would grow with lower prices while supply languished. For the longer term, the president's goal of doubling fuel economy standards and increasing fuel choices makes eminent good sense: It would make $4 gasoline feel like $2 gas to consumers. Also a very good thing.

Republicans charge that the president has impeded domestic oil production, while Democrats are quick to note that production is at its highest level in years. Here, the facts are on the president's side, as U.S. oil production is at its highest level since 2003 and imports are below 46%. This is truly good news.

Nonetheless, the nit-pickers are quick to point out that much of the recent development has been the result of technology improvements on the part of industry and is largely occurring on private, not federal lands. This too is true. The domestic oil and gas industry has been the source of enormous and valuable technology, innovation, tax and royalty revenues, and new jobs. But production is also up on federal lands as well.

Critics claim that if the president had been more aggressive in promoting domestic development of oil and gas and increasing development acreage over the past three years, domestic production would be significantly higher and gas prices would thus be substantially lower. This assertion is false for a couple of reasons.

The Deepwater Horizon oil spill (for which the president bore no responsibility) necessarily curtailed U.S. offshore production for the better part of a year. Additionally, exploration and production of green field projects take time -- several years, in fact -- and even modest increases on the order of several hundred thousand barrels per day in a 90-million-barrel-per-day world would not guarantee significantly lower prices at the pump.

The president has recently characterized the latest iteration of his energy strategy as an "all of the above" approach, albeit with a continued emphasis on lower carbon sources. This seems to have struck a raw nerve with industry activists and political opponents, even though in 2007 the National Petroleum Council -- and more recently, Republican proposals -- reached the same conclusions.

Similarly, Obama's language emphasizing the need for responsible development mirrors exactly what the industry said in a 2011 National Petroleum Council study and is consistent with the findings produced by Secretary Steven Chu's Energy Advisory Board with respect to shale gas development. Thoughtful debate here may be falling victim to politics and pique. Sloganeering and political infighting should not drive our energy debate when there are real challenges to be addressed.

The bottom line is that we are all in this together. Regardless of your political affiliation, if the nation does well, we are all the better for it. So let's try to find some common ground to advance economic, energy and environmental goals where the opportunities present themselves and stop the petty bickering and finger-pointing. The American people deserve better.

The opinions expressed in this commentary are solely those of Frank Verrastro and J. Robinson West.

@highlight

Frank Verrastro and J. Robinson West say politics has sown confusion on high gas prices

@highlight

The authors say presidents have little to do with spiking gas prices

@highlight

For $2.50 a gallon gas, crude oil would be $50 a barrel, likely due to global collapse, they say

@highlight

Writers: Obama's "all-of-the-above" energy approach makes sense; finger-pointing doesn't