(CNN) -- Twenty-three homeless shelter pods barnacled to the side of a railroad station in Marseilles, France, are safe, for now. Once they touch the ground, most legal bets are off.

That's sort of the point, bien sûr. Architect and former graffiti artist Stéphane Malka seeks out these neglected armpits of cities' public space and transforms them into light, flexible, emergency housing. He calls the process "architectural kama sutra" because of the unorthodox (and exciting) positioning of the structures next to, above, or below traditional buildings and city elements. A-kamp47, as the Marseilles project is called, will be included in a series of similar efforts for Malka's book, Le Petit Pari(s), coming out in February of next year.

Malka designed A-kamp47--the title a nod to the city's drug-fueled gun violence problem--in 2009, but it was erected this past September in just 12 hours. The domes, which resemble a group of camouflage spider eggs, feature thermal blankets and storage space, the simplest requirements for temporary stays. All but one pod can fit two people, hence the number 47.

Putting up the structure in September was also part of Malka's strategy. "In France, there's a rule saying in wintertime, you can't take someone out of housing," Malka explains. Meant to protect low- and middle income workers from being pushed out of housing and into the suburbs by obscene rent increases, recently passed laws now guarantee that most renters won't end up on the streets during the coldest months.

According to Malka, the rule applies to A-kamp47. And because the structure is tacked to the side of the Marseilles-Saint-Charles train station, and not sitting horizontally on the property of the nearby cultural center, it also qualifies as public space.

Hoisting shelters on a wall plays another role as well -- that of visibility. While low and middle income workers might be quietly shuffled out of city centers in the spring, summer, and fall, Malka's work turns French cities' housing crisis into a living, breathing billboard year-round.

"Homelessness is very important, but it's almost like a caricature of what's happened. People in the low class and even in the middle class don't have the power to afford to stay in decent houses, especially in France," Malka says. "This is a failure of the housing system as we know it. We'll be facing in the years to come more climate refugees, more political refugees, and the city will have to stand massive amounts of people coming."

Oddly, though, the people using the A-kamp47 aren't native Marseillais. When Malka went back to visit the structure in October, it was mostly populated by young travelers. (Those would be the groups of curiously well-dressed homeless people you see in pictures above).

Still, Malka hopes his project inspires other architects to work on more community-minded projects that take advantage of public space. "I really think that for architects now there are new ways, technical ways and methods, that would take us out of not only being the arm of the government," he says. "We can be more open to societal problems."

Copyright © 2010 FastCompany.com, a unit of Mansueto Ventures, LLC. All rights reserved.

@highlight

A French artist has turned the sides of urban public spaces into emergency shelters

@highlight

Erected in just 12 hours, the domes provide a sleeping space for 47 people per night

@highlight

By building them on a wall, the artist hopes to make France's homelessness problem visible