(CNN) -- Syria accused Israel of firing rockets into the Damascus suburb of Jamraya on Sunday, striking a "scientific research center," Syrian state TV reported.

It is the second Syrian claim this year of a strike against what observers have described as a government defense research facility, and it comes one day after U.S. officials first told CNN that the United States believes Israel carried out an airstrike against Syria.

Israel Defense Forces declined to comment on the Syrian TV report. "We do not comment on these reports at all," an IDF spokesperson said.

The Syrian news report claimed the rocket attack on the research center aided rebels, who have been battling government forces in the region.

In late January, reports surfaced that Israeli warplanes targeted the research facility. The Syrian government has said the airstrike killed two workers and injured five others.

A U.S. official told CNN at the time the Syrian claims were false. The official said Israeli fighter jets targeted a Syrian government convoy carrying surface-to-air missiles bound for the militant group Hezbollah in Lebanon. Syria denied there were such shipments.

The report of rocket attacks come as sectarian violence erupted in northwestern Syria, where three consecutive days of killing by mostly Alawite forces have left hundreds of predominantly Sunni residents dead, opposition groups said Saturday.

"The regime attacked the town of Beyda and other neighboring areas from the sea with rockets before security forces and militias loyal to the regime entered the area and conducted mass executions," Free Syrian Army chief of staff Gen. Salim Idris said by phone from Antakya, Turkey.

"They want to establish a sectarian-based entity in the region," he said.

State media have said their forces were seeking only to clear the area of "terrorists," the term they have routinely used when referring to rebel forces.

But the U.S. State Department said it was "appalled by horrific reports that more than 100 people were killed May 2" in Beyda, a suburb of Baniyas.

"We call on all responsible actors in Syria to speak out against the perpetration of unlawful killings against any group, regardless of faith or ethnicity," spokeswoman Jennifer Psaki said in a statement.

Opposition groups that included the Local Coordination Committees of Syria, the Syrian Observatory for Human Rights and the Free Syrian Army said the widespread killing in and around the coastal city of Baniyas continued Saturday as largely Alawite regime forces used tanks, battleships and missile launchers to hit largely Sunni neighborhoods in Baniyas.

The government forces killed at least 200 people on Friday and Saturday in Baniyas and its suburbs, the LCC said Saturday.

More than 200 others were killed there on Thursday, when the killings started early in the day, it said.

Reliable information has been difficult to obtain because government forces controlled access to the village, the LCC said.

The Syrian Observatory for Human Rights said hundreds of Sunni families began fleeing Baniyas' southern neighborhoods at dawn Saturday, heading toward the cities of Tartous and Jableh.

A graphic video posted by activists who said it was shot in the Ras al-Nabaa neighborhood showed people, including an infant, lying lifeless on the ground. Many bore what appeared to be bullet wounds and some appeared burned. CNN's access to war zones has been limited by the government and has not been able to confirm its authenticity.

State-run Syrian TV filed reports from Beyda over the last two days reporting that government troops along with the National Defense militia, an armed Alawite group loyal to the government, "have cleaned the area from armed terrorists" after "they burned civilians' homes and stores and terrorized the population." The reporting was supported by interviews with members of the Syrian army.

U.N. has warned of sectarian violence

Last December, the U.N. Commission of Inquiry warned that the civil war had become "overtly sectarian."

It said government forces and militias, dominated by Alawites, had been attacking Sunnis -- who were "broadly (but not uniformly)" backing the rebel groups. And anti-government armed groups were targeting Alawites.

Other minority communities, including some Christians, Armenians, Palestinians, Kurds and Turkmen, "have also been caught up in the conflict, and in some cases forced to take up arms for their own defense or to take sides."

But it said the "sectarian lines fall most sharply" between Alawites and Sunnis.

The "increasingly sectarian nature" of the fighting is a motivator for proxy groups fighting in Syria. Anti-government armed groups are composed of Sunnis from the Middle East and North Africa, the report said.

Shiites from other countries have entered the conflict on behalf of Syria. The Lebanese Shiite group Hezbollah has said its members are fighting. There are reports of Iraqi Shiites fighting in Syria and of Iran's Revolutionary Guards providing intellectual and advisory support.

Christian communities across Syria have been under the gun and on the move. Homs, for example, was once home to 80,000 Christians, but the commission said most had escaped to Lebanon.

"With communities believing -- not without cause -- that they face an existential threat, the need for a negotiated settlement is more urgent than ever," the commission said.

Al-Assad makes public appearance

Also Saturday, the country's president made his second public appearance this month, according to state-run Syrian Television.

"President Bashar al-Assad joins thousands of students and families of martyrs in Damascus University in inaugurating the Martyred Students Monument in memory of all the students who were killed in Syria," it said.

The president's Facebook page posted a picture of the event.

On May 1, al-Assad visited the Ummayad electrical plant to "congratulate its staff and all the Syrian workers on the occasion of International Workers' Day," the state-run Syrian Arab News Agency reported.

Israel said to be flying over Lebanon

Israel was flying warplanes over Lebanon on Thursday, Friday and Saturday, the Lebanese army said.

Lebanon's president, Gen. Michel Sleiman, condemned the violations as "an attempt to shaken Lebanese stability," the state-run National News Agency reported Saturday.

The Israeli military had no comment. But a source in the Israeli defense establishment told CNN's Sara Sidner, "We will do whatever is necessary to stop the transfer of weapons from Syria to terrorist organizations. We have done it in the past and we will do it if necessary the future."

Israel appears to have struck Syria

Two U.S. officials told CNN on Friday that Israel appears to have conducted an airstrike into Syria on Thursday or Friday.

Based on initial indications, the U.S. does not believe Israeli warplanes entered Syrian airspace to conduct the strikes.

President Barack Obama told reporters on Friday that he did not foresee a scenario of "American boots on the ground in Syria" that would be good for that country or the region. Obama said other leaders in the region want to see al-Assad out of power.

CNN's Barbara Starr, Saad Abedine, Amir Ahmed and Joe Sterling contributed to this report

@highlight

NEW: The Israel Defense Forces declined to comment on the report

@highlight

Syrian TV reports Israel has targeted the Jamraya area

@highlight

Al-Assad makes another public appearance

@highlight

The United States "is appalled" by the reports