Washington (CNN) -- A federal judge has again temporarily blocked enforcement of key parts of a tough immigration law in Alabama.

The ruling Wednesday is a partial victory for both sides. The Justice Department had brought suit against state officials to block the law, but Alabama was given the power to enforce some controversial sections.

Other opponents of the measure -- including state church leaders and the American Civil Liberties Union -- had asked U.S. Judge Sharon Lovelace Blackburn to stop the law, which had been scheduled to go into effect last month.

"There is a substantial likelihood that the United States will succeed on the merits of its claim that (parts of the law) are pre-empted by federal law," Blackburn wrote. "The court further finds that the United States will suffer irreparable harm if these sections of HB 56 are not enjoined" from taking effect.

The ruling means certain parts of the law cannot be enforced until a hearing on the larger issues raised in the appeal are resolved, a process that may take several months at least, and may ultimately have to be settled by the U.S. Supreme Court.

At issue is whether HB 56 intrudes on the federal government's power over all immigration matters. State officials argue the law would help Alabama and not violate civil rights.

The court upheld a section of the Alabama law requiring that police "attempt to determine the immigration status of a person who they suspect is an unauthorized alien of this country," according to an Alabama House of Representatives fact sheet. That provision is similar to other laws aiming to crack down on illegal immigration passed by other state legislatures over the past year.

But Blackburn blocked the following provisions from being enforced:

--One saying undocumented aliens in the state are not allowed to "knowingly apply for work, solicit work in a public or private place, or perform work as an employee or independent."

--One banning the "concealing, harboring, transporting, etc., of unlawfully present aliens."

--One prohibiting employers from "taking of a state tax deduction for wages paid to an unauthorized alien."

But the Alabama law also includes more expansive measures, including requiring the state to check immigration status of students in public schools, that the judge allowed to go into effect for the time being.

During court hearings earlier this summer in Birmingham, Alabama, an attorney with the Southern Poverty Law Center argued the public school portion of the law is unconstitutional.

Alabama Attorney General Luther Strange told the judge at the hearing the law would not prevent undocumented immigrants from having access to public school education.

Strange also argued that the law is not an anti-immigrant measure, and that the state welcomes visitors.

The judge in late August had issued a preliminary injunction against enforcement, saying she needed more time to decide the complex legal questions raised.

In August, leaders from the Episcopal, Methodist and Catholic churches of Alabama separately sued Alabama's governor, its attorney general and a district attorney over HB 56.

On Wednesday, bishops from two of those churches welcomed the decision to block the provision preventing the harboring or transporting of undocumented aliens, releasing a joint statement saying it "protects our churches' ministries from prosecution under this over-reaching law, and substantially protects our religious liberties."

"We will continue to provide food, shelter, transportation, housing, and the church's sacraments to all of God's people, regardless of race, class, or citizenship status," said the statement from Bishop Henry N. Parsley Jr. of the Episcopal Church's Alabama Diocese and Bishop William H. Willimon of the United Methodist's North Alabama Conference.

But Alabama Gov. Robert Bentley, who signed the law in June, said after Wednesday's ruling that "Judge Blackburn upheld the majority of our law and temporarily -- and I say temporarily -- enjoined in four sections. In those parts that were upheld we have the strongest immigration law in this country."

He said law would not have been needed "if the federal government would have done its job and enforced the laws dealing with this problem. However, they have failed to do that." And he added, "This law was never designed to hurt fellow human beings."

Republican Alabama state Rep. John Merrill told CNN in June that the legislation would be "good for Alabama" because it would reduce illegal immigration to the state and "provide equal opportunities for all people who want to come to Alabama legally."

ACLU attorney Andre Segura noted the complexity of Alabama's law compared with other state measures.

The Mexican government had also appealed, arguing the law would promote racial profiling, targeting Hispanics especially.

Alabama's law is considered the strictest in the nation. Key portions of Arizona's immigration reform law have also been blocked while a federal appeals court and the U.S. Supreme Court consider various challenges.

The Alabama case is U.S. v. State of Alabama (2:11-cv-2746).

CNN's Joe Sutton and Gustavo Valdes contributed to this report.

@highlight

The measure can't be enforced until a hearing on larger issues

@highlight

The Supreme Court may end up taking the case

@highlight

The judge allows the state to check the immigration status of public school students

@highlight

A judge blocks a ban on illegal aliens' looking for work