Jaipur, India (CNN) -- How did buildings keep cool before the invention of air conditioning? As architects consider how to reduce the energy demands of new builds, some are turning to the past for simple, low-tech solutions.

At the height of summer, in the sweltering industrial suburbs of Jaipur, Rajasthan in north-west India, the Pearl Academy of Fashion remains 20 degrees cooler inside than out -- by drawing on Rajasthan's ancient architecture.

While the exterior appears very much in keeping with the trends of contemporary design, at the base of the building is a vast pool of water -- a cooling concept taken directly from the stepwell structures developed locally over 1,500 years ago to provide refuge from the desert heat.

Award-winning architect Manit Rastogi, who designed the academy, explains that baoli -- the Hindi word for stepwell -- are bodies of water encased by a descending set of steps.

"When water evaporates in heat, it immediately brings down the temperature of the space around it," he says.

While traditional stepwells often go many stories below ground level, Rastogi's go down just four meters. However, the effect is the same and -- like the ancient Mughal palaces before it -- the academy enjoys its own microclimate.

Read more from Road to Rio: The slums of Mumbai: A model of urban sustainability?

Rastogi wonders: "How did they think up something so elaborate and yet so simple in its basic philosophy?

"How do you begin to think that you can dig into the ground and use the earth as a heat sink, have access to water, put a pavilion into it so that its comfortable through the year? It takes a lot of technology for us to think up something that simple now."

But it's not just the stepwells that are involved in this process of "passive cooling" -- the general term applied to technologies or design features that cool buildings without power consumption.

The whole building is raised above the ground on pillars, creating an airy and shaded pavilion that is used as a recreation and exhibition space. Here, according to Rastogi, the walls are made from a heat-absorbing material that creates a "thermal bank" -- so the warmth is slowly released at night when the temperature drops.

Centuries ago, latticed screens or "jaali" filtered direct sunlight into the palaces. The effect was decorative and helped reduce the heat. Likewise at The Pearl Academy, a latticed concrete screen runs the length of the building and provides a cooling outer skin.

"We've been able to demonstrate that good green building is not only cheaper to run; it's not only more comfortable to live in -- it's also cheaper to build," says Rastogi.

The success of the academy's eco-design has had an impact. Regulations -- based on these passive cooling techniques -- were introduced last year for all new Indian government buildings.

@highlight

Architect has adapted India's ancient stepwell architecture for a modern, sustainable building

@highlight

Pools of water at base create low-tech "evaporative cooling" of surrounding area

@highlight

Academy protected from elements by a double skin, derived from traditional "jaali" structure