Cape Canaveral, Florida (CNN) -- Friday's test launch of the Falcon 9 rocket was "essentially a bullseye," SpaceX officials said after the rocket successfully pushed past the earth's atmosphere and deposited a mock-up of its Dragon space capsule in orbit.

The successful launch is the latest step toward commercial space ventures that could eventually ferry astronauts and cargo to the international space station.

SpaceX CEO Elon Musk, co-founder of PayPal, sent out the technical details of the successful launch, which he said performed its mission to deposit the Dragon mock-up into a 155-mile (250-km) orbit to near perfection.

"Nominal shutdown and orbit was almost exactly 250 km," Musk said in a written statement. "Telemetry showed essentially a bullseye: 126;0.2% on perigee and 126;1% on apogee."

The capsule is expected to orbit for about a year and eventually burn up in the atmosphere.

NASA administrator Charles Bolden congratulated the SpaceX team.

"Space X's accomplishment is an important milestone in the commercial transportation effort and puts the company a step closer to providing cargo services to the International Space Station," he said.

Former Apollo astronaut Rusty Schweickart was high on the launch's possibilities.

"As a former Apollo astronaut, I think it's safe to say that SpaceX and the other commercial developers embody the 21st century version of the Apollo frontier spirit. It's enormously gratifying to see them succeed today," he said.

NASA hopes companies such as SpaceX can take over transportation to the international space station.

"It's time for NASA to hand that over to commercial industry who can then optimize the technology and make it more reliable, make it much lower cost and make it much more routine," said Musk in an interview with CNN last month.

Musk says he believes the United States is at the beginning of a profound, fundamental renaissance in space exploration, perhaps greater than when President Kennedy declared the United States was going to the moon during the infancy of the space program.

"If the country executes and the administration and Congress execute in that direction, the impact of these changes will be on par, perhaps even greater, than ... the task that Kennedy put us on to," he said.

This push toward the privatization of space is part of President Obama's blueprint to allow NASA to do bigger and better things with its budget, such as a mission to Mars.

NASA has been flying shuttles in low Earth orbit and going to and from the space station for 30 years. The administration would like to see whether private companies can do it cheaper and more efficiently, as the shuttle program is about to fly into retirement.

NASA selected SpaceX and another company, Orbital Sciences, to each develop an orbital vehicle because the United States will not have its own way to get to the space station. The United States will be renting space from the Russians aboard their Soyuz spacecraft.

"They're standing on NASA's shoulders, so they're designing rockets based on the experience we've had for 50 years or more, going into space," said George Musser, editor of the Scientific American.

"And any enterprise that learns from past experience will hopefully do better," he said.

But the competition is rabid. SpaceX is the first company to reach the launchpad. So far, its spent almost $400 million to get there.

"They probably hate each other's guts, but the competition is really good for space and for all of us," said Musser.

"Ultimately, what do we want from this? We want to get into space cheaply, so our kids and grandkids someday can go into space and explore the planets," he said.

But SpaceX acknowledges there will be failures, as there have been since the the beginning of aviation.

"This is an all-new rocket. There's a lot that can go wrong, and during the test phase -- that's why you have a test phase, because things may go wrong," he said.

Ken Bowersox is a vice president for SpaceX. In his previous life, he flew five space shuttle missions as a commander and pilot. He also lived on the space station for more than five months as its commander.

"Either way, we're going to learn something," he said. "If we have a problem, we can move forward accepting a higher level of risk. That's how we can be more cost-effective.

If all goes as planned after a series of test flights, Musk says SpaceX will be ready to begin flying cargo to the space station next year. If NASA awards SpaceX a contract, Musk says they can begin ferrying astronauts to the space station within three years. He says his company is profitable, but his motivations go beyond dollars.

"We want to see a future where we are exploring the stars, where we're going to other planets, where we're doing the great things that we read about in science fiction and in the movies," Musk said.

CNN's Rich Phillips contributed to this report.

@highlight

Space Exploration Technologies launches Falcon 9 rocket Friday

@highlight

With shuttle program about to end, NASA looking to private companies to fill gap

@highlight

U.S. will rely on Russians to get to and from the international space station for now

@highlight

Founder hopes SpaceX will be ready to begin flying cargo to space station next year