(CNN) -- Researchers from Alfred Kinsey to local nonprofits have tried for decades to count the United States' gay, lesbian and bisexual population, and still, there were no hard numbers.

But for the first time, the decennial census results report counts of same-sex partners and same-sex spouses, regardless of whether same-sex marriage is legal in their states.

Headlines from across the country reveal common themes: There are more people who identify as gay, and they've dispersed to more places.

In New Jersey, "Number of gay couples ... rises sharply."

In South Carolina, "Family makeup is changing."

In Iowa, "Same-sex households up 77%."

In Provincetown, Massachusetts: "America's Gayest City."

The U.S. Census Bureau has been releasing the state data since June, along with information about how many children are being raised in same-sex parent households. National figures will be released in November.

State numbers reveal about a 50% increase in same-sex couples since 2000, with some of the biggest increases in traditionally conservative parts of the country, said demographer Gary Gates of UCLA Law School's Williams Institute, a think tank dedicated to sexual orientation and gender-related law and public policy.

The increase isn't because of a surge of gay people coupling in the last decade, Gates said. Rather, growing social acceptance of homosexuality has led to a greater willingness to report it.

Some states with the greatest proportion of same-sex couples -- Vermont, Massachusetts, California, Oregon, Delaware -- are among those that issue marriage licenses to same-sex couples or allow civil unions.

Other trends are emerging, too.

What do Provincetown; Wilton Manors, Florida; and Rehoboth Beach, Delaware, have in common? They're vacation or retirement destinations known for having strong ties to the LGBT population, and the data shows some of the highest concentrations of same-sex couples.

"What may be happening is this idea that baby boomers were the first generation to really have a visible LGBT community, and of course, they're starting to retire now," he said.

The numbers also show the proportion of same-sex couples raising children hasn't changed much since 2000, he said, despite increasing numbers of adoptions.

Gates' explanation: Fewer couples are raising children from previous heterosexual relationships.

"That form of parenting is on the decline," he said. "With greater social acceptance, people are coming out earlier in life and they're less likely to have children."

So why count gay couples and their children at all?

The numbers and correlations could be used to develop policies about same-sex marriage or partner benefits, advocacy groups say.

"It's hard to advocate for a group of people when you can't say with certainty how many of them are in our communities," said Brian Moulton, chief legislative counsel for Human Rights Campaign, the nation's largest LGBT advocacy group. "This helps us better quantify the economic harm to same-sex couples and how many people are affected by decisions to deny them the rights and benefits of marriage, especially those associated with federal law."

But some argue the census didn't go far enough to collect data on the lesbian, gay, bisexual and transgender population.

No question in the 2010 census asked "Are you lesbian, gay, bisexual or transgender?" and no results share the total number of LGBT people in the United States.

Rather, the census counted people of the same sex who live together and checked the boxes for "husband and wife" or "unmarried partner." The results are based on how people identify themselves, even if they live in states where same-sex marriages aren't legally recognized.

The 2000 census provided the first opportunity for same-sex couples who described themselves as husbands or wives to be counted as same-sex couples. But those responses were ultimately counted as unmarried partners, because marriage for same-sex couples wasn't legal in any states then.

New York Mayor Michael Bloomberg officiates same-sex wedding

When the census counted only those who live with a spouse or partner, it left out the majority of gay people in the United States, said Richard Socarides, president of Equality Matters and former White House special assistant and senior adviser to President Bill Clinton.

"Any data is better than no data, so I think there is some data that might be helpful for researchers and statisticians, " Socarides said. "But from a political perspective, until they agree to count the LBGT community in its entirety, I'm not going to be satisfied."

Socarides acknowledged that the census doesn't specifically enumerate heterosexuals, but argues that population isn't wrapped in a polarized debate about rights.

"The country is involved in a very important policy debate about extending rights and responsibilities to gay Americans and in the context of that debate, it is important to know how many people we're talking about," he said.

Others have attempted to estimate -- not count -- the country's LGBT population, but any count can be hampered by survey methodology and willingness to respond. The Williams Institute estimated that more than 8 million adults in the United States are lesbian, gay, or bisexual, and nearly 700,000 are transgender. A study released in April suggested that nearly 9 million Americans, about the population of New Jersey, identify as LGBT.

Williams Institute research has also found that about 50,000 same-sex couples have married, based on administrative data on the number of couples who have legally married in Massachusetts, Connecticut, Iowa, Vermont and New Hampshire. Another 85,000 same-sex couples have entered into civil unions or domestic partnerships in Vermont, California, New Jersey, Oregon, New Hampshire, Washington and Nevada, according to the Williams Institute.

The census results are just one table on a long, long spreadsheet, but demographers and advocacy groups said it's a significant change.

"The fact that the census is very publicly beginning to acknowledge the need for this kind of data, that's a big deal," Gates said. "Those who work to expand civil rights and legal protections for same-sex couples say having some sort of baseline count helps their efforts."

Before the census count, some nonprofits conducted their own counts of the LGBT populations in their communities.

The United Way of Broward County, Florida, launched its own web-based survey in 2009 with the goal of assessing the needs of the "lesbian, gay, bisexual, transgender and questioning" community. "The Count" asks basic demographic questions -- race, ethnicity and age -- but also tries to take the pulse of the community and identify problems.

One question asks whether ageism, elitism, sexual addiction or lack of leadership are serious problems. Others ask respondents about violence or harassment based on sexual orientation, about health and whether their relationships are "nurturing and supportive."

@highlight

The number of same-sex couples is on the rise, and they live in more places

@highlight

2010 census was first to count same-sex marriages in states where it's not legal

@highlight

D.C., Vermont, Massachusetts show highest proportion of same-sex couples living together