(CNN) -- It's been one week since the streets of Ferguson boiled over after protesters learned the officer who shot teenager Michael Brown won't face criminal charges.

And tensions are still simmering. Pockets of protests continue to erupt across the country, including a demonstration that interrupted a speech Attorney General Eric Holder gave in Atlanta Monday night.

Here's what to know to get up to speed on the Ferguson fallout:

THE POLITICS

Attorney general responds to protesters:

A group of chanting protesters interrupted a speech by U.S. Attorney General Eric Holder at Atlanta's Ebenezer Baptist Church on Monday, but Holder said the group shouldn't be criticized.

"There will be a tendency on the part of some to condemn what we just saw, but we should not," Holder said. "What we saw there was a genuine expression of concern and involvement. And it is through that level of involvement, that level of concern and I hope a level of perseverance and commitment, that change ultimately will come. And so let me be clear, let me be clear, I ain't mad atcha, all right?"

Demonstrators were escorted out of the church after about 30 seconds and continued to protest outside. They pumped their fists in the air, chanting, "No justice, no peace" and "We have nothing to lose but our chains."

Holder's response drew a standing ovation from many in the crowd.

In the speech, Holder also said he plans to announce "rigorous new standards" for federal law enforcement "to help end racial profiling, once and for all."

The new guidance will be released in the coming days, Holder said.

Holder is in Atlanta as he launches a series of nationwide conversations following the upheaval in Ferguson, Missouri. Details of Holder's next stops have not been released.

"This presents this nation with, I think, a unique opportunity," Holder said. "And I think it's incumbent on all of us to seize this opportunity to deal with issues that for too long have been ignored."

Holder has opened two civil rights investigations in Missouri -- one into whether Wilson violated Brown's civil rights, the other into the police department's overall track record with minorities.

Audience members applauded and cheered as he told the crowd Monday night that those investigations were ongoing.

"These twin investigations have been rigorous and they have been independent from the beginning. Now, while federal civil rights law imposes an extremely high legal bar in these types of cases, we have resisted prejudging the evidence or forming premature conclusions," Holder said. "And as these investigations proceed, I want to assure the American people that they will continue to be conducted thoroughly and in a timely manner, following the facts and the law wherever they may lead."

Obama vows 'this time will be different':

President Barack Obama held a series of meetings Monday stemming from the Ferguson unrest, calling for a "sustained conversation" surrounding the relationship between police and the communities they serve after a series of meetings with Cabinet members, law enforcement officials, young activists and others on Monday.

"In the two years I have remaining as President, I'm going to make sure that we follow through," Obama said.

During his remarks Monday afternoon, Obama admitted that past task forces have fallen short, but said that "this time will be different because the President of the United States is deeply vested in making it different."

THE PROTESTS

Demonstrations across the country:

The looting and arson that marred last week's protests are over. But the demonstrations continued in Missouri and across the country.

After activists called for students to walk out of school and employees to walk off the job nationwide Monday, pockets of protesters nationwide spoke out against police violence.

James Villalobos, a student at the University of Massachusetts- Amherst, shared a photo with CNN's iReport showing a large crowd at the school protesting the Ferguson decision. At Yale University, student demonstrators raised their palms in the air, demonstrating the "hands up, don't shoot" gesture that protesters in Ferguson have been using for months.

At least two protesters were arrested at a New York City demonstration Monday, police said. Protesters snarled traffic throughout Washington Monday by blocking main roadways across the city, police said.

St. Louis Rams players speak out:

Several St. Louis Rams players sent a silent but strong message before they took the field Sunday against the Oakland Raiders.

The players raised their palms in the air, repeating the "hands up, don't shoot" gesture that protesters in Ferguson have been using for months.

But the move infuriated the St. Louis Police Officers Association, which issued a statement saying it was "profoundly disappointed" with the group of Rams "who chose to ignore the mountains of evidence released from the St. Louis County Grand Jury this week."

"The gesture has become synonymous with assertions that Michael Brown was innocent of any wrongdoing and attempting to surrender peacefully when Wilson, according to some now-discredited witnesses, gunned him down in cold blood," the police association wrote.

Jeff Fisher, the Rams' coach, told reporters Monday that the players would not be disciplined.

"They are exercising their right to free speech," he said.

St. Louis County Police Chief Jon Belmar sent an e-mail to his staff saying Rams Chief Operating Officer Kevin Demoff called Monday to apologize.

"I received a very nice call this morning from Mr. Kevin Demoff of the St. Louis Rams who wanted to take the opportunity to apologize to our department on behalf of the Rams for the "Hands Up" gesture that some players took the field with yesterday," Belmar wrote in the e-mail, according to the St. Louis Post-Dispatch.

But the Rams characterized the conversation differently.

"We did not apologize," Rams spokesman Artis Twyman told CNN.

The team issued a statement saying the organization had "positive discussions" Monday with Belmar and other police officials "during which we expressed our respect for their concerns surrounding yesterday's game."

"The Rams will continue to build on what have always been strong and valued relationships with local law enforcement and the greater St. Louis community as we come together to help heal our region," the statement added.

THE OFFICER

What's next for Wilson?

He's been in hiding for most of the 3 1/2 months since the shooting. And now Darren Wilson is no longer a Ferguson police officer.

But what's next?

"That's a million dollar question," said Greg Kloeppel, one of Wilson's attorneys.

"He's probably going to go back to school. He's probably going to have to pursue other areas of employment, because I think it's quite obvious a job in law enforcement is highly unlikely at this point in time," Kloeepel told CNN's Wolf Blitzer on Monday.

Wilson is considering possibly studying business, finance or accounting, attorney Danielle Thompson said.

He made the decision to resign, his attorneys said, to put a stop to threats targeting other police officers in Ferguson.

"I have been told that my continued employment may put the residents and police officers of the City of Ferguson at risk, which is a circumstance that I cannot allow," Wilson, 28, wrote in his resignation letter.

"For obvious reasons, I wanted to wait until the grand jury made their decision before I officially made my decision to resign. It was my hope to continue in police work, but the safety of other police officers and the community are of paramount importance to me. It is my hope that my resignation will allow the community to heal."

Ferguson Mayor James Knowles said there will be no severance pay for Wilson's resignation.

THE CITY

New initiatives:

Ferguson's mayor outlined new initiatives in an attempt to forge a better relationship between the city's police department and the community.

Knowles announced a new civilian review board to provide input on police efforts as well as a scholarship program to try to recruit more African-American officers.

Even though the majority of Ferguson is black, only about four of the 50-some officers on Ferguson's police force are black.

THE BRIGHT SPOT

A touching sight:

After all the images of screaming, burning and anguish over the past week, one poignant image has been shared more than 150,000 times: a picture of a young black boy and a white police officer hugging.

The photo, taken in Portland, Oregon, came after 12-year-old Devonte Hart was holding a sign offering "Free Hugs" at a protest against a grand jury's decision not to indict Wilson. The boy had tears streaming down his face.

Portland police Sgt. Bret Barnum said he approached Devonte "not as a police officer, but just a human being" when he saw him crying. Devonte seemed hesitant to talk at first, but Barnum said he broke the ice by talking about life, travel and summer vacations before asking for a hug.

"The situation itself is something police officers do every day when they go out on the street and make citizen contacts," Barnum told CNN.

The Oregonian newspaper was the first media outlet to publish the photo by 20-year-old freelance photographer Johnny Nguyen.

Nguyen told CNN he attended the rally just to take pictures for himself. Then he saw the exchange between the officer and the boy.

"I thought, what a great scene," Nguyen said. "A powerful scene. A scene with a message that needed to be communicated. A scene of coming together."

Complete coverage of what's happening in Ferguson

CNN's Martin Savidge, Emanuella Grinberg, Wayne Sterling, Dave Alsup, AnneClaire Stapleton, Brian Todd, Justin Lear, Ashley Fantz, Alexandra Jaffe, Brian Vitagliano, Lawrence Crook and Pamela Brown contributed to this report.

@highlight

NEW: St. Louis County police say a Rams official apologized; the Rams deny

@highlight

St. Louis Rams coach says players were exercising free speech rights

@highlight

Attorney General Eric Holder says he'll announce new guidance on racial profiling

@highlight

He praises protesters who interrupted his speech