(CNN) -- Can presidential candidates talk to voters like adults? Will voters support a candidate who tells them the truth? The answer to that question is obvious to anyone who has observed American politics in recent years.

One day -- let us hope it comes soon -- voters will demand that their political leaders present them with a more realistic sense of the possibilities and choices they face. But for now, voters demand perfect odds and simple solutions, and politicians oblige.

President Obama confessed as much in a recent Vanity Fair profile, when he revealed he knows that each one of the decisions he makes as president could turn out wrong. "Nothing comes to my desk that is perfectly solvable," he said. "Any given decision you make you'll wind up with a 30 to 40 percent chance that it isn't going to work." But the American public, the president suggested, cannot handle those odds. After you have made your decision, you need to feign total certainty about it.

Despite knowing this, Obama did not project that supreme confidence and simplified arguments in Wednesday's debate. Romney did. That was not the president's only problem, but it was one of the reasons he didn't fare well.

The frustration showed after the debate, when Obama accused Romney of blatant lying in a debate that, like both campaigns, has been rife with distortions. Both candidates twisted the facts. Romney did it to better effect. It's a tragedy for American democracy that the tactic works.

Four years ago, Obama betrayed no doubts that he would succeed in achieving highly ambitious promises. It's harder to speak in dreamy, inspirational platitudes when you've been president for four years, when the prose of real life has not caught up with the poetry of the campaign.

Politics: Mitt's middle of the road makeover

The American political system demands charisma, leadership and boundless optimism, even if they are artificial and hollow.

Some voters tell pollsters that a "strong leader" is one of the most important traits they look for in a candidate. And pollsters track the perception obsessively. But the prevailing idea of what a strong leader is has become manufactured and artificial.

Candidates have to sound self-assured and authoritative, in a version of leadership that resembles more the utterances of Donald Trump in "The Apprentice" than the wisdom of the great politician-philosophers who founded the country.

Real charisma allows leaders to change their mind. But that's different from reshaping your supposed ideology to win different audiences.

Intellectual and political honesty are not Etch-a-Sketch tricks. Romney's penchant for telling one audience one thing and then taking it back when it doesn't suit another audience -- as he just did with his infamous "47%" comments by saying he was "completely wrong" -- does not count as mettle.

In the debate, Obama slipped in his efforts to don that leadership mantle. He even acknowledged that some of the choices are a matter of odds, that the country is a laboratory and we can only hope the experiments will turn out well.

On the economy, he said, "Look, we've tried this; we've tried both approaches," comparing the Bush approach with the Clinton years. Obama took a step toward honesty with the public in suggesting that we can make only an educated guess as to what strategy is likely to work. "In some ways," he said, "we've got some data on which approach is more likely to create jobs and opportunity for Americans."

Evidence, "data." That's not a modern American politician's way of framing a decision. Americans like it when their leaders (and their pundits) are completely sure of what they propose, totally convinced it will work.

Politics: Bad debate, good fundraising and jobs report for the president

Some people believe this is the inevitable way of politics. But it doesn't have to be.

In other countries facing great problems such as high unemployment and shrinking economies, these days, "difficult choices" and uncertain outcomes are the centerpiece of political discussions. Voters are treated as intelligent, responsible adults who have to decide what is the most promising of unpalatable options.

Friday's unemployment figures seemed to support Obama's belief in his economic approach. But they don't erase the uncertainty ahead. In the end, we have competing philosophies for facing a world where countless unexpected challenges are sure to emerge.

It's true. An appearance of self-assurance creates a reassuring aura of competence and charisma. It makes people feel better. People are drawn to those who seem most sure of their ideas. But being more certain does not make you more right.

True charisma and leadership require acknowledging the uncertainties, recognizing the gaps in our knowledge. In the view of presidential scholar Michael Beschloss, they require the courage to tell difficult truths, to make unpopular decisions, to work with people who have different beliefs.

Following the current definition, Romney proclaims with absolute conviction, as he did during Wednesday night's debate, that "the private market and individual responsibility always works best." And he promises to bring 12 million new jobs while guaranteeing without a hint of doubt that if he is not elected, life will get worse, prices will go up, incomes will come down, and American will become weaker.

Opinion: Will improving economy sink Romney?

Four years ago, Obama made promises that today sound just, well, sad.

After his 2008 win in the Iowa caucuses, he told his exhilarated supporters that he would put an end to years of partisan bitterness and pettiness in Washington. He would be the president who would bring "Democrats and Republicans together to get the job done."

As a candidate, Obama could draw a dreamy vision. He would bring red and blue states back together, close down the prison at Guantanamo, fight climate change and genocide. His election, he said, would "mark the moment when the rise of the oceans began to slow and our planet began to heal." He even vowed to "reboot America's image in the Muslim world."

Instead, he tackled much greater problems than he had expected even when he exaggerated his competence. The economy, the world, they all proved more complex than the black and white choices of the election. Unemployment is still high. He has made little headway on the environment. Republicans and Democrats remain at each other's throats, and people in Muslims countries are still not fond of America or its president.

In the first debate, candidates again avoided talking about the need to make difficult choices. The talk was of tax cuts, not tax ("revenue" is the euphemism) increases. There are other areas where the choices are difficult and unappealing in foreign and domestic policy.

Voters may feel placidly satisfied when the candidates avoid mentioning the dangers ahead or the hard truths. But beneath the wishful thinking, Americans know that the world is complicated, the economy is challenging, the choices difficult.

Opinion: Romney's demographic bind

A candidate who tells voters he is 100% certain that the choices are clear and his plans will work out is lying, deluded or foolish.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis asks, Will voters support a presidential candidate who tells the truth?

@highlight

Ghitis: The answer is obvious; voters demand perfect odds and simple solutions

@highlight

She says Obama recently said he has to feign total certainty in his decisions

@highlight

Ghitis: True charisma and leadership require acknowledging uncertainties