(CNN) -- On Sunday, Pope John Paul II and Pope John XXIII were canonized as saints of the Roman Catholic Church. This event clearly has intense significance for Catholics, but what about everyone else? Why should non-Catholics even care?

Both men are widely popular among the laity, and the ceremony drew an enormous crowd. Both men also have critics. Some conservative Catholics still work to roll back the reforms of the Second Vatican Council called forth by John XXIII. Many Catholics strongly critique John Paul II's centralizing tendencies and catastrophic response to all the sex abuse scandals.

For Catholics, however, saints don't have to be perfect. In fact, Catholics are inspired by the ability of saints to do good despite their human flaws. The process of canonization concentrates devotion on the best features of a historical person.

In 1903, long before John XXIII was elected Pope, he wrote about each saint being "holy in a different way." These differences enhance, rather than detract, the importance of saints.

So what might non-Catholics take away from this?

First, both saints offer a model of risk-taking based on a strong sense of moral purpose. Second, one could learn a lot about what's going on with the billion or so Catholics in the world today.

The dual canonizations, it turns out, symbolize an attempt to turn the church away from decades of infighting and turf wars and toward a mission for the common good.

David O'Hara, associate professor of philosophy of religion at Augustana College, said, "It should matter to us when our neighbors announce that they have designated new moral exemplars." If our neighbors tell us a new story about their ideals, heroes and models for their own lives, then "we have an interest in watching and even in helping our neighbors to tell that story in a way that is beneficial."

Beneficial -- but how?

Claire Noonan, vice president for Mission and Ministry at Dominican University in Illinois, suggested that we all might be inspired by their risk-taking. Both men, she said, "moved through the world discerning where, when and how to act without fear. The possibilities of their lives were not constricted by desires for wealth, power or honor. That freedom makes way for the pursuit of truth, justice and love." Noonan cites John Paul II's work against communist oppression in Poland and John XXIII's efforts to "free the entire church from the fear of modernism."

Nonbelievers can, if they choose, admire these examples of courage and action without believing that the two men have a special status in heaven or endorsing everything that they did. In that framework, the process of canonization crystallizes the memory of the two popes around their best deeds.

The canonizations, though, do more than provide strong examples of moral courage. They reveal something very important about the aspirations of Pope Francis for the role of the Catholic Church in the world.

According to Catholic belief, popes do not make people into saints; God does. Canonization, an all-too human practice, is the process of recognizing divinely given sanctity. As John Allen Jr. has written, ideally this is a deeply democratic process, with devotion to a holy person flowing upward from the laity to the hierarchy.

Canonization provides an opportunity to shape memory.

People become recognized as saints, in part, through storytelling, a topic I study as an historian of the Middle Ages. When we choose what stories to tell about a person, we reveal a lot about ourselves, our hopes and fears, the ways in which we might try to do better personally, and the kinds of changes we'd like to see in the world.

That's been true since the early centuries of Christianity, a period in which sainthood was generally bestowed by local and regional communities without any broader oversight from church authorities. If a group of people believed that someone was a saint, and they set up shrines, venerated relics, developed rituals and told stories about miracles -- then that person was a saint.

During the Middle Ages, the papacy asserted ever-increasing control over the process of who got to tell the stories of saints. While the vox populi still matters, next Sunday is Pope Francis' show. The symbolism of the twin canonizations is so powerful, in fact, that the editorial board of the New Catholic Reporter reacted to the announcement last July by declaring that truly "the pontificate of Francis has begun."

Robert Ellsberg, author of several popular books about saints, suggested that by linking the canonizations, Francis is trying to start a new narrative. Ellsberg said, "The internal Catholic cultural wars and polarization have increasingly embittered a lot of the internal life of the church. Overcoming some of those divisions and synthesizing some of the best and noblest features of these two popes by joining them, is a hopeful sign for anyone who is concerned about the future of humanity."

If the canonizations of Popes John XXIII and John Paul II can inspire more of us, as individuals, to find a moral purpose and take risks, our lives will be better for it.

If the canonizations can help lead the Catholic Church away from bitter division and toward taking powerful moral positions on the world stage, especially following Francis' focus on poverty and inequality, we'll all be better for it.

@highlight

Pope John Paul II and Pope John XXIII were canonized as saints

@highlight

David Perry: This is significant for Catholics, but non-Catholics should care too

@highlight

He says both men offer a model of risk-taking based on a strong sense of moral purpose

@highlight

Perry: Canonization is an attempt to turn the church away from decades of infighting