(CNN) -- Imagine a mother, ostracized and isolated for years because her son is mentally ill, suddenly receiving thousands of messages of support, thanking her for coming forward and calling her heroic.

That's what Stephanie Escamilla experienced after CNN Digital published my story and Evelio Contreras' video, "My son is mentally ill," so listen up.

The response has been overwhelming. Thousands of messages via e-mail, Twitter and Facebook have poured in -- from across America and from around the world, including Zimbabwe, the Netherlands and South Africa.

Many were from mothers fighting their private struggle with their own children, from fathers, from nurses, from psychiatrists. Others opened up their hearts, describing years of agony dealing with their own mental illness before stabilizing.

My inbox was flooded with supportive messages that were forwarded on to Stephanie. Many carried this message: Please know that it can get better.

"I can't thank you enough on behalf of all the mothers out there that deal with mentally ill children," one mom e-mailed. "I admire that woman so greatly for what she does and for the entire family allowing to share their story."

Legislation seeks to improve mental health system

Stephanie risked much in coming forward, especially the fear it could send her son in a downward spiral. One family doctor even objected to her doing so. But she felt that educating the nation about the struggles of raising a child with mental illness was worth it -- and that in so doing, her son could improve, too.

Her risk seems to have paid off.

Stephanie shared some of the messages sent to the family with her son, Daniel, who suffers from bipolar disorder with episodes of psychosis. His response astonished her: "Mom, I wanted to tell you that I finally can say that I accept myself for who I am," he said. "I am not my mental illness; I am me."

For Stephanie, that statement marked tremendous progress and underscored why she decided to speak out.

Her resolve has only intensified. The family has set up a website, SavingDaniel.com, for people to communicate with Stephanie and Daniel and seek help.

Stephanie hopes to create a foundation in the coming months to help change the stigma around mental illness. She also hopes to realize a longtime dream to speak to middle and high school students in San Antonio. Anything to better educate.

Mental illness in children: Where to turn

One woman messaged via Facebook that she had endured a similar struggle as Stephanie in raising her son, now a highly functioning 23-year-old. "My advice to the mom you interviewed: Be a bulldog on britches, never let go," wrote Marie Bond. "It will get better, I promise you that."

Readers also thanked us for our understanding and sensitivity in telling Stephanie and Daniel's story. Many parents raising mentally ill children said they wished they had the courage to tell their story like Stephanie.

On Twitter, I received hundreds of messages echoing @crosscutlureRVA's sentiment: "Thank you for telling her story. Represents so many stories around the country."

"This was a fantastic article, and I am heartened to see it published on CNN," Allison McKenzie said in an e-mail. "So many families and people are suffering under the incredible burden of dealing with mental illness, and it's particularly difficult when it involves children."

Many called the issue of mental illness the most important story of our time, yet one that is routinely ignored. They pointed out that children can now stay on their parents' health care plans until the age of 26, yet a mentally ill son or daughter can make all their own health care decisions when they turn 18 -- regardless of parental input.

That's resulted in our jails and prisons being filled with people with mental disorders, readers pointed out, and all too often our cemeteries, too.

"The problem no one seems to address is when these kids turn 18, we as parents no longer have control," e-mailed Mia St. John, a world champion boxer who cares for her mentally ill son. "The parents will tell the same the story: There was nothing we could do or our hands were tied. I have been fighting the system for years and nothing will change until we are granted rights to help our sick children."

Wendy Sefcik knows the pain of losing a child to mental illness.

"On December 1, 2010, my intelligent, outgoing, athletic 16-year-old-son T.J. died by suicide," she wrote. "T.J. battled depression, but was a master at hiding his struggle. Since losing my son, I have tried to learn everything I can about depression and other mood disorders. I was shocked to find out how many people battle mood disorders and how difficult it is to get treatment."

Sefcik emphasized another key point: Mental illness affects rich and poor alike. The Sefciks had money and resources, yet it wasn't enough.

The most poignant outpouring came from those who could relate to Daniel. They shared very private struggles. Most asked not to be identified, but said they wanted Daniel to know there was hope.

"I have a history of mental illness too, but am successfully functioning with medicine and years of support," one reader wrote in an e-mail. "I celebrate all the parents and professionals who quietly, bravely fight for the sick ones. They suffer when they help, but we all suffer if we don't help.

"Stephanie and Daniel are my heroes. I pray that we will be stronger and more compassionate after reading their story."

One of the most touching messages came from a mother who said her 9-year-old son was hospitalized last year for 16 days for delusions, depression, anxiety and suicidal thoughts.

"I have learned a lot since then about his illness, and even more the startling lack of available mental health resources and treatment options, even in a large city," the mom wrote.

The mother asked not to be identified, but she said Stephanie and Daniel's story inspired her to put into words what she has been through. She wrote this poem, titled Cherry 784, that she said could be shared with others:

Cherry 784

We hid the knives
But you really only wanted
To fall from your window

Nine years is enough
I've had a good life
You told me during a visit
The one where you still weren't sure
If I was really your mom

We played basketball in the dayroom
And snuggled on worn bean bag chairs
With our shoes off and our hopes high
That the next day you'd come home

I took weary walks between visiting hours
Through corridors, concrete walkways
And parking decks in the August swell
Texting 1A, 4C, 3D to myself
Digital bread crumbs
For the evening return

The contraband I carry
Fits in an empty locker
Lift the phone
Speak the code
Cherry 784
Hold for the buzz
Open one door
Wait for it to close
So the other will open

You, always on the other side, anxiously waiting
Reminding me I was 2 minutes late
(As if I didn't know)
And squeezing the remaining breath from my lungs
With your little boy hugs

I brought you fresh fruit in labeled cups
Cantaloupe, grapes, oranges, and pineapple chunks
The scent embedded in my flesh from cutting
Something sweet for you, my love
My baby
My boy
My son

@highlight

San Antonio woman and her son shared their journey with mental illness

@highlight

Readers responded to story and video with messages of support and compassion

@highlight

Thousands of emails, tweets and Facebook posts have poured in

@highlight

Her son's reaction to readers' messages surprised his mom -- and gave her hope