(CNN) -- The emergence of Kickstarter, the leader in the newish field of online crowd-funding, has been a paradigm-shifting boon for artists and other creators looking for a new way to bankroll projects that might otherwise never have happened.

But as the popularity of the site, and others like Indiegogo, increases, users have been asking: What happens when I donate to a project but then the recipient never follows through?

This week, the site said that while that rarely happens, there's not much they can do about it when it does.

"Kickstarter does not investigate a creator's ability to complete their project," a team of Kickstarter's top officers said in a blog post. "Backers ultimately decide the validity and worthiness of a project by whether they decide to fund it."

The Tuesday post came in response to an NPR piece that highlighted the site's inability to guarantee that users will deliver on their promises.

The site does review projects before publishing them online, but only to insure that they meet Kickstarter's guidelines.

Kickstarter says more than 2 million donors have funded nearly 30,000 projects since 2009. The site requires projects have a clear goal (a specific product as opposed to, say, starting a business), fit into one of the site's mainly arts-related categories and not fall into its broadly defined "prohibited content" clause. (This being the Internet, we're presuming they're mostly taking about porn).

The bottom line, Kickstarter says, is that the donor needs to weigh the reliability and honesty of the person they are pledging money to, as well as their ability to deliver what's promised.

The site began as a haven for independent artists seeking help to make a dream a reality -- be it an independent film, CD release, book, play or video game. But as its popularity grew, many Kickstarter campaigns began to resemble business transactions more than creators looking for a helping hand.

In August, a project to build an open-source gaming console raised $8.6 million. Penny Arcade, an already successful webcomic, raised more than a half-million dollars to make its site ad-free. The Pebble, a watch that works with Apple and Android operating systems, was pledged more than $10.2 million.

While projects like those do fall under Kickstarter's guidelines, they've helped create situations in which donors think of themselves more as customers than helpers, and the "gifts" they get for donating as merchandise they're owed.

David Barnett was featured in the NPR piece. His project, the PopSockets iPhone case, was successfully funded in February.

Nearly seven months later, no cases have been shipped after a string of complications. He says he's given refunds to several backers who asked for them, but still plans to complete production. Barnett, to his credit, has actively worked to explain what's going on. The responses he's gotten from backers on the campaign's page shows the split in the mindset of those who gave.

"I think this should be a lesson for any other Kickstarter project you do ...," wrote backer Aseem Kishore on his project's page. "I've backed a lot of Kickstarter projects and every one of them has delivered except this one. Not happy."

Others, however, were taking the delay in stride, saying they know that's sometimes the nature of backing startups.

"Though my financial backing was minimal, my personal support was, and is strong," a backer named Kayte Fulton wrote in the same thread. "I believe I speak for many of your supporters when I say, keep us in the loop, your product is cool and versatile, and who knows what opportunities await!"

That's the attitude Kickstarter wants to encourage, even as it warns users to carefully consider before donating.

"The number of creative projects that have been funded and produced on Kickstarter in the past three years is enormous. Many could not exist otherwise," reads the blog post. "But of course not every project goes perfectly. Delays do occur, especially with more complicated projects. Some creators get in over their heads dealing with processes that are new to them.

"Most backers support projects because they want to see something happen and they'd like to be a part of it. Creators who are honest and transparent will usually find backers to be understanding."

@highlight

Kickstarter urges users to choose wisely

@highlight

Most funded projects on the site are realized, but some hit complications

@highlight

With site's growth, some campaigns feel more like business transactions

@highlight

Kickstarter: "Not every project goes perfectly"