(CNN) -- Health care experts recently gathered at the Centers for Disease Control and Prevention in Atlanta to discuss the public health crisis of hepatitis C, which is ravaging communities across America, and the budding hope that we may soon be able to eliminate it with a prescription medicine called Sovaldi.

Hepatitis C, a chronic, potentially fatal liver disease, afflicts more than 3 million Americans. Solving the hepatitis C epidemic is a goal we should all embrace, which is why health plans are hard at work identifying at-risk patients so they can be screened and receive necessary treatment.

Sovaldi, the brand name for sofosbuvir, holds remarkable promise. But the manufacturer of this drug, Gilead Sciences, has created an enormous obstacle that is straining our health care system: its eye-popping price.

At $1,000 per pill, Sovaldi costs $84,000 for a single course of treatment, and well over $100,000 when combined with other medications, as is generally the case. If every person with hepatitis C were treated with Sovaldi alone at this price, the cost would be more than $268 billion. For some perspective, consider that in 2012, the United States spent $263 billion for all prescription drugs.

This pricing, which Gilead attempts to justify as the cost of medical advancement, will have a tsunami effect across our entire health care system. Because the cost of health insurance is fundamentally a reflection of the price of health care services, the excessive price of Sovaldi unavoidably puts upward pressure on premiums for everyone with private coverage. It will also strain state Medicaid and Department of Veterans Affairs programs.

A recent analysis found that senior citizens on Medicare Part D could see premiums as much as 8% higher next year because of the price of this one drug. And it's been projected that California's Medicaid spending on Sovaldi and the accompanying drugs could potentially outpace what the state spends in a year on K-12 and secondary education combined.

High-priced drugs are not a new phenomenon. Drug makers have long used monopolies to inflate prices. But the trend with so-called specialty drugs is a game changer. Startling as the price of Sovaldi is, it's just the canary in the coal mine.

More and more specialty drugs are coming on the market, with tremendous promise to save and improve lives but also with exorbitant price tags. Although these specialty drugs only account for 1% of the prescription drugs in this country, they already represent 25% of the total cost, on the way to 50%.

Until now, policymakers and stakeholders have looked the other way as specialty drug prices have gone higher and higher. In fact, any discussion of price has been quashed as an assault on innovation.

But asking for a blank check in the name of innovation won't work anymore. Not when it stands in the way of solving a public health crisis. Not when it threatens state Medicaid budgets and the success of Medicare Part D, and not when the pricing threatens the very innovation that is giving so many hope.

Opinion: Hepatitis drugs save money in long run

We cannot have sustainable medical innovation in America without prices that the health care system can sustain. Just think, could we have eradicated polio or smallpox if the treatments were priced like hepatitis C?

Today's public health challenge is to find a balance that rewards research and development and brings breakthroughs to patients, without upending family budgets, employer benefit systems and crucial public programs. That's going to require an end to the sky's-the-limit pricing that threatens the progress we all want.

Now is the time for stakeholders to begin the process of working together to meet this challenge.

@highlight

Karen Ignagni: A new drug holds hope in eliminating epidemic of hepatitis C in U.S.

@highlight

Ignagni: But drug costs outrageous $1,000 per pill, or $84,000 for entire treatment

@highlight

She warns cost will raise premiums and prices all across the heath care spectrum

@highlight

Ignagni: Drug makers must stop trend of charging astronomical prices that hurt us all