(CNN) -- On Thursday, the "Fight for $15" enters a new phase, with strikes and demonstrations at fast-food restaurants not only in up to 150 cities across the United States but also in about 30 nations across the globe.

Fast-food workers can already claim their first major victory right here at home.

Recently, Seattle Mayor Ed Murray announced a plan to gradually lift the city's minimum wage to $15. As a result, 100,000 workers in the city -- including nearly every fast-food worker -- will get a raise.

From a worker's point of view, the agreement, expected to be passed by the City Council in coming weeks, is not perfect. Businesses with as many as 500 employees, for example, will have until 2019 to guarantee their workers $15 an hour in total compensation, and until 2021 to pay a full $15 in hourly wages. No doubt some businesses within this category could sustain a faster increase.

Nor does the agreement mean that fast-food and other workers will be able to freely form a union at their workplaces, a critical step in solidifying wage gains made through policy and guaranteeing other core benefits such as fair work schedules and sick leave.

But this should not detract from what Seattle's workers and their advocates have accomplished -- thanks in large part to the fast-food worker strikes and the groundswell of local support it generated.

Check out the minimum wage in your state

To date, the corporate leaders of the U.S. Chamber of Commerce and the National Restaurant Association -- McDonald's, Burger King and Wendy's among them -- have greeted every proposal for a minimum wage of even $10 with dire predictions of economic chaos and a fusillade of lobbying cash to squash them.

But businesses have never had uniform views on wages. Polling by the Small Business Majority reveals that 57% of small businesses support raising the minimum wage.

Thousands of Main Street businesses -- and larger firms -- voluntarily choose to pay their workers more because it lowers employee turnover, improves performance and generates spending in their own stores.

These fissures in the business community have become open cracks in Seattle.

Although Maud Daudon, president of the Seattle Metropolitan Chamber of Commerce, was one of only three members of the mayor's Advisory Committee on income equality not to vote for the wage agreement, 10 other business leaders on the committee did. The businesses these individuals represent span companies as large as Fortune 300 member Nucor Steel and as modest as Tutta Bella, a local pizzeria.

Undoubtedly, some business representatives on the mayor's advisory group are backing a $15 wage out of pragmatism rather than principle. Seattle worker groups and advocates are well-organized and enjoy the support of the mayor, the entire City Council and most Seattle residents; better to participate and be able to shape the final contours of the inevitable wage increase than oppose the process entirely.

Nevertheless, businesses aren't charities, as conservatives like to say, and so the fact that a spectrum of Seattle businesses have signed off on a $15 minimum wage undercuts opponents' predictions of business closures and mass layoffs -- for if that were the inevitable result of the increase, why would Seattle's businesses swallow such a pill voluntarily?

Real-life wage increases in other cities show that Seattle's businesses are in fact being quite rational. The San Jose Downtown Association reports that in the year since San Jose raised its minimum wage, business has grown by 3% -- about 10,000 new businesses were registered -- unemployment has dropped from 7.6% to 6.3%, and the cost of enforcing the new wage has been negligible.

And if Seattle can sustain $15, why not other cities?

Movements are afoot in San Francisco, Oakland, Los Angeles, San Diego, Chicago, New York and Washington to raise those cities' minimum wages well above the $10.10 mark that congressional Democrats and President Barack Obama are pushing nationally. Opponents of wage increases will be quick to paint Seattle as an outlier, but business conditions in all of these cities -- and many others -- are comparable enough to Seattle that there is no reason why they can't absorb a similarly gradual increase to $15.

See who the May 15 protesters are

In the end, the outcome in Seattle demonstrates what history has proved time and time again: When workers are well-organized and there is broad support for higher wages, even businesses that resist the idea are ultimately forced to pay more -- and they adjust.

After experiencing years of wage stagnation while the wealthiest make money hand over fist, middle and working class Americans are rightfully insisting on a larger share of the nation's prosperity.

In years past, the corporate establishment may have been able to subdue this agitation with references to "job creators" and patronizing warnings against "hurting those you want to help."

But Americans -- low-wage workers, middle class families and even many business owners -- have had enough. The movement to create a decent life and a truly sustainable economy for us all can no longer be stifled.

Look out: The wall of resistance to a $15 an hour minimum wage has been breached -- and the flood is coming to your city, too.

@highlight

Fast-food and low wage workers in up to 150 U.S. cities, 30 nations will protest Thursday

@highlight

Seattle's mayor introduced plan to gradually lift the city's minimum wage to $15

@highlight

Writers: Corporations fight any increase, but many businesses agree with hike in wage

@highlight

It has worked in other cities, they say; wage will be raised and businesses will adjust