(CNN) -- On Wednesday, angry residents of West Point, one of the poorest slums of Liberia, clashed with police when they discovered that the government has quarantined the entire area in an effort to contain the spread of Ebola. This comes on the heels of another incident at West Point a few days ago, when people attacked an Ebola clinic, releasing patients and taking bedding and other items. When the international community heard about the incident, it could not understand such reckless behavior in the face of a deadly outbreak. But living here in Liberia, we understand.

Through my work as a peace activist during the wars of the 1990s and early 2000s, and now as an organizer with communities throughout Liberia, I know how skeptical Liberians feel toward the government and international aid, given prior bad experiences.

The majority of citizens do not trust the government, which they view as corrupt, so they could not believe the whole story about Ebola when it started being told. A friend of mine said, for example, "Ellen Johnson Sirleaf (president of Liberia) and her minister of health want to pocket money, so they have come up with a new tactics to collect money and share."

As the months went by, many radio talk show hosts led discussions about Ebola. People from all walks of life in Liberia still denied the existence of Ebola, including many at the waterside, one of the biggest markets in Monrovia, the capital. When I spoke about Ebola, people accused me of working for the government, which was bad enough. But when I showed them my work ID, I made the matter even worse. They said that I work for an American non-governmental organization, and we all are supporters of Ma Ellen and can't see the wrong she is doing.

Now, too late, everyone is talking about the invisible enemy -- the one you cannot see. I remember during the war days in Liberia, you could get news of where the enemies were coming from and take cover either in the bushes or some other hiding place.

But the Ebola virus is different. I have extended family members who have died from the virus or been quarantined for observation and testing. It is overwhelming to hear of people whom you have spoken to in the past six weeks, who are now dead from a disease that could have been prevented.

9 things to know about Ebola

Liberians are social and community-oriented. We greet people with handshakes and hugs, eat together using one bowl, sleep together in one bed and bathe dead bodies to honor them.

Some people are trying to put aside these cultural practices to save lives. I have noticed that a few people have started to wear gloves and long-sleeve shirts. Many businesses and homes have buckets with water and bleach for people entering and coming out to wash their hands.

A colleague of mine called and told me about a health administrator whose mother had contracted the Ebola virus. The administrator took his mother to the hospital in Tubmanburg, capital of Bomi County, where my colleague works as a nurse and social worker for people living with HIV/AIDS.

My colleague told me that the administrator was in complete denial that his mother had contracted the virus. He broke all the rules that the hospital had put in place: no visitors for people who have shown signs and symptoms of Ebola. Every day, he brought a new family member to visit his sick mother. In the end, his mother died, he died, and so did all seven family members he brought to the hospital to visit.

Another day has come, and I got a call from a friend who is a social worker in one of the closed government hospitals in western Liberia. She said families that have been quarantined in some communities do not have basic food supplies and other items they need. Even though they are not showing symptoms at the moment, they go out to fetch water and food. They go to faraway markets and hand-pump water and do not tell others that they have been quarantined for fear of stigma. Another colleague says she took food and water to an Ebola quarantine, but she was turned down and told that no food or drinks were allowed.

Ebola facility in Liberia attacked; patients flee

People are scared for a reason: Liberia's infrastructure cannot cope with Ebola. With poor health facilities and a low number of health workers, it's obvious that the government needed help months ago.

Heath centers are filled with suspected and actual Ebola cases. But the call centers, set up for people wanting help treating Ebola victims, do not answer. This has led to people dumping dead bodies on the streets. Some patients who showed symptoms were abandoned or fled to unknown locations.

Tracing people who have come in contact with sick Ebola patients is a huge task for the Ministry of Health. It has become very difficult to trace people who have moved from one community to another, making it tougher to contain the spread of the virus.

The Ebola crisis is making many people think about what kind of health policies we have in place. Do we need to develop new ones? Every part of Liberia has been affected: the economy, politics, social and religious life. The economy seems to be dying slowly. Employees from large companies have left Liberia, as have staff members of international non-governmental organizations. The biggest iron ore company in Liberia has sent its experts out of the country.

After a decade of international aid to Liberia and the emergence of a democratic government, what are we left with? Liberia is not strong as it could be. Liberia is suffering during this terrible Ebola outbreak. We need help.

@highlight

On Wednesday, protesters clashed with police over mass quarantine in Liberia

@highlight

Cerue Garlo: People are angry and scared; infrastructure is struggling

@highlight

She says some of her extended family members have died from the Ebola disease

@highlight

Garlo: Liberia is suffering during this terrible Ebola outbreak and needs help