(CNN)The suspected Islamist terrorists who had a shootout with police on Thursday in Verviers, Belgium, have ties to ISIS-linked cells in other European countries, a senior Belgian counterterrorism source told CNN on Friday.

The two suspects who died in the shootout are believed to have fought with ISIS in Syria, the source said. Another man was captured but hasn't revealed any information.

There also was a dire warning: Not all the terrorists in the cell have been rounded up, according to the source. Belgian police have taken out part of the terror network plotting an attack in Belgium, but they have not yet taken down every component of it, the source said. There is fear others may try to avenge the two men.

Authorities investigating the aftermath of the raid in which the men were killed found materials used to make bombs, including chemicals for the powerful explosive TATP, but the suspected terrorists had yet to assemble those weapons. They also had grenades.

Cell members had discussed attacking police in wiretapped phone conversations, but Belgian investigators still did not know what they were intending to target for sure, the source said.  The discovery of police uniforms after the raid suggested the possibility they may have been trying to gain access to sensitive sites.

The source characterized the cell as one with organized structures, a logistical support network and links back to Syria and Iraq.

Belgium is one of the nations participating in airstrikes in Iraq, and officials are concerned this plot is ISIS "pivoting" to launch attacks on the European countries involved in the military action against their troops in Iraq.

"I think one of the things that's happening is we're seeing something that's surprising me. That is the pivot of ISIS," Philip Mudd. a former CIA counterterrorism official and a CNN analyst, said. "Just last summer, we were talking about how quickly ISIS was taking over geography. For a terrorist group to turn around in six or eight months and start training people for operations in Europe is remarkable."

In the raid in Verviers, a city of about 56,000 people, police approached three suspects as they carried large duffel bags outside of a former bakery that might have been their lair, a Western intelligence source told CNN.

The suspects immediately opened fire with multiple weapons, prosecutors' spokesman Thierry Werts said. Police returned fire; two gunmen were killed and another was arrested, federal prosecutor Eric van der  Sypt said.

That raid turned up four Kalashnikovs, handguns, bomb-making materials and police uniforms, van der Sypt said.

Van der Sypt refused to name the two killed in Verviers, but said "we have a pretty good idea" who they were.

Answering reporters' questions, the prosecutor would not comment on reported plans by the suspects to abduct or behead any victims.

The Belgian counterterrorism source said Belgian authorities had asked the CIA for help in finding the director of the plot, a Belgian who was in Greece. Neither the CIA nor Greek officials were able to locate the man. He is described as a key link to ISIS in Syria for the terror cell and once fought there.

The two men killed in the shootout were among more than a dozen people rounded up in across-the-country raids designed to stop a group's allegedly imminent attack -- a plot to kill Belgian police in streets and stations --   van der Sypt said earlier Friday.

The alleged plotters -- including the two people killed Thursday night in a battle with police in Verviers -- were confronted in 12 raids across Belgium from Thursday into Friday, Sypt said.

"Could have been hours, certainly no more than a day or two" before terror attacks were to begin throughout Belgium, van der Sypt told reporters of the alleged plot.

Besides the two killed, 17 have been arrested in the investigation -- 13 in the Belgium raids and four others in France, including two who were detained while trying to cross from France into Italy, van der Sypt's office said.

Investigators haven't found any links between the alleged Belgium plot and last week's Islamist terror attacks that killed 17 people in Paris, the prosecutor said. But the Belgium raids come amid fears of ongoing terror threats in Europe -- as many as 20 terror cells with 120 to 180 people may be ready to strike in France, Germany, Belgium and the Netherlands, a Western intelligence source told CNN.

Thursday night's raids were a dramatic culmination in a chain of Belgian police investigations into an alleged terror cell that included people who had fought in Syria, van der Sypt said.

The U.S. intelligence community knew for weeks of the plot in Belgium and was sharing critical information with Belgian authorities, several U.S. officials told CNN.

The officials wouldn't say precisely what they knew, how much they knew, and when they knew it. There is concern those details could signal other militants planning other potential attacks.

One  U.S. official told CNN's Barbara Starr the entire "developing plot was being monitored and watched."

The official said, "We were aware. We were tracking this," and added, "'There is a high probability other attacks were being planned" before the plots were disrupted by the raids.

A European security source told CNN that Belgian authorities arrested two men returning from Syria over the weekend and interrogated them, then decided to act quickly. The United States was aware of the timing of the Belgian moves, U.S. officials said.

Verviers is a little off the beaten path in eastern Belgium, the last stop before open fields and forest. Like many European towns, it's densely built. People live close together.

The whole city must have heard the explosions and the gunfight, according to resident Frederic Hausman.

"I can hear it. Everybody can hear it," he said. "In this little city, everybody heard the sound." From his window, he could see police firing assault rifles at a nearby house.

Hausman recorded the assault on the house and posted it on YouTube.

The two who were killed were of North African descent, the Western intelligence source said.

Verviers is home to many people with Moroccan roots, according to a study by the nearby University of Liege. Immigrants make up more than 11% of the population, with the largest contingent from other European countries. Moroccans are the next-largest group.

Verviers is about 69 miles (111 kilometers) east-southeast of Brussels and 200 miles (322 kilometers) northeast of Paris.

The raids came as authorities monitored people returning from Syria, said Werts, the prosecutors' spokesman.

Police had arrested, questioned and searched Neetin Karasular, a Belgian suspected arms dealer allegedly aligned with ISIS and suspected of providing weapons to Amedy Coulibaly, the man who attacked a Paris kosher supermarket.

Karasular knew Coulibaly's wife, Hayat Boumeddiene, who is also a terror suspect in France. Karasular's lawyer Michel Bouchat said his client was facing local firearms charges and had no connection with any jihadi groups or terror plans.

In the process, police turned up names that solidified their suspicions about known persons, the Western intelligence source said.

Last weekend, they arrested two more men at the Charleroi airport -- as they returned from Syria -- squeezed them for information then decided to act quickly, the source said.

"The investigation made it possible to determine that the group was about to carry out major terrorist attacks in Belgium imminently," Belgian prosecutor spokesman Werts said.

Authorities believed the suspects in Thursday's gun battle had been providing documents and weapons to men returning from Syria, the intelligence source said. A senior Belgian counterterrorism official told CNN that the alleged terror cell is believed to have received instructions from ISIS.

Belgium is putting 150 troops on standby for deployment in light of the increase in the country's terror threat level, Belgian Interior Minister Jan Jambon said Friday. It has not been determined where they will be deployed, he said.

The threat level will stay at three (with four being the highest) for one month, Prime Minister Charles Michel told CNN affiliate RTL. "It is a way to mobilize all forces to raise security," added.

In France, police also made at least 12 arrests Friday in the probe of last week's slayings of 17 people.

Additionally, two people suspected of involvement with the alleged Verviers suspects were detained while trying to cross from France into Italy through the Frejus tunnel, a spokesman for Belgium's federal prosecutor's office said Friday.

Belgium is asking France to extradite those two, said the spokesman, who would not disclose the suspects' names or nationalities.

In neighboring Germany, police in at least two cities arrested men they accuse of supporting jihadis in Syria. These suspects did not appear to be planning homegrown attacks, German authorities said.

The fear of terror was already high in Western Europe after the bloodbaths in France that followed multiple threats of attacks from ISIS -- the Islamist group fighting to establish what it calls its Islamic caliphate in Iraq and Syria -- and al Qaeda in the Arabian Peninsula. AQAP has claimed responsibility for the Paris slayings.

Men claiming to be ISIS terrorists and speaking French promised new attacks in France, Belgium, Germany and Switzerland, in an online video found on Thursday. ISIS has said it would lash out at European countries participating in bombardments in the Middle East.

More than 3,000 Europeans have left to fight in Syria in recent years. Authorities have long warned that those fighters could return and carry out attacks at home.

British intelligence has also warned another Islamist group in Syria was planning "mass casualty attacks against the West," an apparent reference to the Khorasan group.

The Belgian raids came against the background of a terror trial of dozens of men suspected of recruiting jihadists or trying to go to Syria to fight. An Antwerp court was to return verdict this week but postponed it due to the Paris attacks.

CNN's Mariano Castillo, Richard Greene, Margot Haddad, Catherine E. Shoichet, Dheepthika Laurent and Jim Sciutto contributed to this report.

@highlight

Officials believe this is a new strategy from ISIS to organize attacks on nations in airstrike coalition

@highlight

Counterterrorism official tells CNN that terrorists killed in Belgium raid had ties to ISIS

@highlight

U.S. sources tell CNN that they knew of planned attacks and shared information with Belgians