(CNN) -- On Wednesday, millions of Americans visiting their favorite websites will encounter the same dreaded image: the spinning wheel of death. This is the symbol of the great "Internet Slowdown" -- a coordinated day of action among hundreds of organizers and some of the world's largest tech firms, including Netflix, Twitter, Etsy, Kickstarter, Mozilla, Foursquare, Reddit, and WordPress. Together they are showing the American public what most of the Internet would look like in a world without "net neutrality." In a word: slow.

These spinning wheels of death foreshadow a future that could be right around the corner. If the Federal Communications Commission adopts its proposed rules, Internet service providers like Comcast or Verizon will be allowed to provide "fast lanes" to websites and services that pay, and slow lanes to the rest. This means that it will be harder for Americans to access those sites that can't afford to pay fees -- including those of new businesses, nonprofits, educators, artists, activists, and faith groups. The result? Startup innovation, free expression, and democratic discourse in America will suffer.

The good news is that it's not too late to save the Internet as we know it. The FCC is legally obligated to listen to the American people before adopting its rules. The deadline for submitting comments is September 15, so this is our chance to speak up.

There is much at stake. The FCC's proposed rules threaten our ability to access the applications, content, and services of our choice -- the very principle behind "net neutrality," the idea that high-speed Internet providers should treat all types of Web content equally.

Net neutrality explained

Companies that provide gateways to the Internet shouldn't interfere with our ability to access what we want online, whether through blocking, discrimination, or giving better service to those who can pay. The FCC's current proposal would allow them to do just that. This means that we could encounter the spinning wheel of death on any site that can't afford to pay.

"Slow lanes" spell doom for innovation. On the Internet, the costs of innovation are incredibly low, and entrepreneurs don't need massive upfront funding or permission to pursue their ideas. The proposed rules would change that. If established companies can pay so that their content loads faster or does not count against users' monthly bandwidth caps, then that student working on a bright idea in a dorm room doesn't have a chance to compete.

Many of today's popular applications -- Google, Facebook, Skype, or eBay -- were developed by innovators with little or no outside funding. In a world where such innovations are stuck in the slow lane, they would have never seen the light of day.

Innovation isn't the only thing that will suffer. Today, the open Internet is also a space where all Americans, no matter the color of their skin or size of their wallets, have an equal opportunity to express themselves, organize politically, and connect with one another. Under the new rules, it will be harder to hear those who can't pay -- educators, nonprofits, activists, writers, independent filmmakers and musicians. If Internet service providers have the power to block, discriminate or charge access fees, we risk losing this critical space for democratic discourse, political action, and creative expression.

According to FCC Chairman Tom Wheeler, the FCC doesn't need to ban access fees to prevent this from happening. Instead, the chairman proposes regulating the quality of Internet service to make sure that the slow lane is not too slow. If the slow lane is good enough, he argues, those who can't pay can still get to their users and have a chance to compete.

But it's not the quality of the slow lane that is the problem; it's that there IS a faster lane that provides a better experience. According to research, increasing load times by as little as 100 milliseconds reduces the amount of time people spend on a site, how much they buy, and whether they come back.

Thus, under the FCC's proposal, those who can't pay to be in the faster lane will have fewer users or readers, fewer sales, and less advertising revenue. This problem affects every application, website and service, not just delay-sensitive applications like online video. Improving the quality of the slower lane does not remove that problem. We are still stuck with the quality differential between paying and nonpaying applications.

So what should we do? We should ask the FCC to throw out the current proposal and instead adopt strong rules that do not allow Internet service providers to block or discriminate or charge access fees.

Such rules exist. In 2010, the FCC adopted Open Internet Rules that weren't perfect, but a step in the right direction. A federal court struck down those rules this year on a technicality: The FCC adopted them under the wrong authority. According to the court, a ban on access fees can only be imposed on entities that -- unlike Internet service providers -- have been classified as common carriers under Title II of the Communications Act.

The solution is simple. The FCC needs to reclassify Internet service providers as "common carriers" and enact the network neutrality rules we need under Title II of the Communications Act.

Wednesday's "Internet Slowdown" is a glimpse into the future, but we have the power to avoid that fate. More than 1.2 million comments are already filed with the FCC. People who care about the open Internet are calling on Congress and the White House to stand with them. We should join them. As long as the Internet is an open and equal space, we have a voice. Let's not squander the moment.

@highlight

Writer: Some tech firms will participate in Internet slowdown Wednesday to send message

@highlight

If FCC lets Net providers give "fast lanes" to sites that pay, innovation suffers, she says

@highlight

Such rules favor deep-pocketed established companies, not scrappy new ones, she says

@highlight

Writer: Ask FCC to reject proposal, set rules that prevent providers from discriminating