(CNN)Whether they're hanging inside prestigious art hotspots, such as the Museum of Modern Art in New York, or in the houses of Elton John and Richard Branson, the thought-provoking creations of Kudzanai Chiurai have captivated audiences across the world.

Aged just 31, Zimbabwean-born Chiurai is one of the fastest-rising talents in the contemporary African art scene.

His arresting body of work is increasingly defined by the use of mixed media, as Chiurai combines paintings and drawings with videos and photographs to address issues such as democracy and xenophobia.

But for some, Chiurai is much more than an artist. He has been described as a poet, an activist and a cultural philosopher who uses his striking -- and at times dark -- creations to tackle the political and social issues that are close to his heart.

"You can't escape politics," explains Chiurai, who lives and works in South Africa. "Everything's political in the sense like how we're socialized."

Read more: Africa's answer to the New Yorker

A trained painter, Chiurai was the first black student to graduate with a Bachelor's degree in fine art from South Africa's University of Pretoria.

He started his career painting landscapes and portraits but his activism soon started appearing in his work. He stirred up controversy during the build-up to Zimbabwe's violent and disputed 2008 elections with a series of controversial depictions of president Robert Mugabe.

Chiurai's posters, which showed Mugabe in flames with horns on his head, raised the ire of Zimbabwe's ruling elite and got Chiurai into trouble. The young artist says he was threatened with arrest and has been living in self-imposed exile ever since.

Although he knew the implications of criticizing one of Africa's most feared strongmen, Chiurai remained unfazed. He describes the hardships that many of his countrymen were suffering amid a deepening economic crisis in the once-prosperous southern African country.

"Art has always played an important role in telling these stories," he explains. "Whether it's through painting or posters; whether it mirrors a thought or it mirrors an idea; whether it mirrors a conversation that should be had. I thought that, in that instance, it was possible to do that in one image."

The series of posters galvanized Zimbabweans living in South Africa to speak out against what was happening in their country.

Inspired by British street artist Banksy, Chiurai also used stencils and spray paint to create outdoor murals depicting the fear of elections in Zimbabwe and xenophobic attacks in South Africa.

Read more: Graffiti art targets Kenyan 'vultures'

Chiurai's work about the political situation in Zimbabwe turned him into a poster boy for the country's new struggle, while some compared him to Chinese artist Ai Weiwei for daring to stand up his country's leadership.

"With every generation you always want to be the generation that contributed something," he says. "I always say if there's a vacancy in history, you should apply for it ... So for me it was that -- the poster boy thing sort of came as a result of that but then for me it was like I wanted to do something, I thought that was important."

But the recent defacing of a controversial painting of South African president Jacob Zuma and violent demonstrations in Tunisia over what some have branded religiously offensive art have many questioning whether artistic expression is being suppressed in parts of the continent.

Chiurai sees it as the re-emergence of artistic activism. He says that this is something the world needs more of.

"It is very important for the average person to have a voice out there," he says. "So it's more important now than ever."

Chiurai's latest installation, "Conflict Resolution," is currently being shown in one of the world's most esteemed art displays: the Documenta 13 in Kassel, Germany.

For "Conflict Resolution," he combined a series of narrative mediums to make art accessible to a new generation of Africans -- a group he says no one tries to talk to.

"We're almost kind of left to our own devices and we're raised by YouTube, or we're raised by DStv" he says. "They are like our pseudo family, these sort of multimedia spaces, like bloggers have become brothers and sisters to random people."

Through his art, Chiurai says, he wants to spark a conversation with the youth of the continent.

"Being able to find a way to communicate with people -- and beyond just writing within a blog space or within live TV -- if it's in some way engaging to them, I think you have sort of started a conversation with them because it's within a language they understand. So it makes the communication easier."

Being born a year after Zimbabwe's independence, Chiurai is part of what is known as the "Born-Free generation" on the African continent. He says that some young Africans are beginning to realize the influence and power they hold.

"They underestimate their capabilities and abilities to be able participants in change and the direction of politics," he says. "Some are starting to see that and acknowledge that. We are in a position where we can change or contribute something. We are in a position where, as a 'Born-Free generation,' we won't be forgotten."

Teo Kermeliotis contributed to this report.

@highlight

Kudzanai Chiurai is an internationally recognized artist from Zimbabwe

@highlight

He uses mixed media to address issues such as democracy and xenophobia

@highlight

Chiurai has also been described as an activist and cultural philosopher