(CNN)Whenever someone starts talking about the "good ol' days" of air travel, remind them about eating at old school airports.

Back then, a meal at the airport meant horsing down a candy bar from the gift shop and wrestling with a vending machine for a can of soda.

Nowadays, large, medium and even some smaller airports provide legitimately good restaurants, with enough interesting offerings and atmosphere to make that three-hour layover just a little less hellish.

There's still room for culinary upgrades -- as noted below, some airports haven't yet figured out that sitting on planes makes us hungry and irritable -- but the best places to eat in the country's busiest airports (ranked by passenger traffic, per FAA statistics) generally range from good to great.

20. Honolulu International (HNL)

What Hawaii offers in fun and sun, its marquee airport lacks in decent food options.

Your best bet: Eat before you hit the road.

If you must eat at HNL, opt for a sit-down meal at Stinger Ray's; it's the only place with a restaurant-like feel to it. Hard to go wrong with the nachos or pulled pork sandwich.

5 healthy eating tips for travelers

19. Seattle-Tacoma International (SEA)

Anthony's Restaurant started as a single seafood joint in 1969. Now the company consists of 22 locations and a private fleet of fishermen.

Each location -- yes, even the one in the Central Terminal -- serves seasonal Pacific seafood and shellfish from the Northwest, Alaska and Hawaii. The mountain blackberry cobbler is an addictive Cinnabon alternative.

18. Fort Lauderdale International (FLL)

The Food Network finally cooked up the most obvious way to cash in on its success: It opened a restaurant.

Fans can stop by Food Network Kitchen in Terminal 3 and choose Florida-inspired dishes from the grab-and-go menu (Caesar salad with key lime dressing) or the made-to-order menu (including a club sandwich with, you guessed it, key lime mayo).

Of course, the TVs play the likes of Guy Fieri and Bobby Flay all day long.

7 of the world's artsiest hotels

17. Orlando International (MCO)

Orlando airport seems to be unaware of the current revival in airport restaurants. Nonchain options are limited.

You can try your luck with a latte at ZaZa's Cuban Coffee or the sliders at Johnny Rivers' Grill and Market. But you might be just as happy going with what you know at Qdoba, Burger King or Outback.

16. Detroit Metropolitan Wayne County (DTW)

The venerable kid staple gets a makeover at PB&J near Gate A1. The menu offers preset gourmet peanut butter and jelly combos, as well as an option to customize your own.

"The Exceptional is the most popular sandwich," says Fares Saah, one of the airport's food court managers. It comes loaded with peanut butter, honey and bacon on cinnamon swirl bread. "People are always surprised by the combination, but there have been no complaints."

15. Minneapolis-St. Paul International (MSP)

At upscale noodle and sushi shop Shoyu, you use an anchored-down iPad to order your meal.

Once you've picked your food, you can continue to play with the iPad or you can watch the chefs make Japanese noodles in the open kitchen. Pork belly pot stickers, Thai lettuce wraps, sushi and noodle bowls are all on the menu.

14. Newark Liberty International (EWR)

You're in New Jersey, but you can eat like you're in New York. OK, the Grand Central Oyster Bar in Terminal C may lack the atmosphere of its New York City sister, but, hey, you're in an airport. The food, especially the crab cakes and fried calamari, is still equally good.

13. San Francisco International (SFO)

There's real, upscale comfort food at Cat Cora's Kitchen near Gate 55. The Iron Chef uses organic and fresh ingredients with a health-conscious mindset.

Highlights include the steak tacos, lobster mac and cheese or baked jalapeño poppers stuffed with creamy feta cheese and breaded with panko crumbs.

The cocktails are stiff and refreshing, too, like the cucumber martini or the Love and Haight (chili-infused tequila with blood orange juice, lime juice and honey).

12. Miami International (MIA)

You may recognize chef Lorena Garcia from her Taco Bell commercials, but fast food burritos notwithstanding, she really has made some good career moves.

Her airport outpost, Lorena Garcia Cocina (Concourse D), serves Caribbean jerk chicken, shrimp ceviche and baked breakfast empanadas that come out of the kitchen fast, but not suspiciously fast.

The restaurant also includes a Bacardi Mojito Bar, where you can order (very) tall drinks before facing the departure lounge.

11. John F Kennedy International, New York City (JFK)

Chef Andrew Carmellini's New York restaurants -- The Dutch and Locanda Verde -- are always packed.

Can't be bothered? Stop by Croque Madame in Terminal 2 and grab his food to go. On offer: French-inspired open-faced sandwiches, crepes and made-to-order salads.

10. Phoenix Sky Harbor International (PHX)

Ask any Phoenician where to find the best tamale and they'll point you to El Bravo in Sunnyslope. No time to get there during your trip? Check in at the airport early and snag one there.

The family team makes its famous green chile tamales at its original outpost every morning and drops them off, so you're getting quality.

"People will try one for lunch and like them so much they'll buy a dozen frozen ones to take home," says Monique Othon, whose grandmother created the original recipe.

9. Philadelphia International (PHL)

In town, Chickie's & Pete's is a go-to spot for watching sports and it's no different in PHL. It's not just for Eagles fans, either. With four airport locations, its TVs offer a multitude of sports and teams.

"It's not uncommon for us to have international soccer league games on for our foreign travelers," says co-owner Pete Ciarrocchi.

If you don't care about the games, there's always the crabfries: crinkle-cut fries dusted with salt and spicy crab seasoning, served with a side of cheese sauce.

8. George Bush Intercontinental, Houston (IAH)

Urban Crave has the look and feel -- and trendy menu -- of a real restaurant, it's just smaller, and in an airport.

At Gate C33, one of the restaurant's most popular orders is the 10-inch all-beef "haute dog." We like the Sonoran Dog, which comes wrapped in bacon and topped with mayo, mustard, ketchup, tomatoes, onions, jalapeños and salsa verde. The 10-ounce inside-out burger has bacon and cheddar on the inside of the patty.

7. McCarran International, Las Vegas (LAS)

The recently opened Terminal 3 features 14 new gates and seven new restaurants. The best one: The Village Pub, which has locations all over Las Vegas.

The family-owned restaurant offers beer-battered fish and chips, fried chicken and handcrafted beers from Vegas. There's even a convenient beer window so you can grab a pint and play the slots right until fly time.

6. Charlotte Douglas International Airport (CLT)

The meaty aromas emanating from Brookwood Farms BBQ waft all the way to the security lines, where they taunt hungry travelers. The restaurant has an onsite smoker and whatever doesn't get cooked there gets smoked at Brookwood's 80,000-square-foot facility nearby.

"We have 200 yards of barbecue pits with a capacity to smoke 100,000 pounds of meat per night," says Craig Wood, a vice president at the company.

Not surprisingly, the pulled pork -- which is blended with tangy Carolina vinegar barbecue sauce -- is the best-seller.

5. Los Angeles International (LAX)

Late last year, LAX finally announced plans to add 15 eateries to Tom Bradley International Terminal. Between now and 2014, hot spots, including Umami Burger, 800 Degrees and Michael Voltaggio's sandwich shop ink.sack, will open.

Until then, your best bet is Pinks, which specializes in hot dogs but also has a pastrami burrito and cheese fries on the menu.

4. Dallas/Fort Worth International (DFW)

If you've got a morning flight, Cereality at gate C6 is like Chipotle, but with cereal instead of burritos.

The more obvious Texas choice is barbecue. Family-owned Cousin's Bar-B-Q (at Terminals B and C) also offers locations outside the airport and has 30 years of experience cooking ribs and sausages.

3. Denver International (DEN)

If you're a Denver transit traveler who likes to knock back a few before hitting the  skies, there's the New Belgium Hub (Gates B80). The food here is fine, but it's the beer selection -- from the eponymous local craft brewery -- that keeps tables full. Fat Tire Amber Ale and Ranger IPA are popular. Of course, so is Coors Light.

2. Chicago O'Hare International (ORD)

Chef Rick Bayless is known for his Mexican food and has several restaurants in Chicago. The only problem? Most of them are closed on Sundays and Mondays.

But his Tortas Frontera restaurants (in Terminals 1 and 3) are open every day, giving travelers a chance to try his tortas, molletes and fresh-made guacamole.

Bayless stands by his food so confidently that he lists food suppliers on his website, accounting for everything from antibiotic-free chicken to the sour cream.

1. Hartsfield-Jackson Atlanta International (ATL)

Passing through the busiest airport in the country? You could support a local franchise and get a chicken sandwich at Chick-fil-A.

But One Flew South in Terminal E is the airport's first upscale restaurant.

On the menu: pecan-dusted scallops, pork belly sliders and a house-cured salmon bruschetta.

Once you're nice and stuffed, you can fall into a food coma in a private 7-by-8 foot room at Minute Suites ($32 for the first hour), located at Concourse B, Gate B15.

Where's your favorite airport restaurant? Share your top picks in the comments section below.

@highlight

Believe it, you can get a good meal at the airport

@highlight

The Food Network Kitchen is open in Fort Lauderdale International

@highlight

Real deal tamales are available at Phoenix Sky Harbor International

@highlight

Lots of new options are coming to LAX in 2014