(CNN) -- The largest submarine hunt in Swedish waters since the end of the Cold War.

A near collision between a Russian military plane and a Swedish passenger aircraft carrying 132 people.

And the abduction of an Estonian official from the territory of the NATO member, only days after U.S. President Barack Obama visited the Baltic nation.

Any of these three incidents could have led to direct military confrontation between Russia and the West, a new report suggests -- and they have all taken place within the past nine months.

The incidents are outlined in "Dangerous Brinkmanship," an analysis that lists more than 40 "close military encounters between Russia and the West" that took place in the eight months from March to October of this year.

The report, by the European Leadership Network, classifies the submarine search, airline near collision and Estonian abduction as "high-risk incidents."

It categorizes 11 other events as "serious" and suggests they could have escalated.

Most of them involve Russian aircraft threatening NATO or its allies.

Russia plans long-range bomber flights near U.S. shores

They include what appears to have been a mock attack on the Danish island of Bornholm, as well as Russian aircraft making passes at a U.S. Navy warship and a Canadian frigate, and several different incidents between Russian and Swedish planes.

The dramatic events are an expression of Russian President Vladimir "Putin's policy to claim (Russia's) proper place in the international system," to force the West "to accept the fundamental change of the international order," said Russia expert Igor Sutyagin.

"Putin is trying to intimidate the West back to friendship with Russia," said Sutyagin, a senior research fellow at the Royal United Services Institute. The London-based think tank focuses on defense and security.

"Putin openly said that Russia is a bear and a bear never asks anybody's permission to act as it wishes," Sutyagin said.

The Russian Ministry of Defense, Russian Air Force, and Putin's spokesman all declined to respond to multiple CNN requests for response to the European Leadership Network report.

Russian officials downplayed or dismissed many of the individual incidents at the time they were first reported.

But NATO itself said at the end of October it had already conducted three times more intercepts of Russian planes in European airspace in 2014 than in all of 2013.

There were four intercepts of groups of Russian aircraft in the last few days of October alone, NATO said.

The European Leadership Network dates the upsurge in Russian activity to the conflict in Ukraine and Russia's annexation of Crimea.

That prompted NATO to "increase its military presence along its Eastern flank," including more air policing, more reconnaissance flights, more ships in the Baltic Sea and Black Sea, and more military exercises in the region, the report said -- all of which put the two sides in greater contact than before.

The report speculates that Russia is testing and observing NATO and national defense systems and seeking propaganda victories by using force, or the threat of it, against its neighbors.

The West's response will have repercussions far beyond Russia, RUSI's Sutyagin warned.

"It's not a matter of 26 combat planes flying somewhere," he said. "There are many other people around the globe who would love to follow Putin's example.

"That is a very important wake-up call for American society, for European societies: It's necessary to defend your ideals, your prosperity, your wealth," he said.

"Dangerous Brinkmanship" is based on media reports and statements from the Pentagon and NATO. CNN covered many of the incidents in the report, and is cited as the source for at least one of them.

CNN's Alla Eshchenko in Moscow contributed to this report

@highlight

NEW: The West's response to Russia will have repercussions beyond the crisis, expert warns

@highlight

Russian incursions into NATO airspace are already at three times the level of last year

@highlight

Sweden mobilized a naval hunt for a suspected Russian sub in its waters

@highlight

Both sides have increased their military posture since the Ukraine crisis