Washington (CNN) -- Voters who are fed up with endless gridlock might be disappointed if they expect a Senate now controlled by Republicans to change things.

One congressional expert put it bluntly: "The basic factors causing [gridlock] are not gone," said James Thurberfrom, a professor at American University. "So it is likely that we will have a lot of delay and stalemate in the Senate."

The stark reality is Republicans don't have the 60 votes they need to overcome Democratic filibusters, making it hard to pass many of their priorities.

But perhaps the biggest obstacle for Republicans -- the next election.

Senate aides from both parties and outside congressional observers agree that political positioning for the upcoming 2016 presidential and congressional elections will likely dominate the day-to-day workings of the Senate,

While Republican leaders believe it is important they show the country they can pass legislation and govern effectively, Democrats will likely do everything they can to block GOP achievements because they think they have a good chance of winning back the chamber in 2016.

In that cycle, Republicans need to defend 24 seats -- many from politically divided states -- while Democrats only have to defend 10, most of which are from blue states.

"Look, the Democrats see an opportunity to keep the White House in 2016 and pick up seats and get the majority back," said a GOP Senate aide predicting Democrats will refuse to work with them.

Complicating matters for Republicans is an expected tug of war within their party, with potential 2016 presidential contenders trying to assert their conservative credentials while other GOP Senators in competitive states try to appeal to moderate voters.

"I think it's going to be a little bit more chaotic and disorderly," said Ramesh Ponnuru, of the American Enterprise Institute, a conservative think tank.

In addition, it's unclear how President Barack Obama will respond to a Congress fully in Republican control, and whetherl he will make a genuine effort to cut hard-to-reach compromises or be more aloof, choosing to shore up his legacy over the last two years of his term by issuing executive orders on immigration and other priorities.

Kentucky Republican Sen. Mitch McConnell, currently the Senate minority leader, is set to take over the powerful top job in the Senate when the new Congress convenes in January.

After complaining for years that the Democrats put politics ahead of a well-functioning Senate, McConnell has vowed to return to "regular order" so that budgets, spending bills, and other items are approved months before the threat of a government shutdown or fiscal cliff looms.

But his longtime sparring partner, Sen. Harry Reid of Nevada, is sure to challenge him on anything Democrats oppose.

"I think there will continue to be a battle between Reid and McConnell. They don't like each other," Thurber said. "Reid will use delaying tactics as a minority leader, threatening filibusters. I don't think Republicans will have 60 votes so they can't overcome that."

The particular dynamics of the Republican conference make it even more difficult for McConnell to manage the Senate. On one side of his conference he has three tea party senators -- Rand Paul of Kentucky, Marco Rubio of Florida and Ted Cruz of Texas -- who may seek the GOP nomination for president and who will be reluctant to cut deals with Democrats as they work to attract conservative primary voters.

On the other side are a dozen or more senators who will be up for re-election in purple and blue states -- such as Lisa Murkowski of Alaska and Mark Kirk of Illinois -- who may want work across the aisle to show the broad base of voters in their states that they helped cut through the DC gridlock.

"I think he will be constantly maneuvering and using duct tape and glue to keep his conference together," Ponnuru said of McConnell.

In fact, Cruz has already proposed a ten-step plan he'd like Republicans to follow next year. He argued, in a recent USA Today column, his plan would prove to voters Republican senators take seriously their desire to change Washington. His ideas include implementing tax reform, passing a balanced budget amendment to the Constitution, reforming federal education policies, auditing the Federal Reserve, and repealing or reforming Obamacare.

One of Republicans' top priorities will be to rework parts of Obamacare, with the recognition they won't be able to repeal the law in its entirety because of President Obama's veto authority. But they at least want to make changes to the individual and employer mandates, get rid of the medical device tax, and pass other reforms.

"I think it's more likely we'll have a step-by-step approach to dismantling it and replacing it with consumer oriented, more cost-effective health care that won't interfere with the doctor/patient relationship," said Sen. John Cornyn of Texas, the second-ranking Republican senator. "That's what the American people want and that's what our goal is to provide."

Another major concern among Republicans is Obama's plan to use his executive authority to change immigration laws, something he may announce shortly after the election.

Republicans hope to be in a stronger position to push back on those changes now that they will control both the House and Senate.

Republicans also want to pass several energy bills, including approval of the Keystone XL pipeline. And they and want to push through a variety of job creation bills that passed in the GOP-controlled House last Congress but that were never taken up by Senate Democrats.

Bipartisan support is possible on pending trade bills supported by the White House.

One of the biggest changes to Capitol life that McConnell says he will institute is to have the Senate work an actual five day work week. Under Reid, the Senate typically was in session only four days a week, with truncated schedules on Monday and Thursday. But doing so well test McConnell's ability as leader because members of both parties -- most of who travel back and forth to their states each weekend to be with their families and constituents -- have enjoyed the luxury of the shortened Senate week.

@highlight

Mitch McConnell is set to lead the Republican senate and vowed to restore 'regular order'

@highlight

However factors like the 2016 elections may give Democrats incentive to block GOP efforts

@highlight

One question will be how the GOP decides to address Obama's health care law

@highlight

Another issue is immigration though chances look slim for sweeping legislation