(CNN) -- Long before there was Apple there was Olivetti.

With its slick, beautifully designed products at the cutting edge of innovation, the Italian company was once at the forefront of the race to produce a personal computer for mass consumption.

The Ivrea based manufacturer spent years honing the design of its typewriters, calculators and adding machines, agonising over everything from the position of the keys to the shape of the space bar.

And everyone from Cormac McCarthy to Bob Dylan used an Olivetti typewriter to bang out some of the world's best known novels and songs.

While the company has never recovered its leading position, a humble start-up aims to put Ivrea back on the world innovation and design map.

Open-source hardware

Called Arduino, after the local bar where the five founders met to discuss their project, the company produces simple open-source electronics platforms that allows enthusiasts and professionals to build interactive projects.

Now, almost ten years after the company produced its first single-board microcontroller, more than 700,000 are in the hands of hobbyists and professionals, operating everything from drones and robots to lights and motors.

Co-founder David Cuartielles told CNN that Arduino is not only an educational tool, but also a way of exploring new ideas with new people.

"It's been an emerging phenomenon since the late 1990s," Cuartielles said. "Different schools around the world have tried to bring electronics to designers and artists to get them to come up with more creative uses for technology."

Arduino boards also have a distinctive and striking design, in recognition of which they will go on display at MoMA in New York in 2015.

Olivetti roots

Operating from a part of the old Olivetti building in Ivrea, Arduino stamps out the blue microprocessors which operate under a form of open source that allows amateurs, designers and artists to come up with new uses for the circuit board.

Cuartielles explained that when they launched the project, the only thing the team wanted to protect was the brand. Its use or misuse (one reason the boards have a robust construction and retail for less than US$50) is entirely in the public domain under a creative commons license.

As a microprocessor for controlling sensors, Arduino is unparalleled and is becoming a common feature of the prototyping phase of many start-ups.

"I wouldn't be risking very much if I said that a lot of the products you see on Kickstarter use Arduino boards in the prototyping phase to control various aspects of the project," he said.

He said one of the most interesting applications has been the development of the open platform ArduSat mission, which for the first time allow the general public to run their own space-based applications.

"You will be able to rent a timeslot to manipulate the machine so you can simulate your experiment on land with an Arduino board and you can simulate it in space on the satellite," he said.

Putting the pieces together

One of the more surprising applications has been the natural marriage between the Arduino board and Lego. Once seen only as a child's building block toy, Lego is finding startling utility as an instant mechanical prototype maker for Arduino ideas.

"Lego is very interesting in a sense that it provides mechanical access to the world. It lets you build almost anything within some constraints -- you can't, for instance, build something that's perfectly round with Lego.

"Arduino is at the same level but with electronics. It allows you to control things at a low level really, really well."

But in the face of ever more sophisticated technology, keeping Arduino simple is no easy feat.

"The more simple you make it for the user, the more complex it becomes at the back end," Cuartilles said. "For example, the Arduino Yun -- one of our latest products --basically allows you to connect anything to WiFi or anything to the ethernet.

"It can control it at a low level on the net or on the cloud but to make it easy for the users we had to imbed a whole Linux computer into it at that size.

"The complexity in the stomach of the beast just gets bigger."

While Arduino is most closely associated with robotics, Cuartielles said the application of electronics goes far beyond a concept of robotics, which he says has not changed dramatically over the past 70 years.

"For example, they have discovered that 3D printing lab parts makes them sterile by definition. You can 3D print a test tube to put micro-organisms in and that will be sterile because it is being produced by a plastic that must be heated to 250 degrees Celsius.

"For â‚¬1.000, you can have a machine capable of making sterile lab equipment. That is super cheap and can help laboratories and hospitals all around the world."

@highlight

Arduino, the open source electronic hardware, hails from Ivrea, the home of Olivetti

@highlight

Olivetti was once at the forefront of Italian technology and designed the world's first PC

@highlight

There are now more than 700,000 Arduino boards in the hands of hobbyists and professionals

@highlight

An Arduino circuit board will go on display at MoMA in New York in 2015