Atlanta, Georgia (CNN)  -- My son Alden called me at work one morning recently. He wanted to know my thoughts about the word "mankind" and whether it's OK to use the term in an essay. So I blurted out, "Not if you don't want to exclude more than half of the human race!"

Only then did I learn I was on the speaker-phone with other students in the principal's office listening. So I asked the boys in the room the question: "Would you feel left out if you were referred to as part of 'womankind?'" The answer was, of course, yes.

With my son's innocent question, memories flooded back of all those times at work as a journalist in the newsroom when the male reporters were sent out on the big stories, but not the women.

It reminded me of that same left-out feeling I had the first time I saw a "Men Working" construction sign on the roadside. The sign made me wonder where the women were.

Why didn't they get those jobs digging ditches and waving orange flags in the fresh air? Sometimes there would be a woman on the job site. But you wouldn't know it from the sign.

Now that women constitute fully half the work force, the signs and words that exclude them seem even more noticeable and incongruous.

Conversations that omit one group or another have no place in organizations that value diversity. In the workplace, we try to steer away from terms that alienate certain people. Such sensitivity helps with little things such as office culture, retention, productivity and profitability. Plus, it's the right thing to do.

Despite much progress, most women in business can still relate to being left out of discussions daily. It's most pronounced in male-dominated professions.

"When I read something that refers to everyone as 'men' -- that bothers me," says Valerie Weingrad, one of few women captains operating charter trips through the Greek Isles. Weingrad, who spent much of her career in the competitive world of sales for telecom conglomerates, became comfortable early on as an outsider.

"I'd be in a conference room with 15 guys. A lot of times I'd feel excluded cause it was the good ol' boys network. I don't take it personally." Still, when the CEO asked, "Gentlemen, what do you think?" from the back of the room, Weingrad wondered "What about me?"

Newell Rubbermaid's only female corporate officer can relate.

In an interview with PINK magazine, Penny McIntyre said, "During the 'warm-up' conversations before big meetings, all the guys will discuss some big game that happened last night or last weekend. It's not inclusive -- and not just to women who aren't into sports."

Just sharing stories like McIntyre's and Weingrad's raises awareness and shifts culture, even if just slightly. It's amazing how simply considering something like the words we use can result in change and greater inclusiveness.

Not everyone sees the need: Forbes editor-in-chief William Baldwin for one. I remember him glaring at me across the table at lunch one day a few years ago in the Forbes dining room, saying: "Cynthia, if it's a good stock price -- it's a good stock price whether you're a man or a woman. What difference does it make?"

It makes a big difference. What Baldwin and so many others miss is that when you don't speak directly to your audience, they don't hear you.

That's why so many women tune out when stories and pictures of men, often only men, fill the pages of Forbes, or when network TV shows feature only male experts. Women will wonder, "What about me?"

But does all this fuss cross the line of political correctness? Are we becoming overly concerned to the point of absurdity?

Before answering those questions; consider this question. Is it absurd that while women now have parity in numbers in the workplace, they still lag far behind men in pay and position? And yet, we put up with this just as we tolerate language that undermines women.

Historically, one can argue that words such as "man" and "mankind" were never intended to be sexist. After all, the word "man" comes from the Sanskrit "manu" which means human being. "Mankind" comes from Latin, 'homo' (human and humanity) meaning both male human and human being in general.

Yet, English dictionaries, such as American Heritage define "man" first, as "an adult male human." And this is a common interpretation.

Let's face it -- men aren't the only ones to blame here. Old habits die hard even for those with the best intentions.

Growing up in Los Angeles, just about everyone, myself included, used the phrase "you guys."

During one news interview on the "Men Working" signs issue, I found myself, saying, "Well as you guys know ..." Oops. Busted. We all make mistakes.

Even the best leaders will lapse into familiar territory, resorting to language and behaviors they're used to. It happens.

But the real test is this: When we use a particular word or phrase, will others feel ostracized? Of course in many cities across the country, you'll still see those pesky "Men Working" signs -- which, by the way, could jeopardize states from receiving Federal Highway Administration dollars, since the DOT requires that all signs be consistent with their 700-page manual. "Workers Ahead" is the accepted language.

It may not be always possible to use inclusive language, but it's worth trying. Anyway, how hard is it to use the word "humankind" when referring to all people?

The opinions expressed in this commentary are solely those of Cynthia Good.

@highlight

Cynthia Good asked son, boys if they would feel left out if called a part of "womankind"

@highlight

Good's question was to show why women and girls might feel excluded by word "mankind"

@highlight

Words excluding females seem antiquated now that women are half the workforce, she says

@highlight

Good: Phrases that omit a group have no place in organizations valuing diversity