(CNN) -- Are you addicted to your phone?

According to recent research sponsored by SecurEnvoy, an internet security firm, more people feel anxious and tense when they are out of reach of their phone -- and the younger they are, the more likely the stress.

Known as "nomophobia," or "no mobile-phone phobia," a recent online survey of 1,000 people in the UK found that almost two thirds (66%) of respondents were afflicted, a rise of 11% when compared to a similar study four years ago.

"Some people get panic attacks when they are not with their phones," said Michael Carr-Gregg, an adolescent psychologist working in Melbourne.

"Others become very anxious and make all endeavors to locate the mobile phone. I have clients who abstain from school or their part-time jobs to look for their phones when they cannot find them in the morning."

CNN Photos: De-Vice: Our mobile addiction

According to the survey, the younger you are, the more prone you are to nomophobia. The youngest age group (18 -24) tops the nomophobic list at 77%, which is 11% more than that of the next group -- those aged 25-34.

"This is the most tribal generation of young people," said Carr-Gregg. "Adolescents want to be with their friends on a 24-hour basis."

Women are also more likely to be unnerved by cell phone separation, with 70% of respondents reporting the malady compared to 61% of men. Andy Kemshall, the CTO and co founder of secure Envoy, believes that may be because men are more likely to have two phones and are less likely to misplace both -- 47% of men carry two phones, compared to only 33% of women.

Major drivers of nomophobia include boredom, loneliness, and insecurity, said Carr-Gregg, while some young nomophobes cannot bear solitude. "Many of my clients go to bed with their mobile phones while sleeping just like how one will have the teddy bear in the old days," he said.

"While teddy doesn't communicate, the phone does," said Carr-Gregg, adding insomnia to the list of potential problems.

"This reduced the amount of time to reflect," he said. "Some kids cannot entertain themselves. The phone has become our digital security blanket."

As smartphone penetration spreads across the globe, so does nomophobia. On a visit to Singapore in February this year, Carr-Gregg spoke to students from a peer support group at the United World College and identified similar problems.

"There is no doubt that nomophobia is international," he said. "[But] without phones, there will not be nomophobia."

Meanwhile, Indian researchers have also evaluated mobile phone dependence among students at M.G.M. Medical College and the associated hospital of central India. India, after China, is the second largest mobile phone market in the world. The Telecom Regulatory Authority of India (TRAI) reported that there were 884.37 million mobile connections in India as of November, while China had 963.68 million.

The cross-sectional study, published by the Indian Journal of Community Medicine three years ago, recruited 200 medical students and scholars. About one in five students were nomophobic, results showed. The study claimed that the mobile phone has become "a necessity because of the countless perks that a mobile phone provides like personal diary, email dispatcher, calculator, video game player, camera and music player."

"There is an increase in the nomophobic population in India because the number of mobile phone users has increased," said Dr. Sanjay Dixit, one the researchers and the head of the Indian Journal of Community Medicine. "We are currently doing another research on mobile phone dependency, it's not published yet, but analysis shows that about 45% of the Indian population, not just medical students, is nomophobic."

With the augmented ownership and usage of smartphones among adolescents, Dixit says the young population is more at risk, partly because they can access the Internet through phones more easily, increasing the time spent on phones.

"We found out that people who use mobile phones for more than three hours a day have a higher chance of getting nomophobia," he said, warning this can pose potential dangers.

Accidents lurk while nomophobes fix their attention on phones. According to Dixit, up to 25% nomophobes reported accidents while messaging or talking on the phone, which includes minor road accidents, falling while going upstairs or downstairs and stumbling while walking. More than 20% also reported pain in the thumbs due to excessive texting.

"One could look at this as a form of addiction to the phone," said Eric Yu Hai Chen, a psychiatrist and professor at The University of Hong Kong. "The fear is part of the addiction. The use of hand phone has some features that predispose this activity to addiction, similar to video games, naming, easy access."

To tackle anxiety and accidents induced by phones, Dixit suggests switching off the phone, especially while driving. "People can also carry a charger all the time," he said. "Our study shows that the no-battery-situation upsets nomophobes the most.

"People can also prepay phone cards for emergency calls and credit balance in phones to ensure a constant and functioning network," he said. Other solutions include supplying friends with an alternate contact number and storing important phone numbers somewhere else as backups.

"Enforcing a period when handset is turned off can help loosen its hold over everyday life," said Dixit. Sometimes, the problem can even be the cure.

"One of my clients actually makes use mobile phone apps to deal with anxiety," said Carr-Gregg. "It's called iCounselor Anxiety."

The launch of the app presents users with a scale to rate their anxiety levels from 1 to 10, where 10 is "panicked." After choosing the level, ten recommendations of calming activities will be suggested, followed by instructions to change the user's thoughts, so to change subsequent feelings.

"It is almost like having a psychologist in your phone," said Carr-Gregg.

Prevalent it may be, nomophobia, however, is not yet a qualified phobia.

"Nomophobia is not included in the DSM [Diagnostic and Statistical Manual of Mental Disorders] yet," said Dixit. "But it is an up coming problem. For the first time on this continent [India], we are trying to make it more scientific," he added, referring to his undergoing research on nomophobic India.

@highlight

According to a recent survey by an internet security firm, more people are "nomophobic"

@highlight

Nomophobia is an unreasonable level of fear when out of mobile phone contact

@highlight

In the UK survey, almost two thirds of respondents were afflicted

@highlight

The survey found young people are more likely to suffer from phone anxiety