(CNN) -- "George Washington slept here."

It was once an American catchphrase -- cheery shorthand for a blithesome fact of American democracy: Our presidents come from among us, and have traditionally striven to continue moving among us.

Any number of country inns and lodges, in the early years of the United States, proudly proclaimed that the first president once spent the night within their walls. The phrase had staying power; as late as the 1940s a hit Broadway comedy by Moss Hart and George S. Kaufman was titled "George Washington Slept Here," and was followed by a major motion picture starring Jack Benny.

It is doubtful, in our contemporary era of Code Red security levels and constant threats against public officials, that there will be a sequel to the jolly play or movie coming out any time soon. Our presidents still, from time to time, sleep among us, but whatever feeling of lighthearted happenstance was implicit in the "George Washington slept here" slogan is long gone. By necessity, a president spending a night away from the White House is grimly serious business.

Without having planned it that way, I ended up staying at the same hotel as President Barack Obama during his recent visit to New York to address a session of the United Nations General Assembly. I had scheduled a trip to New York months before, and had no idea the president would be in town at the same time. The roadway congestion and police-mandated detours on the way into midtown Manhattan from LaGuardia created a backed-up mess, and the cabdriver summed it up in a weary phrase I could tell he had used many times that week: "Obama traffic."

It's not a phrase any politician would welcome -- no one seeking the voting public's goodwill wants to be associated with traffic headaches -- but that's how it is these days, whether the person in office is a Democrat or a Republican. When a president comes to town, all streets along the paths of his motorcades are blocked off, all people seeking access to where he is are frisked, either electronically or by hand or both. Because of the history of violence against political leaders, the melancholy assumption on the part of law enforcement is that everyone must be presumed guilty of having bad intentions until being deemed innocent.

No one has to ask why there must be Secret Service war wagons standing sentry on otherwise cleared-of-traffic streets adjacent to where a president sleeps, or why guests checking into a hotel where a president stays have their baggage taken from them and carted to an outdoor location behind steel-and-cement barriers, where sophisticated screening devices give them the once or twice over. And no one has to inquire about the reason for the searches every hotel employee and every hotel guest must submit to each time he or she wants to enter the building anew.

Not to have these measures in place would be to invite disaster of shattering proportions, especially when, in the case of the recent United Nations sessions, not only the president of the United States, but numerous top-level foreign officials are there, too.

Still, it makes the very idea of a president mixing with the people he is elected to serve seem like a well-intentioned but ultimately bittersweet illusion. And the limitations on a president's movement, and on the free movement of citizens who would like to catch a glimpse of him, are destined to grow ever more restrictive. Presidents routinely rode through cities in open convertibles-- until the murder of John F. Kennedy made that seem like a foolhardy concept.

Presidents and presidential candidates took it for granted that the people who worked in the buildings where they spoke or slept were not a major danger-- until Robert F. Kennedy took that shortcut through the hotel kitchen. Presidents felt relatively safe strolling onto a sidewalk with unscreened people in close proximity -- until Ronald Reagan walked onto the wrong sidewalk on the wrong day. Today, when presidents decide to take a jog or go out for a bite to eat, it is done from within thick concentric rings of armed Secret Service agents and local police.

Presidents have been known to say that they feel stifled governing from the environs of the Rose Garden, meaning that they believe they have to get out from the bubble that is life in the White House if they want to maintain a feel for America and Americans. Yet the reality, increasingly, is that they can't and don't leave the bubble -- the bubble moves right along with them, except that it is no longer merely a bubble, it is a heavily fortified multiple-city-block mobile bunker. And every time that bunker is deployed into the nation beyond Washington is a new reminder of the seemingly unsolvable quandary we face:

We wish we didn't live in a world where such measures are necessary. Our presidents wish they didn't live in a world where such measures are necessary. It's not our fault, or theirs. But it's not going to get any easier.

Wherever George Washington may have slept, if he were alive today the place would be surrounded by iron barricades, shut-down roadways and government sharpshooters bearing automatic weapons. It's the kind of thing that might keep a president awake at night.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Slogan "George Washington slept here" implied man-of-the-people event

@highlight

He says in today's high-security environment for president, no such thing possible

@highlight

He stayed at same hotel as Obama when he was in NY; security was maddening

@highlight

Greene: Presidents try to stay in touch with Americans, but where they go, the bubble goes too