Jersey City, New Jersey (CNN) -- When Hurricane Irene roared ashore last year, Jeff Spangler was hit hard.

The slow-moving storm whipped up a powerful tidal surge that breached sea walls protecting Jersey City, a bedroom Manhattan community, and flooded Spangler's home to the tune of thousands of dollars in damage and months of home repair.

This year, it happened again.

Superstorm Sandy and its rare mix of converging weather set records as it barreled into the Northeast on October 29 -- but its local effects may not have seemed so rare to Spangler and others who had survived Irene.

Experts warn of impending superstorm era

Just like in 2011, floodwater poured into the low-lying neighborhoods of Jersey City, knocking out power and filling Spangler's basement.

Now, the father of three says he's considering cutting his losses and moving out.

"The more this flooding happens ... the lower property values will sink," Spangler said. "I'll end up being underwater, literally."

Like many of his neighbors, Spangler rents out his building's first floor to help to pay his mortgage. Now, his tenants are gone, having left in Sandy's brutal aftermath.

"Not only are we dealing with repairs, now we're dealing with the loss of rental income and carrying the full mortgage until we can clean up the area," he said.

New York residents sue utilities after Sandy

When Sandy unleashed its deadly torrent of wind and water, Spangler and his family rode it out inside their home as river wash leaked through his first floor and raised anxieties about how much higher it would get.

A swollen Hudson River had expanded into his backyard. When it finally receded, the flood left an auburn-colored watermark on his basketball hoop backboard.

The hoop was about 7 feet tall.

Afterward, the dials on his electrical boxes filled with bubbling pockets of a brownish liquid that seemed to foreshadow the string of electrical problems that would follow across the region.

Not forgetting the lack of electricity after of Irene, Spangler had prepared for Sandy, purchasing a generator just days before it hit. After the storm, he ran electrical cables across the street to his neighbors' homes, padlocking the generator to his wrought iron stoop out of fear of looting.

"I'm sure there were people watching and waiting for me not to be near that generator," he said.

At the height of the crisis, Spangler said, police and fire officials told him to hide the machine at night because it would take them hours to respond to an incident in his neighborhood.

" 'We're just overstretched,' " he quoted authorities as saying. That triggered shades of vigilante justice across his neighborhood, though Jersey City police could not be immediately reached for comment regarding the claim.

"I have neighbors across the street who have firearms who told me, 'Don't worry about it,' " he said. " 'Just call us (if there's a problem) and we'll be right outside with a gun.' "

Preparing for lesser disasters

Sandy triggered massive flooding across the Northeast, yet the effect of the floods may have been especially foul in Jersey City. That's because the city maintains a combined sewer and rain drainage system, meaning floodwater also spewed from pipes, swirled into basements and probably contained raw sewage, according to accounts from local residents and city officials.

"This happened with Irene too," Jersey City mayoral spokeswoman Jennifer Morrill said. The sewage "couldn't flow out because the water was at its highest capacity. ... So when the water came into (people's basements), it wasn't just water."

But any sewage overflow that occurred was considered minimal, according to the head of Jersey City's Municipal Utilities Authority.

"Did it occur on an extensive basis? Absolutely not," Dan Becht said.

After paying a remediation company to sanitize his basement, Spangler disagreed. He and his neighbors point to the city's antiquated sewer system as a primary culprit.

"I had to get this whole area disinfected," he said, standing in his basement illuminated by floodlights.

Last year, Jersey City's drainage system was the focus of a lawsuit from the Environmental Protection Agency, which said the city failed "to properly operate and maintain its combined sewer system."

The city settled the suit in July of last year and pledged to invest more than $52 million in infrastructure repairs and upgrades.

And yet those incremental updates may actually miss the bigger point, as many say that little done at the municipal level could have blunted the power Sandy unleashed on the region.

The more pressing issue may be how to decipher ways to best protect the city from lesser, more frequent storms, while enlisting federal support for the kind of long-term infrastructure needs that lie ahead.

"Sandy was to some extent unavoidable," Spangler said. "But Irene was a flood that never should have happened."

To rebuild or not

The gas shortages and massive power outages that plagued New Jersey after Sandy and a nor'easter that struck a week later are now starting to dissipate. The state lifted gas rationing orders Monday, and only about 4,000 customers across the state were still without power as of Wednesday. At the height of the storms, more than 3 million customers in New Jersey were without power.

Yet restoring power to many of those still in the dark requires inspectors to go door-to-door to check individual electrical panels, to avoid triggering further damage, such as electrical fires.

Opinion: Rebuilding after Sandy too big a risk

Still, the cost of rebuilding is in the billions. And Tad Drouet, 45, said he expects the damage to his Jersey City home after Sandy to be much higher than it was after Irene.

"Last year, our tab for fixing everything was about $15,000," he said. "This year, it'll be twice that."

Others, like Spangler, say they are again shelling out for those home appliances and other items that they expected to buy only once or twice.

"I just spent money again on a washer-dryer," he said. "I bought one last year too. These are the things you buy and expect to last 10 years."

Looming over many of these twice-battered storm victims is a basic question: "How much is enough?"

And yet despite the chorus of post-Sandy voices that warn of a recurring rash of inclement weather in the region, others say market forces will still probably absorb the risks tied to waterfront property and prevent a downward price spiral in real estate.

"There might be temporary blips on the radar," said Gary Malin, president of Citi Habitats, a New York-based real estate firm that specializes in rentals and home sales. "But if history teaches us anything, people always rebuild and they always come back."

Football players help fellow Sandy victims

@highlight

Last year, Hurricane Irene flooded Jeff Spangler's Jersey City home

@highlight

Today, he's dealing with the aftermath of Superstorm Sandy

@highlight

Last year, the city's drainage system was the focus of a lawsuit brought on by the EPA