(CNN) -- As U.S. President Barack Obama stood in Berlin on Wednesday to propose deep cuts in U.S. and Russian nuclear weapons arsenals, Pentagon war planners were working to make these weapons more accurate and deadly.

The Air Force told Congress this year it plans to put nuclear cruise missiles on board stealthy B-2 bombers for the first time. Currently, only the half-century-old B-52 bombers carry these weapons.

The Air Force also plans to add a new and improved cruise missile to the mix. Nuclear "gravity bombs" -- the ones that are designed to be dropped out of planes -- will be getting some help too. The Pentagon is moving ahead with plans to install sophisticated new tails that will improve their accuracy.

Can the United States maintain its current level of nuclear security with fewer nuclear weapons -- if the weapons are more accurate?

Related: Obama says let's cut some nukes

For nuclear weapons analyst Michaela Dodge of the conservative Heritage Foundation think tank, the answer is no. It's all about targeting, she says. Having fewer weapons allows fewer possible targets. According to Dodge, having fewer weapons to reach the same or increased number of targets is bad. With lower numbers of nukes, the U.S. won't have enough weapons to cover military targets in Russia, China and elsewhere, she says.

As an alternative, war planners will be forced to consider shifting targets toward civilian populations. "That is just not a good idea," she says, adding that it brings new ethical and moral choices into play.

Nuclear weapons: Who has what?

Dodge says the U.S. needs to remain at current nuclear weapons levels to keep the playing field even. Other nuclear powers, including Russia, have been increasing their arsenals, Dodge says. As for China, Dodge says the Pentagon doesn't know exactly how many nuclear weapons Beijing has, because "China has a very extensive tunnel network where they can build and store nuclear weapons. ... We're talking about thousands of miles of tunnels."

From a moral standpoint, improving nuclear platforms while proposing weapons cuts appears disingenous to some, including nuclear weapons analyst Hans Kristensen of the Federation of American Scientists.

The Obama administration is using delivery systems to improve the military capability of the nation's nuclear arsenal. He says that's undercutting the spirit of the president's promise to reduce the role of nuclear weapons in national strategy.

As for Wednesday's proposed cuts, Kristensen welcomes Obama's proposal, but he says, "offloading 500 warheads from missiles will not destroy a single warhead, nor does it reduce the total arsenals of the United States and Russia, who have 4,650 and 4,500 warheads, respectively, in their military stockpiles."

This ain't your Cold War strategizing, say experts.

Preventing the use of nuclear weapons nowadays is much more complicated than it was in the days when Washington and Moscow kept things peaceful thanks to the idea of "mutually assured destruction."

The landscape is different. For example, the prickly relationship between Pakistan and India has a nuclear component. North Korea now poses a huge nuclear question mark. One of the biggest fears for many world leaders involves terrorists getting their hands on a nuclear weapon.

What hasn't changed much is the horrifying damage these things leave behind after the mushroom cloud blows away. "Only nuclear weapons produce radioactive fallout that can cause cancers, birth defects, and genetic damage for decades after they are used," according to the International Physicians for the Prevention of Nuclear War.

With the Cold War in our rearview mirror, "it's very unlikely we would get into a shooting war with Russia," Kristensen says. "Politically we're moving away from that situation. But militarily the two countries are still holding on to these arsenals because they can see what the other country has. Predominantly the U.S. and the Russians have high numbers of weapons because we have high numbers of weapons. So there's a sort of self-fulfilling prophesy in that. It drives itself."

So, why put nuclear cruise missiles on the B-2 bomber?

Experts say the B-2's radar-evading stealth design would more effectively penetrate hostile airspace than the larger, slower, less agile B-52.

The B-52 has been toting nukes since the dawn of the Cold War. By the time it's scheduled to retire in 2040, its career will have stretched an incredible 80 years. Experts fear that B-52s can more easily be brought down by surface-to-air missiles.

"You don't want to fly B-52s over anything but tribal militias these days," Christopher Ford of the Hudson Institute told Global Security News Wire. "That's a good way to lose B-52s."

Whatever the case, America is moving forward with a new generation of nuclear weapons.

The current mainstay of America's nuclear cruise missiles -- the AGM-86B -- is getting old. It was deployed in the 1980s.

The U.S. says it has about 1,100 of these atomic hammers. They measure about 20 feet long, weigh 3,100 pounds and boast a range of more than 1,500 miles. And they can blow through the sky at a speed of 550 mph.

In 2007, the U.S. retired a stealthy Advanced Cruise Missile, as part of a U.S.-Russian weapons reduction agreement, according to the Federation of American Scientists.

Now, the Air Force is developing another stealthy nuke cruiser, which it recently described in its 2014 proposed budget as "capable of surviving and penetrating advanced" air defense.

By the mid-2020s, if all goes according to the Air Force plan, new generation nuclear cruise missiles will be deployed aboard a new U.S. aircraft that -- for now -- is generically referred to as the Long Range Strike Bomber.

Big changes are in the works on many levels across the nuclear weapons landscape. Regardless of your point of view, it's in everyone's interest to pay attention.

@highlight

Obama proposes negotiated nuclear weapons cuts with Russia

@highlight

The U.S. is moving nuclear weapons to better platforms, increasing their accuracy

@highlight

Critic: Better platforms undercut the spirit of Obama's promise to move away from nukes

@highlight

Cutting nukes will force targeting of civilians instead of military targets, says nuclear analyst