The good news is that news of the sign was shocking.

Because there was a time, not so very long ago -- a time remembered vividly by many living Americans -- when the sign would not have raised eyebrows, much less warranted national headlines.

You may have seen the story earlier this month. The Ohio Civil Rights Commission upheld a ruling that a landlord in Cincinnati who had posted a "White Only" sign on the gate to her swimming pool had violated the Ohio Civil Rights Act. The landlord, Jamie Hein, who is white, said the sign was an antique, intended to be a decoration; one of her tenants, Michael Gunn, filed the complaint because he believed the sign was placed to dissuade his daughter, who is African-American, from using the pool.

Each side has its own version of the story. But it received widespread coverage because the idea of such a sign, in 2012, was so startling, and was so abhorrent to many people.

Such signs, though, well into the 20th century, were an accepted part of the American scene. If you're not 50 years old yet, chances are pretty good that you never saw one in a public place. Yet as late as the 1960s, they were there; Elizabeth Abel, author of "Signs of the Times: The Visual Politics of Jim Crow," told me that some in fact were in place through the 1970s. This nation had been around for more than 175 years; more than a century had passed since the abolition of slavery; and the signs still hung.

The popular assumption has come to be that the signs, and what they represented, were limited to the South, but that wasn't the case. In the 1930s and 1940s, photographers for the Farm Security Administration Historical Section, which later became part of the Office of War Information, documented the American landscape. Among the photographs, which are on file at the Library of Congress, were shots of signs in small towns and large.

The South is certainly abundantly represented in those photos: a "Colored Waiting Room" sign at the bus station in Durham, North Carolina, a "Colored" sign at one entrance of a movie theater in Belzoni, Mississippi, a "Colored" designation on a sign by a drinking fountain on the lawn of the county courthouse in Halifax, North Carolina, a "White Waiting Room" sign at the bus terminal in Memphis, Tennessee.

But there is also a photo taken in Lancaster, Ohio, of a "We Cater to White Trade Only" sign in a restaurant window; one of a man drinking from a "Reserved for Colored" water cooler at a street car stop in Oklahoma City; a "White" sign at a fountain in Baltimore, Maryland.

Because the signs were so commonplace, and because they went largely unchallenged, to see them for the first time, if you were a child just learning to read, was confusing, difficult to process.  As a boy growing up in the 1950s, on a vacation trip to Florida with my parents, I saw the signs in neighborhood after neighborhood. Restrooms for "Whites," restrooms for "Colored," drinking fountains on opposite ends of a wall, labeled according to the races that were supposed to partake of them.

Words, when you are for the first time able to read them yourself, contain great power, convey absolute authority. Words on signs, to young eyes just becoming accustomed to deciphering them, represent official positions. And for so many years, the official position on so many signs in so many towns was: whites and blacks should not share public facilities.

Which is why it is meaningful that the swimming pool sign in Cincinnati was considered prominent news this year. As the ubiquity of the "White" and "Colored" signs fades into history, it is helpful to occasionally remind ourselves that this country may lose its way more often than we'd like, and may make its share of mistakes, but we tend to try to get things right over the long haul.

It would be difficult to make the argument that Americans live in a racial paradise today.  The signs are long gone, though. It may have taken far too much time before the country figured out how wrong the signs, and what they signified, were, but the figuring out got done.  When customs accepted for generations are harmful to the nation and to what it stands for, the customs eventually are tossed out. Drunken driving used to be winked at; cigarette companies once mocked claims that the product was bad for people; Jewish families were routinely turned away from "restricted" hotels.

The American road is very long, and we're all still on it.  Sometimes it's a good idea to look at the signs by the side of the road -- particularly the ones that are no longer there.

Join CNN Opinion on Facebook and follow updates on Twitter.

@highlight

Bob Greene: Case of a recent Ohio "Whites Only" sign points up ugly part of U.S. history

@highlight

He says such signs once not uncommon in South, and also North, even into the 1960s

@highlight

He says children, in particular, absorb messages on signs; internalize them as official

@highlight

Greene: It's meaningful that Ohio story made news; a reminder of the American journey