(CNN)With Ben Ainslie, it's in the stare.

Charming, polite, every bit the sailor-cum-businessman, the clothes are perfectly pressed with not a hair out of place.

But it's the look in his brown eyes, the glare that offers a glimpse of the other side of sailing's Jekyll and Hyde.

His friend and America's Cup rival skipper Iain Percy once described him as the "most competitive man on the planet."

And on an industrial estate in a small, understated office -- quintessentially Ainslie -- in Portsmouth on England's south coast, Britain's greatest ever sailor is plotting how to win the America's Cup.

"It's the same drive to win," he says of Britain's bid to seal their first win in the event's 163-year history.

"Until we're on the start line we won't know for sure how we've done. It's exciting and terrifying so you have to keep the intensity."

Even Ainslie  admits to having different personalities on and off the water: "I'm pretty aggressive and I certainly wouldn't want to be like that on land."

On the water, there's no shut-off valve, just an unabated desire to win.

It was there to see in his four Olympic gold medal wins, most notably his infamous Incredible Hulk-inspired "don't make me angry" speech to his rivals at the London 2012 Games.

It's even there in training. In the build-up to those Olympics, I traveled to Mallorca to watch Ainslie, already selected for the Games, racing against his British Finn rivals, who were there simply to support him.

At dinner the night before, he was quiet and unassuming. On the water, it was like a switch had been flicked, a red mist descended.

Ainslie was determined to win this particular training session, racing as though Olympic gold was being dangled before him.

It's a competitive nature that has landed Ainslie in hot water.

The contentious tactics he employed to edge out Robert Scheidt and win his first Olympic title, led to death threats from Scheidt's native Brazil and Ainslie confesses to "still losing my temper when things aren't going right."

Now 37 and with a team off 55 staff -- and growing -- around him, he is trying to be calmer and adapt to his new responsibilities.

There's certainly a noticeable difference between the Ainslie of 2012 and the Ainslie of now.

There's a calm confidence as he walks through the office from a morning's sailing, helped it must be said by the knowledge that his staff have bought into his mission -- with many leaving other jobs to work solely for him.

He might downplay his role -- "I'm not doing any role specifically bar steering the boat when it's on the water" -- but Ainslie is Britain's America's Cup bid. It's his name -- Ben Ainslie Racing (BAR) -- on the entrance to the team's headquarters, on the boat and on the clothing that they wear.

An essentially shy sportsman who has achieved remarkable feats -- he was also part of Team Oracle's America's Cup victory last year -- it's as if Ainslie has become his very own brand.

Dirk Kramers, the ideas man of the team that played a key role in Oracle's dramatic turnaround in San Francisco Bay last year -- before switching allegiances to BAR -- says that Ainslie "is almost embarrassed that his name's on the door."

Anslie concurs: "It's strange having my name there but it's something I have to accept because, when we started, the team wasn't anything and we had to sell it around a brand if you like.

"As we build certainly I'm keen for it rather than being Ben Ainslie Racing for it to ultimately be BAR and whoever our partners are."

While he used to be focused on winning Olympic gold every four years, now Ainslie has myriad other tasks to think about.

"For the first time I'm having to sell our team and maybe that doesn't sit naturally," he said. "It's more of a sales pitch."

He appeared to have pulled off the ultimate PR coup by gaining royal approval for his venture when the Duchess of Cambridge -- Kate Middleton -- lent her support as a co-patron with Ainslie of BAR's charity, the 1851 Trust.

The partnership between the knight and the duchess came about after Ainslie took her sister Pippa sailing.

Once on the ocean, the conversation turned to the Middleton family's fondness for sailing.

"It got to the discussion, 'Wouldn't it be a great idea if she was supporting the America's Cup team?'" explained Ainslie, who then contacted the Duchess' office to put in what became a successful request.

"The duchess is obviously such a global icon really now so it's a huge positive to have someone like that backing us."

Queen Victoria was supposedly on hand to watch the first America's Cup in 1851; the duchess is married to Victoria's great, great, great, great grandson providing a loose symmetry with the 2017 America's Cup.

The battle for the Auld Mug, the trophy on offer, has a rich and diverse history, with the first regatta taking place around the Isle of Wight -- a mere 15 miles from where Ainslie has set up his headquarters.

So why is it that Britain, with its rich maritime history, has never won sailing's most coveted prize?

"It's a great question and it goes to show how hard it is," says Ainslie. "For sure, we can win it.

"We wouldn't be here if we didn't think we could, but I think it needs the right financing and group of people at the same time and we never quite had that before. We think that this is a really good group of people. We've pulled together a strong team."

Ainslie has adopted a "best of British" ethos in everything the team does, despite an influx of international staff in certain key roles.

"In sailing terms, it would be the biggest thing that ever happened in British sailing," says Ainslie, reflecting on how big an achievement it would be if the indomitable Team Oracle was upset.

"It would be huge. Look at Ellen McArthur and Francis Chichester [two revered British sailors] -- it would be right up there as one of our greatest achievements in British sailing.

"In terms of the nation, it's the last great sporting hurdle that we've never been able to get over. We've won pretty much everything else in world sport and this is the one that we've never won."

As an eight-year-old, Ainslie's parents Roddy, who took part in the first Whitbread Round the World Race in 1973, and Sue packed him off on a dingy without a lifejacket and just a duffle coat and wellington boots.

Now he's effectively the CEO of a $130 million business, which recently announced a tie-up with Formula One design guru Adrian Newey, who was the engineering brains behind numerous F1 title wins.

Newey's pedigree is very much in the mold of Ainslie, whose role of super sub in Oracle's overturning of an 8-1 deficit to win the 2013 America's Cup led to one British newspaper hailing him a modern-day Horatio Nelson.

"People talk about individuals but it really was a team effort," he insisted. "The designers that helped with the development changes, the shore team, the boat builders that implemented those changes and sailors that pulled it off on the water.

"There are so many lessons to learn that you never stop developing, never give up, keep pushing through. It would have been easy to pack up our bags and disappear. But it's never over, you have to keep going."

It's no surprise then that Ainslie's favorite quote lends itself to another British military leader -- Winston Churchill.

"Success is not final, failure is not fatal, it is courage to continue that counts."

And Ainslie's thirst for victory still remains unquenched after all his victories.

"Our goal ends up with us bringing the Cup back to Britain."

@highlight

British sailor Ben Ainslie is plotting a first British win in the America's Cup 163-year history

@highlight

Four-time Olympic champion was billed a modern-day Horatio Nelson for his 2013 Cup heroics

@highlight

Almost overnight, he has gone from a modest sailor to a CEO of a $130 million brand