LONDON, England (CNN) -- It may lack the prestige of Cannes, but this year's Sydney Film Festival was an equally glitzy and glamorous affair, attracting some Hollywood heavyweights.

Darlene Johnson is a rising star among the new wave of Aboriginal filmmakers currently being feted in the country.

In its 55th year, the 10th oldest film festival in the world, showcased an array of Antipodean and global talent.

But one group that has been woefully ignored by Australian cinema are its indigenous people or Aborigines as they are more commonly known.

The indigenous cultures of Australia are said to be some of the oldest in the world -- going back at least 65,000 years, it is argued.

However, throughout the country's history, Aborigines have been marginalized and discriminated against in Australia.

In films, Aboriginal people were often portrayed as the threatening, primitive "other," in need of civilization by the white settlers.

Examples of this treatment can be found going back to the early 20th century, in the 1936 film "Uncivilized" and the 1950 film "Bitter Springs."

Widely recognized as natural story tellers, with a long history of oral tradition, passed down through generations, indigenous people have fought to develop a distinctive voice and have a determining role in how they are represented in Australia.

One of the earliest instances of filmmaking by an indigenous director was the 1979 film, "My Survival as an Aborigine," by civil rights campaigner Essie Coffey.

However, it was not until the early 1990s that the government made a commitment to encourage and nurture Aboriginal filmmakers with the foundation of the indigenous branch of the Australian Film Commission (AFC).

Over the past ten years, the unit has discovered and nurtured a range of award-winning talents, like Tracey Moffat and Ivan Sen.

Australia now has a growing number of outstanding indigenous actors and directors and there is a growing buzz around several films being developed by these filmmakers.

Writer-director Richard Frankland, who recently finished a road trip comedy titled "To Hell and Back," says he wants to do for Australian film "what Bill Cosby and Richard Pryor did in the 70s and 80s [for black people in U.S. films]"

The interest in Aboriginal films has reached fever pitch with established white directors like Philip Noyce and Rolf de Heer also making films with indigenous themes.

Noyce's powerful 2002 film "Rabbit Proof Fence" was based on the true story of the "Stolen Generation" of Aboriginal children, who were forcibly removed from their families and placed with white foster parents.

While de Heer's successful 2006 film "Ten Canoes" was the first ever to be filmed entirely in one of Australia's indigenous languages. It was screened at the Cannes film festival, where de Heer received a special jury prize.

Among the rising indigenous stars of the future is award winning director Darlene Johnson who is from the Dunghutti tribe.

Johnson's documentary "Stolen Generations", was nominated for an International Emmy in 2000. She is currently working on her first feature film, "Obelia", which will be produced by Phillip Noyce.

She told CNN her work is primarily driven by a passion to give a voice to her people.

"I have a love and a passion to tell indigenous stories on the screen. I basically want to see more black people on the screen and some of their stories represented."

"We are very fortunate in Australia that we have funding from the government and the AFC, they have been instrumental in supporting indigenous filmmakers and developing their careers," she told The Screening Room.

Her touching film "River of No Return" follows indigenous actress and star of "Ten Canoes," Frances Djulibing as she strives to achieve her dream of becoming a movie star like her idol Marilyn Monroe. Watch an extract from River of No Return

Frances, a 42-year-old mother of three from the remote community of Ramingining in North East Arnhem Land, approached Johnson to make the documentary.

"Frances had an identification with Marilyn Monroe and skin color didn't seem to be an issue or a barrier, Johnson tells CNN.

"She wanted to look beautiful and be sexy and become a movie star, and I thought you can't get further away from Aboriginal culture than Marilyn Monroe and that got me into her story."

With several AFC funded projects, like "Samson and Delilah" in the pipeline and indigenous film festivals around the country, the current enthusiasm for indigenous filmmaking seems to know no bounds.

One reason for this can, perhaps, be attributed to the fact that Australia seems to be in a state of flux. Under a new leadership, the country appears to be in a contrite mood of reconciliation -- not dissimilar to South Africa's post-apartheid years -- and is acknowledging past mistakes.

In February, new Prime Minister Kevin Rudd issued an historic apology to Aboriginal people for "the indignity and degradation inflicted on a proud people and a proud culture," over two centuries of white settlement.

Arts Minister Peter Garrett is also a part of this new wave of politicians determined to reverse the divisive policies of previous decades.

In his former incarnation as lead singer of Aussie rock band "Midnight Oil," Garrett played an instrumental role in bringing global attention to the plight of indigenous Australians.

The band's performance of their famous hit "Beds are Burning" at the 2000 Olympic Games was notable for their decision to wear tracksuits emblazoned with the words "SORRY".

Garrett told CNN's The Screening Room, he is confident that indigenous filmmakers have a big future in Australian cinema.

"One thing that we do know is that the indigenous culture is incredibly important to Australians," he said.

"These people have been in this land for a very long period of time and they have many powerful stories to tell.

"And we are starting to see a generation of young film-makers coming through and they will be provided with particular support and opportunities to begin their craft by making short films and as they become more experienced, go on to make bigger movies as well.

"I confidently predict that we will see some absolutely outstanding films produced by our indigenous filmmakers in the coming years."

However, for all the buzz and optimism currently surrounding indigenous filmmakers, Johnson is keen to emphasize that life is still incredibly hard for Aborigines, especially those who live in remote parts of the country.

"One of the things I wanted to illustrate in the documentary was to show how hard it is in indigenous communities in remote Australia," she says.

In her film, we see Frances struggle to readjust to her life in Ramingining after the glamour of traveling to cosmopolitan locations like Cannes with "Ten Canoes" and the profound difficulty she faces in applying for a performing arts course.

It takes seven weeks and a 6 km trek into town just to get her application in. Frances also faces resentment from her neighbors who perceive her as becoming more like balanda (white) because she has traveled out of her community.

"If you want to do something with your life, like acting, it is much harder than most people realize. It doesn't matter if you have contacts like Rolf de Heer and Phillip Noyce like Frances has," Johnson added.

"I wanted to raise some questions about the cultural gap between traditional communities and white culture.

"I hope it brings some insight into the entrenched cultural and social problems that exist in these remote places."

@highlight

Aborigines have fought to develop a distinctive voice and tell their own story

@highlight

They are a group traditionally marginalized and discriminated against in Australia

@highlight

New buzz surrounding filmmakers from indigenous background in the country