(CNN) -- After hours of debate and forceful arguments from Israeli Prime Minister Benjamin Netanyahu, the Israeli cabinet this week approved a deal to exchange more than 1,000 Palestinian prisoners, many linked to some of the deadliest terror attacks on Israeli civilians in recent years, for the release of an Israeli solider captured by militants more than five years ago.

Sgt. Gilad Shalit has been held captive by Hamas without any contact with the outside world since the summer of 2006, and efforts to end his captivity have become a rallying cry for thousands of Israelis who have actively supported efforts by his family to put pressure on the government to bring about his release.

While the deal to free Shalit was backed by a commanding Cabinet majority of 26-3 and enjoys wide support from the Israeli public, there is growing debate about the price Israel is willing to pay in order to free a single soldier.

Families of victims of terror, as well as some members of the Israeli government, have expressed fierce opposition to the deal. One minister who voted against the agreement called it "a great victory for terrorism," and there are fears that the release of convicted murderers will lead to further attacks on Israeli civilians -- a fear that, critics say, is borne out by statistics.

According to Israeli association of terror victims Almagor, 180 Israelis have lost their lives to terrorists freed in previous deals since 2000.

Difficult decisions about prisoner releases are not new to the Israeli government. Israel has a long history of freeing large numbers of prisoners in exchange for its soldiers and citizens.

The most notable of all was the Jibril Deal of 1985. The Israeli government headed by then-Prime Minister Shimon Peres (the current president) agreed to release 1,150 prisoners in exchange for three Israeli soldiers captured in Lebanon by the Palestinian Militant Front led by Ahmed Jibril. The deal aroused immense controversy due to the stark asymmetry.

Yitzhak Navon, the only minister who voted against the agreement, said then, "I thought this was a terrible example, for us to show all our enemies that for them the best deal is to kidnap soldiers and citizens. We must have the strength to tell the families of the captive soldiers -- there is a line that the nation cannot cross."

And pushing this latest deal is Prime Minister Benjamin Netanyahu, who has built a reputation as a strong opponent to deals with terrorists.

Three years after the Jibril Deal, Netanyahu explained his philosophy about negotiating with terrorists to CNN's Larry King. "On one case I did not swallow it. When my government did something that I simply could not live with, which was the release of jailed terrorists for three of our POWs. We wanted to get our POWs back, and the government, in my judgment, made a big mistake and traded terrorists. And here I was confronted with a situation that everything I believe in, in fact agitated for and tried to use an example of Israel for, to encourage other countries, especially the United States, to adopt a tough no-concessions policy against terrorists."

In his 1995 book "A Place in the Sun" Netanyahu called the Jibril Deal "a fatal blow to Israel's efforts to form an international front against terrorism" and warned of the hazardous consequences of such moves. "The release of a thousand terrorists...will inevitably lead to a terrible escalation of violence, because these terrorists will be accepted as heroes," Netanyahu wrote.

In making those arguments, it is likely Netanyahu was aware of the aftermath of the Jibril Deal. Almagor says that "out of 238 terrorists freed in the Jibril Deal who reached the West Bank, 48 percent returned to terrorism and were recaptured by Israeli forces."

In order to better understand the special status of Shalit in the Israeli public eye, one needs to go back 25 years to the crash of an Israeli warplane in Lebanon. On board the plane was Israeli air force Navigator Ron Arad, who was captured alive by local Shiite group Amal and later handed over to Hezbollah. Despite reports of several attempts to negotiate his return, Israel failed to free Arad, and as the years passed traces of his whereabouts had been lost.

In June of 2008 Hezbollah announced that Arad was no longer alive. Arad has become a symbol of the failure of Israeli governments over the years to strike a deal that would bring him back alive to his family.

Shalit supporters have expressed fears that if a deal was not reached soon, the young soldier's fate could be similar to that of Arad.

Speaking to his cabinet this week, Netanyahu said that with so much change sweeping the region, he did not know whether a better deal for Shalit was possible, and warned that if the window of opportunity was not taken it could close indefinitely.

It represented a vast change in outlook and rhetoric for the combative prime minister, who seems to have calculated that a softer approach was the more politically expedient road to follow.

Whether it was the prospect of going down in history as the Israeli leader who missed the chance to free Shalit, the calculation of larger geopolitical changes in the region, or a mere reflection of public sentiment, Netanyahu has chosen a path that has taken him away from much of what he has spent decades preaching.

@highlight

Gilad Shalit has been held captive by Hamas since the summer of 2006

@highlight

Efforts to end his captivity have become a rallying cry for thousands of Israelis

@highlight

There is growing debate about the price Israel is willing to pay to free one soldier

@highlight

PM Benjamin Netanyahu once held a "no-concessions" stance on such deals