Washington (CNN) -- President Obama toasted a growing U.S. friendship with India at the first state dinner of his administration Tuesday, an evening of regal pageantry and symbolic politics in a tent on the White House South Lawn.

"To the future that beckons all of us," Obama said with glass raised toward his guest of honor, visiting Indian Prime Minister Manmohan Singh. "Let us answer its call. And let our two great nations realize all the triumphs and achievements that await us."

A tradition dating back to 1874, state dinners are the most treasured and formal honor a U.S. president can offer a foreign dignitary, and the most coveted invitation in Washington.

The Tuesday night dinner showed Obama's intention to signal strong ties with the world's largest democracy and go his own way in navigating the pomp and tradition of White House customs.

Traditionally, a new administration's first invitation goes to the leader of neighboring Canada or Mexico, though recent presidents also haven't followed that precedent.

The event planned by first lady Michelle Obama emphasized eco-friendly themes such as White House-grown herbs and lettuce served to guests and sustainably harvested magnolia branches -- from species native to both India and the United States -- in arrangements adorning the tent where more than 300 guests wearing tuxedos and gowns were wined, dined and entertained.

A White House document said common themes of state and official visits are "forging friendships, exchanging knowledge and building bridges that last for years."

In a toast that followed Obama's, Singh praised his host's leadership and prompted applause by citing the charm of the U.S. first lady.

Obama's election was "an inspiration to all those who cherish the values of diversity, democracy and equal opportunity," Singh said, adding that India "warmly applauded" the Nobel Peace Prize awarded Obama this year for "the healing touch you have provided and the power of your idealism and your vision."

"We need to find new pathways of international cooperation that respond more effectively to the grave challenges caused by the growing interdependence of nations," Singh said. "As two leading democracies, India and the United States must play a leading role in building a shared destiny for all humankind."

Obama, in a black tuxedo, and the first lady, in a dazzling cream gown with silver accents, greeted Singh and his wife, Gursharan Kaur, as they arrived, shaking hands on the White House steps and posing for pictures before leading their guests inside.

Guests in tuxedos and evening gowns streamed into the White House for the historic social event, passing a line of journalists. In one humorous mishap, the cummerbund of Sen. Bob Casey, a Pennsylvania Democrat, fell off as he and his wife walked in.

The guest list included political allies, a few opponents, celebrities and members of the Indian diplomatic community.

Secretary of State Hillary Clinton made the list, but not her husband, former President Bill Clinton. Democratic colleagues of the president including other Cabinet ministers, several senators and top aides made the list, including Sen. John Kerry of Massachusetts (but not his wife, Teresa Heinz Kerry), House Speaker Nancy Pelosi, Sen. Claire McCaskill of Missouri, White House Press Secretary Robert Gibbs and White House Budget Director Peter Orszag.

Ticker: See the list of expected attendees

A couple of Republicans also made it, notably Indiana Sen. Richard Lugar and Louisiana Gov. Bobby Jindal.

Celebrities included Hollywood director Steven Spielberg, actors Alfre Woodard and Blair Underwood, CBS News anchor Katie Couric and New York Times columnist Tom Friedman.

However, one name rumored to be included, but not appearing on the list, was Oprah Winfrey.

The dinner, in a tent set up on the White House South Lawn with a view of the Washington Monument, featured round tables for 10 set in resplendent colors -- apple green, ruby, gold -- with floral arrangements of roses, hydrangeas and sweet peas in plum, purple and fuchsia.

Place settings in fine china from three previous administrations -- Eisenhower, Clinton and George W. Bush -- were flanked by five pieces of silverware and crystal glasses. Place cards were in script -- "The President" and "Mrs. Obama" read two.

A seasonal menu reflecting both American and Indian flavors started with a potato and eggplant salad made with White House-grown arugula and accompanied by an onion seed vinaigrette, according to the White House.

Red lentil soup with fresh cheese followed, and then a choice of entrees -- roasted potato dumplings with tomato chutney, chick peas and okra for vegetarians, or green curry prawns, caramelized salsify and smoked collard greens.

Dessert was pumpkin pie tart and pear tatin with whipped cream and caramel sauce. Each course was paired with a different wine, all of American vintage.

The herbs and lettuces were harvested from the White House Kitchen Garden started by Michelle Obama, with honey from the White House beehive used to poach the dessert pears.

Entertainment was by jazz vocalist Kurt Elling, Grammy and Academy Award-winner Jennifer Hudson, the National Symphony Orchestra directed by award-winning composer Marvin Hamlisch, Academy Award-winning Indian musician and composer A.R. Rahman, and The President's Own United States Marine Band.

"It's not every day you get to sing at the White House or even get invited to the White House," said Hudson, who said she would dress in a purple and black gown "with the longest train I've ever worn" and sing standards including "The Very Thought of You," "What a Difference a Day Makes" and "Somewhere."

Veterans of state dinners said the planning for such a trend-setting event is meticulous.

"It's stressful, it's very stressful," said Lisa Caputo, a press secretary for Hillary Clinton when she was first lady. "What is the first lady going to wear? What will be served? How are the flower arrangements being done? There's a lot of protocol in terms of the serving line."

Every unit in the White House weighs in on the dinner's guest list, Caputo said, with a lot of thought going into who sits where.

"There's particular protocol in terms of who is seated at the president's table and the prime minister's table," Caputo said. "But don't forget that an enormous amount of thought goes into that with the White House social office and the president and first lady in terms of who will round out the appropriate table, who will get along with who, what will be the dynamics of each table.

"Yes, of course it's social, but, of course, there's business done," Caputo said.

The final list is ultimately decided by the president and the first lady, said Anita McBride, who was chief of staff for first lady Laura Bush.

"Of course, having friends and supporters is really important to share that kind of event, and it's also important for all the other guests that are there and the Indian members of the delegation to meet these people that are a cross-section of America," McBride said.

Amy Zantzinger, who was a social secretary for President George W. Bush, said all state dinners are different, and an administration's first one is a big one.

"First they'll bring the newness -- the newness of the whole day because it's their first big dinner," she said.

What makes a successful dinner? It's what you don't plan, Zantzinger said.

During a Reagan state dinner, Princess Diana and actor John Travolta took to the dance floor.

"What made it so special was that it was so absolutely spontaneous," she said. "You had one of the most beautiful women in the world and one of the best dancers in the world come together in this incredible place, and I think the spontaneity of it and the combination of the two of them was perfection."

CNN's Suzanne Malveaux, Samantha Hayes, Kiran Chetry, Ed Hornick, Becky Brittain and Tom Cohen contributed to this report.

@highlight

NEW: Obama toasts India prime minister, urges greater cooperation between two countries

@highlight

Tuesday's event is the first state dinner of Obama administration

@highlight

State dinners are deemed one of the most treasured and formal honors

@highlight

Menu includes greens from White House garden, honey from White House bees