NEW YORK (CNN) -- The National Transportation Safety Board and other agencies are investigating not only what went wrong, but also what went right Thursday when a US Airways flight ended in the Hudson River without any deaths or major injuries.

The aircraft remains in the Hudson River on Friday. Workers hope to lift it out Saturday morning.

"Having a successful ditching is a very rare event," Kitty Higgins of the NTSB said Friday.

"We'll not only celebrate what worked here, but also learn what worked. So many times you're only focused on what went wrong. A lot of things went right yesterday."

Divers struggled against strong currents and frigid water temperatures to retrieve critical pieces of the puzzle from the Hudson River, where US Airways flight 1549 ended up less than three minutes after it took off from New York's LaGuardia Airport Thursday afternoon.

The flight data and cockpit voice recorders -- both critical to determining exactly what happened -- remained attached to the tail section of the aircraft, which was still partially submerged but secured to moorings.  Watch a former pilot tell how to water-land a plane »

Workers will be at the site until midnight, rigging the aircraft so it can be lifted out Saturday morning, attached to a barge and moved to a secure location for investigation, Higgins said.

Both engines from the Airbus A320 double-engine jet were on the river bottom, after the water landing's impact apparently detached them from the plane. Authorities are using side-scan sonar to locate the engines, Higgins said. iReport.com: Were you there? Send images

The engines also will be brought in as part of the investigation into what happened, including the possibility of bird strikes.

"I don't want to characterize anything at this point about this particular accident because we are just at the beginning stages," Higgins said, adding that this accident would be the first "in a very long time" where possible bird strikes may have been a factor.  Watch water wash over the plane »

Meanwhile, passengers, city officials and aviation experts heaped praise on pilot Chesley B. "Sully" Sullenberger and his crew, as well as first responders who acted quickly to minimize passengers' injuries in below-freezing temperatures and frigid water.

The White House said President Bush called Sullenberger to praise him for "his heroic efforts to ensure the safety of his passengers and the people in the area."

New York Mayor Michael Bloomberg said Sullenberger executed an "incredibly skillful emergency landing." The pilot and crew of the flight will receive the key to the city, he told reporters Friday. "We typically like you to land at our airports," he joked, but said the water landing worked out with the best possible outcome.  Watch Bloomberg honor heroism »

"We saw a lot of heroism in the Hudson yesterday," Bloomberg said.

The mayor also gave certificates of appreciation to first responders who scrambled to help passengers to safety.

Shortly after the flight, bound for Charlotte, North Carolina, took off at 3:26 p.m. Thursday, passengers noticed quickly that something was awry.  See a map of the plane's flight path »

A source familiar with the situation told CNN that Sullenberger reported a double bird strike, which was taken to mean that birds were sucked into both the jet's engines. The FAA said witnesses reported seeing the plane hit a flock of birds.

Sullenberger was given clearance to return to LaGuardia for an emergency landing, a source said, but instead, he was forced to find someplace else to ditch the plane. In crowded New York City, the Hudson River provided the best option.  Watch how the landing and rescue happened »

After the plane came to a stop, passengers quickly got out, standing on the partially submerged wings or on the emergency exit chutes, which also serve as life rafts.

New York Waterway Capt. Vince Lombardi, operating a ferry in the Hudson, said he noticed something in the water as the boat pulled out of Pier 70.

"I said to my deck hand, 'That's an odd-looking boat,' " he told reporters Friday. "He said, 'I think that's an airplane.' "

The ferry headed straight for the plane, he said.

"I was a little overwhelmed and scared for the people. The water is about 32 degrees. The outside air temp was in the 20s. We were worried if we didn't get them out right away, there would be casualties."

As he arrived, he said, most passengers were calm, but some were cheering and crying. Some said, "Get me out of the water, please, I'm cold."  Watch a Coast Guard lieutenant talk about rescuing passengers »

Detective Michael Delaney, an NYPD diver, recalled seeing a woman in the water clinging to the side of a ferry "in obvious distress" when he arrived.

"We pretty much saw the distress that was in her face," he said. He and other divers pulled her off the side of the boat and swam her over to another boat and to safety, he said.

The New York Waterway ferry reached the scene in less than four minutes, city officials said at a news conference on Friday. The first ambulance reached the shore in a minute and 12 seconds. Other boats arrived at the plane within seven minutes.

About 25 people were treated at hospitals after the incident, but Bloomberg said Thursday there were no serious injures. Only a few people remained hospitalized Friday, according to the hospitals. They included a flight attendant with a deep laceration to her leg and a Coast Guard rescuer with a minor hematoma -- a localized swelling filled with blood. The flight attendant was in stable condition and the rescuer was in good condition. Most patients were treated and released, the hospitals said.

With the air and water temperatures at the time of the incident, people could remain in the water only two to three minutes before the onset of hypothermia, said John Peruggia, chief of emergency medical services for FDNY.

NTSB  investigators planned to speak with Sullenberger and his co-pilot on Saturday, Higgins said. The agency wants to speak with Sullenberger before the media, so he has not been made available to reporters.

NTSB investigators were interviewing other members of the flight crew Friday, Higgins said.

CNN's Mike Brooks, Jeanne Meserve, Richard Davis and Mike Ahlers contributed to this report.

@highlight

NEW: Agencies hope to learn from plane in Hudson, spokeswoman says

@highlight

NEW: Currents, cold temperatures hamper efforts to retrieve engines, flight data

@highlight

First responders receive certificates of appreciation from mayor

@highlight

Mayor says he'll give key to the city to pilot and crew