(CNN) -- Hey, young readers: Instead of another summer uttering the dreaded phrase "I'm bored," how about meeting a NASA astronaut or building a working potato cannon?

Maker Camp, which kicks off its second year on July 8, is different kind of summer camp for kids and teens. Instead of canoes and kickball, it has microcontrollers and robots. There are no bus rides or cabins; camp can take place anywhere there's a computer and an Internet connection.

The camp is a free, six-week online program inspired by the maker movement -- the trend toward do-it-yourself culture -- and run by Maker Media in collaboration with Google. Maker Media also publishes Make magazine and organizes the Maker Faires.

The virtual camp guides kids through daily DIY projects and connects campers to each other using the Google+ social network. Each week has a different theme, and kids are encouraged to share their creations and ask questions during daily video broadcasts.

The lifeblood of the camp are daily Google+ Hangouts where makers, counselors and other special guests lead young viewers through a project. The day's project and supply list is posted in the morning and the hangouts start at 11 a.m. PT (2 p.m. ET). Participants must be at least 13 to have a Google+ profile, but many parents of younger kids use their own log-ins and do the projects together. They can also be viewed on YouTube.

"It is like a camp. You go there, you choose an arts and crafts project or you choose archery and meet other people interested in the same things," said Maker Media founder and CEO Dale Dougherty.

This year, the camp will kick off with a live broadcast from the new Exploratorium science museum in San Francisco, where kids will learn how to build a motorboat made from a soda bottle. All the most popular projects from last year will be back, including robotic birds, intro to computer science and mold making.

The first week is all about motion, but there are also weeks dedicated to music, games and special effects, such as usingg make-up and arduino pieces (open-source electronics) to turn yourself into a cyborg. Other projects might tackle the growing field of 3-D printing, which employs computer models to replicate three-dimensional plastic objects.

On Fridays, the camp will broadcast from other locations for "field trips." Planned destinations this summer include the NASA Ames campus and a trip to see the Oracle Team USA's America's Cup racing yachts.

Hands-on education

The idea for Maker Camp originated with Google. Last spring, the company approached Dougherty with a detailed plan for a virtual camp where kids could participate in DIY projects from anywhere with an Internet connection. Google was looking for a project that would show-off the Google+ platform, specifically Google Hangouts.

Google is so involved with the camp that it has its name on all the Maker Camp branding, an unusual step for the company.

Aside from the promotional opportunities, both companies hope the free camp can encourage more kids to get into building, tinkering, hacking and crafting. From there, it could spread into schools.

"This will infect education," said Maker Media editorial director Ken Denmead. "There is a desperate desire and need for this stuff. People want this kind of creativity and building in education."

Maker Media is helping drive the burgeoning maker movement, and many educators are jumping on board. They see these hands-on projects as a way to get kids excited about science and technology, which is increasingly important as the U.S. works to produce more science, technology, engineering and math (STEM) professionals.

"It is a gateway to STEM, but we're not sitting there saying 'here's the velocity of a rocket,' " said Dougherty. "By having these experiences, they don't have in school, it encourages them to learn more about it."

Connecting kids over the Internet who are passionate about tinkering and science lets them know that they are not alone. But that doesn't mean campers don't get lonely.

This year organizers are branching out into real-world meet-ups by bringing kids together in their communities to form their own minicamp cells.

Last year, some librarians took it upon themselves to integrate the projects into their regular summer programming. This year, Maker Camp is doing an official affiliate program, working with 100 partners around the country. Each official partner gets a Maker Camp starter box filled with starter supplies, lesson materials and a guide. Organizers aren't sending out 3-D printers, but a surprising number of libraries already have their own 3-D printers up and running.

Carla Avitabile, the teen librarian at the Marin Country Free Library just north of San Francisco, is doing her second year of Maker Camp. She says the projects can teach basic skills that adults take for granted. While building pistons for a Diet Coke-and-Mentos project, she found some kids didn't know how to use a screwdriver.

Live from camp

Most of the sessions will be broadcast live on Google+ from the Maker Media headquarters in Sebastapol, California.

There is no TV crew or elaborate video set up for the broadcasts. The camp organizers say their target audience doesn't respond well to overproduced content, so they keep it simple and scrappy. A prefab studio has been set up on a grassy lawn behind the offices, a few steps away from the local community garden.

Some days the camp will broadcast live from the Maker Media lab, a minimaker heaven filled with every tool imaginable, including 3-D printers and CNC manufacturing machines. The lab is staffed by paid interns and employees, led by Maker lab supervisor Sam Freeman, who looks the part of a young mad scientist in his white lab coat. The crew builds and tests projects for the magazine, such as a hexacopter, a homemade Segway and a mini-Tesla coil.

A handful of librarians and former and future campers got a tour of the Maker Lab and studio and checked out one of last year's potato cannons, which were actually used to shoot ping pong balls for safety reasons.

"We won't be doing that at the library, but awesome," said librarian Lori Easterwood, who will be integrating Maker Camp into her summer program at the Sacramento Public Library.

Camper Zack, 13, is going to take part in the program for a second summer.

Inspired by last year, he's been working on a remote-operated vehicle that goes underwater and has a mounted camera. He hopes to finish it in time for his family's summer vacation so he can drop it into Clear Lake in north-central California.

"I want to see if there are any catfish down there," he said.

Wherever the campers are tuning in from, participation is key.

"This is definitely not computer camp. We don't want kids sitting in front of their computer," said Michelle Hlubinka, the Maker Camp education lead. "I'm always so sad about the kids spending their summer looking at a screen. We want them to go outside!"

@highlight

The Maker Camp kicks off its online summer camp for teens on July 8

@highlight

The camp is conducted over Google Hangouts and focuses on DIY projects

@highlight

Organizers hope the program will stimulate interest in technology, math and science