(CNN) -- The number of China's so-called "baby hatches" -- places where mothers can leave newborn babies anonymously -- is set to increase as the government tries to protect more of the country's abandoned infants.

The hatches, which were first introduced in Shijiazhuang, the capital of China's northeastern Hebei province in 2011, consist of a temperature-controlled room equipped with a baby's cradle and an incubator. Once dropped off anonymously, an alarm is sounded and a welfare worker attends to the child minutes later.

There are currently 25 baby hatches in 10 provinces across China, and the China Center for Children's Welfare and Adoption (CCCWA) told state media agency Xinhua that more will be set up, in a further 18 regions.

A Mr. Zhou from the Beijing Civil Affairs Department told CNN that they plan to open a baby hatch within the year and the project is one of the department's top priorities.

Children are often given up due to disability or severe illness -- largely to parents without the necessary means to provide for their offspring -- and historically, due to the sex of the child in a country where boys are traditionally favored and strict one-child policies have put pressure on families to produce male heirs.

While statistics point to a largely even split between boys and girls, almost all the infants given up at baby hatches suffer from disabilities or severe illness.

Proponents of the system say that the "baby safety islands", as they are officially known in China, significantly reduce the mortality rates of abandoned babies, providing a safe, warm environment with immediate care and improving on the wretched conditions that infants are often left in.

According to the code of conduct released by Ministry of Civil Affairs, the facilities should issue an announcement to look for the baby's parents. The baby will be adopted into a child welfare institution -- a state orphanage -- if it is not claimed by parents or legal guardians after the announcement has expired.

The baby hatch system is not without its detractors, however. Some in the country criticize the policy, saying that it could encourage parents to give up unwanted infants.

The practice is also used in various countries around the world, including in Europe. In countries like Germany "babyklappe" are also considered controversial -- and inhabiting a legal gray area thanks to new laws that protect children's rights to know their mother's identity -- but have been used relatively infrequently.

Since opening in late January, a baby hatch in the southern city of Guangzhou has received almost 80 infants, according to a Xinhua report cited in the party-funded English-language People's Daily.

A China National Radio report said a baby hatch in Nanjing was "crowded with visitors." The owner of a nearby convenience store told CNR that she saw parents drop babies off at the facility every day.

Li Bo, head of the CCCWA, says that there is no evidence to show that baby hatches lead to an increase in child abandonment, and that the service should be viewed as a practical move.

"Laws emphasize prevention, while baby hatches focus on rescue after the laws are broken," he said.

The original baby hatch in Shijiazhuang reported a comparable number of infants abandoned in 2009-10 to that recorded since the service was established in June 2011.

"I don't think the baby hatches would encourage people to abandon their babies," population expert at the University of Wisconsin-Madison Fuxian Yi said."Nanjing is an individual case. The story has been exaggerated. Its impact is waiting to be seen, it's too soon to judge."

The efficacy of the baby hatches aside, the number of abandoned infants in China does, for some critics, point to deficiencies in China's welfare system, especially for children born with illnesses or disabilities.

A comprehensive system that goes far beyond the immediate care offered by baby hatches should be a priority, according to Tong Lihua, who runs a Beijing legal aid and study center for adolescents.

"We need a comprehensive system to better protect them," he is quoted as saying. CCCWA's Li says a medical insurance system, reinforcing other support mechanisms, should be implemented.

Recent moves to relax China's strict one-child policy may also positively affect abandonment numbers in the country.

The program is attracting debate on Chinese social media as well. "It's good for the babies, but the most important issue now is where would they go when they grow up," said one Sina Weibo user.

"Is it a sign to legal[ize] abandoning babies?" asked another.

CNN's Dayu Zhang contributed to this report

@highlight

China's "baby hatches" provide a safe environment for people to anonymously abandon infants

@highlight

Supporters say the program significantly improves mortality rates of abandoned infants

@highlight

Some critics see hatches as band-aid to overall problems with China's welfare laws