(CNN) -- As recently as six years ago, it was conventional wisdom among lawyers, legislators and policy advocates that the states had no role in setting immigration policy. Since then, there has been a federalist revolution of historic proportions.

One-third of the states now mandate that some employers enroll in the federal employment verification program, E-Verify. Seven states require it of all but the smallest employers. Five have enacted policing laws similar to Arizona's SB 1070 that allow local police to inquire about the immigration status of people they stop for other reasons who they suspect are in the country illegally.

No wonder the Supreme Court is weighing in, hearing arguments this week on the Justice Department's challenge to SB 1070. Refereeing turf battles between Washington and the states is one of the court's first responsibilities.

But something is troubling. The court is considering and will eventually rule on one very particular, polarizing state stratagem. That doesn't come across as impartial refereeing. Whatever the outcome, it will feel like judges making policy -- either endorsing or outlawing police questions about immigration status. If the justices are going to encourage federalism, I'd like to see them encourage it more evenhandedly, opening the way to a broader array of state initiatives, including those that go beyond enforcement.

Those who want Washington to make immigration policy have a hundred years of history and a raft of persuasive arguments on their side. The Constitution reserves some powers for Congress: naturalization and, by extension, determining who and how many immigrants we admit. Federal law carves out other areas, including most worksite enforcement. And sheer practicality argues for one national policy on the border.

But after five years of federal paralysis, with Washington still unable to act to fix the immigration system, it's understandable that states have been taking matters into their own hands. The laws have come in waves: One state tries something, others follow.

The first waves were all enforcement measures: voters and lawmakers trying anything to get control, first by regulating landlords, then limiting hiring, then using local police and even public school teachers to inquire about people's immigration status. But recently, a handful of states have tried to go beyond enforcement.

Utah pioneered the new path. Three-part legislation passed in spring 2011 combined an Arizona-like policing measure with a state-run guest worker program to bring in legal workers from Mexico, plus an initiative to grant work permits to unauthorized immigrants already living and working in Utah. This year, lawmakers in five other states as different as Kansas, Oklahoma, New Mexico, Vermont and California floated similar worker authorization bills. Legislators in many states express interest in guest worker programs. It's not just immigrant rights advocates who are driving the measures -- many are backed by surprising coalitions.

In some instances, business is engaged. Even in the downturn, farmers, nonfarm seasonal employers and other industries that rely on physical labor need immigrants to do jobs for which there are few willing and able Americans. In some states, the sponsors are pragmatic conservatives. Republican state Sen. Curt Bramble of Utah is as eager as Arizona's enforcement-minded sheriffs to get control of illegal immigration.

But Bramble believes it will take a combination of enforcement and realism about the unauthorized population. "Most aren't going home," he says, "no matter what we do. And the states are stuck with the costs. We have to educate, medicate and incarcerate them. But we can't let them work. It's the biggest unfunded mandate in history."

What's different in the states is that this kind of pragmatism can break through, and lawmakers aren't afraid to try experiments, even unlikely bipartisan experiments like Utah's worker authorization program.

The problem for Utah is that the Obama administration, determined to limit states' rights and keep the lid on state immigration enforcement, hasn't let the state implement any of its initiatives. Unlike states pursuing enforcement alone, states seeking to combine enforcement with other measures can't simply take matters into their own hands.

A state-run guest worker program can't bring legal workers across the border without cooperation from federal authorities. And without permission from Washington, a state-run worker authorization initiative would leave employers and employees dangerously vulnerable to federal immigration enforcement.

The result is a dramatic asymmetry in the experiments in immigration policy being conducted in the laboratories of democracy. It's no accident that the Supreme Court, which many observers see as inclined to encourage state initiatives, is about to consider the merits of yet another enforcement measure.

How do we get off this narrow path? How do we break the logjam where Congress is paralyzed, creative state lawmakers are stymied and the only people implementing new immigration policy are those seeking to use draconian enforcement to drive immigrants out of the United States -- a theory known as attrition through enforcement?

Personally, I hope the Supreme Court will strike down the Arizona law and put the responsibility back on Congress' shoulders. But if it doesn't -- if the justices decide to empower the states -- I hope they and the administration will open the door as widely as possible, with the court ruling broadly to free the states, and the administration cooperating with some constructive state experiments.

As many state lawmakers are starting to grasp, the best antidote to illegal immigration is a legal immigration system that works. Let them experiment -- as freely as possible. Over time, their experimentation just may point the way for Congress.

The opinions expressed in this commentary are solely those of Tamar Jacoby

@highlight

Tamar Jacoby: In recent years many states have taken issue of immigration into their own hands

@highlight

She says when Supreme Court rules on SB 1070 it will be making a judgment on federalism

@highlight

She says states that have tried pragmatic approaches run up against federal immigration law

@highlight

Jacoby: SB 1070 should fall, but if not, ruling should let states experiment on immigration policy