(CNN) -- Things have never been more exciting in Africa than they are now. The continent's rising economy and burgeoning tech space is all anyone can talk about. At a recent South by Southwest panel, "Africa or Bust! Content, Monetization, Opportunity," it was made clear that mobile and connectivity is also changing the content game.

Reportedly, around 140 million people in Africa have access to the internet, which represents about 13% of the population. That number is set to explode in the next few years. By 2020, internet penetration in sub-Saharan Africa is expected to reach 24.7%.

Read also: 'Africa's tallest building' set for $10 billion tech city

For Africans, the internet is not just a way to connect with the rest of the world, or even with friends -- it's a content enabler. It is also a commerce facilitator. The African consumer is on the rise; they are hungry for interaction, hungry for e-commerce purchases and they are hungry for content.

As a society, Africa is learning what it means to spend money on content delivered via a mobile device and computer screens, especially content that is designed for the continent. Large numbers of devices are shipped into the continent from the United States and Asia annually helping grow this new taste for spending.

"Africans want their own content, content that's by them and for them ... There is a lot of cool stuff happening in this space," said Richard Essex, partner in East Africa Capital Partners, quoted in the Financial Times last month.

According to a Nielsen report, mobile video is increasingly popular in emerging market regions such as Africa. That report stated: "Mobile video is particularly prominent in Asia-Pacific and Middle East/African regions, where 74 and 72% of online consumers, respectively, report watching video on mobile phones at least once a month, and almost 40% (38% and 37%, respectively) say they do so at least once a day."

Africa's biggest play into online content consumption to date is iROKO Partners, a platform that provides Nigerians in the diaspora with Nollywood films. Dubbed "Africa's Netflix," the company is streaming not just movies but also music through its iRoking music-streaming platform.

The success of iROKO has given rise to a new breed of consumer. These are people who've found that now that content comes to them, they are interested in having access to it.

Currently iROKO delivers Nigerian content to the world but what about the rest of Africa?

Read also: 'Netflix of Africa' brings Nollywood to world

Africans in the diaspora aren't exposed to other content from the continent and somehow it seems that the rest of Africa isn't producing the same addictive content as the rest of the world.

Southern Africa is catching up and getting ready to begin providing content to Africans in the diaspora. Wabona is a new startup hoping to replicate the success of iROKO by building its own online pay-per-view video streaming service designed to deliver African and international video content to the African Diaspora and Africa as a whole.

Content is everything and technology is its biggest enabler. One of the key factors that have been identified about mobile devices is their role in content creation. Focused on local made-for-mobile content, Bozza is a South Africa-based startup that provides an application that offers artists, filmmakers and entrepreneurs a mobile platform through which to distribute their content.

According to Bozza, its mission is to connect content and technology in Africa. Its website states that: "Content drives the uptake of technology; yet despite the global increase and focus on the value of content, there continues to be a lack of locally generated, contextually relevant content for the African market."

The African consumer gets it as well. Mobile social networks like Mxit and 2Go understand the importance of content. Partnerships are beginning to emerge between the platforms and the content providers. Mxit has created a movie portal that allows its users to watch feature-length pieces in five to six parts.

Read also: Mxit: South Africa's Facebook beater

According to former Mxit CEO Alan Knott-Craig, Africans are so hungry for content that those of them that have not previously had access to free content online are more willing and likely to pay for it that those with more access and means.

Pushing African content at this moment is a very critical phase in Africa's rise to join the ongoing tech revolution.

The opinions expressed in this commentary are solely those of Michelle Atagana.

@highlight

For Africans, the internet is a content enabler, writes Michelle Atagana

@highlight

Africans in the diaspora are underexposed to content from the continent, she says

@highlight

Bozza, iROKO and Wabona are startups distributing African content online