Washington (CNN) -- President Barack Obama's State of the Union address and the traditional post-speech road trip were designed to boost both his agenda and Democratic chances in this difficult election year.

But there were instant reminders of the tough terrain, and internal Democratic jitters: The Democratic candidate for governor of Wisconsin was nowhere to be found when the President visited; that after several vulnerable Senate Democrats publicly tried to create distance between their re-election bids and Obama.

Obama State of the Union themes are Democrats' 2014 playbook

And then, this, in an exclusive conversation with CNN's Jake Tapper:

Tapper: "It's possible that you might be able to get an immigration reform bill on your desk that has legal status for the millions of undocumented workers who are in this country, but not citizenship.

Would you veto that?"

Obama: "Well, you know, I'm not going to prejudge what gets to my desk."

CNN exclusive: Obama says he's not recalibrating expectations

On its own, maybe that's just a conciliatory tone so as not to become part of the GOP's debate about immigration.

But the timing makes the President's open mind more significant.

House Democratic Leader Nancy Pelosi just Wednesday said of the immigration debate: "In our caucus there has to be a path of citizenship."

And speaking to The Washington Post, AFL-CIO President Richard Trumka, whose unions are vital to Democratic midterm campaign chances, said of a GOP plan that provides legal status but not a guaranteed path to citizenship for illegal immigrants: "It's a joke. It's a hoax, is what it is. It's like fool's gold."

So Obama is now on record saying he won't prejudge an idea that is a nonstarter to the top House Democrat and a "joke" to organized labor. And he is not only at odds with those two traditional allies -- he is at odds with himself.

A year ago, speaking in Las Vegas, the President laid out his bottom line: "For comprehensive immigration reform to work, it must be clear from the outset that there is a pathway to citizenship," he said then.

The President's refusal to draw a veto line on the citizenship question will make his liberal base anxious, and those tensions could hurt in an election year.

Frustrated liberals start to look beyond Obama

But whether liberal disappointment now turns into a political problem closer to Election Day depends in large part on whether Republicans can test the President's openness by getting a bill to his desk.

And that remains a giant question mark.

Speaker John Boehner wants the House to pass, in several pieces, immigration changes that would include citizenship for so-called "Dreamers" -- younger undocumented people who were brought illegally into the United States by their parents -- but guarantee only legal status for older undocumented individuals.

House Republican leaders unveil immigration standards

If the House were to act, it would then need to try to reconcile its ideas with already passed Senate legislation. Democrats control the Senate, and finding common ground, again assuming the House acts, likely would prove difficult.

But, for now, the biggest question is whether the House will act.

Boehner not only believes the changes are good economic policy, he also is trying to help his party deal with a Latino voter crisis that significantly complicates any Republican White House aspirations.

But many Republican members of Congress are worried more about their 2014 races and angering the conservative base, whose turnout is critical in the midterm environment.

Most House Republicans believe any immigration debate distracts attention from Obamacare. And on the Senate side, there is less urgency as well because of the states the GOP is targeting in its effort to retake control.

The 11 seats now held by Democrats that are the top GOP targets have relatively small Latino populations. But in each of those, conservative GOP base turnout would be critical if the race is close come November.

The speaker understands that he is at center stage at the moment, and that any chance to see the Democratic immigration tensions in full force depends on whether the House can first advance something meaningful.

"It's been turned into a political football," the speaker said Thursday of the immigration debate. "So I think it is time to deal with it. But how we deal with it is going to be critically important."

@highlight

Several vulnerable Democrats put distance between themselves and Obama

@highlight

Progressives, labor say Republicans' immigration principals come up short

@highlight

A year ago, Obama said there would be no reform without pathway to citizenship

@highlight

Immigration has been turned into a "political football," Speaker Boehner says