(CNN) -- A California music teacher's insanely elaborate "Star Wars" themed Christmas lights show is dazzling the Internet with its lightsabers and some 100,000 lights choreographed to songs from the movies.

Tom BetGeorge, whose display was featured on a recent episode of ABC's "The Great Christmas Light Fight," even made massive instruments that play real notes, according to his YouTube description. He said he uses the display to raise money for the poor and homeless through his church.

There's something about Christmas that brings out people's whimsical sides. Besides BetGeorge, we've come across some men and women whose traditions were so delightful we couldn't help but wish we were spending the holiday season at their homes. Vote for your favorite at the bottom, and hear why they go to such lengths to celebrate:

To bring joy to the neighbors

Kevin Lynch, a retired firefighter in Queens and last year's winner of "The Great Christmas Light Fight," covers his house and lawn with more than 300 giant plastic figures, 100 animated characters and 300,000 lights to entertain the masses. He even hired an electrician to install 30 outlets outside his house and on the roof, specifically to support his obsession.

He thoughtfully buries the power cords underground so no one admiring the display will get hurt. Lynch says the greatest part of his elaborate display is the people who come to see it.

"The joy and the happiness it brings to little kids and adults is fantastic," Lynch said. After 18 years of decorating, the retired New York City firefighter has no plans to stop. "It's a tradition. If I don't put the lights up, I will have thousands of people ringing the bell thinking someone died."

Don't bother asking him how much his electric bill runs. He'll only tell you if you agree to pay it.

To enjoy nostalgia at its best

The cuteness! How can you not smile when you look at the '50s and '60s elves, pixies and reindeer in Amalia Martinez's San Francisco apartment. She and her fiance have spent the past six years collecting dozens of vintage Christmas decorations to dress up their abode, which they call "Popville," a reference to Andy Warhol's factory. The aluminum tree is illuminated by a bright rotating color wheel, and the big-eyed Blythe dolls get to have their very own tree.

To channel his inner child

Nick Sweetman, a chef in Plymouth, United Kingdom, played with Legos as a child and forgot about them until he started helping his son build sets people had given him. He has since become a bit of a celebrity on the AFOL (Adult Fan of Legos) scene, recently winning a national award for building a Star Wars world in Lego.

His Christmas displays have gotten bigger and bigger each year. This year, he told us he's working on a fully lit English fishing village.

Here, we get a peek inside the International Training Centre of Santa Skills (training begins tomorrow).

To entertain his grandchildren, and the kid at heart in all of us

For the past several years, Maury Fisher has decorated the center of the Christmas Eve dining table with an elaborate model train display that moves, with specialized sound effects. Fisher is a 64-year-old computer technician and grandfather of four in Highland Park, Illinois.

This year's display features 11 tracks on which 17 rail lines run at the same time, including two separate Hanukkah lines. In all, there are more than 130 train cars on display.

"It is my holiday endeavor to bring a smile to everyone appealing to the kids at heart in all of us," Fisher said, "notwithstanding the severity of the news from all over the world."

To indulge her love of kitsch

Jennifer Perkins, a crafting and lifestyle blogger in Austin, Texas, loves neon, glitter and all things sparkly. For Christmas, she's got 15 silver aluminum tinsel trees, along with pink, teal, gold and red varieties.

She also has a tree decorated entirely with a collection of vintage Fisher-Price toys.

"I always say people should not take home decorating too seriously. Stay away from trends and follow your gut," she said. "Same holds true when decorating for the holidays. If you want a 7.5-foot tall hot pink tree with a topper that looks like a headdress for a Vegas showgirl then go for it. Santa does not discriminate based on tree color."

To preserve a bit of Christmas history

In Scott Luedtke's Wisconsin house, you'll find at least one tree (or two or seven) in every room. There's the American tree with Shiny-Brite ornaments from the World War II era, a Jewel Brite tree with plastic diorama ornaments from the 1960s, a family tree with photos of ancestors, and the piÃ¨ce de rÃ©sistance, a balsam or a Fraser fir holding thousands of vintage and antique ornaments from Europe.

Luedtke, an antique dealer and interior decorator, started collecting as a child when his babysitter's grandparents moved to an apartment and were throwing out all their Christmas decorations. He and his partner typically hold several open houses for friends and family who love to share the spirit of the season.

"For me it isn't about showing off the collection. It is about the opening of the memories that many people recall of Christmases of their past, some long forgotten," said Luedtke, an active member of the Golden Glow of Christmas Past, an international organization of vintage Christmas collectors. "It brings a smile to my face every time someone says, 'Oh I haven't seen one of those in years,' or 'We had that as a child growing up.' "

To buck tradition

Sherri Aguilar, 61, can't quite explain why, but for the last 27 years she has hung her live Christmas tree upside down from the ceiling. The San Diego native attaches the tree with eye bolts and uses a staple gun to get the gift bags and presents to stay.

"The best tree to use for the upside down tree is a 4-foot noble pine or noble fir, because the branches stick out very straight," she said. "Do the lights on it first before the ornaments, or you will just end up crying."

To carry on her grandfather's legacy

Megan Venable's grandfather played Santa Claus in the annual Knoxville, Tennessee, Christmas parade until his death in 1972, and after he died, someone gave her grandmother a Santa figurine. Over the years, more and more Santas arrived, and after her grandmother's death in 2003, the family decided Venable should be the one to keep the tradition going.

Each season, Venable lovingly replaces the books on all her shelves with more than 200 Santa Claus figures. Among her collection are old-fashioned clothespins painted like Santa, a Santa piggy bank and some very hard to find Santa Mardi Gras beads.

"I saw a man on a float with Santa Claus Mardi Gras beads -- the float had stalled in front of me and I got his attention and he gave them to me," Venable said. "I cried I was so excited."

To make her students laugh

School bus driver Maureen Moore entertains her young passengers in Cornwall, New York, with her ever-changing hat collection. "Some of the hats light up, some of them move and play music, and some are just plain cute," said Moore, whose collection numbers about 30.

She wears a different Christmas hat every morning and every afternoon starting after Thanksgiving and posts short videos on YouTube each day explaining her choices.

.

.

@highlight

These people go all out for Christmas

@highlight

They love sharing the magic of the holiday with their friends and family

@highlight

Which tradition is your favorite? Vote below.