TEHRAN, Iran (CNN) -- Security forces wielding clubs and firing weapons beat back hundreds of would-be demonstrators who had flocked to a square in the capital on Wednesday to continue protests against an election they have denounced as fraudulent, witnesses told CNN.

Hard-line Iranian students mock British, U.S. and Israeli flags outside the British Embassy in Tehran on Tuesday.

"They were waiting for us," one source said. "They all have guns and riot uniforms. It was like a mouse trap."

Another witness told CNN that hundreds of people were chased by security forces and clubbed about a mile from the square.

They were among the more than half a dozen witnesses who told CNN that security forces outnumbering protesters used overwhelming force to crush a planned demonstration in Baharestan Square, in front of the parliament building. The witnesses said police charged against the demonstrators, striking them with batons, beating women and old men and firing weapons into the air in order to disperse them.

The melee extended beyond the square, according to one woman, who told CNN that she was traveling toward Baharestan with her friends as evening approached "to express our opposition to these killings these days and demanding freedom.

"But the black-clad police, they stopped everyone. They emptied buses that were taking people there and let the private cars go on ... and then, all of a sudden, some 500 people with clubs of wood, they came out of the Hedayat Mosque and they poured into the streets and they started beating everyone."

People were heard yelling "Death to the Dictatorship, Death to Ahmadinejad, Death to Khamanei and Death to Basiji," she said.

Government-run Press TV gave a starkly different account, saying only about 200 protesters had gathered in front of the parliament and 50 others in a nearby square -- all were dispersed by security forces.

"A heavy presence of police prevented violence in the area," Press TV said.  Watch an Ahmadinejad supporter describe the protests »

At the nearby Bank of Melli hospital, a person who answered the phone said no one had been admitted as a result of any clashes.

The number of demonstrators who ventured into the streets of Tehran appeared to have fallen since Sunday, said CNN's Reza Sayah, who flew Wednesday to the United States from Tehran.

He said exhaustion after eight consecutive days of massive protests may have combined with fear of government reprisals to limit the number of protesters.

The key to what happens next, he said, depends on what role is assumed by Mir Hossein Moussavi, whose supporters say was robbed of a victory in the June 12 elections.

Wednesday's protests came as Iranian President Mahmoud Ahmadinejad met in Tehran with a delegation from Belarus in his first official meeting since the disputed June 12 election triggered widespread unrest. The official results of the election gave the incumbent president a landslide victory, but his challengers have declared it was rigged and are seeking a new vote.

Ahmadinejad's claim of victory got renewed support from Ayatollah Ali Khamenei, Iran's supreme leader, who endorsed the results and reiterated Wednesday that the government will not back down. Demonstrators must follow the law, he said.

According to official figures, 17 people have been killed in clashes with government forces over the past 11 days. Anti-government demonstrators have taken to the streets in at least four cities outside Tehran.

But CNN has received unconfirmed reports of as many as 150 deaths related to the popular uprising. The government's response to it appears to have hardened in recent days. CNN has received numerous accounts of night-time roundups by government forces of opposition activists and international journalists from their homes.

Some Tehran residents said they were too afraid to talk about the political crisis over the phone to anyone in the United States or Europe. Many protesters debated whether to venture into the streets.

"I am not going outside my house at all," a 21-year-old college student from Tehran said. "The streets are too dangerous, and just so very busy with police. Ahhhh, when will our lives get back to normal?"

Worried the government was monitoring their phone conversations, some residents said the Internet was the best way to transmit information. However, the spotty connection made it difficult to rely on the Web.

"It's beyond fear," said a woman who arrived at a U.S. airport from Iran, but still did not want her name used for fear for her safety. "The situation is more like terror."  Watch arrivals describe the situation »

Khamenei urged parliamentarians Wednesday to tolerate the voices of the opposition, government-run Press TV reported.

Khamenei made the remarks to a group of lawmakers in Tehran, Press TV said.

But Khamenei added that the Islamic establishment and people "will never give in to coercive demands with regards to Iran's presidential elections," Press TV said.

The newscast added that a spokesman for the Guardian Council, which oversees elections, had declared that "no major irregularities took place" in the elections.

Though "minor irregularities" were found, they were not significant enough to change the results, the council spokesman said, according to Press TV.

Iran's ambassador to Mexico defended his country's actions, saying Wednesday that the anti-government protesters represent but a small minority of the nation.

"The minority can't impose their opinion on the majority," Mohammad Hassan Ghadiri told CNN en Español. "They can't impose a dictatorship saying that the majority is not going to govern."

There are acceptable ways of addressing electoral fraud, if any occurred, he said. "But they go out on the street, they attack buses, they attack banks; that affects the security of the country."

Asked why the government has made it impossible for nearly all international journalists to report from Iran, he accused the media of not accurately reporting events. "In Tehran, there were much bigger demonstrations in favor of the government that you didn't report about," he said.

Asked about the shooting of 26-year-old Neda Agha-Soltan, whose death, captured on video, has become emblematic of the crackdown on protesters, he said, "It is not clear who killed whom."

"Terrorists" were among the demonstrators, he said. "Some armed people have attacked police. ... Naturally, we have to respond."

"We do not beat up our people and we do not kill them," he said in a separate interview with CNN International.

Iran said the Agha-Soltan might have been shot by "mistake," the state-run Islamic Republic News Agency reported Wednesday.

The report said the investigation into the death of Agha-Soltan is continuing, "but according to the evidence so far, it could be said that she was killed by mistake. The marksmen had mistaken her for the sister of one of the Monafeghin who had been executed in the Province of Mazandaran some time ago."

Monafeghin refers to the People's Mujahedin Organization of Iran, which promotes a Marxist government for Iran and has waged a campaign against the fundamentalist Islamic Tehran government -- including bombings that killed politicians, judges and cabinet members.

Meanwhile, Iranian authorities said they have arrested several foreign nationals, some with British passports, in connection with the country's post-election unrest.

Intelligence Minister Gholamhossein Mohseni-Ezhei told reporters that some people with links to the West and Israel had planned a series of bombings in Iran ahead of the June 12 election, the government-funded Press TV reported Wednesday.

"England is among the countries that fan the flames with their heavy propaganda, which is against all diplomatic norms," Mohseni-Ezhei was quoted as saying by the semi-official Fars news agency. "And the BBC Farsi has also played a major role. Also, a number of people carrying British passports have played a role in the recent disturbances."  Watch a report on Iran's history with the West »

The British Foreign Office said it was looking into the claims.

Earlier Wednesday, Press TV said police raided a building in central Tehran used as a "headquarters" to foment post-election unrest.

The television station, citing unnamed sources, said the building was used by campaign staffers of opposition leader Mir Hossein Moussavi. And evidence indicated that "foreign elements" were behind the planning, Press TV said.

The Iranian government has long blamed other countries, especially Britain, for "meddling" in its affairs but has offered no proof.

Tehran said Wednesday it was temporarily recalling its ambassador from London, another move in escalating tit-for-tat gestures between the governments. On Tuesday, Britain expelled two Iranian diplomats. A day earlier, Iran told two British diplomats to leave.

The difficulty in getting information has been compounded by a government clampdown on representatives of the international news media, who have been banned from covering protests. That has led some news outlets including CNN to rely on information from people who are disseminating information via social networking Web sites.

According to Reporters Without Borders, 36 journalists have been arrested, 26 of them Iranian, since the election and "many others" are missing.

@highlight

NEW: Khamenei: Islamic establishment "will never give in to coercive demands"

@highlight

NEW: Iran's ambassador to Mexico says protesters want to "impose a dictatorship"

@highlight

"They were waiting for us," one protester says of security forces

@highlight

Troops beat demonstrators in Tehran square, sources say