Hong Kong (CNN) -- Tens of thousands of people are fleeing violence in Myanmar only to be robbed, beaten and starved on boats helmed by human traffickers, according to a new report from the United Nations Refugee Agency.

In the 12 months to June, around 53,000 people left ports in the Myanmar-Bangladesh border area -- 61% more than the previous year -- many with the hope of reaching family in Malaysia, according to the report "Irregular Maritime Movements."

They paid between $50 and $300 to board boats carrying up to 700 passengers, some manned by armed guards, many of whom doled out verbal abuse or beatings to prevent their human cargo from moving around.

Some passengers were fed rice and noodles, while others received nothing at all on journeys lasting anywhere from seven days to two months, the report said.

More than 200 people are thought to have died making the trip so far this year, due to illness, heat, lack of food and water, and severe beatings.

However, the number of people who have perished at sea appears to have fallen over the past year, the report noted, after people smugglers hired bigger, more seaworthy vessels.

Persecution in Myanmar

That so many people, the vast majority Rohingya Muslims, are rushing to flee the country is a scathing indictment of the conditions they're being forced to endure in Myanmar, or Burma, as it's also known.

Of around 800,000 Rohingya Muslims living in Rakhine State, violence has pushed around 140,000 into temporary camps, while another 40,000 are effectively detained in isolated villages, according to Human Rights Watch.

"It's a humanitarian disaster," said HRW's Phil Robertson, who said conditions had worsened, especially since February, when the government barred international aid group Medecins Sans Frontieres (MSF) from working in Rakhine State.

The ban was lifted in late July but aid is yet to reach tens of thousands of people, many who are hungry and suffering preventable illnesses in crowded, unhygienic camps.

"What you're seeing is people who are leaving Rakhine State with very frail health to start with; people who have been in these camps and face the slow deprivation of food and basic medical services to the point that they're already weakened," Robertson said.

"They're getting on these boats, and these boats are landing in Thailand, and they're being put in jungle camps where they're on starvation rations unless their relatives can find exorbitant fees that the traffickers are demanding to release them and send them onto Malaysia."

The U.N. report said upon arrival in Thailand, new arrivals said they were driven through the night in pickups with 15 to 20 other people who were forced to sit or lie on top of one another.

They were then taken to camps where hundreds of people, including women and children, were held while smugglers phoned family members abroad, demanding more money for their loved ones' safe passage to Malaysia.

Demands "were accompanied by threats or, when payment was not immediate, severe beating and prolonged detention in a smugglers' camp for up to six months," the report said.

Malnourished in Malaysia

As many as 38,000 people had registered as Rohingya in Malaysia, the report said, noting that since 2013, many had arrived with serious medical conditions.

In the first half of this year, more than 140 people had been diagnosed with beriberi, a condition caused by severe malnutrition and vitamin B deficiency, which can cause paralysis and death. That's 12 times the number diagnosed in the previous 14 months.

"They have faced deprivation, abuse and suffering every step of their way as they try to flee the predations of the Burmese government, and the local state government and the Rakhine state government," Robertson said.

Myanmar doesn't recognize the Rohingya as citizens or as one of the predominantly Buddhist country's ethnic minorities.

"I think the international community really has to push very hard on the Burmese government to accept the reality that these people should be considered citizens of Burma.

"For the government of Burma to maintain this fiction that somehow these are recently arrived migrants from India or from Bangladesh is absolutely unconscionable," Robertson added.

In a statement following their five-day visit to Myanmar last week, two commissioners from the U.S. Commission on Religious Freedom said they were "deeply troubled by reports we received of abuses against the Rohingya Muslim community in Rakhine State."

"No impartial observers question reports of systematic, large-scale and egregious abuses of human rights of this community involving acts and omissions resulting in deaths, injuries, displacement, denial of basic health and other services, denial of freedom of movement, and denial of the right to a nationality, among other violations," said Commissioners M. Zudhi Jasser and Eric P. Schwartz.

In the past few years, Myanmar's new leadership under President Thein Sein has won praise for its efforts to open the once reclusive country to foreign influences and trade. However its treatment of the Rohingya continues to cloud its stated commitment to improving human rights.

@highlight

More than 50,000 people have fled Myanmar-Bangladesh border ports

@highlight

U.N. report details abuse, starvation and cramped conditions on boats

@highlight

Many fleeing are Rohingya Muslims who are being persecuted in Myanmar

@highlight

Around 140,000 are living in camps where supplies have run out