Washington (CNN) -- For National Rifle Association Vice President Wayne LaPierre and many other pro-gun Americans, the task is clear: The best way to protect children from becoming victims of a slaughter like the one seen last week in Newtown, Connecticut, is to make sure every school in America has "qualified armed security."

For President Barack Obama, many Democratic leaders and a slight majority of the American public, the solution starts with tougher legislation on assault weapons, universal background checks and limits on high-capacity magazines, the first steps needed to begin to make it harder to get at the kinds of firearms that kill thousands of Americans each year.

Both sides are so vested in intractable arguments that there is little room for political common ground. While both sides share a desire to keep children safe, it's like they are living in two different worlds.

On one side, the gun rights advocates argue that a well-armed populace can best defend the innocent. They say that if the teachers at Sandy Hook Elementary School were armed -- or if there were armed security at the front door -- fewer lives would have been lost.

On the other side, the gun control advocates are fighting to protect lives by limiting access to guns. They say that if the weapons used in the Newtown massacre weren't so readily available -- there are at least 310 million non-military firearms in the U.S. today -- then the 27 people who were murdered might still be alive.

"It's hard for people to come to the table to at least talk about it," said Alan Lizotte, dean and professor at the State University of New York at Albany's School of Criminal Justice.

Why would someone own a military-style rifle?

It took the NRA -- the nation's most politically powerful gun lobby that boasts 4.3 million members -- one week and a bizarre press conference-turned-one-way-announcement to do just that.

Where some may have hoped for concessions on the NRA's staunch pro-gun, guns-don't-kill-people-people-kill-people stance, the NRA stayed the course, and even doubled down. They offered no willingness to consider any of the proposals offered this week to amend gun laws including limiting access to assault weapons, requiring universal background checks, limiting sales at gun shows and increasing the use of trigger locks.

Instead, the group pointed to media sensationalism, violent video games, gun-free zones in schools, the failure to enforce gun laws already on the books, issues with the nation's mental health system and other societal problems as feeding the spate of gun violence.

NRA clear on gun debate stance: arm schools

They then announced a new national program to train and arm thousands of armed security to be stationed at each of the nation's nearly 100,000 public and 33,000 private schools. They point to the fact that Sandy Hook Elementary School -- and most other schools in America -- are considered gun-free zones as a reason why it was easily attacked.

Policies banning guns at schools create a place that "insane killers" consider "the safest place to inflict maximum mayhem with minimum risk," LaPierre, said Friday. LaPierre said U.S. society has left children "utterly defenseless."

"The only thing that stops a bad guy with a gun is a good guy with a gun," he said.

The organization also indicated that it would push back against a growing legislative movement to introduce or, in some cases, reintroduce gun control legislation.

"We can't lose precious time debating legislation that won't work," LaPierre said.

The NRA's hard line came in stark contrast to President Obama's own plan after the Newtown shooting.

The list: Despite emotions, little happens legislatively after mass shootings

Obama appealed to the pro-gun lobby who he said "has members who are mothers and fathers" likely impacted by the shooting. But then he also invited them to "do some self-reflection."

Authorities must work to make "access to mental health care at least as easy as access to a gun," and the country needs to tackle a "culture that all too often glorifies guns and violence," he said.

Obama tapped Vice President Joe Biden to lead an administration effort to develop recommendations in January for preventing another tragedy like the Newtown school shooting.

"This is not some Washington commission. This is not something where folks are going to be studying the issue for six months and publishing a report that gets read and then pushed aside," Obama said Wednesday. "This is a team that has a very specific task to pull together real reforms right now."

Across the rest of the nation, attitudes about guns appear to be changing.

A CNN/ORC International poll released Wednesday indicated that a slight majority now favor major restrictions on owning guns or an outright ban on gun ownership by ordinary citizens and more than 6 in 10 favor a ban on semi-automatic assault rifles.

iReport: NRA member cuts up card in protest

Forty-three percent said the shootings in Connecticut make them more likely to support gun control laws, a 15-point increase from January 2011 following the Arizona gun rampage that wounded U.S. Rep. Gabrielle Giffords. Half of those questioned said the school shootings have not changed their opinions on gun control, down 19 points from January 2011.

But there's an ocean of difference between the two sides, a gulf broadened by heated rhetoric and an almost singular focus on being "right."

NRA comments draw swift opposition in reactions

While gun control advocate New York Mayor Michael Bloomberg called the NRA's stance "a shameful evasion of the crisis facing our country," gun rights proponent and economist John Lott applauded the group for "coming out strongly questioning these gun free zones."

Connecticut senator-elect Chris Murphy tweeted his disgust after seeing the NRA's statement: "Walking out of another funeral and was handed the NRA transcript. The most revolting, tone deaf statement I've ever seen," he said on Twitter.

Former Republican National Committee Chairman and NRA supporter Michael Steele called the NRA's remarks "very haunting and very disturbing."

New Jersey Gov. Chris Christie, considered by some as a potential 2016 Republican presidential candidate, also disagreed with the NRA's position. "You don't want to make this an armed camp for kids," he said at an event in Newark Friday morning. "I don't think that's a positive example for children. We should be able to figure out other ways to enhance safety."

The differences both in perspective and approach couldn't be more divergent, folks on both sides of the issue point out.

"I think that people are hard wired differently. If you look at the world as a beautiful place and I'm in the arts, I'm a composer, I write music, I write poetry, if you believe the world's a beautiful place, your viewpoint is different than if you feel 'I have to have my guns to protect myself,' " said Hollis Thoms, 64, from Annapolis, Maryland, as he protested outside of the Willard InterContinental Hotel just after the NRA's press conference.

That's exactly the type of rhetoric that baffles Paul Martin, who commented on CNN.com.

"I am a gun owner. I would be in favor of a ban on assault type weapons, and limiting magazines to a max of 10 rounds. It's the crazies that say 'ban all weapons' that make me nervous about giving any ground at all," Martin wrote.

"Approach it reasonably, with assurances that you won't go bonkers and demand a total ban, and you might make progress. Approach it just from anger and you will be fought all the way."

Opinion: Madness in the air in Washington

CNN's Josh Levs, David Mattingly, Catherine Shoichet, Paul Steinhauser and Holly Yan contributed to this report

@highlight

The NRA wants to staff every school in America with "qualified armed security"

@highlight

Obama, Democrats and others see tougher gun control as the way to limit future massacres

@highlight

While both sides want to keep children safe, it seems they are living in two different worlds