London (CNN) -- Somalia's president appealed for support for his struggling country Tuesday, comparing it to a young sapling that needs help to get started.

"We need support; we need assistance and investment; and we need protection from those who try to knock us over," President Hassan Sheikh Mohamud told delegates at a donor conference in London.

The goal, he said, is for Somalia eventually to stand strong and tall on its own, a country "at peace with itself and its neighbors and which poses no threat to the world," with a thriving economy, strong values and a good education system.

"People may ask why Somalia matters at this time but there is a huge amount at stake right now: the future of our country, the security of the region and the wider world, and the removal of the piracy stranglehold on the Gulf of Aden," he said.

Delegations from more than 50 nations and groups, including the United Nations, African Union and International Monetary Fund, gathered for the meeting, hosted jointly by the UK and Somali governments.

Somali ministers shared detailed plans for developing the country's armed forces, police, justice system and public financial management, as the African nation struggles to emerge from more than two decades of conflict.

Speaking with CNN's Nima Elbagir in the Somali capital, Mogadishu, ahead of the conference, Mohamud said Somalia needed a financial commitment, technical support and diplomatic engagement from the world.

"We want Somalia to be treated as a normal country," he said. "Unless we are treated as a normal country, Somalia will never become a normal country. That's what we are expecting from the world."

Mohamud, who took office six months ago, travels in an armored convoy but says he won't let the al Qaeda-linked Islamist group Al-Shabaab -- responsible for many terror attacks in Somalia -- dictate what he does.

In his remarks to delegates, British Prime Minister David Cameron said Somalia's security matters to the entire international community.

"Why? Because when young minds are poisoned by radicalism, and they go on to export terrorism and extremism, the security of the whole world ... is at stake," he said.

UK Foreign Secretary William Hague said Somalia's people and government should be proud of the "huge progress" the country has made over the past year.

"A new parliament and government have been appointed in the most representative political process in a generation," he said in a statement. "Al Shabaab has lost large areas of territory. The diaspora are returning and the economy is starting to revive.

"But this progress is fragile, and maintaining the momentum will require leadership in Somalia and support from the region and the international community."

Mogadishu attack

In a reminder of the security challenges facing the country, a suicide bomber on Sunday drove a car packed with explosives into a convoy carrying a Qatari delegation through the capital, killing at least eight people, authorities and witnesses said. Those killed were bystanders, authorities said, with no one in the convoy hurt.

Al-Shabaab claimed responsibility for the bombing, and said six soldiers were killed and nine wounded.

AMISOM, the African Union Mission in Somalia, is playing a key role in efforts to quell the militant group.

Brigadier Michael Ondoga, of AMISOM, told CNN Tuesday that although Al-Shabaab was "largely defeated" in Mogadishu, there were still issues with its members "melting into the population" and taking advantage of the city's large size to hide. Mogadishu covers 640 square miles, and its population includes some 300,000 internally displaced people, he said.

But Somali security forces have done a great job in pre-empting many suicide attacks and have arrested some of the Al-Shabaab operatives hiding among the capital's population.

"The situation is generally good at the moment -- the security forces are controlling it very well," Ondoga said.

"Here in the city now, the big guns are quiet, the streets are lit, many (in the) diaspora are coming back, new construction is going on, business is booming," he said.

Somali and AMISOM forces have also won back territory extending a long way out from the capital, he said, leaving Al-Shabaab in control of only a few small areas in the west and some ports in the east.

"So there is great achievement that has been made between the national security forces and AMISOM, and we hope that this continues," Ondoga said. "Eventually, national security forces should be able to man the streets of this country on their own."

Once security is stabilized across the country, piracy should no longer be an issue in the waters around Somalia, he added, since the pirates will no longer have a base to operate from. Somali pirates have been a threat to international maritime traffic for some years.

'Culture of impunity'

International rights group Human Rights Watch called for the London conference to address "widespread human rights abuses by all parties," which, it says, have been overlooked throughout the long years of conflict.

"The failure to address these abuses and the culture of impunity in which they have taken place has contributed to ongoing conflict and insecurity," the group said in a statement.

"A substantial improvement in the respect for human rights and accountability for serious abuses is now essential."

Delegates agreed on a package of support for Somalia on preventing sexual violence, the UK Foreign Office said. As part of this, a team of U.N. experts will deploy to Somalia in the summer.

Somalia was subject to international condemnation this year over a case in which a woman and a journalist were sentenced to prison after she told him she was raped by security forces. She was subsequently acquitted on appeal, but the journalist's conviction was upheld, though his sentence was cut.

Somali Prime Minister Abdi Farah Shirdon said via his Twitter account that the country's progress so far had defied the skeptics, but challenges remain.

"With the support of our friends and partners the progress must be made unstoppable. A bright future for #Somalia is within touching distance," he tweeted Monday.

Somalia has lacked an effective central government since 1991, with portions of the Horn of Africa nation left lawless.

In January, the United States granted official recognition to the new Somali government.

READ MORE: Suicide bomber targets Qatari delegation in Somalia, 8 dead

READ MORE: Britons warned not to visit Somalia

READ MORE: Somalia famine killed close to 260,000 people, report says

CNN's Faith Karimi, Nima Elbagir and Nana Karikari-apau contributed to this report.

@highlight

NEW: UK foreign secretary pays tribute to "huge progress" made by Somalia in past year

@highlight

"There is a huge amount at stake right now," Somali president tells delegates

@highlight

Somali security forces are winning back control from militants, AMISOM officer says

@highlight

Human Rights Watch says the conference should address rights abuses in Somalia