Your Facebook "likes" might be revealing more than you know about your private life.

It is possible to predict potentially private traits such as a person's sexual orientation, political leanings, religion, intelligence, emotional stability and even if they abuse drugs or alcohol, just by analyzing their Facebook likes, according to a new study out of the University of Cambridge.

Liking something on Facebook is a simple, almost mindless way to pass time on the social networking site, which says it has more than a billion users worldwide. With one click, people can "like" pages -- for brands, public figures, memes, music and groups -- as well as articles, photos or status updates from their friends. But that quick action can be a powerful statement.

"Facebook likes have a meaning that we can use to understand the psychology behind what people do," says David Stillwell, a co-author of the study.

Researchers looked at the Facebook profiles and likes, along with surveys and personality tests, for 58,466 individuals. Using that data, they developed a model that predicts personal attributes from Facebook likes with impressive accuracy. It has the best luck categorizing people as Caucasian or African-American (95% accuracy), followed by gender, male sexuality, Democratic or Republican leanings, and detecting Christians and Muslims.

One of more unusual categories was whether a person's parents had split before they turned 21, which had a relatively low 60% level of accuracy (still high enough to benefit advertisers, noted the researchers). These people were more more likely to like statements about relationships, such as "If I'm with you then I'm with you. I don't want anybody else," and "I'm sorry I love you."

"It gives us a poignant insight into the effects that parental breakup has on children even after they grow up," says Stillwell.

The likes themselves are a combination of obvious and baffling. Liking "Kathy Griffin," "Juicy Couture," or the musical "Wicked" were found to be strong indicators that a man was gay, while liking sports-related topics, "Bruce Lee" and "Being Confused After Waking Up From Naps" were more popular with straight men, according to the the study.

A person's Facebook likes can also be used to predict intelligence, say the researchers. Liking "The Daily Show," "science," "Morgan Freeman's Voice" and the mysterious "Curly Fries" indicates someone is highly intelligent. Lower intelligence was suggested by likes for "Clark Griswold," "Harley-Davidson" and "Bret Michaels," according to the study.

Likes for "beerpong," "Chris Tucker" and "cheerleading" were strong predictors of an extrovert while "role playing games," "Anime" and "Voltaire" pointed to introverted personality types. "Kurt Donald Cobain" and "Vampires Everywhere" indicated neurotic personalities, "Wes Anderson" and "serial killer" were liked by spontaneous people, and competitive types liked "Sun Tzu" and "I hate everyone."

Researchers are opening up the tool to everyone so they can get a peek at their own personal results. People can check out what their Facebook likes say about them by visiting YouAreWhatYouLike.com and logging in with their Facebook profile. The site does an instant personality test and rates how open, stable, agreeable, extroverted and conscientious a person is. While the data is analyzed by researchers to improve the overall test, any personal information is stripped out.

Don't try judging friends based on individual likes, however. Researchers looked at all of a person's likes to make their predictions, and even then the tool isn't perfect.

"It's like meeting someone for a blind date: If you just ask one question then you can't make an accurate judgment about them. But once you've had an hour-long conversation about their favorite hobbies, interests, brands, and celebrities, then you can start to have some confidence in who they are," says Stillwell.

The more likes a person has made, the easier it is to accurately predict these larger nuggets of information about their personalities. Profiles used in this study had anywhere from one to 500 likes on the social network, though the average number of things people liked was 170. The data was collected by a site called myPersonality, which turns serious data gathering for academic research purposes into fun quizzes.

A similar MIT experiment in 2009 predicted whether people were gay based on who they had friended on Facebook. At the time, the concept of deducting potentially private information about someone was more shocking. These days, it's becoming more common and expected. Stillwell says companies are already using these kinds of machine-learning models to make connections, though the companies may not know that they're measuring IQ or extroversion.

Companies like Google and Facebook decide what ads to show people by using scraps of information they gather as users go about their regular browsing and clicking routines. Amazon recommends products by looking at a customer's Amazon browsing history and past purchases.

The next step is connecting all the dots and gathering clues about a person to create a more complete picture of who they are. There are potential positive benefits, such as custom recommendations for movies and restaurants based on your location and what you've enjoyed in the past, or ads that only pitch products you might actually want to buy.

But there is also a loss of privacy when data is collected about people without their permission. Gleaning potentially sensitive information about someone that isn't explicitly shared, such as sexual orientation or drug use, could be abused by companies as well as governments and potential employers.

"My biggest concern is that people do not realize what is possible, so they think that frivolous behaviors such as liking something cannot possibly say anything important about them," says Stillwell.

@highlight

New study uses Facebook likes to predict private personality traits such as sexuality

@highlight

The technology could be used for more customized online services in the future

@highlight

But there is also great potential to abuse this kind of information