(CNN) -- "No turtle, no pay," says the boatman as we arrive at the Iztuzu jetty, where visitors are embarking on tours of the lagoon in search of loggerhead turtles.

Iztuzu lies on Turkey's Dalyan Delta, an almost-tropical maze of river channels, pools and reed beds that once doubled for east Africa in the 1951 film "The African Queen," starring Humphrey Bogart and Katharine Hepburn.

Its beautiful stretches of unspoiled sand are as much a draw for tourists as, for the past 100,000 years, they have been for turtles.

That both tourists and turtles can still enjoy those beaches today is largely thanks the efforts of one remarkable woman: June Haimoff.

Royal backing

In the mid-1980s, plans were drawn up for an 1,800-bed hotel that would have wiped out the turtles.

But the developers hadn't reckoned on Haimoff.

The English ballet dancer, painter and singer fell in love with Iztuzu during a sailing trip in 1975 and moved into a simple wooden hut here eight years later to live among fisherman, who nicknamed her "Kaptan June."

She also fell in love with the loggerheads, launching a campaign to save the beach that won global support -- including the backing of Prince Philip, the husband of Britain's Queen Elizabeth and then president of the World Wide Fund for Nature.

The campaign led to the cancellation of the hotel project and what Haimoff praises as an "intelligent and courageous" decision by the Turkish government to make Iztuzu a specially protected area.

"I began it alone, but I didn't do it alone," she tells me.

Now 90, Haimoff no longer lives on the beach, but in nearby Dalyan town, with an extended family of cats and dogs.

She continues to campaign on behalf of the beach and its inhabitants through the Kaptan June Sea Turtle Conservation Foundation.

"The battle has not been won," she says.

Propeller threat

Today, Iztuzu's loggerheads are threatened by their own popularity.

More than 600 motor boats now ply the river, ferrying visitors hoping to glimpse them or to view Kaunos, a ruined city built 2,500 years ago by the Lycians, who also built rock tombs in the cliffs overhead.

But unless the boats are fitted with propeller guards -- those that are carry the foundation's logo -- the turtles are at risk of injury.

Cafe owners often toss leftovers into the water to attract them, but the food scraps can do more harm than good, making the turtles ill or deterring them from heading out to sea where they're at less risk of injury from boats or from hypothermia in winter.

Conservationists want to see turtle feeding banned before this year's season starts.

"The Dalyan Delta is not a zoo," says Haimoff, who is also campaigning against the construction of a giant metal turtle sculpture within a protected nesting area.

A visit to the Sea Turtle Research, Rescue and Rehabilitation Center, where injured turtles are cared for, is enough to convince most visitors.

Those hoping for a glimpse of the amphibians in the water are unlikely to be disappointed.

Luring loggerheads

Turtles are easy enough to spot if you come to Iztuzu -- or other protected turtle beaches such as Patara or Cirali, on the surrounding coast -- in early summer.

About 300 females still bury their eggs in the sand here in May.

The female hatchlings that scramble into the Aegean Sea around 80 days later spend 20 years at sea before returning to Iztuzu as mature adults, each up to a meter in length and weighing 135 kilograms, to lay their own eggs.

The turtles have become a nice little earner for Dalyan, a fact celebrated in the town's center by a life-size sculpture of a loggerhead.

Among those benefiting are the boatmen.

It takes about 45 minutes to chug down to Iztuzu from Dalyan aboard one of the boats operated by the Dalyan Boatmens' Cooperative and costs 10 Turkish lire ($4.50).

At the Iztuzu jetty, where boatmen offer turtle spotting trips for an extra five lire, we putter over to where a couple of local fishermen are casting lines baited with crabs, hoping to lure a loggerhead.

The crabs have vivid red and turquoise claws and are a Dalyan delicacy.

Loggerheads like them too, and after 10 minutes we (and five other boatloads of sightseers) are rewarded by a glimpse of a massive, big-eyed turtle taking the bait in its beak.

Smartphones flash, and everyone goes home happy -- especially the boatman, who pockets a 100 lire bonus.

@highlight

Turkey's Dalyan Delta was used as the backdrop for the 1951 film "The African Queen"

@highlight

June Haimoff, who came to Dalyan in the 1970s, was instrumental in blocking plans to build a hotel complex

@highlight

Haimoff, known as Kaptan June among locals, has dedicated her life to saving the local loggerhead turtles