Columbia, South Carolina (CNN) -- Something funny could happen on the way to the Republican presidential nomination next year.

Mitt Romney might actually win South Carolina.

A triumph by the former Massachusetts governor in the first-in-the-South primary state has long been considered unthinkable by Republican insiders here, where Romney's northern pedigree and evolving positions on core conservative issues have been viewed with skepticism since his last White House bid in 2008.

But, as in Iowa, Romney is holding steady at or near the top of the polls in the Palmetto State with roughly a quarter of the GOP vote in his corner.

And crucially, no other candidate has managed to rally conservatives and emerge as a serious alternative to the presumed front-runner.

Romney's top backers in this conservative bastion have been cautious about forecasting a victory, especially after his dreary fourth-place finish in the 2008 primary.

But in recent weeks they have started to see an opening, especially with serious questions surfacing about the candidacies of businessman Herman Cain and Texas Gov. Rick Perry.

"It's gone even better this election cycle than I thought," said state Rep. Nathan Ballentine, one of only three elected officials here supporting Romney. "It used to be, 'Hey, the guy's a Mormon. He's the Yankee governor.' But now it's the economy people are focused on. I am liking his chances. It would surprise me if he didn't win South Carolina."

Even Romney skeptics who have been yearning for a grass-roots conservative savior are beginning to come around to the prospect of a buttoned-up Harvard grad being the only viable choice come Election Day.

"I don't know if the evangelical community is going to rally to one particular candidate or not," said Bob Taylor, the Bob Jones University chancellor who endorsed Romney in 2008 but has kept his distance this year. "It's just kind of unpredictable. ... If I can't make up my mind, I'm going to say, 'Which one of these has the best chance at the general election?' More than likely that's going to be Romney."

A top GOP fundraiser in the state who backed Romney during the last campaign but has actively searched for another candidate this cycle told CNN that the ex-governor could win the primary simply by default.

"It's like a soccer game: He is going to win a 0-0 overtime battle," said the fundraiser, who requested anonymity to speak candidly about the candidates. "At the end of the day, I am going to be forced to pick the smartest, most capable guy in the room. At some point you look around the field and that becomes Romney."

After pouring a small fortune into the state in 2008 and lining up a bevy of endorsements -- including the blessings of Sen. Jim DeMint and then a little-known state representative named Nikki Haley -- Romney has just three paid staffers in the state this time around.

He has not run a single television ad or sent out a piece of mail.

He can no longer count on the support of DeMint or Haley, now the governor, both of whom have expressed concerns about the health insurance mandate Romney implemented in Massachusetts.

And on Friday, he will make just his fifth campaign stop in the state ahead of a Republican debate this weekend in Spartanburg.

The South Carolina race is still extraordinarily fluid, with nearly 70% of GOP voters still undecided about the race, according to a Clemson University poll out this week.

Former House Speaker Newt Gingrich appears to be the latest candidate on the rise in the state, and he's adding staff and opening field offices to capitalize on his recent surge.

But even without a serious organizational footprint in the state, Romney has weathered boomlets from two Southerners, Perry and Cain, to maintain a poll position in the low to mid-20s throughout the summer and fall.

A healthy plurality may be enough to win in a fractured Republican race as Sen. John McCain of Arizona proved in 2008 when he won the primary with 33% of the vote, while Mike Huckabee, Fred Thompson and Romney divided up the rest of the electorate.

Romney's support is not growing, but it's not shrinking either.

"Everybody keeps saying he's stuck at 25%, 22%, 27%," said GOP strategist Luke Byars, who worked for Romney in 2008 but is not currently on any candidate's payroll. "Well put me in that briar patch. I'd love to be stuck at that number where you're that close to winning."

Both Romney's supporters and detractors agree that he probably needs to increase his share of the vote into the 30% range to win in January, meaning that a Romney victory in the land of barbecue and college football is far from certain.

Several factors are working against him, including the prospect of an all-out assault on the television airwaves from his Republican foes. Romney has yet to be hit by a negative ad in this race.

There are also lingering anxieties about Romney's squishy moderate reputation among a segment of GOP primary voters, particularly in the evangelical-heavy upstate.

Tony Beam, a Christian radio host in Greenville, gave Romney credit for running a respectable campaign and said that voters who dial into his show are primarily concerned about economic issues, not social ones.

He also said he hears almost no talk about Romney's Mormon faith.

But Beam said he is looking elsewhere in the Republican race.

"As an evangelical Christian who is concerned about politics, I believe that when Romney decided to run for president he changed his views in order to put them in line with enough conservatives to get elected," he told CNN.

The good news for Romney is that the impact of race and religion in campaigns has waned in recent election cycles.

In 2010, after all, the state elected Haley -- a woman of Indian descent who was raised as a Sikh but later joined the Methodist Church -- to the Governor's Mansion.

The idea of South Carolina as ground zero for Christian conservative voters is also somewhat overstated.

The share of Republicans who identify themselves as fundamentalist Christians or evangelicals is exactly the same in South Carolina as it is in Iowa: 40%, according to recent NBC News/Marist poll.

Economic concerns also remain the pivot point of the GOP race, and Romney's data-driven turnaround artist pitch is well-tailored to a state with the fourth-highest unemployment rate in the nation.

Then there's the overlooked fact that Romney played relatively well in South Carolina in 2008 and was competitive up until his devastating January losses in Iowa and New Hampshire.

Republicans who worked inside the 2008 McCain and Romney campaigns told CNN that their internal polling in the closing weeks before Iowa showed the South Carolina race to be essentially a three-way tie between Huckabee, Romney and McCain.

Still, the Romney campaign has only a scant presence in the state this year, while rivals such as Perry, former Utah Gov. Jon Huntsman, former Sen. Rick Santorum of Pennsylvania, Gingrich and Rep. Michele Bachmann of Minnesota have either been frequent faces in the state or can point to large campaign organizations.

South Carolina Republican Party Chairman Chad Connelly said Romney should not be counting on the fact that he ran in the state once before.

"The dynamics are different, and I wouldn't assume that I could tap into the same grass-roots network that I had four years ago," Connelly said. "It's a little presumptuous to think all those people are still in place."

But it's an open question whether a candidate actually needs a robust political organization to win the state, which has sided with the "establishment" pick in each and every Republican primary going back to 1980.

Again, South Carolina Republicans point to Haley: The tea party darling won a statewide Republican primary in 2010 with just four paid staffers and little support from Columbia insiders.

Similarly, Romney is leading the pack with little infrastructure in place, while Perry has almost two dozen state legislators backing his campaign but is mired around 10% in the polls.

Romney has done more to help himself in the state by displaying a toughness in the presidential debates that have come to define the GOP race, said longtime Republican strategist Warren Tompkins, who advised Romney's 2008 bid.

"He's shown a new mettle during the course of these debates," Tompkins said. "When everyone was attacking Romney, he stood up and fought back."

State Sen. Tom Davis, a leading conservative voice in the state with close ties to the tea party movement, said Romney's impressive national campaign may be enough to carry him over the finish line in South Carolina.

It's a sentiment few here would have expressed in the early days of the Republican presidential fight.

"If you had asked me a month ago, I would have said he probably can't win, given that South Carolina is a pretty red-meat Republican state," said Davis, who has not endorsed a candidate. "Now I think he can."

@highlight

Mitt Romney leads the pack in South Carolina with little infrastructure in place

@highlight

Romney's evolving positions on conservative issues have been viewed with skepticism

@highlight

But no other candidate has emerged as a serious alternative to presumed front-runner

@highlight

One GOP fundraiser predicts: "He is going to win a 0-0 overtime battle"