New York (CNN) -- Newt Gingrich called President Obama "the most radical president in American history" at the Southern Republican Leadership Conference last week.

The leader of the 1994 Republican Revolution is a smart man and a historian, so he must know better. But he's also exploring a run for president, an action that frequently suspends good judgment in pursuit of sound bites. Perspective is the first thing abandoned in hyper-partisan attacks.

So here is a look at five presidents who, it could be argued, exceed Obama in the "radical" sweepstakes.

• Franklin D. Roosevelt: How about this for radical: a president who overturned the two-term precedent set by George Washington and ultimately won four terms in an era when dictators were in vogue worldwide. He also proposed expanding the Supreme Court to pack it with his own appointees, attempting to fundamentally alter the separation of powers. And his New Deal created the basis for the modern welfare state in the U.S., whose apex under self-styled inheritor Lyndon Johnson provoked a backlash that ushered in a generation of conservative resurgence.

• John Adams: The nation's second president has been getting a well-deserved reappraisal, thanks to David McCullough's magisterial biography. But Adams' signing of the Alien and Sedition acts during the threat of war -- effectively outlawing anti-government dissent and curtailing freedom of speech and freedom of the press -- was a radically anti-democratic action and a black mark on this Founding Father's otherwise honorable service to our nation.

• Andrew Jackson: The man on the $20 bill was the original populist president, a general who fought Washington elites, British soldiers and native American tribes alike. Old Hickory's wars with the Second National Bank, Congress and the Supreme Court were legendary. His native American removal policies rescinded previously agreed-upon treaties and brought about the infamous "Trail of Tears" that led to the deaths of thousands.

• Abraham Lincoln: Abolitionists accused Lincoln of being insufficiently radical because he pledged only to preserve the union at all costs. But his political opponents accused him of being radical because he wanted to stop the spread of slavery, and they spurred secession from the union soon after hearing of his election. It's a reminder that exaggerated fear of change can lead to the rise of violent factions. During the Civil War, Lincoln suspended habeas corpus. He has become controversial again to some activists; one panel at the Conservative Political Action Conference asked, "Lincoln on Liberty: Friend or Foe?"

• George W. Bush: The Bush Doctrine reversed decades of American foreign policy by allowing pre-emptive invasions of foreign nations. In Iraq's case, this was complicated by the fact that the dictator in question did not, in fact, have the weapons of mass destruction as advertised. Add to that Bush's reluctance to actually pay for his wars directly, which resulted in his turning a hard-won surplus into a deficit, and you've got what can be considered a radical affront to small-government conservative principles from a Republican president.

Each of these presidents has his passionate defenders, and many are routinely listed among America's greatest chief executives.

Of course, plenty of other presidents could be added to this list: from Woodrow Wilson, who institutionalized segregation in the federal government, to Richard Nixon, whose "Saturday Night Massacre" firing of his attorney general, Justice Department first deputy and independent special prosecutor created a constitutional crisis in the wake of Watergate.

But you get the idea. None of the presidents are really radical in any global sense. Any all-good or all-bad analysis of American history always misses the big picture. And politics is history in the present tense.

Yes, the past 16 months have seen unprecedented levels of government spending, intended to alleviate the economic crisis that was occurring when Obama took office. And although skyrocketing debts and deficits are dangerous if not addressed decisively in the near-term, Obama's general approach to the office has been decidedly more center-left than radical left.

Think Afghanistan, for example, where he has committed more troops to the war. Or his economic team, led by Clinton administration alumni and Wall Street veterans. Though many conservatives have called him a socialist, some liberals (and libertarian Republican Ron Paul) consider him a "corporatist." You can't be both a socialist and a corporatist at the same time.

The larger issue is politics, plain and simple. Gingrich is trying to run for president. And red meat lines like "the most radical president in American history" help keep him relevant in GOP circles.

The real issue is less what Obama has done as president than who he is.

Gingrich and most baby boomer conservatives have spent their professional lives running against the liberal excesses of the 1960s. It is engrained in their political DNA. And Obama looks like a child of the Great Society, an embodiment of the social changes of the 1960s.

The more centrist his rhetoric, the more some conservatives are convinced that it's all part of activist Saul Alinsky's playbook: to sound reasonable but act radical. The problem is that this suspicion of Obama's motives dooms any concept of common ground and poisons the well for bipartisan progress. You can't negotiate reasonably with a president when you've convinced supporters that he is a threat to our constitutional republic.

More broadly, we've grown almost accustomed to these overheated attacks on the presidency. Obama Derangement Syndrome on the right -- of which Gingrich's claim was a mild example -- was preceded by Bush Derangement Syndrome on the left, with protestors comparing W. to a Nazi and a terrorist.

As a country, we have become accustomed to using fear and hate in the service of hyper-partisanship. We need to wake up to the fact that demonizing people we disagree with, and indulging in attempts to delegitimize a duly elected president from Day One, hurts us all as a nation. We can do better -- and we deserve better, especially from people who want to lead the nation themselves.

The opinions expressed in this commentary are solely those of John P. Avlon.

@highlight

Newt Gingrich called Barack Obama "most radical president in American history"

@highlight

John Avlon says Gingrich doesn't have his history straight

@highlight

He says FDR, Adams, Jackson, Lincoln, George W. Bush may have been more "radical"

@highlight

Avlon: "We've grown almost accustomed to overheated attacks on presidency"