(CNN) -- For many people the financial sector appears to be a sprawling, interconnected mass of colossal banks, complex jargon and mind-boggling numbers.

As a result, a question like "how do we improve the financial system?" often seems very abstract. We can propose particular policies -- such as limiting bankers' bonuses -- but these do not fundamentally change how people experience the system. Entrepreneurs, likewise, push particular innovations that they think will improve finance, but they normally focus on some limited shorter-term goal, like reducing fees in the payments system. It is not a vision that can rally people together.

What we need is a vision that provides us with simple, broad guideposts of where we want to eventually get to. I would personally like to see a financial system more like Wikipedia.

The key characteristics of Wikipedia

Wikipedia has five key characteristics.

Firstly, everyone has the opportunity to participate in producing it. You can set up an account and begin editing. Secondly, provided you have the Internet, you have access to using it. Thirdly, it is transparent. If edits are made, people can check them and hold the editors to account. You can debate what should be included in articles, and request amendments.

The fourth characteristic is the community ethos that has developed around it. Participants may bicker with each other, but on balance they feel they are working towards a larger goal of building the site and its integrity.

The final key characteristic is that you have access to the underlying software, so if you do not think Wikipedia is working, or have different requirements, you can implement your own version of it. For example, check out Appropedia or Conservapedia.

We are quite a way from achieving a financial system that embeds these characteristics, but let's look at initiatives that are aiming towards changing that.

Goal 1: Wider participation in financial production

Right now, production of financial services is limited to a closed, elite group of professionals -- bankers, fund managers, traders, and so on -- who reap very large rewards. They might possess talent, but they are also known to not always act in the public interest, and to occasionally cause giant economic crashes. Encouraging wider participation in financial production would create more diversity in the system whilst empowering people.

This is why peer-to-peer finance systems are a welcome innovation. They enable people to take control of a portion on their savings and lend or invest it directly into ventures that they feel personally attracted to. One of my favorites is Abundance Generation, which allows people to invest directly in wind farms. It gives an active role to someone who might otherwise passively deposit savings in unaccountable, non-transparent banks. Other sites like Zidisha enable peer-to-peer microlending in developing countries.

Goal 2: Wider access to financial services

The current financial system tends to steer money to those who already have it. For example, huge amounts of money get lent to hedge funds, while entrepreneurs with small businesses that are useful to society, but that are not sexy like Facebook, get ignored by big investors and banks.

One welcome trend that is challenging this is the rise of crowdfunding, which opens up financing opportunities to all sorts of underdogs. This includes filmmakers, young businesspeople who have heart but little track record, and projects that are too small for big banks to care about. For example, Crowdfunder is used to raise money social enterprises like Urban Harvest. There are some great niche crowdfunding platforms too, such as the US-based Beacon Reader which caters for journalists.

Goal 3: Increased transparency

The financial sector is notoriously opaque. Have you ever tried to find out what your bank invests in? It is often almost impossible.

In the UK, banks like Triodos Bank have taken the lead on trying to be transparent and accountable. Such institutions represent a tiny percentage of overall banks, but set a great example. Initiatives like Berlin-based OpenOil work from the borrower side, casting light on the money behind large oil companies.

Goal 4: Building a collaborative culture

The prevailing culture of finance is split into two toxic camps. On the one hand there are passive retail investors who put money into banks and pension funds but who do not expect much in the way of accountability. On the other hand, there is the high-flying world of glory-boy traders and corporate financiers who care little about financial inclusion.

People do not always want to have to take full responsibility for their finances, but it would be great to encourage more collaborative, creative participation in financial life. That is why it is fantastic to see the rise of do-it-yourself corporate finance initiatives like Brewdog's Equity for Punks, where individual beer lovers get to participate in an enterprise they are passionate about, without having to pay Goldman Sachs fees. Check out Community Shares too.

Goal 5: Preserving the right to dissent

No financial system is ever going to be perfect, and any particular model inevitably comes with tradeoffs. For example, deposit insurance was initially put in place to protect small-scale depositors, but it has subsequently contributed to people's complacency towards banks. Our goal should not be to try design a stable utopia, but to preserve peoples' ability to challenge or dissent from whatever dominant system is in place at any one time.

To allow this to happen though, we need to improve financial education. The current banking sector is unaccountable for many reasons, but one of them is simply the poor state of financial literacy, leaving empowered financiers facing off against people who frequently feel alienated or unsure about how the system works.

Finance is a social art, not a closed science. Nobody should ever be mislead into thinking that they do not have right or ability to make a stand.

The opinions expressed in this commentary are solely those of Brett Scott.

@highlight

The financial system should take cues from Wikipedia, says former broker Brett Scott

@highlight

The system should focus on transparency, access and community

@highlight

Cowdfunding opens up financing opportunities to the underdogs, he says