India's general election, the largest democratic exercise in history, begins Monday. Voters will elect 543 members to the lower house of parliament, which will then select the country's next prime minister. Here are 11 things you need to know about the world's biggest election:

1. Its massive scale. More than 814 million voters are eligible to cast ballots over the next month to elect the lower house of parliament, or Lok Sabha, up from 713 million voters in 2009. The Indian voting pool is larger than the total populations of the United States and Western Europe combined.

Given the infrastructure in India, an election of this scale can't be done in a day. Voting will take place in nine blocks over the next five weeks, to allow election authorities to tackle the daunting logistics of operating 930,000 polling stations. The vote counting will be carried out and concluded on May 16.

2. It's the economy, stupid. India's flagging economic performance is the election's central issue. After registering Chinese-style growth rates of 8% to 10% in the 2000s, India's economy slowed sharply in 2012. GDP growth now remains below 5%, coupled with persistently high inflation.

Indian politicians and academics remain divided over whether the country should focus its energy on first reigniting growth or on alleviating poverty. Even after a decade of rapid growth, India is still home to one in three of the world's poorest people. Unlike other countries, India's poor tend to vote in higher numbers  than the rich.

3. The BJP and the "Modi wave." India's main opposition party, the strongly nationalist Bharatiya Janata Party, is positioned to win the most seats in the lower house of parliament, though it is not likely to win the outright majority necessary to form a government without coalition partners. The BJP's prime ministerial candidate, Narendra Modi, has gathered momentum by positioning himself as an advocate for economic development and good governance. Many expect Modi's business-friendly campaign to lead his party to its biggest victory ever.

4. Modi's charisma and controversy. Modi has a strong record as chief minister of the state of Gujarat and a "strong man" reputation that many see as a welcome contrast to current Prime Minister Manmohan Singh. But Modi has also been criticized for his authoritarian bent and ties to right-wing Hindu organizations.

Although an investigation set up by India's Supreme Court cleared him of wrongdoing in 2012, some voters remain suspicious of Modi's role in the 2002 Gujarat riots, in which 1,000 people, mostly Muslims, were killed. The U.S. State Department denied Modi a visa in 2005 because of his alleged culpability, but it changed tack in March, saying it would welcome Modi to the United States if he wins the election.

Infographic: India's vote by the numbers

5. The crisis of confidence in the Congress party. Anemic growth, persistent inflation and frequent corruption scandals have tried the public's patience with the Indian National Congress, the country's oldest party and the core of the ruling United Progressive Alliance over the past decade.

Rahul Gandhi, the heir to the Nehru-Gandhi dynasty and the party's choice for prime minister, has been portrayed as a reluctant leader, and some believe the Congress will be reduced to its lowest number of seats in history. For its part, the Congress criticizes the BJP's policies as exclusionary and emphasizes its social welfare programs, aimed at helping the poor.

6. Nepotism is here to stay. The competition between Gandhi and Modi has become something of a public referendum on India's entrenched political elite.

Rahul Gandhi, who is the son and grandson of previous prime ministers, is depicted by critics as cosseted and out-of-touch, while Modi's campaign emphasizes his humble origins working for his father's tea stall as a child. But despite Modi's popular appeal, research by Patrick French indicates nepotism remains alive and well in Indian politics. Nearly 30% of current members of parliament are from political families; for parliamentary members younger than 40, the figure rises to two-thirds.

7. Criminality among the Indian political class is endemic.  An astonishing 30% of the current parliament faces criminal charges. Judging by the new crop of candidates, it isn't going to be much better in the new parliament. According to research published last week, almost a fifth of the candidates face criminal charges.

By contrast, none of the sitting members of the U.S. Congress is facing criminal charges; in 2013, only two members -- or less than half a percent -- were convicted of a crime.

Put another way -- and this may come as something of a surprise to those many American readers who hold the U.S. Congress in low regard -- Indian parliamentarians are on average 60 times more likely to be charged with a crime than their U.S. counterparts.

Corruption and criminality may prove hard to shake in Indian politics, since the rising cost of campaigns means they are dominated by the wealthy. The Centre for Media Studies estimates that Indian politicians may spend around $5 billion campaigning, triple the sum for the last national poll in 2009. The figure is second only to the $7 billion spent in the 2012 U.S. presidential race, the world's most expensive election.

8. The role of young voters and social media. First-time voters are expected to make up roughly 10% of those who will go to the polls this election. India's population is very young: More than 65%, or nearly 800 million people, are younger than 35, according to the latest census.  This youth bulge is lending weight to candidates who prioritize economic development, as well as increasing the importance of social media in campaigns.

Young voters grew up after reforms to liberalize the Indian economy began in 1991, and thus have high expectations for leaders to reignite India's growth. In large part because of the youth contingent, spending on social media advertising during the election may reach $83 million.

9. The rise of the Aam Aadmi Party. An offshoot of the anti-corruption protests in 2011-2012, the AAP galvanized support with its surprise showing in last year's  local elections for the Delhi Assembly.. The AAP won 28 of the legislature's 70 seats and its leader, activist-turned-politician Arvind Kejriwal, was appointed as Delhi's chief minister. But while the AAP has energized young voters and the middle class, it hasn't yet shown it can transition from a protest movement to a governing force.

After failing to deliver on key election promises, Kejriwal quit his post in Delhi after only 49 days in office. The AAP is expected to take votes from more established parties in the election and could be instrumental in forming a governing coalition.

10. Women are raising their voices. Long expected to vote in line with the male members of their families, Indian women are becoming an electoral force in their own right.

Women account for 48.5% of the electorate, but in some recent polls, they have voted in higher numbers than men. Inflation and safety are likely to be among their most pressing concerns as women control most household budgets and violence against women is an emergent political issue. The gang rape and subsequent death of a 23-year-old woman in Delhi in December 2012 and numerous other cases have sparked widespread protests and precipitated a reckoning of the position and treatment of Indian women.

11. The key role of regional parties. No party has won an outright majority in India since 1989. This year's results are likely to be the same, meaning India's regional parties will likely be instrumental in helping the BJP or Congress form a government. Regional parties control five of India's biggest states -- Uttar Pradesh, Bihar, West Bengal, Tamil Nadu and Odisha, which together account for more than 200 Lok Sabha seats -- and their wide variety of agendas and proclivities make determining India's future policy direction difficult.

Whether elected officials can deliver the decisive governance that India needs will depend in large part on the character and strength of the governing coalition.

@highlight

World's largest election has begun in India; lower house and next prime minister are at stake

@highlight

India's slowing economy is the key issue, authors say; 1 in 3 of world's poorest are in India

@highlight

BJP candidate Narendra Modi is considered to be the favorite for prime minister, they say

@highlight

Authors: Young voters and women may play a bigger role in this election than in the past