Sanaa, Yemen (CNN) -- For the first time since the start of unrest in Yemen's capital, youth protesters numbering in the tens of thousands marched toward the Republican Palace on Monday, eyewitnesses said, in an act of defiance against President Ali Abdullah Saleh's regime.

Witnesses told CNN that security forces made no move to repel the youths, who were marching in support of protests Monday in the city of Taiz, where at least 14 people were killed when security forces reportedly opened fire on demonstrators.

Field medics in Taiz said more than 500 people were injured, including 154 who suffered gunshot wounds. Medical team leader Sadiq Shugaa said the field hospital "cannot give health care to all the injured, and is coordinating with hospitals outside Taiz to help the injured."

More than 20 tanks and armored vehicles surrounded the principal government building in Taiz as security forces tried to hold back advancing protesters, a senior government official said.

Witnesses said the protesters in Taiz numbered more than 90,000.

Another rally Monday in Hodeida, on Yemen's Red Sea coast, was met with sniper bullets and tear gas, witnesses said. At least two people were killed and nine injured there, medical sources said. Witnesses said "tens of victims" were laid out on the streets awaiting emergency aid, and more than 300 people were suffering from gas inhalation.

The youth protesters in Sanaa, whom witnesses estimated at more than 55,000, were chanting, "Saleh wait wait, the revolution youth are coming your way!"

The Republican Palace is considered Saleh's second-most important palace after the Presidential Palace.

Protests also took place in the cities of Aden and Ibb.

A spokesman for the Yemeni opposition called for international help to "stop the bloodshed caused by the Saleh regime against innocent, peaceful protesters."

"Saleh is killing people without fear," said Mohammed Qahtan, spokesman for the opposition Joint Meeting Parties bloc, "and the international community must not watch quietly.

"Protesters have been shot by Saleh's snipers today in Taiz and Hodeida. The seat of presidency is more valuable than Yemeni blood," Qahtan said.

In Washington, White House press secretary Jay Carney said the administration is monitoring the situation in Yemen and has "been very clear about our view on the need that all sides refrain from violence, that there be an open process that addresses the legitimate needs and aspirations of the Yemeni people."

Carney noted that Saleh has "publicly indicated his willingness to engage in a peaceful transition of power, and we believe the timing and form of that transition should be accomplished through dialogue and negotiation."

Foreign ministers of the Gulf Cooperation Council member states, who were meeting Monday in Riyadh, Saudi Arabia, issued a statement affirming their support for a secure and stable Yemen, and calling on "all parties ... to return to a national dialogue in order to end the current crisis and maintain the nation's unity and security."

Eyewitnesses in Hodeida said snipers in civilian clothing shot into a crowd of protesters in Change Square on Monday, and security forces used tear gas on demonstrators.

A senior government official in Hodeida said the violence began when protesters attempted to get into a palace there. The official said security forces were only defending government property from theft.

In Taiz on Sunday, three people were killed and 1,700 injured, according to medical sources, who said the casualties were caused by central security police and riot police.

On Sunday, Taiz Gov. Hamoud al-Soufi had denied reports of a killing and said that the clashes did not occur in a city square, but on the main street, the state-run Saba news agency reported. As riot police intervened to clear the road, "infiltrators and some young hotheads" threw stones at soldiers, wounding eight, including one seriously, the governor said.

The same day, Yemen's parliament speaker rejected a transition plan by the country's largest opposition bloc, indicating a continued stalemate over how Saleh should hand over power.

Calls for Saleh's ouster have grown louder in recent weeks following revolutions in Egypt and Tunisia.

Saleh has ruled since 1978 and has been fighting to hold on to power, arguing that he is best equipped to lead the fight against radical Islamists. He has been a staunch U.S. ally in the fight against al Qaeda in the Arabian Peninsula.

Saleh has offered to step down by the end of the year after constitutional reforms and new elections. The Joint Meeting Parties bloc has demanded Saleh's immediate ouster, and a plan unveiled Saturday called for Saleh to hand over all authority to Vice President Abdu Rabu Mansour Hadi, a spokesman for the bloc told reporters.

Once power is handed to Hadi, he should change the structure of the security forces -- including the Republican Guard -- in a way that is "fair" and in accordance with the Yemeni Constitution, the spokesman said.

The bloc wants Hadi, as president, to form a council that focuses on transparency in the military, a national transition council that will represent all factions in the country and a committee to oversee new elections. The bloc also wants him to affirm the right of peaceful protests and investigate allegations of brutality against opposition demonstrators.

Yahya Al-Raee, the Parliament speaker who also is a senior officer of the ruling party, dismissed the bloc's plan, saying, "it was prepared during a khat chew and has no value." (Many Yemenis chew khat, a tropical plant that acts as a stimulant, as part of social and business transactions.)

In Taiz, eyewitnesses said security police aided by riot police moved in before dawn Sunday to try to disperse demonstrators who had gathered the day before. According to the eyewitnesses, some protesters were beaten, and when others tried to help them, the security police fired tear gas.

On the other hand, Tahrir Square, also in Sanaa, belonged to the president's defenders. Thousands have gathered there to show support for Saleh.

Journalist Hakim Almasmari and CNN's Mohammed Jamjoom, Christine Theodorou and Nick Valencia contributed to this report.

@highlight

NEW: At least 55,000 youths were marching toward the Republican Palace in Sanaa

@highlight

At least 14 reportedly were killed and hundreds injured in violent protests in Taiz

@highlight

An opposition leader urges international help to stop bloodshed

@highlight

Field hospitals are full after bloody clashes in Taiz, a medical team leader says