Washington (CNN)Mitt Romney's decision to pass on 2016 anoints Jeb Bush as the clear establishment favorite in the Republican presidential race and lays down a challenge to the party's divided conservatives.

Though the first contests will not take place in early voting states for a year, Romney's swerve, announced on a conference call with supporters on Friday, is the most important moment yet in the nascent GOP contest. It removes the prospect of a bruising battle for big establishment donor cash and moderate, right of center, Republican primary voters between Romney, the 2012 nominee and Bush, heir to a dynastic political machine.

"I think it is hard to argue that today's news did not help Gov. Bush," said Matt Moore, chairman of the Republican Party in South Carolina, which holds one of the crucial early voting primaries next year.

Bush sent the Republican race into overdrive with his sudden announcement last month that he was actively exploring a run for president. Since then, he has been flying around the nation in an apparent bid to put up a formidable "shock and awe" early fundraising number to  define the contest in his favor.

Though Bush is seen as leading establishment Republicans, Romney's decision could improve New Jersey Gov. Christie's hopes of financing a long campaign.

"Today's news certainly does re-open the fight for donors. I know many donors had been frozen in recent weeks, taking a 'wait and see' approach," said Moore.  "There's a finite amount of money that can be raised -- so every candidate benefits."

Kevin Madden, a one-time adviser to Romney who is now a CNN commentator, said his former boss's decision opened up an early trial of strength between Christie and Bush.

"This becomes the first big test between those candidates, which one of them can quickly move to lock down those donors. It is a very successful, very large fundraising network. It's going to be an important asset."

Some party insiders also believe conservative candidates who can also straddle the line with the establishment could benefit from Romney's departure.

A top adviser to one potential Republican primary contender said in an interview that Romney's exit likely helps both Florida Sen. Marco Rubio and Wisconsin Gov. Scott Walker, who both have strong conservative support but have also been warmly received by some establishment-minded donors.

"They're acceptable to the establishment but they also have support within the various conservative bases — among economic conservatives, social conservatives and national security conservatives," the adviser said.

Romney's decision not to run doesn't remove him from the 2016 calculus entirely — it sets him up to be a potential kingmaker in one of the most wide-open primary fields in recent memory.

Though sources told CNN's Dana Bash not to expect a Romney endorsement of another candidate in the near future, contenders will be clamoring for his blessing.

A top Rubio aide said "any leading candidate would" want Romney's support.

Jim Merrill, Romney's top strategist in New Hampshire, said that his "guess is [Romney] probably will" endorse a candidate in the primary.

Romney's statement, however,  made clear that he was not stepping aside in favor of Bush. In fact he appeared to take a veiled swipe at the 61-year-old former Florida governor.

"I believe that one of our next generation of Republican leaders, one who may not be as well known as I am today, one who has not yet taken their message across the country, one who is just getting started, may well emerge as being better able to defeat the Democrat nominee," Romney told his supporters.

He appeared to be implying that the GOP would be best served by a younger candidate taking on Clinton, who will be 69 at the time of the general election in November 2016.

Rubio, 43, quickly picked up on the idea of a generational shift, stressing repeatedly in a short statement praising Romney that he was close to the 2012 nominee.

"He certainly earned the right to consider running, so I deeply respect his decision to give the next generation a chance to lead."

Walker, 47,  also picked up the signals, thanking Romney in a tweet for "opening the door for fresh leadership in America."

Romney may also be making a point by sitting down for dinner on Friday night with Christie, 52, in New York.

His exit will also shift the terrain more practically in the early states, where his former staffers can now join the campaign of their choice.

Merrill said he's been receiving calls from former Romney operatives in the state — and interested candidates — wondering what's next, but he wasn't yet leaning toward any candidate in particular.

"[Romney's] not gonna be a candidate, so that means we are open for business," Merrill said.

Reverberations are also being felt in Iowa, where voters will get the 2016 ball rolling next year and where Romney lost by only a handful of votes to Rick Santorum on the way to the GOP nomination in 2012.

A Des Moines Register/Bloomberg poll published Friday showed 57 percent of likely caucus goers had favorable feelings about Romney. But that figure was down from 65 percent in October.

Romney may have calculated that he would have struggled to keep that level of support, fighting Bush and Christie for moderates and facing fresh faced conservatives like Walker and firebrand Sen. Ted Cruz.

"There a lot of people who had second thoughts about Romney," said Steffen Schmidt, an Iowa State University Professor who is an authority on the state's fabled caucuses.

"Mitt Romney would have had a much harder time in Iowa," in 2016, Schmidt said.

Bush is basking in a second straight day of good news. On Thursday, he poached David Kochel, one of the state's most highly regarded political consultants for a possible post running his campaign.

Kochel previously worked for Romney in Iowa, and his departure was seen as a serious blow to the former Massachusetts governor.

The narrowing of the establishment field may hold a wake up call for conservatives who hoped a candidate preferred by the grass roots would emerge this cycle.

But with candidates like Walker, Cruz, Mike Huckabee, Santorum and Kentucky Sen. Rand Paul all tipped to appeal to certain sections of the conservative electorate, they face a familiar problem : the lack of a single right-wing favorite to take on the establishment's pick.

Romney's announcement, which kept political pundits guessing until minutes before he spoke with supporters, was in keeping with the already rich drama of the 2016 race.

Even a month ago, no one thought that Romney, who twice ran for president and lost, could find a rationale to underpin another shot.

But in three frenzied weeks, Romney, apparently disdaining the quality of the crowded GOP race, and bumped into a swift decision by Bush's early move, appeared to be about to jump in. Bush had previously effectively forced out another possible establishment candidate Sen. Rob Portman, by getting into the race.

Romney traveled to California to headline the Republican National Committee's winter meeting, and stoked speculation by consulting former staffers and party heavyweights about a possible run.

For now, most of those close to Romney believe he will resume his role as the de-facto leader of the party until a nominee emerges,  speaking out on key issues.

"You'll see him do what he's already been doing post-2012 — be someone that stands up to President Obama, speaks the truth when the opportunity calls," Merrill said.

CNN's Erin McPike contributed to this story

@highlight

Bush cements role as establishment favorite

@highlight

Christie has chance to compete for Romney donors

@highlight

Romney looks to new Republican generation