(CNN) -- CNN iReporters documented some of the biggest global weather stories of the year, and captured some amazing photos in the process. Click through the gallery above to see some of their most compelling photographs of 2012.

And if you're wondering how you might be able to capture images like this, it just so happens that CNN meteorologists Brandon Miller and Judson Jones recently joined the CNN iReport community on Facebook for a discussion on that very topic. Read their top 13 weather photography tips:

1. Timing is everything. When it comes to weather photography on iReport, timing is everything, according to Miller. Oftentimes people will submit great weather images, "but it's a day or two after the event. By then we have moved on to new stories," he said.

2. Give lightning photos visual context. Lightning photos tend to be a common subject in weather photographs, and Miller says at times they start to look similar. "What makes a lightning photo unique is what else is in the picture. [Like] an iconic building for instance, or a harbor in Hong Kong," he said.

But why does a building matter in a weather photo anyway? Miller says things like a building or a harbor add to the overall context of the photograph. "It makes it easier to tell the story on TV, and relates it to the viewer."

3. Capture drought through texture. The Midwest suffered a prolonged drought that not only stunted the growth of crops like corn and wheat, but dried out essential bodies of water, bringing parts of the Mississippi River to extremely low levels. Despite the visible signs of drought, it can be one of the hardest things to capture through photography, Jones said.

The best way to convey drought is by capturing the texture, like photographing a dried up lakebed. "Most people never see the bottom of a lake," he said. "[It] puts the whole drought into perspective."

4. Use wide angle shots. When it comes to capturing weather, it is important to see the whole picture. Miller suggests using wide angle shots to help put the photograph in context. "Show more of the sky and not necessarily focus on what you think is important, like zooming in on a funnel cloud and ignoring the rest of the storm," he said.

5. Take multiple photographs. That epic weather moment can happen literally in a flash. If you want to increase your likelihood of capturing a great weather shot, you have to shoot multiple photographs, according to Jones. "You never want to shoot only one photo," he said.

6. Move around. As quickly as weather changes, it also moves. Standing in one location may not be the best method when it comes to capturing a weather photograph. "Move around and get a little bit of a different perspective," Jones said. Adding more perspective gives your photographs more depth and context, he explains.

7. No filters, ever. A slight change in saturation, a little color boost or Instagram-type filter on a weather photograph can totally change its meaning. Miller says to avoid adding filters when capturing weather photographs.

8. Edit with darkroom tricks only. Here is Jones' rule of thumb for editing weather photographs: "Only do in post-production what you could have done in a darkroom," he said.

"Simple contrast, exposure, cropping and white balance are all you really should ever do, unless you are working on something for an art exhibit."

9. Patience is key. Weather is dynamic, but sometimes the shot you are looking for might not happen right away. Patience is fundamental, according to Jones, who also suggests using a remote camera set-up prior to a weather event. After setting up your camera, Jones says it's all about waiting. "Be patient. It may take awhile, but eventually you will get the strike you are looking for."

10. Monitor storm events. If you want to capture weather photographs, Miller suggests monitoring the National Weather Service and Storm Prediction Center. "They will provide accurate forecasts one to three days out for tornadoes, wind, hail, etc.," he said.

11. Don't just hold hail. Hail is a big weather event, and happens in many parts of the world. It's common for people to photograph images of themselves holding up pieces of hail, but those images don't place the storm in context. Jones says hail is great to photograph when it is in perspective of the people it is affecting. He suggests photographing hail if it damages crops or breaks windshields, for example.

12. Time-lapse away. Time-lapses are a bit trickier to create, but they are a great way of capturing the whole storm, according to Miller. "We love time-lapses," he said. "It allows us to show an entire storm unfold in a few seconds."

He says the best events in which to use time-lapse photography are snowstorms or a hurricane's passage.

13. Stay safe. Weather is dangerous, and when it comes to photographing it, Jones says it's important to be cognizant of general weather safety. "Know your surroundings and the safest place to be," he said.

Sometimes you don't even need to be out in the storm to capture that perfect shot. Jones suggests using a camera with a remote timer. "I put my camera -- with a manual setting -- on a tripod... set the aperture... and focus on infinity or an object I want to be the center of [my] story," he said.

Now get out there and put those tips to work! You can share your images in our severe weather or winter weather assignment.

@highlight

CNN iReporters documented some of the biggest global weather stories of the year

@highlight

CNN meteorologists shared their tips for capturing strong weather images in 2013 and beyond

@highlight

Use wide angle shots, time-lapse away and take multiple photographs

@highlight

Most importantly, stay safe