(CNN) -- At the end of life or in critical care situations, it's common for doctors to use terms that may sound vague to friends and family members.

Former South African President Nelson Mandela, 94, remained in critical but stable condition Monday, suffering from a recurrent lung infection. He's been hospitalized since June 8 in Pretoria, South Africa.

His condition worsened last week, according to family members who described his health as "delicate" and said "anything is imminent." His daughter Zindzi Mandela told ITV, however, that her father is alert and recognizes when a new person enters his room.

Here are some terms likely to be used in such situations -- as defined by Dr. Darlene Nelson, a pulmonary and critical care specialist at the Mayo Clinic:

Aware: To be conscious or "awake," to understand what is going on around you.

Responsive: The ability to react (or respond) to a stimulus (pain, for example).

Serious condition: No specific definition but generally means the patient is acutely ill and the outcome is questionable.

Critical condition: Once again, no specific definition, but generally means that the patient's vital signs are not stable. The patient is often in an intensive care unit, and death may be imminent.

Life support: Any technique used to maintain life after one or more vital organs fail. This can be secondary to many causes, such as trauma, infection, cancer or other chronic disease. Some examples are dialysis, mechanical ventilation, certain intravenous medications and nutritional support.

South Africa: Following Nelson Mandela

Intubated: It means a patient has a breathing tube in his or her windpipe (trachea) either to protect the airway (during trauma) or help the patient breathe. If patients need assistance in breathing, they are often connected to a mechanical ventilator.

Ventilator: A machine that supports breathing.

Resuscitation: This term is generally used as part of cardiopulmonary resuscitation, or CPR. CPR is the lifesaving technique used when someone's heart has stopped beating or the person has stopped breathing. It generally involves chest compressions, assistance with breathing and often medication to help support blood flow to organs.

Advance directive: Written instructions regarding your personal medical care preferences. These can include a living will, a designation of your medical power of attorney (or decision maker) and your preference regarding resuscitation (e.g., DNR or do not resuscitate). These are used when patients are unable to make their own health care decisions.

Living will: A written legal document that details the types of medical treatments and life-sustaining measures that a patient would want or doesn't want. It usually includes instructions regarding mechanical ventilation, feeding tubes and resuscitation.

TEDMED: 'Grace' at the end of life

Coma: A state of prolonged unconsciousness that can be caused by a variety of problems (such as injury, stroke, drug or alcohol intoxication, infection, brain tumor, severe illness). Patients during this time are not aware of their environment, and they are not able to be aroused. (This state is different from a persistent vegetative state, where they can be "aroused.")

Persistent vegetative state: A patient in this state can have a state of "wakefulness," but they are not "aware." It is usually secondary to a significant brain injury from prolonged lack of oxygen to the brain. It can be seen as a person transitions between coma and recovery or between coma and death.

In this state, a person has no awareness of self, the environment or ability to interact with the environment. There are no voluntary movements and no evidence of language comprehension or expression. Patients can have periods of sleeping and wakefulness. It can become a permanent state.

Brain-dead: A patient is brain-dead when all brain and brain stem functions permanently cease. The patient cannot breathe on his or her own. Once the patient is declared brain-dead, the person is legally dead.

Brain stem: A part of the brain that controls heartbeat and respiration.

In an African slum, talking to Mandela

@highlight

Former South African President Nelson Mandela clings to life with recurrent lung infection

@highlight

In end-of-life and critical care situations, doctors sometimes use unfamiliar terms

@highlight

A specialist at the Mayo Clinic helps explain some of these terms