WASHINGTON (CNN) -- President Bush on Friday proposed a temporary, broad-based tax relief package aimed at spurring the nation's slowing economy.

"We can provide a shot in the arm" to the economy, President Bush said Friday at the White House.

During remarks at the White House, Bush, flanked by economic advisers, said the nation's economy is at risk for a downturn and Congress must act to head off trouble.

"This growth package must be big enough to make a difference in an economy as large and dynamic as ours," Bush said.

"By passing a growth package quickly, we can provide a shot in the arm to keep a fundamentally strong economy healthy, and it will help keep economic sectors that are going through adjustments, such as the housing market, from adversely affecting other parts of our economy."  Watch more of Bush's tax outline »

It should equal about 1 percent of the nation's gross domestic product, or roughly $140 billion, he added. Bush said the economy will continue to grow but at a slower rate.

The president offered no specific details of the proposed package, but he did insist that it include tax incentives for business, "including small businesses, to make major investments in their enterprises this year." Bush also said the economic package must include "rapid income tax relief" for consumers to "lift our economy at a time when people otherwise might spend less."

Although Democratic leaders in Congress expressed general support for Bush's remarks, other Democrats on Capitol Hill met the president's proposal with suspicion.

Two Democratic leadership aides made it clear Friday that the growth package would not win support from Democratic leaders unless it includes relief for low and middle income earners.

"We want to include people who pay taxes, not necessarily income taxes -- a lot of lower income people pay payroll taxes," said one aide. Another source stated flatly, "We're not going to pass a bill in the House that doesn't include low-income people."

Sen. Charles Schumer, D-New York, said he was disappointed that Bush did not include stimulus-spending measures aimed at helping the disadvantaged such as extending unemployment benefits. Schumer said such spending initiatives would jump-start the economy faster than tax cuts alone.

"I think if we avoid any of the ideological fights, we could actually pass something so that it would take effect on March 1," Schumer said.

House Speaker Nancy Pelosi, D-California, expressed agreement with Bush on "the need to provide assistance immediately," saying in a statement that "we must invest our resources in such a way that injects confidence and consumer demand, promotes economic growth and creates jobs."

Senate Majority Leader Harry Reid, D-Nevada, said, "I also agree that our focus must be on finding temporary measures that will do the job effectively."

Sen. Edward Kennedy, D-Massachusetts, agreed that "we must act swiftly to boost the economy" but stressed the need to help families who "are struggling every day to pay their bills, heat their homes and pay their mortgages."

Bush's remarks came a day after talks on the subject with Democratic and Republican lawmakers, and following Federal Reserve Chairman Ben Bernanke's call for a fiscal stimulus package to help an economy beset by plummeting stock prices and a credit and mortgage crunch.

Bush said Friday he was encouraged by his discussions with lawmakers. "I believe there is enough broad consensus that we can come up with a package that can be approved with bipartisan support."

Existing income tax cuts supported by the Bush administration are due to expire in 2010, and the president called on Congress to make them permanent.

"Unless Congress acts, the American people will face massive tax increases in less than three years," Bush said. "This tax increase would put jobs and economic growth at risk."   Watch experts explain how to goose the economy »

The proposed stimulus package comes as a leading gauge of future economic activity was released Friday by the Conference Board. The December report showed a decline for a third straight month for the U.S. leading index -- down two-tenths of a percent. The report cited housing permits for the largest negative contribution to the index.  See chart showing Americans' recession fears »

On Thursday, the Dow Jones industrial average of stock prices dropped more than 300 points after reports of slowing growth and massive debt write-offs by Merrill Lynch. The brokerage giant reported a nearly $10 billion loss for the fourth quarter of 2007 and wrote off more than $11 billion in bad mortgage debts.

Former Treasury Secretary Lawrence Summers stressed the importance of whom any relief package would target. "It needs to go to people who are going to spend it," Summers said Friday on CNN's "American Morning." "That means particularly those who rely on tax refunds -- those receiving benefits, those whose incomes have been hurt by the downturn."

Bernanke told the House Budget Committee on Thursday that he does not believe the economy will enter a recession, but he said he expects growth to proceed at a slow pace this year and possibly into early 2009. He said Congress needs to take decisive action to boost the economy.

"To be useful, a fiscal stimulus package should be implemented quickly and structured so that its effects on aggregate spending are felt as much as possible within the next 12 months or so," Bernanke said. But he said any package should be "explicitly temporary" to avoid running up the government's long-term debt.

Bernanke stopped short of suggesting that the Bush tax cuts should be made permanent, telling lawmakers he supports "the law of arithmetic."

"What comes in at least has to equal what goes out at some point," he said.

In 2001, Americans received checks from the government designed to stimulate the economy. Individuals received $300 and families $600.

Twenty to 40 percent of the checks were spent within days. Consumers saved one-third of the money, and two-thirds went back into the economy within two quarters, officials said. E-mail to a friend

CNN's Deirdre Walsh contributed to this report.

@highlight

NEW: Democratic leadership aides say bill must help low-, middle-income earners

@highlight

President calls for broad-based tax relief for consumers, businesses

@highlight

Bush says he's encouraged by talks with Congress, hopeful of agreement

@highlight

Bush says his tax cuts due to expire in 2010 should be made permanent