Doctors make mistakes. They may be mistakes of technique, judgment, ignorance or even, sometimes, recklessness. Regardless of the cause, each time a mistake happens, a patient may suffer. We fail to uphold our profession's basic oath: "First, do no harm."

According to a 1999 report by the Institute of Medicine, as many as 98,000 Americans were dying every year because of medical mistakes. Today, exact figures are hard to come by because states don't abide by the same reporting guidelines, and few cases gain as much attention as that of Rory Staunton, the 12-year-old boy who died of septic shock this spring after being sent home from a New York hospital. But a reasonable estimate is that medical mistakes now kill around 200,000 Americans every year. That would make them one of the leading causes of death in the United States. Why have these mistakes been so hard to prevent?

Here's one theory. It is a given that American doctors perform a staggering number of tests and procedures, far more than in other industrialized nations, and far more than we used to. Since 1996, the percentage of doctor visits leading to at least five drugs' being prescribed has nearly tripled, and the number of MRI scans quadrupled.

Certainly many procedures, tests and prescriptions are based on legitimate need. But many are not. In a recent anonymous survey, orthopedic surgeons said 24% of the tests they ordered were medically unnecessary. This kind of treatment is a form of defensive medicine, meant less to protect the patient than to protect the doctor or hospital against potential lawsuits.

Herein lies a stunning irony. Defensive medicine is rooted in the goal of avoiding mistakes. But each additional procedure or test, no matter how cautiously performed, injects a fresh possibility of error. CT and MRI scans can lead to false positives and unnecessary operations, which carry the risk of complications like infections and bleeding. The more medications patients are prescribed, the more likely they are to accidentally overdose or suffer an allergic reaction. Even routine operations like gallbladder removals require anesthesia, which can increase the risk of heart attack and stroke.

So what do we do to be safer? Many smart people have tackled this question. Peter Pronovost at Johns Hopkins developed a checklist shown to bring hospital-acquired infections down to close to zero. There are rules against disturbing nurses while they dispense medications and software that warns doctors when patients' prescriptions will interact badly. There are policies designed to empower nurses to confront doctors if they see something wrong, even if a senior doctor is at fault.

Interview with Dr. Sanjay Gupta on his novel

What may be even more important is remembering the limits of our power. More — more procedures, more testing, more treatment — is not always better. In 1979, Stephen Bergman, under the pen name Dr. Samuel Shem, published rules for hospitals in his caustically humorous novel, "The House of God." Rule No. 13 reads: "The delivery of medical care is to do as much nothing as possible." First, do no harm.

One place where I have seen these issues addressed is in Morbidity and Mortality, or M and M — a weekly gathering of doctors, off limits to the public, which serves in most hospitals as a forum for the discussion of mistakes, complications, deaths and unusual cases. It is a sort of quality-assurance conference where doctors hold one another accountable and learn from one another's mistakes. They are some of the most candid and indelible meetings I have ever attended.

I will never forget when one of our most talented surgeons operated on the wrong side of someone's brain. The patient was bleeding internally; everyone was rushing, and someone had hung up the CT scans backward. Thankfully, the patient survived. The distraught doctor spent hours throwing up after the operation.

After he told the story in our M and M meeting, the hospital implemented a "time out" protocol in the operating room for everyone to stop and agree on what operation would be performed, on what side of the body and whether the correct patient was indeed lying on the operating table, to make sure that kind of mistake would never happen again.

At my first M and M as a medical student, I heard the story of a patient who had received antibiotics for an upper respiratory tract infection. Two weeks later she developed joint pain and blisters on her chest and arms, a condition known as Stevens-Johnson syndrome, which can be caused by an allergic reaction to antibiotics. She ended up with sepsis, a body wide infection, and spent two weeks in intensive care. She, too, survived, but most stunning was the doctor's admission that her original ailment had been a mild viral illness — she hadn't even needed the antibiotics that led to such a terrible reaction. Years later, that case still makes me think harder about every test I order and every medication I prescribe.

Hospitals are supposed to take care of the sickest members of our society and uphold the highest standards of patient care. But hospitals are also charged with teaching doctors, and every doctor has a first mistake. The only thing we can do is learn each time one happens, and reduce future errors in the process. Having a consistent gathering to talk about the mistakes goes a long way toward that goal, and just about any institution, public or private, could benefit from a tradition like M and M. It is not enough to stop the practice of defensive medicine, but when doctors are asked by their colleagues to justify the tests they ordered and the procedures they performed, perhaps they will be reminded that more is not always better.

10 shocking medical mistakes

@highlight

Dr. Sanjay Gupta: Why is it so hard to prevent medical mistakes that kill thousands?

@highlight

He says one theory is that doctors order so many procedures to protect themselves

@highlight

Each procedure creates a new opportunity for a mistake, he says

@highlight

He says "morbidity and mortality" meetings give doctors a chance to learn from mistakes