Dubai, United Arab Emirates (CNN) -- During London Mayor Boris Johnson's recent visit to Dubai on an investment promotion trip, he jokingly declared that he is "mayor of the eighth emirate." Though uttered in typical self-deprecating jest, the mayor of the world's greatest city proclaiming that London is a mere province of the United Arab Emirates is revealing about how Dubai's fortunes have revived since the punishing real estate crash and debt restructuring following the financial crisis.

With the UK economy slumping so severely that the IMF has recommended it reconsider its austerity policy, Johnson has to look abroad to maintain London's economic dynamism. He particularly appealed to the UAE's sovereign wealth funds (such as the Abu Dhabi Investment Authority and Mubadala) to invest in London's underground subway upgrades (not that Emiratis are regulars on the Tube, since they often ship their supercharged Italian sports cars to London for the summer months).

Thirty years ago, when I was a child growing up in the UAE, Dubai's highlights were a cheap revolving restaurant in the creek district of Deira and the modest gold souk of nearby Sharjah. But a revolutionary transformation was also just under way under the visionary leadership of Sheikh Rashid bin Saeed al Maktoum, and subsequently carried forward by his third son Sheikh Mohammed bin Rashid, who currently rules Dubai while also serving as prime minister and vice president of the UAE.

More from Parag Khanna: Is Brazil ready to take sporting center stage?

Decades of heavy infrastructure investment built what is today one of the world's busiest ports at Jebel Ali, and the world's most transited airport. At any hour of the day, Dubai's Terminal 3 is the single most cosmopolitan building in the world, with every conceivable nationality transiting, visiting, or settling. The Dubai Mall, located at the base of the world's tallest building, the Burj Khalifa, was visited 65 million times in 2012, more than any other monument in the world. The increasingly populous and built-up corridor connecting Abu Dhabi and Dubai have inspired many to refer to this core axis as "Abu Dubai," the unofficial capital of the entire Middle East. In time, all seven emirates -- and all the Gulf Cooperation Council (GCC) countries -- will be linked by a coastal high-speed rail network. Led by the largest economy of Saudi Arabia, the GCC collectively deserves a place in any conversation about the "BRICS."

Huge real estate projects, central geography, and reconciliation with its fraternal capital Abu Dhabi made Dubai resilient to the crisis in ways almost every global analyst missed. Those who erroneously wrote gloating "Dubai is finished" headlines are derisively referred to here as "the haters." Ironically, they come from the same places -- Europe and America -- that now send officials and out-of-work executives desperately seeking investment and jobs in the UAE. Would you rather be in Athens right now?

In his penetrating new book "The History of Future Cities," author Daniel Brook matter-of-factly declares Dubai as the center of the world. But he also sketches a portrait of a place that is not just a city, but an idea, and a dream. In one generation, Dubai has graduated from a village that people just fly over, to an instant city in the desert, to a destination for migrant workers and expatriates, to a world financial center and demographic microcosm of the planet. Just a couple of years after its economic crisis it feels like the center of the world again. In the traditional but affluent beachfront district of Jumeirah, the aesthetic matches the geography of being halfway between Europe and India: patisseries next to sari shops. An even further concentric circle of cultures is represented: Burger King and Chinese massage parlors.

More from Khanna: Evolution, not revolution, in Myanmar

Geography plays a major role in Dubai's rebound. The UAE's largest trading partners are China and India. Indians are the second largest investors in the all-important property market (behind Emiratis); they flock here as the most convenient meeting point for far-flung diaspora families. Like anyone else, they also enjoy functioning infrastructure; hence the saying that Dubai is India's best-run city. (If only Dubai were still administered by the British Raj, when its currency was the rupee.)

Dubai has also become a crucial outpost for China, with more than 2,000 Chinese companies registered in the UAE. While many have visited the sprawling Dragon Mart complex where low-cost Chinese goods are sold wholesale, an estimated 180,000 Chinese people reside in the country, including senior figures for state-run banks who negotiate joint investment opportunities in Africa with Western companies. The Dubai International Financial Center (DIFC) is their neutral meeting ground, offering a one-stop shop for legal, financial, accounting and other services. The UAE also wisely plays a neutral game of multi-alignment with the superpowers: major arms deals with the U.S., massive energy exports to China, and billions in investment from Europe. Whether or not China is able to avoid the "Malacca trap" by building pipeline and railways across Central Asia to the Middle East, it will still need Dubai as its hub for its growing reach into the Middle East and Africa.

Last week's third consecutive government-sponsored Annual Investment Meeting (AIM) in Dubai featured businessmen and officials from 114 emerging markets, showing how the city is the most convenient meeting point for the globe-spanning webs of commerce forming across Latin America, Africa, and Asia. With its location at the intersection of three continents, Dubai captures not only the shift in economic power from West to East, but also the rise of the South. Forty percent of the world's population lives on the Indian Ocean rim, and Dubai is the financial crossroads for their growing trade and financial relationships. Dubai is increasingly the hub for companies investing across Africa, and home to domestic powerhouses like Dubai Ports World, which is operating ports from Djibouti to Senegal, and Emirates Airlines, the only airline capable of flying non-stop from Dubai to every major city in the world. When you fly on Emirates Airlines, the pilots need several full breaths to list the languages spoken by the staff, usually including English, Spanish, Portuguese, Russian, Afrikaans, Bulgarian and half-dozen others.

In his forthcoming book Start-up Rising, veteran tech entrepreneur Chris Schroeder points out that Dubai is effectively the commercial capital for companies looking to gain access to about 300 million Arab consumers. According to Standard Chartered Bank, the UAE itself has the highest rate of mobile penetration in the world, with 176 phones per 100 people. Smart phone penetration is expected to grow to 50% in Egypt in the next five years. Schroeder argues that Western VCs need to be greater risk takers, the way UAE-based ones already are. Abraaj, the largest private equity fund in the Middle East, has investments in 43 countries from Peru to Pakistan. Only at conferences in Dubai does one find billboards advertising Pakistan as "vibrant," and find investors talking about the "huge opportunities" there.

Perhaps the greatest geopolitical risk to the region is also what will become the UAE's next big opportunity: Iran. It is unlikely that Iran will spend the rest of the decade as an isolated pariah. Whether by war or diplomacy, with or without nuclear weapons, the giant Persian nation in the region's heart will be open for business. The smuggling business that has thrived for decades between Dubai and Iran will graduate to Dubai becoming the full-blown staging point for all parties involved in Iran's economic rehabilitation.

With such strong, unchallenged and popular leadership, the UAE has wound up a beneficiary of the Arab Spring. Free of the troubles of Egypt, Syria, and other Arab states, "Dubai is where you come to forget you're in the Middle East," according to one commentator. Just as it benefited in the 1970s and '80s from Lebanon's descent into civil war, the UAE is now absorbing an estimated 15,000 Arabs a month from Iraq and Syria, but also Saudi Arabia and Egypt. The best and the brightest -- and wealthiest -- are hedging their bets, fed-up with civil war or democracy.

While the country is relatively open, tolerant and progressive, its freedoms come at a price. Human Rights Watch has recently reported on crackdowns of free speech, closure of Western NGO affiliates, intimidation and imprisonment of dissidents, continued human trafficking, and poor protection of foreign worker rights. And as in countries in West and East, security cameras are now ubiquitous, reminding of the underlying securitization that enables the peaceful daily order. Even as these issues receive growing scrutiny, Dubai is undeniably the deserving favorite to host the World Expo 2020 (the winner will be announced in November).

The UAE biggest long-term challenge is demographic. The UAE and Qatar are unique in the world as nations whose indigenous populations are all but disappearing relative to the influx of foreigners. The country's population has tripled in just the past decade to over ten million people, yet Emiratis make up less than 10% of the entire population. The prominent academic Abdulkhaleq Abdulla is a provocative and thoughtful embodiment of the dilemma the UAE's success has brought about: on the one hand, he praises his country's spectacular modernization, but he has also sounded the alarm that Emirati identity is being extinguished, his tribe becoming extinct.

At the same time, though Dubai has by far the highest foreign-born population rate in the world, it is not quite the melting pot New York is. To achieve that level of permanent, inter-ethnic integration, the UAE will have to transform itself from post-modern feudalism to an innovative stakeholdership model in which foreigners are accorded long-term residency rights, and both citizens and foreigners have meaningful rights as well as responsibilities. If it does so, it can be a role model for dozens of other cities that are becoming multi-ethnic global hubs. That is exactly what the world expects from the city at its center.

The opinions expressed in this commentary are solely those of Parag Khanna.

@highlight

Dubai's fortunes have revived since real estate crash and debt restructuring

@highlight

In a generation, Dubai has graduated from village to global financial center, demographic microcosm

@highlight

City has become crucial outpost for China; 2,000 Chinese companies registered there

@highlight

Country is open and tolerant; Parag Khanna says freedom of expression has suffered