(CNN) -- The 1960s are stereotyped in the popular imagination as a decade of "free love" and sexual liberation. Yet, as late as 1967, to share a gay relationship in the UK was to risk arrest, imprisonment and life-wrecking public humiliation.

Even after homosexuality in England and Wales was finally decriminalized that summer -- a month after the release of the Beatles' "Sgt. Pepper's Lonely Hearts Club Band" -- gay people in Scotland would have to wait until 1980 for the same right, and those in Northern Ireland two more years.

This week, almost 46 years later, the House of Commons, the lower house of the UK parliament, took another landmark step towards granting full equality to gay people by voting in favor of a bill that would give them the right to marry. Civil partnerships, which effectively grant those in same-sex relationships the same legal rights as married couples, have been permitted in the UK since 2005.

Tuesday's vote in London came at the same time that France's National Assembly was also debating a government-backed bill to legalize same-sex marriages. A key article of the proposed legislation, redefining marriage as an agreement between two people of the opposite or same sex, was passed emphatically, suggesting the bill is likely to eventually become law, even despite a raft of more than 5,000 amendments tabled by the opposition in an apparent effort to delay proceedings.

Gay rights campaigners in London and Paris may have had cause for celebration, but their legislators were hardly ahead of the curve. Same-sex marriage is already legal in eight European countries, including the Netherlands and Spain, as well as in Argentina, Canada, South Africa and some states of Brazil.

Meanwhile, the cause of gay rights in the U.S., where nine states and Washington DC have legalized same-sex marriage, received an historic endorsement in President Barack Obama's second term inauguration speech in which he declared: "Our journey is not complete until our gay brothers and sisters are treated like anyone else under the law -- for if we are truly equal, then surely the love we commit to one another must be equal as well."

Opinion: How U.S. leads the way on gay rights

With recent opinion polls in both the UK and France indicating solid majorities in favor of equal marriage rights for same-sex couples, Roberta Sklar, a spokesperson for the International Gay and Lesbian Human Rights Commission, said it appeared to be an issue with the power to appeal to many people's emotions.

"We have seen an increasing momentum towards the legalization of equality in marriage," Sklar told CNN. "I think if you exchange the word love for marriage you immediately understand why. Love is a universal experience and in many place love is equated with marriage, so emotionally people come to understand love and marriage in that way."

That momentum has also prompted greater international solidarity between groups campaigning for gay rights, according to Andy Wasley, a spokesman for the UK's Stonewall charity.

"We work together with organisations worldwide to help challenge homophobia, and we've provided advice to campaigners in countries like Croatia and Slovakia, which are looking to learn from the progress we've made on equality in Britain," Wasley told CNN.

Wasley said that growing recognition and awareness of the principles of universal human rights through institutions such as the United Nations and the European Union had also served the cause of gay rights campaigners. He cited the UN Universal Declaration of Human Rights which recognizes the "equal and inalienable rights of all members of the human family."

Yet campaigners warn that the focus on advances towards gay marriage in Western nations risks distracting attention from more urgent efforts to secure basic human rights for gay people in many regions of the world where homosexuality is still illegal and homophobia is deeply entrenched.

"When I speak to my colleagues in these places they say, 'We are not concerned about same-sex marriage. We want our basic human rights.' The right to live safely, to gather with friends, to speak openly. These are things that in Western democracies we take for granted," said Sklar.

Wasley also highlights continuing casual homophobia in the UK, citing Stonewall research suggesting more than half of gay, lesbian and bisexual young people have been bullied at school and Home Office records of 4,200 homophobic hate crimes in England and Wales last year.

"We've seen a lot of progress over the last 10 years but clearly there are still very big problems. Until everybody in society gets over problems with gay people there is still a lot of work to be done," he said.

But while gay rights campaigners can increasingly look abroad for inspiration and common cause, their opponents are also mobilizing on an international scale, many of them united by religious faith.

In his pre-Christmas message, Pope Benedict XVI rallied Catholics to oppose gay marriage by praising comments critical of gay marriage made by Gilles Bernheim, the chief rabbi of France, raising the prospect of an inter-faith alliance, according to many commentators. Meanwhile in the UK, the new Archbishop of Canterbury Justin Welby used his first public comments as leader of the worldwide Anglican community to reiterate the Church of England's concerns.

Opponents of same-sex marriage argue that the equality argument made by gay rights campaigners is a false one and that there are real social risks involved in redefining the notion of marriage in ways broader than the traditional union of man and woman.

"Nobody wants to be seen as anti-equality and the gay rights lobby have been very effective in framing the argument as being one equivalent to ending slavery," Austen Ivereigh, a spokesperson for the Catholic Voices pressure group, told CNN.

Ivereigh said that marriage in Western society had traditionally been understood as a "conjugal institution with sexual difference at its heart." To allow people of the same sex to marry was to downgrade marriage's importance by misunderstanding it as simply "a domestic relationship between two people."

He also questioned whether public support for gay marriage in the UK and France was as strong as opinion polls have suggested, arguing that people were confused by the issue. He said anti-gay marriage campaigners in the UK had drawn encouragement from their French counterparts, who have taken to the streets in hundreds of thousands to oppose the government.

"There hasn't been a lot of co-ordinated international action yet but I can see it beginning to emerge," said Ivereigh.

But Peter Kellner of the UK's YouGov polling agency said that opposition to gay rights legislation tended to be forgotten as soon as it became law, citing the examples of the UK's 1967 decriminalization of homosexuality and the changing of the law in 2000 to equalize the age of consent for straight and gay sex to 16.

"History tells us that measures to advance gay rights cease to be controversial almost as soon as they are passed," said Kellner.

"Ahead of the 1967 legislation... Gallup found that more people thought it should remain a criminal act than to legalise it. Afterwards, MPs across the spectrum agreed that there was never the remotest chance to turn back the clock. It's a similar story with the age of consent. Both times, opponents of reform folded their tents once the law was changed."

@highlight

The UK this week took another landmark step towards granting full equality to gay people

@highlight

Same-sex marriage is already legal in eight European countries

@highlight

Campaigners warn that advancing gay marriage in the West risks distracting attention from more urgent rights issues

@highlight

Opponents of same-sex marriage argue that the equality argument made by gay rights campaigners is a false one