(CNN) -- Perez Hilton is a celebrity blogger who dishes out the latest Hollywood gossip, but there's something about his personal life you may not know.

Latino gays say they face a double dose of discrimination.

Hilton is a Latino pioneer. He is one of the first Latino public figures in the U.S. to be openly gay. While Latinos have broken ground on the U.S. Supreme Court, in Hollywood and in professional sports, gay Latinos in the nation's public arena remain largely invisible.

Hilton says deep-seated homophobia within the Latino community has forced many gay Latinos to go underground, but attitudes are shifting.

"At the beginning, when I came out to my mom, she reacted with a sigh and said, 'You're my son and I have to love you,' " Hilton says. "But now she says, 'You're the best son in the world, and we need to find you a man.' "

Some gay Latino leaders are starting to share Hilton's optimism. The Latino community has long had a reputation for being notoriously homophobic. But some surprising developments within the Latino world -- in the United States and abroad -- suggest that may be changing, gay scholars and activists say.

'Walls are starting to crumble'

"A lot of walls are starting to crumble," says Charlie Vazquez, a New York-based author whose fiction has appeared in books such as "Best Gay Love Stories: NYC."

"We're at a crossroads," he says. "A new generation of better-educated Latinos is coming of age."

Gay Latino activists point to several signs of this transformation:

El Diario La Prensa, one of the oldest and largest Spanish-language newspapers in the U.S., recently endorsed the rights of same-sex couples to marry.

Within the past three years, lawmakers in countries as diverse as Uruguay, Colombia and Mexico have passed laws granting rights and protections to gays and lesbians.

Christian Chavez, lead singer of the popular pop Mexican band RBD, recently announced that he was gay.

"He wasn't rejected by any of his band mates or fans," Hilton says of Chavez. "That's a huge step for gay visibility in the Latino media world."

And far away from the stage, even some of the most vulnerable gay Latinos -- ordinary students in public high schools -- are finding more support, one group says.

While many gay Latino students still face physical and verbal harassment from classmates and teachers, more are becoming bolder about affirming their sexual identity, a recent survey found.

A 2007 survey conducted by the Gay, Lesbian and Straight Education Network discovered that at schools where a Gay Student Alliance club existed, 59 percent of gay Latino students participated in the club, says Elizabeth Diaz, a senior researcher at the network. The survey defined gay youths as those who were lesbian, gay, bisexual or transgender.

The network also says that since 1999, at least 4,000 Gay Student Alliances have formed groups at public and private schools in the United States.

"While harassment in schools for Latino gay students remained high, we also know that these students have more support than in past generations," Diaz says.

At least one Latina scholar is now even questioning a fundamental assumption about homophobia in the Latino community.

Lourdes Torres, president of Amigas Latinas, a lesbian and bisexual support group, says the notion that Latino people are more homophobic and its men more macho is not only false, but tinged with racism.

Men from all sorts of ethnic groups have long acted in a patriarchal manner, but only Latino men have the term "machismo" attached to their behavior, she says.

"People tend to think that somehow, we're more repressed and living in the Dark Ages," says Torres, a professor at DePaul University in Chicago, Illinois.

"They forget that just as things are changing in the U.S., they're also changing in Latin America," she says.

The walls that still stand

Yet Torres and others also say that being gay and Latino presents special challenges.

Like other gay people of color, Latino gays face a double bind: discrimination from mainstream culture and from their own community, Torres says.

This double bind presents an obstacle to Latinos who consider coming out, Torres says. Their challenge: risking rejection from their family when they need their family as a refuge from racism, she says.

"The family is the unit that provides the support and the one place that people can feel free and protected," Torres says. "It becomes doubly difficult for people to come out."

Those who take that risk may pay a price.

Emanuel Xavier, a gay poet and spoken word artist, says he almost destroyed himself because he couldn't find acceptance within the Latino community.

The New York-based poet says he grew up knowing that his sexual identity infuriated other Latinos. He once saw kids pelt a gay Latino hairdresser with stones. He routinely heard Roman Catholic priests condemn homosexuals.

His own mother called him names when she discovered he was gay, says Xavier, editor of "Mariposas: A Modern Anthology of Queer Latino Poetry."

Xavier says he was so filled with self-loathing that he once sold drugs and engaged in risky sexual behavior.

"I became all those things society expected me to become," he says. "I thought that was the only thing I could be."

Xavier says he decided to ditch his reckless lifestyle and become a poet. He reconciled with his mother and took on a new mission. He wanted to show others that one could be Latino, gay and proud.

"Fortunately, I walked away unscathed," he says of his earlier days. "I thought that God had given me a second chance, and I felt like I had to do something with that."

Gay Latinos like Xavier who decide to become activists, though, may run into an unexpected problem. How do you organize a community that is so fragmented?

People often talk about the Latino community in the U.S. as if it is one community. Yet Latino leaders often point out that there is not one Latino community in the U.S., but many.

A U.S. citizen from Guatemala, for example, may not appreciate being called a Mexican. Politics, food, history -- they all differ among various Latino groups in the U.S.

Andres Duque, a gay Latino activist and journalist, says those differences  can make it difficult to mobilize support for Latino gay issues.

"It's difficult to get united around a single issue," says Duque, whose blogging name is "Blabbeando."

"When people are trying to form a Latino voice, it's difficult because you have different cultures with different visions and goals," Duque says.

For now, Hilton, the Hollywood blogger, may seem like a coalition of one -- a Latino public figure who is proud of being gay. But he says he doesn't feel isolated.

"I really don't think I'm alone," he says. "I don't feel alone."

He says that gay Latinos who decide to stop living undercover will become more commonplace in the future.

"It's tough -- I'm not saying it's not there," Hilton says of homophobia in the Latino community. "But as time goes on, it will change."

@highlight

Hollywood blogger Perez Hilton talks about coming out

@highlight

Openly gay Latino public figures like Hilton are rare

@highlight

Gay Latinos say they face discrimination in and outside their community

@highlight

Gay activist: "I thought that God had given me a second chance"