(CNN) -- It can appear to the naked eye as a blur; a frenzied whirlwind of arms and legs, but for Ancient Greece it epitomized an intoxicating marriage of harmony and balance.

A sport with an almost unparalleled heritage, stretching back to the fifth century BC, Melina Robert-Michon is almost evangelical about her desire for the world to rediscover the art and beauty of the discus.

For over a decade the 34-year-old has stood alone as France's leading exponent of the discipline that descended from Discobolus, the omnipresent figure in Myron's famous sculpture of a discus thrower from around 450 BC.

"It's a sport that always existed; we all have in mind the Greek statues from Discobolus," Robert-Michon told CNN's Human to Hero series.

"But the goal is really to show this sport has changed, is interesting to practice and to watch, and to promote it.

"I think that promotion is a good way of discovering or re-discovering it in its modern aspect."

The complexity of the throwing technique -- the element that hooked Robert-Michon as a teenager -- remains as mysterious as ever, a juxtaposition of intensity, power and calmness.

As well as proselytizing about the sport's finer details, Robert-Michon is equally keen to move away from preconceptions of female discus throwers as bulky and butch.

"The image of discus throwing for women has changed over the years," said the Frenchwoman, who came fifth at the London Olympics -- her fourth consecutive appearance at the Games.

"We are not anymore bodybuilding shaped women. We now have very feminine bodies, which are not that different from the norm -- I think it's really important.

"There's been a real evolution. It's really women who are throwing nowadays, for me there are no difficulties regarding this aspect."

A latecomer to the sport, she gravitated to the discus from handball -- via the shot put -- at the age of 16 upon the recommendation of her high school sports teacher.

Drawn in by the mystery of the throwing technique -- something she conquered in record time -- Robert-Michon came second at the World Junior Championships three years later, before being crowned under-23 European champion the following season.

In between those two successes, the Frenchwoman appeared in her first Olympics, in Sydney in 2000, going on to compete in Athens four years later as the Games staged an emotional homecoming to the place of its birth.

Success on the international stage has been intermittent, but she is dominant on home soil.

Her French record throw of 65.78 meters has endured for over a decade and only once since 2000 has she not been crowned national champion -- in 2010 when she took a break from the sport to have a baby.

"When I started, what I liked the most was the difficulty to throw," said Robert-Michon, who was born in Isere in the French Alps. "I didn't really understand how you could throw this sort of device that fast, with perfect trajectories and a flat discus.

"It's something that really intrigued me and that's what pushed me to do it, so I could control it. It's really the complexity of the technique that appealed to me. Discus throwing is both technical and physical.

"You have to progress physically, while maintaining the technique and when you make a technical change, you cannot lose the physique, so you have to keep the balance.

"You can be stronger, but if you cannot transmit this power into the engine and the technique, the physical strength is useless."

With success and failure often coming down to centimeters, all those elements have to be combined to perfection.

"The qualities of a discus thrower are explosiveness, dynamism and speed, all of that while being very relaxed," she added.

"The aim is to go fast while being the longest possible -- it's quite paradoxical -- but that's what make it difficult. Your aim is to have very relaxed arms, to give a lot of time to the discus before it's thrown.

"The goal is to feel the discus well in your hand -- I don't really know how to describe it -- to have a discus that's like matching my hand. I have the feeling that it belongs to my body, to my hands."

Few could deny Robert-Michon her four appearances at the greatest showcase in sport, given the peerless determination she has shown to her craft.

The 30 hours a week she spends practicing have often been alone, her coach Serge Debie having to fit training around his other commitments, and conducted in the depths of winter when there is no competition.

Such is the precarious existence of a discus thrower, that Robert-Michon continued to work and study before turning professional in 2008, even completing a short stint in the army's communications department in 2004.

She still visits schools to talk about her life as an athlete and is desperate to spread the word about her chosen discipline.

"My ambition is really to promote my sport, so that people get to know it and get to like it. You can't like it if you don't know it," she said.

"I realize that people who follow my results and get into discus throwing just because they know me, actually start liking it and enjoy watching it or even practicing it.

"Sport has brought me a lot and when I go to schools, my aim is to pass it on and share what it brought to me. I want to tell them that they can do things.

"Athletics is great because it can be done by every body shape or pattern, everyone can choose their own sport and enjoy it. I've learned a lot from sports and discus throwing, and I want to share what I received."

@highlight

Melina Robert-Michon has been France's premier discus thrower for the last 12 years

@highlight

The 34-year-old wants more people to rediscover the sport's art and beauty

@highlight

Discus has its origins in Ancient Greece and emerged in the fifth century BC

@highlight

Robert-Michon says the sport has changed from its rich heritage