(WIRED) -- When Microsoft revealed the "consumer preview" of Windows 8 on Wednesday, it didn't just give the world a glimpse at a new OS — it also showed us that it can be a leader in touch-based user interface design. Yes, Microsoft's new tablet UI isn't merely utilitarian. It's actually innovative, and even cool.

And in some ways it trumps the best that Apple and Google currently have to offer in iOS and Android, respectively.

Here are five of our favorite new Windows 8 features.

Picture password

We've known about Microsoft's picture password feature in Windows 8 since its developer preview was unleashed in mid-September. But now that we've had a chance to give it a spin, we can definitely say it's a fun, convenient alternative to other system unlocking methods. In a nutshell, you choose a photo for your lock screen, and then define three touch gestures to draw on top of the photo in order to unlock your device.

When Microsoft first detailed picture password, some were skeptical: Won't evil hackers be able to figure out your gesture-based password based on the smudges you leave on the display? In a blog post, Microsoft said no: "Because the order of gestures, their direction and location all matter, it makes the prospect of guessing the correct gesture set based on smudging very difficult even in the completely clean screen case, let alone on a screen that sees regular touch use."

In that same blog post, Microsoft provided a detailed mathematical explanation of why a picture-based password is every bit as secure, if not more so, than a PIN-based one. And independent security experts agree that the likelihood of someone being able to decipher the intent of smudges on your device is slim to none.

Of course, character-based passwords and number-based PINs are an old standby. Apple uses four-number passcodes in iOS. They're quite secure, but not particularly innovative. Google is more creative with its unlock security, offering a facial recognition-based unlocking feature in its Android 4 Ice Cream Sandwich OS. This, however, has proven not to be so secure. In fact, it can be defeated if you hold up a picture of the Android device owner at the right distance from the display.

Easy gesture-based app switching

In the Ice Cream Sandwich version of Android, Google has added a "Recent Apps" feature that pulls up a listing of most frequently used apps when you click the system bar icon. But in Windows 8, switching between open apps is much more intuitive and easy: A swipe from the left edge of the device will immediately pull up the last app you used (assuming it's still open in a multitasking state). It's a natural gesture, and one you'll rarely use by accident.

And best of all, it's fast — like channel surfing for the tablet era.

And how's this for clever: If you know you have a large number of apps open, you can simply swipe back and forth on the edge of the screen, and up pops a vertical array of preview windows revealing all your running programs (see screenshot above). From here, you can tap on a preview to jump to a specific app. Again: another solution that's easy, quick and elegant.

In the iPad version of iOS 5, you're given two strategies to jump between apps. Most people will double-tap the home button to reveal a lineup of icons of all open apps. From there, a simple icon tap will jump to the new app. That's the popular method. But iOS 5 for iPad also lets you swipe from open app to open app, much like the method in Windows 8.

But there is one hitch in the iOS approach: You have to use a full four fingers to execute the swipe. Compared to the Windows 8 gesture, it's just not that natural.

Fat fingers aren't a problem

One problem many mobile users suffer is that onscreen keyboards aren't designed for a variety of hand and finger sizes. This is typically less of a problem on tablets, which usually have enough screen real estate to offer accommodating keyboards. Nonetheless, if you plan on using your tablet two-handed, typing with your thumbs, typing on a tablet isn't so easy.

Windows 8 offers a solution: It provides a split-screen keyboard so you can type with your thumbs. But wait, you say — Apple already does this in iOS 5. This is true, but Windows 8 goes one step further: You can adjust key size in the Windows 8 split-screen keyboard. You have three sizes to choose from, so if you've got the petite hands of a five-year-old, you can type on the small setting, and if you've got manly man hands, you can increase key size to large.

It's not an insanely revolutionary feature, but little UI nuances like this make Windows 8 so appealing in total.

Chromeless, fullscreen app experiences

Windows 8 also innovates with a unique, tablet-optimized approach that eliminates distracting "chrome" — in other words, all those busy interface elements that can junk up a desktop or app interface. In fact, it's an OS-wide theme of Windows 8′s Metro UI. There are no menu bars, task bars, or navigational buttons permanently pinned to the display.

In many iOS apps, you'll find navigational buttons that persist across the app's entire user experience. And even for apps that don't do this, you'll often still see that thin bar at the top of the screen that shows data connection strength, the time, and battery level. These are the very same elements that are locked to the iOS home screen.

The case is similar (and arguably worse) in Ice Cream Sandwich. You've got your three virtual navigation buttons at the bottom of the display that are persistent across the UI. You also often have a bar across the top of the screen (just like in iOS) that displays battery status, time, and icons that link to other information.

Windows 8 does away with all of this. To see the time, battery strength and data connectivity, you swipe open your Charms menu. Once you're done looking at these simple reports, you touch anywhere on the screen, and the Charms menu disappears.

When I was younger, I was obsessed with knowing the time, so the new Windows 8 approach would have driven me nuts. But now it's liberating to keep the clock out of view — until I actually need it. Just check the time when you need to, and enjoy a much less busy user interface for 99 percent of your time on the tablet. Metro apps can luxuriously take up your tablet's full screen, and in cases where there's photo or video involved, that's fantastic.

Home screen style and utility

Every major mobile OS provides a certain degree of personalization in what you see in your home screen. In iOS, you can rearrange your home screen app icons so you can put your favorite ones front and center. In Android, you can organize the placement of app icons, and also add widgets that display real-time information, making the home screen both personalized and a source of useful information.

However, Android widgets tend to have their own developer-specific themes and designs, so when they intermingle on your home screen, the resulting arrangement may look busy and inconsistent like a chaotic patchwork quilt.

In Windows 8, however, you'll find a happy medium between the tidy organization that iOS provides, and the freedom and utility of the Android home screen. In Windows 8, app icons are live tiles, either square or rectangular in shape, but always consistent in their basic look and feel.

But live tiles also update with new information in real time, just like an Android widget. For example, the mail app provides a constant refresh of your latest message headers. You can organize live tiles in whatever order suits you best. In the screenshot above, we put the calendar, mail and weather apps on the far left so we could glean that information with a single downward glance.

See the original article on WIRED

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Picture password feature is fun, convenient alternative to system unlocking

@highlight

In Windows 8, switching between open apps is much more intuitive and easy

@highlight

Users can adjust key size in the Windows 8 split-screen keyboard