Istanbul (CNN) -- "Basat al reeh." "Dulab." "Falaqa." They are Arabic names for torture techniques that send chills through the hearts of Syrians, particularly the untold thousands who are believed to have been detained during the uprising of the last 15 months.

"We suffered torture all the time," said Tariq, an opposition activist from the port city of Latakia who spent 40 days in solitary confinement in spring 2011.

He told CNN he endured "dulab," in which torturers force the prisoner's legs and head into a car tire before beating them, and "basat al reeh," in which the prisoner is tied to a board and beaten.

"They threw cold water on our naked bodies and they also urinated on us ... they are really good at what they do," said Tariq, who now is in Turkey helping mobilize men and weapons to rebels inside Syria.

According to a report published Tuesday by the New York-based human rights organization Human Rights Watch, the Syrian government has been carrying out "a state policy of torture" as part of an effort to crush dissent throughout the unrest.

Human Rights Watch identified 27 detention centers across Syria where torture was systematically inflicted on prisoners, according to testimonies from more than 200 former prisoners and security officers who defected.

Rights group cites 'state policy of torture' in Syria as stream of defectors reported

"It is a network of torture chambers that the authorities are using to intimidate and punish people who dare to oppose the government," said Ole Solvang, a Human Rights Watch researcher.

"Nobody knows how many people are being detained, how many are being tortured," he added. "But one local activist group has collected names of 25,000 people in detention. The numbers are absolutely staggering."

Human Rights Watch titled its report "The Torture Archipelago" in an overt attempt to link the Syrian prison system to the notorious Siberian gulags described in Alexander Solzhenitsyn's Soviet dissident novel "The Gulag Archipelago."

The system is being run by at least four intelligence agencies collectively referred to as mukhabarat, or secret police, the report says. Those agencies include the Department of Military Intelligence, the Political Security Directorate, the General Intelligence Directorate and the Air Force Intelligence Directorate.

"The authorities also established numerous temporary unofficial holding centers in places such as stadiums, military bases, schools and hospitals where the authorities rounded up and held people during massive detention campaigns before transporting them to branches of the intelligence agencies," Human Rights Watch reported.

The Syrian government routinely denies allegations of such abuses. Recently, Syria's ambassador to the United Nations walked out of a meeting of the U.N. Human Rights Council in protest after the Syrian regime was accused of committing crimes against humanity.

But the eyewitness accounts gathered by Human Rights Watch as well as by CNN throughout the 15-month crisis are overwhelming.

Though most of the torture victims in Human Rights Watch's report were men ranging from 18 to 35 years of age, the organization also interviewed women, senior citizens and children who said they were tortured.

"They electrocuted me on my stomach, with a prod. I fell unconscious," said Hossam, a 13-year-old boy who told Human Rights Watch he was detained in the town of Tal Kalakh in May 2011. "When they interrogated me the second time, they beat me and electrocuted me again.

Clinton: World may not succeed in Syria

"The third time, they had some pliers and they pulled out my toenail. They said, 'Remember this saying, always keep it in mind: We take both kids and adults, and we killed them both.' I started to cry, and they returned me to the cell."

CNN has also interviewed more than a dozen Syrians who described enduring beatings, electrocution and horribly crowded conditions in prison cells.

A dentist who was arrested for secretly providing medical care to wounded demonstrators told CNN in February that he endured beatings, near-drownings in buckets of toilet water and electric shocks to his genitals during 45 days in a prison cell that was built for 60 people but held 130 prisoners.

"They started beating me and asked me, 'Who did you help?' " the dentist recounted. "I said, 'I helped an old lady.' Then they started beating me even harder."

The accounts of brutality match those shared by a former mukhabarat officer who said he was repeatedly ordered to torture prisoners until he defected and fled to Turkey with his family last year.

"Whatever we wanted the prisoner to say, he would say. Not what he wanted to say, whatever we ordered him to say," said the former officer, who spoke to CNN outside a refugee camp in Turkey where he had been living for months.

"We took their fingernails out with pliers and we made them eat them. We made them suck their own blood of the floor," the officer added.

Photos: In Syrian hospital, no escape from war

The officer's descriptions of the detention facility where he worked in Damascus matched the descriptions of a former prisoner who had spent months incarcerated in the same building. That former prisoner's finger was still mangled after it was crushed during a torture session in the Damascus facility.

The officer said prison guards used grim humor during their interrogation sessions.

"We would bring the prisoner and put him in the 'basat al reeh' or the 'dulab' and start beating him," he said. "He would scream 'for God's sake,' and we would say OK, bring the 'for God's sake' stick. He would scream 'for my mother, please" or 'for [the prophet] Mohammed.' And we would bring the 'my mother' stick and the 'for Mohammed' stick. Every stick had a name."

"At the core, the crisis in Syria is about human rights violations," said Solvang, who has traveled into Syria to gather evidence and testimony for "Torture Archipelago." "That is what is driving the crisis and driving people to take up arms."

The Human Rights Watch report includes satellite maps showing the exact location of detention centers. It also lists the names of commanders of individual detention centers.

Human Rights Watch is urging the U.N. Security Council to refer Syrian officials to the International Criminal Court for alleged crimes against humanity.

"Those who commit these abuses do so with complete impunity, thinking they will never have to answer for this," Solvang said. "By publishing these names, we are really putting them on notice, saying they will have to answer for these violations."

Syrian military defector: 'Those who were injected are lucky'

Journalist Omar al Muqdad contributed to this report.

@highlight

Human Rights Watch has released a report on Syria's "state policy of torture"

@highlight

The report includes testimony from former prisoners, security officers

@highlight

Among the victims, the report says, are women, senior citizens and children

@highlight

Syria's government routinely denies allegations of such abuse