Tokyo (CNN) -- Levels of radioactive iodine in seawater just offshore of the embattled Fukushima Daiichi nuclear plant spiked to more than 1,250 times higher than normal, Japan's nuclear and industrial safety agency said Saturday.

Samples taken Friday morning from a monitoring station 330 meters off the coast were significantly higher than results from the previous morning, when the level was 104 times above normal.

The measurements also showed high levels of cesium and were taken outside the discharge canal for the plant's Nos. 1, 2, 3 and 4 reactors.

Readings from a short distance away, outside the Nos. 5 and 6 units' discharge canal, showed lower but still high radioactive iodine levels some 284 times above normal.

These high levels suggest there may have been some sort of leakage directly into the ocean -- unlikely to be because of atmosphere emissions or rain alone, said an official with the Tokyo Electric Power Co., which operates the nuclear plant.

A Tokyo Electric official told CNN that authorities are not sure why the levels spiked. The official speculated that the radioactive iodine may have been swept off the coast recently into the Pacific Ocean or the tainted water may have seeped from turbine buildings for two nuclear reactors that have shown the presence of radiation 10,000 times the normal amount.

Still, an official with Japan's nuclear safety agency told reporters Saturday that -- while drinking such tainted seawater would be dangerous, given the radiation's potential to cause cancer -- the effect on aquatic life may be relatively minimal.

That's because the radiation tends to dilute, the farther one moves away from the nuclear plant. Data posted on the Japan's education and science ministry website showed relatively small amounts of radioactive particles several kilometers offshore.

The International Atomic Agency reported online Saturday that radioactive iodine and cesium was detected 30 kilometers (19 miles) offshore, but it said that these levels differed only slightly from the previous day.

That said, its potential effect on Japan's fishing industry -- even if consumers stay away, for simple fear of contamination -- remains a major concern. So, too, is the fact that authorities have yet to pinpoint the exact source of the radiation, and thus to determine if it's stopped.

The latest data, from Friday, posted online by Japan's education, science and technology ministry show continuing evidence of airborne radiation in prefectures around the nation. Still, in no cases is the exposure considered harmful to human health -- and, in fact, in many cases, radiation readings have gone down.

In the Fukushima prefecture where the plant is located, officials had screened 87,813 people for radiation exposure as of Thursday, Japan's nuclear safety agency said a day later in a news release.

Of those 98 people had tested above limits for exposure, but once their clothes were removed and other measures taken, the exposure levels dropped and there was no effect on health.

The agency also said screeners have examined thyroid glands of 66 children ranging in age from 1 to 15 and found that the "level of exposure of no problem."

The thyroid gland, particularly in children, can readily absorb radiation, health experts say.

Meanwhile, authorities continue to monitor radiation levels in tap water around Japan.

Information from Japan's education, science and technology ministry indicate the presence of radioactive iodine in the tap water of 12 prefectures. This does not include Fukushima and Miyagi, where measurements aren't being taken because of damage from the March 11 earthquake and subsequent tsunami.

The government of Ibaraki prefecture reported Saturday that radiation levels had fallen considerably in the past 24 hours -- to levels that now would be considered safe enough even for babies to drink.

Levels of radioactive iodine, taken Friday from water treatment facilities that serve the cities of Tokaimura and Hitachi, range from 31 to 97 bequerels per kilogram of water.

This is below the 100 becquerel threshold authorities advise it not be given to infants under 1 year old -- and well under the 300-becquerel threshold for adults.

A day earlier, water samples from four sites in Ibaraki had levels between 119 becquerels of radioactive iodine to a high of 230 becquerels, all above the recommendations for babies.

A second batch of data released Friday from Tokyo's waterworks bureau showed levels remaining steady at 51 becquerels of radioactive iodine per kilogram of tap water.

There were 76 becquerels from samples from Asaka purification plant, which serves Saitama prefecture, according to data on the Tokyo government site.

The previous day, Tokyo Gov. Shintaro Ishihara lifted the previously announced recommendation that babies not drink tap water after tests from Tuesday night showed levels of radiation more than twice the limit for babies.

There was also good news Friday's in the Chiba prefecture, where all five water treatment facilities had levels of radioactive iodine less than 100 becquerels per kilogram of tap water. The previous day, two plants in Chiba had reported high levels.

@highlight

NEW: Besides radioactive iodine, high levels of cesium are also detected

@highlight

A Tokyo Electric official says it's not known what caused the radiation spike

@highlight

Radiation in seawater near nuclear plant tests 1,250 times above normal

@highlight

Radiations levels in tap water in Ibaraki prefecture now considered safe