(CNN)The fighting in Ukraine may be escalating, but hopes of a decisive breakthrough in talks and a clear and coordinated Western response -- hopes raised by German Chancellor Angela Merkel's visit to Washington on Monday -- have been dashed, at least for now.

Intensifying clashes in eastern Ukraine following a new Russian-backed separatist offensive on January 13 have fueled debate over how the United States and others should respond to the uptick in violence, including growing talk of the U.S. sending weapons. Just last week, a report by prominent former diplomats and highly respected members of the U.S. national security establishment argued for a drastic increase in U.S. military aid to Ukraine, including the provision of lethal weapons.

But while Western concern is understandable, Merkel is right that the U.S. sending weapons is not the best way forward.

Last week's report, by eight former top U.S. officials, urged the administration to dispatch about $1 billion worth of defensive military equipment to Ukraine, per year.  It argued that Russia was sensitive to casualties, and that raising the costs for Moscow militarily would alter its course in the conflict.

Yet such an approach seems built on wishful thinking. Russia would counter any American weapons sent with its own, and respond asymmetrically, escalating the conflict. As a result, the policy would be laid bare for what it is -- an unnecessary risk for Ukraine, one that would leave little scope for achieving peace.

True, with support, coordination, and heavy armaments from Russia, the separatists have managed to push Ukrainian forces north of the previous line of control, leaving Ukraine's military in a precarious position. And while the separatists have also taken losses, they appear to have an endless supply of tanks and mechanized equipment from Moscow.

But a joint press conference Monday between Merkel and U.S. President Barack Obama made clear that the way forward will involve another attempt at reaching a ceasefire agreement, backed with the already enacted sanctions and economic pressure on Russia. And while the President kept the option of sending lethal aid on the table, Merkel appeared adamant that this kind of policy is unlikely ever to be realized.

Such an approach appears to reflect an understanding among European leaders that the opportunity cost of continuing this conflict could be that Ukraine misses its chance to become a developed member of the European community. As a result, they are unwilling to give war a chance, and Merkel's statements simply reflect a belief that all bets are being placed on sanctions rather than a military solution as the much-needed Western political and economic nation building effort continues in Ukraine.

Monday's meeting followed on the heels of Merkel's trip to Moscow to meet Russian President Vladimir Putin. Perhaps wisely, both sides appeared to try to keep expectations low, and they were openly pessimistic about the prospect for peace as Russia presses for political recognition for the separatist enclaves, the withdrawal of heavy weapons, and a redrawing of the border based on separatist gains.

Kiev for its part has argued that autonomy should only be granted after legitimate elections are carried out in these regions, and the government refuses to recognize any territory recently lost to separatists.

Further undermining the prospects of a deal is the lack of confidence in Kiev that Moscow would follow through with any deal it signs, although the economic damage wrought by sanctions may be creating a genuine desire to end the conflict for Russia's leaders. Russia's end game--federalization of Ukraine, autonomy for the separatists, and a permanent hook over the strategic choices the country makes--simply cannot be agreed to. The question is whether Putin will settle for something more reasonable, and sensible.

Will the sanctions currently in place be enough to pressure Russia's ruler into rethinking his policy in Ukraine?

Some have speculated that statements last week, suggesting the White House was seriously entertaining the idea of providing weapons, were actually part of a deliberate attempt to ratchet up pressure on Moscow, even though sanctions are clearly the preferred policy. Certainly, Obama's remarks Monday made clear that the United States is somewhat cautious over the risks of sending weapons, and he appeared to note the chain of custody risks, along with the danger of encouraging Ukrainian leaders to take offensive action by sending arms. Obama also seems wary that whatever arms the U.S. sends would be dwarfed by Russia's considerable conventional superiority.

As a result, while the debate on weapons for Ukraine is not over, it appears settled for now.  Moving forward, the West should consider what could be dubbed a nonlethal-plus option -- significantly increasing nonlethal aid and doubling down on efforts at economic support for Ukraine.

In the meantime, fighting is likely to escalate in advance of any peace talks that might occur this week as both sides grapple for favorable conditions on the ground. With that in mind, it is hard to imagine that Russian forces won't intervene further to tilt the balance on the ground against Ukraine.

Whether or not Moscow's peace overtures are genuine -- and Putin seeks an eventual end to sanctions -- will become clear in the coming weeks. But either way, Ukraine will have to find a way forward without lethal support from the West. This will, of course, come as a disappointment to Ukrainian leaders. But it is hard to see how adding fuel to an already raging fire would have made an end to this conflict more likely.

For now, sober minds have prevailed, and the United States has avoided a dangerous rift with Germany over a policy unlikely to yield any positive results for Ukraine.

@highlight

Fighting has flared again in eastern Ukraine

@highlight

Michael Kofman: Angela Merkel right to oppose sending weapons