(CNN) -- Jenna McCorkell has spent her career dancing on a knife edge.

Upon the razor-slim width of her ice skates hinges more than just success or failure at the top end of the sport.

Every year that skating travels further, every leap seemingly more intricate than the last, but one thing remains the same -- the unforgiving surface on which they perform.

"How the sport of ice skating is evolving, it's insane," McCorkell, an 11-time British champion from Northern Ireland, told CNN's Human to Hero series.

"You're seeing a lot more injuries, a lot more accidents with the tricky things we're being pushed to make our bodies do.

"You've got to take off, jump up, turn around three times in the air in a split second. You've got to be perfectly straight to make sure you've got that landing on one foot.

"It's not even on one foot -- it's on a tiny blade of a few millimeters.

"You haven't got much leeway to be out of balance. It does take an incredible amount of strength, balance and coordination to be able to perform those jumps."

Things weren't quite as daring when McCorkell's obsession with figure skating began.

A newspaper article that featured a little girl in a sparkly dress clutching a shiny trophy had her pestering her parents for an introduction to the ice.

"They took me over to the ice rink and I started my first lessons. I just didn't stop from there," she explains.

"I was a nightmare. I wanted to do every public session, every club hour, everything. I was addicted from the start."

Three years later, she became the youngest skater to ever make the Great Britain team, aged just 10.

Seventeen years after that, after 11 national championship titles, she is preparing to put the brakes on her skating career.

But not before she competes at next month's Winter Olympics in Sochi, aiming to banish the memories of her performance in Vancouver four years previously.

And yet, despite an ocean of time having passed since that first enchanting step onto the ice, there is still an element of that thrill present whenever she competes.

"The first time I ever performed, I remember being so excited. I remember I just couldn't wait to get my dress on," she recalls.

"It changes a lot as you get older but it's always fun to compete when you're at such a young age -- you've got no worries, no pressure and no stress. You're just so excited, bouncing to get on the ice.

"You go through a lot of different emotions and changes throughout the years -- some good, some bad."

All those early memories certainly filter into the former category.

Her prodigious rise after first picking up her skates culminated in that unprecedented inclusion in the Great Britain squad for someone so young.

McCorkell has enjoyed success on the international stage, winning gold medals at several prestigious events, and finishing in the top 10 at two European Championships.

But it is on her own territory that she is peerless -- last year's British title success was her eighth in a row.

"Winning 11 titles is quite something," she said of her epic run.

"Somebody asked me how does it feel and I said, 'Old!' After 11 years of being British champion, it's quite an achievement and I'm really, really proud of it and proud of everyone that has supported me.

"You start to learn to cope with the fact that more and more is expected of you. I think the motivation to continue comes from wanting it more and more for myself."

There is an epic beauty about figure skating that resonates with the public.

The effortless grace of competitors performing to music has produced iconic moments in the sport, sparked by a flawless sequence at the 1984 Winter Olympics.

Jayne Torvill and Christopher Dean's pairs routine in Sarajevo enchanted the public and judges alike, securing the British pair a perfect score from the judges -- a feat that had never been done before.

It won't happen in the future either, after a change in the judging system on the back of a controversial ruling at the 2002 Winter Olympics.

Russian pair Elena Berezhnaya and Anton Sikharulidze took gold in the mixed pairs despite many believing Canada's Jamie SalÃ© and David Pelletier should have triumphed.

The new code means each skater gets a base value for every move they perform in a routine, based on its difficulty, even if they fall while doing it.

That means a skater who has fallen can still score higher than a competitor who has skated cleanly.

Consequently, routines are become more audacious, and some skaters are now pushing the boundaries by attempting quadruple axels -- four aerial revolutions on a jump.

"I love skating because on the ice you just feel free," McCorkell says. "You're never at your limit.

"You can always try more -- there are so many goals, so much more you can do with the sport developing like it is, with the new judging system.

"It's more difficult for people like me who've been in the sport a long time to adapt to new things because our bodies are not like the fresh 15-year-olds who've been brought up in the new judging system.

"So that's something that's quite difficult. For the older generation, I think it's getting quite exciting, especially in the men's events -- it's getting crazy with the quad jumps.

"Before, it was unbelievable if they did one quad and now you've got guys, maybe five or six guys, doing three different quads in a program so it's quite exciting."

Looming large on the horizon is the pinnacle of any figure skating career -- the Winter Olympics.

McCorkell made her first appearance at Vancouver 2010, and though she says her memories will last a lifetime, a disappointing 29th placing will also linger.

"It was an amazing experience I'll never forget," she says. "Walking out at the opening ceremony, the feeling was just overwhelming.

"That's something nobody can ever take away from you -- no matter what those results are, you always have those memories.

"In Vancouver, I didn't have my best skate. It was probably my worst performance in the previous four years and I have no explanation as to why. It was just one of those days.

"It just didn't happen, so I think that it can always be better than that and I think I'm in a better place mentally now than I was then so hopefully it will all be OK.

"I'm pretty excited about Sochi now. It's getting closer and closer.

"The training is starting to pay off in the competitions so my results have been gradually increasing through the season and I hope that will continue and I hope I skate my best there for myself."

A strong performance in Sochi would represent a fitting finale to a distinguished and illustrious career that will officially end in March.

"After Sochi, I'll go to the world championships in Japan and then I'll retire, that'll be my last competitive season," McCorkell added.

"I think after so long, I've achieved more than I could ever have dreamed of and I hope to have a good end to the season and then that'll be me -- done."

@highlight

Jenna McCorkell is an 11-time British figure skating champion from Northern Ireland

@highlight

McCorkell was included in the Great Britain team when she was just 10 years old

@highlight

She's preparing to compete in her second Winter Olympics at Sochi in February

@highlight

The 27-year-old says it is "insane" how skating is evolving