(CNN) -- Women in China have a lot more opportunities in business because it is "not gender-based, it's merit-based," says one of China's top female businesswoman.

Jennifer Li, CFO of Baidu, the world's largest Chinese-language search engine, sometimes referred to as "China's Google," adds that China is a very female-friendly business environment.

"The society is very open and many companies create a level playing field when it comes to employment," adds Li, who controls the corporate functions of a company worth nearly $32 billion.

According to data from Beijing-based research firm Analysys International, Baidu has secured a staggering 78% share of the world's largest internet market -- China's 500 million internet users.

Baidu, founded by search engine expert and entrepreneur Robin Li (no relation) in 2000, employs slightly more women than men, according to Jennifer Li.

"They're very open, very communicative, very assertive and sometimes can be very aggressive, too," she says of Baidu's female employees.

"These women are all women with great ambition. You can tell their focus is not about, 'How do I fulfill a woman's role as a mother or as a young woman trying to get married?' They're more thinking about their lifetime career objectives."

Beijing-raised Li began her career in finance at General Motors, following an MBA at the University of British Columbia. She worked there for 14 years before joining Baidu in 2008.

Here Li talks to CNN about her management style, on balancing creativity with control and how to succeed as a woman in business.

On women and work ...

First, don't think that being a woman is a big deal. If you are sensitive about 'I am a young Asian woman,' that noise is coming into the professional setting. Focus on the issue. Focus on what we need to do here, not who we are. Measure yourself only by the standard that you deliver specific work objectives.

Interactive: Boardroom quotas for women explained

On success ...

It's not like you have good luck that drops on you. If you consistently have high standards for yourself, and are constantly learning and improving, you'll become somebody that maybe years ago you aspired to be.

On gender ...

Gender is not a factor. To become a successful career person, it's about passion for excellence, not easily giving up on things, and it is about really connecting yourself to have very full perspectives, so you are unique and bring value somehow.

Meet Fortune 500's female powerbrokers

On being nice ...

People know that I have a high standard, and maybe they think 'She's a very tough boss,' but in reality I'm very warm. I chatter with people about stuff and I would remember if you told me your wife had an operation. I remember all that naturally, not by design.

On Baidu ...

Nobody tells you what you need to do. People wander around; they show up at work whenever and they leave whenever. That has been the way Baidu has operated all along. It's a very self-initiated environment ... you define your own work, you define your own value. Whether you're good or not, the result will speak for itself.

On control vs. creativity ...

The key is to put order and process in the critical areas -- not everything -- so you give people a feeling that they are very free but at the same time, you give management the kind of comfort that this company is in control.

On standards ...

I have a true dedication for excellence. It's that attitude that makes me very different from others. I really think it makes a difference. When I was a young analyst, you needed to leave a market update voicemail for the company executives. All my colleagues would stutter or forget about things, but I would record my message until it was perfect and then send it.

10 most powerful women in tech

On the evolution of management ...

The higher up you go, the more time you spend managing people rather than managing projects.

On her two children ...

I hope they grow up to be noble people, have virtues and great values. I feel I haven't spent enough time with them and therefore I don't have very much control of that situation. But I can only create the best environment for them to be who they are and hopefully they are great people as they grow up.

On childhood dreams ...

I wanted to be an astronaut because I felt it was an intellectual and physical challenge. But today I love what I do. I'm very fit and I'm happy with where I am.

@highlight

China's work environment gives women more opportunities for success, says top businesswoman

@highlight

Jennifer Li is CFO of Baidu, the world's largest Chinese-language search engine

@highlight

Baidu, which has 78% share of China's internet market, employs slightly more women than men, says Li

@highlight

Li: "Gender is not a factor. To be a successful career person, it's about a passion for excellence"