(CNN)The White House insists it doesn't need congressional approval for the Iran nuclear deal announced this month. But while historical precedent suggests the President might indeed have the authority to move forward without Congress, the Obama administration should probably learn another lesson from history: Getting Congress' signature might be worth the effort.

True, the fight for congressional approval would be politically bruising and consume a huge amount of energy. But it would still be a mistake to move forward with the deal as an executive-based agreement rather than obtaining the consent of the legislative branch -- a diplomatic breakthrough of this magnitude would be far more enduring with the imprimatur of Congress.

The President and his advisers have avoided using the term "treaty," instead explaining that it would be a "nonbinding agreement." According to Secretary of State John Kerry: "We've been very clear from the beginning. We're not negotiating a 'legally binding plan.' We're negotiating a plan that will have in it a capacity for enforcement." On "Meet the Press," Kerry said, "What we're looking for is not to have Congress interfere with our ability, inappropriately, by stepping on the prerogatives of the executive department of the President."

There is a big legal argument that will play out over these definitional issues, with the potential for court challenges. But outside of the legal debate, there are also significant political questions, and those are a different beast altogether.

For a start, there is growing pressure on Capitol Hill -- from members of both parties -- to pass legislation that would give Congress the right to review the deal and make a decision about lifting sanctions. On Tuesday, a deal was reached on legislation proposed by Senate Foreign Relations Committee Chairman Bob Corker that would require President Barack Obama to submit the final deal to Congress, giving it 52 days to review and approve the agreement. Corker told MSNBC on Tuesday that negotiators had reached a "bipartisan agreement that keeps the congressional review process absolutely intact, full of integrity."

What's in the Iran bill and why all the fuss?

There is good reason for Obama to avoid calling this a treaty. After all, given the contentious political environment on Capitol Hill, where legislators struggle to pass even a routine budget, the notion that they would move on a treaty of this importance seems dubious at best.

But there is also a history of Congress causing significant trouble for important international treaties. In the late 1970s, for example, President Jimmy Carter tried to obtain consent for the SALT II treaties, but conservatives argued the agreement was evidence that Carter was weak on defense. Carter pushed for the treaties as essential to international peace but to no avail. After Iranians took American hostages and the Soviets invaded Afghanistan, the treaties died in the Senate.

Yet there are other examples where even in a contentious congressional environment, presidents successfully pushed for the ratification of treaties that they knew would cost them important political  capital, and even once the White House exited the struggle bruised and battered, the historic treaties endured.

Top GOP, Dem senators say Iran compromise reached

This was the case with another treaty that Carter asked the Senate to ratify: the Panama Canal Treaties of 1978. Carter decided that turning authority of the canal over to Panama was essential to regional peace and stability. He knew this would be tough sell, and Tennessee Republican Howard Baker for his part predicted he wouldn't even get 20 votes as conservative groups coordinated their campaign through the Committee to Save the Panama Canal and the Emergency Coalition to Save the Panama Canal. Indeed, they dispatched speakers to warn that the deal would give the Soviets a foothold in the region.

However, Carter countered aggressively, both on a personal level -- helping secure the vote of Sen. Richard Stone of Florida by sending a personal letter to the senator, dispatching experts to Florida to answer the questions of constituents and addressing audiences through state-of-the-art telephone hookups.

In the end, the Senate ratified the treaties by one vote more than the required two-thirds majority, although Carter also paid a political price after energizing the right during the fight.

President Ronald Reagan faced a similar challenge. Toward the end of his presidency, he reached a historic breakthrough on intercontinental ballistic missiles with the Soviet Union. Yet despite excitement in the White House and across the nation about Soviet leader Mikhail Gorbachev's visit to Washington in December 1987, many conservatives blasted the decision, arguing that Reagan had betrayed the conservative cause.

During a meeting at the White House, eight Republican senators who opposed the treaty shared their feelings with Reagan. Sen. Malcolm Wallop of Wyoming, one of Reagan's closest allies, said: "The Soviets have broken most every treaty they have ever signed. ... How do we assure compliance with the new treaty?" Right-wing organizations, meanwhile, compared Reagan with Neville Chamberlain.

Reagan responded with an aggressive effort to halt their rebellion. In a hearing on the treaty, Secretary of State George Shultz attacked North Carolina Republican Jesse Helms, who had accused Reagan of "confusion, misstatements and ... even misrepresentation." He met with Republicans, spoke with reporters and lobbied the public to endorse the deal.

Despite their protests, most Republicans eventually came around. On May 27, 1988, the Senate ratified the treaty 93-5. Helms, one of the few to vote against the treaty, admitted they were "licked." And the treaty, which marked the beginning of the end for the Cold War, has endured.

The reality is that the signature of Congress is still worth a lot in American politics -- the ratification process brings legitimacy to a major and controversial agreement and makes it much more difficult for opponents to attack in the future as some power grab by a president. Congressional support also makes the strength of the treaty greater in the eyes of leaders overseas.

All this will be true with Iran, especially as many members of Obama's own party are leery about the agreement.

Ultimately, the President probably has the right to go his own way with this, and his frustration with Congress might create strong incentives for doing so. But in the long term, persuading and pressuring a sufficient number of legislators to sign on to this deal would greatly improve the chances of avoiding a regional war -- and would help prevent Iran from becoming a nuclear power.

The good news is that there have been some statements from the White House that offer hope it recognizes the centrality of Congress in a solid deal. Now it's time to see if the administration follows through.

@highlight

Framework agreement with Iran over its nuclear program was reached this month

@highlight

Julian Zelizer: White House should seek congressional approval for final deal

@highlight

There's a history of Congress causing trouble for major international treaties, he says