(CNN) -- There is an opening scene in Hollywood blockbuster "Titanic" when an alien-like submarine plunges to the darkest depths of the ocean.

"Seeing her coming out of the water like a ghost ship -- still gets me every time," murmurs treasure hunter Brock Lockett, gazing in awe at the sunken ship from his luminous capsule.

More than 15 years after director James Cameron made his Oscar-winning film, it was his turn to scour the deep sea in a high-tech pod.

But unlike his "Titanic" fictional character Lockett, Cameron wasn't in search of a sunken diamond -- instead he was gathering scientific data which could revolutionize our understanding of both deep sea creatures and earthquakes.

Last year, the 57-year-old Canadian director of box office hits "Avatar"and "Terminator" series, became the first person to reach the deepest point of the ocean solo.

Cameron's remarkable journey 11-kilometers below the water in a seven-meter long sub, was part of a National Geographic fact-finding mission more than a year in the making.

Predicting earthquakes

In a special interview with CNN, the filmmaker revealed the expedition could one day help scientists predict deep sea earthquakes -- and their devastating tsunamis.

"Building technology vehicles like the DeepSea Challenger to get down there, is a first step to planting large instruments which could allow us to survey seismic activity," explained Cameron.

"Ultimately it could lead to some predictive modeling which tells us 'look we've got pressure building up here, maybe this could be a tsunami in the Pacific rim, get ready, brace yourselves."

Dig deep

Cameron admitted we're still some way off predicting earthquakes, but until now we didn't have the technology to fully explore such depths as the Mariana Trench -- the deepest point in the ocean.

The great chasm, located off the coast of Guam in the Pacific Ocean, is more than a mile deeper than Mount Everest is tall, and a whopping 120 times larger than the Grand Canyon.

Cameron is just the third person to reach the Mariana Trench, since oceanographers Don Walsh and Jacques Piccard in 1960, and the only person to do so solo.

He spent more than three hours exploring the ocean floor -- far longer than the 20 minutes Walsh and Jacques did in their huge blimp-like submersible 53 years ago.

"Before now, there was so little access to these deep trenches which, if you add them all together, constitute an area the size of North America," said Cameron.

"We simply didn't have vehicles that could function at that depth because of the extreme pressure, so the DeepSea Challenger represents a new generation of vehicles that will open up that frontier."

Alien life

But the ground-breaking expedition wasn't just a leap into the unknown -- the team also discovered dozens of species of marine life, some with mysterious cases of gigantism.

"We found 68 new species -- including around 60 new bacterial species never seen by science before," said Cameron.

"We also found examples of gigantism, which is as yet unexplained. Now don't imagine something 30 feet long, but if you have an animal that's normally a centimeter long suddenly appearing 10 or 20 times its normal size, how do you explain that?"

Small sub, big dreams

Cocooned in his lime green sub, in a world so deep under water that the sunlight doesn't penetrate and the pressure can be a thousand times that on land, Cameron admitted feeling "like a walnut in his shell."

The 12-ton pod, designed by Cameron and his team of engineers, was made from a super-strong glass foam material able to withstand the immense pressure which shrunk it by three inches.

Unlike Walsh and Piccard's 18-meter sub, which five decades ago was not equipped to take photos, today's cutting-edge DeepSea Challenger was armed with multiple cameras and a mechanical arm for scooping up rock and animal samples.

Future generations

Back on dry land, the DeepSea Challenger will now tour schools across the U.S. as it winds its way to its final home at the Woods Hole Oceanographic Institution in Massachusetts.

"It's turned into this cross-country adventure for the sub and I believe that we'll be able to inspire young minds to want to pursue a career in engineering, maths, science, and exploration," said Cameron.

The Canadian, who has made 72 deep sea dives, including 33 to the actual sunken "Titanic," added that the government should be investing more in ocean research.

"There's always been a huge imbalance in the funds going into space exploration, and I don't begrudge that because I like exploration, but we definitely are underfunded in ocean science right now," he said.

Fearless filmmaker

Cameron's next challenge however will not be on the ocean floor, but creating the second and third installments of his 2009 film "Avatar" -- the highest grossing movie of all time.

Much like plummeting to the darkest depths of the sea, filmmaking presents its own pressure.

As the three-time Academy Award winner said: "I'd much rather deal with the physical threats of deep sea ocean diving or the potential failures of engineering, than I would the fickleness of an audience."

@highlight

"Titanic" director James Cameron only person to reach deepest point of ocean solo

@highlight

Hunched over in futuristic 7 meter pod, Cameron explores ocean floor on research mission

@highlight

Expedition could help predict deep sea earthquakes, which cause tsunamis

@highlight

Discovered 68 new species of marine life never seen by scientists