(CNN) -- Syria's air force has repeatedly carried out "indiscriminate, and in some cases deliberate" airstrikes against civilians, Human Rights Watch said in a new report.

The attacks are serious violations of international humanitarian law, and those who commit such violations with criminal intent are responsible for war crimes, the rights group said.

The claims are laid out in an 80-page report titled "Death from the Skies," based on visits to 50 sites of government airstrikes in opposition-controlled areas in Aleppo, Idlib and Latakia provinces.

The group's researchers carried out more than 140 interviews with witnesses and victims.

"In village after village, we found a civilian population terrified by their country's own air force," said Ole Solvang, a researcher for the rights group, who visited the sites and conducted many of the interviews.

"These illegal airstrikes killed and injured many civilians and sowed a path of destruction, fear and displacement."

Human Rights Watch said bakeries and hospitals have been targeted, in violation of the laws of war.

But Sharif Shahadeh, a lawmaker in the Syrian parliament, questioned the accuracy of the Human Rights Watch report.

Syrian jihad group pledges allegiance to al Qaeda

No military target, group says

For the report, Human Rights Watch documented in detail eight airstrikes on four bakeries.

Its research "indicates government forces targeted bakeries and civilians waiting in breadlines in airstrikes as well as in artillery attacks," the group said.

"For each of these attacks, Human Rights Watch was not able to identify any military target, such as fighters or weapons, in the vicinity."

It cites the Syrian Revolution General Commission, a local opposition group, as saying Syrian forces have attacked 78 bakeries across Syria, either by airstrikes or artillery shelling.

Repeated airstrikes on two hospitals in the areas Human Rights Watch visited "strongly suggest that the government also deliberately targeted these facilities."

The rights group accuses the Syrian armed forces of using means such as unguided bombs, and methods such as fighter jets and high-flying helicopters, "that under the circumstances could not distinguish between civilians and combatants, and thus were indiscriminate."

Altogether, the airstrikes documented by Human Rights Watch killed at least 152 civilians, though the actual number is probably higher.

According to a network of local Syrian activists, airstrikes have killed more than 4,300 civilians across Syria since July 2012, the rights group said.

CNN is unable to independently confirm reports of casualties in Syria because access by international media is heavily restricted.

White House signs off on new aid

'Political accusations'

Shahadeh, the pro-government lawmaker, told CNN Arabic that the information available to lawmakers, based on intelligence reports, indicates "that the Syrian military air force only strike the locations of the terrorist armed groups," the term the government uses for rebel forces.

"For months, the majority of the reports issued by international organizations and some even by the United Nations include blatant political accusations rather than factual or technical investigations.

"There is no benefit for the regime to target civilians who are already suffering from the criminal acts carried out by the terrorist organizations that the regime troops are fighting."

The Syrian government has accused rights group of misrepresenting the facts and favoring the "terrorist groups" it says are behind the violence in Syria.

Human Rights Watch points out that the obligation to minimize harm to civilians applies to all parties to a conflict and that the rebels are not blameless.

"The Free Syrian Army (FSA) and other Syrian armed opposition groups did not take all feasible measures to avoid deploying forces and structures such as headquarters in or near densely populated areas," the report said.

Opinion: Syrian rebel group's dangerous tie to al Qaeda

Rebels say they downed helicopter

Meanwhile, a YouTube video posted by Syrian activists Thursday claimed that rebel fighters had shot down a Syrian military helicopter, killing four crew members on board.

The Syrian Observatory for Human Rights, an opposition group, said rebel fighters shot down the helicopter north of Maarat al-Numan.

It was carrying food supplies to two regime bases, Wadi al-Deif and Al-Hamdiyeh, which have been under siege by the rebels for several months, the Observatory said.

CNN could not independently verify the claim.

The bases are strategically important to forces loyal to Syrian President Bashar al-Assad. If the rebels took them, it would enable their forces to cut off the single route in Idlib that the government uses to supply troops operating in Aleppo.

The rebels already control the border crossings with Turkey in the north, so the government would be forced to use a more difficult route going from Latakia.

Opinion: Before taking on Syria, U.S. should heed lesson of the past

In a Daraa city, opposition cites a massacre

Civilians were killed when Syrian forces used air cover to storm the city of Sanamein in Daraa province Wednesday, the opposition said. Daraa is where the anti-government uprising got going more than two years ago.

The Local Coordination Committees in Syria called the act a massacre, saying at least 60 people were killed and al-Assad's government used civilians as shields to hold off rebels.

More than 200 people were detained, homes were burned, and snipers targeted more than 10 civilian-filled cars fleeing to safety, the LCC said.

The Syrian National Coalition, representing the anti-government fighters, said the action illustrated "the lust of killing and thirst for blood in the hearts of those belonging to the criminal regime of Assad."

"The criminals shelled the town (and) then they stormed it, allowing their loyalists to commit despicable atrocities against civilians. They took hostages as human shields. They also slaughtered people and committed vandalism and theft. These despicable acts against women, children and unarmed civilians indicate how the regime is incapable to confront the men of the revolution and the free Syrian army, as well as the failure to stop the liberation of Daraa province."

At least 149 people were killed across the country on Thursday, the LCC said.

Read more: Syrian war is everybody's problem

Read more: Syria's al-Assad: British leaders 'shallow, immature'

CNN's Ammar Benaziz and Joe Sterling contributed to this report.

@highlight

A Syrian lawmaker casts doubt on the report, says forces strike only "terrorist armed groups"

@highlight

Report: Syria's air force has carried out indiscriminate, sometimes deliberate strikes on civilians

@highlight

Human Rights Watch says it has documented breaches of international humanitarian law

@highlight

It says bakeries where civilians were queuing for bread have been targeted