(CNN)Two CNN Heroes are among the earthquake survivors in Kathmandu, Nepal. And they are struggling in the aftermath.

Anuradha Koirala, who rescues victims of sex trafficking, has a rehabilitation center in Kathmandu that is home to 425 young women and girls. While her primary facility seems structurally unharmed, all of the children have been sleeping outdoors because of aftershocks, followed by a second earthquake on May 12.

The once-vibrant campus has gone from a place of safety and healing to one of uncertainty and worry.

"We are suffering with rain, strong wind. The fear is not gone from us. It is very, very hard," said Koirala, the founder of the nonprofit Maiti Nepal and the 2010 CNN Hero of the Year.

The public has been warned not to use the main water line due to risk of cholera. Koirala's group is relying on bottled water and is now rationing food.

Still, she has offered to take in 200 other girls orphaned by the disaster.

"These girls are most vulnerable, because now people will target them," Koirala said. "They could be victims of any forms of sexual abuse. Maybe rape, maybe they will be trafficked, anything. ... If I get more support I will take as many as I can."

About five miles away, the wall of Koirala's HIV/AIDS hospice has crumbled. Home to 115 girls, many of whom are terminally ill, the facility is under guard.

"They're not injured, but they are terrified," Koirala said. "Everything is broken in the hospice."

Koirala's group also has about a dozen other homes throughout the district, and all of them have been damaged.

"It's really very sad for me and for my children," Koirala said.

"This disaster, the noise and the way it shook, I cannot get over it. I was not afraid that I was going to be killed. I was afraid about what is going to happen next."

Another CNN Hero, Pushpa Basnet, and the 45 children she cares for were also forced to evacuate their residence. They are now living on the ground in a nearby field.

"Physically, we are not hurt. But mentally, we are," said Basnet, whose Early Childhood Development Center provides a home and education to children whose parents are incarcerated.

Basnet says the building's walls are all cracked, and the staff is afraid it might fall down.

She and the older children created a shelter using the frame of a greenhouse, taping plastic around the sides to protect themselves.

"It's really cold in the middle of the night; there are lots of fox in the field," Basnet said. "We are really scared."

They also don't have much water or food, Basnet says. But she is trying to stay positive.

"I think for the time being, whatever we have, we should be happy, you know?  Because at least we have our life," she said. "(My kids) all are safe. That's the most important thing for me."

Basnet's "Butterfly Home" -- the permanent residence she was building for the children -- also suffered extensive damage in the quake. Basnet had hoped to complete construction in the next six months, with the opening ceremony set for October.

Basnet purchased the land for the home with prize money she received as the 2012 Hero of the Year.

"When the earthquake hit that land, all my dreams were scattered," she said. "I have to restart again."

Still, Basnet is quick to point out that so many other survivors have nothing and are desperately in need of aid.

To that end, several CNN Heroes have been assisting in relief efforts in Nepal.

Jake Wood's disaster relief organization, Team Rubicon, has a team of experienced veterans and first responders on the ground in Kathmandu.  The group deployed a medical and assessment team to aid the Nepalese people in several remote villages outside of the city.

Six canine-firefighter search teams from the United States also assisted in rescue and recovery efforts. The teams were trained by Wilma Melville's National Disaster Search Dog Foundation and were deployed as part of a larger rescue force that includes structural engineers, hazmat experts and doctors.

Tom Henderson's ShelterBox, which provides emergency shelter and lifesaving supplies, has so far committed to help more than 15,000 families.

Dr. Laura Stachel's group, We Care Solar, sent solar suitcases to health care workers, providing them with light and power as they aid survivors.

Arlene Samen's group, One Heart World-Wide, has set up tented birthing centers where pregnant women can safely deliver their babies, especially in hard-hit districts. Robin Lim, a disaster response midwife who founded Bumi Sehat, joined Samen in Kathmandu to help the mothers.

Doc Hendley's nonprofit, Wine to Water, partnered with Appalachian State University in order to distribute 1,000 water filters where they are most needed in Nepal. The group says one filter can provide water for up to 10 people and last for up to 10 years if maintained properly.

@highlight

Anuradha Koirala and 425 young women and girls have been sleeping outdoors because of aftershocks

@highlight

Pushpa Basnet and 45 children she cares for were forced to evacuate their residence

@highlight

Seven other CNN Heroes and their organizations now assisting in relief efforts