(CNN) -- Julie Quiroz, a 14-year-old U.S. citizen, has been separated from her mother for nearly two years. Her mom was deported to Mexico for being in the United States illegally.

Julie Quiroz is one of an estimated 4 million "citizen children" in the United States, according to new study.

At the age of 12, Julie was forced to decide between her country and her family. With the help of a Christian philanthropist, she chose to stay in the United States.

"It's really, really hard to leave your family," she told CNN by phone.

A study issued Tuesday provides one of the most comprehensive looks at "citizen children" like Julie who are caught in the cross hairs of the nation's illegal immigration battle.

Nearly 4 million children who have at least one parent who entered the U.S. illegally were born in the United States and are U.S. citizens as a result, according to the study conducted by the Pew Hispanic Center.

That's about three quarters of the estimated 5.5 million children of illegal immigrants inside the United States, according to the study. About 1.8 million children of undocumented immigrants live in poverty, the study found.

"Among children whose parents are unauthorized immigrants, one in three is poor. The [poverty] rate of children of unauthorized immigrants is similar whether the children are unauthorized immigrants or U.S. born," the study says.

Roughly 12 million illegal immigrants are in the United States -- about 4 percent of the nation's population. The study found that the majority of illegal immigrants, about 7 million, come from Mexico.

Shuya Ohno with the Washington-based advocacy organization National Immigration Forum said the study underscores how the nation's immigration situation is "not so simple."

"This really highlights the fact that so many undocumented families are of mixed status -- that there is a U.S. citizen in the direct family," he said.

Undocumented immigrants make up more than 5 percent of the U.S. work force, according to the study, based on March 2008 figures from the U.S. Census Bureau.

The children of illegal immigrants make up an even greater share of students in America's primary and secondary schools, with nearly 7 percent enrolled in kindergarten through 12th grade. That figure has jumped, from 5.4 percent in 2003.

In states near Mexico's border -- Arizona, California, Colorado, Nevada and Texas -- about 10 percent of the student population are the children of illegal immigrants.

The study also found that these children are more likely to live in a two-parent home, compared with the rest of the nation.

"The vast majority of all children with at least one unauthorized immigrant parent live in two-parent families (80 percent)," the study says. "This is similar to the share of children of other immigrants who do so (84 percent) and higher than the share of children with U.S.-born parents (71 percent)."

The study comes as the Obama administration considers comprehensive immigration reform.

Obama has supported a combination of enforcing laws and opening up the system. He wants to see a pass for citizenship that would mean having an illegal immigrant pay a fine, learn English and then get in line for citizenship. Critics refer to that "path to citizenship" as amnesty.

In the case of Julie Quiroz, she was born in Washington state, lived there her entire life and went to school there. But her mother, Ana Reyes, entered the United States illegally before Quiroz was born and U.S. immigration officials deported her in 2007.

Two of her brothers were also deported. Her 7-year-old sister, who is a U.S. citizen, is living in Mexico with her mother.

"She is getting no education or very little -- and pretty much has lost all of her English language skills for being out of the country now for almost two years. It's just awful," said Joe Kennard, the philanthropist who came to Julie's aid.

Kennard formed a group called Organization to Help Citizen Children, which works with churches along the U.S.-Mexico border to provide support for children whose mother or father is deported to Mexico. Julie has been living with his family over the last year in Texas.

He has urged Obama to issue an executive order to stay the deportation of any undocumented parent of a citizen child to prevent the separation of families. "It's the only humane thing to do," he said.

Immigration officials have long maintained they are simply enforcing the laws on the books and it's the fault of the parents for putting children into such a predicament by not following proper immigration channels.

Julie, who first told her story to CNN last year, said she speaks to her mom nearly every day by phone and communicates with her via e-mail. "I miss them a lot," she said. "I mean big time!"

She last visited her family in Mexico City at Christmas. She said she hopes to  be a lawyer for immigrants one day "to help make their dreams come true, to make a better life here."

Her message to citizen children: "Stay strong. If they separate you from your family, you can still try to be together."

She added with a sigh, "It's not right what they're doing -- separating families."

-- CNN's Thelma Gutierrez contributed to this report.

@highlight

Pew Hispanic Center study: 3 in 4 "illegal" immigrant children are U.S. citizens

@highlight

80 percent of illegal immigrant children live in two-parent homes, study finds

@highlight

One-third of children of illegal immigrants in U.S. live in poverty, study finds

@highlight

"It's really, really hard to leave your family," says one child separated from mom