(CNN)The attempts by some in the GOP to undermine President Barack Obama's Iranian policy certainly seem extraordinary.

First, the Republican leadership invited Benjamin Netanyahu to speak to Congress without consulting the White House, and he duly warned against softening of the West's line on Iran. Now, 47 senators have written an open letter to the Iranian regime to advise that any deal agreed to with Obama could be reversed after the 2016 presidential election. It is an astonishing move.

But this is not, strictly speaking, unique. People in both parties have done far more remarkable things in the past.

Back in 1983, Sen. Edward Kennedy tried to set up a personal diplomatic channel with the Soviet Union -- effectively sidestepping President Ronald Reagan. Working through proxies, he suggested that he visit Moscow to meet with the communist leadership and offered to help them make their case to the American people as to why they preferred dialogue over confrontation.

As Washington Post journalist Vincent Bzdek notes in his book "The Kennedy Legacy," this occurred close to a U.S. presidential election, and some conservatives have interpreted it as an act of treason -- perhaps even a breach of the Logan Act, which forbids private citizens from engaging in diplomacy with the goal of changing foreign policy.

One might argue that the senator was motivated by high ideals: He had a clear record of campaigning to reduce Cold War tensions and thought Reagan was mishandling the Soviets. On more than one occasion, Kennedy politicized foreign policy while in the Senate.

In my book on the 1980 Democratic presidential primaries, I note that Kennedy opposed Jimmy Carter's hard-line stance on the Soviet invasion of Afghanistan -- a position that was well-intentioned, prophetic and somewhat advantageous to Kennedy's campaign for the Democratic nomination.

But it's not only Democrats who have done that. Step forward, Richard Nixon. In 1968, the presidential election looked close. With the Johnson administration edging toward a peace deal in Vietnam, Nixon's team rolled the dice. According to an account in Politico, Anna Chennault, a Republican activist, was given a message to pass onto the South Vietnamese government: If they undermined the peace talks by being stubborn, the Democrats would lose the election and Nixon as the next president would offer them better terms.

The South Vietnamese indeed proved intransigent, and the Republicans won the White House. No evidence exists directly tying Nixon personally to the conspiracy, but we now know for sure that it happened and it's far hard to imagine that it would have gone ahead without his knowledge. There is a view that it bordered on treason and -- again -- makes the 2015 GOP efforts look tame by comparison.

The extreme lengths that Kennedy and Nixon went to behind the scenes underlines the point that foreign policy has always been a deeply partisan matter that can often end in a challenge to executive authority. It's true that the spirit of the Constitution indicates that the country is expected to speak with one voice on foreign policy through the President. But such harmony hasn't always been possible.

Recall that Congress and the Carter White House tore themselves apart over the Panama Canal Treaties. That the Reagan administration's policy in Nicaragua was so controversial that his staffers sent aid to the rebels through back channels, and the then-Democratic House speaker, Jim Wright, was accused of presenting a private peace plan to the left-wing government. That Bill Clinton's 1994 nuclear deal with North Korea was criticized by both Republicans and Democrats. Or that liberal Democrats did their best to defund the Iraq War.

As Damian Paletta writes, foreign policy is generally conducted quietly by the White House through executive agreements that pass without comment. But the idea that foreign policy is beyond partisanship is naïve, and disagreements have gone public when the political conditions are appropriate.

The particular matter of the Iran talks is sensitive for the Republicans because it involves the electoral holy trinity of Obama, Israel and the presidential primaries. They weren't going to walk away from this one, and we can hardly be surprised that they haven't. The Democrats would do the same if the situation were reversed, as they have many times in the past.

In a republic purposefully designed to have limited executive power, with a competitive two-party system bolted on to keep its politics fluid, this was arguably inevitable.

@highlight

Timothy Stanley: GOP senators' letter to Iranian leaders seems extraordinary

@highlight

But undermining a president's foreign policy is not at all unique, Stanley says

@highlight

He says both left, right have gone around administrations to deal with foreign leaders