(CNN) -- In our country, lawyers and judges regulate their own markets. The upshot is that getting legal help is enormously expensive and out of reach for the vast majority of Americans. Anyone faced with a contract dispute, family crisis, foreclosure or eviction must pay a lawyer with a JD degree to provide service one-on-one in the same way lawyers have done business for hundreds of years.

Increasingly, the only "persons" with access to legal help are "artificial persons" -- corporations, organizations and governments. No wonder that in a 2010 New York study, it was shown 95% of people in housing court are unrepresented. The same is true in consumer credit and child support cases; 44% of people in foreclosures are representing themselves—against a well-represented bank, no small number of whom engaged in robo-signing and sued people based on faulty information.

These numbers are just the tip of the iceberg. For every person who is unrepresented in court there are probably tens of thousands who didn't have any legal advice when they did the things that landed them in hot water in the first place. Who can afford $200 to $300 an hour to get advice on local small business regulations, the fine print in a mortgage document, or how not to make mistakes that will cost you in court when fighting over kids and money with your soon-to-be ex-spouse?

Some legal professionals have called for more public money for legal aid clinics and courts to provide free legal help and for lawyers to do more pro bono work. But the demand for ordinary legal help is simply too massive to meet with increased court funding, legal aid or pro bono work.

I believe there is no way to help ordinary people with their legal problems without fundamentally changing the way lawyers and judges regulate the practice of law.

What we need are more efficient ways of delivering legal help and less expensive nonlawyers who can provide legal assistance. Supreme court judges in every state have the authority to accomplish this with the stroke of a pen.

The root of the crisis of access to justice is the scale of the problem. Here's a little back-of-the-envelope arithmetic. Using data from surveys conducted by the ABA and state bar associations, I estimate that, at any given time, roughly half of all American households are dealing with about two legal problems each-- evictions, divorces, bankruptcies, denials of health care benefits, and so on.

Giving these American households just one hour of help from a lawyer to manage a maze of legal documents and court procedures would cost close to $20 billion.

This doesn't even consider the cost of what clients want most from lawyers -- advice about how to avoid legal problems. Including this service would add additional tens if not hundreds of billions of dollars.

That's why the only way to increase access to justice is to expand the group of people and organizations that can provide legal help beyond JD-trained and licensed lawyers.

Authorized nonlawyers and organizations could help ease our overburdened courts in many ways. Each year, 2.3 million New Yorkers, for example, represent themselves in state courts. These litigants do not want to be in court or to manage their problems alone, but have no other practical choice. They frequently labor under huge misunderstandings about legal procedures, requirements and forms. Oodles of judges and lawyers have complained about the delays and complications these misunderstandings create.

Imagine how much more efficient the court would be if the unrepresented could obtain low-cost legal assistance from people expert enough to help them navigate the process. Especially if those people were using the systems and protocols developed by a large-scale company, maybe even online.

It doesn't take high-level legal expertise to advise a person facing eviction for unpaid rent that if she wants to contend that her apartment has no heating and the ceiling is falling down, she should bring some photographs or other evidence to court to back up her claim. The same applies to people who need to understand what the arcane legal language in a court order or rule means.

There are many basic issues that could be handled by nonlawyers. Allowing nonlawyers to work for businesses that invest and specialize in giving this kind of help would supercharge the potential for reducing the cost of legal help.

The use of non-JD legal assistants and nonlawyer dominated businesses is not a venture into uncharted waters. The United Kingdom has a long history of allowing a wide variety of differently trained individuals and organizations provide legal assistance, and studies show that the practice works very well. In many cases, people are better served by a nonlawyer organization that specializes in a particular type of legal help—navigating housing or bankruptcy matters, for example—than they are by a solo practitioner with a general practice.

Furthermore, when people have access to lower-cost alternatives to full-fledged attorneys, they use these resources. In practical terms, that means that only 5% to 10% ignore their legal issues in the United Kingdom. Compare that to New York, where significant majorities of low-income households with legal problems—65% with housing problems, 59% with financial issues, 50% with health insurance problems—do nothing in response to their problems. But as often is the case, untreated problems lead to worse problems—and bigger headaches for our courts.

For too long, the legal profession has focused on legal aid, pro bono and charitable assistance as the solution to the crisis in access to justice. The approach is admirable, but futile.

Solving the problem requires lawyers—especially those on the bench who bear the ultimate responsibility for regulating the profession—to share the field with other, less-expensive, non-JD professionals and nonlawyer dominated organizations who can provide perfectly adequate legal help in many cases. America's legal profession is in dire need of reform; it's time for those in leadership positions to step up.

The opinions expressed in this commentary are solely those of Gillian Hadfield.

@highlight

Gillian Hadfield: Getting legal help is enormously expensive in the U.S.

@highlight

Hadfield: Lawyers, judges must change the way they regulate practice of law

@highlight

She says we need less expensive nonlawyers who can provide legal assistance

@highlight

Hadfield: Lower-cost alternative to full-fledged attorneys is the solution