In 2010, Americans were prescribed 258 million courses of antibiotics, a rate of 833 per thousand people. Such massive usage, billions of doses, has been going on year after year.

We have few clues about the consequences of our cumulative exposures. We do know that widespread antibiotic treatments make us more susceptible to invaders by selecting for resistant bacteria.

These risks are now well-known, but I want to lay out a new concern: that antibiotic use over the years has been depleting the pool of our friendly bacteria -- in each of us -- and this is lowering our resistance to infections. In today's hyperconnected globe, that means that we are at high risk of future plagues that could spread without natural boundaries from person to person and that we could not stop. I call this "antibiotic winter."

To explain: In the early 1950's, scientists conducted experiments to determine whether our resident microbes -- the huge number of bacteria that live in and on our bodies, now called our "microbiome" -- help in fending off invading bacteria. They fed mice a species of a typical invader, disease-causing salmonella. It took about 100,000 organisms to infect half of the normal mice. But when they first gave mice an antibiotic, which kills both good and bad bacteria, and then several days later gave them salmonella, it took only three organisms to infect them. This isn't a 10 or 20% difference; it's  a 30,000-fold difference.

That was in mice, but what about humans? In 1985, Chicago faced a massive outbreak of salmonella. At least 160,000 people became ill and several died from drinking contaminated milk. The health department asked victims of the outbreak and unaffected persons, "Have you received antibiotics in the month prior to becoming ill?" People who said yes were five times more likely to become ill than those who drank the milk but hadn't recently received antibiotics.

People carry a small number of highly abundant bacterial species and a large number of much less common ones. For example, you may carry trillions of Bacteroides thetaiotaomicron in your colon and only a thousand cells, or fewer, belonging to many other species. We are not sure how many rare species any of us has. If you had only 50 cells of a particular type, it would be difficult to detect them against the background of trillions of others.

When you take a broad-spectrum antibiotic, which is the kind most commonly prescribed, it may be that rare microbes occasionally get wiped out entirely. And once the population hits zero, there is no bouncing back. For your body, that species is now extinct. My worry is that some of these critical residential organisms -- what I consider "contingency" species -- may disappear altogether.

Why might it matter? Those puny species may not be so inconsequential. Microbes multiply. Any small population of, say, 50 cells can explode into a billion or more in one week. The trigger for their massive bloom could be a food you've eaten for the first time, which only they have the enzymes to digest. In the presence of this food, the rare microbe goes into overdrive, doubling every 12 or 20 minutes, multiplying by a million percent or more.

This could be good for you because some of the energy captured by these digesting microbes might end up in your bloodstream. When food is in short supply, as has been the case for most of human existence, and people need to eat unfamiliar plants or animals, it is useful to have a repertoire of enzymes that help us process a wide variety of nutrients. The genes of our flexible partners, our resident microbes, provide those enzymes.

Now consider the consequences if one of your rare microbes -- an ancient one that has been dwelling in Homo sapiens for 200,000 years -- went extinct. One possibility is that it doesn't matter. Perhaps that microbe was a marginal player -- good riddance. Another possibility: It's a "contingency" organism,  useful -- crucial -- when we need it for protection.

When a new influenza epidemic arose in Mexico in 2009, people in California and Texas soon fell ill, and then flu appeared in New York a few days later. After a few weeks, this flu spread throughout the world. Considering the numbers of people infected, we were lucky that it was not a highly lethal strain.  Yet thousands of people all over the world did die. Even when a strain is not that virulent, when hundreds of millions of people are infected, deaths add up. And when the strain is worse, the deaths climb into the millions.

Our world has gotten smaller. We have much greater global access to one another -- at the very moment in our history when our ancient microbial defenses are degrading. This makes us vulnerable to microbial invaders and provides fuel for disease conflagrations, with consequences scarcely imaginable.

Plagues are inevitable wherever people congregate. With a global population of 7 billion, rising by 80 million annually, the question is not whether another big plague will come, but when it will happen, what will cause it, and who will be affected. In 1918-19, influenza killed tens of millions, in an era without airplanes and with much less mass transit to spread it. With a huge world population that is essentially contiguous, and with so many people with weakened defenses, we are vulnerable as never before.

I see many parallels between our changing climate and our changing microbiome. The modern epidemics -- asthma and allergic disorders, obesity, and metabolic disorders -- are not only diseases, they are external signs of change within.  But they also indicate a deeper imbalance, the loss of our reserves.

Our diverse microbes, with their millions of genes helping us resist disease, are the guerrilla warriors defending the home domain -- as long as we protect them. But recent studies suggest that otherwise normal people already have lost 15% to 40% of their microbial diversity and the genes that accompany it.

This is the greatest danger before us -- invaders causing an epidemic against which we are helpless.  Unless we change our ways, we do indeed face an "antibiotic winter."

We must end the assault on our microbes, by cutting antibiotic use and also such elective practices as unnecessary cesarean sections that bypass the natural order of mothers passing on their bacteria to their babies. There are times when both of these are needed urgently, but we already know that we are overusing them.

Technology already provides important tools to improve doctors' judgments about when antibiotics are needed, but we must get them into the clinic. We also must develop new tools, like "narrow-spectrum" antibiotics that target only the invader and minimize collateral effects.

We must understand that every antibiotic course has a biological cost, and more precisely align possible benefit with the full costs. I predict that in the future we will routinely be giving children back their lost microbes, in early life to restore their patrimony and after the antibiotic courses that are truly necessary.

Just as we have abused marvelous inventions like freon and the internal combustion engine, so too we have abused our "wonder drugs." But the possible costs of these practices are our worst nightmare; we need to prepare, starting now.

@highlight

Martin Blaser: Overprescription of antibiotics put Americans at risk for disease

@highlight

He says we wipe out good, protective germs, bringing danger of "antibiotic winter"

@highlight

With lower resistance, plague inevitable in interconnected world, he says

@highlight

Blaser: Targeted antibiotics, less interference in natural process are key to cutting vulnerability