(CNN) -- At the end of July, the Senate intelligence committee marked up legislation drafted in response to recent high-profile leaks of classified information. The committee's chairwoman, Dianne Feinstein, claims that the bill will address the "culture of leaks" in Washington. But the leaks are a symptom of the intelligence community's culture of secrecy -- and the bill would make that problem worse in a host of ways.

Any insider will tell you that the government classifies far too much information. Top military and national security officials estimate that between 50% and 90% of classified documents could safely be released. That adds up to a massive amount of unnecessary secrecy when one considers there were 92 million decisions to classify information in 2011 alone.

The WikiLeaks disclosures featured some vivid examples, such as a cable from an American diplomat who classified his description of a typical wedding in the province of Dagestan.

The impetus for the current Senate bill -- a series of leaks of classified information that may have been implicitly or explicitly "authorized" by top administration officials -- illustrates the problem. High-level intelligence officials are not enemies of the state. If they are approving the disclosure of classified information, it's a pretty safe bet the material didn't require classifying in the first place.

News: Senate moves to crack down on national security leaks

Take the fact that President Obama is personally involved in identifying the targets of drone strikes, as reported by The New York Times, one of the disclosures that prompted congressional action. It is virtually impossible to fantasize a scenario in which this information could be used to harm the United States.

Overclassification contributes directly to leaks that threaten national security. As Supreme Court Justice Potter Stewart commented in 1971, "when everything is classified, then nothing is classified, and the system becomes one to be disregarded by the cynical or the careless, and to be manipulated by those intent on self-protection or self-promotion."

Put simply, officials who routinely see innocuous documents stamped "Secret" lose respect for the system, and that puts all secrets, the real ones as well as the purely nominal ones, at risk.

Excessive classification also means that even low-level or nonsensitive government positions often require clearances. One in every 50 American adults now has access to classified information, not a winning formula for keeping secrets.

The Senate bill, however, does nothing serious to address the problem of overclassification. Indeed, it perpetuates the fiction that all classified information poses a dire threat.

The bill strips intelligence community employees of their pensions if the Director of National Intelligence decides they leaked classified information, even if the information reveals only that Dagestani weddings last three days. It revokes the clearances of officials who disclose the existence of classified covert operations -- even if the operations, like the raid on Osama bin Laden's compound, are in the past and could not possibly be jeopardized by disclosure.

Worse, the Senate bill extends the shroud of secrecy to encompass even unclassified information. Intelligence officials already must submit any publications that discuss their work to their agencies for pre-publication review and approval; under the bill, they must submit "anticipated oral remarks" as well. On its face, the provision could require pre-publication review for dinner party conversations.

The bill also bars current and recent intelligence officials from contracting with the media to provide commentary on any intelligence or national security matters. No member of the intelligence community, for instance, could provide paid commentary on the war in Afghanistan.

Opinion: Obama leak 'scandal' is wildly overblown

Most alarming of all, the bill prohibits any intelligence official other than the agency's director, deputy director or designated public affairs officer from providing off-the-record information "regarding intelligence activities" -- classified or unclassified -- to the media. If successful, this provision would ensure that the public hears only the party line on all matters relating to intelligence policy. It also would effectively prohibit whistleblowing. Intelligence officials could raise concerns through approved government channels, but if that failed would have no meaningful way to bring evidence of government fraud, waste, abuse, or illegality to the public's attention.

How to deal with disclosures of classified information about government misconduct is a tricky question. How to deal with disclosures of unclassified information about government misconduct should be a no-brainer. Such disclosures should be welcomed and encouraged.

The law already falls short in this regard: the Whistleblower Protection Act protects other government employees against retaliation for whistle-blowing, but excludes members of the intelligence community. The Senate bill would turn this lack of protection into a virtual prohibition.

Unauthorized leaks of properly classified information are a real problem. Grandstanding about authorized leaks of improperly classified information will not solve this problem, nor will cracking down on disclosures of unclassified information. If Congress wants to get serious about leaks, it will take steps to shrink the universe of secret government information, not expand it to encompass yet more information the public has every right to know.

The opinions expressed in this commentary are solely those of Elizabeth Goitein.

@highlight

Elizabeth Goitein: Leaks are a symptom of the intelligence community's culture of secrecy

@highlight

Between 50% and 90% of classified documents could safely be released, says Goitein

@highlight

One in every 50 American adults now has access to classified information, she says

@highlight

Goitein: Senate bill would effectively prohibit whistle-blowing for intelligence officials