Sochi (CNN) -- Amid security anxieties, indignation over Russian politics, the furore over unfinished media accommodation and astronomic costs, one key component of the Winter Olympics has been all but forgotten: the thousands of athletes streaming into Sochi.

When not competing, they will spend a large chunk of their time at the Olympic Village -- the traditional home for most of those taking part.

Sochi has two to boast: one in the imposing landscape of the Caucasus mountains; the other on the Black Sea's sunny northern banks.

These are dwellings that resemble small towns -- you need a lot of rooms to house 6,000 athletes from 85 nations.

The coastal destination surely proves an easy sell to any would-be resident for the month of February. If holiday brochures existed for a stay in the Olympic Village, it might read:

"Upmarket holiday camp, with pleasant residential buildings that come inclusive with very own McDonald's, round-the-clock dining room with flavors from around the world, fully-fitted games room -- boasting table tennis, pool tables and computer games -- free bar and 24-hour gym, in great location just off the beach.

"There are grass lawns to sit out on and enjoy the sun (the climate is so favorable they say there are only three seasons, winter is skipped on the coast), traffic is non-existent and crime is wonderfully low. "

Just as importantly for the athletes, their accommodation is a stone's throw away from some of the best winter sport facilities in the world, making it possible to have your breakfast and walk to the ice rink in under 10 minutes -- a first in Winter Olympic history.

But with any holiday accommodation, and especially when you have thousands of happy campers to please, there have been a few teething problems.

So the management would like to apologize for the swimming pools not being ready -- they are currently empty of water -- and an inability to fulfil the promise of creating landscapes in and around the athletes' blocks.

"In the brochure the organizers provided to the teams this area was meant to be a bird sanctuary ... but I don't think they were able to plant the trees in time," Team GB short-track speed skater Charlotte Gilmartin told CNN

"But apart from that everything else has been great!" added Gilmartin as she follows the gravel path which navigates across an area of wasteland separating the dining facilities from her team's apartment building.

We'll guess from that she'd give it a four-star rating as she crosses the road and opens the door to a building which, on every floor, has balconies festooned with British flags.

Flags which, incidentally, have already become a source of rivalry between athletes from competing nations, if the images posted on Twitter and Instagram are anything to go by -- the bigger the better.

For the duration of the Games, Gilmartin will call this home.

Once inside, after traveling up four flights in an elevator that still has that freshly-installed smell, we walk down a clean, window-lit passageway to a door that has a Union Jack flag doormat daubed with a "Welcome" message.

Gilmartin's airy, open-plan room consists of two single beds -- she shares it with a teammate -- with sea views from a decent-sized balcony, a modern bathroom, double-glazed windows, storage cupboards and an ample lounge area with television.

Orange bikes

As with all Olympic Games, the organizers provide teams with a fully functional room with basic furniture -- similar in quality to a well-known Swedish brand by the look of it -- and then allow the respective Olympic associations to adorn the rooms as they see fit.

In Team GB's case, this entails some patriotic pictures hung on the wall, the provision of "good luck" cuddly toys, themed cushions and the aforementioned doormat. Despite reports of pillow shortages in the mountain cluster village, both beds boast two cushions apiece.

Each room's crowning glory is surely the uniquely patterned quilt for the beds that can then be taken home afterwards by competitors as a souvenir -- as is traditional for all Games

The 2014 quilts are light-blue with stitched diamonds of colored flowers. Very nice. Very Russian.

So if there have been problems with hotels occupied by journalists, it seems the Winter Games athletes are having a very different experience.

"After five days I have no problems," says Russian speed skater Ekaterina Lobysheva -- a veteran of three Olympic Games -- speaking to CNN over a lunch of Chinese noodles.

"And the food is very good. I prefer Asian and Italian food, which is good because they have a cook here from Italy too.

"I'm lucky, I don't really have a diet because I use so many calories. This is the first time my country has hosted the Winter Games and I hope these facilities will help popularize my sport."

Finnish ice hockey player Susanna Tapan also gave the accommodation the thumbs up.

"It's very exciting. This is my first Olympics, and I'm enjoying it very much so far. The accommodation has been great."

One of the most striking attractions of the village is the way different nations bring their own distinctive characteristics. Most notably the Dutch, who are pedaling around on orange bikes.

There may not be the recording studio that London 2012 laid on for the athletes, but between the gym, the bar, the dining room, the pool tables and the beach, there is plenty to keep them occupied.

And if spectators find their hotels are closer to the standard of the athletes' village compared to that of the media accommodation, we might even start to get excited about the great sporting prospect that awaits.

Let the Games begin!

@highlight

Sochi's two Olympic villages house 6,000 athletes from 85 nations.

@highlight

Athletes can access games room and 24-hour gym

@highlight

Athletes allowed to take home uniquely patterned quilts

@highlight

2014 quilts are light-blue with stitched diamonds of colored flower