Santiago de Compostela, Spain (CNN) -- The train races into view, and in the space of a heartbeat, the cars derail and crash into a wall of concrete, flipping onto their sides and skidding along the track with terrifying speed and force.

Security footage shows the horror of the moment an express train derailed as it hurtled around a curve in northwestern Spain on Wednesday. A spokeswoman for the Spanish government in the Galicia region, speaking on routine condition of anonymity, confirmed 80 people have died in the crash.

A woman from Arlington, Virginia, is among the dead. And at least five other U.S. citizens were injured, Deputy State Department spokeswoman Marie Harf said.

Flames burst out of one train car as another car was snapped in half after the crash. Rescue crews and fellow passengers pulled bodies through broken windows and pried open doors as stunned survivors looked on.

Investigations into the cause of the crash continue, but suggestions that the train was traveling too fast appear to be gaining weight.

The train driver is being questioned by police and is under formal investigation, said Maria Pardo Rios, a spokeswoman for the Galicia regional supreme court. "He is not being charged by a judge at the moment -- it is all at a police level," she said.

Of the scores of people injured in the crash, 95 remained hospitalized Thursday, officials said. Thirty-two adults were in critical condition.

Most of the deaths happened at the scene, Rios said. In Spain, judges typically record deaths that take place outside of hospitals.

Judicial teams are still at the crash site and expect to find more bodies, she told CNN on Thursday morning.

Interim charge d'affaires Luis G. Moreno at the embassy said it was in touch "with families of some injured American citizens."

"We are deeply shocked by the news of last night's train crash in Galicia. Our hearts and prayers are with the friends and families of the victims," he said Thursday.

UK Foreign Secretary William Hague said one British citizen was injured.

The crash came on the eve of a public holiday held to mark the region's saint's day. Local officials canceled festivities planned for Wednesday night and Thursday across Galicia.

Train's speed questioned

The state railway, Renfe, said the train crashed on a curve several kilometers from the train station in the city of Santiago de Compostela, a popular tourist destination.

The train was nearing the end of a six-hour trip from Madrid to the town of Ferrol in northwest Spain when it derailed at 8:41 p.m. Wednesday, the railway said.

It was unclear how fast the train was traveling when it crashed. It was capable of going up to 250 kilometers per hour (155 mph), said Julio Hermida, a spokesman for the state railway.

The driver, who suffered minor injuries, told police the train had entered the bend too fast, TVE reported.

The driver has worked for the company for the last 30 years, a spokesman for the railway confirmed to CNN. In 2000, the driver started working as a train driver assistant, and in 2003 began working as a train driver, a job the driver has held since.

Rafael Catala, secretary of state for transport and housing, told Spanish radio network Cadena SER that the "tragedy appears to be linked to the train going too fast," but that the reasons for that are not yet known.

Spanish news agency Efe and national daily El Pais cited sources within the investigation as saying that the driver had said the train was going at about 190 kilometers per hour, and that the limit on that curve was 80 kilometers per hour (50 mph.)

The president of Renfe, Julio Gomez-Pomar, told radio station COPE on Thursday that the train had undergone a routine inspection that same morning.

"The train did not have an operating problem," he said. "The maintenance and control record of the train was perfect."

Mourning declared

Spain's King Juan Carlos visited a hospital in Santiago de Compostela where victims injured in Wednesday's train accident are recovering.

"All Spaniards, we are united at this time. ... Really all Spaniards join in the pain of the families of the dead," he said. "We hope that the wounded will recover, little by little."

The royal family canceled all events scheduled for the day out of respect for the day of mourning, the royal household told CNN.

Alberto Nunez Feijoo, head of the regional government in Galicia, declared seven days of mourning in the region for victims of the tragedy.

In a speech, he said "all of the community cries about the tragedy that we are living, we cry for the victims, we cry for the unease and sadness of the families."

Spanish Prime Minister Mariano Rajoy viewed the scene of devastation Thursday morning and visited some of the hospitalized crash victims.

Rajoy, who is from the area, told a news conference there was a "huge challenge" ahead, not least in identifying all those killed and informing their families, and he praised the response of everyone who has helped after the crash.

Two investigations are under way, he said, adding, "We want to establish what happened."

Rajoy declared three days of national mourning to honor the victims of the crash.

The prime minister came under fire in Spanish media after a condolences message for the train crash victims posted by his office late Wednesday included a paragraph apparently "copied and pasted" from a statement previously sent to victims of an earthquake in Gansu, China.

''I would like to express my deepest condolences for the loss of human lives and the material damage from the earthquake that has occurred in Gansu has caused," the note said.

Victim: 'Everything went dark'

One victim, speaking from a hospital bed with his arm in a sling, told CNN affiliate Atlas that it seemed like train was going fast.

"But we didn't know what was the maximum speed, so I thought it was normal," he said, "And suddenly there was a curve, the suitcases fell, and everything went dark. And I hit my head a ton of times, and 10 seconds later I was wedged between seats, and I had people's legs on top of me."

As he waited for rescuers to pull him from the wreckage, he heard other passengers yelling.

"I heard little children screaming. ... I also heard two girls that yelled out, one supporting the other," he said.

Through the darkness, passenger Stephen Ward saw a little circle of light -- the door of the train.

Rescuers came through it and helped the 18-year-old from Bountiful, Utah, get out.

He waited for hours while victims with more serious injuries were taken to the hospital. As he watched rescue crews carry the dead and wounded, he cried and sang church hymns to calm himself down.

A photo taken at the scene shows him leaning on a police officer as he walked beside the tracks, with blood oozing down his face and splattered on his crisp, white shirt.

The Mormon missionary walked past dead bodies on the ground. He told London's Daily Telegraph that it looked like a scene from hell.

U.S. citizen among those killed

When the train crashed, Ana-Maria Cordoba was on the way with her husband and their daughter to visit her son, who had been on a pilgrimage in Spain, the Catholic Diocese of Arlington told CNN.

Cordoba, who worked for the diocese, was killed, spokesman Michael Donahue said.

Her husband and daughter are hospitalized in stable condition, the diocese said.

Crash investigation

Investigators are looking at all possible causes of the crash, a senior aide to the prime minister said Wednesday.

Are you there and safe? Tell us what's happening

Renfe's spokesman said he did not know how many crew members were aboard the train when it crashed. Normally, there would be at least five crew members on a train like that, he said.

Officials appealed for blood donations just after the crash but on Thursday said the short-term needs were met.

Herman Van Rompuy, president of the European Council, expressed condolences from the European Union.

Pope Francis, who is on a visit to Brazil for World Youth Day, sent a telegram to the bishop of Santiago de Compostela, Julian Barrio Barrio, offering his support and prayers for all those affected by the tragedy.

CNN's Al Goodman reported from Santiago de Compostela and Laura Perez Maestro from Galicia. CNN's Laura Smith-Spark wrote in London. CNN's Jonathan Helman, Catherine E. Shoichet, Elwyn Lopez, Patrick Sung, Eric Marrapodi, Jill Dougherty, Nelson Quinones, Marysabel Huston-Crespo, Mariano Castillo, and David Valenzuela contributed to this report.

@highlight

NEW: Survivor says the crash site looked like a scene from hell

@highlight

Victim: "Suddenly there was a curve, the suitcases fell and everything went dark"

@highlight

Death toll at 80, spokeswoman for Spanish government in Galicia region tells CNN

@highlight

Crash may be linked to train going too fast, transport minister tells radio station