Lynchburg, Virginia (CNN) -- Cassandra Morton never became a household name like some of the other women. Not like Morgan Harrington. Or Hannah Graham.

Even for the people in the historically black Tinbridge Hill neighborhood of Lynchburg, where sense of community and oral history thrive, memories of Morton are hazy.

"Wasn't she the girl whose body they found up on the mountain?" people ask.

Morton went missing on October 10, 2009. Several weeks later, a hiker discovered the 23-year-old's decomposed body on Candlers Mountain, near Camp Hydaway, a retreat owned by Jerry Falwell's Liberty University.

Lynchburg police and the Campbell County Sheriff's Office hunted for Morton's killer in vain. A year after her death, authorities admitted their leads had gone cold.

As the years wore on, Morton's family learned to live without knowing who committed this heinous act. Or why she was robbed of life. Their hope of learning the truth diminished with time.

Until recently.

One night last month, University of Virginia student Hannah Graham disappeared after going out with friends. The arrest of a suspect in that case has prompted authorities to take another look at Morton's death and several other unsolved cases of women who were murdered, raped or went missing.

Police have charged Jesse L. Matthew Jr. with abduction with the intent to defile in Graham's disappearance.

They said forensic evidence also links Matthew to at least two other cases: the death of Morgan Harrington, whose body was discovered in Albemarle County in 2010, and a 2005 rape of a 26-year-old woman in Fairfax City.

Matthew was also accused of a 2002 rape at Liberty University in Lynchburg, though charges were not pressed. The Campbell County Sheriff 's Office is investigating any possible connection between Matthew and Morton. Sheriff Steve Hutcherson declined further comment on an ongoing investigation.

The result of all this has been that suddenly, almost five years after her death, Morton's face is all over the media again. It has meant torture, all over again, for her mother, Catherine Morton.

She again felt the kind of shock that jolted her when police showed up at her doorstep several days after Thanksgiving 2009. They showed her a photograph of the body. She recognized her daughter's moccasins and beige jacket. They told her they had matched Cassandra's dental records to the body that was discovered.

Catherine fell to the floor.

"She hasn't been right ever since," says her husband and Cassandra's stepfather, Rawleigh Myers.

Police seize cab of man linked to 2009 death

Overshadowed by a 'damsel in distress'?

Cassandra Morton's cremated remains rest in an urn her mother keeps by her bed. It's a constant reminder of the daughter she lost; a reminder that her killer remains unpunished.

Every morning, Catherine Morton prays for her daughter's soul. She takes comfort in knowing that 250 people showed up at her daughter's funeral at the Tree of Life Ministries a few blocks up the road from her rented duplex on Campbell Avenue.

She swallows eight or nine pills a day to treat her depression and hypertension. There's not much she can do about the anger that rises within. Why did her daughter's death not make national headlines like Graham or Harrington? Why did no one from the state come to help her in her hour of grief and pain?

Morton's death was never big news. And it was always overshadowed by news about Harrington, who went missing six days after Morton vanished.

In fact, when Morton's body was discovered, some headlines wondered if it might be that of Harrington, whose parents had been vocal from the first day about their daughter's strange disappearance from a Metallica concert at the University of Virginia campus in Charlottesville.

They appeared on television and created a website to seek justice for their daughter.

"There's been so much publicity about Morgan, about Hannah," Myers says.

He is blind in his left eye and suffers from high blood pressure. He used to work for the school system, then performed odd jobs here and there. But these days, he and Catherine Morton barely survive by collecting disability.

"The Harringtons can afford a reward to find their daughter's killer," he says, sitting on a small front porch cluttered with things. "We're poor and black. Nobody cares."

His stepdaughter, Myers says, didn't fit the profile of missing women who make headlines. Like Elizabeth Smart, Laci Peterson and Natalee Holloway. Or Harrington and Graham.

"It's hard to deny that race has something to do with the fact that attractive young white women get vastly more coverage when they disappear," says A. Barton Hinkle, an editorial writer at the Richmond Times-Dispatch, who wrote about the so-called Missing White Woman Syndrome in a recent column.

The Washington Post's Eugene Robinson first described the media fascination in a 2005 column in which he described "Damsels in Distress."

"A damsel must be white. This requirement is nonnegotiable. It helps if her frame is of dimensions that breathless cable television reporters can credibly describe as 'petite,' and it also helps if she's the kind of woman who wouldn't really mind being called 'petite,' a woman with a good deal of princess in her personality. She must be attractive -- also nonnegotiable. Her economic status should be middle class or higher, but an exception can be made in the case of wartime.

"Put all this together, and you get 24-7 coverage," Robinson wrote. "The disappearance of a man, or of a woman of color, can generate a brief flurry, but never the full damsel treatment."

Similar comments were made in Cleveland, after the bodies of 11 black women were found in a "house of horrors" in 2009.

"In all their coverage, sympathetic as it may be, the [Cleveland] Plain Dealer never raises the bigger issue. What made these women such easy targets was being black, being women and being from the highly segregated and desperately poor east side of Cleveland," Angie Schmitt, founding editor of Rust Wire, wrote a year after the bodies were discovered.

"Nobody was going to tear up the city looking for a few black women from the east side with sketchy pasts."

Justice for everyone?

Morton grew up in and around Lynchburg one of three siblings. Her parents separated, and when Catherine Morton married Myers about 12 years ago, he embraced her as his own.

Myers never had much contact with his own daughter from a previous relationship; Cassandra filled that void. He loved to hear her call him "Daddy."

Myers adjusts the baseball cap hugging his head. "Relax," it says. "God is in control."

But he is far from relaxed talking about Cassandra. Catherine Morton decided she had had enough of journalists after Graham's case made the news. She had agreed to speak with me but changed her mind. She makes it clear she's upset her daughter's name has been dredged up again. She tells her husband to "keep it short."

But Meyers wants to talk. He wants to keep Cassandra's memory alive. At a vigil last year organized by "Help Save The Next Girl," a group started by Harrington's parents, Myers spoke publicly about Cassandra.

"She was loved," he told the crowd, among them the families of nine Virginia women whose cases remain unresolved.

Myers says his stepdaughter wasn't perfect. She had fallen in and out of trouble, moved from one home to another. She was arrested in 2005 for theft. The photo that was used in newspapers and television when she went missing was, ironically, a police mug shot.

She dabbled with drugs and men, Meyers says. She got pregnant and gave birth to two daughters. She was supposed to check into a rehabilitation facility two days after she went missing.

She did not fit the picture of the all-American girl next door. But that, says her family, doesn't mean she should go without justice.

Authorities have not said anything about the evidence they have on Matthew. Cassandra Morton's family has no idea whether she, Hannah Graham and Morgan Harrington are linked in some chilling way.

They know only this: For the first time in years, they harbor hope again of learning the truth, however brutal that might be.

@highlight

Almost five years after her body was found, Cassandra Morton's name is in the news again

@highlight

Police are investigating if there is a connection between Morton and a suspect in other cases

@highlight

Morton's death was overshadowed by the disappearance of Morgan Harrington

@highlight

Morton's stepfather says Cassandra didn't fit the profile of missing women who make headlines