(CNN) -- U.S. President Barack Obama heads south of the border Thursday to meet with Mexican President Enrique Peña Nieto in the country's capital. Here are three key topics that are likely to be on the table, and a look at how the leaders and Mexicans have weighed in on those issues.

1. Trade and economic ties

The situation:

The United States is Mexico's largest trading partner, and Mexico is America's third-largest trade partner, after China and Canada. Imports and exports between the two countries totaled nearly $500 billion last year. Officials on both sides of the border have said they want economic relations to be a focal point during Obama's visit.

Obama's trip comes as Peña Nieto's government has said it's on the verge of pursuing reforms in the country's state-run oil company -- a politically divisive issue in Mexico and something U.S. and global investors are watching closely.

Obama's take:

"We spend so much time on security issues between the United States and Mexico that sometimes I think we forget this is a massive trading partner, responsible for huge amounts of commerce and huge numbers of jobs on both sides of the border," Obama told reporters on Tuesday. "We want to see how we can deepen that, how we can improve that, and maintain that economic dialogue over a long period of time."

Peña Nieto's take:

"We should reconsider greater integration of North America to achieve a region that is more competitive and capable of creating more jobs," Peña Nieto told Obama during a meeting at the White House in November.

Public opinion:

Most Mexicans think the deep economic ties between the two countries are good for Mexico, according to survey results released this week by the Pew Research Center. But when the 1,000 people surveyed in March were asked about the influence the United States currently has on economic conditions in Mexico, views were mixed. One-third of Mexicans say the United States is having a positive impact on national economic conditions in Mexico, while 28% think the United States is having a negative impact.

2. Immigration

The situation:

The United States and Mexico are bound by a border which has made for a dysfunctional relationship over the years, especially when it comes to immigration. However, both governments have the issue high on their list of priorities. In the United States, a bipartisan group of senators have proposed an immigration reform bill, with U.S.-Mexico border security at its foundation.

There are more than 11 million Mexicans living in the United States, including the 6 million estimated to be living there illegally as of 2010. But the migration rate from Mexico fell to zero in 2012, meaning the number of Mexicans coming to the United States -- and those going the other way -- was virtually identical.

Obama's take:

"We've got to have more effective border security; although it should build on the great improvements that have been made on border security over the last four or five years," Obama said in a news conference this week. "We should make the legal immigration system work more effectively so that the waits are not as burdensome, the bureaucracy is not as complicated, so we continue to attract the best and the brightest from around the world to our shores in a legal fashion."

Peña Nieto's take:

"We fully support your proposal for this migration reform," Peña Nieto told Obama in November. "More than demanding what you should do or shouldn't do, we do want to tell you that we want to contribute. We really want to participate with you. We want to contribute toward the accomplishment, so that of course we can participate in the betterment and the well-being of so many millions of people who live in your country."

Public opinion:

According to the Pew Research Center, Mexicans are divided on whether this is good or bad for their country; 44% say it's good for Mexico that many of its citizens live in the United States, and an equal share say this is bad for Mexico.

And, perhaps the most surprising find from the study said that 61% of Mexicans would not move to the United States even if they had the means to do so. However, 35% say they would move to the United States if they could, including 20% who say they would emigrate without authorization.

A little less than a third of the Mexicans questioned (30%) say they personally know someone who went to the United States but returned to Mexico because the person couldn't find work, according to the Pew Research Center. About a quarter (27%) know someone who has been deported or detained by the U.S. government for immigration reasons in the last 12 months.

3. Security and the drug war

The situation:

The battle against drug cartels has played a dominant role in U.S.-Mexican relations in recent years. Officials on both sides of the border have said that drugs traveling north from Mexico to consumers in the United States and weapons traveling south from the United States to cartels in Mexico are an increasingly deadly combination.

High-profile cartel takedowns were a hallmark of former President Felipe Calderon's tenure. Peña Nieto has vowed to take a different approach, focusing more on education problems and social inequality that he says fuel drug violence. The details of his policies are still coming into focus, and analysts say his government has deliberately tried to shift drug violence out of the spotlight.

Critics have expressed concerns that Peña Nieto's government will turn a blind eye to cartels or negotiate with them -- something he repeatedly denied on the campaign trail last year. On Tuesday -- two days before Obama's arrival -- his government arrested the father-in-law of Joaquin "El Chapo" Guzman, head of Mexico's Sinaloa cartel and one of the country's most-wanted drug lords.

While both Obama and Peña Nieto have said they're committed to working together on security issues, it's unclear whether the U.S. role will change as Mexico's government shifts its strategy.

Obama's take:

The U.S. president has repeatedly said the United States will work to reduce demand for drugs and to stop the illegal flow of weapons to Mexico. But there's one approach he says isn't on the table -- drug legalization.

Speaking at the Summit of the Americas in Colombia last year, Obama said it was reasonable to debate alternatives in the war on drugs, but insisted legalizing drugs is not a valid option in the United States. "I think it is entirely legitimate to have a conversation about whether the laws in place are doing more harm than good in certain places," Obama said. "I personally, and my administration's position is, that legalization is not the answer."

Peña Nieto's take:

Last year, Peña Nieto told CNN that creating more economic opportunities will be Mexico's greatest weapon in the war on drugs. "That, I think, is going to be the best way my government can prevent organized crime," he said. Without jobs and social programs, he added, "millions of my countrymen have no other option than to dedicate themselves sometimes to criminal activity."

Public opinion:

Nearly a third of Mexicans surveyed by Pew say Mexico's government is losing ground against cartels, while 37% say the government is making progress.

Mexican public opinion is mixed over the U.S. role in the fight against drug cartels, according to the Pew survey. Nearly three-quarters of Mexicans surveyed said they would welcome U.S. assistance in training Mexican police and military personnel. But support for the United States providing money and weapons to Mexican forces has lost some support in recent years, Pew said. In 2011, 64% of those surveyed said they backed such a strategy. This year, 55% said they supported that approach.

CNN's Rafael Romo contributed to this report.

@highlight

Obama and Peña Nieto have said they want to focus on the economy this week

@highlight

Security and immigration are also key issues between the U.S. and Mexico

@highlight

A recent survey indicates Mexican public opinion on the issues is mixed

@highlight

It's unclear whether the U.S. role will change as Mexico's drug war strategy shifts