WASHINGTON (CNN)  -- President Obama pledged Monday to cut the nation's $1.3 trillion deficit in half by the end of his first term.

Rep. Steny Hoyer, D-Maryland, speaks after Obama called on him at the fiscal summit's closing session.

He identified exploding health-care costs as the chief culprit behind rising federal deficits during a bipartisan "fiscal responsibility summit" convened to discuss ways to restore fiscal stability without deepening the recession.

Meeting with the congressional leadership of both parties, as well as a range of business, academic, financial and labor leaders, Obama warned that the country cannot continue its current rate of deficit spending without facing dire economic consequences.

"I refuse to leave our children with a debt they cannot repay," he said in remarks opening the one-day summit at the White House. "We cannot and will not sustain deficits like these without end. ... We cannot simply spend as we please."  Watch more about the summit and the deficit »

The country, Obama argued, is already starting to face the consequences of greater deficit spending, noting that roughly one in 10 taxpayer dollars in 2008 went toward paying $250 billion in interest on the national debt.

The president pledged to take the first step toward fiscal responsibility by, among other things, ending "accounting tricks" such as refusing to include money for expenses such as the Iraq war or natural disasters such as Hurricane Katrina in the regular budget.

Such practices, Obama argued, only serve to mask the real size of the deficit.

He also pledged to end no-bid contracts in Iraq, root out waste and abuse in entitlement programs such as Medicare and Medicaid, require every Cabinet member to scrub department budgets "line by line," and reinstate a "pay as you go" rule from the 1990s.

"This is the rule that families across this country follow every single day, and there's no reason their government shouldn't do the same," he said. "You don't pay what you don't have."

But the biggest challenge, he said, would be controlling spiraling health-care costs -- "the single most pressing fiscal challenge we face by far."

The projected increase in the deficit is largely due to anticipated growth in Medicare, Medicaid and Social Security, which in turn is driven by rising health-care costs, budget analyst Bob Greenstein noted shortly before Obama spoke.

Greenstein minimized the effect of the $787 billion economic stimulus plan on the budget shortfall, saying that it amounts to only one-tenth of 1 percent of the gross domestic product.

Obama later added that, without a stimulus package, the recession would deepen, tax revenues would decline and long-term deficit projections would ultimately be worse.

"I have no interest in making government bigger for the sake of it," he said.

But if health care is not reformed, Greenstein warned, the national debt could soar to 300 percent of the gross domestic product by 2050.

"We are [currently] on the path to the very debt explosion we must avoid," he declared.

"Health care is the key" to getting the nation off an unsustainable fiscal course, added Peter Orszag, head of the Office of Management and Budget.

After Obama's remarks Monday, the fiscal responsibility summit participants separated into small working groups to discuss the specific fiscal challenges facing the country, including taxes, health care, Social Security and the budget process.

The administration is planning to issue a final "fiscal sustainability project" list of recommendations based on the conclusions of those working groups in 30 days.

After the working groups met, Obama stood at a podium and called on participants to share what the groups had discussed. Sen. John McCain, Obama's Republican opponent in November's presidential election, told Obama that a proposal to order new helicopters to transport the president was a prime example of government waste.

The price tag for a proposed new fleet of 28 Marine One helicopters has virtually doubled to more than $11 billion over the past six years. Each helicopter in the fleet, which would have several security upgrades, would reportedly cost around $400 million.

McCain's group at the summit had discussed procurement. Obama said he has asked Defense Secretary Robert Gates to review the helicopter proposal.

"The helicopter I have now seems perfectly adequate to me," a smiling Obama said, drawing laughter from the audience.

Rep. Joe L. Barton, R-Texas, told Obama that if he is interested in bipartisanship, then he should encourage House Speaker Nancy Pelosi to "have a true, open process" in crafting legislation. The stimulus bill passed this month with no GOP votes in the House and only three in the Senate.

"I think the House Republicans have shown that, when we're not included in the decision-making, we're disinclined to sign off on the solution," Barton said.

Obama's address to a joint session of Congress on Tuesday night is expected to be dominated by economic and budgetary issues. The president is slated to officially unveil his fiscal year 2010 budget Thursday.

Obama intends to cut the federal deficit in half primarily by spending less on the war in Iraq, raising taxes on those who make more than $250,000 a year and streamlining government, an administration official told CNN Saturday.

The president's budget proposal will project that the estimated $1.3 trillion deficit inherited from the Bush administration will be halved to $533 billion by 2013, or from 9.2 percent of the gross domestic product to 3 percent, the official said.

Obama's plans to cut the deficit might be complicated by the continuing economic downturn, which threatens to reduce tax revenues. A group of leading economists is now forecasting a far deeper and more painful recession ahead in the first half of the year, with a solid recovery not taking hold until 2010.

The economy is likely to decline at a 5 percent rate in the first quarter, even sharper than the 3.8 percent drop recorded in the fourth quarter of last year, according to a survey of 47 top forecasters from the National Association for Business Economics.

And according to estimates by economists Alan Auerbach of the University of California at Berkeley and William Gale of the Brookings Institution, the deficit -- largely because of the recession and the new economic stimulus effort -- will average at least $1 trillion per year for the next 10 years, even if the stimulus is limited to two years and the jobs picture improves dramatically.

CNN's Dan Lothian contributed to this report.

@highlight

President Obama reaches across party lines to host summit

@highlight

About 130 people from variety of areas invited to open Q&A White House forum

@highlight

Participants discuss country's long-term financial problems

@highlight

Obama's plans to cut deficit may be complicated by continuing economic downturn