(CNN) -- On Monday, President Barack Obama's two secretaries of state inadvertently collaborated with Russia's foreign minister to shape a twist in the Syria debate that a day later is looking more and more like a possible way out of the current crisis.

It took an idea from being an off-the-cuff throwaway line through being an informal proposal to the point today where it will be proposed for consideration by the United Nations. Perhaps more importantly for the President, it may help save him from a political showdown in Congress where it seems increasingly likely he cannot win while adding a glimmer of hope to a story that for two weeks has been an unrelenting mess for the White House and of deep concern to the American people.

The first move came from the current secretary of state, John Kerry. In a statement that was initially seen as a slip of the tongue (probably because it was), Kerry raised the possibility that if Syria were to give up its chemical weapons, an attack might be avoided. Although the administration almost immediately backed away from the statement and the British foreign secretary characterized it as impossible, the idea quickly began to gain traction.

Syrian Foreign Minister Walid Moallem announced that his Russian counterpart Sergei Lavrov had proposed that Syria's chemical weapons be put under some form of international control as a way of forestalling a U.S.-led attack. Moallem went further, welcoming the initiative.

It turned out Kerry had spoken to Lavrov. And while Washington's first response was natural skepticism given the misrepresentations of the Syrian government in the past, it became clear that if there was any chance such an initiative could spare the president the political debacle of a failed vote in the Congress -- and possibly spare the country the costs of another military intervention in the region -- some in the administration felt it was worth considering.

So, hours after a senior official had told CNN the Kerry statement was a "major goof," the press office in the White House was claiming credit suggesting that the "credible threat" of a U.S. plan had triggered the diplomatic opening.

Next up, former Secretary of State Hillary Clinton, who had already been teed up to offer a statement of support for her former boss/potential predecessor, made a brief statement that had to have been carefully cleared with the White House.

She called the idea that Syria might give up its chemical weapons an "important step" if the Russians and the Syrians actively followed up on it. This was yet another sign that the administration was hoping that the morning's seeming misstep yield an opportunity to step away from a congressional showdown or at least buy some breathing room.

Further, while Clinton did not address the specifics of Obama's proposed Syria intervention, she did say that she would support him.

Up until now, her silence on the issue was seen by some as an effort by the likely presidential candidate to distance herself from the Obama team's muddled handling of the proposed Syria intervention. But Monday's message not only showed her political loyalty to the president but it also emphasized the outsized influence of her views in America and around the globe.

In the wake of her remarks, there were initially reports that other nations, such as France, would welcome giving the Russian initiative a chance. The President framed it as a "potentially positive development." Then on Tuesday, the Syrian government formally accepted the Russian proposal. The U.S. and France took the plan to the United Nations to give it the formal backing and oversight of that institution. It is still clearly a long way from being realized but there is momentum.

Nonetheless, even should it blow up, appearing to consider it allows Obama to be able to say he had exhausted all diplomatic options to resolve the problem. And for the more the hawkishly inclined, it would also be seen as reminder that military pressure is often key to producing peaceful, political outcomes.

Either way, for a moment, an idea that might ultimately seem to be in the interest of Obama, Russian President Vladimir Putin, Syrian President Bashar al-Assad and, arguably, the Syrian Opposition (to the extent they no longer might face chemical weapons) gained surprising traction. This was thanks in part to the seeming misstep of America's current top diplomat, to his swift interaction with his Russian counterpart, and the added weight his predecessor's views brought to the matter.

It is a long-shot proposal started perhaps by accident, promoted by parties who have regularly lied, and cautiously embraced by a U.S. administration whose policies in Syria have been incoherent by any measure. Regardless of whether it amounts to anything or not, it speaks volumes about how bad our options are.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Kerry, Clinton collaborated (accidentally?) to add hopeful twist on Syria

@highlight

In a "goof," Kerry said Syria yielding chemical weapons might avert U.S. strike, Rothkopf says

@highlight

Potential presidential candidate Clinton called it "important step" and showed her influence

@highlight

Rothkopf: Even if plan fails, it gives Obama cover for trying diplomacy