(CNN) -- General Motor's own investigation may be over, but Congress has just begun.

CNN has learned from Republican and Democratic sources that the House Energy and Commerce Committee plans to hold hearings this month on how the automaker allowed fatally flawed ignition switches to remain inside vehicles for years.

The Senate won't be far behind. Sen. Claire McCaskill, Democrat of Missouri whose subcommittee is handling the issue, announced Thursday that she, too, would hold a hearing this summer.

The push for hearings is one of many signs that even as GM put its internal investigation to rest Thursday, lawmakers have not made up their minds about how the company handled the problem, whether there could be criminal wrongdoing, and what are the company's responsibilities to victims from its mistake.

"The conclusion of GM's internal investigation marks an important milestone," wrote House Energy and Commerce Committee Chairman Fred Upton in a statement released by his office.

Family 'angry' despite GM firings

"But our investigation continues as many questions remain for both the company and the National Highway Traffic Safety Administration," the Michigan Republican said.

Upton praised an investigative report commissioned by GM and produced by former U.S. Attorney Anton Valuka as "thorough," but said that it raised concerns about how the company handled the switch problem.

GM admitted in February that its engineers first knew of the ignition switch problem as early as 2004. But it did not recall some 2.6 million affected vehicles until earlier this year.

"The initial findings are deeply disturbing, suggesting that communications and management failures ran deep and wide within GM," he wrote.

GM estimates that 13 people died as a result of the switch flaw, which made affected cars prone to shutting off while on the road, disabling the airbags, power steering and anti-lock brakes.

The delayed recall was caused by the misconduct of about 20 employees and "a pattern of incompetence and neglect" throughout the company, the report said.

GM Chief Executive Officer Mary Barra announced that 15 employees had been dismissed and five more were been disciplined following the three-month probe.

On the Senate side, McCaskill sent out a statement saying she is withholding judgment until she can read the report more closely.

"I'm looking forward to getting a full briefing from Mr. Valukas," she wrote, adding a note of scrutiny. "I won't be letting GM leadership, or federal regulators, escape accountability for these tragedies."

The 300-page GM report is at the top of the heap of a much larger pile of paperwork that congressional investigators are sifting through on the issue.

The Energy and Commerce Committee says it has received 1 million pages of documents from GM about the ignition switch problem, with some 400,000 pages arriving just in the last week.

"GM's internal assessment confirms many of the troubling details our ongoing House investigation is uncovering," wrote Rep. Diane DeGette of Colorado, who is the top Democrat on the House subcommittee tasked with the GM investigation.

In a statement, she pointed to some initial conclusions, writing, "siloed responsibilities and a corporate culture that deemphasized safety created an environment that allowed problems to linger, leading to additional accidents and loss of life."

DeGette is particularly watching an issue that GM has not resolved yet: compensation for victims.

"We also need more details to understand how accident victims may receive compensation from GM as well as what legal rights individuals may have to waive as a condition of payment," she wrote.

Barra said the company would create a program to compensate those injured or killed by the defective cars, but she didn't say how large that fund would be.

As House and Senate committees prepare for a busy next month, two members of Congress are pushing for something more: a new law.

"We need to enact legislation that requires auto manufacturers to submit information on possible defects as soon as they become aware of them," wrote Sen. Ed Markey, Democrat of Massachusetts.

He and Connecticut Democratic Sen. Richard Blumenthal have proposed the "Early Warning System Improvement Act of 2014," which would require carmakers to automatically submit to NHTSA any accident report involving a fatality, and then it would require the agency make those documents public.

Both sit on the Senate Commerce Committee, but so far no other senators have signed onto the bill and its future is not clear

GM will pay a $35 million fine to safety regulators over the switch debacle and is the subject of a federal criminal probe. GM also faces wrongful death lawsuits from victims' families.

CNN's Chris Isidore and Poppy Harlow contributed to this report.

@highlight

Automaker concludes internal investigation of fatal ignition switch problem

@highlight

But House and Senate committees continue to probe the matter, promising hearings

@highlight

Some in GM knew for years there was a problem, but only started big recall this year