(CNN) -- Rotterdam is home to Europe's largest international port. But as countless vessels pass through the bustling shipping hub each day, the environmental toll is far from light.

In fact, Rotterdam emits a whopping 29.8 tonnes of carbon per capita, one of the highest in the world. In comparison, the Dutch city beats London's carbon emissions at 9.6 tonnes per capita and Shanghai at 11.7 tonnes per capita.

To put that into perspective, the global average is about 4.6 tonnes per capita.

Now Mayor Ahmed Aboutaleb has plans to make Rotterdam the most sustainable port city in the world by cutting its carbon footprint by 50 percent.

With a greener future ahead, CNN takes a look at five sustainable initiatives planned for the Dutch port city.

1. Floating homes

To cope with rising sea levels, Rotterdam plans to build floating urban districts calling for 13,000 climate-proof floating homes in by 2040 -- of which around 1,200 would be built on top of the water.

To showcase how this might work, the Rotterdam Climate Initiative commissioned the "Floating Pavilion". Constructed by Dura Vermeer, the three transparent interconnected domes are perfectly positioned in the Rotterdam City Harbor, Rijnhaven.

Not only is the structure almost entirely self sufficient due to the solar powered heating and air conditioning, it's also built with a special plastic material, which is 100 times lighter than glass.

2 .Water plazas

Rotterdam's waterways may be responsible for a bulk of the city's prosperity -- but that's not to say that the day to day living below sea level is easy for its residents.

To combat the heavy rainfall, urban design and planning company De Urbanisten came up with the concept of constructing water plazas that serve as the perfect solution to holding excess water and take the pressure off the sewerage system.

When the city's water system has enough capacity, the rainwater in the plaza can be diverted to the nearest open water.

What's more is the water plazas can also be used as a playground when dry.

Read more: One thing you'd change in your city

3. Green rooftop revolution

Nothing paints a more sustainable urban picture than green rooftops. While Rotterdam already has some 100,000 square meters of sprawling green across its skyline, the city expects to cover 160,000 square meters by the end of 2014.

To spur the green rooftop movement, Rotterdam kicked off a scheme to help residents fund the installments.

Not only do green patches provide a buffer to help absorb excess rainwater, but they also clear the atmosphere and slow down roof erosion, according to Rotterdam Climate Initiative.

So far, you can find the greenery on top of a slew of the city's buildings including the Municipal Archives, the Central Library, the head office of Unilever Nederland, the Maasstad Hospital, the Sophia Children's Hospital and the museum Villa Zebra.

4. Sustainable port

Rotterdam's Port Authority says it wants to become the most sustainable port city in the world by 2015 and it has also committed to cutting its carbon emissions by half of 1990s levels by 2025.

One way it hopes to reach this goal is by allocating 80 hectars of land around the port to biobased companies.

While Rotterdam has more than 45 chemical companies, five oil refineries and several power plants, the port also houses 10 production companies that use renewable energy as their raw material.

Dutch scientists have also examined how to better capture and store CO2 emissions by developing a new ship coating that will lower algae growth.

Another proposition in the works is to examine the usage of new collapsible containers that could save space and in turn cut trips.

Read more: Rise of London's pedal culture

5. Public transport for nature

A sustainable city is one that looks after not only its human population, but also its wildlife, plants and insects.

That's why Rotterdam's landscape architecture firm Openfabric has proposed a way to utilize the city's public transport network to "make them suitable for both humans and the biodiversity". Dubbed "Diverse Networks", the initiative would allow them to link up some of the hotspots for the city's wildlife.

Rotterdam's public transportation could be transformed into green corridors that could bring butterflies, dragonflies, crickets and grasshoppers into the city center.

If implemented, bus stops and metro stations could provide shelter for the people and foraging for the birds and insects.

@highlight

Rotterdam's population totals 615,000

@highlight

90% of the city is below sea level and is therefore facing a high risk of flooding.

@highlight

Rotterdam aims to become the most sustainable port city in the world.