Washington (CNN) -- In President Barack Obama's two presidential campaigns, his predecessor loomed large; Obama and Democrats regularly laid the blame for the downtrodden economy at George W. Bush's feet.

When pressed on their pledge to turn the faltering economy around, Obama and Democrats often pointed out that they had inherited the product of the Bush administration's policies.

Bush, however, in his limited public appearances has stayed mute about his successor, maintaining a custom among former presidents that dates back decades. While not all presidents have adhered to the practice, it has created a mostly amicable brotherhood of former presidents.

"George W. Bush is a traditionalist," CNN Senior Political Analyst David Gergen said. "I think he holds to an old-fashioned standard that the presidency is one of the world's greatest fraternities and its members don't criticize each other."

After leaving the White House, Bush made it clear that he was finished with the public stage. Although he has been more public since his presidential library opened in April, Bush has maintained that he will not criticize Obama.

"I don't think it does any good," Bush said Monday in an exclusive interview with CNN's Robyn Curnow in Zambia, where he was helping to renovate a women's clinic. "It's a hard job. He's got plenty on his agenda. It's difficult. A former president doesn't need to make it any harder. Other presidents have taken different decisions; that's mine."

Bush's new mission: Helping those with the least

In "The Presidents Club," a book by Nancy Gibbs and Michael Duffy about the fraternity, a Bush adviser says the most the former president will say about Obama's decisions is, "Well, I might have done it differently."

In public, though, Bush has refused to comment on Obama.

"He deserves my silence," Bush said in a March 2009 speech. "There's plenty of critics in the arena. I think it's time for the ex-president to tap dance off the stage and let the current president have a go at solving the world's problems."

CNN Exclusive: George W. Bush interview

Unexpected friendships

Gergen said he feels Bush's silence about Obama stems from how Bush was treated in his last few years in office.

"There was a sense among the Bush people that a lot of this criticism was gratuitous and ill-informed and painful," Gergen said. That could be "part of his staying away from issues with Obama."

When you are president, there are literally only a handful of people in the world who can relate to the pressure, the commitment, the arduous decision making. This unique understanding has led many presidents to rely on one another after leaving office.

Former, current presidents on George W. Bush

Some of these relationships have led to unexpected political friendships.

Despite the fact they faced off in the 1992 presidential election, the relationship of Bill Clinton and George H.W. Bush has been described as father-and-son-like. They are so close that Clinton joked at the opening of George W. Bush's library that he "had become the black sheep son" of the Bush family.

5 presidents on hand for Bush Center opening

He even jokingly referred to former first lady Barbara Bush as his "mother."

Clinton praises Bush at library opening

Other presidential relationships have been similarly close. Presidents Jimmy Carter and Gerald Ford, opponents in the 1976 election, grew close in their retirement and worked together on a number of international issues.

President Harry Truman also befriended a predecessor, Herbert Hoover. After working together to restructure the executive branch, Truman called Hoover "the best man that I know of" and an appreciative Hoover wrote Truman to say, "For all of this and your friendship, I am deeply grateful."

Most former presidents look better through history's eyes

Gergen, who served in the White House in four administrations, said that once in the Oval Office you appreciate the "continuity of the office."

"You form part of a chain and each link is important. You almost have a sacred responsibility to keep the office strong," he said.

Breaking the club's rules

Not all former presidents have held their tongue.

Democratic President Jimmy Carter, who served one term in office, has a history of biting criticism of those who followed him in the White House.

In 2007, Carter delivered a blistering critique of the Bush administration, telling the Arkansas Democrat-Gazette "as far as the adverse impact on the nation around the world, this administration has been the worst in history."

Carter hasn't directed his criticism only at Republicans, though. In a February 2013 speech, he faulted the Obama administration for its dealings with North Korea and Iran.

"Our country is now looked upon as the foremost warlike nation on Earth, and there is almost a complete dearth now of commitment of America to negotiate differences with others," Carter said.

And throughout much of Clinton's presidency, Carter was a Democratic agitator. He embarked on his own foreign policy projects, at times at direct odds with the White House, and after Clinton's affair with Monica Lewinsky became public, Carter questioned Clinton's morals.

Even after Clinton left office, Carter continued to criticize.

In February 2001, a month after the Clinton presidency had ended, Carter said Clinton's last-minute pardon of Marc Rich was a "most serious mistake" and even alleged that the reason Rich was pardoned was donations that Rich had made.

"I don't think there is any doubt that some of the factors in his pardon were attributable to his large gifts," Carter said. "In my opinion, that was disgraceful."

But Carter has been the exception, not the rule. While some presidents have stepped out and criticized during the heat of a political campaign, it is a rare occurrence.

"Carter puts issues ahead of fraternity and will often speak out about things," Gergen said. "I think it is part of his nature. Maybe being a one-term president changes your view."

'Little Boy Blue' and the Bay of Pigs

Dwight Eisenhower is by most accounts the gold standard for how to deal with other presidents.

Eisenhower chewed out his successor, John F. Kennedy, in private for the botched Bay of Pigs invasion, but publicly offered him a level of support.

Kennedy had been in office for just three months when he called for a meeting with Eisenhower in April 1961 after the attempt to topple the young Castro regime in Cuba was a massive failure. The operation had originated before Eisenhower left office and Kennedy's administration had carried it out.

The Kennedy-Eisenhower relationship had been frosty. Eisenhower had long viewed Kennedy as naive and young -- he referred to Kennedy as "Little Boy Blue" in private -- and Kennedy had disparaged the Eisenhower administration in his 1960 presidential campaign.

The two put their chilly relationship aside, however, and Kennedy invited the former general to Camp David to review the mistakes in Cuba.

According to Eisenhower's notes from the meeting and a number of media reports, the conversation between the new and former president previewed the pitfalls of foreign policy campaign promises:

Kennedy: "No one knows how tough this job is until he's been in it a few months."

Eisenhower: "Mr. President. If you will forgive me, I think I mentioned that to you three months ago."

After the meeting, Eisenhower stood in front of television cameras and said, "I am all in favor of the United States supporting the man who has to carry the responsibility for our foreign affairs."

In "The Presidents Club," Gibbs and Duffy write that despite the fact that all of these men have risen to the highest level of their profession, they not only work better together, but they need one another.

"There is no fraternity like it anywhere, and not just because of the barriers to entry of the privilege of membership," they write. "For all of the club's self-serving habits and instincts, when it is functioning at its best, it can serve the president, help solve his problems and the nation's, and even save lives."

@highlight

Former presidents regularly hold their tongue when asked about their successors

@highlight

"I don't think it does any good," George W. Bush said when asked about Obama

@highlight

Jimmy Carter hasn't adhered to the rule and regularly critiques Democrats and Republicans

@highlight

Dwight Eisenhower is considered the gold standard for working with a successor