(CNN) -- Mexico celebrates its bicentennial Wednesday, an event known as "El Grito," the shout for independence first credited to a Catholic priest who demanded freedom from Spain. For many Mexicans today, though, it's a quiet shout of despair.

The country is mired in a bloody drug war that has seen more than 28,000 people killed in less than four years. The economy has barely begun to rebound from the global downturn, which hit Mexico harder than most Latin American countries. Tourism, a major lifeblood for the nation, is drastically down because of the violence and a flu pandemic last year that began in Mexico. And oil revenues, long a rich sustenance for the nation's economy, also have suffered a major collapse.

Despite government efforts to hold a vast celebration that one leading newspaper called part Disney and part infomercial, many Mexicans are just not feeling it.

"The climate in which we're living in this country does not lend itself to a real celebration," said Adrian Jesus Garrido Gomez, who owns a car rental company and chauffeur service in Villahermosa, the capital of southeastern Mexico's Tabasco state.

Garrido sounds leery of the nearly $232 million (about 2.97 billion pesos) the government says it has spent on celebrations in Mexico City. The lavish events Wednesday night will feature a parade, fireworks and a show that has merited visits by five Latin American presidents and dignitaries from 50 nations.

"They are grabbing it as an effort to make us forget everything that is happening in the country," Garrido said. "It's more of a distraction."

That distraction does not seem to be working.

"Mexico is downbeat," said Peter Hakim, president emeritus of the Inter-American Dialogue, a non-partisan policy institute in Washington. "People are nervous about the future."

Andrew Selee, director of the Woodrow Wilson Center's Mexico Institute, sees Mexico at a crossroads.

"It's a time of soul-searching," he said Wednesday.

It's also a time of anxiety for authorities, who want to make sure the festivities go off without any major incidents or violence from the nation's organized crime groups.

A bombing at a Grito celebration two years ago in Michoacan state left eight dead and more than 100 wounded.

More recently, narcotrafficking cartels have taken to setting off car bombs, an unprecedented event in the nation's drug wars.

Authorities have dispatched more than 14,000 police and troops to the streets of Mexico City to guard the peace. More than 2 million people are expected to throng the streets of the central city to watch the parade.

Mexico formally recognizes its independence day each September 16 -- Thursday -- but the major celebration traditionally begins the night before.

Close to midnight, President Felipe Calderon will make the symbolic shout "Viva Mexico" in the city's Plaza de la Constitucion, better known as the Zocalo. It is one of the largest plazas in the world. The shout pays tribute to a priest who called for sparked Mexico's struggle for independence from Spain on Sept. 16, 1810.

Other cities have canceled celebrations. Juarez, the most violent city in the country, is one of them. Celebrations also were canceled in Tabasco state.

That's probably a good thing, Garrido said.

"You can't openly go out and celebrate," he said.

Besides the security concerns, there's another reason Garrido does not feel like celebrating -- the economy. Rain and recent storms have washed over much of Villahermosa, damaging the tourist trade upon which the father of two young boys relies for his chauffeur and car rental business.

"The little that I make goes to pay bills," he said.

Gone this year, he said, is the usual trip over the holiday to visit his wife's parents in nearby Veracruz.

"We're going to have to do it in a more simple way," he said.

Despite the problems and the worries, Selee says Mexicans will rally around the flag this week.

"By tonight, people will celebrate," he said Wednesday morning. "When people around the country shout, 'Viva Mexico,' they will come together with pride about Mexico."

But how long will that last?

"People will put aside their differences for 24 to 48 hours," Selee said.

Some might say it's not much of a reprieve for a country celebrating 200 years since it first tried to gain independence.

@highlight

The 200-year anniversary comes amid drug-war deaths and a slumping economy

@highlight

Some residents see lavish celebrations as an attempt to try to distract the population

@highlight

Analysts see Mexico as "downbeat" and "nervous"