(CNN) -- Dr. Vivek Murthy, the Obama administration's nominee for surgeon general, will visit the U.S. Capitol on Tuesday for his Senate confirmation hearing.

Many may not even know we need to appoint someone to the position, but they shouldn't fret. They're not alone. The role of "America's doctor" has declined over the last several decades to near-irrelevance.

At a time when Americans have fallen behind on key health metrics across the board, the nation's leading spokesman for public health has less influence than ever before. The office has endured everything from political interference to undersized budgets, making it impossible to carry out the job effectively.

Have you ever heard of Boris Lushniak? How about Regina Benjamin? The recent surgeons general aren't exactly household names. But with each changing of the guard, we can -- and should -- hope for a leader who revitalizes the post.

Perhaps Murthy might do just that. At 36 when nominated, he stands to be the youngest surgeon general ever appointed. He's already accomplished quite a bit, from co-founding a clinical trial operations company to helping start Doctors for America, a national health care advocacy group.

Some observers, including myself, have raised concerns about his partisan ties to the Obama administration. Still, if confirmed, Murthy should do everything he can to strengthen the impact of the office.

In November, right after Murthy's nomination, I published four initiatives in JAMA Internal Medicine for the next surgeon general to pursue.

These recommendations do not come close to addressing all of our health needs, but they have the potential to restore the profile of the surgeon general and improve our public health:

Help Americans understand health care system

We haven't stopped arguing about the Affordable Care Act. Yet countless surveys show that most Americans don't understand the legislation, let alone the health care system at all.

As recently as last month, more than 30% of Americans surveyed still weren't familiar with the law. "Jimmy Kimmel Live" shamed people on the sidewalk for thinking Obamacare and the Affordable Care Act were different. And, whether it's insurance terms or broader trends in health care costs, the public doesn't seem to have a clue what's going on.

That's where the surgeon general comes in. Americans need a public figure who can transcend the partisan fray to explain the intricacies of health care. A national tour is in order. Nonetheless, whether on television or Facebook, the surgeon general could spread awareness about navigating health care: a system that functions best when its patients are informed.

Surgeon general links colon cancer, diabetes to smoking

Change the way we look at obesity

Obesity remains one of the greatest threats to American health, but our attitudes toward this issue are profoundly lopsided. In our culture, being overweight represents a failure of will power, a tendency toward sloth. Public health campaigns point to personal responsibility as the answer to this crisis. If we would just get off the couch and eat healthier, everything would be solved.

It's time we re-evaluate how we look at and tackle obesity. Rather than narrowly concentrating on notions such as individual will power, we must address the systemic causes of obesity -- fast-food advertising to children, federal legislation that subsidizes processed foods and undeveloped food tax policies, among others.

Organizations such as the Institute of Medicine have already shifted their focus toward these kinds of structural determinants. By translating the message to the public, the surgeon general can lead the charge.

Is obesity the next smoking?

Stand up for vaccines

Enough is enough. Though dozens of peer-reviewed studies have refuted the extreme claims of the anti-vaccination movement, the idea that vaccines are inherently dangerous somehow persists.

States such as Oregon and Colorado have seen thousands of parents exempt their children from immunizations. Katie Couric ran a national television program stoking fears about the safety of human papillomavirus vaccines. Last year, congressional representatives introduced the Vaccine Safety Study Act to evaluate whether vaccines cause autism -- apparently, it's a bipartisan issue now.

Americans have to understand the science is clear. Vaccines are among the most powerful public health tools in the history of human medicine. Without them, we expose others and ourselves to terrible, needless suffering. The surgeon general should release a report defending the facts and get the message out.

Give an annual 'State of American Health' update to Congress

Our leaders in government -- and the broader public -- need to keep abreast of the most pressing health issues of the day. But we don't have a unified approach to fulfill that goal. The surgeon general should introduce an annual "State of American Health" report, with testimony to Congress.

This yearly update could highlight recent scientific findings to results from prior initiatives, specific policy proposals to expectations for the months ahead. The report should be a nonpartisan, independent analysis of the nation's health. With this platform, the surgeon general should remind us that our prosperity depends not only on economic policy and national security but also public health.

Whether or not the next surgeon general follows these recommendations, one thing is obvious: Americans have become older, fatter and sicker, yet the nation's doctor has disappeared.

The brand of the surgeon general remains intact, and Americans trust this figure for guidance. But we need an outspoken, independent leader to bring public health to the forefront of our national conversation.

Dr. Murthy, are you up for the job?

The opinions expressed are solely those of Nathaniel P. Morris.

@highlight

Dr. Vivek Murthy is the nominee for next surgeon general

@highlight

The surgeon general should help educate on health care, Nathaniel P. Morris says

@highlight

Changing the way the U.S. views obesity is important, Morris says

@highlight

An annual congressional update also could be helpful, he says