(CNN) -- "The people and the army are one hand," the chant of Egypt's January 25th revolution on the eve of President Hosni Mubarak's resignation, has yielded in the face of toxic gases, rubber bullets and live ammunition from the security forces, composed of army and police, to "the army and the police are one dirty hand."

The trust and gratitude the Egyptian people once felt toward the military for their solidarity in ousting Mubarak has evaporated as the brutality of the army and police has caused scores of deaths and thousands of injuries.

Not only tear gas and rubber bullets, but also toxic gases -- which cause seizures and reportedly led to several deaths by asphyxiation -- and live ammunition have been aimed at the protesters. Tweets from all over Egypt reveal the shock at this criminal behavior. One said, "I am out of words. Egyptian army is murdering Egyptian civilians. That's our worst living nightmare."

The November revolution differs from the 18 days that led to Mubarak's downfall not only in the escalating violence, but also in the new coalitions that have emerged as well as the old alliances that have been exposed.

The Muslim Brotherhood, the Islamic opposition group, has fractured: Members of its youth have aligned themselves with the protesters, while the leadership has supported the position of the Supreme Council of the Armed Forces (SCAF) that the parliamentary elections, which began today, must go forward. Banking on a good showing in the elections, the Muslim Brotherhood leadership stayed away from Tahrir Square for the first week of this month's protests.

Islamist youths discovered their leadership's duplicity on the first day of the demonstrations, November 18, which was called as a day of protest by Islamists. The plan to have a contained demonstration backfired and led to the current nationwide uprising.

Nawara Negm, a female journalist, activist and member of the Muslim Brotherhood, said in an interview posted on YouTube that they were urged to leave Tahrir Square on the first night of the protests, when a few hundred youth activists moved in to reclaim the square.

"The Muslim Brotherhood and Salafi leaders insisted we go home after the Friday protests .... I decided to stay with my brothers and sisters here in the sit-in in Tahrir Friday night until our voices are heard. Then the brutal, deadly attacks on us started. I cannot help but think now that those Islamists' leaders had some sort of a deal with SCAF, but thank God it did not work out."

After days of equivocating on the violence, the U.S. first called on the military to halt its attacks on the protesters, and then, in a dramatic change of position, withdrew its support for the SCAF.

The White House statement, issued early Friday morning, called for "full transfer of power to a civilian government" in a "just and inclusive manner."

It was greeted with incredulity in Tahrir. As in the January revolution, the U.S. government has been perceived as supporting its allies -- the SCAF as much as Mubarak -- over the democratic aspirations of the people. That the tear gas canisters still bear the moniker "Made in the USA," as they did in January, does not help.

In its support for proceeding with the parliamentary elections, the U.S. finds itself in an odd allegiance with the SCAF and the Muslim Brotherhood and out of touch with the sentiment on the street.

Tahrir Square never has been about "free and fair elections first," although the people have that expectation. The revolution of people carrying signs asking for "dignity," "freedom," "equality" and "social justice" always encompassed much more than political processes.

The people dying on Egypt's streets are fighting for the true conditions of a just society. Elections, which in Egypt always can be manipulated, cannot be trusted to deliver that goal.

Far from promoting democracy, holding the parliamentary elections on time ignores the will of the people -- not to mention the sacrifices of those who have been killed or wounded -- and plays into the hands of the Supreme Council of the Armed Forces.

Many factors taint the elections:

-- Holding the elections amounts to a forced approval of SCAF's brutal repressive practices, with the violence still ongoing throughout Egypt, out of the sight of the cameras in Tahrir Square.

-- Exerting total control over the media, SCAF manipulates public opinion with unchecked lies about protesters (think of the three American college students who were detained) and bullies independent networks, such as ONTV, with defamation campaigns, often targeting individual reporters, such as Yousri Foda.

-- After refusing for months to allow international monitors to observe the elections, SCAF relented at the last moment. But irregularities such as removing the ballot boxes to remote locations remain troubling. A full post-election evaluation will reveal the monitors' assessment of the transparency and honesty of the elections.

-- Governance is in chaos. The country, in effect, has three governments, not to mention SCAF: the new prime minister, Kamal Ganzouri, appointed by SCAF and still forming a Cabinet; the interim prime minister, Essam Sharaf, supposedly still in position; and a Tahrir-formed Civil Council, led by the former diplomat and Nobel Prize winner Mohamed ElBaradei, former Muslim Brotherhood leader Aboul Fotouh and others.

The November protests have shaken Egypt out of a period of post-revolution stagnation, with serious implications for the future. With the exception of those who have joined the protests, the military, from the generals at the top to the soldier on the street, has violated the trust of the people. Now they are seen in the same light as Mubarak.

Many Muslim Brotherhood youths have broken off and have joined forces with the broad coalition of protesters. Al Azhar, Egypt's leading religious institution, has weighed in with the people against SCAF. And the "leaderless revolution" now has political backing. A coalition of many leaders from the principal parties, called by ElBaradei, has formally asked SCAF to leave. Also, representatives of the principal revolutionary movements have come together to support ElBaradei as prime minister over the SCAF's choice of Ganzouri.

The Egyptian people, who at times since January have seemed apathetic about the future of the revolution, have shown their determination to reclaim it. The protesters all determined to stay in Tahrir, and on the streets and squares of Egypt, until SCAF steps down, hands power to a civil body, and submits to a public independent investigation into the violence and killings in January and February, the October Maspero protests (when the police attacked peaceful Christian Copts) and the strife in November.

As noted by a slogan pasted to the walls at Omar Makram Mosque (now turned into a field hospital), "You can Crush the Flowers, but It Won't Delay the Spring."

The opinions in this commentary are solely those of the authors.

@highlight

Schneider, Naga: Amid violence against protesters, Egyptians have lost faith in military

@highlight

Protesters demand ruling Supreme Council of the Armed Forces step aside, they say

@highlight

The current parliamentary elections are tainted by the military council, they say

@highlight

Egyptians are determined to reclaim their country, Schneider and Naga say