(CNN) -- As the tough economy drags on, cost remains a leading consideration that people use to decide which mobile devices and wireless services they'll purchase.

Dealnews.com just took a look at things that will probably cost consumers either more or less in 2012. Mobile devices featured most prominently on the site's list of 12 Things That Will Be Less Expensive in 2012.

Here's a roundup of their findings, from a mobile-tech perspective:

Tablets

On the tablet front, writer Louis Ramirez says the Kindle Fire has, "ahem, ignited a fire among tablet manufacturers as they scramble to match Amazon's $199 price tag. For consumers, the competition translates to better tablet bargains in 2012."

Smaller, cheaper Android-based e-reader tablets aren't really meant to compete directly with fully featured tablets such as the iPad or the Samsung Galaxy Tab. They are very different product types that appeal to different market niches -- and as such have significantly different price points. The Dealnews tablet deals page regularly lists special offers on new or refurbished tablets, both large and small, and fully featured or limited, on every mobile operating system.

Will the iPad be cheaper in 2012? Maybe, if you don't need the latest model.

Ramirez predicts that the iPad 2 will see a significant price drop in 2012.

"The [widely anticipated] iPad 3 will not feature a significant price drop (if any at all), but one thing is guaranteed -- Cupertino's forthcoming tablet will most certainly bring down the price of refurbished iPad 2s, as the iPad 2 did for its predecessor," he wrote. "The iPad 3 may even cause resellers to offer more deals on new iPad 2 models as they try to move yesterday's tech to make room for Apple's latest and greatest."

E-readers

Dedicated e-reader devices such as the Amazon Kindle and the Kobo (which focus mainly on displaying books and long-format content, rather than Web-based services and apps) are likely to reach all-time low prices in 2012.

According to Dealnews: "Each new generation of Amazon's Kindle reader has chipped away at the e-book reader's price tag, sometimes by as much as 61%. Assuming there's a new Kindle in 2012 (rumor has it that an e-ink update with video support will debut), we expect to see continued price cuts on Amazon's popular e-book reader."

As I wrote last year, it's even possible that Amazon might start giving away the Kindle -- maybe in 2012.

Notebooks

Notebook laptops are also a popular type of mobile device. According to Ramirez, 2012 might yield some especially good deals on refurbished Apple MacBook Air models.

"In 2011 the price of a refurbished, fourth-generation 11-inch MacBook Air dropped from $849 to $699 (17%). Not bad for a notebook that's single-handedly changing the laptop industry. Apple is bound to refresh its MacBook Air in 2012, and the new model (which would be the sixth generation) is guaranteed to drive refurb prices down even lower. Don't care for a refurb unit? In 2011, we also saw aggressive deals on new, current fifth-generation MacBook Airs with prices dropping from $999 to $850 (14%)."

GPS units

As consumers get used to using GPS-enabled smartphones and tablets for navigation, Dealnews predicted that standalone GPS units (such as those sold by Garmin) will get cheaper than ever. "In 2011, units that were once fetching around $160 reached price-lows of just $70."

In fact, Ramirez wrote, "No gadget is as close to extinction as the GPS unit."

However, if the recent National Transportation Safety Board recommendation to ban cell phone use by drivers in cars is implemented by any states or municipalities, sales of GPS units might see a resurgence -- since the recommendation exempted devices specifically "designed to support the driving task."

What will get more expensive

What will cost mobile users more in 2012? The Dealnews list of 11 Things That Will Be More Expensive in 2012 contained only one reference to mobile: data plans.

As I wrote last year, perhaps the most important development in the U.S. mobile landscape in 2011 was that all but one of the major carriers have abandoned unlimited data plans in favor of tiered service. This comes as the carriers are rolling out high-speed 4G networks, and U.S. mobile users are developing a strong taste for data-intensive services like streaming media.

If you're on a tiered plan and start using a lot more data, you could end up with a large surprise bill -- or throttled service.

Determined price-conscious consumers have been trying to find tricks to get unlimited data on tiered plans. But the carriers can catch on to this -- Verizon recently closed a loophole that allowed this.

In October, the Federal Communications Commission said it might issue new rules to prevent bill shock. The major U.S. carriers said they would voluntarily start issuing text alerts to customers who near their phone plan caps.

However, it's unclear how fast or consistently this alert feature will roll out, and whether it will include alerts related to data consumption. So to control your costs, if you use data-intensive mobile services, your best bets are to use Wi-Fi whenever possible and to install apps or other tools that allow you to keep a close eye on your data usage.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Analyst predicts that in 2012, the iPad 2 will see a significant price drop

@highlight

Dedicated e-reader devices such as the Amazon Kindle may also reach all-time low prices

@highlight

2012 might yield some especially good deals on refurbished Apple MacBook Airs