(CNN) -- A prehistoric roar drowns out the delighted squeals of children madly dashing out of the path of the giant creature plodding towards them.

They need not hurry. The fantastical 48-ton elephant with flapping leather ears and undulating wooden trunk takes his time as he huffs and puffs his way across the park.

Welcome to Les Machines de L'lle -- a former shipping yard turned mechanical animal "dream factory," in the industrial port city of Nantes, in northwest France.

Dockyard to dream factory

The once dilapidated warehouses lining the riverfront have been transformed into a type of psychedelic Santa's workshop, with artists building everything from enormous flying herons to a carousel revolving with deep sea creatures.

But these whimsical animals are more than simply elaborate children's toys.

They're moving works of art, available for the public to climb on board and experience a retro fantasyland that "blends the invented worlds of Jules Verne and the mechanical universe of Leonardo Di Vinci."

"The animals are conceived to be 'traveling machines' instead of big thrills entrainment," said its co-artistic director Francois Delaroziere.

"It's the desire to conceive a city through a common imagination, in which the public becomes an actor."

The remarkable amusement park is the brainchild of La Machine, a street theater company famous for such creations as the 15-meter spider that crawled through Liverpool, in Britain, as part of the city's Capital of Culture celebrations in 2008.

In 2007, the $19 million Les Machine de L'lle opened in the hope of regenerating Nantes' deserted dockyards, which had been in decay since closing in 1987.

Backed by the local Metropole, the 337-hectare site is now one of the largest urban projects in Europe.

Free to the public, anyone can wander around the workshops filled with artists hammering and carving their latest creations -- though if you want to clamber on one of the marvelous animals, you'll need to buy a ticket.

Vintage Verne

The 25-meter tall Marine Worlds Carousel is the park's newest attraction, featuring 24 mechanical waves and three levels of rotating sea creatures -- from slack-jawed lantern fish to wriggling squid.

The animals' hand-carved vintage style has a charming Steampunk quality -- a genre of science-fiction featuring steam-powered machinery.

The alluring aesthetic is all the more fitting, considering Nantes is also the birthplace of 19th century writer Jules Verne.

Indeed, the sea monsters of his famous novel "20,000 Leagues under the Sea" come alive in the glowing merry-go-round teetering on the water's edge.

The 12-meter tall elephant -- lumbering beneath an ornate balcony of waving passengers -- is also reminiscent of Verne's book "The Steam House," featuring a group of colonialists living in a wheeled house pulled by a steam-powered elephant.

Making a move

The Great Elephant may amble across the park at a gentle three kilometers per hour, but inside he's a hive of activity -- propelled by a 450-horse power motor, 60 cylinders, 2,000-liters of oil, and a complex system of jacks, pulleys and gears.

A steel skeleton forms the base of the wooden body -- replete with wrinkles carved beneath the blinking eyes.

But the hydraulic beast isn't quite left to roam free, with an on-board driver steering him across the park, spraying onlookers with water from his rippling trunk.

"Sketchbooks are a starting point in creative process," says Delaroziere. "They offer ideas for the seizing, define the rules of the game, and provide a rich basis for builders to begin constructing their interpretations on."

Real big things

The fantastical world of Jules Verne looms large at Les Machines de L'lle.

But there's a distinct difference between the French author's pioneering novels and the psychedelic Steampunk park of his birthplace.

As Delaroziere says: "Jules Verne's creations remain imaginary. Whereas we built real machines."

@highlight

Fantastical mechanical animals roam $19m French amusement park

@highlight

Features 12-meter-tall Great Elephant and 25-meter-high deep sea creature carousel

@highlight

Les Machine de L'lle in Nantes is the brainchild of street theater company La Machine

@highlight

Brings to life imaginary world of Jules Verne and mechanical universe of Leonardo Di Vinci