Cairo (CNN) -- The next phase of Egypt's complex elections process continues Monday, with runoff races pitting candidates vying to join the lower house of parliament.

The two-day vote -- which continues into Tuesday -- comes exactly a week after Egyptians cast ballots for the first time since last February's toppling of long-time President Hosni Mubarak.

That vote ended with moderate and more conservative Islamist parties together winning big and earning a majority of seats within the new parliament, called the People's Assembly. Such results appear to mirror recent victories by moderate Islamists in fellow North African nations Morocco and Tunisia.

Presidential candidate Amr Moussa, a former Egyptian foreign minister and Arab League secretary-general, told CNN on Sunday that he expected this week's runoff to change the final mix of parties in the legislative chamber. Still, he suggested that already the announced results should serve as a wake-up call to more liberal and sectarian factions within Egypt.

"The ... final results, I believe, will be more balanced," predicted Moussa of the upcoming election. "(Still), this is a message to the liberal forces that they have to come together and ... mobilize themselves in order to create a strong opposition within the parliament."

Last week, Egyptians could cast three votes: two for independent candidates and one for a party or coalition. Four independent candidates secured seats, including Amr Hamzawy, once a research director at the Carnegie Endowment for International Peace and a spokesman of the "Board of Wise Men" that worked to foster negotiations between the government and anti-government protesters earlier this year.

But other positions in parliament remain in limbo because no candidate won clear majorities, leading to this week's runoff.

It's all part of a multi-step process set up that will shape the makeup of Egypt's legislature and government going forward. The last step takes place in June with presidential elections, according to military leaders who have in effect ruled the country since Mubarak's fall.

One hot topic that will face the new government is how to handle Egypt's currently peaceful arrangement with Israel.

Under Mubarak and his secular government, Egypt and Israel forged agreements that have resulted in peace and economic cooperation between the two nations.

But the successes of Islamists in elections, to date, have raised the specter that major changes, and perhaps rising tensions, could be on the horizon.

The relatively moderate Muslim Brotherhood's Freedom and Justice Party won 40% in the first round of voting for the lower house of parliament, according to Yousri Abdel Kareem, head of the executive office of the Higher Judicial Election Council. The second highest total, at 20%, went to members of the Al Noor Salafi Movement, a hard-line Muslim group.

Speaking to his nation's Channel 2 on Sunday, Israeli Defense Minister Ehud Barak called the Egyptian vote results so far "very troubling."

Prime Minister Benjamin Netanyahu added Sunday -- while participating in an annual state memorial service for David Ben-Gurion, Israel's first prime minister -- that both countries would be best served by not significantly altering their relationship.

"I hope that whichever government takes power in Egypt would recognize the importance of maintaining the peace agreement with Israel," he said. "There is an importance in recognizing the peace with Israel, both as a value of its own and as a basis for the financial and security stability of the region."

But Moussa said that change may be inevitable, given that "the Middle East of last year is ... gone for good." He claimed it should be no surprise that a "new Arab world" would want a "new set of relations," stressing that Israel will more likely have positive relationships with its neighbors once it ends its "occupation" of Palestinian territories.

"The Israelis must sit now and reflect. Egypt is no (longer) the Egypt they knew (and) the other neighbors are not the same and will not be the same," Moussa said. "There is a window of opportunity for all of us to solve the problems and move on in a totally new era, including Israel."

CNN's Jim Clancy and Guy Azriel and journalist Mohamed Fahmy Fadel contributed to this report.

@highlight

A two-day runoff starts Monday for remaining seats in Egypt's parliament

@highlight

Islamist parties did very well in the first round of voting, held last week

@highlight

Israeli leaders call results so far "troubling," say Egypt shouldn't alter its relations

@highlight

Amr Moussa says it's expected a "new Arab world" wants a "new set of relations"