Decatur, Georgia (CNN) -- Given all their country and people have been through, between political upheavals, human rights abuses, hurricanes, abject poverty and last week's earthquake, "If Haitians were constantly questioning their faith, they would all be atheists."

These words came from the Rev. Eric Hill as he prepared to lead Haitian Mass Sunday at Saints Peter and Paul Catholic Church in Decatur, Georgia.

Some of the 100 Haitian parishioners who gathered raised their hands to the heavens in praise, grateful their loved ones had been found. Others bowed their heads and clenched their hands for those lost, still missing and all who suffered. One woman wept out of guilt because she -- a U.S. citizen -- had been able to leave her devastated homeland a day after the quake, while so many were left behind.

Their unshaken faith and devotion to God is the same sort that's played out in other houses of worship, in living rooms and on the torn-up streets of Haiti.

Are you in Haiti and safe? Share your story, photos with CNN iReport

Carmella Delerme of Miami, Florida, said her mother clung to her Bible for days, reading psalms over and over again, as they waited for word on the whereabouts and condition of Delerme's sister and other relatives.

When her sister, who was in Haiti on a missionary trip with their Seventh-day Adventist Church, called late Thursday, Delerme said, "I went straight to church and prayed and prayed and prayed. We continue to pray for those who are lost and still in need."

On the streets of Port-au-Prince, with many of their churches crumbled, people have gathered to worship and sing Catholic and Protestant hymns.

"That's the soundscape of the country right now," said Elizabeth McAlister, a professor of religion and anthropologist of Haiti who teaches at Wesleyan University in Connecticut. "It's the business of religion to create meaning out of chaos. ... Tragically, the business of religion is getting a lot of trade today."

See complete coverage of Haiti earthquake

It's often said that 80 percent of Haitians are Catholic, although other estimates range from 55 percent to 85 percent. McAlister, who puts her best estimate at 70 percent, said getting a proper census in Haiti to nail down numbers is impossible. But between Protestant denominations and Catholicism, it is without doubt a majority Christian country, she said.

Weaved in, however, are the nuances that come with the country's troubled history.

Colonized by the French, the land then known as Saint-Domingue emerged as one of the wealthiest colonies of the 18th century. It's flourishing sugar production and aggressive deforestation was achieved on the backs of half a million African slaves. They brought with them their own belief systems, rooted in West and Central African traditions.

Haitian Vodou, often misunderstood and branded with stereotypes, has its own ceremonies and rituals meant to honor spirits, or loas. These spirits, seen as intermediaries with God and links to ancestors, can be called upon for help. And for practicing Christians, especially Catholics who can view saints as they would spirits, the two systems do not have to be mutually exclusive.

Not everyone is necessarily practicing Vodou, commonly anglicized as Voodoo, but McAlister said the Afro-Creole Haitian traditions are usually kept alive and the ancestral spirits are inherited by at least one member of every family.

Haitian-born Leslie Desmangles remembered being hurt as a boy by the words of Christian missionaries who misunderstood and demonized his peoples' traditions. Theirs were sentiments much like those uttered last week by televangelist Pat Robertson who said the Haitian people are "cursed" because they "swore a pact with the devil" to get out from under French rule.

Robertson's comments were "insensitive, theologically unsound and loaded with racial connotations," said Desmangles, a professor of religion and international studies at Trinity College in Connecticut.

In the Decatur church Sunday, the priest reminded his congregants that theirs is an all-loving God, not a vindictive one.

Their God, he said, is in the international outpouring of support from people who, one week ago, didn't know where Haiti was. Their God is a rock of stability when the earth trembles. Their God is the one who lifts them up "to mend our broken bones, to brush us off and to bury the dead," Hill said.

And during this first Sunday Mass after the earthquake, their God was in the music that moved them. To the distinctly Caribbean sounds of their band and choir, they sang hymns of praise to the one they believe stands with them.

"People continue to be God's instruments," the pastor said, with the help of a Creole translator. "God will work through all of us to bring new life to Haiti."

As he spoke, a little girl, too young to understand the pain around her, did what she could. She planted kisses on the forehead of her anguished father, his face buried in his hands, before skipping off to make fish faces and giggle with other children.

@highlight

Haitians would be atheists if they questioned faith, given all they've seen, priest says

@highlight

Instead belief in God remains unshaken, as seen in churches, homes and on streets

@highlight

Haitian Vodou, often misunderstood, is part of people's rich history

@highlight

Their God is all-loving, not vindictive, priest says in answer to Pat Robertson