Walland, Tennessee (CNN)Jim Sanford and his dog Tom poked around the hazelnut grove on Blackberry Farm, a 9,200-acre luxury resort set in the foggy foothills of Tennessee, one Wednesday morning in December.

They were on the hunt again, though not for deer or waterfowl or the usual Tennessee fare.

The man and his curly-haired dog were searching for something fancier: Tuber melanosporum or black Périgord truffles.

Black truffles are one of the most sought after (and expensive) delicacies in the world. Often referred to as a "black diamond," the subterranean fungus can retail for $1,000 a pound or cost a diner upward of $75 extra for a simple shaving on a dish of creamy pasta or slow-scrambled eggs.

Sanford and Tom's morning hunt proved fruitless. But the pair has had better luck than most sniffing out truffles on American soil -- a relatively new and wholly unpredictable ground for cultivation.

"This is not something where you just plant your trees and wait for your fortune to grow," Sanford said as Tom trotted behind him.

Truffles are a funny fungus; they grow underground, typically among hazelnut and oak trees, and keep most of their secrets there with them. There is a primitive understanding of the climactic and soil conditions required for the fungus to flourish, but cultivation methods are far from foolproof. Stateside, those practices are in their infancy.

Chefs such as Lachlan Mackinnon-Patterson of Frasca Food & Wine in Boulder, Colorado, certainly wouldn't mind sourcing truffles closer to home. He hosts an annual truffle dinner series and features them prominently in dishes when in season.

Every year, he buys domestic truffles from budding regions like the Pacific Northwest, but the quality isn't as reliable as he'd like it to be.

"We're counting down the minutes," he said with a hopeful tone. "Once it clicks, whether it's Blackberry or someone else, once there's a tipping point, it will really blow up."

Enthusiasts describe the truffle's olfactory Siren song, which is part of its allure, as "dank," "earthy," "musky," "pungent" -- the gist is its aroma and taste are unparalleled. "It transforms an otherwise ordinary dish into something very extraordinary," Sanford said.

Different types of truffles are found all over the world, but the Périgord and white variety from Alba, Italy, are the top dogs of the gastronomic set.

The elusive truffle hunt is often romanticized: Man and beast wander into the woods of southwest France with a shovel and a calling. A bird chips, a breeze flows and the storybook closes with "happily ever after."

If only it were that simple.

Until recently, the black truffle had been solely imported to the United States.

Less than 100 miles away from Blackberry Farm -- in Chuckey, Tennesee, of all places -- that began to change around 2007.

It all started with another Tom. Tom Michaels, who grew up mushroom hunting and wrote his Ph.D. dissertation at Oregon State University on black truffle cultivation, set his eyes on eastern Tennessee to try out his fungal knowhow in 1999.

As if the truffle business doesn't sound risky enough, it takes about six to 10 years for a tree with roots that have been inoculated with truffle spores to potentially produce a truffle. The season for harvesting runs three months from December to February.

"I'll have done everything to two trees next to each other, and one will have truffles and one won't," Michaels said.

Luckily for Michaels, something clicked.

Soon, he showed up at the kitchen of Blackberry Farm's restaurants with his basket of epicurean delights and a brochure for Tennessee truffles, though it was only his third sale.

The first question from proprietor Sam Beall: "How come I didn't know about this?"

Beall and Michaels teamed up to seed and sniff out truffles locally.

Enter the four-legged Tom, who was sourced by local breeder Hilarie Gibbs-Sykes from Italy to simplify the hunt.

Sanford, a Blackberry employee for 14-plus years who had previously run the resort's horse program, was recruited to handle the truffle-hunting canine.

At the height of Michaels's truffle business, Tom helped haul in 200 pounds in one season.

"It was a thousand dollars a pound so if you do the arithmetic, that's a good dog," Sanford said.

In 2009, Michaels and his product were written up in GQ magazine, where food writer Alan Richman called it  the "hillbilly truffle." Two years earlier, storied New York Times food writer Molly O'Neill devoted an entire column titled "Coveted, French, and Now in Tennessee" to his endeavors.

If we know anything about agriculture, though, it's that Mother Nature holds the reins.

Michaels' hazelnut trees were hit with blight after his initial success, and he had to start over with a new blight-resistant variety.

"You have to have a temperament that can deal with a lot of anxiety for many years," Michaels, 67, said.

Last year, Michaels yielded about 60 pounds on his land and sold the majority off to hyper-local ingredient-focused chefs such as Sean Brock in Charleston, South Carolina, and Linton Hopkins in Atlanta. This year, after a series of unseasonable cold snaps, and only a few days left in the season, he hasn't unearthed any truffles of sellable quality.

"Mother nature took its course," Michaels said with the matter-of-factness of someone who has been here before.

Back at Blackberry Farm, Sanford's pin that read "Truffle Dog Trainer" reflected the sun as he crouched beneath a tree to dig up a truffle-scented practice tube that Tom found. On the days when there isn't any luck, training is a commitment to the cause.

Blackberry found only one Périgord truffle last winter on its property.

If it seems like a wild goose chase, that's because it is. But Tom is a Lagotto Romagnolo; he not only enjoys the chase -- it's in his DNA. According to the American Kennel Club, Tom's breed is the only one recognized as a "specialized truffle searcher."

"We wouldn't be talking about any of this if it wasn't for Tom," Sanford said. "He has really put everything we're talking about in cultivating truffles in North America on the map."

Working like a dog at a Long Island vineyard

Now 13 years old, Tom is passing the baton through his bloodline by breeding and sharing his skills. He and Sanford travel around the country to help train other canines in areas like Oregon with an eye on the truffle prize.

At Blackberry and every where else, they're hoping it's not a matter of if, but when, a consistent yield will happen.

As they say, every dog will have its day.

@highlight

American truffle production is in its infancy

@highlight

Tom the truffle dog from Tennessee has led the pack in truffle hunting

@highlight

The Tennessee truffle yield spiked years ago and has been inconsistent since