Washington (CNN) -- U.S. Rep. Paul Ryan, fiscal deal maker?

That's the latest incarnation of the congressman from Wisconsin, who has glided between his role as fiscal wonk to 2012 Republican vice presidential candidate to potential 2016 presidential candidate.

Ryan was one-half of the bipartisan duo that unveiled a budget deal Tuesday evening that would set spending levels for the next two years -- just days before a deadline to settle the matter.

"This agreement makes sure that we don't have a government shutdown scenario in January. It makes sure we don't have another government shutdown scenario in October. It makes sure that we don't lurch from crisis to crisis," Ryan said.

Budget deal aims to avert another shutdown

The compromise deal is significant in large part because agreement was reached -- not an easy feat amid deep partisan divides in Congress, where lawmakers have failed to reach a budget accord numerous times since 2011, including one instance that led to a 16-day government shutdown in October.

Low profile

After being on the losing presidential ticket, Ryan kept a low profile. He even remained largely silent in October while Republicans and Democrats battled over a federal shutdown and how to move forward on a government funding bill.

His reticence was more noticeable because the prominent fiscal matters front and center now highlight his area of expertise. He is known in Congress as the budget wonk, the expert on the federal government and spending. His colleagues look to him for guidance.

In recent years, he unveiled controversial budget blueprints that dramatically cut spending and altered entitlement programs such as Social Security and Medicare. His budgets, titled "Path to Prosperity," became the defining documents for Republican fiscal policy.

Silence shattered

Ryan slowly started to reinsert himself when his party was flailing during the government shutdown. He broke his months-long silence with an opinion piece in The Wall Street Journal in October, where he implored both sides to sit down at the negotiating table.

Patty Murray emerges as bipartisan figure after budget deal

After the government reopened, Ryan appeared to take his own advice. As head of the House Budget Committee, he led negotiations with his counterpart in the Senate to reach a government spending deal for the remainder of fiscal year 2014.

While the budget did not address the benefit programs -- Social Security, Medicare and Medicaid -- that Ryan wants to reform, it did avert another government management crisis.

With the announcement of this deal, Ryan has reemerged to be a central figure within the GOP. Now the more pressing question is: Will the GOP still follow him?

The dilemma

As recently as last year, Ryan was considered a tried-and-true conservative. He was able to bridge the gap between the two dividing components within the GOP. He both won the praise of tea party supporters and had the ears of party leaders.

That's because Ryan is a true conservative. Twenty years ago, he worked for the conservative organization Empower America, which later became FreedomWorks. Since then, the organization has successfully morphed from a group that promoted traditional fiscal conservatism and neoconservative foreign policies into a limited-government tea party-aligned group.

But his support might not be in lockstep.

FreedomWorks sent an advisory to Republican lawmakers Tuesday urging them to vote against Ryan's deal.

And many Republican members have already panned the deal. Rep. Tim Huelskamp, R-Kansas, said he would not vote for it because it "raises spending. There's no way around it."

The budget deal in plain English

"I don't know how a deal is good for conservatives or for America if the spending is going to go up," Huelskamp said on CNN's "Crossfire."

Republican strategist and former Mitt Romney spokesman Ryan Williams has said that Ryan's October op-ed shows that he's "the adult in the room."

"He felt that it was important for him to speak up to address the seemingly never-ending stalemate that we're witnessing in Washington," Williams added.

2016 ambitions?

While speculation only grew louder that Ryan would run for the Republican presidential nomination, with trips in recent months to Iowa and New Hampshire, the first presidential nominating states, a high-profile role in Congress -- especially as a deal maker -- could be both a political risk and benefit.

It will depend on the mood of the country and the influence of the Republican right.

CNN's Chelsea J. Carter contributed to this report.

@highlight

U.S. Rep. Paul Ryan was the 2012 GOP vice presidential candidate

@highlight

He is chairman of the House Budget Committee

@highlight

He announced a budget deal that would avoid a government shutdown in January