Tehran, Iran (CNN) -- Coming through on a promise to crack down on protesters on the 31st anniversary of the Islamic Revolution, Iran's security forces clashed with demonstrators Thursday, as hundreds of thousands filled a "disruption-free" Tehran square to hear their president announce the expansion of Iran's nuclear program.

Iran's celebration of the anniversary of the Islamic Revolution culminated February 11, a date that three decades ago marked the end of the country's Western-backed monarchy and the start of an Islamic republic. A coalition of Iranian reformist groups had urged opponents of Iran's hardline regime to stage nonviolent protests at central Tehran's Azadi Square on Thursday, on the official anniversary of the ouster of Iran's shah.

However, the Iranian government deployed thousands of police and plainclothes Basij militiamen in Tehran and other cities to quash anti-government protests during anniversary celebrations. Eyewitnesses said Iranian security forces quickly squelched out opposition protests, though CNN could not independently confirm the reports.

"The city was under siege. It was controlled entirely, it was impossible to protest the way people protested before," said Behzad Yaghmaian, author of "Social Change in Iran."

Follow CNN's special coverage on Iran

"So the dangers were much higher today."

Witnesses said there was some confusion about organizing the protests; for example, it wasn't clear to some whether they were supposed to hold up their signs before or after they arrived at Azadi Square, where President Mahmoud Ahmadinejad was to speak.

It appeared that the strength of the opposition response was less than other recent days of unrest in Iran, namely the protests on the holy day of Ashura in late December. Because of reporting restrictions, there was no way to independently confirm the turnout of the opposition.

Yaghmaian said the so-called Green Movement, which is demanding democracy and fair elections, suffered a "numbers shock."

"The Green Movement anticipated a much larger turnout -- the turnout was not that large, and the turnout of the pro-government people was a lot larger than what people expected," said Yaghmaian, who teaches at New Jersey's Ramapo College.

Are you there? Send your photos, video

Plainclothed and uniformed security agents assaulted vehicles carrying reformist Mehdi Karrubi, who ran for in the disputed June presidential elections, and former President Mohammad Khatami as their supporters poured onto the streets, opposition sources said. Militia members also beat the wife of opposition leader Mir Hossein Moussavi with batons, according to postings on the social networking Web site Facebook and opposition Web sites.

The forces were preventing the opposition leaders and their followers from reaching Azadi, or Freedom Square, where Ahmadinejad delivered an anniversary address extolling the country's nuclear program to supporters. They fired on crowds in some areas and pepper-sprayed demonstrators in others, opposition groups said.

CNN has not been able to independently confirm those reports.

Members of the Basij, the paramilitary force loyal to Iran's hard-line leadership, attacked Karrubi while he was headed to a meeting with supporters, his son Mohammad-Taghi Karrubi told CNN. The militia broke a window in the car in which Karrubi was riding, an opposition Web site said. When he switched cars, that car also was attacked.

"The guards attacked, and the crowds came to him. When the crowds started to come and surrounded him, again the guards attacked with tear gas, tear as well as the batons and different kinds of weapons against the people. And unfortunately my father received very bad gas tears, and his face is burned," Mohammad-Taghi Karrubi said.

iReport video of opposition supporters in Tehran

The reformist Raheh Sabz Web site said plainclothes policemen arrested Karrubi's son Ali, as he tried to protect his father's car. Mohammad-Taghi Karrubi confirmed the arrest of his brother Ali, the third of the leader's four sons.

"My younger brother is arrested by police. And we were surprised because for two days we just came to demonstrate, to rally, to participate to show what we want and ask for our rights," he said.

The government said that if protesters disrupt state-sanctioned marches, they will be jailed until at least April 9, the end of the Persian holiday of Norooz. The holiday marks the start of spring.

Plainclothes security forces wielding tear gas and batons also attacked Khatami's vehicle and supporters, as he headed to Azadi Square, forcing him to abort a plan to walk there alongside followers, the Raheh Sabz site said.

Two reformist figures -- Mohammad Reza Khatami, the brother of the former president with a similar name, and his wife, Zahra Eshraghi -- were arrested, opposition groups also said.

YouTube video appears to show regime motorcycle burning

The Facebook page of Dr. Zahra Rahnavard, Moussavi's wife, said she had planned to join demonstrators at Sadeghiye Square, when she "was surrounded and attacked."

"Plainclothes militia physically assaulted her and beat her with batons at her head and back. Zahra Rahnavard after this incident with the support of a large crowd of people who made a human shield to protect her, was able to leave the area," the Facebook page said.

Iran's official Press TV took note of opposition protests, saying "a few hundred supporters" of Moussavi and Karrubi gathered in a western Tehran district, and Karrubi was seen among the demonstrators.

"Police had stepped up security in the area to prevent possible disturbances," it reported.

Follow CNNIranDesk on twitter

The chaotic scenes drew expressions of concern from the West, with the United States and the European Union calling on Iran to end reported abuses against its people.

White House spokesman Robert Gibbs said the United States stands "by the universal rights of Iranians to express themselves freely and to do so without intimidation or violence."

"Iranians have gone out into the streets to do just that in a peaceful way, and we will continue to monitor it and continue to express our condemnation and dismay for any violence that should result in the exercising of those universal rights."

Catherine Ashton, the European Union's foreign policy chief, said the EU is concerned about "reports that opposition leaders have been subjected to violence and intimidation" and that some may have been detained.

Observers say the pro-government Azadi Square demonstration was a well-choreographed event.

One observer in the throng told CNN a relaxed and supportive atmosphere prevailed at the demonstration. There was no sign at a pro-government parade of Basij militia members, ever-present during opposition events, but they were seen stationed away from the main area of the demonstration.

Government officials distributed cartons of milk, juice boxes, lemonade and cupcakes in the crowds, which appeared to number in the hundreds of thousands, the witness said.

Women who usually stay home went out, and there were a number of people from outside Tehran attending, the observer said.

"They got what they wanted: a disruption-free rally," the observer said. "There were no potential 'greens' in that crowd."

Flag-waving and cheering supporters heard Ahmadinejad announce that Iran has produced its first batch of 20 percent-enriched uranium and will soon triple production -- a claim that the United States dismissed.

He also touched on familiar topics: He lashed out at the West, particularly the United States, and criticized its relationship with Iran's rival, Israel.

Ahmadinejad's speech at Azadi Square ended without incident.

"There are those who stand against us because what they want is to control the Middle East and to control the world," Ahmadinejad said. "And an independent Iran, a free Iran, a developed Iran, a powerful Iran will naturally be a challenge for their goal. And that is why they are hostile to the Iranian nation."

Since a disputed presidential election in June, anti-government protesters have turned public gatherings into rallies against hard-liner Ahmadinejad, who was declared the overwhelming winner of the race, and street demonstrations were anticipated on the anniversary of the Islamic Revolution.

Over the volatile months since June, police have responded to such demonstrations with mass arrests, denouncing protesters as anti-Islamic and against the revolution. In the latest big street confrontation, on the holy day of Ashura in December, witnesses said hundreds of people were detained and seven were killed, with responsibility for the fatalities denied by the Iranian regime.

As the anniversary day approached, opposition leaders urged their followers to demonstrate peacefully, and Iran has imposed tight restrictions on foreign reporters covering the anniversary, busing them to and from Ahmadinejad's speech to prevent them from reporting on skirmishes on the streets. The precautions were meant to prevent a repeat of overt anti-government displays on other key occasions that have embarrassed and inflamed Iranian authorities.

Pick-ups roamed the streets of Tehran, blaring pro-government slogans and songs from speakers, a witness said, and residents in the Iranian capital said Wednesday that text messages on many messaging services have been blocked and Internet speeds have slowed to a crawl.

At Aria-Shahr square in western Tehran and in various other parts of the city, security forces fired on and tear-gassed demonstrators who chanted "Death to the dictator," and "Death to (Supreme Leader Ayatollah) Khamenei," according to opposition reports. Undeterred, the demonstrators chanted on, and many of them wore masks or handkerchiefs over their faces.

Opposition videos surfacing from Tehran showed the wrath of demonstrators. One showed protesters tearing up a poster of Ayatollah Khomeini, the late founder of the Islamic Revolution, and Khamenei. Another showed people stomping on an image of Khamenei. One video showed a man apparently stripped from the waist up put in a choke hold and punched in the head by a helmeted security force member.

@highlight

Militia, police keep protesters away from pro-government rally in Tehran

@highlight

White House espouses "universal rights of Iranians to express themselves freely"

@highlight

Reports: Vehicles carrying opposition leaders attacked by security forces

@highlight

Observers: Pro-government Azadi Square rally was well-choreographed event