(CNN) -- Thanks to Obamacare, nearly 6 million currently uninsured Latinos in the United States will have access to affordable health care come January 1, 2014, including mental health and substance-abuse services.

But some experts say that won't be enough to encourage mentally ill in the Hispanic community to seek help.

In 2011, 15.9% of Hispanic adults reported suffering from a mental illness the previous year, according to the National Survey on Drug Use and Health. But thousands in this population often go without professional mental health treatment.

Perhaps the most problematic issue for the Latino community is their fear of being highly stigmatized for accessing mental health services, experts say. Among Hispanics with a mental disorder, fewer than 1 in 11 contact a mental health specialist, while fewer than 1 in 5 contact a general health care provider, according to the American Psychiatric Association's Office of Minority and National Affairs. Even fewer Hispanic immigrants seek out these services.

Stigma haunts mentally ill Latinos

If a mental health issue is even acknowledged, Latinos tend to rely on their extended, family, community, traditional healers and/or churches for help during a health crisis, according to the APA. As a result, Hispanics often mistake depression for nervousness, tiredness or a physical ailment, and see the issue as temporary.

There are also a lack of culturally relevant services that cater to this population.

"What makes it worse is having very few Latino leaders in the mental health workforce," said Henry Acosta, former executive director of the National Resource Center for Hispanic Mental Health. Less than 25% of mental health professionals are minorities, according to the American Psychological Association. "Most aren't bilingual and management hasn't enforced culturally relevant strategies."

Acosta knows from personal experience how trying the mental health care system can be for Latinos. After witnessing a friend being fatally shot following an altercation with a police officer in his New Jersey hometown, Acosta said he knew he would never be the same. But what he didn't expect was the severe depression that followed and -- what seemed worse -- being called "crazy" by his high school peers.

"When I was 16 years old, I tried to commit suicide," said Acosta, now 44. "Latinos always hear how they have to be self-reliant when they have problems or even turn to prayer. But if you have a chemical imbalance, prayer won't help you."

Even though the teasing in high school was bad, one of his worst memories is translating for his parents at the psychiatric ward because they only knew Spanish. "I wish the hospital had translators or even someone who understood us culturally," Acosta said.

Eventually, Acosta overcame his mental illness, got into college, majored in psychology and became a social worker. He's since made it his mission to change Latinos' apprehensive perspective on mental health issues and better the health care system in hopes others won't have to go through what he did.

"The situation for Hispanics in this country will only get worse unless the system changes," Acosta said.

According to the National Resource Center for Hispanic Mental Health, Hispanics are a high-risk group for depression, substance abuse and anxiety. About 1 in every 7 Latinos has attempted suicide. Hispanic adults and youth are also dealing with unique stressors like immigration and acculturation, according to the AMA -- which the organization said is even more of a reason to provide services that cater to this population.

"Latinos are overrepresented in service industry and those took a big hit with the recession," Acosta said. " 'Hard to make ends meet' is definitely a different kind of stressor."

Many older Latinos find the strain of acculturation overwhelming. Their traditional values and beliefs are often at odds with the new culture, or they may lack family support and face language barriers. Hispanic youth have also been found to be at risk for higher levels of emotional distress because of the pressures to rapidly adopt the values of their new culture while they suffer from inequality, poverty and discrimination.

According to the AMA, Hispanic youth suffer from many of the same emotional problems created by marginalization and discrimination, but without the secure identity and traditional values held by their parents.

"While working at a clinic in New York, I was seeing a Puerto Rican family who became increasingly concerned (about their) 21-year-old son," said Luis H. Zayas, dean of the school of social work at the University of Texas. "They said he was having trouble with nervios (nerves)."

The young man was eventually diagnosed with schizophrenia.

"We were able to explain to the family the severity of the situation. It was a matter of helping them understand that their son's schizophrenia was a mental illness of the brain -- not be critical, avoid pejorative judgment and assure them that they didn't fail as parents."

After several months, Zayas said, the family refrained from using labels and changed their perspective on mental illness.

He said part of the problem is how the mental health and primary care systems are separated, and how they are presented to Latinos.

"I worked with undocumented immigrants who would ask for 'consejo' (advice) knowing they were asking for mental health services," Zayas said. "We could reduce the stigma significantly. ... It's how we present it to them. It helps to have integrated mental health services into the primary care setting. We should (be) bringing the services to them rather than bringing the people to the services."

In the last decade, the Latino population -- now at 53 million -- has grown by nearly 40%, and is expected to make up close to one-third of the nation's inhabitants by the year 2050. Tackling the mental health disparity now could prevent serious future health issues, experts say.

Obamacare will help fund new clinics and community centers in highly Hispanic-populated cities around the country, which would allow them to seek mental health care at little or no cost.

"Change won't happen overnight, but I think the key is educating the current population and, even more, motivating the Latino youth interested in the health sector," Acosta said.

"After having gone through my own mental health issues, I can tell you that just knowing you aren't alone is so important," Acosta said. "Most times we have our own answers, but if I had someone who understood where I came from it would have made an even bigger difference."

@highlight

Obamacare will give 6 million currently uninsured Latinos access to mental health care

@highlight

Latinos are less likely than non-Hispanic whites to seek out professional help

@highlight

Disparity could be linked to lack of Hispanic mental health professionals

@highlight

Stigma in Hispanic community around mental illness is also a problem, experts say