By its own admission, the Australian government's policy on asylum seekers has been overwhelmed, just three months after the passing of new laws aimed at stemming the flow of those seeking refuge in Australia.

Since the resurrection of the so-called  "Pacific Solution," under which asylum seekers making their way to Australia by boat are processed offshore, 7,929 people have arrived in Australian waters on 134 boats, according to the Immigration Department.

Australian Immigration Minister Chris Bowen said Wednesday that detention facilities on Manus Island in Papua New Guinea and Nauru would not be able to accommodate all the asylum seekers who had recently arrived and said that "some of these people will be processed in the Australian community."

At full capacity, Nauru and Manus Island are able to accommodate 2,100 asylum seekers, around a third of the number who have arrived since August 13 when the government announced a return to the policy introduced by the Liberal government led by John Howard in 2001.

The decision to process the overload of asylum seekers on the Australian mainland comes as Amnesty International inspectors this week described conditions at the Nauru detention center, where 387 asylum seekers are currently held, as "appalling."

Amnesty said conditions were so bad that there had been a "terrible spiral" of self-harm, hunger strikes and suicide attempts as people waited to be processed. One of several people on a hunger strike at the facility had not eaten for more than 40 days, the group said. The center on Nauru re-opened in August this year.

"In summer, in the heat, it gets to over 40 degrees during the day in those tents and it was certainly very hot and humid when we were in there. When it's raining, as it is now, the tents are leaking and their bedding gets wet at night,'' Amnesty's Graham Thor told reporters during a visit to the island.

The government has dismissed the criticism.

"Conditions on Nauru at times may not be pleasant but they are the same conditions immigration staff and service providers are working under," Immigration Minister Chris Bowen said.

Foreign Minister Senator Bob Carr insisted Wednesday that despite the extraordinarily large number of arrivals, the re-opening of the Nauru facility had deterred people from making the journey. Nor did he think that Amnesty International's observations had damaged Australia's reputation.

"I think Australia stands out in the world as having a humane commitment that I'm very proud of, that all Australians can be very proud of," he told the ABC.

But for Ramesh Fernandez, the CEO and founder of RISE, a not for profit support group for refugees and asylum seekers, Australia's mandatory detention laws are little more than an illegal form of "house arrest."

Fernandez, who spent three years in both onshore and offshore processing centers between 2011 and 2004 after fleeing Sri Lanka, said, based on his experience, asylum seekers kept in detention were poorly treated and their complaints ignored.

"Offshore processing centers may lower the number of asylum seekers in Australia, but it is not a viable solution to fairly deal with asylum seekers and it will not put a stop to people coming to this country by boat," he told CNN.

But as the first group of 19 asylum seekers, or "irregular maritime arrivals" as the government calls them, were transferred from Australian territory to Manus Island, the Immigration Minister issued a now familiar warning to those attempting the perilous sea journey to Australia.

"To those contemplating the dangerous journey to Australia by boat: people smugglers are lying to you, don't waste your money and don't risk your life -- it's just not worth it," he in a media release.

'There is no visa on arrival, there will be no special treatment, no speedy outcome and certainly no advantage given to those who come by boat."

Those who cannot be accommodated on Manus Island or Nauru would be processed onshore, Bowen said.  Bridging visas would be granted but asylum seekers would not have the right to work and would receive only minimal accommodation assistance. They will still be subject to the "no advantage" rule, just like those who were sent offshore for processing, he added.

The government also announced Wednesday that 100 Sri Lankan men had been involuntarily returned to their homeland -- the ninth and largest involuntary removal to date. The Immigration Minister said when the men were advised that they were subject to removal from Australia, they raised no issues "that engaged Australia's international obligations": they were not considered nor considered themselves to be refugees.

Sri Lankans have been returned to Colombo since the Pacific Solution came into effect. Some chose to return to Sri Lanka voluntarily, rather than transfer from the Australian mainland to Nauru.

Fernandez believes the men recently deported may have preferred to return to Sri Lanka.

"If people choose to go back where they were persecuted over Nauru, (this) means that they are ready die rather (than) getting rotten somewhere, not able to seek freedom," he told CNN.

"It is not a win for the Australian government and the government must be ashamed for creating a rigid refugee policy which persecutes asylum seekers once again," he added.

For Fernandez, the Australian government has blood on its hands.

For Amnesty International, it will come as no surprise that Sri Lankans are opting to return home or putting up little resistance. The human rights group noted after its inspection of Nauru, that asylum seekers believed they were being sent to the island state to be "driven crazy" and would prefer to return home.

@highlight

Nearly 8,000 asylum seekers arrived in Australia since new laws passed 3 months ago

@highlight

Immigration minister said detention facilities cannot accommodate all asylum seekers

@highlight

Human rights groups criticize "appalling" conditions of detention facilities