(CNN)The first official visit of Afghan President Ashraf Ghani to Washington comes as excitement mounts over the possibility that direct peace negotiations between the Afghan government and the Taliban are imminent. The visit, which began Sunday, offers the opportunity for discussion and progress on a number of fronts, the coming face-to-face talks with the Taliban almost certainly among them. But while the start of such talks would certainly be a positive development, it would hardly be a sign that peace is about to descend upon a land ravaged by decades of war.

The reality is that an agreement with the Taliban that is good for the Afghan government is probably impossible right now. Negotiations to end the Taliban insurgency face a series of significant challenges, and an imperfect deal could harm Afghanistan's nascent unity government, encourage the formation of splinter groups of hardened fighters, boost existing terrorist groups like al Qaeda and ISIS and plunge the country into an era of renewed violence and instability.

That said, the United States should remain broadly supportive of these talks by promoting conditions that could make the possibility of success more likely down the road -- history has shown that successful negotiations most often occur when each party has some vulnerability to the other. Militarily, the Taliban is not the Afghan government's equal, but that does not mean the insurgents lack a strong negotiating position.

For a start, the international presence in Afghanistan is declining, freeing the Taliban to operate more openly in the rural corners of the country. Meanwhile, Afghan security forces are being killed at rates that are probably not sustainable and civilian casualties are at an all-time high. Most troublingly, the new national unity government has yet to clearly demonstrate its ability to govern.

All this means that until the new government shows that the diverse interests within it can coexist, and it articulates a cohesive strategy to counter the Taliban, the insurgents can make a strong case for postponing peace in the hopes of a better situation in the future.

A second key to negotiating a path toward peace in Afghanistan is devising a strategy to contain splinter groups. Often in the course of negotiations, those unsatisfied with the peace process flock to new organizations to continue the fight. These can include so-called "bitter enders," hardened fighters who want no part of peace.

The emergence of splinter groups is an expected part of any peace negotiation process, but it must be minimized for an agreement to take hold. In the case of Afghanistan, there is no shortage of groups willing to absorb fighters, from outlaw bandit groups to al Qaeda.

Recently, as Ghani has highlighted, there have even been stories of fighters declaring allegiance to terrorist group ISIS. It goes without saying that the spread of ISIS's particularly violent form of extremism within Afghanistan would make an already complex and precarious security situation all the more so.

Finally, negotiations must happen at a time when a peace agreement can reasonably be enforced -- it is one thing to craft a compromise and quite another to carry it out. Too often in peace negotiations, an agreement is viewed as a finish line, but any deal can easily be derailed by unpopular political accommodations, economic incentives and rebel fighters who refuse to drop their arms.

To take hold, peace agreements require a legitimate and effective government capable of communicating new realities to the public and executing policies that are often untried and complex. At the moment, the Afghan government is struggling to carry out existing policies, while juggling the country's many divergent interests. While a peace agreement would certainly boost the legitimacy of a national unity government, a stillborn accord would only lead to disillusionment and doubt.

Ultimately, the chances that talks between the Afghan government and the Taliban will succeed are remote at best. Yet the United States should do everything it can to help create the underlying conditions to support productive negotiations -- if not now, at some point in the future.

What can the U.S. do? Two things:

First, the Obama administration could agree to the Afghan government's request to slow American troop withdrawals. This would allow the United States to assist the Afghan government to stabilize the country and contain any splintering anti-government factions.

Second, the U.S. could remain actively engaged in promoting the success of the Afghan national unity government. This means not merely maintaining existing development and economic efforts, but finding opportunities to assist the new government to boost its legitimacy.

For example, the United States could support emerging efforts to build a meaningful relationship between Afghanistan and its neighbor Pakistan, which would increase public confidence in the government's ability to protect its people. It also could lend a hand advising political leaders, including the many first-time cabinet officials, on governance and public service.

Sowing the seeds of future success in bringing peace to Afghanistan requires no new U.S. boots on the ground or extravagant financial commitments. Rather, it takes a willingness to continue to engage with Afghanistan's dynamic set of political challenges in small, but meaningful ways.

@highlight

Afghan President Ashraf Ghani is visiting the United States

@highlight

Rebecca Zimmerman: U.S. doesn't need more boots on ground