Decatur, Georgia (CNN)  -- LaShonda Durden had just given birth to her second child. She was two weeks back from maternity leave when her supervisor called her into her office.

"You need to be trying to find other employment," her manager said.

A bereavement coordinator and chaplain at an Atlanta, Georgia-area hospice, Durden suddenly found herself coping with the grief of being unemployed. Sixteen months later, she's still out of work.

"It's a vicious cycle," she says.

Durden is not alone. She is among the 16.5 percent unemployed African-Americans -- almost twice the rate of unemployment for whites. The figure was included in a new report released Wednesday on the state of black America by the National Urban League.

The report presents other sobering statistics on the nation's racial divide on economics, education, health, civic engagement and social justice. Among them:

The median household income for blacks stands at $34,218; for whites, it's $55,530. Less than half of blacks own a home compared to three quarters of white families. Blacks are more than three times as likely to live in poverty.

In addition, black-owned businesses represent a paltry 5 percent of privately owned companies, and the study says more are needed to help spur job growth in minority communities.

The Obama administration, the study suggests, has taken measures to improve the gap between whites and blacks, although it says more is needed. The report says legislation needs to focus on minority job training, tax incentives and extensions for unemployment benefits.

Andrew Grant-Thomas, the deputy director of the Kirwan Institute for the Study of Race and Ethnicity, says he believes the statistics for unemployed black Americans is far greater than what's being reported. The figures don't include people not actively seeking employment or people with higher education degrees forced to take jobs for which they're overqualified.

"The disparities are definitely huge and that number understates the size of the disparity," he says. "You want to take that number and double it."

"This recession is even bigger than Katrina hitting New Orleans," he adds. "Yes, everyone got hit, but not everyone was hit equally as hard -- and shouldn't we invest in those hit the hardest?"

The faces of the statistics

On Tuesday, Durden went to Java DeLight Cafe, in a predominantly African-American suburb of Atlanta. She goes there to network and search for jobs via the Internet over its WiFi connection.

The cafe  is owned and operated by Patricia Setzer, an African-American who opened the establishment in 2008. She says she can relate to many of her customers. Days after she opened her business, her husband was laid off. It took him eight months to find a new job. "We literally just went without for awhile," she says.

Setzer hopes her cafe can serve as a networking hub. She calls it "the cultural meeting place." If her regular customers don't return for weeks, she wonders if they've succumbed to hard times: "When they're not here, I'm thinking about them."

"We want people to come here and meet and enjoy themselves," Setzer says.

To that end, she's organizing a job club at her cafe -- a place to host unemployed Americans (of any ethnicity) and give them hands on training, from resume help to how to dress for interviews. Barbers and hair stylists will be on hand for those who need fresh cuts.

As a business owner, Setzer is a minority in a minority: Just 5.2 percent of small businesses in the U.S. are black-owned.

"We're all struggling, whether you're white, black or green," says Setzer as she flips turkey patties. "You've just got to hold on."

On this day, Diane Ridley Roberts, president of a management consulting firm, worked from her laptop inside the cafe. Unlike other businesses that aren't hiring, she says she's having trouble finding qualified people.

Ridley Roberts, an African-American, says there is no homogenous state of black America. "To say we're all in one boat is a little naive, I think," says the owner of Global Evaluation & Applied Research Solutions.

But she adds that there are common experiences that only black Americans can fully relate. Even in 2010, she says, she feels she has to doubly prove herself when she is awarded a contract.

"There are certain judgments, ideas and perceptions about me when I walk into the door as someone's consultant," she says. "It is what it is."

An unexpected job interview

Sipping coffee at a table in the cafe, Durden talks about all manner of difficulty -- from her work as a hospice chaplain to her own layoff and struggle. She's turned her joblessness into action: She volunteers monthly to help the homeless.

It's a reminder, she says, that her family "could be worse off."

"And that's the blessing for me -- just knowing that I am sustained," she says, "that even if the bottom falls out, God still has us in His hands."

She sends out her resume at least three days a week. She attends job fairs about every two weeks. Those get discouraging, she says, with 400 people jockeying for one position.

She holds a sociology degree from Georgia State University and went on to seminary school. At this point, she'll take anything to help her family. And that's another part of the job hunt. She's overqualified for many positions and often wonders: "Do I dumb down my resume?"

"I have a passion to help people do better than they're doing now, regardless of where they are in life," she says. "I just love people."

As for her African-American roots, she says, "It means I expect to excel in what I do because I know who my foremothers and forefathers are.

"Being black in America right now, for me, it means hope. It means keeping that hope when some others may not be able to."

Durden piqued the interest of one person in the cafe. Overhearing Durden's story, Ridley Roberts asks if she has a resume. Durden pulls out her flash drive and downloads a copy.

The two then leave the cafe. The impromptu job interview is Durden's best lead in a while. That's the life of the jobless: Networking and constantly searching, even on the fly.

CNN's Sarah Hoye contributed to this report.

@highlight

National Urban League report focuses on state of black America

@highlight

African-American unemployment is double rate of whites, report finds

@highlight

Median household income for blacks stands at $34,218; for whites, it's $55,530

@highlight

"The disparities are definitely huge," expert says