In a bold declaration of its ambition, the Islamic State in Iraq and Syria has laid claim to leadership of the global Islamist movement, calling on Muslims worldwide to swear allegiance to its leader, Abu Bakr al-Baghdadi.

By claiming such preeminence, ISIS is seeking to eclipse al Qaeda and its leader, Ayman al-Zawahiri, in what analysts see as the most dramatic shift in militant jihadism since 9/11. But ISIS also makes the outlandish claims -- if its words are taken literally -- that it leads 1.5 billion Muslims and that the world, not just the deserts of Syria and Iraq, are its new stage.

What did ISIS say?

The declaration was made Sunday in a 34-minute audio message by ISIS spokesman and ideologue Abu Muhammad al-Adnani al-Shami, who said that from now on, ISIS would simply be called the "Islamic State." That is much more than a change of name; it simultaneously strips away the geographical limits imposed by the previous name and underlines the movement's control of a wide swath of territory in Iraq and Syria. It even suggests that the group should exercise authority over Islam's holiest places.

In a direct challenge to al-Zawahiri, al-Shami said it is now "incumbent upon all Muslims to pledge allegiance to the Khalifah Ibrahim and support him."

Khalifah Ibrahim is the name now given to al-Baghdadi, a secretive figure never seen in ISIS' voluminous propaganda output. Al-Shami says that al-Baghdadi has accepted the pledge of allegiance offered by senior figures of the "Islamic State."

"Thus he is the imam and Khalifah of Muslims everywhere," al-Shami concluded with stunning brevity.

Why a caliphate matters

Al-Shami said that in the areas now controlled by the group, the legality of all states and organizations becomes null and void, an assertion that the colonial-era borders of the Middle East are no longer valid. Instead, they are replaced by a caliphate carved from ISIS' recent territorial gains.

A video released by the group Sunday underlined the point in graphic fashion, showing the destruction of a border crossing between al-Hasakah in Syria and the Iraqi province of Nineveh. ISIS also released a series of photographs purporting to show a parade through its Syrian stronghold of Raqqa in celebration of the declaration and of the Khalifah Ibrahim.

The restoration of the caliphate was the dream of al Qaeda  leader Osama bin Laden in establishing al Qaeda, but ISIS has seized more territory, and more cities, than any al Qaeda affiliate. Al Qaeda in the Arabian Peninsula briefly took control of a string of towns in southern Yemen early in 2012 but was driven out of them later that year.

ISIS' methods -- especially its habit of summary executions -- and its refusal to accept al-Zawahiri's authority have also led to a very public and bitter rupture with the parent organization. ISIS was disowned by al Qaeda in February after defying al-Zawahiri's demand that it cease operating in Syria in favor of another al Qaeda affiliate, Jabhat al Nusra. Al Qaeda's General Command said that ISIS was "not a branch of the al Qaeda group ... does not have an organizational relationship with it, and al Qaeda is not responsible for their action."

But the group's successes have shifted the balance. In language that appears to taunt al Qaeda and al Nusra, al-Shami said Sunday: "They never recognized the Islamic State to begin with, although America, Britain and France acknowledge its existence. ... Should we consult those who have abandoned us? Those who have betrayed us? Those who have disowned us and incited against us?"

Different from al Qaeda

Charles Lister, a Fellow at the Brookings Doha Center, said the impact of the announcement "will be global as al Qaeda affiliates and independent jihadist groups must now definitively choose to support and join the Islamic State or to oppose it."

"While it is now inevitable that members and prominent supporters of al Qaeda and its affiliates will rapidly move to denounce al-Baghdadi and this announcement, it is the long-term implications that may prove more significant," Lister says.

Al Qaeda's declining potency in its Afghan-Pakistan heartland, the death of bin Laden and the group's fracturing into semiautonomous franchises have left a new generation of jihadists looking for a spiritual home -- and a field of combat. ISIS provides that, and it has a slick propaganda machine producing high-quality videos posted on social media.

But Charles Lister says: "Al Qaeda will retain considerable support, and once the dust has settled, we will very likely find ourselves in a dualistic position of having two competing international jihadist representatives: al Qaeda, with a now more locally focused and gradual approach to success, and the 'Islamic State,' with a hunger for rapid results and total hostility for competition."

Lister said ISIS has evolved as a tightly controlled group with "an almost obsessive level of bureaucracy, account-keeping, and centrally controlled but locally implemented military-political coordination." But unlike al Qaeda, it has also "developed an increasingly efficient model of governance, capable of simultaneously implementing harsh medieval justice and a whole range of modern social services."

To Aram Nerguizian, senior fellow at the Center for Strategic and International Studies, the question is: "How can they create governance structures that don't completely chafe against the social fabric of these towns?"

ISIS has grown exponentially over the last four years, taking advantage of ungoverned space and violent Shia-Sunni sectarianism to win the attention and support of thousands of would-be jihadists. It has attracted hundreds and probably thousands of fighters from across the Arab world and Europe. Even so, its forces are spread across a huge area and would be vastly outnumbered and outgunned by the Iraqi military should it reorganize into an effective force. And ISIS depends on powerful Sunni tribes to the west and north of Baghdad as its hosts and partners. If they perceive its practices as too draconian or its caliphate as marginalizing them, the tolerance they have shown in the face of a common enemy -- the government of Iraqi Prime Minister Nuri al-Maliki -- will soon evaporate.

What happens in Syria?

One of the biggest questions is how other groups in Syria respond. One smaller Syrian faction, Jeish al-Sahaba, has already declared its allegiance to the "Caliphate." At a local level, some al Nusra fighters pledged allegiance to ISIS before it declared the caliphate. "We unified with ISIS to stop bloodshed and spare our region and its countryside the danger of war and displacement," said al Nusra's leader in the eastern town of al Bokamal.

But other al Nusra elements clashed with ISIS in the town Monday and seem to be still working with other factions, even the relatively secular Free Syrian Army, in Deir Ezzor, a province where ISIS is strong. Most analysts foresee an inconsistent mix of competition and coexistence, even cooperation between the two groups, whose ideological roots are similar.

But many Muslims see the declaration of a caliphate as both apostasy and a ludicrous overreach by ISIS. The Syrian opposition council in Eastern Ghouta, an important area in the battle against the regime of Syrian President Bashar al-Assad, last week attacked any notion that ISIS could form a state.

"ISIS must delete the world 'state' from the name of the faction and to be jihadi faction because ISIS does not have tangible or religious structure," the council said, in a statement obtained by the Syrian Observatory for Human Rights.

A spokesman for the Free Syrian Army in eastern Syria, Omar Abu Leila, described the declaration of the caliphate as "unbelievable."

"There are millions of Syrians who are not with ISIS, so how can they speak about a caliphate in our land?" he said.

ISIS declares 'caliphate' stretching across Iraq and Syria

@highlight

The Islamic State in Iraq and Syria has laid claim to leadership of the global Islamist movement

@highlight

In a challenge to the head of al Qaeda, ISIS calls on "all Muslims to pledge allegiance" to its leader

@highlight

In essence, the group is saying the colonial-era borders of the Middle East are no longer valid

@highlight

Analyst: Al Qaeda affiliates, other jihadists must now choose whether to back or reject ISIS