(CNN) -- One of the areas in which President Obama has held a consistent lead in polls over Republican presidential nominee Mitt Romney is in the handling of foreign affairs. Although the killing of Osama bin Laden surely factors into this, Obama's advantage stems from progress on his signature promises to bring the troops home from Iraq and Afghanistan and reduce America's oversized, and overly costly, military footprint in the world.

Although the recent attacks on U.S. diplomatic compounds in the Middle East might have offered Romney an opportunity to broach foreign policy issues, the tensions only underscore the appeal of Obama's foreign policy to a war-weary public: "After a decade of war, the nation we need to be rebuilding is the United States of America," he said in an address last month at Fort Bliss, Texas. Even Romney, who has been harshly critical of the president's foreign policy leadership, seems unwilling to contest this political reality; he omitted any mention of Iraq or Afghanistan in his acceptance speech last month in Tampa, Florida.

But the question is not whether promises to bring home troops and reduce military spending can be sold in an election year -- the question is what impact would retrenchment have on future U.S. and global security. If history is any guide, the answer is troubling: Over the past century, each of America's attempts to reduce its role in the world was met by rising global threats, eventually requiring a major U.S. re-engagement.

This is not to argue that the U.S. should sustain its muscular post-9/11 global posture or continue its land war in Afghanistan. It is to urge caution against a growing belief that scaling back American power in the world will be without risks or costs.

History shows that in the aftermath of America's major wars of the 20th century -- World War I, World War II and Vietnam -- the American public and powerful leaders in Washington demanded strict new limits in foreign policy. After World War I, that meant rejecting participation in the League of Nations and receding into isolation. After World War II, it meant embarking on one of the largest voluntary military demobilizations in world history. And after Vietnam, it meant placing new restrictions on a president's ability to conduct overseas operations.

But in each case, hopes were soon dashed by global challengers who took advantage of America's effort to draw back from the world stage -- Germany and Japan in the 1930s, the Soviet Union in the immediate post-World War II period and the Soviet Union again after Vietnam. In each case, the United States was forced back into a paramount global leadership role -- in World War II, the Cold War and the military build-up and proxy wars of the 1980s.

Similar effects have also followed the withdrawal of U.S. troops from global hot spots, as in Somalia in 1993. America's need to extricate itself from that calamitous humanitarian mission, in which 18 U.S. soldiers were killed, was clear. But the withdrawal came at a huge strategic cost: It emboldened the narrative of the emerging al Qaeda network that America was a "paper tiger," setting the stage for the escalating terrorist attacks of the 1990s and September 11, 2001.

Obama's desire to withdraw from costly and unpopular foreign conflicts and refocus on domestic issues is understandable. And he is by no means an isolationist, as his intensified war on al Qaeda can attest.

But Obama's assertion that his recalibration of U.S. foreign policy -- centered on withdrawing U.S. troops from Mideast wars and leaning more on allies and the United Nations -- has awakened "a new confidence in our leadership" is without foundation.

Like Great Britain in the 19th century, America since the turn of the 20th century has been the world's pivotal global power. Fair or not, in moments when America seemed unsure of its role in the world, the world noticed and reacted.

There is no reason to believe now is different. Indeed, in many ways looming opportunists are more obvious today than the 1930s, 1970s and 1990s. These include al Qaeda and other Islamist movements spinning U.S. troop withdrawals from Iraq and Afghanistan as strategic defeats; an emboldened Iran on the cusp of attaining nuclear weapons; and a rising China flexing its muscles in the South China Sea.

To his credit, Romney has strongly warned against a world with more limited American leadership. He has also promised to reverse Obama's defense cuts and offer his own increases. But while Obama's approach may be shortsighted, Romney's would face an uphill battle against fiscal and popular sentiment. These issues must certainly be raised in the upcoming presidential debates.

Whoever wins in November will confront not just an increasingly dangerous world, but also an increasingly isolationist public. The great challenge will be to convince the American people that robust U.S. leadership in the world remains vital to their security and prosperity and convince the world it remains unwavering. History shows that doing otherwise only raises the stakes down the line.

The opinions expressed in this commentary are solely those of Stuart Gottlieb.

@highlight

Stuart Gottlieb: Americans are sick of war and ready to focus on domestic issues

@highlight

Withdrawing troops, cutting military might be popular, but it is not without risks, he says

@highlight

Gottlieb: Historically, each time U.S. drew back militarily, global challengers took advantage

@highlight

He says Americans must believe in U.S. leadership; world must know U.S. is steadfast