(CNN) -- In many ways -- more than just distance, at least -- it is a long way from the remote city of Kashgar in the restive northwest Chinese province of Xinjiang to Kuala Lumpur, the bustling, teeming capital of Malaysia. But it was a journey that an Uyghur artist named Memetjan Abdullah made earlier this month. It was his first trip outside China.

Father to a young daughter, Abdullah -- whose name is sometimes spelled Maimaitijiang Abula -- was part of a delegation of some 24 artists who were returning to China from the "Chinese Dream: Red and Green Painting" art exhibition, held March 4 to 6 in the Malaysian city. The exhibition also acted as a cultural exchange conference, while celebrating the 40th anniversary of diplomatic ties between China and Malaysia.

Abdullah, who won an award for his work during the exchange, and his colleagues were on board Malaysia Airlines Flight 370 when it disappeared somewhere over the Malacca Strait early in the morning of March 8.

A talented, popular painter, who uses oils as his medium, Abdullah teaches painting at a Kashgar middle school, a position that perhaps belies his talents. A painting of his, entitled "Outlook" is part of National Art Museum of China collection, a testament to the 35-year old's skill. A colleague from his school, Mehmet Emin Kahar, said "Memetjan has (a) good personality. He cares for students, his ideas are progressive and he's dedicated to his job."

A hard worker

Prior to taking the position in Kashgar, Abdullah studied in Beijing for a year at the Chinese Academy of Oil Painting. Lin Jianshou, who befriended the young Uyghur painter in 1999 on a trip to Kashgar, suggested he attend a one-year program at the academy.

"He tried really hard. He had to live on instant noodles every day because there was no Muslim food. But still he worked really hard and kept on painting. So from what I know of him, he's very hardworking and has great pursuits in art."

Lin recalls the moment that he realized that his friend and student was on the flight.

"I stopped what I was doing. And all of a sudden I felt so weak. Because he was my good friend and he was always supporting me. Of course, my legs went weak and I had no strength. I thought, how was it that I was able to meet with him."

Some extremists from a sizable Muslim population in Xinjiang have fostered unrest in the province and beyond, which boiled over at the beginning of March with a massacre at a Kunming train station. Li recalls that, following MH370's disappearance, he was asked to clarify his friend's "situation" with the police.

When news of the flight's disappearance broke over two weeks ago, Chinese media initially blurred Abdullah's name from the passenger manifest, fearing that a Uyghur separatist attack was to blame for the flight's disappearance.

The Chinese government has since ruled that none of its citizens that were aboard MH370 have any link to terrorism.

Lin adamantly believes his friend has no link to terrorist activities, and could not have been involved in the disappearance of MH370.

"No, absolutely not a possibility. I know him well, and there's no way ... He is someone who perseveres in art. He would not use lives to do this to art. No way ... it's not 'probably he did not do it.' It's 'absolutely no way he could have done it.'"

Kurbanjan Semet, 32, a cameraman with CCTV's documentary channel met the painter at a local gallery in Kashgar in 2005 while he was filming ethnic group cultural elements, and was drawn to his passion.

"I found his paintings interesting," says Kurbanjan, "He's the kind of person that lives for his art. Painting is his life. His biggest wish is to express his feelings with painting, especially his feelings for his hometown.

"He's been a really modest person when he was with me and my other friends. He always seeks advice for his painting from others, like advice on the use of color and other things."

The Xinjiang passenger

It was on March 2 that Abdullah flew to Malaysia. Kurbanjan spoke briefly with his friend the day before, but news of the Kunming knife attack soured his mood and prevented him from accompanying him to the airport.

He heard again from his friend a couple of days later, with the news that he'd been interviewed by local media, and again the following day when he posted on WeChat that he'd won the award.

"I sent a message to him: 'Congratulations brother. We should celebrate when you come back.'"

Kurbanjan learned the news right after it came out on March 8.

"It was when the news came out the Xinjiang passenger was with the 24 people artist group that I immediately realized it was him.

"Then I just... I just couldn't believe it happened to him. I still believe, until today, that he's coming back, and I will film his stories."

He called Abdullah's wife on the second day of the plane's disappearance.

"They arrived on the third day because the weather conditions didn't allow them to fly to Beijing on day two. I picked them up from the airport when his family arrived. His wife was (emotional) when she saw me."

In the past few days, Kurbanjan has been telling Abdullah's story to media. "At this very moment, many people need to know about what kind of man he is. That's what I've been working on."

"His daughter is too young to understand what happened. She believes her father went to Malaysia and is on his way back, but she doesn't know when he'll return."

CNN"s David McKenzie and Zhang Qi contributed to this report

@highlight

35-year-old Uyghur artist Memetjan Abdullah aboard MH370

@highlight

Friends depict him as a thoughtful, passionate and "progressive" person

@highlight

Artist's work is in the China National Art Museum collection

@highlight

Close friend Kurbanjan Semet holds out hope that he will see Abdullah again