(CNN) -- It was an eerie night on the North Atlantic. The ocean, which is almost never still, was so calm that some stars could be seen reflected in the water. Thousands of stars curtained the sky -- backdrop to the immense human drama taking place.

A great ship was sinking slowly into the freezing sea. Its 2,200 passengers and crew were facing desperate choices: Should I try for the lifeboats? Is that the right thing to do? And if I do manage to find a place in one, should I try to rescue other people?

About 1,500 people died that night. None of the rest survive today. But the Titanic disaster has never faded from the world's imagination.

That was 100 years ago: April 14 to 15, 1912. Earlier this year, the Costa Concordia struck a reef in the Mediterranean Sea, just a few feet from a resort island close to the Italian mainland. Fortunately, less than 1% of its 4,000 passengers died. The sinking of the Titanic and the wreck of the Costa Concordia had very little in common. Yet reporters drew parallels. And survivors of the January incident themselves have made the comparison, with at least one quoted as saying that it felt like "the same type of deal."

Why? Why does the Titanic continue to be what flashes into people's minds whenever the word "disaster" comes up? It is virtually the only disaster that is perpetually remembered, commemorated, and even celebrated. The answer has to do with the drama of choice, not with the brute facts of the disaster itself.

In 1865, the Sultana, a Mississippi riverboat, exploded and burned, with the loss of many more than 1,500 lives. In 1915, the liner Lusitania was torpedoed by a German submarine; 1,200 people died. In the same year, the steamer Eastland capsized in the Chicago River, killing 840 passengers. (Ironically, the ship had been overloaded with lifeboats, but they were useless, because the Eastland sank immediately after people boarded it.)

Frightful events, and each with its own importance. But almost no one remembers the Sultana or the Eastland. And no one on the Costa Concordia is reported to have said, "This is just like the Eastland; it's the same type of deal." As for the Lusitania: it is remembered only as a cause of America's entry into World War I. It would be hard to find anyone who recalled a single thing that happened on the Lusitania's decks.

That is not because popular movies have been made about the Titanic but not about the Lusitania. A good movie could not be made about the Lusitania itself because its sinking, like the other disasters I just mentioned, was only a scene of horror. It was not, like the Titanic, an event of permanent dramatic interest.

The Titanic sank in two hours and 40 minutes, the length of a classic play. Its cast of characters included people of every rank and station and personality. The cast was large enough to represent the human race, yet small enough to form a self-contained society, in which individuals could see what other individuals were doing, and think carefully about their own responses. The Titanic had what every great drama needs: a relentless focus on the supreme choices of individual lives.

Other disasters were either too big or too small to develop this kind of interest. They happened too fast, or too slowly. The great Chicago fire in 1871 and the San Francisco earthquake and fire in 1906 were tides of destruction rolling for days across large, unfocused landscapes. Today they are remembered not as dramas of individual men and women but as tests of their cities' ability to survive the forces of nature.

By contrast, the Lusitania, the Sultana, and the Eastland were destroyed in just minutes. There was no time for people to assess their options; to consider what they could do, or what they should do, morally. There was no time to think about whether to take the first seat in a lifeboat or give it to someone else; to reflect on one's life and decide how to face its end.

There was no time for an elderly couple, like the Titanic's Ida and Isidor Straus, to decide to refuse their places in a lifeboat, and stay together, facing certain death. There was no time for someone like J. Bruce Ismay, head of the company that operated the Titanic, to remain on deck, trying to help the rescue effort, then suddenly decide to abandon ship. There was no time to develop the sometimes inspiring, sometimes disheartening, but always memorable scenes of human life that the Titanic disaster continues to present.

Only one other disaster is like the Titanic: September 11, 2001. The events of 9/11 unfolded over a similar length of time and involved communities of similarly diverse people, involved in unforgettable moments of truth. The heroic resistance of the passengers of Flight 93 and the courage of the firefighters in the Twin Towers are only two scenes from this great human drama. The Titanic and 9/11-- these disasters, these two, will continue to be remembered, not for their horror, but for what they teach us about the drama, and the dignity, of real people making the ultimate decisions of their lives.

The opinions expressed in this commentary are solely those of Stephen Cox.

@highlight

Stephen Cox: The sinking of the Titanic 100 years ago still holds the world's imagination

@highlight

Cox: Sultana riverboat blast, the sinking of Lusitania and Eastland aren't as gripping

@highlight

Rich stories of courage, morality, the cast of characters make Titanic unique, he says

@highlight

Cox says the only other catastrophe that will live on in memory like the Titanic is 9/11