(CNN)  -- As protests continue over the disputed presidential elections in Iran, we asked two analysts to explain the background to the controversy.

Supporters of President Ahmadinejad wave flags at a massive rally in Tehran Sunday to celebrate his victory.

Q) What degree of election monitoring is there in Iran?

A) The problem with this election, according to London-based Mideast analyst Amir Taheri, is that there is no independent monitoring at all in Iran with the interior ministry arguing that the Council of the Guardians of the Constitution, a "star chamber" of 12 mullahs, would have that role.

"Candidates are not allowed to be present at polling stations during voting or counting. Many voters are illiterate and officials help them fill in their ballot papers, so the possibilities for rigging are immense. And there are no booths in the polling stations so voting is done in public, not in private -- a major obstacle for transparency," Taheri said.

So the problem for opposition candidates in this election, said Taheri, the author of "The Persian Night," is that there are no concrete examples of fraud because there was no monitoring. "You could say all of Iran's 10 presidential elections have been fraudulent or that all were fair -- we just don't know. All have been held in the same way. The whole electoral process from the vetting of candidates to voting and ballot counting is conducted by the state."

Q) So is it possible that Mahmoud Ahmadinejad did win the election?

A) The president does indeed have great public support in Iran, Taheri said, adding that "I'm sure he did win the election but it's impossible he won 63 percent of the vote. The results probably exaggerated the scale of his support."

According to official results, Ahmadinejad won in all regions and among all classes and ages -- again, something that Taheri said was unlikely, "but I can't prove it."

Had he not exaggerated the scale of his victory, Taheri said, unlike in previous presidential elections, it is possible there wouldn't be the outcry there is now. "Many Iranians feel insulted by the results because they feel their vote didn't count. Everybody knows, for instance that Ahmadinejad is unpopular in cities but he still won the vote there. That is why people are so angry."

Another Iran expert Karim Sadjadpour agreed, saying he believed this was "a stolen election."  Watch Sadjadpour explain why election was "stolen" »

"There are a lot of signs there were major improprieties. First of all there were 40 million votes cast and just two hours after the polls had closed they announced Ahmadinejad's victory: and these votes are hand counted in Iran...

Sadjadpour, an associate at the Carnegie Endowment for International Peace, added: "Another example I give is that (opposition leader Mir Hossein) Moussavi, who is an ethnic Azeri Turk, lost the province of Iranian Azerbaijan. This is the equivalent of Barack Obama losing the African American vote to John McCain in 2008."

Supreme Leader Ayatollah Ali Khamenei said the record voter turnout in Friday's election showed Iranians value "resistance against oppressors," the official Islamic Republic News Agency reported.

"Pointing to enemies' massive propaganda campaign to discourage people from taking part in the elections, Ayatollah Khamenei also said there was really a divine miracle behind this elections, given its results that was 10 million higher than any of the previous ones in the 30-year history of elections in Iran," IRNA reported.

Q) Will the anger and protests on the streets subside or grow into something much greater?

A) Much depends on what the opposition candidates do in coming days, according to Sadjadpour. "We've never in the 30-year history of the Islamic republic seen the revolutionary elite so divided," he said. Former centrist president Ayatollah Akbar Hashemi Rafsanjani, a founding father of the Islamic republic, and Moussavi are now both opposition candidates. "They feel the election was stolen from them and that the majority of public support is on their side. They're planning more public protests so this tumult may not subside any time soon."  Gallery: Emotions run high after election »

Q) How will the regime deal with these protests?

A) Iran's leaders "have repression down to a science," said Sadjadpour. "Before the election they ease political and social restrictions because they want to project a democratic face to the world. But at times like these when rallies are getting out of hand they use overwhelming force to nip them in the bud. So I anticipate more use of force to ensure they don't get out of hand."  Watch report on latest violence in Iran »

Q) What will the Supreme Leader Ayatollah Ali Khamenei do?

A) This is the big question and there were reports on Monday he would agree to an investigation into allegations of vote rigging. Speaking earlier, Sadjadpour said he felt the supreme leader would not intervene unless he felt his sustainability as leader was at stake. "The reason why is that I believe he was behind this power grab. Ahmadinejad was his candidate so he's not exactly an objective actor. Opposition candidates are trying to appeal to Khamenei before they take to the streets but I'm not sure how he walks back from this."

Q) What does four more years of Ahmadinejad mean for Iran and the rest of the world?

A) The big problem the United States and Europe is to stop Iran from going nuclear and Ahmadinejad's reelection means Iran's aggressive policy towards the West is not going to change. "I feel the results are quite disastrous," said Sadjadpour. "In terms of the U.S.-Iran relationship, Ahmadinejad's mere presence could well serve as an insurmountable obstacle to confidence building. He presses the worst buttons in the context of domestic U.S. politics with his denial of the Holocaust and belligerence towards Israel. Domestically in Iran he has profoundly mismanaged the economy with one of the highest inflation rates in the world and high unemployment."

However according to TIME magazine, behind closed doors the White House may be relieved by the result. Despite the attention paid to the office of the Iranian presidency, nuclear policy is set by the country's religious leaders and appear determined to amass enriched uranium whether or not a hard-liner or a moderate is president, the magazine said Monday.

"Ahmadinejad's win may increase Washington's chances of getting tougher sanctions on Iran if they refuse to negotiate," TIME reported senior Administration officials as saying.

@highlight

Analysts explain background to allegations of ballot fraud in Iran's elections

@highlight

Difficult to prove fraud in absence of any independent monitoring of voting

@highlight

President Ahmadinejad has exaggerated scale of support, analysts say

@highlight

Protests set to continue but regime often cracks down on dissenters, they say