Kliptown, South Africa (CNN) -- Brian Munyai has spent nearly all of his 22 years living in a small metal shack that has never had electricity or running water.

He shares a pit latrine with his neighbors. He bathes in a bucket with water drawn from the communal tap. At night, he reads by an oil lamp.

Conditions like this are typical for the nearly 40,000 people who live in the slums of Kliptown, a district in the largely black township of Soweto, South Africa. Generations of families have lived in these ramshackle homes just 15 miles from Johannesburg, the economic capital of the country.

The community has long suffered from high rates of unemployment, crime and school dropouts, and the end of apartheid more than two decades ago did little to change the situation.

"Living in Kliptown ... I wouldn't wish it on my worst enemy," Munyai said. "We are simply trying to survive."

Raised by his aunt, who often struggled to find work, Munyai found basic necessities like food and clothing difficult to come by. But although his circumstances didn't make it easy, he was determined to get an education.

"I spent a lot of time without a school uniform," he said, recalling the embarrassment he felt being different from classmates from middle-class neighborhoods. "Going to school with a hungry stomach ... it was very tough."

Munyai worked hard, however, and in high school, he heard about the Kliptown Youth Program. The after-school program, commonly known as KYP, provided him with intensive tutoring that helped him pass his senior exams and find funding to attend the University of Johannesburg. He recently earned a national diploma in banking.

"This program actually changed my future," Munyai said. "(Without it), right now, I would not be standing here and saying that I went to university."

Stories like this motivate Thulani Madondo, the director and co-founder of KYP. A lifelong Kliptown resident, he has a goal of helping people like Munyai change their lives and their community through education.

Right now, Madondo's group provides academic support, meals and after-school activities to 400 children.

"There are more than 10,000 children in the community, so working with 400 might seem like nothing," Madondo said. "But if (they) are dedicated ... we can make a difference."

Do you know a hero? Nominations are open for 2013 CNN Heroes

Madondo, 30, grew up in a family of nine and faced many of the same struggles Munyai endured. Financial pressure forced all of his older siblings to drop out of high school. But Madondo washed cars and worked as a stock boy to earn money to stay in school, and he became the first member of his family to graduate from high school.

Ultimately, he couldn't afford to go to college, which was a disappointment.

"It was hard. ... You feel like you have no power over your future," Madondo said.

It's that mentality that Madondo and several other young Kliptown natives were looking to change when they founded the program five years ago. Rather than wait for the government to come to the rescue, they decided to take matters into their own hands.

"We didn't want to see other young people going through what we'd gone through: no uniforms ... feeling hungry in class," Madondo said. "We know the problems of this community, but we also know the solutions."

For starters, the program requires a commitment from its members. Every child must come in with a parent or guardian and sign a contract. The deal is simple: Students must agree to stay in school and attend mandatory tutoring sessions twice a week; in exchange, KYP agrees to provide uniforms, books and school fees for any student who cannot afford them.

"We're not just giving handouts," said Madondo, whose group is funded by corporations and private donations. "We're making kids earn whatever they get."

The organization opens the doors to its headquarters every weekday at 7 a.m. to hand out sandwiches for students to take to school. At 2 p.m., when students flood through the gates after school, everyone gets a hot meal and the chance to have some fun.

But every Monday through Thursday at 4 p.m. sharp, students hit the books in the tutoring program. Primary school students are tutored by the program's staff twice a week; on alternate days, professional teachers work with the high school students to prepare them for the matriculation exams required at the end of 12th grade.

On Fridays and Saturdays, students play sports or enjoy cultural activities like drumming or dancing. Books can be borrowed from the program's library -- the only one in the community -- and there are nearly 300 Internet-accessible laptops that were donated through the nonprofit One Laptop Per Child.

"Not every child will want to be in the books every day," Madondo explained. "We've got to come together for fun while we also come together for academics."

It's a formula that's kept the program's members out of trouble and, more important, on track in school. Teachers report that the group's members have increased confidence, greater participation in class and better grades. And over the past four years, nearly every member has passed his or her matriculation exams.

So far, 21 members, including Munyai, have gone on to a university. While the Kliptown program doesn't have the resources to pay for all of its members' higher education, it does provide some financial assistance and helps members find ways to finance the rest. The organization also tries to help the other members find internships or jobs.

Madondo can be seen rushing around the program's complex six days a week. Although he's always busy, he's someone who everyone believes they can count on and look up to.

"Thulani, to be honest with you, he's my role model. He's my brother. He's my friend," Munyai said. "Actually, he's a hero."

The commitment of Madondo and his staff has inspired many former students to follow in their footsteps, strengthening the organization from within. Older high school students often help tutor or run activities for the younger children, and several members have come back to work for the organization after completing high school and college.

"It's such a great thing to give back," said Munyai, who makes time to tutor at least twice a week. "We can actually help the new generation to succeed. A little can go a long way."

That "Kliptown helping Kliptown" philosophy is an important part of what the program is all about. Madondo believes that each student who succeeds is paving the way to lift their family and their community out of poverty. When asked about their potential careers, the students' answers run the gamut: scientist, lawyer, editor, accountant.

"Helping them, I feel excited," Madondo said. "We want them to realize there's something they can contribute to this world. ... We're trying to give them the sense that everything is possible."

Want to get involved? Check out the Kliptown Youth Program website at www.kliptownyouthprogram.org.za and see how to help.

@highlight

An after-school program is giving poor South African kids a shot out of poverty

@highlight

The Kliptown Youth Program uses education as a tool for empowerment

@highlight

Director Thulani Madondo: "We're making kids earn whatever they get"

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes