Can a patient be rejected for a kidney transplant based on a developmental disability? A New Jersey mother alleges in her blog that this happened to her 3-year-old daughter, and it has sparked an Internet uproar.

Whether a person with a mental disability qualifies for an organ transplant is a decision made on a case-by-case basis, based on that patient's health, experts say.

On Thursday, Chrissy Rivera wrote in the blog wolfhirschhorn.org about her latest doctor's visit concerning her daughter, Amelia. Rivera writes in the blog that Amelia was ruled out from receiving a kidney transplant because of her developmental disability.

The blog post went viral and inspired an online petition on Change.org that had collected more than 26,000 signatures by 1 p.m ET Wednesday.

It's not possible to confirm Rivera's story with the hospital because of privacy protection laws.  CNN contacted Children's Hospital of Philadelphia, but the hospital said it had no comment other than a statement posted on Facebook.

Amelia, nicknamed Mia, has the genetic disorder Wolf-Hirschhorn syndrome, which delays growth, development and intellectual abilities. People with this syndrome have unusual physical features such as dry skin, curvature of the spine, dental problems, cleft palate or cleft lip, and weak muscle tone that can cause short stature, according to the National Institutes of Health.

Depending on the type of Wolf-Hirschhorn syndrome, the median life expectancy is no higher than 34 years, according to a 2001 study published in the Journal of Medical Genetics.

Amelia has been a patient at the Children's Hospital of Philadelphia almost all her life, said her father, Joe Rivera. But her kidneys are failing, according to the Riveras.  Her nephrologist estimated she has six months to one year before needing a transplant, the girl's parents said.

In the blog entry, Chrissy Rivera detailed a doctor's visit on January 10. She wrote that a doctor on the transplant team and a social worker said that Amelia could not be a candidate for kidney transplant "because of her mental delays."

The doctor warned that the medications Amelia has to take after a transplant are very dangerous and could cause seizures and brain damage, the blog post said.  According to Rivera, she was told that it was a different case for Amelia compared with other children, because "she is already brain damaged and mentally retarded."

Amelia's dad was also in the room during the conversation.

"I don't know how I didn't jump across the table," he told CNN in a telephone interview.  "I was more in shock. I felt like I was frozen."

Rivera said they did not ask that Amelia be placed on the transplant waiting list, which has 90,150 candidates seeking kidney transplants.  The Riveras wanted to see whether they or other volunteers could be a donor match for her.

Children even as young as Amelia can receive adult organs -- these body parts can be sliced in a way to fit inside a child's body.

Amelia's parents had not been tested to see whether they matched yet.

"We were going into the meeting thinking we're going to be informed on the process," Rivera said.  "Instead he (the doctor) gives us a paper that said she's mentally retarded so she doesn't qualify."

His wife ended her blog post urging readers to share Amelia's story.  "We are in the year 2012 and my child still does not have the right to live, the right to a transplant, because she is developmentally delayed," Rivera wrote.

Without knowing the child's medical information, it's impossible to know whether there were other factors that shaped the doctor's recommendation regarding Amelia's transplant.

On its Facebook page, Children's Hospital of Philadelphia stated that, "We do not disqualify potential transplant candidates on the basis of intellectual abilities. We have transplanted many children with a wide range of disabilities, including physical and mental disabilities."

In response to the barrage of comments on its Facebook page, the hospital wrote: "We're listening. We hear your concerns and take seriously your posts, emails and phone calls."

During a discussion on CNN Tuesday, former prosecutor Seema Iyer said, "I would love to hear from the hospital, because these hospitals are constantly in fear of being sued," and said that there could be other issues in this case.

Rivera said someone from the hospital called Sunday about scheduling another appointment.

"We never said anything about CHOP," he said.  "Some of the people ranting about Facebook, we haven't said one bad thing. We love CHOP.  We want things to be fixed."

There are no national guidelines over transplants involving mentally disabled patients.  The United Network for Organ Sharing, the private, nonprofit organization that manages the nation's organ transplant system, does not have rules about what to do in cases of patients with mental disabilities.

Doctors can refuse to consider a patient for an organ transplant if there is another illness or complications such as a severe infection or cancer that is likely to limit the life span.

Mental disabilities should not factor into the decision making for transplants, so long as the patient has strong support from family and caregivers who would ensure that the required medications and care is given, said Dr. Raul de Velasco, the clinical ethics program director at the University of Miami.

"The mental disability should not be the reason why you should not receive a kidney," said de Velasco. The decision should come down to "a medical problem, not the value of the life of a mentally disabled person."

The issue of developmental delay is a difficult one for transplant doctors.

"It's such an unpredictable area; there's not a lot of info known," said Dr. George Mazariegos, the chief of pediatric transplantation at Children's Hospital of Pittsburgh of UPMC, about various developmental disabilities. "Therefore these decisions are usually individualized, based on the patient's conditions, their absolute need for transplant and other aspects of the patient's condition."

All transplant recipients have to take immune-suppressing medication to make sure there is no rejection of the new organ.

"Because many individuals with disabilities have a guardian or health care provider making sure they're getting to their appointments, the compliance is not an issue," said Marilee Martens, program director of Nisonger Center at The Ohio State University.

Martens wrote a 2006 report examining the outcome of patients with developmental delays who received kidney transplants.  The report published in Pediatric Transplantation concluded that the one-year patient survival rate was 100% and the three-year outcome was 90%.

In Amelia's case, it's difficult to draw any conclusions because, "all we know is what the mom reported hearing. We don't know what the physician stated," she said.

On the flip side, patients who have mental disabilities or neurological delays can qualify to be live organ donors after undergoing screening processes and consent from the family.

Joe Rivera said over the past few days, they've heard from other parents of children with developmental disabilities, who say they were excluded from transplants.

All kids deserve a chance, he said.

@highlight

New Jersey mom wrote that a doctor rejected transplant based on "mental delays"

@highlight

The hospital has faced much criticism from social media

@highlight

Topic of transplants for mentally disabled patients is a complex one