Benghazi, Libya (CNN) -- As clashes in the Libyan capital continued Friday between government security forces and anti-regime protesters, U.N. Secretary-General Ban Ki-moon told reporters unequivocally: "The violence must stop."

His remarks came as state television was airing images of the embattled but defiant strongman urging viewers to defend the nation.

A man CNN will identify only as Reda to protect his identity said in a telephone interview that armed men dressed in plainclothes fatally shot his two brothers Friday as they were demonstrating against the government. Also killed were his two neighbors, he said.

"The bodies have been kidnapped from the street," Reda said. "My other neighbors told me they kidnapped the injured people in the hospital to somewhere, nobody knows (where). This is the perfect crime. He's hiding all evidence for every crime he has. This is the horrible situation that nobody knows."

More than 1,000 people have been killed, according to estimates cited Friday by Ban. He noted that the eastern part of the country "is reported to be under the control of opposition elements, who have taken over arms and ammunition from weapon depots."

At least three cities near Tripoli have been the site of daily clashes, and the streets of the capital are largely deserted because people are afraid of being shot by government forces or militias, he said.

Libyan leader Moammar Gadhafi's supporters "are reportedly conducting house-by-house searches and arrests. According to some reports, they have even gone into hospitals to kill wounded opponents," Ban said.

Accounts from the news media and human rights groups and witnesses "raise grave concerns about the nature and scale of the conflict," he said. He said they include reports of indiscriminate killings, shooting of peaceful demonstrators, torture of the opposition and use of foreign mercenaries.

The victims have included women and children and "indiscriminate attacks on foreigners believed to be mercenaries," he said, referring to reports.

Ban called on the international community "to do everything possible" to protect civilians at demonstrable risk.

Ban said there appeared to be a growing crisis of refugees, with some 22,000 people having fled to Tunisia and a reported 15,000 to Egypt in the past few days. For many, the trip has been a harrowing one.

"There are widespread reports of refugees being harassed and threatened with guns and knives," Ban said.

"The violence must stop," he said. "Those responsible for so brutally shedding the blood of innocents must be punished. Fundamental human rights must be respected."

Ban said he will travel Monday to Washington to speak with U.S. President Barack Obama.

Also at the United Nations, Libyan Ambassador Abdurrahman Mohamed Shalgham told reporters that he hoped Gadhafi and his sons would end the rampage "against our people" within hours.

Asked why he had continued to support Gadhafi until just a few days ago, the diplomat said, "I couldn't imagine in the beginning that it was going to be (this bad)."

But he now supports the protesters. "It's not a crime to say, 'I want to be free,' " he said.

The Libyan ambassador to the United States, Ali Suleiman Aujali, told CNN that he too has joined the opposition.

"When I see the mercenaries killing our peoples, and we see our women screaming in the street, and I see there is no distinguishing between who they are target, I can't take this," said the diplomat, who served the Libyan government's foreign service for more than 40 years.

He said his fellow diplomats and many of the country's police had also turned against Gadhafi in his quest to retain control of Libya. "The problem now is western part," he said, speaking in Washington.

"Unfortunately, they've been confronted with mercenaries."

Asked whether he would want to see his former boss dead, he said, "I want him to be out of my country. I want him to be out of the Libyan life."

As he spoke, reports emerged of sniper and artillery fire in Tripoli, said Mohammed Ali Abdallah of the National Front for the Salvation of Libya, which opposes Gadhafi's regime. He based his account on reports that he said he received from witnesses.

Another witness told CNN that protesters in western Tripoli were met by plainclothes security forces who fired guns at them and later tear gas to disperse the crowds.

Prior to the clashes on Friday morning, security forces had removed barricades, disposed of bodies and painted over graffiti in Tripoli, witnesses said.

On state television, Gadhafi -- wearing a fur trooper's hat and addressing a crowd of supporters -- threatened to escalate the violence. "We can destroy any assault with the people's will, with the armed people," he said. "And when it is necessary, the weapons depots will be open to all the Libyan people to be armed."

At that time, he continued, "Libya will become a red fire, Libya will become an ember."

He vowed to overcome what he described as external forces attempting to take down his nation.

"We will defeat any foreign attempt like we defeated them before, like we did with the Italian colonization, like we did with American airstrikes."

But he presented a carrot with his stick, offering to increase state salaries by 150% and to give $400 to each family.

Earlier, Gadhafi's son said his father has no intention of stepping down.

Asked if Gadhafi has a "Plan B" to leave Libya, Saif al-Islam Gadhafi told CNN Turk: "We have Plan A, Plan B, Plan C. Plan A is to live and die in Libya. Plan B is to live and die in Libya. Plan C is to live and die in Libya."

He said he hoped Libya would emerge from the crisis united.

"I am sure Libya will have a better future," he said. "However, such a strong state as we are, we will never allow our people to be controlled by a handful of terrorists. This will never happen." But global leaders were meeting Friday to talk about what kind of pressure can be brought on Gadhafi to surrender control and limit the humanitarian consequences.

White House press secretary Jay Carney said Washington was suspending embassy operations in Tripoli and pursuing sanctions. "It has been shuttered," he told reporters about the embassy. But State Department officials said they still have channels through which they can still communicate with the Libyan government.

Libyan employees were remaining at the embassy, said Under Secretary ofState for Management Patrick Kennedy. "The flag is still flying. The embassy is not closed. Operations are suspended," he said. "Relations are not broken."

The charge d'affaires at the embassy, Joan Polaschik, expressed relief that she and other Americans had left. "It's a very dangerous and fluid situation," she told CNN in a telephone interview from Istanbul, Turkey.

But she praised the Libyan forces who were charged with providing security for the embassy. "They stayed with me till the bitter end," she said.

The United Nations Security Council discussed a proposed draft resolution that would impose new sanctions on Libya. They include an arms embargo, asset freeze and a travel ban. The draft also refers Libya to the International Criminal Court.

An Obama administration official involved in deliberations regarding sanctions told CNN that the Libyan government has said it has as much as $130 billion in reserves and another $70 billion in foreign assets held abroad.

The legally binding resolution is backed by the possible threat of force but approval of such measures could be stalled by Russia and China, both unlikely to support military intervention. A vote on the resolution could occur Saturday.

NATO Secretary-General Anders Rasmussen said the alliance has assets that can be used in this crisis and that it could "act as an enabler and coordinator, if and when, individual member states want to take action."

Meanwhile, foreign nationals faced a "massive challenge," Rasmussen said, as they braved rough seas to escape the violence in the north African nation. A British ship left Benghazi -- the nation's second-largest city -- with 207 people on board. A ferry carrying 338 people -- 183 of them Americans -- departed Tripoli Friday and arrived in Malta at night.

"I feel for the people who are still there and didn't get a chance to get out, because it's chaos," said Yusra Tekbalim, one of the passengers. She said she had remained hunkered down in her house for four days, during which she heard what sounded like machine-gun fire.

"I think that the Libyans know what this regime is capable of, but I think for the first time the world is actually seeing it," she said.

Another ferry arrived in Malta from Tripoli carrying more than 300 people, including 200 employees of Schlumberger, the oil and gas technology, and their families, a company spokeswoman said.

Libya's uprising, after four decades of Gadhafi's iron rule, took root first in the nation's eastern province. Benghazi and other smaller eastern towns are no longer within Gadhafi's control.

But closer to Tripoli, where the dictator maintains some support, protesters were still being met with brute force.

The city of Zawiya -- about 55 kilometers (35 miles) west of Tripoli -- was the epicenter of violent protests Thursday. Doctors at a field hospital said early Friday that 17 people were killed and 150 more wounded when government forces attacked.

CNN could not confirm reports for many areas in Libya. The Libyan government maintains tight control of communications and has not responded to repeated requests for access to the country. CNN has interviewed numerous witnesses by phone.

Anti-government forces said they had gained control of Zawiya as Gadhafi accused followers of Osama bin Laden of adding hallucinogenic drugs to residents' drinks to spark the unrest.

"They put it with milk or with other drinks, spiked drinks," he said Thursday in a telephone call to state television.

The international fallout, like the protests, has also spread. Switzerland ordered Gadhafi's assets frozen, the foreign ministry said.

CNN's Yousuf Basil, Ben Wedeman, Saad Abedine, Richard Roth, John King, Whitney Hurst, Pam Benson, Ingrid Formanek and Salma Abdelaziz contributed to this report.

@highlight

Gadhafi offers to increase state salaries and give families money

@highlight

Libyan ambassador: "It's not a crime to say 'I want to be free' "

@highlight

Ban: "The violence must stop"

@highlight

U.S. suspends embassy operations in Tripoli