KANSAS CITY, Missouri (CNN) -- President Bush drew parallels between the aftermath of the Vietnam War and the potential costs of pulling out of Iraq in a speech Wednesday.

President Bush draws parallels Wednesday between the cost of pulling out of Iraq and "the tragedy of Vietnam."

"Three decades later, there is a legitimate debate about how we got into the Vietnam War and how we left," Bush told members of the Veterans of Foreign Wars, at their convention in Kansas City, Missouri.

"Whatever your position in that debate, one unmistakable legacy of Vietnam is that the price of America's withdrawal was paid by millions of innocent citizens, whose agonies would add to our vocabulary new terms like 'boat people,' 're-education camps' and 'killing fields,' " the president said.

The White House billed the speech, as it did next week's address to the American Legion, as an effort to "provide broader context" for the debate over the upcoming Iraq progress report by Gen. David Petraeus, the top U.S. military commander, and Ryan Crocker, the U.S. ambassador in Baghdad.

Bush also sought to shore up the perception of his support for Iraqi Prime Minister Nuri al-Maliki, after voicing some frustration with him on Tuesday.

"Prime Minister Maliki's a good guy -- good man with a difficult job and I support him," Bush said. "And it's not up to the politicians in Washington, D.C., to say whether he will remain in his position.  Watch Bush reiterate his support for al-Maliki »

Sen. Edward Kennedy, D-Massachusetts, said Bush had drawn the wrong lesson from history:

"America lost the war in Vietnam because our troops were trapped in a distant country we did not understand supporting a government that lacked sufficient legitimacy with its people," Kennedy said in a statement.

Sen. Joe Biden, Democratic chairman of the Senate Foreign Relations Committee, invoked his own Vietnam analogy in a statement released after the speech:

"It's the president's policies that are pushing us toward another Saigon moment -- with helicopters fleeing the roof of our embassy -- which he says he wants to avoid."

Biden said Bush continues to cling to the premise that Iraqis will rally behind a strong central government, but he believes that will not happen.

"There's no trust within the Iraqi government; no trust of the government by the Iraqi people; no capacity of that government to deliver security or services; and no prospect that it will build that trust or capacity any time soon," Biden's statement said.

But House Republican leader John Boehner of Ohio said more Democrats are "bucking their party leaders" in acknowledging progress in Iraq.

"Many rank-and-file Democrats have seen this progress firsthand and are now acknowledging the successes of a strategy they've repeatedly opposed," Boehner said in a statement. "But Democratic leaders, deeply invested in losing the war, would rather move the goalposts and claim that a precipitous withdrawal is the right approach despite the overwhelming evidence of significant progress."

Former presidential adviser David Gergen said Bush ran the risk of doing as much harm as good for his case.

"By invoking Vietnam he raised the question, 'if you learned so much from history, how did you ever get us involved in another quagmire?' " Gergen said.

Gergen said he did agree with Bush in one respect, though: "He's right, initially when we pulled back in Vietnam there were massive killings."

On Tuesday, Bush had expressed frustration with the pace of progress toward political reconciliation in Iraq, saying if the Iraqi government doesn't "respond to the demands of the people, they will replace the government."

Iraqi Prime Minister Nuri al-Maliki on Wednesday shot back at criticism of his government, including pointed remarks from a U.S. senator who called his administration "nonfunctioning" and urged Iraq's parliament to turn it out of office.

Speaking at a press conference in the Syrian capital of Damascus, al-Maliki characterized such comments as "irresponsible" and said they "overstep the bounds of diplomatic and political courtesy."

Government spokesman Ali Dabbagh told CNN that al-Maliki was referring to comments made Monday by Sen. Carl Levin, the Michigan Democrat who chairs the Senate Armed Services Committee, who called on Iraq's parliament to turn al-Maliki's "nonfunctioning" government out of office when it returns in two weeks.

Levin said al-Maliki's government was "too beholden to religious and sectarian leaders" to reach a political settlement that would end the country's sectarian and insurgent violence.

In his speech, Bush said withdrawing from Vietnam emboldened today's terrorists by compromising U.S. credibility, citing a quote from al Qaeda leader Osama bin Laden that the American people would rise against the Iraq war the same way they rose against the war in Vietnam.

"Here at home, some can argue our withdrawal from Vietnam carried no price to American credibility, but the terrorists see things differently," Bush said.

President Bush has frequently asked lawmakers -- and the American people -- to withhold judgment on his troop "surge" in Iraq until the report comes out in September.

It is being closely watched on Capitol Hill, particularly by Republicans nervous about the political fallout from an increasingly unpopular war.

Earlier this month, Defense Secretary Robert Gates said he would wait for the report before deciding when a drawdown of the 160,000 U.S. troops in Iraq might begin.

Bush's speeches Wednesday and next week are the latest attempts by the White House to try to reframe the debate over Iraq, as public support for the war continues to sag.

A recent CNN/Opinion Research Corporation poll found that almost two-thirds of Americans -- 64 percent -- now oppose the Iraq war, and 72 percent say the Petraeus report will have no effect on their opinion.

The poll also found a great deal of skepticism about the report; 53 percent said they do not trust Petraeus to give an accurate assessment of the situation in Iraq.

In addition to his analogy to Vietnam, Bush referred to previous conflicts in Asia in talking about the war against terror in Iraq.

"There are many differences between the wars we fought in the Far East and the war on terror we are fighting today," Bush said. "But one important similarity is that at their core, they are all ideological struggles.

"The militarists of Japan and the Communists in Korea and Vietnam were driven by a merciless vision for the proper ordering of humanity. They killed Americans because we stood in the way of their attempt to force this ideology on others."

Bush said history proved skeptics wrong about Japan's ability to become a free society and will prove those who want to withdraw from Iraq wrong.

"In the aftermath of Japan's surrender, many thought it naive to help the Japanese transform themselves into a democracy. Then, as now, the critics argued that some people were simply not fit for freedom," Bush said. "Today, in defiance of the critics, Japan ... stands as one of the world's great free societies." E-mail to a friend

@highlight

NEW: Kennedy: Bush drawing wrong lesson from history

@highlight

President says withdrawing from Iraq will embolden terrorists

@highlight

Speech is latest White House attempt to try to reframe the debate over Iraq