(CNN) -- The phone-hacking scandal engulfing Rupert Murdoch's media empire intensified in the United States on Wednesday as three senators and a congressman urged federal authorities to investigate whether one of Murdoch's U.S.-based companies may have violated anti-bribery and other laws.

A fourth senator told CNN he was considering launching his own investigation into the scandal.

Sens. Frank Lautenberg, D-New Jersey, and Barbara Boxer, D-California, sent letters to Attorney General Eric Holder asking Holder to look into concerns that News Corp. -- the parent company of Fox News -- violated the Foreign Corrupt Practices Act, known as the FCPA. The law, enacted in 1977, makes it illegal for a U.S. person or company to pay foreign officials to obtain or retain business.

Sen. Robert Menendez, D-New Jersey, also wrote to Holder, asking him to examine whether journalists working for Murdoch may have tapped into the phones of the victims of the September 11, 2001, terrorist attacks.

Rep. Peter T. King, R-New York, asked FBI Director Robert Mueller to investigate that possibility.

Their concerns appear to be traceable to a story published Wednesday by the Mirror, a British tabloid that includes a section it describes as "gossip gone toxic."

The newspaper cited "a source" who referred to a former police officer who now works as a private investigator. "The investigator is used by a lot of journalists in America and he recently told me that he was asked to hack into the 9/11 victims' private phone data," the investigator reportedly told the newspaper.

"He said that the journalists asked him to access records showing the calls that had been made to and from the mobile phones belonging to the victims and their relatives.

"His presumption was that they wanted the information so they could hack into the relevant voice mails, just like has been shown they have done in the UK. The PI said he had to turn the job down. He knew how insensitive such research would be, and how bad it would look.

"The investigator said the journalists seemed particularly interested in getting the phone records belonging to the British victims of the attacks."

News of the World, a 168-year-old British newspaper owned by Murdoch, folded Sunday in the wake of accusations that its reporters illegally eavesdropped on the phone messages of murder and terrorist victims, politicians and celebrities. Police in the United Kingdom have identified almost 4,000 potential targets of phone hacking.

There also were reports that reporters may have bribed law enforcement officers.

"The limited information already reported in this case raises serious questions about the legality of the conduct of News Corp. and its subsidiaries under the FCPA," Lautenberg wrote.

Potential liability flows from journalists at News of the World to its parent, News International, to its parent, News Corp., which is a publicly held company in the United States.

Sen. Jay Rockefeller, D-West Virginia, told CNN Tuesday he may start his own investigation.

"My bet is we'll find some criminal stuff," Rockefeller said. "This is going to be a huge issue."

Rockefeller said he is also concerned about whether journalists tapped into the phones of the 9/11 victims.

The Justice Department confirmed Wednesday receipt of letters from Rockefeller, Boxer and Lautenberg. "We are reviewing the letters," said Justice Department spokesperson Laura Sweeney, who declined further comment.

Relatives of the victims of the terrorist attacks expressed outrage Wednesday over the possibility they may have been hacking victims.

What they went through is "heartfelt stuff, and it shouldn't be out there for all to see unless the family approves," said Jim Riches, a retired New York Fire Department deputy chief who lost a son in the attacks.

"Until we get some accountability, they're just going to keep doing it," Riches said. "It's completely unethical, unprofessional and basically criminal."

Sally Regenhard, who also lost a son in the attacks, called it "very horrifying that privacy and personal security could be violated in such an egregious manner."

"This is a big issue and I think it needs to be dealt with head-on," she said. "No one is above the law. ... I want to see real action."

Despite the closure of News of the World, News International still owns The Sun, The Times and The Sunday Times in Britain. News Corp. encompasses not only Fox News, but also The Wall Street Journal, the New York Post and Harper Collins publishers.

"There does seem to be a basis for a U.S. investigation at this point," said Mike Koehler, a professor of business law at Butler University in Indianapolis, in a telephone interview Monday with CNN about whether U.S. law might apply to the hacking scandal in Britain.

Mark Rasch, a former Justice Department cybercrimes prosecutor, told CNN a federal investigation "is certainly appropriate to determine what the facts are."

"It doesn't matter if the intended victims in the U.S. were Americans or British," he said. "If I hire a (private investigator) to break into the records of people in New York, it doesn't make a difference."

But attorney Richard Cassin, who helps clients comply with the FCPA, said he believes a prosecution is unlikely.

"The chances are very slim unless the payments we know about turn out to be the tip of the iceberg," he said.

Cassin argued that U.S. authorities are likely to trust the British legal system -- older than America itself -- to handle the case. U.S. authorities usually go after cases that are not being prosecuted elsewhere and in which widespread, systematic bribery can be proved, he said.

News Corp., he noted, does not fit the bill.

The biggest case for an FCPA violation to date involved the German company Siemens AG, which paid $1.36 billion in bribes to foreign officials working on projects including the United Nations' oil-for-food program in Iraq and others in Nigeria, Bangladesh, China, Russia and Vietnam.

The company paid $800 million in fines and penalties for the FCPA violation.

But the United States took on that case partly because Germany did not prosecute Siemens, Cassin said, for what amounted to widespread bribery.

Were a U.S. case against News Corp. to arise, the potential implications for the Murdoch media empire would be numerous -- and none of them are good, Koehler said.

An investigation would most certainly attempt to answer the question of how widespread bribes were within News Corp. Were other employees -- all over the world, for that matter -- making similar payments?

The FCPA stipulates that U.S.-listed companies, their employees or agents may not make bribes to foreign officials. A second portion of the law applies to accounting requirements for public companies, said Don Zarin, author of "Doing Business Under The Foreign Corrupt Practices Act" and a partner with the Washington-based law firm of Holland & Knight.

"They have to keep books and records in reasonable detail that reflect the transactions," he said.

So, if a bribe was made and not properly noted, the U.S. Securities and Exchange Commission and the Justice Department could each have a case, Zarin said.

A telephone call or an e-mail from an editor in London to his or her boss in New York could prove key, he said.

"If you send an e-mail to the boss saying, 'I'm going to pay $10,000 to police officers for this information,' that would provide the jurisdictional basis or potential liability on the part of possibly the British employees," Zarin said.

If any employee of News Corp., which is listed in the United States, knew about and authorized such a payment, "they could have potential exposure," he said.

And if Murdoch -- the 80-year-old Australian-born head of News Corp. who became a U.S. citizen in 1985 -- knew what was going on and authorized it, even implicitly, "he could have some potential exposure," Zarin said.

The penalties can be severe, including jail time and fines, he said. And ignorance confers no protection.

"The SEC has brought cases against U.S. companies who had no knowledge of what foreign subsidiaries were doing, but had misbooked it," he said, adding that the SEC blamed the companies for not having set up the internal controls that would have caught the illegal behavior.

A Justice spokeswoman said she could not comment on the possibility of the department's involvement.

If the charges wind up being nothing more than civil accounting violations, the SEC would handle the case and Justice would not become involved, said James Tillen, coordinator of the FCPA Practice Group at Miller and Chevalier, a Washington-based law firm specializing in international regulatory issues, tax and litigation.

That would still carry a major risk to those involved.

"The SEC has a lot of bite in significant fines, penalties, prohibiting people from serving as officers in public companies," he said. "That can derail a career quickly."

But a criminal prosecution by federal prosecutors would be the most to fear, since it would carry the potential of jail time, Tillen said.

SEC fines can range up to $25 million per violation in such cases, but totals regularly exceed $100 million because the agency can force the company to disgorge ill-gotten gains.

The Justice Department can impose a criminal fine on individuals of up to $100,000 and five years in prison for each count on a bribery charge, he said. Multiple counts could lead to higher fines and sequential prison terms.

But fines are typically pegged to how much a company or an individual gained as a result of the crime, Tillen said. That can be easy to figure out when the subject is a contract, but any case involving Murdoch's empire might present more of a challenge. "How many more newspapers did you sell?" he asked.

CNN's Ted Barrett, Moni Basu, Dugald McConnell, Leigh Remizowski, and Tom Watkins contributed to this report

@highlight

NEW: Some U.S. lawmakers are concerned 9/11 victims may have had their phones hacked

@highlight

NEW: The concerns appear linked to a tabloid report

@highlight

Three senators, a congressman ask Justice Department to investigate News Corp.

@highlight

A fourth senator tells CNN he may launch his own investigation