Washington (CNN) -- At the outset, this new coalition of the willing seemed like a coalition of the iffy.

As Secretary of State John Kerry wrapped up his Middle East tour to rally Arab support for the fight against ISIS earlier this month, he returned with pledges from more than 40 Arab countries, but few concrete commitments.

Now, five Arab states -- all Sunni-led -- have joined the U.S. in striking the militant Islamist group inside Syria in a show of force that is bolstering the coalition's credibility.

The U.S. confirmed that Saudi Arabia, Jordan, Bahrain, the United Arab Emirates and Qatar participated in the action but left it up to those states to divulge the details of their involvement.

The coalition that struck Syria for the first time in this conflict was notably, and intentionally, devoid of Western partners to give the efforts an Arab face -- a departure from past American interventions in the region.

And while several Gulf nations have supplied the Syrian opposition and Jordan has quietly hosted a CIA training program for Syrian rebels on its soil for at least a year, the strikes mark the most overt and significant involvement in the Syrian conflict.

As President Barack Obama and U.S. officials have emphasized: every Arab nation has a stake in thwarting ISIS -- and it appears those countries are catching on to that realization, sending a strong message that ISIS is just as much a threat to Sunnis in the region as to Shiite-dominant Iraq and the Western world.

"The strength of this coalition makes it clear to the world that this is not America's fight alone," Obama said. "Above all, the people and governments of the Middle East are rejecting ISIL and standing up for the peace and security that the people of the region and the world deserve."

The action finally gives credence to State Department officials' claims over the last few weeks that the U.S. has accumulated concrete commitments from Arab nations to thwart the advance of ISIS.

"Last night's strikes were only the beginning," Pentagon spokesman Rear Adm. John Kirby said.

And with U.S. officials predicting a long-term campaign to "defeat, and ultimately degrade" ISIS, as Obama has put it, it is still unclear whether Arab nations are committed to a drawn-out effort.

How Obama came to launch strikes in Syria

The coalition

The United Arab Emirates, which has been one of the United States' strongest partners in the fight against ISIS, confirmed its participation in the "international effort against the ISIL," another acronym for ISIS.

And in its statement, the UAE foreign ministry left the door open to further military strikes, noting that its air force "launched its first strikes against ISIL."

Bahrain and Jordan also confirmed that their air forces struck terrorist targets inside Syria, with Jordan also saying it would strike again if fighting spills over into Jordan, as it has in recent months.

Saudi Arabia's official press agency confirmed the country's role in "military operations in Syria."

Qatar has yet to put out a statement on its role in the strikes, but a senior U.S. military official has told CNN's Jim Sciutto that Qatar did not drop bombs in Syria.

Even if acting only in a support role, its public involvement in the military campaign is a symbolic move that could have big implications.

The Gulf nation has been increasingly ostracized by its Gulf neighbors over the last six months for its support of the Muslim Brotherhood and over accusations that it is playing both sides of the Syrian conflict. The U.S. has increasingly pressured Qatar to clamp down on Qataris who are reportedly financing ISIS.

U.S.-led airstrikes in Syria: Who's in, who's not

Turkey, Egypt decline aid for anti-ISIS effort

Secretary of State John Kerry continued to emphasize as recently as Friday's U.N. Security Council meeting that "there is a role for nearly every country in the world to play" in the fight against ISIS.

But some nations were notably off the list of countries involved in the military campaign against ISIS Monday night.

Turkey, a NATO ally, and Egypt were both on the sidelines as the U.S.-led coalition pummeled targets inside Syria. While the two countries are part of the 40-member group of nations supporting the take-down of ISIS, the two countries have shied from making any actionable commitments.

Until now, Turkey has pinned its restraint on a group of 49 Turkish hostages held by ISIS.

And now that Turkey has managed to secure those hostages release, U.S. and NATO officials have raised concerns that Turkey may have bartered its involvement for the hostages' freedom.

Turkish Prime Minister Tayyip Erodgan told reporters in front of the United Nations on Tuesday that Turkey will do what it can to help the fight against ISIS and called the strikes "positive."

Kerry and Obama have emphasized, though, that the fight against ISIS is not a purely military effort and the Obama administration has been seeking out commitments from Arab states to cut off ISIS's financial pipeline and track the stem and flow of foreign fighters -- now numbered at about 10,000 -- now fighting for ISIS and other extremist groups inside Iraq and Syria.

The U.S. has also sought out support from Muslim clerics in the region to denounce ISIS's claim to the mantle of Islam in the region.

Growing fear of extremism

And increasing fears in the region have pushed Arab states to join the U.S. effort.

ISIS's rise is not an outlier in a region that has seen terrorist and extremist groups burgeon in the aftermath of the Arab spring -- from insurgents in Libya to terrorist groups staking their claim in Egypt's Sinai.

So as the U.S. has played up regional fears about the growth of ISIS, partner Arab nations are now calling on the U.S. to help address the swell of extremism in the region, Arab diplomats tell CNN.

And further Arab involvement could be contingent on a broader U.S. commitment to stamping out extremist ideology threatening current governments throughout the Middle East.

With up to 10,000 foreigners-- most of them coming from the Middle East and North Africa -- fighting with ISIS in Iraq and Syria, Arab rulers are starting to fear how the return of those extremist fighters could threaten their countries' stability.

Jordan, for example, which borders both Iraq and Syria, is already feeling the effects of a humanitarian crisis that has spilled onto its territory, where more than 600,000 Syrian refugees are testing the capacity of the Jordanian state.

And Arab fears in the region have helped the U.S. drum up a global coalition that can defeat ISIS -- both its forces and its ideology.

"We cannot destroy this group on our own," Kerry said in a recent interview with CNN. "Defeating this common enemy calls for a common cause, and we're taking it on to succeed together."

Maps: Arab nations join U.S., expand fight against terror to Syria

CNN's Jim Sciutto contributed to this report.

@highlight

The coalition that struck ISIS in Syria was notably devoid of Western partners

@highlight

That was a departure from past American interventions in the region

@highlight

Obama: "This is not America's fight alone"