(CNN) -- Israel's ongoing military operation in Gaza -- Protective Edge -- has animated the Shia Islamist leadership in Tehran.

The bloody conflict, and the global Muslim outrage it has provoked, is held by the Iranian regime as a chance to redeem itself in the eyes of the Sunni Muslim majority in the world.

When Iran's Supreme Leader Ayatollah Ali Khamenei this week called on the "Muslim Nation" to set aside differences and unite against Israel, he was in fact pitching Iranian leadership. Other Muslim leaders speak in such terms. The difference is Iran has the capacity to militarily make a difference by resuming arms supplies to Hamas.

As Khamenei and other Iranian leaders intensify the call to arm Hamas, the political reward they seek is hard to miss.

On the geopolitical map of the Middle East, the Gaza conflict offers an opportunity for Tehran to perhaps start reversing a trend for Iran to be seen as a Shia power -- thanks to its support for the Assad regime in the Syrian civil war -- and go back to what it prefers most: to carry the pan-Islamist banner and offer itself as the principal guardian of Muslim causes.

The beleaguered Hamas -- Iran's one-time favorite Sunni surrogate -- might not have an alternative but to return to Tehran's orbit after a four-year freeze in relations.

Senior security officers from the Palestinian Authority (PA) in Ramallah in the West Bank are keeping a very close eye on the Iran-Hamas dynamics. Officials in the PA, dominated by Hamas' secular rivals from the Fatah movement, fear that Iran extending its hand to Hamas will only embolden it and prolong this latest military round with Israel.

At the same time, officials from the PA detect a strong tendency among Hamas leaders to be open to Tehran's conditions for a resumption of Iranian assistance should Tehran decide to forgive Hamas for its 2011 betrayal. That is when Hamas chose to back the Syrian opposition against the Tehran-backed regime of Bashar al-Assad and thus left Iran's orbit after nearly two-decades of Iranian patronage.

According to one PA official, "Hamas has no other option except to return to its Iranian sponsor." As he put it, "Iran's relations with Hamas were from the outset tactical" and the present circumstances make reconciliation beneficial to both.

Hamas can look forward to the resumption of Iranian arms. Tehran can hope to turn the global Muslim attention to its role as a protector of Palestinians, a development that serves its regional agenda given the unpopularity of Iranian support for Assad in Syria among Muslim public opinion.

In reality, Tehran never entirely cut Hamas loose after the debacle over Syria.

According to a senior PA official, Hamas' political contacts with Iran were largely frozen but the military relationship has continued throughout. Tehran never shut the door to the radical line of Hamas leaders, including Mahmoud al-Zahar in Gaza, and Imad al-Alami, the former representative of Hamas to Iran.

Other Hamas chiefs did not receive this Iranian benevolence. Khaled Meshaal, the one-time Damascus-based political face of Hamas who relocated to Qatar in 2011, has -- according to Iranian media -- tried unsuccessfully for the last three years to make a visit Tehran. He was kept at bay but there is now speculation that Tehran might be willing to receive Meshaal.

If so, it might just be the beginning of the end of the Hamas-Iran fallout over Syria. The groundwork for such a visit might already be in place. Soon after Israel launched its latest campaign against Hamas in Gaza, the influential speaker of Iran's parliament, Ali Larijani, was on the phone with Meshaal. A few days later, the Iranian foreign minister, Javad Zarif called, each promising Tehran's support.

Hezbollah of Lebanon, the jewel in Iran's Arab crown, has also opened the door to Hamas. Palestinian reports suggest that the Palestinian Islamic Jihad (PIJ), a militant movement close to Iran that unlike Hamas stayed loyal to Tehran over its support for Assad in Syria, is now mediating between Hamas and Hezbollah.

The head of PIJ, Abdullah Shallah, is said to personally lead the effort, which has included a phone conversation between Hassan Nasrallah and Meshaal.

Last week, Nasrallah gave an impassioned speech where he pledged "Hezbollah and the Lebanese resistance will stand by the Palestinian peoples' uprising," but he has thus far resisted Hamas' call for it to open a northern front against Israel."

With Hezbollah fighters still in action in Syria in support of the Assad regime, and with memories fresh of Hamas' support for the Syrian opposition, and given Nasrallah's delicate domestic policy agenda in Beirut, a northern front is very doubtful in this round of fighting.

Still, Iran and Hezbollah can deliver weapons and military know-how, something that other Hamas backers -- such as Qatar and Turkey -- are unable or unwilling to do. As Major General Saeb al-Ajez, the former commander of PA National Security Forces (NSF) put it, Hamas needs to return to the Iranian orbit as it desperately needs military replenishment.

Palestinian sources believe that Meshaal's visit to Tehran likely will happen once a ceasefire with Israel has been agreed. He is expected to thank Tehran for its support and use the visit as a public pronouncement that the Hamas-Iran spat is finally over. A visit to Tehran by Meshaal, however, is still entangled in the geopolitical mess that is today's Middle East.

Meshaal's closest regional allies, Qatar, where he lives, and Turkey, are still at loggerheads with Tehran over competition for influence in Syria and increasingly in Iraq. As a way to bypass this hindrance, Tehran will no longer insist that Hamas publicly support the Assad regime in Syria but only to refrain from publicly criticizing his rule. According to Palestinian sources in the West Bank, Hamas is willing to make this compromise with Tehran.

@highlight

Gaza has provoked outrage in the Muslim world, write Alex Vatanka and Mohammed Najib

@highlight

Tehran is trying to build on the outrage, to gain influence by backing Hamas, they say

@highlight

This follows Iran's backing of the al-Assad regime in Syria, while Hamas backs rebels

@highlight

Hamas needs to return to Tehran's orbit in order to get military supplies, authors say