Waretown, New Jersey (CNN) -- In the shadow of the nation's oldest operating nuclear power plant, Alfonse Esposito fishes along Oyster Creek in central New Jersey, where he's caught and eaten bluefish and kingfish for 37 years.

"I never had a problem with the fish. I'm fine," says the retiree. "There's not anything wrong."

But there is, warns Waretown Mayor Joe Lachawiec, who used to fish here himself. He worries about leaks of radioactive water the Oyster Creek Generating Station revealed two years ago, shortly after the nuclear power plant's owner, Exelon Corp., won a license renewal from the Nuclear Regulatory Commission.

In April 2009 Exelon discovered two leaks in underground pipes, allowing radioactive tritium to enter the groundwater. Later that year, in August, Exelon discovered yet another leak in a six-inch aluminum pipe.

"I know that tritium is a dangerous radioactive material," Lachawiec said.

Tritium is a radioactive isotope of hydrogen. It occurs naturally. But it's also a byproduct of nuclear power generation.

Because of the leaks, tritium seeped into the aquifers directly underneath the power plant. Those underground waterways eventually feed into wells that provide drinking water.

Monitoring wells in New Jersey's Cohansey aquifer last year detected tritium levels of 4 million picocuries per liter, 200 times what the Environmental Protection Agency considers safe.

Such radioactive spills are a problem nationwide. More than half of the country's 65 nuclear power plant sites have suffered significant tritium leaks or spills, according to the Nuclear Regulatory Commission. The worst was at the Braidwood plant, 60 miles southwest of Chicago, also owned by Exelon, which leaked more than 6 million gallons of contaminated water, causing some tritium to enter a drinking water well.

Many of the leaks are the result of corroding underground pipes that have not been maintained. That can lead to a variety of radioactive compounds entering groundwater, but tritium travels fastest through the soil.

The commission did not order Exelon to clean up the spill at Oyster Creek, an example, some scientists claim, of the agency's failure to fully protect the public.

"The NRC's almost acting like they're waiting till somebody dies till they enforce the regulation. Tombstone regulation -- that's too high a price to pay by Americans," said David Lochbaum, director of the Nuclear Safety Project of the Union of Concerned Scientists.

Lochbaum, a nuclear engineer and former instructor for the NRC, claims the commission is playing what he calls "regulatory roulette," sanctioning plant owners and demanding a clean-up in some cases, such as the Braidwood spill, but not in other instances, like Oyster Creek.

"The NRC can't have a 'Wheel of Misfortune' that decides when it acts and when it doesn't. The NRC needs to consistently enforce its regulations so that all Americans living in all states are protected," Lochbaum said.

The Nuclear Regulatory Commission has taken such criticism seriously. Last year it conducted a self-analysis to determine if it was responding adequately to nuclear plant leaks. The commission's Groundwater Task Force found that the "NRC response to incidents could be enhanced to be more reliable."

"It's fair to say that we're inconsistent in our response," concedes Martin Virgilio, deputy executive director for reactor and preparedness programs at the commission. "That was one of the things that we took from that task force was that we needed to be more consistent in how we approach these problems."

In the case of Oyster Creek and other similar plant leaks, however, the NRC argues it did the right thing in not sanctioning the plant operators because the radioactive water remained on the property of the nuclear plant.

"None of the leaks have been significant. If you think about the radiological effects of these leaks, none have exceeded our regulatory requirements or have caused any problems from a health perspective to anybody located either onsite or offsite of the nuclear power plants," Virgilio said.

New Jersey's Department of Environmental Protection sharply disagrees. Not only is it concerned about tritium entering the underground aquifers, but analysis also shows a plume of tritium headed toward Oyster Creek surface water. So the state demanded Exelon clean up the contaminated groundwater.

"Once that water moved off the plant into the water supply of the state of New Jersey, we felt that it was in our responsibility to go after and protect that water supply," said New Jersey Department of Environmental Protection Commissioner Bob Martin. "We felt from New Jersey's point of view, our number-one job was to protect the health and safety of people in New Jersey."

Exelon cooperated. It drilled wells to pump out the contaminated groundwater. Subsequent measurements indicate tritium levels are steadily dropping as more groundwater is extracted.

In a written statement, the plant owner told CNN, "Exelon continues to meet with the state on a periodic basis to discuss progress of groundwater remediation for the plant, and we understand we have met expectations to date."

The groundwater is processed through the Oyster Creek plant's cooling system, where it is diluted. Then it pours into the Oyster Creek. So there are small concentrations of tritium in the creek where Alfonse Esposito fishes. But both state and federal regulators say those levels are far below what the Environmental Protection Agency would consider unsafe.

@highlight

A leak of radioactive tritium from a nuclear plant in New Jersey drew no federal sanctions

@highlight

An NRC official concedes the agency has been inconsistent

@highlight

Critic: "The NRC can't have a 'Wheel of Misfortune' that decides when it acts"