(CNN) -- Advancements in Iranian missile capabilities are driving Gulf Arab countries to cooperate on a theater-wide missile defense system. The fear is that Iran could launch missiles at refineries, population centers, oil tankers and naval forces if conflict erupted. To deter and, if necessary, destroy Iranian missiles, the United States is championing a defense shield across the Arabian Peninsula, covering Kuwait to Saudi Arabia, Bahrain, Qatar and the United Arab Emirates.

But pronouncements are easier to make than to realize in practice. Can these Gulf nations overcome their differences for their mutual protection? Is U.S. diplomacy sufficient to forge such collaboration?

The proposal occurs amid escalating tensions with Iran. Last year the International Atomic Energy Agency raised new concerns about Iran's secretive nuclear programs. Diplomacy failed to address these issues, prompting the United States and Europe to tighten sanctions against Iran's oil economy. While the Tehran regime ratchets up its rhetoric, senior U.S. officials are trying to forestall an Israeli pre-emptive attack on Iran's nuclear sites and to reassure Gulf leaders that a U.S.-led defensive umbrella would mitigate the effects of any conflict.

The United States has potent, seaborne Aegis anti-missile defenses to offer, and Israel and Saudi Arabia have previously invested in missile defense systems. Indeed, Saudi Arabia recently announced a major modernization of its Patriot Advanced Capability, or PAC-3, missile systems. But the latest scheme is a plan to build a regional network linking Kuwait, Bahrain, Qatar and the United Arab Emirates into a wider intelligence and early-warning network, offering them defensive systems that can operate with U.S. Armed Forces.

Opinion: Romney on Iran is just like Obama

Recent multibillion-dollar deals include Kuwait's purchase of 60 new PAC-3 missiles and a variety of radars, control stations and launching stations; and the United Arab Emirates' deployment of both PAC-3 short-range interceptors and Terminal High Altitude Area Defense, or THAAD, medium-range interceptors. Meanwhile, the United States has been beefing up defenses at its bases in Saudi Arabia and Bahrain (headquarters of the U.S. Navy's Fifth Fleet) as well as erecting an early-warning radar system in Qatar.

The chaos in Syria adds urgency to these efforts. President Bashar al-Assad has threatened to fire missiles and chemical weapons against states that intervene in Syria's civil war, presumably including countries supporting future U.S. military activities.

But while Syria may pose a threat to some in the region, theater missile defenses are primarily aimed at Iran's mounting military arsenal. Those growing capabilities include short-range missiles designed to hit sea-based targets as well as medium-range Shahab and Ghadr missiles.

Iran's missiles are mostly mobile and thus difficult to strike pre-emptively. The Pentagon estimates that Iran could test-flight an intercontinental missile, capable of carrying a nuclear warhead, as early as 2015.

In the midst of these tensions, few would be shocked by a war with Iran. Indeed, many already see a low-level "shadow war" under way, with assassinations, terrorism, offensive cyberwarfare (including the use of the Stuxnet computer worm that infected Iran's nuclear enrichment facilities at Natanz), unmanned aerial vehicles and the use of special operations forces widely reported. The Iranians have threatened to close the Strait of Hormuz oil route, a move that could be accomplished by laying mines and targeting the narrow shipping chokepoint, or using swarm boat tactics to attack combat ships and tankers, or blowing up critical energy infrastructure that would be costly and difficult to replace.

In other words, any missile defenses would be part of a larger war, making it difficult to predict the various scenarios that might unfold in a prolonged, wider war with Iran.

Opinion: A lull in the drift toward war with Iran?

All these military measures would have to be tied to political goals. Yet an escalating conflict could easily lead to shifting war aims and mission creep. For example, the United States and its allies might seek regime change rather than just the eradication of Iran's nuclear program. Likewise, for the Iranian regime, objectives could encompass not just survival and sanction-busting but also a desire to inflict economic harm on the United States and threaten the viability of Israel.

Israel, with its Iron Dome and Arrow anti-ballistic missile defense systems, has the world's most robust national missile defenses in the world. Yet if Tehran acquires nuclear weapons, many Israelis believe the Iranians would use them as an offensive weapon and not just to achieve deterrence.

Israel's Iron Dome can protect against short-range missiles, and recently upgraded Arrow systems are designed to thwart advanced medium-range missiles. But reports are rampant that Israeli Prime Minister Benjamin Netanyahu might pre-emptively strike Iran's nuclear facilities before the U.S. November elections. No doubt such reports are only further encouraging the Obama administration's intensive efforts to strengthen deterrence and reassure regional partners.

Opinion: What if Israel bombs Iran?

But it is unlikely that Israel and the Gulf Arab states can forge a seamless missile shield across a vast region. Indeed, there are serious questions about how well Gulf states can share information and act in concert.

What's new this past year is that five of the six-member states that make up the Gulf Cooperation Council (Oman being the outlier) are attempting NATO-like security cooperation despite their different agendas and historical antipathies. Longstanding differences are unlikely to be bridged in a matter of months -- unless something forces them together.

No country is eager to blunder into war with Iran. At the same time, should conflict escalate, Iran's actions may drive disparate actors, even Gulf Arab states and Israel, to unprecedented collaboration for their mutual defense.

The opinions expressed in this commentary are solely those of Patrick M. Cronin.

@highlight

Patrick M. Cronin: Gulf Arab countries are cooperating on a missile shield against Iran

@highlight

Cronin: U.S. is hoping to cover Kuwait to Saudi Arabia, Bahrain, Qatar and United Arab Emirates

@highlight

Cronin: Pentagon says Iran could test-flight an intercontinental missile as early as 2015

@highlight

There are serious questions about how well Gulf states can collaborate, Cronin says