Far Rockaway, New York (CNN) -- First Sandy. Then a nor'easter. Residents in this small hamlet at the eastern edge of Rockaway Peninsula are exhausted and on edge.

Eleven days after Superstorm Sandy made landfall, flooding nearly all of the Rockaways, they are still cold and in the dark.

Huddled beneath blankets and with the car's heat cranked up, 56-year-old Matt Lintonmapp Jr. has spent every night sleeping in his car since Sandy left him homeless.

"My place got washed out," he said, adding that work and community ties have kept him from evacuating.

"There's nothing left."

Parked by the liquor store where he works, Lintonmapp has squeezed in a few hours of sleep each night while keeping an eye out for looters.

"I'm a survivor," he said with a certain New Yorker's swagger that now barely masks the slight quake in his voice.

Waiting for gas, he said, "I hope everyone on this line is a survivor too, because we're all together now."

The frustration has boiled over at times. In Long Island, Oceanside residents booed local and federal officials who came to address power restoration.

"What are you doing for us?" they shouted.

Earlier in the week, fistfights broke out at relief supply depots in Far Rockaway, Queens, just as the first snowfall of the year blanketed the region and ushered in fresh misery to those already battered by Sandy.

Many, like Lintonmapp, have had no choice but to eat meals that the National Guard is handing out.

"It's all right. The military came through for me," he said. "They're not too bad."

Clean, running water is also in shorter supply across the peninsula in the wake of the crisis. Some residents were seen carrying buckets of water to wash down their toilets. Others boiled water to drink later or use for cooking.

Still, gas remains the crucial thing here.

Cloaked in blankets and heavy clothing, shivering residents queued up at one of Far Rockaway's few fuel depots on Thursday, often carrying two or three gas cans at a time. Puffy winter jackets wrapped around young children who accompanied their parents rather than stay in damp, cold homes.

And many commuters remained stranded as Long Island rail lines remained down there and in Long Beach.

"A majority of people work in the city and there's no transportation," said Margarita Alvarez, 41, whose home was badly damaged during last week's storm. "You just can't get to work."

Other residents, like 60-year-old Rosemary Shephard, are using the fuel for generators.

"I thank God for this gas," Shephard said after finally filling her gas can.

In an effort to alleviate the long gas lines, police on Friday began enforcing a new alternating fuel ration system in New York City and Long Island. Drivers with license plates that end with a letter or an odd number can fill up Friday. Those with even numbers or zero can fill up Saturday, and so on.

Authorities cut off Shephard's electricity last Monday, along with thousands of others, as a precaution ahead of Sandy. But unlike other storm refugees now holed up in warmer places with family and friends, Shephard decided to stay put in her Far Rockaway home.

"You have to stay," she said. "If I leave, what would happen to my house when I got back?"

More than a week after floodwater rushed into her basement, destroyed her property and soaked her circuit box with salt water, there is still no clear sign of when power might be restored.

Meanwhile, the weather has been getting colder.

"It was freezing last night," she said.

Unfortunately, getting power back is not just matter of fixing substations and flipping a switch.

City officials say electricians are now needed for homes like Shephard's, whose house is flagged with a yellow sticker, so that electrical cabling and circuit boxes can be individually checked before the power grid is restored.

That means contractors must go door-to-door checking houses, adding to the time it takes for the power to return, while temperatures drop.

Just down the street are the charred remains of more than 100 homes destroyed in an inferno that raged in the coastal community of Breezy Point, making officials especially wary of the risk of electrical fires.

More than a half million households are still in the dark across New Jersey and New York, including nearly 40,000 homes on Rockaway Peninsula.

Without a clear timetable for restoration, the town is rife with speculation. And that effect has fueled mounting tension.

"I'm pissed, just like everybody else is," said Pat Lee, 55, an iron worker who normally commutes to Lower Manhattan but has been out of work since the storm hit.

"The biggest problem really ain't so much the electricity. It's that no one knows when we're going to get it. They won't even give you a ballpark figure," he said.

A Long Island Power Authority spokesman could not be immediately reached for comment regarding restoration of the Far Rockaway area. The utility's website indicates there is "a long road ahead."

LIPA has dispatched some 250 utility workers to the Rockaways, working 16-hour shifts in a round-the-clock operation to get power restored.

But soggy and salt-caked electrical panels and wiring in homes and businesses "could present unsafe conditions when re-energizing those areas or facilities, the utility says on its website.

Police are working with the Federal Emergency Management Agency and the National Guard to provide evacuation services and have set up heating areas for residents, while churches and aid groups hand out food and water.

A nonprofit called the Fuel Relief Fund donated the fuel, but its supplies are limited.

"Right now we have to clean up, so I don't know if this is the place to be for people right now," said New York Police Department Deputy Inspector Scott Olexa, who described the surrounding damage as "unparalleled."

"I know people are attached to their homes and their neighborhood, but emergency services have to get in here."

Earlier this week, the city opened a relief center a few blocks away in a building once submerged in five feet of water, bringing generators and gas to those still battling the cold.

In Manhattan, only about 200 customers now remain in the dark -- a fact that does not escape most Rockaway storm victims.

"They're going about their lives, and we're the ones at the end of the line," said Margarita Alvarez.

"They did the city first and they just forgot about us."

@highlight

Many on New York's Rockaway Peninsula are still without power and running water

@highlight

One man is sleeping in his running car to stay warm and ward off looters

@highlight

Some say the most frustrating thing is not knowing when power will come back on