Beijing, China (CNN) -- The Chinese public, especially those in the social networking community, are abuzz over the case of a man charged with killing a girl in a hit-and-run: He is the son of a local deputy police chief.

Li Qiming, 23, is accused of "perpetration of traffic accident," a charge punishable by three to seven years in prison. During the two-and-a-half hour trial Wednesday in the northern city of Baoding, Li admitted causing the death of Chen Xiaofeng, 20, according to Chinese media reports.

It's more than just a tragic traffic accident. "There is a lot of popular anger about 'guan er dai,' the children of officials who sometimes literally get away with murder," says Jeremy Goldkorn, founding editor-in-chief of Danwei, a China media website. He said the online uproar is focused on "how likely it is that Li Qiming will get away with a light sentence, and whether blood money will secure his freedom."

Official media have reported that Li was drunk when he ran over two female students on the Hebei University campus, killing Chen and injuring fellow student Zhang Jingjing. Li allegedly tried to speed away from the scene. It was also reported that, when students and campus security guards stopped him, he shouted at the guards, "My daddy is Li Gang" -- referring to a local deputy police chief.

When indignant Chinese Internet users got wind of the story, they blogged and reposted it widely. Before long, "My-daddy-is-Li-Gang" went viral. "It spread on the Internet -- on blogs, forum websites and the Twitter-like microblog service Weibo," recalls Goldkorn, a long-time observer of China's social networking sites. "The public expressed outrage on the Internet, and the traditional news media and the government reacted to the Internet coverage of the event."

Despite the government's efforts to contain the fallout, the incident drew widespread criticism among China's estimated 420 million Internet users.

"My daddy is Li Gang" became one of the top search items on most popular Chinese search engines, a viral catchphrase synonymous to abuse of power. Some composed sarcastic poems and songs. Others parodied the father-son duo in videos posted in cyberspace.

The case became a cause célèbre among Internet users who viewed it as an example of official abuse. It also put the spotlight on the growing gap between the rich and the poor.

Chen Lin, the victim's 23-year-old brother, complained: "In society they say everyone is equal, but in every corner there is inequality. How can you live in this country and this society without any worry? I feel like there should be deep reflection on this. This is the reality."

Beijing resident Yang Ning, a white-collar worker, agrees. "The case is symbolic," he tells me. "In China it's all about who your father is. Without a good father, you already lose at the starting line. Without a good father, you have to work 10 times harder than those born with good fathers."

The Chinese authorities have tried to assuage the public ire. Days after the accident, the China Central Television showed Li under police detention, profusely apologizing and expressing remorse.

His father Li Gang also appeared in a nationally broadcast TV interview, breaking down and bowing deeply to apologize to the victim's family. "As for my child's education, as a father I failed," he cried. "I am very sad, very guilty, very ashamed." He promised not to shield his son from the law.

In November, according to Chinese media reports, Li Gang reached a civil settlement with the victim's families, agreeing to pay 460,000 yuan (US$67,700) in restitution for the Chen family and 92,000 yuan (US$14,000) to Zhang's family. He did not attend Wednesday's court hearing.

The victim's brother Chen Lin attended. "My family and I want justice," he was quoted by the Chinese media as saying.

The state prosecutor asked for a three-to-seven year prison sentence for Li, according to the Xinhua News Agency, while the defendant's lawyer called for leniency, noting that he has expressed remorse and compensated the victims' families.

It is not known how soon the court will render its sentence.

Years ago, incidents like this would have been non-events. Victims would have been intimidated and forgotten.

Not this time.

"This is another landmark example of the Internet playing a significant role in curbing official abuses," says Goldkorn of Danwei.

With the Internet and social network sites at the disposal of millions of ordinary citizens, abusive officials and their children are now getting caught in the act more and more often.

"There have been enough similar cases over the last few years that -- according to Chinese media reports -- some government officials have now acquired 'Internet phobia,'" observes Goldkorn. "They fear of having their wrongdoings exposed by angry netizens."

But Beijing resident Yang Ning is enthused: "I raise my hand and shout: Long live the Internet!"

@highlight

Goldkorn: Web uproar focused on whether Li will get light sentence or freedom

@highlight

Li was reported to be drunk after running over two female students

@highlight

One died, another was injured

@highlight

Li reportedly shouted, "My daddy is Li Gang," a local deputy police chief