Morgan City, Louisiana (CNN) -- Residents in Louisiana's Atchafalaya River basin packed up treasured possessions and scrambled to build makeshift levees Monday as federal authorities diverted more water their way from the swollen Mississippi.

"We just moved in here, and now we're in the process of moving everything out," said Jake Nolan, of the town of Krotz Springs. But he added, "I have no choice. If not, I'm going to lose everything."

Krotz Springs, with a population of about 1,300, is now in the path of hundreds of thousands of gallons of water now entering the Atchafalaya basin every second since the weekend opening of the Mississippi's Morganza Spillway. The controlled release succeeded in dropping projected flood levels for New Orleans and Baton Rouge -- but that was little consolation to those living along the Atchafalaya, which parallels the Mississippi through southern Louisiana.

"Hope you appreciate this Baton Rouge. You're welcome," read one sign posted outside a home in the path of the flooding.

Signs of resilience in flooded lowlands

In Krotz Springs, about 20 miles from the spillway, Mayor Carroll Snyder told CNN that workers are scrambling to put together a temporary levee to protect about 240 homes on the south side of town.

"They're not happy with it, but it's something that we've been knowing for quite some time -- that it was inevitable, that it would have to be opened," Snyder said. "They've come to deal with it."

And in Butte La Rose, about 20 miles further south, St. Martin Parish President Guy Cormier said about three-quarters of his constituents' homes are expected to suffer water damage after the U.S. Army Corps of Engineers opened the spillway on Saturday.

"It's a slow, painful rise, but it is rising just a little bit every night," Cormier told CNN.

The diversion will drain water from the Mississippi through the Atchafalaya basin to the Gulf of Mexico at Morgan City. Louisiana Gov. Bobby Jindal offered at least a ray of hope to his state's residents on Monday, saying the decision to open the spillway has lowered crest projections in parts of the state.

Scared evacuees flee homes

Just as important, river observations now suggest the Corps may need to divert less water from the spillway than initially thought, he said. But based on historical estimates, damages to agriculture alone in Louisiana could total $300 million, Jindal said.

The Corps of Engineers opened two gates in the Morganza Spillway on Saturday, the first release from the facility since 1973. By Monday night, 15 of the structure's 125 bays had been opened, divertnig about 102,000 cubic feet (763,000 gallons) of water per second, Corps spokeswoman Rachel Rodi told CNN.

The plan is eventually to open about a quarter of the spillway, according to the agency.

In Morgan City, the rising Atchafalaya was already lapping at a downtown riverwalk Monday evening. Mike Stack, a Corps of Engineers spokesman, told CNN's "John King USA" that 20,000 to 25,000 homes could be flooded, but the agency and Louisiana authorities are working to limit the damage.

"The system is under tremendous pressure, and it will be for a long time, so our key concern is making sure that we're vigilant," Stack said. "We're out there on the system, making sure the system stays intact while we're still working with the communities to try to help with the flooding."

Your guide to flooding terms

Officials say the spillway's gates are likely to be open for weeks, and it will be weeks before the river falls below flood stage and those who have evacuated can safely return.

The flood is the most significant to hit the lower Mississippi River valley since at least 1937 and has so far affected nine states: Missouri, Illinois, Kentucky, Tennessee, Ohio, Indiana, Arkansas, Louisiana and Mississippi. Across the South and lower Midwest, floodwaters have already covered about 3 million acres of farmland, eroding for many farmers what could have been a profitable year for corn, wheat, rice and cotton, officials said.

As many as 22 cities and communities where river levels are monitored by the U.S. government remain flooded, some of them weeks after both the Mississippi and Ohio rivers climbed out of their banks.

A near-record crest on the Mississippi is forecast in Greenville, Mississippi, early Tuesday, followed through the weekend by record crests in Vicksburg and Natchez, Mississippi; Red River Landing, Louisiana, and Baton Rouge, according to the National Weather Service.

In Greenville, more than 200 miles north of the spillway, the river was just short of its projected crest of 64.3 feet at noon Monday, according to the Weather Service. That was more than 16 feet over flood stage and less than a foot below the peak of the historic flood of 1927.

In Natchez, the river is expected to rise five feet above the 1927 record of 58 feet, weather service forecasts show. The predicted crest is 15 feet above flood stage, and the Coast Guard has closed the river to navigation along a 15-mile stretch near the city, Cmdr. Mark Moland said Monday.

High water has already chased members of the U.S. Coast Guard stationed in Natchez from their offices, Chief Boatswain's Mate Bo Smith said. The 16 people stationed there are currently working aboard the USCG Cutter Greenbriar, Smith said.

The weather service predicted the Mississippi River will crest at 45 feet in Baton Rouge, the Louisiana capital, on Tuesday. That is 2.5 feet lower and six days earlier than the weather service had forecast prior to the opening of the Morganza spillway. On Monday, it was 44.6 feet.

In New Orleans, the river on Monday was already cresting at 17 feet, one week earlier and more than two feet lower than previously projected by the National Weather Service. It is also four feet lower than the historic level recorded in New Orleans in 1922.

But six days after the Mississippi River crested at Memphis, Tennessee, the water remains 11 feet above flood stage, according to the National Weather Service. President Barack Obama spent about 35 minutes privately speaking with flood victims and responders during a visit to Memphis on Monday, according to Press Secretary Jay Carney.

CNN's Ed Lavandera, Martin Savidge, Justin Lear, Jacqui Jeras, Mary Grace Lucas, Ashley Hayes and Ben Smith contributed to this report.

@highlight

NEW: 15 of 125 Morganza Spillway gates are now open

@highlight

Residents scramble to protect homes in the Atchafalaya Basin

@highlight

Areas of Louisiana lowlands are being flooded to spare New Orleans and Baton Rouge

@highlight

"We just moved in here, now we're ... moving everything out, resident says