KENNEDY SPACE CENTER, Florida (CNN) -- Just after midnight on July 16, 1969, Jack King kissed his wife goodbye at their Cocoa Beach, Florida home, jumped in his car, and drove to Dunkin' Donuts for a doughnut and a cup of coffee.

Jack King became the voice of the Apollo 11 launch. "It was quite a thrilling time," he says.

It was the start of a big day: the launch of a Saturn V rocket, lifting man from the face of the Earth to the face of the moon. King, the chief of public information at Kennedy Space Center, would become known that day as the voice of Apollo 11.

In the wee hours of the morning, he followed his launch-day routine. But as he headed across the causeway to the space center, King lost sight of the lagoon he normally passed -- the view obstructed by RVs and trailers that had secured their spots for a view of the moon launch.

"The town was very much alive; the vibrancy was entirely different. Three-quarters of a million people had come into the area to view the launch, so it was quite a thrilling time," says King, now 78.

"When I'd cross the bridge over the Banana River heading to the Space Center, I'd pull off onto the side of the road, get out of the car, and there was the Saturn V, bathed in the floodlights, just glowing."  Hear the voice of King, watch as Apollo took off for moon »

"It was a just a very impressive, majestic rocket."

Launch manager Paul Donnelly recalls, "We launched at 9:32 that morning." He reported for work the night before to oversee the hazardous and delicate operation of fueling the three-stage rocket. "Everything on Apollo 11 went just beautiful, no real problems."

He says he always told the astronauts, "The launch crew wishes you good luck and Godspeed." As the hatch closed that day, he says he was thinking, "Go! Go! Go! Let's do it."  See the men who've walked the moon »

Forty years after America's launch of Apollo 11, the U.S. space program is at a different crossroads, challenged in recent years to return to the moon and to recapture the ambition that launched the space race in 1961. Back then, a dazzled nation heard the big dreams of a youthful Ivy League-educated, senator-turned president.

"I believe," President John F. Kennedy told Congress, "that this nation should commit itself to achieving the goal, before this decade is out, of landing a man on the moon and returning him safely to Earth."

That was the same year Barack Obama was born. Forty-eight years later, Obama, a similarly youthful Ivy League-educated former senator, is now in charge, and the nation wonders what his vision is for the U.S. space program.  Watch Buzz Aldrin: U.S. should go to Mars »

Donnelly, now 86, says he recalls the launch of Apollo 11 as if it were yesterday. He also says he believes President Obama could re-energize the space program.

Donnelly believed the moon mission would ultimately come to pass, even after Kennedy had been assassinated. "It didn't distract me or the people here," Donnelly said referring to the launch team.

The pressure was on for the United States to get to that fateful launch day, especially given the intense competition between the United States and the Soviet Union. "It was a missile race before it was a space race," said King, a former reporter for The Associated Press.

By the time Alan Shepard became the first American in space in 1961, the Russians had already flown two cosmonauts. The Russians, backed by Soviet leader Nikita Khruschev, were also working with a much more powerful rocket.

"The challenges were tremendous. Khruschev appeared at the U.N., slammed his shoe and said -- 'We're going to bury you,' " King recalls. "Looking back it was a critical decade, the '60s."

John Logsdon, who holds the Charles A. Lindbergh chair in aerospace history at the Smithsonian Institution's National Air and Space Museum, says for the Kennedy administration, the moon mission was about more than the space race itself. It was also an exercise in soft power -- "an attempt to show the world the technological strength of the United States in a very visible but peaceful way."

In striking out for the moon, the United States started on fairly equal footing with the Soviets because at that time, neither had a rocket large enough for a moon mission.

One advantage for the United States was the expertise of rocket scientist Werner Von Braun. In 1945, Von Braun and his team of engineers were brought from Nazi Germany, where during World War II they advanced the science of rocket propulsion for military applications.

"Von Braun and his rocket team had plans for space exploration for a long time, and they had designed increasingly larger rockets," Logsdon says. "Their first thought was to build a really large rocket called 'Nova' that would be 50 percent bigger than the Saturn V that we used to go to the moon. It would have been a gigantic rocket."

In the launch control center at what was then known as Cape Kennedy, on July 16, 1969, there were about 400 engineers and technicians who had worked together to this point, for years.

"We were close," says Donnelly.

Were there nerves and emotions inside Mission Control?

Donnelly says there was a sense of confidence, but beyond that, the team worked methodically through the hundreds of steps involved in the moon launch. Once the astronauts were in the space capsule and the hatch closed, Donnelly says, emotions picked up.

Jack King recalls that day as "one of the smoothest Saturn V countdowns that I ever went through. For most of the count, we were probably 10 or 15 minutes ahead."

Then, with the launch seconds away, "We'd go, 'Guidance is internal 15, 14, 13, 12, 11, 10, 9; ignition sequence start, 6, 5,4,3, 2; all engines running, commit, liftoff.'"

King recalls looking over his shoulder and seeing the 365-foot rocket glowing in the morning sun. "I see this magnificent thing is sitting in a bed of flames there on the launch pad," he says.

Unlike the jackrabbit-launch of a space shuttle, King says the moon rocket lumbered away. "The Saturn V took close to seven seconds just to clear the tower."

Forty years later, "the future is under review," says Logsdon. A blue-ribbon panel, led by former Lockheed Martin chief Norm Augustine, is taking stock of the nation's human space flight program, with a report to President Obama due by the end of this summer.

"There is a high degree of uncertainty right now," says Logsdon.

Among the biggest questions: Will the United States return to the moon by 2020, as envisioned by former President George W. Bush, or will they lead a coalition of countries into space in the same way the international space station has operated?

For Donnelly, it only makes sense for the United States to push on toward Mars.

"Oh yes," says Donnelly. "Great things can happen."

CNN's Louise Schiavone contributed to this report.

@highlight

Apollo 11 took off for the moon 40 years ago today

@highlight

Jack King, voice of Mission Control, says, "It was quite a thrilling time"

@highlight

"Everything on Apollo 11 went just beautiful," says launch manager Paul Donnelly

@highlight

Donnelly says man should now head for Mars