Tunica, Mississippi (CNN) -- As a historic crest of the swollen Mississippi River rolls southward, residents throughout the river region are on high alert and braced for the possibility of more flooding in the days ahead.

Residents and officials are especially concerned about the Morganza Spillway above Baton Rouge, which was last opened in 1973. Opening it could help spare Baton Rouge and New Orleans from some damage, but it would flood populated and rural areas in the swampy Atchafalaya Basin. The basin is home to the Atchafalaya River and myriad tributaries.

In Mississippi, Louisiana and Arkansas, residents of towns emptied out by the waters of the Mississippi faced flood recovery even as they still remembered too well a series of earlier natural disasters.

"I went through (Hurricane) Katrina," said Lynn Magnuson, a New Orleans resident.  "I would not wish flooding on anyone, and this city is the last place on Earth that needs any more high water."

The river crested Tuesday at Memphis, Tennessee, just short of a record set in 1937.

"We've never seen anything like this, I was scared not knowing what's going to happen or where we can go from here," said flood victim Tamara Jenkins of Frayser, Tennessee, who was evacuated from her house on Tuesday.

Fourteen Mississippi counties affected by flooding have been declared major disaster areas eligible for federal assistance, Gov. Haley Barbour announced Wednesday in a statement released by his office.

"We are grateful to President (Barack) Obama and FEMA for quickly fulfilling our request for assistance," Barbour said. "The flooding situation will last for several weeks, and this declaration gives Mississippians in flooded areas access to federal assistance that can help families through this difficult time," he added.

The river in Memphis measured 47.8 feet Tuesday night, according to the National Weather Service.  Flood stage in Memphis is 34 feet.

In Natchez, Mississippi, the river surpassed its record early Wednesday, exceeding 58 feet.  Forecasts predict the river will crest in Natchez on May 21 at an overwhelming 64 feet. Flood stage in Natchez is 48 feet.

Mississippi has already had to close some of its casinos at Tunica, a key economic driver in that part of the state.

Additionally, the Rainbow Casino in Vicksburg, Mississippi, was closed Wednesday. Only the Ameristar and Riverwalk casinos remain open.

"The gaming commission is conducting daily assessments at the casinos to determine their status," said Allen Godfrey, deputy director of the Mississippi Gaming Commission.

About 600 people in the community of Cutoff in Tunica have been driven from their homes, said Larry Liddell, a county spokesman.

"My house is completely submerged. You can't even see it from a photograph," said Michael Dewes, who fled the Cutoff community and is staying in a shelter.  "It's completely gone."

In Louisiana, Gov. Bobby Jindal said as many as 3 million acres could be affected by the flooding. Some 500 National Guard members have been mobilized so far, and 21 parishes have issued emergency declarations.

The river's crest is expected to begin arriving in Louisiana next week.  Flooding is expected to be a major setback in the southern part of the state.

"After hurricanes Katrina, Rita, Gustav and Ike -- as well as the oil spill -- Louisiana can ill-afford another large-scale disaster," said Sen. Mary Landrieu, a Louisiana Democrat.  "Billions of dollars in property is at stake, not to mention the threat to human life."

The U.S. Army Corps of Engineers said it was closing a major lock that allows for the transfer of barge traffic between the Mississippi and the Red River Basin.

The Corps opened 38 more spill gates to the Bonnet Carre Spillway in Norco, Louisiana, north of New Orleans on Wednesday, sending millions of gallons of water rushing into Lake Pontchartrain and, eventually, the Gulf of Mexico.

On Monday, 28 gates were opened and an additional 44 gates were opened on Tuesday to divert floodwater.

As the swollen waters inch closer, anxious Louisiana residents are demanding answers.

Some have posted on Facebook pages operated by the Corps, demanding answers about when certain spillways will be opened and what other areas are facing flooding.

In Arkansas, meanwhile, the Farm Bureau estimated damage to the state agriculture could top $500 million as more than a million acres of cropland are under water. In Helena, Arkansas, the river was at over 56 feet Wednesday. Flood level in Helena is 44 feet.

A crest is defined as the high point of the water during a flood before it begins to recede. Observers generally know that cresting is occurring when the gradual rise stops and the water level becomes stable. The crest is estimated to be in New Orleans on May 23, Jindal said.

President Barack Obama has signed disaster declarations for Tennessee, which will help direct federal aid toward recovery efforts in areas hit by severe storms, flooding and tornadoes.

Flooding also continues to be a problem in southeastern Missouri and southern Illinois, though the Mississippi and Ohio rivers have already crested in those states.

The 4,800-foot spillway includes 125 gate bays, said operations manager Russell Beauvais.  In 1973, 42 of them were opened.

At a news conference in Louisiana on Wednesday, Louisiana's Jindal said the decision on whether to open the Morganza Spillway is still under way but a "necessary step."

The current flow is at 1.36 million cubic feet per second but when the river's flow reaches 1.5 million cubic feet of water per second at Louisiana's Red River Landing, the U.S. Army Corps of Engineers will open the spillway and send a torrent of water down the Atchafalaya River, Jindal said.

The Corp predicts the opening threshold will be reached sometime between Saturday and Tuesday.

"If the U.S. Army Corps of Engineers decides to open the Morganza Spillway, it could take approximately a week from the day they start, and roughly 3,900 people and 2,600 structures would be impacted in by the high water," Jindal said.

After gates are opened, Beauvais said, it would take about three days for the water to fully reach Morgan City, a town of about 12,000 near the coast.

CNN's Dave Alsup, Craig Bell, Ed Lavandera and Tracy Sabo contributed to this report.

@highlight

NEW: 14 Mississippi counties are declared major disaster areas

@highlight

NEW: Authorities predict a major spillway could be opened within a week

@highlight

The crest is estimated to be in New Orleans on May 23, Louisiana governor says

@highlight

The Arkansas Farm Bureau estimates damage to state's agriculture to top $500 million