(CNN) -- We know the point of the 2010 Census is to count us, one by one, to tally every last resident, but the massive project of course has more prying, if limited, interests.

If the aqua- and black-tinted census form were a person, he would be like a slightly nosy seat mate on a plane, fitted out with an unfortunate '80s flair, someone oddly arbitrary in his inquiries while being intimately probing.

Beyond the primary accounting, we're asked additional questions about the people we live with and our relationship to them; whether we hold a mortgage or rent; how old we are; our gender; whether we inhabit a second residence or even, alas, a prison; and then, inevitably, how we categorize ourselves racially.

The boxes I can check to mark myself have certainly multiplied over the decades, allowing not just a single Asian category but broken out most progressively, it would seem, to other boxes for Vietnamese, Laotian, even Guamanian or Chamorran -- and then the one for me, Korean.

The automatic response is to check this box, for that's what I am, at least in my bloodlines: My parents are from Korea, which was where I was born. My family immigrated when I was 3, and our predecessors inhabited the Korean Peninsula for as long as can be recalled.

But as I consider the box, I have to pause. Perhaps it's because I'm a novelist, someone who spends his days telling stories in part by stripping away the surface realities, unraveling presumed identities, in the hopes of characterizing what it is and means to be alive.

And thus my hesitance to mark the box. For despite a thorough pride in my Korean heritage and my wish to be no other, the complexities of what might seem a circumscribed identity (surely not a tenth as vast as "white" or "black") still feel too numerous to be so neatly contained.

For my Korean-ness, especially in the context of America, is like no one else's: It is not at all like my first cousin's, who immigrated in his 20s and had to learn the language as an adult; not like my friend's, who was born in Los Angeles and grew up in a bustling enclave of Korean businesses and churches; not like the Korean adoptee's, who was raised in rural Oregon or Minnesota, being maybe the only Asian person in the county.

Our shared heritage shows in our faces, but given the differing nature of our experiences and the character of our respective communities, each of us has profoundly varying conceptions of our sense of belonging, cultural ties, even future possibility -- in short, of who we are.

If I had made up the census form, the Korean box would necessarily have dozens, maybe hundreds or even thousands of sub-boxes nested inside, boxes for whether we dream in the native language, for how often we Skype with folks in Seoul, whether we wear shoes or go barefoot in the house, if we prefer our kimchee fresher or riper or perhaps not at all.

Each form would have to be an epic novel of boxes, its combinations approaching the infinite, a document so vast and particular and dense that the boxes themselves would at some point begin to blur, perhaps disappear, the marks coalescing into something so singular that they would eventually take on a life itself, which is always shifting, dynamic, at last uncountable.

@highlight

Chang-rae Lee: If census form were a person, he would be the nosy seat mate on a plane

@highlight

Lee will tick Korean box but knows his Korean-ness in America is like no one else's

@highlight

Lee: "Our shared [Korean] heritage shows in our faces," but similarities are superficial

@highlight

Lee says if he designed form, boxes would multiply, blur, become uncountable