ATLANTA, Georgia (CNN) -- It was the music of rebellion and youth. Artists traded witty improvisations onstage chronicling the pain and the promise of being black in America, inspiring inner-city and rural Southern audiences alike in nightclubs and on street corners.

Atlanta-based Jaspects fuses rap with jazz in hopes of preserving both genres and appealing to young people.

That music was jazz.

Today, Jaspects, an Atlanta-based group of young musicians who were born in the hip-hop era, fuse rap and jazz melodies to introduce younger audiences to jazz and the broader ideas regarding African-American society.

For Jaspects, whose music has appeared in the movie "Hustle & Flow" and recently was featured in the CNN documentary series "Black in America," the lessons of jazz go beyond its artistic merits to questions about the ownership and control of black music in general.

Veteran saxophonist Jimmy Heath, who has performed with nearly all the jazz greats of the last 50 years, says that the music called jazz today began as a voice of the repressed.

"The history of jazz comes with the history of African-American people. Because whenever they were permitted, they always sang and played their music when they were in their own quarters, and eventually I think, when instruments were available, they started to play music on those instruments," Heath says.

Jazz was born a raw and energetic rebuttal of what was musically acceptable at the time, and became the voice of a generation of African-American youth.  Watch as Jaspect fuses hip-hop and jazz »

Terrence Brown, pianist and musical director for Jaspects, says hip-hop shares the same roots.

"These people wanted to do more than just Bach and Beethoven. They didn't want to play history; they wanted to make history," Brown says. "I guess when jazz [and] the Harlem Renaissance began to give birth people really felt the need to express themselves and that is similar to how hip-hop was created."

As jazz started to gain popularity outside of black America in the 1940s and gained an international following, many say the music became distanced from its cultural origins.

In his exhaustive work on the African-American experience, "Africana," Harvard University professor Henry Louis Gates Jr. writes that while black musicians were the principal innovators during this era, white musicians often reaped the fame and benefits and that "the black musicians who found greatest favor with whites were those with a happy-go-lucky air and a ready grin."

With the exception of groups such as Jaspects, jazz today is considered by Brown and some others to be a "museum piece" that aged instead of evolving. Brown says hip-hop is following a similar route, and he says a major reason is a lack of ownership of the music.

"Hopefully, there will come a time where a lot of African-Americans who do have money and do have the resources ... take over some of these corporations ... and not just have the No. 1 hit record on the charts, because that in itself will allow the community to give back to itself," Brown says.

Rapper Nas, whose real name is Nasir Jones, made a provocative declaration with the release of his 2006 album, "Hip Hop Is Dead," that the genre "is dead because we no longer have the power."

At the same time, there has been a rise of prominent black music executives such as Sean "P. Diddy" Combs, Jay-Z, Russell Simmons and Jermaine Dupri. Jay-Z and P. Diddy, who earned $34 million and $32 million, respectively, in 2007, were named hip-hop's cash kings by Forbes magazine.

Dupri, owner of record label So So Def Records and producer of hits for recording artists TLC, Usher and Mariah Carey, disagrees that corporate ownership is affecting black music for the worse.

"They [corporations] have their input, but if you let the money guide you then, that's how you let them control you," says Dupri, who released his first book in 2007, "Young, Rich and Dangerous: The Making of a Music Mogul."

"If you are driven by money, then the backers that are giving you the money tell you what to do."

Dupri says that there are not enough African Americans who are in control of the music business, and that education has a lot to do with it.

"That's a lot of the problem. It's always been something that lot of people can get in quick without really doing anything, without learning, but you have to learn everything about it," Dupri says.

Brown says he's hopeful that the rise of black leadership in music will have a positive impact on the community.

"We need to get to a place where we own our own things as African-Americans and a place that the things we do generate money for our own communities," Brown says. "Not only that, but that we generate a sense of culture, style and substance for our community."

Jaspects and groups like them are hoping to change things a little. Using hip-hop, the music of rebellion and youth in 2008, they are introducing jazz to a new generation -- to tell its story, preserve its artistry and learn its lessons.

@highlight

Atlanta-based group Jaspects fuses rap, jazz to attract younger audiences

@highlight

Hip-hop, like jazz, is at risk of not evolving due to lack of ownership, some say

@highlight

Producer Jermaine Dupri says there aren't enough black execs in music business