(CNN) -- Thirty years ago Wednesday, Iranian student revolutionaries climbed over the walls of the U.S. Embassy in Tehran and seized dozens of Americans, whom they ultimately held hostage for 444 days.

The hostage crisis, coming in the aftermath of Iran's Islamic revolution, ended diplomatic relations between Washington and Tehran -- a rift that persists to this day.

Iran celebrates the embassy takeover as an official holiday, and tens of thousands showed up in Tehran on Wednesday to hear anti-American speeches.

The anniversary was also an opportunity to reignite the anti-government protests that were sparked in June, following a disputed presidential election, and thousands of anti-government protesters ignored warnings from Iranian authorities to stay home.

One of the leaders of the 1979 hostage-takers says the United States and Iran must not be hostages to history.

"I am not willing to be a hostage of that historical event," Ebrahim Asgharzadeh said on CNN's "Amanpour," in an interview marking the anniversary.

"Neither Iran nor the United States should be hijacked by that historical event," he said from Tehran, where he went on to become a reformist lawmaker and was himself jailed by the Islamic regime.

He said the two sides need to be aware of the past without being imprisoned by it.

"If they do not pay attention to ... history they will have an unstable future, an impermanent future," he said.

Asgharzadeh said he and his fellow students had been offended that Jimmy Carter, then the U.S. president, had let the deposed Shah of Iran into the United States for medical treatment -- and said the actions of his compatriots had parallels in the United States.

"We felt insulted -- our revolution, our people -- and so there was a rebellion," he said through a translator.

"A measure was needed to be taken that was effective, that could impact the world public opinion.

"We were not radical students. We were revolutionary students, in the sense that we were defending our country, our people, our nation," he said. "What the students did for the first two or three days, it was a student activity. It was meant to protest, something that American students did many times on the streets to protest the Vietnam War."

But John Limbert, a former American hostage, is not convinced by the comparison.

"Whatever they thought they were doing, whether it was a 1970s-style student sit-in, the results of it were very ... different," he told Christiane Amanpour.

And it was not the American hostages who suffered most, he added.

"They brought misery to the Iranian people. What happened to us was difficult. It was frightening. It was -- it was uncomfortable. But it lasted 14 months and was over," he said.

"We certainly didn't expect it to last that long. They have said they didn't expect [it] to last that long. But what they did, in effect, was to create a climate of lawlessness and mob rule [of which] they and their compatriots are today the greatest victims," said Limbert, the author of "Negotiating with Iran, Wrestling the Ghost of History."

The hostage crisis escalated beyond what any of the participants expected as Iran's new revolutionary government publicly backed the hostage-takers, Asgharzadeh and former Carter aide Gary Sick agree.

"That way it became actually an act of the Iranian government, rather than a group of students who were acting potentially outside the law," said Sick, who was Carter's point man on Iran.

"So basically, the situation got out of hand, in terms of being a student activity," Asgharzadeh said. "It became a societal issue backed by the leadership.

"And every day that passed on, things got more complicated. The analysis got more complicated in the White House. They lost their cool. They didn't know what to do. And they faced a challenge by the Iranian revolution and this revolutionary thought. And it reached a point where nobody felt prepared to deal with it," the former student revolutionary said.

"And so after a while, both America and Iran were looking for a solution, because both their hands were tied at that stage, but the solution needed to be such that no country would be seen as the loser," he said.

That impasse still dominates the wary relationship between Tehran and Washington, Amanpour's guests said.

But it is time to call in the Ghostbusters, Limbert said, referring to the popular movie that came out not long after the Americans were finally released.

"You know, they put the ghosts in the can and put the can away. And somehow ... you've got to do that," he said.

"You don't forget them. You don't necessarily even ask for an apology. But you look them in the face, you know them for what they are, which is a very ugly and negative act, and then you put them in their proper compartment," he advised.

But Sick, now a Columbia University professor, said the hostage crisis continues to have ramifications in Washington today.

"The hostage crisis was extended probably eight months beyond what it should have been. No matter how you look at it in terms of Iran's interests or what have you, they simply couldn't make up their mind," he said of the regime in Tehran.

"And it has left the impression that, one, Iran can't be trusted; two, that when they negotiate, they negotiate in bad faith; and, three, that they are paying only attention to their own internal circumstances and ignoring everybody else.

"That is a legacy that we live with and even people who don't remember the hostage crisis at all still have that image of Iran that was created in those days that has not gone away," he said.

@highlight

One hostage-taker says 1979 embassy takeover was protest by angry students

@highlight

Former hostage says the event "brought misery to the Iranian people"

@highlight

All sides tell CNN the legacy of the hostage crisis still affects U.S.-Iran relations

@highlight

Amanpour airs at 3 p.m. ET daily on CNN International and 2 p.m. ET Sunday on CNN USA