(CNN) -- Pope Francis is being painted as a humble and simple man, but his past is tinged with controversy surrounding topics as sensitive as gay marriage and political atrocities.

Questions linger about Francis' actions during the nation's dark days: the so-called Dirty War, when Argentina was ruled by dictators. The gay marriage issue came to the forefront during Francis' political fight with Argentina's president.

The conservative pontiff may hold firm on some issues, experts say, but he may be flexible on others.

"If you think that (Francis) isn't going to change anything, you're wrong," said Gustavo Girard, a retired doctor who knew Francis during his early years in the priesthood. "But is he going to approve of gay marriage tomorrow? No."

Five things to know about the new pope

Don't be surprised, Girard said, if the new pope shows flexibility on contraceptives, but don't expect him to budge on the Catholic Church's opposition to abortion.

There's been no shortage of praise for Francis as a passionate preacher and pragmatic man who prefers public transportation to private cars. It goes to his reputation as an independent thinker. But look deeper into Francis' history to see a more complicated man who's been formed by the times he's lived in.

Dark times

Possibly the darkest period during Francis' rise to power took place when he served as the nation's top Jesuit.

In 1976, during Argentina's dictatorship, the navy kidnapped priests Orlando Yorio and Francisco Jalics. Some have accused Francis, then provincial superior for the Society of Jesus, of not doing enough to assert his influence and free them. They were found five months later.

The incident led to rumors and allegations that Francis was complicit in the dictatorship's appalling atrocity -- that he didn't do enough to expose it and perhaps was even partly responsible for the priests' prolonged detention, said Jim Nicholson, a former U.S. ambassador to the Holy See.

Although the allegations against Francis have never been proved, they continue to haunt him, so much so that the human rights group Center for Legal and Social Studies in Argentina opposes Francis' selection as pope.

Situations relating to the priests' kidnappings "have not been clarified," said the group's director, Gaston Chillier.

Many of the allegations against Francis were researched by Argentine journalist Horacio Verbitsky, who wrote a book about the church's role during the dictatorship.

In a 2010 column, Verbitsky alleged that Francis had lied under oath during an investigation into the theft of babies from prisoners during the dictatorship.

Francis testified that he never knew about the baby-stealing until after the dictatorship had fallen, Verbitsky wrote, but a victim Verbitsky interviewed claims that Francis knew about it at the time. She said she had written to Francis about it.

Nicholson said there's no evidence to support the allegations.

From public transport to Popemobile: Bergoglio's journey to top of the church

The Vatican pushed back Friday against the accusations. The Rev. Federico Lombardi, a Vatican spokesman, dismissed the claims as false and defamatory.

"The campaign against (Jorge Mario) Bergoglio is well known and goes back to many years ago. It was promoted by a defamatory publication," Lombardi said at a Vatican news conference, using the name that Francis used before he became pope.

Argentine judicial authorities questioned Bergoglio once, but nothing was imputed against him, Lombardi said, adding that Bergoglio denied the allegations against him.

"His role is well noted on how he promoted reconciliation in Argentina," he said.

The fight

Then there's the fight between the archbishop and the president.

In 2010, President Cristina Fernandez de Kirchner led a battle to pass a bill to legalize gay marriage.

Francis, then archbishop of Buenos Aires, put himself right in the middle of the fight, calling the proposed legislation "a destructive attack on God's plan."

With a front-page counterpunch, the president said the church possessed "attitudes reminiscent of medieval times and the Inquisition."

The bill eventually became law, and Francis left the battlefield defeated.

But some supporters hold it up as evidence of his traditionalist views.

Perhaps it's no surprise Kirchner gave Francis a rather dry congratulations after his election, said Rosendo Fraga, an Argentine political analyst.

The president failed to even mention that Francis is the first pope from Argentina or the Western Hemisphere, a signal that her government may feel at odds with the church.

First Latin American pope 'very exciting,' faithful say

Was it a snub?

Fraga said Francis "was a critic of corruption, of social inequality, drugs, human trafficking, which in reality wasn't an agenda of confrontation, but that the government perceived as an agenda of confrontation."

Girard, the retired doctor who knew Francis during his early years in the priesthood, interpreted the war of words differently. Francis was not lashing out at just the bill but at what he saw as a larger effort by the government to divide the country along political lines.

This is why the cardinals selected him, Girard said: Francis doesn't fit into a mold.

"They can be progressive or conservative," he said. "But they're not dumb."

CNN's Jose Manuel Rodriguez contributed to this report.

@highlight

NEW: Vatican says claims about Pope Francis during dictatorship are false, defamatory

@highlight

Francis has a long record as a church leader

@highlight

He is lauded by many as a humble man

@highlight

Others question his role during Argentina's dictatorship