(CNN)Farah fled the civil war in Syria with her husband in the middle of the night, hitching rides on trucks until they finally crossed into Jordan. Two days later, she gave birth to a girl in a country where they hold no status.

Like 70,000 other refugees from Syria, Iraq, Sudan and the Palestinian Territories, Farah (her name and the others in this article have been changed to protect their anonymity) now lives with her family in Zarqa, a poor Jordanian city teeming with factories and crumbling apartment blocks. Men dominate public spaces, and many women stay at home, isolated.

Two years ago, Farah was a nurse and her husband a lawyer. Here, he found work tiling construction sites, but was arrested three times for working illegally.

"Now my husband stays at home, depressed and afraid of being sent to the camps," Farah said. She is now the family breadwinner, working at a local organization providing educational programs to Syrian and Jordanian children. Every day she navigates the dangers of Zarqa's crime-ridden streets and ignores sexual advances from men.

Yet Zarqa is also a pocket of hope. Some 384 female refugees working with the Near East Foundation  have been able to re-establish savings, restore dignity, strengthen their capacity to bounce back and rebuild their lives. Many of them choose to become earners for the first time.

They belong to a network of Jordanian and refugee women -- coaches, mentors and peers -- who lean on each other and offer business and social support, exchange tips and build friendships. Some 80% of the refugees in this network have chosen to invest in building a small home-based business.

Fatiya, who escaped Iraq during the 2003 invasion, was surviving on charity until six months ago. Now she runs her own leather goods home-based business, making belts, wallets and key chains for tourists from the safety of her home.

These days, Fatiya is busy rebuilding her life. "I make my own way,"she says.

Zainab, also an Iraqi refugee, is now a hairdresser in Zarqa. On the side, she teaches the art of hairdressing to young women, walking alongside them in their first steps to become economically independent.

On March 8, we celebrate International Women's Day and the empowerment of women globally -- including the nearly 6 million refugee women and girls who, like Farah, Fatiya and Zainab, continue to adapt to life in their new surroundings with determination, creativity and skill, despite increasingly limited options.

Aid agencies must match the strength of these women's resilience. To truly assist them, we must empower them with opportunities and choices.

Of the 10.5 million refugees registered with UNHCR, the UN's refugee agency, less than 1% are eventually resettled. The rest remain in limbo, forced to forge new lives in places where they often have no right to work.

Refugees are displaced for an average of 20 years, and more than half disappear into urban sprawls where they struggle to integrate and start their lives over.

Humanitarian assistance and media attention tend to fixate on "immediate" aid -- distribution of cash, food and subsistence items. This is unsustainable. UNHCR provides critical cash assistance to refugees in Jordan -- but this can be as little as $71 a month, 16 times below the country's poverty line.

Refugees need to supplement their allowances, yet they cannot legally find employment, and working in the informal sector can be dangerous.

Farah, Fatiya and Zainab are among hundreds of women who are finding a world of options as they build their vocational skills and financial literacy. But their increased role as earners challenges cultural norms, exposing them to heightened abuse and violence.

Women's ability to generate income does not guarantee economic independence. To help this network of women control the income they earn, the Near East Foundation facilitates discussions with male family members about their wives' and daughters' newfound roles.

"In the beginning, these women were tremendously shy -- they didn't talk," says Hamdan Eliemat, who heads the Bani Hasan Islamic Society, a community organization supporting the women.

He laughs. "And now they won't stop talking. And we men, now we have to listen."

The international community must advocate for refugees' right to survive. We must ensure that beyond immediate aid, women have access to skill-building, financial resources, social networks and protection from violence and harassment, so they have the chance to build their own futures.

@highlight

Jina Krause-Vilmar: On International Women's Day, focus on helping refugee women adapt to new lives

@highlight

She says aid agencies like hers aim to help these women build job skills and financial literacy

@highlight

She says the effort includes educating men about wives' and daughters' new roles