Washington (CNN)Finally, something went right for the United States in the Middle East.

Relief is palpable in Washington over the well-planned and seamlessly executed transfer of Saudi Arabia's throne to King Salman bin Abdulaziz, 79, following the death of his 90-year-old half brother King Abdullah.

The kingdom, despite signaling rare public dissent with the Obama administration over Iran and the Arab Spring, is a fulcrum of U.S. diplomacy in a region where Washington is struggling to adapt to dissolving national borders, chaotic change and sectarian carnage.

Never mind that the U.S. is the world's foremost democracy  and the transfer of power in Saudi Arabia was from one autocrat to the next.

Saudi Arabia is crucial to U.S. goals on counter-terrorism, the campaign against ISIS and Al-Qaeda, the free flow of energy that sustains the global economy, as a counter-balance to Iran and as a sponsor of the long frustrated quest for peace between Israel and the Palestinians.

In a sign of the kingdom's importance to the United States, President Barack Obama made hurried plans to call in Saudi Arabia on Tuesday after his trip to India to pay his respects to Abdullah and his family and to meet with King Salman. Originally, Vice President Joe Biden was to have made the trip.

The message from Washington is clearly : Long live the new king.

The regal choreography in Riyadh is especially welcome to the White House as it contrasts with events just across the border in Yemen, another key ally where a US-backed government crucial to its anti-terror campaign has just been toppled to rebels supported by Iran.

James B. Smith, who served as U.S. ambassador to Saudi Arabia between 2009 and 2013, said there should be no concern in the administration that Salman's ascension will jeopardize U.S. relations with the deeply conservative kingdom.

Lines of succession

"We know Salman well, he was governor of Riyadh for the better part of 50 years, he is well known to the US government. I see no break in the U.S.-Saudi relationship," Smith said.

Salman vowed just hours after the death of Abdullah, that the kingdom "would continue adhering to the correct policies which Saudi Arabia has followed since its establishment."

State Department spokeswoman Jen Psaki said that the allies had a "long history of cooperation. We don't have any indication that that cooperation will change."

Saudi watchers in Washington were impressed and reassured by the line of succession outlined by Salman in an apparent effort to solve a dynastic riddle and send a signal of continuity to the outside world.

He named Prince Mohammed bin Nayef, one of scores of posssible candidates, as deputy crown prince, a move which puts him second in line to the throne and establishes a future transfer of power from the sons of the founder of Saudi Arabia, King Abdulaziz Ibn Saud, who have ruled the country since the 1950s, to a new generation.

"I think for the near term, continuity is going to be the centerpiece here," said Daniel Benjamin, a former coordinator for counter-terrorism at the State Department, now at Dartmouth College, told CNN.

"There is now a member of the generation of the grandchildren who is second in line, he is a very close friend of the United States ... so I think there is a lot of hope the relationship will stay on an even keel."

Prince Mohammed, now behind the King's brother Prince Muqrin, 69,  in the line of succession, is a frequent visitor to the United States and has presided over Saudi Arabia's anti-terrorism program. He narrowly escaped an assassination bid by Al-Qaeda in 2009.

The succession plan was viewed as particularly important following unconfirmed reports that Salman has been in ill health himself, apparently having suffered a stroke.

Tom Donilon, pointman for US relations with Saudi Arabia when he was Obama's National Security Advisor, praised Abdullah as a "solid" ally who had ensured two decades of stability in the kingdom.

He also said that the late King's survivors had done a "pretty effective job of indicating stability with a quick annoncement with repect to succession, continuity of policy."

He told "The Lead" with CNN's Jake Tapper that Mohammad, known as MBN in the United States was "a very, very competent person who is essential in terms of our joint efforts to combat terrorists."

Periods of tension

Though there is relief at the apparent stability in Riyadh, relations between the United States and Saudi Arabia in recent years have have often been troubled.

There was a tense period a decade ago, after it emerged that 15 of the 19 hijackers involved in the September 11 attacks originated from Saudi Arabia.

Critics, including some in the U.S. government, faulted Saudis for backing jihadists movements throughout the region for geopolitical reasons.

The Saudi government has also balked at U.S. criticisms of its human rights record and political system.

Questions about Iran

More recently, Saudi Arabia, the key Sunni power in the Middle East,  has not hesitated to make clear its concern about Obama's quest to improve relations with its mighty Shia foe Iran, with which it is fighting various proxy struggles.

Saudi leaders were dismayed to learn about a secret backchannel of talks between the administration and Iran which built on the election of "moderate" Iranian President Hassan Rouhani in 2013 to launch an effort at rapprochment between Tehran and Washington.

'"I think that the concern remains among the Saudi leadership about an agreement that is going to be at their expense," said David Ottaway, an author on Saudi Arabia and senior scholar at the Wilson Center.

Some analysts believe that the Saudi government could react to what it would see as a bad nuclear deal between world powers and Iran -- which left the Islamic Republic with some capacity to enrich uranium or produce plutonium -- by looking to find its own nuclear capability -- perhaps with assistance from Pakistan.

Saudi princes took to the op-ed pages of US newspapers in 2013 in a highly unusual move to complain that a nuclear deal was a "dangerous gamble."

The Saudi government also made clear its deep anger with Obama's last-minute decision not to launch planned air strikes on Syria to punish the Bashar al-Assad regime's use of chemical weapons the same year.

Saudi Arabia has also been frustrated at how long it has taken the United States to begin training opposition fighters in Syria.

Anger at Obama comments on the Arab Spring

The Saudi government also registered anger at the Obama administration's embrace of Arab Spring uprisings, which led to the ouster of allies like Egyptian President Hosni Mubarak.

Obama appeared to make an oblique reference to those differences in a statement honoring Abdullah on Thursday as a "steadfast and passionate" believer in US-Saudi relations as a force for stability.

"As a leader, he was always candid and had the courage of his convictions," Obama wrote.

In recent years, the Obama administration has attempted to assuage Saudi fears. The US president made a visit to Riyadh last year, on a trip that was widely seen as an attempt to mend fences.

Saudi Arabian pilots, reportedly including one of Salman's sons, Prince Khaled, helped carry out the first air attacks on ISIS in Syria last year.

Saudi Arabia also approved of Secretary of State John Kerry's exhaustive but ultimately futile efforts to keep Israel and the Palestinians talking.  And White House spokesman Josh Earnest said that an underpinning of those efforts, an Arab Peace Plan framed by Abdullah would stand as his lasting memorial.

Smith said that the relationship between Riyadh and Washington was now better than it had been earlier in the administration.

"A key element of our relationship with the Saudis over the years has been transparency,  not always in public but we have done a good job in talking to each other," he said.

"When you leave your allies out of the conversation and they don't understand your negotiating position or don't understand how you are going to enforce an agreement. they are left to their own conclusions.

"I think we are doing a lot better at that."

@highlight

US relieved at succession plan roll-out after King Abdullah's death

@highlight

Saudi Arabia a key anti-terror ally in volatile region

@highlight

But tensions still simmer with Riyadh over Iran