(CNN) -- In 2007, while serving as a Navy SEAL in Iraq, my team was hit by a suicide truck bomb. As I made my way through the debris of our barracks, ears ringing, choking on chlorine gas, I looked down and saw blood. I soon realized that the blood was not mine, but was from my friend Joel, who had been an arm's length from me.

When I came home from Iraq, I visited with Joel and also went to Bethesda Naval hospital, to meet with recently returned wounded Marines. I asked each one of them, "what do you want to do when you recover?" They all told me, "I want to go back to my unit."

The harsh reality, however, was that many of them were not going to return to their units. Their injuries were severe. They had lost limbs, the function of a lung, hearing. So I asked them, "If you can't go back to your unit right away, what else would you like to do?"

One Marine told me that he'd like to return to his community as a football coach and mentor. Another Marine said he was considering becoming a teacher. Still another wanted to work at Bethesda, counseling other wounded veterans.

As I left Bethesda that day, I knew that I was part of a long line of visitors and well-wishers that would pass through those halls, thanking veterans for their military service. But after my conversations, I realized that these men and women needed to hear more than, "Thank you." They also needed to hear, "We still need you." In order for their transitions back to their communities to be successful, in order to find the same purpose they felt in uniform, they needed to be challenged.

At The Mission Continues, we challenge veterans to serve and inspire in communities across America. We are creating successful transitions by engaging returning veterans in six-month fellowships at nonprofit and public service organizations in their home communities. During their fellowships, our veterans are provided with a stipend, mentors, and an intensive curriculum designed to achieve one of three post-fellowship goals. They go on to full-time employment, full-time education, or participate in an ongoing role of service in their communities.

In our program, Marine veteran Hiawatha Clemons returns to the same middle school he once attended, to serve as a tutor and role model for young students. Army veteran Rachael Gutierrez reconnects with her desire to serve, helping Habitat for Humanity build homes in Anthem, Arizona. Former Army cannon crewmember Kelvin McLemore responds to 911 calls with the Phoenix Fire Department, bringing assistance and comfort as part of the Crisis Response Team. To date, we have awarded more than 500 Fellowships to post-9/11 veterans, who have served with more than 300 organizations across the country.

Our Fellows serve and they inspire. Together we've engaged more than 25,000 volunteers to work alongside veterans at service projects, bringing communities together in more than 40 states and the District of Columbia.

Our program is having an impact. In two independent research reports, the School of Social Work at Washington University in St. Louis has found that nearly 80% of the participants in our program felt that serving in the community had a positive effect on their future employability, performance, and promotion, or that it instigated them to make a career change. In fact, 86% of participants reported transferring their military skills to civilian employment and 100% of Fellows reported that they will probably or definitely stay involved in volunteer activities and public service in the future.

Our program is successful because diverse groups support our work. We are proud to have thousands of individuals donate their time and energy to spread awareness of our mission. They have volunteered at service projects and invested in our program. We are equally proud of the companies like Goldman Sachs, Boeing, and Target that make financial investments to fund our fellowships, and bring their employees out to service events across the country. Together, these groups make us stronger. We need their strength, because there is still much work to be done.

With the end of the war in Iraq, and the drawdown in Afghanistan, our military is getting smaller. Over the next year, more than a quarter million service members will transition from the military. In order for veterans to transition successfully, more communities across America must recognize the service they still have to give. We believe that when the story of this generation of veterans is written, it will not only be a story of the wars they have fought overseas, it will also be a story of the homes built, the parks restored, and the young minds engaged by veterans whose mission continues in communities here at home.

@highlight

Eric Greitens is an Iraq War veteran and former Navy SEAL officer

@highlight

He founded The Mission Continues to help veterans transition to civilian life

@highlight

Greitens: Communities must recognize the service veterans still have to give