Essex, England (CNN)With a flick of her wrist, the drum beat begins. The familiar deep sound of the tom-tom drum echoes around the makeshift studio. But this is a musical performance with a twist.

For a start, the "studio" is actually a converted barn deep in the English countryside. The woman playing the "instrument" is Grammy Award-winning musician Imogen Heap. And the drum she's beating doesn't exist.

Pioneering the fusion of wearable tech and music, Heap is in a completely different octave thanks to what she calls her Mi.Mu Gloves -- gloves that put the power to create an entire musical composition right at her fingertips.

"In the past the only way that I could interact with the computer (to make music) was by using a mouse and a keyboard and this is very two-dimensional," explains the musical trendsetter.

"I wanted to be able to have something which ... was directly from (the) brain -- to quickly be able to manipulate sound just by intuitive gestures."

While visiting MIT's Media Lab in 2009, Heap met Elly Jessop, an engineer developing her own musical gloves using gestural data. Heap's mind exploded with ideas and she soon set about putting together a team of musicians, makers, hackers and technologists to bring her ideas to life.

Fast forward five years and the dream is finally becoming a reality. Known for her distinctive fusion of soft acoustic sounds, electronica and tech, the British-born artist hopes the gloves will also help bring her music to fans in a more tangible way.

"The gloves help me embody those sounds which are hidden inside the computer, for me to physicalize them and bring them out so that I can play them and the audience members will understand what I am doing -- rather than fiddling around on a keyboard and mouse which is not very clear -- I could just be doing my emails."

How it works

Each glove is loaded with a myriad of sensors, buzzers and buttons that all send a chorus of information wirelessly back to computer software. It then interprets each gesture and produces sounds.

"It has sensors in the fingers that sense the bend of your finger, all of them, including the thumb, some motion sensors like accelerometers, gyroscopes, magnetometers," explains Kelly Snook, a Mi.Mu engineer, who has been working on the gloves project since its conception almost six years ago.

"It takes all the information about your hand and the posture that you are making -- where your hand is positioned and how fast you are moving it -- and it sends all that information to the computer and then allows you to, on the computer, tell your music software what to do with each gesture."

She adds: "It has little buzzers in your wrist that ... (vibrate) when you've done something or you are in this mode. It's all wireless and it's all very seamless."

Music and movement have forever had a symbiotic relationship. But with these gloves, Heap hopes to take her stage performances a step further.

"Movement for me is key," she says. "I have a body and I have a mind and in my mind I have music. And it's a very shapely, sculptural thing that's going on.

"With the gloves I've almost got infinite mobility and so many different ways that different actions can cross over each other and therefore make something I wouldn't have thought of -- I can almost jam with myself," she laughs.

"So movement and playing with music with my hands, almost like a potter, is now becoming a reality with these gloves that I've been developing with my team."

Musical revolution?

The gloves are already making waves among technologists and musicmakers eager to get their hands on them. Initially, the project looked to KickStarter for crowdsourced funding, and while they didn't make their target, the campaign introduced the team to a group of like-minded engineers and hackers, who still wanted to help fund the bespoke gestural gloves. They now collaborate with the team by providing data and feedback from use of their own pair.

"We found 15 people who were willing to invest quite a lot of money at this early stage and help us develop them further. (They) have their own gloves and they range from people interested in robotics, to music therapy, to storytelling, to musicians, to sound engineers and animators -- all kids of different people," says Heap.

And the gloves look set for international stardom as they've even caught the attention of pint-sized pop princess Ariana Grande, who recently spent some time with Heap and ordered her own gloves to bring on tour next year, according to the thrilled Mi.Mu team.

The team is quick to point out the idea isn't particularly new -- gestural music devices have been around for decades. But they hope they can spur the musical innovation forward.

Snook says: "We are not the first to do this, nor will we be the last. We've just been really passionate about doing it for music and doing it on stage and breaking down the barriers between the audience and the performer and making it much more intuitive the way the performer can communicate what they are doing electronically.

"Similar to when the electric guitar came on the scene, music really changed because of that one liberating instrument and so what's exciting to me about the glove project is the way that we could be seeing that complete shift in music making and performance."

Heap adds: "The gloves have certainly changed the way I make music. I'm not going to say it's going to change the world. It's certainly part of a big movement of wearable tech and I really hope that we can move forward the game."

@highlight

Imogen Heap is a Grammy-Award winning artist beloved for her fusion of music and tech

@highlight

She is taking wearable tech to new levels with her Mi.Mu music gloves

@highlight

Gloves use advanced motion-tracking senors and electronics to manipulate sound

@highlight

Heap: "gloves help me embody those sounds which are hidden inside the computer"