Boston (CNN) -- To see Mery Daniel today is to see how far she has come. Walking on her new prosthetic leg without crutches is a huge accomplishment, but to see Daniel ride 26 miles on a hand cycle underscores the tremendous progress she's made in the five months since the Boston Marathon bombings.

"This is the biggest challenge I've faced since the bombing," the 31-year-old Haitian immigrant said, referring to her participation in a recent ride from Waltham, Massachusetts, to Gillette Stadium in Foxboro. She beamed as her 5-year old daughter, Ciarra, and husband, Richardson, ran to offer hugs and congratulations.

"It's great," Richardson says proudly. "It's very encouraging to see -- despite what she's been through."

April 15 was the day that profoundly changed Mery's life and that of so many others.

Three people were killed and more than 250 were injured when a pair of bombs exploded just seconds apart near the finish line of the Boston Marathon.

Suspect Tamerlan Tsarnaev was killed four days later in a standoff with police. His younger brother, Dzhokhar, faces charges that could bring a life sentence or the death penalty if he is convicted. He has pleaded not guilty.

More than 14 people lost limbs in the bombing.

Mery lost her left leg; amputated above the knee. Her right leg was spared, but it was severely mangled and she lost a significant portion of her calf. The team at Boston's Spaulding Rehabilitation Hospital oversees the therapy for many of the new amputees.

Mery's Journey part one: Woman gets new leg -- and a new life

Tim Sullivan, director of communications, remembers when Mery first arrived. "It's amazing to see her first in the hospital bed only a few days after the marathon to now seeing her and others do this [ride]. It's incredible."

Sullivan arranged for Mery and two other bombing victims to participate in a recent challenge for Ride 2 Recovery, a non-profit organization that provides physical and mental rehabilitation to injured veterans through the sport of cycling.

For Mery, the ride was a way to show solidarity. "I think we share a common link in life right now because a lot of them [veterans] have injuries that are similar to mine."

Sullivan, who rode to the 26-mile mark with Mery, says it was a testament "to the caregivers who helped save their lives and the therapists who brought them along and to most of all them to have the strength to do this."

Learning to walk ... again

Mery laughs when you try to call her strong. "If it comes out as being strong then that's what it is but I don't plan to be strong." At her apartment in Boston, she talks about relearning to walk and admits it was a daunting challenge and a lot of hard work. Mery spent an intensive week of therapy at Spaulding and says there were mornings she didn't even want to get out of bed.

"It was extremely difficult. The whole putting the leg on, I didn't feel like I could do it and you have to wait close to 15 minutes before it adjusts properly. It can be painful," she says, as the lower limb sinks into the prosthesis. "You have to overcome the pressure barrier,"but she quickly adds, "I'm alive and that's the important thing."

Mery worked hard; strengthening her core muscles and weaning herself off crutches. Her gait is slow and deliberate, but she is walking on her own now and getting stronger every day. The difficult, but rewarding, work has inspired Mery and she says, "I'm even thinking about rehabilitation medicine. I'm a patient, too, and I think I can share a lot with patients. We have that in common."

Mery came to the United States with the dream of being a doctor; she attended medical school abroad and had returned to Boston not long before the bombings.

Boston bombing survivor meets woman she says saved her life

Her plans were interrupted, but Mery says she's still determined to study and pass the exams so she can practice medicine here. A proud Richardson says he is very optimistic about her future. "I have no doubt she will be great and reach her goals, it will take time, but I know she will do it."

For now, Mery continues her therapy twice a week and has even renewed an old goal -- to run a marathon.

But not just any. Mery wants to run the Boston Marathon. She says it's all about showing her daughter that you can overcome even the biggest obstacles.

"I want to teach Ciarra that, no matter what happens, not to lose enthusiasm and, no matter what happens, to keep going strong."

Help in recovery

Mery is finding her way past the horror and tragedy. She says her family keeps her looking forward. This month, the family got bigger when her two brothers and sister, ages 20, 18 and 14 arrived in Boston from Haiti to live with her.

"I was so excited to see them," she exclaimed. "It's really good to have family around; especially now. It's a form of support."

The Boston apartment now teeming, Mery spends much of her time hunting for a home that is big enough for everyone. She's also looking into schools for her siblings, making sure they have their vaccinations.

"They're here and I'm responsible for them and they look to me. So that pushes me to do what needs to be done and that is helping me, too, in a way."

Don't call her a victim

Since the bombings, Mery says her insurance hasn't put up a fight about paying her medical bills. Her new leg alone costs $50,000. But there is worry down the road when adjustments and a new prosthetic become necessary.

Dr. David Crandell, director of Spaulding's amputee program, says, "they [insurance companies] will cover a basic cost but they may not cover the full or higher end prosthesis so the patient has to be a good advocate."

One Fund Boston has distributed more than $60 million to some 237 victims even as donations continue to come in. Merydaniel.com, a website Mery's friend set up, has raised some $46,200 -- but has hit a plateau, she says.

The monies are set aside in a trust for Mery that will be used for future medical expenses and her overall well-being.

"I'm thankful for those who have donated but people move on. Even us survivors, we don't stay in the moment, either. We move on," she says. "But I do think it's important for people to be reminded of what happened that day."

Asked about her reflections on the last five months, Mery will tell you she is stronger and that she is no victim. She is a survivor.

"You have to go through certain things in life, certain hurdles to really get to your element -- to find out who you are ... I don't want to say I'm glad it happened, but if I could use that to better myself then that's a good thing. Now it's part of me, and so I move on and I'm learning how to live my life. And that to me is -- it's like I'm winning."

Jeff Bauman, Boston Marathon bombing survivor, gets book deal

If you'd like to donate to the victims of the Boston Bombing, the One Fund Boston site is still accepting donations. To donate directly to Mery Daniel, please visit www.merydaniel.com

@highlight

The Boston Marathon bombings changed the lives of hundreds of people

@highlight

Mery Daniel lost her left leg, but not her spirit

@highlight

She's learning to adjust to a prosthetic leg and a new life