(Health.com) -- Pamela Sakuda, 57, was anxious and depressed. After two years of intensive chemotherapy for late-stage colon cancer, and having outlived her prognosis by several months, she'd finally lost hope. She was living in fear and was worried how her impending death would affect her husband.

Sakuda's doctor prescribed antidepressants, but they didn't do any good. So, at her wits' end and feeling that she had nothing to lose, Sakuda volunteered for an experimental depression treatment being studied at UCLA.

In January 2005, with a pair of trained therapists at her side, Sakuda took a pill of psilocybin -- a hallucinogen better known as the active ingredient in "magic mushrooms."

It may seem far-fetched that a psychedelic drug associated with muddy hippies at Woodstock would help a cancer patient at a university hospital. Yet it's an increasingly familiar scene.

Although mind-bending drugs such as psilocybin are still used most often by people looking to get high, researchers around the country have begun to explore whether these and other illegal drugs can help treat intractable depression, anxiety, and other mental-health problems.

Health.com: Should you take antidepressants?

In the past month alone, studies have been published on the benefits of MDMA (better known as Ecstasy) in people with post-traumatic stress disorder and on the fast-acting antidepressive effects of the club drug ketamine (aka "Special K"). The study in which Sakuda took part is scheduled to appear in a major journal in early September. So far the studies have been small, but the results have been encouraging and bigger trials are on the horizon.

Drugs such as psilocybin and Ecstasy can be dangerous in the wrong hands. But when taken under professional supervision and combined with therapy, researchers say, just one or two doses can help patients unlock the sources of their troubles and experience therapeutic breakthroughs that otherwise might take months or years.

"It can be like psychotherapy sped up," says psychiatrist Stephen Ross, M.D., an addiction expert at New York University who is leading a study on psilocybin treatment in cancer patients with severe anxiety. "Their defenses are lowered, [and] they have enormous access to unconscious material."

Psilocybin revitalized Sakuda. As the effects of the drug were wearing off, the therapists called in her husband, Norbert Litzinger, to see her.

"There's my Pammy," Litzinger recalls thinking. "She's just beaming with light, and I haven't seen that joyousness for so long. She was just totally alive, she was totally happy."

Health.com: 7 types of therapy that can help depression

The return of the acid test

Scientists have been investigating the therapeutic effects of hallucinogens, MDMA, and other synthetic drugs since the 1940s. In perhaps the most famous example, a team of researchers led by psychologist Timothy Leary explored the effects of psilocybin and LSD (lysergic acid diethylamide, or "acid") in a series of experiments conducted at Harvard University in the early 1960s.

But research into the potential benefits of psychedelic drugs ground to a halt in the early 1970s, after the federal government criminalized LSD and psilocybin -- and after the drugs were eagerly adopted by college students and the hippie counterculture.

"These studies had to be shut down because of the cultural reaction," says Charles Grob, M.D., a professor of psychiatry at the Harbor-UCLA Medical Center, in Torrance, California, and the lead researcher of the study that included Sakuda. "It kind of tarnished the image of the entire field."

The new wave of research on psychedelics -- "version 2.0," as  Ross calls it -- began in the early 1990s, when the Food and Drug Administration  sanctioned a few preliminary studies on psilocybin and MDMA. (The latter had been used in psychotherapy beginning in the 1970s, without the FDA's blessing, and was ultimately outlawed in 1985.) The research has picked up dramatically in the past few years.

Health.com: Supplements for depression: what works

The researchers are "going at it in the right way this time," says Bruce Stadel, M.D., a retired FDA medical officer who has been following the new crop of studies. "These drugs in the 60s were just let loose without any proper study. [Now] they're going through the FDA, through the process of clinical trials."

Researchers have not been able to get federal grants, however. While the FDA has signed off on the studies, they have all been privately funded, most notably by nonprofit organizations such as the Multidisciplinary Association for Psychedelic Studies (MAPS), in Santa Cruz, California, and the Heffter Research Institute, in Santa Fe, New Mexico.

Don't try this at home

The psilocybin study Ross is leading at NYU is typical of the new-generation research. On two separate occasions during the nine-month study, which is being funded by the Heffter Research Institute, patients are given a silver chalice containing either a psilocybin pill or a placebo.

The patient then lies down on a brown sofa surrounded by artwork, sculptures of Buddha, and, on a nearby bookshelf, a little glass mushroom with a red cap. For the next six hours, the patient listens, with eyes shaded, to a combination of classical, Eastern, and tribal music.

A pair of therapists -- who don't know whether the patient has taken an active drug or placebo -- stay in the room for support, though they encourage the patient to remain in a meditative state.

This may sound a bit trippy. But the science behind the research is sound, says Franz Vollenweider, M.D., a psychiatrist at the University of Zurich, in Switzerland, and a member of the Heffter Research Institute's board of directors.

According to Vollenweider, who has conducted brain-imaging studies on the effects of psychedelics and MDMA, these drugs appear to affect levels of serotonin and other chemicals in the body and brain that help regulate mood.

Health.com: Could hallucinogenic drugs have healing properties?

When everything goes well, the drugs induce a "peaceful and blissful" state of unity with oneself and the cosmos, resulting in a new level of self-awareness and knowledge that can make an individual more responsive to cognitive therapy and other forms of psychotherapy, Vollenweider says. (Ironically, the drugs show promise in the treatment of alcohol addiction, he adds.)

In cancer patients such as Sakuda, "these spiritually oriented altered states...potentially allow patients to have an abrupt shift of consciousness from being scared about dying and feeling their life is over," says Grob. "It was quite remarkable to me to see changes in these people who were very anxious and in distress, and [to] see how they got better."

But it's not always a smooth trip. Depending on the dose, as well as an individual's personality, the drugs can elicit fear, anxiety, paranoia, and, in some cases, a state akin to psychosis.

"It's not so easy -- it can be excruciatingly painful," says Grob. "Those six hours that one is immersed in the experience can feel like the longest hours in a person's life."

For this reason, the drugs should only be given in exact doses in a carefully controlled setting, researchers say. Moreover, months of follow-up therapy are recommended to sort through the insights gleaned during the session and to ensure that they are applied productively to everyday life.

A prescription for psilocybin?

The early results of the new research are promising. In the MDMA study published in July, for instance, 10 of the 12 people who took the drug no longer met the criteria for post-traumatic stress two months later. And all five of the patients that have enrolled in Ross's study so far -- eventually it will include a few dozen -- have shown significant decreases in anxiety and depression.

Health.com: Can Ecstasy help ease post-traumatic stress?

"They've all improved," Ross says. "There appears to be something there."

Researchers hope that if the ongoing preliminary studies prove the safety and effectiveness of these drugs for certain treatments, the government will step in to fund larger trials.

Rick Doblin, Ph.D., the founder and president of MAPS, says that this could happen in the next three years. But don't expect to get a prescription for magic mushrooms from your psychiatrist any time soon.

It will likely be a decade before the FDA approves a psychedelic as medicine, if it does so at all, says Doblin. The most likely candidate is MDMA for post-traumatic stress, he adds.

"What we're trying to move towards is this legitimization of this field of psychedelic medicine, but we have to do it through the FDA, one drug at a time."

Petros Levounis, M.D., an addiction psychiatrist at the Columbia University College of Physicians & Surgeons, in New York City, and a former chair of the American Psychiatric Association's committee on addiction treatment, emphasizes that psychedelics are far from being a mainstream treatment.

"This is a line of research that does have some data that show a potential for some positive outcomes," he says. "But we are very, very far from recommending hallucinogens for the treatment of terminally ill patients."

Still, the experiences of people like Sakuda hold out hope for people who have struggled to overcome depression and anxiety.

Health.com: 10 things to say (and not say) to someone with depression

Sakuda's depression gradually lifted after her psilocybin session, which her husband credits with bringing about an "epiphany" and a "revival." Her depression and anxiety had prevented her from being active and enjoying life, but before long she and her husband were going to concerts again and hiking the north rim of the Grand Canyon.

Meanwhile, Sakuda's cancer had continued to spread. On November 10, 2006, she died at home in her husband's arms, just a few days after speaking at a fund-raiser for the Heffter Research Institute, which funded  Grob's study.

In a video on the institute's website, Sakuda described the surge of emotion and newfound perspective that she experienced on psilocybin, and which had such an impact on the final years of her life.

"I don't think the drug is the cause of these things," she said. "I think it's a catalyst that allows you to release your own thoughts and feelings from some place [where] you've bound them very tightly."

Copyright Health Magazine 2011

@highlight

Researchers are exploring whether psychedelic drugs can treat mental-health problems

@highlight

Studies have been published on the benefits of Ecstasy in people with PTSD

@highlight

When taken under professional supervision, one or two doses can help patients recover