It's a tiny country of 5½ million people, but suddenly Denmark feels like the most happening place on the planet.

First, a Copenhagen restaurant few people had heard of was voted best in the world -- and held on to the title for three years in a row. Then Danish TV dramas "The Killing" and "Borgen" captured the imagination of a worldwide audience. And now designers Malene Birger, Ivan Grundahl and a new generation coming up behind them are taking the international fashion scene by storm.

"Wonderful, wonderful Copenhagen," trilled Danny Kaye in his movie portrayal of Denmark's famous fairytale author, Hans Christian Andersen. And it is wonderful -- though there's a lot more to the Danish capital than the beautiful little harbor surrounded by quaint townhouses that drew Andersen to the city nearly 200 years ago.

Great experiences awaiting the curious traveler in Copenhagen include:

Nicely tickled taste buds

Noma, thrice voted world's best restaurant, may be solidly booked for months, but there are other places to sample the New Nordic cuisine this rustic eatery has inspired. The main principle is super-fresh Scandinavian produce, inventively prepared. Check out Relae, opened by an ex-Noma chef, as well as Radio, Aamann's, Geranium and Nimb Louise.

At the other end of the spectrum is traditional fare such as smorrebrod (delicious open sandwiches) and crisp, buttery Danish pastries that put mass-produced imitations to shame. Lagkagehuset is the pace for great Danish, as popular to start the day in Copenhagen as a post-partying hot dog is to end the night. Locals swear by John's Hot Dog Deli on bustling Axeltorv Square, and get their dog slathered with remoulade sauce, raw and fried onions as well as ketchup.

CNN's travel Photo of the Day

A walk on the wild side

Many tourists don't get far beyond picturesque Nyhavn, where in summer you can barely move along the cobbled harbor lined with colorful old houses and restaurants. But thanks to "The Killing," bolder travelers are taking walking tours of the show's Vesterbro locations and exploring other edgy neighborhoods.

Once a red-light district, Vesterbro has gentrified and is now the hippest residential area in town as well as a center of lively nightlife. Head for the old meat-packing plant, now an art venue, and keep going till you hit the White Town -- the meat-packing district and now home to popular late-night hangouts such as Karriere and the Fiskebar.

Edgier yet is Christiania, taken over by hippies 40 years ago and an official "free town" in the heart of the city. Residents decorate their public buildings with amazing graffiti and have built spectacular family homes around a lake. Despite the alternative activities taking place, tourists will come to no harm -- so long as they respect the strict no photography policy. The Nemoland outdoor bar puts on free weekend concerts May through August.

Awe-inspiring American castles

Shopping till you drop

Stroget, Europe's longest pedestrian street, is lined with great boutiques -- check out Ivan Grundahl, whose clothes look more Japanese than Danish, and the two big department stores, Illum and Magasin du Nord.

For more eclectic finds, stroll down Store Strandstraede, just off the main tourist center of Nyhavn, for antiques and unique housewares as well as fashion, and also check out Kronprinsensgade and Elmegade. FN92 on Larsbjoernstraede is considered one of the city's finest vintage fashion emporia, while Georg Jensen is Copenhagen's world-famous silversmith.

A treat for your inner child

Given the affection for Andersen's fairy tales, it's no surprise Copenhagen's most-visited attraction is the tiny statue of the Little Mermaid on the waterfront. And another is the nearly 170-year-old Tivoli Gardens, a lovely amusement park that offers beautiful gardens, a pantomime theater and top restaurants as well as truly fearsome-looking fright rides.

Copenhagen also has a state-of-the-art zoo and clean outdoor swimming pools in the harbor with lifeguards and special sections for children.

Five places to find mermaids

A feast for the eyes

Danish design is world-famous -- think Arne Jacobsen, Bodum and Bang & Olufsen -- and Copenhagen has some spectacular buildings, too.

The Old Stock Exchange is a striking 17th-century blend of red brick and curlicued green gables, while the Royal Hotel, designed for SAS airline by Jacobsen in the late 1950s, has a lobby full of his iconic midcentury modern Swan and Egg chairs.

The Hotel Astoria, next to the ugly Central Station, made headlines when it opened in 1935 boasting Copenhagen's first revolving doors. Despite a faded exterior, it's had updates to become a modern budget hotel. In a more traditional vein, the Admiral Hotel is a superb conversion of an 18th-century warehouse, with half its rooms overlooking the harbor. Striking ultra-modern buildings include Copenhagen's Black Diamond conference center on the waterfront.

A road trip to the former Denmark across the bridge

The southern tip of Sweden used to be Danish, and still looks it, so no wonder Copenhagen locals scoot across the bridge connecting the two countries on weekends to eat in the province of Skane, known for its organic farms, pottery and fine restaurants as well as its wild beauty.

The lively town of Malmo, Sweden, can be reached by train in half an hour, but it's worth renting a car to explore both the area on the Danish side north of Copenhagen, where the Louisiana Museum of Modern Art is a main attraction, and the lovely coastal countryside of southern Sweden.

Skane will be familiar to fans of the Kurt Wallander books and TV series, which are set there. One of Skane's newest attractions is the charming little rustic restaurant of Daniel Berlin, tipped to succeed Noma as the next king of Nordic cuisine.

Three top tips

• Get an overview from a canal boat; tours leave every hour from Nyhavn and provide an excellent opportunity to see Copenhagen from the water.

• Pay extreme care when getting out of a taxi; Copenhagen roads have two curbs, and only one of them is designed for pedestrians. The curb where taxis pull up separates vehicles from a busy cycle path -- not from the sidewalk.

• Join Copenhagen's hordes of cyclists by getting on a free city bike. You'll require a 20 Danish kroner coin -- around $3 -- as refundable deposit, and must remember not to cycle after dark or in the city's parks.

For information, check out www.visitcopenhagen.com.

@highlight

Copenhagen's New Nordic cuisine and sophisticated design lure travelers

@highlight

The Danish city also has a playful side with its famous Little Mermaid and Tivoli Gardens

@highlight

For a side trip, rent a car to drive north from Copenhagen or to neighboring Skane in Sweden