(CNN) -- The death of Steve Jobs has renewed comparisons to another great innovator who died 80 years ago this month -- Thomas Edison. But there are important differences between the two men.

In the 80 years between their deaths, consumers came to dominate the economy, a transformation that was only beginning during the later years of Edison's life. Steve Jobs was a master at understanding how to create transformative consumer technologies.

Although Edison was a key innovator in two consumer technologies -- sound recording and motion pictures -- he struggled to understand the consumer markets he helped to create. His most important technological innovation was the electrical system, which made possible the personal computers, music players and smartphones innovated by Jobs. Edison was also more involved in the day-to-day work of invention than Jobs, and his other great innovation was the industrial research and development laboratory

While the differences between Edison and Jobs are important, so, are their similarities. These offer lessons for other innovators. Jobs and Edison succeeded because they were good at envisioning how long-term developments in scientific and technical knowledge could be transformed into new technologies.

At the start of his electric light research Edison described his vision for an entire electric light and power system and then used the knowledge of decades of research on incandescent lamps and generators to create the first viable incandescent lamp and the entire electric light and power system that made it commercially viable.

Similarly, before developing the Macintosh computer, Jobs envisioned how two decades of work on graphical user interfaces and the computer mouse could transform the way people used computers, and also how the development of touchscreens and miniaturization could be transformed into the smartphone.

In developing new technologies, both men focused on the long-term. They understood that innovation does not happen overnight and were willing to commit considerable resources to a process that might result in failure. In fact, both had notable commercial failures. With Jobs it was the NeXT computer, and with Edison it was a method for processing low-grade iron ore. Neither was a technical failure, however, and they became successful elements in subsequent innovations.

The software that drove the NeXT computer became an important part of the Macintosh operating system, while Edison's rock-crushing technology was widely licensed. Edison himself used this technology to enter the Portland cement industry, where he became a major producer by innovating a long rotary kiln that became the industry standard.

As part of their long-term vision of innovation, both Jobs and Edison understood that a device that worked well experimentally might not be suited to everyday use. They therefore spent time and resources to ensure their technology was commercially viable before putting it on the market. Jobs publicly demonstrated the first IPhone six months before it was ready for the market.

After his first public demonstration of a lamp and lighting system, Edison spent a year on further development before he introduced them commercially. And, after commercial introduction, both innovators continued to fund research to improve their products and keep them at the forefront of the market. Nonetheless, both Edison and Jobs were better at introducing transformative technologies than dominating the markets they created.

Finally, Edison and Jobs were masters at using the media to promote both their products and themselves in ways that captured the public imagination. Such promotion, however, was based on a solid foundation of innovation that helped to transform people's lives. It is for this reason that President Herbert Hoover asked Americans to dim their lights for a minute to honor Edison's memory.

It's also the reason that on news of Jobs' death, fans flocked to Apple stores and held vigils -- lit by iPhones.

The opinions expressed in this commentary are solely those of Paul Israel.

@highlight

Paul Israel says some have compared Steve Jobs impact to that of Thomas Edison

@highlight

He says there are differences: Edison not in tune with consumer markets but Jobs was

@highlight

He says both were good at harnessing scientific knowledge into transformative technologies

@highlight

Israel: Both had their product missteps but were masters at innovation and media promotion