(CNN) -- New research suggests that crabs not only suffer pain but that they retain a memory of it.

No thanks for the memories: The scientific study applied mild electric shocks to hermit crabs to determine if they could 'feel' pain.

The study, which was carried out by Professor Bob Elwood and Mirjam Appel from the School of Biological Sciences at Queen's University, Belfast, looked at the reactions of hermit crabs to small electric shocks. It was published in the journal "Animal Behaviour."

Professor Elwood, whose previous work showed that prawns endure pain, said his research highlighted the need to investigate the treatment of crustaceans used in food industries.

Hermit crabs have no shell of their own so inhabit other structures, usually empty mollusc shells.

In the research, wires were attached to shells to deliver the small shocks to the abdomen of some of the crabs within the shells. The only crabs to get out of their shells were those which had received shocks, indicating that the experience is unpleasant for them.

The research suggests that this response is not just a reflex, but that central neuronal processing takes place.

Hermit crabs are known to prefer some species of shells to others and it was found that that they were more likely to come out of the shells they least preferred.

The main aim of the experiment was to deliver a shock just under the threshold that causes crabs to move out of the shell, to see what happened when a new shell was then offered.

Crabs that had been shocked but had remained in their shell appeared to remember the experience of the shock because they quickly moved towards the new shell, investigated it briefly and were more likely to change to the new shell compared to those that had not been shocked.

"There has been a long debate about whether crustaceans including crabs, prawns and lobsters feel pain," said Professor Elwood in a press statement.

"We know from previous research that they can detect harmful stimuli and withdraw from the source of the stimuli but that could be a simple reflex without the inner 'feeling' of unpleasantness that we associate with pain.

"This research demonstrates that it is not a simple reflex but that crabs trade-off their need for a quality shell with the need to avoid the harmful stimulus.

"Such trade-offs are seen in vertebrates in which the response to pain is controlled with respect to other requirements. Humans, for example, may hold onto a hot plate that contains food whereas they may drop an empty plate, showing that we take into account differing motivational requirements when responding to pain.

"Trade-offs of this type have not been previously demonstrated in crustaceans. The results are consistent with the idea of pain being experienced by these animals."

Previous work at Queen's University found that prawns show prolonged rubbing when an antenna was treated with weak acetic acid but this rubbing was reduced by local anesthetic.

According to Queen's University the findings from both studies are consistent with observations of pain in mammals.

But Professor Elwood says that in contrast to mammals, little protection is given to the millions of crustaceans that are used in the fishing and food industries each day.

"More research is needed in this area where a potentially very large problem is being ignored," said Elwood.

"Legislation to protect crustaceans has been proposed but it is likely to cover only scientific research. Millions of crustacean are caught or reared in aquaculture for the food industry.

"There is no protection for these animals (with the possible exception of certain states in Australia) as the presumption is that they cannot experience pain.

"With vertebrates we are asked to err on the side of caution and I believe this is the approach to take with these crustaceans."

@highlight

New research from Queen's University says crabs feel and remember pain

@highlight

Tests carried out on hermit crabs in shells that were given mild electric shocks

@highlight

Author of study says crustaceans should be treated with same care as vertebrates