Mickey Rooney, whose roller-coaster, nine-decade career in show business included vaudeville, silent films, movies, television and Broadway, died Sunday. He was 93.

Rooney died in California, the Los Angeles County Coroner's office said.

Rooney's career spanned almost the entire history of motion pictures. He made his first film, the silent "Not to Be Trusted," in 1926 and followed it up with several shorts based on the "Mickey McGuire" comic strip. He was still making movies nine decades later, including "Night at the Museum" (2006) and "The Muppets" (2011).

At the time of his death, he had three more films in the works, according to the Internet Movie Database, including a version of "Dr. Jekyll and Mr. Hyde" with Margaret O'Brien.

Rooney had just completed his last movie role in the next installment of "Night at the Museum" with Ben Stiller.

"He led a full life but did not have enough time to finish all he had planned to do. He had the time of his life and the utmost respect for the cast and crew," his son Mark Rooney said in a statement to CNN Monday.

He separated from his wife, Jan Chamberlin, two years ago and moved in with his son and his wife, Charlene, according to the statement.  "With them he finally found happiness, health and a feeling of safety and was able to enjoy life again."

"Mickey was finally enjoying life as a bachelor, and the morning of his death, they spoke of all their future plans," the statement said. "He loved the business he was in and had a great respect for his fellow actors."

For a period in the 1930s and 1940s, boosted by the popularity of the "Andy Hardy" series of films, Rooney was the No. 1 star at the box office and perhaps the brightest star at MGM -- a whole studio of "more stars than there are in heaven," as the publicity said. Yet he became as famous for many marriages -- eight, all told -- and his regular tumbles off the Hollywood pedestal as he was for his incredible energy and longevity.

Still, he never stopped getting up.

"I keep going because if you stop, you stop," he told the UK's Guardian newspaper in 2009. "Why retire? Inspire."

Top box-office draw

The diminutive 5-foot, 2-inch Rooney began his acting career shortly after his first birthday, appearing on vaudeville stages with his parents. He was born Joseph Yule Jr. on September 23, 1920, in Brooklyn, New York.

His parents split when he was young, but spurred by his mother, he soon found himself in Hollywood. Before he was 10, he was a star, appearing in dozens of shorts based on the popular "Mickey McGuire" strip.

He worked steadily through the 1930s, with notable turns in a 1935 version of "A Midsummer Night's Dream" and 1937's "Captains Courageous," the latter opposite Spencer Tracy. (Rooney also appeared in Tracy's 1938 vehicle "Boys Town.")

But he shot into Hollywood's stratosphere in his next film series as Andy Hardy in more than a dozen films produced between 1937 and 1946.

Andy Hardy was a good-hearted ball of teenage mischief, always trying to make a few dollars or willing to "put on a show," no matter what it took: rounding up friends, using a barn, getting some spare parts from his wholesome middle-American neighborhood. Inevitably, he would be called to account with his father, Judge Hardy, played at first by Lionel Barrymore and later by Lewis Stone. Judge Hardy would reiterate the basics of fairness and morality, and Andy -- and the movie audience -- would have once again learned a valuable lesson.

The films were hugely popular, even more so when Rooney's character became the centerpiece starting with 1938's "Love Finds Andy Hardy." It didn't hurt that Rooney was paired with Judy Garland for three of the films.

Garland and Rooney also co-starred in several Busby Berkeley musicals, including 1940's "Strike up the Band" and "Babes on Broadway" a year later.

Many marriages, money troubles

But Rooney's private life wasn't always as wonderful as his on-screen persona would indicate. He was married eight times, three times in the 1940s alone. His first marriage, to Ava Gardner, began in 1942 and ended in 1943. In 1944, he married an Alabama beauty queen, Betty Jane Phillips; that one ended in 1948. His third marriage, to Martha Vickers, lasted less than three years.

Throughout, Rooney was known as a spendthrift and a challenging partner. He loved horseracing and routinely spent his earnings at the track, even when there weren't many earnings to speak of, as there was during a fallow period in the 1950s. As an adult of a certain size, Rooney found it much harder to find roles into which he could channel his prodigious talents.

But he wouldn't stay unemployed for long. There was a TV series, "The Mickey Rooney Show," for a season in 1954-55. More important, there was a supporting actor Oscar nomination for 1956's "The Bold and the Brave."

Rooney, however, wasn't very discriminating about his roles. Other films during the late '50s and early '60s included forgettable flicks such as "Operation Mad Ball" (1957), "The Private Lives of Adam and Eve" (1960) and "Platinum High School" (1960). He appeared in the classic "Breakfast at Tiffany's" (1961) but in the unfortunate, broadly acted role of Holly Golightly's Japanese neighbor, Mr. Yunioshi.

He was one of the cast of a thousand comedians in "It's a Mad, Mad, Mad, Mad World" (1963).

Rooney also made TV guest appearances on such shows as "The Investigators," "Naked City" and "The Twilight Zone." On the latter, he played a jockey.

'He is a showman'

After another 15 years of minor movie parts and TV roles, Rooney's up-and-down career once again hit the heights. He earned an Oscar nomination for his performance as a horse trainer in 1979's "The Black Stallion" and dazzled Broadway in the song-and-dance revue "Sugar Babies" -- a role, given his start, he was born to play. The show earned him a Tony nomination and ran for almost three years.

Over the years, Rooney earned four Oscar nominations. In addition, he received a special Oscar  in 1939 and an honorary one in 1983.

Rooney also triumphed on television in the 1981 TV movie "Bill," about a mentally disabled man trying to live on his own. That performance garnered him an Emmy.

Video: Interview with Rooney in March

He also found a lasting marriage when he wed Jan Chamberlin in 1978. Chamberlin survives the actor.

However, Rooney once again faced financial struggles as he entered his later decades. They came to national attention when he asked a Los Angeles court to appoint a conservator to protect him from his stepson and stepdaughter. Rooney blamed his financial troubles on a stepson whom he successfully sued.

He also took his case to Congress, delivering emotional testimony to a House committee in March 2011 in which he said family members took control of his life, making him "scared, disappointed, yes, and angry."

Rooney made his audience laugh and cry when he implored senators to stop what experts call chronic emotional, physical, sexual and financial abuse of elderly Americans by family members and other caregivers.

Rooney called on Congress to make elder abuse a specific crime. "I'm asking you to stop this elderly abuse. I mean to stop it. Now. Not tomorrow, not next month but now," he shouted from the witness table.

Rooney: A spokesman against elder abuse

Los Angeles County Superior Court Judge Reva Goetz appointed attorney Michael Augustine as Rooney's permanent conservator that month. Augustine immediately began seeking entertainment gigs for the aging performer, telling CNN that he had to revive his show business career quickly or would die "in very short order."

Augustine summed up Rooney's drive in a few sentences.

"Mr. Rooney's parents put him on the vaudeville stage when he was 17 months old," he said in 2011. "If Mr. Rooney were to not work, I think we would be attending Mr. Rooney's funeral in very short order.

"It's part of his fiber," Augustine continued. "He loves it. He is a showman."

His last months included reunions with old friends, the family statement said.

"Even someone of Mickey's iconic statue was quite star struck and was extremely thrilled to attend Vanity Fair's Oscar party recently," the family said.  "Just last week Mickey was ecstatic when they surprised him by reuniting him with one of his great loves, the race track. There they spent time with Mel Brooks and Dick Van Patten. He had exceptional care and a new lease on life."

People we lost in 2014

@highlight

Mickey Rooney just finished work on "Night at the Museum 3"

@highlight

Rooney was the No. 1 box office draw from 1939-41

@highlight

Diminutive star had a famous screen partnership with Judy Garland

@highlight

He earned four Oscar nominations and received two statues