The scandal over allegations about NSA surveillance overseas, including monitoring of the cell phone conversations of German Chancellor Angela Merkel and millions of phone calls in France, is another huge blow to President Barack Obama.

The news has caused a big uproar in Western Europe, with Merkel demanding a response from Washington. It was "incredible that an allied country like the United States and at this point goes as far as spying on private communications that have no strategic justification," said Jean-Marc Ayrault, the Prime Minister of France. "Trust needs to be rebuilt," Merkel said.

While observers warn these complaints are hypocritical and have more to do with domestic politics in Western Europe than true feelings about the United States, this incident is nonetheless much more than a mere blip in the time line of Obama's presidency. The recent National Security Agency revelation is one more step in a series of revelations about practices that have undercut a central promise that candidate Obama made in 2008 -- to repair America's standing in the world.

When Obama took office, America's position in the global community had greatly deteriorated. President George W. Bush's war in Iraq, and his unilateral approach to foreign policy, had generated tremendous distrust and anger overseas, including among our closest allies.

So, too, had Bush's apparent disregard for civil liberties and willingness to ignore international standards against the use of torture. The United States was seen as a country that acted solely in its own interest and that cared little for protecting strong and durable multilateral alliances. The United States, in the minds of its critics, also took reckless actions to defend its national security interests without thinking about the consequences.

Obama was determined to correct this. This had been a constant theme of his campaign against presidential opponent Sen. John McCain, more so than almost any domestic issue. In June 2008, speaking in Germany near the place where the Berlin Wall once stood, Obama said that, "In Europe, the view that America is part of what has gone wrong in the world rather than a force to help make it right has become all too common."

He continued to expound on this theme in his first year as president. His stirring speech in Cairo in June 2009 offered inspirational words to many of his supporters, evidence that the president was serious about fixing the damage that had occurred under Bush.

But the promise is unfulfilled. Over the years, it has become clear that Obama left much more of Bush's foreign policy framework in place than many of his supporters had expected.

He continued with an extremely aggressive campaign against terrorist networks, employing drone strikes to destroy networks even when there have been significant civilian causalities, allowing for tough interrogation techniques and detention policies and depending on secret processes that created little accountability for what the government was doing, other than when leakers revealed classified information. Inconsistent policies toward authoritarian Middle Eastern regimes in countries such as Syria, as well as turbulence in Egypt following the fall of Hosni Mubarak, have greatly dampened the enthusiasm about Obama that had existed after 2008.

Nor did Obama do much to strengthen civil liberties. The public has begun to learn how extensive the surveillance has been on their phones, on their computers and every other type of communication that occurs. In short, the government has been watching.

To be sure, the success at generally preventing terrorist strikes within the U.S., barring Boston, is a central accomplishment of his presidency. But the difficulties he has faced achieving the balance he promised in relations with the rest of the world have come with a cost.

The NSA issue began with a debate about the proper domestic balance between civil liberties and counterterrorism and has now has extended into the realm of diplomacy.

Obama needs to make this right. The controversy hurts the ability of the United States to maintain strong relations with the allies whose support is essential to the war on terrorism, as well as in fighting against other global threats. He must provide answers and show that the government is responding to concerns about NSA practices.

One administration official has told the Wall Street Journal that President Obama had been unaware of NSA spying on 35 world leaders and that, as soon as he learned of the practice through an internal review (a response to the political outrage over the revelations of the spy program), he put parts of the program to an end.  Even if this is the case -- and the president will need to make clear this is so given how cynical and skeptical the world has become about U.S. political rhetoric on these matters -- the information begs the question of how the NSA was allowed to remain so unaccountable even to the Commander-in-Chief and, more importantly, what steps President Obama will now take to make sure we conduct our counterterrorism programs within some kinds of parameters and guidelines.

If Obama does nothing further, the ongoing revelations will leave behind the same kinds of problems that he, as a candidate, understood to be so devastating in 2008.

@highlight

Julian Zelizer: Barack Obama promised to reverse George W. Bush's unilateral approach

@highlight

He says by sticking with Bush's policies, Obama has disappointed allies, friends

@highlight

Zelizer: Obama needs to make good on his promise to have U.S. work better with the world