Washington (CNN) -- It's a maze out there. A complicated, fragmented hodgepodge of laws in each state that dictate the lives of gays, lesbians and transgender.

Living in New Mexico and are one-half of a same-sex marriage? You can visit your partner in the hospital. But if your partner got sick across the border in Texas, sorry -- unless you are a recipient of Medicare or Medicaid, then you have visitation rights because of a federal government law passed in 2011.

A lesbian living in South Dakota has no protection against discrimination in the workplace based on her sexual orientation. But if she gets a job in neighboring Iowa, she does.

A Maryland same-sex couple has the ability to adopt a child, but if that couple moves to Virginia, the law is not clear and adoption becomes a lot less guaranteed.

"We are living in this era of two Americas where LGBT people living in certain states and certain areas have much greater access to basic rights and marriage," Sarah Warbelow, the state legislative director at the Human Rights Campaign, said.

Chess game

For the LGBT community, it's a game of chess with 51 players on the move (50 states plus the District of Columbia).

My same-sex parents, a proud secret

As for now, the state of play is looking up for LGBT advocates.

In the last week alone, federal judges in Kentucky and Virginia ruled that their states' bans on same- sex marriage are unconstitutional. The rulings come on the heels of judges in conservative states of Oklahoma and Utah who ruled that marriage bans are unconstitutional.

Nevada announced that it will no longer defend its ban on same-sex marriage.

And LGBT rights groups are pleased that the Indiana Senate amended its proposal for a ban on same-sex marriage because it buys them more time. The earliest it can be on the ballot for public approval is 2016.

Last week in Kansas, in what would have been one of the most draconian measures facing same-sex couples in recent years, the state Senate decided to forego voting on a measure that would permit businesses to discriminate against same-sex couples. After the Kansas state House passed the bill that is said to protect religious freedom, the Senate realized it is too toxic to touch.

It doesn't mean that advocates are only moving forward. Warbelow said they are watching a series of bills in state legislatures that limit LGBT rights in terms of relationships and the workplace.

One step forward, two steps back

But for LGBT advocates, it's more like two steps forward, one step back.

Washington has also added to the onslaught. Attorney General Eric Holder earlier this month announced that the federal government will expand the recognition of same-sex marriages in federal legal matters, including bankruptcies, prison visits and survivor benefits.

Actress Ellen Page: "I am gay"

Analysts expect the Supreme Court to rule on the issue soon, especially as the four previously mentioned states' decisions are now in the pipeline, adding to the pile of same-sex marriage related case load.

While the federal government has made a lot of changes in recent years, including repealing the military's "don't ask, don't tell" policy and President Barack Obama's publicized support of same-sex marriage, advocates aren't only seeing victory.

'Unsustainable'

The House of Representatives is sitting on a federal version of the Employment Nondiscrimination Act, known as ENDA, which would issue federal employee protections for sexual orientation and gender identity.

And Obama hasn't addressed the "low-hanging fruit," including signing an executive order banning workplace discrimination of gay, lesbian and transgender federal contractors.

Public opinion is moving more quickly than judges and elected officials.

According to a national Quinnipiac University poll from September, 56% of Americans support marriage for same-sex couples, compared with only 25% who supported it in 1996. A CNN poll in 2010 was the first one that suggested that a majority of respondents backed it.

Same-sex marriage a dying political issue

Republican strategist Ana Navarro said recently on CNN's "State of the Union" that opinions on same-sex marriage represent the "most rapid social change that we've seen in our lifetime."

As for the patchwork of state laws, Human Rights Campaign's Warbelow said it's "unsustainable in the long run."

Chelsea Clinton agreed. She said the issue is "unfinished business."

Same sex marriage fast facts

@highlight

Laws impacting LGBT differ in 51 different ways

@highlight

"We are living in this era of two Americas," a Human Rights Campaign official said

@highlight

Four states have all made decisions on LGBT issues in the past week