(CNN) -- The mysterious, faceless green men have entered eastern Ukraine, looking much like they did last month in Crimea before Russia sliced off and swallowed that former province of Ukraine.

What will President Barack Obama do now?

Unlike Russia's Crimea invasion, the Ukrainian government is not rolling over as readily this time, vowing not "to let the Crimea scenario repeat." That is just what Russian President Vladimir Putin needs to justify an open military assault under the guise of "protecting" Ukraine's ethnic Russians. The possibility that war will break out is real.

U.S. officials are convinced that the disciplined militias -- who have taken over government buildings in more than half a dozen Ukrainian cities, wearing no identifying marks on their uniforms -- are Russian special forces or "paid operatives," deliberately stoking unrest, not part of a spontaneous groundswell of pro-Russia sentiment. Still, America's warnings of serious repercussions have fallen on deaf ears.

With the crisis continuing to escalate, Obama can choose between four courses of action.

1. Stop making empty threats

Obama has repeatedly warned that "there will be costs" if Russia takes over Ukraine's territory. But that is exactly what Russia did.

Efforts to line up European support for stern sanctions have faltered badly. The West's growl, its bark, seems increasingly toothless. The sanctions so far are underwhelming.

Washington and its friends need to impose real sanctions and offer Ukraine real support, or else America's warnings will be meaningless. Obama and Secretary of State John Kerry still give the impression, despite ample evidence to the contrary, that they think diplomacy and reasoning can dissuade Putin from pushing ahead with his goal to dominate Ukraine, fearing that harsh sanctions will provoke him.

But one way to reverse the course is to exact a harsh economic and political cost while keeping open a way for Moscow to roll back.

Obama must make a decision: If the U.S. is not ready to impose muscular sanctions, it's time to stop issuing threats. America's "red lines" risk becoming an international punch line. Feeble threats against Russia's "incredible act of aggression" are hurting the U.S., making it look like a paper tiger and making its friends more vulnerable.

Grave warnings of consequences without consequences do more harm than good.

2. Decide where to build a moat

If the U.S. is not willing to take risks for the sake of Ukraine, it is time to decide what part of the map matters. After World War II, the U.S. came to a decision to reluctantly allow Soviet control of Eastern Europe while protecting the western side of the Iron Curtain. That was a cold calculation for which the people of Poland, Czechoslovakia and elsewhere paid a steep price. But it sent a clear message to Moscow to stop at the edge of that military and ideological barrier.

Washington could just as coldly concede Ukraine, or part of it, to Russia and build a (figurative) moat around it or choose another place on the map to do that. The U.S. must decide how far is too far. It wasn't Crimea. Is it eastern Ukraine, western Ukraine, Moldova, the Baltic states?

Opinion: U.S. giving Putin green light in Ukraine?

3. Consider military action

The chances that the U.S. will go to war over Ukraine are extremely small, but the option exists. If Russia unleashes its military power across the border, the folder marked "military action" will land on the table in the situation room.

Wars are unpredictable and always bring unexpected consequences. Fighting on the border of the European Union will put NATO on high alert and trigger a new set of possible outcomes. If Ukraine and Russia go to war, the calculations will change drastically and dangerously.

4. Say goodbye and good luck to Ukraine

There's one more option for Obama. He can turn his back on Ukraine, wish it well and move on. The U.S. could make a decision that it would rather try to continue working with Putin on issues like Iran and Syria, and allow Russia to do what it wishes in "its part" of the world.

It's a course of action that would satisfy American isolationists, as well as those who accept Russian claims that the troubles are America and Europe's fault. That, unfortunately, would invite even more challenges to world peace, as it would empower bullies everywhere.

American policy aims, unsuccessfully, toward option No. 1, but the threats are far ahead of the action.

Several weeks ago, I suggested that there was a chance that "when the stakes grow high enough, the U.S. and Europe may rise to the challenge." That may yet happen. But so far it has not.

Putin's platoons of masked green men are wreaking havoc in Ukraine, and the U.S. still hasn't quite decided how it plans to respond. In the long run, Russia will suffer from the ill will it has engendered with its bullying tactics. But in the short and medium term, it is gaining ground.

@highlight

Frida Ghitis: What will President Obama do about the Ukraine crisis?

@highlight

Ghitis: He has four options, like stop making empty threats toward Russia

@highlight

She says U.S. should impose real sanctions or else it looks like paper tiger

@highlight

Ghitis: U.S. military intervention is slim; Obama could turn his back on Ukraine