(CNN) -- It's been days since three Latin American presidents offered to give Edward Snowden a safe place to hide out from U.S. authorities.

But the man who's admitted leaking classified documents about U.S. surveillance programs remains holed up at Moscow's Sheremetyevo International Airport. And the global guessing game over his next steps hasn't stopped.

It's still unclear where Snowden will go, and how he'll get there.

What's the holdup?

Out of Russia: Snowden's options

Sure, we've heard fiery speeches offering asylum from leftist leaders who are eager to criticize the United States. But supporting Snowden's cause and wanting to make Uncle Sam look bad aren't the only parts of the equation, with so many trade and diplomatic relations hanging in the balance, said Michael Shifter, president of the Inter-American Dialogue think tank in Washington.

"They want to make a point," he said, "but I think they're concerned about suffering the consequences, which I think would be serious. The United States has made that pretty clear."

Here's a look at the pros and cons that leaders are facing in five Latin American nations that are among the 27 countries where Snowden is seeking asylum.

Venezuela

President Nicolas Maduro was the first leader to say he'd give Snowden asylum. Officials have said they're waiting to hear whether Snowden accepts the offer.

Pros:

• Maduro regularly alleges U.S. imperialism, has accused the U.S. government of trying to destabilize his country and even suggested that U.S. officials may have infected late Venezuelan leader Hugo Chavez with the cancer that eventually killed him. Taking in a high-profile fugitive wanted in the United States would give him another platform to criticize the country.

• It's been months since the death of Chavez, who earned major political points at home and a place in the global spotlight with his fierce criticisms of America, including a notorious United Nations General Assembly speech where he called President George W. Bush the devil. Maduro describes himself as Chavez's son. But while he might have the same speechwriters as his predecessor, he doesn't have the same charisma, and it seems like fewer people are listening to his words. Giving Snowden asylum would be politically popular in Venezuela, shoring up support for Maduro among Chavez loyalists.

• It also has regional and global implications. "This for Maduro, I think, really provides an opportunity for him to show himself on the world stage as a regional leader, as the true successor of Chavez," said David Smilde, a senior fellow at the Washington Office on Latin America.

Cons:

• Relations with the United States have been slowly thawing since Maduro's election in April. Last month, things were looking up when U.S. Secretary of State John Kerry met with Venezuelan Foreign Minister Elias Jaua. That would change if Venezuela granted asylum to Snowden. "This will clearly freeze the warming of relations with Venezuela," Smilde said.

• Despite years of tense Venezuela-U.S. relations, economic ties between the two countries remain strong. Imports and exports between the United States and Venezuela totaled more than $56 billion last year, according to the U.S. Census Bureau. Venezuela's state-run oil company makes tens of billions of dollars annually from exports to the United States. Venezuela is the United States' fourth-largest supplier of imported crude oil, according to the U.S. Energy Information Administration.

Would offering Snowden asylum put that relationship in jeopardy? It might. But this isn't the first time Venezuela has run afoul of the United States. Smilde argues that in offering Snowden asylum, Maduro gains more than he loses.

"Surely there's going to be legislators in the Senate who are going to want sanctions against Venezuela, but I don't think it's going to get very far," Smilde said.

Shifter says it's unclear whether the benefits are worth the costs.

Bolivia

President Evo Morales says he's furious about what happened last week with his presidential jet, which had to land in Austria after European countries allegedly closed their airspace amid suspicions that Snowden was aboard. Now Morales says he's willing to give Snowden asylum as a "fair protest" of the incident.

Pros:

• Morales has long slammed what he calls U.S. imperialism, kicking out the Drug Enforcement Administration, the U.S. ambassador, and the U.S. Agency for International Development. Accepting Snowden would fall in line with the Bolivian president's argument that his country would be better off without any U.S. interference. And in terms of its relationship with the United States, Bolivia has little goodwill left to lose.

• The United States' trade ties with Bolivia are weaker than its links with other countries in the region. "Bolivia's a country that I think has the least real economic interest with the United States," Shifter said.

Cons:

• Still, there's some economic connection. Exports and imports between the United States and Bolivia totaled more than $2.4 billion last year, according to the U.S. Census Bureau.

• Despite Morales' fierce criticism of European countries and the United States after the plane incident, Shifter said, it's unclear whether he really wants Snowden to come to Bolivia.

Nicaragua

President Daniel Ortega says his country will grant asylum to Snowden "if circumstances permit." Was that a way to sound supportive, but give himself a way out? It's unclear.

Pros:

• Like Maduro and Morales, Ortega is a vocal critic of the United States, and his allegations of U.S. imperialism play well with his supporters.

Cons:

• Business is big for Ortega's government, and it's about to get a lot bigger. Chinese investors and Nicaraguan leaders have just signed a deal to build a $40 billion canal through the country. Does that mean Nicaragua is now looking East but not West when it comes to business? Quite the opposite, Shifter said. "I think the canal project is another factor that makes them even more interested in staying on the good side of the United States," he said.

• That's not all. Exports and imports between the United States and Nicaragua totaled more than $3.8 billion last year, according to the U.S. Census Bureau. And Nicaragua gets trade preferences from the United States. As concerns about Snowden from business leaders mount, they won't fall on deaf ears with Ortega, Shifter said. "Ortega has good relations with the business community in Nicaragua. He's somebody that I think also has a pragmatic streak in him," Shifter said. "Rhetorically, at times, he's confrontational, but behind the scenes, he's making deals."

Ecuador

Snowden set his sights on Ecuador with his first asylum request after leaving Hong Kong on June 23. President Rafael Correa railed against the United States in fiery speeches over the issue earlier this month. But the government has said it's still weighing the request, but can't act until Snowden's in Ecuadorian territory. Some speculate that the delay in getting a clear response from Ecuador is what inspired Snowden to apply for asylum in dozens more countries.

Pros:

• Ecuador granted asylum to WikiLeaks founder Julian Assange last year, and has touted the decision as a clear sign that the South American nation is a defender of human rights. Giving Snowden asylum would give officials another platform to make that case.

• Defiant authorities in Ecuador said last month that they wouldn't bow to U.S. pressure in Snowden's case, vowing to reject trade benefits so U.S. officials couldn't manipulate them.

Cons:

• When Ecuadorian officials said they didn't need U.S. trade preferences, business leaders issued a swift response: Not so fast.

And with about half of Ecuador's exports heading to the United States and trade between the two nations totaling more than $16 billion last year, Correa probably will weigh their comments carefully, Shifter said. "Correa is a guy who on the one hand, he's very defiant of the United States and wants to be the rhetorical leader of the left in Latin America," Shifter said. "On the other hand, he's got a very broad coalition in Ecuador and is trying to be more pragmatic and attract foreign investment."

• After speaking with U.S. Vice President Joe Biden last month, Correa adopted a more measured tone. "We have to act very carefully but with courage," he said, "without contradicting our principles but with a lot of care, responsibility and respect, of course, towards the U.S. but also respect for the truth."

Cuba

President Raul Castro hasn't shied away from talking about the Snowden case. He's hailed the former National Security Agency contractor's revelations and stressed that he supports fellow Latin American countries' right to grant Snowden asylum. But there are two key things he hasn't said: whether Cuba will grant asylum to Snowden and whether he'd allow a plane carrying the U.S. intelligence leaker to make a stopover in Cuba on the way to South America.

Pros:

• Decades of hostile relations between the United States and Cuba and a tough economic embargo could mean that Cuba would have less to lose than other Latin American nations when it comes to granting asylum. With so many sanctions in place, said Philip Peters, president of the Cuba Research Center in Washington, "I don't know what more the United States could add."

• Official media in Cuba have painted Snowden as a hero. Cuba could decide to step in, Shifter said, "if there's an issue where it would have to do with Latin American pride and dignity and sovereignty."

• While granting Snowden asylum might be a step too far, letting a connecting flight carrying him land in Cuba might be an option. "I think there's a measure of risk in that for Cuba, but it may be OK if he doesn't stay there, if they're facilitating it as a transit stop," Shifter said. "But I think it would make them uneasy."

Cons:

• There are signs that Washington's relationship with Havana is improving, such as a recent agreement to hold talks over bringing back direct mail between the two nations. And Cuba is hopeful about more developments in U.S. President Barack Obama's second term.

"I think that maybe Cuba does not want to complicate this process and risk the advances that have been made recently," Peters told CNN en Español. "I would guess that Cuba does not have an interest in receiving this man, and does not want to complicate the relationship with Washington. Even though it isn't a very good relationship, it is a relationship that has gotten a little better in recent months."

CNN's Mariano Castillo, Patrick Oppmann and Patricia Janiot and journalist Samantha Lugo contributed to this report.

@highlight

Venezuelan and Bolivian leaders have offered Edward Snowden asylum

@highlight

Nicaragua's president has said he'll give it "if circumstances permit"

@highlight

Some countries have much to lose, others have more to gain