(CNN) -- "I got the sailors to lash me to the mast to observe it. I was lashed for four hours and I did not expect to escape, but I felt bound to record it if I did."

Joseph Mallord William Turner had a truly obsessional attention to art, so following in his footsteps is no easy task.

British artist Andy Parker admits he will draw the line at being tied to a mast for hours on end, but nonetheless he plans to retrace the movements at sea of arguably the greatest maritime artist of all time.

Parker may be relieved to know that the quote attributed to Turner by John Ruskin after his 1842 painting "Snow Storm -- Steam-Boat off a Harbor's Mouth making Signals in Shallow Water, and going for the Lead" -- is now thought to have been apocryphal.

After all, Ruskin described Turner as "at once the painter and poet of the day," using poetic license in the 24,000 works of art he created, of which more than 60% were water-themed.

"His style of painting, I believe, was not necessarily what's in front of you but what you want to see," explains Parker. "These fabulous sunsets of his were not necessarily what he saw, he could just come up with a good idea.

"That's what makes him such a great artist, while I'm just a painter. So I'm not trying to emulate his style but the position where he was."

Following in Turner's footsteps has been done before -- UK-born American artist Edward Moran's infatuation was such that he traveled from the United States to study his work and retrace some of the spots where he painted. Parker, however, is the first to do so for more than 150 years.

The link between Parker and Turner is more than just an admiration of his work -- both were born in London's Covent Garden and were shopkeepers' sons.

"Turner's father was a barber and I'm sure the Parkers and Turners probably knew each other," says Parker, whose family ran a saddlery business.

Parker's "big undertaking" is to visit 12 to 15 locations from Deal in Kent to Poole in Dorset, along Britain's southern coast.

The amount of materials and canvases he would have to carry means he may not be able to do the whole trip at once.

And while Turner set off to sea to sketch, Parker will travel the 1,000 or so miles to the various ports and harbors.

But like Turner, he too plans to take to the waters and is looking for yachting enthusiasts across the country to help him in his quest.

"Chartering boats is so expensive so I've contacted some yachting magazines to see if I can get any helpers," he says.

"I don't want to go out for eight hours on some fishing jolly -- no-one wants an artist spoiling the view. I'm just looking for a couple of hours where I can work quickly -- Turner's journeys were usually brief -- and throw down some ideas."

Parker, 56, spent the majority of his life working in the music industry before coming to painting as a profession.

While Parker is "not really a sailor," Turner had sea legs.

"Turner was a great traveler," says Christine Riding, head of art at London's Royal Museums Greenwich.

"He liked to travel alone or with intimate friends, who paint the picture of a mariner.

"They paint a nice picture of him not being bothered by the stormy weather while everyone was being sick he carried on sketching.

"He was a workaholic that certainly enjoyed the dynamics of the sea, and he had a very good grasp of maritime terminology. The sea was constantly imbibed in his DNA as an artist."

The Greenwich National Maritime Museum recently hosted an exhibition called "Turner and the Sea," the first to solely focus on his apparent obsession.

"Whether the story of him being tied to the mast or not is true, it doesn't really matter, it's just a very romantic idea," explains Riding.

"If you take that painting, the title itself is very important. The boat's name is Aerial and there is no evidence of a ship by that name then.

"Turner was known to be a very poetic artist so you think of Ariel in the Tempest, or else Ariel the ship on which Percy Bysshe Shelley died."

At the time, the British Empire ruled the waves with the world's biggest navy.

"That was basically part of the national identity," Riding explains. "He's an artist responding to his history. Landscape artists by their very nature tend to have a maritime period but it was such a key time.

"He was born in 1775 when Captain Cook had just come back from his second voyage of discovery and the nation was a global sea power. It was almost part of his DNA from the outset."

Riding says Parker's expedition has echoes of Moran's journey, which came shortly after Turner's death in 1851 at the age of 76.

"He traveled the south coast to emulate his artistic idol, and you can see a heavy Turner influence in his work," Riding says.

Moran's subsequent work, paintings such as "The Shipwreck," were very Turner-esque in their use of bold colors and glowing, turbulent skies, as boats were tossed in different directions amid stormy seas.

More than a century and a half after Moran's voyage, Parker is following suit.

See: The best sailing images of 2013

@highlight

JMW Turner was notorious for his maritime paintings in 19th Century Britain

@highlight

Now British artist Andy Parker is to emulate his artistic journeys on the high seas

@highlight

The pair are connected by their upbringing as sons of shopkeepers in Covent Garden

@highlight

Art expert describes Turner's fascination with the sea, which accounted for 60% of his work more than a century and a half after Turner's death.