(CNN) -- The outrage over the IRS's conduct in targeting certain tax-exempt groups is based on a misunderstanding. Obviously, mistakes were made in how the IRS examined the groups, but what should not get lost amid the resulting hue and cry is that this is fundamentally about disclosure of donors, not tax-exempt status.

First of all, the IRS is to a certain extent in the "targeting" business. The agency's job -- like it or not -- is as an enforcer. It is supposed to go after tax scofflaws. It has to look for clues in tax returns and other materials to find the cheaters and dodgers.

In the current scandal, the method of the "targeting" -- searching returns for names like "tea party" as indicators of possible misfeasance -- was a mistake. But it does not follow that the IRS should not have been looking at these and other groups as a class, without regard to political affiliation.

Second is the question of what the IRS is looking for. Because the IRS is the cop guarding tax-exempt status, we think that the IRS is supposed to be deciding whether a group should be granted the "privilege" of tax exemption. It follows that we would and should be outraged if the IRS grants or denies the "privilege" because of an organization's political beliefs.

But this is wrong. This is not really what the IRS is doing when enforcing the tax laws in this context. To be clear: Tax exemption here is not much of a privilege and is not the main issue.

Tax-exempt status is offered by many parts of the tax code and not primarily to bestow some special tax break on an organization because of its function. Here's a breakdown:

501(c)(3) charity

Process for Exemption: Must apply to IRS. Scrutiny required because of other tax benefits charities receive.

Reason for Exemption: Performs a public benefit, lessens burdens of government.

501(c)(4) social welfare, 501(c)(5) labor union, 501(c)(6)

Process for Exemption: Not required to apply to IRS but can self-declare exempt status.

Reason for Exemption: Administrative convenience. Not much taxable income. Generally for a nonprofit purpose.

527 political organization

Process for Exemption: Must notify IRS (but approval not required).

Reason for Exemption: Historically always exempt on contributions -- seen as a pass-thru entity.

The exception is for charitable organizations, i.e., 501(c)(3)s, which do have heightened standards for tax exemption. But the extra scrutiny here is less because of tax exemption and more because of other tax benefits that flow from tax-exempt status, such as the ability to receive tax-deductible contributions. Importantly, charitable organizations are not allowed to engage in any political activity, because Congress long ago decided that charity and politics are incompatible.

For noncharitable groups like the tea party groups, organized on a not-for-profit basis, tax exemption flows almost as a matter of course. Tax exemption is not viewed primarily as a subsidy of the federal government but more as a matter of administrative convenience.

Many nonprofit groups do not have much income, would not owe much tax, and so tax exemption is not that much of a "benefit." This is why such groups are not even required to apply for tax-exempt status but rather can just hold themselves out as tax exempt and simply start filing annual returns as an exempt group.

If this is true, however, then why does the IRS care about any group applying for exemption as other than a charity?

Well, the question for the IRS here is not really one of whether a group is tax exempt but under which part of the code the exemption will come from. Will a group be "tax exempt" under one part of the tax code, e.g., as a section 501(c)(4) "social welfare" organization, or under another part, e.g., as a section 527 political organization?

Both sections offer a form of tax exemption. But the big difference between the two has nothing to do with taxes. Rather, it has to do with the disclosure of donors.

For reasons of campaign finance law (not tax law), public disclosure of donors is required for political organizations but not for social welfare organizations. And this brings us to the current scandal.

After the Supreme Court's Citizens United decision, it became possible for a 501(c)(4) organization to engage in unlimited amounts of political spending. It thus also became possible for a political organization to use the tax law to hide the identity of donors. After Citizens United, the abuse the IRS is tasked with policing is whether an organization that claims to be a "social welfare" organization is in reality a political organization in disguise.

So the IRS, when faced with a deluge of new applications for 501(c)(4) status, rightly had to decide whether some or many of these groups were actually political organizations, tax-exempt under section 527, and so subject to disclosure rules.

Primarily for reasons of campaign finance law, the IRS has been put in the position of deciding whether a group is primarily political. This is not a job the IRS is good at or ever will be good at. And as we have seen, it is not a job that we want the IRS to have.

The solution is disclosure. Congress has the power to level the playing field on disclosure and should take action to do so. This will allow legitimate nonpolitical social welfare organizations to enjoy their appropriate tax status and return section 501(c)(4) to the backwater of exempt law it once was.

The opinions expressed in this commentary are solely those of Roger Colinvaux.

@highlight

Roger Colinvaux: The outrage over the IRS's conduct is based on a misunderstanding

@highlight

Colinvaux: The issue is fundamentally about disclosure of donors, not tax-exempt status

@highlight

He says that after ruling, political groups can use the tax law to hide identity of donors

@highlight

Colinvaux: The IRS should not be put in the position of deciding whether a group is political