(CNN) -- New developments in the search for Malaysia Airlines Flight 370 over the weekend revealed more details about what happened before the plane went off the grid on Saturday, March 8.

But there are still major questions as investigators look for the missing aircraft.

Here's a cheat sheet to help you get up to speed on the latest twists in what's become one of the greatest aviation mysteries in history:

What do we know about the plane's altitude during the flight?

During the plane's last contact with air traffic controllers as it was approaching Vietnamese air space, it was reportedly flying at a cruising altitude of 35,000 feet. But military radar tracked it changing altitude after making a sharp turn as it headed toward the Strait of Malacca, a source close to the investigation told CNN.

The plane flew as low as 12,000 feet at some point before it disappeared from radar, according to the source.

The official, who is not authorized to speak to the media, told CNN that the area the plane flew in after the turn is a heavily traveled air corridor and that flying at 12,000 feet would have kept the jet well out of the way of that traffic.

Military radar tracked the flight between 1:19 a.m. and 2:40 a.m. the day it went missing, the source told CNN, but it's not clear how long it took the plane to descend to 12,000 feet.

Why would a plane drop so drastically in altitude?

A mechanical problem could explain it, some analysts said.

The new details about altitude are "highly significant," said Mary Schiavo, a CNN aviation analyst and former inspector general for the U.S. Department of Transportation.

"It explains so many pieces that didn't fit together before," she said. "Now, if we have a scenario where something happened, the plane made a dramatic turn and dropped from 35,000 feet to 12,000 feet, this scenario would fit what a pilot would do in the event of a catastrophic onboard event, such as a rapid decompression, a fire, an explosion. That's what you would have to do, descend, get down and turn around and try to get back to an airport that could accommodate an ailing plane."

But other analysts cautioned that it's too soon to know and unclear whether the new information is reliable.

"We've had so much information come out and so much contradictory information come out, that I caution against jumping to any types of conclusions at this point," said Mark Weiss, a former American Airlines pilot and CNN aviation analyst.

How they're searching for debris

Was the aircraft's sharp turn programmed?

Malaysian authorities said Sunday that the last transmission from the missing aircraft's Aircraft Communications Addressing and Reporting System showed it heading to Beijing. That information seems to be at odds with the supposition, reported heavily in many media outlets last week, that someone reprogrammed the plane's flight path before the co-pilot signed off with air traffic controllers for the last time.

"The last ACARS transmission, sent at 1:07 a.m., showed nothing unusual," Malaysian officials said in a written update on the search. "The 1:07 a.m. transmission showed a normal routing all the way to Beijing."

This new information about the last transmission reduces, but doesn't rule out, suspicions about foul play in the cockpit. And it is more in line with the theory that some sort of emergency on board forced pilots to change course, analysts said, but it's still unclear what happened.

Who's looking for the plane now?

Countries from central Asia to Australia are searching for the missing plane along arcs drawn by authorities based on satellite pings hours after it vanished.

One arc tracks the southern Indian Ocean zone that's the focus of current attention. The other arc tracks over parts of Cambodia, Laos, China and into Kazakhstan.

Australia is heading up the search in the southern zone, in an area about 2,500 kilometers (1550 miles) southwest of Perth. Australian navy ship HMAS Success and 10 aircraft are participating in the search Monday.

The crew of a Chinese search plane spotted "suspicious objects" in the area, China's state-run news agency Xinhua reported Monday.

The Chinese plane has reported the coordinates of the objects to Australian authorities, as well as to the Chinese icebreaker Xuelong, Xinhua said.

If search crews do turn up anything confirmed to be from the plane, they'll soon have more technology to help them.

The U.S. Navy is sending a supersensitive hydrophone listening device to Australia to be on standby if debris from Malaysia Airlines Flight 370 is found and a search for the plane's voice and data recorders can be done, a U.S. military official said Sunday. The device is pulled behind a ship at slow speeds and is used by the Navy to find downed aircraft to a depth of 20,000 feet.

The equipment was moved to JFK International Airport in New York on Sunday and will be shipped to Australia via commercial air Monday, the official said, emphasizing that the move doesn't signal any change in the status of the search.

What clues are pointing to the southern Indian Ocean?

France's Foreign Ministry said Sunday that radar data from a satellite pointed to floating debris in the Indian Ocean 2,300 kilometers (1,430 miles) from Perth, Australia. The data were immediately passed along to Malaysian authorities, and French satellite resources will home in more on the area, the ministry said.

Satellite images previously issued by Australian and Chinese authorities have also captured possible large floating objects in that area, stoking hopes that searchers might find debris from the missing plane.

The satellite image from China, captured March 18, shows an object that's 22.5 meters long and 13 meters wide (74 feet by 43 feet), officials said.

Australian-led search teams in the southern Indian Ocean found no sign of it Saturday.

Have search teams found anything?

Not much, but they did find a wooden pallet as well as strapping belts, the Australian Maritime Safety Authority's John Young said.

The use of wooden pallets is common in the airline industry.

"It's a possible lead ... but pallets are used in the shipping industry as well," he said Sunday.

The ocean is full of debris, and experts say that makes spotting possible wreckage more difficult.

Is that even the right place to be looking?

That depends on who you ask.

Australian Prime Minister Tony Abbott, whose country is heading up search efforts in the southern arc, sounded optimistic over the weekend.

"We have now had a number of very credible leads, and there is increasing hope -- no more than hope, no more than hope -- that we might be on the road to discovering what did happen to this ill-fated aircraft," he said.

Analysts said Sunday that the new details about altitude could mean that investigators are looking in the wrong spot.

If the plane had been flying at 12,000 feet, CNN aviation analyst Mark Weiss said, it would have burned more fuel than it would at a higher altitude, which could mean projections about where it ended up are off base.

"I don't know that we're necessarily searching in the right place," CNN aviation analyst Miles O'Brien said. "Seeing some wooden pallets floating in the southern sea is not what I would call evidence of an aircraft. So, I think it's quite possible that it could be in another place entirely, and maybe the search needs to be reevaluated."

Can NASA help?

NASA is repositioning satellites to help look for the plane, but that could take a couple of days, the agency said Sunday.

The space agency said that it will check the archives of satellite data and use space-based assets such as the Earth-Observing-1 satellite and the ISERV camera on the International Space Station to scour for possible crash sites.

The resolution of these images could be used to identify objects of about 98 feet (30 meters) or larger.

Listening for fading pings

CNN's Sara Sidner, Tom Cohen, Steve Almasy, Ben Brumfield, Mitra Mobasherat, Jethro Mullen, Mariano Castillo, Faith Karimi, Barbara Starr, Mary Kay Mallonee, Ram Ramgopal and Nancy Leung contributed to this report.

@highlight

NEW: A Chinese flight crew spots "suspicious objects" in the Indian Ocean, state media report

@highlight

Source: The missing plane flew as low as 12,000 feet before it disappeared from radar

@highlight

Some analysts say that supports the theory that there was a mechanical problem

@highlight

10 search planes are scouring the Indian Ocean for signs of the plane