London (CNN) -- The "shutter shades" most recently popularized by fashion-conscious rapper Kanye West are in the midst of a transformation from flash-in-the-pan style accessory to a clever technological learning aid that its makers hope will encourage more people to learn the art of computer coding.

The Bright Eyes Kit contains a pair of glasses made entirely of circuit board and dotted with 174 LED's tacked onto the front.

"You can control each individual LED," explains Daniel Hirschmann, co-founder of Technology Will Save Us (TWSU), the London based start-up behind the idea.

The small array can display scrolling text, videos of flickering flames or generate any moving image that the user desires.

"Bright Eyes is our mission to convince people to learn how to program," says Hirschmann, who expects that as more everyday items develop the capacity to send and receive data -- a trend sometimes referred to as the "Internet of Things" -- the more important it will be that we know how to operate and adapt them.

TWSU are following in the footsteps of Rasberry Pi, the $25 computer designed to encourage children to learn to code. But the flashing lights of The Bright Eyes Kit is an added incentive: learn code, and look cool in the process.

"Without the incentive we don't have a convincing argument, so we thought let's create (one)," says Hirschmann.

Importantly, users can choose how far they want to delve into the code, ranging from an introdcutory level drag-and-drop interface to full, line-by-line coding.

As technology creeps inexorably into every crevice of our lives, a rudimentary understanding of computer code is seen by some as an essential life skill. For Zach Simms, co-founder of Code Academy, an interactive online resource that teaches programming, it has become as important as learning to read.

"Coding is 21st century literacy," says Simms. "With an economy in flux and a world in which everything is increasingly becoming revolutionized by technology, programming is becoming a core part of job competency. Even knowing basic programming and algorithms helps you throughout everyday life."

Unlike most products on the high street, Bright Eyes is built to be modified. As it is made entirely out of circuit board, users can solder components directly to it -- such as a light dependent resistor or a microphone to make it respond to sound.

"One of the first things people asked was if it could react to music. So we added a microphone as an added incentive," says Hirschmann.

TWSU describe themselves as a "haberdashery for technology and education dedicated to helping people produce and not just consume technology." Bright Eyes is their latest piece of kit seeking to fill the gap between the technology we own and what we know about how it works.

"We all realize at some point that we want to make the things in life that we care about," says Hirschmann. "We don't actually want microwavable TV dinners -- we care about food. Food is just one example of that maker revolution."

Hirschmann thinks the growth of interactive new media has encouraged a move away from 20th century-style consumerism. "YouTube was a big precipitating factor in that," he says. "All of a sudden people were not just consuming media, but creating it."

This so-called "maker movement" has been credited with heralding a new industrial revolution, with community-run DIY workshops, often known as hackspaces, gaining increasing popularity.

"We do see ourselves as part of the maker revolution," says Hirschmann. "I think hackspaces are phenomenal, but they're servicing a very small community. If you're someone from the outside looking in, it can be a very frightening space. We're not at all like that."

Hirschmann reckons his kit is more approachable, targeted at an entry level tinkerer: "It's really about opening the doorway to the world of technology and understanding what it is. It's about giving people just enough, and making it easy enough, to tantalize them to jump in, and hopefully start swimming."

TWSU spoke at a "makers" event in London last week alongside the creators of Sugru, local heroes of the maker revolution. Daniel Hirschmann thinks the movement is gaining momentum: "We are part of this wave that is building. The maker revolution is like a paradigm shift in your own head."

@highlight

The Bright Eyes Kit DIY LED glasses teaches you basic programming, and makes you look cool too.

@highlight

Daniel Hirschmann, founder of Technology Will Save Us talks with CNN about his educational kits and his philosophy.

@highlight

Programming is as important today as literacy; the maker movement is a "paradigm shift" in thinking.