(CNN)As goes Walmart, so goes the nation?

Everyone from Apple CEO Tim Cook to the head of the NCAA slammed religious freedom laws being considered in several states this week, warning that they would open the door to discrimination against gay and lesbian customers.

But it was the opposition from Walmart, the ubiquitous retailer that dots the American landscape, that perhaps resonated most deeply, providing the latest evidence of growing support for gay rights in the heartland.

Walmart's staunch criticism of a religious freedom law in its home state of Arkansas came after the company said in February it would boost pay for about 500,000 workers well above the federal minimum wage. Taken together, the company is emerging as a bellwether for shifting public opinion on hot-button political issues that divide conservatives and liberals.

And some prominent Republicans are urging the party to take notice.

Former Minnesota Gov. Tim Pawlenty, who famously called on the GOP to "be the party of Sam's Club, not just the country club," told CNN that Walmart's actions "foreshadow where the Republican Party will need to move."

"The Republican Party will have to better stand for" ideas on helping the middle class, said Pawlenty, the head of the Financial Services Roundtable, a Washington lobbying group for the finance industry. The party's leaders must be "willing to put forward ideas that will help modest income workers, such as a reasonable increase in the minimum wage, and prohibit discrimination in things such as jobs, housing, public accommodation against gays and lesbians."

Walmart, which employs more than 50,000 people in Arkansas, emerged victorious on Wednesday. Hours after the company's CEO, Doug McMillon, called on Republican Gov. Asa Hutchinson to veto the bill, the governor held a news conference and announced he would not sign the legislation unless its language was fixed.

Walmart's opposition to the religious freedom law once again puts the company at odds with many in the Republican Party, which the company's political action committee has tended to support.

In 2004, the Walmart PAC gave around $2 million to Republicans versus less than $500,000 to Democrats, according to data from the Center for Responsive Politics. That gap has grown less pronounced in recent years. In 2014, the PAC spent about $1.3 million to support Republicans and around $970,000 for Democrats.

It has been a gradual transformation for Walmart.

In 2011, the company bulked up its nondiscrimination policies by adding protections for gender identity. Two years later, the company announced that it would start offering health insurance benefits to same-sex partners of employees starting in 2014.

Retail experts say Walmart's evolution on these issues over the years is partly a reflection of its diverse consumer base, as well as a recognition of the country's increasingly progressive views of gay equality (support for same-sex marriage is at a new high of 59%, according to a recent Wall Street Journal/NBC News poll).

"It's easy for someone like a Chick-fil-A to take a really polarizing position," said Dwight Hill, a partner at the retail consulting firm McMillanDoolittle. "But in the world of the largest retailer in the world, that's very different."

Hill added: Same-sex marriage, "while divisive, it's becoming more common place here within the U.S., and the businesses by definition have to follow the trend of their customer."

The backlash over the religious freedom measures in Indiana and Arkansas this week is shining a bright light on the broader business community's overwhelming support for workplace policies that promote gay equality.

After Indiana Gov. Mike Pence, a Republican, signed his state's religious freedom bill into law, CEOs of companies big and small across the country threatened to pull out of the Hoosier state.

The resistance came from business leaders of all political persuasions, including Bill Oesterle, CEO of the business-rating website Angie's List and a one-time campaign manager for former Indiana Gov. Mitch Daniels. Oesterle announced that his company would put plans on hold to expand its footprint in Indianapolis in light of the state's passage of the religious freedom act.

NASCAR, scheduled to hold a race in Indianapolis this summer, also spoke out against the Indiana law.

"What we're seeing over the past week is a tremendous amount of support from the business community who are standing up and are sending that equality is good for business and discrimination is bad for business," said Jason Rahlan, spokesman for the Human Rights Campaign.

The debate has reached presidential politics.

National Republicans are being forced to walk the fine line of protecting religious liberties and supporting nondiscrimination.

Likely GOP presidential candidate Jeb Bush initially backed Indiana's religious freedom law and Pence, but moderated his tone a few days later. The former Florida governor said Wednesday that Indiana could have taken a "better" and "more consensus-oriented approach."

"By the end of the week, Indiana will be in the right place," Bush said, a reference to Pence's promise this week to fix his state's law in light of the widespread backlash.

Others in the GOP field are digging in. Sen. Ted Cruz of Texas, the only officially declared Republican presidential candidate, said Wednesday that he had no interest in second-guessing Pence and lashed out at the business community for opposing the law.

"I think it is unfortunate that large companies today are listening to the extreme left wing agenda that is driven by an aggressive gay marriage agenda," Cruz said.

Meanwhile, former Secretary of State Hillary Clinton, who previously served on Walmart's board of directors, called on Hutchinson to veto the Arkansas bill, saying it would "permit unfair discrimination" against the LGBT community.

Jay Chesshir, CEO of the Little Rock Regional Chamber of Commerce in Arkansas, welcomed Hutchinson's pledge on Wednesday to seek changes to his state's bill. He said businesses are not afraid to wade into a politically controversial debate to ensure inclusive workplace policies.

"When it comes to culture and quality of life, businesses are extremely interested in engaging in debate simply because it impacts its more precious resource -- and that's its people," Chesshir said. "Therefore, when issues arise that have negative or positive impact on those things, then the business community will again speak and speak loudly."

@highlight

While Republican Gov. Asa Hutchinson was weighing an Arkansas religious freedom bill, Walmart voiced its opposition

@highlight

Walmart and other high-profile businesses are showing their support for gay and lesbian rights

@highlight

Their stance puts them in conflict with socially conservative Republicans, traditionally seen as allies