(CNN) -- There is nothing new about the tension between the United States and Iran. Relations have swung from crisis to crisis ever since the fall of the Shah in 1979. But recently, this tension is turning into outright confrontation and the threat of war.

In October 2011, an alleged Iranian plot to kill the Saudi ambassador to the United States became public. A month later, the International Atomic Energy Agency issued a report that showed Iran had experimented with virtually every element of nuclear weapons production and studied how to put nuclear weapons on its missiles. In December, the United States passed new sanctions designed to halt Iranian oil exports that nearly crippled Iran's ability to conduct international banking; the European Union passed similar sanctions this January.

In response, Iran carried out a massive naval exercise in the Gulf and Indian Ocean. It issued threats to close the Gulf and even demanded that U.S. warships should not enter the Gulf. Iran announced it was dispersing the highly enriched uranium it had already produced at Natanz and putting more advanced centrifuges inside a deeply buried site in a mountain in Fordow.

On January 30, Secretary of Defense Leon Panetta warned that Iran might have a basic nuclear device within a year, although actual weapons would take more time to produce. Israel's top political leadership threatened Iran more directly than ever before, and Iran's president, Mahmoud Ahmadinejad, issued new calls for Israel's destruction.

Iran is now far closer to making real nuclear weapons -- perhaps 2 to 3 years at most if it were to act decisively. Iran is also hiding its nuclear efforts and bringing new deeply sheltered facilities to full production. As a result, Israel may lose much of its capability to attack key targets in the course of this year, and some analysts put the deadline as early as this spring.

The fear such an attack might come when the U.S. and European sanctions might still work is a key reason Panetta and President Barack Obama have expressed their concerns to Israel. The United States is quietly building up its forces in the Gulf, sending ballistic missile defense cruisers to the Mediterranean and a "mother ship" for special forces and mine sweeping to the Gulf. While it is making clear it prefer negotiations, the United States is also developing new weapons for its B-2 bombers that can strike at Iran's underground nuclear facilities.

Last week Iran's Supreme Leader, the Ayatollah Khamenei, issued new threats to Israel. Israeli leaders again raised the prospect of preventive strikes on Iran. Secretary Panetta cautioned Israel against such action and President Obama offered Israel new security guarantees. The U.S. Senate debated even stronger sanctions.

None of this has to end in war. Israel may be issuing veiled and not-so-veiled threats to push Iran towards negotiations. The United States may be publicly asking for Israeli restraint as much to get Iran's attention as out of fear that Israel might strike. Iran could pause its programs and receive benefits in terms of cheaper fuel for its nuclear reactor program, a mix of trade and investment incentives, and an end to sanctions. Last week, visits by United Nations officials to Iran may have failed, but future visits may succeed as Iran comes under greater pressure.

Nothing about history offers any certainty about the future. Tensions and fears are rising in Israel and the Gulf. A misstated or misinterpreted threat, or some seemingly minor incident in Lebanon, Syria, or Iraq could trigger a process of escalation that could lead to serious conflict. Naval forces and capabilities for asymmetric warfare are steadily building on all sides. The clock is ticking on preventive Israel or U.S. military options as Iran gets closer to full nuclear capability.

Unless Iran begins to negotiate with the West and halts its nuclear program, every passing month will raise the threshold of risk of some kind of serious clash in the Gulf. Israel may feel it ultimately cannot compromise.

The risk of war will grow and can lead to threats or actions that raise oil prices even further. The United States is critically dependent on a healthy world economy that derives most of its oil from the Gulf. Put simply, at a time of economic uncertainty, how the confrontation between Iran and Israel plays out has as much effect on those in the Middle East as those in middle America.

The impact of the new U.S. and European sanctions will not be fully felt in Iran until July. Until then, it's hard to say what will happen from today to tomorrow.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of Anthony H. Cordesman.

@highlight

Anthony Cordesman: Tension between the U.S. and Iran is on the rise

@highlight

Cordesman: Iran is now far closer to making actual nuclear weapons

@highlight

He says that Israel may be issuing threats in order to push Iran towards negotiations

@highlight

Cordesman: Risk of war will grow if Iran doesn't halt its nuclear program