(CNN) -- Fannie Mae, Freddie Mac, and the Federal Housing Administration own about 250,000 foreclosed properties awaiting resale. Hundreds of thousands of additional units will likely be taken over by the government and become available in the next few years. At least another 250,000 foreclosed properties are awaiting sale in the private market. This drag on the housing market is one of the reasons why housing prices continue to fall and new housing construction is stalled.

All these properties could provide families with housing instead of sitting empty (and, in some cases, looking the part). To increase the use of idle government properties and recover some of the massive losses on mortgages, the Obama administration is looking mainly for proposals from firms or nonprofit organizations to buy and rent out the vacant properties.

The Department of Housing and Urban Development gets a gold star for this new strategy, but pursuing another approach at the same time — helping more families become homeowners — would take us further still toward ending the housing crisis. Both approaches would reduce rents: As more renters buy vacant homes, demand for rentals will ease, and renting out vacant units will increase the supply of rental housing.

Both approaches are also likely to jack up demand for idle or underemployed construction workers, who'd be needed to repair and renovate the properties.

Right now, millions of families are paying more in rent than the monthly carrying costs of owning a comparable property. In 2009, 3 million families with children and annual household incomes below $30,000 were paying more than $800 per month in rent, according to the 2009 American Community Survey. If they can pay that much, they could certainly afford homes costing at least $115,000 — well above the value of homes at the 25th percentile of the price curve.

With better access to financing, they could take advantage of bargain prices on foreclosed or other properties, and homeownership would immediately cut renters' housing costs and lock in great rates.

Some past efforts at promoting homeownership failed when bad mortgages supported housing costs far higher than monthly rents on the expectation of home price appreciation. But that doesn't mean we can't learn from past mistakes or take advantage of the current market context to make a major dent in family housing costs by using idle housing and human resources.

As we spell out in our book, "Moving Working Families Forward," the government could create 1 million homeownership vouchers to cover the carrying costs of homes up to the 25th percentile of area home prices. Given today's low-home prices, such a plan would cost no more than about $3 billion per year and could be at least partially financed by phasing out the more costly and supply-oriented Low-Income Housing Tax Credit, which offers a reduction in tax liability to property owners and private investors who develop low-income housing — and is a corporate honey pot that yields high profits and relatively few units for low-income families.

A second approach would use turnkey programs. Firms and nonprofit organizations would purchase homes, qualify the buyers through credit counseling and credit repair, ready buyers for homeownership, make modest renovations and repairs, and sell the properties. With this option, like the homeowner voucher, government could lay claim to a modest share of any capital gain (say 15%-20%) when the property is resold.

Among others, the Neighborhood Reinvestment Group of Cleveland is already trying the turnkey approach. Starting with unused housing from the Cuyahoga County land bank, the company hired local construction workers and trained the unemployed to spiff up the units, helped renters correct and raise their credit scores enough to qualify for low interest mortgages and down payment assistance, helped them get financing, and walked the families through the sale.

Some renters took classes offered in financial literacy, too. On average, the renters reduced their monthly housing expenditures by a minimum of 25%, including taxes and insurance. As the project scales up to involve scores of properties, it will create new jobs and training opportunities for underutilized construction workers.

Scaling up either homeownership initiative would be a move in the right direction, and either approach would help millions of middle income and near-poor families limit their housing costs. Finally, targeting demand policies toward housing can cost-effectively reinvigorate the broader economic recovery because of the close links between construction, manufacturing, and other industries.

Just as important, by taking depressed units out of the housing market, the outlook for future housing prices will improve. This will reduce future foreclosures as more homeowners will make their payments rather than walking away from their mortgage commitments. It might even be enough to invigorate new housing construction.

The opinions expressed in this commentary are solely those of Robert Lerman and Robert Cherry.

@highlight

Lerman, Cherry: Hundreds of thousands of foreclosed homes drag on housing market

@highlight

They say government should help families buy these properties; ease rental market

@highlight

They say fixing up unused housing for homeownership would create construction jobs

@highlight

Writers: Upping homeownership would help families, invigorate economy and provide jobs