Atlanta (CNN) -- One of the world's largest concrete pumps is being readied to get on a massive cargo plane and head to Japan, all part of the effort to address the crisis at the Fukushima Daiichi nuclear power plant.

The 190,000-pound truck pump was moved off a job on the Savannah River on Wednesday and, two days later, was in Hanahan, South Carolina. Once preparations are complete, it will head about 7,000 miles toward Asia aboard a Russian Antonov 225 cargo plane, which is considered among the world's biggest aircraft.

The U.S. Department of Energy had been using the big pumper at a mixed oxide fuel plant construction site in southeastern Georgia. Eventually, nuclear waste is to be disposed of here.

But the decision was made to transfer it to Japan -- along with several other such large pumps, from around the world -- in order to deal with a disaster that has been brewing since a March 11 earthquake and tsunami wreaked havoc at the plant and stoked fears about massive releases of radiation.

"I use the pump every day at the river site, but they're trying to avert a situation that worsens each day," said Jerry Ashmore, the owner of Ashmore Concrete Contractors that supplies concrete for the Savannah River facility.

"They need all this equipment. They need help."

Company officials say the prep work should be done by this weekend. Then, Georgia's transportation department must sign off on necessary highway and bridge permits, which are required due to the pumper truck's immense size. Eventually, it will be driven west to Atlanta, to be ideally flown out of the country by next Friday.

Ashmore didn't have all the details about how the concrete pump will be used once it gets to Japan, though he understood its first mission will be to pump water to prevent overheating and the further emission of radioactive material.

"I understand it will be used to pump water into the reactor and later they can use it for concrete operations that need to be done," said Ashmore.

The big pump, one of a handful of such trucks built by the German company Putzmeister, appears to be tailor-made for this type of project -- especially in a radioactive environment.

And this is not the first-time the company's large concrete pumps have been utilized to help address a nuclear crisis.

In 1986, 11 Putzmeister concrete pumps were used after the Chernobyl accident in Ukraine, then a part of the Soviet Union. The reactors' core were encased in massive amounts of concrete, to prevent the further release of any more radiation.

For weeks, similar concrete pump engines have been used at the embattled power plant, as a conduit for water going into reactors and spent nuclear fuel pools. But the new pumps, like the one from the Savannah River site, have the advantage of being appreciably larger, making them potentially more useful for spraying water or a possible end-game scenario involving encasing nuclear reactor cores in concrete.

Its 70-meter boom can be controlled remotely, which should allow it to disperse cooling water in pinpointed locations over a large distance, say experts. Typically trucks this massive are used in large projects using concrete, such as the construction of bridges or high-rise buildings.

According to Putzmeister's website, the company has already re-directed a truck-mounted concrete pump from an unknown location in Southeast Asia to head to the Fukushima Daiichi site, which is 240 kilometers (150 miles) north of Tokyo.

Another smaller Putzmeister pumper, currently in Los Angeles, is also being readied to fly to Japan.

@highlight

A 190,000-pound truck pump is now in South Carolina, being prepped to fly out of Atlanta

@highlight

It had been at a mixed oxide fuel plant site in southeast Georgia

@highlight

A contractor says the truck's first priority will be to supply water to keep nuclear fuel cool

@highlight

Similar pumps were used in Chernobyl, which was eventually encased in concrete