Washington (CNN) -- President Barack Obama challenged Congress to join him in taking on "our generation's task" to ignite the growth of a "rising, thriving middle class," using the first State of the Union address of his second term to prod Republicans to compromise on the major challenges facing the nation.

"It is our unfinished task to restore the basic bargain that built this country -- the idea that if you work hard and meet your responsibilities, you can get ahead, no matter where you come from, what you look like, or who you love," Obama said Tuesday night, sounding familiar themes from his re-election campaign last year.

The president emphasized economic growth and job creation, and insisted that his proposals would not increase the nation's deficit, though the White House offered no price tag on his initiatives.

He also made an emotional plea for Congress to hold votes on controversial proposals for tougher gun laws after the Newtown, Connecticut, shootings in December that killed 20 schoolchildren.

At the same time, Obama called for legislators to work together for the good of the nation, saying Americans "expect us to put the nation's interests before party."

"They do expect us to forge reasonable compromise where we can," he said. "For they know that America moves forward only when we do so together, and that the responsibility of improving this union remains the task of us all."

5 things we learned

It was his fourth State of the Union address and seventh speech to a joint sitting of Congress, and analysts considered it a crucial moment for setting the tone for the political dialogue after four years of partisan division and congressional dysfunction.

In the Republican response, Sen. Marco Rubio of Florida signaled little acceptance of what Obama proposed, repeating longstanding GOP criticism of what he described as job-killing, growth-snuffing bigger government.

"Presidents in both parties -- from John F. Kennedy to Ronald Reagan -- have known that our free enterprise economy is the source of our middle-class prosperity," said Rubio, a tea party favorite considered the a rising star in the Republican Party. "But President Obama? He believes it's the cause of our problems."

According to Rubio, the president's solution "to virtually every problem we face is for Washington to tax more, borrow more and spend more."

CNN Fact Check: Rubio says Obamacare needs a check up

With both sides sticking to deeply entrenched positions, the night of competing messages signaled continued partisan division and political showdowns in Washington over the federal budget and further steps to reduce the deficit and national debt.

"In many ways, what we heard tonight is the same old, same old argument," noted CNN Chief Political Analyst Gloria Borger.

Former House Speaker Newt Gingrich told CNN that Rubio helped himself as a Republican leader, while Jennifer Granholm, the former Democratic governor of Michigan, accused the Florida senator of missing an opportunity to appeal to the political center because he overstated GOP talking points.

To CNN Senior Political Analyst David Gergen, Rubio emerged as an attractive figure on the American political stage but was short on specifics.

Opinion: Obama dares Congress to get the job done

"I don't think they won the arguments tonight," Gergen said of Republicans.

The government faces deep spending cuts mandated by a previous agreement between Obama and Congress to raise the federal debt ceiling, and Obama renewed his call on Tuesday night for a comprehensive deficit-reduction plan that includes new tax revenue coupled with spending cuts.

Taking aim at the bitter partisanship of his first term, Obama said "let's set party interests aside, and work to pass a budget that replaces reckless cuts with smart savings and wise investments in our future."

"And let's do it without the brinksmanship that stresses consumers and scares off investors," he continued to applause, mainly from Democrats. "The greatest nation on Earth cannot keep conducting its business by drifting from one manufactured crisis to the next. We can't do it. Let's agree, right here, right now, to keep the people's government open, and pay our bills on time, and always uphold the full faith and credit of the United States of America."

In a jab at congressional Republicans who seek to shrink deficits and the size of government through deep spending cuts, saying "deficit reduction alone is not an economic plan."

Rubio's response blamed Obama for weakening U.S. stability and potential by continued deficit spending and failing to take on needed reforms to entitlement programs such as Social Security and Medicare.

"The real cause of our debt is that our government has been spending $1 trillion more than it takes in every year. That's why we need a balanced budget amendment," he said, accusing Obama of wanting to leave Medicare unchanged so that it goes bankrupt.

Opinion: In 2013, democracy talks back about State of the Union

However, Obama called for "modest" reforms to Medicare in his speech, repeating proposals already raised in previous deficit-reduction negotiations that Republicans consider insufficient.

After arriving to loud cheers and prolonged applause on a night of political pomp and ceremony, Obama began the speech on a positive note, saying the nation was on sound footing to move forward.

"Together, we have cleared away the rubble of crisis, and can say with renewed confidence that the state of our union is stronger," he said.

The president continued his push for Congress to act on politically volatile issues such as immigration reform. Other measures in the speech included a paycheck fairness act intended to make it easier for women to fight salary discrimination without losing their jobs, and new proposals to develop alternative energy hubs in the country, and help people refinance their mortgages at today's lower interest rates.

Headlines of the day also influenced the speech.

CNN Fact Check: Illegal border crossings at lowest levels in 40 years

Obama mentioned North Korea's latest underground nuclear test, which the State Department labeled "provocative" and "extremely regrettable."

With victims of gun violence in the audience at the Capitol, including former U.S. Rep. Gabrielle Giffords, Obama continued his push for tighter gun laws opposed by the influential National Rifle Association and legislators from both parties.

He mentioned 15-year-old Hadiya Pendleton, the Chicago girl killed by gun violence after returning home from taking part in inauguration activities in Washington, saying she was shot a mile from his home in the city.

The girl's parents were guests of first lady Michelle Obama at the address. Also attending was former rock star Ted Nugent, a vocal critic of Obama and any efforts to strengthen gun controls in America.

Obama cited the major provisions of his package of gun proposals, including background checks on all gun sales, a ban on semi-automatic weapons that mimic military weapons, and limiting ammunition magazines to 10 rounds.

Listing gun violence victims -- Hadiya's parents, Giffords, the families of the Newtown schoolchildren and others killed in mass shootings, Obama said "they deserve a vote" as the audience cheered loudly.

In his response, Rubio sounded the NRA line that "unconstitutionally undermining the Second Amendment rights of law-abiding Americans is not the way to" reduce gun violence in the country.

On foreign policy, Obama announced that this time next year, another 34,000 U.S. troops will have returned home from Afghanistan.

The move will reduce by more than half the current force level of 66,000 troops in Afghanistan. Obama and NATO previously announced that Afghan forces will take the lead in combat missions this year.

By the end of 2014, the planned official end of the combat mission, the White House is considering a range of troop levels for Afghanistan, from as many as 15,000 down to zero.

One thing Obama didn't mention Tuesday night was new regulations on carbon emissions for existing power plants a senior administration official said. Environmentalists hoped the president's pledge in his recent inaugural address for increased steps in response to climate change would include expanding tougher standards in place for new power plants to those already in existence.

CNN Fact Check: Wind energy breezes into the record books

At the same time, the president promised executive action on climate change if Congress fails to address what he called a litany of evidence that the nation and the world face increasing impacts such as more frequent and powerful storms, wildfires and drought.

One new measure from the president will be an executive order signed Tuesday to address the country's most basic cybersecurity needs.

The order will make it easier for private companies in control of our nation's critical infrastructure to share information about cyber attacks with the government. In return, the Department of Homeland Security will share "sanitized" classified information with companies about attacks believed to be occurring or that are about to take place.

Congress has failed so far to pass any of the dozens of cybersecurity bills aimed at meaningfully securing critical infrastructure from an online criminals.

CNN Fact Check: Obama on fuel economy -- your mileage may vary

Rubio is a tea party favorite being promoted as the new face of the Republican Party due to his Hispanic heritage and strong communications skills.

Obama won overwhelming support from the Latino vote in defeating GOP challenger Mitt Romney in the November election.

Rubio is leading an effort by some Republicans to shift party policy on immigration reform by accepting the concept backed by Obama and Democrats that the nation's estimated 11 million undocumented immigrants should have a path to legal status.

However, he neglected to mention specifics of an immigration reform plan in his response Tuesday night.

When Obama raised the immigration issue in his speech, a bipartisan group of senators, including Republican John McCain of Arizona and Democrat Chuck Schumer of New York, stood and applauded together to signal bipartisan support for moving forward.

In addition to Rubio, Sen. Rand Paul of Kentucky offered a second Republican response that reflected the concerns of tea party conservatives who support him. Paul criticized Obama and Congress for failing to seriously address the federal deficit and national debt.

CNN's Jim Acosta, Kevin Liptak, Rachel Streitfeld, Ashley Killough and Mark Preston contributed to this report.

@highlight

NEW: Sen. Marco Rubio reiterates his party's criticism of Obama in the GOP response

@highlight

NEW: Analysts say both sides are pushing old arguments, signaling further division

@highlight

President Obama says of gun violence victims: "They deserve a vote" on tougher laws

@highlight

Obama says after the clearing the "rubble of crisis," the state of the union is stronger