(CNN) -- As many as 5.4 million Americans are living with Alzheimer's disease. That number includes my mother-in-law, who started showing signs of the disease in 2007. Standing beside all those living with Alzheimer's are more than 15 million family members and friends who provide them with care and everyday support. That includes my husband, his siblings, our kids and me.

Together, we face the realities of Alzheimer's disease every day.

Last week, the first U.S. National Alzheimer's Plan was unveiled by Health and Human Services Secretary Kathleen Sebelius. A historic milestone, the National Alzheimer's Plan offers what Americans have never had before -- a path to change the trajectory of a devastating disease that steals people's memories, independence and eventually their lives.

The plan covers the spectrum of Alzheimer's issues, including treatment and prevention, clinical care, support for families in their homes and communities as well as public education and engagement.

My family is among all those who believe in the promise of the National Alzheimer's Plan to find a way to prevent and effectively treat the disease by 2025 and improve care today.

This ambitious goal will require a greater national commitment to Alzheimer's research. We've already seen a demonstration of this in President Barack Obama's Alzheimer's Initiative announced in February. It included $130 million in new resources for medical research in fiscal years 2012 and 2013.

Alzheimer's is a progressive, degenerative and fatal brain disease that not only affects the person with the disease, but the entire family. Loved ones who provide care witness, day by day, the progressive and relentless realities of this fatal disease. Alzheimer's caregivers and families go through the agony of losing a loved one twice: first to the ravaging effects of the disease and then, death. In addition, caregivers themselves often experience depression and worsening of health because of the intense care that a person with Alzheimer's eventually requires.

To fulfill the promise embodied in the new national Alzheimer's plan, we know it must be aggressively pursued to create a future where Alzheimer's disease is a manageable, treatable, curable or preventable disease.

More than 5,000 scientists worldwide are working on solving the complex problem of Alzheimer's. As a neuroscientist by training and a member of the medical and scientific relations team at the Alzheimer's Association, that includes me.

We scientists know Alzheimer's is a problem that can be solved. We know that with the right resources, we have the tools and the talent to make real, life-saving and life-enhancing progress already demonstrated in polio, heart disease, cancer and HIV/AIDS.

We are already seeing signs of this progress.

One important goal in Alzheimer's research is to prevent damage and loss of brain cells by intervening early -- even before outward symptoms are evident -- because many researchers believe that once symptoms appear, slowing or stopping the disease could be too difficult or perhaps impossible.

We know that brain changes of Alzheimer's begin years before symptoms surface.

Early results from a National Institute on Aging funded project, the Dominantly Inherited Alzheimer's Network (DIAN), found that study participants inherited a gene that guarantees the onset of Alzheimer's disease at a very early age. One key finding is that DIAN participants have evidence of brain chemistry changes as many as 10 years before the first detectable memory and cognitive impairment symptoms.

This finding suggests there is a significant window of time to intervene with therapies that could halt the brain changes before they affect memory and day-to-day functioning.

Researchers in the DIAN study also found that the brain changes among high-risk populations are very similar to the changes that happen in people who develop the more common type of Alzheimer's, which affects older people.

Two important studies -- with different approaches but similar goals -- will work to speed advancements in Alzheimer's treatment. Both focus on families with younger-onset familial Alzheimer's disease, a very rare version where symptoms begin before age 65 -- but the results will also inform research questions for the more common later-onset Alzheimer's disease.

Earlier this year, the Alzheimer's Association awarded a $4.2 million grant to the DIAN study to carry out a clinical trial of up to three experimental medications in the U.S. population, called the DIAN Treatment Trial Unit or DIAN-TTU.

The DIAN-TTU is expected to launch this summer and will investigate multiple drugs over a short period to determine whether they have an effect on biological markers of Alzheimer's. Drugs that demonstrate a biological effect will be followed for a longer period in a subsequent study to determine their ability to postpone or delay symptoms of Alzheimer's.

Last week, the government announced that $16 million would be allocated to a promising five-year trial to explore whether a drug therapy delays memory decline or brain changes.

The majority of the trial participants will come from an extended family of 5,000 who live in Medellin, Colombia. Many members of this family have a genetic guarantee of younger-onset familial Alzheimer's disease. The study will look at a single drug over a longer period to discover its efficacy.

These scientific research efforts are just two recent examples of the thousands of projects under way worldwide that are necessary to change the scientific landscape of Alzheimer's disease and the lives of millions.

The Alzheimer's Association is the world's largest nonprofit funder of Alzheimer's research, awarding more than $292 million to more than 2,000 grant proposals worldwide since 1982.

We are encouraged by the commitment of new resources detailed in the nation's first battle plan to fight Alzheimer's.

We will continue to invest in the innovative research opportunities that have the potential to prevent, slow or stop the development of the disease on the road to our vision of a world without Alzheimer's.

The opinions expressed in this commentary are solely those of Maria Carrillo.

@highlight

There are 5.4 million Americans with Alzheimer's and 15 million caretakers

@highlight

Maria Carrillo: New National Alzheimer's Plan is first push to find solutions to disease

@highlight

Upcoming drug trials offer promise, she says: One in Colombia, one in U.S.

@highlight

It's crucial to keep a commitment to research, Carrillo writes