Washington (CNN) -- President Barack Obama on Tuesday announced additional, private funding for cash-strapped community colleges in an effort to bridge the growing degree gap between the United States and other nations.

At the first-ever White House Summit on Community Colleges, Obama said the the United States' decade-long decline from first to ninth in the world in the percentage of young people holding college degrees "not only represents a huge waste of potential; in the global marketplace it represents a threat to our position as the world's leading economy."

The aim of the summit is to explore ways to reach Obama's goal of an additional 5 million community college degrees by 2020, and to discuss community colleges' role in developing the U.S. work force, according to the White House. Jill Biden, wife of Vice President Joe Biden, is host of the summit. She has a doctorate and is a full-time English professor at a community college.

One private funding initiative comes from the Bill and Melinda Gates Foundation, which plans to invest $34.8 million over the next five years for a program called Completion by Design. The money will come in the form of grants to groups of community colleges that come up with new ways to make the college experience more responsive to the needs of today's students, according to a statement on the foundation's website.

"Most students today who are pursuing an education beyond high school are also balancing the demands of work and family," Melinda Gates said in the statement, "yet colleges haven't adapted to this new reality."

Also announced was the creation of the Aspen Prize for Community College Excellence, a $1 million award for community colleges that have outstanding academic and work force outcomes.

Attending the summit are some 150 people, including community college leaders, students, philanthropists and businesspeople, as well as state and federal policy leaders.

Community colleges across the United States have seen enrollment figures jump by 24 percent over the past few years, as unemployed workers look to retrain at those institutions, which offer lower tuition compared to their four-year counterparts.

But the recession has forced some of those colleges to cut back on course offerings and put limits on enrollment. Recent figures from the Department of Education show that only about 30 percent of students who begin a two-year associates degree program actually finish up in three years.

The need for more educated workers was highlighted in a recent study by the Center for Education and the Workforce at Georgetown University.  The study projects that by the year 2018, the United States will need around 22 million workers with new post-secondary degrees, associate degrees or better. The actual number of such workers is expected to fall short by about 3 million.

The community colleges summit also includes a session on the Skills for America's Future initiative, the launching of which the president announced Monday at a meeting with his Economic Recovery Advisory Board. The initiative will make available more than $2 billion in competitive funds to community colleges over the next four years, the White House said in a statement.

Examples of programs in the new initiative include Pacific Gas and Electric's work with community colleges to develop courses and training for energy jobs, professional literacy courses provided by McDonald's for managers across the country, and a pilot job training program in seven cities by Gap Inc., the statement said.

A White House statement said the initiative is based on the same concept as the Educate to Innovate campaign, in which corporations develop specific programs to boost the performance of U.S. students in math, science, technology and engineering.

Obama said a Skills for America's Future task force will coordinate federal efforts with corporate partners in the initiative.

"The goal is to ensure there are strong partnerships between growing industries and community college or training programs in every state in the country," Obama said in remarks at the White House Monday.

CNN Senior Producer Sally Holland and CNN's Tom Cohen contributed to this report.

@highlight

NEW: Decline in U.S. college degrees is "a huge waste" and a "threat," Obama says

@highlight

NEW: Bill and Melinda Gates Foundation announce $34.8 million, five-year program

@highlight

NEW: Aspen Prize for Community College Excellence" to fund $1 million award

@highlight

Summit's aim is to make sure community colleges match teaching with available jobs