London (CNN) -- Modern European football has become almost synonymous with precocious millionaire players who lead lavish "bling" lifestyles and attract wages that would make even Wall Street bankers blush.

But there was a time when soccer was a career driven more by love than financial reward.

Rewind to 1961 and salaries for even the most famous footballers were low, as the English game was constricted by a law that limited the weekly wage to a maximum of just $31 (£20).

It is 50 years since Jimmy Hill -- a dashing midfielder for first division side Fulham and the head of the Professional Footballers' Association (PFA) -- won his fight against what he perceived as an "injustice."

And when he successfully convinced the British Ministry of Labour to scrap the cap, it would change the footballing landscape for ever.

His victory saw the English league go on to pioneer an approach that harnessed aggressive global marketing to prompt skyrocketing revenue and, in turn, an explosion in players' wages.

Soon after the ruling Hill's team-mate Johnny Haynes became the first ever £100-a-week player. His chairman Tommy Trindle said at the time: "Johnny Haynes is a top entertainer and will be paid as one from now on."

It was such a large sum that Haynes' pay packet was twice the size of a cabinet minister and was even discussed in the Houses of Parliament.

Wages rose steadily through the century but it was the creation of the Premier League in 1992 and the resulting cash boom that prompted an unprecedented spike in salaries. Clubs enjoyed bountiful revenues from lucrative television and sponsorship deals allowing players to cash in. Other leagues in Europe quickly followed suit.

The overseas broadcasting rights for 2010-13 alone netted the Premier League $2.2bn, while the winners of the European Champions League, which was also revamped in 1992, can claim up to $46 million.

As prize money climbed clubs spent huge amounts chasing success, with most of their income going straight back out on spiraling wages.

Nowadays, the English game's highest paid player is said to be Argentina striker Carlos Tevez, who pockets around $450,000-a-week from Manchester City, according to the Daily Mail, while Lionel Messi of Barcelona came top of France Football magazine's 2009 rich list, making $47 million in salary and endorsements.

However, despite the game being richer than ever before, more than half of Europe's top clubs recorded a loss in 2009 with some even spending 100% of their income on salaries alone.

And even though football proved relatively immune to the recent global downturn, losses are rising, Manchester City posting a $148 million deficit in 2009.

But could this era of huge player wages be about to end? The game's European governing body, UEFA, has long been concerned with cash-rich clubs like City, Chelsea and Real Madrid launching huge spending drives to snare a crop of the world's best talent on mega salaries.

Now they are seeking to combat a rising sea of debt by introducing new regulations under the banner of "Financial fair play."

The simple premise is that all European clubs must break even from the start of the 2012-13 season -- and will only be allowed to spend a certain percentage of their profits. Any club falling outside the rules could be expelled from European competitions and cut off from lucrative revenue streams.

The Premier League's chief executive has called the rules a "'soft salary cap" and is keen to make sure they don't curb the ability to attract the best talent. Richard Scudamore thinks UEFA is "too sensible" to follow through on their threat of issuing bans.

"It's more about taking the steam out of the system and acting as a speed bump rather than about barring clubs," he said.

"No one in football is proud of the kind of wage inflation we've experienced, but equally we mustn't do anything that dampens the international appeal of our league."

According to Stefan Syzmanski, professor of economics at Cass Business School in London, the plans will not stem the rise and rise of players' wages.

He told CNN: "Often it's put to me that the bubble is about to burst and for 20 years I've been saying 'No, there's no reason for it to burst,' and I still don't see any reason.

"The amount people are willing to pay depends on their income so if you expect economic growth in general to go on increasing I expect wages to generally go on increasing.

"All the money that feeds into football clubs from fans paying to watch the games live or on television or through merchandise, feeds through to players' salaries -- clubs just pass it on."

Even returning Liverpool manager Kenny Dalglish has called today's wage levels "astronomical" yet he believes most fans don't begrudge players the vast sums they earn.

Though previous governments have expressed their concerns at wage levels, any attempt to reintroduce a wage cap, or a higher tax rate for players, would most likely end up in court, Syzmanski says.

Despite several clubs sinking into administration very few go out of business and while fans often bemoan the gathering debts at their club, Syzmanski says very few consider the alternative.

He said: "If a football club is making money where would that money go? Well, it's not going to be given back to fans that's for sure.

"I would have thought it's much better to see the fans' money going into buying players, paying wages and throwing the dice because sport is inherently a risky activity, it's a gamble on success.

"Frankly, that's what makes it attractive, so far from actually wanting this kind of merry-go-round to come to an end, actually once clubs cease to take risks we would all find football rather dull and boring."

As for Jimmy Hill, now 82-years-old, his former club Coventry City are still $12,000 short of the $239,000 they need to build a statue of their ex-chairman outside their ground.

Perhaps the next time a player like Wayne Rooney agrees a bumper new deal, he should consider making up the shortfall to honor the man who laid the foundations for his path to riches.

@highlight

Exorbitant wages paid to Europe's top footballers set to keep on soaring

@highlight

Barcelona star Lionel Messi is the biggest earner, making $47 million in 2009

@highlight

UEFA introducing new rules to help curb club's mounting debts thanks largely to salaries

@highlight

Football finance expert says as long as economies continue to grow so will players' wages