Beijing (CNN) -- In the latest twist of a widening anti-corruption campaign, Chinese authorities have detained a popular and controversial television anchor with the national broadcaster, state media reported.

Rui Chenggang's anchor chair was left empty for Friday night's newscast on China Central Television after prosecutors detained the star journalist shortly before airtime.

It appeared that Rui, known for his "big get" interviews as well as nationalistic sentiment, was taken into custody less than an hour before the start of "Economic News," which his co-anchor presented alone.

Speculation about Rui's troubles began last month when his longtime patron Guo Zhenxi, the head of state-run CCTV's financial news channel, was detained for allegedly accepting bribes. Several other senior figures at the channel were also implicated, the government said.

'Face of New China'

Rui, 37, denied through an assistant last month that he was under investigation. He tweeted at the time to his 10 million followers on Sina Weibo -- China's equivalent of Twitter -- a philosophical conversation between two ancient Zen masters that implied time would eventually clear his name.

State media cited CCTV sources on Saturday as saying that Rui's detention was closely linked to Guo's case, as well as an investigation into his own possible profiting from using CCTV resources.

Rui, who's known for wearing designer suits and driving fast cars, commands more social media followers than any other CCTV personality and has been called the "face of the New China" by his admirers.

His official CCTV bio says he has interviewed hundreds of business and political leaders around the world. The New York Times has profiled him and even the popular American comedy program "The Daily Show with Jon Stewart" has featured him in an episode.

Fluent in English, Rui began his broadcast career at CCTV's international service, but his stardom soared under Guo after the young journalist jumped to the network's financial news channel in 2008. An unapologetic self-promoter, he has authored two popular autobiographical books touting his friendship with the world's rich and powerful.

Controversial figure

Rui became a more divisive public figure as his celebrity grew. He successfully led a controversial campaign to kick Starbucks out of Beijing's Forbidden City in 2007, calling the American coffee shop's presence in the historic palace museum an encroachment on Chinese culture.

He grabbed a global spotlight in 2010 when U.S. President Barack Obama said he would give the final question at a news conference in Seoul to South Korean media. "I'm actually Chinese, but I think I get to represent the entire Asia," Rui said before asking a long-winded question on how Obama might prevent his policies from being misinterpreted.

At an economic forum in northeastern China the following year, Rui asked Gary Locke, then the U.S. ambassador to China, a question that some critics called a nationalistic publicity stunt. Others applauded it as a sign of an increasingly confident China standing up to the United States.

"My colleagues told me you flew economy class from Beijing to Dalian," Rui asked Locke. "Was that a reminder that the U.S. still owes China money?"

Locke replied that it was standard government policy for American diplomats and other officials to fly coach.

'Tigers and flies'

Rui's reported detention came on the heels of the downfall of several former high-ranking officials, including a retired top general of the 2 million-strong People's Liberation Army.

Gen. Xu Caihou, a former vice chairman of the Central Military Commission that runs the world's largest standing army, was expelled from the ruling Communist Party and handed over to prosecutors after being found to have accepted bribes, state-run Xinhua news agency reported early this month. Xu was also a member of the Politburo, China's decision-making body, before retiring in 2012.

State media have characterized Xu as a big "military tiger" caught in the massive anti-graft campaign launched by President Xi Jinping, who is also the commander in chief. Xi banned official extravagance -- from banquets to year-end gifts -- and vowed to target "tigers and flies" alike in his fight against corruption. He resolved to spare no one, regardless of position. CCTV recently touted the capture of 35 "tigers" since Xi took power less than two years ago.

Zhou Yongkang

Some China watchers have noted ties between an increasing number of disgraced officials and Zhou Yongkang, the former domestic security czar who has been rumored to be under investigation for some time. Guo, the CCTV executive who was Rui's patron, has long been considered belonging to the Zhou faction.

State media have reported official probes into many of Zhou's family members as well as former associates in the domestic security apparatus, state oil industry and southwestern Sichuan province -- three places Zhou once ruled. If he is actually charged, Zhou would become the highest-ranking official ever to face corruption charges in the history of the People's Republic.

Some 182,000 officials were disciplined in 2013, while courts nationwide tried 23,000 corruption cases, according to the Communist Party's disciplinary commission. State media have cited the trial and conviction last year of former high-flying politician Bo Xilai -- which Bo supporters called politically motivated -- as one prime example of Xi's determination to clean up the party.

Top China aides ousted from Communist Party

'Endemic corruption'

Longtime China observers, however, point to the limits of Xi's war on corruption.

"Corruption is so widespread and so endemic that campaigns are just not going to do it," said Frank Ching, a Hong Kong-based commentator and columnist on Chinese politics. "Something has to be done about the system."

"There have been public calls for a law to require officials disclosing their assets. There has been no indication that they are going to do that. In fact, a number of people calling for this law have ended up in prison," Ching said. "I think people will be much more convinced of the seriousness of this anti-corruption campaign if there were a move to enact such a law."

Top Chinese general expelled from Communist Party for corruption

Crackdown on more than 1,000 'naked officials' in Guangdong

@highlight

Rui Chenggang is known for his "big get" interviews and his nationalistic sentiment

@highlight

Prosecutors took Rui into custody just before the start of "Economic News"

@highlight

Rui's patron Guo Zhenxi was detained in June for allegedly accepting bribes

@highlight

Rui's detention is the latest twist in a widening anti-corruption campaign in China