(CNN) -- Right before the midterm elections of 2006, George W. Bush made the pitch to voters that the war in Iraq would be in trouble if the Democrats took over Congress. Apparently that was all the incentive the public needed to turn out in huge numbers and give Democrats control of the House and Senate in a crushing midterm defeat.

Did it stop the war? Not at all. In fact, Bush doubled down, pushed through the troop surge and basically made it impossible for the 2008 presidential candidates to steer away from the military policies he set forth. In other words, losing the House and the Senate in the sixth year of your presidency doesn't mean your legacy is done for. Of course, Barack Obama is no George W. Bush, and that might be his undoing after a serious shellacking in this week's midterms.

First, let's be honest about what happened Tuesday night. The stock market is way up, unemployment is the lowest in six years and gas prices are way down. So, by most objective measures, the country is doing well. Yet over 60% of Americans say we're on the wrong track, and the Democrats got beat in blue and red states, across the country from Massachusetts to Nevada. Five red states voted to increase the minimum wage, a major Democratic issue since 2012, but at the same time those states voted overwhelmingly for Republican candidates who stand against minimum wage increases.

And we can't forget just how much everyone hates Congress. Congressional approval has been less than 15% for the last two years. How bad is that approval number? To put it into perspective, 9% of Americans have a favorable opinion of Vladimir Putin, 11% have a favorable opinion of North Korea and 12% have a favorable opinion of Iran. So the U.S. Congress is just barely more popular than most of the Axis of Evil and a Russian leader who makes vague threats about nuclear war with the United States.

This probably explains why President Obama was almost buoyant during his autopsy press conference Wednesday afternoon, much more so than his last midterms in 2010. President Obama doesn't have to "save" his presidency, but he does have some serious work to do in the next couple of months to make sure the next several years aren't a repeat of the pointless gridlock that has clogged congress since 2010.

Here are the key issues he must focus on:

Immigration: Immigration reform is the holy grail of politics that is supposed to magically tie Hispanic voters to one party or another for the next 20 years. The truth is that immigration policy is both a serious domestic and national security issue that for too long has been obstructed by vehement tea partiers and limited by President Obama's overly cautious nature. The President's plan to do immigration reform by executive order is actually a good idea, not just for his legacy, but also because it will either force the Republicans to offer and pass a cohesive counter-bill, or simply let Obama handle the policy and move on.

Minimum wage: One of the great ironies of the midterm elections of 2014 was that Republican candidates generally ran against increasing the minimum wage, but the red states they were elected by voted to increase the minimum wage. Right now, before Republicans take over the Senate, the President should make a push to pass a minimum wage increase once again. He can frame a vote on the minimum wage as a gift to incoming Republicans. If Congress can pass a minimum wage bill before the new Congress starts in January, freshmen Republicans won't be in the unenviable position of fighting against a policy overwhelmingly passed in their home states.

Civil rights: President Obama appears poised to pick Brooklyn Prosecutor Loretta Lynch to replace Eric Holder, a nomination that thus far shouldn't cause too much controversy. But he needs to cram through as many judges and appellate appointments as he can in the next several months. The Republican Party has refused to vote on, or just plain old rejected, a historic number of President Obama's judicial appointments. The President is now in a position to trade. Republicans know that President Obama will likely veto the vast majority of the bills the new Senate will send him. Perhaps in exchange for letting more judicial appointments through, and ending the confirmation logjam of appointments he's already made, the President can offer concessions on the number and types of bills from the GOP that he'll veto.

Foreign policy: The biggest challenge going forward for President Obama will likely be foreign policy. Nuclear negotiations with Iran, sanctions on Russia and ISIS will all be issues that expected new Senate committee heads like Bob Corker, R-Tennessee, and John McCain, R-Arizona, will be champing at the bit to challenge President Obama on. Of course, most of these issues can be managed tactfully by the President if he decides to act swiftly as opposed to simply bickering with the opposition. A final deal developed with Iran and the U.N. Security Council can be signed, sealed and delivered by the November 24 deadline if the president acts fast enough. Any tougher sanctions bills coming out of Congress in 2015 would look foolish when the President has already negotiated a deal. McCain will be calling for boots on the ground to fight ISIS, and while that is something President Obama has stood against, the reality is that sending "security" support to the Middle East could assuage some of McCain's blood lust and curry favor with other hawks over the next two years.

The midterm elections were not good for the Democrats, nor were they good for President Obama. But this doesn't mean he can't get any policies passed. It's just a matter of how committed he is to working as quickly as he can with the "difficult" Congress he has in this lame duck session before the "impossible" Congress of 2015 comes into office.

President Obama had one of the most productive periods of his presidency after the midterm elections in 2010, and there's no reason he can't accomplish similar policy goals now, if he's willing to take the initiative, cut some deals and occasionally stand his ground instead of hoping for some mythical bipartisanship. On the actual policies, the President seems to have the support of the people. The question is whether he will take the hint and act on this.

Join us on Facebook.com/CNNOpinion.

@highlight

Jason Johnson: Democrats' losses came despite country doing well

@highlight

Obama must quickly focus on four key issues

@highlight

Johnson: Many Obama policies, rather than party, still popular