(CNN) -- Twenty children and six adults killed in a town in Connecticut. Why? As someone who listens to killers as an expert psychological witness in murder cases, I have spent much of the last 20 years trying to understand how and why young men kill, maim and attack others.

Killings like those in Newtown, Connecticut; Aurora, Colorado; and Virginia Tech are always met with expressions of shock, anger and sadness. These are understandable first reactions, but in the long run they accomplish nothing.

So long as the discussion does not move beyond labeling these events "senseless violence," horrors such as these never move us closer to a place of deeper understanding. Greater understanding is crucial because understanding leads to more peace and less violence through preventive action. All the crime scene investigations in the world will not do this.

Although all our instincts urge us to dissociate from the killer, achieving better understanding requires us to put ourselves in his shoes no matter how frightening and distasteful that may be. I have done this over the past 20 years, and I have learned that it's the only way we can understand a fundamental truth: Although to the rest of us, the observers and the victims, extreme acts of violence seem "senseless," these murderous acts make sense to the shooters.

Masculinity, mental illness and guns: A lethal equation

This is true whether it's Adam Lanza in Newtown, Connecticut; James Holmes in Aurora, Colorado; Seung-Hui at Virginia Tech; Dylan Klebold and Eric Harris in Columbine, Colorado, and the many thousands of others who wage war against their society, either in the form of high-profile massacres or the daily grind of shootings around the country that barely make the local news.

How do we go about this process of "making sense," not as a way of excusing but as a path to understanding and preventing violence? We start by recognizing that many young Americans (and other young people around the world) develop and carry with them a kind of moral damage, which I have come to call "the war zone mentality."

However it develops, they grow up with a damaged sense of reality. They view the world as if they are soldiers confronting a hostile environment that they perceive to be full of enemies. Once they get fixated on this damaged world view, they may hatch the delusion that even teachers and young children are their enemies. For Adam Lanza, apparently even his mother was an enemy who had to be destroyed.

There is no one cause. It is as if they are building a tower of blocks, one by one, that can get so high it falls over, with innocent people dying. These building blocks can be found in a dangerous neighborhood or a school rife with bullying. They can be found through the Internet and mass media: the many, many web sites and videos that promote paranoid views of the world and validate violent action in retaliation.

Thinking twice about violent video games

They can be found in pervasive and intense playing of video games, the hands-on virtual violence that desensitizes young people to proxy killing. These games become a psychological pathway to real killing by dampening impulses of compassion and altruism.

They also come from a culture that supports access to lethal weapons: the crazy availability of guns like the Bushmaster semi-automatic rifle used by Adam Lanza that are, in effect, weapons of mass destruction when turned against children at school, or moviegoers in a theater or shoppers at a mall. These weapons have no place in civilian life.

But moral damage and a misperception of reality usually are not enough to lead to murder. The typical killer is emotionally damaged and has developed mental health problems, perhaps exacerbated by being bullied and rejected by peers, or abused and neglected at home. He might be suffering from profound sadness, depression, despair, self aggrandizement and narcissism.

The mental health problems that result from emotional damage require more, not less, social support, and not just from parents, who may be overwhelmed and ashamed of their offspring. The boys and young men can be socially isolated because their damage makes peers and the community turn away from them, and that only compounds their problems.

Couple deluded thinking and rage with the rationale of the war zone mentality, and the result can be a boy or young man ready to kill, sometimes with horribly spectacular results. But this is more commonly seen in the "routine" killings that I work with as a psychological expert witness in murder cases across the country.

Opinion: Get serious about mental health care

The crucial point is that even "crazy" people operate in a particular culture, a particular society, a particular time and place, and within a certain world view of how to manage your rage, your hurt, and your sadness. While not uniquely American (it has happened in recent years in Europe and the Middle East), the mass murder that took place in Newtown, Connecticut, is especially American.

Our socially toxic culture promotes paranoia, desensitization to violence, almost unlimited access to lethal weapons, opportunities to practice mass murder via realistic "point and shoot" video games and games that justify violence as a legitimate form of vengeance in pursuit of an individual's or group's idea of justice.

So what do we do? We can improve mental health services in schools and communities. Right now many parents are frustrated that there is nowhere to go with their troubled kids.

We can work harder at getting kids to share disturbing information with adults with the confident expectation that those adults will help not punish and stigmatize. We can get behind efforts to rid our country of semi-automatic weapons and prohibit high-capacity ammunition clips for any gun.

We can step up efforts to prevent kids from having access to the point-and-shoot violent video games. We can work harder at creating emotionally safe schools where bullying and rejection are antithetical to school spirit. One part of this is teaching boys that being compassionate and emotionally expressive is part of manhood in the 21st century.

If we don't help, there will be more dead and wounded. It has become an American phenomenon. Only by getting close to killers and finding out what we need to do to integrate troubled boys and young men into society do we have any hope of preventing more carnage.

The opinions in this commentary are solely those of James Garbarino.

@highlight

James Garbarino: Violence that seems senseless to us makes sense to shooters

@highlight

He says troubled, lonely boys can perceive the world as hostile and full of enemies

@highlight

Garbarino: View fostered by web sites promoting paranoia, shooting video games

@highlight

Culture supports access to weapons, he says, entertainment promotes violence