(CNN) -- With 20 U.S. states allowing medical marijuana, and others weighing its medicinal or recreational use, advocates of looser laws on weed appear to have the advantage.

But leading medical groups remain ambivalent, and opponents are now trying to mobilize for upcoming votes in three states.

Florida will vote on whether to legalize the medicinal use of marijuana in November. In New York and Georgia, the state legislatures are debating medical marijuana, while the District of Columbia City Council voted Tuesday to decriminalize possession of small amounts of pot.

Meanwhile, two more states -- Oregon and Alaska -- are expected to follow the lead of Colorado and Washington and put full legalization on the ballot in 2014. And in the year-plus since the Colorado and Washington votes, public opinion has swung sharply in favor of loosening marijuana laws.

"That caught everyone, even advocates, by surprise," said Ethan Nadelmann, executive director of the pro-legalization Drug Policy Alliance.

In January, a CNN/ORC International survey found 55% support for legalization, with 44% opposing it. National polls shifted by about 10 percentage points between late 2012 and late 2013, with support for legalization climbing to roughly the same level seen in the CNN poll, Nadelmann said.

"A lot of people just began to relax and see the sky's not going to fall. All we're doing is moving a booming market from the underground to the legal world," he said.

Those trends were seen even in states like Louisiana, where Republican Gov. Bobby Jindal told CNN in February that he'd be open to the "tightly regulated" use of medical marijuana.

"If you look at public opinion polls, support for legalizing medical marijuana is over 70% nationally, even in the South," Nadelmann said.

Interactive map: A look at marijuana laws in the U.S.

There's also growing pressure to change the drug's classification as a Schedule I controlled substance, the federal designation for a drug with high risk and no medical use. CNN chief medical correspondent Dr. Sanjay Gupta, who hosts an upcoming documentary on the issue, argues that "Neither of those statements has ever been factual."

Changing the designation would allow scientists to put the drug's purported benefits and risks under closer scrutiny, advocates argue.

"I have sat in labs and personally analyzed the molecules in marijuana that have such potential but are also a source of intense controversy. I have seen those molecules turned into medicine that has quelled epilepsy in a child and pain in a grown adult. I've seen it help a woman at the peak of her life to overcome the ravages of multiple sclerosis," Gupta writes. "I am more convinced than ever that it is irresponsible to not provide the best care we can, care that often may involve marijuana."

Two drugs based on chemical compounds found in marijuana -- including the active ingredient, THC -- have been approved by federal regulators and are available by prescription. A cannabis-based mouth spray used to relieve chemotherapy side effects has been approved in Canada and parts of Europe and has been submitted to the U.S. Food and Drug Administration for its review.

The American Cancer Society says research indicates that cannabis derivatives can help alleviate the pain and nausea associated with chemotherapy, but it opposes marijuana smoking or legalization. And in November, the American Medical Association reiterated its stance that marijuana is "a dangerous drug" that should remain illegal. But it also called for additional research and the use of "public health based strategies, rather than incarceration" to control it.

Meanwhile, opponents say residents of Colorado and Washington -- which issued its first marijuana licenses Wednesday -- may be feeling some buyers' remorse.

"The white coats are off," said Kevin Sabet, director of the anti-legalization group Smart Approaches to Marijuana.

Sabet is a former White House drug policy adviser who co-founded SAM with former Rep. Patrick Kennedy, who has publicly battled his addiction to drugs and alcohol. In a letter to federal regulators, the Justice Department and the White House this week, Sabet, Kennedy and representatives of several leading anti-drug organizations argued that removing marijuana from the Schedule I list "would be a mistake."

"We do strongly support efforts to research the components of marijuana. We should break down the barriers of such research by making it easier for researchers to access, store, and administer such components," they wrote. But that can be done without contributing to "the normalization of marijuana," they argued.

Dr. Sanjay Gupta: 'I am doubling down' on medical marijuana

In states that have voted in marijuana, Sabet said, residents are uncomfortable with the rise of a new weed industry.

"What they're getting is cookies and candies and ring pops that are targeted at kids. What they thought they were getting was allowing adults to smoke unencumbered in their own basement," he said.

Sabet said federal laws banning pot aren't changing "anytime soon." His organization is raising money and recruiting volunteers to fight the expected votes in Alaska and Oregon. But he said anti-drug forces expect to lose votes in more states before a backlash against legalization can take root.

"We don't need to have voting on medicine," he said. "We need to have medicine in pharmacies that can be prescribed by doctors."

@highlight

20 U.S. states now allow medical marijuana

@highlight

Leading medical groups remain ambivalent on the issue

@highlight

There is growing pressure to change marijuana's Schedule I classification

@highlight

Anti-legalization groups are mobilizing to combat upcoming votes