(CNN) -- During the weeks of debates triggered by Edward Snowden and his release of information about a classified National Security Agency spying program, the story has moved further and further from the actual surveillance and centered instead on the international cat-and-mouse game to find him.

What has been remarkable is how Democrats have expressed little opposition to the surveillance program. Many Democrats have simply remained silent as these revelations have emerged while others, like California Sen. Dianne Feinstein, have openly defended the program.

President Barack Obama, while initially acknowledging the need for a proper balance between civil liberties and national security, has increasingly focused on defending the government and targeting Snowden. When former President George W. Bush offered comments that echoed much of the president's sentiment, some of his supporters couldn't help but cringe as these two one-time adversaries came together on the issue of counterterrorism.

The loss of a Democratic opposition to the framework of counterterrorism policy has been one of the most notable aspects of Obama's term in office. Although Obama ran in 2008 as a candidate who would change the way the government conducted its business and restore a better balance with civil liberties, it has not turned out that way. Obama has barely dismantled any of the Bush programs, and sometimes even expanded their reach in the use of drone strikes and the targeting of American citizens. He has also undertaken an aggressive posture toward those who criticize his program.

Opinion: Why we're all stuck in the digital transit zone with Snowden

Equally notable has been how silent many liberals, who once railed against Bush for similar activities, have become in recent years. Whenever Obama has encountered conservative pushback for minor efforts to change national security operations, there has been little pressure from liberals for him to move in a different direction. If there was any moment when liberals might use a scandal to pressure the president into reforms, this was it. But there is little evidence that this will happen.

Where is the outrage? Where has the Democratic opposition gone? Part of the story simply has to do with political hypocrisy.

Whether or not we like it, partisans tend to be harder on the opposition party than their own. This was clear when Republican opponents of a strong national security system, who gave then-President Bill Clinton trouble when he went after home-bred white extremists in 1995 and 1996 in the wake of the Oklahoma City bombing, remained silent when President Bush took the same steps against terrorism after 9/11 -- such as in the use of roving wiretaps on cell phones.

Democrats have been reluctant to weaken a president who has moved forward on domestic policies they care about by giving him trouble on an issue where their party has traditionally been vulnerable.

The silence on national security is also a product of presidential leadership. One of the functions of a president, as party leader, is to send strong signals about what the party should focus on. When Obama backed away from closing Guantanamo early in his first term, and has been reluctant to do much about the issues of interrogation and aggressive use of American power, he made it much harder for Democratic liberals to do this on their own. By embracing so much of President Bush's national security program, Obama has forged a bipartisan consensus that further marginalized the left and made it harder for them to gain much traction.

Opinion: Edward Snowden, want my advice?

Finally, liberals have been split on this issue. The intense animosity toward Bush created the appearance of unanimity, but, in reality, divisions loomed all along. Now that Democrats have been able to debate national security with their own president in the White House, it is clear that many liberals, like Feinstein, believe the government needs to take these steps. Efforts to attack the United States, ranging from the failed plot to bomb the New York City subways to the Boston bombings, have offered a reminder of the chronic risks the nation faces.

"What do you think would happen if Najibulla Zazi was successful?" Feinstein asked, referring to his effort to bomb a New York subway. "There would be unbridled criticism. Didn't we learn anything? Can't we protect our homeland?"

But Democrats must also remember that too much consensus can lead to bad decisions. During the late 1940s and early 1950s, many liberal Democrats feared being seen as "soft on communism," and allowed reckless and random attacks on Americans accused of allying with the Soviets. This dangerously eroded civil liberties and destroyed many lives.

During the early 1960s, Lyndon Johnson's refusal to listen to the many critics of his Vietnam policies led him deeper and deeper into the quagmire of that war. And during the late 1990s and early 2000s, Democratic fears of being seen as weak on defense led to a ratcheting up of concern about Iraq that helped give Bush the political space he needed to send American troops off to war.

It is possible that further revelations supplied by Snowden to The Guardian newspaper's Glenn Greenwald will energize liberal opponents of national security policy and build pressure in Congress for serious investigations and possible reform. But the odds are slim.

Opinion: U.S. intelligence community is out of control

It's more likely that most liberal critics of the administration will remain silent and our equivalent of what President Dwight Eisenhower in 1961 called the military-industrial complex -- the intricate web connecting defense contractors, the military, members of Congress and the executive branch -- will continue to grow.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: There's less emphasis on NSA spying than Snowden's whereabouts

@highlight

Zelizer: Democrats silent on intrusion of the surveillance program; some defend it

@highlight

Zelizer: Partisans are harder on the opposition, but this can be dangerous

@highlight

He says liberal critics of NSA will probably remain silent as excesses in security grow