In July, KDNuggets.com, an online newsite focused on data mining and analytics software, ran an unusual listing in its jobs section.

"We are looking for Predictive Modeling/Data Mining Scientists and Analysts, at both the senior and junior level, to join our department through November 2012 at our Chicago Headquarters," read the ad. "We are a multi-disciplinary team of statisticians, predictive modelers, data mining experts, mathematicians, software developers, general analysts and organizers - all striving for a single goal: re-electing President Obama."

The job listing caught the attention of Alex Lundry, a Republican data-mining expert at TargetPoint Consulting. He tweeted a link to the ad, commenting, "The Obama campaign is taking #bigdata seriously; what about the GOP candidates?"

The question almost answers itself. So far in the presidential election of 2012, there is only one campaign that is doing cutting-edge work with data.

Obama may be struggling in the polls and even losing support among his core boosters, but when it comes to the modern mechanics of identifying, connecting with and mobilizing voters, as well as the challenge of integrating voter information with the complex internal workings of a national campaign, his team is way ahead of the Republican pack.

Facebook apps and other tools

Alone among the major candidates running for president, the Obama campaign not only has a Facebook page with 23 million "likes" (roughly 10 times the total of all the Republicans running), it has a Facebook app that is scooping up all kinds of juicy facts about his supporters.

Users of the Obama 2012 - Are You In? app are not only giving the campaign personal data like their name, gender, birthday, current city, religion and political views, they are sharing their list of friends and information those friends share, like their birthday, current city, religion and political views. As Facebook is now offering the geo-targeting of ads down to ZIP code, this kind of fine-grained information is invaluable.

Inside the Obama operation, his staff members are using a powerful social networking tool called NationalField, which enables everyone to share what they are working on. Modeled on Facebook, the tool connects all levels of staff to the information they are gathering as they work on tasks like signing up volunteers, knocking on doors, identifying likely voters and dealing with problems. Managers can set goals for field organizers -- number of calls made, number of doors knocked -- and see, in real time, how people are doing against all kinds of metrics.

In additional to all the hard data, users can share qualitative information: what points or themes worked for them in a one-on-one conversation with voters, for example. "Ups," "Downs" and "Solutions" are color-coded, so people can see where successes are happening or challenges brewing.

And unlike an open social network, where everyone is equal, NationalField runs on a hierarchical social graph: Higher-level staff get a broader view of the state and local work below them.

For a campaign that tapped the volunteer energies of millions of people in 2008 and appears to need all the help it can get in 2012, these kinds of fine-grained technologies could make a key difference. While the Republican field (and bloggers and the press) has been focused on how their candidates are doing with social networking, Obama's campaign operatives are devising a new kind of social intelligence that will help drive campaign resources where they are most needed.

'Data harmonization'

It all sounds like common sense, but actually, connecting and synchronizing the data a campaign collects from its field operation, fundraising operation and Web operation isn't a trivial task.

"The holy grail of data analysis is data harmonization, or master data management," Lundry said. "To have political talking to finance and finance talking to field, and data is flowing back and forth and informing the actions of each other -- it sounds easy, but it's incredibly hard to implement."

Most political campaigns tend to rely on consultants to carry out part or all of these functions, resulting in even greater obstacles to sharing information.

Like Lundry, Republican technology consultant Martin Avila is worried. His firm, Terra Eclipse, built Ron Paul's 2008 Web operation and works closely with the tea party movement. This year, it did some work on Tim Pawlenty's website until that campaign folded.

Avila's flagship project is a conservative social-networking hub called Freedom Connector, which has grown to 150,000 members in a matter of months by giving right-wing activists tools to organize local meetings and discussions. Avila doesn't think any of the Republican presidential campaigns fully understand the power of data today.

"They have to stop seeing a website as a piece of direct mail that people will receive," he said. "They have to see a website as the equivalent of a campaign office in Iowa, one that is open 24/7." And campaigns need to know how to take quick and well-targeted action to respond to every expression of interest they may get online, he argues, because voter interest in politicians is fickle. Simply sending a generic e-mail reply isn't enough.

"If you can make that initial response a phone call from someone in their town or a neighbor, asking them to come to a county fair tomorrow, that's much more powerful."

Power of personal connections

Without good data management, the different legs of a national campaign can trip over each other.

"One hand doesn't know what the other hand is doing quite often in campaigns," Lundry said. "With master data management across a campaign, you can see how often you're talking to a person" and thus not bombard them with untimely or poorly targeted requests.

But, according to Avila, "Not many on the Republican side know how to technically accomplish that." Their approach to the Web, he adds, is still too much shaped by pre-Internet politicking using broadcast advertising. "The ability to connect to people on a one-to-one basis, and encourage them to connect with one another, is way more powerful than that."

How powerful? The 2008 Obama campaign offered an early glimpse of the potential of data-driven politics. By the end of the election, it had amassed 13 million supporter e-mail addresses, collected nearly 4 million individual donations and tallied about 2 million registered users on my.BarackObama.com, the campaign's social networking platform. Seventy thousand myBO members had used the site to conduct their own personalized fundraising campaigns.

Since 2008, enthusiasm for Obama has waned, but his online presence hasn't. His base on Facebook has soared nearly six times from the 4 million he had on Election Day, and his following on Twitter now stands at 10 million, dwarfing the Republican field.

So even if Obama isn't drawing millions of people off their sofas to rally to his side on their own in 2012, his team has a huge amount of raw data to work with as they build his re-election machine.

If the 2012 election comes down to a battle of inches, where a few percentage points change in turnout in a few key states making all the difference, we may come to see Obama's investment in predictive modelers and data scientists as the key to victory.

@highlight

In the mechanics of identifying voters, President Obama's team is ahead of GOP rivals

@highlight

Obama's re-election campaign is the only one doing cutting-edge work with data

@highlight

President's operation uses a powerful social-networking tool called NationalField

@highlight

Expert: GOP presidential campaigns don't fully understand power of data crunching