(CNN) -- When I was launching Vogue China nine years ago, one of the key elements I was determined to introduce was a regular column dedicated to promoting and supporting Chinese design talents. We were the first fashion magazine to do this on a regular basis, but it was not easy.

There really weren't many people whose designs could hold up alongside all the international brands we featured. Nowadays, we are overwhelmed with design talent, both from emerging independent designers and from domestic Chinese fashion brands, and very often, we wish we had more space to feature more of them.

We started off lending a platform in the magazine for young local designers. But gradually, we started developing various initiatives beyond the magazine in order to promote their designs and widen their scope of influence.

For example, the Vogue Talents Corner in collaboration with thecorner.com.cn in December 2011 and the CFDA x Vogue Fashion Fund, launched in 2012, which allows Chinese designers to gain first-hand insight into the business and retail side of fashion in the New York offices of leading companies like Theory and Michael Kors.

Whilst we were mostly focusing on independent designers, gradually, I began noticing that many Chinese fashion brands were taking an increasingly international approach to the way they run their business.

They had long been power players in the retail market here, but perhaps lacked the industry know-how of how to operate like an international fashion house, without samples, appropriate PR and a streamlined brand image.

We started off by doing a feature on four major brands in our September 2011 issue and I was intrigued by the fascinating stories of their owners, who had all grown up in a society without fashion, but who were now relaying it to the masses with great commercial success. From then on, we have witnessed a growing maturity amongst these brands and their new season designs are often featured within the magazine.

See who else has been on Talk Asia

More recently, we are so proud to see those such as Uma Wang, Masha Ma and Huishan Zhang thriving on the international stage, as they show on schedule at Milan, Paris and London fashion week.

In terms of design style and business acumen, this new generation is possessed of incredible confidence and industry awareness, and are a lot less naïve than the earlier designers. Many of them were educated at design schools abroad, where they learnt to operate within the industry, both abroad and in China.

Their success is also an example of the seismic shift which is happening in the Chinese consumer market as people are moving beyond the logo-ed products, with a preference for more rarefied but discreet things. In this process, they are turning more and more towards Chinese designers, who they feel offer products more tailored to Chinese tastes and aesthetics than some of the international brands.

Compare the fashion choices of the first ladies of America and China

The growth of this market is witnessed by the rising number of buyer's boutiques who specialize in Chinese designers in Shanghai and Beijing, and increasingly spreading to other cities like Guangzhou, Chengdu and Changsha.

I don't think the 'made in China' label defines Chinese designers today. Many designers split their design and production between overseas and China. This is a natural process borne out of financial, quality and logistical considerations. Maybe a certain Italian fabric suits their design better, or maybe in some cases Chinese craftsmanship is better.

We live in a world which is getting smaller and smaller, and if for example, a German brand can produce in Italy without losing their identity, then I don't see how it is any different for Chinese designers. It is up to each designer to determine which production methods are best suited for them.

Sexy, skintight, sophisticated: How the cheongsma has survived a century

Of course, these young designers, like young talents everywhere else in the world, are also facing many challenges. A major one is how to create a brand that is really unique and stands out among the countless other designers and brands that are crowding the markets around the world already.

They have to answer the question of "why does the world need another designer?" not just for one season but consistently throughout years. The internet, whilst making some things easier, is also posing other challenges. A new idea does not remain new for long in this digital age. Execution, delivery and efficiency are just as important as novel ideas.

Chinese designers need, like young designers all over the world, to learn to move beyond the derivative influence of previous designers and stand up for themselves. Despite these challenges, I have confidence that in this, as in everything else in China, change will come much faster than most people expect.

The opinions expressed in this article are solely those of the author, Angelica Cheung.

@highlight

Angelica Cheung is editor-in-chief for Vogue China

@highlight

Journalist has seen rise of China's homegrown fashion designers since magazine's launch nine years ago

@highlight

Designers and consumers are maturing and going beyond the allure of well-known logos, she says

@highlight

Challenge is for young Chinese designers to move beyond influence of others