(CNN) -- [Breaking news update at 11:50 p.m. Thursday]

The United States respects the vote by the British parliament not to participate in a potential military action against Syria, U.S. Secretary of Defense Chuck Hagel said Friday.

"Every nation has a responsibility to make their own decisions, and we respect that of any nation," he told journalists in Manila, the Philippines.

In spite of the British decision, it remains the goal of the Obama administration that any decision be "an international collaboration," he said.

[Original story, posted at 10:36 p.m. Thursday]

(CNN) The United States may have to take action against Syria without the support of one of its staunchest allies, U.S. officials said Thursday after British lawmakers voted down a proposal for military action.

Washington will continue to consult with Britain, but "President Obama's decision-making will be guided by what is in the best interests of the United States," National Security Council spokeswoman Caitlin Hayden said in a statement issued Thursday evening.

The reaction followed news the House of Commons rebuffed Prime Minister David Cameron's call for a strong response to claims Syria used chemical weapons against its own people, raising questions about what, if any, timeline the United States may follow for a possible strike.

Obama has not spelled out what steps the United States will take in response to last week's reported attack against civilians in a Damascus suburb, allegedly leaving hundreds dead.

"He believes that there are core interests at stake for the United States and that countries who violate international norms regarding chemical weapons need to be held accountable," Hayden said.

Unilateral action was "a possibility" following the results of the late-night Parliament vote in London, a senior U.S. official, speaking on condition of anonymity, told CNN.

"We care what they think. We value the process. But we're going to make the decision we need to make," the official said.

The vote among UK lawmakers came after a long day of debate, and it appeared to catch Cameron and his supporters by surprise.

For days, the prime minister has been sounding a call for action, lending support to talk of a U.S.- or Western-led strike against Syria.

"I strongly believe in the need for a tough response to the use of chemical weapons, but I also believe in respecting the will of this House of Commons," the prime minister said.

"I get that and the government will act accordingly," he said.

The head of the opposition Labour Party, Ed Miliband, called Cameron's call for action "cavalier and reckless."

"I think today the House of Commons spoke for the British people who said they didn't want a rush to war, and I was determined we learned the lessons of Iraq and I'm glad we've made the prime minister see sense this evening," he told Press Association.

Iran: U.S. military action in Syria would spark 'disaster'

At the United Nations, a closed-door Security Council meeting ended with no agreement on a resolution to address the growing crisis in Syria, a Western diplomat told CNN's Nick Paton Walsh on condition of anonymity.

"It was clear there was no meeting of minds, and no agreement on the text. It is clear that our approaches are very different and we are taking stock (of the next steps)," the diplomat said of the session, which was called by Syria's longtime ally, Russia.

The members of the Security Council expect U.N. weapons inspectors to brief Secretary-General Ban Ki-moon shortly after they depart Syria on Saturday. Ban, in turn, will swiftly brief the Security Council on the findings, the diplomat said.

China, which along with Russia has staunchly opposed any military intervention in Syria, called for U.N. weapons inspectors to be allowed to complete their investigation.

"China calls on parties concerned to exercise restraints and calmness, adhering to the right track of political solution," Foreign Minister Wang Yi said in a statement.

Britain's Joint Intelligence Committee has concluded it was "highly likely" that Syrian government forces used poison gas outside Damascus last week in an attack that killed at least 350 people, according to a summary of the committee's findings released Thursday.

Speaking in the House of Commons before the vote, Cameron said failure to respond would undo "decades of painstaking work" to prevent such weapons from being unleashed.

"The global consensus against the use of chemical weapons will be fatally unraveled," he said. "A 100-year taboo will have been breached."

In Washington, White House spokesman Josh Earnest said Obama was still weighing a potential response, but said his administration was working on a "compressed timeline."

Why Russia, Iran and China are standing by Assad

U.N. weapons inspectors are now in Syria trying to confirm the use of chemical weapons. The inspectors are expected to leave the country by Saturday morning, Secretary-General Ban Ki-moon said.

Syrian President Bashar al-Assad's government denies using the weapons against opposition forces and says its troops were the victims, not perpetrators, of recent gas attacks; but both British and U.S. officials say the rebels have no capability to use poison gas on the scale of the August 21 attack near Damascus, which opposition sources said killed more than 1,300.

"There is no credible intelligence or other evidence to substantiate the claims or the possession of CW by the opposition," Britain's Joint Intelligence Committee concluded in a document released Thursday. "The JIC has therefore concluded that there are no plausible alternative scenarios to regime responsibility."

Chemical weapons in Syria: How did we get here?

Cameron said the debate was not about regime change or invasion. And he said his government would not act without first hearing from the U.N. inspectors, giving the world body a chance to weigh in and giving Parliament another chance to vote.

But the prime minister said failing to act would give al-Assad the unmistakable signal that he could use poison gas "with impunity." The British dossier on Syria also concluded the government had used chemical weapons on 14 previous occasions, and Cameron said al-Assad stepped up their use last week as a sort of test for the world.

The government said it could justify the use of force against Syria on humanitarian grounds, to stop the suffering, even if the United Nations declined to authorize a strike.

"The aim is to relieve humanitarian suffering by deterring or disrupting the further use of chemical weapons," the government said.

UK Government's legal position on Syrian regime's chemical weapon use

Syria's government offered its own arguments against such an intervention. In an open letter to British lawmakers, the speaker of Syria's parliament riffed on British literary hero William Shakespeare, saying: "If you bomb us, shall we not bleed?"

But in a veiled warning to the United Kingdom, the letter also invoked Iraq, a conflict justified on the grounds that Iraq had amassed stockpiles of chemical and biological weapons and was working toward a nuclear bomb -- claims that were discovered to have been false after the 2003 invasion.

"Those who want to send others to fight will talk in the Commons of the casualties in the Syrian conflict. But before you rush over the cliffs of war, would it not be wise to pause? Remember the thousands of British soldiers killed and maimed in Afghanistan and Iraq, not to mention the hundreds of thousands of Iraqi dead, both in the war and in the continuing chaos."

British Commons Speaker John Bercow published the letter. And al-Assad has vowed to defend his country against any outside attack.

"The threats of launching an aggression against Syria will increase its commitments to its rooted principles and its independent decision that originated from the will of its people, and Syria will defend itself against any aggression," the Syrian president said Thursday in a speech to Yemeni politicians.

Syria: Who wants what after chemical weapons horror

Obama faces calls for American vote on force

Across the Atlantic, Obama said in a televised interview Wednesday that he has no doubt Syria used chemical weapons on its own people. He said government claims that the opposition used them were impossible.

"We do not believe that, given the delivery systems, using rockets, that the opposition could have carried out these attacks. We have concluded that the Syrian government in fact carried these out. And if that's so, then there need to be international consequences," he said on "PBS NewsHour" Wednesday.

Obama said that he has not made a decision about whether to conduct a military strike in Syria. A senior administration official said the United States would continue to consult with British officials, but declined to say if the slowdown in London would affect U.S. decision-making on Syria.

The president is facing doubts at home as well: More than 160 members of Congress, including 63 Democrats, have now signed letters calling for either a vote or at least a "full debate" before any U.S. action.

Ghitis: 5 reasons U.S. must intervene in Syria

The author of one of those letters, Democratic Rep. Barbara Lee of California, said Obama should seek "an affirmative decision of Congress" before committing American forces.

More than 90 members of Congress, most of them Republican, signed another letter by GOP Rep. Scott Rigell of Virginia. That letter urged Obama "to consult and receive authorization" before authorizing any such military action.

Congress is currently in recess until September 9.

Opinion: Why western intervention in Syria will leave chaos

@highlight

The United States respects the vote by the British not to participate in a potential military strike

@highlight

UK vote raises questions about effect on a possible U.S. timeline

@highlight

It's "highly likely" Syria's regime is responsible for the chemical weapons attack, UK says

@highlight

Remember war dead before rushing to strike us, Syria warns British parliament