Washington (CNN) -- A federal appeals court Wednesday issued an order blocking the U.S. military from enforcing its "don't ask, don't tell" policy on gays and lesbians serving in the military. U.S. officials have been moving ahead with dismantling the policy but had objected to having the courts force the government to officially repeal it at this time.

At issue in the complex legal fight is whether "don't ask, don't tell" can remain in effect -- even in name only -- while the legal fight over its constitutionality is being fought in the federal courts. Judges have been at odds over the enforcement issue for months.

The case puts the Obama administration in an unusual position of supporting a repeal, but at the same time filing court motions to prevent it from happening faster than planned. Military officials suggest the policy compliance changes eliminating "don't ask, don't tell" could be finished in a few weeks.

In a brief order Wednesday, the 9th U.S. Circuit U.S. Court of Appeals echoed that, saying, "the process of repealing (the policy) is well underway, and the preponderance of the armed forces are expected to have been trained by mid-summer" on abiding by the new guidelines.

"The circumstances and balance of hardships have changed," said the three-judge panel, concluding that as a result, "don't ask, don't tell" cannot remain in place.

The Justice Department can now go back to the Supreme Court to try and have the enforcement order suspended for a second time. The justices last fall upheld an earlier order keeping the policy in place.

The San Francisco-based appeals court also announced it would hear oral arguments in the issue in late August.

A gay rights group -- the Log Cabin Republicans-- had sued over the 18-year-old ban on openly gay and lesbian members from service in the U.S. armed forces. In September, U.S. District Judge Virginia Phillips declared the military's ban to be unconstitutional.

The Congress has since passed legislation signed by President Obama to gradually eliminate "don't ask, don't tell," but Pentagon officials had refused to issue a timeline on when that policy change would be completed.

It is an issue Defense Secretary Leon Panetta, who took over the post this month, will now have to confront.

If the policy is fully in place, and any current investigations of gay and lesbian service members are suspended, the legal appeals might quickly become moot. But the Log Cabin Republicans have vowed to continue the legal fight until then.

The group called the court order "exciting news."

The ruling "removes all uncertainty -- American service members are no longer under threat of discharge as the repeal implementation process goes forward," said R. Clarke Cooper, the group's executive director. "As a captain in the United States Army Reserve, I have observed the reactions of my colleagues to the Department of Defense's move toward open service, and can say with complete confidence that our military is ready, willing and able to take this step. Log Cabin Republicans are proud of our role in ending this unconstitutional and un-American policy once and for all."

Obama had said he long wanted to repeal "don't ask, don't tell," and had reached an agreement with then-Defense Secretary Robert Gates and Adm. Mike Mullen, the previous chairman of the Joint Chiefs of Staff, on a process that included a military review of how to make a successful transition to openly gay and lesbian soldiers serving.

The three men would then have to certify the repeal.

Gay rights groups say the policy -- even as it is being discarded -- violates the due process and First Amendment rights of military members. In their appeals, the Log Cabin Republicans said allowing the policy to remain in effect pending appeal would be unacceptable and would cause "irreparable harm."

The government presented "no evidence to support a finding that open service by gay and lesbian individuals harmed the military's interests, and ... both civilian and military leaders admitted that DADT actually impairs military interests," the appeal claimed.

"Deference to military judgment here tips the scales against a stay, rather than in favor of one," it said.

But the Obama administration, supported by Pentagon officials, argued that suspending the policy and forcing the military to immediately change course while the case is being appealed would cause problems during a time of war.

"The military should not be required to suddenly and immediately restructure a major personnel policy that has been in place for years, particularly during a time when the nation is involved in combat operations overseas," said the government in a prior legal brief.

Pentagon spokesman Dave Lapan said the military "will of course comply with orders of the court, and are taking immediately steps to inform the field of this order."

He added, "In the meantime, implementation of the DADT repeal voted by the Congress and signed in to law by the President last December is proceeding smoothly, is well underway, and certification is just weeks away."

Gates last fall raised the level at which gay and lesbian troops can be discharged under "don't ask, don't tell" by ordering that it only be done by the secretaries of the Army, Navy and Air Force.

In a memo written to the heads of all the military services, Gates said his action was taken in direct response to the legal uncertainty surrounding "don't ask, don't tell" law.

There have been four voluntary discharges -- all from the Air Force -- in connection with "don't ask, don't tell" since October, according to the Pentagon.

CNN's Charley Keyes contributed to this report.

@highlight

A federal appeals court says "don't ask, don't tell" cannot remain in place

@highlight

The Obama administration supports repeal of the policy

@highlight

But the administration opposes repeal faster than planned

@highlight

Military officials suggest policy changes eliminating DADT could be finished in a few weeks