(CNN) -- If you've been dreaming of your own scrambler phone since watching Bond movies as a kid, your time has come.

As more business is done by email and more sensitive personal data is passed by phone, the demand for secure communication is growing.

Employers can't always stop staff using their own insecure laptops for work and many of us are asked to provide a credit card number over the phone on a weekly basis. Governments want to know who we're talking to and marketing firms make it their business to know.

Enter stage left a veteran of internet privacy. Phil Zimmermann is known for inventing the standard in email encryption -- PGP (Pretty Good Privacy) -- in the 1990s and for giving it away to the world for free, much to the annoyance of the U.S. government, which considered encryption software to be weaponry at the time and therefore restricted for export.

Now he has a new bag of tricks which, from next month, will allow customers to scramble their mobile phone calls, text messages, emails and even video calls.

His company Silent Circle has a suite of four products that go live on September 17, and will be available to download worldwide to iPhones, Androids, desktops and laptops.

Silent Circle's chief operating officer Vic Hyder is one of two former Navy SEALs working with Zimmermann and PGP Corporation co-founder Jon Callas. He says one of the driving forces for establishing the firm was U.S. armed forces personnel not being able to make secure calls home when posted overseas.

"With 25 years in the Navy, I know all about that," he said. "It's very difficult to take care of your personal business."

The software is for use over a private network, subscription to which costs $20 a month. This is because the encryption works on a peer-to-peer basis, so both parties ideally need to be within the system. It still works if only one person uses the app, but in that case a message will only be scrambled as far as Silent Circle's servers.

Once downloaded, the software generates a code that scrambles messages on that device. The code is used only once and then destroyed. If, say, someone steals your laptop and somehow breaks the code, they still can't read your other messages.

From nabbing data from open Wi-Fi networks as people send crucial emails in airports, to planting a virus that captures every keystroke as you enter your passwords, industrial espionage has become almost easy.

"We have a fashion designer who sends her designs to her production facility in China," says Hyder. "Before the first template's come out, it's already been sold in Pakistan or Bangladesh."

See also: 3-D printing -- the shape of things to come

Another customer is a Canadian bank, Hyder, says, which wants to offer secure lines to its customers so that it isn't liable for their account data being disclosed over the phone if it gets into the wrong hands.

Silent Circle, itself based in National Harbor, in Maryland, and in Silicon Valley, has located its servers in Canada because it feels the country has superior privacy laws.

Governments around the world have various regulations allowing government agencies to look at certain private electronic communications.

Jonathan Evans, the head of British spy network MI5, recently defended proposals allowing greater surveillance of internet use, saying it was needed to keep pace with criminals and terrorists adopting new communications technology.

But growing government surveillance has raised privacy concerns. PGP was originally designed as a human-rights tool and civil liberties groups are likely to welcome Silent Circle as a boon for Arab Spring-era democracy campaigns.

Eric King, head of research for privacy campaign group Privacy International, in London, said he expected the product to be genuinely secure and easy to use. "Phil and his team have pedigree in this field, so this is probably good news for anyone that values their privacy -- from businessmen in London to human rights defenders in Syria," he said.

He added, however, that he awaited independent reviews of the service.

Zimmermann has always felt strongly about the right to private communication in the digital age and feels that it should be simple -- you dial a number and no one else can listen; you shouldn't have to be a rocket scientist to make your conversations secure.

"I should be able to whisper in your ear, even if your ear is a thousand miles away," he said in a promotional video for Silent Circle.

Hyder said the company had received interest in its products "from Hong Kong to Chile, from the Czech Republic to Uganda."

He added that he expected some governments would be concerned about their citizens keeping their communications private. "They would have to block the website -- but that would be good marketing for the service," he joked.

@highlight

Silent Circle encryption software will be available for phones and computers

@highlight

Secure calls for military personnel serving overseas was one driver for the product

@highlight

It's the work of Phil Zimmermann, who came up with PGP (Pretty Good Privacy)