(CNN) -- It's becoming a cliché: The tide is turning in the debate over cannabis. Sanjay Gupta, CNN's chief medical correspondent, publicly reversed his position and now supports medical cannabis. Republican Gov. Chris Christie just expanded New Jersey's medicinal marijuana laws.  In the past month, New Hampshire and Illinois have become the 19th and 20th states to approve medical marijuana.

But the debate over medical marijuana obscures the more fundamental issue of our failed war on pot and the path to smart legalization.

I had an opportunity to explore the full range of perspectives in the marijuana debate at the recent 2013 Annual Meeting of the American Psychiatric Association. What I learned can be simply stated: Nationwide cannabis legalization is coming and smart regulation is the key to its success.

At the convention, held in San Francisco, I listened to and spoke with respected leaders of the opposition to cannabis legalization, who are mostly specialized in the treatment of substance use disorders.

The Bay Area is a proving ground for California's liberal medical marijuana laws. Amanda Reiman, policy manager for the California branch of the pro-legalization Drug Policy Alliance, took me on a tour of local cannabis dispensaries. And Oaksterdam University invited me to speak at their makeshift headquarters -- their previous location was closed after a DEA raid last year -- where classes are offered on all things cannabis.

The dispensaries are largely self-regulated, yet all facilities are immaculate, security is tight, and members of the staff are knowledgeable about the science of cannabis. Surely not all points of access are as well-run as these dispensaries, but they could be. And only with legalization and regulation can we expect that they would be.

Most legalization advocates and opponents share concerns about underage pot use, an opposition to incarcerating users, and a recognition that marijuana is less harmful to adults than alcohol.

Opinion: Americans agree, pot is no crime

Most agree public opinion has shifted in favor of cannabis legalization, although the two groups have strongly divergent feelings about the change. A minority of advocates call for America to "free the weed" with few restrictions, while opponents at the American Psychiatric Association fear that legalization would lead to "a nation of drunken stoners" after an anticipated rise in adolescent use of this and other drugs.

The substance abuse treatment community has legitimate concerns, and recreational cannabis should not be legalized -- for minors.

If national polls are correct, and wisdom prevails, then America is rapidly moving toward legal cannabis for adults. We must stop arguing about the right of consenting adults to consume a relatively safe recreational drug, and discuss how -- rather than whether -- cannabis should be properly regulated by the federal government.

First, consider the four essential goals of marijuana regulation: keeping cannabis out of the hands of minors; reducing harm to adult users; preventing collateral harm to the public and getting the maximum economic benefit from legalization.

Our approach to federal regulation should synthesize the perspectives of both advocates and opponents of legalization. We should look to research on laws controlling alcohol, tobacco and gambling. We can also learn from Colorado and Washington, which have developed regulations for recreational cannabis, and the 18 other states -- plus the District of Columbia -- that have legalized medical marijuana.

We can achieve the essential goals of regulation if we:

• Require proper labeling of cannabis products, including the quantities of key ingredients like THC and CBD.

• Test cannabis products for contaminants and label accuracy.

• Require government supervision of all facilities involved in the production, distribution and sale of cannabis.

• Limit advertising, sales and public consumption of cannabis products the way we do with alcohol and/or tobacco.

• Ban cannabis packaging and advertising that targets or attracts underage users.

• Require child-resistant packaging for edible cannabis products.

• Impose penalties on adults who enable minors to get marijuana.

• Allow adults to grow a small number of cannabis plants for personal use.

• Prosecute cannabis-impaired driving with field sobriety tests.

• Continue restrictions on cannabis use by professionals and laborers when scientific evidence indicates that such use risks public safety.

• Empower states and municipalities to restrict the cannabis trade within their borders.

• Fund education of adults about the use and abuse of cannabis.

• Fund preventive youth education about the dangers of underage cannabis use.

• Fund treatment of adults and minors with cannabis use disorders.

• Tax all aspects of the cannabis trade at the highest rate that the free market will bear, using a portion of the proceeds to fund regulation, education and treatment.

Just as responsible fishermen support the conservation of marine ecosystems, even marijuana enthusiasts can offer smart ideas for the successful legalization of cannabis, the fiercest critics of pot legalization have legitimate concerns, particularly about pot's effects on developing brains of young people. Advocates and opponents need to come together for an open-minded discussion about the regulation of marijuana in the United States.

The opinions expressed in this commentary are solely those of David Nathan.

@highlight

David Nathan: Medical marijuana debate obscures the issue of legalizing recreational use

@highlight

In legalizing pot, he says, concerns of both sides of the issue need to be considered

@highlight

Nathan: Goals are to keep it out of the hands of minors, reduce harm to adults, get revenue

@highlight

Nathan: Opponents and supporters of legalization must listen to each other's concerns