(CNN) -- A Philadelphia law firm filed suit against Blackwater USA on Thursday on behalf of the families of Iraqis killed and injured in last month's shooting in Baghdad's Nusoor Square.

In this September 24 photo, an Iraqi looks at a car that was destroyed during the September 16 incident.

The suit calls the incident a "senseless slaying" and claims it was part of "Blackwater's lengthy pattern of egregious misconduct in Iraq."

"This was a summary execution, an execution without a trial," said Michael Ratner, president of the Center for Constitutional Rights which is part of the legal team.

The September 16 shooting in western Baghdad left 17 Iraqis dead, according to Iraqi officials who called the incident "premeditated murder" in a report released this month.

Blackwater, which guards U.S. diplomats, has said that its contractors "acted lawfully and appropriately" in response to an attack on a U.S. Embassy convoy. But Iraqi government spokesman Ali al-Dabbagh has said an Iraqi investigation found no proof that the convoy was attacked.

A joint U.S.-Iraqi investigation is ongoing. The FBI is leading the U.S. investigation.

The suit, filed in federal court in Washington, D.C., says Blackwater "created and fostered a culture of lawlessness amongst its employees, encouraging them to act in the company's financial interests at the expense of innocent human life."

The suit was filed on behalf of the estates of Himoud Saed Atban, Usama Fadhil Abbass and Oday Ismail Ibraheem, who were killed. It also represents Talib Mutlaq Deewan, who, the suit said, was "seriously injured."

Susan Burke, attorney for the plaintiffs, told CNN that Deewan and the other parties approached her firm, Burke O'Neil LLC, which she said represented parties involved in the Abu Ghraib prison abuse scandal. The Center for Constitutional Rights, based in New York, is also part of the legal team.

Deewan is not on the official Iraqi list of casualties provided to CNN by Iraqi police, but Burke said witnesses can corroborate he was present and injured in the incident, although she would not specify what injuries he suffered.

The suit seeks compensatory damages and punitive damages "in an amount sufficient to strip defendants of all of the revenue and profits earned from their pattern of constant misconduct and callous disregard for human life," to be determined by a jury.

A senior Iraqi government official said earlier this week that an Iraqi report will recommend Blackwater pay $8 million to the families of each of those killed.

North Carolina-based Blackwater has worked in Iraq since the U.S. invasion in March 2003 and has received more than $1 billion in U.S. government contracts, including $832 million to protect State Department officials since 2004, according to a U.S. congressional staff report.

On September 16, the suit alleges, Blackwater was not protecting any State Department official -- the official had already been dropped off. However, the Blackwater team involved in the shooting was reportedly coming to the aid of a second team that was protecting a diplomat.

One of Blackwater's guards attempted to stop his colleagues from shooting, the suit claims, but was unsuccessful. And an anonymous U.S. military official in Iraq told The Washington Post newspaper that Blackwater's conduct was "obviously excessive, it was obviously wrong," according to the lawsuit.

A Blackwater spokeswoman did not immediately return a call from CNN seeking comment on the lawsuit.

Blackwater turned over more than 400 internal "incident reports" to the House Committee on Oversight and Government Reform, which held contentious hearings regarding the company.

A House report showed Blackwater "consistently uses excessive and unnecessary force. ... Blackwater's own incident reports reveal that Blackwater forces fire first in 84 percent of the self-reported incidents involving gunfire."

The suit alleges "reasonable discovery" will establish the company has hired former military officials known to have been involved in human rights abuses in Chile, along with "mercenaries" from the Philippines, Nepal, Colombia, Ecuador, El Salvador and Honduras, among other countries.

Under a provision put into place in the early days of the U.S.-led occupation of Iraq, security contractors have immunity from Iraqi law. But the Nusoor Square shootings have put contractors' role in the 4-year-old war under new scrutiny.  See a description of how contractors operate »

The House earlier this month overwhelmingly passed a bill that would bring private contractors overseas firmly under U.S. law, allowing American courts to prosecute crimes committed in a war zone. E-mail to a friend

@highlight

Federal suit filed in Washington on behalf of slain and injured Iraqis

@highlight

Suit: September shooting a "senseless slaying" and part of a "pattern"

@highlight

Blackwater has maintained that it acted "acted lawfully and appropriately"

@highlight

Iraqi officials say 17 were killed in Baghdad's Nusoor Square on September 16