(CNN) -- Cruises are good; cruises with a pool table that levels itself as the ship rolls are awesome.

Here are some of the best gimmicks -- which we're defining as not strictly necessary but nevertheless fun things -- to be found in the travel world today.

What great innovations have you noticed on your travels? Tell us below.

Gyroscopic pool table: Royal Caribbean Radiance of the Seas

Royal Caribbean's Radiance of the Seas has the perfect solution for those considering a game of pool in rough seas.

Its gyroscopic pool table has what's known as gyroscopic self-correcting underpinnings, which means that, in rough seas, when the boat tilts one way, the pool table tilts the other to keep everything on the level.

Radiance of the Seas; from $1,155 for 11-night South Pacific cruise

Intelligent elevator: QT Hotel, Sydney, Australia

Traveling between hotel floors is an interactive experience at Sydney's QT Hotel.

The hi-tech elevator uses sensors to work out how many people are in the elevator and plays a relevant song from its extensive discography.

If you're in the elevator alone, "Are you lonesome tonight?" might play, while groups of three or more will hear party anthems such as Kool and the Gang's "Celebration."

QT Hotel, 49 Market St., Sydney; +61 2 8262 0000; from $348 per night

Glass-bottomed pool: Holiday Inn Shanghai Kangqiao, Shanghai, China

Most people probably don't want the whole world to watch them swimming laps, but visitors going for a swim at the Holiday Inn Shanghai Kangqiao don't have a choice.

The glass-bottomed pool on the 24th floor measures 30 meters (98 feet) in length and half of the pool protrudes out from the building over the street below.

Holiday Inn Shanghai, 899 Dongfang Road, Pudong, Shanghai, China; +86 21 5830 6666; from $110 per night

Blue screen hotel room: Blue Line room at the Gladstone Hotel, Toronto

The Blue Line room's walls are adorned with silhouettes of scantily clad women and cowboys against bright blue walls.

However, it's no ordinary blue. The shade is chroma-key blue, the color used for blue screens, allowing guests to video themselves against the walls and digitally insert their own backdrops at a later date.

Other rooms include the Felt Room, which resembles a sound-proofed chamber, and the Canadiana room, which has enormous forest murals.

Gladstone Hotel, 1214 Queen St. W, Toronto, Ontario; +1 416 531 4635; from $202 per night

Hotel Montaña Magica, Los Rios, Chile

This Chilean hotel is so strange that it's hard to know where to begin.

For starters, it's a circular, volcano-shaped hotel in the middle of the jungle.

It's also covered with greenery, and at various points throughout the day it erupts, causing water to cascade down the side of the hotel.

The lodge was built by craftsmen from local communities who live and work within the 300,000-acre Huilo-Huilo nature reserve in which the hotel is located.

Huilo Huilo Montaña Mágica Lodge, Km 55 Camino Internacional Panguipulli, Neltume, Región de Los Ríos, Chile; +56 38 2233559; from $202 per night

Glass-bottomed walkway: Royal Princess cruise ship

This glass-bottomed walkway was unveiled earlier this year, and can be found on Princess Cruises' Royal Princess ship.

The walkway extends eight meters (28 feet) beyond the edge of the vessel and is the first of its kind to be found aboard a cruise ship.

Those who choose to "walk the plank" have nothing to fear -- the glass is more than an inch thick, or four times the thickness of the average car windshield.

Royal Princess; Princess Cruises direct travelers to book through a travel agent; prices from $1,786 for four-day cruise along U.S. West Coast

Revolving hotel: Marmara Antalya, Antalya, Turkey

Marmara Antalya is the world's first revolving hotel.

The 2,750-ton building floats in a tank holding 478 tons of water.

The hotel's three lower floors are submerged, and it's the three floors above ground which rotate, with the help of six electric motors.

So, although visitors will never get tired of the view, guests who suffer from motion sickness might steer clear.

Marmara Antalya, Sirinyali Mah. Lara 07160, Antalya, Turkey; +90 242 249 36 00; from $117 per night

Vegetation wall: Changi Airport, Singapore

Located in terminal three, Changi Airport's green wall is the world's largest vertical garden, measuring 300 meters (984 feet) by 14 meters (45 feet) and contains more than 10,000 plants.

There are four water features and the plants are secured to metal cables attached to an enormous framework, which allows their position to be altered.

The misting system used to water the plants also helps to regulate the internal temperature of the airport.

Changi Airport, Singapore; +65 6595 6868

Wine angels: Radisson Blu Stansted Airport, Essex, UK

Once visitors to the hotel's bar have selected their wine, an acrobatic "wine angel" steps into a harness and retrieves the bottle from among 4,000 in the 13-meter-high (42 feet) wine tower.

Radisson Blu Stansted, Waltham Close, London Stansted Airport, Essex, UK; +44 1279 661012

Cat-obsessed railway: Wakayama Prefecture, Japan

If you need proof of how much the Japanese love their cats, a journey on the Wakayama Electric Railway may be in order.

Images of cats adorn the interior and exterior of the train and the Wakayama Electric Railway's official station master is a cat called Tama.

Tama is also credited with saving the railway -- before her appointment, the railway was struggling financially, but tourists now come from all over the world to visit Tama and purchase a range of Tama-themed gifts.

Wakayama Electric Railway, Wakayama Prefecture, Japan; +81 073 478 0110

Undersea restaurant: Rangalis Island, Maldives

Ithaa (meaning Mother of Pearl) is an underwater restaurant in the Maldives.

The acrylic shell of the restaurant was constructed in Singapore before being shipped to Rangalis island, where it can now be found five meters (16 feeet) below sea level.

The transparent roof and walls provide diners with a 270-degree view of the blue waters and marine life surrounding the restaurant.

Ithaa Undersea restaurant, sea floor, Rangalis Island, Maldives; +960 668 0629

Underwater escalator: Hualien Farglory Ocean Park, Taiwan

Visitors to Taiwan's Hualien Farglory Ocean Park can travel through the aquarium on an undulating airtight escalator as sharks, rays and other creatures swim above their heads.

Equally impressive is the fact that the escalator is staggered, allowing passengers to ascend and descend into the depths of the aquarium on a single stairway.

Hualien Farglory ocean park, Taiwan; +886 3 812 3123

Restrooms at the InterContinental Danang Sun Peninsula Resort, Danang City, Vietnam

Bill Bensley, the architect responsible for this Vietnamese hotel, has designed more than 100 resorts and hotels in 26 countries.

He was eager to incorporate traditional Vietnamese design when he created the Danang Sun Peninsula resort, and this notion even extended to the restrooms, which are rigged out to look like enormous pieces of antique wooden furniture.

InterContinental Danang Sun Peninsula Resort, Bai Bac, Sontra Peninsula, Danang City, Vietnam; +84 511 3938888

@highlight

Pool table on cruise ship Radiance of the Seas levels itself as ship rolls

@highlight

Elevator at QT Hotel, Sydney, detects people inside and plays different songs accordingly

@highlight

"Wine angels" at Radisson Blu in England retrieve bottles by flying up on wires