(CNN) -- As it measures its response to the recent events on Egypt, the U.S. needs to be extremely careful about focusing on the definition of "coup" and the legitimacy -- or non-legitimacy -- of Mohamed Morsy's election, the draft constitution, and the now-ousted Egyptian president's efforts to give himself additional powers. It needs to be equally careful about focusing on the protests that helped drive him from power, and the legitimacy of political Islam.

If the U.S. focuses on whether or not a coup took place, it will be ignoring the fact that Egypt is a key center of the Middle East and that U.S. policy will be judged by its success in meeting the needs of Egypt's people. Egypt is a nation whose problems go far deeper than the crisis that began January 2011.

As the Arab Human Development report made clear in 2009, former President Hosni Mubarak's rule had become steadily more ineffective, corrupt, and incapable of meeting the needs of Egypt's people long before 2011. He had been in power since October 1981, but the social and economic progress he made in his first decade in power had faded into a static, incompetent regime by 2005, and one that became steadily more corrupt and unable to meet the needs of Egypt's young and growing population.

The last two years have made the situation far worse in ways that affect every aspect of day-to-day life. Mubarak's fall tore down a fragile regime that mixed a state-driven economy with crony capitalism. It was a country with a bureaucracy that could barely function without a strong leader, one with no opposition parties that had real political experience or capability to govern, and whose "reformers" were (and still are) protesters with no capability to make real reforms.

Opinion: In Egypt, get ready for extremist backlash

The end result is that Egypt is not an abstract exercise in political theory. It is a nation of more than 85 million people, at least 25% of whom live in dire poverty, and where unemployment and underemployment can no longer be accurately estimated but have reached the crisis level. It is a nation with over 50% of its population under 25 years of age, and 31% under 14, but with an education system in breakdown and much of the infrastructure frozen or losing capacity.

Egypt's foreign reserves have dropped by more than 50% and it faces a crisis in getting loans from the International Monetary Fund. It is a nation where foreign investment has critically declined, tourist revenue has dropped sharply, where many small businesses have already collapsed, and many middle class Egyptians have lost their jobs and savings. Fuel and electric power are lacking, food subsidies are uncertain and sometimes failing, the currency is increasingly unstable, and crime has skyrocketed.

U.S. policy must focus on these realities, and not just politics. The U.S., in partnership with its allies, the World Bank and other international aid agencies institutions needs to support immediate Egyptian efforts to salvage the economy and bring economic reform. It needs to focus on bringing relief and stability. No Egyptian government can succeed -- democratic or not -- that cannot meet the needs of the Egyptian people. Real political legitimacy is not determined by how a government is chosen, but by how well it can meet the needs of its people.

Opinion: Will Egypt's Muslim Brotherhood survive?

As for politics, the U.S. needs to work with other states to push Egypt's military to support the reforms that failed between early 2011 and Morsy's fall. This means a broad-based effort to agree on a constitution, the creation of real political parties, and help for protesters learning how to organize politically and focus on practical governance and reform. It means taking enough time for elections to be open, to include Islamic and more secular parties, and focusing on the same kind of mixed national government and consensus politics that seem to have emerged in Tunisia.

One test of a solution to a problem is that it does not make things even worse. Threatening Egypt's military, rigidly cutting off aid because of a "coup" under conditions where there is no credible replacement government, and standing aside as Egypt drifts towards internal collapse is not a strategy.

Letting today's celebration of Morsy's fall turn into civil conflict and political paralysis will be a moral and ethical failure on the part of the Obama administration and the Congress, one that will do the Egyptian people vast harm, cripple a key ally, and leave a legacy of lasting anger in both Egypt and the region.

The opinions expressed in this commentary are solely those of Anthony Cordesman.

@highlight

Cordesman: U.S. must focus not on details of Morsy ouster but on Egypt's ongoing crisis

@highlight

He says Mubarak corrupt, ineffective, but in past 2 years, nation in economic collapse

@highlight

He says U.S. most focus on reality, work with World Bank, allies to raid Egypt economy

@highlight

Writer: Threatening aid cutoff while nation in flux could do vast harm, cripple a key regional ally