(CNN) -- In the next five years, there are likely to be as many mobile cellular subscriptions as there are people on this planet. By 2020, pundits predict more than 50 billion connected devices.

With seven billion people's needs to serve, information and communications technologies (ICTs) represent the single most powerful channel we have ever had to reach out to others, wherever they may live, whatever their circumstances. They also represent our best hope of accelerating progress towards meeting the Millennium Development Goals (MDGs) by the target date of 2015.

Can Africa reach its 2015 MDGs? If countries embrace the unique power of mobile broadband technology, I believe many have a good chance.

The eight MDGs cannot be separated. If you combat disease, you also reduce child mortality; if you give every child a primary education, you promote gender equality. It is because these goals are interlinked that broadband is so important.

If we classify the MDGs into three broad areas -- education, health, and the environment -- we see that mobile broadband has a key role to play in each.

Read more: Phone journalism gives a voice to India's rural poor

It offers a solution for providing education in under-served areas. Around 90% of children in the developing world are enrolled in primary school, but in some regions -- notably sub-Saharan Africa -- up to 30% of children drop out before their final primary year. Broadband can better engage children, equipping them with valuable ICT skills and opening a window on the world's information resources, in a multitude of languages.

Technology can transform healthcare. From simple SMS reminders for vaccinations or anti-retroviral treatments, to grassroots information gathering on demographics and diseases, to mobile information repositories for personal health records, cellphones are becoming a key cornerstone of health programs in a growing number of African countries.

Every year, more than half a million women die as a result of complications in pregnancy and childbirth. The tragedy is that the majority of these deaths are preventable -- yet in Africa, fewer than half of all births are attended by a midwife or skilled health worker.

While there is no substitute for the physical presence of a healthcare professional, broadband is helping train community field workers, while providing expectant mothers and their extended families with simple advice that protects health -- and lives.

The MDG on ensuring environmental sustainability spans a wide range of targets, from the provision of safe drinking water and basic sanitation, to protecting biodiversity and improving the lives of slum-dwellers.

In many of these areas, broadband will be a vital link.

For example, so-called "smart" electricity grids make it easier for locally generated electricity (including from renewable sources) to be integrated, stored and shared as demand fluctuates.

Broadband can also help local farmers and fishermen by delivering weather forecasts directly to their mobile phones and providing information on sustainable farming techniques.

Read more: Mobiles of future will get under our skin

The way we work is also being changed by broadband. Innovative projects are improving the lives of slum-dwellers -- for example in Kenya -- through providing access to employment and training. Last year at ITU Telecom World 2011, the International Telecommunication Union awarded a prize to a young entrepreneur who developed an education platform for working children, enabling them to use smartphones to improve their literacy, numeracy and general knowledge while they travel to work on public transport vehicles equipped with low-cost WiFi repeaters.

Broadband gives small businesses the opportunity to broaden their customer base and reduce their overheads through e-commerce platforms. And it will support advanced financial services for consumers, building on the outstanding success of the mPesa mobile banking model, an excellent example of innovation coming directly out of Africa to solve African problems.

The eighth and final MDG is "developing a global partnership for development." It is, perhaps, the most fundamental of all the goals, because it enables progress towards all the other goals.

Developing such a partnership is a basic element of our work at ITU. Because we understand the incredible potential of broadband, we launched the Broadband Commission for Digital Development to help move broadband to the top of the political agenda.

This multi-stakeholder commission comprises over 50 top-level global leaders, and has defined a vision for accelerating the deployment of broadband networks worldwide. It has also established four critical targets that we believe all countries should to strive to attain by 2015:

Target 1: Making broadband policy universal. By 2015, all countries should have a national broadband plan or strategy or include broadband in their universal access/service definitions.

Target 2: Making broadband affordable. By 2015, entry-level broadband services should cost less than 5% of average monthly income.

Target 3: Connecting homes to broadband. By 2015, 40% of households in developing countries should have internet access.

Target 4: Getting people online. By 2015, internet user penetration should reach 60% worldwide, 50% in developing countries and 15% in least-developed countries.

We have only three years to go. But it is highly significant that among all the MDG targets the most advanced is the one involving ICTs. Let's capitalize on that and use Africa's near-ubiquitous mobile coverage to break old infrastructure bottlenecks and short-circuit the traditional development cycle.

Ubiquitous mobile broadband is a big idea whose time has come.

The opinions expressed in this commentary are solely those of Hamadoun Touré.

@highlight

Mobile broadband can help Africa reach Millennium Development Goals, says Hamadoun Touré

@highlight

He argues that broadband can teach children information technology skills

@highlight

Mobile technology is transforming healthcare and banking, Touré says