(CNN) -- In an outrageous recent fundraising letter the Democratic National Committee solicited funds from the party faithful on the grounds that the DNC was the last remaining bulwark against a series of anti-election-fraud initiatives "in more than 40 states."

That's right, the DNC appears to be standing up for potential fraud â€” presumably because ending it would disenfranchise at least two of its core constituencies: the deceased and double-voters.

Across America, Republican and Democratic legislatures have put forth voter identification laws this year to protect the constitutional values of equal protection and one person one vote, and for good reason. Election fraud is a real and persistent threat to our electoral system, with allegations cropping up in every election cycle. Just in December, for example, a prosecutor in Indiana launched an investigation into allegations that some fraudulent signatures on petitions may have allowed President Obama to get on the ballot in that state's 2008 primary.

Unsurprisingly, 69% of 1,000 likely voters, according to a recent Rasmussen poll, believe voters should be required to show photo identification before being allowed to vote.

But Democrats in Washington disagree. And in their fundraising letter they even went so far as to reference the despicable Jim Crow laws of the segregated South. Will Crossley, the DNC's counsel and voter protection director, wrote, "Republicans are introducing and passing laws that make voting more difficult." He went on, "If that infuriates you...there's something you can do right now. Help us keep up the fight by donating to support Democrats."

But the DNC's premise is fundamentally flawed. It rests on the assumption that it is harder for certain groups of voters to cast their ballots because they don't have access to proper identification. This overlooks the fact that states include provisions to provide free identification cards to those who can't afford them. Moreover, a study for the Heritage Foundation, a conservative think tank, reported that voter participation increased for the 2008 election in states such as Indiana and Georgia, even after the passage of stronger elections laws. The disastrous results that opponents predicted never materialized.

Voter identification laws are common sense and an effective way to combat election fraud. And, according to the U.S. Supreme Court, they are constitutional. In 2008, the court upheld Indiana's voter ID law, saying it could find no evidence that the new requirements burdened voters.

And that all raises the question: Why the hostile letter from the DNC?

I'm afraid it may reveal something very disturbing: Democrats know they benefit from election fraud.

Consider the sordid tale of the liberal organization Acorn, the Association of Community Organizations for Reform Now. In 2008, Acorn was responsible for 400,000 faulty voter registrations, including those of deceased individuals, nonresidents, previously registered voters and fictional characters. Other voter fraud allegations surfaced in at least 10 states. That same year, the outcome of the election in many states was determined by a fraction of that many votes. In other words, fraudulent registrations have the potential for significant consequences.

And here's the thing to remember: Acorn's political arm enthusiastically supported Obama's candidacy, and Democrats have long defended the organization.

There are other examples of faulty or fraudulent voting. In the 2010 midterms, 5,000 non-citizens voted in the Colorado Senate race, according to a study by the Colorado State Department. It also found that 12,000 non-citizens were registered to vote in Colorado. In Illinois, an analysis of Census data earlier this year revealed that 14 counties have more registered voters than voting-age residents, due in part, one county clerk said, to slowness in purging voter rolls when residents move.

In my home state of Wisconsin, recent legislation attempted to curb voting irregularities, which were of such concern that the Milwaukee Police Department commissioned an unprecedented two-year investigation. The 2008 report warned that some instances of illegal voting in the 2004 election left open the possibility of an "illegal organized attempt to influence the outcome" of a state election.

In an effort to show that voter fraud is not isolated to a handful of states, the Republican National Lawyers Association recently began documenting known cases of voter fraud. To date, they have found at least one documented case of fraud in each of 46 states over the last decade. And no one knows how many instances of fraud go unnoticed.

Something has to change. If not, fraud will dilute the power of the individual's vote and destroy the integrity of our system. The sole purpose of voter identification laws is to avoid that fate. The right of every citizen to have a vote must be vigorously defended, and these laws protect that right. No matter what Washington Democrats say, there is absolutely no evidence that anyone has, or would be, disenfranchised.

The opinions expressed in this commentary are solely those of Reince Priebus.

@highlight

Reince Priebus says Dems fundraising letter opposes GOP moves to curb election fraud

@highlight

He said it gives the impression the GOP is trying to disenfranchise voters

@highlight

He says likely voters polled want voters to show photo ID; high court has upheld ID law

@highlight

Priebus: Voter ID laws are common sense, effective way to fight faulty and fraudulent voting