WASHINGTON (CNN) -- U.S. officials are downplaying any imminent threat of a North Korean missile strike or confrontation between the two countries at sea.

A U.S. official says North Korean leader Kim Jong Il seems to be "testing the new administration."

The U.S. intelligence community does not believe North Korea intends to launch a long-range missile in the near future, a U.S. intelligence official told CNN, despite reports in Japanese media citing intelligence that the North Korean regime intends to fire a missile toward Hawaii on July 4.

Shortly after that report, Defense Secretary Robert Gates said he was deploying defensive measures around Hawaii.

But a recent warning to mariners issued by North Korea suggests the country only intends short- and medium-range missile tests, according to one U.S. intelligence official.

The North Korean government issued a warning to mariners to avoid an area in the Sea of Japan at certain times between June 24 and July 9 because of a "military firing exercise," according to a U.S. military communication about the warning provided to CNN.

The North Koreans had issued a similar warning prior to testing a long-range missile in April, but that warning indicated two potential danger areas more indicative of a long-range missile test.

The official said that these shorter-range missiles can be "rolled out on a dime," but the U.S. intelligence community sees no "readily observable" indication of an imminent long-range missile launch.

Vehicular activity had been spotted around a long-range missile site in late May, U.S. Defense Department officials told CNN at the time. But the officials said the activity was very preliminary, with no missile parts seen, and any launch would take a lot more time to prepare.

The U.S. intelligence official said there is always concern that a shorter-range test "could go wrong," but for the most part the North Koreans have short and medium missile tests "down pat," and those missiles are "pretty accurate."

The official added, "It's not particularly difficult to fire off" short- and medium-range missiles.

North Korea recently threatened to "wipe out" the United States if provoked.  Watch the Pentagon reaction to the threat »

The official said the United States "assumes" North Korea will "continue its provocations." The official acknowledged this phase of the usual ebb and flow of North Korean behavior seems to be lasting longer.

This has been a "protracted period," said the official, with the change in U.S. leadership being a "big factor." The North Korean leadership seems to be "testing the new administration."

Pentagon spokesman Geoff Morrell defended Gates' decision to deploy defensive measures around Hawaii.

"Previous long-range ballistic missile tests by the North have been failures. But they obviously are intent on developing that capability, and so long as they are, we need to do responsible, prudent things," Morrell said at a news conference Wednesday. "And in this case [Gates] thinks the responsible, prudent thing is to deploy those assets."

The U.S. military has positioned its Terminal High Altitude Area Defense (THAAD) missile defense system and its X-band radar system in the event a missile were to be launched toward Hawaii.

Morrell said that no additional defenses were being deployed in the region because the defenses in place are sufficient.

"I think we're perfectly comfortable with the assets that are in place," he said. "This threat that is posed by North Korea is not a new one, so we have adjusted our assets that are normally in that area some time ago."

Separately, the United States has not yet decided to seek permission to board and inspect a North Korean vessel it suspects of carrying illicit weapons or technology in violation of U.N. sanctions against that country, despite a recent promise by President Obama that North Korean violations would "be met with significant, serious enforcement of sanctions."

Morrell told reporters that while the United States is "interested" in the Kang Nam -- a North Korean-flagged vessel believed by officials to be carrying weapons or illegal technology -- no decision has been made to stop the ship and search it. The ship departed North Korea last week and is currently headed south toward Myanmar, U.S. officials believe.

The decision to enact the U.N. Security Council Resolution to investigate will most likely not be made just by the United States but in coordination with other countries, Morrell told reporters on Wednesday.

"That's a decision that will have to be made at some point, and not necessarily just by us or this government," Morrell said. "But that is a decision I think we will likely take collectively with our allies and partners out there, and make a determination about whether we choose to hail and query this particular ship. And if we make that decision, when and where to do so." Watch why U.S. officials are watching the Kang Nam »

Asked about the Myanmar connection Wednesday, Morrell would only say there is "some notion of that" but would not elaborate.

The United States has been tracking the ship's progress with air assets including the P-3 spy plane and the USS McCampbell, which recently replaced the USS John McCain in trailing the Korean ship.

The ship is suspected of carrying weapons because it is known to have carried proliferation materials previously, though U.S. officials concede they are not certain of the ship's holdings.

@highlight

U.S. does not believe North Korea intends to launch long-range missile soon

@highlight

Sea of Japan mariners warned to be clear due to "military firing exercise"

@highlight

Japanese media reported North Korea may fire a missile at Hawaii on July 4

@highlight

North Korea recently threatened to "wipe out" the U.S. if provoked