(CNN) -- When we think about asylum, the picture that most people draw in their heads is of some persecuted person crossing a border to a safe country and pleading his or her case.

Mexican journalists who have walked across international bridges into the United States, fearing drug cartel reprisals, come to mind. Or the Cuban athletes who during tournaments abroad decide to defect, and ask for asylum.

This is the traditional, and most common way, to request asylum.

But as the latest twist in the Julian Assange case shows, there are rare times when asylum is granted to someone who has yet to reach their safe haven.

Ecuador's decision this week to grant asylum to Assange was celebrated as a victory by his supporters, but the WikiLeaks founder's conundrum remains unchanged. For the foreseeable future, he is stuck inside the Ecuadorian embassy in London.

Ecuador may have granted asylum to the man inside their embassy, but the United Kingdom doesn't recognize it. At issue are divergent views on the concept of diplomatic asylum -- a nation's granting of asylum to someone not inside its territory.

The concept of diplomatic asylum is as old as the practice of having permanent embassies in foreign countries. It is tied closely with the practice of diplomatic immunity, which is more well known.

But controversies over countries using diplomatic asylum to protect people wanted for crimes led to the practice falling out of favor, according to a United Nations report devoted to the subject in 1975.

From the 19th century onward, the practice of diplomatic asylum virtually disappeared in Europe, while it continued to grow in Latin America.

The result is that today, the view in most of world is that diplomatic asylum, in essence, does not exist.

The exception is Latin America, where some legal writers even grant diplomatic asylum the status of a human right, the U.N. report says.

One last tidbit of academic dryness before considering the Assange case: The prevailing view that diplomatic asylum is not part of accepted international law was settled in a case between Peru and Colombia before the International Court of Justice in 1950.

Victor de la Haya, a Peruvian, led an unsuccessful rebellion in Peru and was wanted by authorities there. He hid in the Colombian embassy in Lima and asked for, and received asylum from Colombia. Peru, however, refused to grant safe passage. Sound familiar?

The court ruled that diplomatic asylum is not recognized unless treaties or other agreements are in place between countries.

So today, "in general international law there isn't actually a right to grant diplomatic asylum, or at least other states aren't required to respect it," said Matthew Happold, an international law expert at the University of Luxembourg.

What it means for Assange is that Ecuador's declaration might not do anything to help him.

In fact, Happold said, under international law, if the U.K. officially requests Ecuador to hand over Assange, Ecuador would be legally obligated to do so.

Britain has made it clear that it will not provide safe passage and intends to extradite Assange to Sweden, but it is unclear if the government has sent a formal request for him. The U.K.'s position has been to negotiate a solution.

A negotiated solution staved off a similar diplomatic drama between the United States and China this year. The blind Chinese activist Chen Guangcheng had escaped house arrest and sought refuge inside the U.S. embassy. Unlike the Assange case, however, Chen did not ask for asylum and none was granted. Instead, New York University invited Chen to study there, and China agreed to let him go.

With negotiations apparently deadlocked between Ecuador and Britain, it is uncertain how long Assange will remain holed up inside the embassy while Sweden awaits to question him over claims of rape and sexual molestation.

"These cases can go on for years if there isn't some settlement. It's happened in the past," Happold said.

The Peruvian who sought asylum from the Colombian embassy in 1950 lived there for five years.

Meanwhile, some experts questioned the validity of the arguments that Ecuador used to grant asylum.

Ecuador's decision was based on the belief that Sweden would eventually turn Assange over to the Americans, and that his life would be at risk once in U.S. custody, former Ecuadorian Foreign Minister Jose Alaya told CNN en EspaÃ±ol.

"That is making a hypothesis on top of a hypothesis, and to justify a decision on that is not very strong," he said.

The purpose of an embassy is to maintain ties with other countries, but as long as Assange remains in limbo, "every day it will become a greater obstacle in their efforts toward good relations."

@highlight

Ecuador granted asylum to Assange, but the U.K. does not recognize it

@highlight

Diplomatic asylum is not a right under general international law

@highlight

The standoff could extend indefinitly