Tel Aviv, Israel (CNN) -- Water. A vital nutrient, yet one that is inaccessible to many worldwide.

The World Health Organization reports that 780 million people don't have access to clean water, and 3.4 million die each year due to water-borne diseases. But an Israeli company thinks it can play a part in alleviating the crisis by producing drinking water from thin air.

Water-Gen has developed an Atmospheric Water-Generation Units using its "GENius" heat exchanger to chill air and condense water vapor.

"The clean air enters our GENius heat exchanger system where it is dehumidified, the water is removed from the air and collected in a collection tank inside the unit," says co-CEO Arye Kohavi.

"From there the water is passed through an extensive water filtration system which cleans it from possible chemical and microbiological contaminations," he explains. "The clean purified water is stored in an internal water tank which is kept continuously preserved to keep it at high quality over time."

Energy efficient

Capturing atmospheric humidity isn't a ground-breaking invention in itself -- other companies already sell atmospheric water generators for commercial and domestic use -- but Water-Gen says it has made its water generator more energy efficient than others by using the cooled air created by the unit to chill incoming air.

"Several companies tried to extract water from the air," says Kohavi. "It looks simple, because air conditioning is extracting water from air. But the issue is to do it very efficiently, to produce as much water as you can per kilowatt of power consumed."

He adds: "When you're very, very efficient, it brings us to the point that it is a real solution. Water from air became actually a solution for drinking water."

The system produces 250-800 liters (65-210 gallons) of potable water a day depending on temperature and humidity conditions and Kohavi says it uses two cents' worth of electricity to produce a liter of water.

Civilian uses

Developed primarily for the Israel Defense Forces (IDF), Water-Gen says it has already sold units to militaries in seven countries, but Kohavi is keen to stress that the general population can also benefit from the technology.

He explains: "We believe that the products can be sold to developing countries in different civilian applications. For example in India, [drinking] water for homes is not available and will also be rare in the future. The Atmospheric Water-Generation Unit can be built as a residential unit and serve as a perfect water supply solution for homes in India."

Kohavi says Water-Gen's units can produce a liter of water for 1.5 Rupees, as opposed to 15 Rupees for a liter of bottled water.

Dirty water

Another product Water-Gen has developed is a portable water purification system. It's a battery-operated water filtration unit called Spring. Spring is able to filter 180 liters (48 gallons) of water, and fits into a backpack -- enabling water filtration on the go.

"You can go to any lake, any place, any river, anything in the field, usually contaminated with industrial waste, or anything like that and actually filter it into the best drinking water that exists," says Kohavi.

Major Alisa Zevin, head of the Facilities and Specialized Equipment Section for the IDF, says the unit is revolutionary for them.

"This unit gives logistic independence for the forces and make us ensure that we provide the soldiers high quality water," she says.

In 2013, the IDF took Spring to the Philippines after Typhoon Haiyan devastated the island country and left 4.2 million people affected by water scarcity. The system filtered what was undrinkable water into potable water, and that is what Water-Gen hopes to accomplish elsewhere where the technology is needed.

"It's something as a Westerner you cannot understand because you have a perfect water in the pipe, but people are dying from lack of water," says Kohavi.

Although Water-Gen's developments aren't a solution for the water crisis, Kohavi believes that the technology can do for countries that lack clean water, such as Haiti, what it has done for the Philippines. It can be the technology used to not only to filter water, but to save lives.

"They could actually bring solution, perfect solution, to the people over there," says Kohavi. "For the kids ... They can use the technology to filter water in the field. People are going days just to carry water. And all our solutions can be an alternative for that."

@highlight

Israeli company has developed device for extracting water from air

@highlight

It says its water generator is more energy efficient than others

@highlight

Its technologies are already used by the military in seven countries