(CNN) -- Newspaper photography and photojournalism make up a craft unlike any other in journalism. A frozen moment can convey human strength or weakness like few other story forms.

An image created by a photojournalist carries the power to change societies. Great images remain burned into our brains forever. Journalists like to say that newspapers write the first draft of history, but that's only partly true -- the best news photos are history.

The Chicago Sun-Times nurtured great photographers since the paper was founded. In fact, in an early Page One nameplate, the paper called itself "The Picture Newspaper" and carried the icon of a professional camera.

But on Thursday morning, May 30, that illustrious era ended when the paper's editor dismissed 28 photojournalists with just a few words. How did they respond? They captured the grief and horror and emotion with their reporter's notebooks -- their cameras.

I was lucky enough to work with these pros during my four years as a visual editor at the paper and saw the extraordinary lengths they went to, and risks they took, to make powerful Page One photos or in-depth photo reportage for investigative projects, such as the legendary "Clout On Wheels" series.

My fellow editors pushed them hard every day to bring the best pictures to our readers.

A photojournalist knows how hard it is to record history when the authorities try to limit or prevent you from doing so. But these guys could get anywhere, they knew everybody, and they had the uncanny ability to somehow be in the right place when news broke. Their instincts are legendary.

Sun-Times photographers ran toward chaos, they placed themselves and their cameras as close as possible to the action without fail.

I looked up to them. I wanted to be one of them.

My first moments as a journalist were as a news photographer for my college newspaper, The Daily Eastern News, 25 years ago. I wanted to be a shooter at the Sun-Times because that was a place that valued the power of hard news photography.

Photographer John White, who won a Pulitzer Prize at the newspaper in 1982, famously said, "It is a privilege to be a photojournalist." And it is an extraordinary privilege. White told me a few years ago that he enjoys being the eyes to the world and bringing the eyes of the world to what he has seen.

Watch: John White talks about video story telling

Media watchers have noted that the Sun-Times' new publisher, Timothy P. Knight, had committed a similar mass firing of all news photographers at Newsday in 2008.

Knight is using his power to crush a guild-protected workforce in favor of freelance talent. Freelancers and staff reporters will carry the burden of creating original news images from places where it's hard to take great pictures.

The freelancers, presumably, will be carrying professional camera gear, while the reporters will be trained how to do double duty by using smartphones for visual news gathering and video packages.

Smartphones replace point and shoot cameras, they replace consumer-level video cams, they replace pro audio recorders. But smartphones can't replace digital single lens reflex cameras -- and especially can't replace the talent and experience required to make pictures for many types of newspaper assignments.

I have filed video reports from student protests in Rome with a smartphone, and I have reported in stills with Nikon F3s and "fast glass," or fast lenses, from disaster scenes. The tools evolve, but they all have their own applications and abilities.

The demands for print reproduction quality are much higher than for digital, so it is an open question how much of this new smartphone photography will actually be good enough to make it to the print editions.

When I train journalists to tell visual stories with smartphones, their output is meant for digital audiences and is an adjunct to the work of the dedicated pros carrying better gear.

But at the end of the day, quality storytelling matters, regardless of the form or who does the work. News consumers expect high quality when they pay for professional journalism from a Chicago brand that built its reputation on stellar news photography.

White's work hangs in a private art gallery in the newsroom of the Sun-Times. It joins a collection more than 150 powerful news photographs that the photo staff of the paper produced over six decades -- a reminder for the employees who still work there of what their paper once stood for and accomplished.

It is a shame that the public can't see this museum-quality exhibit. It is a breathtaking tour through Chicago's history seen through the eyes of some very brave witnesses.

The photos are there, but the brave witnesses will no longer be in the building. So, what's been lost? A tradition of fearlessness, bravery, courage, knowledge and trust that was decades in the making.

The opinions expressed in this commentary are solely those of Robb Montgomery.

@highlight

Chicago Sun-Times fired its whole photography staff of 28

@highlight

Robb Montgomery: Paper was known for photojournalism, won Pulitzer Prize

@highlight

Will use freelancers and smartphones, he says. Digital images aren't up to print standards

@highlight

Montgomery: But nothing can replace their guts, experience and quality of their work