Eating and cooking one's way through a country is one of the best ways to understand and enjoy a culture. The raw ingredients, finished dishes and smells, tastes and traditions in between meld into unforgettable sensory experiences.

Tour operators are offering an increasing number of trips that cater to their guests' desire to taste -- and cook -- their way through a destination. These newer excursions go far beyond familiar gastronomic pilgrimages to Tuscany. Hungry globetrotters are keen to visit goat-cheese producers in Iceland, with the likes of food writer and chef Jody Eddy; sample street food in Vietnam on a trip with Artisans of Leisure; or press their own olive oil in Egypt during a journey with Backpacker Concierge.

Our list highlights some of the very best culinary tours around, all of which prove that travel has never tasted so good.

Artisans of Leisure, Vietnam

After the S-shape curve of the country from north to south, Artisans of Leisure's private, custom Vietnam for Foodies tours take in cultural and gustatory attractions along the way. Trips start in Hanoi, where guests explore the city's famed markets, colonial architecture, historical sites and French-influenced restaurants.

Next they hop on a traditional junk for a sail across Halong Bay, whose waters teem with prawns, oysters, squid and snapper that are staples of the local cuisine. Visits to the former imperial city of Hue, a vegetarian Buddhist monastery and the herb farms around Hoi An follow (participants pick lemongrass, basil and cilantro and use them to make fresh spring rolls).

Departures: A taste of ancient Greek food

The final stop, in Ho Chi Minh City (formerly Saigon), includes chef-led cooking classes and a street-food tour -- and boundless opportunities for trying snacks such as banh mi (sandwiches), pho (spicy noodle soup), goi du du (green papaya salad) and banh xeo (rice pancakes with pork and shrimp). Eleven-day trips by appointment, from $6,810; 800-214-8144.

Austin-Lehman Adventures, Athens and the Cyclades

Travelers who envision Greece as a never-ending series of secluded beaches, ancient ruins and whitewashed fishing villages won't be disappointed here. The weeklong itinerary manages to fold in all the can't-miss sights: the Parthenon in Athens, the sparkling shores of Santorini, the cerulean lagoons of Antiparos and the ever-photogenic sugar-cube buildings of Mykonos.

But it also provides an in-depth appreciation for the food and flavors of the region. Guests make visits to groves and farms where they can sample honey, olive oil, feta and graviera (a sheep's-milk cheese).

Departures: Top 'how to' vacations

They also take cooking classes -- sometimes in the island homes of local chefs -- and learn to prepare local dishes such as revythada (slow-cooked chickpea stew), domatokeftedes (tomato fritters) and tsipoura (fresh-caught sea bream). eight-day trips (May-October departures), from $5,298; 800-575-1540.

Backpacker Concierge, Egypt

Daydreams of an Egyptian holiday usually include lots of stock imagery: the soaring pyramids and Great Sphinx at Giza; the riotous, colorful crowds of the market stalls at Cairo's Khan al Khalili. But until recently most travelers haven't wondered much about the flavors of this desert country -- a situation Backpacker Concierge aims to change with its new bespoke culinary excursions there.

Departures: World's top tasting menus

While guests on the tours can see all the quintessential Egyptian sights, they also partake in some truly unusual gastronomic experiences, including touring the country's little-known northern wineries; learning to make Egyptian specialties such as mahshy (stuffed zucchini and cabbage leaves) and duqqa (roasted ground hazelnuts and spices) in a chef's home kitchen; and, in the remote village of Siwa, pressing olive oil and making date honey by hand. Seven-day trips by appointment, from $1,700; 248-507-4666.

Caribbean Culinary Tours, Jamaica

Though they are one of the closest holiday destinations for North Americans, the Caribbean islands are home to a singularly vivid and eclectic cuisine. And while many island nations here have their own particular culinary traditions, perhaps none is as distinctive as Jamaica's -- a blend of African, European and Asian influences that gave birth to such signature preparations as jerk-spiced meat and fish, ackee and saltfish, curried goat and festival (deep-fried bread balls).

Departures: American chocolate tours

It takes an islander to help visitors properly navigate this gastronomic landscape, and Dominican-born chef Freda Gore does just that by leading her Caribbean Culinary Tours cooking seminars, guiding trips to roadside farmers' stalls, restaurants and rum distilleries and -- in between -- allowing for downtime for sunning, snorkeling and cocktails. April 12-18, from $2,999; 615-609-5421.

Epitourean, Lima and Machu Picchu, Peru

A Peruvian tasting tour capped off by a trek to the most dazzling UNESCO World Heritage site on the South American continent? A traveler would need to be scared of heights -- or ceviche -- to pass it up.

Epitourean's itinerary provides an array of food-related experiences, including cooking classes -- which teach the finer points of wild-boar carapulcra (stew) and morada (shredded chicken with purple potato and aji amarillo) -- and trips to markets, pisco taverns in Lima and street-food stalls in Cusco.

In between gastronomic adventures, however, there is plenty of time to visit historic cathedrals, museums and Incan ruins, the most spectacular of which is, of course, the ancient high-altitude site of Machu Picchu, the figurative and literal peak of the tour. Ten-day trips by appointment, from $3,690; 800-390-3292.

Jody Eddy, Iceland

Food writer and chef Jody Eddy, whose cooking resume includes stints at Jean-Georges and Tabla in New York, teamed with Icelandic chef Kjartan Gislason to put together this new culinary adventure for August. Trip participants will enjoy Iceland's breathtaking natural landscapes, soaking in mountain-ringed geothermal pools, hiking alongside thundering waterfalls and sailing to remote north-coast islands.

Departures: Most bikeable wine regions

In between, they will visit with growers and producers of distinctly Icelandic products such as smoked arctic char, skyr (a tangy local yogurt), sweet rye bread, reindeer carpaccio and liqueurs made with rhubarb, birch and caraway. Guests will also get demonstrations from and take meals with some of the country's most celebrated chefs, including Gunnar Karl Gislason, whose Reykjavik restaurant Dill (dillrestaurant.is) set the bar for modern Icelandic cuisine. August 16-23, from $3,900.

TripFeast, Thailand

Many travelers know Thailand as a street-food paradise, and rightly so. One could easily spend months trolling Bangkok's wok-wielding vendors and snacking on oyster omelets, spicy noodles and barbecued squid. With its Gourmet Thailand tour, however, TripFeast brings guests far beyond the street carts.

The Bangkok-based itinerary is built around classes at some of the country's best cooking schools, where refined dishes such as pla goong (spicy prawn salad with Thai herbs) are learned. Guests explore the famous Damnoen Saduak Floating Market and take trips to mussel farms, fishing villages and even a tropical-climate winery along the western edge of the Bay of Bangkok.

Visits to Buddhist temples, tuk tuk rides and a night tour of Bangkok's vibrant Chinatown are also on the itinerary. Eight-day trips (March and November  departures), from $2,075; 347-380-6959.

@highlight

Pick lemongrass, basil and cilantro and use them to make fresh spring rolls in Vietnam

@highlight

Learn to make Greek dishes such as revythada and domatokeftedes in a Greek chef's island home

@highlight

Enjoy a glass of wine in Egypt's little-known northern wineries