(CNN) -- The presence of a decomposing human body is the only plausible explanation for the odor in Casey Anthony's trunk and the results found in forensic testing, a scientist testified Monday in her capital murder trial.

Testing was conducted on carpet samples from the trunk of the Pontiac Sunfire, along with a spare tire cover, scrapings from the wheel well, air samples and paper towels found in a trash bag that had been in the trunk, Arpad Vass, a senior research scientist at Tennessee's Oak Ridge National Laboratory, testified in the Orlando, Florida, courtroom.

Vass, who spent all day Monday on the stand, said he and his partners have, as part of their general research, identified some 30 compounds as significant in the human decomposition process. Seven of those were confirmed in Anthony's trunk, he said.

Of those, Vass testified under cross-examination by defense attorney Jose Baez, only five were considered because the other two were at trace levels. "We were very, very conservative," Vass said.

Prosecutor Jeff Ashton asked Vass if, given the test results and his own observations regarding the odor, he believed a dead body had been in the trunk.

"I can find no other plausible explanation, other than that, to explain all the results we found," Vass said.

Casey Anthony, 25, faces seven counts in the death of her 2-year-old daughter Caylee, including first-degree murder, aggravated child abuse and misleading investigators. If convicted, she could face the death penalty.

Caylee was last reported seen by her family on June 16, 2008, but no one alerted police until July 15, when the girl's grandmother, Casey Anthony's mother, tracked Anthony down and demanded answers.

Prosecutors allege Anthony used chloroform on her daughter and suffocated her by putting duct tape over the little girl's mouth and nose. They allege Anthony put her daughter's body in her car trunk before disposing of it. Caylee's skeletal remains were found in December 2008, less than a mile from the home of Anthony's parents.

Anthony has pleaded not guilty and denied having anything to do with her daughter's death. Baez has said that when all the facts are known, it will become clear his client is innocent.

The Orlando woman's attorneys argue Caylee drowned in the family pool on June 16, 2008. They say Anthony and her father panicked and covered up the death. George Anthony denied the claim during his testimony.

Earlier Monday, Vass testified the presence of chloroform on a carpet sample from the trunk was at a "shockingly high" level -- far beyond what normally would be seen in environmental samples and higher than any he has seen in his nearly two decades of forensic study.

"The chloroform was shockingly high, unusually high," Vass said. The same testing done on a "control sample" of carpet from another Pontiac Sunfire, found in a junkyard, also showed chloroform, but the level was much lower -- "trace amounts," he testified.

Laser-based testing of the carpet, and testing of the other items also showed the presence of elements and substances associated with decomposition, he said. Found in the wheel well scrapings was acetic acid, a byproduct both of decomposition and of the manufacture of chloroform, according to Vass. His testimony for the state was punctuated with objections from Anthony's defense attorneys.

Vass said as a control sample, scientists were able to find a blanket that a 3-year-old's body was wrapped in and put into a car trunk for three months. "The point of that was to confirm that compounds such as we saw in the Florida trunk, that were consistent with human decomposition, could be formed in that type of environment," Bass said.

In that test, four of the five compounds were present, he said. The only one not found was chloroform.

On cross-examination, Baez tried to suggest Vass had a financial interest in the case, which he denied, and also tried to cast doubt on the testing methods, protocols and quality control. He tried to get Vass to say the fatty acids found on the paper towels could have been from meat, but Vass said it would have had to be raw meat with a high fat percentage and with bacteria normally found in human bodies.

Vass also told Baez he was aware the media had been reporting his findings before they were finalized, and was unhappy about that. Baez did get Vass to acknowledge he is not currently a member of any professional organizations.

Monday morning, Vass gave jurors in the trial a crash course in the stages of human decomposition and explained his nearly 20 years of study, some of which was done at "The Body Farm," the anthropological research facility located near the University of Tennessee campus.

Vass said he was contacted by Orange County Sheriff's Detective Yuri Melich and asked to examine evidence in the Anthony case. He then requested air samples from various points in Casey Anthony's car.

A crime scene investigator, the operator of a towing company and members of Anthony's family all have testified they smelled a bad odor coming from Anthony's car after it was found abandoned in a parking lot on June 27, 2008, and then towed four days later. The prosecution maintains the odor in the car was that of human decomposition, and says cadaver dogs also alerted to it.

Vass testified the odor in the air samples he received was "overwhelmingly strong. I was surprised that little can had so much odor associated with it." He said he identified the odor as that of human decomposition.

On Saturday, FBI trace evidence examiner Karen Lowe testified that a single hair found in the trunk of Anthony's car was similar to that of Caylee and showed evidence of decomposition.

The scientific testimony, which began Friday, marked a departure from the dramatic testimony and evidence offered in the first nine days of the trial, in which friends and acquaintances contradicted Anthony's claims that she was frantically searching for her daughter during the month she was missing and before authorities were notified.

Instead, Anthony was staying with her boyfriend, spending time in Orlando with numerous friends, attending parties, going shopping and hitting nightclubs, including participating in a "hot body" contest, according to testimony in the case.

Her former boyfriend, friends and acquaintances have all testified that she did not mention her daughter being missing during that time and that they noticed nothing different about her demeanor.

Lowe testified Saturday how a 9-inch piece of hair found in Anthony's car and sent to the FBI lab in Quantico, Virginia, appeared similar to a piece of hair recovered from a brush belonging to Caylee. But she said hair analysis is not as precise as DNA analysis, so she could not say with absolute certainty that the hair belonged to Caylee. She said she could not say how the hair got there.

The hair had a dark band that Lowe testified has only been seen in hairs remaining in the scalp of a decomposing body.

She also testified under questioning from Baez that while the hair is clearly not Casey Anthony's, it could belong to any other light-haired relative on her mother's side of the family. The kind of DNA testing authorities were able to perform on the sample reveals DNA passed down only through maternal lines.

The hair in question was recovered after Anthony's car was picked up from her family's home, after it had been abandoned in a parking lot, towed to an impound lot and then driven back to the family home two weeks later by Anthony's father.

According to testimony, Anthony asked her boyfriend to pick her up from the parking lot on June 27, saying the car had run out of gas. She also told a friend that she believed an animal carcass was lodged in her car's frame.

The car was towed to an impound lot on June 30, 2008, where a manager said he smelled the odor of decomposition.

Testing of samples from the car's interior and a bag of garbage that had been in the trunk, showed some relevant compounds, Vass testified Monday, but the majority were found "in high abundance" in the carpet sample. "We confirmed the carpet was the point source of the odor," he said.

Before prosecutors began presenting scientific evidence in the case on Friday, jurors watched recordings of jailhouse visits between Anthony and her parents.

In one conversation played Friday, Anthony scoffed at a media report her mother brought up speculating that Caylee had drowned in the family swimming pool.

"Surprise, surprise," Anthony said of the rumor, which is now the primary defense theory.

Anthony's defense team explains her behavior in the weeks following Caylee's death by saying she had been sexually abused by her father and had been taught to conceal her pain. George Anthony has denied abusing his daughter.

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

Arpad Vass: Seven compounds consistent with decomposition were found

@highlight

Vass says the odor in air samples from the trunk was overwhelming

@highlight

Casey Anthony is accused of killing her 2-year-old daughter Caylee in 2008

@highlight

If convicted, she could face the death penalty