This week it was reported that Steve Jobs, the CEO and cofounder of Apple, underwent a liver transplant two months ago. One detail concerning Jobs's transplant seemed odd: The surgery took place at a hospital in Tennessee, some 2,000 miles from Jobs' home in northern California. Why Tennessee?

Steve Jobs (pictured in October 2008) has been on a health-related leave of absence since January 2009.

The answer sheds light on the intricacies of the organ transplant system, as well as why it's sometimes easier for people with significant financial resources to get an organ transplant. (Jobs' estimated net worth: $5.7 billion.)

Livers are a scarce resource. In any given year, only about one-third of the people on the national transplant waiting list receive one, and as of late June, more than 16,000 people were on the list.

Yet it sometimes seems that celebrities in need end up at the front of the line when they need a transplant, and people often assume they get preferential treatment. (Rumors about special treatment circulated after baseball player Mickey Mantle's liver transplant in 1995, for example.) Health.com: The real gift of life: How medical donations help

The truth is more complicated. No one can actually buy an organ in the United States (legally, that is). But getting a liver transplant, it turns out, is a lot like getting into college. Once you're on the waiting list, your chances of getting off it depend largely on your personal circumstances -- how sick you are and whether you are a good donor match. But getting on the list in the first place -- or on more than one list, as the case may be -- requires resources and know-how that most people don't have.

Can some people 'cut the line'?

There are 127 centers in the U.S. that perform liver transplants. If you need an organ transplant, your doctor will refer you to one of these centers, where you will be evaluated, given a score based on the severity of illness, and placed on the center's waiting list, if you are indeed a candidate for transplant.

The center's waiting list feeds into a national database managed by the United Network for Organ Sharing (UNOS), a nonprofit organization that contracts with the federal government to manage the nation's organ transplant system.

UNOS works with 58 organ procurement organizations (OPOs) that coordinate organ distribution in their region of the country. When an organ becomes available, the OPO in that region searches the UNOS database for a local match using blood type (and other biological considerations), the patient's severity score, and the time spent on the waiting list. If a match can't be made within that region, the organization expands its search to neighboring regions.

The problem -- or the advantage for some patients -- is that not all OPOs are created equal. Some regions contain nearly 15 times as many people as others, and their waiting list times vary widely. Patients in the smaller OPOs tend to be less sick and experience shorter wait times before getting an organ. In the Tennessee OPO where Jobs received his transplant, the median wait for a liver between 2002 and 2007 was just over four months. The national average was just over a year, and in some OPOs it was more than three years.

Though there is always the possibility of preferential treatment once a patient is on a waiting list -- UNOS conducts periodic audits of transplant centers for exactly this reason -- it is unlikely that someone like Steve Jobs can "cut the line" of the transplant waiting list. Health.com: Three sisters find kidney donor for dad using craigslist

The reason that some people might be able to get transplants more quickly is that they're standing in more lines. Nothing prevents someone from being evaluated and listed at multiple transplant centers. As long as a patient has the wherewithal to fly around the country -- and be available at the drop of a hat if a liver becomes available (this is where the private jet comes in handy) -- a patient can, in theory, be evaluated by all the transplant centers in the country.

"The system works at two levels," explains Arthur Caplan, Ph.D., the chair of the department of medical ethics at the University of Pennsylvania. "One, who gets in to a center. Two, who gets transplanted off a particular center's list when an organ becomes available. Most of the attention goes to stage two, but the biggest ethical challenges are really at stage one."

Jobs underwent surgery for pancreatic cancer in 2004. (He reportedly had a type that grows more slowly -- and has a better prognosis -- than others.) He was said to have recovered, but last year he appeared in public looking thin and sick. He took a leave of absence in January and underwent a liver transplant a few months later. However, it's not clear how long he was on the transplant waiting list, or whether he was on the waiting list for a center other than the one in Tennessee.

Insurance matters too

Since 2003, UNOS has required that transplant centers inform all candidates that they can be evaluated and listed at more than one center, and that they can also transfer their care from one center to another without losing the time they have accrued on the waiting list. However, not everyone can afford to fly around the country and be evaluated at more than one transplant center. In fact, many people can't afford a liver transplant, period.

According to the most recent estimates, the cost of a liver transplant is $519,600 -- a price tag that excludes roughly one-third of Americans because they don't have sufficient insurance (or any insurance), Caplan estimates. According to data collected for UNOS, only about 5 percent of liver transplants are paid for out of pocket. Health.com: Where the money goes: A breast cancer donation guide

"What your insurance covers is very different from everyone else's," says Anne Paschke, a spokesperson for UNOS. Some insurance companies won't cover evaluations at multiple transplant centers, Paschke explains, and in at least one case, an insurance company has restricted its coverage to a single transplant center that the company itself owned.

Moreover, your insurance continues to be important during the evaluation process. The decision to accept a transplant candidate takes place before UNOS enters the picture, and the committees that determine whether a patient is added to the transplant center's waiting list have access to a patient's full medical and financial history.

"There's a huge triage involved in getting in," says Caplan. "If you're a homeless alcoholic sleeping on the streets of L.A., and you're going toe-to-toe with Steve Jobs, you're going to lose."

For most people, the ability to pay is a precondition for acceptance at more than one transplant center. Wealthy people who are, in effect, financially "pre-approved" for a liver transplant, can shop around and identify the transplant centers that will give them the best chance of receiving a new organ.

Reforming the system

Despite the apparent problems with the transplant system, past efforts at reform have generally failed. Health.com: Could painkillers be hurting your heart?

In the late 1990s, the U.S. Department of Health and Human Services issued new regulations that would have given priority to the sickest patients, regardless of region. This would have eliminated the geographic disparities that make approval at multiple transplant centers advantageous, but Congress blocked the regulations and instead asked the Institute of Medicine, an advisory organization that belongs to the National Academy of Sciences, to consider the issue.

The IOM's proposal was less far-reaching, but it did recommend standardizing the size of the organ donor pool for the sickest patients. Congress failed to implement this measure as well, however.

Some transplant centers advocated the shift away from the OPO system, but others vigorously lobbied Congress to oppose the new policy. The smaller transplant centers were concerned that in a national organ allocation system, they would receive fewer transplants and be driven out of business. The larger transplant centers, meanwhile, wanted to maintain the size and geographical reach of the OPOs in their areas.

"There was a huge split in the transplant community," says Paschke. "It was very territorial at the time, and there was a lot of maneuvering going on. There were a lot of business interests on the part of the transplant centers."

UNOS itself has been split on the issue of multiple listing. The organization's board of directors has voted on whether to restrict multiple listing three times in the past 15 years; the first vote resulted in a tie, and in the others the proposal was rejected by a divided vote.

The inequity revealed in the liver transplant process is symptomatic of the larger inequalities in the American health-care system, says Caplan, who also cochairs a United Nations task force on organ trafficking. In countries such as Canada or Switzerland that have national health-care systems, a patient's finances don't influence access to organs to the same extent, he says.

"Money doesn't play such a big role in entry into the system," he says. "Steve Jobs' transplant is relevant to why we need some health reform."

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Apple cofounder Steve Jobs is recovering from transplant surgery in Tennessee

@highlight

His surgery raises questions about preferential treatment

@highlight

Current system results in regions with much shorter wait times than others

@highlight

16,000 people on the liver waiting list; in any one year only one-third get liver