(CNN) -- The masked man had already cut her chest open when the lights went off, plunging the entire room into darkness.

This was not good. In fact, it was downright dangerous. A power outage is probably the last thing anyone would want to happen midway through surgery, let alone while performing the delicate task of closing a hole inside the heart of a six-year-old girl.

But Dr Godwin Godfrey and his team had come prepared.

"We knew that we always have power cuts in the hospital -- they can happen at any time, even at night -- so we had prepared a back-up manual handle that we could use to run the pump by hand," says Godfrey, who works at the Bugando Medical Center in Mwanza, north Tanzania.

A reliable and constant electricity supply is crucial when performing open heart surgery -- the procedure is done under general anesthesia and requires the use of an electrically powered machine that acts as the patient's heart and lung.

Read this: Birth advice by text message

Godfrey and his team also knew that it usually takes several seconds for the hospital's back-up generator to kick in after a power failure. Therefore, they'd previously connected the heart-lung and anesthesia machines to an uninterruptible power supply in case of an emergency.

"Even though all the lights in the operating room went off, the machines themselves were still working," recalls the young doctor. "So this was what actually saved us that day."

Saving lives

That day was late last month, right after Godfrey had returned to Tanzania from Israel with a skill no one else in his country has.

Following five years of intense training, Godfrey is now Tanzania's only pediatric heart surgeon capable of carrying out open heart surgeries on small children.

Upon his arrival, he started operating on young children, including six-year-old Merina, with the assistance of the Israeli team who'd trained him.

"Although we had all these problems in the surgery, the child recovered very well and she left the intensive care unit the next day," says Godfrey about Merina. "So this was very good."

'Somebody has to do something'

The son of a doctor, Godfrey grew up in Moshi, a beautiful small town nestled on the foothills of Mount Kilimanjaro. He went on to become a doctor himself and started practicing about seven years ago, setting his mind to becoming a plastic surgeon.

But at that time a Tanzanian surgeon who'd returned home from the UK, with the aim of starting a cardiac center, recruited Godfrey to his team.

"It's when I started working with him that I realized that ... in Tanzania we really don't have so much need for plastic surgery," says Godfrey. "I realized children are the ones who are suffering most in Africa -- we have so many children with heart diseases dying without any care and those few lucky ones the government gets to send them abroad for surgery," he adds.

Watch this: Ghana'a heart surgery pioneer

Determined to make a difference, Godfrey approached doctors visiting the hospital, asking them to help him find a way to create a Tanzanian team that could do pediatric heart surgery.

Eventually, he got in touch with Save a Child's Heart, an Israeli organization providing heart surgeries and care to children from developing countries.

After securing funding, Godfrey headed to Israel where he trained for five years with Save A Child's Heart before returning to Tanzania and putting his life-saving knowledge to use.

"Somebody has to do something -- and this is one of the reasons I came back," says Godfrey.

"But do I feel confident that I will be able to build a good department and a good team? Well not really," he readily admits. "So I am also very terrified of the fact that I am worried that I may not be able to build this good team. But again, it's this worry which will keep me up on my feet every day trying to push a little bit harder."

Urgent needs

When it comes to impoverished African nations, the focus often tends to be on AIDS, malnutrition and malaria. But there are a multitude of other medical conditions that require urgent attention, such as children's heart problems.

In Tanzania's largest referral and teaching hospital, some 300 children a year await surgery. There are thousands more in need across the country.

Read this: African midwife, Nobel Peace Prize?

Godfrey says there are, at best, just 5,000 doctors in Tanzania, a country where more than 70% of the 45 million-population lives in villages, often far from hospitals or equipped medical centers.

He says this puts a "big burden" on doctors who often have to work under extremely challenging conditions.

"Many doctors don't want to even go out of the big cities," he explains. "Every doctor wants to work in a place where there's at least some medication, there's even a ward ... that they can also provide this kind of care. Now going to the village with all the knowledge that you've acquired and you still cannot manage to do anything -- these are places no doctor wants to go."

Healing hearts

Inside the Bugando Medical Center, the overwhelming need for doctors and trained medical personnel is evident. At the hospital's children's ward, the beds are occupied at all times by two, sometimes three, very sick children, while young patients with heart problems and their families lie on benches outside examining rooms.

It's a far cry from the wards where Godfrey trained in Israel.

"Working in Israel," says Godfrey, "one of the things that struck me most at the beginning was that we could spend six months and not even see one child dying, while here in a day, one pediatric admission, we could see even five, sometimes up to seven, children dying," he adds. "You realize that we still have a very long way to go."

But despite all the challenges, Godfrey is determined to continue his life-saving efforts and build a team that would heal as many of Tanzania's broken hearts as possible.

"Now I am even thinking of the ways to push my department forward," says Godfrey. "I know I don't have a complete team yet, some are still in training back in Israel, but it is my hope in the next few years that we will have a complete team, if everything goes well."

@highlight

Dr Godwin Godfrey is Tanzania's only children's heart surgeon

@highlight

He has to contend with power cuts during open heart surgery

@highlight

Doctors in Tanzania face a lack of equipment

@highlight

He is now looking to build a team of pediatric surgeons in Tanzania