Washington (CNN) -- OK. The budget deficit, the debt ceiling, and tax reform are givens. We know that those battles will continue to be in the political spotlight throughout 2013.

But what else will be front and center in the New Year?

By the Numbers: Politics in 2013

Here are five other things to keep your eyes on:

1. Gun control: The shootings in Newtown, Connecticut, have moved gun control to the top of the "to do" list for the White House and many in Congress. While past mass killings have stirred talk of gun control, the killing of 20 young children and six adults at Sandy Hook Elementary School by a man armed with a semi-automatic rifle seems to have changed public opinion.

"A discussion has reemerged as to what we might do not only to deter mass mass shootings in the future but to reduce the epidemic of gun violence that plagues this country every single day and it's encouraging that people of all different backgrounds and beliefs and political persuasions have been willing to challenge some old assumptions and change long-standing positions. That conversation has to continue but this time, the words need to lead to action," said the president, vowing to take action.

Obama: Proposals to address gun violence due by January

The president tapped Vice President Joe Biden to head a task force to report back in a month on ways to prevent future mass shootings.

"This is not some Washington commission. This is not something where folks are gonna be studying the issue for six months and publishing a report that gets read and then pushed aside. This is a team that has a very specific task to pull together real reforms right now," added the president.

Obama: 'Something fundamental in America has to change'

While there's action Obama can take through executive orders, the big question centers on what Congress will do and whether lawmakers will buck the National Rifle Association and push through new gun control measures early in 2013.

2. Immigration reform: It may take a slight back seat due to the elementary school shootings and the new emphasis by the White House on gun control, but add illegal immigration reform to Obama's "to do" list in 2013.

At a news conference in November soon after his re-election, the president said that he expected an immigration reform bill would be introduced soon after his inauguration, adding that "we need to seize the moment."

Five reasons why time may be right for immigration reform

Obama told reporters that he hoped for a comprehensive bill that would include border security, enforcement measures for companies that employ undocumented workers, and resolving the status of the 11 million illegal immigrants living in the United States.

"I am very confident we can get immigration reform done," added the president.

And this time around, he may have support from some Republican lawmakers, who acknowledge that after their crushing defeat by the president among Latino voters in the November election (National exit polls indicate the president captured more than 70% of the Latino vote), it's time for the GOP to consider compromise on the issue of immigration reform.

3. Future of the GOP: As Republicans try to rebound from a disappointing 2012 election, where they failed to pick up the White House or win back the Senate, there seem to be two game plans. Some in the GOP have called for a "bigger tent" party that would be more representative and inclusive of the changing demographics of American voters. Others say moderating is the wrong way to go, and that the party needs to stay true to its conservative roots.

How this discussion plays out in 2013 and beyond will be fascinating to watch.

Opinion: What the tea party cost the GOP

Short term, keep your eyes on the Republican National Committee as it completes its comprehensive look at what went right, wrong, and what to fix.

"In order to get back in the game, you've got to look at and do a full autopsy of what happened," RNC Chairman Reince Priebus told CNN about a month ago.

We could see some recommendations from the report start to surface in late January, when the party committee holds its annual meeting in Charlotte.

4. Campaign politics: Who says there's no real action on the campaign trail the year after a presidential election? We've always got gubernatorial elections to watch in New Jersey and Virginia the year after the race for the White House.

And both should be very interesting this time. Virginia is shaping up to be a battle between Republican Attorney General Ken Cuccinelli, a tea party-backed and controversial conservative, and Terry McAuliffe, the often outspoken former chairman of the Democratic National Committee.

The New Jersey race may not be as riveting now that Newark's Democratic Mayor Corey Booker decided against a bid. But the fact that the Republican candidate is the tough talking popular governor, Chris Christie, means that we'll have a full year of watching him on the campaign trail and a full year to wonder if his re-election bid is just a warm up act for a 2016 attempt at higher office.

Two high-profile governors races ensure 2013 won't be quiet year

But wait, there's more. Thanks to the president's nomination of Sen. John Kerry of Massachusetts to succeed Hillary Clinton as secretary of state, it looks like we'll have a special election in June 2013 to fill the final year and a half of Kerry's term. And that could give outgoing Republican Sen. Scott Brown, who was just defeated in the November election, a chance to return to the Senate. Meanwhile, three Democratic congressmen are already making moves to run for Kerry's seat. All the action up in Boston will draw national attention.

Markey picks up major support for Senate bid, including from Kerry

If that's not enough, we already have three special elections in 2013 to fill vacant House seats.

5. The race for 2016: Call this the pre pre-season.

While it may seem absurd to many people that we are already talking about the next presidential contest when the 2012 election is barely in our rear view mirror, this is the world we live in. So get used to it.

Hillary Clinton hasn't even stepped down yet as secretary of state and there's already constant speculation as to whether she'll run again for the White House. While no decision from her on any future bid for president is expected in 2013, expect speculation about her future political plans to intensify throughout the new year.

Opinion: For 2016, Bush vs. Clinton

Same thing, on a lower level, for Vice President Joe Biden.

On the Republican side, we're already starting to look at Sen. Marco Rubio of Florida, Rep. Paul Ryan of Wisconsin, Gov. Bobby Jindal of Louisiana, Sen. Rand Paul of Kentucky, former Gov. Jeb Bush of Florida, former GOP presidential candidate Rick Santorum of Pennsylvania, and Christie, through the 2016 prism.

In reality, with the real start of the 2016 campaign still about two years away, now's the time for these possible candidates to make speeches, meet and greet donors, campaign for fellow Republicans in the 2013 and 2014 elections, and write books.

And we'll be here to cover it all.

@highlight

Gun control: Will the reaction to Newtown lead to action?

@highlight

Immigration reform: Will Obama, congressional leaders "seize the moment"?

@highlight

The GOP's future: What will the party's "autopsy" show?

@highlight

2016 race: What moves will potential White House contenders make in 2013?