(CNN) -- A federal judge ruled Tuesday that an Oklahoma law limiting marriage to heterosexual couples violates the U.S. Constitution, giving yet another victory to same-sex marriage supporters.

U.S. District Court Judge Terence Kern said the court would not immediately enforce this ruling -- therefore not opening the doors right away to marriages of gay and lesbian couples in Oklahoma -- pending appeals. Still, he delivered a clear opinion on how the voter-approved Oklahoma state constitutional amendment relates to the U.S. Constitution.

"The Court holds that Oklahoma's constitutional amendment limiting marriage to opposite-sex couples violates the Equal Protection Clause of the Fourteenth Amendment of the U.S. Constitution," the judge wrote, saying that protection "is at the very heart of our legal system."

His decision specifically deals with "Part A" of an Oklahoma Constitutional amendment that says, in part, "marriage in this state shall consist only of the union of one man and one woman."

Kern said that "the Court's rationality review reveals Part A an arbitrary, irrational exclusion of just one class of Oklahoma citizens from a government benefit." Proponents of the state constitutional measure, he points out, "purposefully (drew a line) between two groups of Oklahoma citizens -- same-sex couples desiring an Oklahoma marriage license and opposite-sex couples desiring (a) marriage license."

CNN -- which has a copy of the ruling -- first learned of the court's decision via Twitter.

This case was first brought by a pair of lesbian couples in 2004, the same year that Oklahoma citizens voted to put a ban on same-sex marriage in their state's constitution.

Susan Barton, one of the four women involved, told CNN that she is "absolutely thrilled" with the decision, saying it was worth the long fight. She and her partner, Gay Phillips, have lived in Oklahoma for more than 50 years. They have been together for the past three decades and got a civil union in Vermont and have marriage licenses issued from Vancouver, British Columbia, and San Francisco.

"You can't stay in this for nine years and not have faith," Barton said. "... I feel like we are already married, (but) I want our state to recognize our marriage."

CNN received no immediate response from the Tulsa County district attorney's office, which was among those arguing for the state's same-sex marriage ban.

Gov. Mary Fallin spoke out against the ruling, which she said defied the views of 75% of those who voted in favor of limiting marriage to a man and woman.

"I support the right of Oklahoma's voters to govern themselves on this and other policy matters," Fallin said. "I am disappointed in the judge's ruling and troubled that the will of the people has once again been ignored by the federal government."

Learn more about same-sex marriage

Several courts ruled on it over what now has nearly been a decade, but the momentous decisions were indirectly related. Those were made last summer by the U.S. Supreme Court, which stated that the federal Defense of Marriage Act "violates basic due process and equal protection principles applicable to the Federal Government."

That meant the U.S. government would -- for tax and other legal purposes -- recognize same-sex marriages. However, the rulings did not directly address the many states, like Oklahoma, which have prohibited such marriages within their borders.

Yet it has opened the door for lower federal courts weighing in on the matter, like U.S. District Judge Robert Shelby's December 20 decision striking down Utah's ban on same-sex marriage. He argued that state's law conflicted with the equal protection and due process guarantees under the U.S. Constitution.

Carl Tobias, a constitutional law professor at the University of Richmond, said that federal district judges striking at state bans "looks like a trend" that, ironically, is kicking into gear in the generally conservative states of Utah and Oklahoma.

"It seems to be moving much more quickly than people thought," said Tobias.

In his ruling Tuesday, Kern brought up both the high court's decision (United States v. Windsor) and Shelby's ruling, which he noted was about a case "nearly identical" to the one in Oklahoma.

At least 1,000 marriage licenses were issued for gay and lesbian couples in Utah between the time Shelby made his ruling and the U.S. Supreme Court issued its stay Monday, pending appeals. The federal government said it will recognize those marriages, while the state of Utah said it would not.

Kern's decision -- citing what happened in Utah -- to issue an immediate stay of his own decision means no gay or lesbian couples in Oklahoma will be in limbo as the case likely moves forward in the federal courts.

His ruling Tuesday is not a total victory for the Oklahoma couples. The judge didn't rule in support of their argument challenging Section 2 of the Defense of Marriage Act asserting that states shall not "be required" to accept same-sex marriages performed in other states. Nor does it provide any "other relief," such as possible monetary damages, as they'd sought.

Still, Kern does say, "The Barton couple and their counsel are commended for their foresight, courage, and perseverance."

And he is clear in delivering the plaintiffs their biggest victory, regarding their chief focus in the Oklahoma state constitution.

"Part A," Kern writes, "intentionally discriminates against same-sex couples desiring an Oklahoma marriage license without a legally sufficient justification."

So what happens next?

Tobias noted that Utah and Oklahoma appeals could be heard together, because they're similar and both in the Tenth Circuit. Unlike the solitary district judges, such appeals are done by a panel of three judges whose mission is to decide whether or not the lower court erred in its decision.

Eventually, the Supreme Court -- even though it has notably steered clear of ruling on state-by-state variations -- could weigh in, settling the matter of whether states can ban same-sex marriage once and for all. That is a prospect few might have anticipated prior to last summer's Windsor ruling, though there's no telling how the divided court might come down.

In the Windsor case, the Supreme Court struck down a key part of the Defense of Marriage Act, which denied legally married same-sex couples the same federal benefits provided to heterosexual spouses.

"Windsor really might have been the tipping point," Tobias said. "But we'll see."

CNN's Mayra Cuevas and Bill Mears contributed to this report.

@highlight

NEW: Expert: Federal judges striking down state gay marriage bans "looks like a trend"

@highlight

A federal judge says Oklahoma's same-sex marriage ban violates U.S. Constitution

@highlight

He stays enforcement of the ruling, pending appeals; this also happened in a Utah case

@highlight

Governor says she's "troubled" the government "ignored" the people's will