Ever since disgruntled Americans declared themselves the 99% and occupied Wall Street, their protests have been compared to those in the squares of the Middle East and North Africa -- especially Cairo's Tahrir Square — where pro-democracy demonstrations challenged decades of tyrannical power. The movements in New York and Cairo share some characteristics, but direct comparisons between them discredit Arabs' tremendous struggles and sacrifices and squeeze the Occupy movement into a framework that does not fit.

I had the fortunate opportunity to cover Egypt's mass protests in Tahrir Square and New Yorkers' takeover of Zuccotti Park and can say confidently that the two movements differ in many ways.

It is true that New York City's Zuccotti Park -- like Tahrir Square -- has been enclosed by barricades and surrounded by police. Like the Egyptians, New York's protesters are determined to push forward their demands, especially through the use of social media. They're staying put 24 hours a day, defying the orders of authorities; they're creating medical and media corners, arts projects and musical performances and debating strategies. Some Egyptian activists have even advised protesters on Wall Street.

However, Occupy Wall Street is no Tahrir Square. In Egypt, demands were clear: President Hosni Mubarak had to go.  Even after the 30-year president stepped down, demands remained focused on the regime. Protesters called for Mubarak and high-ranking officials to be held accountable, for a new constitution written by the people, for the military to hand over power to a civilian rule and for free and fair elections.

The Occupy movement has clear frustrations with corporate greed, unregulated banks and the housing crisis. Protesters are disappointed in President Obama and his administration for bailing out the banks and "not the people." They have dozens of other grievances and continue to debate strategy and priority.  But these demands do not call for clear solutions. Unlike Egypt, where removing a decades-long presidency was a major success, in the United States, there aren't any high-profile figures to remove that will satisfy the protesters, not even temporarily.

Not one Occupy Wall Street protester is risking his or her life to publicly proclaim their demands. In New York, police resorted to pepper spray and clubbings; in Oakland, California, police sprayed tear gas and are seen in videos apparently throwing stun grenades. Protesters display serious wounds they say were inflicted by rubber bullets. But even that excessive force cannot compare to the threat demonstrators in the Middle East and North Africa faced for displaying their dissatisfaction.

Under the guise of emergency law, Egyptian police were given legal backing to crush peaceful protests. During the first 18 days of the Egyptian revolution, police and other state security organizations killed at least 840 people and injured thousands, according to Amnesty International. Protesters knew that they could die demanding democracy. It was a sacrifice they were willing to make, one that Americans have not had to consider.

In stark contrast, protesters in New York consider rank-and-file police officers to be members of the 99%. In Egypt, the police forces were following direct orders from the leaders who were seen as the enemy.  New York's protesters cannot make that same link between N.Y.P.D. officers and the banks' billionaire CEOs. At times, protesters have marched to local Bank of America and Chase branches, but even then, they are not directing their frustrations toward bank employees, who they also see as members of the "bottom 99."

Blaming the banks is rather new in the U.S., while in Egypt; dissatisfaction with Mubarak and the previous presidents has always existed.

Many Americans have been hurt by the economy. Unemployment and homelessness remains high, and more than 1 million people lost their homes in 2010. This has created poverty in the United States, but nothing like Egypt's. Roughly 40% of all Egyptians live on less than $2 a day and have lived this way for a long time. The Egyptians' sense of having nothing to lose in the fight for change far eclipses that feeling in the U.S. The anti-bank movements have spread, but unless more Americans believe they too have nothing to lose, the protests can lose steam and fail at convincing the majority of Americans that the movement represents them.

Winter months are approaching. Snow, winds and below-freezing temperatures will not skip Liberty Square. The will of the protesters will be tested in a way Arab revolutions hadn't dealt with.

America's protesters found inspiration from Arab uprisings, but their needs and desires are distinct from those striving for change half a world away. Occupy Wall Street will grow and succeed on its own merits.

@highlight

Ehab Zahriyeh: Occupy likened to Egypt, but this overlooks Arabs' extreme sacrifices

@highlight

Similarities in use of social media, he says, in camps and defiance of authorities

@highlight

Zahriyeh: Occupy Wall Street will grow and succeed on its own merits.

@highlight

Police used violence in U.S. protests, he writes, but hundreds of Egyptians died