(CNN) -- In the very early hours of this morning, "don't ask, don't tell" ceased to be U.S. policy. As a result, today is the first day I can write about being the partner of a gay military serviceman without fear that he will lose his job.

In December, Sen. John McCain voiced his opposition to repealing DADT and reminded America it was in the middle of two wars. This I knew well. At the time, my partner was on a yearlong deployment in Afghanistan.

My better half is a commander in the U.S. Navy who has served his country for more than 23 years. He has deployed more than eight times, flying missions for Operation Deny Flight (Bosnia), Operation Southern Watch (Iraq) and Operation Iraqi Freedom. During his year in Afghanistan, he provided support for Operation Enduring Freedom.

When McCain, R-Arizona, stood up in the U.S. Senate to defend the feelings of homophobic servicemen and women, gay active-duty personnel were unable to speak out. By doing so they would have "outed" themselves and lost their jobs. In spite of this, repeal passed, due in no small part to public opinion massively favoring repeal (67% according to a December 2010 Gallup poll).

Had my partner been able to openly share his experience, he might have highlighted McCain's arguments about repeal of DADT affecting morale, recruitment and retention as moot points. In Afghanistan, my partner worked and lived alongside Danish, French and British troops, to name just a few. With nearly every NATO country allowing gay men and women to serve openly in their militaries, McCain would have had to forgo multinational operations and coalitions in order to fully "protect" his soldiers from exposure to "openly gay" personnel.

Though repeal of DADT was won, there are Americans, specifically some GOP presidential candidates, who would reinstate it. Now that gay military personnel can be visible, in my view, they should be. In short, with "don't ask, don't tell" gone, it's time to tell.

The battle has only been half won. Gay servicemen or servicewomen can no longer be discharged simply for being gay, but they are still treated inequitably. Only by using their newly won free speech can they hope to reap the same benefits as their straight colleagues. Let me give you some examples.

When a member of the U.S. military marries, he or she effectively gets a pay raise through an increased housing allowance. Even after repeal, this benefit will not accrue to married same-sex couples. When a married service member is sent away from his spouse on a tour of duty, the couple is entitled to a family separation allowance. Again this will not apply to married same-sex couples. If my partner and I were married and if the law allowed both of these benefits to accrue to him while he was in Afghanistan -- as they would if he were in a straight marriage -- we would have received an additional $10,000 that year.

The inequality doesn't stop at pay either.

Same-sex partners of military personnel are also denied dependent identification cards. This meant that when my partner was hospitalized in 2009, I had no way of independently gaining access to the Navy hospital where he was treated without a special "hospital visitation authorization." Moreover, whether my partner and I are married or not, today I would still have no access to the shops, gas stations or recreational facilities available to other military spouses on base. I would also not be entitled to spousal health care benefits if we are married.

Perhaps most cruelly of all, post-DADT gay military spouses are still not entitled to survivor benefits if a partner is killed in the line of duty. They also remain ineligible to be buried with their spouse if he or she is buried in a military cemetery.

Gay military spouses sacrifice just as much as their straight brothers and sisters. We support our partners. We relocate with them when they receive new orders and in turn we give up our jobs, friends and lives to support their careers. Despite this, we are denied the support and safety nets afforded our straight counterparts. With DADT gone, we should no longer suffer in silence.

The military benefits system needs to change. If the benefits currently unavailable to gay military families were similarly unavailable to Jewish, black or female service members, I have no doubt the situation would be rectified immediately. There needs to be a public outcry, and it needs to come from active duty gay personnel, their partners, families, friends, colleagues and the public at large. For this to happen, the public has to see and understand that a significant proportion of the men and women in uniform protecting them are gay.

In the coming days and weeks, I urge all gay military personnel and their partners to come out, where appropriate, to their families, co-workers, even their Facebook friends. Do this not to share the innermost details of your private life, but to begin the fight for the recognition and rewards you deserve as true American heroes.

Furthermore, when the likes of a Michele Bachmann or a Rick Santorum propose reinstating DADT, let them be challenged by decorated gay marines, sailors, soldiers, airmen and coastguards and asked: Why should they and their partners be treated as second-class citizens? Why should they, as patriots who have spilled blood for their country, be treated anything less than equally by their employer and the government they defend?

Having read this far, you'll be aware that I have not named my partner. If he wants to come out to his employer and colleagues, and I would encourage him to do so, I firmly believe they should hear it from him first. Being honest about your sexuality and standing up for your right to be treated equally doesn't have to involve a public announcement. There will be colleagues you want to tell and members of the military hierarchy that you should tell, specifically those denying you equal pay and benefits, but there will also be colleagues who have no business knowing.

Families have just reason to be proud of sons and daughters who serve in the U.S. military. They should be prouder still to know that service was given in the face of unequal reward and above-average sacrifice. The danger for gay military personnel is that, having spent years being forced to hide and tell half-truths, they continue to remain invisible.

Without visibility, the arguments of those opposed to equality are easier for the public to believe.

The opinions expressed in this commentary are solely those of Laurence Watts.

@highlight

Laurence Watts: DADT ending; he can freely write about his gay servicemember partner

@highlight

He says DADT kept gay servicemembers from speaking out for fear of losing jobs

@highlight

He says many rights are still denied them, particularly for married same-sex couples

@highlight

Watts: Why should gay military who defended U.S. be denied equal access to benefits?