(CNN) -- When a police officer demanded that she cover her hair, Amira Osman Hamed simply refused. "I'm Muslim, and I'm not going to cover my head," she declared. For that, the 35-year-old Sudanese engineer was arrested last August and charged with "indecent dress."

Now Hamed faces a possible sentence of 40 lashes if a court convicts her when she faces the judge on Monday. Still, she refuses to wear a headscarf.

Hamed's determination to challenge arbitrary rules restricting women's freedom is part of a wave of energy pushing against those limits, notably (but not exclusively) in Muslim countries. In Muslim-majority states in Africa, South Asia, the Persian Gulf and elsewhere, women are relentlessly demanding more equal treatment.

To some, the matter of whether or not to cover one's hair may seem like a trivial issue. But the right to decide what one wears is a basic freedom. And strict rules by the government or by religious authorities dictating women's attire are almost always the tip of the iceberg -- the most visible portion of a structure that constricts women's freedom, taking away their right to make other important choices about their own lives.

Hamed herself has already pushed back. In 2002, the human rights activist was arrested and convicted under the same law. She paid a fine for the crime of wearing pants in public.

In 2009, the ban against trousers snagged the journalist Lubna Ahmed al-Hussein and 12 other women in a Khartoum restaurant, all wearing slacks. Several pleaded guilty, paid a fine, and were flogged for their crime. Al-Hussein refused. She was so outraged that she sent out invitations to her trial and to her possible flogging. In the end, the Sudanese Journalists Union paid the fine, but al-Hussein did not waver.

Sudanese women, she pointed out, are getting swept up under the infamous article 152 of Sudan's 1991 Criminal Code. In the country ruled by an Islamist party with its own interpretation of Sharia, Islamic law, the rules are strict but conveniently vague.

The statute calls for punishment of up to 40 lashes for anyone committing an "indecent act" or wearing an "obscene outfit." Not surprisingly, the law is used mostly against women. Government figures for 2008 said 43,000 women were arrested for clothing-related offenses in the capital alone.

And the cases keep coming. A few weeks ago, police were recorded lashing a woman in the street for getting into a car with a man. The images are chilling.

The extraordinary displays of courage from women challenging restrictions on their lives include the case of Malala Yousafzai -- the Pakistani girl who nearly died after Taliban gunmen shot her in the face -- and other young girls, like Yemen's Nujood Ali, divorced at the age of 10 and now a campaigner against child marriage, and thousands of others.

Nobody, however, has gained the fame of Malala, whose call for girls to receive an education crossed the line for those who think women should remain subservient, with society under the full control of men. Her courage frightens the Taliban.

Some in Pakistan claim that Malala, now a celebrity, is a product of the West. But these outbreaks of courage, these rumblings for change, are coming from within the Muslim world. Muslim women do not need the West to tell them that inequality and second-class status for women are unacceptable.

The rules enforcing inequality are often couched as religious mandate, but they are mostly the product of deeply traditional societies. The societies, however, are changing. Women are part of those societies, and many accept the restrictions -- but not everyone is happy with the status quo.

Consider Saudi Arabia. In most parts of the kingdom, many women, depending on the regions where they live, are required to cover themselves from head to toe, wearing the niqab, a veil that covers even the face, essentially erasing a woman's identity while she is in public. Most Saudi women are accustomed to wearing it. For now, those demanding change are focusing on other areas.

Saudi women chafe under many rules. One of the best known is an unwritten ban on their right to drive. Last weekend, a group of women in Saudi Arabia defied the stunningly anachronistic rule that puts Saudi misogyny in a category of its own.

Saudi women have fought for years to gain the right to drive. In 2011, when they thought they might have something like a Saudi Women's Spring, echoing the popular revolutions in the region, activists organized the Women2Drive day. Many were arrested after they took to the road.

Despite the arrests, they tried it again last weekend. Some men raised an outcry. Others cheered.

Two Saudi men, wearing their traditional red kaffiyehs, created an Internet sensation with the parody song "No Woman, No Drive," mocking the driving ban with a takeoff on the Bob Marley hit "No Woman, No Cry." The video has had millions of hits, with lyrics that introduce viewers to the absurd logic of the ban, such as one Saudi cleric's contention that driving could damage women's ovaries and threaten their fertility.

The inability to drive creates a host of practical problems for Saudi women -- problems that make them even more beholden to the whims of men. But other rules are even more offensive, such as the one that prohibits a Saudi woman from leaving the house, working, studying, traveling, even receiving medical treatment without the permission of a male "guardian," usually her husband, father, or brother -- or even a son.

Not all Muslim countries impose terrible restrictions on women, and not all countries with profound inequality between the sexes are Muslim. But the worst countries in which to be a woman, according to the World Economic Forum's Gender Gap Report, are almost all Muslim-majority states in Africa, the Gulf, and South Asia.

Luckily, those are also countries where women are fighting back, pushing to close the gap, armed with the conviction that the restrictions they face are not mandated by their religion, but by social norms that are subject to change.

And that change, a call for human rights for all -- including for women -- is not an invention of the West. It is what a woman like Amira Osman Hamed demands when she says she is a Muslim, and she simply will not be told what to wear.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: Sudanese woman faces flogging for refusing to wear a headscarf

@highlight

Others flogged for wearing slacks, or riding in car with man who is not relation

@highlight

Ghitis: Muslim women fighting back, refusing to comply, driving cars in Saudi Arabia

@highlight

Ghitis: Girls like Malala aren't products of West; they are fighting back on their own