Washington (CNN) -- An oft-repeated statement that the Federal Aviation Administration's partial shutdown has forced the layoff of 70,000 construction workers is, at best, an over-simplification, and at worst, an exaggeration, according to the expert behind the number.

Democratic leaders, and even some Republicans, quoted the 70,000 number frequently this week to emphasize the serious consequences of the shutdown.

But George Mason University professor Stephen Fuller, whose 3-year-old study was used by others to arrive at the 70,000 figure, said the estimate includes everything from actual construction workers, who were laid off, to drug store clerks and restaurant waitresses, who might see "a tiny bit less revenue flow."

The true number of laid-off construction workers is probably one-third of that figure, Fuller told CNN.

The rampant use -- and misuse -- of the 70,000 figure is a study in the wondrous ways of Washington, where facts and figures frequently enter the public debate filled with nuance and caveats, all of which are rapidly abandoned in the blazing heat of partisan battle.

The 70,000 figure entered the public sphere when the FAA turned to Associated General Contractors of America, a construction industry group, to calculate the economic impact of the FAA funding impasse. The FAA had halted more than 200 construction projects totaling $2.5 billion.

AGC dusted off the 3-year-old study conducted by Fuller. His research, designed to show the "multiplier effect" of the president's stimulus package, concluded in early 2009 that $1 billion in nonresidential construction created or supported 28,500 jobs and added $3.4 billion to the Gross Domestic Product.

An AGC economist applied Fuller's formula to the FAA's $2.5 billion construction halt and came to the conclusion that it would put "24,000 construction workers out of work." Another 11,000 workers in related businesses "are also affected," the AGC said, and "as many as 35,000 jobs will be undermined in the broader economy, from the lunch wagon near the job site to the truck dealership across town."

The total number impacted -- in ways large and small -- was 70,000, the AGC said.

In a subsequent Department of Transportation news releases and statements, the information was abbreviated, losing much of its important nuance.

"AGC estimates that 70,000 construction workers and workers in related fields have been affected," the DOT reported in one news release.

A DOT media advisory blurred the picture stating flatly "70,000 construction workers and workers in related fields have been laid off."

The number lost even more clarity on Monday, when Transportation Secretary Ray LaHood appeared at a news conference near one shutdown construction project.

"Seventy thousand construction workers are out of work today -- 70,000! -- and here we are right smack dab in the middle of the construction season in America," LaHood said.

(In a slip of the tongue, LaHood also misstated the purpose of the LaGuardia airport project. "This tower needs to be built," he said, gesturing towards a control tower that is being demolished.)

Others also cited the 70,000 figure.

"More than 70,000 construction jobs around the country... are on hold," Sen. Jay Rockefeller, D-West Virginia, said in a written statement.

Some apparently added the nearly 4,000 FAA employees who have been furloughed to the total.

The dispute is "keeping 74,000 people from working," White House Press Secretary Jay Carney said Wednesday.

Some apparently rounded up.

"Seventy-five thousand people are now over the precipice," Rep. Steny Hoyer, D-Maryland, said at a Wednesday news conference.

"We have 80,000 jobs at least on the line," said Majority Leader Harry Reid at one briefing Tuesday.

(President Obama, in comments Wednesday, fudged, referring to "tens of thousands of construction workers being suspended...")

On Wednesday, the AFL-CIO Executive Council got into the action. In a news release, it said House Republicans "jeopardized 90,000 airport construction jobs." Two sentences later, it went for the brass ring: "Congress must (act) to preserve almost 100,000 American jobs," it said.

ACG spokesman Brian Turmail, a former government spokesman, said he believes the politicians' misstatements were innocent in nature.

"I don't have any impression that people are manipulating the numbers, but events are moving so fast that everyone needs to take a deep breath and make sure that we're all working with the same data," he said. "I think everyone's frustrated that we're in the predicament."

"I'd just want to stress that we have been very careful to explain in all our communications that the 70,000 figure reflects the broader impact of halting airport construction jobs across the country," Turmail said.

Fuller, meanwhile, says the FAA should be able to release the actual number of laid off construction workers, making estimates unnecessary.

The 70,000 number, while hard to wrap one's head around, still might strike some at the FAA as questionably large. It is well above the total number of employees in the agency, which stands at about 47,500.

@highlight

Union used the number to indicate "the broader impact of halting airport construction jobs"

@highlight

The true number of laid-off workers is probably one-third of that figure, expert says

@highlight

Professor says the FAA should be able to release the actual number