Washington (CNN) -- U.S. officials are considering what could happen to 15 alleged Somali pirates held on the USS Enterprise aircraft carrier following the killings of four Americans who were sailing around the world on a private yacht.

Pentagon spokesman Col. Dave Lapan referred questions on possible prosecution of the Somalis to the Department of Justice as well as to the FBI, which is heading the investigation off the coast of Somalia focused on the 58-foot-yacht Quest that was seized by pirates last week.

"They'll be detained until the Justice Department makes a determination about possible prosecution," Lapan said. "The process is going on now to determine where they'll be prosecuted."

Justice Department officials who will decide where and when the alleged pirates will be prosecuted were tight-lipped Wednesday, but one senior law enforcement official acknowledged the transfer of the suspects to the FBI for a trial in the United States will occur "soon."

Two officials indicated the suspects would be tried in a U.S. civilian court, but declined to say where. In previous cases involving Somali pirates and American vessels, the trials for suspects turned over from the Navy to the FBI were held in Norfolk, Virginia, and New York City.

According to U.S. officials, the four Americans -- ship owners Jean and Scott Adam, along with Phyllis Macay and Bob Riggle -- were found shot after U.S. forces boarded the Quest early Tuesday. All died from their wounds.

The Quest was being shadowed by four U.S. warships after pirates seized it off the coast of Oman on Friday.

U.S. forces responded after a rocket-propelled grenade was fired at a U.S. Navy ship about 600 yards away -- and missed -- and the sound of gunfire could be heard on board the Quest, according to U.S. Navy Vice Adm. Mark Fox.

The killings signal escalating violence by Somali pirates who have increased torture and attacks on hostages in a bid to speed up the process of getting ransom money, said a spokesman for the European Union Naval Force combating the piracy.

What started several years ago as local piracy by Somali fishermen has been taken over by organized-crime elements that are well-armed and intent on cashing in on a lucrative operation, according to Wing Commander Paddy O'Kennedy of EU NAVFOR.

"It was a real surprise to us that they had done this. Normally, that's their income," O'Kennedy said, calling the pirates' killing of hostages "literally shooting the hen that lays the golden eggs."

John Campbell, a former U.S. ambassador to Nigeria now with the Council on Foreign Relations think tank, said the Somali piracy was evolving "into a grotesque form of something like a big business."

International naval forces, including participation by the United States and the European Union, have managed to reduce piracy in the Gulf of Aden off Somalia, a key shipping route, Campbell noted.

Now the pirates are operating in open waters farther away, making international monitoring and protection more difficult, Campbell said.

"All of this would indicate that ending or controlling Somali piracy is no longer, if it ever was, purely a naval operation," he said.

Campbell called for a broader approach, including international law enforcement and judicial procedures, anti-corruption forces and international development agencies to work on land as well as on the water.

"You cannot just simply snap your fingers and solve this," Campbell said. "It is not a case of sending an aircraft carrier to the horn of Africa. It's a real international conundrum."

Earlier, Lapan said it was too early to say if the killing of the four Americans would bring a change to U.S. policy or tactics regarding the Somali pirates.

O'Kennedy, however, noted the increasing use of violence by pirates against hostages indicated a change in their tactics.

"These guys want money, they want it now, and they're prepared to do whatever it takes to force the companies to pay up" right away, O'Kennedy said.

"We've seen a rise in violence toward hostages at a relatively kind of steady increase," he said, noting the torture reports and now the killings.

Of reports of hostages being tortured on several vessels, O'Kennedy said: "It wasn't kind of rough treatment; it was pretty systematic torture."

Campbell said shipping companies, their insurers, governments patrolling the waters off of Somalia and others already are confronting the "huge" cost of piracy. Now the increased threat to hostages raises the stakes even further, he said.

"Obviously it's going to be a concern to any government that cares about its citizens," Campbell said, later adding: "The concern would be that if ransoms aren't paid, they'll kill."

Officials said there were 19 pirates in total in the seizing of the Quest. Two were found dead on board by U.S. special forces members, who killed two more while clearing the vessel.

Thirteen others were captured and detained, along with two more who had earlier gone to a U.S. Navy ship to negotiate.

The pirates were believed to have boarded the Quest after traveling on a "mother ship."

The "mother ship" trend -- pirates using another hijacked merchant vessel -- has appeared in the past few months, said Cyrus Mody, manager at the International Maritime Bureau in London.

According to Mody, the mother ships provide pirates with "a lot more reach, a lot more capability to move out (farther) into the Indian Ocean."

In addition, he said, pirates can stay on board longer, have appropriate equipment and can demand the expertise of the ship's crew. Previously, pirates typically hijacked a vessel and held it until a ransom was paid, Mody said.

So far in 2011, "we have already seen more than 50 attacks carried out," by Somali pirates," Mody said.

In April 2009, pirates seized the U.S.-flagged Maersk Alabama, leading to a standoff in the Indian Ocean. U.S. forces moved to rescue American Captain Richard Phillips after seeing a pirate aiming a weapon at his back, officials said at the time.

Three pirates were killed and one was arrested. The Somali man arrested was convicted of acts related to high-seas piracy, and a federal court in New York sentenced him last week to more than 30 years in prison.

As of February 15, pirates were holding 33 vessels and 712 hostages, according to the International Maritime Bureau.

The Adams were from Marina del Rey, California, while Macay and Riggle were from Seattle, Washington.

The four had been traveling with yachts participating in the Blue Water Rally since their departure from Phuket, Thailand, rally organizers said. The group, which organizes long-distance group cruises, said the Quest broke off on February 15 after leaving Mumbai, India, to take a different route.

CNN's Mike Pearson, Ashley Hayes, Carol Cratty, Terry Frieden, David McKenzie and Jamie Crawford contributed to this report.

@highlight

U.S. officials are holding 15 suspects in the killing of four Americans

@highlight

No word Wednesday on where the pirates will be prosecuted

@highlight

Organized-crime elements have taken over pirate groups, officials say