Those two New York buildings where eight people died in an explosion were served by a very old gas main -- 127 years old to be exact. It's the latest incident in what experts warn is a dangerous trend plaguing the nation's oldest cities: natural gas leaks and aging infrastructure.

"Gas explosions are happening way too frequently," said Mark McDonald, president of Boston-based NatGas Consulting and the New England Gas Workers Association. "It's an epidemic."

The cause of Wednesday's explosion in East Harlem, which injured dozens and destroyed the five-story buildings, has not been determined officially. But tests taken of the soil in the area in the hours after the explosion found natural gas at levels as high as 20% when none should have been present, federal investigators said.

"It almost confirms you had a gas leak out there, and the building exploded," McDonald told CNN. "That means we can be 99% sure this was caused by a gas explosion."

Robert Sumwalt of the National Transportation Safety Board, which is investigating the blast, said the readings indicated natural gas might have triggered the explosion that shook the bustling neighborhood.

The soil readings "further lead to the hypothesis that this may well have been a natural gas leak," Sumwalt told reporters. "We would expect to find zero concentration of natural gas in the soil, so it would indicate that at least somehow or another natural gas did work its way into the ground."

Some urban gas lines: Antiquated and hard to reach

The blast comes as many U.S. utilities struggle to maintain or replace antiquated, hard-to-reach and leaky gas mains in older urban areas, according to experts. The most vulnerable mains are made of cast iron or steel.

A day before the explosion, the New York-based Center for an Urban Future said in a report that New York's aging infrastructure "could wreak havoc on the city's economy and quality of life." An estimated $47.3 billion would have to be devoted for repairs to maintain safety.

"The average age of New York City's 6,400 miles of sewage mains is approximately 84 years, for example," wrote the report's author, Adam Forman. "Its 6,800 miles of water mains are approximately 69 years old, and its 6,300 miles of gas mains are 56 years old."

Leaks cause the city's top utility company, Con Ed, to lose more than 2% of the gas it delivers to customers each year, according to the report. Additionally, 60% of New York gas mains are made of unprotected steel or cast iron, which are prone to leaks and no longer used by main manufacturers.

Con Edison manages one of the oldest gas distribution networks in the country, the report said. The utility's 2,234 miles of gas mains, which serve 833,000 customers in the Bronx, Manhattan and northern Queens, are 53 years old on average.

Citing the federal Pipeline and Hazardous Materials Safety Administration, the report said Con Edison experienced 83 leaks for every 100 miles of main in 2012. Corrosion was responsible for 427 of those leaks.

In East Harlem, the gas pipe serving the collapsed buildings included a cast iron section dating from 1887, city officials said.

A cold and dangerous trap

"Cast iron and frost don't mix well," McDonald said.

Con Edison officials said the utility received a call reporting a gas leak around 9:13 a.m. Wednesday from a resident at one of the newer buildings on Park Avenue. The utility dispatched a truck two minutes later, but it arrived after the explosion. The caller, as well as other residents on the block, reported smelling gas the night before but did not call the utility at the time.

McDonald and other experts said underground pipes are a major source of gas leaks, with the escaping gas typically traveling through the soil and dissipating into the air. During winter, however, soil is hardened by frost, which traps the gas and causes it to travel sideways.

With warmer weather, the frost thaws and the soil contracts. Earth movements caused by construction work or other environmental factors can also cause pipes to crack.

"That expansion and contraction can heave the cast iron pipes up, down, left, right," McDonald said. "Being old doesn't help, obviously. But cast iron is a very fragile material when you bend it or displace it... If a leaky main is close to a building, about 4 or 5 feet away, the gas can work its way into a building."

The future is in plastic

Con Edison and other utilities around the nation have stepped up efforts to replace cast iron pipelines with plastic ones.

The utility is replacing an average of 65 miles of gas mains each year, for the next three years, at a cost of approximately $110 million, Con Ed spokesman Bob McGee said. In addition, the company spends about $500 million a year maintaining and upgrading the natural gas infrastructure.

"Age alone does not tell you about the condition of the pipe," McGee said in a statement. "Cast iron pipes can be used for hundreds of years if the underpinning and the environment around the pipes is sound."

Still, experts said, the old iron pipes beneath many U.S. cities are too vulnerable.

"Gas companies have been very lucky over the years to not have this happen more," Bob Ackley, a natural gas consultant who runs Massachusetts-based Gas Safety USA, said of the East Harlem explosion. "For every gas company across the northern part of this country, whether it's Chicago, Detroit, Cleveland or Buffalo ... this is a critical time. They have hundreds of broken mains going on around the country now, and they are lucky to catch most."

The aging infrastructure of cities such as New York, Boston, Philadelphia and Chicago make them especially susceptible to leaks and explosions, experts said.

In January, a study published by researchers at Duke University and Boston University detected 5,893 leaks of methane, the main component of natural gas, rising from the streets of Washington.  At 12 of the tested locations, the study found "potentially explosive" concentrations of underground methane  -- about 10 times greater than the threshold at which explosions can occur.

"I see the industry slipping in my opinion in terms of vigilance and protecting the public," McDonald said. "It comes down to what can we cut, what can we avoid doing?"

The U.S. Department of Transportation estimates that more than 30,000 miles of cast iron pipe are still being used to deliver gas throughout the nation. The highest percentage of cast-iron mains are in Philadelphia, Washington, Boston and New York City.

"Let's hope gas operators get through this winter without another incident," Ackley said. "Con Ed and other national gas companies are really nervous right now."

@highlight

Buildings where eight in East Harlem died were served by a 127-year-old gas main

@highlight

U.S. utilities struggle to maintain and replace antiquated, leaky gas mains

@highlight

Safety expert: "Gas explosions are happening way too frequently"