WASHINGTON (CNN) -- A wide-open presidential race and a willingness by candidates, interest groups, unions and corporations to buy TV time will lead to historic spending for political and issue-advocacy advertising in the 2008 election cycle, an analysis shows.

Former Massachusetts Gov. Mitt Romney has spent the most on TV advertising so far among presidential contenders.

The cost to try to influence the 2008 election could exceed $3 billion, according to TNS Media Intelligence/Campaign Media Analysis Group, CNN's consultant on political television advertising.

This is nearly twice as much than what was spent in 2004 when political and issue-advocacy television advertising rang in at $1.7 billion. In 2006, $2.3 billion was spent on political and issue-advocacy TV commercials.

Just about every candidate running for an office from dogcatcher to president is spending the money, said Evan Tracey, CMAG's chief operating officer.

The costs to produce a TV commercial are no longer prohibitive for local and state candidates, who are turning more and more to the airwaves to reach voters.  See how spending breaks down for this year »

And interest groups have spent $6.2 million on TV ads so far this year for state and local ballot measures.

On the national level, the cost of issue-advocacy television ad spending was $270 million in the first nine months of this year. Subjects ranged from the Iraq war to telecommunications reform. Television ads on health care alone total $60 million.

CMAG estimates more than $3 million of the $270 million spent to air issue-advocacy ads this year has gone for commercials in states and districts that are likely to have competitive House and Senate races in 2008.

Tracey said he thinks this is just the beginning of interest groups "pivoting from legislative advocacy mode to political mode."

"What we expect to see between now and the end of the primaries, and through the general election, is groups will take a more aggressive stance on their advertising and actually target candidates," he said.

With 17 Democratic and Republican candidates running for president, CMAG predicts that more than $800 million will be spent on TV ads in the battle for the White House.

Up to now, the political commercials have been largely focused on the early states of Iowa, New Hampshire and South Carolina. Voters in some of the 20-plus states holding nominating contests on February 5 will start seeing ads in the coming months.

Former Massachusetts Gov. Mitt Romney leads all candidates in TV spending, having aired his commercials more than 11,000 times this year at a cost of nearly $8.6 million. This is a record for the number of airings at this point in a presidential election cycle.  Watch how Romney is way ahead in ad spending »

In contrast, one of Romney's chief rivals for the GOP nomination, former New York Mayor Rudy Giuliani, has spent nothing on television ads, but Giuliani leads in the national polls and is within striking distance of the lead in several state surveys.

Giuliani enjoys widespread national name recognition, while Romney does not.

In the race for the Democratic nomination, Illinois Sen. Barack Obama has spent more than $2.3 million on television commercials, while New York Sen. Hillary Clinton has spent $1 million less and leads in both national and early state polls.

New Mexico Gov. Bill Richardson has probably benefited the most in the Democratic contest from the $2 million he has invested in his television commercials.

Richardson's humorous TV ads effectively stated his experience as a lawmaker, diplomat and executive, and positioned him as a solid second-tier candidate.

Romney used his $8.6 million in television ads to introduce himself as a social and fiscal conservative to Republican voters. These voters might otherwise not know much about him other than that he was the governor of the traditionally liberal Massachusetts.

Romney is leading polls in the early voting states of Iowa and New Hampshire.

Further evidence of how Romney's television commercials have helped is in South Carolina.

An American Research Group poll of South Carolina Republicans in August showed Romney registering at 9 percent with these influential primary voters. A month later, and with $350,000 worth of commercials aired in the two weeks leading up to the next poll, Romney was up 17 percentage points.

Romney's latest ad began airing Friday in Iowa, and in it he vows to stop Iran from acquiring nuclear weapons, to boost the military by 100,000 people, to strengthen U.S. intelligence capabilities and to monitor calls into the U.S. from al Qaeda.

All of these issues should play well with conservatives who participate in the Iowa caucuses.

While only a handful of Democratic candidates and Romney have used the airwaves until now, Tracey said he expects this to change.

"Before the end of October, I suspect all the frontrunner candidates will be on the air," Tracey said. "As we get closer to primary day, the frontrunners will be joined by all the candidates in the race who are taking their last, best shot."

In the fight for Congress, CMAG predicts that as much as $639 million could be spent on television advertising.

Democrats control the House and Senate.

Tracey noted that CMAG's 2008 election cycle forecast does not take into account unforeseen events such as former Florida Rep. Mark Foley's House page scandal or the September 11 terrorist attacks.

"Politics is completely beholden to events," he said. "Events will ultimately determine how much is spent, where and when."

What television advertising challenges do candidates and interest groups face in the coming months?

"Chances are, just as what happened in 2006, voters will be numb after watching hundred and hundreds of ads," said Stuart Rothenberg, editor of the non-partisan Rothenberg Political Report. "The sheer number of ads probably dilutes their importance. After a while, the ads just become lots of chatter and an ad will have to be really good to cut through the noise." E-mail to a friend

@highlight

Amount almost double what was spent in 2004 election cycle

@highlight

Lower TV production costs help more candidates advertise

@highlight

Mitt Romney leads presidential candidates in TV spending

@highlight

Advertisers face challenge of cutting through clutter of ads, analyst says