(CNN) -- When does a cult become a religion? When the cult leader dies. Only then do L. Ron Hubbard's Dianetics practitioners become the religion of Scientology, the followers of Joseph Smith become full-fledged Mormons, or -- by the same logic -- a few anti-establishment apostles become Christianity.

What then of the cult of Apple after the death of its own leader, Steve Jobs? I like Apple products as much as any user, and respect the contributions that Apple under Jobs' leadership made to the co-evolution of human beings and their technologies. But all along I have also been aware of the closed nature of Apple technologies, as well as the leap of faith that has been required to accept Jobs' promise that doing things in some new way will be "fantastic." Without Jobs telling us to cross the chasm, will we continue to embrace each of Apple's future revolutions in hardware, software or both?

For most of us, particularly those of us who want to know as little as possible about technology in order to use it, Apple has been a perfect answer. As members of the first generation of a digital society -- digital immigrants, if you will -- we could not relate to computers and software directly.

Steve Jobs found and employed interfaces that quite literally translated the directories and sub-directories of computers to the files and folders of a desktop. He promoted real world metaphors for otherwise obscure processes, making the immense power of computers accessible to many of us much sooner and more completely than we would have achieved without him. And moving on from there, he and his teams liberated digital music files with iTunes and the iPod, and popularized the smartphone with the iPhone.

At each step, however, we consumers and users had to make certain compromises. Some of them we know about, and others most of us are much less aware of, at least right now.

Back when Jobs returned to Apple and came out with the iMac, many users were aghast at being asked to purchase a computer with no floppy drive! Sure, Steve saw the writing on the wall (or felt confident enough to scribble it up there himself), and decided for us that floppy drives were obsolete. If you can burn CDs, why mess with floppies? Besides, Internet speeds were starting to increase and it was just a matter of time before people exchanged files by e-mail instead of handing and mailing physical disks to one another.

But to take this leap required a bit of faith from consumers. It was a level of faith that I suspect only a leader as charismatic as Jobs could elicit from us. Time after time, Jobs told us to trust him, and time after time we did. No serial port? No firewire? No Flash? No keyboard? Just trust Steve, he has a vision for how this is all going to work out.

Meanwhile, all along the way, we were also being asked to surrender a certain degree of authority over our own devices. Part of the reason Apple products work so well is that they are closed to our intervention. Unlike Microsoft PC's, early Apple products only worked with Apple-made peripherals. That's why Apple machines never (or very rarely) had conflicts or crashes. They weren't trying to accommodate everybody else's printers and modems and drivers. Likewise, Apple iPhones are closed systems. Unless we "jailbreak" our phones, software and content must be purchased from Apple. The iPhone's capabilities are similarly limited to activities that Apple deems appropriate and profitable for itself and its partners.

As beginning users, which most of us are, these are compromises we don't really care too much about. Who wanted to do something with his phone that Jobs said was unnecessary, anyway? But as we get increasingly comfortable with computers and networking, we may start to want to have more of a say in the way we use our devices and for what purposes. Just like AOL subscribers who finally decided they could leave the wading pool and swim out to the real Internet, Apple users might eventually trust themselves to make their own decisions about what constitutes the appropriate use of a computer or smartphone.

At the very least, our willingness to trust Jobs may be compromised by the fact that he is gone. Without him telling us to take a counterintuitive leap with him into the future equivalent of iTunes, tablets or gesture-based displays, will we go? Until now, the strangeness, learning curve and doubt have been assuaged by the voice of Jobs himself. From here on, we'll have to believe that this is what Jobs would have meant for us.

The struggle to divine the will of Jobs has already begun. Plans for a future Apple TV are already rumored to be a secret Jobs project. And the next few iterations of the Mac and iPhone operating systems, as well as whatever will one day replace them, will no doubt be credited to plans and conversations with Jobs before his death. The bigger an adjustment any new Apple technology requires of us, the more heavily it will be touted as the will of Jobs.

Once the last secret plans penned by Jobs himself are revealed, it will be up to his innermost circle to claim they now speak for Jobs, that they really do know what it is he meant and meant for us. Some will argue that he meant for Apple to become a content delivery system that secured the financial interests of creators. Others will claim he meant for technology to be free. Still others will see Jobs guiding Apple technologies from production to consumption in order to stave off the content glut and create a market for professionals. Meanwhile, those who lose internal Apple battles will spin off their own companies, convinced they are the true lineage of Jobs.

Yes, very big corporations have survived after the departure of their founding visionaries. As many have argued, Disney managed to do pretty well after the departure of Walt. But Disney is a content company. Like the founders of the most successful religions, Walt Disney left behind a mythology that stood in his place: Mickey, Snow White, Dumbo, Tomorrowland. Disney is embodied by this bible of stories.

Operating systems and technologies are not content, and they don't live on in the same way as foundational myths. One device or system is simply replaced by another, which creates discontinuity, fear and confusion.

Great technology ideas require us to change the way we actually do things. Without Jobs to confirm the insane greatness of such changes, it will be up to us to judge whether a given innovation really is in the spirit of Jobs. And I'm not sure Apple can afford for us to stop and think before rushing to line up outside the Apple store for the next sacrament.

The opinions expressed in this commentary are solely those of Douglas Rushkoff.

@highlight

Douglas Rushkoff: Now that Steve Jobs is dead, will cult of Apple endure?

@highlight

He says Jobs guided many into digital society with user-friendly computers

@highlight

He says Jobs told users what they did and didn't need; they trusted his judgment

@highlight

Rushkoff: As consumers rely on their own judgment, not Jobs', will they stay with Apple?