(CNN) -- America is getting fatter, according to a new report, and bulging waistlines will rack up big health care expenditures within the next two decades.

The report, from the Trust for America's Health and the Robert Wood Johnson Foundation, draws on previously published government data to make predictions about what consequences an upward obesity trend would have for individual states.

It also projects that the health of the country -- and the dollars spent on the health care system -- would benefit from even a 5% reduction in the average body mass index. The report is called "F as in Fat: How Obesity Threatens America's Future 2012."

The U.S. Centers for Disease Control and Prevention found, in data published in August, that Mississippi is the country's leader in adult obesity, at 34.9%. That number could rise to 66.7% by 2030, the new report found.

The new analysis also projected that obesity rates in 13 states could rise above 60% among adults by 2030. By that year, every state in the nation may have adult obesity rates above 44%, including 39 states with rates higher than 50%, the report said.

This is consistent with a 2012 study in the American Journal of Preventive Medicine, which concluded that by 2030, 42% of adults will be obese. That study forecast $550 billion in health care spending from now to 2030 as a result of rising obesity rates.

Just how fat?

But some experts are skeptical about how accurately obesity trends can be predicted. Methods of calculating how fat Americans will be in the future vary greatly, and there's no accepted standard of determining it, said David B. Allison, director of the Nutrition Obesity Research Center at the University of Alabama at Birmingham, who was not involved in the new study.

"I don't mean for a moment that we should not be taking steps to reduce obesity," Allison said. "If it increases in prevalence, it would be a more serious problem. And even if it decreases in prevalence, without us intentionally doing anything in the immediate term, I'd be shocked if it's going to vanish."

Interventions intended to reduce obesity should take place regardless of what the projections say the numbers will be in the future, he said.

The CDC data indicate that the South is the most obese region of the U.S., but that may not be entirely true either, said George Howard, professor of biostatistics at the University of Alabama at Birmingham. No one was weighed or measured in the collecting of the information; people were merely asked about their heights and weights via telephone -- so they could have lied.

Howard speculates that there may be bias in the data because "there's not a social stigma attached to being fat in the South," he said. "If you ask people how fat they are, they tell you."

Correlations between obesity and the South may be tied to other factors, Allison said. Certain ethnic groups, people from rural areas, and people of low socioeconomic status are more likely to be obese than others.

It is not known whether there is a particular reporting bias in the South, or whether lifestyle factors influence obesity there, or if the trend has both components, Allison said.

More obesity leads to more disease, and money

For making projections, the new study uses a peer-reviewed model that was used in an analysis of obesity trends in a 2011 article in The Lancet. The Lancet study used data from the National Health and Nutrition Examination Survey, whereas this one used CDC data.

But note that the methodology for the CDC data was different from years past. For the 2011 survey, the CDC included cell phones for the first time. That means trouble for comparisons between this year's results and surveys before it.

Authors of the new report noted that in 1995, Mississippi's obesity rate, which led the nation at that time as well, was only 19.4%, and that 20 years ago, no state was above 15%. But these numbers were not determined the same way as the 2011 data.

If this report's projections are correct, the disease burden as a consequence is significant. Between 2010 and 2020, new cases of Type 2 diabetes could increase tenfold; so could stroke, coronary heart disease, hypertension and arthritis. The number of cases could double again by 2030, the report said.

"(If) we stay on the current track, we're going to see unacceptably high rates of obesity, and more importantly, unacceptably high rates of diabetes, heart disease, stroke, obesity-related cancers, arthritis, that will really place a huge burden on our health care system," said Jeff Levi, executive director of Trust for American Health.

Other data have also suggested diabetes increases. A 2010 analysis from UnitedHealth Group's Center for Health Reform and Modernization found that more than half of Americans will have diabetes or pre-diabetes by 2020. The researchers said these diseases will account for nearly $500 billion in total health care spending.

Current estimates suggest that the yearly medical cost of adult obesity today is between $147 billion and $210 billion, the study said. The report found that by 2030, an extra $48 billion to $66 billion per year may be spent treating preventable diseases associated with obesity.

Interventions

But there is hope, if adults across America would reduce their body mass index, the report said. If the average body mass index were lowered by 5% by 2030, states could save billions of dollars while helping many people. That's the equivalent of a 200-pound, 6-foot-tall person losing 10 pounds.

"We really are looking at two futures for America's health," Michelle Larkin, assistant vice president and deputy director for the Robert Wood Johnson Foundation's Health Group, said at a news conference Tuesday.

In this scenario, the report found, more than 100 cases of obesity-related cancer for every 100,000 people would be prevented in all states. Nearly 800,000 Californians would avoid diabetes, and about 660,000 Californians would avoid a stroke or coronary heart disease.

And savings in health care costs could be between 6.5% and 7.9% in most states, the report said.

The report recommends several policy interventions, such as increasing physical activity in schools, supporting healthy nutrition, putting in place new standards for school meals, and promoting preventive health care services.

Larkin highlighted Philadelphia as a city that has shown a commitment to reducing obesity, and where efforts are paying off.

A CDC report found that obesity among the city's public school students has declined in recent years, although only from 21.5% to 20.5%. Philadelphia has implemented several initiatives over the last decade aimed at schoolchildren, including removing all sodas and drinks sweetened with sugar from vending machines, offering free breakfast to all students, and getting rid of fryers.

The Food Trust, a Philadelphia-based nonprofit group, has been bringing supermarkets to communities that need them and ensuring that food stamps can be used at farmers' markets.

"The city is the first to succeed in reducing disparities in obesity rates," Larkin said. "The city achieved the greatest achievements in (body mass index) among African-American males and Hispanic females, two groups that historically have experienced higher rates of obesity and related health problems."

California, Mississippi and New York City are also starting to show declines in childhood obesity rates, she said.

FDA-approved diet drug Qsymia now available

@highlight

CDC: Mississippi has highest rate of adult obesity

@highlight

New report: Every state may have adult obesity rates above 44% by 2030

@highlight

Some experts skeptical that it's possible to predict the future of obesity in the country