LONDON, England -- Malaria is one of the world's worst health problems and one of its biggest killers, with half a billion people affected every year, according to the Roll Back Malaria partnership.

Around half a billion people are infected with malaria every year. Ninety percent of those cases are in Africa.

Saturday marks World Malaria Day, when the world commemorates global efforts to eradicate the disease.

Below CNN's Vital Signs has produced a complete A - Z guide to how malaria spreads, the symptoms to look out for and how to protect yourself.

A is for Anti-malarial drugs The history of anti-malarial medicine has been marked by a constant struggle between evolving drug-resistant parasites and the search for new drugs. Currently, anti-malaria experts are focusing on therapies that combine several drugs for better effects.

B is for Blood stream Once a mosquito has bitten and the malaria parasites reach the liver, the parasites divide and create thousands of mature parasites. These are released into the blood and infect red blood cells.  At that point, typical malaria symptoms such as fever and anemia develop.

C is for Chloroquine Until recently, Chloroquine, an anti-malarial drug, was the first option for many people because of its relatively low price and effectiveness. However, resistance to Chloroquine in many parts of the world has rendered the drug ineffective.

D is for Diagnosis After noting your symptoms and travel history, your doctor will likely obtain a sample of your blood for observation. Two blood samples, taken at six- and 12-hour intervals, can usually confirm the presence of the malaria parasite and its type. It is possible to be infected by more than one parasite at the same time.

E is for Epidemic According to the World Health Organization (WHO), large and devastating epidemics can occur when the mosquito-borne parasite is introduced into areas where people have had little prior contact with the infecting parasite. These epidemics can be triggered by wet weather conditions and further aggravated by floods or mass population movements driven by conflict.

F is for Fever The most common symptom of all types of malarias is high fever, which is why doctors often misdiagnose malaria for flu. The fever is a reaction to toxins in the blood. It is therefore advised to tell your doctor you have been to a malaria affected zone, even if symptoms arise months after the trip.

G is for Genome  In 2002, -- hundred years after it was discovered that mosquitoes transmit the malaria parasite -- the complete genetic codes of both the human malaria parasite and the mosquito that spreads it was cracked. This development brought scientists a step closer to developing drugs and vaccines to fight the disease, Nature magazine reported.

H is for Hotspots Most cases and deaths are in sub-Saharan Africa, many of them occurring among children. However, Asia, Latin America, the Middle East and parts of Europe are also affected. In 2006, malaria was present in 109 countries and territories.

I is for Immunity Travelers from malaria-free regions such as Europe and the United States, with little or no immunity, who go to areas with high disease rates, are particularly vulnerable. It is essential to take precautions by taking anti-malarial drugs prescribed by your doctor.

J is for Julius Wagner-Jauregg Julius Wagner-Jauregg, a Viennese doctor, was the first to intentionally infect syphilis patients with malaria parasites. By controlling the subsequent malaria-related fever with an anti-malaria drug, the effects of both syphilis and malaria could be minimized. Jauregg received the Nobel Prize in Medicine in 1927.

K is for Killer Malaria is a life-threatening disease but it is preventable and curable if the right steps are taken. Education in recognizing the symptoms has reduced the number of cases in some areas by 20 percent. Recognizing the disease in the early stages can stop the disease from becoming a killer.

L is for Laser gun U.S. scientists say they are developing a laser gun that could kill millions of mosquitoes in minutes. The laser fires at mosquitoes once it detects the audio frequency created by the beating of wings, the lead scientist on the project told CNN. The project is being funded by the Bill & Melinda Gates Foundation.

M is for Mosquitoes Malaria is caused by the bite of the female Anopheles mosquitoes. The mosquitoes bite between sunset and sunrise and parasites from the mosquito are then injected into the person's skin and transported to the liver. About 170 species of such parasites exist, but only four cause malaria in humans.

N is for Nets The distribution of mosquito nets with insecticide is a very effective method of malaria prevention, and it is also one of the most cost-effective methods. These nets can often be obtained for around $3. Earlier this month, actor Ashton Kutcher won a Twitter race against CNN to reach 1 million followers. Kutcher had pledged 10,000 mosquito nets to charity if he beat CNN, and 1,000 if he lost. CNN agreed to do the same.

O is for Obstacles In many endemic areas, access to health facilities, as well as drug costs, still present major obstacles. Humanitarian agency Medecins Sans Frontieres estimates that the cost of treating a malaria-infected person in an endemic country was between $0.25 and $2.40 per dose in 2002.

P is for Pandemic For malaria to become a pandemic (plague) in an area, several factors have to be present: high human population density; high mosquito population density; high rates of transmission from humans to mosquitoes and from mosquitoes to humans.

Q is for Quinine Quinine was the first effective treatment for malaria in the 17th century. Since the 1940's, many other anti-malarial drugs have appeared on the market and have taken precedent over quinine. But quinine is still being used to treat malaria in some cases.

R is for Repellent The Centers for Disease Control and Prevention says inspect repellents with DEET (most common active ingredient in strong insecticides) in them should be used on exposed skin and flying-insect spray can be used to kill mosquitoes in the sleeping area. DEET may be toxic, however and should be used with care.

S is for Symptoms Fever is not the only symptom of malaria. Other symptoms can include shivers, headaches and nausea. Sweating and exhaustion is also common and in some cases, it can affect the brain or kidneys.

T is for Tablets Malarone is a common anti-malaria drug among many travelers. It is said to have a 97 percent efficacy with relatively few side-effects. It can be given just one day before arrival in a malaria endemic country and only needs to be taken for another week after leaving.

U is for Unborn child According to the WHO, pregnant women are at high risk of contracting malaria. The illness can result in high rates of miscarriages and cause more than 10 percent of maternal deaths annually. This figure can rise to 50 percent in cases of severe disease.

V is for Vaccine Despite intensive research, no effective malaria vaccine has been developed to date. But according to a report in April's New Scientist journal, a unique vaccine taken from the saliva of infected mosquitoes has received approval from the U.S. Food and Drug Administration to be tested in people.

W is for World Malaria Day April 25 has become World Malaria Day to provide a global effort to control malaria around the world. The international malaria community only has two years left to meet the 2010 targets of delivering effective protection and treatment to all people at risk of malaria, as called for by the UN Secretary-General, Ban Ki-Moon.

X is for X-ray X-ray microscopes are used to find the presence of malaria in red blood cells and see how they interact with healthy cells. One of the advantages of this type of microscope is that it produces very-high-resolution images of the cell structure.

Y is for Yellow fever Yellow fever is another disease transmitted by mosquitoes. Some countries, such as Peru, require a certificate showing yellow-fever vaccination before you can travel there.

Z is for Zanzibar Zanzibar, part of the African republic of Tanzania, has had relative successes in combating malaria; Africa's biggest killer according to the New Scientist journal. The achievements are due to the widespread use of treated bed nets, along with the switch to new anti-malarial drugs instead of Chloroquine in 2004.

@highlight

World Malaria Day on April 25 highlights the danger of malaria and calls for action

@highlight

According to the WHO there were 247 million cases of malaria in 2006

@highlight

880,000 people died of malaria in 2006, a preventable and curable disease