Forget about 20/20. "Perfect" vision could be redefined by gadgets that give you the eyes of a cyborg.

The surface of the eye can be used to measure much of the same data you would get from blood tests.

The tech industry calls the digital enrichment of the physical world "augmented reality." Such technology is already appearing in smartphones and toys, and enthusiasts dream of a pair of glasses we could don to enhance our everyday perception. But why stop there?

Scientists, eye surgeons, professors and students at the University of Washington have been developing a contact lens containing one built-in LED, powered wirelessly with radio frequency waves.

Eventually, more advanced versions of the lens could be used to provide a wealth of information, such as virtual captions scrolling beneath every person or object you see. Significantly, it could also be used to monitor your own vital signs, such as body temperature and blood glucose level.

Why a contact lens? The surface of the eye contains enough data about the body to perform personal health monitoring, according to Babak Parvis, a University of Washington professor of bionanotechnology, who is working on the project.

"The eye is our little door into the body," Parvis told Wired.com.

With gadgets becoming increasingly mobile and powerful, the technology industry is seeing a steady stream of applications devoted to health. A few examples include a cellphone microscope used to diagnose malaria, surgeons honing their skills with the Nintendo Wiimote, and an iPhone app made for diabetes patients to track their glucose levels.

A contact lens with augmented-reality powers would take personal health monitoring several steps further, Parvis said, because the surface of the eye can be used to measure much of the data you would read from your blood tests, including cholesterol, sodium, potassium and glucose levels.

And that's just the beginning. Because this sort of real-time health monitoring has been impossible in the past, there's likely more about the human eye we haven't yet discovered, Parvis said.

And beyond personal health monitoring, this finger-tip sized gadget could one day create a new interface for gaming, social networking and, well, interacting with reality in general.

Parvis and his colleagues have been working on their multipurpose lens since 2004. They integrated miniature antennas, control circuits, an LED and radio chips into the lens using optoelectronic components they built from scratch.

They hope these components will eventually include hundreds of LEDs to display images in front of the eye. Think words, charts and even photographs.

Sounds neat, doesn't it? But the group faces a number of challenges before achieving true augmented eye vision.

First and foremost, safety is a prime concern with a device that comes in contact with the eye. To ensure the lens is safe to wear, the group has been testing prototypes on live rabbits, who have successfully worn the lenses for 20 minutes at a time with no adverse effects.

However, the lens must undergo much more testing before gaining approval from the Food and Drug Administration.

A fundamental challenge this contact lens will face is the task of tracking the human eye, said Blair MacIntyre, an associate professor and director of the augmented environments lab at Georgia Tech College of Computing. MacIntyre is not involved in the contact lens product, but he helped develop an augmented-reality zombie shooter game.

"These developments are obviously very far from being usable, but very exciting," MacIntyre said. "Using them for AR will be very hard. You need to know exactly where the user is looking if you want to render graphics that line up with the world, especially when their eyes saccade (jump around), which our eyes do at a very high rate."

Given that obstacle, we're more likely to see wearable augmented-reality eyeware in the form of glasses before a contact lens, MacIntyre said. With glasses, we'll only need to track where the glasses are and where the eyes are relative to them as opposed to where the eyes are actually looking.

And with a contact lens, it will be difficult to cram heavy computational power into such a small device, even with today's state-of-the-art technologies, Parvis admits.

There are many advanced sensors that would amplify the lens' abilities, but the difficulty lies in integrating them, which is why Parvis and his colleagues have had to engineer their own components. And when the contact lens evolves from personal health monitoring into more processor-intense augmented-reality applications, it's more likely it will have to draw its powers from a companion device such as a smartphone, he said.

Layar, an Amsterdam-based startup focusing on augmented reality, shares University of Washington's vision of an augmented-reality contact lens. However, Raimo van der Klein, CEO of Layar, said such a device's vision would be limited if it did not work with an open platform supporting every type of data available via the web, such as mapping information, restaurant reviews or even Twitter feeds.

Hence, his company has taken a first step by releasing an augmented-reality browser for Google Android smartphones, for which software developers can provide "layers" of data for various web services.

Van der Klein believes a consumer-oriented, multipurpose lens is just one example of where augmented-reality technology will take form in the near future. He said to expect these applications to move beyond augmenting vision and expand to other parts of the body.

"Imagine audio cues through an earpiece or sneakers vibrating wherever your friends are," van der Klein said. "We need to keep an open eye for future possibilities, and I think a contact lens is just part of it."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2009 Wired.com.

@highlight

Scientists developing contact lens with built-in LED, powered by radio waves

@highlight

More advanced lens could provide scrolling captions beneath what you see

@highlight

Surface of the eye contains enough data to perform personal health monitoring

@highlight

Lens must undergo more testing before gaining approval from FDA