(CNN) -- In this winter of his disinterment, we pause to ponder if Richard III, the last Plantaganet king of England, was a victim of a pen poisoned by history controlled by his Tudor successors.

As archeologists sort through a skull and bones found under an English parking lot and with DNA tests confirming the remains were Richard's, there is a call for a re-examination of his legacy -- which has mostly been shaped by Shakespeare's play Richard III.

Shakespeare's Richard III is a "rudely stamp'd," "deformed, unfinish'd" villain who ordered the deaths of anyone who stood between him and the throne, including his two young nephews.

Richard III: The mystery of the king and the car parking lot

"So wise so young, they say, do never live long," Richard III says in a sinister aside as he dispatches Crown Prince Edward, 12, and brother Richard, 9, to their deaths in the Tower of London.

"Off with his head!" Richard shouts in Act III, sending Lord Hastings to the chopping block.

Shakespeare's story evolved from a history penned by Sir Thomas More more than two decades after Richard died in the Battle of Bosworth in 1485. It was the last fight in the War of the Roses, which ended with the ascension of Henry VII and the Tudors.

The Tudors, who controlled More's world, had a vested interest in disparaging Richard and bolstering their family's claim to the throne.

The Richard III Society has "been working since 1924 to secure a more balanced assessment of the king and to support research into his life and times," according to the society's website.

The recent excavation of the burial site that once was a church "has raised the king's profile and provided us with new opportunities to make the case for 'Good King Richard,'" the society said.

Opinion: Richard still the criminal king

Richard III Society Chairman Dr. Phil Stone opined in a piece for CNN.com that a "cursory reading of the known facts will show that the Tudor representation of Richard III, especially that in Shakespeare's well known play, just doesn't stand up."

As Queen Elizabeth advised Richard III in Shakespeare's Act VI: "An honest tale speeds best, being plainly told."

"It would make such a difference if people would start to look into the history of this much maligned monarch without the old prejudices," Stone wrote. "Perhaps, then, they will see past the myth and innuendo that has blackened his name and find the truth."

You may not find a saint, "but neither was he a criminal," Stone said. "All but one of the so-called crimes laid at his door can be refuted by the facts." That crime was the killing of the rival nephews, known in history as the "Princes in the Tower," he said.

And there are other suspects, including Henry VII or other Tudors.

Radiocarbon dating, radiological evidence, DNA and bone analysis and archaeological result confirmed the remains found under the parking lot, the former site of Grey Friars church, were those of Richard III, researchers at University of Leicester told reporters Monday.

Clues coaxed from the skeleton may shed "a new light" on the physical description of Richard III as a humpbacked man with a "withered arm," which was used to support history's evil image of him, Professor Lin Foxhall, head of the University of Leicester's School of Archaeology and Ancient History, said.

"Our archaeological research does not tell us anything about the character of Richard III, and of course his physical condition and appearance were not a manifestation of his character, Foxhall said. Comparing the new archeological finds to history texts "could end up re-writing a little bit of history in a big way."

One immediate discovery is that his skeleton does not have a "withered arm" as depicted by Shakespeare, the researchers said.

While not humpbacked, he did suffer from "severe scoliosis" that appeared to start around the time of puberty, they said.

The confirmation of Richard's remains may make no difference in the royal world, but it does mean the king will finally get a proper burial. His body will be reinterred in the Leicester Cathedral early next year.

"A hearse, a hearse, my kingdom for a hearse," more than a few punsters tweeted upon that news.

The rehabilitation of Richard III moves ahead Tuesday when the Richard III Society unveils a "new" face for their hero based on facial reconstruction using the newly-found skull.

To poach a phrase from Hamlet's mouth, spoken as he held the jester Yorick's skull: Alas, poor Richard!

Uncovering the story behind the bones

@highlight

Shakespeare depicts Richard III is a "rudely stamp'd," "deformed, unfinish'd" villain

@highlight

Discovering his grave is a new chance to make a case for 'Good King Richard,' supporters say

@highlight

Richard's bones could mean "re-writing a little bit of history in a big way," researcher says

@highlight

Richard III's "new" face based on the newly-found skull is unveiled Tuesday