Mogadishu, Somalia (CNN) -- Inside a brightly painted Mogadishu clinic, Salim (not her real name) sits alongside her seven-year-old son, waiting for a check up. Opposite them, a health professional listens to their nightmarish ordeal.

Salim recounts how she was raped and then watched, helpless, as her young son was molested. Too afraid to seek assistance, she did what she thought would help. She washed her son's wounds with hot water and salt for four excruciating days, until they were brought here, the Sister Somalia center.

"There are so many stories; when you hear one, another one is even worse and that makes you think of it all the time," says Fartuun Adan, co-founder of Sister Somalia, the first rape crisis center in the East African country. "I even dream about what I heard during the day."

A champion for women's rights in Somalia, Adan is used to hearing such horror stories. Two years ago, she started Sister Somalia, a group dedicated to supporting survivors of sexual violence with medical services, counseling, education and entrepreneurial advice.

"Our purpose when they are there (is for them) to feel safe," says Adan. "If you want to cry, if you want to laugh -- support them, (make them) feel at home and that's why we created the center."

'Rape was everywhere'

But in order to provide rape victims with a refuge, Adan had to risk her own safety.

Her mission began in 2007, at the height of a Somali conflict that had been raging for more than 15 years. Until then, Adan was living with her three daughters in Ottawa, having fled to Canada in 1999 three years after the brutal murder of her husband, Somali human rights activist Elman Ali Ahmed.

Read this: Peace concert rocks Mogadishu

But six years ago, Adan took the courageous decision to leave her children behind and return to her motherland to help the Somali women and youth suffering because of the war.

Adan initially focused her efforts on reviving the work of her late husband, a prominent peace activist committed to rescuing young boys from becoming child soldiers. But in 2011, many parts of Somalia suffered from famine, forcing thousands of people to make the grueling trek to Mogadishu where humanitarian organizations were giving out food.

Makeshift camps sprouted all over the capital, providing shelter for the internally displaced. But for many women and children living there, cut off from the protection of their clans, the camps were places of rape and violence.

To deal with the growing crisis, Adan started Sister Somalia, the first organization in the country to come out publicly and talk about the astonishing number of sexual abuse victims.

"Rape was everywhere, Somalia was in denial," she says. "There was a lot of denial and that made it harder."

'Safe place'

Community elders wanted Adan to hide the rapes and Islamist militants and militia men constantly threatened her. But the activist defied the dangers to provide rape victims with a place of healing.

At the Sister Somalia center, women and children receive a holistic approach to care and treatment. Initially, the victims are given short-term anti-retroviral treatment to reduce the likelihood of HIV infection. They also receive drugs to prevent pregnancy or sexually transmitted diseases.

Read this: Chef brings a taste of peace to Mogadishu

The women and children are sheltered in safe houses, becoming part of a communal setting that provides victims with emotional support as they go through counseling and treatment.

"This is a very safe place," says Adan, who now runs the group with one of her daughters. "We can talk, we can eat, take tea together, having a little fun so they forget most of the times and they share their story."

World recognition

For her work championing human rights and women's rights in Somalia, often in dangerous conditions, Adan was bestowed in March with the U.S. Secretary of State's International Women of Courage Award, an annual prize that pays tribute to emerging women leaders across the world.

"I was happy because of the recognition we got, not only me but all the other women who are doing the job we are doing in Somalia," says Adan, who started Sister Somalia alongside Lisa Shannon, founder of "Run for Congo" and Katy Grant, co-founder of Prism Partnership.

"It's an encouragement for us," adds Adan, who now runs the group with one of her daughters and a few dedicated helpers. An eight-person volunteer support staff based in North America also gives administrative assistance. "I was always thinking how can I help women but I never thought it would be recognized internationally," she adds.

Hope

Rape in Somalia carries huge social stigma, so although an increasing number of women seek help at Adan's crisis center, many more suffer in silence.

"A lot of people know what is going on but they are denying," says Adan. "Even the family, they deny if their girl gets raped because they don't want her to be stigmatized and shamed and that makes it hard."

Read this: Holidays in Somalia, anyone?

But for the first time in a long time, there is a new sense of optimism in Somalia. After more than two decades of war, there is a newly elected president and parliament.

Adan says political leaders now acknowledge rape is a huge issue in the country, and this gives her hope for the future.

"I would like to see peace, justice, development like another country," says Adan. "Just to walk around without worrying and women can go to market and see whatever they want; have education, health, the basic human rights -- that is what I want to see."

@highlight

Many Somali women raped in camps that were set up to shelter them

@highlight

Fartuun Adan is co-founder of Sister Somalia, the county's first rape crisis center

@highlight

The organization provides victims with medical services, counseling and education

@highlight

For her work, Adan has been given the International Women of Courage Award