(CNN) -- A federal appeals court offered dramatically different views on Tuesday over the constitutionality and scope of Virginia's voter-approved ban on same-sex marriage.

The Virginia petition and similar ones across the county confront a questioned unanswered by the U.S. Supreme Court: whether the Constitution guarantees equal protection for same-sex civil marriage.

A ruling from the three-judge panel of 4th Circuit U.S. Court of Appeals could perhaps come as early as next month. It would affect marriage laws in those states within the court's jurisdiction: Virginia, Maryland, West Virginia, North Carolina and South Carolina. Only Maryland has legalized same-sex marriage.

A federal judge in February struck down Virginia's ban on constitutional grounds, the first time that had been done in a traditionally southern state.

Ban formalized in 2006

The prohibition has effectively been in place since Colonial days, but only incorporated into the state's constitution in 2006.

That ruling continued a near-unbroken string of state and federal court victories nationwide in the past year, giving marriage-equality supporters unbridled encouragement that their ultimate goal will be achieved: striking all laws limiting the rights of homosexuals to wed.

A state judge in Arkansas on Friday struck down a similar prohibition, and same-sex couples in Little Rock had lined up over the weekend to get marriage licenses.

Gay and lesbian couples in Virginia cannot marry in the state until the current case is fully resolved. That may not happen until the Supreme Court decides whether to review the constitutional issues pending in several states, a process that may not begin at the earliest until later this year.

Court asked to defer to voters

What the three judges in Richmond seemed to agree on Tuesday was that both sides of the issue were using the intermediate court as "way-station up (Interstate) 95" to the Supreme Court, where the social, political, and legal debate will ultimately and almost certainly be resolved.

In the 70-minute argument, lawyers opposing same-sex marriage urged the judges to defer the issue to voters and "the democratic process."

Austin Nimocks of the Alliance Defending Freedom said procreation and stable families were a key component of state laws supporting "traditional" marriage between one man and one woman.

Judges weigh in

But Judge Roger Gregory repeatedly pressed counsel to explain why loving gay and lesbian couples should be treated differently, saying those arguments were "disingenuous."

"You can be in prison and still get married. Yet because of a person's sexual orientation, (gay couples) can't marry," said Gregory, who was appointed by George W. Bush.

"That sounds like a totalitarian system" opponents of same-sex marriage were advocating.

But Judge Paul Niemeyer suggested because the idea of same-sex marriage is a relatively recent issue in the courts and public consciousness, states could recognize gay and lesbian couples as "Relationship B," different from the long-held concept of marriage between opposite sex couples.

He questioned whether this "brand new relationship" is fundamental to constitutional protection, or something states should have the discretion to address as they see fit.

The third member of the panel, Judge Henry Floyd, named to the court by President Barack Obama, asked few questions and his vote could swing the outcome.

'Second class relationship'

Theodore Olson, among a group of lawyers representing the same-sex plaintiffs, told the court the state's law viewed his clients as being in a "second class relationship."

Virginia's governor and attorney general, sworn into office in January, have reversed course from previous administrations and say they will not defend the current ban.

"I concluded that based on precedent marriage is a fundamental right protected by the U.S. Constitution," said Virginia Attorney General Mark Herring. Other states have also refused to defend current bans, including Kentucky, Nevada, Oregon, and Pennsylvania.

Seventeen states and the District of Columbia allow same-sex marriage within its borders: California, Connecticut, Delaware, Hawaii, Illinois, Iowa, Maine, Maryland, Massachusetts, Minnesota, New Hampshire, New Jersey, New Mexico, New York, Rhode Island, Vermont, and Washington. Massachusetts on Saturday will mark the 10th anniversary becoming the first state to legally wed gay and lesbian couples.

A separate federal appeals court last month heard challenges to same-sex marriage bans in Utah and Oklahoma. Appeals courts in coming weeks and months will hear similar lawsuits over current bans in Nevada, Texas, Kentucky, Ohio, and Michigan.

'Equality for all Virginians'

The challenge to Virginia's ban was brought by several plaintiffs, including Timothy Bostic and Tony London of Norfolk.

"The time has come for us and our state" to recognize same-sex marriage, said Bostic after the court session. "We truly want equality for all Virginians."

Also bringing suit are two Richmond-area women, whose marriage was formalized in California, but is not recognized in the commonwealth.

"I continue to be raised in a loving family," said Emily Schall Townley, the 16-year old daughter of Mary Townley and her partner Carol Schall, who have been together nearly three decades. "These are my two moms and this is my family."

Supporters of traditional marriage between one-man and one-woman have criticized the rulings in Virginia and other states, for expanding the right to homosexuals.

"It appears that we have yet another example of an arrogant judge substituting her personal preferences for the judgment of the General Assembly and 57 percent of Virginia voters," said Tony Perkins, president of the conservative Family Research Council.

Supreme Court rulings

Last June, the U.S. Supreme Court cleared the way for same-sex marriages in California to resume after it ruled private parties did not have "standing" to defend a voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

More importantly, the high court also rejected parts of the federal Defense of Marriage Act in its 5-4 "Windsor" decision, citing equal protection guarantees to conclude same-sex spouses legally married in a state may receive federal benefits, such as tax breaks.

Various individuals and gay rights groups have launched more than 70 pending marriage equality lawsuits in about 30 states.

As far as the broader constitutional issues that have a chance of being heard by the U.S. Supreme Court in the next year or so, this week's Virginia case stands out -- if only because of history.

It was an appeal of the so-called "Loving" case from Virginia in the late 1960's that led the justices to unanimously declare inter-racial marriage the law of the land.

@highlight

Judges in Richmond express different views on hot-button issue

@highlight

The Virginia appeal is similar to others across the country

@highlight

They confront a question unanswered by the Supreme Court on equal protection

@highlight

Ruling on Virginia ban would impact several other states