Editor's note: Akbar Ganji is a leading Iranian dissident and pro-democracy activist. He served a six-year sentence in Tehran's Evin prison for his reporting on human rights abuses in Iran. The London-based human rights organization, Article 19, has described Ganji as the "Iranian Vaclav Havel" and he has received more than a dozen human rights, press freedom and pro-democracy awards. He is the author of "The Road to Democracy in Iran" (MIT Press, 2008).

Akbar Ganji says Iran's leaders should be held to account for denying its citizens their liberties.

(CNN) -- This week world leaders will gather in New York for the annual meeting of the U.N. General Assembly. While Iranian President Mahmoud Ahmadinejad will be among them, Iranians reject his claim to leadership. They strongly oppose any meeting or recognition of Ahmadinejad, especially by President Obama.

The pro-democracy movement in Iran today unanimously believes that he enjoys his current position because he was "reappointed" president after stealing several million votes in June 12 presidential election.

Popular protests against this state of affairs have been met with bullets from the Iranian regime. Thousands were arrested and dozens were killed. Opposition supporters have been tortured in jail and credible reports of rape have surfaced.

In recent years the Western media has not focused on the systematic human rights violations in Iran but rather on Iran's nuclear ambitions and Ahmadinejad's rhetoric toward Israel and the Nazi Holocaust. Iranians are deeply upset by the general inattentiveness of the media and world leaders to their political protests.

If you listen to the democratic voices of Iranians and leaders of Iran's Green Movement there is a unanimous view that Ahmadinejad's policies have severely undermined Iranian national interests and he has inadvertently better served the interests of Israel.

Although the regime has been able to reassert control due to severe repression recent events have led to important social transformations in Iran. Today there are many prominent names publicly opposing the Supreme Leader, Ali Khamenei. Many open letters have been circulated that for the first time directly criticize him. U.S. policy under Obama has also played a constructive role. The absence of military threats and new economic sanctions has given democracy activists more room to maneuver, posing new challenges to the regime.

In order to deal with this internal crisis Khamenei's only option is to shift attention to Iran's relationship with the outside world -- the United States in particular. By increasing verbal attacks on the West and exacerbating regional conflicts he hopes to draw the attention of both Iranians and the world away from the systematic violations of human rights in Iran.

Iran's nuclear ambitions should not be considered the primary weak point for the regime. To a limited extent Khamenei and his disciples can manipulate the nationalist sentiment of Iranians around this issue.

The Achilles heel for the regime today is the widespread and systematic violations of human rights against it own people. Greater exposure and scrutiny of this key issue will generate more popular discontent toward the leaders of Iran. Khamenei cannot maintain regime loyalty or acquiescence in the face of these massive human rights violations. It is precisely these organized repressive measures that the International Criminal Court, in other contexts, has called "crimes against humanity."

Although Iran, like the United States and Israel, are not members of the ICC, charges can be brought against the Iranian regime via the U.N. Security Council -- similar to the process that led to the arrest warrant for Omar Al Bashir, the leader of Sudan. We in the Iranian human rights movement can document, with certification from a team of international lawyers, that leaders of the Iranian regime are guilty of crimes against humanity under Article 7 of the Rome Statute that established the ICC.

Today, the people of Iran are in need of the moral and spiritual support from people around the world. In the current circumstances the most important form of support would be to assist with the campaign of charging the leaders of Iran with "crimes against humanity" and to help disseminate this initiative so that it becomes the main avenue of engagement with Iran by the international community.

We are seeking to place this issue at the top of the international agenda so that leaders of the Iranian regime will think twice before traveling abroad as well as to make it morally unacceptable for leaders of democratic countries to extend a hand to Mahmoud Ahmadinejad.

This article was translated by Nader Hashemi, Assistant Professor of Middle East and Islamic Politics at the Josef Korbel School of International Studies, University of Denver.

@highlight

Akbar Ganji: World leaders gathering for U.N. General Assembly

@highlight

He says Iranians reject Mahmoud Ahmadinejad's claim to represent them

@highlight

He says the U.S., other nations, should avoid any recognition of Ahmadinejad

@highlight

Ganji: Charges should be brought against regime in international court