DOBBS FERRY, New York (CNN) -- Jude Ndambuki teaches high school chemistry, but when he's not in class, you might find him Dumpster diving for discarded computers.

Jude Ndambuki's Help Kenya Project provides refurbished computers for Kenyan students.

For the past eight years, the Kenya native has been refurbishing computers, printers and other electronic educational resources otherwise headed for landfills, then sending them to grateful students back home.

"The children in Kenya have very few resources; even a pencil is very hard to get," said Ndambuki, 51, who lives in the New York City suburb of Dobbs Ferry. "Being one of the kids who actually experienced very dire poverty in Kenya, I feel any part that I can play to make the life of kids better, I better do it."

In lieu of compensation for the considerable time, expertise and expenses he devotes to his Help Kenya Project, Ndambuki asks that recipients plant 100 trees for every computer they receive. By connecting computer recycling, educational development and environmental conservation, he hopes to encourage a greener, more prosperous future for his country.

The Help Kenya Project has provided more than 2,000 refurbished computers to Kenya's schools and planted more than 150,000 trees.  Watch Ndambuki and his Help Kenya Project in action »

"Many of the schools that I give computers [to] in Kenya have not seen computers before. So we're bringing them closer to the development," explained Ndambuki, adding that without this opportunity, some of those schools might have gone another 20 years without touching a computer.

"It's like giving the kids new life," he said. "Computers are getting new life, and trees are being planted to bring a new life, too. It's all connected."

Finding treasure in the trash

"Growing up was not easy" for Ndambuki, who said he became a teacher to help children who are struggling the way he did.

The second of eight children raised by a widowed mother, Ndambuki attended school at the expense of his older brother; he quit because the family couldn't afford both boys' education.

Ndambuki was appointed principal at a Kenya high school where he befriended American exchange students who helped bring him to the United States to further his education. In 1997, he arrived with his wife and two children for his new teaching post in a Dobbs Ferry private school.

On a late-night walk home from continuing-education classes, he passed a computer thrown out on the curb for trash collection. He brought it home, where he found it was in perfect working order. It struck Ndambuki that the machines ending up in landfills could offer life-altering opportunities for children in his homeland.

"It all came together," recalled Ndambuki. "Kids in Kenya need to know technology. It's the way of the world, and they will be left behind without it. I am determined to prepare them for office jobs instead of field work."

The United Nations Educational, Scientific and Cultural Organization estimates that 98 percent of Kenya's public primary schools and 80 percent of public high schools lack computers. And 70 percent of Kenya's energy is derived from charcoal and firewood culled from the country's forests, according to the UN Environment Programme.

"There's a lot of trees that are cut every year," Ndambuki said. "We find the land becomes bare, a lot of erosion of the soil takes place. So we need trees to be planted."

The trees also help protect the computers from dust blowing in through the classroom windows, he said.

Ndambuki ships a 40-foot container loaded with hundreds of refurbished computers to Kenya for distribution once a year. He and a few of his chemistry students often tinker with computer parts after classes, spending hours refurbishing, packing and preparing the shipments. Each Kenya school receives an average of five computers.

To ensure that private data of the computers' former owners is not accessible to new users, the Help Kenya Project wipes that information from the machines, loads them with necessary memory and restores them to functioning order.

Every two years, Ndambuki visits recipient schools to show teachers and students the basics of computer programming and maintenance. Some of his American students accompany him and help teach the computer classes.  Watch Ndambuki trade technology for trees in his native Kenya village »

In addition, Ndambuki joins students, teachers and members of their communities to plant trees.

"While I'm doing this project, I feel so much connection with the kids in Kenya," he said. "I'm not just gone to America to enjoy the good life. This has been a very nice bridge for me so that I can feel I've not left them."

Want to get involved? Check out the Help Kenya Project and see how to help.

@highlight

Jude Ndambuki's Help Kenya Project sends used computers to Kenyan students

@highlight

In exchange, recipients plant 100 trees for each computer

@highlight

Group has sent more than 2,000 computers, planted more than 150,000 trees