(CNN) -- The great director Alfred Hitchcock used to describe the distinction between surprise and suspense in terms of a bomb placed underneath a table.

A bomb specialist (Jeremy Renner) finds more than he bargained for in "The Hurt Locker."

If two people sit at the table and the bomb suddenly goes off, Hitchcock explained, that's surprise. But if an audience watches the bomb get placed under the table, and the people at the table have an innocuous conversation, and the bomb is set to go off in a few minutes, and time ticks away while the audience fidgets -- that, said Hitchcock, is suspense.

"The Hurt Locker" director Kathryn Bigelow had plenty of both to work with.

"The Hurt Locker," which opens in limited release June 26 and wider throughout July, concerns a Baghdad-based American bomb disposal unit in the Iraq war. It's the job of the unit, and particularly Staff Sgt. William James (Jeremy Renner), to find and defuse the bombs set around the city, a constant battle during the film's 2003-04 time frame.

The IEDs (improvised explosive devices, planted by insurgents) the unit must deal with are a constant presence -- and cunningly planted. One is in an abandoned vehicle outside a government building. Another is implanted in the chest cavity of a murdered youth. Others are left in trash heaps, buried in the ground and attached to an unwilling suicide bomber.  Watch a clip from the movie »

Bigelow, who directed from journalist Mark Boal's script, gives the film a documentary style, shooting from the perspective of bomb-finding robots, the windows of nearby apartments and even the inside of James' heavy-duty high-tech protective suit, which resembles nothing so much as a real-life military version of the spacesuits worn by the astronauts in "2001: A Space Odyssey."

The cast and crew primarily shot in Amman, Jordan, as well as near the Iraqi border, heightening the realism. The bombs aren't in some remote desert; they are placed on city streets, among people and soldiers trying to go about their business.

"I wanted to create a real you-are-there, boots-on-the-ground feeling," Bigelow ("Point Break," "K-19: The Widowmaker") said in a joint phone interview with Boal. "But I wanted to humanize the film, ground it in geography using the canvas of the city."

"The Hurt Locker" -- the expression refers to the pain of explosions -- is based on Boal's reporting for Playboy. The journalist and screenwriter, who also wrote the story on which "In the Valley of Elah" was based, was embedded with a bomb squad for several weeks.

He observed that although the units have the latest technology -- along with the suits and robots, the men communicate through helmet microphones and protect one another with various guns and ordnance -- bomb disposal still comes down to experience and wire cutters.

"The technology is only useful up to a point," he said. "It doesn't cure everything. You only have to open up the newspaper to see how much damage [bombs] can do."

In the film, James is an adrenaline-fueled expert who joins an Explosive Ordnance Disposal squad after its previous leader, played by Guy Pearce, is killed in action. James has to win over a by-the-book sergeant (Anthony Mackie) and a despairing specialist (Brian Geraghty) while trying to get through the five-plus weeks until the company's tour is over.

The movie doesn't gloss over the challenges of the duty -- Geraghty's specialist regularly meets with a therapist, while Renner and Mackie's characters lock horns over the safety of James' methods -- but also showcases the heroism of men doing a thankless job in a war zone. Indeed, the film barely scratches the surface in showing the sheer volume of IEDs: A bomb disposal unit could face a dozen a day, Boal said.

"The Hurt Locker" also proved a showcase for its performers, some of whom ended up in the film almost by accident. Along with its film stars -- there are cameos from Ralph Fiennes, David Morse and Evangeline Lilly -- the movie gave screen time to actors forced out of Baghdad during the war.

"A great surprise was, of the hundreds of thousands of refugees living in Amman, many were actors. There was a fairly big theatrical community in Baghdad," Bigelow said. "They were really grateful for the opportunity to act again."

"The Hurt Locker" has its own challenges. It's being released during summer movie season, a time when people welcome the fake explosions of action films but may find the tense struggles of real bomb disposal experts too much to take.

But the film also has much in its favor (including, for studio bean counters, a low budget). It's won a number of prestigious awards (including four honors at the Venice Film Festival), and it's received glowing reviews.

" 'The Hurt Locker' is a near-perfect movie about men in war, men at work," wrote Time's Richard Corliss. "[It's] one of the rare war movies that's strong but not shrill, and sympathetic to guys doing an impossible job."

Bigelow, who says the film fits comfortably in the war-movie adventure genre, said she was drawn to the "opportunity to look at the heroism of these men," what that bravery costs and what it saves. She hopes she's succeeded.

"The film," she said, "doesn't let you forget."

@highlight

"The Hurt Locker" is about a bomb squad in Baghdad in 2003-04

@highlight

Film tries to capture human side of thankless job

@highlight

Though bomb defusers have latest technology, job is still experience and wire cutters

@highlight

Director Kathryn Bigelow: Film was "opportunity to look at the heroism"