Beijing, China (CNN) -- China's new paramount leader, Xi Jinping, is making the fight against corruption his No. 1 mission.

In several speeches since he took over the reins of the Communist Party last November, he has warned that corruption could lead to "the collapse of the Party and the downfall of the state."

Xi sees corruption as a threat to the party's legitimacy.

He exhorted fellow leaders to learn from the experience of other countries where "corruption has played a big role in conflicts that grew over lengthy periods, and ... led to popular discontent, social unrest and the overthrow of the political power."

He did not mention names, but clearly he was referring to Libya, Egypt and other authoritarian and corrupt regimes that have been overthrown in the wake of the Arab Spring revolutions.

Xi urged officials to "build a clean government, show self-discipline and restrain their relatives and associates."

Chosen to lead the cleanup is Wang Qishan, 64, who until recently was China's economic-finance czar and now is chief of the Party's anti-corruption body.

Wang, also known as a "firefighter," is a no-nonsense, blunt-talking administrator and has been a go-to trouble shooter.

In the 1990s, he was sent to Guangdong to clean up the "debt crisis" in the southern province.

Years later, he was dispatched to Hainan province to curb rampant smuggling and corruption.

In 2003, he was called to Beijing to replace the city mayor accused of covering up the SARS crisis, the massive pandemic that spread across China and beyond.

Wang's political skills will be put to test in his new job.

Corruption has long been a major public complaint, and there is certainly no shortage of cases.

In the past five years, China has punished 668,400 people for "Party discipline violations" and more than 24,600 suspects have been referred for investigation, according to China Daily.

There are various ways to acquire ill-gotten wealth and just as many to hide them.

Some spirit millions of cash out of the country.

Others stash them in luxury villas, expensive jewelries and accessories -- or business ventures by relatives and associates.

Still others blow their loot enjoying sybaritic lifestyles, lavishing wealth on mistresses or simply gambling it away in casinos.

Disgraced politicians include:

- A lowly bureaucrat who despite a modest salary has been found to be wearing expensive-looking watches on various occasions. Internet watchdogs have dubbed him "Brother Watch."

- A senior official now known as "Uncle House" who was found by government officials to own 21 houses despite being on a meager income.

- A district Communist Party chief in Chongqing, who was fired after being caught on video having sex with a young woman who was alleged to be a prostitute.

- The former chief of China Railway Container Transport, who was sacked and accused of receiving bribes of 47 million yuan ($7.5 million) between 2005 and 2010.

- The Sichuan provincial deputy secretary who was removed for alleged "serious discipline violations," the most senior official to have fallen since the new leaders took over in November.

To be sure, China has been making efforts to crack down on graft.

From May 2011, the amended Criminal Law criminalizes bribery of foreign government officials and officials of international public organizations. It also regulates the use of gift cards to curb money laundering, illegal cash withdrawals, tax evasion and bribery.

The current solution largely focuses on punishment instead of prevention -- "Kill the chicken to scare the monkey," as the Chinese put it. Execute one and deter 100.

Prevention, experts say, is better than investigation and punishment.

In a recent meeting, Wang said "trust can never replace supervision." He is now calling for "institutional prevention and punishment of corruption."

Wang recently summoned eight experts to solicit ideas. Most advocated a system of requiring party officials to disclose their assets.

In fact, the notion of public disclosure of official's assets was proposed some 18 years ago.

Wang Quanjie (no relation to Politburo member Wang Qishan), then a delegate to the National People's Congress, China's legislature, submitted three bills proposing the idea in 1994,

"Public disclosure of property in China is really difficult, and it's especially difficult to make it a system. Our goal is to establish a system, not just punish some people," he said in December .

He Jiahong, a professor at Renmin University and an expert on corruption, proposes a form of amnesty that will give officials until the end of 2013 to declare their assets publicly. Those who do so will be exempted from punishment for any acts of corruption.

Hong Kong's government adopted a similar move in 1977 to root out mafia-related corruption in what was then a colonial state.

Wang supports the idea but agrees that persuading officials to come clean will be next to impossible.

In fact, about one million officials of certain rank are already required to report their assets -- but only internally.

"After the declarations are made, they are kept in a black box, and they become scrap of paper," He of Renmin University complained.

Wang, the delegate, says the key is making asset declarations accessible to the public. "If the common people cannot find out their assets, if nobody except themselves knows the truth, it cannot solve the problem."

"It's like asking the left hand to supervise the right hand, or asking the mother to supervise her son," he added. "It's impossible for the mother to send the son to the police when he commits the crime."

Eighteen years after Wang first proposed his "sunshine policy," it still remains on the drawing board.

Small wonder many Chinese doubt the government's sincerity in fighting corruption.

Bloggers point out that, by contrast, the legislature took only a few days to deliberate and pass a new law that requires Internet users to register under their real names.

The new law is meant to crack down on Internet scams and junk mail and "protect the public from baseless and libelous accusations."

But critics say it will merely blunt the power of the microblogging site Weibo, which whistleblowers use to expose cases under pseudonyms without fear of retribution or punishment.

In the absence of the "sunshine law," muckraking Chinese turn to the Internet to expose official abuse.

Despite heavy government restrictions and self-censorship, internet activists have cleverly used Weibo to spot and expose corrupt officials.

China now has over 400 million Weibo users, and microblogs have become "an inescapable snare for corrupt officials," according to the official Xinhua News Agency. "The miraculous microblogs have become the nightmare of the corrupted."

@highlight

New leader Xi sees corruption as a threat to the Party's legitimacy

@highlight

Wang Qishan, chief of party's anti-corruption body, will lead cleanup of government

@highlight

He has a record of handling debt crisis in Guangdong, coverup of SARS in Beijing

@highlight

Corruption has long been major public complaint