(CNN) -- French peacekeepers in war-torn Ivory Coast were in control of the airport in the main city of Abidjan, the French Ministry of Defense said Sunday, as a battle for the city seemed to be looming.

An additional 350 French troops joined the United Nations peacekeeping mission overnight, the ministry added. There were about 7,500 troops already in the country under the U.N. mandate.

United Nations helicopters and French forces patrolled the skies over the city, as a tense calm reigned Sunday morning, a local resident told CNN.

The uneasy peace came in the wake of claims of a massacre as fighters backing internationally recognized President Alassane Ouattara battle forces loyal to Laurent Gbagbo, who refuses to leave office.

Foreign journalists reported being targeted and scrutinized. A group of journalists from the French TV channel France 2 were fired on by Gbagbo's forces when they tried to leave the Novotel hotel in Abidjan, according to the channel and two journalists who, to protect their security, did not want their names used.

Since then, Gbagbo forces have been patrolling the hotel premises, preventing foreign journalists staying there from leaving, the sources said.

One resident, whom CNN is not naming to protect his safety, said he had been to church as usual, where another parishioner said he had seen dead bodies by the road on his way to the congregation.

A journalist in the city said many people were afraid to leave their homes, but were being forced to venture out to get water.

Seyi Rhodes, who is staying at a hotel in Abidjan, said people were risking being shot in order to get to a water pump near the hotel. He saw French journalists come under fire, as they drove through the city, he said.

Much of the city has no electricity, he added, calling it "a really crude tactic to get people out on the streets."

The United Nations moved about 200 personnel within the country for their own safety, as the situation got worse, spokesman Nick Birnback said Sunday.

"Peacekeepers and staff have been attacked over the last few days, we've taken some casualties, and we are doing everything we can do to guarantee security as best as possible. The situation is deteriorating and is getting worse," he said.

CNN iReport: Displaced victims of fighting in Duekoue, Ivory Coast  U.S. Secretary of State Hillary Clinton demanded Sunday that Gbagbo step aside immediately.

"Gbagbo is pushing Cote d'Ivoire into lawlessness," she said, using the French name for the country. "He must leave now so the conflict may end."

She also called "on the forces of President Ouattara to respect the rules of war and stop attacks on civilians."

British Foreign Secretary William Hague on Sunday said Britain renewed "our call for Gbagbo to get out, which would stop this violence," and raised the possibility of International Criminal Court prosecutions stemming from the conflict.

French President Nicolas Sarkozy met with U.N. Secretary-General Ban Ki-moon and requested the full implementation of a Security Council resolution, adopted last week, that calls on Gbagbo to step aside immediately, Sarkozy's office said.

A French plane evacuated about 170 foreigners from Abidjan to Dakar, Senegal, according to Col. Thierry Burkhard of the French Ministry of Defense.

The International Crisis Group called for an immediate cease-fire on both sides and more international intervention, calling the situation in Ivory Coast as "urgent as any facing the international community right now. The unthinkable is unfolding before our eyes."

A key aide to Gbagbo on Sunday criticized the foreign forces in the country as an "army of occupation" and said they are not authorized to occupy the airport.

"The U.S. and France are not entitled to determine, to decide on who is able to conduct the destiny of Ivory Coast," Toussaint Alain told Reuters in Paris. "The U.S. and France have only contributed toward worsening the tensions since the end of the second round of the presidential election -- two leading powers who are behaving without responsibility in Ivory Coast."

Alain said the U.N. mandate does not authorize the French forces to be in control of the Abidjan airport.

The resolution does, however, allow the U.N. peacekeeping mission in Ivory Coast to use "all necessary means" to protect civilians who are under "imminent threat of physical violence" -- and it calls upon member nations to enable the peacekeepers, and the French forces who support them to carry out that mission.

The International Committee of the Red Cross said Friday that 800 people had been shot to death in the western cocoa-producing town of Duekoue. A United Nations official put the death toll so far at 330 on Friday.

The massacre occurred between Monday and Wednesday as Ouattara's Republican Forces led an offensive through the country to Abidjan, said Guillaume Ngefa, the deputy human rights director at the U.N. mission in Ivory Coast.

He blamed 220 deaths on forces loyal to Ouattara. Ngefa said pro-Gbagbo forces killed 100 people.

"We have evidence, we have pictures. This was retaliation," he said, referring to Ouattara's forces.

The Ouattara camp said it "firmly rejects such accusations and denies any involvement by the Republican Forces of Cote d'Ivoire in possible abuses."

"The government wishes to establish that the situation is quite the opposite," it said. "Forces loyal to former President Laurent Gbagbo and its affiliated mercenaries and militias that have engaged in countless atrocities in western Cote d'Ivoire during their flight before the advance of Republican Forces of Cote d'Ivoire."

Ouattara denied to U.N. secretary-general that his forces were responsible, but said he had launched an investigation and that he would welcome an international inquiry, according to the world body.

Ngefa said so far, 320 bodies have been identified and the actual number could be much higher. He said the dead included civilians as well as mercenaries.

Before the Duekoue killings, human rights monitors documented 462 deaths in the Ivory Coast conflict, which would make the Duekoue massacre the single bloodiest incident yet.

The International Committee of the Red Cross sent a team to Duekoue on Thursday and found most of the victims were civilians, said spokesman Kelnor Panglungtshang in Abidjan.

"They saw the bodies on the streets," he told CNN. "There were so many."

Ngefa said a contingent of U.N. peacekeepers is stationed in Duekoue and is patrolling the town.

The massacre illustrated the bloody nature of Ivory Coast's conflict, now in its fifth month. The violence erupted after a disputed November election led both Gbagbo and Ouattara to claim the presidency.

The international community recognized Ouattara as the legitimate winner, but Gbagbo refused to cede power, and violence engulfed the nation, escalating this week with a major offensive launched by Ouattara's forces.

A spokesman for Ouattara said Saturday the other side has committed atrocities, is losing its top generals to defections and is looking for "cannon fodder" for its last stand.

The claims by Ouattara spokesman Patrick Achi could not be independently verified by CNN.

Fierce fighting has erupted for control of Abidjan, Ivory Coast's largest city. Gbagbo's forces were thought to be on the brink of defeat but regained key areas Saturday.

They said they retook control of Ivory Coast's all-powerful state-run television network that has been the embattled president's voice in his standoff with Ouattara.

Ouattara's side denied Gbagbo was in control of state television, claiming he was actually broadcasting from a satellite truck.

Gbagbo's whereabouts were unknown. He has not recently appeared in public, and the French ambassador said his residence was empty.

The violence has also displaced one million of Abidjan's four million people.

CNN's Aliza Kassim, Niki Cook, David Wilkinson, Claudia Dominguez, Carey Bodenheimer, Elise Labott, Karen Smith and Moni Basu contributed to this report

@highlight

The United Nations relocates staff after attacks, saying the situation is getting worse

@highlight

People in Abidjan are forced to go out for water despite the danger, a journalist says

@highlight

U.S. Secretary of State Clinton demands that Laurent Gbagbo step down immediately

@highlight

Gbagbo and Alassane Ouattara are fighting for control of the cocoa-producing country