North Korea said Thursday that it plans to carry out a new nuclear test and more long-range rocket launches, all of which it said are a part of a new phase of confrontation with the United States.

The North's National Defense Commission said the moves would feed into an "upcoming all-out action" that would target the United States, "the sworn enemy of the Korean people."

Carried by the state media, the comments are the latest defiant flourish from the reclusive North Korean regime, whose young leader, Kim Jong Un, has upheld his father's policy of pursuing a military deterrent and shrugging off international pressure.

U.S. Secretary of Defense Leon Panetta said Thursday there are no "outward indications" that North Korea is about to conduct a nuclear test, but he admitted it would be hard to determine that in advance.

"They have the capability, frankly, to conduct these tests in a way that makes it very difficult to determine whether or not they are doing it," he said in a Pentagon press conference.

"We are very concerned with North Korea's continuing provocative behavior," Panetta said, but he added that the United States is "fully prepared" to deal with any provocations.

Read more: U.N. Security Council slams North Korea, expands sanctions

North Korea's statement followed a U.N. Security Council resolution submitted by the United States and approved Tuesday that condemned a recent rocket launch by the North and expanded existing sanctions.

Pyongyang's threatening statement "should have been the expected outcome" from the U.N. decision, said Daniel Pinkston, senior analyst for the International Crisis Group covering Northeast Asia.

"I think they are completely outraged and insulted by it," he said.

North Korea's statement prompted France and Great Britain to express exasperation with the secretive regime.

Britain's mission to the United Nations called on North Korean leaders to "refrain from further provocation." France said it "deplores" North Korea's statement, telling its leaders that they need not to threaten, but instead to work toward dismantling their nuclear and missile programs.

Read more: North Korea silences doubters, raises fears with rocket launch

In addition to Panetta's statement, the United States added sanctions against more North Korean bank officials and a business linked to the regime's nuclear weapons program.

The Treasury Department announcement targets two Beijing-based representatives of Tanchon Commercial Bank and a company -- Leader (Hong Kong) International Trading Limited -- that the U.S. government says shipped machinery and equipment in support of North Korea's nuclear program.

The organizations are "part of the web of banks, front companies and government agencies that support North Korea's continued proliferation activities," said Under Secretary for Terrorism and Financial Intelligence David S. Cohen.

Read more: N. Korea's launch causes worries about nukes, Iran and the Pacific

"By continuing to expose these entities, and the individuals who assist them, we degrade North Korea's ability to use the international financial system for its illicit purposes," he said.

North Korea, which often issues bellicose statements in its state media, said Thursday that it rejects all Security Council resolutions concerning it, describing the most recent resolution as "the most dangerous phase of the hostile policy" toward it.

Read more: U.S. official: North Korea likely deceived U.S., allies before launching rocket

Analyst: Threat meant as a deterrence

The threats toward the United States, a constant theme in the North's propaganda, have more to do with deterrence than a desire for full conflict, Pinkston said.

"I don't believe they have the capability, the intention or the will to invade or destroy the United States," he said. "They wish to deter interference from the U.S. or any outside powers."

Read more: North Korea's rocket launches cost $1.3 billion

North Korea's successful rocket launch last month nonetheless changed the strategic calculations for the United States, showing that the North's missile program is advancing despite an array of heavy sanctions imposed on it.

Analysts say it still has a lot of work to do to master the technology necessary to mount a nuclear warhead on a missile or accurately target it.

At the same time, Pyongyang has been hinting for a while that a new nuclear test could be in the cards.

Read more: South Korean officials: North Korean rocket could hit U.S. mainland

Just before the North sent out its latest hostile statement Thursday, a U.S. State Department official was telling reporters in Seoul that Washington hoped Pyongyang wouldn't go ahead.

"We think that that would be a mistake, obviously," said Glyn Davies, the U.S. special envoy on North Korea. "We call on North Korea, as does the entire international community, not to engage in any further provocations."

North Korea has carried out two previous nuclear tests, in 2006 and 2009, both of which were condemned by the United Nations.

Read more: Huge crowds gather in North Korean capital to celebrate rocket launch

Pyongyang didn't say Thursday when exactly it would carry out a third test, but it could happen "at any time," according to Pinkston.

He said it is hard for anybody outside the North Korean nuclear sector to know whether the country is technically ready to carry out the test, but that politically, "it seems an appropriate time."

Demands unlikely to sway North

South Korean defense officials said last year that they believed the North was in a position to carry out a new test whenever leaders in Pyongyang gave the green light.

North Korea's nuclear program is "an element of threat to peace not only for Northeast Asia but also for the world," Park Soo-jin, deputy spokeswoman for the South Korean Unification Ministry, said Thursday.

"North Korea should immediately stop its nuclear test and other provocation and should choose a different path by cooperating with the international community," Park said.

That appears unlikely at this stage, though.

After a failed long-range rocket launch in April, North Korea ignored international condemnation and carried out a second attempt last month. That one succeeded in putting a satellite in orbit, Pyongyang's stated objective.

But the launch was widely considered to be a test of ballistic missile technology. And it remains unclear whether the satellite, which the North insists is for peaceful purposes, is functional.

Both North Korea's previous nuclear tests took place weeks or months after long-range rocket launches.

Those tests were carried out under the rule Kim Jong Il, the deceased father of the current leader, and the man who channeled huge amounts of money into North Korea's nuclear and missile development programs.

Kim Jong Il died in December 2011 after 17 years in power, during which the North Korean people became increasingly impoverished and malnourished.

Economically, the country relies heavily on trade with its major ally, China.

China, which voted in favor of the U.N. Security Council resolution this week, appealed for calm on Thursday.

Foreign Ministry Spokesman Hong Lei urged North Korea and the West to "keep calm, remain cautious and refrain from any action that might escalate the situation in the region."

The office of the South Korean president-elect, Park Geun-hye, said Friday that she would soon send a delegation to visit the United States.

"Issues of common interest will be discussed," said Yoon Chang-jung, a spokesman for Park, without specifying whether that included North Korea.

Read more: For the U.N. and North Korea: Game on

@highlight

U.S. secretary of defense says predicting a North Korean test is difficult

@highlight

Pyongyang says it plans a new nuclear test and further long-range rocket launches

@highlight

It vows an "all-out action" against the United States, which it calls its "sworn enemy"

@highlight

North Korea is upset by a recent U.N. Security Council resolution, an analyst says