The rockets start raining down at her kibbutz usually around late morning.

That leaves Adele Raemer precious little time to walk her two dogs and then dash into the shower.

Because when those rockets arrive -- triggering air raid sirens that fill the air with short, shrill howls -- she has to be ready to duck and take cover in her indoor bomb shelter.

There, all she can do is wait.

****

On the other side of the border, across the security fence in Gaza, Rasha has no safe room to run to.

The fighter jets can come any time, day or night.

And in this place, one of the most congested on earth, there's a high probability that if a bomb falls nearby, it might destroy her house, too.

So, all she can do is pray.

****

This isn't what life was always like for either woman. But ever since the long simmering tension between Israelis and Palestinians flared up this week, rockets and airstrikes have crisscrossed between Gaza and Israel.

Neither woman cares for the politics of hate. They just want to live a life of peace and safety.

But the new normal has upended everything -- for them and for those around them

Fear for daughter's border wedding

One fence, two fates

Raemer lives in Kibbutz Nirim, a Jewish community in Eshkol, just over a mile and a half from the border with Gaza.

The fortified safe room has become the focus of Raemer's life around the clock.

"Everything is ready to make it easy to run (to the safe room)," she says.

She has shoved her coffee table, her carpet, anything that blocks her path off to the side, so she can make it there in seconds.

Authorities warn that it takes a rocket just 15 seconds to land after the warning has sounded.

"It's not 15 seconds. It's closer to 10," she says. "Sometimes you hear boom and then you run."

Rasha lives in Khan Yunis. She's afraid to use her real name. She doesn't want her identity published, because she worries someone might misconstrue what she says as political statements, take offense and come after her.

Like Raemer, the attacks have consumed her, without her wanting it to.

Schools are closed. Shops are abandoned.

She sits at home all day. When the power goes out, she sits in the dark, listening to sounds of bombs dropping.

"The sound is very strong," she says.

Close calls

Raemer is an online trainer. She works a lot from home. So, unlike many others, she doesn't have to step outside much for work, and risk her life every time.

But there have been close calls.

Since tensions spiked, the kibbutz store has kept minimal hours.

It's open for an hour in the morning and one in the afternoon. So Raemer popped by recently to pick up rations. Then she heard something.

"I ran into the refrigerator room," she says.

There have been others. Four rockets have landed within the borders of Nirim this week.

She is also afraid of Hamas digging tunnels underneath the kibbutz and filling them with explosives.

Collateral damage

In Khan Yunis, neighbors poring through the ruins of what were homes has become a familiar sight.

It happened again on Tuesday when Israeli warplanes flattened a house. It belonged to a member of the militant group Hamas' military wing. And several men were forming a human shield on the roof.

Before most strikes, the Israeli military makes warning calls, known as a "knock on the roof,"  to minimize civilian casualties.

But, as cramped as Khan Yunis is, collateral damage is sometimes inevitable.

Seven people died in the Tuesday attack, including two boys, ages 10 and 11.

"In that house lived an old man and his wife and his five sons and their wives and their children and they hid," said Ahmed, who doesn't live too far from Rasha. "Any Palestinian is a target."

When she hears about the deaths -- and she hears about them more and more each day -- Rasha is overcome with emotion.

"For the Palestinians, the people of Gaza Strip, all the people," she says.

It's making everyone around have to get used to dying.

Monitoring news

Both she and Raemer obsessively monitor the news.

"I have three TVs in my house," Raemer says. "Sometimes all three are on."

The news these days is depressing, discouraging, dread-inducing.

More than 130 rockets fired at Israeli civilians. More than 200 airstrikes in Gaza. More than two dozen Palestinians dead. About 1,000 Israeli reservists called up for military service.

And yet, they can't tune it out.

Rasha's daughter wanted to get out of the house Tuesday and go to the university. But there were too many explosions outside. So she stayed in, with the TV on.

They only have about six hours of spotty electricity a day, so they often fall back on their battery-powered radio to keep up.

Jittery nerves

At Nirim, every boom or hiss makes Raemer jump. She thinks she and her neighbors have signs of post-traumatic stress.

She fights it with humor, posting instructions online about how to cook in the middle of a rocket attack.

"Cut, cut. Run! Cook, cook. Run!" she jokes. "It takes a lot longer to cook your meal that way."

Since Tuesday, most of the rumbling around her has come from outgoing fire -- Israeli fire into Gaza. Those booms and roars come without warning and shake her.

It's worse for the children.

Tal Tzukan and her husband, Dagan, live in Ohad, a community next door to Nirim. They have two daughters, ages 5 and 2.

Every time a door shuts hard or a loud car goes by, they flinch.

She tries to keep them busy and takes them to a fortified kindergarten, for summer classes in arts and crafts.

When sirens scream while they are on the road, she plucks the children from their Renault sedan, and ducks and covers with them on the ground.

Her 5-year-old has caught on to what the sirens mean --  the hissing and crashing sound of rockets, the booms from across the border in Gaza, shaking their windows.

So common are the sounds that their parrot has learned to imitate them.

From her home, Tzukran can see the bombs bursting over Gaza and fears for parents there.

"It's hard not to think about the same situation with little kids over there," she says.

Before Tzukran hangs up the phone she says that she still needs to get the most important thing off her chest: Peace. "This is what we want and need for both sides' sake."

Staying put

It didn't used to be this way.

Raemer has lived in Nirim since 1975. She remembers a different time. She used to drive to Gaza in her car. A man from Gaza built her house.

"They are not my enemies," she says. "I have no doubt they want safety for their children."

Raemer is rooted in the kibbutz. Her grown son and daughter also live there and have safe houses in their homes. But after the first rockets fell, they left for central Israel.

Raemer could have gone, too, but decided to stay back with her dogs.

She interrupts the phone interview. "There was just a boom. Did you hear it?"

Waiting for the war

Rasha can't leave even if she wants to. The border crossings out of Gaza are closed.

"In all the world, there is nowhere like Gaza," she says, "a big jail for 2 million people."

So, she reads the Koran and waits for the war, which she is certain will come.

Another day

When night falls, Raemer hastily brushes her teeth, then hurries to bed in the safe room.

The fighting heats up at night, and she feels safer in the fortress than in her bed.

In Gaza, sleep doesn't come easy, Rasha says. Children curl up to sleep in their mothers' laps, too scared to fall unconscious lest the bombs drop.

When the sun comes up, Raemer will spend her day running for her life. Rasha will spend it, she says, waiting for death.

Flare-up in Israeli-Palestinian violence: Why now?

Has the Middle East crisis reached a tipping point?

Gazans exhausted by crises, wars, clashes, upheavals

@highlight

Adele Raemer is constantly dashing for her safe room, a bunker in her house

@highlight

In Gaza, Rasha sits at home in despair, feeling sure that a war is coming

@highlight

She has no place to run and says she has to get used to the idea of dying