(CNN) -- When 3-year-old Rowan Isaacson darted away from his father and dived into a herd of grazing horses, it easily could have been the end of the small autistic boy. He was babbling under the hooves of a boss mare.

Rupert Isaacson says he noticed immediate improvement in his son's language skills when he started riding.

"I thought he was going to get trampled," recalled Rupert Isaacson, Rowan's father.

But the horse, Betsy, dipped her head and chewed with her mouth in submission. Isaacson, who had trained horses for a living, had never seen it happen so spontaneously. Rowan had seemingly made a connection.

The Austin, Texas, family had been struggling with Rowan.

His wild tantrums were nearly driving Isaacson and his wife, Kristin Neff, to divorce. All the while, little Rowan was becoming unreachable.

"He would just stare off into space," Isaacson said. "I was worried it was going to get progressively worse and that eventually, he might float away from us entirely. Luckily, right about that time is when he met Betsy."

Isaacson began riding Betsy, a neighbor's horse, with Rowan. He says he noticed immediate improvement in his son's language skills.  Watch Rowan and Betsy »

"He would start to answer. He would start to talk. We would do song games up there on the saddle. I would take books up there in the saddle," Isaacson said.

Autism specialists say that horse riding can be effective in gaining access to autistic children.

Experts make a distinction between the kind of recreational therapeutic riding Isaacson was using with Rowan and hippotherapy, which is a medical treatment that uses horses and is supervised by a licensed speech-language pathologist.

"People perceive it's the interaction with the horse that's making the change. However, the movement of the horse is extremely powerful, and it's that movement that's having neurological impact on the autistic child," said Ruth Dismuke-Blakely, a speech-language pathologist and hippotherapy clinical specialist in Edgewood, New Mexico.

According to preliminary analysis of an ongoing study by Dismuke-Blakely, hippotherapy has been shown to increase verbal communication skills in some autistic children in as little as 18 to 25 minutes of riding once a week for eight weeks.

"We see their arousal and affect change. They become more responsive to cues. If they are at a point where they are using verbal cues, you get more words," Dismuke-Blakely said. "It's almost like it opens them up. It gives us access."

She cautions that a horse's movements can be powerful. For some autistic children, riding too long can overstimulate their nervous system, leading to more erratic behavior.

On Betsy, Rowan was at ease. After about three weeks, Isaacson says, Rowan's improved behavior was translating into the home and outside world as well.

But not consistently.

In late 2004, Isaacson, a human rights activist, brought a delegation of African bushmen from Botswana to the United Nations. Among the men were traditional healers, who offered to work with Rowan.

Isaacson says he was skeptical, but he had experience with the bushmen and allowed the healers to lay their hands on his son.

"I was kind of flabbergasted at Rowan's response. For about four days while they were with him, he started to lose some of his symptoms. He started to point, which was a milestone he hadn't achieved," Isaacson said.

When the tribal healers left, Rowan regressed.

Isaacson says he couldn't help but wonder what would happen if he were to give Rowan a longer exposure to the two things that he seemed to have responded well to: horses and shamans.

"I know it sounds completely crazy," he said. "I just had a gut feeling."

Isaacson took his wife and son to Mongolia.

"It's the oldest horse culture on the planet. Everyone still gets around on a horse there -- so a nomadic culture. The word 'shaman' comes from there," Isaacson said, explaining his decision. "I just thought, 'Well, what if we went there and rode across the steppe and visited traditional healers? You know, what might happen for Rowan? Might there be some positive outcomes?' "

Trekking across the Mongolian prairie on horseback, Isaacson says, Rowan's behavior was changed dramatically.

"Rowan was not cured of autism out there," Isaacson stressed. "The word 'cure' is not in my vocabulary for this. Rowan came back without three key dysfunctions that he had. He went out to Mongolia incontinent and still suffering from these neurological firestorms -- so tantruming all the time and cut off from his peers, unable to make friends -- and he came back with those three dysfunctions having gone."

Isaacson credits Rowan's improvement to horses and time in nature -- and to shamanic healing, which he says he simply can't explain rationally.

Isaacson has written a book, "The Horse Boy," about Rowan's autism.

Rowan, now 7, rides Betsy by himself. His parents never abandoned more orthodox treatments for his autism, and Rowan's applied behavioral analysis therapist has him studying math and English at the third-grade level -- a full year ahead of some of his peers.

"He's just becoming a very functional autistic person," Isaacson said.

As far as the Isaacson family's journey took them, it is the same hard slog facing millions of families gripped by autism.

"A lot of the parents go to the ends of the Earth in their own living rooms every day," Isaacson said. "I mean, we had more stressful car rides to the grocery store than any of the stresses and challenges of the trip to Mongolia."

You don't have to get on a horse -- or plane to Siberia -- for relief. For autism families, Isaacson encourages parents to simply follow their instincts and listen to what their child shows them.

"In our case, it was horses in Mongolia and these shamans," Isaacson said. "It could just as easily have been bicycles and, you know, steam trains. And if it had been, we'd have done a steam train journey. We'd have done whatever Rowan seemed to be showing us he wanted to do, because that was where he was intrinsically motivated."

@highlight

Family travels across Mongolia so autistic son can ride horses, meet shaman

@highlight

Experts say riding horses can be effective in gaining access to autistic children

@highlight

Rowan Isaacson's language and temper improved with horse/shaman therapy

@highlight

His parents never abandoned more orthodox treatments for Rowan's autism