New Delhi, India (CNN) -- When I tell people outside India that I live in New Delhi, I'm almost always asked the now inevitable question: "Do you feel safe there?" or worse, "what's with the rape culture in India?"

The December 16, 2012 gang rape of a student inside a moving bus has sadly become India's defining story of the past year.

CNN iReport: Do you think anything has changed? Tell us

The horrific details so ingrained in people's memories, Indian cities are now perceived by many around the world as "rape capitals."

However, for anyone who knows India and lives here, these sweeping generalizations are simplistic and unjustified.

The definition of what constitutes rape varies from country to country so there's no internationally accepted method of comparing India's rape statistics with those of other nations.

New Delhi rape exposes perils of being a woman in India

But in a country of 1.2 billion people, where local sexual assault cases which wouldn't merit a mention in the U.S. or Europe now make headlines, you can be excused for thinking India is suffering from a "rape epidemic."

Even Indian women's rights activists will agree, rape is not part of the country's culture; it's certainly not a new phenomenon and it's surely not particular to India.

Heightened awareness

What is new to this country though, and what is significant, is the heightened awareness of sexual violence against women.

The discourse has dominated local newspaper editorials and television talk shows this year.

Women are now feeling more emboldened to ignore the stigma and report not just cases of rape, but even harassment, molestation, stalking and voyeurism.

Opinion: Where have India's females gone?

It is this change that makes the December Delhi gang rape a turning point for India and perhaps the victim's lasting legacy.

Indian law prohibits the naming of sexual assault victims, but to her family and millions of Indians, she will be remembered by the name the media gave her: Nirbhaya, or "fearless one."

On December 17, 2012, the day after the attack, I received a text message from students at New Delhi's prestigious Jawaharlal Nehru University, informing the media of a protest being held at the location where the 23-year-old medical student and her male friend had boarded a bus the previous night.

The white chartered bus that circled the city for almost an hour while the student was repeatedly raped by six men and sexually violated with an iron rod.

I wasn't expecting a large showing, after all, sexual assault is sadly commonplace. Government statistics show a woman is raped every 20 minutes in India.

'Indian Spring'

But when I arrived at the intersection in the upscale South Delhi neighborhood, I saw hundreds of young urban students holding hands, hoisting placards, shouting slogans.

Your views: One year on, has anything changed for India's women? Send us your experiences.

I remember reporting how unusual it is for this section of society to protest in New Delhi; they tend to be politically apathetic because they are the materially contented, having benefited more than others from India's economic growth over the last two decades.

But one after another, young women and men took to the streets shouting, "Enough is enough."

"I'm protesting today because this (rape) is an everyday problem," explained one student.

"I can't wear what I want, I can't go where I want without men staring at me ... where is my freedom?" asked another.

What happened next was unprecedented.

Day by day, the protests swelled from hundreds to thousands to tens of thousands; young and old, men and women marching to India's seat of power, jumping over barricades, braving the water cannons in New Delhi's December cold.

No one expected it to become so big. Some even called it the "Indian Spring." The government was shaken to its core.

"Sometimes it just takes one incident to galvanize a society and to inspire change, and this certainly seems to be that watershed moment," I said during a live shot.

Relating to victim

What was it about this particular incident that struck a nerve? The horrific nature of the act was one thing, but would people have reacted in the same way if this had happened in rural India?

Probably not.

As one student put it, "we're protesting here because she (the victim) could have been me."

Many in Delhi could relate to the victim. She represented the aspirations of so many Indian girls, studying hard, daring to dream big.

The victim's family migrated to Delhi from a village in Uttar Pradesh state in search of a better life.

Her father worked 16-hour shifts as a baggage handler at the Delhi airport to pay for her education. She even tutored several neighborhood children to help put her two younger brothers through school.

"She had a great passion for academics. Every year the happiest day for us was when my daughter's school results would come out, she would always be one of the top two students in class," her father Badrinath Singh remembered proudly.

She wanted to become a doctor and lift her family's status in society, a culture that places high value on social class. In some ways she succeeded. She managed to attend some of the country's best schools, get a job at an international call center, inspire her brothers to study engineering and aeronautics.

On that fateful night, she was watching Ang Lee's "Life of Pi" at an upscale mall, where young girls in skinny jeans and tank tops hang out at Starbucks, shop at Zara and eat sushi.

Fighting for women

One year on, I reflect on what's changed.

I have met some incredibly strong women fighting against all odds in a society which often places less value on women.

Meet India's Red Brigade: The teens fighting back

Sumanjeet, 25, was pressured to abort all four of her babies simply because they were girls. "How could they afford to pay for their daughter's dowry?" her husband asked. Daughters, especially in rural India, are often seen as a burden.

A 16-year-old student from a lower caste (known as a dalit) was gang raped by eight upper class men in the state of Haryana. When her father found out what his daughter had been through, he killed himself out of shame. Relatives and neighbors advised the family not to report the case to the police because no one would want to marry a "tainted" girl.

Victims blamed in India's rape culture

I also met a mother who has been tirelessly fighting for justice the past six years. Her daughter was gang raped by wealthier neighborhood boys when she was just a teenager. This remarkable woman has hired more than a dozen lawyers, some female, but they all kept switching sides or said they could no longer represent her. The mother suspects they were bought over by the wealthier rapists.

A teen's rape has far-reaching effects

India's awakening

Under enormous public pressure, the government ordered the December Delhi gang rape case to be fast-tracked. But what about the tens of thousands of other rape cases left languishing in India's notoriously slow-moving judicial system?

All of these women though, no matter what corner of India they come from, have heard about the Delhi gang rape and the justice the victim eventually got. They say they too have a sense of hope now.

In the headlines this month, the managing editor of one of India's most respected investigative magazines resigned in disgrace after he allegedly assaulted a young female colleague. He acknowledged a "lapse of judgment" but insisted it was not assault. In another case, an intern accusing a Supreme Court judge of sexual harassment. Stories which would have likely gone unnoticed, unreported a year ago.

Something has shifted in India this year. An awakening of sorts.

Nirbhaya's parents take solace in this. They told me they have lost everything, their lives will never be the same but they are proud of the change their daughter helped bring about.

"Let us not forget, it was because of her sacrifice that all these changes have taken place and I believe there will be more positive changes in the future," her father told me, underlining the societal changes emerging out of a personal disaster.

Keeping chivalry alive in India: Men respond to rape crisis

@highlight

December 16, 2012 gang rape of a student on public bus became a defining story in India

@highlight

Udas: Indian cities are now perceived by many around the world as "rape capitals"

@highlight

But after her death thousands protested against the treatment of women in India

@highlight

Udas: "Sometimes it just takes one incident to galvanize a society"