London, England (CNN) -- How big is big? How open is open?

Conservative leader David Cameron has said his power-sharing offer to the Liberal Democrats following the unresolved UK election is "big, open and comprehensive."

But will it be big enough to tempt them to ally with a traditional political opponent? Will it be open enough to persuade those in both parties who fear that essential principles or interests will be sold out?

Will there be a Conservative/Liberal Democrat deal at all? If not, could a Lib Dem/Labour deal keep Gordon Brown in Downing Street as prime minister?

After knocking the stuffing out of each other for four weeks, Britain's major political parties are now jostling to buy each other a drink. Listen to their public statements and you might believe, if you had spent most of your life in Fairyland, that they are doing so in the "national interest."

In fact they are doing so because all three of them failed to win the election and because the outcome has left them all playing a numbers game in search of at least a share of power.

All three party leaders are under pressure.

What happens next for UK politics?

Prime Minister Gordon Brown is under the most direct pressure -- the pressure simply to quit -- because his party secured its lowest vote since the disastrous election of 1983 and shed 91 seats in Parliament. Although he stays on for the moment at least in Downing Street as prime minister, Brown's moral authority has taken a hammering. His only hope of remaining there is if he can negotiate a deal with the Lib Dems. But he will only get the chance to attempt one if David Cameron's Conservatives and Nick Clegg's Liberal Democrats have already failed to clinch a deal.

Brown's Labour Party is a more natural bedfellow for the Lib Dems than Cameron's Tories. Labour and the old Liberal Party had a pact from 1977-79. Both are parties of the center left. Brown had already, before the election, promised action to reform the voting system, a key issue for Clegg's party.

Brown is far more likely than Cameron to offer the Lib Dems their Holy Grail of proportional representation (their share of seats in parliament suffers under the current system). Spurning his advances could see the Lib Dems lose their biggest chance ever of obtaining that.

But the weakness of Brown's position is that if you add his 258 Labour lawmakers to Clegg's 57 then it only gives them a total of 315, still short of the 326 required for a bare majority in the Commons, which initiates and passes legislation. It would be a perilously unstable coalition, looking for others allies among nationalists from Wales or Scotland or among Ulster Unionists. Add Clegg's 57 to Cameron's 306 and you have a healthy 363.

David Cameron and his Conservatives were the nearest thing to a winner in the election. But Cameron too faces pressure. Many in his party are asking how he failed to win them an outright majority when they were up against an unpopular Prime Minister at the end of 13 years of Labour rule and the public was hurting from the biggest recession in living memory. Those on the right of Cameron's party resent his re-branding , or as some put it 'de-toxifying'' of the Conservative party.

With his bold, and many would say graceful, public offer to the Lib Dems Cameron has accepted political reality and at the same time taken a huge gamble. If he fails to bring off a deal then it will be seen as a compounding failure by his critics. But he will be in internal trouble too if, in order to clinch the deal, he concedes more than his party hardliners would like. Many Tories are viscerally opposed, for example, to voting reforms, especially proportional representation, because they fear that it would ensure that future British governments are nearly always "progressive" coalitions between Labour and the Liberal Democrats.

If Cameron doesn't clinch a deal with Clegg and the Lib Dems go off and strike a deal with Labour , thereby allowing Labour to continue in government, then Cameron too may have missed a key opportunity to become prime minister. By the time he next fights an election, Labour will almost certainly have replaced Brown with a more appealing , younger figure. If he couldn't seal the deal with the British electorate against Brown , then Cameron may find it much harder going next time.

Ironically, although the Liberal Democrats lost seats at the election -- despite the breakthrough they seemed to have achieved after the first TV leaders debate -- Clegg has found himself in a high profile position as the potential kingmaker. But he too has his pressures.

There are plenty of Lib Dems who would be appalled at their party linking up with a Tory Party that is more Euroskeptic than at any time in its history. Plenty feel that Cameron is merely trying to lure them in as cover for a program of slashing government spending.

Lib Dems and Tories could forge some common ground on civil liberties, on education, on taxation reform, on green issues and on civil liberties questions such as scrapping Labour's plan for identity cards. But the two parties emphatically don't agree on Europe, on immigration and on the future of the Trident nuclear missile system. Above all, many Lib Dems feel that they could not trust any offer on voting reform from a party that is instinctively opposed to reform in general and to proportional representation in particular.

But what if Clegg were to reject the Tory invitation and do a more advantageous deal on voting reform with Gordon Brown, who is offering a voting reform referendum? Then, he knows, the resulting group would be hounded by the predominantly Tory-inclined UK media as a "coalition of losers" who had put back in No 10 Downing Street a man who comprehensively lost the election. Hardly the "change" which was the essence of Clegg's campaign message.

Clegg's allies in particular are insisting that, against a menacing economic backcloth, their man is acting in the national interest. Certainly he has won plaudits from some unexpected quarters for talking first to the Conservatives and thus honoring his pledge during the election that the party winning the most votes and seats deserved the first chance to form a government. But persuading his own party, a party which sometimes carries a tinge of sanctimoniousness with it, that he has achieved an honourable deal may not be easy and he might lose some senior figures along the way.

In Brussels, Berlin, Rome and Amsterdam they know all about the process of bargaining for position in hung parliaments. In Britain it is an unusual spectacle, a game that hasn't been played for 36 years. Horse-trading is not always a pretty sight. It is difficult to do it without a fair amount of straw -- and worse -- sticking to your suit.

But the UK may have to get used to it -- especially if ends up with a new voting system.

@highlight

No party won a clear majority in British election, resulting in hung parliament

@highlight

The UK has not had a hung parliament since 1974 -- and parties are not used to bargaining

@highlight

Much depends on the Liberal Democrats and which party it allies itself with

@highlight

One result of the current uncertainty is that the UK edges toward a new political system