(CNN) -- To fully appreciate all the A350 XWB promises to offer, your imagination needs to take a rather giant leap.

On display for the first time at an airshow, the brand new extra wide bodied passenger jet has been one of the Singapore Airshow's major attention grabbers.

Flying high above the Changi Exhibition Centre, it looks sleek and maneuverable.

It's a big draw, part of the airshow's static display sitting beside its key competitor, Boeing's 787 Dreamliner.

But step on board, and it's unlike any other experience on a passenger jet, because the A350 is still a test aircraft.

Packed with flight testing gear, including the equivalent of 400 kilometers of bright orange testing cables, every nuance of what happens when the plane is in the air is captured by equipment that feeds data live to Airbus' headquarters in Toulouse.

Some 600,000 parameters can be monitored and recorded at any one time as part of that testing.

Large water tanks under the floor are filled to the exact weight the aircraft will carry when it's full of passengers and baggage.

The A350 first took to the skies on June 14 last year. Soon after, it performed a fly-by at the Paris Airshow.

So far two test planes have clocked 1,000 hours of flying time, some in extreme conditions.

To date the A350 has experienced the cold of northern Canada and the high altitude of La Paz in Bolivia. In the next few weeks it will also conduct tests in the stifling heat of the Middle East.

All five test A350s will have to fly for 2,500 hours before achieving certification.

Selling features

This is a passenger jet made up of 53% composite material according to Simon Azar from the Airbus Marketing Division, the highest of any commercial aircraft.

This allows the A350 to travel as fuel efficiently as possible, lowering operating costs.

The wings of the jet incorporate the jet maker's latest aerodynamics and advanced low-speed controls. The curled winglets are designed to reduce drag, again saving fuel.

Essentially the plane will fly further for less, to help offset the high cost of buying the aircraft, which has a list price of $254 million-322 million depending on size.

Also adding to the customer experience, Airbus says, are the A350's low noise levels. This airplane has already been nicknamed by some as the "Hushliner," a title Airbus has embraced.

"The noise levels for the aircraft are going to be very low," says Azar. "It's designed to be a very quiet aircraft both in the cabin and for surrounding space as the aircraft flies around. That's very important. Noise pollution around airports is something that we work to reduce."

Airbus also says its custom Rolls Royce engine is unrivaled in terms of fuel efficiency, and contributes to the aircraft achieving a 25% reduction in seat-mile costs and 25% lower carbon dioxide emissions.

Passenger experience

For passengers, Airbus says it's offering great quality air (replaced on the aircraft every two to three minutes), wider cabins and 18-inch-wide seats in economy.

When carrying 315 passengers this plane can travel 7,800 nautical miles, or an equivalent 17 hours, useful when research suggests passengers of the future will be flying for longer.

The twin aisle jet can carry between 250 and 400 passengers.

It's designed to have an economy class carrying nine abreast, but the A350 will come in three sizes, the A350-800, A350-900 and A350-1000, and can be configured to seat passengers from eight to 10 abreast.

It'll be up to the customer airlines to choose the mode of inflight entertainment.

Business class passengers will experience all the perks, with Airbus promising mood lighting and the option for full flat seats. First class can be fitted at the customer airline's discretion.

It's a lot to get your head around when you look at the airplane as it is today.

"Flight crew class" is what Azar laughingly calls the 50 odd well-worn gray seats the jet is currently fitted with, all recovered from old aircraft. For now, these are strictly reserved for crew and mechanics during test flights, but that will change.

The first fit-out of an A350 with a proper cabin is expected next month.

VIPs and media only

The A350 arrived in Singapore shortly before the airshow started. Only a select few have been allowed inside, including aviation journalists and VIP visitors, including Britain's Undersecretary of State for Transport Stephen Hammond.

On Thursday the plane is due to fly 13 hours back to Toulouse, where rigorous tests will continue until the plane is ready to go to market.

Airbus says it expects that to be in the fourth quarter of this year.

Its debut customer, Qatar Airways, has ordered 80 of the aircraft.

Airbus has a backlog of orders for 814 A350 jets, from 39 customers, almost a third of which are from the Asia Pacific region.

Charlotte Glennie is an award-winning freelance journalist living in Singapore. She has previously worked as a foreign correspondent based out of both Beijing and Hong Kong.

@highlight

Airbus put its A350 XWB test aircraft, with its bare bones cabin, on display at the Singapore Air Show

@highlight

For now, flights strictly reserved for crew and mechanics

@highlight

First fit-out of an A350 with a proper cabin is expected next month