(CNN) -- Leza Dabit spent more than $2,000 recently to attend a friend's wedding in Jamaica with her boyfriend. The weekend before, she was in Columbus, Georgia, celebrating nuptials, and the weekend after was spent feting another couple's marriage on Hilton Head Island, South Carolina.

And Dabit is just getting started. She's got four more weddings to go before mid-December. Dabit, a business development manager for an IT staffing company in Atlanta, receives only 10 days of vacation.

Weddings are lovely, one of the few occasions when people still get dressed up, tuck their gadgets away and observe longstanding traditions. But my, can traveling to a wedding get expensive. And the preceding engagement, bachelor and bachelorette parties and showers will slash into your savings too, should you choose to run that gantlet. The ensuing baby showers and family reunions may lump on another travel expense for our increasingly mobile society.

These obligations are eating up vacation days and discretionary (and not-so discretionary) income, but it's often nearly impossible to say no. And there are very good, fabric-of-our-society reasons for that. Still, what is a mere mortal to do in the face of seven weddings?

"All my extra money goes to this," said Dabit, 30. "Every weekend is a blast, don't get me wrong."

Photos: Celebrity wedding sites

She's already hit a bachelorette weekend in Nashville and plans on a beach getaway for another bride in Florida, but she ran out of vacation days and can't go on a cruise with another close friend and bride-to-be.

Next year doesn't look nearly as busy for Dabit on the event front, and she won't be taking her weekends for granted. "I think I'm going to take a trip for me next year."

Her situation is not unusual. Forty-one percent of U.S. adults use the majority of their vacation budgets on obligation trips such as weddings, holiday gatherings and reunions, according to a July Hotwire survey.

The average cost to attend a wedding as a guest is $339 this year, down from $490 a year ago, according to the American Express Spending and Saving Tracker. If you're in the wedding, the average cost this year is $377, down from $539 in 2011. A far-flung destination wedding can easily set you back double that amount.

Dabit has politely declined invitations before, just sending a gift, but all seven of this year's events are weddings she wouldn't want to miss.

Lasting connections: Love at the airport

Sociologist Jeffrey Alexander sees spending freely to celebrate big milestones as evidence of what people value.

"On the one hand, doing these rituals is a way of showing that you're not a materialistic person and that you value your close friendships," said Alexander, a sociology professor and founder and co-director of the Center for Cultural Sociology at Yale University. "At the same time, we do live in the economic world."

Weighing finances is prudent, but so is weighing your relationships. Turning someone down for a life-changing event can be damaging.

"I think that is a kind of test," Alexander said. "If you invite somebody and they don't come, then they're not willing to put their money where their mouth is. They're not showing that they actually care about you."

But caring for a friend to the tune of $1,000 can be a tall order.

Brittany Winfeld, 27, was faced with a choice: spend nearly $1,000 on a close friend's bachelorette weekend in Miami or pay for her medical board exams.

"For me, my career is more important than a weekend getaway," said the medical resident who lives in New York. "The most important thing for me is to attend the main event: the wedding."

And attend, she will. She's going to five in the next year: one in the Caribbean, one in Florida, one in Massachusetts and two close to home in the New York area.

Make or break? Travel tests your love life

She estimates that she and her husband will spend $4,000 on the Caribbean getaway alone, which they plan to turn into a vacation since they will already have traveled more than a thousand miles from home.

Winfeld has a few weeks left in her residency before starting a fellowship. Her husband is also a resident, and the couple is shouldering hefty student loans.

"It's a definite financial burden to me and to him," she said. But she feels like she can't say no to these events, and the stretch is worth it for their really good friends.

"These people were there for me for my wedding, and I would feel terrible saying no, because they were there for me," Winfeld said.

And the budget? "We kind of threw that out the window."

There are right ways to say no, says Anna Post, co-author of the 18th edition of "Emily Post's Etiquette" and great-great granddaughter of the grande dame of gracious behavior.

"If you know right now, in the middle of June, that you are not going to go ... however you come to your choice, once you make it, make it early and tell people right away," Post advised. "It doesn't count when it comes to etiquette if you didn't tell anybody."

You don't have to share a reason, but if you do, be honest about it. It's no good saying you can't afford a destination event and then heading to Italy two weeks later. In that case, say that you've made other vacation plans or that you've committed to something else, Post says. Don't say yes and reverse your decision later. It's better to thank someone for an invitation and wait to reply when you're sure.

Post did say that turning someone down for a major milestone "can be very statement-making." She calls weddings, christenings, funerals and other important moments "precedent-setting events."

"It's much easier to carry on a relationship with someone, even if it's a rough relationship, if you participate in the big events," Post said.

Joining friends and family hasn't always been such a big production.

The crossing of states and continents to be part of social rituals has picked up over the past 30 years as more people earn college degrees and participate in a national labor market, according to Alexander. More Americans leave home, go to college and never look back, so friends and family are scattered.

Saying no to traveling across the country for special occasions seems to be getting harder. People used to accept the idea that an event might just be too far away, Alexander says. "Now there's an expectation that there's no excuse," especially within the continental United States.

Cheaper and more accessible air travel, more affordable telephone service and the emergence of virtual communication have all given rise to people coming together more readily from long distances to mark milestones with their peers, Alexander says. People ages 18 to 30 are especially likely to ignore the barriers of physical distance, because they're used to the virtual closeness of daily communication with their friends on social media.

And the most important ties are sustained through rituals.

"It's kind of the opposite of the uncertainty that we all have in our society. I mean, we're all uncertain about our jobs, about our children, about success, about relationships -- whether we're married or not," Alexander said. "Ritual is reassuring and connecting."

Connecting or not, there's still nothing that says you have to attend.

"Anybody that feels they have to succumb to social pressure, whatever it is ... they need to realize the importance of listening to your inner self and developing your inner self," said Amitai Etzioni, a sociologist and director of the Institute for Communitarian Policy Studies at the George Washington University. "It's not automatic that the community has the right of way."

Part of what complicates matters and creates that to-go-or-not-to-go tension is the fact that the social norms that existed before the sexual revolution and the civil rights movement were upended in the late '60s. Since then, everyone's been coming up with their own rules and trying to create unique, distinctive events to celebrate their lives, says Etzioni, who edited the book "We Are What We Celebrate: Understanding Holidays and Rituals."

Weddings used to be "a ceremony, a reception, dinner." Now, some are three-day events.

So many situations today require deliberation and negotiation and often lead to misunderstanding.

"In the olden days, if you went on a date, there was no question, the boy paid. Now, it's complicated," Etzioni said.

"Nothing is etched in stone anymore."

How important are rituals to you? How much are you willing to spend to participate? Share your stories below.

@highlight

Traveling for weddings and other social occasions can strain bank accounts

@highlight

Survey: 41% of Americans spend most of their vacation budgets on obligations

@highlight

Crossing states and continents for rituals has picked up in our increasingly mobile society

@highlight

Rituals reassure us, and spending shows commitment to relationships, sociologist says