(CNN) -- Being in the NFL is a bit like being a Wall Street banker or a pop star -- the job title comes with a laundry list of assumptions.

If you've made it into the pros, then you must be not only physically elite and athletically talented, but also ridiculously wealthy and secure in a life the rest of us could only dream about ... right?

Well, not exactly, as burgeoning filmmaker Matthew Cherry seeks to reveal in his first feature film, "The Last Fall."

The indie, which premiered at SXSW this year and has racked up accolades on the film festival circuit, follows a 25-year-old pro football player who finds himself back at home, cash-strapped and trying to find his place in the world after his athletic career ends.

The film's inspired by Cherry's own experience as a former NFL player, and the 30-year-old director/writer/producer hopes his feature directorial debut will educate audiences.

"A lot of people, they look at the guys who sign the big contracts -- the Peyton Mannings, the Tom Bradys, the Calvin Johnsons -- and I think that what ends up happening is that people automatically assume it's like that for every player," Cherry said. "And I think a lot of times people compare it to basketball and baseball contracts. In the NFL, there's no guaranteed contract."

For example, upon exiting the University of Akron in 2004 with a degree focused on radio/TV broadcast and media production, Cherry said he signed a three-year deal that allowed around $225,000 his first year year and escalated to $350,000 in his third -- but he ended up getting cut during training camp.

"What happens is that if you get cut at any point, they only owe you what they paid you," he explained. "When I got cut they reassigned me to the practice squad, and when I was on the practice squad, that base salary was $80,000."

"After taxes and everything else, it's roughly $30,000 (to) $40,000," he said. "I'm in the NFL, and people were thinking that I'm making all of this crazy dough, and it ended up being like, maybe a couple thousand a week. But it's only for those 16 weeks of that season. It was really hard to even make that stretch out for a year, let alone to put it in savings for years to come."

So when he was released from the league, a then 25-year-old Cherry had to figure out how to rebound. The answer seemed obvious: to pursue a longstanding passion for movies.

"The reality of it is, in regards to playing ball, I could probably still be playing in Canada somewhere, or doing arena football, or something," he said. "But I didn't want to live that life that I was living for the past three years for another seven."

He picked up and moved to Los Angeles around 2007 after gaining acceptance to an organization called Streetlights, which helps place minority men and women on sets as production assistants.

At first, his transition to his new life left him shell-shocked as he tried to adjust from being a football player to being the humble PA fetching coffee.

Cherry treated his production assistant gig like film school, soaking in all he could. He also used equipment made available to him to gain experience as a music video director.

"Every artist that charted, I cross-referenced it on YouTube, and the artists that didn't have music videos for songs that were charting, I wrote them a message on MySpace," Cherry said.

The aspiring director offered a full music video treatment to musicians with no charge, just to get experience. After reaching out to several artists over the span of a few months, Cherry began to make inroads in the music industry. He served as second assistant director on videos for artists including Sean "Diddy" Combs and Raheem Devaughn.

But while his career as a director was taking shape, it wasn't until he was shooting an independent documentary about the NFL lockout in 2011 that the idea for "The Last Fall" hit him.

"We were interviewing all these different fans, and we were asking people: 'Who do you blame, the players or the owners?' And everyone blamed the players, surprisingly," Cherry said.

"Saying they're greedy, what do I care these guys get $8 million, $9 million, calling them arrogant. I found myself defending these players and educating people and opening their eyes to that process, and I thought wow, maybe there's something here."

He began writing the screenplay, his first, last March, and approached Lance Gross ("Our Family Wedding," "House of Payne") to play the lead. By July, they were embarking on a 15-day shoot.

"The biggest goal that we wanted to do with the film is to show that these guys are human beings," Cherry said.

"With so many people, they just look at them like, 'Oh, he's just a piece of meat. He dropped a pass, let's kill him. He's an idiot, he gets cut -- whatever, he sucked anyway. To make it to the league, nobody sucks."

Gross, who's also an executive producer on "The Last Fall," was taken from the moment he read the script.

And as an actor, Gross understood the fear of failure that comes with constantly placing one's fate in the hands of higher-ups. To get this far, "it took a lot of hard work, knocking down doors, making sure that I was at the right auditions, working with the right people," he said. "You get what you work for."

Yet the biggest hurdle for the film's director wasn't a professional obstacle but a personal one, as Cherry faced the devastating unexpected passing of his mother last May.

"The day before my mother passed, I wrote her a message. Similar to the character in the movie, we really didn't talk that much, we weren't super-duper close. I just kind of felt compelled to hit her up," he said.

He thanked her for helping to support him financially, and told her he loved her. And in the last line of his e-mail, he added that he was "working on something big, and that if it goes well, hopefully I'd be able to buy her that house that I wasn't able to buy her back when I was playing ball. "

Cherry's mother responded, and the next day after their exchange, she died at 57 of a heart attack. That, he said, was really what pushed him to see "The Last Fall" through.

At the time, Cherry said, "The Last Fall" was going to be "ultra-low-budget." After his mother passed, he was able to use most of her life insurance money to co-finance the project along with executive producer (and NFL player) Ellis Hobbs. "In a way," Cherry said, his mother "sacrificed herself so that I can live out a dream."

Unfortunately, that was just the first challenge for Cherry. Ten minutes following their last SXSW screening, Cherry received word that his father, who'd been in poor health, had also died.

With his first movie bowing in theatrical release in Los Angeles today and headed for DVD release on January 15, Cherry's already working on his next projects, one of which will revisit the world of football.

"You definitely have to have a strong faith in God to try to get through, because this filmmaking thing, this is 10 times harder than trying to make it into NFL," Cherry said. "Seriously. It's the hardest thing I've ever done in my life."

@highlight

Former NFL player Matthew Cherry is a rising filmmaker

@highlight

His first feature film is loosely based on his own experience

@highlight

"The Last Fall" stars Lance Gross, who sees the film as "a love story"

@highlight

Cherry hopes it will educate audiences and humanize players