(CNN) -- When the Environmental Protection Agency announces new rules to protect the nation from the effects of carbon pollution on Monday, I'll take it as a walloping dose of hope.

I say that not just because I'm the executive director of a national environmental organization, but because, like too many Americans -- like too many people worldwide -- I've already witnessed the effects of climate disruption.

A month after Superstorm Sandy battered the eastern seaboard, I returned to Chadwick Beach, New Jersey. The quiet town where I grew up and my family still lives, was hard to recognize. Surging tides had flooded the first floors of almost every home and yards were piled high with storm-ruined couches, chairs, toys and appliances.

The EPA's proposed first-ever limits on carbon pollution from power plants represent not only a huge step toward curbing the climate disruption that spurs this sort of mutant weather, but also an important milestone on the way to powering the nation with energy that will make our air and water cleaner and our families safer and healthier.

It's no secret why these standards are urgently needed. The National Climate Assessment released last month laid out in sobering detail the range of problems the climate crisis is already triggering. We can still temper the severity of those problems, but only if we dramatically increase the pace of cutting carbon pollution during the next couple of decades. Focusing on power plants, which are our nation's single largest source of carbon pollution, is a common-sense and essential step that we can take right now.

The urgency of avoiding the most severe problems for our climate is underscored by the disruption we have already seen. The effects of carbon pollution are no longer an abstraction.

Heat waves, historic droughts, unprecedented wildfire seasons, and destructive storms have become the new norm, and the climate scientists and insurance companies that study these patterns meticulously aren't the only ones that have noticed. Real people are being hurt, and serious economic consequences are being felt -- whether you're talking about how drought threatens farmers in California and Iowa or how superstorms like Sandy have devastated entire communities (including my hometown in New Jersey). The unfortunate reality is that if you haven't already experienced extreme weather, odds are that you soon will.

Robert Redford: Take the path to clean energy

Most Americans are unaware that the coal- and gas-fired power plants that emit such a huge percentage of our nation's carbon pollution currently have no limits whatsoever on how much carbon they can dump into our atmosphere.

Thanks to the Clean Air Act, we currently limit how much mercury, arsenic, soot, and other air pollution power can come from power plants, yet when it comes to carbon pollution, power plants have been given a free pass. Common sense demands that we close that loophole as fast as possible, which is why a February 2014 poll found that 7 of 10 Americans are in favor of setting limits on carbon pollution from power plants.

The EPA is now acting to curb this pollution because the Clean Air Act (which was passed by Congress) requires that it do so (as confirmed by the Supreme Court). But just because something is required by law (not to mention morally mandated) is not enough to guarantee it will actually happen. President Obama deserves huge credit for making these pollution limits part of his Climate Action Plan and directing his administration to act.

As Obama has said, our responsibility doesn't end with cleaning up carbon pollution. We must also ensure that the transition from the most polluting power plants to cleaner technologies does not harm the working families and communities that may depend on them for jobs.

Fortunately, we know that the same clean energy technologies that produce less carbon pollution can also create a new generation of clean energy jobs. The benefits of investments in wind and solar, for example, create three times as many jobs as investments in fossil fuels.

We also know that controlling air pollution has historically more than paid for itself by reducing sick days, crop damage, health disasters and hospital visits. Since 1970, every dollar invested in compliance with Clean Air Act standards has yielded $4 to $8 in economic benefits.

Some day soon, actuaries no doubt will put a dollar figure on the huge economic benefit of moving away from fossil fuels and toward a future that is powered entirely by clean, renewable, carbon-free sources. In the meantime, we know that coal pollution alone is responsible for more than 12,000 emergency room visits per year. Fracking for natural gas damages the land, pollutes our water and air, and risks the health of surrounding communities.

Fortunately, renewable energy is up to the challenge of replacing those dirty fuels. In just the last three years, solar panels have gotten 60% cheaper and the price of wind energy has fallen more than 40%. Far from being expensive, clean energy is already beating both coal and natural gas on price in many parts of the country.

Without question, curbing carbon pollution is an obligation that we owe to all the generations that will be forced to live with the consequences of the decisions we make today.

Beyond that, though, it is an amazing opportunity to prosper right now. Already, far-sighted investors are recognizing the obvious -- that coal, oil and gas are 19th century fuels whose time has passed -- and putting their money into the renewable energy sources that are increasingly powering the 21st century.

By creating these first-ever standards to clean up carbon pollution and make polluters take responsibility for the harm they cause, the Environmental Protection Agency is moving our nation toward the cleaner, healthier, and more prosperous future today's workers need and our children deserve.

@highlight

Michael Brune: Many Americans have already witnessed effects of climate disruption

@highlight

Controlling pollutions pays for itself in health benefits, he says

@highlight

The Obama administration's new rules on carbon emissions are a step forward, Brune says