(CNN) -- Nine-year-old Dia'a sat in the back of his father's car on the cool afternoon when a sniper fired a bullet at his heart. His brother Alaa, 15, was seated next to him. Their father sped through the streets desperate to flee shelling that was destroying their neighborhood in Dara'a, in southwest Syria.

The father saw a roadblock and decided to turn around. It was then that the sniper pulled the trigger.

The bullet pierced Dia'a's chest, missing the boy's heart by millimeters. Then it careened through his left shoulder and ricocheted into Alaa. Dia'a looked to his left and saw his brother slumped over. Nothing could stop him from passing into death.

Dia'a bled profusely. He did not feel his torso, only the pain that "cut my shoulder," he said. He was rushed to the border and then to a Jordanian hospital. He had lost more than half of the blood in his body. Doctors pumped him full of several units of blood and closed the wounds. The surgery took an hour.

Dia'a's mother, 46-year-old Ameena, thanked God for her son's survival. But in myriad ways, war had sapped her capacity for gladness. It felt like something inconceivable, physically impossible. "I can't be happy even if Dia'a is still alive," she said. "I've lost [my other] son and I cannot be happy."

Syria's war is killing and maiming the youngest and most innocent members of society. According to the Office of the High Commissioner for Human Rights, some 7,000 children, including 1,600 under the age of 10, have lost their lives. At least one million Syrian children are now refugees. Four million of Syria's population of 20 million has been displaced internally. Half of those are children.

Girl rising: No sanctuary for Syria's female refugees

The indiscriminate shelling and bombing of villages and the destruction of schools and hospitals have forced Syrian youngsters and their families to take flight. When they can, the wounded victims straggle across a border to a hospital. The injured, dead and dying pass before doctors and nurses in neighboring Jordan who now have a unique understanding of how war damages and terminates human lives.

"I would say that 50 percent of the injuries we see are caused by shelling. We see crush injuries from falling buildings," said Abdulla Ibrahim, a Syrian surgeon working in Jordan whose name has been changed out of fears for his family. "The other 50 percent are from sniper fire and gunshots."

Lucy Liu: Syria's children deserve chance to be kids again

Dr. Ibrahim becomes emotional when he speaks of young patients he has encountered. He remembers 4-year-old Mohammed, who crossed into Jordan from Syria with two broken legs, a fractured skull, two broken arms and a smashed pelvis after his home caved in during intensive shelling.

Like others in Jordan, Ibrahim monitors YouTube channels posted by doctors in field hospitals in Syria. Monitoring potential arrivals allows him to prepare for incoming patients. He had seen the video of Mohammed just after his injury and thought it would be a miracle if the boy survived. After several surgeries Mohammed pulled through and now lives with his mother in Jordan's Za'atri camp.

Continued existence is only a first step. Syria's children must learn to survive even their survival. If the removal of painful memories would bring them peace, most survivors of Syria's war would gladly comply. But memory is a silent intelligence that refuses exile. What cannot be said becomes the shadow of that which is spoken. The recollections of children are no exception to this fact.

The memory of the moment the rockets rained down on his home comes to 15-year-old Ahmed in ghostlike fragments. He recalls that there were five rockets in total and that after the first landed his instinct was to run out of the house. Ahmed, his brother, mother, aunt and grandfather were outside of their home when the second rocket landed nearby. His 5-month-pregnant mother held his 3-year-old brother in her arms. The shrapnel burned through her torso and killed her instantly. Ahmed lay on the ground bleeding with shrapnel wounds in his leg.

Ahmed remembers being in an ambulance with perhaps six or seven other people stacked up in bunks along the side of the vehicle. "I was in the ambulance. I thought about my family," he said. "I didn't think about my injury at all. I was wondering when my family would come. I knew that my grandfather was there in the ambulance. I wondered where my mother was; where my little brother was."

It is hard for Ahmed to rid himself of these images. They live inside of the wound that has forced him to live on crutches. He no longer wants to grow up to become a photographer or a teacher or a football player. "I want to be a fighter," he tells me. "I want to join the resistance."

As much as assistance is needed for Syrians, so too is a sense of hope. Twelve-year-old Iman lost the lower part of her right leg after her street was shelled last October in a small village in the Golan Heights. Her two brothers, one older and one younger, died in the incident. Her older sister was injured.

Iman cries softly as her mother describes the death of her brothers. To be sure there are times when she explodes into fits of rage after being forced to live her life without her leg. But there is a quiet resilience behind her weeping. She thinks of her brothers, sisters and other family members who have survived. "I want to be a doctor," she says. "I want to help people who are like me."

The opinions expressed in this commentary are solely those of Gregory Beals.

@highlight

UNHCR says there are now one million Syrian child refugees

@highlight

He describes the tragic fate of young Syrian children forced to flee their homes

@highlight

UN human rights watchdog says 7,000 children have lost their lives in the conflict