(CNN) -- An Oklahoma man said he doesn't hate African-Americans and counts some of them among his best friends. Murder and hate crime charges were filed on Friday accusing him and another man of killing three strangers because they were black.

Clark Brewster, lawyer for 19-year-old Jake England, told reporters Friday he would not comment specifically about the April 6 shootings that left three dead and two others wounded in Tulsa, Oklahoma.

He did show a video of an interview his team conducted and recorded with England from jail, in which the suspect described the trauma of watching first his father and then, nearly two years later, his girlfriend being shot dead a few feet away from him.

England also talked of growing up and living in North Tulsa, which has a large African-American community, and saying he had friends of all races.

"I always got along with everybody," he said in the tape, recorded Friday morning. "It didn't matter what color he was."

That view is starkly different from the portrayal of England offered by prosecutors, as well as in the probable cause affidavit that led to the arrest of him and 33-year-old Alvin Watts.

In addition to commenting on his girlfriend's suicide in January, England lamented his father's death exactly two years earlier "at the hands of a f--king n----r" in an April 5 message on his Facebook page.

England said in the jailhouse interview that he used those words "just to express how I was upset at the guy who shot my Dad" and they do not mean he was a racist.

Authorities say he and Watts went into a largely African-American section of Tulsa shortly after midnight and gunned down apparent strangers at four locations. Two men and one woman died after being shot in the chest -- with one of them found "lying face down" outside a funeral home -- while two others were shot and survived.

All the shooting victims are black. Police have identified Watts and England as white, though the probable cause affidavit released Friday noted England was a co-owner of a truck that had Cherokee Nation license plates.

Three Crime Stoppers tips helped lead authorities to the men, according to the affidavit. In the first, made last Saturday, a caller described England as "a racist (who) hates black males" and said he had "bragged about other shootings."

Another person phoned to say that England had gone off to burn his truck, which was similar to the vehicle seen by several people -- including one of the survivors -- in and around the area where the shootings took place. Sheriff deputies soon after found a 1989 Chevy truck with the Cherokee Nation tag on fire in North Tulsa.

The third caller to contact Crime Stoppers on April 7 said England had "made several comments about killing black people" and wanted "justice" for his father's killing. This person added that England "uses drugs and will not go down without a fight."

Neither England nor Watts offered resistance when they were taken into custody early Sunday, Tulsa Police Capt. Jonathan Brooks said.

England confessed to shooting three people, while fellow suspect Watts admitted to police that he shot the other two, both of which were fatal, according to police documents.

Tulsa County District Attorney Tim Harris on Friday filed charges against both men on three counts of first-degree murder tied to the deaths of 54-year-old Bobby Clark, 49-year-old Dannaer Fields and 31-year-old William Terrell Allen.

They also face two counts of shooting with intent to kill related to the two people who were wounded, according to the press release from the district attorney's office.

In addition, the men face five counts of malicious harassment. The district attorney notes that, according to Oklahoma law, the charge infers that a person has acted "maliciously and with the specific intent to intimidate or harass another person because of that person's race, color, religion, ancestry, national origin or disability."

The charge is equivalent to a hate crime under Oklahoma law, according to Partners Against Hate, a joint project of the Anti-Defamation League, the Leadership Conference Education Fund and the Center for Preventing Hate nonprofit groups.

The Rev. Jesse Jackson, speaking Friday outside the First Baptist Church in North Tulsa, challenged why this "hate crime" charge is considered a misdemeanor, and not a felony, in Oklahoma. The maximum penalty for a conviction is a year in prison and a $1,000 fine.

Still, the civil rights leader lauded authorities for filing charges in the case that effectively asserted the victims were targeted due to their race. The Rev. Al Sharpton voiced a similar sentiment, canceling a planned trip to Tulsa and saying in a statement he was "glad that (prosecutors) filed first-degree murder and hate crime charges."

"We're glad that they've made that decision in the right direction today," Jackson said.

Brewster said he decided to represent England after getting a letter Monday from the suspect's mother, who has been incarcerated for the past 11 years. The lawyer described his client as a hard-working young man who had served as a father figure to his teenage sister and is himself the father of a baby son born to his late girlfriend.

He also said England harbors no ill will toward African-Americans.

"Many (of his friends) are black. He has family members that are black. And there's no hatred of blacks in him at all," said Brewster.

The U.S. Justice Department is investigating the Tulsa shootings to determine if federal civil rights were violated, said spokeswoman Xochitl Hinojosa. She called it an "open investigation," but not a hate crimes investigation per se.

Watts and England will appear in court Monday, when a judge will set a date for a preliminary hearing. Prosecutors filed a motion Friday asking that both defendants be held without bond and not be released if they come up with the $9.16 million bond set Monday, when authorities outlined murder but not the malicious harassment charges.

"Both defendants are a danger to public safety in this community, and they have strong incentive to flee the jurisdiction if they were able to make bond," the prosecution argued.

The maximum sentence for each charge of shooting with intent to kill is life in prison. England and Watts could face anywhere from life with the possibility of parole or a death sentence for the murder charges. First District Attorney Doug Drummond said in a press release that the prosecution likely will decide whether to seek the death penalty after the preliminary hearing is complete.

Calling the shootings "tragic and senseless," Drummond characterized the filing of charges as a "first step to obtain justice."

Jackson similarly cautioned against celebrating too early that the suspects were detained and charged, noting the legal process ahead could be long and complicated.

"This is a first down, not a touchdown," he said. "This is a charge, not a conviction."

CNN's Carol Cratty contributed to this report.

@highlight

NEW: Jake England says he got along with everybody, "no matter what color"

@highlight

NEW: Tipsters said England was "racist" and talked of killing black people

@highlight

NEW: Prosecutors ask that he and another suspect be held without bond

@highlight

They are accused of killing 3 blacks last week in Tulsa, wounding 2 others