(CNN) -- You can draw your own conclusions about why Jill Abramson was fired, but as we look at the history of her tenure as executive editor of The New York Times, the world's most prestigious and influential newspaper, and learn details about how it came to an end, women everywhere are shaking their heads.

Any woman who has spent time in the work force is familiar with the challenges of being judged and treated fairly by her peers and bosses, of obtaining the recognition she deserves, and of being an effective advocate for one's own career.

Women battle to break through the glass ceiling. After that, what comes is walking on broken glass.

It's popular now to talk about the need for women to lean in. But, that's not even half the battle. Turns out, as many women have discovered, that leaning in can actually get you sacked.

Just hours after NYTimes.com unceremoniously removed Abramson's name from the masthead and Times publisher Arthur Sulzberger Jr. told employees she had been replaced, without offering much of an explanation, we learned that Abramson, who had held the job for less than three years, had confronted her bosses about her compensation, telling them she had discovered her total compensation -- salary and benefits -- was substantially lower than that of her predecessor, former editor Bill Keller.

The Times quickly shot back, rejecting the pay disparity argument, saying Abramson's total compensation was comparable to Keller's, and that her "pension benefit, like all Times employees, is based on her years of service and compensation. The pension benefit was frozen in 2009."

Sulzberger issued a statement later saying it wasn't about money and it's not true that Abramson was paid less than her predecessor. He said that in her last year, her total compensation package was more than 10% higher than Keller's in his last year as executive editor.

Now it's become she said / he said. But compensation aside, in his announcement on Wednesday, Sulzberger did say his decision had to do with "an issue with management in the newsroom."

So it's about management. OK. That seems to match a remarkably similar chain of events in Paris, where Natalie NougayrÃ¨de, the editor-in-chief of the prestigious newspaper, Le Monde, was forced out of her job after other journalists accused her of being too authoritarian, or "Putin-like." What a curious coincidence.

Before Abramson's departure, the personality-driven criticism had wafted out of the Times newsroom, with accusations that reeked of sexism. A few months ago, an article discussed whether she is "bitchy," and the word "pushy" keeps coming up.

I have spent many years in the news business and I can think of countless successful high-level managers who were pushy, bossy, at times downright cruel with staff. Those men were often viewed as strong, driven, effective, determined, good leaders.

The Washington Post's legendary Ben Bradlee was affectionately described as having a "pugnacious personality." And Abramson's predecessor, Bill Keller, said his wife describes him as "socially autistic." These traits would likely doom a woman's career. In men, they are viewed as quirks, curiosities, even assets in the single-minded pursuit of journalistic success.

Men's personalities are fodder for office gossip, but more generally viewed as a secondary matter, perhaps a topic for conversation at the bar after a long day. With women, it infuses their professional persona.

People expect women to be nice, likeable or feminine. And it turns out being strong and demanding, and not always warm and friendly, can destroy your career, or at least make for a much less successful one.

You cannot win without losing. In order to do a good job, women may find they have to take actions that turn people against them.

The problem with the stereotyping that demands women be liked and likeable is that it is much hazier, more difficult to counteract. It often lies hidden below the surface, alongside conscious efforts at equality.

The New York Times and Le Monde and other major organizations have made strides to promote women. Abramson was the paper's first female executive editor. Her superior made a landmark decision in promoting her, just as they did with her replacement Dean Baquet, the Times' first African-American executive editor. But the tide of antagonism, the no-win rules that say you fail if you succeed can be found at all levels of the organization, including among rank-and-file staff.

By objective standards, Abramson did a fine job. The paper won eight Pulitzer prizes during her brief tenure, with top-notch reporting and investigative journalism. Signups for digital access among readers increased. The company stock doubled during her tenure, performing better than the rest of the stock market.

Doing a good job by objective measures, as we know, is not enough.

That's especially true for women, who as Sheryl Sandberg pointed out in her book "Lean In," worry about being liked.

If it is difficult for women to exercise leadership in order to advance the businesses they lead, that obstacle is a mere bump on the road when compared to the challenge of advocating on their own behalf.

We don't know to what extent Abramson's complaint about her compensation was a factor in her firing. But we know just how risky and complicated it is for women to ask for better pay.

Women at every level are paid less than their male counterparts. Top female executives make 18% less than their male counterparts. The same is true for female journalists.

Trying to change that is excruciatingly difficult. As a recent New York Times article puts it, asking for a promotion or raise can make women seem "overly demanding and unlikeable" and not "sufficiently feminine, unseemly, if on a subconscious level."

It's all incredibly irritating and offensive. And it needs to change.

The specific circumstance that brought Jill Abramson's sudden and shockingly undignified fall at the New York Times or Natalie NougayrÃ¨de's exit are almost secondary. The episodes have an ugly ring that is familiar to women. For all the progress we have seen, there is still a long, long way to go.

@highlight

Jill Abramson, top editor at The New York Times, was fired by the paper's publisher

@highlight

Frida Ghitis: Abramson's ouster raises questions about pay equity, gender issues

@highlight

She says men get praised for being strong, but women are criticized for being pushy

@highlight

Ghitis: Navigating corporate ladder for women is paved with uncertainty and biases