Jerusalem (CNN) -- Israel is denying Palestinians access to adequate water supplies by controlling shared water resources, the human rights group Amnesty International said in a report released Tuesday.

In the 100-page report, titled "Troubled Waters: Palestinians Denied Fair Access to Water," Amnesty says Israel restricts Palestinian access to water through various means while making it readily available to its own citizens.

The group accuses Israel of ignoring humanitarian and human rights laws, in violation of its obligations as the occupying power.

The report says water from the shared Israeli-Palestinian mountain aquifer is inequitably distributed, with Israel using more than 80 percent of it.

The aquifer is the sole source of water for the approximately 2.5 million Palestinians in the West Bank. The Israeli military has denied Palestinians access to Palestinian lands where water from the Jordan River could be accessed, the head of the Palestinian water authority told CNN.

"Since (1967) the Israeli authorities did not allow us to drill in the Western Aquifer, which is the most important shared aquifer in the West Bank," Dr. Shaddad Attili said.

Amnesty argues that Israel also limits access to water supplies by placing restrictions on the movement of people and goods, and by enacting "a complex system of permits which Palestinians must obtain from the Israeli army and other authorities in order to carry out water related projects" which effectively prevent the creation of needed water and sanitation projects.

The Israeli government rejects many of the conclusions of the Amnesty report. Mark Regev, a spokesman for Israeli Prime Minister Benjamin Netanyahu, called the idea that Israel was taking water away from the Palestinians "simply false."

He said that Israeli consumption of water from the mountain aquifer had gone down in absolute terms from 1967 to today, despite the fact that Israel's population had more than doubled in that time to its current level of approximately 7 million people.

A statement from the Israeli Foreign Ministry charges that the authors of the Amnesty International report "chose to ignore Israeli data, papers and reports, although they contain verifiable facts presented with total transparency."

"Israel has fulfilled all its obligations under the water agreement regarding the supply of additional quantities of water to the Palestinians, and has even extensively surpassed the obligatory quantity," the foreign ministry statement said.

"The Palestinians, on the other hand, have significantly violated their commitments under the water agreement, specifically regarding important issues such as illegal drilling (they have drilled over 250 wells without the authorization of the Joint Water Commission) and handling of sewage (The Palestinians are not constructing sewage treatment plants, despite their obligation to do so and the important foreign funding earmarked for this purpose)," the statement added.

Amnesty's report notes the stark discrepancy in water use between Israelis and Palestinians, claiming that water consumption per capita for Palestinians in the West Bank and Gaza is about 70 liters (about 18 gallons) per day, while Israeli per capita use is 300 liters (79 gallons) per day.

In an interview with CNN, Amnesty researcher Donatella Rovera said a drive through the Palestinian West Bank shows the striking disparity in water use, with "Israeli settlements with vast, green, well-irrigated farms and swimming pools and right next to them, Palestinian villages which are absolutely parched."

In Gaza, which is home to approximately 1.5 million Palestinians, Rovera said the water situation has reached a "crisis point." She said water from the coastal aquifer, which supplies most of Gaza, is 90 percent to 95 percent polluted and unfit for human consumption.

Rovera said immediate and long-term solutions were not workable under the current Israeli and Egyptian blockade of Gaza, which is meant to isolate the Hamas movement, which took over Gaza in 2007. Gaza's water system, which was in a state of decay when Hamas took power, was further damaged in the three-week war between Israel and Hamas in January.

Regev argued that Israel has provided more water to the Palestinian Authority than it is obligated to under the Oslo accords and that more than a third of the water transferred from Israel to the West Bank was lost to theft and lack of infrastructure maintenance by Palestinians.

Watch what happened to Gaza water infrastructure in war

He said the Palestinians have received "billions in aid" over the past decade and a half and invested little in their water systems, and termed "ridiculous" the notion that the mountain aquifer was only for Palestinian use.

"Israel has every right to take water from that source," Regev said of the mountain aquifer.

The Palestinian Authority was quick to seize on the findings of the Amnesty report in a statement released Tuesday.

"What is emerging today is a growing consensus over how the discriminatory water laws and practices Israel employs to deny Palestinians access to clean and adequate water supplies are emblematic of what amounts to a system of apartheid that underpins the entire structure of Israel's illegal settlement enterprise in the West Bank, and collective punishment in the Gaza Strip," said Palestinian water authority chief Attili.

Amnesty's report made no conclusions about what amount or percentage of water should be made available to the Palestinians, but called on Israel to allow Palestinians "to access and extract an equitable share of water from the shared aquifers and surface water resources in the West Bank and Gaza."

@highlight

Palestinians denied same water access as Israelis, Amnesty International says

@highlight

Israel takes 80 percent of mountain aquifer, Amnesty report says

@highlight

Israel says its water use declines while population jumps

@highlight

Israel says Palestinians lose water to theft, poor infrastructure