(CNN) -- Two schools: one a football powerhouse, steeped in athletic glory, and the other a bastion of military tradition.

Each have faced allegations in recent weeks of child sexual abuse -- in the case of Penn State, by a former assistant football coach; at The Citadel, by an alumnus and former counselor at the college's summer camp.

And in each case, the schools did not notify law enforcement after allegations were made, drawing criticism for apparently choosing to protect the institution's reputation ahead of protecting potential child victims -- something many find hard to understand.

"I think this is a pattern which is not surprising," said Kirk Hanson, executive director of the Markkula Center for Applied Ethics and a social ethics professor at Santa Clara University in California. "Institutions would like to find a reason that they don't have to publicize their own failings. ... Institutions too often substitute their own interests for the interests of the victims. This is an institutional ethics problem, in general."

Retired Air Force Lt. Gen. John Rosa, president of The Citadel, apologized in a press conference Monday for not reporting to police an allegation against Louis Neal "Skip" ReVille, 32.

In 2007, The Citadel received an allegation from a former camper that five years earlier, ReVille had invited the boy into his room at The Citadel Summer Camp to watch pornography. Another camper was also present. They did not touch each other, but engaged in sexual activity, the college said.

ReVille was arrested last month and faces at least six charges, including three counts of criminal sexual conduct with a minor and three counts of lewd acts on a minor, according to police in the Charleston, South Carolina, suburb of Mount Pleasant.

Although police did not provide specifics, CNN affiliate WCBD reported ReVille was accused of molesting at least five boys. According to court documents, he has admitted guilt in at least three cases involving incidents between November 2010 and October 2011.

Meanwhile, at Penn State, legendary football coach Joe Paterno and university president Graham Spanier were fired after former assistant football coach Jerry Sandusky was arrested and charged with child rape and sexual abuse following the release of a grand jury report detailing alleged crimes between 1994 and 2009. Authorities allege Sandusky accessed many of his victims through Second Mile, the charity he founded.

Ohio State to Penn State: We support you

One incident, allegedly the rape of a young boy, was witnessed by then-graduate assistant coach Mike McQueary in 2002, in a shower in Penn State's athletic facilities, according to the grand jury report.

McQueary told Paterno what he had seen, and Paterno alerted the athletic director, Tim Curley, but no one notified police. Curley and Gary Schultz, Penn State's senior vice president for finance and business, face charges of perjury and failing to report the allegations to authorities.

In an interview with NBC on Monday night, Sandusky denied he is a pedophile and said he is innocent of charges he sexually abused young boys. He conceded that he should not have showered with any of them.

Penn State's football culture could inspire a reaction of "we need to rally and protect that institution," and The Citadel has a storied and proud military history, Hanson said, and "one can imagine that there would be considerable hesitation" to report the allegations to police.

"This is the same mentality which has gotten the Catholic Church continually in trouble," Hanson said. "It's the desire not to have a respected institution embarrassed and its reputation tarnished. It's a desire to protect their own, and that's clearest in the Penn State issue." The parallels between Penn State's situation and the sexual abuse scandal that rocked the Catholic Church are "very pronounced," he said.

The fact that Paterno and Sandusky were revered in the Penn State community could also have played a role. Thomas Day, a Penn State graduate and Second Mile alumnus who is now a graduate student at the University of Chicago, told CNN that when he went home to State College, Pennsylvania, and heard about the investigation into Sandusky's alleged acts, people's "reactions were all the same: How could they ruin this man's name around town?" he told CNN. It didn't seem to occur to them that the allegations could be true, he said.

"I don't think it's anything unique to universities," said Ramon John Aldag, an expert on behavioral decision-making and organizational behavior at the University of Wisconsin-Madison. "I think the same sorts of things happen in organizations in general and in life in general."

He referenced the "bystander effect," in which people know someone is being hurt and do nothing. A number of explanations can be given for that, including "diffusion of responsibility," in which the pressure on people to act is reduced because of the number of people who may share in the knowledge.

In addition, there is "pluralistic ignorance," in which people assume everyone else may know something they don't, he said. People may assume someone else is taking action, or that those above them are handling the situation, Aldag said.

He cited the recent case of Wang Yue, a Chinese toddler who drew international attention after a security camera showed her being run over by two drivers and ignored by numerous passerby as she lay injured in the road. The 2-year-old girl later died, and the video sparked a global outcry about the state of morality in China.

"Criminal law imposes very few affirmative obligations on people," said CNN senior legal analyst Jeffrey Toobin. "By that I mean criminal law is mostly about 'don't do this, don't do that. Don't kill somebody, don't do drugs, don't engage in fraud.'"

But, he said, "the law is much less clear or less frequently used to tell people to do things." There are a variety of historical reasons for that, he said, but "as a result, people have developed the idea that it's safer to do nothing than do something."

Both Sandusky and ReVille are innocent until proven guilty, Hanson noted.

But, he said, "the difference between the legal and the moral (obligations), while important, obscures the fact that every individual who sees the abuse, who sees an evil like this, should feel morally obliged to act in order to protect the victim and future victims."

People should consider that a person accused of molesting a child could continue to commit such crimes, he said.

The whistle-blower effect may also have contributed to the lack of action, Aldag said.

"Whoever it is that would speak out, either going to the police or to the press, that person is essentially a whistle-blower, and we know that whistle-blower -- that's a tremendous role to take on, especially if you're in a situation where you're probably going to cause huge harm to the university and people involved, and especially if you're in a position without too much power," he said. "... They're permanently scarred by this."

Sandusky interview infuriates critics

"The discussion of whistle-blowers over the last 25 years has struggled with this question of institutional interest and concern for individuals who are harmed by the behavior of representatives of that institution," Hanson said. "... There are many laws in the U.S. which simply require reporting it to the institution. It is an ongoing dilemma of whether that's enough. Should we require, legally, individuals to report misbehavior not just to their institutions, but to police and public authorities?"

Pennsylvania is considering adopting a mandatory reporting law in the wake of the scandal. Hanson said such a law is already in place in California, requiring health care workers, teachers and others to report suspicions to police "regardless of what their institution does."

The law was passed "because of concerns like this -- 'I washed my hands of the responsibility because I told my boss,'" Hanson said.

"As word of misbehavior goes up the chain of command, each level will have the temptation to sweep it under the rug," he said. "And they can frequently be pressured to ignore the behavior. ...

"What you hope will happen in the future is that anyone who witnesses a child being molested will take the personal responsibility to make sure the authorities are called and not just report it to the institution."

@highlight

Both Penn State and The Citadel are criticized for failing to report abuse allegations

@highlight

Professor: "Institutions too often substitute their own interests for the interests of the victims"

@highlight

The phenomenon is not unique to universities, another expert says