Washington (CNN) -- President Barack Obama and visiting Brazilian President Dilma Rousseff on Monday stressed the importance of strong ties between their countries, despite Brazil's concerns about U.S. economic policies that it says can work against emerging economies.

In comments to reporters after a White House meeting, Obama and Rousseff highlighted the areas of cooperation on energy development, education and trade as the two leaders prepare to attend the upcoming Summit of the Americas in Cartagena, Colombia, beginning Friday.

However, they made no mention of less collaborative topics, such as whether each country will purchase new military aircraft from the other, or whether the United States will support Brazil's efforts to gain a seat at the U.N. Security Council.

Two-way trade between Brazil and the United States last year totaled around $74 billion, according to the U.S. Census Bureau, and the balance has gone from a U.S. deficit to a surplus in recent years.

Brazil has recently announced a series of measures to boost economic growth and rein in its overvalued currency, including slashing interest rates and levying taxes on short-term currency inflows.

At the same time, Brazil complains that low U.S. interest rates amid a sluggish recovery are hurting foreign trade partners.

On Monday, Rousseff and her foreign affairs minister both noted the U.S. trade surplus with Brazil, and Rousseff called for better balance in U.S. monetary and fiscal policies to prevent a depreciation of the dollar that harms emerging market trade partners.

Expansionist monetary policies, such as holding down interest rates, in isolation of fiscal expansion through increased investments, "ultimately lead to a depreciation in the value of the currencies of developed countries, thus impairing growth outlooks in emerging countries," Rousseff said.

Earlier, in comments to U.S. business leaders, Foreign Minister Antonio de Agular Patriota cited increased trade between the countries despite the global economic downturn of recent years, but he also called the Brazilian trade deficit with the United States "not ideal" and "a challenge."

In particular, he said the United States now buys more Brazilian commodities and fewer of his country's manufactured goods, adding, "this is something we have to look at very seriously, and we will."

In her comments, Rousseff noted that the global economy's "resumption of growth in the medium-term future certainly involves a substantial resumption of growth in the U.S. economy."

"We very much welcome the major improvements that have been found in the U.S. economy in the recent past, and I am quite certain that that will very much be the emphasis in the next few months and years ahead under the capable leadership of President Obama," she added in what amounted to either an endorsement or prediction of Obama's re-election in November.

It is Rousseff's first official visit to Washington as Brazilian president and comes more than a year after Obama went to Brazil, shortly after Rousseff came to power in the South American country.

In his own remarks to reporters, Obama emphasized Brazil's rising influence in global affairs as a South American power that has become the world's sixth-largest economy.

He cited "the extraordinary progress that Brazil has made" to become "not only a leading voice in the region, but also a leading voice in the world."

In particular, Obama noted Brazil's growing energy development and its growth into a leader in the biofuel industry as well as a major player in oil and gas development.

"The United States is not only a potential large customer to Brazil, but we think that we can cooperate closely on a whole range of energy projects together," Obama said at a time when he is under attack from Republicans over rising domestic gas prices.

Speaking through a translator, Rousseff agreed that oil and gas development offered "a tremendous opportunity for further cooperation, both as regards the supply of equipment and provision of services, and also as regards a wider role in our trade relations."

In addition, she welcomed a recent U.S. decision to cut tariffs on Brazilian ethanol, which strengthened the partnership between the nations in biofuel development.

Rousseff also touted her country's Science Without Borders program, which seeks to send 100,000 students overseas for science education and training, including 20,000 to the United States.

She will travel Tuesday to Boston to speak at two desired destinations of Brazilian science students: Harvard and the Massachusetts Institute of Technology.

As part of its desire to raise its international status as a major emerging economy, Brazil is seeking membership on the U.N. Security Council. So far, the U.S. government has expressed support for India to join the Security Council but offered no position on Brazil, and the topic was not mentioned Monday.

CNN's Shasta Darlington and Becky Brittain contributed to this report.

@highlight

NEW: Brazil's president calls for a balanced U.S. economic approach

@highlight

NEW: The two leaders discuss cooperation in oil and biofuel development

@highlight

Two-way trade between Brazil and the United States totaled $74 billion in 2011

@highlight

Brazil is the world's sixth-largest economy