Washington (CNN) -- Describing the billions of dollars in contracts and services handled by the General Services Administration as a den of temptation, senators from both parties on Wednesday called for the agency at the center of a spending scandal to clean house as it roots out corruption.

"The party's over," declared Democratic Sen. Barbara Boxer of California, chairwoman of the Senate Environment and Public Works Committee, at one of four congressional hearing so far this week on the controversy that has embarrassed the Obama administration in an election year.

Speaking to GSA Inspector General Brian Miller and Acting Administrator Dan Tangherlini, Boxer said the panel "will support you and encourage you to clean house" at the vast federal procurement agency.

At the same time, Boxer emphasized that the GSA has a history of misconduct dating back decades under Republican and Democratic administrations, and that it was a person appointed by President Barack Obama who uncovered the latest wrongdoing involving an $800,000 work conference and other abuses.

Mitt Romney on GSA and Secret Service controversies

Tangherlini and Miller also testified later Wednesday at a Senate appropriations subcommittee hearing where Chairman Dick Durbin, D-Illinois, wondered how the hundreds of GSA employees exposed to the excesses failed to question the obvious misconduct taking place.

"It's appalling that someone didn't say, 'Wait a minute. Isn't this going overboard?' " Durbin said.

Democrats sought to frame the controversy as an ongoing problem at GSA rather than anything unique to the Obama administration, and Republicans on the panel cited what they called a systematic failure resulting from a culture of misconduct at the agency.

Ranking Republican Sen. James Inhofe of Oklahoma said of the GSA that "if there's anyone who has a propensity to do something dishonest, that's where they ought to be" because "they deal with huge numbers."

"I am concerned that this type of waste has become an embedded part of the culture at the GSA," Inhofe said, noting the wrongdoing occurred at a time of fiscal austerity, including calls by Obama to cut government waste. "One can only wonder what kind of waste would have occurred in a better economy."

Boxer later used an extended closing statement to encourage Tangherlini to take substantive steps to solve the problems at GSA once and for all, no matter what it takes.

"There still are ugly things that are going to come out. Let's face it," Boxer said of continuing investigations by Miller.

"What is so outrageous about this is how these bad apples, very bad apples, perhaps criminal apples, have sullied the reputation of very good people," Boxer said, adding, "don't underestimate this job you have in terms of shaking this tree and letting these bad apples fall."

Earlier this week, two Republican-led House committees held hearings examining the scandal, which became public last month with Miller's final report detailing a GSA conference in Las Vegas that cost more than $800,000, as well as violations of travel and spending rules.

The revelations have prompted taxpayer indignation and put a spotlight on wasteful spending by the GSA, which handles government real estate and other nonmilitary procurement.

Asked Wednesday about how to fix the problems at GSA, Miller called for more centralized control of the agency with more oversight to hold regional officials accountable for spending. Tangherlini said he already has been taking steps to improve central oversight as part of a review of the entire agency. That review is expected to take months.

On Tuesday, House members questioned why Jeff Neely, the GSA staff member who organized the 2010 Las Vegas conference, took more trips on the federal dime after Miller's preliminary report last year showed spending and travel abuses. Neely was put on administrative leave in March, a month after Miller had submitted his final report.

Neely declined to show up for Tuesday's session of the House Transportation Committee, claiming his Fifth Amendment right against self-incrimination in the investigation. He also declined to testify at the House Oversight Committee's hearing Monday.

On Wednesday, Boxer took a shot at the Monday hearing where Neely repeatedly claimed his Fifth Amendment rights.

"We're not looking for photo ops of people taking the Fifth," Boxer said. "We're trying to move forward and make sure this doesn't happen again."

The controversy, which includes allegations of personal travel under the thin guise of government business and an employee award program that exceeded spending limits, so far has focused on one of 10 regions of the GSA -- an agency with a multibillion-dollar budget and more than 12,000 employees.

Coming in an election year, the scandal has become a political focal point, with Republicans seeking to frame it as a reflection of big government abuse while Democrats say the problem involved a few bad players rather than a rotten system.

During this week's hearings, past and present GSA officials have described the agency's complex management structure that proved unable to respond quickly to misconduct cited by the inspector general's report. For example, the chief financial officer lacked direct oversight of regional budgets.

One exchange Tuesday between Rep. Jeff Denham, a freshman Republican from California, and Miller highlighted the ways that Neely, and presumably others, avoided strictures against supplying food at government work conferences such as the Las Vegas event by creating joke awards in order to hold ceremonies at which food would be allowed.

"To get around the administration's rule of not having food, they got around it by having an awards ceremony at every conference or every day of a conference?" Denham asked.

Miller responded: "According to witnesses that we've interviewed, it was a running joke in Region 9 that in order to get food, you had to give out awards -- and many of these awards were silly awards."

"One of our witnesses characterized them, I guess, as fake awards, jackass awards and things of that nature," Miller said. "Now, getting back to the Western Region's conference -- they gave out awards for theatrical performances. We do not consider that a proper award. The award has to be for contributions to the work of the agency. "

Martha Johnson, the GSA administrator who resigned April 2 because of the scandal, said Tuesday that the Western Region conference at the heart of the problem had become a "raucous, extravagant, arrogant, self-congratulatory event that ultimately belittled federal workers."

Among videos of the conference that have surfaced is one of David Foley, a deputy commissioner of the Public Buildings Service, an arm of the GSA, appearing to mock congressional oversight. In it, he gave a talent show award to an employee whose video featured a rap about spending too much and joking about avoiding investigation.

Additional videos included one that seemed to make fun of Obama, as well as a fake red carpet ceremony with Neely boasting that his goal was to make the conference "over the top."

Details also emerged of the employee incentive program, which violated limits on awards or gifts.

Miller said Wednesday that ongoing investigations are looking at several regions of the GSA, and that his experience so far has found that each stone uncovered brought further revelations. He said that in the wake of the scandal, employees were coming forward to report other possible wrongdoing.

"Even today, we found out that the wife of the regional commissioner had a parking space throughout the entire year of 2012 at the federal building," Miller said. "And we just find one thing after another."

Tangherlini, however, said there was no evidence so far of endemic misconduct throughout the GSA, noting he has encouraged agency workers to reach out to him with concerns.

"They have not been shy," Tangherlini said.

@highlight

NEW: Inspector General Brian Miller says his office is finding more possible problems

@highlight

Democrats note past GSA scandals and positive steps by Obama appointees

@highlight

Republican Sen. James Inhofe says the GSA is a likely home for corruption

@highlight

The reported abuses include wasteful spending and violations of regulations