This week President Obama did a swing through some college campuses talking about student loan debt. The immediate issue is the 3.4% interest rate on federal student loans. It's set to double July 1 unless Congress acts. Keeping the rate low in this still weak economy is, as the president said, a no-brainer. Even his opponent Mitt Romney has endorsed it. But the larger problem -- mounting college costs and a cumulative $1 trillion in student loan debt — remains untouched.

Some recent polls have shown that support for Obama among young voters, once Obama's enthusiastic fans, may be waning in this election compared with four years ago. Student loans are seen by some as the president's chosen key to regaining their hearts. But really, the issue has been raised for him by the Occupy movement, gearing up this May 1 with a new set of actions focusing on the cost of college and the depredations of the student loan industry.

Additionally, almost 700,000 people have signed a petition  sponsored by MoveOn.org for student loan forgiveness, started by lawyer and student-loan debtor Robert Applebaum. And the Student Loan Forgiveness Act of 2012, introduced by U.S. Rep. Hansen Clarke, D-Michigan, last month, is aimed at offering relief.

What's at stake here is the basic equation of the American dream: Hard work plus merit equals opportunity. As usually happens, hard times have led to cuts in support to public education and attendant tuition hikes. Young people are graduating into a dismal job market with an average of more than $25,000 in debt. Loan default rates were up sharply last year, and many graduates are questioning the value of their education. In eight years of covering and advocating for student debtors, I've never seen such a level of public outcry.

The president and his Department of Education deserve credit for keeping the heat on student loan and college cost issues, and not just at campaign time. Their most important move was probably the government takeover of the student loan market. As of July 1, 2010, all federally subsidized student loans — about 80% of the total — have been originated by the Department of Education. The deal ended billions of dollars in unnecessary subsidies to lenders like Sallie Mae and, in theory at least, empowered the government to set repayment terms friendlier to student lenders.

Unfortunately, the measures proposed so far -- freezing interest rates, income-based repayment and public service loan forgiveness -- haven't gone far enough to improve the lot of students and recent grads. There are indications that the specialized repayment programs, designed to make loans cheaper for low earners and those employed by the government or nonprofits, are undersubscribed because of red tape and a lack of publicity.

There is a simpler way to cut the Gordian knot of rising debt and college costs, one that would help desperate graduates in the short term and lower the cost of college in the long term. The answer is bankruptcy relief for both federal and private student loans.

Since 1998, federally subsidized student loans have been non-dischargeable in bankruptcy, except in rare cases involving permanent disability or death. Since 2005, even private, unsubsidized student loans -- the fastest-growing, highest-cost type of student loan, tantamount to putting college on your credit card -- have been immune to bankruptcy claims, as well. Without bankruptcy, lenders have little interest in negotiating. Falling behind on your loans can spiral into a hellish decades-long nightmare of interest rates and penalties soaring many times beyond the original sum. For federal borrowers, the government can garnish your wages without taking you to court, seize tax refunds and even Social Security.

Allowing anyone who faces unreasonable student loan sums compared with their income to seek relief through the courts, as we do with every other kind of debt, would end the horror stories. It would also likely have several ripple effects. Private loans would decrease, and the federal government, facing a potential liability of $100 billion a year, would have a reason to get more serious about college costs and productivity. This could lead to, among other things, an expansion of the gainful employment rule, which sanctions schools that prepare very few of their students to be solvent.

In the long run, we'd probably see more innovative low-cost learning alternatives, such as the free online courses being offered by Stanford, Princeton, and MIT professors through the new ventures Udacity, Coursera, and MITx.

Bankruptcy relief on student loans isn't just fair, it's the first step to a more functional market in higher education.

@highlight

The interest rate on student loans will soon double unless Congress acts

@highlight

Anya Kamenetz says Obama showed concern over student debt during visits to colleges

@highlight

But proposed relief measures don't go far enough; bankruptcy relief is needed, she says

@highlight

Kamenetz: Bankruptcy relief is fair, a first step to more functional education market