(CNN)  -- Spurred by the continuing political unrest in Iran, more than two dozen Iranian expatriate superstars are uniting to spread a musical message of non-violent resistance.

Neda Agha-Soltan was gunned down on a Tehran street on June 20.

The entertainers, poets, thinkers and actors are harmonizing on the song "United for Neda," a call to action against human rights violations by the Iranian government against Iranians protesting the disputed outcome of recent presidential elections.

The song was inspired by the plight of Neda Agha-Soltan, the 26-year old Iranian woman who was fatally shot on the streets of Tehran on June 20. The ordeal was recorded on cell phone video and received international attention when it hit the Internet.

"When I saw links to Neda being shot, it was so disturbing to me," said Iranian-British recording artist Mams Taylor, who wrote and produced the song.

"It hurt me, angered me and touched me at the same time, to think that these people are so courageous to go and seek their freedom," said Taylor.

While her death became a rallying point for justice, her name, "Neda," in Farsi means "the call/calling" or "voice" -- a voice many people say cannot be muted.

"The saga is still going on in Iran, and all we can do is carry on and echo their voice," said Shoreh Aghdashloo, the Oscar-nominated actress from "House of Sand and Fog" who sang in the production.

The video, much like the post-election protests, was a spontaneous response. From the studio to the street rallies in Los Angeles, California, the entire music video was filmed using a cell phone.

"With the big media ban and restrictions over there, we thought to commemorate and pay homage to what the protesters are doing over there," said Taylor.

"So we thought it would be appropriate to develop the video in the same kind of light."  Watch the video and hear the song »

The song was recorded in both English and Farsi to reach Western and Iranian audiences. The English version of the video has drawn thousands of viewers since its YouTube release last week. The Farsi version of the song will be released Thursday.

Iranian actress Shila Vosough played a key role in bringing the artists together.

"These artists all came together despite their varying political views," she said. "They united, hand-in-hand, to send the kids in Iran a message of their love and support."

The political upheaval of the late 1970s forced many Iranian musicians, artists, actors and entertainers like Vosough into exile. Many of them left unwillingly, not knowing when or if they would ever return to Iran.

"I came to New York for a performance 32 years ago and have never been back to Iran since," said Iranian vocalist Sattar, who also sang in the video.

Sattar, who has millions of fans around the world, wants the Iranian people to know their voices are being heard.

"As an artist, I see this as my responsibility -- to support Iranians with my songs and music," said Sattar, a one-time favorite of the Pahlavi royal family in Iran.

In 1979, at the dawn of the Islamic Republic under much popular Western music was outlawed as "un-Islamic." For years, Iranians have been forced to make music underground, buying or swapping on the black market or downloading from the Internet.

"Music is a very powerful tool. It can move people and mobilize them around a cause, and this can be very threatening for leaders who want to silence the voices of their people," said Iranian singer Dariush.

Dariush has been singing about love, peace, freedom and justice for the Iranian people since before he left 30 years ago.

"I encourage other musicians to come join the cause against human rights violations in Iran and other places around the world," said Dariush.

Female singers were also banned after the revolution. For decades female vocalists like Googoosh, one of the most celebrated pop divas in Iran, were silenced and forbidden to perform or record in Iran.

In 2000, Googoosh left Iran. Shortly afterward, she made a comeback on the international stage, performing in front of sold-out crowds at venues around the world. Her latest release, "Man Hamoon Iranam," or "I Am the Same Iran," is also dedicated to the young Iranians who died in the unrest.

Scores of musicians have tuned into the cause, showing support both in performance and on the Internet. Just last week in Barcelona, Spain, the band U2 dedicated the song "Sunday Bloody Sunday" to the Iranian people and performed under a green-lit banner as Farsi lyrics scrolled up the screen.

The opposition in Iran has adopted green as its unifying color.

Other Iran-related videos that went viral on YouTube are the remake of "Stand By Me" by Iranian singer Andy and American rockers Bon Jovi; Joan Baez's "We Shall Overcome" tribute; and Wyclef Jean's performance of "Equal Rights and Justice."

"I hope the Iranians realize that here in the West there are people supporting and backing their movement to seek freedom, and we would like to motivate them to keep going," said Mams Taylor.

"The world has lost many Nedas, most of them the world will never know," said Dariush.

"There are many Nedas out there whose voices can't be heard, there are Nedas in prisons that are being tortured, there are Nedas screaming in the streets --walking the fine line between life and death everyday. But she has become the symbol for all of them."

@highlight

Mams Taylor, other artists join together to produce "United for Neda"

@highlight

Song is one of support for the Iranian people in wake of crackdown

@highlight

"House of Sand and Fog" actress was another participant

@highlight

Other Iran-related videos have gone viral on YouTube