Seattle, Washington (CNN) -- They come from all walks of life. One teenage girl cuts her thighs after piano lessons to avoid the crushing pressure for perfection. She sees a therapist twice a week, but she never gets better.

Another young woman makes dangerous cuts to her arms and wrists when she is anxious. She is on her fourth foster placement because no one can handle her behavior. Another burns her fingers with a cigarette lighter when she hears her parents fight. She's been hospitalized twice in the past year.

Stories such as these are heard daily by those of us who study and treat self-injury -- that is, any activity resulting in intentional bodily damage to oneself. It is a syndrome found across cultures and socioeconomic classes (although it tends to be a bit more common among the more well-off), and it appears to be on the rise.

Though cutting the skin with sharp objects is the most common method used, especially by girls, other means of self-injury including head banging, overdosing, burning, hanging, drowning and shooting.

Given its potential for death and serious injury, this phenomenon has received increasing media attention, with a number of movies, such as "Secretary" in 2002, portraying the phenomenon.

From my perspective, this is an urgent public health issue, yet funding for research and treatment lags well behind funding for other behavioral disorders, such as autism.

Self-injury is troubling for several reasons.

First of all, almost 400,000 adolescents and young adults were treated medically for self-inflicted injuries in 2006, the most recent year for which these injuries were counted.

One recent study revealed that the number of children and adolescents in the U.S. who were hospitalized for depression, which is sometimes accompanied by self-injury among youth, increased by 27 percent between 1997 and 2007.

Second, self-injury is associated with crippling psychiatric distress. Girls who engage in such behaviors score lower than their peers on almost all measures of positive psychological adjustment, such as sociability, and higher than their peers on almost all measures of negative psychological adjustment, such as depression and delinquency.

Third, adolescent self-injury is linked to adult borderline personality disorder -- a chronic and difficult to treat mental health condition characterized by impulsive behaviors, difficulties self-regulating emotions, mood instability and high rates of suicide.

Finally, self-injury is the single best predictor of suicide. Intentional self-injurers are about 75 times more likely to kill themselves than others in the population, an especially alarming statistic.

Scientists are not sure why rates of self-injury appear to be on the rise, or how to stop the trend.

When teens who self-injure are asked why they do it, most say the behaviors help them regulate overwhelming negative emotions, including anger, sadness and rejection. This emotion-regulating function may occur because injuries trigger the release of endogenous opioids, chemicals produced by the body that relieve pain. Over repeated episodes of self-harm, the endogenous opioid system may become more efficient at reducing physical and psychological pain.

Recent studies conducted at high schools and universities reveal that almost 20 percent of individuals self-injure at least once, and about 11 percent self-injure repeatedly.

Given how common the behavior is -- and the alarmingly high risk of eventual suicide -- one might expect self-injury to be a major public health priority. One might also expect considerable investment into basic science aimed at understanding the brain mechanisms involved and treatment-outcome research aimed at developing effective interventions.

Unfortunately, this has not been the case. Little is known about the brain mechanisms of self-injury, particularly in adolescence, and traditional approaches to treatment usually involve inpatient hospitalization, which is more cost-effective than individual care.

However, when treated in groups, as is often the case in hospitalization, self-injuring girls often become worse, not better, an effect known as contagion. (Note that this can also occur through access to Web sites and Web postings in which self-injurers share strategies.)

Nevertheless, there has been some progress toward understanding and treating adolescent self-injury.

On the basic research side, Christina Derbidge, a graduate student in my lab, is conducting a study in which the brains of adolescent girls who engage in self-injury are imaged as they cope with negative emotions.

On the treatment side, Dr. Marsha Linehan's Dialectical Behavior Therapy at the University of Washington is signs of hope. The therapy is a variant of cognitive therapy and an effective treatment for adults with borderline personality disorder. It has been adapted to adolescent patients with encouraging results.

Despite these positive developments, a much greater investment is needed. For fiscal year 2010, the National Institutes of Health --far and away the primary source of funding for health research in the world -- projects spending $41 million on suicide and suicide prevention (NIH does not report specific funding figures for self-injury).

In contrast, NIH expenditures for autism are expected to be $141 million in 2010. Corrected for the higher prevalence rate of suicide, this translates into a six-fold greater investment per person with autism.

Indeed, across the past five years, NIH has spent more than $700 million on autism research, with impressive results in terms of treatment effectiveness and our understanding of the genetic and neural underpinnings of the disorder. Given the urgency of preventing suicide among our youth, a similar investment is needed in self-injury research.

@highlight

Theodore Beauchaine says he sees rise in youth self-injury, such as cutting, burning

@highlight

Syndrome crosses culture, class; it's linked to suicide, yet research funding lags, he says

@highlight

Kids say they self-injure to help deal with negative emotions, he says, but studies are sparse

@highlight

Beauchaine: U.S. must boost funding for study of self-injury