(CNN) -- "Kingdoms of Amalur: Reckoning" (38 Studios, Big Huge Games) blends the best of role-playing and fighting game mechanics, then uses them to back up a deep, rich story, resulting in a fresh-feeling entry into the world of fantasy gaming.

The game, released last week, boasts quite a bit of star power with New York Times best-selling author R. A. Salvatore building the story; comics superstar and "Spawn" creator Todd McFarlane directing the art and action; and role-playing game-design legend Ken Rolston putting it all together.

Brought together by Curt Schilling, former baseball star and founder of 38 Studios, the team set out to meet high expectations for a title that was inevitably going to be compared to blockbusters like "Skyrim" and "Dragon Age."

The role-playing elements are open, allowing players to pick and choose from different destinies (might, finesse, sorcery) and refine their characters with specific skills and abilities. Victories in combat and other skill challenges help hone particular skills, while other abilities (for instance, the always-handy teleportation skill) become part of your character's repertoire as he or she grows stronger.

Players can mix and match talents, but to really obtain the mightiest powers, they should focus on one "destiny" area. Sure, it might limit some things you want to do right out of the gate, but super-sizing your skills in one particular area will eventually let you make up for those early deficiencies.

Read about the vision behind the video game

And if you change your mind and really want to find out what the other destinies are like, there's a nonplayer character called a Fateweaver who will allow you to redistribute all your ability points and skills.

That way, players can play as a mage for part of the game, redistribute to play a powerful fighter, and then switch back again if they so choose. There is a cost associated with each new "fate-weaving," but it is a fun dynamic to have this much flexibility in character creation.

Pro tip: Max out the "Detect Hidden" skill, and it will reveal nearly everything on your map. Otherwise, a majority of the items (enemies, chests, lorestones, etc.) can't be found unless you just stumble across them.

A massive 170-plus quests (and I know I still haven't found them all) drive the far-reaching story line. Some are simple (gather items and return), while others are more intricate and linked together. The main quest drives the story, but you'll want to explore the faction quests, side quests and tasks to gain as much experience and power as you can before the final showdown.

Salvatore envisioned and wrote 10,000 years' worth of history for Amalur, the equivalent of 10 novels of information. Each book, item and location in the game is full of history and legend and, united, make the story feel alive. So-called "lore stones" are placed throughout the lands, offering everything from bits and pieces of that rich history to simple gossip about love triangles in a nearby town.

As in nearly all RPG games, you are encouraged to interact with other people you meet. Interestingly, Salvatore did not write any of the nearly 50,000 lines of dialogue present in the game.

A radial response system offers conversation choices, but some of those choices can be rather frustrating. There is no way to get a good feel for the person you are chatting with and determine if your response is going to result in something positive or offensive to them. I backtracked a couple of times when I thought my response was going to be helpful, but did not give me the result I expected.

There is crafting of potions and forging of weapons and armor by collecting pieces of other weapons. But unless that is something you really enjoy, there are enough potions and weapons to be found from dead opponents and sealed chests that you don't have to do it if you don't want to.

The game changer for this RPG title is the combat. In an effort to stand out and be different from similar games, developers searched for a way to create a dynamic fighting system that didn't detract from the feel of role playing.

Players get two weapons, a primary and a secondary, and a single button on the controller activates each one. There are so many different types to choose, from very fast daggers to very slow hammers. Ranged weapons include staffs, bows and chakrams (whirling discs that return to the throwers' hand after each attack).

Different combat techniques are used, depending on how you tap the button and your character's position relative to your opponent. It makes combat simple, while still providing nice effects.

Melee not your cup of tea? Magic can be easily accessed with the press of a couple of buttons.

As with weapons, how you tap or hold down the buttons affects how your spells work -- for example, tossing a ball of lightning with a tap while electrifying the ground by holding down the same button.

Having easy access to weapons and magic makes battles fun and fast-paced. There's no waiting to access different inventory screens to get the right sword or finding the right drop-down to cast the spell needed.

Players can shoot an arrow, toss a fireball, roll into melee range and slash with a broadsword all in four button pushes. It is a combat mechanic more commonly found in fighting games, but it goes very well here without detracting from the role-playing game feel.

There are a few weaknesses in "Kingdoms of Amalur: Reckoning." For example, all of the interior rooms start feeling the same after a while, and there aren't enough decisions to be made in conversation that actually make a difference. But there's nothing here to truly detract from the superb role-playing and fighting action.

It is a deep and rich experience in a world that has a wonderful back story and vibrant environments. The familiar role-playing elements are all there, along with a flexible and powerful combat system that ramps up the enjoyment factor.

Whether you plunge right into the main quest and ignore all others or decide to investigate every book and runestone throughout the land, "Kingdoms of Amalur: Reckoning" is ready for the challenge. Are you?

"Kingdoms of Amalur: Reckoning" is available in North America and Europe. It is for the Xbox 360, PlayStation 3, and Windows PC, and is rated M for Mature because of blood and gore, intense violence and suggestive themes. This review was done using an advance copy for the PlayStation 3.

@highlight

Players are able to pick and refine their characters with specific skills and abilities

@highlight

At least 170 quests drive the immense story line

@highlight

R.A. Salvatore envisioned and wrote 10,000 years' worth of history for Amalur