(CNN) -- Mom-to-be Maggie Baumann knew she most definitely would not be "eating for two." She couldn't.

During her first pregnancy, she was extremely preoccupied with just how many calories she consumed and stuck to a very strict exercise routine.

"Getting on the scale at the doctor's office was very triggering for me," said Baumann of Newport Beach, California, who is now an eating disorders specialist and trauma therapist who devotes some of her practice to pregnant women and moms suffering from eating disorders.

She gained 32 pounds during her first pregnancy, which is very much in line with the 25 to 35 pounds doctors say, on average, a woman who is expecting should gain.

But, during her second pregnancy, she was not going to let "that" happen again, she said in an interview.

'Pregorexia'

"I was just like, I am not doing that again, I am not getting that big. I am not getting that out of control," said Baumann, who first went public about her experience in a blog in 2009 and is now co-writing a chapter on pregnancy and eating disorders in a book to be published in 2014.

She didn't realize it at the time but she was one of a number of women with an extreme obsession with weight during pregnancy, battling what has become known as "pregorexia."

Pregorexia is not a formally recognized medical diagnosis. It is a term coined by the media, public and doctors in recent years to describe the eating disorder behaviors experienced by women while pregnant, which could include intense dieting and exercise, but also binging and purging.

30% of pregnant women in U.S. don't gain enough

While there are no known statistics on just how many pregnant women experience pregorexia, it is estimated that about 30% of American women don't gain enough weight during pregnancy, according to Dr. Ovidio Bermudez, the chief medical officer at the Eating Recovery Center in Denver, Colorado.

"I think you've got to be careful not to overdraw conclusions," Bermudez said. He wanted to make clear that not every woman who "struggles with weight gain" during pregnancy has an eating disorder.

"But I think there is a significant number for whom this is really another struggle, another manifestation of their eating disorder-related pathology. And those are probably the folks that are going to take it more to an extreme and the folks more likely to suffer their own health consequences as well as putting their pregnancy and the fetus, the baby, at risk," he said.

In Baumann's case, she began intense and extended workouts, and she was not eating enough. At 11 weeks, after she experienced bleeding in her uterus, her doctor, fearing she could miscarry, instructed her to stop all exercise immediately. She didn't because she couldn't. At seven months, there were worries the baby was too small and wasn't getting enough nutrients.

"It did not register to me like, 'OK, now I need to start trying for this baby,'" said Baumann. "I was like, 'Oh well, I won't go to the gym ... I'll just go and exercise somewhere else. I'm doing what I'm supposed to be doing but not really.'"

It was her secret. No one knew about the extended workouts, the calorie restriction, the eating disorder behaviors she battled throughout her life and now again as a mom-to-be.

No one knew how horrible she felt about herself.

"The biggest factor is the shame because what mom ... would be restricting her calories or over-exercising and hurting her baby?" said Baumann.

Celebrity media culture plays a role

It has almost become a given now in our tabloid and celebrity media-obsessed culture, said Claire Mysko, spokeswoman for the National Eating Disorders Association, that any time a celebrity is pregnant, there will be a 24/7 focus on how much weight she gains and how quickly she loses it.

Think Kate Middleton. Beyonce. Victoria Beckham.

"Between 2003 and 2005, the number of baby-related, baby weight-related covers on tabloids doubled and since then, it's almost become an expectation now that if a celebrity is pregnant, there will be a mention of her body during pregnancy and then there's the countdown to how fast she's going to get the weight off," said Mysko, co-author of the book "Does this Pregnancy Make Me Look Fat?"

In interviews with more than 400 women for her book, Mysko said she and her co-author looked at the impact of this media coverage on women, who increasingly feel the pressure to have the "perfect" pregnancy and quickly get their bodies back.

"I think that absolutely has an effect on women and it absolutely fuels, I think, and validates this obsession with weight during pregnancy and after," said Mysko. "We can't necessarily make a direct connection between whether that has increased the rate or the incidence of eating disorders, but certainly it has amped up this anxiety that women feel."

Women who had eating disorders more at risk

Women like Baumann, who battled eating disorders earlier in their lives, are much more likely to suffer from eating disorders while pregnant, experts say.

"I would say for women who know that they have a history of poor body image and disordered eating to really take that seriously as they enter into pregnancy and to be up-front about that history with your prenatal and post-partum health care providers," said Mysko. Women who might have some concerns can always contact the National Eating Disorders Association helpline, she said.

But an eating disorder in your past doesn't guarantee you'll have one during pregnancy. In fact, Mysko, who had an eating disorder in her teens, found that she appreciated her body in a new way during pregnancy. Her daughter is 3 now.

I had a similar experience. Like so many, I battled bulimia in college and still have small bouts of binge eating, even now in my 40s. But during my two pregnancies, I felt better about myself and my body than really at any other time in my life.

Lack of acceptance should be the "warning sign" that a mom-to-be could be experiencing or on the brink of eating disorder behavior, said Bermudez of the Eating Recovery Center, who is a former chairman of the National Eating Disorders Association.

"So, if the dialogue instead of 'Gee, is my baby going to be healthy and what am I going to name him or her?' becomes 'What does this mean for me and what am I going to look like? And are you still going to love me?' especially to an exaggerated degree, one has to begin to say there is an issue with acceptance here," he said.

'I felt like I did this to her'

When Baumann delivered her second child, she had gained only 18 pounds, compared to the 32 she gained during her first pregnancy. Her daughter developed seizures during the first months of her life, which her doctor said were possibly connected to the poor nutrition she received in the womb.

"'I felt like I did this to her, and I blamed myself and my eating disorder got worse," said Baumann.

Nearly 10 years later, she finally got treatment by going to the Remuda Ranch in Arizona, a residential treatment center for women with anorexia and bulimia. Her daughter, now in her 20s and perfectly healthy, was angry at her mother when she found out what she had done during the pregnancy.

"I had to let her be angry at me," said Baumann. "She had to process knowing that I did this and thinking, 'Why wouldn't my mom feed me?'"

"Even coming from her end, it's unbelievable because if you don't have an eating disorder, it's very hard to understand," she said.

Baumann, who devotes most of her time to the issue of eating disorders, is teaming up with the Illinois-based Timberline Knolls Treatment Center next year to launch what she says will be the first Web-based support group for pregnant women and moms with eating disorders.

"There are so many moms ... pregnant women, they're so ashamed, they don't want to tell anyone that they are doing what they are doing," said Baumann.

But, she says, women should know that they are not alone and that they can be helped.

"You can recover from your eating disorder, and you can recover from being a mom or a pregnant woman with an eating disorder, and that shame," said Baumann. "You can recover from that."

Follow Kelly Wallace on Twitter, and like CNN Living on Facebook.

@highlight

"Pregorexia" is used to describe pregnant women who are obsessive about weight gain

@highlight

30% of pregnant women in the U.S. won't gain enough weight during pregnancy, doctors say

@highlight

Focus on pregnant celebrities' weight affects other pregnant women, says one author

@highlight

Women with past eating disorders are more likely to have food issues in pregnancy