At a gray church on the outskirts of Wenzhou in eastern China, Christians from across the county keep a nervous watch.

Some stand behind the iron gate; others sit just inside the church door. For more than two months they've waited, preparing themselves to protect the cross on top of their church.

"If I have to, I am going to hold it in my arms and protect it," one elderly man says. "They have no right to tear it down, that is why we have to defend our church."

Like many here, it's too risky for him to give his name.

Wenzhou is known as the "Jerusalem of China" and throughout this year the local Communist Party authorities have demolished scores of churches and forcibly removed more than 300 church crosses.

Chinese church leaders say it's the worst anti-Christian crackdown in decades.

"What the government here is doing is so barbaric, they're like bandits and we are furious with them," says Chen Zhi'ai, a respected church leader in the Wenzhou area. "Today we've seen the fundamental symbol of our faith violated and it hurts us deep inside our hearts."

Crackdown

The local authorities are mostly targeting state-sanctioned churches, long tolerated by the ruling Communist Party and often touted as a sign of religious freedom in the officially atheist country.

Scores have been injured in the crackdown, as congregations throughout the region try to stop the government teams.

In late July, hundreds of police tried to storm the gates of the Salvation Church in Pingyang County in Wenzhou.

Like other attempted demolitions, they moved in in the middle of the night, and scenes of extraordinary defiance unfolded on the church's CCTV video as club-wielding police beat their way in.

They appear to lose their resolve when an older man is rushed away by ambulance. A blow to the head fractured his skull, say church activists.

But several weeks later, they came back with reinforcements and tore down the cross. It now lies under a cheap plastic shroud at the foot of the church's stairs.

"They wanted to drag it away," says a church caretaker who wouldn't give his name. "But we refused. Now it is too big for us to move."

Illegal structures?

The local government denies the crackdown on Christianity. They say the demolitions are part of a broader campaign to target illegal structures in the province. They say church demolitions represent only a tiny fraction of their work.

But leaked party documents single out churches and folk religious sites in the so-called "three rectifications and one demolition" campaign. And church leaders like Chen say that the demolition campaign is merely a front for a crackdown to curtail Christianity's influence in the region.

Church leaders say that the central government has ignored all their complaints and petitions. They fear that the Wenzhou demolitions could be a test case for the party, an opening salvo in what could become a wider national campaign.

"The leaders think Christianity is a foreign religion and it is part of a foreign culture, which they define as 'western' culture," says Chen.  "They see our growth as an invasion of western culture into China."

Since Chairman Mao's death in 1976, Christianity has taken hold in China. Though it is still a minority religion.

"Christianity has been growing very rapidly in China in the last several decades," says Fenggang Yang of Purdue University in Indiana.  "There is very little sign that it is slowing down."

"It moved from a largely rural religion, came into the cities and became very popular with entrepreneurs. Many converts are now the youth."

He estimates that in a few years China will have more Christians than Communist Party members, which stood at more than 85 million in the last count.

And in just 15 years, China could overtake the U.S. as the country with largest Christian population in the world. Chinese state media have disputed those claims.

'Social glue'

Back at the gray church, the Christians have managed to keep the demolition crews away for now. Their striking red cross sits above the church's spire. They often sing hymns to steel their resolve. "The Cross Is My Glory" by a Taiwanese composer has become a rallying cry in Wenzhou.

The congregation don't look like typical Chinese activists. There are elderly faithful with their grandchildren, wealthy-looking businessmen and clean-cut students.

Chen says, far from hurting the party, Christianity has been a refuge and social glue for many Chinese as income gaps rise and Chinese look for meaning. "We help promote social harmony," he says.

But Chen has a warning.

"If they keep doing things this way, there is a saying 'those who play with fire will get burned,'" he says.

@highlight

Chinese Christians keep watch to protect cross on Wenzhou church

@highlight

Authorities have demolished churches and removed more than 300 crosses

@highlight

They say the demolitions are part of a broader campaign to target illegal structures

@highlight

Chinese church leaders say it's the worst anti-Christian crackdown in decades