(CNN) -- Ask Bruce Springsteen where he gets his ideas, and he's likely to take you back to a house in Freehold, New Jersey, torn by anger and disappointment.

It's not the popular image the singer often projects.

At various points in his career, he's been the savior of rock 'n' roll, an American hero, a working-class poet and, perhaps above all, the icon of the Church of Bruce (or, if you prefer, "Bruuuuuuuce"), with fans hanging on to every utterance, every ticket stub. He's a guitar god, a multimillionaire, a family man.

But Springsteen hasn't forgotten.

"The deepest motivation comes out of the house that I grew up in and the circumstances that were set up there, which is mirrored around the United States with the level of unemployment we have right now," he told European reporters in an intimate discussion about his new album, "Wrecking Ball."

The conversation -- a rare chat for the often press-shy musician -- was filmed by director and Springsteen archivist Thom Zimny and turned into a short film, interwoven with music and video from "Wrecking Ball." Springsteen's publicists approached CNN about premiering the film after discussions about interviewing Springsteen at the South by Southwest festival in Austin, Texas. This is its American premiere.

Diehard Springsteen fans have certainly heard some of these stories. In concert -- marathons that can run three hours or more -- he frequently transitions between songs with monologues about his life. The ones he's told about his father, Douglas Springsteen, are like closely examined scars.

Even at that, the heartfelt way he discusses his childhood in the film may surprise people: He sits on a bare stage with French TV personality Antoine de Caunes in a Paris theater, reporters arrayed in the orchestra seats, answering with measured, thoughtful observations.

The relationship between father and son was fraught when Bruce was a teenager. Doug Springsteen, who died in 1998, held jobs in a rug factory, as a cab driver and as a prison guard. None seemed to last long. At one point the Springsteens were forced to move in with Bruce's grandparents; at another, they rented.

Doug Springsteen was not a happy man at the time, and his son's late-night activities, playing in clubs and bars along the Jersey shore, didn't help matters.

"Some nights, [Doug] just sat in the kitchen of the South Street house, drinking beer, with all the lights off," writes Marc Dolan in a new Springsteen biography, "Bruce Springsteen and the Promise of Rock 'n' Roll."

Bruce has described his teenage self coming home late, hoping to tiptoe past the elder Springsteen. Often he didn't make it, and their conversation would descend into a furious argument, one that only ended when his mother intervened.

"My father struggled to find work. I saw that was deeply painful [and] created a crisis of masculinity," he said in the Paris talk. "And that results in a house that turns into quite a bit like a minefield."

American reality vs. the American dream

Almost 40 years after his first album, 1973's "Greetings from Asbury Park, N.J.," Springsteen remains a source of fascination. "Born to Run" (1975) made him a star; "Born in the U.S.A." (1984) made him a phenomenon. In the last two decades his albums have ranged from the brooding ("The Ghost of Tom Joad") to the loose-limbed ("The Seeger Sessions"), with perhaps the best received -- 2002's "The Rising" -- meditating on 9/11.

His latest album, the pointedly political "Wrecking Ball," debuted at No. 1 on Billboard's album chart in early March, Springsteen's 10th chart-topper. He's also the subject of two 2012 biographies: Dolan's and a forthcoming volume by Peter Ames Carlin (who has written biographies of Brian Wilson and Paul McCartney).

Review: "Wrecking Ball" has strong moments

Though the new album has generally earned positive reviews, the politics that undergird it -- and Springsteen's determination to talk about those issues, such as joblessness, corporate greed and governmental responsibility -- have received their share of catcalls.

"He should stick to music rather than interviews in which he offers social commentary," wrote Peter Wehner in the the conservative journal Commentary, dismissing Springsteen as "a $200 million poor boy from New Jersey." Wehner has been an official in Republican presidential administrations going back to the Reagan era.

It's not the first time Springsteen has come under fire. He has been considered out of touch, overrated and, especially in our contentious age, a reciter of "shallow left-wing talking points," in Wehner's description. The latter complaints have followed Springsteen at least since 1984, when he bristled at being invoked by Ronald Reagan in a campaign speech.

For Springsteen, "Wrecking Ball" is of a piece with his other work -- which, as he's said more than once, describes "the distance between American reality and the American dream."

"There is a feeling of patriotism underneath," he said of "Wrecking Ball." "At the same time it's a very critical, questioning, often angry sort of patriotism."

A call to attention

Anger is the wellspring for plenty of great rock 'n' roll: Chuck Berry's "Too Much Monkey Business," the MC5's "Kick Out the Jams," the Sex Pistols' "God Save the Queen" and pretty much every 17-year-old's decision to turn his amp up to 11. As Springsteen himself has said, "You can never go wrong pissed off in rock 'n' roll."

But anger is usually overlooked in the popular image of Bruce Springsteen. He's often portrayed as a distinctly American bard, passionate and reassuring, celebrating the open road and eulogizing the past, especially if the present consists of boarded-up Main Streets and closed-down factories.

But it's there, in lyrics hissing like hot lead: "You're born into this life paying for the sins of somebody else's past" ("Adam Raised a Cain"); "I'm 10 years burning down the road / Nowhere to run ain't got nowhere to go" (the oft-misunderstood "Born in the U.S.A."); "The road of good intentions has gone dry as a bone" ("We Take Care of Our Own").

As Springsteen told an audience at SXSW in March, he has taken the message of the Animals' "We Gotta Get Out of This Place" seriously, both literally and metaphorically.

"That's every song I've ever written," he said. "That's all of them. I'm not kidding."

It's no act, said Dolan. But it has become a means to an end: a way to inspire his listeners and call attention to social justice.

"As he's gotten older, he has come to believe more in the power of bringing people together with that music and sending them out into the world with ideas that need to be acted on," Dolan said.

Doug and Bruce Springsteen became close in later years, but the early memories never left Bruce. "I think a lot of the anger that surfaced in my music from day one comes out of that particular [time]," he told the European reporters.

Springsteen added that some people may not want to hear the anger, or any reminders of real-life anguish. They'll have their own interpretations. "You put it out there and people hear it, and then it's up to them," he said.

But Springsteen will keep pushing forward and asking questions -- about himself, about culture, about America and the world. It's probably why he is seen in so many different ways.

"It's funny," said Dolan. "When you do readings about Bruce Springsteen, everybody comes up to you and tells you who they think Bruce Springsteen really is. And all of their opinions are different."

There's nothing Springsteen can do about it except be himself -- anger, compassion, hope and all.

@highlight

Bruce Springsteen's "Wrecking Ball" a sometimes angry look at America today

@highlight

Springsteen knows impact rough times can have on home -- he's been there

@highlight

Singer generally known as inspiring and upbeat, but he has many sides

@highlight

At bottom of it all is a call to social justice, says biographer