(CNN) -- By July 20, a historic deal may be reached to resolve the Iranian nuclear standoff.

The choice America will face at that point is whether to lift sanctions on Iran in order to extract valuable and irreversible nuclear concessions from Tehran. Any debate over whether to exchange sanctions for limitations to Iran's nuclear program, however, would be incomplete at best and misleading at worst if it does not address the cost of this policy.

Surprisingly, the U.S. government has not conducted any study to assess the cost of its two decades-long policy of sanctioning Iran.

According to our study, based on an econometric gravity model that commonly is used to measure trade patterns, the United States is by far the biggest loser of all nations enforcing sanctions on Iran. From 1995 to 2012, the U.S. sacrificed between $134.7 and $175.3 billion in potential export revenue to Iran.

These are astonishing numbers. But the human cost is even more surprising.

Based on the Department of Commerce's annual report on jobs supported per billion dollars of exports, this lost export revenue translates into between 51,043 and 66,436 job opportunities lost per year on average. In 2008 alone, as many as 214,657 to 279,389 job opportunities were relinquished.

Texas and California are likely the biggest losers in terms of lost job opportunities, due to their size as well as the strength of their industries in areas attractive to the Iranian economy -- oil and gas, automobiles, green energy, and telecommunications to name a few.

Yet, these are conservative numbers. The model only captures lost export revenues and does not take into account secondary effects of sanctions such as higher oil prices to the broader U.S. economy. Nor does it account for how lower Iranian GDP and imports -- as a result of sanctions -- further suppresses Iran's ability to absorb exports from the sanctioning countries. Consequently, the full cost to the U.S. economy is likely even higher than the numbers listed here.

America is not alone in losing export revenue and job opportunities as a result of the Iran sanctions. Sanctions cost the EU states more than twice as much as the United States in terms of lost trade revenue between 2010 and 2012. Germany was hit the hardest, followed by Italy and France.

It is not uncommon that cost becomes a secondary factor when devising national security policy. But as American and Iranian diplomats try to negotiate nuclear deal in Vienna together with their EU, Russian and Chinese partners, the question is not whether sanctions have been justified.

Rather, the question is whether sanctions should be exchanged for blocking Iran's uranium and plutonium pathways towards a nuclear weapon. These are pathways, incidentally, that cannot be bombed. As former IAEA chief Mohamed ElBaradei famously said, "You can bomb their facilities, but you cannot bomb their knowledge."

Opponents of a nuclear deal argue that intensified sanctions provide a more effective route to halting Tehran's nuclear activities. They also fear that sanctions relief will give Iran a get-out-of-jail-free card and enable it to restart its nuclear program at a later stage.

The arguments in favor of sanctions, or against a deal that entails sanctions relief, are debatable. In the words of U.S. President Barack Obama, the idea that Iran would simply surrender to American demands due to the economic pressure of sanctions "does not reflect an honest understanding of the Iranian people or the Iranian regime."

In addition, continuing sanctions may break the international coalition against Iran. Lawmakers on Capitol Hill have heard directly from Europeans that if a reasonable deal is reached, the EU will not accept the cost of sanctions even if Congress rejects the nuclear deal.

It will be Congress, not Europe, that will break the transatlantic coalition by clinging on to sanctions at the expense of a nuclear resolution, the Europeans have said.

If the Obama administration in the next few days manages to secure a deal over Iran's nuclear program, some in Washington will ask whether the deal is good enough to "give up sanctions." But the American public must also ask themselves if the cost of sanctions to the U.S. economy is worth shouldering if other options exist.

@highlight

A July 20 deadline to reach a permanent deal on Iran's nuclear program is looming

@highlight

If a deal is reached, the U.S. will have to decide whether to lift sanctions, authors say

@highlight

They say the U.S. is the most negatively impacted of the nations imposing sanctions

@highlight

The EU will likely end sanctions if a reasonable deal is reached, regardless of the U.S., they say