(CNN) -- In the brief history of Web sites, there are few if any second chances. Remember Friendster?

Experts say MySpace should focus on music to stage a comeback. Here, Green Day performs at a MySpace event.

That's why it's difficult for some industry observers to see a comeback for MySpace, the large online social network that has seen its popularity flatline and its hipness surpassed by younger sites like Twitter and Facebook in recent months.

"If you look back at the first era of the Web, there are a bunch of companies that didn't survive that -- the search sites like Lycos and Excite," said Richard MacManus, founder and editor of ReadWriteWeb, a technology news site. "I guess you could say MySpace is in danger of falling into the same black hole those companies did."

He added: "If you look at the history, MySpace is going to disappear over time."

MacManus and others said it is possible but unlikely that MySpace will buck the Web's high turnover rate. If successful, a reborn MySpace would prove something new: that it's possible for a big-name Web site to recover from a slump.

There are some signs that MySpace is trying to reinvent itself.

In April, MySpace hired a new chief executive, Owen Van Natta, who comes from a background in online music and is expected to help the social network beef up its strong presence in the entertainment community.

Van Natta joined MySpace after a stint at Project Playlist, a music site, and after working as an executive at Facebook.

He takes the helm at MySpace at a time when the site is looking stale compared with its newer competitors. Facebook unseated MySpace as the most popular online social network worldwide in the spring of last year, according to comScore, a research firm.

At the end of 2008, Facebook had about 220 million visitors worldwide, compared with MySpace's 125 million, comScore says. MySpace's popularity appears to have plateaued, while Facebook's continues to increase.

Van Natta, who declined an interview request from CNN, said at a recent technology convention that innovation could put MySpace back on top.

"Clearly, we're not the darling of the press right now, but the great thing about the Internet is that you have the opportunity to innovate and disrupt that narrative if you can deliver on these innovation promises," he said at The Wall Street Journal's D: All Things Digital conference.

Van Natta did not say what those changes might be.

MySpace needs to "figure out what their secret sauce is going to be" in order to survive, said Adam Ostrow, editor in chief of Mashable, a news site focused on technology. He added that the site shouldn't be discounted entirely because it remains "huge by any standards."

Ostrow said MySpace is an example of how corporate ownership slows innovation, which spells death in the fast-moving realm of Internet technology. MySpace's innovative spirit largely died when News Corp. bought the site in 2005, he said.

This left room for Facebook to come up with new ideas and plot a takeover.

"If you look at MySpace, it really peaked a few months after News Corp. acquired it," he said. "News Corp. really came in and focused heavily on monetization [of the site], but perhaps, in retrospect, it was really at the sacrifice of growing the community."

The site should capitalize on what makes it different from other sites: its music player, said MG Siegler, a writer at TechCrunch, a technology news site. But that still may not be enough for MySpace to rebound, he said.

"The Web, and technology in general, are both about what-have-you-done-for-me-lately," Siegler said. "It's hard. When any kind of site becomes super-popular, they maybe just kind of rest on their laurels, and they're content to keep their user base ... and then a site comes along and does something like a platform for third-party developers, like Facebook did, and then it kind of turns the market on its side."

To stage a comeback, MySpace would have to create something "completely outside of the box," he said. iReport.com: Can websites like MySpace make a comeback?

The problem isn't necessarily with MySpace as much as it is with the nature of online social network users today, said Jon Gibs, vice president of media analytics for Nielsen Online, a research firm.

Web users are fickle, he said.

"It seems that social networks are incredibly portable, meaning that me and my friends can go from MySpace to Facebook to Twitter without blinking much," he said.

History proves this point, he said, adding that no site has been able to successfully recover from a substantial loss of popularity.

The life cycle of social networks, which appears to be shortening, is perhaps less than two years now, Gibs added.

"Facebook, as sort of an important thing in people's lives, is probably a year and a half old. And people are already out there saying, 'Well, Facebook's passé, and Twitter is the thing to do now. And before that, it seemed like MySpace had maybe a two-and-a-half-year window," he said.

MySpace may become a niche network that's focused on its users' interests in music and entertainment, he said.

The site also could follow the lead of Friendster and find popularity outside the U.S., said Siegler, of TechCrunch.

"I think that is a decent play to keep yourself alive," he said.

Friendster, once the most popular online social network in the U.S., fell off the map here but now is among the hottest Web sites in Southeast Asia. The company moved its headquarters from San Francisco, California, to Sydney, Australia, as a symbol of the shift.

MySpace also faces a demographics problem. Its users tend to be younger than Facebook's and therefore have potentially less value in the eyes of advertisers, said Matt Tatham, spokesman for Hitwise, a research company.

International users also are harder to make money from, Siegler said.

Gibs, of Nielsen, said there always will be new online social networks to challenge the old guard. The newest player is Twitter, a micro-blogging site where users post 140-character messages.

"We have already begun to hear rumbles that Facebook is beginning to wane and we all should be Twittering," he said.

And soon, Gibs said, technology will evolve to the point where it leaves MySpace, Facebook or Twitter behind.

@highlight

Web sites get few if any second chances at success

@highlight

Experts say MySpace has fallen out of favor and will be hard-pressed to recover

@highlight

The site could follow Friendster's lead and go international

@highlight

Or it could focus on its roots in music