(CNN) -- The death rate from cancer in the United States has dropped dramatically in the last two decades, according to a new report from the American Cancer Society.

American cancer death rates have risen consistently since the 1900s; they peaked in 1991 at 215.1 deaths per 100,000 in the population. The 2009 death rate, which just became available, is 173.1 per 100,000. That's a 20% decline in cancer death rates from 1991.

The report also includes grim news. The ACS estimates 1.6 million Americans will be diagnosed with cancer and more than 580,000 will die of cancer in 2013. As has been the case for decades, only cardiovascular disease will kill more Americans.

The report, released Thursday, compiles the most recent data on cancer incidence, mortality and survival. It is based on data gathered by the National Cancer Institute, the Centers for Disease Control and Prevention, and the North American Association of Central Cancer Registries.

The decline in deaths from 1991 to 2009 is clear evidence of progress in the fight against cancer. It is far more powerful than other statistics such as increasing survival rates or declining incidence rates.

The 20% decrease translates into the prevention of 1.18 million cancer deaths. In 2009 alone, nearly 153,000 cancer deaths were prevented.

Cancer now No. 1 killer of U.S. Hispanics

There were declines in the death rates for a number of major cancers. Lung, colorectal, breast and prostate cancer make up nearly half of all cancers diagnosed in the United States. All four had greater than 30% decreases in mortality rates.

The single biggest reason for this good news is reduction in smoking rates. Improvements in early detection and cancer treatment also contributed to the decline.

Analysis of the data tells us that we can do better. Substantially more lives could be saved if existing methods of cancer prevention and treatment were practiced more widely. This is incredibly important as the U.S. population increases in size and the proportion of older Americans grows.

The leading cause of cancer in the United States is smoking. More than one in five Americans still smoke.

In some states, such as Kentucky and Missouri, nearly 30% of residents smoke. These states have the highest cancer death rates. In other states, such as California and Utah, smoking rates are as low as 10%. These states have the lowest cancer death rates.

The obesity epidemic is also affecting cancer rates in a very negative way. Indeed, obesity is the second leading cause of cancer. More than a dozen cancers -- from breast and prostate cancer to pancreatic and colon cancer -- have been linked to America's epidemic of high caloric intake and lack of physical activity.

While 15% of adults were obese in 1970, more than 35% were obese in 2010. Even more concerning, 4% of children aged 6 to 11 were obese in 1970; 20% of that group were obese in 2010. While overall there is a significant decline in cancer mortality, the obesity epidemic is continuing to push the cancer mortality rate upward.

A substantial proportion of Americans do not receive the high-quality preventive and treatment services that experts agree people should get. More than a third of women over 50 are not getting routine breast cancer screening. Nearly half of Americans over 50 are not getting colon cancer screening. These are interventions about which there is no controversy.

Value of mass prostate cancer screenings questioned

Even more unsettling, a substantial number of Americans diagnosed with cancer are unable to get adequate treatment. If we simply get adequate medical care to those who need it, more lives could be saved.

More from Brawley: How doctors do harm

@highlight

American Cancer Society releases annual report on mortality, survival

@highlight

Death rates declined for lung, colorectal, breast and prostate cancer

@highlight

Smoking and obesity still play a major role in causing cancer, Brawley says