(CNN) -- The late House Speaker Tip O'Neill once said, "All politics is local." Certainly there is some truth to this in the Roman Catholic Church.

Most practicing Catholics experience the church through the parish they attend, and its sacramental life through the priests who minister there. Those priests are ordained for a particular diocese that exists, along with others, within a particular geographic area administered by its local bishop. That bishop is named by the Pope, but it is the Vatican Congregation for Bishops in Rome that has major influence in determining who is selected as a bishop and where he is assigned to administrate.

And this is where Pope Francis is making his agenda felt this week. By removing the American Cardinals Raymond Burke and Justin Rigali from the Congregation for Bishops and appointing Cardinal Donald Wuerl, he is signaling the most radical kind of change -- one that will affect the church's hierarchical structure from top to bottom. It is bishops who determine the tenor and emphases of local church communities.

The Congregation for Bishops is being peopled by a different kind of person, who will implement Francis' vision of a church governed as much by compassion as by orthodoxy. This is a big deal.

While Burke champions traditional marriage, condemns abortion and cherishes fine vestments, Rigali appeared less sensitive to the gravity of the priest-pedophilia tragedy, positions associated with Roman Catholic conservatives. By removing these men, Francis is shifting emphasis and establishing different priorities.

But Wuerl is hardly a liberal. While the new bishop of Pittsburgh deviated from his predecessor's practice of washing only men's feet and included women at the Holy Thursday service, a gesture associated with Jesus' serving his disciples, he also accepted Rome's request to serve as coadjutor of the Diocese of Seattle when its bishop expressed views regarding homosexuality, divorce and the priesthood that Rome considered too liberal. He also was executive secretary of a papally mandated study of U.S. seminaries.

So he is not so easily pigeonholed as either liberal or conservative. He takes pastoral initiative, seeming to believe that "authentic power is service," as Francis has said, but he is also a loyal son. Described in a 2013 National Catholic Reporter article as "dead center of the bishops' conference," he is reported as saying, "In the pulpit we're supposed to present the teaching with all of its unvarnished clarity, but when you step out of the pulpit, you have to meet people where they are and try to walk with them."

Francis has reconstituted the Congregation for Bishops beyond the replacement of two American prelates. All of his new appointments to the congregation, we may be sure, accord with his perspective: Compassion and solidarity are at the forefront. He prioritizes the hopes and the anguish of the people he seeks to serve rather than abstract right teaching.

Consistent with Francis' own witness to date and his efforts so far to renew the Curia (the Vatican bureaucracy), this appointment of carefully selected men to the Congregation for Bishops, men who share his priorities, may well be the most powerful tool available to him to effect far-reaching and sustained change -- in every parish throughout the entire world.

In his book "Pope Francis: Why He Leads the Way He Leads," Chris Lowney begins each chapter with a quotation from Francis. These speak eloquently to why Burke and Rigali have been replaced, not for anything bad they have done but because of the new emphasis Francis desires to bring to his papacy.

Introducing "The New Leader" chapter: "Today's world stands in great need of witnesses, not so much of teachers but rather of witnesses. It's not so much about speaking, but speaking with our whole lives." Perhaps this is why Francis shared his birthday breakfast Tuesday with four homeless men.

For Chapter 4, "Washing Feet: Authentic Power Is Service": "This is a symbol, it is a sign. ... Washing feet means, 'I am at your service.' As a priest and as a bishop I must be at your service." Was it not at an Italian prison that Francis washed feet last Holy Thursday, including the feet of Muslim girls?

A third and telling quotation is taken from Francis' address to Brazilian bishops in July: "(U)nless we train ministers capable of warming people's hearts, of walking with them in the night, of dialoguing with their hopes and disappointments, of mending their brokenness, what hope can we have for our present and future journey?" No doubt Francis wants to guarantee that those who are appointed bishops are in accord with this perspective.

Francis, as he has presented himself, is neither conservative nor liberal. He is not about ideology but about the Gospel. Matthew 25 comes readily to mind: Feed the hungry, give drink to the thirsty, welcome the stranger, cloth the naked, care for the sick, visit those in prison -- as do the admonitions in Matthew 7:1: "Judge not, that you may not be judged," and 1 Colossians 3:13: "As the Lord has forgiven you, so you must also do."

The opinions expressed in this commentary are solely those of Alice L. Laffey.

@highlight

Alice Laffey: Pope signals radical change by upending Congregation of Bishops

@highlight

She says congregation helps pick bishops, who will implement Francis' vision

@highlight

She says mandate not about politics but compassion and solidarity with those served

@highlight

Laffey: This is powerful tool for him to effect far-reaching, sustained change around world