One thing appeared certain when Barnes & Noble announced Thursday how much money its Nook e-readers brought in over the past three months: The news would be lousy.

And it was. Revenue from the company's Nook division for its fiscal 2013 third quarter declined 26% from the same period a year ago, primarily as a result of slumping sales of the devices.

Is the bookseller just losing ground to rival Amazon and its market-leading line of Kindles? Perhaps. But many tech analysts see something else happening: the booming market for tablet computers is starting to make the dedicated e-reader obsolete.

"It's not that the Nook failed," said James McQuivey, a digital analyst at Forrester Research. "It's that the world of tablets exploded, going faster than anyone expected, putting us in a place where tablets are now a fundamental part of our computing and lifestyle entourage, not just a handy device to consume a bit of media."

Apple rocked the computing world in 2010 with the release of the iPad, introducing the world to the concept of user-friendly tablets. While they already existed in some form, tablets were pretty much unknown to all but the most tech-savvy among us. Since then, all Apple has done is sell more than 120 million of them.

Competitors struggled to come up with a worthy alternative until late the next year, when Amazon -- already a leader in the e-reader market -- rolled out its simpler, smaller Kindle Fire, priced at $199, far lower than the iPad.

Its relative success not only inspired the launch of devices such as the Google Nexus 7, but it likely nudged Apple into the new midsize tablet market with the iPad Mini.

The net effect? Anyone interested in a tablet now probably has a price point with which they'll be comfortable. And tablets, which are priced similarly to top e-readers, also work well for reading e-books. Throw in Internet, apps and e-mail -- all on a full-color tablet screen -- and e-readers suffer by comparison.

This trend has been particularly unkind to the Nook.

During the quarter that included last year's holiday season, Barnes & Noble's Nook business, which includes e-readers and e-books, suffered a 12.6% sales decline over 2011, bringing in just $311 million.

Earlier this month, the company said the Nook-related losses they'll announce Thursday would be even bigger than previously expected. The bad news came despite Barnes & Noble slashing the price of its Nook Simple Touch e-reader in December to $79.

Amazon doesn't release detailed sales figures. But the Kindle clearly emerged as the market leader in the past couple of years, after doing neck-and-neck battle with the Nook early on. In the last quarter of 2012, the company said it increased its sale of e-books and other content for Kindles and similar devices by 22% over the same quarter in 2011.

But analysts expect that even Amazon's success with dedicated e-readers will fade.

"It's a rough market to compete," said Michael Gartenberg, a tech-industry analyst with research firm Gartner Inc. "On one hand, devices like the iPad dominate the consumer tablet experience which includes reading. On the other hand, less demand for dedicated devices had helped Amazon, which already established a strong brand presence with Kindle as part of a much larger personal-cloud ecosystem."

Amazon has transitioned well into that new world. This holiday season, the new Kindle Fire HD was Amazon's top-selling device in the Kindle line, the company announced. Second? The older, and price-reduced, Kindle Fire.

Hands-on with the new Kindles

And unlike Barnes & Noble, which is strongly branded as a bookstore, Amazon has created its own online universe of sales, McQuivey said.

"As part of Barnes & Noble, the Nook is stuck as a media device offered to media consumers when in reality the tablet business is poised for much more than this," he said.

Many reviewers actually liked Barnes & Noble's response, the Nook Tablet, better than the first-generation Kindle Fire. But, as McQuivey notes, its lack of an expansive ecosystem hurt it.

When the first wave of tablets hit the market, three years after the first Kindle and a year after the Nook, e-readers could still boast a significantly better reading experience. E-ink felt significantly more like printed text than a sometimes glare-prone tablet screen, which was difficult to read in bright sunlight.

But now, every one of the major tablet makers boasts high-definition screens that ratchet up not just the quality of video and snazzy graphics but the way text appears in reading apps.

The general consensus among observers is that they haven't caught up to the dedicated e-readers in text quality quite yet, but give them time.

"If you love reading and are looking to invest a chunk of money into a device as a dedicated e-reader, then the iPad is not your best bet," Cesar Torres, of CNN content partner ArsTechnica, wrote last year in a review comparing the third-generation iPad to e-readers such as the third-generation Kindle. (That iPad has the same screen as the most recent one).

"The value you can get from devices like the Kindle (or several other competitors like the Sony Reader or Kobo), will allow you to save money to spend on what is presumably your main passion: books."

But for folks wanting a more complete computing experience, he wrote, the difference was already negligible.

"The trouble comes when you start to think of your e-reader as more than an e-reader," he wrote. "E-ink Kindles are abysmal at Web browsing, for example, and they don't run popular apps and games like the iPad and other tablets on the market today.

"There are other types of reading, like webpages and magazines, that matter just as much as books to many readers, too. For those needs, an iPad's retina display will display images and text like a champ."

So, is there any future for dedicated e-readers?

McQuivey says that as Amazon continues to establish itself as an Internet clearinghouse for all sorts of goods (both physical and digital), the Nook, which got a $300 million infusion from Microsoft last year, could look to selling textbooks and other educational tools.

A rumored plan to split the e-book division off from Barnes & Noble's brick-and-mortar stores could come as early as Thursday and would be a perfect jumping-off point, he said.

"All the more reason for Nook to separate from Barnes & Noble, turning to its investment partners like Microsoft and Pearson and saying, 'Let's see how far we can take this platform into productivity and education,' " he said.

"Of course there's risk there, but there was risk in getting into the tablet business."

@highlight

As tablet sales skyrocket, dedicated e-readers have suffered

@highlight

Barnes & Noble is expected to announce dismal sales for its Nook e-reader line

@highlight

Amazon leads the field, but has also done well with its Kindle Fire tablets, online store

@highlight

Observers say reading experience on tablets has improved