Seoul, South Korea (CNN) -- South Korea downplayed North Korea's decision to not follow through on threatened retaliation to its live-fire military drill this week as political maneuvering, according to a key South Korean military official.

Seoul is working to adjust its security approach, believing that North Korea might launch less conventional attacks -- including possible terrorist strikes on large civilian gatherings, according to the South Korean government official. South Korea might also strengthen its intelligence capability, the official said, calling it increasingly crucial to its defense.

The South Korean live-fire naval drill ended peacefully Monday after an hour and 34 minutes. After once threatening the exercise could spur a war, North Korean military leaders said retaliation wasn't necessary but issued a stern warning to South Korea and the United States, according to the state-run Korean Central News Agency.

The key South Korean government official dismissed North Korea's lack of military response as a calculated political decision to build goodwill with China, Russia and other allies.

In recent days, the North agreed to allow U.N. inspectors access to its uranium-enrichment facility and take other steps that could defuse tension if implemented, including consideration of the formation of a military commission between North Korea, South Korea and the United States.

Those steps generated at least the possibility of rare optimism on the Korean peninsula, which has been gripped by anxiety since the sinking of a South Korean warship killed 46 sailors in March.

Tensions rose higher last month, when North Korea shelled Yeonpyeong Island, killing two South Korean marines and two civilians. The North has accused the South of provoking the Yeonpyeong attack because shells from a South Korean military drill landed in the North's waters.

The latest developments in North Korea came amid a visit to North Korea by Bill Richardson, the former U.S. ambassador to the United Nations and current governor of New Mexico. Richardson was acting as a private citizen and not a U.S. envoy

"Maybe we had a little impact with them," he said Monday of the North Korean leaders.

But the South Korean government official viewed Richardson's visit skeptically, saying Pyongyang took advantage of the governor.

Seoul had no official reactions to two proposals -- one to set up a hotline between South and North Korean military leaders and another to have a commission to settle simmering disputes before they flared into full-on military confrontations -- that Richardson said North Korean leaders were receptive to.

Still, the fact that Pyongyang agreed to consider engaging in a multilateral dialogue with other nations through the commission is significant, said Han Park, a professor at the University of Georgia's School of Public and International Affairs and director of the university's Globis Center for the Study of Global Issues.

Dialogue between the North and South alone is "less desirable, because the two are very highly emotionally charged. It's like a family feud, if you will," said Park, a frequent visitor to North Korea who has close, regular contact with high-ranking North Korean officials. That's why the addition of other nations -- the United States and possibly even China -- is necessary, he said.

Park said such a commission would likely discuss one of the most pressing issues -- the boundary in territorial waters.

"I think that will continue to be a source of problems," Park said. North Korea's nuclear program might also be discussed, he said.

There also was talk about creating a hotline between the two nation's militaries "to avert potential crises," according to a statement from Richardson. But Park noted that hotlines have previously been in place, but when tensions escalate, both sides will cut off the line.

Richardson and others emphasized to North Korean leaders that failing to retaliate after the exercise would cast them in a positive light, he said.

"I am encouraged by the news that North Korea will not react militarily to South Korea's drills," Richardson said in the statement. "During my meetings in Pyongyang, I repeatedly pressed North Korea not to retaliate."

Park said he believes that the lack of retaliation by North Korea, while "a welcome sign," is a strategic move aimed at good public relations.

"They were taking the high road, so to speak," he said. "I think they're trying to win the hearts and minds of the people in South Korea as well as around the world." Public relations is "very high on North Korea's agenda," he added.

The U.S. State Department welcomed the North's muted response.

"This is the way countries are supposed to act," U.S. State Department spokesman P.J. Crowley said. "The South Korean exercise was defensive in nature. The North Koreans were notified in advance. There was no basis for a belligerent response."

Asked whether North Korea could be waiting for its southern neighbor to drop its guard before retaliating, Richardson told CNN that is possible but said he thinks the fact that Pyongyang "took responsible action" shows they are moving into a new chapter.

"I think they deserve credit for holding back," he said. "I think North Korea may be sending a signal that they're ready to re-engage after having behaved very negatively."

Richardson, accompanied by CNN's Wolf Blitzer, wrapped up a five-day unofficial trip to North Korea this week.

The South Korean military remained on high alert after the drill ended and is observing the North carefully, the country's Joint Chiefs of Staff said Monday. During the drill, fighter jets took to the sky in preparation for possible North Korean retaliation, according to the South Korean defense ministry.

The South Korean president's office defended the drill Monday, saying, "In a divided country that is militarily pitted against each other, it is natural that as a sovereign country, we will conduct military exercises and defend our territory."

The military exercise took place in waters just south of Yeonpyeong Island.

After the drill ended, North Korean state-run media reported why the North did not react militarily:

"The revolutionary armed forces of the DPRK (Democratic People's Republic of Korea) did not feel any need to retaliate against every despicable military provocation like one taking revenge after facing a blow," KCNA reported North Korean military officials as saying Monday. "The second and third powerful retaliatory strike to be made by the revolutionary armed forces of the DPRK knowing no limit as declared before the world will lead to blowing up the bases of the U.S. and South Korean puppet warmongers."

North Korean military officials also said the United States and South Korea perpetuated military provocation, "far from drawing a lesson from the disgraceful defeat they suffered" from the Yeonpyeong shelling, according to KCNA.

South Korea has not said whether any additional naval drills are imminent.

China's deputy permanent representative to the United Nations, Wang Min, has reiterated China's call for both Koreas to return to the negotiating table.

China is the isolated North's sole major ally and provides it with a crucial fuel and food lifeline.

CNN's Kyung Lah and Jiyeon Lee in Seoul; Richard Roth and Whitney Hurst at the United Nations; Barbara Starr in Washington; and Ashley Hayes in Atlanta contributed to this report.

@highlight

South Korean official calls North Korea's lack of retaliation "political posturing"

@highlight

Official says Seoul will adjust its defensive tactics, fearing less conventional attacks

@highlight

North's consideration of multi-nation dialogue is significant, a professor says

@highlight

North Korea issues stern warning but says retaliation was not necessary