(CNN) -- Millions of Syrians, living in desperate conditions, are hoping that the peace talks in Switzerland will bring some immediate changes.

But the difficulty in reaching agreement even on humanitarian access -- let alone the issue of a transitional government and the future role of Bashar Al Assad -- illustrates the difficulties in translating the elite-level Geneva meetings into real changes on the ground.

The Syrian government has come to the table because it thinks it has gained the upper hand politically, especially since it has become clear that Western countries do not have the appetite to intervene militarily.

Meanwhile, the regime's key allies, Iran and Russia, continue to back it strongly, partly because they see Assad as a force against jihadi terrorism.

The recent U.S.-Iranian rapprochement has not encouraged Iran to change its position on Syria; the opposition and its Gulf allies are worried that it has done the opposite. They argue the U.S. has in effect signaled to Iran that it is only interested in the nuclear issue, and is thus willing to ease sanctions on Iran despite its continued involvement in the violence in Syria.

The Syrian government now says the U.S. has resumed arming "terrorist groups" in Syria, which may be intended to puncture any such complacency.

But arming the opposition is unlikely to tip the balance decisively when opposition forces are facing a large state army backed by other states and by regional militias.

Important absentees

Moreover, this form of high-level, international summit at a luxury resort is seen as well suited to interactions between states. It is not geared to represent the complex and fragmented mixture of non-state actors involved in the Syrian conflict.

The opposition consists of many different, localized factions and militias. The armed groups that are controlling many areas on the ground are absent from the internationally brokered peace talks, raising concerns about how any conclusion would be implemented by the Syrian National Coalition (SNC); compare the difficulties that the Libyan transitional leaders, accepted by the international community, have had in actually imposing their authority over militias on the ground.

There is also the problem of bringing the key regional players -- Iran, Saudi Arabia, Iraq and the Gulf states -- into any agreement.

The issue of Iranian participation was badly mishandled on the eve of the talks. But there are ways to bring them in through proxies or parallel diplomatic processes.

Saudi Arabia has signaled it may be willing to work with elements of the regime in a transitional government, but sees Assad as a red line. Both the role of Assad, and the broader question of Syria's role as a conduit for arms to Hezbollah will be major sticking points.

A slow process

Western diplomats are trying to manage expectations, saying the Geneva talks are the start of a long process that could take many months. It is predictable that they have so far stalled over the issue of a transitional government.

In theory it should be possible to build more of a consensus on humanitarian issues, such as allowing aid into the besieged city of Homs. But even food is politicized, as control of food supplies is being used as a political tactic to put pressure on opposition-held areas, and as the regime has now created a situation where agreeing to allow citizens to eat can be portrayed as making a "concession."

The credibility of all the supposed political representatives is suffering from the ongoing agony on the ground.

The regime is not showing seriousness in building confidence -- despite the many options it has to release imprisoned activists and to end the siege on hungry areas.

Meanwhile, the SNC needs to place the needs of the internally displaced and refugees as a central priority; this does not mean compromising on their political goals, but would rather give them more credibility on the ground.

In interviews in Turkey and Lebanon, many refugees have criticized the SNC for not paying enough attention to their humanitarian needs.

Even in a best case scenario, the solution will involve many steps. The first should be reaching a ceasefire and an agreement on humanitarian aid. The suggestion by the regime, recently supported by Iran, of having a "democratic election" -- which is technically due to take place this year -- is hardly a realistic option when millions of citizens have been forced out of the country.

The opposition needs to be prepared for a lengthy process. The SNC in particular need to try to open new channels of communication with different opposition factions and gain more support from all Syrian communities, to address the fears among some Syrians that even if there was a change of regime, they could just end up moving from one dictatorship to another.

The views expressed in this commentary are solely those of Jane Kinninmont and Abdullah Ali.

@highlight

Syrian government and opposition representatives are attending peace talks in Geneva

@highlight

Jane Kinninmont and Ali Abdullah say the summit does not reflect the mix of non-state actors involved

@highlight

Diplomats have been managing expectations, saying it will be a long process, they say

@highlight

But they say the credibility of all representatives is suffering from ongoing agony on the ground