At first, it's hard to tell what these extraordinary works are made from. Kate Rohde's giant, glowing sculptures resemble backlit jewels, as if they have been carved out of phosphorescent rock. A luminous green box appears to be crafted from fine jade, even if its large size and intricate detail make this implausible. Another piece, labeled a "crystal marsupial", is a translucent purple figure which twists to reveal what looks like a glittering core of amethysts.

In fact, all of these objects are sculpted from a resin which has become Rohde's signature medium as an artist and jeweler. These synthetic resins are so versatile that they can be molded into huge structures, or cut and polished to achieve the luster of gems. Over the past decade, Rohde has shaped this material into fantastic sculptures, including a fluorescent garden filled with jewels and creatures and a pair of turquoise crystal horns which can be worn as a headpiece.

Rohde is fascinated by the morphology of animals and minerals, and her works often have the air of natural history specimens, given a psychedelic twist with their rainbow pigments and exaggerated shapes. One of her characteristic installations is a baroque display case stuffed with a variety of dazzling, incongruous objects: a neon skeleton, an artificial heart, a bright stalactite.

For the Australian artist, there is an excitement about reinventing organic forms and traditional tableaux in day-glo colors, resulting in a mash-up of historical styles. She admits that she is "always drawn to an eclectic mix of influences, things which are aesthetically excessive and colorful and blingy." These display cases are a combination of 19th century diorama and modern fashion editorial, in which scientific models are imbued with futuristic glamor.

In addition to her acclaimed gallery work, Rohde has had a long association with fashion and jewelry design. In 2010, she collaborated with fashion designers Anna Plunkett and Luke Sales of the Sydney label Romance Was Born to produce a Jurassic-themed collection called Renaissance Dinosaur, featuring models in crystal-studded breastplates and multi-colored antlers. She also worked with Romance Was Born to produce a series of fabrics -- and even a line of wallpaper -- depicting a maze of flora and fauna in acid colors.

For Rohde, it makes sense to move between exhibitions, high fashion, and ready-to-wear items, since it allows her to work with "vastly differing scales and functionality. Different fields bring unique challenges, but resin is quite a forgiving material, with flexibility and wide scope for experimentation. It can be built up and cut down in extreme ways."

Working on jewelry enables Rohde to perfect the precise cutting she uses for her gallery pieces, while ambitious sculptural ideas often find their way into her accessories. A crystal bird perched on a cuff functions as both a bracelet and a free-standing sculpture.

Rohde's jewelry line ranges from chunky bangles in cartoon colors to striking but ethereal pieces, such as a cluster of rose-pink shards jutting out from the wrist. An iridescent blue ring with two bug-eye "gems" foregrounds the artist's sense of humor, while a pair of shimmering earrings with scalloped edges is both delicate and flashy. Resin allows multiple color changes to be incorporated into one piece, so that a ring graduates from milky white to translucent pink, and a cuff shows shades of blue seeping into yellow.

It is important to Rohde that the transition to wearable art is made without losing the outlandish and distinctive quality of her style. Her designs for jewelry often draw on the same techniques as her sculptures: in particular, the use of "acrylic icing" to give an opalescent sheen to surfaces, as seen in her pearl-colored rings. At the same time, she is able to embrace the contradictions of working in both the art world and the luxury market, making sumptuous designs out of faux gems and applying painstaking modeling to synthetic materials.

Some of Rohde's fashion collaborations can currently be seen at the National Gallery of Victoria. In the meantime, she is busy researching ideas for new sculptures. Her next exhibition at Melbourne's Karen Woodbury Gallery will have a geological focus, combining crystal structures with mixed media such as technicolor hair extensions she sources in Japan and a kind of plastic which can be dyed in hot water.

She also intends to work the geological theme into her accessories: "I think of my jewelry as small-scale sculptures, like a three-dimensional print with a small edition run. The only difference is that with jewelery, there has to be some serious consideration of the function and how it's worn, whereas a sculpture can be much more impractical."

Striking photos reveal hidden history of black Britons in the Victorian era

The most spectacular buildings of 2014

10 works of art that shocked the world

@highlight

Jewelry designer Kate Rohde creates luminous jewelry out of resin

@highlight

Rohde is primarily inspired by animals, minerals and "futuristic glamor"

@highlight

She also creates elaborate sculptures for exhibition