(CNN) -- Blood from Michael Brown that was found on the uniform and in the police car of Officer Darren Wilson appears to back the officer's version of events, but still leaves questions unanswered, law enforcement sources told CNN.

Those sources corroborated to CNN details first reported by The New York Times about the officer's version of events in Wilson's shooting of the unarmed teen on August 9 in Ferguson, Missouri.

Brown's blood was found on Wilson's gun, on the squad car's interior and on the officer's uniform, according to a U.S. law enforcement official and a second source with knowledge of the forensics presented to the grand jury.

The source corroborated what the Times reported.

At least one of the wounds Brown suffered is consistent with a struggle and appeared to be fired at close range, according to a different source with first-hand knowledge of the investigation.

This finding could lend credibility to Wilson's account that he was fearful for his life after a struggle with Brown in the police car.

However, it is not necessarily a "Eureka moment," the U.S. law enforcement official told CNN, adding it is just one data point in a larger investigation.

The revelations do not answer the question of whether the officer intended to deprive Brown of his civil rights when he stepped out of the car and fired the fatal shot, the first law enforcement official said.

According to the Times, the officer told authorities that Brown hit him and scratched him repeatedly, leaving bruises on his face and neck.

FBI forensic tests showed the gun was fired twice in the car, with one bullet hitting Brown's arm while the second one missed, the newspaper said.

The attorney for the family of the slain teen called again Monday for an indictment of Wilson.

Attorney Daryl Parks said the new details shouldn't preclude Wilson's prosecution for the teen's death.

"If nothing else, you have two competing stories here," he said in an appearance on CNN's "New Day."

He said leaks about the case are making people "weary about the process" and that only an open trial where all the facts are presented will help resolve lingering tensions over the shooting.

Brown's death is the subject of two inquires: one by a St. Louis County grand jury considering whether the 28-year-old officer should be charged, and the other by federal investigators looking into whether any civil rights violations occurred.

'Helpful testimony'

CNN legal analyst Paul Callan said the new account appears to be "strong evidence" favoring the officer, but "the real focus on the case will shift to what happened outside of the car when Michael Brown ran away, according to many witnesses," Callan said.

"I think the focus will shift on the officer," Callan said. "He is not out of the woods yet, even though this is helpful testimony for him."

Complete coverage of the Ferguson shooting and protests

But one critic of the government's response to Brown's shooting reacted angrily to the report.

Angela Whitman, a Ferguson resident who was among activists meeting with U.S. Attorney General Eric Holder in August, found the newspaper account of Wilson's testimony "so hard to believe."

She said the report addressed only the initial encounter and not the subsequent fatal shooting, when some witnesses said Brown was surrendering with his hands up. But police said Wilson shot Brown after the teen attacked him and tried to take his gun.

"If (Michael Brown) struggled with this officer, this still does not justify why this child is not alive," Whitman said. "If this young man did this, and struggled, that means he got free. And then witnesses said he turned around with his hands up. This kid should still be alive."

In an interview with CNN on Monday, Holder sought to manage expectations of activists in Ferguson, acknowledging the high standard investigators must meet, and the possibility there may not be any charges against Wilson.

No particular outcome was promised, aside from a fair investigation and reform of the local police department, Holder noted.

His promise to the people of Ferguson, Holder said, is to carry out an independent investigation, and a closer look at the police department itself.

"We have a 'pattern of practice' investigation going into the police department. So I think that we're doing all that we can with regard to the promises that I've made," Holder said.

Witnesses' version a stark contrast

Most of the accounts of Brown's shooting have focused on what happened outside the car -- on the street -- with conflicting narratives.

Dorian Johnson, 22, who was walking with Brown on the street when the shooting occurred, told CNN that the officer pulled up and told them to get on a sidewalk. They told him they were almost home and would be off the street shortly.

The officer drove forward, but stopped and backed up, almost hitting the pair, Johnson said.

"We were so close, almost inches away, that when he tried to open his door aggressively, the door ricocheted both off me and Big Mike's body and closed back on the officer," he said.

Still in his car, the officer grabbed Brown by his neck, but he tried to pull away as the officer pulled him toward him, Johnson said.

The officer drew his weapon and fired, hitting Brown, Johnson said. A bloodied Brown took off running, but the officer followed him and fired, according to Johnson.

Brown turned around with his hands up and told the officer he was unarmed, but the officer fired and the teen hit the ground, Johnson said.

Another witness, Tiffany Mitchell, has said she saw Wilson and Brown "tussling through the window" of the police cruiser.

CNN's Evan Perez, Pamela Brown, MaryLynn Ryan and Nick Valencia contributed to this report.

@highlight

Nothing in a New York Times report would block prosecution, a Brown family attorney says

@highlight

It's important to have a public airing of all facts at trial, Daryl Parks says

@highlight

Investigators found Brown's blood on the officer's gun, uniform and cruiser, sources say

@highlight

An inquiry has found no civil rights violations, according to The New York Times