(CNN) -- It's not gardening the way most know it -- the people sifting through air plants, succulents and clumps of moss, often between glasses of wine.

But terrarium gardens and other tiny plant projects are popping up at home, in classes and parties. It's a dÃ©cor trend that's partly about plants, and partly about getting personal.

The small, easy-to-care-for gardens have shown up in home design magazines, and on the shelves of craft, dÃ©cor and nursery stores. They create scenes on a shelf, or hang in clusters from the ceiling, softening corners.

As the DIY crowd continues to experiment with the form, they're being made into pendants and earrings or built into miniature containers, like light bulbs and snail shells. Some are even crafting terrariums to commemorate personal experiences.

Share your style! It could be CNN Living's Design of the Day

"I see them with their tweezers, pushing the plants into the moss and making everything just so. It's like a little Japanese Zen garden," said Nicolette Valdespino, owner of Terraria, inside the Atlanta home goods dealer Paris on Ponce. She sells terrariums and teaches monthly terrarium-building classes. "Terrariums are a way of bringing the outdoors in, and I think we all need that. We need some grounding influence in our lives.

"We're never unplugged now. So maybe what we're looking for is that little bit of sanctuary, that little bit of peace."

Atlanta designer and architect Mark Williams said terrariums are popular right now as an antidote to rigid, architectural spaces. They provide an organic texture and color that designers love to work with, as well as create an interesting vignette in a room.

"Instead of putting a palm or a ficus in a corner, it's something you can install on a wall, in a series of containers on a grid, essentially what is a living wall," he said.

But the harmony of terrariums in the home all comes back to texture and scale, Williams said. The plants themselves are gorgeous when you get up close, he said, but take a step back to appreciate the size, shape and color of succulents coming together.

"We love tightly compact clusters of succulents," Williams said of his design company. "They're so different, not something we as Southeastern natives have grown up with."

Aquarium-style terrariums had a moment in the 1970s, but these days, there's an emphasis on fantasy, found objects and the creator's personality. Terrariums can be sparse and minimalist or multi-media. Some adopt Japanese forms, such as kokedama and Bonsai, or serve as a reminder of the owner's travels.

Generally, all anyone really needs to make a terrarium is a vessel, a plant and a substrate for the plant to grow in.

"We've seen an increase in terrarium building for about two years now," said Melodie McDanal, a Pike Nurseries associate and Georgia-certified nursery professional.

In terrariums, people use any plant that survives well in enclosed areas, including succulents, air plants -- plants that receive their nutrients from the air -- palms and begonias.

"There's a big variety now because the growers saw that it was doing really well," she said.

Take CNN's Earth Day quiz

Moss has been a popular part of the trend, too. Its dense texture creates visual interest on a small scale, and it keeps plants moist like mulch would for an outdoor garden. Some moss can be used like a painter might blend colors on a canvas, Valdespino said.

"Reindeer moss, especially, is dyed in reds and greens and turquoise," said Terraria's Valdespino. "When you tear it apart, it has this delicate, coral-like structure that is really beautiful in small spaces."

Sheet moss is a great option for wrapping small plant projects, like begonia balls. They're a Southern take on kokedama, an ancient Japanese hanging garden technique. Valdespino and her partner Vance McCoy took begonias out of their pots, wrapped the dirt in moss and then wrapped string around the ball of dirt.

"It's quiet greenery," she said. "It doesn't get wild, it doesn't overgrow."

But as hobbyists are learning to make their own, they're as much about personal tastes and experiences as how they look in a room.

"The terrarium you make today is most likely not be the same as the terrarium you make five years from now. And that's a good thing because you're changing as an individual," Valdespino said. "Terrariums are representative of you. These are little metaphors for you, for a place you've been or a place you want to go.

"It's not just a fern in a pot."

What's your tiny plant project? Share an image with us on Facebook or on Twitter @CNNLiving.

@highlight

Terrariums and other small plant projects are trendy in home dÃ©cor

@highlight

DIYers are building terrariums in small glass jars, light bulbs and snail shells

@highlight

Designers say the small plant arrangements can tell personal stories

@highlight

Designer: "Terrariums are a way of bringing the outdoors in"