(CNN) -- Matthew Cordle hasn't yet been found liable of killing a man while drinking and driving, but there's not much question about whether he's guilty.

It's not because of the the homicide charges that were filed against him on Monday. But it's because Cordle went on YouTube last week and told the world he'd done just that.

Cordle's confession, a highly produced, three-and-a-half minute video that has been viewed by more than 1.2 million people, is the sort of pronouncement that would have been impossible before the world had social media platforms at its fingertips. And it's raising questions that go far beyond the 22-year-old Ohio man's guilt or innocence.

Chief among them: Was Cordle, who says he plans to plead guilty and accept whatever punishment is handed down, just trying to get a lighter sentence by using the Web to get out in front of a criminal case in which he hadn't even yet been charged?

On Flip the Media, a blog by students, faculty and alumni of the University of Washington's master's program in digital media, graduate Brook Ellingwood argues that parts of the video seem orchestrated to do just that.

"That he sees the video as a tactical move in a legal chess game is evident," Ellingwood writes, noting the way Cordle cites depression as a reason for his drinking.

And if it buys Cordle some sympathy from the court? Well, it's not farfetched to imagine others trying a similar tactic, he writes.

"We may well be in for a flurry of copycat videos as miscreants of all sorts try to duplicate what works in this one," wrote Ellingwood.

"One can imagine the appearance of less and less competent videos, resulting eventually in a criminal confession so ineptly scripted and produced that it becomes an ironically viral phenomenon in the manner of Rebecca Black's 'Friday'."

Cordle's attorney, George S. Breitmayer II, dismisses such speculation.

"Despite any speculation of his intentions, the video was meant to raise awareness related to the serious issues surrounding drinking and driving," he said in a statement sent to CNN.

But what does it mean for criminal justice -- a system that is designed to move deliberately -- that a new generation of young people can potentially influence the system by sharing something instantly with the entire world?

Alex Sheen is the founder of "Because I Said I Would," the website where Cordle's video began spreading. He's also the person who produced it, enhancing the raw footage with a swelling orchestral soundtrack and visual effects that make it look like a public service announcement.

He told CNN that Cordle was familiar with his site, on which people make public pledges to help them follow through with good deeds, and reached out to him with his story. Sheen said he didn't consider contacting police because he knew Cordle was already a suspect and that prosecutors were preparing charges.

A grand jury in Franklin County, Ohio, indicted Cordle on Monday on charges of aggravated vehicular homicide and operating a vehicle under the influence of alcohol. He is charged in the death of Vince Canzani, 61, who was killed June 22 when a wrong-way driver hit his Jeep on Interstate 670 near Columbus, Ohio.

"The whole goal of this video is to convince people to not drink and drive -- to come to that realization that a lot of people make the same excuses that Matt makes in his life about drinking and driving," Sheen said. "To make that message compelling, we made this video."

Sheen calls Cordle's confession and plea for others to avoid drunken driving, "honorable." But he's pushed back against those on his site who have heaped praise upon the young man.

"While Matt certainly made an honorable decision to confess, Because I Said I Would does not believe that Matt should be praised as a 'hero,' " Sheen wrote on the site. "Matt made an irresponsible choice to drink and drive that ended an innocent man's life.

"Matt decided to release this video because he wants to raise awareness about the dangerous and irreversible consequences of drinking and driving. If that message is not heard ... if viewers do not make the commitment to never drink and drive, then the video has certainly failed in its mission."

He's got at least one perhaps unlikely believer.

"He ruined two lives," said Cheryl Oates, the victim's ex-wife. "He took Vince's life, and he ruined his life."

"It's gut-wrenching, coming from a mother, looking at that young boy," she said, saying she admired him for confessing so publicly. "You've got to respect him for that. I'm sorry. You do."

It's impossible to know the full measure of Cordle's motives. Was it self-interest? Sincere remorse? Perhaps some of both?

Ellingwood, now interactive director for a Seattle TV station, can envision it as part of a new, look-at-me world in which Internet celebrity is celebrated, regardless of the reason for it.

"Today, the only thing standing between any one of us and instant celebrity is our ability to create a message with resonance," he wrote.

"Cordle may view the death he caused as a personal opportunity, the mother of all Facebook timeline life events. He may lose a few years to prison, but he won the Internet and when he gets out, he'll have a chance to parlay this 15 minute shot of fame into a repeat. Only time will tell if his redemption story gets him onto 'Dancing With the Stars.' "

@highlight

Video confession raises questions about social sharing

@highlight

Matthew Cordle confessed to drunken driving death in YouTube video

@highlight

The viral post, with more than 1 million views, marks new wrinkle in criminal cases

@highlight

Some speculate video was an effort to sway judge in the case