(Health.com) -- Stepped-up colon-cancer screening has helped slash death rates from the disease across the U.S. in recent years, but not all regions of the country have benefited equally.

According to a new study from the American Cancer Society, the drop in death rates has been considerably faster in the Northeast than in the South.

In the early 1990s, the states with the highest rates of colon-cancer deaths were clustered in the Rust Belt, Mid-Atlantic region, and New England. Within a decade, the study shows, the highest rates could instead be found in the Deep South and Appalachia, thanks to sharp declines in the Northeast.

Death rates in Massachusetts, Rhode Island, New York, Maine, and Connecticut all fell by 33% or more during that 10-year span, whereas the decline was 15% or less in six southern states, including West Virginia, Louisiana, and Alabama, according to the study.

Health.com: Colon cancer: what increases your risk

In Mississippi, the decrease in the death rate wasn't even statistically significant, making it one of only two states (along with Wyoming) to see no measurable improvement.

"The main factor is really [that] screening rates are lower in the South compared to the Northeast," says Ahmedin Jemal, Ph.D., the lead author of the study and the vice president of surveillance research at the American Cancer Society, in Atlanta.

Southern states are generally poorer than northern states, and they tend to have more residents without health insurance who may forgo the regular screening that experts recommend for people over age 50, Jemal explains.

And as the study notes, Southerners are also more likely to be obese and to smoke -- both known risk factors for colon cancer (also known as colorectal cancer).

Health.com: 10 states that consume too much fast food

The new study, which appears in the July issue of the journal Cancer Epidemiology, Biomarkers & Prevention, follows on the heels of a report released Tuesday by the Centers for Disease Control and Prevention (CDC) that highlighted nationwide gains in the fight against colon cancer.

Between 2003 and 2007, the percentage of U.S. adults ages 50 to 75 who had ever had a colonoscopy or other screening test increased from 52 to 65%, according to the report.

The benefits of the wider screening could be seen in the national death rate from the cancer, which declined from 19 to 16.7 per 100,000 inhabitants over the same period. (Jemal and his colleagues used some of the same data sources as the CDC researchers.)

Colon cancer screening saves lives, but more need to do it.

The importance of screening is borne out by the state data in the new study, says D. Kim Turgeon, M.D., an associate professor of gastroenterology at the University of Michigan, in Ann Arbor.

In states that showed reductions in mortality rates of 20% or more between 1990 and 2007, she notes, at least 55% of the target population was screened in 2004.

"All of the states that have really changed their mortality a lot are screening more of the population," she says. Poverty is a key factor in the regional disparities seen in the study, says Mira Katz, Ph.D., an associate professor of health behavior and health promotion at the Ohio State University, in Columbus.

Not only do poor people have less access to health care, Katz says, but they may also be getting confusing messages about screening. Colonoscopies can be prohibitively expensive if not covered by insurance, but many doctors believe they are the only acceptable option and fail to suggest fecal occult blood tests, a more affordable alternative that uses stool samples.

Health.com: Which colon-cancer screening test should you get?

"You have [a] disconnect between what people can afford because they're uninsured, and what providers will recommend," Katz says. "The best colon-cancer screening test is the one that gets done."

The new findings provide more evidence that colon-cancer screening works, but for many people, the tests remain a tough sell, says Leonard Saltz, M.D., head of colorectal oncology at Memorial Sloan-Kettering Cancer Center, in New York City.

"It is hard to convince the average American to go to the doctor when he or she is healthy -- or to convince insurers that money spent on screening now not only saves lives but saves money later," he says.

Copyright Health Magazine 2011

@highlight

Within a decade, highest rates could be found in the Deep South and Appalachia

@highlight

Southerners more likely to be obese and to smoke -- both known risk factors

@highlight

Colonoscopies can be prohibitively expensive if not covered by insurance