(CNN) -- It's a thrill for me as a fisherman to see a wild Alaskan silver salmon jump out of the water with my fly in his mouth. And it's an even greater thrill for me as a father to see my eldest son guide his old man and his little brother into a honey hole full of salmon on a remote Alaskan river.

I experienced both of those thrills this summer, as you can see from the mile-wide grin on my face in this picture.

For three generations my family has come to Alaska to chase wild salmon. The Chinook, the Sockeye, the Coho, the Chum and the Humpback are graceful, powerful beauties with an unerring GPS for home. They're also tasty -- and among the healthiest sources of protein you can find. Wild salmon (the ultimate free-range meat) is high in healthful Omega 3 fatty acids, and has been found to prevent heart disease and diabetes in Native Alaskans -- even those who are obese. No wonder First Alaskans have been happily harvesting salmon for at least 40 centuries.

Of course, humans aren't the only species who know the joy of salmon. I have had the humble honor of sharing an Alaskan stream with a bevy of Brown Bears. Without my expensive waders or flyrod, lacking even polarized sunglasses, they out-fish me every time. I have seen eagles -- mammoth golden eagles and majestic bald eagles, dive-bomb rivers to pick off smaller salmon, and choruses of cacophonous sea gulls scavenge salmon carcasses on a riverbank. And I caught the biggest rainbow trout of my life in Alaska, where the species thrives on salmon eggs.

Salmon is the focal point of so much of the economy in Alaska and the Pacific Northwest. Salmon contribute $1.5 billion annually and 14,000 jobs to the region's economy. For good reason, the Chinook Salmon is the state fish of Alaska.

And yet this magnificent, abundant, nutritious, valuable resource is threatened. A partnership between two companies -- London-based Anglo American, which has a spotty environmental record and Vancouver-based Northern Dynasty -- wants to build one of the world's largest mines to extract copper, gold and molybdenum at the headwaters of two of the most significant rivers in Bristol Bay.

Anglo American says it is committed to a goal of minimizing "any impact to the local environment by designing, operating and closing all of our operations in an environmentally responsible manner."

But the mammoth Pebble Mine would, according to an exhaustive review conducted by the EPA, destroy up to 90 miles of streams and as much as nearly 5,000 acres of wetlands right smack-dab in the middle of one of the largest, most productive and most valuable sockeye fisheries on earth.

The Wild Salmon Center and Trout Unlimited have looked at this proposal as well. The destruction they foresee is biblical: up to 10.8 billion tons of rock waste. If you were to load all that waste onto train cars, the train would stretch to the moon...five times.

The mine would require 9 miles of dams, some of them taller than the Washington Monument. God forbid one of them failed in earthquake-prone Alaska.

"The problem with Pebble is its size, type and location," said Tim Bristol of Trout Unlimited. Bristol notes that the mine would be far bigger than all the other mines in Alaska combined, digging down nearly a mile into the earth straddling the two major drainages of Bristol Bay, the Nushagak and Kvichak, two of the world's greatest producers of sockeye and Chinook salmon. The ore body itself contains a huge amount of acid-generating waste rock. "Imagine a lake of dilute sulfuric acid," he says, making my skin crawl. "A sulfuric lake that must be contained and monitored essentially forever. And this would be happening in one of the more seismically active places anywhere. It's the last place to mine not the first."

To be sure, there are other voices in the debate. The Washington Post editorial board, has hypothesized that the mining companies "can, for example, build extremely high and strong tailings dams, engineering the whole project beyond what standard industry practices would dictate." And the U.S. Chamber of Commerce, the powerful lobby for big business, has mocked the EPA's dire warning, saying the agency has let its imagination run wild.

Still, a clear majority of Alaskans said they opposed Pebble Mine in a poll sponsored by the Bristol Bay Native Corporation, which represents more than 9,000 Eskimio, Aleut, and Athabascans with ancestral ties to Bristol Bay. Perhaps Alaskans see this as a situation in which a handful of business people with un-calloused hands and expensive suits get the gold mine, but Alaskans get the shaft. All so some corporate consortium can sell more copper and gold to the Chinese.

Fortunately, under the Clean Water Act, the EPA has the authority to stop the devastation before it's too late. All they have to do is use it.

Under the Clean Water Act, the EPA can block the mine if it would have an "unacceptable adverse impact" on (among other things) "fishery areas (including spawning and breeding areas), wildlife or recreational areas." EPA should use the power Congress gave it to protect Bristol Bay. The stakes are historic. Just as Teddy Roosevelt is remembered for saving Yellowstone, President Obama and his new EPA Administrator Gina McCarthy can go down in history as the visionary leaders who saved the salmon.

Even if you have never heard a fishing reel sing as line is stripped out by a wild salmon; even if you've never heard your child scream "Fish on!"; if you've never felt the pull of a fighting fish or even tasted succulent fresh Alaskan salmon, you have a stake in stopping Pebble Mine. An environmental stake, an economic stake, a moral stake.

Years ago my father shook his head and grinned as I stood in chest-deep water in 39-degree weather and caught my first Alaskan salmon on a fly in the driving rain. This summer it was my turn for my heart to swell with parental pride as my sons out-fished me in Alaska. So I feel a special obligation to ensure that magnificent habitat is around for their children and grandchildren and on and on for another 4,000 years.

The opinions expressed in this commentary are solely those of Paul Begala.

@highlight

Paul Begala says Alaska boasts a pristine salmon fishing region

@highlight

He says Bristol Bay is threatened by proposal to build big mine for copper, gold

@highlight

Begala says EPA found it would threaten streams and wetlands

@highlight

He urges EPA to use its authority to block the plan for the mine