Baghdad, Iraq (CNN) -- Politicians and foreign diplomats said they were doggedly working Friday to salvage a newly-minted Iraqi government power-sharing deal, a long-awaited agreement that threatened to unravel just hours after it was announced with great fanfare.

Mahmoud Othman, an Iraqi Kurdish lawmaker, told CNN mediation efforts by Kurdish officials, Americans and the Arab League began Thursday after a dramatic walkout by Sunni Arab lawmakers and will continue ahead of Saturday's scheduled parliament session.

Saying that the walkout stemmed from political misunderstandings and deep distrust among politicians, Othman said he hopes the power-sharing agreement will not fall through, but if the situation is "not amended" and "they don't come back I am afraid it will."

Othman believes that Saturday's session will be a key indicator of the deal, hammered out to meet the demands of Shiites, Sunni Arabs and Kurds. The compromise announced Thursday was designed to end an eight months' long stalemate that drew fears of a resurgence in sectarian and insurgent violence in Iraq.

The Sunni walkout, staged by lawmakers in the Iraqiya bloc, was prompted by what it said was the failure of parliament to actually cast a vote on the power-sharing agreement.

It threatened to undermine political amity and lead to the formation of a government without adequate Sunni representation. The squabbling, regarded as a political hiccup by some politicians, was considered possible disaster by others.

President Barack Obama and other U.S. officials praised the power-sharing agreement.

"There are still challenges to overcome, but all indications are that the government will be representative, inclusive and reflect the will of the Iraqi people who cast their ballots in the last election," Obama said at a Friday news conference at the G-20 summit in Seoul, South Korea.

But Ayad Allawi, the former Iraqi prime minister who heads the Sunni-backed and cross-sectarian Iraqiya, told CNN that he scorned what he viewed as a political double-cross.

"This is a new dictatorship that is happening in Iraq," said Allawi, a secular Shiite who walked out with his Sunni allies.

Under the proposed deal, the three major governmental positions were to have been filled by three members of the country's largest ethnic groups -- the Shiites, the Kurds and the Sunni Arabs.

Politicians forged a compromise that left Prime Minister Nuri al-Maliki, a Shiite, and Jalal Talabani, the Kurdish president, in power for another term.

The deal created a powerful new office that was expected to be headed by Allawi, his rival. That office would be called the National Council for Strategic Policies and it would be a check on al-Maliki's power.

Iraqiya also issued demands, including that legislators pass a law within 30 days forming the national council and form a committee to review the files of people illegally detained, a great concern for Sunni Arabs who have accused Iraq's Shiite-dominated government of persecuting them.

It also called for a final agreement on outstanding legislation and for canceling a ban on several Sunni Arab politicians from running in elections. Those politicians have been accused of ties to Saddam Hussein's outlawed Baathist movement.

After lawmakers elected Talabani for a second term, the president gave al-Maliki 30 to 45 days to form a government. Parliament also elected Osama al-Nujaifi, a Sunni Arab from the Iraqiya bloc, to be the parliament speaker.

But Sunnis walked out when parliament didn't accept its demand for a vote on the actual power-sharing agreement and decided to go ahead and make the key vote for a president.

Shiite lawmakers said the vote for power-sharing couldn't be taken because it was not on the agenda, but Allawi disputed this.

"The proceedings were going in the right way. Then suddenly they said we are going to elect the president," Allawi said.

"We said, 'Wait a minute here we agreed that there are points that we agreed that are going to be announced and voted on.' "

"I was very surprised, I was extremely surprised. This agreement was done after talking to Obama, the Arab League." Allawi said.

"It's a joke in a way. What this reflects really, it reflects the intentions of these guys. They don't have the intention to really work on a power sharing formula."

"We don't want to be puppets for a government that does not respect the will of the people, that does not respect power sharing. After all the compromises I am not going to be a puppet running around being a false witness to history."

But Othman said what happened in parliament Thursday was a result of a "misunderstanding" between the country's leaders.

He said al-Iraqiya was under the impression that a U.S. -brokered agreement between al-Maliki, the Kurdish region's president, Massoud Barazani and Allawi would be formalized in a parliamentary vote, while the other blocs thought it was a political deal that would not go to parliament.

Othman said the scenario on Thursday reflected a state of "widespread mistrust" among the political groups and a result of hasty negotiations and a deal that was put together very quickly.

He said while Iraqiya had the right to demand a parliamentary vote, he said their timing was off kilter. He said Iraqiya got its choice for speaker elected and it should have waited for the Talabani to be voted on before pushing for their demands.

Allawi said on Friday he expects the boycott to continue and that he doesn't see himself accepting a role in the new government.

"I personally have made up my mind. I will not be a part of this theater," he said. "I am thinking of forming a council for opposition from inside parliament to start building the issues that we think are right for this country and to use all possible peaceful means to achieve the objectives."

CNN's Mohammed Tawfeeq contributed to this report.

@highlight

U.S., Kurds, Arab League are mediating

@highlight

Politicians say misunderstandings resulted in the walkout

@highlight

Parliament will meet again on Saturday