(CNN) -- The Centers for Disease Control and Prevention received a candidate vaccine virus for swine flu from one institution Friday, spokesman Thomas Skinner said in an e-mail.

The CDC estimates more than 100,000 people have had swine flu in the United States.

The CDC and the U.S. Food and Drug Administration have also created a candidate vaccine virus for swine flu, also known as 2009 H1N1, using reverse genetics, he said.

"Suitable viruses will hopefully be sent to manufacturers by end of next week," Skinner wrote. Once that happens, vaccine makers will tweak the virus and have "pilot lots" of vaccine ready to be tested by mid- to late June.

Several thousand cases have been reported nationally, but the CDC estimates more than 100,000 people have had swine flu in the United States, said Dr. Anne Schuchat, interim deputy director for science and public health program at the CDC, in a news conference Friday. Most of these people probably have not been officially tested.

The first sample virus came from a lab run by virologist Doris Bucher at New York Medical College, in Valhalla, New York.

Bucher told CNN Thursday that she had just packaged four viruses that she considers vaccine candidates and sent the samples to the CDC's headquarters in Atlanta, Georgia, via courier.

Earlier this week, a Korean scientist, Dr. Seo Sang-heui, also claimed to have produced a virus that might be used in a swine flu vaccine. But Skinner said the methods Sang-heui used were not suitable and that his virus was not considered a viable candidate.

Bucher's samples will likely get more attention. For the past five years her lab in Valhalla has produced elements of the seasonal vaccine that's given to tens of millions of Americans each year. She says the process she's using with the H1N1 virus is virtually identical to the process her lab uses when working on that seasonal vaccine.

The virus used in vaccines is not the actual virus that infects people, but rather a hybrid that's been genetically modified to make it safer, and to give it the ability to multiply more quickly -- a crucial factor when it comes to manufacturing large quantities.

Bucher's method of achieving this has a decidedly old-fashioned feel. She first injects a sample of "wild virus"-- in this case, H1N1 virus she got from the CDC, originally culled from a child who was infected in California this spring -- and then injects a sample of another flu strain that's known for its ability to rapidly multiply in eggs. For that, Bucher is using a strain with the exotic sounding name of NYMC X-157. (That's NYMC as in "New York Medical Center;" it's a hybrid of an H3N2 seasonal virus and the so-called "Puerto Rico strain," A/PR/8/34, that's used to speed the growth of seasonal flu vaccine).

Together in the egg, the viruses swap genes. In a laborious series of steps, Bucher's team guides the changes by adding antibodies that eliminate the surface proteins of the H3N2 virus. The end result is a virus with the exterior proteins of the H1N1 swine flu -- so the immune system recognizes it -- but with the inner mechanics -- the fast-growth ability -- of X-157.

Another method of creating a candidate virus also mixes wild virus with a second, fast-growing strain, but instead of growing them in eggs, lets the viruses mingle in a special solution while scientists manipulate them through a complex technique called reverse genetics.

In 2005, Dr. Richard Webby and Dr. Robert Webster at St. Jude Hospital in Memphis, Tennessee, used reverse genetics to produce a vaccine against the H5N1 avian flu virus. Webby has been working to produce a candidate virus against H1N1 as well, but told CNN the virus is growing slower than expected, and that it would likely be a few weeks before a suitable strain is ready to be sent to the CDC.

With any candidate strain, CDC virologists will perform tests to see if the new virus can induce an immune response against the wild H1N1 strain. That's done by using a solution derived from the blood of ferrets, whose susceptibility to flu is similar to that of humans, and also by deliberately trying to infect live ferrets.

If test results are acceptable, the CDC will forward samples of the virus to various manufacturers. Those companies will fine-tune the virus for their own production methods, and produce small "pilot lots" of vaccine that can be tested in animals, and possibly people, for effectiveness and safety.

Only after those tests are complete would the CDC, World Health Organization and other government health authorities decide whether to recommend mass production. Even in the fastest-moving scenarios, that step isn't likely to occur before late June or even July.

CNN's Elizabeth Landau contributed to this report.

@highlight

The CDC received a candidate vaccine virus for swine flu Friday

@highlight

CDC: Suitable viruses will hopefully be sent to manufacturers by end of next week

@highlight

In one vaccine method, viruses swap genes in egg

@highlight

Another technique uses reverse genetics instead of growing viruses in eggs