(CNN) -- When Google announced its cloud-based Chromebook Pixel laptop, the tech community was left puzzled.

They couldn't put a little category box around the Pixel, so they began berating the only thing they could: the software. But sometimes a new product comes along that represents a major shift in how we have learned to do things.

Google loaned me a Pixel for this review, and I liked it so much that after I returned the review model I purchased my own. I've been using it for more than a month, but it only takes turning the computer on once to realize how different it is from anything else out there.

First, though, some background: Google's Chromebooks are built on the promise of cloud computing, where your files live not on your hard drive but on Web servers. Everything you upload is just a click away if you want it to be.

The files don't physically have to be in the same location as the worker. More and more people are embracing the cloud, not just at work, but on their personal machines, too.

They upload all sorts of files, accessible anywhere. Enter the Chromebook.

Within the last two years, Google has started selling these affordable computers that run an operating system called Chrome OS.

Chrome OS, and its open-source sibling, Chromium OS, are Google's answer to the desktop computer. Built for the cloud, they run through a combination of the Chrome OS browser and Web apps.

Up to now, the computers have been inexpensive and fast. But Google has done something unexpected with the new Chromebook Pixel.

This new computer is still very much a Chromebook, but it boasts sturdy, Apple-like aluminium unibody design. It also has a gorgeous touchscreen that demands to be seen and touched. You can interact with all your content with just a swipe of your finger.

After the computer boots up, simply log into your Google account and all your apps, e-mail, calendar appointments and contacts load instantly. Google has created a seductive app launcher, sort of like how Apple operates with its iLife suite but still unique. Instead of a physical computer dictating how you do what you do, the Chromebook Pixel is offering you a way to work and connect that requires only your username and password.

Let's jump right into some of my favorite features:

-- Trackpad. It's the best I have ever used. It is fluid and responsive and in my opinion, better than the MacBook Pro trackpads I've used in the past.

-- Keyboard action response. It is not too firm but not too mushy, as I have experienced on some Apple laptops. Depressing a key on the chiclet-style keyboard produces just the right amount of pushback. I have found that the action of the keys is just stiff enough to prevent accidental bumping of other keys while your hands move across the keyboard.

-- Display. The resolution on the screen, my favorite feature, is simply amazing, although it's more than just the crispness of the screen. The way it renders colors is completely unique. I have used MacBook "Retina display" laptops before, but I prefer the color of the Pixel's display, which appear warmer and more alive. The screen's viewing angles are wide and have very little glare -- perfect for viewing in a group setting.

Now here are three features I don't like so much:

-- Battery Life. I am usually plugged into a wall socket for power, but on the rare chance I venture out without the charger; I'm disappointed how quickly the battery gets to red. I wonder if there is a software update that can do some improvement on power management of the battery?

-- Charging port. It can sometimes get unhinged from the computer by the tiniest accidental pull of the wire. I wish the computer held the power cord a little more snugly so I would not have to keep plugging it back in.

-- Fan noise. I don't usually hear the fan running unless I have a lot of windows open on my screen or am watching a hi-def video. But the Pixel's fan can get spinning very fast and loud. I wonder if a software update would be able correct this when the fan speed switches to hyper-drive.

Still, on balance the Chromebook Pixel is a fine machine. The computer is very quick, thanks to a beefy processor and the fact that most tasks are done via apps online. Its Chrome OS has a history of being secure (although cloud computing will never be as protected as a local personal hard-drive). Earlier this year Google held a competitive hackathon and offered $3.14 million in prize money if anyone could infiltrate Chrome OS.. No winner was announced.

If you're looking for a speedy, sturdy machine and are comfortable living in the cloud, the Pixel may be for you. Overall I found this computer to be a refreshing approach to computing in the cloud, thanks to its hi-def screen and wicked fast computing power. My month with the Pixel thoroughly changed my thinking on how a computer should behave while handling my files.

With the Pixel, I'm totally on cloud nine.

What's been your experience with the Chromebook Pixel? Or are you considering buying one? Let us know in the comments below.

@highlight

The new Chromebook Pixel boasts sturdy, Apple-like aluminum unibody design

@highlight

Its gorgeous touchscreen demands to be seen and touched

@highlight

I was disappointed in its noisy fan and how quickly the battery drained

@highlight

Overall I found this computer to be a refreshing approach to computing in the cloud