In an election-year policy change, the Obama administration said Friday it will stop deporting young illegal immigrants who entered the United States as children if they meet certain requirements.

The shift on the politically volatile issue of immigration policy prompted immediate praise from Latino leaders who have criticized Congress and the White House for inaction, while Republicans reacted with outrage, saying the move amounts to amnesty -- a negative buzz word among conservatives -- and usurps congressional authority.

What to know on immigration in the U.S.

Those who might benefit from the change expressed joy and relief, with celebratory demonstrations forming outside the White House and elsewhere.

Pedro Ramirez, a student who has campaigned for such a move, said he was "definitely speechless," then added: "It's great news."

In a Rose Garden address Friday afternoon, President Barack Obama said the changes caused by his executive order will make immigration policy "more fair, more efficient and more just."

"This is not amnesty. This is not immunity. This is not a path to citizenship. It's not a permanent fix," Obama said to take on conservative criticism of the step. "This is a temporary stopgap measure."

Noting children of illegal immigrants "study in our schools, play in our neighborhoods, befriend our kids, pledge allegiance to our flag," Obama said, "it makes no sense to expel talented young people who are, for all intents and purposes, Americans."

When a reporter interrupted Obama with a hostile question, the president admonished him and declared that the policy change is "the right thing to do."

Under the new policy, people younger than 30 who came to the United States before the age of 16, pose no criminal or security threat, and were successful students or served in the military can get a two-year deferral from deportation, Homeland Security Secretary Janet Napolitano said.

Read the Napolitano memo (PDF)

It also will allow those meeting the requirements to apply for work permits, Napolitano said, adding that participants must be in the United States now and be able to prove they have been living in the country continuously for at least five years.

The change is part of a department effort to target resources at illegal immigrants who pose a greater threat, such as criminals and those trying to enter the country now, Napolitano said, adding it was "well within the framework of existing laws."

2009 study: 4 million 'illegal' immigrant children are native-born citizens

The move addresses a major concern of the Hispanic community and mimics some of the provisions of a Democratic proposal called the DREAM Act that has failed to win enough Republican support to gain congressional approval.

Obama has been criticized by Hispanic-American leaders for an overall increase in deportations of illegal aliens in recent years. Last year, U.S. Immigration and Customs Enforcement removed 396,906 illegal immigrants, the largest number in the agency's history.

Immigration lessons for the U.S. from around the world

Friday's policy change is expected to potentially affect 800,000 people, an administration official told CNN on background.

Both Obama and Napolitano called for Congress to pass the DREAM Act, which would put into law similar steps for children of illegal immigrants to continue living and working in the country.

"I've been dealing with immigration enforcement for 20 years and the plain fact of the matter is that the law that we're working under doesn't match the economic needs of the country today and the law enforcement needs of the country today," Napolitano told CNN. "But as someone who is charged with enforcing the immigration system, we're setting good, strong, sensible priorities, and again these young people really are not the individuals that the immigration removal process was designed to focus upon."

Republicans who have blocked Democratic efforts on immigration reform immediately condemned the move, with some calling it an improper maneuver to skirt congressional opposition.

Rep. Steve King of Iowa, a leading GOP foe of Democratic proposals for immigration reform, threatened to file a lawsuit asking the courts to stop Obama "from implementing his unconstitutional and unlawful policy."

In a Twitter post, Republican Sen. Lindsey Graham of South Carolina called the decision "a classic Barack Obama move of choosing politics over leadership," while House Judiciary Committee Chairman Lamar Smith, R-Texas, called the change a "decision to grant amnesty to potentially millions of illegal immigrants."

"Many illegal immigrants will falsely claim they came here as children and the federal government has no way to check whether their claims are true," Smith said in a statement. "And once these illegal immigrants are granted deferred action, they can then apply for a work permit, which the administration routinely grants 90% of the time."

Others complained the move will flood an already poor job market for young Americans with illegal immigrants.

However, Democratic Sen. Dick Durbin of Illinois, who sponsored the DREAM Act, welcomed the announcement that he said "will give these young immigrants their chance to come out of the shadows and be part of the only country they've ever called home."

Immigration shift sparks reaction from both sides

He rejected the GOP argument that Obama's move was all about politics, noting "there will be those who vote against him because of this decision, too. That's what leadership is about."

Durbin also noted that Obama repeatedly called for Congress to pass immigration reform legislation, including the DREAM  Act. Now that it is clear no progress would occur this Congress, the president acted, Durbin said.

Obama has used executive orders more frequently in recent months to launch initiatives he advocates that have been stymied by the deep partisan divide in Congress. A White House campaign of such steps involving economic programs was labeled "We Can't Wait."

Republican Sen. Marco Rubio of Florida, who has been working on an alternative version of the DREAM Act, criticized Obama for taking a piecemeal approach Friday. He said in a statement that "by once again ignoring the Constitution and going around Congress, this short-term policy will make it harder to find a balanced and responsible long-term one."

Overheard on CNN.com: Decision to defer some deportations symbolic

Rubio is considered a possible running mate for certain GOP presidential nominee Mitt Romney, who rejected the DREAM Act in the heat of the Republican primary campaign but has since expressed willingness to consider whatever Rubio proposes.

Later Friday, Romney told reporters that the issue needs more substantive action than an executive order, which can be replaced by a subsequent president.

He said he agrees with Rubio's statement that Obama's move makes finding a long-term solution more difficult. As president, Romney said, he would seek to provide "certainty and clarity for people who come into this country through no fault of their own by virtue of the actions of their parents."

Hispanics make up the fastest-growing immigrant population in the country, and the Latino vote is considered a crucial bloc for the November presidential election.

A spokeswoman for a major Latino group, the National Council of La Raza, hailed the administration's move.

Joy, skepticism at immigration policy shift

"In light of the congressional inaction on immigration reform, this is the right step for the administration to take at this time," said NCLR spokeswoman Laura Vazquez.

Immigration lawyers also called the change a major step in the right direction. However, one immigration expert warned that the new policy does not guarantee the result sought by participants.

"I worry that the announcement will be implemented more stingily than the administration would like," said Stephen Yale-Loehr, who teaches immigration law at Cornell Law School.

Meanwhile, some evangelical Christian leaders who recently met at the White House to discuss immigration issues also endorsed Friday's move, along with the U.S. Council of Catholic Bishops and some Jewish groups.

Photos: Putting a face on the immigration debate

For Jose Luis Zelaya, who came to the United States illegally from Honduras at age 14 to find his mother, also an illegal immigrant, the new policy means that "maybe I will be able to work without being afraid that someone may deport me."

"There is no fear anymore," he said.

@highlight

President Obama says the new policy is "more fair, more efficient and more just"

@highlight

Republicans criticize the change as a political move that grants amnesty

@highlight

Secretary Napolitano says the change is not amnesty or immunity

@highlight

They must be successful students or have served in the military, with clean records