Sydney (CNN) -- Kevin Rudd and Tony Abbott, the two men vying to be Australia's prime minister in the September 7 national election, offer contrasting views on China, the country that looms largest on Australia's economic and strategic horizon.

Rudd, the Chinese-speaking incumbent prime minister in the Labor-led government, says the China resources boom is over and Australia needs to prepare for that transition, given how important China has become as a trade partner in the past decade.

China is a key destination for Australian resources such as iron ore, coal and LNG. But in recent months, even China's breakneck economic pace has hit some speed bumps.

On the broader geopolitical front, Rudd wants China and the United States to carve out a new Asia-Pacific "strategic road-map" that will enhance trade, investment and security in the region.

READ MORE: Rudd: Better second time around?

The Opposition's view on China

Abbott, who has led the opposition Liberal Party since 2009, wants the Australia-China relationship to move from one based on shared interests to one of "shared values."

But he notes that Australia's friendship with China is more recent than that with Japan, and less developed than that with the United States.

In a major policy speech to a business audience in Beijing last year, Abbott said he believed it would take time before Australia's ties with China approached "the warmth that we take for granted with America." Still, he believes it is an effort worth making.

Like his mentor, former Australian prime minister John Howard, Abbott is a rock-solid supporter of Australia's military alliance with the United States, and believes that it is possible to be friends both with Washington and Beijing. Howard, he said, "understood that you could make a new friend without losing an old one."

Abbott said Australia accepted China's modernization of its armed forces and so Australia's strong military relationship with the United States should be seen more as a means of "building trust than picking sides." His objective in government would be engagement with China rather than containment, and cooperation rather than strategic competition.

Where they agree

Where Rudd and Abbott are in agreement is on the need to wrap up a free trade agreement with China that has been in the works since 2005. The two countries recently began their 20th round of negotiations, but differences over agriculture, investment access and intellectual property protection continue to stymie a result.

In contrast, neighboring New Zealand signed a free trade agreement with China in 2008 and has seen its exports of meat, dairy and other foodstuffs grow significantly.

READ MORE: China orders NZ dairy recall

There has been some bilateral progress this year. During a visit to China in April, Julia Gillard, the Labor leader who took over when Rudd was dumped by his own party in 2010 before she suffered the same fate at Rudd's hands on June 26, signed a "strategic partnership" agreement with President Xi Jinping that calls for annual high-level leadership meetings. Rudd has already invited Xi to visit Australia next year.

Abbott has said that if he wins government, his first overseas trip would be to Indonesia, and his second would include China. He has also pledged to sign a China free trade agreement within 12 months of taking office.

But Abbott has also expressed wariness about Chinese state-controlled investment in Australia. "Chinese investment is complicated by the prevalence of state-owned enterprises," he told the Australian Chamber of Commerce in Beijing. "It would rarely be in Australia's national interest to allow a foreign government or its agencies to control an Australian business."

In that same speech, Abbott pushed the need for Chinese political and legal reforms. "In the long term, China should prosper even more if its people enjoyed freedom under the law and the right to choose a government, despite the difficulty of managing this transition in a country with a tumultuous history," he said.

But whatever disagreements Australia had with China, Abbott said it was important to acknowledge the vast improvement in living standards that Chinese people had enjoyed since the 1970s.

Where Abbott is comfortable with U.S. primacy and policy, Rudd argues that it is up to both China and the United States to take the lead in creating a more integrated, secure and prosperous Asia-Pacific.

Rudd's record in China

The first time Rudd was Australia's prime minister (2007-2010), he irritated the Chinese leadership through his criticism of China's human rights record in Tibet during an April 2008 speech to university students in Beijing.

Rudd, a lifelong student of Chinese history and a fluent Mandarin speaker from his time as a diplomat in the Australian Embassy in Beijing in the 1980s, maintained he was simply speaking frankly, as befitted one of China's "zhengyou" or "true, critical friends."

Rudd's enthusiasm for all things Chinese hasn't waned. For the last year he has been banging the drum about the need for a new China-US strategic road map -- something that may have seen its formative steps in the informal discussions between U.S. President Barack Obama and President Xi at Sunnylands in California in early June.

Rudd believes that Xi is "a Chinese leader that the Americans can do business with." In a speech to foreign correspondents in Sydney late last year, Rudd described Xi as "experienced, confident and self-assured and because of his family's political pedigree (his father Xi Zhongxun was a Politburo member), comfortable with the mantle of political leadership."

READ MORE: Rudd writes on China's leadership change

Certainly the Sunnylands meeting between Obama and Xi looked to have increased the personal chemistry between the two leaders. Unlike some of his predecessors, Xi is relaxed in an international setting and has spent considerable time in the United States.

Rudd sees a role for Xi that goes beyond the development of long-term U.S.-China relations to one that involves "shaping the broad architecture of a new rules-based order for Asia."

This is how Rudd described Xi just before the latter's elevation to the top job in China: "Given the formidable strategic and economic challenges that lie ahead, both for China itself, and China's place in the region and the world, on balance I believe Xi Jinping to be the man for the times."

Road map for China

Rudd's road map for U.S.-China ties includes more regular meetings between the U.S. and Chinese presidents -- about five times a year -- and the appointment on both sides of an undisputed "point person" who would be the main channel for the relationship, in the style of Henry Kissinger in the Nixon era.

For the U.S., that person is current National Security Adviser Susan Rice, who replaced Tom Donilon on July 1. For China, Xi's top foreign policy advisor is former ambassador to the U.S., former foreign minister and current State Councillor Yang Jiechi, though academic and Politburo member Wang Huning is also regarded as an influential "behind the scenes" figure.

In Rudd's view, any U.S.-China strategic road map for Asia should seek to include Japan and China in a new Trans-Pacific Partnership that ideally would become a "genuine free trade area of Asia and the Pacific."

Rudd is the first to acknowledge the difficulties in getting China and Japan together. To achieve this, he says, would require proactive political leadership from Beijing, Washington and Tokyo.

For his part, Abbott says that while U.S. policy is not infallible,"its interventions abroad are invariably in favour of democracy and human rights, not against them."

Because of the history and values shared by Australians and Americans, Abbott said there were easy returns for Australia from the relationship with Washington. But to get anything like comparable returns with China, Australians would have to work much harder.

@highlight

Australian election pits incumbent Kevin Rudd against Tony Abbott

@highlight

Abbott leads Liberal-National coalition, Abbot's mentor is former PM John Howard

@highlight

Rudd wants China and U.S. to carve out new Asia-Pacific "strategic road-map"

@highlight

Abbott wants Australia-China relationship to move to "shared values"