(CNN) -- A three-judge federal appeals court panel Tuesday overturned a lower court's order blocking key parts of a Texas law requiring doctors to provide a sonogram to pregnant women before they get an abortion, potentially clearing the way for enforcement of the law.

In August, just before the law was set to take effect September 1, U.S. District Judge Sam Sparks in Austin, Texas, found several portions of the law "unconstitutionally vague," and ruled it violated the First Amendment by compelling doctors and patients to engage in government-mandated speech.

But a panel on the 5th U.S. Circuit Court of Appeals vacated Sparks' injunction against enforcing the law, saying opponents did not prove it violated the Constitution. The panel remanded the suit back to the lower court for further proceedings.

As written, the law would require women seeking an abortion in Texas to view a picture of the embryo or fetus and hear a description of its development before having the procedure.

Sparks' injunction blocked Texas from enforcing any penalties against a doctor who failed to place sonogram pictures where a pregnant woman may see them, or does not make the fetus' heartbeat audible. It also blocked penalties against the woman.

A previous U.S. Supreme Court ruling in a Pennsylvania case "held that the fact that such truthful, accurate information may cause a woman to choose not to abort her pregnancy only reinforces its relevance to an informed decision," U.S. Circuit Judge Patrick Higginbotham wrote in a concurring opinion. "Insisting that a doctor give this information in his traditional role of securing informed consent is permissible."

"Today's ruling is a victory for all who stand in defense of life," Texas Gov. Rick Perry said in a statement. "Every life lost to abortion is a tragedy, and this important sonogram legislation ensures that every Texas woman seeking an abortion has all the facts about the life she is carrying, and understands the devastating impact of such a life-ending decision.

"We will continue to fight any attempt to limit our state's laws that value and protect the unborn," Perry said.

The suit was filed by the New York-based Center for Reproductive Rights. Nancy Northrup, the center's president and CEO, said the court decision was "extreme."

"This clears the way for the enforcement of an insulting and intrusive law whose sole purpose is to harass women and dissuade them from exercising their constitutionally protected reproductive rights," Northrup said in a statement. "Until today, every court that has reviewed similarly intrusive laws have ruled the laws unconstitutional."

The law, she said, "serves only to place multiple hurdles between women and the free and full exercise of their reproductive rights." The center, she said, is evaluating "all available means" to challenge the Texas law "and all laws that seek to undermine women's fundamental rights."

The bill generated some controversy in Texas, but easily passed through the state's House and Senate, both of which are controlled by Republicans.

The law says that at least 24 hours before an abortion is performed, women must undergo a sonogram, a procedure that uses ultrasound to create an image.

The doctor is required to give, "in a manner understandable to a layperson, a verbal explanation of the results of the sonogram images, including a medical description of the dimensions of the embryo or fetus, the presence of cardiac activity and the presence of external members and internal organs," the law says.

CNN's Jamie Crawford contributed to this report.

@highlight

NEW: Abortion-rights group: Law is "insulting and intrusive"

@highlight

The ruling clears the way for potential enforcement of the law

@highlight

Gov. Rick Perry hails the decision as a victory