(CNN) -- With its approximately 480 million adherents, Latin America is home to an overwhelming plurality of the world's Catholics. But no one from this region (or hemisphere, for that matter) has been ever been chosen to lead the church as pope.

As the church's cardinals gather in the Sistine Chapel to select a new pontiff, the idea of a Latin American pope rises again.

There was talk of a Latin American pope in 2005 -- the last time there was a papal conclave -- but secrecy surrounding the process made it difficult to discern how seriously those candidacies were taken.

Live blog: Picking a new pope

Mike Allison, a political science professor at the University of Scranton who researched this question, said he believes there was really no serious candidate from Latin America at the time.

This go-round is a different story, he says. A number of cardinals from the region have been suggested as pope candidates, according to Allison, and they include the Brazilians Odilo Pedro Scherer and Joao Braz de Aviz, Argentina's Jorge Mario Bergoglio and Leonardo Sandri, and Honduran Oscar Andres Rodriguez Maradiaga.

A look at papal contenders

Brazil and Mexico have the two largest Catholic populations in the world, with more than 133 million and 96 million believers, respectively. However, those numbers have been on the decline, while Protestantism and evangelicalism are on the rise.

"I really think that in choosing someone from the global south, there is important symbolism, but also, their life histories are very different" from previous popes, Allison said.

Cardinals from Latin America have seen the tremendous inequalities that exist in their countries firsthand, and many played a role in their nations' transition to democracy, he said.

"It would be an enormous gesture to name a Latin American pope," said Virginia Garrard-Burnett, a professor of history and religious studies at the University of Texas at Austin.

Precisely because Catholicism is losing ground in the region, a pope from there could be a boost for the faith, she said.

Scherer, the archbishop of Sao Paulo, is an especially intriguing possibility, as he is a Vatican insider and of German descent, which ties him to the traditional European papal picks, she said.

Even though about 39% of all Catholics live in Latin America, only 17% of the cardinal electors hail from there, according to the Pew Forum on Religion & Public Life.

Selecting a pope

Still, the cardinals listed above appear on many of the speculative lists of top contenders for the papacy.

"In terms of trying to prognosticate who the next pope will be, that is a hazardous enterprise," said the Rev. John Ford, professor and coordinator of Hispanic/Latino Programs at the Catholic University of America.

Still, he says, "the choice of a pope from the Americas or Africa would be quite appropriate."

The fact that the last two popes, John Paul II and Benedict XVI, were not from Italy showed the "internationalization" of the papacy, he said. A pick from the Western hemisphere would extend that reach, he said.

As it is, a growing Hispanic population in the United States has led the church to put a greater emphasis on Latino populations, Ford said.

"The selection of a Latin American pope would be particularly welcomed by Latin Americans and Hispanics in the United States," he said.

Candidates from Latin America, however, are not free from criticism and face challenges. In the region, as elsewhere, sex scandals have rocked the church and raised questions about how the incidents were handled. There is also the lingering criticism that the church was too passive during the repressive dictatorships in the region.

A look at some of the names suggested as papal candidates from Latin America:

Odilo Pedro Scherer, Brazil:

At 63, he is one of the youngest candidates. Scherer, the archbishop of Sao Paulo, is known as warm, funny and gregarious. As one of the few cardinals who uses Twitter, he is seen as having a connection to young people, as well. He worked in the all-important Congregation of Bishops from 1994 to 2001. "So he's both an outsider and an insider. That's a pretty good position heading into this conclave," CNN Vatican analyst John Allen said.

Joao Braz de Aviz, Brazil:

As a young priest, bullets riddled his chest and face as the young priest was caught in the crossfire of a robbery. He still carried bullet fragments. He entered the seminary at age 11 and rose up the ranks to become the archbishop of Brasilia. "He is sweet and open and gentle," Allen said. "I think the big question mark about him is precisely because he's such a nice guy: Does he really have the steel and the spine to be able to get his hands around the very complex bureaucracy of the Vatican."

Leonardo Sandri, Argentina:

A veteran diplomat of the Vatican who has served in high-ranking posts, Sandri is considered serious but friendly. He became known as the "voice of the pope" when he spoke for Pope John Paul II after the pope lost the ability to speak due to his health. Sandri was the one who announced the pope's death to the world.

Jorge Mario Bergoglio, Argentina:

Until last year, Bergoglio was the archbishop of Buenos Aires before stepping down because of his age. He is 76. Bergoglio is considered a straight-shooter who calls things as he sees them, and a follower of the church's most conservative wing. He has clashed with the government of President Cristina Fernandez de Kirchner over his opposition to gay marriage and free distribution of contraceptives.

Oscar Andres Rodriguez Maradiaga, Honduras:

The Honduran was elevated to cardinal by Pope John Paul II, and his name had been suggested in 2005 as a possible successor to the papacy. He speaks eight languages, holds degrees in theology, clinical psychology and psychiatry, and is a pilot. He is 71 years old.

CNN's Shasta Darlington and Jose Manuel Rodriguez and journalist Elvin Sandoval contributed to this report.

@highlight

A number of Latin American cardinals have been suggested as pope candidates

@highlight

Observers say a pope from the Americas makes sense

@highlight

The largest percentage of Catholics live in Latin America