(CNN) -- Moammar Gadhafi's first grab at power occurred 42 years ago in the eastern Libyan city of Benghazi, when he led a crew of fellow military officers in taking over key government institutions on his way to usurping the nation's monarchy.

Ever since, he's referred to himself as the Leader of the Revolution -- though politically, at least, Libya has appeared to be largely stable, with few threats to Gadhafi's power.

But that all changed this past week, with reports that tens of thousands took to the streets calling for an end to Gadhafi's rule. And, once again, that change began in Benghazi.

CNN has been unable to independently confirm information on the escalating unrest in Libya, the most isolated nation in the region. The government has not responded to repeated requests from CNN for access to the country and maintains tight control over communications.

Still, phone interviews with witnesses and others on the ground suggest that some of Gadhafi's strongest opposition has been in Benghazi, where protests began and have escalated. Since then, there have been indications that the opposition movement has spread westward toward the capital Tripoli.

Why Gadhafi suddenly came under fire after decades of a strong-handed, seemingly stable rule remains a question.

One obvious factor is that Libya borders Tunisia, where popular unrest last month helped unseat authoritarian President Zine El Abidine Ben Ali after more than two decades in power. Weeks later, a similar movement contributed to the end of Egyptian President Hosni Mubarak's 30-year rule.

Gadhafi is far from alone now. Anti-government protests have popped up all around the Arab world, with pressure growing on powerful leaders in places like Bahrain, Yemen and Algeria.

But what makes Libya unique, in large part, is its colorful, controversial and powerful leader.

Gadhafi was a captain in Libya's army when, on September 1, 1969 -- which is referred to as Revolution Day in Libya -- he and others launched the coup by assuming control of key institutions in Benghazi. The overthrow was completed in two hours, according to GlobalSecurity.org, an independent provider of security information.

At the time, the United States had military aircraft at Wheelus Air Base in Libya. And Washington did not initially oppose the coup, a 2008 Congressional Research Service report noted.

Gadhafi soon established himself as one of America's most vocal, and flamboyant, enemies.

By 1972, Gadhafi urged Muslims to fight the United States and Great Britain and vowed support for black revolutionaries in America. The next year, he launched a program "to destroy imported ideologies, whether they are Eastern or Western," a U.S. State Department timeline noted. In 1979, the U.S. designated Libya as a state sponsor of terrorism.

The relationship only worsened in the 1980s, when U.S. military aircraft shot down two Libyan fighter jets. Libya's alleged attacks in Sudan, support for Nicaragua's Sandanista government and role in the bombing of a West Berlin nightclub only further stoked the ire of the administration of U.S. President Ronald Reagan, who called Gadhafi a "mad dog."

Libya's standing took a turn with the 1988 bombing of Pan Am Flight 103 over Lockerbie, Scotland, killing 270 people. World pressure intensified on Tripoli after Libyan intelligence agents were implicated.

By 1993, Gadhafi told the International Herald Tribune that he was taking a more conciliatory approach to world affairs. He called U.S. President Bill Clinton "the savior of the new world," and decried Islamic militants as "mad dogs" and "terrorists."

Clinton continued to keep pressure on Libya, signing a law imposing sanctions on companies that invested more than $40 million in that nation's petroleum industry. By 1999, Libya finally agreed to transfer the Pan Am 103 suspects for a trial in the Netherlands, leading to their conviction two years later.

While still known for sometimes unconventional comments, Gadhafi appeared to evolve into more of a statesman -- at least internationally. In 2009, he was elected by member states as head of the African Union.

That year, he also addressed the United Nations' General Assembly for the first time. Still, he proved to be more a firebrand than an even-keeled diplomat, delivering a blistering, wide-ranging 96-minute rant.

His topics ranged from the U.N. Security Council to the assassination of U.S. President John F. Kennedy to a one-state solution for Israelis and Palestinians: Isratine. Gadhafi blamed the U.N. for failing to prevent 65 wars since its founding in 1945. But he also had kind words for U.S. President Barack Obama: "We are content and happy if Obama can stay forever as the president of America," Gadhafi said.

While Gadhafi seemed to take on a new role internationally, the world had few insights into what was happening inside Libya itself.

Even as the U.N., the United States and other nations gradually began to soften their stance on Libya, reports suggested that freedom and basic rights remained widely restricted under Gadhafi.

"He hasn't changed," said Fouad Ajami, a professor at Johns Hopkins School of Advanced International Studies. "This is a monster. And the Libyan people are suffering from this."

The government maintained a tight control over its communications, clamping down on news accounts critical of Gadhafi and his colleagues. It also restricted outside media access, including denying repeated requests from CNN to enter the country this month.

On Friday night, Libyan authorities shut down the nation's access to the internet, the U.S.-based tech firm Arbor Networks reported. While there have been indications of spotty Web coverage since, Libya sent out a text message warning about the "inappropriate use of telecommunications services."

Internal political dissent was largely and often violently squashed. Moftah, an anti-government protester who did not give his full name for security reasons, said Gadhafi "always plays on fear" -- relying on a broad network of intelligence agents, secret police and others.

"He makes you afraid of your family, of your friends," Moftah told CNN. "He will tell you that his secret police are everywhere."

And yet, despite the odds, people have still risen up this month against Gadhafi.

For years, Libya profited greatly from its vast oil reserves. One of Gadhafi's first orders of business after taking over was to assume control of properties and other interests of international petroleum companies.

Still, even the great wealth of oil couldn't change the fact that Libya has suffered in the recent global economic downturn. As in much of the Arab world, youth unemployment is high in Libya -- and most of the population has never known a leader other than Gadhafi.

And the fact it began in Benghazi, despite the Libyan leader's early history, is not a surprise, said Dirk Vandewalle, an associate professor at Dartmouth and author of "A History of Modern Libya." He noted that the coastal city has traditionally been seen as somewhat disloyal to Gadhafi's regime.

Whether the Libyan demonstrators can follow the leads of their Arab colleagues in Tunisia and Egypt remains to be seen. If they do, they will have to overcome a cult of personality -- much like prevailed in those countries -- without having any fallback as far as political institutions or legislation to build off should they succeed.

Unlike Egypt, Libya has no constitution, established institutions or any kind of mechanisms in place to support a new nation. The nation and its leader are one.

"In Libya," Vandewalle said, "there is nothing beyond Gadhafi and his close circle."

@highlight

Moammar Gadhafi led a military coup in 1969 that began in Benghazi

@highlight

He now faces his first real popular unrest in 42 years centered in Benghazi

@highlight

Gadhafi has been controversial internationally and has become more a statesman lately

@highlight

His government has restricted communication and freedom, experts and critics say