Editor's note: The staff at CNN.com has been intrigued by the journalism of VICE, an independent media company and Web site based in Brooklyn, New York. The reports, which are produced solely by VICE, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique reporting approach is worthy of sharing with our CNN.com readers.

Santo Tomas, Peru (VICE) -- The town of Santo Tomas is 12,000 feet above sea level, nestled cozily in the vertiginous Peruvian Andes.

Hill dwellers and mountain folk alike have had a reputation for hardiness and endurance ever since ancient Greek geographer Strabo described the Thracian people as a "tough bunch of customers."

Being raised on the side of a cliff anywhere tends to favor the strong, sure-footed and stocky, and the environment of the Andes is a particularly punishing place to grow up. The slopes are craggy, storm-blasted and steep, and food is pretty much limited to potatoes and whatever animals you can chase up a 50-grade incline without falling down the adjacent precipice.

On top of that, altitude sickness generally kicks in around 8,000 feetâ€”setting up house anywhere higher is pretty much relegating yourself to a semi-permanent hangover. Maybe you see where I'm going with this, but people in these hills sometimes get a little bit testy. Just being a farmer here is like living your entire life getting ready to fight.

Regions across the Peruvian and Bolivian Andes have traditional fighting festivals and ceremonies as an outlet for this type of mountain-born aggression. Rules about who fights whom and what weapons you can use (if any) vary from place to place, but the general gist remains the same, as does the expected goal of social catharsis and the collective venting of pent-up steam. In Santo Tomas, the festival is known as Takanakuy, everybody fights everybody, and it happens bright and early Christmas morning.

After a few days of preliminary drinking and dancing in costumes that combine the best aspects of traditional Andean horse-riding gear with the most nightmarish aspects of traditional acid trips, the residents of Santo Tomas wake up and head to the local bullfighting ring to beat each other silly.

Men, women, children, the elderly, the infirm and (especially) the inebriated -- they all pair off, wrap their bare hands with scarves, and give each other a friendly hug before walloping each other full-force in the face. While there are local referees with Roman-style whips to keep the fights from getting too one-sided and an entire crowd to rush in if anybody hits someone on the ground, the level of violence is still miles beyond what goes on in the average boxing or UFC ring. And often with good cause.

The same rugged mountains that imbue the Santo Tomasans with their sturdy physiques and penchant for hitting each other also separate the town from the rest of the country.

The geographical department of Chumbivilcas, for which Santo Tomas serves as the capital, is historically one of the poorest in Peru and cut off not only geographically from the power centers and financial interests of the Pacific coast, but most resources and government services thereof.

The Chumbivilcas police force boasts a whopping three officers, and the nearest courthouse to Santo Tomas is a nauseating, 12-hour car ride on the windiest, most rock-strewn South American road this side of William Friedkin's "Sorceror." The Peruvian legal system basically doesn't extend into the hills of this region, so instead of packing into a van every time they've got a beef with their neighbor, the residents of Chumbivilcas save up their grievances all year then take justice into their own fists at Takanakuy.

Property disputes, stolen girlfriends, stolen boyfriends, stolen sheep, spilled beer -- all issues big and small fall within the bounds of Takanakuy's physical jurisprudence.

While not everyone fights over a serious legal matter -- the better part of combatants just do so for sport or because they're drunk -- those who do so are bound by the results of the match and are generally satisfied by them win or lose (although there have been occasional, impromptu "appeals").

See the rest of Takanakuy at VICE.com

I went to last year's Takanakuy in Santo Tomas and the nearby village of Llique, where I met a legal student from Lima who'd made the same tortuous trek as I had to watch the fighting.

"The average villager in this region has basically no access to lawyers or courts, and even if they travel to a place where they do, odds are the ultimate judgment will not be in their favor. Using violence as a means of solving disputes may seem barbaric to people in the cities, but as you can see, the fighting here is all carefully controlled and the people involved get an immediate and cathartic result," he told me as we watched two teenage girls pounding each other's visibly contused eye sockets with their bleeding fists.

"I've also found that what we're witnessing right now holds closer to the true spirit of English common law than the Roman-influenced court system that the Spanish brought over."

Not exactly sure how accurate that is, but still, hell of a nice way to spend your Christmas.

@highlight

Takanakuy is an event that gives people the chance to solve differences through fighting

@highlight

VICE traveled to Santo Tomas, Peru, to examine Takanakuy first-hand

@highlight

Regions across the Peruvian and Bolivian Andes have traditional fighting festivals