Humans are causing a steep decline in populations of reef sharks in the Pacific Ocean according to a new study by a group of international marine scientists.

The new estimates of reef sharks compared numbers around populated islands with those living near uninhabited ones. The results were sobering, say researchers.

"We estimate that reef shark numbers have dropped substantially around populated islands, generally by more than 90% compared to those at the most untouched reefs," said lead author Marc Nadon from the Joint Institute for Marine and Atmospheric Research at the University of Hawaii.

Over 1600 underwater surveys across 46 U.S. Pacific islands and atolls were undertaken in the study and combined with data on human population, habitat complexity, reef size and satellite records.

The estimates were gathered using "towed-dive surveys" where paired SCUBA divers record shark sightings while being towed behind a small boat. It's a method which provides a more accurate census of mobile reef fish like sharks over large areas, according to researchers.

"Around each of the heavily populated areas we surveyed -- in the main Hawaiian Islands, the Mariana Archipelago and the American Samoa -- reef shark numbers were greatly depressed compared to reefs in the same regions that were simply further away from humans," Nadon said.

"We estimate that less than 10% of the baseline numbers remain in these areas," he added.

Co-author of the study, Julia Baum from Canada's University of Victoria says the human disturbances to reef shark populations are likely down to fishing -- either incidentally caught in the nets of commercial or recreational fishermen or by direct targeting for their fins.

"Reef shark fins are not the most valuable because they tend to be smaller than other sharks, but a lot of other oceanic sharks have already declined a lot so that's why fisherman are now turning to them," Baum said.

She estimates these fins sell for around $100 per kilogram with demand coming from Asian markets where shark fin soup can be found on the menu for weddings and business banquets.

Reef sharks, which are around six to eight feet long (1.8 meters to 2.4 meters), are the "apex predators" of coral reefs Baum says, and like predators in other eco-systems play an important role in structuring food webs. But there is still much to learn about their specific role.

"Frankly, we're still trying to figure out what predators do on reefs. The reason for that is because most predators have been removed from reefs. Most reefs that coral reef biologists study are moderately to heavily degraded," Baum said.

The study forms part of the U.S.'s National Oceanic and Atmospheric Administration's Pacific Reef Assessment and Monitoring Program and is published online in the journal Conservation Biology.

@highlight

New study provides estimates on reef shark populations near islands in Pacific Ocean

@highlight

Marine scientists find reef shark numbers dramatically reduced around inhabited islands

@highlight

Over 1600 surveys make up study which forms part of NOAA Pacific monitoring program