The revolution will not be televised but it will be tweeted, instant messaged or, in the case of Hong Kong, broadcast on mesh networks like FireChat.

FireChat -- an 'off-the-grid' smartphone app -- emerged this month as the technological glue holding Hong Kong's pro-democracy protests together and a powerful weapon in the hands of mass movements, dissidents and protesters.

The app works by creating its own network outside the internet, relying simply on the Bluetooth or Wi-Fi link that exist between one phone and another.

Unlike mobile and internet networks which come under strain and break down the more users tax the system, the more people in a mesh network like FireChat, the better it works.

"We were pretty much forced to use it almost at the start of the protests because there were just so many people in the protest areas, it made the cell network so slow," said Pamela Lam, an 'Occupy Central' pro-democracy activist. "FireChat doesn't need data to work -- a lot of people were downloading it."

The company that developed the application, Open Garden, initially struggled to keep up with its new-found popularity, adding more capacity as news of the app spread from Hong Kong to rest of the world.

Unexpected success

For a start-up that only launched in March this year, the numbers were staggering.

In the first two weeks of the protests, between September 27 and October 10, the service registered 500,000 downloads in Hong Kong alone (61% on Android and 39% on iOS), 10.2 million chat sessions and 1.6 million chatrooms.

"We were not expecting this and we were very surprised," FireChat marketing chief Christophe Daligault told CNN. "We saw this enormous surge in our service and realized something really big was happening.

"Now we've seen spikes just about everywhere in the world and there may be two reasons for this. The first is that there are some people who use it to get the latest information about what's happening in Hong Kong and the second are people who just want to see what the fuss is all about."

Chinese language users, in particular, have taken to the app, expressing support for the movement from as far away as Australia and the United States.

With the buzz now dying down, Daligault said that the volume of downloads was tailing off but activity is trending up and the chat sessions have got shorter as people keep communications focused on important information.

"What that says to us is that quite a few people are sticking with it," Daligault said.

'Giant megaphone'

Unlike other messaging applications, FireChat is not limited to a user's circle. What goes up on FireChat is available for everybody to see.

"It's like a giant megaphone," he said.

"You could be in a place and shout I'm in this precise location and we need water bottles right now and someone whom you don't know can answer that message  come with those bottles.

"That would be harder to do with Facebook or Whatsapp where you're limited by the people you know as far as the reach of your communication is concerned."

The co-founder and CEO of Open Garden Micha Benoliel happened to be in Hong Kong on a layover when the protests started and extended his stay to get live feedback on the service.

Authentic voices

One thing that protesters complained about was that everyone could read the traffic, including opponents of the Occupy movement. Since then FireChat has added a verification component that stamps the messages as coming from a particular user or group.

"Apparently there was misinformation being spread on FireChat and people were putting up scare messages to try to convince people to go home," Daligault said.

While FireChat became the app of choice in Hong Kong's -- and saw similar success in protests earlier this year in Taiwan -- Daligault said the app was never designed as a messaging tool for protesters.

"What we envisioned was a service that would provide communication for people in places where there was poor connectivity and a large population density. Cities such as New Delhi or Mexico City," he said.

More options

FireChat is now only one of a number of apps -- Serval Mesh, Commotion and Storymaker - that are competing in the mesh-network services space.

A Russian mesh-networking app called Telegram was used in South Korea in May after the government announced a crackdown in response to rumors that were spreading on the Korean homegrown messaging sevice Kakao Talk.

As many as 35 million people reportedly used the service, which allows users to erase their messages or chats after a certain length of time.

Private messaging is now one of the options that FireChat is developing in the wake of the gigantic beta test its service received in the Hong Kong protests.

"We are working on adding private messaging with encryption. But this will take months, not weeks," said Daligault. "This is much harder than for other communication apps as we need to make this work off the grid."

While FireChat was a useful device for relaying information and encouragement during the early mass protests in Hong Kong, it became less useful once Occupy moved into a game of cat and mouse with the police.

"The problem with FireChat is that everyone around you can get your message, including the police," explained Hong Kong-based student Michelle Zheng. "If you're discussing your deployment through FireChat, the police know straight away where your weak links are."

Read more from Tomorrow Transformed:

Can this one-wheeled wonder change the way you commute to work?

The "green man" in your traffic lights just got new super powers

Finally, a flying car for everybody?

@highlight

A smartphone app called FireChat has emerged as the messaging tool of choice for Hong Kong protesters

@highlight

The 'off-the-grid' app works by creating its own network outside the internet

@highlight

The company registered 500,000 downloads in Hong Kong alone within two weeks

@highlight

Other emerging services are exploiting the same 'mesh-network' technology