Pyongyang, North Korea (CNN) -- On North Korea's national airline the sound system blares patriotic music at passengers from the moment they get on the plane until the moment they step off the aircraft. The volume is so loud that earphones fail to drown out the socialist anthems. Even in the tiny bathroom, there is no escape. Next to the sink, a speaker continues to blast occupants with paeans to the people's paradise.

The inescapable soundtrack aboard the Air Koryo plane is a fitting metaphor for my recent five-day trip to Pyongyang. It was a tightly-restricted, carefully stage-managed tour rich with propaganda and political theater and little else: It offered virtually no insight into what life is like for ordinary citizens who live in this rigid dictatorship.

For a foreign journalist it was like trying to peer through a keyhole -- and being left to guess at the hidden world on the other side of the door.

Behind the veil: A rare look at life in North Korea

The North Korean regime invited more than a dozen television crews from around the world to see its lavish celebration of the 60th anniversary of the signing of the armistice that brought an end to the fighting for the Korean War.

In a characteristic burst of revisionist history, Pyongyang refers to this as its "grand victory against US imperialists in the Fatherland Liberation War."

This was the image the North Korean leadership wanted to present to the outside world: endless parades of goose-stepping soldiers and military hardware, accompanied by huge demonstrations of popular support for Kim Jong Un, the twenty-something leader who inherited the dynastic throne when his father died in 2011.

North Korea's Kim Jong Un honors country's war veterans

The relatively inexperienced grandson has a striking -- some say deliberate -- resemblance to his grandfather Kim Il Sung, the long-dead founder of communist North Korea.

"They're trying to connect Kim Il Sung to Kim Jong Un," said Han Park, a professor of International Relations at the University of Georgia. Park spoke to CNN after the grandson inaugurated an enormous new Korean War museum, dominated by giant portraits and statues of a youthful Kim Il Sung.

The sight of the corpulent Kim Jong Un touring the gilded new museum contrasted sharply with appalling statistics recently released by the United Nations. Last month, the U.N.'s World Food Program called for donated foreign food aid to be distributed to 2.4 million North Korean women and children for "the prevention and cure of moderate acute malnutrition among children (6 months -- 4 years old) and their mothers." Those 2.4 million people amount to roughly 10% of the Korean population. Up to a million North Koreans are believed to have died in a famine when this country's state-controlled economy all but collapsed in the 1990s.

The visit to Pyongyang marked the most strictly controlled foreign assignment of my journalistic career. North Korea was more restrictive than previous reporting trips to Iran and even Moammar Gadhafi's Libya at a time when his regime was trying -- and ultimately failing -- to survive a NATO bombing campaign.

We were not allowed to leave the confines of the Yanggakdo International Hotel unless we were riding a government bus. During my five days in North Korea, the authorities did not even allow me to see what the country's currency looks like.

Cosmetic change, but no real reform, in North Korea

Two unfailingly polite government minders -- one junior, one senior -- were assigned to remain at the side of our three-man television crew at all times. Aside from arrival and departure from the airport, I estimate our buses remained within a roughly five square-mile perimeter in the center of Pyongyang for five days.

This bubble of cityscape consisted of gleaming monuments to the Kim dynasty, Soviet-style apartment buildings, tidy streets largely empty of vehicular traffic and manicured lawns. On several occasions, I saw kneeling North Korean laborers trimming the lawns by hand.

At night, the city was eerily dark. Electricity appeared to be in short supply. On the pitch-black night-time drive from the airport to the hotel, our bus briefly illuminated pedestrians walking in the darkness on the shoulder of the highway. They didn't even have flashlights.

The authorities made no pretense of allowing us to film freely. The elder of the two government guides routinely instructed us to stop taking pictures. At one point, when I asked why I couldn't shoot photos of pedestrians from the window of our moving bus, our senior minder told me: "We don't want journalists spreading vicious propaganda about our country."

"When you search on the internet, it is full of photos of North Koreans wearing rags," our senior minder explained, revealing that he was one of the elite few allowed access to what was said about North Korea in the outside world.

The North Korea we rarely see

For five days we were taken to a series of government ceremonies: the opening of a new veterans' cemetery, the mass Arirang Games -- a truly mind-boggling performance boasting a choreographed cast of thousands -- and the most surreal event of all: the Kimjongilia and Kimilsungia Flower Festival.

The celebration focused on a red blossom and a purple orchid which were named after the two former rulers of the country. Organizers had erected floral pavilions, interlacing flowers with images of the two leaders and pictures of missiles, tanks, and other North Korean war machines.

"When you look at these flowers we feel great yearning for our leaders," said Ri Su Jong, a 21-year old woman who worked as an official guide at the festival. She said there were more than 20,000 flowerpots at the exhibit. When I asked her which flower she preferred, Ri immediately answered: "I love both."

Sadly, I believe I failed to have a sincere, open conversation with a single North Korean during my time there. The discipline and control exhibited by the government in Pyongyang was almost complete. It was a sharp contrast to my experience in the Soviet Union in the late 1980s, when foreign visitors had easy access to black market traders greedy for Western cigarettes, chewing gum and blue jeans outside government hotels.

In Pyongyang, interviews with veterans and parade-goers quickly turned into fervid denunciations of U.S. imperialism, before we were whisked away by our minders.

Veteran POWs recall misery of North Korean captivity

I did learn from a group of schoolchildren, who had been brought to bow before the final resting place of former leaders Kim Il Sung and Kim Jong Il, that they liked swimming in the ocean and roller-blading.

But when I asked a 12-year old boy about his favorite TV shows, he answered: "Cartoons and documentaries about Kim Il Sung."

It is possible that all of the school children in North Korea love and adore the founding father of the Democratic People's Republic of Korea.

But one exchange with our junior minder suggested that some North Koreans had an appetite for more than biographies about their leaders. "Which movie stars do you like?" the 21-year old asked me over a tasty Korean lunch of locally-brewed beer and cold buckwheat noodles. Our junior minder liked Brad Pitt. He went on to tell me that he had been allowed to watch several Hollywood movies in his university English class. With the exception of the thriller "Se7en" and the comedy "Big Daddy," they were mostly historical period pieces: "Troy," "Gladiator," and "The Sound of Music." He asked: "Do you know the song 'Eidelweiss'?"

The young minder was at his happiest when he borrowed my iPhone. Some North Koreans now have access to cell phones. But the government prohibits ordinary North Koreans from using Internet, e-mail or even making international telephone calls. However, he knew how to navigate my cell phone and quickly immersed himself in several iPhone games. "Do you have Bluetooth?" he asked, since I could not e-mail him a photo I had taken of him.

In Pyongyang, the government mask briefly slipped on the day of the military parade celebrating the war's anniversary. It was scorching hot and humid in the North Korean capital on July 27. Octogenarian veterans wearing uniforms bristling with shiny medals packed bleachers overlooking the parade grounds.

They waited for hours under the hot sun until Kim Jong Un made his appearance in a shaded grandstand overlooking the square named after his grandfather. Soldiers and citizens then spent the next several hours, goose-stepping and cheering in the summer heat to the music of a military marching band.

Finally, sometime around noon, the Respected Leader waved goodbye. The moment he left, both parade participants and spectators crumpled to the ground. Many were clearly victims of heat stroke and exhaustion.

I saw a soldier, wearing the full dress uniform of his marching band, nearly unconscious in the tiny spot of shade made by his stand of cymbals. An elderly veteran sat gasping on the sidewalk in another spot of shade, visibly distraught.

CNN's cameraman David Hawley ran to a civilian woman who lay heaving on a curb, handing her our last bottle of water. She took the bottle as two of her friends helped carry her away.

There was no other apparent source of water or hydration for the masses of people who had been performing in the square. The organizers of this spectacle of North Korean military might did not appear to have taken into account the inevitable dehydration of their citizens.

That night, the government summoned foreign dignitaries and its most elite supporters for yet another show of patriotism. After making the crowd wait for hours, Kim Jong Un occupied a throne at one end of a park next to his guest of honor, the vice president of China. They watched as a spectacular fireworks display erupted above the newly-inaugurated "Victorious Fatherland Liberation War Museum."

I looked at the crowd of North Koreans. In nearly every row, it seemed there was at least one exhausted spectator fast asleep, oblivious to the victory fireworks exploding in front of their faces.

North Korea: Our global fear and fascination

CNN's Tim Schwarz and David Hawley contributed to this report

@highlight

CNN's Ivan Watson took a five-day trip to North Korea's capital, Pyongyang

@highlight

Media were invited to see 60th anniversary celebrations marking Korean War armistice

@highlight

Watson says the visit was "the most strictly controlled foreign assignment" of his career

@highlight

It was like "peering through a keyhole, left to guess at the hidden world on the other side," he writes