(CNN)   -- Sasha drags bulging shopping bags onto a trishaw as he heads back to his hotel, ending another hectic day in Beijing. It's hectic but lucrative.

He typifies the transient traders who come to Beijing on shopping expeditions, making hefty profits buying goods and reselling at home.

Beijingers used to call them "da daoye" (big traders). Now they are simply "hao pengyou" (good friend) -- favored customers and trading partners.

They congregate in Yabaolu, once a quiet Beijing neighborhood of mostly one-story courtyards, now a bustling trading hub dotted with shops and high-rise shopping malls.

Much of China-Russia trade is done along their border crossings in northeastern China. In the Chinese capital it all happens in Yabaolu.

"Most of the people here are Russians buying clothes, leather, and furs," says a Ukrainian trader nicknamed Alex. "They ship to all Slavic countries and Russia."

Here bargaining is tough but business is good. The most successful, traders say, can resell their items for 20 times their investment. Small wonder many Poles, Ukrainians, Yugoslavs and other East European traders make the long trip, too.

Local Chinese make money as well. Pedicab drivers, speaking in pidgin Russian, offer to haul the traders for about $2 a ride. Local shop keepers and restaurant owners also make brisk business.

The Chocolate -- an over-the-top nightclub that features scantily dressed Russian women dancing burlesque-style and a Russian band singing Russian and Western songs -- attracts a regular stream of Chinese and Russian customers.

Over the years, I've observed trading in Yabaolu grow from small to big. Twenty years ago, traders loaded up scores boxes of goods -- mostly cheap clothes -- onto decrepit trailer trucks bound for train stations.

Now, they employ shipping companies to move various goods that include silk dresses and shirts, fur jackets, toys and handbags.

Vladimir Turkov is the general manager of Express Capital Trading, a company that exports steel from China to Russia. His 5-year-old company now employs 15 people in Yabaolu and has opened a Moscow branch to handle marketing and distribution.

"Everyone here got into the business around the same time," Turkov said, "and because of that, we grew in success together. There was a need for products, and there still is."

Turkov's success is emblematic of the improved China-Russia ties that over the years have zigzagged between cooperation and conflicts.

In the 1950s, China and the former Soviet Union were locked in a bear hug as firm Communist comrades. But in the 1960s, they turned into bitter foes, even fighting over a border dispute in 1969.

Ties have since improved and Sino-Russian relations look more promising.

They have settled border disputes, struck multi-million-dollar energy deals and have agreed to drop the U.S. dollar in favor of their own currencies to boost bilateral trade.

Last year, China overtook Germany as Russia's largest trading partner.

On a visit to St. Petersburg last June, Chinese president Hu Jintao told a gathering of business executives that China and Russia now seek to increase bilateral trade to $100 billion by 2015 and $200 billion by 2020.

Following the collapse of the Soviet Union twenty years ago, Sino-Russian borders have seen a spike in traffic. Some 3 million people from China and Russia now visit each other's country annually.

They include traders like Turkov and Sasha.

Turkov attributes his success to good inter-personal relations between Chinese and Russians.

"We've all been in China for so many years," he says, "We know how to interact with the Chinese. We may have differences but we also have much in common and have learned to live with our differences."

Turkov says he is not deterred by problems of bureaucracy, corruption and business conflicts that sometimes bedevil businessmen in China.

"If you play according to the rules, you won't get into trouble," he says.

"Many traders are only interested in coming to Beijing, buy products, and then go back to Russia to sell them," says Ekaterina Davydova, marketing manager at Express Capital Trading. But Russians like Turkov, she says, are in China for the long haul.

"We are helping the Chinese economy and our success is obviously dependent on the world economy," Turkov says.

Will business remain bullish, given the economic downturn in the U.S. and Europe?

"Business is good, at least for now," he says, "While you can't always foretell the future, I'm optimistic."

With research by Lorenzo Ferrigno.

@highlight

Yabaolu was once a quiet Beijing neighborhood of mostly one-story courtyards

@highlight

Now it's a bustling trading hub dotted with shops and high-rise shopping malls

@highlight

Poles, Ukrainians, Yugoslavs and other East European traders also partake