(CNN) -- It was the question every player was ready for.

"Being a member of the German national side, how you do feel about playing in Israel given your country's history?"

A deep breath, a nod, a look of "what can I say?"

Pierre-Michel Lasogga is used to thousands of fans shouting at him on the football field -- he's accustomed to the pressure of millions at home watching on their television sets.

As one of Germany's most promising young players at the European Under-21 Championship Finals in Israel, he's used to being asked questions, being interviewed and having a camera stuck in front of his face.

A giant of a man with a huge physical presence and arms adorned by tattoos, it is something of a surprise that he is so softly spoken.

Six million dead

Germany's arrival in Tel Aviv was met with the usual questions over whether the current generation were aware of their country's darkest chapter -- the murder of six million Jews by the Nazis during World War Two.

It is a subject which the players are keen to talk about -- there is no sign of sidestepping a question.

Talking in English -- "you have to speak slowly for me," he says -- Lasogga appears calm and confident when it comes to talking about such an emotive subject.

Born in Gladbeck, in the northern part of the Ruhr area, he recalls learning about the Holocaust at school, but it was not until his trip to Israel that the enormity of the event sank in.

"At school it is different," he told CNN. "You forget.

"Of course, we learned about what happened when we were younger. But when you come here, come to Israel and you learn even more ... it's just completely different."

Hitler

Under Adolf Hitler, Germany and its accomplices persecuted Jews across Europe in merciless fashion, with an estimated 2.5 million being killed from April to November 1942 alone.

The German Football Associaton (DFB) has long brought its teams to Israel, with a trip to the Yad Vashem Holocaust memorial museum in Jerusalem a regular fixture on the itinerary.

Regardless of whether it's the senior team, youth or women's teams, all have taken part in a tour and educational guide of the center.

Wreaths are laid, while a visit to the Children's Memorial, a room with five candles reflected by hundreds of mirrors to commemorate the 1.5 million or more who died, leaves an indelible mark.

Pictures of those who were so brutally murdered hang on the walls, while the testimonies of those who survived share their harrowing tales.

"It was very moving to see the history again at the exhibition," said Lasogga, who visited the museum in March when the Germany U21 side went to Israel for a friendly match. "It was very emotional for us. It touched us.

"We learned it at school but coming here and seeing it at Yad Vashem is completely different. It's something which gives you so much more than you see in school.

"It was hard to see what has happened in the past and I hope that this situation will never happen again.

"I hope that by us coming to Israel it can help with the past."

Israel

Lasogga is not alone in these thoughts -- his team captain Lewis Holtby, who plays for Tottenham in the English Premier League, was also moved by the experience.

Holtby, who has an English father and German mother, says playing in Israel has been a "privilege."

"The trip was special for us," he said. "We already knew about the history of Israel and the Holocaust, but to experience it here makes us think about so many things. It's a privilege to play here."

Germany and Israel's relationship on and off the pitch has grown immeasurably since the Jewish state attained full UEFA membership status in 1994.

In 2008, the DFB launched a program which saw German national teams of all ages travel to Israel on a yearly basis to play friendly games and take part in an educational program.

The following year it signed a "Memorandum of Understanding" with the Israel Football Association which has seen the countries work together on the development of referees, coaches and young players.

Different pictures

Earlier this week, players visited the Hadassah Neurim Youth Aliyah Village where they posed for pictures and spoke to some of the 400 students who attend the local school.

Germany, which last won the U21 competition in 2009, failed to progress from its group on this occasion, but the lessons learned off the field have given its players a new sense of perspective on life.

"We are very happy to be in Israel," said Eintracht Frankfurt midfielder Sebastian Rode. "We learned a lot about the country when we were here in March, a few months ago.

"We've experienced great hospitality and the country is beautiful from what we've seen. When you look at it on the television we see different pictures, but it's great to be here."

Controversy

Israel's hosting of the competition has been a topic of controversy, with campaign groups and some famous names within football calling for a boycott of the tournament due to the country's treatment of the Palestinians.

A petition raised by pro-Palestinian campaign group, Red Card Israeli Racism, attracted over 8,000 signatures, while Archbishop Desmond Tutu was one of a whole host of names who signed an open letter in The Guardian newspaper in Britain in May.

But according to the German players, this tournament has given Israel the opportunity to show a different side of itself on the international stage.

"It's a great opportunity for Israel to show another face of the country and not just the politics and what you see on the television," said Lasogga.

"When you see the conflict, it's not nice pictures. But when you come here you get a completely different picture of Israel, and this tournament can give people a completely new perspective.

"It was very important to come here before the tournament. It was nice to see Israel and it showed us some of the country and showed us how the people are here.

"All the places and people have been so friendly, helping us and making us welcome."

@highlight

German soccer players talk about their moving visit to Holocaust museum Yad Vashem

@highlight

Players tell CNN of their experiences of playing at Under-21 tournament in Israel

@highlight

Germany and Israel enjoy close relationship within the world of football

@highlight

Both countries working together to develop referees, coaches and young talent