The decision to grant permanent observer status to China and five other nations by the Arctic Council meeting in Sweden Wednesday reflects the heightened interest by some of the world's most powerful economies in an area rich in oil, gas, minerals, fish and new transport possibilities.

For new observer nations China, Japan and South Korea, shorter shipping routes to Europe through Arctic waters could open up prospects of new energy supply options later this decade, such as liquefied natural gas (LNG) from Russia's Yamal Peninsula in northwest Siberia.

It could also lessen China's dependence on oil and gas shipped from the Middle East, which must pass through the Southeast Asian chokepoint of the Strait of Malacca. Allied to China's interest of getting oil and gas delivered from new pipelines across Myanmar and Central Asia, the potential of the Arctic trade routes loom large in China's strategic thinking.

Five years ago, the U.S. Geological Survey (USGS) described the vast Arctic continental shelf as potentially the "largest unexplored prospective area for petroleum remaining on Earth." A new U.S. Arctic policy unveiled by the Obama administration last week cites that 2008 study, which estimated that about 13% of the world's undiscovered oil and 30% of its undiscovered gas lies north of the Arctic Circle.

In a 2012 update, the USGS put the mean undiscovered estimate of recoverable oil in Russia's Arctic provinces alone at 28 billion barrels, plus about 27 trillion cubic meters of gas.

China is keen to be more than just a customer for this Russian oil and gas. In February, the heads of China's three state-controlled oil and gas majors -- China National Petroleum Corp (CNPC), Sinopec and China National Offshore Oil Corp (CNOOC) -- met one of Russia's most influential players in the energy sector, Igor Sechin, chief executive of state-owned oil company Rosneft. The following month, Rosneft struck a deal with CNPC, giving it access to Arctic resources.

The Arctic Council, made up of the United States, Russia, Canada and the five Nordic nations -- Norway, Sweden, Finland, Denmark and Iceland -- was set up in 1996 to coordinate policy in a resource-rich but environmentally sensitive part of the world. Before Wednesday's decision there were already six observer states: the UK, France, Germany, Poland, Spain and the Netherlands.

Now the permanent observers are being joined by China, Japan, India, South Korea, Singapore and Italy, meaning that all of the key Asian economies now have a seat at the Arctic table, even though they will not have a vote on the Arctic Council. The European Union, the other major body seeking observer status, had its application affirmed but "deferred," a rebuff that is likely related to an unresolved dispute with Canada over the fur seal trade.

Both China and India already have polar research stations in the northern part of Norway, as do most of the other observer nations.

The Arctic's importance has gained extra strategic and economic significance as melting ice in the polar region strengthens the feasibility of nations to use the Northern Sea Route (NSR) across the top of Russia and the Northwest Passage through Canada's Arctic archipelago. Canada claims the passage, which links the Pacific and Atlantic Oceans, runs through its internal waterways. The U.S. and other countries contest this, maintaining it is an international strait.

For China, the main transportation focus is the NSR, which runs along the northern coastline of Siberia from Novaya Zemlya to the Bering Strait. It is open only for about five months of the year, from late June to November or early December, and requires icebreakers to cut a path through the Arctic ice for specially strengthened oil and gas carriers.

But the route cuts as much as three weeks from shipping times between Europe and Asia. For example, Murmansk to China's Ningbo port near Shanghai is 13,000 km via the NSR, compared with 22,000 km via the Mediterranean Sea, Suez Canal, Indian Ocean and Strait of Malacca.

In August to September last year, China sent its one and only icebreaker Xue Long (Snow Dragon) on a successful two-way test run of the NSR. It plans to add a second icebreaker to its fleet in 2014-15.

Over the past two sailing seasons, Russian oil and gas companies have tested the route for gas condensate and LNG shipments. In June 2011, Novatek, Russia's biggest non-state gas company, sent 60,000 tons of gas condensate from Murmansk to the Chinese port of Ningbo aboard the MV Perseverance on a three-week voyage. At the end of 2012, Russian state-owned gas giant Gazprom sent a 66,000-tonne cargo of LNG from Statoil's Hammerfest terminal in Norway to the Japanese port of Tobata between November 7 and December 5. The route was cleared by three Russian icebreakers.

For now, the NSR is still very much in a test phase. According to the Centre for High North Logistics, an Arctic-focused information center based in Kirkenes, Norway, 46 vessels used the NSR in 2012, carrying about 1.26 million tons of cargo. That was an increase of more than 50% from 2011.

China envisages exporting consumer goods aboard container ships to Europe and receiving LNG cargoes via the NSR. Novatek, for example, is building a new port at Sabetta on the Yamal peninsula to service the LNG trade to Asia, with expectations of first gas in 2016 and exports of 15 million tons a year by 2018.

The NSR's shortcomings are considerable: a short sailing season, the cost of hiring icebreakers, the operational hazards of extreme northern waters and the environmental risks of oil spills, collisions or sinkings. Even so, this Arctic shipping route is likely to be the focus of intense interest by China over the next decade.

@highlight

Six nations have been granted permanent observer status by the Arctic Council

@highlight

China, Japan, India, South Korea, Singapore and Italy became permanent observers

@highlight

The EU's bid has been "deferred", possibly due to an unresolved dispute with Canada

@highlight

Melting ice in the Arctic region has opened up the North Sea Route, cutting shipping times