Hong Kong (CNN) -- There's both poetry and promise in the humble balloon.

It delivered escape and adventure in Pixar's "Up," friendship to a small boy in the classic short film "The Red Balloon," and -- delving into real-world history now -- military messages for Chinese strategist Zhuge Liang back in 220 AD.

Now Google plans to use a network of high-flying balloons to deliver low-cost Internet access to remote and under-served places around the world. It's called Project Loon, the latest initiative from the tech giant's innovation lab, Google[x].

Project Loon uses a fleet of super-pressure balloons made out of very thin polyethylene plastic. Measuring 15 meters across when fully inflated, each balloon carries a payload of electronics including a flight computer, altitude control system, communications antenna and a solar power station -- turning the craft into a self-powering cell tower in the sky.

"We want to keep them up there, floating around for eventually up to 100 days," Nigel Snoad, Google.org Crisis Response Product Manager and Google Project Loon team member said on CNN's News Stream.

"That way we can have a ring of balloons we hope can provide Internet access to a whole range of places that are really difficult to get to with normal technology."

The Loon balloons are strategically positioned on stratospheric winds and controlled by complex algorithms and computing power on the ground.

Google said a team of six people is required to launch a Loon balloon, including a launch commander and a coordination team at Mission Control.

The need for the connectivity that Project Loon promises is immense.

Believe it or not, in this networked age, some five billion people are not connected to the Internet, according to Google. To put it in another way, two-thirds of humanity are being denied online connectivity and the economic promise that comes with it.

Project Loon can also play a critical role during a natural disaster or humanitarian crisis.

"During a crisis, connectivity is really important because information in itself is really lifesaving," said Snoad.

"Anything that can (provide connectivity) for remote areas at a low cost much cheaper than satellites is something we're really going to celebrate and we're hopeful can make a real difference."

Last month, the team conducted a successful pilot test in New Zealand, launching 30 balloons over two weeks to test basic launch procedures, Internet connection to the ground, and descent and recovery of the balloons.

A group of 50 pilot testers in Christchurch and parts of Canterbury on New Zealand's South Island were equipped with special Internet antennas to connect to the Loon balloons, including Charles Nimmo -- the first person in the world to connect to Google's balloon-powered Internet.

"The way I became involved in the trial was by a third-party research organization," Nimmo told me via email. "They phoned one night and sounded completely suspect to the point where I was about to hang up."

Eventually Nimmo signed a nondisclosure agreement and a group of technicians arrived at his door to attach what looked like a red ball to the side of his house.

"I thought, 'Finally, some people who can tell me what is going on.' Their reply was, 'We don't actually know either.' The whole process was cryptic and was making a dull week rather exciting to be honest."

In a rural area with historically unreliable Internet access, Nimmo said he now enjoys the benefits of constant connectivity like a social media presence, an ability to better market his products online, and a stable platform for his children to complete their homework online.

Nimmo is happy with his balloon-powered Net connection. And, as the world's first person to make a connection in such a way, he also recognizes the heights Google must scale to make Project Loon a viable solution.

"It is a system that will need to reach a critical scale in order to be effective world-wide and will need some degree of cooperation between governments," he said.

"The scale and complexity of the idea is mind-boggling but it seems plausible, and Google is probably the only company with the resources to pull it off."

Onward... and upward.

@highlight

Google plans to use a network of high-flying balloons to deliver low-cost Internet

@highlight

Project Loon will give access to remote and under served places around world

@highlight

Loon balloons strategically positioned on stratospheric winds, controlled by algorithms

@highlight

Google: Project can play critical role during a natural disaster or humanitarian crisis