Moorland, England (CNN) -- Like a modern-day King Canute, Sam Notaro is determined not to let rising waters flood his home.

He lives in Moorland village in Somerset, southwest England, which has been hit hard by weeks of flooding.

Streets have turned into rivers, cars are submerged up to their windshields, and homes have been abandoned.

But Notaro is a lone holdout.

He's created his own flood defense barrier, using a digger to raise a soil embankment topped with heavy clay to act as a seal.

So far, it has kept the worst of the waters out of his home, with the help of pumps -- but the question is how long it will hold.

"Like I say, if it rises a meter, I don't know if it will be enough. I don't know," he said.

He may be the only one left, but he's not without help in his struggle against the elements.

Marines -- part of a hundreds-strong military deployment by the UK government -- waded through the waist-high water Tuesday to help bolster his makeshift flood defenses.

Notaro appeared stubbornly resolved to continue his battle despite the losing odds. "We were backed into a corner. It was low so we pushed some soil up, and then you've got to keep going, haven't you?" he said.

King Canute, an 11th-century ruler of England, Denmark, Norway and part of Sweden, by legend went to the seashore and tried to hold back the rising tide -- but failed.

In the low-lying Somerset Levels, where some homes have been underwater for weeks, many will know his sense of powerlessness.

Dead birds litter beaches

Exceptionally strong winds in western England and Wales on Wednesday may add to people's woes.

The Met Office, the UK's national weather service, issued a "red" warning, its most serious, saying winds were expected to gust at 80 mph across a wide area and might reach 100 mph in the most exposed parts of west and northwest Wales.

After the wettest January in England since 1766, even if the heavy rain stops, ground water levels are so high that it could be weeks before life returns to normal.

And Britain is not the only place facing wild weather.

Huge waves are crashing onto the Portuguese coast, causing extensive damage, and there are high wind alerts in parts of Ireland, which faces the worst storm yet of the winter.

Ireland's western Munster province and the town of Wexford could be buffeted by gusts up to 105 mph Wednesday, the national weather service said.

Winter flood warnings have also been issued in parts of Brittany in northwest France.

Meanwhile, the beaches of France's Atlantic coast are littered with dead birds, casualties of exhaustion after days of battling relentless wind and rain.

The country's League for the Protection of Birds estimates more than 5,000 birds have died, many in the Charente-Maritime, Loire-Atlantique and Vendee areas.

'Money is no object'

Some 5,800 properties have flooded in England since the beginning of December.

Amid increasing questions over the government's response, Prime Minister David Cameron said Tuesday that "money is no object" in the relief effort and promised more troops to help despairing homeowners.

"Britain is facing ... its wettest winter in 2Â½ centuries, and some of the worst flooding in decades," he said at a Downing Street news conference.

There are still 16 severe flood warnings -- meaning there is danger to life -- in place, most of them in southeast England, as well as hundreds of lower-level flood warnings and flood alerts. And it's not over yet.

"There is absolutely no sign of this threat abating and with further rain and strong winds forecast throughout the week, things may well get worse before they get better," Cameron warned.

He pledged up to $16 million to help farmers whose fields are underwater and said more troops would be made available.

Opposition leader Ed Miliband of the Labour Party told UK media that the flooding was a "wake-up call" and that investing in flood defenses had to be a priority for the government.

Some of the worst-affected areas in recent days are in the Thames Valley west of London.

Well-heeled towns and villages in Surrey and Berkshire, including Wraysbury, Chertsey and Datchet, near Windsor Castle, have been inundated as the Thames has burst its banks on its way downstream to the capital.

Sandbags lined the entrances to small businesses and homes in Datchet menaced by the river's murky brown waters.

Agency: More flooding to come

More than 1,100 homes have flooded along the Thames Valley in the past two weeks, the Environment Agency said.

The agency warned that the towns of Windsor and Maidenhead, as well as communities along the Thames in Surrey, remain at high risk from the river Wednesday and Thursday.

"Significant flooding" of homes and businesses is expected, it said, with the Thames expected to rise in places to its highest level in more than 60 years.

With more rain forecast, water levels farther downstream will potentially rise over the weekend and early next week to the highest levels seen so far, the agency added.

The Thames Barrier, which is deployed to prevent the tidal river flooding central London with devastating consequences, has been repeatedly pressed into action in recent weeks.

"The barrier is working very, very hard," said Toby Willison, regional director for the Environment Agency. The agency operates the defense system -- which works by stopping high tides coming in when the river level is already high.

"At the moment it's operated 29 times since the beginning of December ... which when you consider it was completed in 1982 and has only opened 154 times since 1982 -- it is operating much more frequently at the moment than it ever has done in the past," he said.

CNN's Matthew Chance reported from Moorland, and Laura Smith-Spark wrote and reported in London. CNN's Max Foster, Jim Boulden and Zarifmo Aslamshoyeva contributed to this report.

@highlight

NEW: Irish province faces gale-force winds with gusts up to 105 mph, forecasters say

@highlight

NEW: More than 1,100 homes to west of London flood after the River Thames burst its banks

@highlight

UK weather service issues warning for high winds in western England and Wales

@highlight

Parts of northwest France are also facing the risk of flooding