(CNN) -- A timid judge is a lawless judge. U.S. District Court Judge Martin Feldman, it would seem, is not a timid judge.

In deciding to lift the Department of the Interior's six-month moratorium on deep water drilling in the Gulf of Mexico, Feldman certainly looks like a decisive jurist. His criticisms of the department's ban were forceful. But Feldman was remarkably selective in his criticism. He was willing to scrutinize the government harshly, but not the oil industry.

His opinion made important points about the department's mistakes. He noted that the moratorium affects drilling in water deeper than 500 feet, even though a scientific panel that the department commissioned expressed concern with wells in water deeper than 1,000 feet.

He worried that the department had no framework for lifting the moratorium. And he is not wrong to suggest that the moratorium might reflect political rather than scientific judgment. Feldman's opinion also properly expressed concern that the livelihoods of many Gulf residents depend on continued oil production.

Feldman, however, did not similarly train his critical eye toward the oil industry. He stated that we cannot conclude that "because one rig failed . . . all companies and rigs drilling new wells at over 500 feet also universally present an imminent danger."

That is simply false. The accident reveals exactly what the contingency plan is when equipment fails in a deep water rig; the plan is not to have the equipment fail. This is much akin to the Titanic's contingency plan for hitting an iceberg; the plan was not to hit an iceberg.

To be sure, the oil companies had complied with regulatory requirements that they file contingency plans. Plans exist on paper, but they are completely worthless. Some of these plans literately call for the hiring of an expert, who is now deceased, in an effort to protect walruses, which do not live in the Gulf. Consequently, we have witnessed two months of BP foundering from one ad hoc scheme to another while millions of gallons of oil pour into the Gulf.

By filing a lawsuit against the department's moratorium, oil companies have shown that they do not intend to use this disaster as an opportunity to craft a meaningful response plan based on sound engineering principles. The suit itself shows remarkable hubris in which the oil companies demand the right to continue drilling on federal land, as if nothing had happened. Feldman's decision, unfortunately, might allow them to do just that.

Opinion: The case against the moratorium

Feldman had all the facts he needed to judge both the department and the oil companies to be sloppy. He critiqued the department thoroughly. But as to the oil industry, he concluded that "no one yet knows why" the Deepwater Horizon rig failed. That is true enough, but we certainly know that no oil company has a sensible means of responding to a deep water blow out. The reality is that drilling for oil in the Gulf is more dangerous than we thought, and more precautions are in order before proceeding.

Feldman's sensitivity to employees on the drilling rigs is appropriate, but myopic. A moratorium can force the oil companies operating in the Gulf to craft a realistic plan for addressing a deep water blowout. With a moratorium in place, oil companies have enormous incentives to identify a sound set of contingencies for the kind of accident we have seen that would reduce the flow of oil long before a relief well can be dug. Feldman's lifting of the moratorium is akin to allowing the passenger ships to cross the Atlantic without an adequate supply of lifeboats right after the Titanic sank.

Fortunately, the department will likely appeal the ruling, or re-issue it with further justification. Deepwater drilling is and will remain a valuable part of America's energy supply. One-third of domestic oil production comes from the Gulf, and comes from increasingly deep waters.

The fact that engineers can devise ways to send a pipe through 2 miles of rock under a mile of water is itself amazing. But such drilling has inherent risks, and oil companies need to use these engineering techniques to develop a coherent plan B before they proceed.

The opinions expressed in this commentary are solely those of Jeffrey Rachlinski.

@highlight

Jeffrey Rachlinski says judge is willing to scrutinize terms of ban, but not oil industry so much

@highlight

Judge says BP spill doesn't presage others; but companies still lack sound disaster plans

@highlight

Oil companies' suit shows they'd like to keep drilling as though nothing has happened, he says

@highlight

Rachlinski: Ban would force oil companies to come up with plan to prevent future disasters