(CNN)Last week, I had the privilege to greet a group of about 100 Ebola survivors who were meeting at the ELWA Hospital chapel: the very structure that, seven months ago, was Monrovia's first Ebola treatment unit.

The group was diverse — elderly, young people, even little children.  Some educated, some not.  Roughly equal numbers of men and women; some dressed up in nice clothes, some in T-shirts, shorts and flip-flops.  Some were clearly feeling happy just to have survived Ebola, with smiles on their faces, while others looked like they were still experiencing some of the trauma and stigma of Ebola: faces downcast, not making eye contact.

As I met them, tears welled up in my eyes. These people had gotten through Ebola just like I had, but here in Liberia, where the resources, staff and treatment available were so much more limited.

The gathering was initiated by the Christian Health Association of Liberia, a local nongovernmental organization that has received funding to help Ebola survivors.

They were meeting with some of the survivors from the ELWA 2 Ebola Treatment Unit in order to share a modest cash benefit, intended to help survivors rebuild their lives: replacing mattresses, clothes, furniture and phones, finding new employment, and trying to fit back into their communities.

They also met with Dr. John Fankhauser, another missionary doctor at ELWA. He let them know about a free survivors' clinic at ELWA Hospital to address complications of Ebola, such as nerve damage or vision problems.

On the national level, the Ebola Survivors Association of Liberia is well-organized, considering the brief time frame.

It has a president, who presented me with his business card at the meeting. There are estimated to be about 1,500 Ebola survivors in Liberia. In partnership with several international organizations, the association advocates for survivors' mental and physical needs, and educates the public about Ebola survivors to help reduce stigma.

A few days earlier, I had met with another group of survivors: the ELWA Hospital Support Group for People Living with HIV/AIDS. This was quite a different meeting.

There were about 15 people there, many of whom I know well from having worked with them and treated them over the years since the program began in 2001. Now that the Ebola crisis is subsiding, they want to revitalize the group, which at times has had 80 to 100 people involved.

In the past, ELWA Hospital staff ran the support group and decided how to facilitate its activities, using funds from SIM.   But now these long-term clients — they are all on anti-retroviral therapy,  some for years — want to become more independent, to be given more discretion to strategize and make decisions about how to use funding that is available.

This was such an interesting and eye-opening discussion for me.

Early on, when we were just starting ELWA's treatment program for HIV, many of these clients were quite ill, and needed nutritional support, medication and health care, and help with transportation to appointments and support group meetings.

Now the group has matured: Many are very stable on their medication and really thriving.

At this stage, they feel the need to be treated as equal partners rather than only recipients of charity.

They want more input as to how the group might benefit from funds that come in.

When a donation was made by SIM to the group about six weeks ago, they chose to make soap for laundry and dishes from locally sourced lye and palm oil, to sell it as a fundraising activity.

The balls of soap sell for about 12 cents each.  The group has sold most of the first batch, and they are projecting a profit of about 25% over the cost of raw materials.

They want to continue soap production, using the profits to help members of the group start businesses or attend college or other training programs.

When I see the spark of initiative and determination in these people who were once so sick and discouraged with their condition, I get a new sense of what might be possible for them.

What were the key ingredients in developing that spark?  Our relationship started with unconditional love, and a real personal connection, as well as provision for some key practical needs, including sound medical care. And now it requires a readiness, and a means, to shift from charity to partnership.

During the West African Ebola crisis, we have seen that Guinea, Sierra Leone and Liberia, some of the least developed nations on the continent, did not have the capacity to fight the epidemic on their own.

While the initial response to Ebola required massive direct aid and assistance, let's hope that we can also move on to real partnership in helping develop a locally led and driven health system that can do better at protecting its people from the next outbreak.

@highlight

Dr. Richard Sacra got to meet with fellow Ebola survivors who are trying to put their lives back together

@highlight

He has seen some amazing resilience among the people in Liberia and some real ingenuity