(CNN) -- At the heart of a $600 million complex of Miami condominium and office towers, a network of holes in the ground has provided new insight into the people who were there first.

The holes lay out the foundations of a prehistoric settlement of the ancient Tequesta tribe at the confluence of the Miami River and Biscayne Bay. The Tequesta lived in what's now metro Miami until the 1700s, and the holes held pine posts that framed their thatched buildings.

"We got to the point in recent months where we realized this wasn't an isolated circle or structure but a whole complex of buildings," said archaeologist Bob Carr, whose company was hired to conduct a historical analysis of the building site. The settlement is likely to have been home to hundreds of people, perhaps as many as 1,000.

"In some ways, I would say it's probably the best-preserved prehistoric town plan in eastern North America," Carr said.

Since October, his team has unearthed several thousand holes carved into the limestone that makes up Miami's bedrock. In addition to the circular layouts, the team found linear structures Carr said may have been boardwalks for the waterfront settlement.

The site also houses the foundations of the Royal Palm Hotel, one of the resorts built by legendary Florida developer Henry Flagler in the late 19th century. But the post holes and various pieces of pottery recovered at the site over the years date back to 500-600 B.C., Carr said.

The discovery means a new hurdle for the Metropolitan Miami complex, which is nearing completion after more than a decade of work. The site is slated to house Met Square, a residential/retail building with a movie theater, but city officials still have to sign off on the final plans.

"This is the last element of a very extensive downtown development project, all of which has been hugely successful," said Gene Stearns, a lawyer for the Metropolitan Miami developers.

The developers have proposed cutting out a section of the limestone, rebuilding a Tequesta structure on top of it using the original post holes and putting it on display in Met Square. The structure would be paired with a model of the native village based on the layout Carr's team has discovered, Stearns said.

"The point of it is to create knowledge -- not just to save things but to understand them," Stearns said. The company's plan would allow the public to learn more about the site than they would if the site were simply preserved as is, as another Tequesta site nearby -- the "Miami Circle," identified in 1998 -- has been, he said.

But the plans will need to be approved by Miami's Historic Preservation Board, which meets on February 14, and then the City Commission.

Met Square "is a critical element of the entire plan, and the developer needs to meet the schedule," Stearns said. "It's already been delayed for the years it took to do this analysis, and it's time here to move on."

Ryan Franklin of the Archaeological and Historical Conservancy told CNN Miami affiliate WFOR he is concerned that the historic integrity of the site could be lost, even with the proposal to display a section.

"If you have a book and you tear out a chapter, you lose the integrity of the book," he told the station. "You might have this part of it, but you lose part of the story."

The Tequesta lived in south Florida for roughly 2,000 years, Carr said. But they had disappeared by the time Britain took control of Florida from the Spanish in 1763, with the remnants of their population believed to have migrated to Cuba, he said.

8 very old sites in the New World

10,000-year-old house, other ancient finds unearthed

@highlight

Miami dig lays out "a whole complex of buildings" in a prehistoric town

@highlight

But they're on the site of a whole new development in the works

@highlight

Developers have proposed preserving a section of the site as part of their project

@highlight

Miami historic preservation officials will review the plan next week