(CNN) -- House Speaker John Boehner and the President Barack Obama continue to play chicken. Boehner has indicated that unless the president sits down and negotiates some spending cuts or changes in the Affordable Care Act, there will be no budget or debt ceiling increase.

President Barack Obama refuses to negotiate until after a "clean" budget is passed by the House and there is an unconditional debt ceiling increase. Boehner complains that the president is willing to negotiate with Iran without any preconditions, why not the House Republicans? The president responds by saying as a matter of principle he will not allow the House Republicans to hold as hostage the U.S. economy by using the budget and debt ceiling as leverage in negotiations.

The president emphasizes that he is willing to negotiate, but first Congress must enact a budget and debt ceiling increase. Boehner responds by claiming that this is the same as offering to negotiate a cease-fire with Republicans only after they first surrender and lay down their arms.

This is a costly and dangerous game. Each day there is no national budget many services are not available, parks and monuments remain closed, and thousands of federal employees are on furlough. A failure to raise the debt ceiling is much more serious. If the United State defaults on its debt risks, catastrophic effects on our economy would follow: It would jeopardize the government's ability to borrow on favorable terms and would lead to higher interest rates; it would disrupt international credit markets and might well plunge the United States into another recession.

In my last book "Bargaining with the Devil: When to Negotiate, When to Fight," I address the question: When you are locked in the hardest sorts of conflicts -- those with an adversary whom you don't trust, who has hurt you in the past and may hurt you in the future, whom you may even think is evil -- how do you decide whether to negotiate?

Some in my field claim you should always choose to negotiate. After all, you can only make peace with your enemies. Without sitting down and discussing things, how will you ever figure out whether there might be a solution that better serves your own interests than fighting it out? Others, pointing to the Faustian legend, argue that you should never negotiate with the devil. To do so risks soiling your soul and giving up what is most important to you.

I reject both categorical claims. The challenge is to make a wise decision in a particular context by carefully weighing the costs and benefits of alternative courses of action. Here, wisdom requires the president to negotiate, but to do so without sacrificing his most important interests.

If the president persists in his refusal even to explore with Boehner what deals might be possible, Boehner may be the first to blink. That would be a clear victory for the president and a clear loss for the Republicans. But what if the speaker, no doubt fearful he will lose his job as speaker if he blinks, refuses to relent? When our national economy falls over the proverbial cliff, the Republicans may be blamed more. But the president's legacy will be seriously damaged as well.

Both Boehner and the president should try to reach a deal that has face-saving elements for both, one that is not a clear loss for either. Better still would be a deal that might allow both to claim victory and be good for the country to boot.

Such a deal is possible. It would involve two critical elements.

1. The House and Senate should pass a "clean" budget bill and a "clean" debt extension -- i.e., ones that do not themselves have provisions jeopardizing the Affordable Care Act or federal entitlements.

2. As this legislation is being enacted, the president and speaker should jointly announce in a press conference the creation of a bipartisan commission that within six months will submit to both houses for an up or down vote a combination of tax and entitlement reforms that over the next eight years will address the long-term deficit problems.

In other words the two elements should occur simultaneously. This arrangement would allow both Boehner and the president to declare victory.

How can this happen? The discussions leading to the deal must be kept private. Both leaders have constituents who would object to it, and who would claim their leader sold out for too little.

Many Democrats oppose any entitlement reform. No doubt tea party Republicans will claim that Boehner would be giving up the leverage of the debt ceiling without any specific spending cuts being enacted. Making sure that House Majority Leader Eric Cantor supports the deal is important; Boehner wants to keep his job. With Cantor's support, Boehner can be confident that he will remain speaker.

The opinions expressed in this commentary are solely those of Robert Mnookin.

@highlight

Robert Mnookin: Boehner, Obama in dangerous game of chicken over debt celing.

@highlight

To end it, Obama should negotiate, but not sacrifice his most important interests, he says

@highlight

He says a deal must save face. How? Congress must pass "clean" budget and debt bills

@highlight

Mnookin: At same time both should announce commission to take on entitlement reform