(CNN) -- In this period of gloomy economic forecasts, Africa's rise has become a widely discussed international policy topic. The sweeping optimism about Africa's economic prospects has been reinforced by 2013 projections that the continent will grow faster than the world average.

The content of the growth, however, has been a source of discomfort among African leaders. They worry that this growth is linked to a commodity boom which is fueled largely by China's demand.

Africa's ability to sustain its current growth will depend largely on how quickly it will be able to shift from reliance on traditional commodity markets to modern economic structures that focus on technology-driven development. The focus on innovation is emerging as a key theme in the Africa Union's long-term strategy, Agenda 2063.

Read this: 10 African tech startups you need to know

The African Union appointed a high-level panel on science, technology and innovation to provide proposals on how the continent can leverage the world's fund of technological knowledge for economic transformation. The panel is chaired by myself and Professor Ismail Serageldin, director of the Library of Alexandria in Egypt.

Building on emerging trends across the continent, the panel's draft report, "On the Wings of Innovation: Africa 2024," makes key recommendations related to harnessing emerging technologies, constructing basic infrastructure, investing in higher technical training, and promoting entrepreneurship.

As a latecomer Africa has the benefit of tapping into vast quantities of technological knowledge available worldwide. The continent's leapfrogging into the mobile revolution illustrated the power of latecomer advantages. Africa is now the origin of new industries such as mobile money transfer. The mobile revolution is still in its infancy and is already being extended to other sectors such as health, education and agriculture.

Biotechnology

Another important area that promises to transform Africa is agricultural biotechnology. To date, only four African countries (South Africa, Burkina Faso, Egypt and Sudan) have adopted transgenic crops. African scientists in additional countries such as Uganda, Kenya, Nigeria and Ghana are at the forefront of leveraging biotechnology to address local agricultural challenges. They are focusing on problems such as pests, disease, drought and low nutritional content of staple crops.

In addition to technical work, policy makers across the continent are starting to review the laws that govern the same development of biotechnology to create freedom to innovate. This is akin to past efforts to liberalize the telecommunications market to create space for the entry of mobile phones.

Biotechnology is already a multi-billion dollar industry and the associated technical knowledge can be adapted to other sectors, such as health, industry and environment management. The experience gained in adopting mobile technologies and biotechnology will make it easier for Africa to move into other fields, such as nanotechnology and new materials. The debate over biotechnology is therefore a strategic battle to position Africa as a global player in the field of new technologies.

Infrastructure

The draft report focuses on the urgent need to invest in basic infrastructure, such as energy, transportation, irrigation and telecommunications. The World Bank has estimated that the continent will need to invest nearly $93 billion a year in the next decade to meet its infrastructure targets.

African countries are already starting to respond to the challenge. For example, last year South Africa allocated $97 billion to infrastructure projects over the next three years. This magnitude of investment will require considerable creativity that will involve the participation of sectors such as the military. In addition, it offers a new opportunity for building up the much-needed capacity in engineering by creating new research and technical training institutes to support national infrastructure backbones.

Read this: Building roads in Africa? Send in the troops

Training

"On the Wings of Innovation" pays particular attention to the importance of technical training of the youth and recommends the creation of a new generation of universities that combine research, teaching and product commercialization. There is a prototype for universities: The Nelson Mandela Institute of African Science and Technology in Arusha, Tanzania. The institute is located in the Ministry of Telecommunications, Science and Technology.

Africa's technology-based line ministries have a wide range of research and technical institutes that can be upgraded to create a new family of universities that promote innovation for economic development. Their success will also inspire traditional universities to adjust their missions, syllabi and teaching methods to become more relevant to the challenge of human improvement.

Tech entrepreneurs

Finally, the report stresses Africa's need to foster technology-based business incubation. There are two areas that require attention. The first is supporting start-ups. There are good examples of this across Africa, which include initiatives such as iHub in Nairobi and InnovateLagos in Nigeria. The next frontier of policy focus should be scaling up new businesses.

Read this: Tech hub working on 'Nigeria's next big idea'

Flying on the wings of innovation will require long-term vision, policy focus and change-management capacity among African leaders at the continental, national and sub-national levels. Much of the practical action will occur in sub-national regions such as cities, provinces and counties. It will demand smarter governance styles that are supported by evidence rather than political rhetoric.

Creating technology-driven economies will demand greater investment in smart government than is required in the age of extractive industries. Countries that fail to upgrade their governance systems to reflect the competitive challenges of modern global markets will fall by the wayside.

The New Harvest: Agricultural Innovation in Africa, can be downloaded for free, here.

The opinions expressed in this commentary are solely those of Calestous Juma.

@highlight

Africa must shift to technology-driven development, says Professor Calestous Juma

@highlight

Invest in biotechnology, and adapt learnings to other sectors, he says

@highlight

Africa must support tech startups and help them to scale up