(CNN) -- Delayed flights, long lines, TSA pat downs—flying isn't what it used to be.

But stepping aboard one of these hot air balloons is a guaranteed way to rekindle a love of air travel. It's an opportunity to revel in the world's most beautiful landscapes, high above the fray. And it's the kind of worthwhile splurge that you'll be talking about long after you're back on solid ground.

There's nothing quite like floating over the yellow grasses of the Serengeti while lions and zebras frolic just a hundred feet below. Or watching the first rays of sun paint Myanmar's ancient pagodas and temples in hues of gold. On average, baskets carry four to eight people, so the ride can be as intimate and romantic as it sounds.

Festivals also celebrate ballooning as a lofty spectator sport. Fans turn out in droves each October to watch as hundreds of jaunty balloons ascend en masse into the cerulean skies above Albuquerque, New Mexico, making it the world's most photographed event.

Whether you choose the birds'-eye view over a French château à la the Montgolfiers' original flight or prefer to skim the treetops of the Costa Rican rainforest, your spirits are destined to soar.

Travel + Leisure: America's most scenic waterside drives

Melbourne, Australia

Greet the day, and Australia's second largest city, from high above the glistening skyline with a one-hour Balloon Over Melbourne flight. You'll take in views of the city's central business district, its parks and gardens, and notable landmarks like Melbourne Park and Rod Laver Arena, site of the Australian Open. Back on terra firma, toast your adventure with an optional champagne breakfast. From $320 per person; balloonovermelbourne.com.au

Napa Valley, CA

The Kimball Family and Napa Valley Aloft were floating people above the Napa Valley long before it became a world-famous food and wine destination. Weather is best between April and October in Yountville, the launch site and picturesque town that's home to the French Laundry restaurant. Soar over green rolling hills and small and large family vineyards—with views to the Sierras and San Francisco on clear days. Individual flights from $200 per person; group flights and private tours available; nvaloft.co

Travel + Leisure: Great spring getaways

Serengeti, Tanzania

Lions, hippos, leopards, giraffes and zebras thrive on the grassy plains of the Seronera River Valley, as you'll witness on a Balloon Safari. Flights also catch sight of the estimated two million wildebeest that migrate from Kenya to Lake Victoria each year, often passing through the valley between May and early June and again from late October to December. One-hour flights are followed by champagne, an English-style breakfast under an acacia tree and more amazing photo ops. $529 per person; balloonsafaris.com

Albuquerque, New Mexico

Each October, more than 500 colorful balloons take flight during early-morning mass ascensions at the International Balloon Fiesta, the largest such event and the most photographed event worldwide. The dedicated 365-acre Balloon Fiesta Park just north of Albuquerque also hosts special-shape balloon rodeos and the popular evening balloon glow, when pilots fire up their burners at the same time and leave the balloons tethered. If you're feeling inspired, Rainbow Ryders operates flights from within the park during the fiesta. Prices range from $299 to $499 per person for a 60-minute ride; rainbowryders.com. Advance-purchase festival admission for adults, $12.

Travel + Leisure: world's longest bridges

Saint-Jean-sur-Richelieu, Canada

An inflatable amusement park for kids adds to the appeal of the Montgolfières Saint-Jean-sur-Richelieu International Balloon Festival, just 20 minutes from Montreal. This nine-day August festival invites local folk groups and international musical acts to perform on several stages at night. Watch balloons, some in unusual shapes, inflate and take off into the sky; check out the Balloon Interpretation Centre to discover the world of hot-air ballooning; or get into the action by reserving morning or evening flights online. From $170 per person; ballooncanada.com

Cappadocia, Turkey

Twisted rock formations—the handiwork of 2,000 years of erosion—lend this Turkish landscape an otherworldly look best appreciated from above. Royal Balloon flies year round, though suggests dates between March and December for the most favorable weather. The 60- and 90-minute balloon rides soar up to 1,000 feet over spires and pillars known as fairy chimneys, plus subterranean churches and dwellings hewn into limestone. A prelaunch breakfast is also included. From $242 per person; royalballoon.com

9 intriguing fringe festivals

Letchworth State Park, New York

Follow the Genesee River as it rolls through the Letchworth Gorge, flanked by towering slate cliffs, some 600 feet high. Balloons Over Letchworth is the only company operating within the park from May to mid October. The hour-long flight swoops over lush woods and the middle and upper falls. Visibility is great in July and August when the weather is warm and dry, while September sees the foliage at its Technicolor finest. $249 per person; balloonsoverletchworth.com

Reno, Nevada

Held over three days in September at Rancho San Rafael Regional Park, the Great Reno Balloon Race is a free event for the whole family. Expect food vendors, craft activities for kids and popular morning glow shows—a predawn spectacle with balloons twinkling against the dark sky. More than a dozen specially shaped balloons are on display, including an 86-foot-tall Darth Vader (enter a drawing on the event's Facebook page facebook.com/renoballoon for the chance to win a ride). It's neat to watch the actual race, in which pilots maneuver toward targets and attempt to hit them with beanbags. Tethered rides for kids, $5; renoballoon.com

Bagan, Myanmar

This journey over Bagan defines awe-inspiring—especially when the sun's golden rays light up the white surfaces of more than 4,000 pagodas and temples in what was the capital of the first Myanmar Empire. Since the monuments are scattered around an area of more than 15 square miles, an aerial view is an efficient way to take in the scope of this enchanting landscape. Book with Eastern Safaris for a dawn ride that begins with tea, coffee and refreshments. From $320 per person; easternsafaris.com

Colorado Springs, Colorado

The Colorado Balloon Classic has been held each Labor Day Weekend since 1977 and draws local, national and international crowds to the foot of Pikes Peak to watch hundreds of jewel-toned balloons mass-launch in front of the 14,115-foot mountain. Balloon rides, evening concerts, coloring and photo contests, a children's play area and tons of local food and merchandise are the many ways the event raises money to share with local charitable organizations. Balloon rides during the festival are $295 per person; balloonclassic.com

See more best hot air balloon rides

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

A hot air balloon ride above your favorite travel destination may rekindle a love of flight

@highlight

More than 500 colorful balloons take flight above Albuquerque each October

@highlight

Spot lions, hippos, leopards and zebras from the Serengeti skies

@highlight

Twisted rock formations of Cappadocia, Turkey are caused by 2,000 years of erosion