The White House on Wednesday dismissed an Iranian threat to deploy warships near the U.S. coast, and military experts said Iran lacks the naval capability to do so.

Overnight Tuesday, Iranian state news quoted a commander as saying his country plans to have a "powerful presence" near the U.S. border.

In response, White House spokesman Jay Carney said that "we don't take these statements seriously, given that they do not reflect at all Iran's naval capabilities."

Pentagon spokesman George Little echoed Carney's point, saying Iran has the right to send vessels into international waters, but "whether they can truly project naval power beyond the region is another question."

"I wouldn't read too much into what came out of Iran today," Little said, adding: "I think what is said and what is actually done can be two different things."

State-run Press TV in Iran said similar plans were announced in July. However, no Iranian warships ever deployed. In February, two Iranian navy vessels traversed the Suez Canal in the first such voyage by Iranian ships since 1979.

Richard Herrmann, director of the Mershon Center for International Security Studies at The Ohio State University, said Iran's navy is too small with too miniscule a budget to remain for long off the U.S. coast.

"This is hard to take seriously, because Iran's navy is very small. This force, whatever it may be, is going to be puny, especially compared to the U.S. Navy," said Herrmann, who specializes in the use of imagery and posturing in international conflicts. "Iran doesn't have the capability to come within close proximity to (the United States) to conduct hostile activities. Even if (Iran) launched missiles, we would sink their ships immediately."

Iran lacks battleships or aircraft carriers. Its forces are capable of patrolling the Persian Gulf and sailing a short distance in the Indian Ocean, Herrmann said, but keeping ships stationed near the United States, so far from Iran, would be too expensive for the government.

"They would need a place to resupply, refuel, restock crews with food and water. They couldn't afford that unless they got help," Herrmann said.  "I would imagine they could get help from somewhere in South America, maybe Venezuela."

Venezuela and Iran are allied by their anti-U.S. sentiments.

Michael Connell, the director of the Iranian studies program at CNA, a Washington-area think tank that specializes in naval analyses, agreed with Herrmann.

"Their navy can't reach our coastline right now," Connell said, describing the Iranian announcement as "bombastic rhetoric."

"It's posturing" by Iran intended for both its domestic and regional audience, Connell said. Making such pronouncements projects a dominant role including naval power, whether or not they can back it up, he added.

"The Iranians have been historically annoyed that we have a naval presence in the Persian Gulf, which is kind of their backyard," Connell said.

The worst move the United States could make now would be to overreact, said John Mueller, the Woody Hayes chair of national security studies at Mershon.

"Hopefully this won't play into (American) neo-cons who are itching for a war with Iran," he said. "The best thing to do is ignore it and treat it with the contempt it deserves. If Iran wants to waste their time and money on a dwindling supply of fuel (to keep ships) bobbing around in the Atlantic Ocean, then let them."

The idea of Iran moving ships near the U.S. coast is not on par with the Soviet Union flying planes off the coast of Alaska during the Cold War, Mueller noted. The Soviets' move was legal, and was considered a gesture intended to irritate the United States, he said.

"Those were different circumstances and different players," Mueller added.

Herrmann cautioned that while moving ships near the U.S. coast may not be a real threat, Iran is certainly capable of harming the United States -- but closer to Iran.

Iran could attack U.S. ships in the Strait of Hormuz, a waterway between the Gulf of Oman and the Persian Gulf, on the south coast of Iran. Such attacks could disrupt oil markets and scare American tourists, Herrmann said.

@highlight

The White House says it doesn't take the Iranian claim seriously

@highlight

A Pentagon spokesman questions Iran's naval capability

@highlight

Miltiary experts say Iran is incapable of deploying ships off the U.S. coast

@highlight

State-run news agency says there will be a "powerful presence" near U.S. borders