(CNN) -- "Every day and every night I want to see you and be with you. Yet I have no feeling of selfish ownership or jealousy.

"In fact I should always want you to live just as you wanted -- because if you didn't you would change and wouldn't be you. Let's go for a long ride Sundays; let's go to the mountains weekends; let's read books in front of fires; most of all, let's really grow together and find the happiness we know is ours."

The dewy-eyed romantic writing those words?

Richard Nixon.

On Friday the first in a series of handwritten love letters between a young Richard Nixon and a young Pat Ryan went on display at the Nixon Library and Museum in Yorba Linda, California. The letters began in 1938 -- when they met while auditioning for a community play -- and extended almost up until their wedding day two years later.

Former President Nixon died in 1994, the year after Pat Nixon's death. She would have been 100 this month. The exhibit at the Nixon Library featuring the love letters will almost certainly reignite the debate about the most controversial and enigmatic U.S. political figure of the last hundred years. Who -- not only in the end, but at the beginning -- was Nixon? For all his fame, did anyone truly know him?

Most American adults long ago made up their minds about what they think of Nixon, pro or con. But, with the new focus this month on the Nixon Library and Museum, I hope that at least some of you will someday make the trip to Yorba Linda, will leave your political passions at the door for a bit, and will take in something that is absolutely haunting in its quiet power.

I have done reporting and research at four presidential libraries, and the part of the Nixon Library I'd like to recommend to you is by far the most memorable aspect of any of them. Maybe because it is so unexpected.

It's not inside the library itself; it's on a side lawn

It is a small house. The house where Nixon was born.

It is not a replica. It has not been reconstructed or moved from somewhere else. It is the house where Nixon lived for the first nine years of his life. The Nixon Library and Museum was built on the site of the former lemon grove where his father, Frank, tried and failed to make a decent living.

Frank Nixon built the house by hand, from a kit. The wood, nails and fittings, ordered from a catalog, arrived at the train station and Richard Nixon's dad, before the boy was born, put it together.

It is so cramped and claustrophobic. That's what strikes you when you enter the front door. You can't just wander through by yourself; volunteer docents at the library accompany you. Six people lived in the house: Mr. and Mrs. Nixon, Richard and three of his brothers. Two of them would die from illnesses contracted in childhood; a fifth boy would be born after the Nixons moved away from Yorba Linda.

You stand in that structure -- you look at the bedroom, to the left of the front door, and at the bed upon which Hannah Nixon in 1913 gave birth to the child who would end up a president -- and you think of the long and tumultuous life that Nixon would go on, from here, to lead.

Most of all -- and this is the inescapable thought as you stand within those four close walls -- you ponder a United States before there was commercial airline travel, before there was television, and you picture the White House, a continent and a universe away.

It would seem: You can't get there from here.

And yet. ...

The nature of raw ambition, and the rejection of impossibility, and the need to escape from what is to find out what will be. You stand in that nailed-together-from-a-kit house, and you try to imagine being a boy living there who has not yet learned what it is like to have strangers love you and strangers hate you, or even to have strangers know who you are. In the history of the United States, of all the hundreds of millions of people who have lived and died, fewer than 50 have become president. Where does it start?

"The living room was the center of our life in this house," Nixon once wrote. "Before the days of television and radio, reading and conversation were our major indoor recreation. My first taste of politics came at the dinner table, which was in a corner of the living room. At dinner my father would engage us boys in lively conversations about the events of the day. I owe my early interests in debating to those dinners. Even though I was young, my father believed that no one was too young to have an opinion and to learn how to express himself."

The family's upright piano is in that living room -- Nixon learned to play not only that, but the violin, the clarinet, the saxophone and the accordion. Near the tiny kitchen with its cast-iron stove is a narrow flight of stairs. The house was not large enough to have a second story; instead it had kind of a half-attic where all four boys, including the two who would die, Arthur and Harold, slept in a single room.

We're all thinking about the presidency this year, as the country moves toward another Election Day. Whatever your notions of Nixon, however much you may feel that everything that can be said about him has been said, I think you will be fascinated and perhaps moved by your time in that mail-order house, should you ever have the opportunity to go. Just to think, in the silence, about how things turn out the way they do. The American story can occasionally be utterly life-sized.

From this spot to the White House, to China, to Moscow, to more than 56 countries, through all the political storms that still, even in death, rage around him. He and Mrs. Nixon are buried behind the house. A journey through life, a journey like no other, and in the end this is where they rest.

You can't get there from here.

But, of course, you can.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says Richard Nixon's love letters to wife Pat on display at Nixon library

@highlight

He says these, other exhibits raise more quesions about the controversial, enigmatic figure

@highlight

He says boyhood home at the library is cramped; yet Nixon spoke of closeness with family

@highlight

Greene: Nixon library prompts reflection of how a life can go from there to the presidency