The U.S. Justice Department will seek a federal court order forcing Texas to resume "preclearing" any changes to its voting laws, the first enforcement action by the Obama administration since the Supreme Court tossed out a key provision of the landmark Voting Rights Act.

Attorney General Holder made the announcement Thursday in a speech before the Urban League.

"My colleagues and I are determined to use every tool at our disposal to stand against discrimination wherever it is found," Holder said in Philadelphia. "Even as Congress considers updates to the Voting Rights Act in light of the court's ruling, we plan, in the meantime, to fully utilize the law's remaining sections to ensure that the voting rights of all American citizens are protected."

A divided 5-4 Supreme Court last month invalidated the formula used to determine which states or local jurisdictions -- mostly in the South -- could remain under special federal oversight, requiring them to get approval from Washington before making any changes in voting procedures.

Conservatives fume when Holder talks race and law

That blunts much of the federal government's enforcement power in states and localities with a history of discrimination at the polls.

The ruling does not change the fact it remains illegal to discriminate against a person when it comes to voting. But it does change how some governments have been singled out.

Holder said the Obama administration will use a different section of the Voting Rights Act that allows federal authorities to ask a judge to order a state to be put under the preclearance regime. To do so the Justice Department must prove "purposeful" discrimination.

Texas will be test case of the tactic.

The state is the subject of two ongoing court fights over its voter identification law and the voting boundaries created by the legislature.

Texas Attorney General Greg Abbott had indicated after the high court ruling that both the state voter identification law and its redistricting maps would go into effect immediately.

Republican Gov. Rick Perry criticized Holder's remarks and defended the Texas "voter integrity" laws.

"Once again, the Obama administration is demonstrating utter contempt for our country's system of checks and balances, not to mention the U.S. Constitution," Perry said in a prepared statement. "This end-run around the Supreme Court undermines the will of the people of Texas, and casts unfair aspersions on our state's common-sense efforts to preserve the integrity of our elections process."

Sen. John Cornyn, R-Texas, was also defiant. "Texans should not -- and will not -- stand for the continued bullying of our state by the Obama administration," he said in a news release Thursday.

Lawmakers in Congress have begun considering proposals to update the Voting Rights Act to ensure continued federal oversight. Holder said that while his department could act unilaterally, updating current laws is the real key.

"It is the duty of today's Justice Department to continue monitoring jurisdictions around the country for changes that may hamper these voting rights -- to keep taking appropriately aggressive action against any jurisdiction that attempts to hinder free and fair access to the franchise," he said. "And to keep refining and refocusing current enforcement efforts while we work with Congress to craft stronger tools for protecting voting rights."

Holder called the high court ruling "deeply disappointing and flawed."

Under the section of the Voting Rights Act invalidated by the high court, any changes in voting laws and procedures in all or parts of 15 covered states -- including Texas -- were subject to federal oversight. That meant the Justice Department or a federal court had to sign off on all aspects, including something as simple as moving a polling place temporarily across the street.

The provision was reauthorized by Congress in 2006 for another 25 years. Officials in Shelby County, Alabama, subsequently filed suit, saying the monitoring was overly burdensome and unwarranted.

Chief Justice John Roberts, in his majority opinion, for the Supreme Court, said the decades-old formula still being used had "no logical relation to the present day."

"While any racial discrimination in voting is too much, Congress must ensure that the legislation it passes to remedy the problem speaks to the current conditions," he said.

President Obama had characterized the ruling as a "setback," even as he vowed his "administration will continue to do everything in its power to ensure a fair and equal voting process."

Texas will not be the first state the Justice Department has sought to "bail in" under a different enforcement regime from the Voting Rights Act, which would still be allowed in the wake of the high court decision. Parts of New Mexico and Arkansas also were subject to that special federal oversight, but the provision requires the Justice Department to establish a new, comprehensive record of alleged "intentional" discrimination.

That means the burden of proof would initially be on Washington to show a state like Texas deserves continued special scrutiny. If that oversight is granted, the burden of proof would then shift to the state, when justifying any future changes in its voting laws.

@highlight

Gov. Perry: This "undermines the will of the people of Texas"

@highlight

The Justice Department wants to restore "preclearance" provisions

@highlight

Attorney General Holder: We'll "use every tool at our disposal to stand against discrimination"

@highlight

The Supreme Court tossed out the old rule; Holder will try another tactic