Beirut, Lebanon (CNN) -- One year, 365 days and an endless number of seconds, transformed my life 360 degrees, made it go from color to black-and-white, turned laughter into tears.

I now no longer perceive the world as a 14-year-old innocent girl who takes everything for granted, more as a victim of a terrible experience that'll never fade away, always reminding me of what others go through and a memory that will forever stay with me.

Before the revolution, I remember how, on cold winter nights we would sit together as a family, around the crackling fire sipping hot chocolate. I remember the smoke from the fireplace, wafting upward, leaving a scent of burning wood in the air. I remember looking into my sister's eyes and that glimmer they always had, the smiles my parents would share.

I remember how I used to love breaking the silence of the moment by rushing into my father's lap, tracing the narrow path of velvet veins on his hand, as I enthusiastically told him about my day at school, my second home and my friends, my second family.

We don't live those days anymore. Now no one's eyes can lie, and the only sound I can hear is the screaming of sorrow.

March 23, 2011 was the first day I saw a demonstration in Syria. I was driving to a friend's birthday party, through streets that were packed with people carrying flags and calling out chants in support of the regime.

I was oblivious to my surroundings, I didn't know what was going on. I thought it was just a demonstration that would blow over.

"Barely any one is coming! Their parents are too scared to send them because of what's happening," my friend cried when she saw me. I looked into her eyes and saw the tears slowly forming and streaming down her red cheeks, streaking her dark make-up.

As weeks passed by it kept getting worse. One day I jumped out of bed to the sound of something loud shattering the windows of my room. Breathless, I got up too quickly, barely noticing the glass sparkling on my dull rug. I ran but came to a sudden halt as I felt my head spinning and my vision darkening.

My mom was crying and hugging my sister tightly. "A bomb hit an area nearby," my mother stuttered, switching through the different news channels while trying to block us from seeing it.

I managed to get a glimpse of it, on the TV, something I wish I had never seen. I remember my eyes feeling assaulted by the brightness on the screen, a sight that haunts me every night; dead bodies, bits of human flesh, were spread out like dispersed glass.

I closed my eyes and opened them again, hoping I would go back to the life I was used to, where unicorns and rainbows existed along with Prince Charmings and forever afters.

Unfortunately now, the dark days, and the nightmares take place on a regular basis, devastating my country and reluctant as I am to let it in, taking over my life, and controlling my mind.

From then on the world changed for me. Instead of learning it slowly through experience it was taught to me harshly through the sound of gunshots and bombardments. I discovered how cruel life can be, and how in one second a smile can turn into a tear, peace into war, a friend into an enemy and life into death.

I lived in a blur, not knowing what had happened or what I was to do.

I woke up every morning to the sound of gunshots, bombs or the roaring helicopters accompanied by the sad news of the death or kidnapping of someone we knew.

Some evenings, I hid under my blankets, covered my ears, and thought of the past trying to feel safe again.

I silently peeked out my window to continuously stare at the moon in its different forms casting a dim light, to stare at the sky and the stars emerge taking their place in the night. The image drawing me further and further from reality, into the life I yearned to go back to.

My parents tried to stay strong teaching us to do the same, until one night it all fell apart. I was sitting in my room, the place I hadn't left for a long time, talking to my friend about our memories, and suddenly, I hear a cry, whispers, the sound of my mother's sobs, then her yelling. "I'm going out to find him!"

My family has its own business and my father was late coming back home, not answering his phone.

"But it's too dangerous!" my aunt screamed back at my mother. "I don't care!" my mother shouted back.

I ran down the spiraling staircase terrified, afraid of what was happening. Everything went black, like a starless night. I felt like the walls of the house were closing in, suffocating me.

The background noise was blocked out and all I could do was stand and stare in dismay at my mom in this state for the first time. She lay on the stone courtyard just outside our front door, crying, holding her phone with a shivering hand dialing my dad's number like her life depended on it.

Everything stopped. It was like someone pressed the pause button in a movie, and now the seconds felt like hours. All I could hear was the pounding of my heart screaming over my mom's voice.

I don't know how long we waited, or how fast my heart was beating, but when my dad's car turned the corner, I gave everything I had left to run and hug him tighter than ever.

At that moment my senses returned and I realized how cold the ground was under my bare feet. I carried my mom inside, and from that day on I learned that though she may be older, taller and more experienced, deep down she needs me just as much as I need her.

Now, the one thing I looked forward to was waking up every morning and creeping into my parents' bedroom to look at my dad's thin and frail face making sure he had made it in safe the night before.

In school, only half my class was left. "At least we have each other," said one of my five best friends with a comforting smile.

However that didn't last for long.

Devastating news kept coming at us, beginning with the death of my friend's uncle. "In one second I lost my uncle; a part of me," she whispered in a heartbreaking tone.

I looked at her hopelessly, trying to comfort her, but I knew no words could bring him back. Every morning for one month, no words were spoken by anyone besides the ones of regret.

"If we knew this was coming, we would have done things so differently," we would tell each other.

We wouldn't have taken so much for granted, we would have appreciated what we had. Instead it was ripped away.

Grades dropped, smiles faded, students left, and all that remained were the memories that we would safely lock away.

As my dad protectively drove us to and from school, the only places we could go to, I noticed the row of soldiers on the streets. They reminded me of domino pieces. Their presence radiated darkness.

Each one had a solemn appearance, frightening eyes that looked right through you below their crunched frown. However, what always caught my eye were their large guns, the color of the dark pine trees they leaned on.

I went from looking at colorful flowers and singing birds every morning, to dark killer weapons.

April 5, 2012 was my last day of school. My parents decided to move us all to Lebanon. I had known it was coming all along. It wasn't a surprise. Everyone was moving.

I sank in my seat that day at school, buried my head into my hands and cried like I did every day.

I remembered how when I heard the news about Egypt and the violence in Tahrir Square and thinking to myself that I was far from harm's way. Now I was considering how hard it would be to move away from my home, my dad, my friends and family -- not knowing anyone or anything, possibly never being able to contact them because of the broken phone lines.

My mind wandered back to 10 years ago when I first stepped foot into the school, only worrying about things like my friendship bracelets, and now I was expected to leave everything I ever knew behind. The people who knew me inside and out, who had carved a place in my heart.

Memories flashed accompanied by more tears as my friends gathered around me and I opened my swollen eyes trying to picture the scene hoping it would last forever.

I am angry and I feel hatred to the people that are ruining my country, anyone who is holding a gun and shooting no matter which side they're on. Those who stole my childhood and that of so many others.

My dream was to apply to universities with my friends as well as cry tears of joy when we threw our graduation hats in the air. Now that was crushed to pieces. One part of me, knows that this isn't good bye, and that no matter where this crazy world takes us when the time is right we will return.

Another part of me is scared that more people will die, even if they are not close to me. Everyone has a family, friends and they suffering. I am scared that I will lose the hope that I now have about being able to return, and being left with nothing but memories.

@highlight

Cayanne wrote about the war is Aleppo, Syria, that forced her family to flee

@highlight

"I discovered how cruel life can be, and how in one second a smile can turn into a tear, peace into war"

@highlight

"I went from looking at colorful flowers and singing birds every morning, to dark killer weapons"

@highlight

She says hate and fear have replaced her childhood dreams, but she still has some hope