(CNN) -- Apple prides itself on being green.

The gadget maker announced this year that it would power a data center in North Carolina "using entirely renewable sources." And it publishes environmental reports on each of its products, indicating whether they can be recycled and what steps the company is taking to reduce its impact on global climate change.

But this has been a bad week for the company's green image.

"Apple computers are falling further from the tree of life and leaving a sour taste in some purchaser's mouths," wrote Tim Wall, a blogger for Discovery News.

The first bit damaging of news was about Apple's decision to dump an international green certification system that is used by the U.S. government to determine whether its agencies can or cannot purchase a product.

Apple would not comment on exactly why it abandoned the EPEAT environmental standard, which measures a product's recyclability and energy efficiency. The Internet, however, speculated widely that the company's new MacBook Pro line isn't easily recycled since the laptops' batteries are glued to their aluminum cases. And perhaps that was the reason Apple decided to pull out now, before those laptops were reviewed by EPEAT.

Then came Greenpeace. On Thursday, a report from that environmental group challenged Apple to tell the public how, exactly, it plans to make its data centers 100% green.

"This new ambition to be 'coal free' is welcome news for the 125 million current iCloud users, and represents a significant improvement in Apple's energy choices," Greenpeace wrote. "However, many details and questions remain about how Apple will achieve its 100% renewable goal from the public dialogue Greenpeace International has had with the company.

"Two of Apple's three current data centers operate in regions that are 50-60% coal powered, and will require significant new investment or a clear decision by Apple to buy electricity from cleaner sources in order to be considered coal free."

Because of Apple's recent statements about clean energy, however, Greenpeace actually raised the company's grades for the environmental friendliness of its data centers from Ds and an F, which it gave the company in April, to Cs and Ds.

"As a large and rapidly growing energy user, Apple cannot be a sustainability leader if it remains a passive recipient of the electricity it is provided from dirty utilities," the Greenpeace report says (PDF). "To show true leadership, the company has to be willing to use its influence to change the electricity ecosystem outside the walls of its data centers as well."

Specifically, Greenpeace says, Apple should pressure Duke Energy, which it says provides power to its North Carolina data center, to produce energy by cleaner means and to end its "mountaintop coal removal operations" from Apple's supply chain.

In a statement issued to CNN by e-mail, an Apple spokeswoman said the company's existing data centers will not use coal energy by early next year.

"We're committed to building the world's most environmentally responsible data centers and are leading the industry in the use of renewable energy, including the nation's largest private solar arrays and non-utility fuel cell installation," the statement said. "As we've said before, our North Carolina and California data centers will be coal-free as of February 2013 and our newest data centers in Oregon and Nevada will be designed to meet that standard from Day One."

Apple operates a data center in Maiden, North Carolina, as well as one in Prineville, Oregon, the report says. The company is planning data centers in Reno, Nevada, and Newark, California, according to the report.

The location of those data centers is important, Greenpeace argues, because data centers -- basically big warehouses full of computers that store data "in the cloud" or online rather than on home machines -- are such big users of electricity.

Apple uses data centers for its iCloud service, which lets users store music, photos and documents on the Internet/ where they can be accessed from several devices.

Environmental groups pressure tech companies to locate their data centers in places where green power is available or where less energy will be required to cool the plant.

Data centers account for about 1.5% of total electricity consumption in the United States, according to a 2007 report from the U.S. Environmental Protection Agency. As tech companies like Apple, Amazon and Google expand the offerings of their cloud computing services, the amount of power going into data centers continues to grow.

Greenpeace's Thursday report, titled "A Clean Energy Road Map for Apple," also calls on Apple to take several other specific steps if it wants to meet its goals of using 100% green energy. Among its recommendations, it says Apple should:

• Buy renewable energy for its data center in Oregon instead of purchasing renewable energy credits from Pacific Power.

• Create on-site power sources, find a source of biogas and retire its renewable energy credits from on-site power at its North Carolina data center.

• Create a policy for future data centers' locations that prioritizes the availability of renewable energy sources.

Apple did not respond to a request for comment.

In the Greenpeace report, Google, Facebook and Dell generally got better marks than Apple. Amazon ranked worse than Apple, earning Fs for transparency and its decisions about where to place its data centers.

Scores for those other companies were carried over from an April report and will be re-evaluated on a company-by-company basis this year, Greenpeace says.

@highlight

Greenpeace: Apple needs to do more to reach its clean energy goals

@highlight

Environmental group applauds Apple's green ambitions

@highlight

Apple has been catching heat for abandoning a green electronics standard

@highlight

Greenpeace gave the company C and D rankings for the greenness of iCloud