New York (CNN) -- Tuesday's Supreme Court decision in Berghuis v. Thompkins -- holding that, after being informed of their rights, suspects must explicitly tell police that they want to stay silent to invoke their Miranda protections -- indeed turns Miranda "upside down," as one dissenting justice put it.

Its potential consequences are as predictable as night following day: Police will interrogate criminal suspects who do not explicitly invoke their rights -- often, those will be suspects who are unsophisticated, poorly educated or mentally ill -- for hours on end. This will lead, just as inevitably, to more coerced -- and therefore unreliable -- confessions. And this will result in wrongful incarceration and diminish our collective security. This is the very phenomenon that Miranda aimed to eliminate.

To be sure, the ruling is a setback for the protections designed to ensure an effective criminal justice system (Miranda requires police officers to inform suspects of the right to remain silent and the right to an attorney).

But there is one silver lining in Berghuis' cloud: The ruling demonstrates that the Supreme Court is not shy about curtailing Miranda protections, even without prodding from Congress. Hence the ruling should derail Congress' recent calls to enact an unnecessary, likely overbroad and possibly unconstitutional statute further restricting Miranda's requirements.

The issue arose when Attorney General Eric Holder, among others, called on lawmakers to step in and limit Miranda by expanding the "public safety exception." That exception allows law enforcement officials to interrogate suspected terrorists for a limited time before advising them of their Miranda rights -- if the officers are "reasonably prompted by a concern for public safety."

But this call for codifying has always been somewhat baffling, as it is so clearly not needed. Expanding of the public safety exception legislatively may score political points for lawmakers or government officials bent on appearing tough on terrorism, but such action would not improve the efficacy of our counterterrorism policy.

In fact, the public safety exception in its current form has proved extremely effective in allowing law enforcement the necessary flexibility in questioning terror suspects.

After two recent attempted terror attacks, both the "underwear bomber" suspect, Umar Farouk Abdulmutallab, and "Times Square bomber" suspect Faisal Shahzad were questioned under the public safety exception. They both reportedly provided interrogators with valuable intelligence during that time and continued to do so even after being advised of their rights.

As the attorney general himself observed, "the giving of Miranda warnings has not stopped these terror suspects from talking to us. They have continued to talk even though we have given them a Miranda warning."

Legislation on the public safety exception is also risky. While courts consider the issues that come to them on a case-by-case basis, deciding what the law requires in the context of a particular set of circumstances, Congress must act in the abstract, imagining a variety of situations that might occur and attempting to draft a law able to address each of them. Thus any congressional attempt to define the scope of the public safety exception, especially in a political environment dominated by a sense that the next terrorist attempt might occur at any moment, is likely to overreach.

Moreover, we know from the 2000 case Dickerson v. United States, which struck down a law aimed at limiting the scope of Miranda, that the Supreme Court will draw the line on curtailing Miranda's protections. Thus any statute passed now to expand or codify the exception runs the risk of judicial invalidation. The result would be that any convictions secured through confessions elicited under the invalidated law would be reversed.

Today's decision, however, removes any doubt about whether Congress should take action. It should not. Without Congress ever introducing a bill or taking a single vote, the Supreme Court just expanded significantly law enforcement officials' ability to interrogate at length all criminal suspects, terrorists or otherwise, even after they have been properly Mirandized. Until suspected terrorists unambiguously assert their desire to remain silent, government officials may continue to interrogate them for hours or even days, using any statement they make against them in subsequent prosecution.

Moreover, this decision sends a strong signal: While it might look with hostility on congressional attempts to rein in the scope of the Miranda rule, the Supreme Court itself is willing to interpret narrowly the protections that Miranda affords criminal defendants. And it is willing to reach relatively far to do so.

The opinions expressed in this commentary are solely those of Emily Berman.

@highlight

Emily Berman says Supreme Court ruling easing up on Miranda protections is setback

@highlight

But, she says, it should cause Congress to back off on legislating Miranda changes

@highlight

Congress stepping in on Miranda risks political overreach, court challenges, she says

@highlight

Berman: Court has shown it's willing to make own narrow interpretation on Miranda