(CNN) -- Rick Santorum's contention that in order for Puerto Rico to become a state English must be its principal language drew criticism Thursday from the U.S. territory's sole representative in Congress.

"Santorum's view is narrow and a limiting view of what America is all about," said Pedro Pierluisi, a Democrat, on CNN's "Starting Point." "English is the predominant language in the U.S. and will continue to be so, whether Puerto Rico becomes a state or not."

Puerto Rico will vote in November on a referendum regarding possible statehood.

While campaigning Wednesday ahead of the island's primary on Sunday, Santorum told a newspaper that for Puerto Rico to become "a state of the United States, English must be the principal language."

There is currently no law declaring an official language of the United States, though several attempts have been made to give English that designation. Thirty-one states have passed laws mandating English as their official language. The Constitution also makes no mention of a language test for territories or properties that wish to become states.

Both English and Spanish are official languages of Puerto Rico, though Spanish is by far the dominant language on the island.

Santorum was spending a second day in Puerto Rico on Thursday, courting voters ahead of the primary.

Asked about his comments on Thursday, Santorum told CNN, "English has to be learned as a language. It has to be a country where English is widely spoken and used. Yes."

Asked if it should be a requirement for the territory to become a state, Santorum said, "I think English and Spanish. Obviously Spanish will be spoken here on the island. But this needs to be a bilingual country, not just a Spanish-speaking country. Right now it is overwhelmingly Spanish-speaking but it needs to have, in order for it to integrate into American society, English has to be a language that is spoken here also and spoken universally."

Mitt Romney is expected to win Puerto Rico's primary. He is scheduled to campaign on the island starting Friday. Republican Gov. Luis Fortuno endorsed Romney in January.

Romney's campaign issued a statement on Thursday contrasting his position on the issue with Santorum's.

"Puerto Rico currently recognizes both English and Spanish as the official languages of the commonwealth," said Romney spokeswoman Andrea Saul. "Governor Romney believes that English is the language of opportunity and supports efforts to expand English proficiency in Puerto Rico and across America. However, he would not, as a prerequisite for statehood, require that the people of Puerto Rico cease using Spanish."

The primary in Puerto Rico comes two days before a showdown in Illinois, where polls show a tight race between Romney and Santorum.

One of Santorum's delegates withdrew his support for the former Pennsylvania senator over the language matter, according to a local report. The Vocero newspaper reported that Hector Perez said he is no longer committed to Santorum. The party chair told the paper that one of the alternate delegates submitted by Santorum's campaign would fill the spot.

Santorum's campaign was re-energized after key primary victories in the South that raised questions about conservative rival Newt Gingrich's viability as a candidate and portended a long battle with frontrunner Romney.

Romney, rejected again by Southern conservatives in the Tuesday primaries in Mississippi and Alabama, won caucuses in Hawaii and American Samoa to claim about a third of the total delegates available and maintain his delegate lead.

However, Santorum's twin primary triumphs -- while narrow -- reframed the GOP race as a one-on-one battle between the socially conservative former Pennsylvania senator and the more moderate Romney, with Gingrich's chances fading fast.

Texas Rep. Ron Paul, the libertarian champion, continued to trail well behind the other three candidates in the campaign to face President Barack Obama in November.

"There is no end in sight," noted Ari Fleischer, a CNN contributor who was White House press secretary under President George W. Bush. "... For Republicans who thought that maybe Mitt Romney could come South and make this race look like it was coming to an end, this race is going on and on and on."

Delegate tracker: Who's got what

The Alabama and Mississippi victories give Santorum wins in 10 states so far to Romney's 18, and he poked at the frontrunner on Wednesday as he reiterated his stance that he is the viable conservative alternative to the former Massachusetts governor.

"It's pretty sad when all you have is to do math instead of trying to go out there and win it on substance and win it on what Americans want to hear about," Santorum told CNN in reference to Romney's claim of an insurmountable lead in delegates. "We're a long, long way from over."

Romney, meanwhile, seemed to get the message from frustrated supporters who asked him to turn away from delegate math, stop arguing about electability and stop attacking Santorum and instead focus on making a stronger case on why he deserves to be president.

"Look, I'm perfectly pleased with the process we have," Romney said Thursday on Fox News, acknowledging that his competitors are "tough" and "capable."

Illinois and its 66 delegates once looked safe for Romney, but recent polls show it could go either way.

After a stop in Missouri, Santorum has two events planned Friday in Arlington Heights, Illinois. He's also getting help in the form of a $310,000 purchase in Illinois from the Red, White and Blue Fund -- a super PAC that has been supportive of his candidacy.

Romney is bringing in New Jersey Gov. Chris Christie to campaign for him in the state on Friday.

Christie, who's popular with Republicans across the country for his tough talk and tough actions in taking on Democrats in New Jersey, disappointed many in his party last October when he announced he would not launch his own presidential bid. Instead he endorsed Romney and has traveled to a number of primary and caucus states to stump for him, including Iowa.

Gingrich, who based his campaign on a Southern strategy after winning South Carolina and Georgia, appeared to be in major trouble after losing both Dixie primaries Tuesday. And he'll be in the South again Friday, as he's scheduled to make several stops in Louisiana.

"The fact is that in both states, the conservative candidates got nearly 70% of the vote, and if you're the front-runner and you keep coming in third, you're not much of a frontrunner," Gingrich said of Romney's performance in Mississippi and Alabama.

Citing what he called Romney's vulnerabilities on health care reform, Gingrich said he doesn't "believe that a Massachusetts moderate who created Romneycare as the forerunner of Obamneycare is going to be in a position to win any debates this fall," and that is part of the reason he's "insisted in staying in this race."

Calls for Gingrich to drop out and unite conservative support for Santorum have gotten louder since Tuesday, but Gingrich argues that none of the candidates are likely to reach the 1,144 delegates necessary to clinch the nomination before May or June at the earliest, and probably not until the August convention.

Santorum and Romney are expected to split the next few contests on the calendar. After Puerto Rico and Illinois, Santorum is expected to win in Louisiana a week from Saturday.

Then the race turns north and eastward -- the District of Columbia, Maryland and Wisconsin vote on April 3 and Romney is the early favorite. But that's three weeks away and much has changed in such a span in the most volatile Republican race in generations.

CNN's Jim Acosta, Dana Bash, Tom Cohen, Peter Hamby, John Helton, Joe Johns, Alan Silverleib, Paul Steinhauser, Rachel Streitfeld and Chris Welch contributed to this report.

@highlight

NEW: A pro-Santorum PAC buys $310,000 in ad time in Illinois

@highlight

Santorum says that English should be required for Puerto Rico to become a state

@highlight

Romney's campaign responds with a statement saying he would not require that

@highlight

Puerto Rico, next on the campaign trail, has a statehood referendum in November