Hong Kong (CNN) -- It's Wednesday afternoon, and it's packed in one of Hong Kong's three huge Apple Stores.

The branch in the imposing International Finance Centre in the heart of the city's business district is humming with customers. There are people at every station, clicking and swiping. And there's a long, roped-off queue that stretches the length of the store.

A smiling, blue-shirted employee tells me they're the lucky ones who made it into the quota for an iPhone that day. Apple enforces strict limits on the number of phones sold each day, and the application process opens at 8 each morning.

It fills up "really fast," he says.

And if you keep missing your chance? If you're prepared to throw down a huge markup, you can just walk out the door. Outside both the IFC and the other Hong Kong island location, there are legions of iPhone "flippers," lined up and brazenly selling their wares for 20% to 30% more than the official retail price.

Two-phone limit

While the quota enforces a two-phone limit per customer, resellers use proxies -- sometimes domestic helpers or laborers -- to buy up the phones for a small fee, meaning there are plenty of "gray-market" iPhones for those willing to pay a premium.

They sit on cheap plastic chairs with their open suitcases beside them, stacked up with white boxes. Most of them have handwritten cardboard signs with the phones they have available. The prices, though, are nowhere to be seen; they'll tap it into a calculator when you ask how much the phones are going for that particular day.

I ask one couple sitting next to a stack of about 10 phones, about 50 meters away from the IFC store, how much a 128GB gold iPhone 6 Plus is. HK$9,600 ($1,238), he tells me. Inside the store, if you're lucky enough to make the quota, the same phone would be a shade over HK$8,000 ($1,032). I ask him where he got it, and he points with his thumb over his shoulder at the giant Apple logo.

The Apple employee tells me that it's a risk to buy a phone from a reseller; if it wasn't originally purchased in the city, it won't be covered for warranty here. But despite the warning, it seems that most of the flippers' inventory is sourced just meters away.

Back outside, the reseller's own phone rings: a beat-up white iPhone 5 or 5S, covered by a yellowing case. He answers it, clearly not convinced of a sale, so I turn to his partner and ask whether I can get a discount. She jabs a new price into a calculator: HK$9,580, a saving of just $20 ($2.50).

Watch: People are paying $3,000 for this iPhone

It's not like I don't have much choice of dealer. There are another five or six guys lounging around nearby, smoking and chatting near their own stacks of brand new, boxed-up phones, but the prices seem to resist too much market fluctuation. I ask another the cost of an identical phone; he quotes me HK$10,000 ($1,289).

At the nearest MTR -- Hong Kong's subway system -- stop there's another couple sitting with a Jenga-style assortment of iPhone boxes.

They're not selling, explains Winnie, a secretary who's using her lunch break to do some iPhone transactions. They're buying, and as we speak, she hands over her old iPhone 5. She gets HK$1,100 ($142) for it, which she'll put toward an iPhone 5S from the Apple Store.

"I don't care too much about having the latest model," she says as she heads over to buy it.

It's the same scene as the IFC location in Causeway Bay, one of Hong Kong's major shopping districts, if not even more blatant. Apple customers have to pick their way through the 30 or so resellers who are lining the sidewalk directly outside the Apple Store's glass doors.

Legal trade?

The iPhone flippers have their cardboard signs propped up against suitcases and cardboard boxes, from which iPhone boxes spill. One woman even has a couple of LG boxes mixed in there.

What they're doing isn't illegal, a nearby police officer tells me. It's just consumer-to-consumer aftermarket sales. "Just like if I was to sell something to you," he adds. And Apple's own security, who patrol the street in black polo shirts, can't do anything about the flagrant reselling right outside their store.

"They're on public property," the officer says. "So they can't get them to move."

The suspicion is that a lot of these phones end up on the other side of the border, in mainland China, brought across either by tourists or by the resellers. While iPhones have legitimately been on sale there since October 17, demand continues to outstrip supply, justifying the additional 20% to 30% markup.

As always in this city, money is talking. And increasingly, it is an affluent class of Chinese citizen who is willing to pay over the odds. Locals are being forced out of the property market, education costs -- as well as competition for school places -- are on the up, and people say that despite stagnation of wages, daily costs continue to rise.

So for Apple and cashed-up mainlanders, it's a win-win. Those left in the cold are the Hong Kong citizens who want to get their hands on a new phone the legitimate way. With the quota system swamped each day from 8 a.m. sharp, it might be a long wait for that new 6 Plus.

@highlight

iPhones sell for significant markups in Hong Kong

@highlight

Much of the trade takes place right outside the city's Apple Stores

@highlight

"Gray market" after-sale market is legal but allows resellers to tack on 20% to 30% to retail price