(CNN) -- It is in our DNA to explore the unknown. But pushing boundaries and exploring space is far from easy. This week, the commercial space industry received a punch in the gut and the world experienced a jarring reminder of just how dangerous space travel can be.

On its 55th test flight, Virgin Galactic's SpaceShipTwo suffered "an anomaly" just two minutes after it separated from its mother ship, WhiteKnightTwo, while 45,000 feet over the Mojave Desert.

One pilot was able to parachute out and is being treated for serious injuries, but tragically, the other perished.

The catastrophe comes on the heels of an explosion that happened earlier in the week when an unmanned rocket built by Orbital Sciences carrying a spacecraft loaded with more than 5,000 pounds of cargo exploded into a fireball just seconds after launch at NASA's Wallops flight Facility in Virginia.

Aerospace insiders routinely compare the emerging commercial space industry to the genesis of the aviation industry -- high risk, high reward.

Virgin Galactic founder Richard Branson said in a blog post following Friday's incident: "We've always known that the road to space is extremely difficult - and that every new transportation system has to deal with bad days early in their history."

A new private space race has emerged in recent years, with private companies like Virgin Galactic and XCOR Aerospace competing to become the world's first commercial space line. Then you have companies like SpaceX, Orbital Sciences, and Boeing that are vying for NASA contracts worth billions.

This week's events put the spotlight on the private sector's ability to shoulder the responsibility of space travel. What will the long-term impacts of disasters have on the burgeoning commercial space industry?

It should be noted, that in terms of the larger government contracts, this relationship between the public and the private is not really all that new.

Since the inception of the space agency, NASA has turned to the private sector to accomplish its space faring goals. Boeing is the lead contractor on the International Space Station.

It is not a relationship we will see change anytime soon, even in the face of the Orbital Sciences accident. That is because the U.S. no longer has a home-grown way to get to the International Space Station. NASA is relying on the private sector to get there -- making commercial companies essential to the space agency's operations thus shielding them from the impact of public perception.

The space tourism industry is different. The service it is providing is a luxury experience. The companies are at the mercy of public perception of their capabilities to safely transport paying passengers on these suborbital flights.

Yes, Virgin has partnered with NASA to run research missions in zero-gravity, but beyond that, Virgin Galactic relies on selling tickets to space enthusiasts and adrenaline junkies for the bulk of its development cost. And they aren't cheap. It costs $250,000 a seat.

Passengers want to know they are going to be safe. Friday's accident will surely instil fear in the more than 700 people who have signed up to make the journey.

So what is the value of space tourism? And why risk human lives to make it a reality? As George Whitesides told CNN earlier this year: "At heart, what inspires me the most is the idea that space changes you, that space has this profound impact on the people that can experience it."

What Whitesides is referring to is the overview effect, a phenomenon that space travelers are said to experience when they see the curvature of the Earth -- changing the way people see the world, thereby influencing the way in which they live.

Both Whitesides and Branson have spoken openly about the fact that suborbital flights are not the ultimate end goal for Virgin Galactic. Point-to-point intercontinental travel would be the next application of this technology, meaning that one day passengers could travel around the world in about two hours.

While such plans have been put on hold since the accident, Virgin Galactic is intent on taking off. In his blog post following the crash, Branson said: "Space is hard -- but worth it. We will persevere and move forward together."

The question is, will people still be willing to pay $250,000 to go to space?

Inside Virgin Galactic's spaceship

Perils of aviation pioneers

@highlight

The SpaceShipTwo catastrophe comes after an Orbital Sciences rocket blew up

@highlight

Virgin Galactic founder Richard Branson: "We've always known that the road to space is extremely difficult"

@highlight

Accidents have put spotlight on private sector's ability to shoulder responsibility of space travel

@highlight

Virgin has spoken openly about its ambitions beyond suborbital flights