(CNN) -- I remember a chalk line drawn on blacktop by a group of kids at recess when I was young. The message was clear: This is the line you do not cross. If you stepped over it, you would face the wrath of those kids in whatever game we were playing. Now turn that line crimson and color it toxic. This is the adult version of "do not cross."

This is the infamous red line.

We first heard about it in terms of Syria a year ago. President Barack Obama said that the use of chemical weapons by Syrian President Bashar Al-Assad would cross a "red line" that would have "enormous consequences." As chemical weapons were deployed in Syria in August, Obama's tripwire was triggered. Then Obama told reporters: "First of all, I didn't set a red line. The world set a red line."

When Obama says "the world" did it, he was indicating that much of the world long ago decided chemical weapons were an abhorrent thing to unleash in war. More than 160 countries signed a treaty attesting to this view.

But why has "the world set" this one line in the blacktop, and not others? The United States and its allies ignore the violation of treaties all the time. They ignore the use of other terrible weapons in global conflicts daily. As someone who grew up wondering why we intervened in Bosnia but not Rwanda, as someone who directs a project on rape in war, I want to know: How do we decide what suffering matters enough to get a red line?

At the Women's Media Center's Women Under Siege project, we've been keeping a live crowdmap of sexualized violence in Syria. I've personally reported multiple stories of rape in which women were hung by their wrists or burned. We've also documented how hundreds of thousands of women have been raped in 16 years of fighting in the Democratic Republic of Congo.

Yet Congress is not debating whether to intervene in Congo. It is not struggling over what to do about the rape and torture of women and men in Syria or anywhere else. Why? Here's one gut-wrenching answer:

"People divide their understanding of militarized violence into normal and not normal, acceptable and not acceptable," says Yifat Susskind, executive director of women's human rights organization MADRE.

Susskind argues that violence against women has been "normalized," especially in Africa.

"World leaders, like representatives in Congress, have turned a blind eye to the violence in DRC for a simple reason: It does not disturb their preconceived notions about where violence is normal," she says.

If this statement makes my heart hurt, I'm not sure I can imagine what it means to the people of Congo.

I spoke to Eve Ensler, the founder of V-Day. She conceived of the City of Joy, which empowers survivors of sexualized violence, and built it with the women of Congo. Just returned from there, Ensler says she witnessed a kind of dismay about the recent U.S. response to Syria's use of chemical weapons.

"Although the Congolese I spoke to felt great empathy for the Syrians, they felt confused by the U.S.'s immediate and overwhelming reaction when -- after 16 years and 8 million people dead -- they have been waiting and demanding that the U.S. stop supporting Rwanda," she says.

Ensler and others have long argued that the United States reconsider its relationship with Rwanda, which they say supports the rebel militia M23, one of the main perpetrators of atrocities in Congo. They are pushing for the opposite of military intervention -- they want a political intervention based on human rights violations.

"For how many years have we been banging on the doors of the White House, saying thousands and thousands of women have been raped?" she asks.

Unlike the obvious effects of chemical weapons use, the fallout of rape is often invisible: It doesn't always leave marks, and it is so heavily stigmatized we don't see how it psychologically, and physically, tears women apart.

With chemical weapons, gases seep in an indiscriminate cloud and infect whoever is in their path. They've been called "weapons of mass destruction in slow motion," says Jeffrey Lewis, director of the East Asia Nonproliferation Program at the James Martin Center for Nonproliferation Studies.

Lewis argues that "the goal is to have a world in which people don't settle for disputes with violence," but he recognizes that "we're a way off" from such a day.

"We still need to prevent a world that uses the very worst weapons," he says.

But "worst" is subjective.

"There's a hierarchy of sensation around weaponry," Ensler says. "But in my mind chemical weapons and mass rape are both weapons of mass destruction."

You could argue that the United States gets involved in wars based on careful geopolitics. You could argue, as many do, that the United States intervened in Bosnia because there was a politically viable solution on the table. You could say we stayed out of Rwanda because it was "messy." It's a nasty kind of calculus, this business of deciding the red line of intervention, of what kind of pain matters most. Ultimately, however, it may not be as complicated as it first appears.

"Do the people at risk matter to the people in power?" Susskind asks. "Does intervention serve the political aims of the powerful? In that calculation, human rights fall far behind."

The opinions expressed in this commentary are solely those of Lauren Wolfe.

@highlight

Lauren Wolfe: Obama says world set "red line" on chemical weapons that can't be crossed

@highlight

She asks: Why does world have no such red line on abhorrent weapon of mass rape?

@highlight

She says in Syria and Congo, rape is "normalized," doesn't draw threat of intervention

@highlight

Wolfe: U.S. should rethink ties to Rwanda, which backs Congo militia known for atrocities