(CNN) -- Nearly two years ago in June 2010, the war in Afghanistan surpassed the Vietnam War to become the longest war in American history. Although the U.S. ousted the Taliban from power and killed Osama bin Laden last year in Pakistan, it is clear that recent incidents, including the tragic killing of civilians by a U.S. soldier, are costing Americans the hearts and minds of the people of Afghanistan.

As a result, there should be real concern that the lives of nearly 2,000 American troops and more than 14,000 Afghan civilians who have been killed during this decade-long war could have been lost in vain.

The most recent blow to the NATO mission in Afghanistan is the dreadful story of an American soldier who apparently "went rogue" in a night-time shooting massacre and allegedly murdered at least 16 innocent civilians, including nine children and three women, Sunday morning near a U.S. base in southern Afghanistan.

"I am deeply saddened by the reported killing and wounding of Afghan civilians," President Obama immediately said in a statement. "I offer my condolences to the families and loved ones of those who lost their lives, and to the people of Afghanistan, who have endured too much violence and suffering. This incident is tragic and shocking, and does not represent the exceptional character of our military and the respect that the United States has for the people of Afghanistan."

The killings come after several copies of the Quran were accidentally burned last month along with garbage and other materials seized from a detainee facility at Bagram Airfield. President Obama apologized to Afghan President Hamid Karzai, calling the burning "an inadvertent error," but the subsequent furor led to violent protests and physical attacks in which 39 people died, including several American soldiers, and hundreds were wounded.

In January, four American soldiers were caught on videotape standing over some Afghan corpses and urinating on the bodies while laughingly saying things like "Have a great day, buddy." U.S. officials denounced the actions and made clear it was unacceptable conduct, amounting to a violation of both the Geneva conventions and U.S. military law.

In light of these three high-profile and polarizing incidents in Afghanistan within the last three months, prominent journalist Andrew Sullivan wrote that "after the Koran burnings, I cannot see a future for U.S. forces in (Afghanistan). The pressure to quit before 2014 will grow." He also said "our cultures are far too far apart to mesh; and the more we insist on succeeding with an unwinnable transition, the deeper into the mire we go."

Afghanistan is well-known as the "graveyard of empires." It cast off the imperialist likes of Alexander the Great, Genghis Khan and the Mongol empire, the British Victorian colonial empire and most recently, the Soviet communist empire.

"No outside force has, since the Mongol invasion, ever pacified the entire country (of Afghanistan). ... Even Alexander the Great only passed through," former U.S. Secretary of State Henry Kissinger wrote in October, 2009.

We have spent more than an entire decade trying to win the hearts and minds of the people of Afghanistan, we should remember the words of a 2009 CATO Institute policy paper which reminded us there is "a reason why (Afghanistan) has been described as the 'graveyard of empires,' and unless America scales down its objectives, it risks meeting a similar fate."

As we look back over our 10-year mission in Afghanistan, we should remember that we have successfully struck back at Osama bin Laden and al Qaeda, helped transition a more-than-slightly corrupt civilian government into power and somewhat improved the plight of women within the borders of Afghanistan.

But we should also concede that the stories of a rogue soldier's killing spree and Quran burnings could be the lasting legacies of the longest war in American history -- and should be overwhelming reasons that we need to leave Afghanistan right now by beginning our troop withdrawal.

The opinions in this commentary are solely those of Arsalan Iftikhar.

@highlight

Arsalan Iftikhar: Afghanistan War has lasted longer than Vietnam, anger growing

@highlight

Iftikhar: Afghans abhor soldier's massacre, Quran burnings, soldiers urinating on bodies

@highlight

Afghanistan has been called the "graveyard of empires," he says, and for good reason

@highlight

Iftikhar: U.S. killed bin Laden, routed al Qaeda; time to count successes and leave