(CNN) -- The parents of a 10-year-old Pennsylvania girl waiting for a lung transplant say they have asked U.S. Health and Human Services Secretary Kathleen Sebelius to change the rules that keep children under 12 from being prioritized for donated adult organs.

Attorneys for the family of Sarah Murnaghan, a 10-year-old Philadelphia girl with cystic fibrosis, have sent a formal letter to Sebelius, requesting that she "set aside" what they're referring to as the "Under 12 Rule" that, they say, is preventing Sarah from getting priority on the adult waiting list for lung transplants.

Sarah could die within weeks without a transplant. She has been waiting 18 months for another pair of lungs as her ability to breathe has rapidly deteriorated. Adult lungs are far more available than lungs from children, and doctors believe modified adult lungs might save the girl's life.

"This is in the scope of (Sebelius') ability to change this law for all of the children rather than let her wait and die," Janet Murnaghan told CNN's "Starting Point" Monday.

With just weeks left, Sarah fights the system for life-saving pair of lungs

Sarah's parents and attorneys are arguing that the rule is making it all but impossible for her to receive a lung, since children's lungs are so rare. As it currently sits, every adult on the list -- regardless of the severity of their illness -- would first have to turn down a pair of lungs before it could be offered to someone under 12.

In the letter, attorney Stephen G. Harvey of Pepper Hamilton LLP in Philadelphia, called the rule "discrimination."

"The Under 12 Rule is unfair, arbitrary and capricious, inconsistent with the statute and regulations, and stands in the way of Sarah potentially receiving a set of lungs that she needs to live," Harvey wrote. "It violates her rights under the Due Process and Equal Protection Clauses of the United States Constitution."

Harvey also argues that the Murnaghan family is not asking for the secretary to intervene "in favor of Sarah to ensure that she receives a set of donated lungs."

"They are only asking that you exercise your authority to direct that an inflexible policy ... be set aside so that medical professionals can exercise their judgment and Sarah can be considered for a set of donated adult lungs under the same requirement that apply to persons aged 12 and over."

Dying girl's plight sparks fight over organ transplants

Several lawmakers also urged Sebelius to act. Pennsylvania Republican Sen. Pat Toomey and Rep. Patrick Meehan co-signed a letter to the secretary saying in part, "You have the ability and authority to intervene to allow for Sarah and other children under the age of 12 to become eligible for adult organs."

They asked that Sebelius "direct OPTN (the Organ Procurement and Transplantation Network) to conduct an experimental variance" and that an example in Murnaghan's case would "help better inform the medical community's understanding of how these transplants work in pediatric settings."

Pennsylvania Sen. Bob Casey, a Democrat, wrote a separate letter to Sebelius, requesting her "immediate attention to several crucial questions" and would like answers no later than Wednesday.

The questions include whether it would be possible for HHS to suspend the current system while Sebelius' requested review of the policy for children's lung transplants is carried out.

Sarah is at the top of the list for any pediatric lungs that may become available for transplant in her six-state region.

Sebelius has previously told the family that she doesn't have the authority to intervene in a particular case, but she also called for the policy review. Any change could take up to two years.

CNN's Chris Welch contributed to this report.

@highlight

Sarah Murnaghan's parents asking HHS secretary to change transplant rules

@highlight

Sarah is waiting for a lung transplant, could die within weeks

@highlight

A twist in the child transplant rules prevents her from receiving modified adult lungs