(CNN) -- Longtime women's rights activist and Malawian Vice President Joyce Banda took charge of her homeland Saturday, ending two days of political intrigue after the death of President Bingu wa Mutharika.

Supporters cheered and danced as she was sworn in at a ceremony in the capital, Lilongwe, as Malawi's first female president.

"You have come to witness this occasion from all walks of life regardless of tribe, religion or political affiliation," she said. "I want all of us to move into the future with hope and with that spirit of oneness and unity."

Banda's ascension was contentious even though under the terms of Malawi's constitution, the vice president was in line for the highest office in the land. However, Banda's falling out with the ruling party had raised fears over a potential succession struggle.

She was expelled from the party in 2010 in a dispute with the president over his efforts to groom his brother as his eventual successor. She formed her own opposition People's Party, but remained vice president.

A government spokeswoman on Friday declared Banda not qualified to assume the presidency.

"The conduct of the honorable Joyce Banda in forming her own opposition party precludes her from being eligible to succeed the presidency," said Patricia Kaliati, who serves as information and civic education minister.

But Banda appealed for calm Saturday, and said the immediate focus of the country should be on the president's funeral and 10 days of national mourning.

She has been a grassroots fighter for women's empowerment and marched in January with Malawian women who demanded an end to attacks on those who were stripped naked on the streets for wearing pants, leggings and miniskirts, instead of dresses.

University of Malawi student Sphiwe Tanangachi Banda (no relation) said she was excited about having a woman at the helm. The country, she said, would take positive strides under Banda.

Banda often tells her own story of an abusive marriage and how she was trapped in it because she was not economically empowered. She walked out at age 31 with her three children and promised herself she would never find herself in that situation again.

She studied briefly in the United States and eventually founded several organizations, including the Joyce Banda Foundation, which educates girls and provides care for orphans, many of them HIV-positive.

She also created the Young Women Leaders Network and the Hunger Project.

She received the Africa Prize for Leadership for the Sustainable End of Hunger in 1997 for founding the National Association of Business Women of Malawi, aimed at making women economically self-reliant.

"We have no choice in Africa but to invest in women," she said in a speech last December at the Clinton School of Public Service at the University of Arkansas.

Banda became vice president in May 2009. She was previously foreign affairs minister and minister for gender, children's affairs and community services.

Mutharika, 78, fell ill Thursday at the state house in Lilongwe, and was transported to a hospital in South Africa, where he was pronounced dead.

It took two days for state media to confirm his death from a heart attack, sparking fears of political turmoil and a constitutional crisis.

Soon after the announcement, broadcast stations started playing solemn religious songs as mandated by the government.

The international community urged Malawi to observe the succession process in the constitution.

"We are concerned about the delay in the transfer of power. We trust that the vice president who is next in line will be sworn in shortly," said Johnnie Carson, the U.S. assistant secretary of state for African affairs.

Mutharika, a former World Bank economist who studied in the United States and other countries, was elected president in 2004 after campaigning as an "economic engineer." He won re-election five years later for a term scheduled to end in 2014.

His initial years in office were considered a success as he focused on battling corruption and working to improve the economy.

However, his popularity plunged as the economy faltered and the nation faced chronic fuel shortages and frequent power blackouts.

Journalist Pilirani Phiri in Lilongwe said Mutharika's passing will help bring needed reforms in the poor nation.

"The president had completely changed," Pilirani said. "He was not the same person who Malawians loved and gave him a landslide victory in 2009."

The United States announced last month that it was suspending $350 million allocated to Malawi because of concerns about its governance.

In the city of Blantyre on Saturday, people expressed sadness at Mutharika's death but optimism for the future.

"My expectations are that things will start moving along fine," said footballer Enerst Nyaude.

CNN's Alden Mahler Levine and journalists Gregory Gondwe and Teresa Temweka Chirwa contributed to this report.

@highlight

NEW: Joyce Banda is known for her efforts at women's empowerment

@highlight

She appeals for calm and says the focus should be on the president's funeral

@highlight

President Bingu wa Mutharika died after a heart attack Thursday

@highlight

Some express hope that his passing will help bring change