Editor's note: Marvin Seppala, MD, is chief medical officer at Hazelden, a national nonprofit organization that has been treating addiction for 60 years. He is co-author of two Hazelden books: "When Painkillers Become Dangerous" and "Pain-Free Living for Drug-Free People: A Guide for Pain Management in Recovery."

Marvin Seppala says opioid painkillers are highly addictive and in the same class of drugs as heroin.

CENTER CITY, Minnesota (CNN) -- Prescribed opioids -- pain medication -- have become the fastest-growing addiction problem in the United States. They are second to marijuana as the most commonly used illicit substances.

Vicodin and OxyContin lead the way among our youth; the 2008 "Monitoring the Future Study" by the National Institute on Drug Abuse found that 9.7 percent of high school seniors have misused Vicodin and 4.7 percent OxyContin.

There is a naïve consensus that these are safe medications because they are prescribed by physicians. However, they are extremely reinforcing, highly addictive and in the same class of drugs as heroin.

Opioid prescriptions have skyrocketed since the mid '90s and with this we have seen dramatic increases in illicit diversion of the drugs, addiction treatment admissions, emergency room visits for opioid overdoses and deaths.

Historically, pain has been inadequately treated by physicians, so there is good reason for the increased medical use of opioid pain medications. However, inadequate safeguards are in place and no one was prepared for the dramatic increase in addiction to these medications.

Some have argued that the addiction-related problems are a small price to pay for the relief of pain for the masses, but the parents of a 17-year-old girl who died of an OxyContin overdose in Portland, Oregon, last year would most certainly disagree.

Most often people obtain these medications by prescription; usually by "doctor shopping" -- going to multiple doctors for prescriptions. They are also purchased at "pill mills" from unscrupulous physicians, from dealers and on the Internet. Young people often obtain them from their parents' and grandparents' medicine cabinets. They are very easy to obtain.

Heroin is actually cheaper than these medications, resulting in another problem; once addicted, requiring high doses of opioids due to rapid buildup of tolerance, people look for less expensive alternatives.

Heroin use rapidly escalates, increasing the potential for IV use and the associated risk of hepatitis C, HIV and other infections. I worked with a 23-year-old who, as a senior in high school, used Vicodin that was legitimately obtained due to a football injury.

He and four friends were experimenting with other drugs and overused it. They all started to obtain opioids from physicians because of various real and fake injuries. Over time they became opioid addicts and three of them moved on to heroin. None of them went on to college and they were all caught in the vicious cycle of opioid addiction; using high doses every few hours, engaging in crime to support their addiction.

This is not a problem limited to our youth. The "boomers" are aging and developing aches and pains. Pain is the most common problem bringing people to the doctor, and opioid pain medications are frequently prescribed for even minor pain.

It's quick and easy for the physician to write a prescription for these medications and move on to the next patient. The patient is satisfied and the pain is often relieved. Unfortunately, some of these prescriptions will go to those already addicted and some will initiate an addictive cycle.

A 54-year-old woman came to see me for detoxification from opioids. She had obtained five prescriptions per month from five physicians. None were aware of her problem, nor suspected addiction. She was never seeking more, never tried to fill prescriptions early and appeared to be using them as prescribed.

Her husband had divorced her, she could not work and her home was going into foreclosure. She was caring for her two teenagers, but was barely able to care for herself.

These stories and many, many more illustrate our need for a national response to this crisis. If any other "legitimate" illness was killing hundreds of thousands of people per year, we would have outrage, government intervention and establish a directed response. Unfortunately, this is a disease of great stigma, and easy to neglect. We must begin to address this issue.

How can we do so?

• NIDA, the National Institute on Drug Abuse, and the ONDCP, the Office of National Drug Control Policy, should establish a task force to examine and implement a national response.

• A state or national computerized pharmacy record should be maintained and examined for overuse of prescribed medications.

• Law enforcement needs new laws, and resources to effectively shut down "pill mills," Internet prescribers and unscrupulous physicians. State medical boards need to examine over-prescribing and strip some physicians of their license to practice medicine, as well as offer training about addiction and appropriate prescribing of pain medications.

• Most states, especially in this economy, are in dire need of increased resources for addiction treatment. Effective treatments for opioid addiction exist.

• We need to provide training for medical students, nursing students, psychologists and social workers in the identification, evaluation and treatment of addiction as well as identifying drug-seeking behavior. We barely provide any training to our health care professionals about addiction in spite of the fact that 25 percent of the national health care budget goes to addiction-related illness.

• Chronic pain is commonly treated with opioids, but alternatives exist and in many cases are better. Among the alternatives are nonsteroidal anti-inflammatory drugs like ibuprofen, physical therapy, massage, acupuncture, nonaddicting pain mediations and exercise. Cognitive behavioral therapies can also be very effective for chronic pain. Insurance companies need to fund the alternative treatments.

• Our physicians, other prescribers and caregivers need to pay more attention to the risks associated with prescribing these medications. Appropriate prescribing, ongoing monitoring and educating patients about the risks are essential to good practice.

Addiction is an equal opportunity disease. It doesn't care about your age, race, gender and socioeconomic status -- which is why nearly 24 million Americans are dependent on -- or abuse -- alcohol or other drugs.

Treatment works and there is hope for lifelong recovery.

The opinions expressed in this commentary are solely those of Marvin D. Seppala.

@highlight

Dr. Marvin Seppala: Prescription painkiller addiction is growing fast

@highlight

He says people hooked on painkillers often move on to heroin

@highlight

He says U.S. has inadequate safeguards to prevent spread of addiction

@highlight

Seppala: There are alternatives to painkillers that can be better in some cases