(CNN) -- Since the first Harry Potter book came out in 1999, trends in young adult fiction have shifted from wizards to glittering vampires, followed by bloodthirsty "Hunger Games" and, now, teens coping with terminal illnesses and realistic issues.

These trends influence which books publishers market toward teens.

Will the success of novels like John Green's "The Fault in Our Stars" flood next year's market with realistic contemporary plots? It's a question that publishers and authors tackled recently during Publisher's Weekly's online panel discussion "It's Not Easy Being Green or a Teen: Reality Bites in YA Lit."

They found that while writers like J.K. Rowling and Green have opened the doors for authors and stories in their respective genres, young adult fiction should never be driven in just one direction. The nature of trends is cyclical rather than disappearing, said Michelle Bayuk of Egmont Publishing.

This week, Teen Read Week, young readers will have a chance to speak for themselves and vote for their favorite books on the Young Adult Library Services Association website. Readers between the ages of 12 and 18 can nominate and vote for their favorite titles from the past year via the Teens' Top Ten list.

40 new titles to feed your YA book addiction

We spoke with a few young adult fiction experts for a trend outlook going into 2015.

The 'John Green effect'

Contemporary stories with heavier topics and "illness books" are on the rise, according to Elissa Petruzzi, website editor of RT Book Reviews. "From mental illness to cancer, books are tackling issues that affect some teens every day," she said. Examples include Laurie Halse Anderson's "The Impossible Knife of Memory," Wendy Wunder's "The Probability of Miracles" and AJ Betts' "Zac and Mia."

Cindy Pon of Diversity in YA has also found the trend in more diverse offerings, like Jenny Han's "To All the Boys I've Loved Before" and Meg Medina's "Yaqui Delgado Wants to Kick Your Ass."

"Both had funny light moments but also real and thought-provoking scenes with wonderfully drawn characters," Pon said. "I've also enjoyed great thrillers like Lamar Giles' 'Fake ID' and Morris Award-winning author Stephanie Kuehn's sophomore novel, 'Complicit.' "

Subgenres shine

Although paranormal and dystopian titles are still being read and published, other subgenres like mystery and horror are on the rise in the wake of these popular trends, according to Young Adult Library Services Association President Chris Shoemaker. "It's nice to see a horror renaissance that isn't focused solely on zombies," he said.

"Fantasy is still going strong, and with the success of Sarah J. Maas's 'Throne of Glass' series and the highly buzzed 'Snow Like Ashes' by Sara Raasch, I'm sure we'll see even more fantasy novels next year," said DJ DeSmyter, assistant Web editor at RT Book Reviews.

New Adult

"The big trend near this age group continues to be New Adult, with much more sexy, adult story lines," Petruzzi said.

These titles often include characters that are entering or already in college. Books by authors like Abbi Glines, Cora Carmack, Colleen Hoover and Jennifer Armentrout have proved to be a big hit with readers, and the genre is expanding to include more than just contemporary love stories.

Love, bullying and friendship

Much of young adult fiction is issue-driven, telling relatable stories of how to face the everyday struggles of being a teen. Bullying remains a popular topic, with stories like "Tease" by Amanda Maciel being told from the viewpoint of the bully herself, according to Petruzzi.

In the place of complicated love triangles or predictable couples, stories about platonic friendships between quirky teens who don't fall in love are on the rise, Shoemaker said.

"There's also been a slight increase in novels dealing with teen sexuality, which I think -- and hope -- will carry over into 2015 and beyond," DeSmyter said.

Diversity

According to the Annie E. Casey Foundation, the number of "children of mixed race grew at a faster rate than any other group over the past decade," increasing by 46% from 2000 to 2010. The book market doesn't currently match those budding readers with enough diverse offerings, Shoemaker said.

But there is a movement for change.

Pon and Petruzzi were both excited to see diverse titles like Una LaMarche's "Like No Other," Amanda Sun's "Rain," Laura Lam's "Pantomime" and Marie Lu's "The Young Elites" this year.

"I've seen real momentum in the awareness and desire for more inclusive and diverse narratives, culminating in the amazing #weneeddiversebooks Twitter campaign that went viral," Pon said.

The "We Need Diverse Books" team has taken up initiatives outside of Twitter to bring diverse books into classrooms and organize the first Children's Literature Diversity Festival for 2016, Pon pointed out. But she also believes that traditional publishing still has a long way to go.

"I would love to see more books dealing with mental health conditions, other disabilities and the underrepresented individuals of the LGBTQI spectrum," DeSmyter said. "Better yet, I'd love to see books feature these topics without making them the sole focus. A diverse book shouldn't be a 'Diverse Book'; it should just be another great novel that teens devour in hours and love for the rest of their lives."

@highlight

"The Fault in Our Stars" likely to bring uptick in contemporary young adult fiction

@highlight

Mystery and horror stories are on the rise for teens

@highlight

There is momentum for diversity in young adult lit but a long way to go, experts say