Washington (CNN) -- When two focus groups met earlier this week -- conducted using "Walmart moms" or women ages 29-54 who've shopped at the big-box retailer recently, they revealed the secret behind how this crucial demographic decides whom they vote for this year: Google.

"You Google it," said participants from North Carolina when asked about their voting decision process. "Probably the night before," said another North Carolina woman, on when she looks up information on candidates.

The women were part of two, ten-person groups in North Carolina and Louisiana on Monday night that were underwritten by Walmart. In both states, female Democratic Senators are running in tight reelection races, meaning that the women in the focus groups represent an essential category of voters Democrats need to keep those seats and hold on to control of the Senate.

The racially, ethnically and educationally diverse group of mothers expressed concern about the future throughout most of the three-hours of focus grouping. Many were concerned about Ebola and less so about ISIS. They can recall the negative ads in their respective Senate races, but on the whole, don't know the candidates well. And even though Republicans have tried to tie every Democrat to President Barack Obama, the women didn't see the unpopular president as a campaign issue, even if they think he is doing a bad job.

What was most striking in the group, however, was how distant the Senate races in each state felt to the women.

According to the Center for Responsive Politics, in Louisiana's Senate race, between Democrat Mary Landrieu, Republican Bill Cassidy and independent Rob Maness, almost $40 million has been spent. Upwards of $80 million has been spent in the race between Thom Tillis and Kay Hagan in North Carolina.

All that money, though, has bought very little with these women.

"Nothing is going to change," said Lauren, a 44-year old North Carolinian. Politicians "stand where they stand. Nothing is going to change the next two weeks. It is going to be like you are cramming for a test."

Their interest doesn't mean they aren't concerned, however.

The Walmart moms of this particular focus group say they are worried about the future, anxious about their children and feel like politicians in Washington don't understand their daily struggle.

We are "out of site, out of mind," said Jennifer, a 38-year old cafeteria worker and mother of one. "Unless you are out there serving that child at school, or helping that student with just learning how to be nice with one another... or you are getting up at 4:30 in the morning so you can beat the rush hour and get to work on time."

After a slight pause, she added. "They don't [understand], they can't."

When asked what one message they would communicate to leaders in Washington, the women struck a similar tune: My representatives in Washington have lost touch with their roots and don't understand my struggle.

"I wish you could have been in my shoes, and seen [the] struggle of a single parent," said Theodosia, a 40-year old women who voted for Obama in 2012. "I remember where I came from," said Andrea, a 32-year old mother of three who voted for Romney.

"I work hard for everything I have, tangible and intangible," said Jennifer. Her comment resonated with the women, they nodded as she said it.

In North Carolina, most of the mothers recalled very little about Hagan or Tillis. Hagan, they said, was trying to portray Tillis as unstable, while Tillis was trying to cast Hagan as another vote for Obama, the women said. But other than that, not much stuck.

In Louisiana, where there was slightly more definition, the women struggled to name all three candidates. The women could remember Landrieu's positive ad -- including a "cute" one with her father -- and recalled attacks that "she doesn't even live here any more."

(Earlier this year, questions about Landrieu's residency were raised by a story in the Washington Post that said the senator doesn't own her own house in Louisiana and, instead, lives at her home on Capitol Hill in Washington, D.C. The senator has vehemently denied the charge.)

"If she doesn't live here, how is she supposed to know what the true problems are," said one woman. "How is she supposed to know?"

But that is really where the recollections ended.

What did universally stick, however, was that all the campaigning has been negative.

"All I get from all of those [ads] is don't vote for that person, because they are a bad person, vote for me," said one woman in North Carolina.

When asked what the Landrieu campaign wanted voters to think about Cassidy, one woman in New Orleans put it this way: "That he is the devil."

The reason they feel disconnected, according to women in both North Carolina and Louisiana, is that the people who represent them in Washington are of little concern to them because those politicians could never fathom their daily struggle.

The women told stories about struggling to pay for their children's education, their health care and their groceries. They talked about dealing with their spouse's job loss or trying to make ends meet with little. They also became animated when talking about the upcoming holidays and how they plan to save money to provide all they can or their kids.

And when reflecting on all of this, the women said the same thing: The politicians asking for my vote don't get all of this.

"Moms say politicians 'don't get it' and need to 'walk in my shoes,'" read a memo about the conversation from Neil Newhouse and Margie Omero, two pollsters who helped organize the group. "This is a perennial Walmart mom complaint that frankly only gets louder with each conversation."

This sentiment was encapsulated by Jennifer, the woman from North Carolina who said she struggled for everything she has.

"Once they go home to the farm, it isn't a dirty farm," she said of when lawmakers leave North Carolina and go to Washington. When they come home, she said, their farm "is a clean farm... with a tractor that would make John Deere faint."

@highlight

Two focus groups were conducted using women ages 29-54, a crucial demographic

@highlight

A common theme in both groups: Their Washington representatives don't understand their struggle

@highlight

Most participants couldn't recall much of the political advertising aimed at them

@highlight

Neil Newhouse and Margie Omero are two pollsters who helped organize the group