(CNN)If there was ever any doubt that the Obama administration's Clean Power Plan is an energy policy plan, not a carbon reduction plan, all you have to do is look at how they treat nuclear energy.

Nuclear is our largest source of carbon-free energy, generating over 60% of our carbon-free electricity.   Surely President Barack Obama's climate plan, allegedly aimed at reducing the United States' overall carbon emissions, would revitalize the nuclear industry, lead to increased plant construction and help meet aggressive carbon reduction targets. Well, think again.

James Hansen, the former head of NASA's Goddard Institute for Space Studies, said in 2013 that "continued opposition to nuclear power threatens humanity's ability to avoid dangerous climate change."

Yet Wednesday, the White House will celebrate Earth Day and promote its work to fend off climate change, while strategically ignoring its largest tool to cut carbon emissions -- nuclear energy -- as well as the warning of one of the administration's favorite climate scientists.

Despite the fact that nuclear power is carbon-free, the Obama administration's energy policy plan is biased against it.  This bias is created by how Environmental Protection Agency credits nuclear power in its models of both current emissions and plan implementation.  EPA's modeling is divorced from reality.

First, EPA's "Base Case for the Proposed Clean Power Plan" purports to depict the current state of the industry as the future would unfold without the Clean Power Plan.  This base case assumes no new nuclear construction and indicates the retirement of 96 of our 99 operating nuclear plants by 2050.

EPA's implementation modeling, "Option 1 -- State,"  shows exactly the same situation: no new construction and 96 retirements by 2050.  In other words, EPA assumes that the nuclear industry is essentially phased out by 2050.

These assumptions are tremendously important because they determine how emission targets are set and what state actions will receive credit toward those targets. A group of University of Tennessee graduate students made this point to EPA at a public hearing last summer.

Using EPA's own data, the graduate students showed that EPA's energy policy plan creates incentives for states to shut down nuclear power plants and replace them with natural gas combined cycle plants.  The students demonstrated that under this scenario, EPA's model shows emission reductions while real world emissions actually increase.

President Obama's EPA has shifted its position on nuclear energy and hidden that policy shift in a model.

For example, when EPA modeled the Lieberman-Warner bill in 2008, the agency indicated 44 nuclear plants would need to be built by 2030 in order to achieve the carbon reductions mandated in the bill. EPA's modeling of the 2009 Waxman-Markey bill showed the need to build 275 new nuclear plants by 2050 to meet the carbon reduction targets in the legislation.

Where did this policy shift come from?

At a recent hearing in the Environment and Public Works Committee, Mary Nichols, chairman of the California Air Resources Board, told Congress that EPA looked at California's California Global Warming Solutions Act when developing its so-called Clean Power Plan and that EPA's plan adopts the same policy choices -- limited credit for either nuclear or hydropower -- both of which are carbon-free.

Thus, EPA is assuming legislative powers and is making policy choices that favor some forms of carbon-free energy over others.

Congress did not give EPA the authority to make these choices, so instead they have hidden them in the modeling.

For example, the same modeling that assumes the nuclear energy phaseout coincidentally shows robust development of renewables without any retirements between now and 2050.  This is a very favorable assumption albeit unlikely considering wind turbines and solar panels are commonly believed to last only 20 to 30 years before needing replacement.

This anti-nuclear bias also is evident in Obama's recent executive order "Planning for Federal Sustainability in the Next Decade," which directs agencies to reduce their carbon emissions. Even though existing nuclear plants generate carbon-free electricity, the executive order does not allow agencies to take credit for emission reduction from nuclear energy unless it is energy from small modular reactors.

While I have long fought back on attempts for the federal government to tax carbon, I believe in an all-of-the-above energy strategy that provides our nation with energy security, and I have supported legislation that helps to clean the air. The administration says it shares these same interests, despite differing avenues to get there.  The administration also believes in man-driven global warming, which should make nuclear energy its golden key.

But the Clean Power Plan and the President's recent executive order demonstrate that the Obama administration is neither serious about reducing carbon emissions nor pursuing an all-of-the-above energy strategy.

If you think this administration supports nuclear energy, think again.

@highlight

U.S. Sen. Jim Inhofe: Nuclear is our largest source of carbon-free energy, generating over 60% of our carbon-free electricity

@highlight

So why doesn't the President's climate plan, allegedly aimed at reducing carbon emissions, do more with nuclear power?