(CNN) -- On mobile devices, social media may be hot, but news still captures people's attention. And the news business, troubled though it has been, is all about attention. But can mobile news apps help save news about your community?

In just a couple of years, mobile devices are likely to be the most common way that people in the United States access the Internet. Meanwhile, more and more newspapers and other traditional news outlets, especially those that provide local or regional news, are likely to keep getting smaller or even fold.

New research from Localytics shows that mobile users spend roughly the same amount of time with news apps as they do with Twitter's mobile app, about 115 minutes per month.

Many of my news media colleagues get excited when they hear statistics like that. They're hoping news apps might help save the ad-supported news business, perhaps even help keep traditional print newspapers and broadcast news operations afloat.

That's because advertisers want eyeballs. When people spend more time in apps, those apps become more attractive vehicles for advertising.

Localytics' data implies that smartphone and tablet apps for news could indeed offer an advantage to mobile advertisers. People spend just two-thirds as much time using mobile apps for entertainment, health and fitness, sports and music. While game apps are popular, on average, mobile users spend less than half as much time using game apps as news apps.

But not so fast: News organizations wouldn't necessarily be getting all, or even most, of the ad dollars from news apps. That's because some of the most popular news apps don't come directly from print or broadcast news brands.

For example, Flipboard is a very popular news aggregator app. Similarly, OnSwipe repackages a publisher's content to make it beautiful and easy to use on mobile Web browsers (not apps). The companies that provide these tools determine which ads get displayed there. Publishers who distribute their content through such third-party mobile news tools earn a cut of the resulting ad revenue, but it's less money than they've been accustomed to making by selling their own ads.

Pulse and Google Currents (two other popular news aggregator apps) don't yet run ads but are likely to start selling ads soon, according to TechCrunch and Forbes.

Most major news brands do offer their own smartphone or tablet apps, but these often are costly to develop and maintain, which can make them a dicey business proposition.

Furthermore most news brands that offer their own mobile apps don't sell their own in-app ads; they serve ads from revenue-sharing mobile ad networks. These network ads tend to be fairly generic and lacking in geographic relevance. That has been a missed opportunity, because location is especially important to mobile users, and because the vast majority of news outlets are local.

Last year, CNN took a different approach by purchasing Zite, a popular news aggregator tablet app. So far Zite doesn't display ads, but it is experimenting with revenue models and eventually it may help directly support the news organization.

That strategy might eventually pay off for a big global news organization like CNN, but probably not so much for a struggling no-longer-daily newspaper in a city like New Orleans.

GigaOm expects huge growth in the mobile advertising market, spurred by great improvements in meeting the needs of local advertisers. That's a development that could indeed help save local news outlets, at least the ones that decide to get serious about mobile.

But if a boom in mobile advertising ends up mainly benefiting national and global advertisers, ad networks and news outlets, then more people will keep getting less and less access to local news -- with potentially profound effects on communities.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

New research shows news apps are competitive with Twitter's mobile app

@highlight

Many hope that revenue from these apps might offset losses from print and broadcast news

@highlight

News apps are costly to make and maintain

@highlight

Larger news organizations might profit from apps, but it's doubtful that smaller newspapers will