(CNN) -- True crime stories are usually messier than fiction: They may be considered "solved" but still raise questions that can't be answered. That is true of CNN's five-part series, "Taken: The coldest case ever solved." Readers delved into the details like armchair detectives.

Many amateur sleuths told us they devoured the tale of the 1957 kidnapping and murder of Maria Ridulph in a single sitting. Then they filled the comments sections with some very good questions. We know some of the answers. But other mysteries remain, perhaps forever. Such is the nature of cold cases.

Question 1: Strange, the guy knew the girls, being their neighbor, while they didn't know him? And in a small town where everybody knew everybody else?

Several readers asked why Kathy Sigman didn't know or recognize John Tessier as the kidnapper who called himself "Johnny," especially if he lived a couple of blocks away in this small town. He certainly seemed to know who Maria was.

Perhaps the answer has to do with the difference in their ages. Kathy was 8. Maria was 7. Tessier was 18. Think back to when you were a kid. Do you remember any of the teenagers from your neighborhood?

John Tessier, or Jack McCullough as he was later known, had more reason to know and remember the Ridulph and Sigman families. Maria's sisters put on backyard plays, and he told CNN that he recalled attending one as a boy. An old newspaper account reveals a strange twist: At the age of 8, Tessier was struck by a taxicab driven by Kathy's father.

Police and prosecutors say Tessier had an eerie fixation with Maria.

Question 2: If only police had let Kathy get a look at Johnny Tessier in 1957, this whole case might have turned out differently. Why didn't they?

CNN was unable to obtain all of the police and FBI reports -- some remain under seal. So it cannot be fully explained why Kathy never got a look at Tessier at the time. He did not have a criminal record then, so there would have been no mug shot. Later, Kathy told us, she was never allowed inside the Tessier house after the kidnapping. She wonders now if there were too many secrets inside. Was his mother afraid she'd make the connection?

Answers to many questions can be found in CNN's evidence gallery

It is clear from reading local news accounts that there was a strong feeling among local law enforcement officials that the kidnapping must have been the work of someone passing through town. That bias likely shaped the investigation.

John Tessier did pass a polygraph test on December 10, 1957, and the FBI agent who administered the test believed that a teenager would not have been able to hide his involvement. The day after he was cleared, Tessier left town and joined the Air Force.

He returned four years later, but by then Kathy Sigman and her family were living on the other side of town.

Question 3: Kathy described "Johnny" as having long blond hair but the photos show him with brown hair.

Black and white photographs make hair appear to be darker than it is, particularly the hair color popularly known as "dishwater blond."

Question 4: What time did it get dark outside?

This question stirred considerable debate; it deals with the disputed time of the kidnapping and whether Kathy Sigman could get a good look at the kidnapper. The sun goes down early in Illinois in December, by about 4:20 p.m. Whether the kidnapping occurred before 6:20 p.m., as police believe, or about 7 p.m., as the defense contends, doesn't matter: It would have been dark either way.

Question 5: What was the "Western" Maria's father was watching when she went back inside for her doll? And what time did it come on? Couldn't this information help establish the time of the kidnapping?

Michael Ridulph told the FBI that he had started watching "Cheyenne" or perhaps some "Jim Bowie" frontier show at about 6:30 p.m., after Maria had gone out to play. This is consistent with a reader's research that "Cheyenne" began at 6:30 p.m. Central Time. It is not clear whether the FBI ever verified when the show aired, but CNN does not have the full set of FBI reports. Hundreds of pages remain under seal by the agency, which cites "ongoing investigations."

Question 6: Why was Maria not reported missing until 8:10 p.m.?

The Ridulph family's FBI interviews indicate that they conducted a thorough search of the neighborhood before contacting the authorities. Maria's father, Michael, used a whistle to call her. Maria had a tendency to wander off. Her father was embarrassed about a year earlier when she wandered away and turned up just as a search party was being organized. Her brother, Chuck, also later expressed regret that he did not wave down a passing patrol car while they searched for her.

Question 7: I remember this case well. It reminded me of the Grimes sisters, which happened a year before. Why didn't these people keep a better eye on their children?

We have no way of knowing what Kathy and Maria's parents knew about the Grimes case, but the crime was well known in the Chicago area. The Grimes sisters were older and lived much closer to the city. Barbara and Patricia Grimes, ages 15 and 13, vanished in December 1956 on the way to see the Elvis Presley movie "Love Me Tender." Their bodies were found in a field in January 1957. The Grimes case remains unsolved to this day.

John Tessier was aware of the Grimes case; he mentioned it to an Air Force recruiter on December 4, 1957. According to the FBI report, he "appeared well-read on the Grimes murder." He also mentioned that he was glad he wasn't in Sycamore the previous night because a little girl had gone missing. He added that he'd never be considered a suspect in the Sycamore case because his girlfriend's father was a deputy sheriff, the FBI reports state.

Question 8: I'm curious about a part of this story that wasn't elaborated on, the disappearance of his daughter. Is he a suspect in that as well?

Christine Tessier vanished in 2005 at age 34; her body was identified in June 2013. She was found in the drainage ditch of a golf course in San Antonio, Texas, shortly after she disappeared. But the body was so badly decomposed it went unidentified for years. Police are investigating the case as a homicide but are saying little else. Jack McCullough and his wife, Sue, say he was in Seattle at the time Christine vanished. He says he could not afford to go to Texas to search for her.

Finally, the Maria Ridulph case is but one mystery among thousands, as two readers reminded us. They provided a list of some of the cold cases involving girls and teens from Washington state, where Jack McCullough lived for decades. They want his DNA checked.

We cross-checked our readers' lists with the National Center for Missing and Exploited Children and The Charley Project. I'd be surprised if every cop with a cold case on his desk hasn't already checked CODIS, the national DNA database, where McCullough's DNA profile now resides. But in the meantime, here's a complete list of cold cases involving women in Washington state. The oldest dates back to 1973.

While our list might not be complete, it's worth taking a moment to remember these lost girls:

The Missing:
Teresa Kay Davis, age 18, 1973
Laurie Lynn Partridge, 17, 1974
Angela Mae Meeker, 13, 1974
Loralee Sue Lhotka, 20, 1975
Carlotta Maria Sanchez, 12, 1979
Andria Ann Bailey, 16, 1979
Christina Lee White, 12, 1979
Carla Kaylene Owens, 14, 1981
Kase Ann Lee, 16, 1982
Patricia Ann LeBlanc, 15, 1983
Patricia Ann Osbourne, 19, 1983
Kelli Kay McGinnis, 18, 1983
Pollyanne Jean Carter, 15, 1984
Diane Robbins, 13, 1985
Kimberley Kay Kersey, 18, 1987
Darci Renae Warde, 16, 1990

The Dead: 
Jennifer Bastian, 13, 1986
Michella Welch, 12, 1986
Debbie Gonzalez, 14, 1987
Leanne Wilcox, 17, 1982
Sara Yarborough, 16, 1991
Adre'anna Jackson, 10, 2006 
Anna Lee Chebetnoy, 14, 1991
Kimberly DeLange, 15, 1988 
Shannon Pease, 15, 1988
Misty Copsey, 14, 1992
Rose Marie Kurran, 16, 1987
Michelle Koski, 17, 1990
Jodi DePaoli, 16, 1988 
Erin MacGregor, 18, 1990

@highlight

Maria Ridulph, 7, was abducted and murdered in 1957

@highlight

Jack McCullough was convicted 55 years later but questions linger

@highlight

Timeline, alibi and other details of the nation's oldest cold case still in dispute

@highlight

Author of series answers readers' questions