London (CNN) -- Stars from one of the world's great soccer teams will be encouraging reading as part of a new project to put one million digital books in the hands of African children.

Spanish football team FC Barcelona -- home to stars Lionel Messi, Xavi, Eric Abidal and Seydou Keita -- joined forces Thursday with the non-profit organization Worldreader in a campaign to inspire a wave of literacy in sub-Saharan Africa through the use of e-readers.

Cristiano Ronaldo: I'm better than Messi

Founded by David Risher, a former executive at Microsoft and Amazon, Worldreader works on the premise that e-readers, like Amazon's Kindle, could help children in developing countries to "awaken their passion for reading, and improve their lives."

"Worldreader is committed to putting a digital library in the hands of all children throughout the world's developing countries, and we're thrilled with the support of FC Barcelona to send one million e-books to students in Africa," said Risher, Worldreader's CEO.

'Harry Potter' series finally available as e-books

The campaign is appealing for one million donors to each make a $5 contribution to help them reach their target of distributing one million e-books to 10,000 children in Africa. Because students bring home the devices and typically share their use with family members, friends and neighbors, it is expected the initiative will help put e-books in the hands of 50,000 people.

The e-readers will be distributed to children in Ghana, Kenya, and Uganda, where the non-profit is already operating, and soon in Rwanda, which is to become the next focus for the organization.

Football giant Barcelona will lend its weight to the campaign, with its stars sending messages via the e-readers to encourage students to read more and achieve their goals.

Worldreader believes technology can provide the best approach to encouraging literacy in parts of the developing world where books are otherwise scarce.

Unlike traditional books -- which had to be physically imported, one title at a time -- a single e-Reader could provide a child with a vast array of current, relevant titles at a low distribution cost.

The increased access to reading material, it was believed, could broaden the way students think and develop their creativity by allowing them to go beyond the syllabus to follow their reading interests.

A year-long pilot of the program to 350 students in six schools in Ghana yielded promising results. Reading test scores for primary students participating in the program increased by 4.8% to 7.6% more than their peers who were not taking part, although benefits for older students were less clear.

The e-readers gave students access to a much greater variety of titles: 107, on average, as opposed to the between 3 to 11 books the average student had access to at home without the devices. They swiftly learned how to use the e-readers, despite 43% having never used a computer before.

Read also: The Himba, Namibia's iconic red women

"Worldreader has not only given us unparalleled access to books, the program has motivated my students and instilled a joy for reading that never existed before," said Jacqueline Abiso Dzifa, a teacher at Presbyterian Primary in Kade, Ghana, whose students participated in the pilot.

The students relished their access to "a wide variety of classic and cutting-edge literature by renowned authors," she said.

As e-readers provided a pathway into the digital world, many students also used them to read international news sites that would have been inaccessible previously.

Just one of the collateral benefits to the program was that students gained greater exposure to African writers, said Worldreader managing director and co-founder Colin McElwee.

The program was working with African publishing houses to digitize their titles and provide students with local, relevant content -- which had positive impacts on local literary cultures.

"We want to digitize the curriculum, there's a whole catalog of books you can digitize," he said. "Once you digitize them, you can't just sell them in Ghana or Kenya -- you have a global market. So this is the first time African culture can be exported seamlessly, globally. That has an enormous impact on the potential of Africa over time."

@highlight

Football giant FC Barcelona is supporting a project to distribute 1 million e-books in Africa

@highlight

The project will see e-readers given to children in Ghana, Kenya, Uganda and Rwanda

@highlight

It is believed the devices encourage literacy by providing students access to more titles

@highlight

Younger students in an e-reader pilot project in Ghana performed better in reading tests