(CNN) -- Could the phrase "burn a disc" soon be interred in the computing graveyard, resting peacefully alongside 8-bit graphics and the chirping, buzzing hum of a dial-up modem?

Some technology analysts, along with some of the most influential computer makers in the world, say yes. Optical disc drives take up precious space in our ever-shrinking gadgets, and the ability to stream music or movies on demand has made CDs and DVDs less essential.

The disc drive's spin into obscurity may have started swirling faster last week.

Apple's new iMac, its flagship desktop computer, was released Friday. For the first time, it has no disc drive. This marks a trend that has already begun on some laptops, like Apple's MacBook Airs, and of course with mobile devices like smartphones and tablets.

"Over time, an optical disc will be as much of an historical curiosity as a floppy disk," said Michael Gartenberg, a tech-industry analyst with research firm Gartner Inc.

According to Apple, where sleeker, thinner designs are always en vogue, dumping the disc drive was a no-brainer.

"These old technologies are holding us back," Phil Schiller, Apple's head of marketing, told CNN sister publication Time. "They're anchors on where we want to go. We find the things that have outlived their useful purpose -- our competitors are afraid to remove them. We try to find better solutions -- our customers have given us a lot of trust."

If the company's track record on such things holds, the optical drive may be doomed. The original Mac dumped the 5-inch disk for a 3.5-inch floppy, and the first iMac was one of the first desktops without a floppy disk drive.

"It's clearly a long-term trend, but Apple's always been aggressive about making moves like this sooner as opposed to later," Gartenberg said.

The company's tiny Mac Mini, for the record, has been disc drive-free since last year.

Sony has already announced that it will stop making optical drives itself. And the release of Microsoft's Windows 8, an operating system that works on disc-free smartphones and tablets as well as laptops and PCs, suggests that computing giant would be well positioned for such a move as well.

For some users, Web habits have already begun trending away from actions that require external media.

CDs? There's music streaming or digital downloads. DVDs? Netflix, Amazon or a host of other online movie sites. Video games? There's digital distribution like Steam and, increasingly, downloads from the major console and game makers.

"As personal cloud services become ubiquitous and broadband speeds increase, there's very little reason for many consumers to use an optical drive on their computer going forward," Gartenberg said.

There are always USB ports available on the occasion that an external device is needed (Apple, for what it's worth, offers an external optical disc drive for $79).

Much as Google has with its Google Drive service, Apple has embraced cloud computing with its iCloud offering, which lets users store documents, photos, music and movies on Web-based servers. A move to the cloud could mean internal storage is less of a concern for users going forward.

Combined with advances in "solid state" internal storage and quicker broadband speeds that make downloads and streaming less painful, a post-DVD era could grease the skids for Apple and its competitors to make increasingly thin, light and inexpensive computers.

Witness the new Chromebooks, laptops that run Google's Chrome system, that rely almost exclusively on the cloud and sell for around $250.

To be sure, the transition may be rough on some users.

"For those who still own DVDs and want to watch them on their computers, the iMac isn't the ideal solution," Fortune's JP Mangalindan wrote in a review of the new iMac. "Sure, there's a $79 external SuperDrive that connects via USB cable, but that means shelling out extra for -- let's face it -- a feature that still comes standard on most PCs. It also means messing with the iMac's minimal-looking setup."

But like it or not, folks who still pop in a disc may not have long to keep doing so.

"While it may be too early to say for certain that the optical drive is absolutely dead," wrote Chris Pirillo, founder of blogging network Lockergnome, "it is certainly showing all the early warning signs of a technology that is past its prime."

@highlight

New innovations could spell beginning of the end for DVD drives

@highlight

Apple's new iMac shipped last week with no optical drive

@highlight

Cloud storage, streaming and faster downloads paved the way

@highlight

Apple was first to can the 5-inch disk and floppy disk