(CNN) -- At Christmas, the name of Jesus resounds everywhere in homes, churches, in hauntingly gorgeous carols, even casual conversations. Yet Christians didn't settle on December 25 as Christmas day until the fourth century, and this choice probably had something to do with its proximity to the winter solstice or its position as the final day of the Roman Saturnalia.

It was in the late third century, in fact, that the Roman emperor Aurelian established this date as a feast day celebrating the birth of the Unconquered Sun (Sol Invictus), so it already had festive and quasi-religious prominence. Now it serves to welcome the infant who became Christ, the Greek word for Messiah.

There are probably as many visions of Jesus, and versions, as there are Christians. Many regard him as their savior, the Son of God sent to Earth to save human beings from themselves. Others see him as a great teacher, a healer or rabbi of extraordinary power, a holy man or prophet who proposed a new covenant between heaven and earth. To some, he represents a new world order, an egalitarian society, a preacher of nonviolence who asked us to turn the other cheek.

Was he the long-awaited Messiah? The Lamb of God who removes the sin of the world by his self-sacrifice? King of the Jews? Or something less dramatic but still impressive -- an ethical teacher of extraordinary grace and power?

My father, a former Roman Catholic, became a Baptist minister, and I grew up with an insider's view of evangelical Christianity. My father read the Bible aloud at breakfast each morning, always in the King James Version. Beginning in December, I listened to the sonorous birth narratives of Luke and Matthew. In the latter, there are Wise Men coming from the East, a mysterious star, the massacre of innocent children by King Herod, and a flight to Egypt by the Holy Family.

Belief Blog: The Christmas message of the real St. Nicholas

My father, like me, preferred the gentler Christmas story put forward by Luke: "And there were in the same country shepherds abiding in the field, keeping watch over their flock by night. And, lo, the angel of the Lord came upon them, and the glory of the Lord shone round about them: and they were sore afraid. And the angel said unto them, Fear not: for, behold, I bring you good tidings of great joy, which shall be to all people."

I remember asking my father one day why these two Christmas stories seemed incompatible, at best. Even the lineages put forward by Matthew and Luke have few points of reconciliation. I also wondered why the two other Gospels -- Mark and John -- made no mention of Christmas.

Why was there no mention of Christmas anywhere else in the whole of the Bible? Didn't they care? He was a gentle but cautious fellow, my father, with a rock-solid faith. "It's probably better not to ask difficult questions," he said. "God will, in time, provide the answers. But not now. Not in this life." He told me simply to enjoy Christmas.

That didn't satisfy me, of course. Why should it? I realized that, as St. Paul so elegantly put it, we see only "through a glass darkly" while on this earth. But wasn't that too easy? I needed to know more.

And I still want to know the truth about this luminous figure, Jesus of Nazareth. Was he really the Son of God? Why was he sent into the world? Do we know anything about him, really? To consider yourself a Christian, must you believe in the Virgin Birth, or that Jesus walked on water, healed the sick, and rose triumphantly from the dead? Does it matter if we take all of this on board in a literal fashion? Isn't this a lovely mythos -- the Greek word for story -- a narrative with symbolic resonance and profound meaning?

Christmas by the numbers

Jesus himself seemed unwilling to answer questions about his royal status or divinity. When asked by Pontius Pilate about his status as King of the Jews, he simply replied, "You say so." Many in his circle referred to as the Son of God, but this wasn't an especially divine title. Augustus Caesar was called Son of God -- Divi filius -- on Roman coins. Jesus certainly regarded himself as having a filial connection to the person he called, in his native Aramaic, Abba, or Father. But doesn't that only mean he felt like a son before this personified spirit?

He was also called the Son of Man, reaching back to an ancient Hebraic phrase, which had rather humbling connotations. (It was in the Book of Daniel that a visionary figure called the Son of Man came into view, in apocalyptic terms).

All attempts to classify Jesus seem hopelessly inadequate.

As I've grown older, I appreciate more than ever before the strength of this figure, Jesus, who emerges in the four canonical Gospels, and the Gnostic gospels, as a witty, intelligent, complex, inspiring, and often contradictory person. He was a religious genius who grew up on the Silk Road in ancient Palestine, on that magical trade route connecting East and West.

From the West he acquired an understanding of Greek metaphysics, with its remarkable formulation of body and soul. From the East came the winds of mysticism, a sense of self-transformation based on the loss of selfhood, with enlightenment the ultimate goal. Jesus brings East and West together, focusing on his key idea -- that of a gradually realizing kingdom, a mystical space beyond time, though it requires time in order to root and grow. As he told someone who asked where this lofty kingdom lay: "The kingdom of God is within you."

Photos: Santas over the years

Too many Christians regard their religion as a list of boxes that need checking. To belong, you must subscribe to a particular set of beliefs. It's dogma, pure and simple. I suspect that Jesus himself would have been startled to think that, many centuries after his death, more than 2 billion people would celebrate his coming into the world, find his message of a gradually realizing kingdom an inspiring challenge, worthy of serious pursuit, devotion and emulation.

Jesus was a real person who lived in time, and his life has huge mythical resonance with the power to change hearts and minds. I believe that firmly. At this stage of my life -- a senior citizen, as they say politely -- I'm also quite happy to believe in miracles, assuming that the membrane between life and death is paper thin.

All Christian thinking is, however, about resurrection. It's about moving beyond our small selves, shifting away from our ego-drenched understanding of reality. The way of Jesus involves engagement with his (often difficult) teachings as well as looking for those unspeakably beautiful moments in time when, for just a few seconds perhaps, we apprehend the timeless moment in time.

Life mostly offers, as T.S. Eliot suggests in "Little Gidding," "only hints and guesses, / Hints followed by guesses." The rest is "prayer, observance, discipline, thought and action."

The opinions expressed in this commentary are solely those of Jay Parini.

@highlight

Jay Parini: There are as many visions of Jesus, and versions, as there are Christians

@highlight

Parini: As a child, I wondered why only two of the gospels mention Christmas

@highlight

He says he believes firmly that Jesus was a real person, complex and inspiring

@highlight

Parini: Jesus's life has mythical resonance with the power to change hearts and minds