New York (CNN) -- It's not your imagination: Our dysfunctional divided Congress is the least productive and least popular in recent history.

Some congressmen walk the halls like members of rival gangs. The simple job of reasoning together seems out of reach. A few good men and women -- like Sens. Joe Lieberman and Olympia Snowe -- have decided to retire rather than subject themselves to this disheartening Kabuki theater. The system is broken. But what can we do to fix it?

The good news is that it doesn't have to be this way. In the past, divided government presided over ambitious accomplishments like the Marshall Plan and the creation of the interstate highway system.

Ronald Reagan's accomplishments occurred while liberal Tip O'Neill ran the House of Representatives. President Bill Clinton and then-Speaker Newt Gingrich didn't get along at all personally, but together they achieved welfare reform and balanced the budget.

We need to change the culture of Washington to encourage more constructive and more civil behavior -- and that means changing the way the game is played. Congressional reform might not sound all that sexy on the surface, but if you are frustrated with Washington's chronic dysfunction, you should care enough to help propose new solutions.

That's why it was heartening to see a Senate hearing by the Homeland Security and Government Affairs Committee this week devoted to congressional reform. It had the overly officious name "Raising the Bar for Congress: Reform Proposals for the 21st century."

But beneath the congressional-ese were some strikingly common sense ideas, some of which were first proposed by the organization No Labels, which I helped co-found in 2010. It is a group of Democrats, Republicans and independents united in the belief that hyper-partisanship is hurting our country because it is stopping us from solving the serious problems we face. Here are three of the ideas proposed that could help heal the hyper-partisan gridlock afflicting Washington.

1) No Budget, No Pay -- This proposal would provide some personal incentive for senators and representatives do to something basic: Pass a budget on time. But the sad fact is that it has been more than 1,000 days since Congress passed a joint budget resolution, which is why we keep playing chicken with a government shutdown over continuing resolutions. What's worse is that this failure has become standard operating procedure. Congress has passed a budget on time only four times since 1952 and, for the past decade and a half, annual budgets have been an average of four months late. Some members of Congress complain that having their $174,000-a-year salary docked until they pass a budget would unfairly penalize them. But we need to apply some reasonable pressure to focus Congress' collective mind. No Budget, No Pay is a good place to start.

2) Filibuster Reform -- Think back to the classic movie "Mr. Smith Goes to Washington" and you'll remember the filibuster scene, the high drama of watching Jimmy Stewart stand alone on the Senate floor trying to alert the nation to a miscarriage of justice. But the filibuster has turned in recent years from an extraordinary event to a routine parliamentary maneuver, designed to block legislation from ever receiving an up or down vote without a supermajority in favor.

Opinion: Imagine a Congress that can do great things

Here's a reality check. In the first 50 years of the convening of Congress, the filibuster was used 35 times. In the last two years, it has been used more than 100 times. The system is broken and being abused. "Back in the 1960s, senators had to risk their bladder to filibuster," Rep. Jim Cooper, D-Tennessee, once told me. "Now no senator has skin in the game. They just ask a staffer to file paperwork." A simple procedural rule change to return the filibuster to its roots would mean an end to gridlock.

3) Up or Down Vote in 90 Days -- Since the Clinton era, we've seen an increase in White House nominations getting blocked before they ever get a chance to have an up or down vote. In 2010, Sen. Richard Shelby, R-Alabama, single-handedly blocked 70 nominations to get more spending for his state.

In 2011, more than 200 presidential appointments were left open, including the directorship of FEMA and key positions at the Fed and Treasury as well as federal judgeships. Both parties do it. The Democrats disgracefully blocked President Bush's judicial nominees, including Miguel Estrada. Failing to confirm federal appointments leaves important offices unfilled and good people who want to serve their country stranded on the sidelines. The solution is a rule change that would give the Senate 90 days to advise and consent -- but if they can't get their act together, the nominee would be automatically approved so government work can go on.

Opinion: What's wrong with Congress? It's not big enough

These are just a few congressional proposals that have been put forward. You should start proposing a few of your own. After all, no party, person or organization has a monopoly on good ideas. The key is to focus your frustration with Congress in a constructive direction.

With their approval numbers at a historic low, who knows?

They just might feel enough pressure to start taking citizens' advice. As Sen. Joe Lieberman said at the hearing: "We can't just hope and pray for a miraculous political awakening. There's not going to be some spontaneous cultural change in Congress. It's got to be forced."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon says a Senate hearing on reforming Congress was a positive step

@highlight

He says members of Congress shouldn't be paid until they can pass a budget

@highlight

The Senate should have to vote presidential appointees up or down in 90 days, he says

@highlight

Avlon: The old practice of a filibuster requiring continuous talk should be brought back