Lakota warrior Crazy Horse has long been a controversial figure, so perhaps it's only appropriate that his memorial follow suit.

Though he's best known for fighting against George Armstrong Custer at the Battle of the Little Big Horn, Crazy Horse led his tribe numerous times against settlers and miners in the Dakotas, Montana and Wyoming and elsewhere before his 1877 death at Nebraska's Fort Robinson.

But forget his disputed role in that battle or the claims that he's never been photographed or the conflicting tales of how he met his end -- the real mystery is more contemporary: When is the sculpture in his honor going to be complete?

In the mountains of Black Hills, South Dakota, rests the Crazy Horse Memorial. It pays tribute to the Native American war hero with a sculpture that, at many times the size of nearby Mount Rushmore, will one day constitute the world's largest mountain carving.

That is, if it ever gets completed.

Though the project has been ongoing since 1948, it's far from finished, and there isn't a rush because ... well, there isn't a deadline.

"The organization is not trying to be difficult or using delaying tactics," said Patrick Dobbs, spokesman for the Crazy Horse Memorial. "There are project unknowns and circumstances beyond control that influence the work."

He lists harsh weather -- including lightning storms and blizzards -- and the mountain's high iron content, which makes the rock tougher to carve, as factors that have put a halt on the sculpting progress.

That's not to mention that the sculpture will stand 563 feet tall, a few feet higher than the Washington Monument.

Creator shuns assistance

Another factor is funding. According to Dobbs, the Crazy Horse sculpture is a nonprofit project and is funded entirely by admission fees and donations.

"There were offers by elected government officials and high-ranking department appointees to seek funding as amendments to bills for other federal legislation," said Dobbs. "However, (Polish sculptor) Korczak Ziolkowski turned them down. He did not believe the government would complete the carving."

Ziolkowski saw the American government as flaky when it came to making agreements, Dobbs said, adding Ziolkowski was dismayed by the 1868 Fort Laramie Treaty, which handed the Black Hills over to the Lakota but required their children have an "English education" and failed to address gold rights, resulting in years of conflict.

The government seized the Black Hills nine years later, and the ensuing court battles continued for more than a century.

Dobbs said Ziolkowski was also troubled by Mount Rushmore sculptor Gutzon Borglum's struggle with federal officials over funding and control of the American landmark.

Despite these factors that prompted Ziolkowski to spurn government assistance, it should be noted that Rushmore was completed after only 14 years.

The New York Times reported in May that admission fees totaled $3.8 million in 2010, and the memorial received more than $19 million in donations over the last five years.

Some Native Americans, including descendants of Crazy Horse, think with numbers like that the monument should already be finished.

Seth Big Crow, whose great-grandmother was Crazy Horse's aunt, has mixed feelings about the memorial. In an interview with Voice of America, he said the monument could serve future generations and may be the American equivalent to the Easter Island monoliths.

"Maybe 300 or 400 years from now, everything will be gone, we'll all be gone, and they'll be the four faces in the Black Hills and the statue there symbolizing the Native Americans who were here at one time," Big Crow said.

The Eastern Island monoliths have long been considered one of the world's great mysteries. Ancient Polynesian settlers to the island built the giant volcanic-stone figures, and while they are thought to pay homage to deities or ancestors, no one knows exactly what they represent.

The sculpture of a lifetime

Ziolkowski began carving the Crazy Horse monument seven years after the completion of Rushmore.

Chief Henry Standing Bear, then-leader of the Lakota tribe, didn't like the four huge American faces peering over his people's land, so he asked Ziolkowski if he could carve a monument in honor of a Native American legend.

"My fellow chiefs and I would like the white man to know the red man has great heroes also," Standing Bear wrote in a 1939 letter to Ziolkowski.

Ziolkowski worked on the carving until his death in 1982 at age 74. His dying wish was for his wife Ruth, now 86, and their 10 children to finish the sculpture. Ruth is president and CEO of the Crazy Horse Memorial Foundation, and seven of the children are working on it to this day.

Not everyone considers the sculpture an honor.

In an interview with Voice of America, Elaine Quiver, another descendant of Crazy Horse, said Standing Bear had no right to order the monument.

"They don't respect our culture because we didn't give permission for someone to carve the sacred Black Hills where our burial grounds are," Quiver said. "They were there for us to enjoy and they were there for us to pray. But it wasn't meant to be carved into images, which is very wrong for all of us. The more I think about it, the more it's a desecration of our Indian culture. Not just Crazy Horse, but all of us."

Tim Giago, founder of the Native Sun News, which is based in nearby Rapid City, told The New York Times he has never heard "a single Native American say, 'I'm proud of that mountain.' "

There's also disagreement over the depiction of Crazy Horse's face. Though it's a source of some dispute, many experts say there are no known photographs of Crazy Horse, and thus, creating a statue in his likeness is foolish.

However, according to a biography provided by the Crazy Horse Memorial, the statue is not meant to be a rendition of Crazy Horse. Instead, it's supposed to honor the spirit of Crazy Horse.

Growing popularity?

Dobbs acknowledges that the "significance of the Crazy Horse Memorial and reaction to the mountain carving varies" among Native Americans. However, he feels as though the perception of the mountain is getting better.

"The growth of the memorial's tribal flag collection to more than 120 banners from American and Canadian tribes and groups indicates spreading popularity for Crazy Horse," said Dobbs. "The extent of applications for the limited openings in the summer university program is another indicator of support."

The tribal flags are given to the memorial as a sign of respect from the nation represented by the flag. It's also a sign of "continuing support of the ongoing project," Dobbs said.

Wanda McFaggen of the St. Croix Chippewa Indians, which sent their flag to the Crazy Horse monument, praised the memorial for its historical significance.

"We believe that education is a vital tool in helping the non-native communities understand who we are," said McFaggen, director of the tribe's historic preservation department. "It gives me great pleasure to acknowledge the efforts being made by the Korczak Ziolkowski family, and we are grateful for their passion for all of us as Native American people."

The mountain also features other attractions besides the carving that "preserve" the Native American tradition, Dobbs said.

There is the Indian Museum of North America, which contains more than 11,000 historic and contemporary objects and artworks from tribal groups; the Native American Educational and Cultural Center, which houses a collection of historic prints, numerous regional artifacts and some hands-on activity displays; and the recently opened Indian University of North America, which partners with the University of South Dakota and offers courses in Native American studies.

The Crazy Horse Memorial "anticipates continued expansion of the Indian University of North America to include a medical training center, further development of the Indian Museum of North America and growth in its educational programs to enhance understanding of the varied Native American cultures," Dobbs said.

However, Big Crow feels like the money being spent on these buildings should be used solely on the statue.

"When you start making money rather than to try to complete the project, that's when, to me, it's going off in the wrong direction," Big Crow said in the Voice of America interview.

'A project that will never end ...'

But the Ziolkowskis have always insisted that this be a painstaking process -- "so you do it right" -- and the memorial website flatly states the memorial "is a project that will never end, even after the mountain carving is complete."

After 50 years of work, Crazy Horse's 87-foot head was completed in 1998, and work is presently being done to finish 219-foot-tall head of the Native American warrior's steed, according to the Ziolkowskis.

When and if it's complete, the entire monument will be 641 feet wide. In terms of size, Mount Rushmore, just 17 miles away, has four 60-foot heads, all of which can fit inside the lone head of Crazy Horse.

Crazy Horse died after being captured by enemy soldiers. As with most Crazy Horse-related lore, the exact time and manner of death are disputed, and even a highway sign near Wounded Knee, South Dakota, lists four possible resting places.

@highlight

Work on Crazy Horse Memorial began in 1948; it's unclear when sculpture will be complete

@highlight

Monument is planned for 563 feet, a few feet taller than Washington Monument

@highlight

Despite early controversies over statue and location, memorial officials say image is improving