Port-Au-Prince, Haiti (CNN) -- Within a year that saw a massive earthquake, a spreading cholera epidemic and recurring signs of government instability, the poorest country in the Western Hemisphere is gearing up for its latest battle: presidential elections.

Nearly all of the 19 candidates have campaigned on similar platforms: fighting corruption, creating jobs and addressing a series of natural disasters that has left the Caribbean nation reeling and prompted many to urge for a postponement of Sunday's vote.

Haiti, which has endured near constant health and environmental crises, is facing a growing cholera epidemic affecting nearly 70,000 people that many fear could further scare voters from the polls.

The death toll stands at 1,603, the Ministry of Public Health and Population reported Friday. More than 29,000 people have been hospitalized, with a stunning 18.3 percent mortality rate in the country's cholera-affected northeast, it said.

But Ken Merten, the United States ambassador to Haiti, said the election process was on track.

He said 250,000 new voters were registered and more than 11,000 voting stations have been identified in the fifth presidential election since the fall of the Duvalier dictatorship and the first since the devastating 7.0-magnitude earthquake in January.

Among the candidates is perhaps Haiti's most flamboyant politician, Michel Martelly, who is perhaps better known by his street name: Sweet Micky.

Martelly's penchant for dressing in drag and organizing raucous street parties in the Haitian capital has made him a popular choice among portions of the electorate.

"Yes, I've been the bad boy," Martelly told CNN. "But the people of Haiti believe in that rebel status that I'm selling. You know, in able to fight the system, you must be strong, must be courageous."

His style clashes sharply with that of a more soft-spoken front-runner and former first lady, Mirlande Manigat. The 70-year-old conservatively dressed Sorbonne Ph.D stands to be Haiti's first female president.

Her husband, Leslie Manigat, was elected president in 1988 under the Assembly of Progressive National Democrats (RDNP) party but managed to hold on to the office only four months after his election.

"It was a coup d'etat," Manigat told CNN. "A military coup against him. And we had to go again in exile for two years."

Manigat ran again in 2006, losing to current outgoing President Rene Preval in a controversial election in which Preval failed to secure more than 50 percent of the vote, but managed to avoid a mandatory runoff.

In a country accustomed to political upheaval, angry crowds in the Haitian capital last week tore down posters of Preval's hand-picked candidate, Jude Celestin, amid frustrations with the country's corrupt and often ineffective leadership.

Celestin, whose well-funded campaign has occasionally featured airplanes dropping confetti, leads the largest bloc of politicians competing for seats in both houses of the Haitian parliament.

But with no clear front-runner, elections could be forced into a runoff in January if no candidate gains more than 50 percent of the vote.

Last week, days of violent protests brought Haiti's second-largest city, Cap-Haitien, to a standstill amid voter frustration about government corruption and the growing cholera outbreak.

"There's a history of some violence [during Haitian elections]," International Crisis Group spokesman Bernice Robertson told CNN. "Some irregularities, some accusations of fraud, before, during and sometimes after the elections."

Despite billions of dollars pledged by international donors, little has been done to clean up mountains of rubble or resettle the 1.3 million homeless people living in tents who have often suffered most from the spreading epidemic.

Meanwhile, the Pan American Health Organization said it was planning to treat 400,000 cholera cases within the next year, up from a previous estimate of 270,000 over several years, as a result of the outbreak.

"We need to plan for up to half of those cases occurring in the next three months because of the explosive nature of this epidemic," the organization's deputy director, Dr. Jon Kim Andrus, told reporters in Washington on Tuesday.

"We need more of everything," he said. "More training for staff in Haiti, more doctors, more nurses, more treatment centers, more medications, more toilets, more clean water."

Sunday's election could be among the most important in recent history, as incoming lawmakers will grapple with campaign promises meant to address the country's staggering range of problems.

@highlight

19 candidates have campaigned on similar platforms ahead of Sunday's elections

@highlight

Elections could face a runoff in January if no candidate gains more than 50 percent of the vote

@highlight

Haiti's cholera death toll stands at 1,603, the Ministry of Public Health and Population said

@highlight

Cholera epidemic affects nearly 70,000 people