(CNN) -- U.S. health officials expressed concern Friday that a swine flu virus that has infected eight people in the United States matches samples of a virus that has killed at least 68 people in Mexico.

Swine flu is usually diagnosed only in pigs or people in regular contact with them.

U.S. health experts also are concerned because more than 1,000 people have fallen ill in Mexico City in a short period of time.

"This situation has been developing quickly," said acting CDC director Richard Besser. "This is something we are worried about."

New York health officials announced Friday they are testing about 75 students at a Queens school for swine flu after the students exhibited flu-like symptoms this week.

A team of state health department doctors and staff went to the St. Francis Preparatory School in Queens on Thursday after the students reported cough, fever, sore throat, aches and pains.

There have been no confirmed cases of swine flu there. The tests results are expected as early as Saturday.

Of the 14 Mexican samples tested by the Centers for Disease Control and Prevention, seven were identical to the swine flu virus found in Texas and Southern California, Besser said at a news conference.

An eighth U.S. case was reported Friday. All of the eight U.S. patients have recovered, Besser said.  Watch for more on the U.S. cases »

As a precaution to avoid further contamination, schools and universities in Mexico City and the state of Mexico were closed Friday, said the national health secretary, Jose Angel Cordova Villalobos. He said the schools may remain closed for a while.

Sixty-eight people have died in Mexico City, Cordova said at a news conference. More than 1,000 other people have gotten sick, he said.

Mexican President Felipe Calderon canceled a trip Friday to northern Mexico so he could remain in Mexico City to monitor the situation, the state-run Notimex news agency reported. Calderon met with his Cabinet on Thursday night to discuss the outbreak.

Six of the U.S. cases were found in California, and two in Texas, near San Antonio, CDC officials said.

The Public Health Agency of Canada issued a respiratory alert for Mexico on Wednesday, recommending that health providers "actively look for cases" in Canada, particularly in people who've returned from Mexico within the last two weeks.

An alert issued Friday by the International SOS medical and consulting company said more than 130 cases of a severe respiratory illness have been detected in south and central Mexico, some of which are due to influenza.

"Public health officials in Mexico began actively looking for cases of respiratory illness upon noticing that the seasonal peak of influenza extended into April, when cases usually decline in number," the medical alert said. "They found two outbreaks of illness -- one centered around Distrito Federal (Mexico City), involving about 120 cases with 13 deaths. The other is in San Luis Potosi, with 14 cases and four deaths."

Authorities also detected one death in Oaxaca, in the south, and two in Baja California Norte, near San Diego, California.

There was no indication why the International SOS tallies did not match the Mexican health secretary's figures.

The majority of cases are occurring in adults between 25 and 44 years of age.

The CDC first reported Tuesday that two California children in the San Diego area were infected with a virus called swine influenza A H1N1, whose combination of genes had not been seen before in flu viruses in humans or pigs.

The first two cases were picked up through an influenza monitoring program, with stations in San Diego and El Paso, Texas. The program monitors strains and tries to detect new ones before they spread, the CDC said. Other cases emerged through routine and expanded surveillance.

The human influenza vaccine's ability to protect against the new swine flu strain is unknown, and studies are ongoing, Schuchat said. There is no danger of contracting the virus from eating pork products, she said.

The new virus has genes from North American swine and avian influenza, human influenza, and swine influenza normally found in Asia and Europe, said Nancy Cox, chief of the CDC's Influenza Division.

The new strain of swine flu has resisted some antiviral drugs.

The CDC is working with health officials in California and Texas and expects to find more cases, Schuchat said.

A pandemic is defined as: a new virus to which everybody is susceptible; the ability to readily spread from person to person; and the capability of causing significant disease in humans, said Dr. Jay Steinberg, an infectious disease specialist at Emory University Hospital Midtown in Atlanta. The new strain of swine flu meets only one of the criteria: novelty.

History indicates that flu pandemics tend to occur once every 20 years or so, so we're due for one, Steinberg said.

"I can say with 100 percent confidence that a pandemic of a new flu strain will spread in humans," he said. "What I can't say is when it will occur."

CNN's Elizabeth Landau contributed to this report.

@highlight

NEW: Swine flu found in U.S. is same that killed at least 68 in Mexico

@highlight

NEW: The latest U.S. case of swine flu occurred in California, the CDC says

@highlight

Eight cases of the strain of swine flu have been confirmed in humans in the U.S.