One man. One woman. Five hundred and one days in an RV-size space capsule. Will they still be speaking when they return?

The Inspiration Mars Foundation is seeking to send two people -- potentially a middle-aged married couple -- to space in a capsule that would pass within 100 miles of Mars.

Although no formal application process has begun, the Mars mission masterminds are already receiving résumés and technology ideas from interested people, said Jane Poynter, president of Paragon Space Development Corp., which is developing technologies for the mission that's hoping to launch in 2018.

More about the mission

Whether the money to finance the Mars mission materializes remains to be seen, but if it does happen: Who would these space adventurers be, and how would they cope? It's never been tried before, so really, no one knows.

Who should go?

A rigorous process will be put in place for selecting the crew, Poynter said. A man and a woman are sought for the roles to "represent humanity," she said; a married couple is "preferred" but not required.

"You want to make sure that you start out with a relationship between the two people that go on this mission that is on really solid footing, that they know how to pick themselves up after a falling-out," Poynter said.

Poynter said she and husband Taber MacCallum, CEO of Paragon, are "intrigued" by the idea of being the pioneers to go on the mission. They have experience in close quarters, having spent two years with six other people sealed inside Biosphere 2, a research facility situated on a little over 3 acres in Arizona, in the early 1990s.

"It's always helpful to have somebody help buoy you in difficult times and problem-solve with and to share the marvelous moments with as well," she said of living there with her husband. "I think it really helped us be productive crew members."

Friends who have known each other for decades, or siblings who get along well and are comfortable spending long periods of time with one another, would also be suitable for this sort of situation, said Jason Kring, assistant professor at Embry-Riddle Aeronautical University, who is not involved with the mission.

But there is some evidence from extreme environments on Earth to support the married couple idea, says Lawrence Palinkas of the University of Southern California, who has studied more than 1,000 Americans who have spent winters in Antarctica over a four-decade period.

Based on Palinkas' studies at the South Pole, the most stable individuals and those with the most stable relationships are middle-aged married couples.

That works out well for space travel, given that older people have less time left in their lives for space radiation to potentially cause cancer, Kring said. Radiation is also associated with infertility, so the couple should not be seeking to have children after the mission.

Prolonged separation from family and friends back home is a huge source of stress for people in isolated, confined environments, Palinkas said. Having a close confidant in space would allow them to share their day-to-day experiences with someone they love and trust.

NASA astronaut Cady Coleman, who has logged more than 4,330 hours in space, agreed: "Often, work that is as demanding as ours in terms of time away from family.  think it might be great to be able to spend that kind of time with your sweetheart."

Will two people get along?

Of course, the behavioral quirks and annoyances that you might easily brush aside on Earth would be magnified in a confined space over 501 days. Even in a healthy marital relationship, there can be such a thing as too much contact, Palinkas said.

Nobody really knows the ideal size of a crew to travel this long, but Peter Suedfeld, professor emeritus at the University of British Columbia, is skeptical about having just two people. If one of them is emotionally unavailable, the other is out of luck. (As for whether sex has ever been tried in space, "there are rumors but no official acknowledgment," Suedfeld said.)

"When both of you are under stress -- and these two people would be under the same level of stress, the same kind of stress -- each of them would want emotional support and be too focused on their own problems to give it to the other," Suedfeld said.

In his view, it's better to have a team with some amount of diversity, where no one background or nationality predominates. The International Space Station usually has a crew of six these days, and that's worked out well, he said.

There are other challenges: If one person were to get sick, the remaining crew member would need to take over all tasks to keep the vehicle operational, Kring said.

In Biosphere 2, which is much bigger than a space capsule, Poynter and MacCallum never got on each other's nerves, she said; it was others who irked them, so the couple could "rally together."

But whether any given couple who goes to Mars would still want to be together after 501 days is anyone's guess, experts say.

Psychological difficulties

Scientists do not have data from actual missions to Mars, but situations of isolation and confinement on Earth give us some clues as to how things might go.

In the Mars500 experiment, a collaboration between the Russian, European and Chinese space agencies, a crew of six men was locked in a chamber near Moscow for 520 days to simulate a Mars trip. The crew received no fresh food or fresh air and could not see the sun.

A recent study in the journal Proceedings of the National Academy of Sciences found that most crew members experienced sleep disturbances of some kind but found a trend toward increased sleep and rest as the mission went on. One crew member appeared to live on a 25-hour day instead of 24. Researchers also noted "behavioral aspects of torpor" in the crew, akin to hibernation of some birds and animals.

In his Antarctica studies, Palinkas and colleagues found that in a psychologically healthy group, about 5% of people experience clinically significant psychological symptoms. These include depression, anxiety, substance abuse problems, sleep disorders and adjustment disorders relating to not getting along with crewmates.

However, most people do well, he said, and see a lot of benefit from participating in the experience -- "definitely an increase in feelings of self-confidence, self-efficacy -- the belief that if they can handle this, they can pretty much handle anything."

In Biosphere 2, where Poynter's days involved pruning shears, plants and a two-way radio, the crew of eight didn't exactly live in psychological peace.

Poynter remembers standing in the sweet potato field one day, and "it was like a time portal opened." In her mind, she was a child again, having an argument with one of her brothers. Such vivid flashbacks have also occurred to people living in Antarctica, she said.

The Biosphere 2 group eventually sought and received psychological counseling via telephone.

Bored, bored and bored 40 minutes later?

"We've got to select for people that can maintain upbeat and happy attitude in the face of adversity and that are resilient," Poynter said.

Aboard the International Space Station, astronauts often enjoy just gazing out the window at Earth from afar. Canadian astronaut Chris Hadfield has a popular Twitter account that he uses to post extraordinary photos of the planet.

But a couple en route to Mars would see Earth shrink until it's a dot among many others in the lonely sky.

"There's going to be, I'm quite sure, a feeling of separation that no one has experienced before," Suedfeld said.

Don't forget the communication delay. A message may take as long as 40 minutes to travel to Earth and back, and there may be times when communication with the ground is not possible at all.

If a crew member is having a breakdown and someone on Earth is trying to counsel him or her, Kring says, it will take 20 minutes for a message such as "try to think calming thoughts" to reach the spacefarer and another 20 minutes for an acknowledgment to get back to Earth.

One solution to the boredom question could be time-release entertainment packages, Suedfeld said. In other words, some movies or music will not become "unlocked" until a given amount of time has passed so that the couple doesn't blow through all of their entertainment at once.

Poynter said the Biosphere 2 crew created music using the sounds from the animals and machinery in the biosphere. Music-making or reading would be options on the Mars journey, too, she said.

Eventually, presumably, Mars would come into view.

"To look down on Mars and be the first people to see, potentially, our future home planet --" Poynter interrupted herself to let out a high-pitched "Oooo!" -- "gives me chills just thinking about it."

... And other health issues

Besides mental factors, gravity differences in space present a slew of physiological challenges that aren't easily simulated on Earth over long periods of time. There's evidence that the visual system can be impaired, and the weakening of bones and muscle may occur, Kring said.

How the two people aboard the space capsule would deal with these sorts of issues, on top of mental stress, remains to be seen -- as does whether the mission will actually launch as envisioned in January 2018.

"I'm all for supporting this, and I certainly am a big proponent of human spaceflight, but I wonder if all of this can be figured out in five years," Kring said.

More space and science news from CNN Light Years

@highlight

Inspiration Mars Foundation wants to send a man and woman to Mars

@highlight

Handling stress well and getting along with other person is important, experts say

@highlight

Middle-aged couples were stable in research conducted in Antarctica