(CNN) -- In Europe, high-speed rail has come to stand for ease and efficiency with point-to-point city center travel where journeys of four hours or less trump airplanes and the hassle of airport security.

Deregulation of the rail industry across the continent has also cemented trains as a viable alternative to short haul flights.

"Airlines have already pulled out of certain routes -- they've given up competing between Paris and Brussels or between Paris and Lyon," says Mark Smith founder of rail website The Man In Seat 61.

"Airlines have been given a run for their money on routes like Barcelona to Madrid, Milan to Rome. They're going to have to retrench and go back to further long distance routes and not even try and compete on some of the short haul they do at the moment."

The airline industry has already seen an increase in competition and choice across the continent. Italy, Europe's fourth largest high-speed market after the UK, France and Germany, according to Amadeus Rail, saw its first privately owned rail company NTV break state-owned Trenitalia's monopoly with its red Italo "Ferrari trains".

"This privatization and competition drives more efficient businesses" says Luca di Montezemolo, president of NTV.

"With more efficient businesses those benefits and savings can be passed on the customers. So service gets better, product gets better and pricing gets better."

Read more: China's need for speed

Trenitalia's Emanuel Carando welcomes the competition. The company recently invested $100m in upgrades to its fleet of high-speed trains, adding free Wifi and new features like a conference room in a business carriage.

"This is very positive because it is offering ecological solutions to the consumer so anybody investing in the train industry is very good for us," he says.

However cross-border travel in Europe is not as easy as it could be with different systems in place for each country and no central booking system.

SilverRail is one company that is trying to make the online reservation system more user-friendly, building an online rail ticket network of four of Europe's rail operators: Spain's Renfe, Sweden's SJ rail operator, ATOC in the UK and the Benelux countries' SNCB.

"Rail is actually pretty challenging to book," says Cameron Jones, Vice-President of Commercial at SilverRail.

"Each company has a very different tech space. It's very difficult for online travel agencies."

New rules in Europe have opened up the $80 billion rail travel market allowing operators to expand beyond their domestic platforms. Only 6% of high-speed rail in Europe is currently cross-border and only a fifth of tickets are booked on the internet. Rail operators are starting to realize their online potential.

Read more: How Eurostar CEO aims to keep the company on track

"Rail networks traditionally only have very strong brand recognition in their own country but not abroad," says Christoph Klenner, Secretary-General of the European Technology & Travel Services Association. "Global distribution systems could take their content and distribute it to hundreds of thousands of travel operators and online travel agents."

Cross-border rail in Europe will be fully liberalized to include domestic as well as international passengers in 2019.

In France, rail operator SNCF is preparing for increased competition by launching the first ever low-cost, high speed train. There's no food or drink sold onboard and prices start at around $32 from Paris to Marseille and Montpelier via Lyon.

"Liberalization and the introduction of competition (means) we need to have a low price system" says Guillaume Pepy, chairman of SNCF. "Some people would like to have a lot of flexibility, a lot of services and comfort. But other ones they just want the price."

France was the second country after Japan to introduce high-speed rail and Pepy believes it is crucial that the company still leads the way in innovation.

Quiz: Test your knowledge of airline liveries

"We are pioneers in that field. If (low-cost, high-speed rail) is a success I can imagine for cross-border lines the next years there will be opportunities to go to Brussels and Amsterdam, and perhaps from and to London and to Spain."

However Pepy remains realistic about the industry's future where there will be increased competition, but also more collaboration.

"If there is room for several different operators on routes, let's compete. Some other routes there is not so much potential --Frankfurt to Marseille -- so let's do the service together between Deutsche Bahn and SNCF so customers can just change trains without changing their tickets."

The aim is to make journeys as seamless as possible and even join rail to the end of long-haul flights.

"You can fly from Shanghai to Frankfurt or from New York to Charles de Gaulle and then connect to the high-speed train," says Pepy.

"The high speed system will be connected to airports -- look at the new stations -- Frankfurt is connected to the high speed line, Lyon is connected."

If high speed rail can effectively feed into long haul air networks and take over short haul routes, it won't just connect the dots in Europe but build alliances with airlines as well.

@highlight

Deregulation of national rail networks in Europe means greater competition and collaboration

@highlight

New high-speed routes opening across the continent

@highlight

Aim to have seamless travel between large cities and countries

@highlight

Post-Second World War legacy of different types of track makes uniting rail networks harder