(Mental Floss) -- There's a good chance you'll either drink too much eggnog this holiday season or spend time around someone who has. Here's a look at the background of this December staple.

Eggnog can trace its roots back as far as the 14th century, when medieval Englishmen enjoyed a hot cocktail known as posset. Posset didn't contain eggs -- the Oxford English Dictionary describes it as "a drink made of hot milk curdled with ale, wine, or the like, often sweeten ed and spiced' -- but over the years eggs joined in on the festive fun.

While the egg-laden version of posset was popular with the English, it became less common as time went by. Milk and eggs were both scarce and expensive, and the sherry and Madeira used to spike the mixture was pricey, too. Over time, the concoction became a drink that only aristocrats could really afford.

All of that changed in the American colonies, though. What we lacked in parliamentary representation we made up for in easy access to dairy products and liquor. Since many Americans had their own chickens and dairy cattle, tossing together a glass of eggnog was no problem, and the drink's popularity soared among the colonists even as it sagged back home.

This disparity in the drink's popularity on either side of the pond endures to this day; eggnog's popularity in the United Kingdom. still lags far behind its holiday ubiquity here in the States.

In fact, here's how the Guardian's Andrew Shanahan memorably described the drink in 2006: "People rarely get it right, but even if you do it still tastes horrible. The smell is like an omelette and the consistency defies belief. It lurches around the glass like partially-sentient sludge." Appetizing!

Using your noggin

The word "eggnog" itself has fairly murky origins, but many etymologists think the name stems from the word "noggin," which referred to small wooden mugs that were often used to serve this type of drink. Others propose a similar story but explain that the "nog" comes the Norfolk slang nog to refer to the strong ales that were often served in these cups. Still others think the name is a contraction of colonial Americans' request to bartenders for an "egg-and-grog" when they wanted a glass.

Furthermore, while the drink itself may date back to medieval times, the word "eggnog" is a relatively recent invention. The first recorded instances of the use of "eggnog" only date back to the late 18th century, and by that time, bartenders in the young United States had already tweaked the recipe to give it a more American twist.

The Madeira and sherry that English aristocrats had used for their version of eggnog were scarce on this side of the pond, but we had plenty of rum and whiskey. In 1800, author Isaac Weld, Jr. described the American recipe for eggnog as consisting of "new milk, eggs, rum, and sugar, beat up together."

Mental Floss: The pooping log and other colorful holiday characters

Have one for George Washington

Yes, early Americans loved their eggnog, and you can use this fact to your advantage if you down a few too many glasses this year. Simply point out that you're in good company with the likes of George Washington. Kitchen records from Mount Vernon indicate that Washington served an eggnog-like drink to visitors, and since the general wasn't strapped for cash, he didn't skimp on the sauce.

Washington's potent recipe included three different types of booze: rye whiskey, rum, and sherry. Nobody could tell a lie after having a few cups of that.

Not everyone had Washington's funds, though. A thorough look at historical recipes reveals that for most tipplers, the type of booze they snuck into their nog didn't really matter as long as there was something to give it a little kick.

In addition to rum, ale, whiskey, and wines, an 1879 collection of recipes from Virginia housewives features a recipe that calls for 12 eggs, eight wine-glassfuls of brandy, and four wine-glassfuls of wine.

Another calls for three dozen eggs, half a gallon of domestic brandy, and another half-pint of French brandy. Something's telling us these shindigs got a little wild.

You might not want to read the label

If you pick up a carton of commercial eggnog at the supermarket, you're probably getting much more nog than egg. FDA regulations only require that 1.0 percent of a product's final weight be made up of egg yolk solids for it to bear the eggnog name. For "eggnog flavored milk," the bar is even lower; in addition to requiring less butterfat in the recipe, this label only requires 0.5 percent egg yolk solids in the carton.

Of course, there are other good reasons why we don't tip back eggnog year-round. Sure, nobody's reaching for a nice cup of something custardy on a hot day, but it's not very good for you at all.

A relatively small four-ounce cup of store-bought eggnog boasts a whopping 170 calories (half of them from fat), nearly 10 grams of fat, and over 70 mg of cholesterol. (If you're keeping score at home, that's around a quarter of your recommended daily intake of cholesterol.)

If you choose to eschew these commercial brands in favor of mixing up your own eggnog, you'll probably want to use pasteurized eggs to suppress the risk of a nasty case of salmonella; not even a playlist featuring "Do They Know It's Christmas?" ruins a holiday party quite as quickly as making everyone in attendance violently ill.

Don't use unpasteurized eggs under the old argument of "the booze will kill the germs," either. The FDA advises that this strategy isn't likely to work.

Mental Floss: The history of Christmas tree lights

An unhealthy obsession

Nutritional info aside, eggnog still has a strong following among holiday drinkers. It's hard to top the devotion shared by a Virginia father and son in the late 19th century, though. In 1900, Good Housekeeping ran a story about the Christmas-morning eggnog traditions of Virginia, and it included this anecdote:

"So religiously is this custom of the eggnog drinking observed that Judge Garnett of Mathews County tells a story of rushing in on Christmas morning to warn his father that the house was on fire. The old gentleman first led his son to the breakfast table and ladled out his glass of eggnog, drank one with him, then went to care for the burning building."

True or not, the story certainly underscores the downright magical powers of eggnog. Nobody's braving a burning building to have a cup of fruit punch or spiced cider.

Mental Floss: Dubious diets through the ages

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Eggnog can trace its roots to a hot cocktail known as posset

@highlight

In 1800, the American recipe for eggnog consisted of milk, eggs, rum, and sugar

@highlight

George Washington's recipe included 3 types of booze: rye whiskey, rum, sherry

@highlight

A four-ounce cup of store-bought eggnog boasts a whopping 170 calories