The national fury over police brutality is thrusting the federal government into a role that dates back decades: ensuring the rights of African-Americans are protected in a nation with a long history of racial inequality.

After local grand juries in Ferguson, Missouri, and Staten Island, New York, declined to charge white officers who killed unarmed African-Americans with a crime, attention is shifting to Washington.

The call for a federal response echoes key moments during the civil rights movement when it became clear that local prosecutors and state authorities would not act. After all, it took the federal government to convict seven men on conspiracy charges for the 1964 killing of civil rights activists James Chaney, who was black, and Andrew Goodman and Michael Schwerner, who were white.

Now, the Justice Department is conducting two civil rights investigations of police in Ferguson after the killing 18-year-old Michael Brown at the hands of an officer. Attorney General Eric Holder is also formally launching a civil rights investigation into 43-year-old Eric Garner's death in Staten Island.

The outrage that followed the grand jury decision in both cases highlights the deep mistrust between many in the black community and the police.

"Local governments have historically failed to provide justice, especially for African American communities," said Barbara R. Arnwine, the president and executive director of the Lawyers' Committee for Civil Rights, an organization formed in 1963 at the request of President John. F. Kennedy to help combat racial discrimination. "That's why people are able to breathe a sigh of relief, because they know there is a back door to hold these local governments accountable."

Of course, the federal government has also been involved in more recent cases.

"You don't have to go all the way back to the Civil Rights Movement to find an analogue," said Sherrilyn Ifill, a professor at University of Maryland School of Law and president and director-counsel of the NAACP Legal Defense fund, pointing to the Rodney King case. "On the one hand, it's unfortunate. On the other hand, it's a really great thing that we have federal civil rights statutes."

In 1992, a jury in Simi Valley, California, acquitted four Los Angeles Police Department officers in the beating of Rodney King, but two of them were later convicted of violating his civil rights in a federal trial and served 32 months in prison. After Anthony Baez died by asphyxiation during an altercation with police in Bronx, New York, in 1994, the arresting officer, Francis Livoti, was acquitted on state charges, but later convicted in federal court of violating Baez's civil rights.

As recently as April, the Justice Department found that the police department in Albuquerque, New Mexico, engaged in "a pattern or practice of use of excessive force, including deadly force" that violated people's civil rights. And on Thursday, Holder announced that a civil rights investigation had found that the Cleveland police department also engaged in unreasonable force in violation of the Fourth Amendment.

People may call on the federal government to step in on these cases because they place more trust in federal officials to deal with these matters. But when it comes to actually changing police tactics, there is still a long way to go, said Syracuse Professor Boyce Watkins.

"What's happened here in my opinion is yes, the federal government has gotten involved before with the police, but has that involvement led to meaningful progress?' asked Watkins, who pointed to continued allegations of corruption and unfair treatment by the LAPD years after the King case. "I don't really know how effective the federal government has been in police reform."

Going beyond purely courtroom battles, it was President Harry S. Truman whose 1948 executive order integrated the armed forces. And the federal government's help was essential in many of the civil rights fights of the 1950s and 1960s. In 1957, it took federal troops ordered in by President Dwight D. Eisenhower to protect the nine black students trying to integrate Little Rock's Central High School.

Still, federal involvement hasn't always provided meaningful protections or a change in the reality on the ground. Many of the federal civil rights statutes in use today have their roots in the Reconstruction period after the Civil War, Ifill said. That's when Congress enacted the Ku Klux Klan Act of 1871, at the urging of President Ulysses S. Grant. The law was meant to protect blacks from groups conspiring to deprive them of their constitutional rights, but it didn't stop decades of lynchings and other forms of violence perpetrated against blacks.

But lasting change is Holder's goal. Arnwine said the activism of the Justice Department in recent years when it comes to civil rights has a lot to do with Holder himself.

WATCH: Garner motionless after incident

She called him an attorney general with a level of commitment to racial justice that had not been seen since Nicholas Katzenbach, the nation's top law man under President Lyndon B. Johnson. While a deputy attorney general in 1963, Katzenbach confronted Alabama's staunch segregationist Gov. George C. Wallace on the steps of the University of Alabama so that two black students could register there.

These latest investigations come at a time of change at the department, as Holder prepares to leave and the president's pick to replace him, Loretta Lynch, the U.S. Attorney for the Eastern District of New York, plans to take the helm and carry on Holder's work if she's confirmed by Congress early next year.

In a statement released after the grand jury's decision in the Garner case was announced, Lynch said the federal investigation will be "fair and through, and it will be conducted as expeditiously as possible."

@highlight

Focus in civil rights cases is turning to Washington

@highlight

Calls for Washington involvement echo moments in civil rights movement

@highlight

Justice Department is investigating killings in Ferguson, New York