Jakarta, Indonesia (CNN) -- A high-profile terrorism trial for an Indonesian man accused of assembling the bombs used in the 2002 Bali attack got under way Monday in Jakarta.

The defendant, Umar Patek, faces charges including premeditated murder, and a maximum penalty of death if convicted. The bombings on the Indonesian resort island of Bali killed 202 people, including foreign tourists.

Patek also faces charges of bringing in illegal weapons; giving weapons and explosives training; and planning and assembling explosives for church bombings in Jakarta in 2000.

The 44-year-old Patek was one of Indonesia's most wanted terrorists, with a $1 million bounty on his head from the U.S. government's "Rewards for Justice" program.

After almost a decade on the run, Patek was arrested on January 25, 2011, in Abbottabad, Pakistan. A few months after his capture, U.S. Navy SEALs found and killed al Qaeda leader Osama Bin Laden in the Pakistani city. Patek was extradited to Indonesia in August.

Abbottabad: The military town where bin Laden hid in plain sight

He arrived at the court building Monday in an armored vehicle at the start of a trial that is expected to last months. He smiled as he descended from the vehicle in handcuffs and walked past cameramen and photographers into a holding cell.

The court session Monday lasted less than two hours after Patek's lawyers asked for another week to respond to the charges.

The defense team criticized the charges as being vague.

"In many ways, how he was linked to terrorism, and how it was classified as premeditated murder -- I think for the defense team, the charges are disproportionate and too far from the truth," said Husni Syaifuddin, one of the defense lawyers.

Indonesian authorities allege that Patek admitted his role in the Bali attacks to investigators, saying he helped assemble the explosives.

Noor Huda Ismail, an Indonesian terrorism expert, told CNN that Patek's detention and trial "should go beyond the Bali bombings."

"Umar Patek is a gold mine of information for security authorities, not only here in Indonesia, but also in Singapore, Malaysia, and the Philippines. He has valuable information about the extent of the network, who are the people moving from one place to another and how they're doing it," Ismail said.

Ismail said Patek also may give clues on the ties between the region's militants and international terror networks such as al Qaeda.

"It may be no coincidence that Patek was found in the same village where bin Laden was living," Ismail said.

Patek is one of the last figures associated with a splinter group of the terror network Jemaah Islamiyah, responsible for the Bali bombings and other major attacks on Indonesian soil.

Many in that group, like Patek, trained and fought in Pakistan and Afghanistan in the early 1990s and were deeply influenced by bin Laden's teachings.

Three of the masterminds of the Bali bombings -- Imam Samudra, Amrozi bin Nurhasyim and Ali Ghufron -- were executed in 2008.

Patek fled to Mindanao in the southern Philippines with several other Indonesian militants. One of them was Dulmatin, another former JI member, who returned to Indonesia and helped set up a military-style training camp in province of Aceh. He was killed in a police raid, just outside Jakarta in October 2010.

Patek is also charged with failing to disclose knowledge he had about the militant training camp. According to Ismail, Patek refused an offer to train at the camp and instead chose to leave for Pakistan and Afghanistan.

Indonesian authorities have tried and convicted hundreds of terrorists since the 2002 bombing. The arrests of senior militants with combat experience have weakened the terror network and its capability to launch major attacks.

According to recent reports by the International Crisis Group, the terror threat in the country remains but has shifted to attacks on Indonesian authorities, with smaller groups or radicalized individuals targeting the police.

@highlight

Umar Patek has been one of Indonesia's most wanted terrorists

@highlight

His trial on charges related to the Bali bombing starts Monday in Jakarta

@highlight

Indonesian authorities have convicted hundreds since the 2002 bombing

@highlight

Patek was seized in the same Pakistani city where Osama bin Laden was killed