(CNN) -- For over 16 years sport has played a crucial role in my life. Over that time I have learned many life lessons on the field of play which have become a part of who I am. My time as an athlete has given me the skill set to do the things that I am doing today.

It has taught me discipline, dedication, responsibility, team work, time management, goal setting and most of all the ability to be passionate about the things I love.

I was an "able bodied" individual with no obstacles in my way, nothing stopping me from competing with my peers. I swam on the varsity high school team for four years and was captain in my senior year. It couldn't get much more "normal" than that.

Until all of a sudden it wasn't.

The winter after I graduated I was left paralyzed and I was no longer what society constitutes as "normal". The most frustrating part was that, for me, nothing had changed -- other than the fact that my legs no longer worked.

I was still this 5'9" athletic female with a love for swimming.

But the times they are a-changin'.

We are approaching a change in the U.S. that could be as significant for generations to come as Title IX has been for these past 30 years.

Title IX is a federal civic law in the U.S. which prohibits sex discrimination in education, therefore allowing women to compete in sports.

This new change will allow disable student athletes access to sports, something that in my opinion is a no-brainer, something that should have been in place years ago.

I didn't have this battle as a high school athlete as it wasn't until college that I went through being involved in sports with a disability.

I always think of Abby when I reflect on what the U.S. Department of Education Office for Civil Rights is doing by putting these mandates in order.

Abby is your typical fun loving, upbeat 11-year-old girl, who has a love for sports and, much like me when I was her age, she loves to swim. Abby is also paralyzed.

Four years ago I had the privilege of meeting Abby and her family and she has changed my life.

Abby is the reason I am so passionate about being an advocate for disable individuals because children like her should be given the opportunity to have access to all the same things I did when I was an adolescent -- disabled or not.

In our society we are so focused on putting people in categories. Racial profiling, economic profiling, religion and even academic ability level. But when we categorize people like this we forget that in essence we are all the same.

It is 2013, yet we are fighting for civil rights for disabled individuals, fighting so young adolescents can have access to equal opportunities

Sports are something that every adolescent should have access to -- regardless of gender, regardless of race and regardless of disability.

After I was paralyzed I thought my days of sporting competition were over.

Less than a year after my injury I went away to school and found myself in Boiling Springs, North Carolina, at Gardner-Webb University.

It is a small private NCAA Division One school and my time there changed everything for me. I was given the opportunity to be a part of the team.

They accommodated me and gave me equal opportunities, just like every other individual on the team.

The head coach, Mike Simpson, didn't treat me differently, he didn't cut me slack because I was disabled. He held the same expectations for me as he did for all my other teammates. He also gave me the opportunity to go back to being a part of a team within a sport that I have loved all my life.

I traveled with the team, competed in duel meets and even our conference meet. I was given full access to sport with the expectation that I trained just as hard as everyone else.

I am a competitive individual and I have spent the last five years of my life training for competition but sport transcends medals, records and awards. Sport is about what you learn.

The family that you find within your team, the sense of belonging you feel, the friendships you build. No child should be denied access to any of those things.

As an individual with a disability I can say this; we are not asking for a hand out. We just want opportunity.

There are so many incredible stories of athletes who have overcome disabilities, who have battled statistics and society's stereotypes and made a name for themselves.

With the U.S. Department of Education Office for Civil Rights placing this mandate it is my hope it will raise awareness of sport for individuals with disabilities and open the eyes of disabled adolescents to the opportunities which are out there for them.

This directive requires schools to make reasonable modifications to allow disable students equal access to sport.

Just because our society labels them as "disabled", it doesn't mean they can't showcase their amazing abilities. Some of the greatest athletes in the world have disabilities.

It is time we push past stereotypes and truly embrace this necessary change in our education system and society.

@highlight

Department of Education set to introduce landmark rules on U.S. school sport

@highlight

Mallory Weggemann is a Paralympic gold medal winning swimmer

@highlight

Weggemann competed on Gardner-Webb University swim team

@highlight

She calls for equal opportunities for all athletes, regardless of disability