French gastronomy is a male-dominated world, and its centuries-old traditions are fiercely protected.

So, although Anne-Sophie Pic is the daughter and granddaughter of Michelin-starred chefs, it was not always clear she would continue the family tradition.

But in 2007, with no formal training, Pic became the only female chef in France (and only the fourth woman in history) to earn the culinary world's top honor -- a three-Michelin-star rating -- for her family's restaurant, La Maison Pic, in the Rhone-Alpes town of Valence. While in 2011, she was voted World's Best Female Chef as part of the World's 50 Best Restaurants Awards.

Pic believes her success comes because of, not in spite of, being a woman. She considers the lighthearted taste combinations she has pioneered to be an expression of her femininity: Diners at her flagship restaurant can eat turbot flavored with jasmine, veal sweetbreads flavored with lavender and oysters with sorrel jelly and licorice yoghurt.

The men in Pic's life are also important to her success, though. Having left her hometown as a teenager to study management, Pic returned to Valence, aged 23, to learn cooking from her father, shortly before he died.

Now 42, she has a six-year-old son and works with her husband to run La Maison Pic, which has expanded to include a boutique hotel, a cooking school and a casual bistro. In 2009, Pic opened another Michelin-starred restaurant in Lausanne, and launched a gastronomic foundation for children. Her first Paris restaurant, La Dame de Pic, opens in September.

Here, Pic speaks to CNN about the influence of family and femininity on her work.

On the glass ceiling ...

In the very beginning -- I'm talking about 20 years ago -- the profession was not open-minded enough to accept a woman in this job, and I felt that very strongly. That can awaken something very strong, though.

Little by little, I realized that being a woman could be a strength. It's another way of thinking about cuisine. It's another way of managing people, also.

On femininity ...

All my emotions are feminine, so I have this feminine way in my cooking. I think some men are able to make very feminine cuisine, but they are perhaps more focused on technique, less on developing the emotional part.

My great grandmother taught my grandfather how to cook, so the family cuisine came from a woman.

On travel ...

I left to study business in Paris because I didn't know what I wanted to do. I spent six months in Japan and six months in the United States. It was good experience. I discovered Japanese cuisine. I discovered Champagne.

I was far from my family and I had a chance to grow. From others, I discovered the beauty of my father's job. I needed to leave to understand that.

On entering the family business ...

I decided to return home in '92 to learn from my father. I spent three months with him. We talked a lot. It was a beautiful time. Unfortunately, that September, he passed away. Of course, it was a shock. How to manage without him? I was in the kitchen but it was difficult because I missed him a lot. I decided to work in reception, but when we lost a [Michelin] star in '95, I decided to return to the kitchen. I felt I had lost my father's third star, and I had to get it again for him.

On success ...

The main change was that the phone kept ringing all the time. It was like a tsunami. And even though it's an honor, when you get the third star you now must give more effort, more energy to maintain standards and even improve the organization.

On trust ...

If you are fully booked all the time, you need to have more employees and to train them. I was quite afraid of development. Because I'm a perfectionist, I couldn't trust a team not working with me everyday. But because I'm also a mother, I have to trust people. I'm not in the kitchen all day; I am sometimes with my son. It can be an adventure to trust people.

On being a mother ...

I was married, I became a mother, and it changed me a lot. It gave me more maturity in my cuisine, also.

I used to say, it's more important for me to be a mother than to be a chef, because if I don't feel all is well with my child, I'm not able to work well. So, it influences my creativity.

And it balances my character: I'm a perfectionist, but when I go home, I can forget all my troubles.

On her typical day ...

I wake at seven in the morning and get my child ready for school. I go to work at nine, beginning in the kitchen. If I have appointments with suppliers or if I'm experimenting,  I do that very, very early in the morning because that's the time I feel better.

Then there is a lunch service, appointments, discussions about cooking with my assistant.

Three times a week, I try to pick my son up from school. Then my husband comes home. We try to dine together, because it's the only part of the day all of the family is together.

On mentoring women ...

I'm very attentive to the women in the kitchen. I'm always acting like a mother, looking at their face to see if everything is all right, because I know that physically, they can tire before men. Mentally, they are strong.

On her husband's role ...

I let him manage everything but the cuisine. The only thing is -- and he knows this -- it has to be feminine. When people come here, they have to feel something the moment they enter the house. His work is as important as mine, but he accepts not being in the spotlight and, for me, that's proof of intelligence. And love, of course.

On advice for others ...

The main thing is to develop your own talent. Sometimes it takes a lot for people to understand what they are on Earth for. You have to trust yourself.

When I first started, I didn't know how to cook. I was a woman. I lost my teacher -- my father. But there's always a way to transform negative to positive.

You have to believe in yourself. I don't believe in myself all the time, but something inside me tells me, 'It's your job. You have to express your sensibility.'

The point is -- and nobody can do it except you -- to find what you are made for.

@highlight

Anne-Sophie Pic comes from a long line of Michelin-starred chefs

@highlight

In 2007, she won the coveted three-star Michelin rating for her restaurant, La Maison Pic

@highlight

She was named World's Best Female Chef in 2011

@highlight

Pic says femininity helped her overcome the patriarchal nature of French cuisine