THE HAGUE, Netherlands (CNN) -- The chief prosecutor of the International Criminal Court has filed genocide charges against Sudan's president for a five-year campaign of violence in Darfur.

The U.N. estimates 2.5 million have been forced from their homes in Darfur.

Luis Moreno-Ocampo on Monday urged a three-judge panel to issue an arrest warrant for President Omar Hassan al-Bashir to prevent the deaths of about 2.5 million people forced from their homes in the war-torn region of Darfur and who are still under attack from government-backed Janjaweed militia.

The five charges against al-Bashir include masterminding attempts to wipe out African tribes in the war-torn region with a campaign of murder, rape and deportation.

In an exclusive interview with CNN's Nic Robertson in the Dutch city of The Hague, the prosecutor said: "After three years I have strong evidence that al-Bashir is committing a genocide. I cannot be blackmailed, I cannot yield. Silence never helped the victims. Silence helped the perpetrators. The prosecutor should not be silent." Read a transcript of the interview

The judges must now decide whether to issue the warrant, although they have approved all 11 of Moreno-Ocampo's previous submissions to the court.

The indictment against al-Bashir marks the first time prosecutors at the world's only permanent war crimes tribunal have issued charges against a sitting head of state.  Watch as ICC prosecutor targets al-Bashir »

At a news conference Monday in Khartoum, Sudanese Vice President Ali Osman Mohammed Taha rejected the authority of the ICC, saying Sudan was not a signatory to the court's creation.

"Hence there is no legal obligation or power over Sudan, whether Sudanese organizations or citizens," he said.

Taha also called the charges an attempt to "paralyze" his country. And Abdalmahmood Abdalhaleem Mohamad, Sudan's ambassador to the United Nations, said his government would respond through legal, political and "other means."

"The limit is the sky for our retaliation," he said.

He said the country is not mobilizing its military, but has been organizing demonstrations in support of al-Bashir.

The United Nations said Monday it is evacuating non-essential staff from Darfur "due to the recent deteriorating security situation," but the joint African Union-U.N. peacekeeping mission in Darfur (UNAMID) vowed to maintain its operations.

In his request, Moreno-Ocampo says there are reasonable grounds to believe al-Bashir bears criminal responsibility for five counts of genocide, two counts of crimes against humanity, and two counts of war crimes.

The alleged crimes stem from a brutal counter-insurgency campaign the Sudanese government conducted after rebels began an uprising in Sudan's western Darfur region in 2003. The United States and much of the world has already characterized the campaign as genocide.

The authorities armed and cooperated with Arab militias that went from village to village in Darfur, killing, torturing and raping residents there, according to the United Nations, western governments and human rights organizations. The militias targeted civilian members of tribes from which the rebels draw strength.

About 300,000 people have died in Darfur, the United Nations estimates, and 2.5 million have been forced from their homes.  Watch a tour of Darfur's deserted Northern Corridor »

But Mohamad said the prosecutor's move could hurt the United Nations, which will still have to deal with Sudan's government on issues related to Darfur and in the peace process in the country's south, where a long-running civil war ended in 2005.

"It will put the chief negotiator in a very awkward situation. How is he going to deal with an indicted president," the ambassador said. "How is the secretary-general going to do business regarding UNAMID with an indicted president?"

Moreno-Ocampo says al-Bashir targeted three ethnic groups living in the region -- including the Fur group, for whom Darfur is named -- solely on account of their ethnicity.

Al-Bashir bears responsibility, Moreno-Ocampo says, because he sat at the apex of the government.

"For such crimes to be committed over a period of five years and throughout Darfur, al-Bashir had to mobilize and keep mobilized the whole state apparatus; he had to control and direct perpetrators; and he had to rely on a genocidal plan," Moreno-Ocampo wrote as background for arrest warrant request.

In Khartoum, a crowd of about 2,000 people greeted al-Bashir, who seized power in a 1989 coup, when he arrived for an emergency meeting of his Cabinet Sunday to discuss the charges.

When he saw the crowd, al-Bashir climbed onto a pickup truck and pumped his fist in the air, whipping the group into a frenzy.

Some held signs saying, "You are joking... Ocamp-who?" and "Death to America."

A high-ranking ambassador at the presidential palace called the possible prosecution stupid and malicious, and warned that the Sudanese people would see it as proof of a larger conspiracy against the country.  Watch why Sudan's leader has support in China »

In 2005, the Security Council cleared the way for possible war crimes prosecutions related to Darfur by the ICC, a permanent tribunal set up to handle prosecutions related to genocide, crimes against humanity and war crimes. The court is based on a treaty signed by 106 nations -- excluding Sudan.

The attacks in Darfur over the past five years have followed a common pattern, according to Moreno-Ocampo.

Members of Sudan's armed forces, often acting together with the militias and under al-Bashir's command, singled out villages and towns inhabited by tribal groups. Troops and militia members shot and killed civilians, and sometimes the Sudanese air force was called in to bomb villages and towns in support of the ground forces, the prosecutor's evidence says.

Residents who fled were often chased and attacked or left to fend for themselves in the wilderness, the evidence says.

The attacks, it says, undermined the ability of the targeted groups to survive in Darfur. The destruction of their homes scattered entire communities, and the pervasive rape and sexual violence against girls and women -- who are often targeted when they are out collecting firewood or water -- has torn families apart.  Watch how UNICEF is trying to prevent rape in Darfur »

"They are raping women, raping girls, raping in groups -- raping to destroy the communities," Moreno-Ocampo told CNN. "Rape is a tool in the genocide -- the most important tool today."

The ICC has already indicted two men for Darfur crimes -- Ahmad Harun, Sudan's former minister of the interior who is now in charge of humanitarian affairs for the Sudanese government and militia leader Ali Kushayb -- but neither has been brought to justice.

Once the ICC indicts someone, authorities in that person's native country -- or the country in which the indicted person is located -- have the power to detain the indicted person for trial at the Hague.

Kushayb and Harun both remain in Sudan where they enjoy the protection of al-Bashir, Moreno-Ocampo said. Since they have not been arrested, the prosecutor says, it is unlikely al-Bashir will be -- and he says it will probably take a U.N. Security Council resolution for al-Bashir to be brought to justice.

Senior Sudanese government leaders have previously told CNN that reports of atrocities in Darfur are exaggerated.

"Yes, there has been a war and some people have died, but it's not like what has been reflected in the media," Interior Minister Ibrahim Mahmoud Hamid said last month.

CNN's Nic Robertson contributed to this report.

@highlight

Sudanese president charged with genocide for campaign of violence in Darfur

@highlight

Omar Hassan al-Bashir could be first sitting president to be indicted for genocide

@highlight

Sudanese official: Possible international prosecution stupid and malicious

@highlight

About 300,000 have died in Darfur, U.N. says; 2.5 million forced from homes