(CNN) -- Drug dealers beware: If a client of yours overdoses and dies in the state of New Jersey, prosecutors there may charge you in the death.

In what's becoming a growing trend nationwide, New Jersey prosecutors are using aggressive tactics to curb rampant fatal drug overdoses in their communities, including revitalizing an old law that holds drug dealers responsible in the drug-induced death of a client.

The "Strict Liability for Drug-Induced Death" law allows prosecutors to pursue homicide charges against someone who has manufactured or sold a controlled dangerous substance -- including heroin, cocaine and methamphetamines -- that directly causes death. The statute was enacted in 1987 but wasn't well known and was rarely used until recently.

Convictions on the charge carry a penalty of a maximum of 20 years in New Jersey state prison.

The number of fatal drug overdoses more than doubled nationwide from 2000 to 2010, with heroin-related deaths in particular increasing by more than 60%, according to the Centers for Disease Control and Prevention.

Ocean County, New Jersey, is not immune to the growing drug problem: Fatal drug overdoses there doubled between 2012 and 2013, from 53 to 112 deaths. Prosecutor Joseph D. Coronato wants to "raise the alarm" on the drug problem not just in his county, but across his state.

Shortly after he was appointed prosecutor in March 2013, the county had eight overdose deaths in the space of one week.

"I want to send a signal loud and clear -- we have a problem here of epidemic proportions of all the people dying of overdoses and that's my challenge. And I'm going to do something," Coronato said, adding that the liability law "is one of the tools in my tool chest to attack this problem."

By charging drug dealers under the law, the prosecutor says he has more leverage in moving up the drug-dealing chain, because dealers who are prosecuted know they can be facing serious jail time.

Coronato also changed protocols for how authorities respond to an overdose call and treat each with "all hands on deck" to better make the charges stick. A homicide detective is now dispatched with narcotic detectives to the scene and each case is treated as a homicide from the beginning, Coronato says.

"If you're going to be a dealer, and that heroin is going to kill somebody, we're going to take that death... and we'll treat it as a homicide," Coronato said. "If we track it back to the ultimate dealer, we're going to charge you under the law for that death."

Coronato also trains authorities on how to use Naloxone nasal spray on victims, a potentially lifesaving drug that can reverse opioid prescription drug and heroin overdoses.

Since April 2013, Coronato and his team have had 12 cases related to the drug-induced death statute, including one that resulted in a guilty plea, his office says.

New Jersey law protects overdose patients from prosecution

A guilty plea

In November 2013, Kenneth Staunton, 33, pleaded guilty to manslaughter after dealing drugs to Raymond Farino, 27, who died of an overdose 10 months earlier.

Staunton was sentenced to 7 1/2 years with no early release for manslaughter and 4 years to be served concurrently for a heroin possession charge, according to the Ocean County Prosecutor's Office. CNN contacted Staunton in prison but he refused to talk to the network.

Senior Assistant Prosecutor Patrick Sheehan, who prosecuted the Staunton case, said Farino was alone when he injected himself with a fatal dose of heroin January 17, 2013. Staunton had met Farino earlier that day and sold heroin to him. A few hours later, Farino was dead, Sheehan said.

The evidence that made the overdose liability charges stick and ultimately led to a manslaughter guilty plea were explicit text messages exchanged between the two men and bags stamped with the words "Il Capo" located at the overdose scene that were traced back to Staunton.

"Heroin bags with that particular stamp had been flooding the area in Lacy Township and (authorities) had been investigating Kenneth Staunton for that," Sheehan said.

Marianne Farino, Raymond's mother, found him lying on the floor of their dining room. Though he had battled substance addiction for years, he was sober in the seven months before his death, she said.

"Which really almost brings me to tears because those seven months were like... (he was) our son again," she said.

Marianne Farino doesn't know what triggered her son to go back to heroin that one last time. She deals with waves of different emotions, from shock and anger to relief.

"Maybe this could set precedent," she said. "You know, to the other dealers; that this could happen to you."

A rarely-used law

CNN legal analyst Paul Callan said this first-degree, strict-liability law is an "exceptionally rare criminal statute," and notes that most strict-liability statutes are civil.

The law explicitly says that in a court case, the defense cannot argue that the victim knowingly contributed to his own death by taking the lethal drug -- removing any argument for or against intent to cause harm, Callan said.

Ocean County certainly isn't the first New Jersey jurisdiction to charge under this law; counties like Cape May have consistently used this statute for years, said Cape May County prosecutor Robert L. Taylor.

Passaic and Bergen county prosecutors' offices have also increasingly been charging under the statute, with several cases this year alone.

But the New Jersey law is "harsh in comparison to the majority of other states," according to an article written by James H. Knight in the Seton Hall Law Review in 2004. States such as Louisiana and Nevada classify drug-induced death statutes as a second-degree felony, and Pennsylvania and Minnesota punish it as a third -degree felony.

In comparison, the alleged drug dealers arrested in connection to actor Philip Seymour Hoffman's heroin overdose death in New York will probably not be charged with anything more than criminal possession of a controlled substance, prosecutors say.

The New Jersey law was enacted in the late 1980s and upheld by State Supreme Court in 1994. It was intended as a way for prosecutors to go after "upper echelon drug dealers, who oftentimes have no interaction with their buyers and are therefore virtually immune to homicide prosecution," Knight said.

Though the intent of the law was benevolent in theory, Knight says the majority of cases in the beginning prosecuted "minors with no record or evidence of prior drug dealing."

In its first 17 years on the books, the charge was prosecuted just 32 times, according to the New Jersey Law Journal. Of those cases, 25 involved friends of the overdose victim and only three involved prosecutions of actual drug dealers.

New Jersey prosecutors say that the recent increase in the number of drug overdoses, as well as word spreading about law's success, will ostensibly result in more charges.

However, some prosecutors say another law enacted in 2013 allows for the "strict liability for drug-induced death" statute to be prosecuted with the intent that was originally envisioned.

On May 2, 2013, Gov. Chris Christie signed the "Overdose Prevention Act," which grants immunity from prosecution if someone seeks medical assistance for a person believed to be suffering from a drug overdose.

"In the past, there have been instances where persons were reluctant or unwilling to call authorities for help for fear that this might lead to an arrest or prosecution for illegal drug use or possession," the state's acting Attorney General John J. Hoffman wrote.

New Jersey prosecutors suggest the latest law may help friends of victims be more willing to tell authorities who sold them the drugs in the moments after an overdose.

While the future success of the overdose liability law remains to be seen, Marianne Farino hopes that some good can come from her son's death.

"Staunton didn't put the needle in the arm, I get that. But I'm happy he pleaded guilty," she said of her son's drug dealer. "It's another dealer off the road."

Opinion: We can prevent fatal ODs

CNN's Rosa Flores and Ray Sanchez and legal analyst Sunny Hostin contributed to this report.

@highlight

The law was first enacted in 1987

@highlight

Fatal drug overdoses doubled between 2000-2010, CDC says

@highlight

Another law protects people with overdose victims if they spill source of drugs