(CNN) -- The President of the United States is the most powerful person on Earth, and one of the most threatened.

This particular resident, Barack Obama, was the target of an unprecedented number of death threats upon taking office -- three times as many as his predecessors, according to press reports. (I can't think of why that might be).

So you'd think that, at a minimum, the house where he lives would be surrounded by a fence that was hard to climb over. But as Julia Pierson, the Director of the Secret Service, noted in testimony today before the House Committee on Oversight and Government Reform Congressional, six people have successfully scaled the fence this year alone.

The reason for the hearing was one particular fence jumper, an apparently disturbed man named Omar Gonzales. On September 19, Gonzales not only scaled the fence, he ran across the lawn, through the White House's front door (which was unlocked), got past a Secret Service agent stationed at the door, went through the entry hall and into the East Room, and was finally apprehended near the door to the Green Room.

We also learned this week details of an even more troubling incident in 2011, in which a man in a car fired seven shots that hit the White House. It turned out that in the moments after, agents were told by a supervisor to stand down because the sounds they had heard were not in fact gunshots; the damage from the bullets wasn't discovered until four days later.

Security lapse: Armed man was in elevator with Obama

The Secret Service would say that thousands of times a year, agents successfully protect the President, other American officials, and foreign dignitaries, both in the United States and around the world, which is perfectly true. But at a time when we spend billions of dollars every year on what has come to be known as "security theater" -- procedures and practices whose effect is less to make us safe than to give the appearance of security -- this is one thing you'd think they'd be able to get right.

Indeed, protecting the President is one of the few areas where the danger of overreaction is limited. The threats are real, and the task is specific. When it comes to the public at large, we've overreacted plenty in the past, particularly since the September 11 attacks. We all take our shoes off in airports, show IDs to get into office buildings, and are generally treated as though we are constantly in imminent danger from terrorists -- when the truth is that there are few things less likely to kill you.

And that's not to mention the enormous apparatus of surveillance the government has built over that time, the details of which we still don't fully understand. Meanwhile, crime has been on a decades-long decline, while gun advocates tell everyone to buy more weaponry lest the barbarian horde attack their homes.

In short, we fear the wrong things and overreact to threats that are real, but small.

While the days when any citizen with a complaint could walk into the White House and give the President a piece of his mind are long past, we still want our leaders to come out and shake our hands. We want to be able to tour the Capitol Building. The area within view of the White House is the site for protests, speeches, and innumerable tourists taking photos, all of which we want to maintain.

If we wanted, we could lock down the White House -- eliminate tours for the public, put up 40-foot steel and concrete barriers, maybe park some tanks on the lawn. During today's hearing, Rep. Jason Chaffetz, R-Utah, argued that anyone scaling the fence and running toward the White House should be shot, which would mean a lot of bullets flying outward toward those tourists.

This incident was certainly disturbing, and the congressional pressure the Secret Service is now receiving may lead to some salutary change. But just as we're now questioning the tragedies large and small that come from police officers all over the country treating every citizen like a soldier in an enemy army, we should be careful about not going too far in turning the White House into a fortress. We could make the building impenetrable, but but that would represent the loss of something valuable.

By all means, the Secret Service should examine its procedures to make sure nothing like this happens again. They should put up a better fence. Maybe keeping the front door of the White House locked wouldn't be a bad idea. But this is a good time to remember that there's a tension in any democracy between security and openness, and in America, of late -- the occasional screw-up notwithstanding -- too much openness isn't our problem.

@highlight

Paul Waldman: Secret Service director faced lawmakers over White House security breaches

@highlight

He says we spend billions on "security theater," you'd think we could protect the White House

@highlight

We overreact a lot since 9/11, he says. Rep. Chaffetz says fence jumpers should be shot

@highlight

Security vs. openness: Do we want fortress White House, he asks?