MINGORA, Pakistan (CNN) -- Gen. Nadeem Ahmad swirls the helicopter over Pakistan's ground zero. Below is the Swat Valley of North West Frontier Province.

A Pakistani soldier patrols a ruined street in Mingora.

From the air, the valley in the foothills of the Hindu Kush looks undisturbed. Green fields amid clusters of drab houses.

A closer look at Swat reveals how well the Pakistani Army fared in its military campaign to wipe out the militants.

The cost of success: massive destruction that is sure to hamper the lives of already suffering residents just starting to trickle back to the homes they fled.

A few months ago, ferocious battles between Pakistan's Army and Taliban fighters erupted here -- in Swat, Buner and Lower Dir districts. War's remnants serve as a constant reminder. A destroyed bridge. Pockmarked houses. Hotels that look like they've been abandoned for years.

Nadeem maneuvers the chopper to circle Mingora, the largest city in the Swat Valley. From the hilltop Army sentry posts that come into view, soldiers survey the ground below, hard won from Taliban fighters.

The militants, Nadeem says, have fled to nearby mountains.

On the ground, he shows off a cache of weapons seized in the fighting. The soldiers are keen to boast their victory.

Mingora remains on high alert. A curfew has been lifted for morning hours, although soldiers keep close watch on those who venture out.

The city's pain is plainly evident on its scarred, deserted streets. Many shops are shuttered or destroyed.  Watch Stan Grant tour the shattered streets of Mingora »

The United Nations estimates that 375,000 Swat Valley residents fled their homes during the fighting. In all, 2.5 million Pakistanis were displaced in what was said to be one of the largest human migrations in recent history.

About 260,000 people have been living in 21 refugee camps in neighboring Mardan, Swabi, Nowshera, Peshawar and Charssada districts, but the United Nations High Commissioner for Refugees say the "vast majority" of internally displaced Pakistanis have been staying with host families, rented houses or in schools.

The government plans to return people first from the camps and then focus on those living elsewhere.

But this week, the United Nations Children's Fund (UNICEF) warned that as many as 1 million people could remain displaced until December because of the widespread destruction in their home towns, such as Mingora.

Relief agencies have reported dire humanitarian conditions in Mingora: hospitals without electricity that are inundated with patients, an erratic supply of water and natural gas. One resident, who identified himself only as Abdullah, told CNN that returning people are facing shortages in food, water and basic supplies for survival.

Some displaced families also expressed concerns about schooling for their children, reported the Integrated Regional Information Networks (IRIN), the U.N. news agency focusing on humanitarian issues.

Louis-Georges Arsenault, emergency office director for UNICEF, said 1 million children were at risk of not starting school by September, mainly due to the Taliban's widespread destruction of schools and that 4,000 existing schools continue to shelter displaced people.

Businessman Muhammad Khan, 40, who recently returned to Mingora, voiced the despair of returning residents. He told IRIN that "everything is in ruins."

"Everything is in ruins," IRIN quoted Khan as saying. "It will take months for life to return to normality."

But that normality will no longer include the Taliban, Pakistani soldiers say. The fight was hard, but it was victorious, they say. They point to an area in the city where they say the Taliban displayed the bodies of their victims, some beheaded. It became known as "Slaughter Square."

Slaughter Square's name may be outdated for the time being, but residents like Abdullah say it will be a long time before life in Mingora returns to what it once was.

"I don't like army. I don't like Taliban," Abdullah says, standing among the ruins of what used to be a thriving market. "I only want peace."

@highlight

Pakistani forces in Swat Valley claim victory in fight against Taliban militants

@highlight

Refugees trickling back to the region find towns, bridges destroyed

@highlight

Up to 2.5 million Pakistanis estimated to have been displaced by conflict

@highlight

Local businessman: "Everything is in ruins. It will take months to return to normality"