Recently I wrote about the many problems I've encountered while trying to become a runner -- from asthma to shin splints to plantar fasciitis.

Some of you supported the idea that overcoming obstacles is the right choice, while others suggested I listen to my body and give up the idea of running altogether.

As I've started to lead a healthier, more active life, I've tried to find as much information as possible related to health and fitness.

If you've ever tried to research any particular topic related to health, you've probably found what I did -- information overload! To add to the confusion, much of the information provides conflicting advice.

This seems to be true whether you're looking for nutritional recommendations, training programs, or even deciding what type of exercise equipment is best. The varied opinions, even from professional trainers and athletes, can leave your head spinning.

Why being part of a team matters

Given all this conflicting advice, people may fail to even start an exercise program because they're afraid of doing something wrong. "How can I become healthy if I don't really know what 'healthy' means?" I know I've asked myself this very question many times over the years

For example, a simple task such as finding the right running shoes can seem overwhelming. We encounter terms like pronation, stability and foot-strike. Do we want more support or is a minimalist shoe best?

Training programs pose their own particular brand of "in your face" information overload. Are you training for strength or endurance? Are you best working out at a gym or at home, with free weights or weight machines? How do you tell the difference between boot camp, CrossFit or Zumba? Does it make a difference if you are training for a 5K or a marathon? The questions you can ask yourself and the answers are endless.

Nutrition provides another source of even more conflicting advice. We're all familiar with the celebrity trainers, each taking unique approaches to help you properly fuel your body. Should you eat a meal every four hours or just make sure to eat several small meals throughout the day? Are all carbohydrates bad and all proteins good?

How do you fuel your training? Do you exercise best on minimal calories first thing in the morning? Do you prefer a later workout and a small meal a couple of hours before you hit the trails?

To say these different nutritional ideas are confusing is an understatement.

Get fit and others will follow

I never really considered before I joined the Fit Nation team that my needs might be unique. Each of us responds differently, so each of us has to find the right combination of nutrients and meal times to make our workouts count. I've found that I need a small meal with as little processed sugar as possible about one to two hours before I work out. Too long before and I run out of energy; too close and I'm too full to work at my full potential.

In many cases, the best plan is to minimize the information overload and focus on the simplest pathway to your goals. For example, the simplest nutritional advice I received was to concentrate on unprocessed, whole foods at the edge of the grocery store and keep my meals colorful with a variety of fruits and vegetables. It's straightforward, easy to remember, and most importantly, easy to understand.

We also need the right equipment to make that training count. Most of us have a local running store (or cycling shop or gym) where the experts can offer their guidance. With their help, you can try a few options and find out what works best for you.

How to make your workout seem shorter

If you do have a particular health-related concern, your first stop should be your physician's office. Your doctor can help you cut through the conflicting advice and decide what plan may work best for you. My physician knows about my training program and has helped advise me how to prevent certain problems that could derail my progress.

The jungle of information should not stop you from pursuing a healthier life. I've found that there is no one-size-fits-all prescription for success and health. Variation and experimentation are the keys to discovering what options work best for you.

I decided it's my responsibility to learn as much as possible so that I can give myself every opportunity to succeed, but I won't let conflicting information slow me down. Are the choices I make and the program I follow right for everyone? Maybe not, but they are right for me right now.

As long as I keep learning, listening to my body and making informed decisions, I hope to keep training and continue on my journey to lead a healthier life.

Follow Stacy on Twitter @TriHardStacy or on Facebook

@highlight

Researching a health topic can lead to confusion, frustration for newbies

@highlight

Each celebrity trainer has their own way of fueling and working out your body

@highlight

You have to decide what's best for you, Fit Nation member says