(CNN) -- As Secretary of State Hillary Rodham Clinton steps down from her job Friday, many are assuming she will run for president. And she may. In fact, five of the first eight presidents first served their predecessors as secretary of state.

It hasn't happened in more than a century, though that may change should Clinton decide to run. After all, she has been a game changer her entire life.

But before we look ahead, I think we should appreciate what she's done as secretary of state; it's a high profile, high pressure job. You have to deal with the routine as if it is critical and with crisis as if it's routine. You have to manage egos, protocols, customs and Congress. You have to be rhetorical and blunt, diplomatic and direct.

As secretary of state you are dealing with heads of state and with we the people. And the president of the United States has to trust you -- implicitly.

On the road with Hillary Clinton

Of all Clinton's accomplishments -- and I will mention just a few -- this may be the most underappreciated. During the election, pundits were puzzled and amazed not only at how much energy former President Bill Clinton poured into Obama's campaign, but even more at how genuine and close the friendship was.

Obama was given a lot of well-deserved credit for reaching out to the Clintons by appointing then-Sen. Hillary Clinton as his secretary of state in the first place. But trust is a two-way street and has to be earned. We should not underestimate or forget how much Clinton did and how hard she worked. She deserved that trust, as she deserved to be in the war room when Osama bin Laden was killed.

By the way, is there any other leader in the last 50 years whom we routinely refer to by a first name, and do so more out of respect than familiarity? The last person I can think of was Ike -- the elder family member who we revere with affection. Hillary is Hillary.

It's not surprising that we feel we know her. She has been part of our public life for more than 20 years. She's been a model of dignity, diplomacy, empathy and toughness. She also has done something no other secretary of state has done -- including the two women who preceded her in the Cabinet post.

Rothkopf: President Hillary Clinton? If she wants it

Hillary has transformed our understanding -- no, our definition -- of foreign affairs. Diplomacy is no longer just the skill of managing relations with other countries. The big issues -- war and peace, terror, economic stability, etc. -- remain, and she has handled them with firmness and authority, with poise and confidence, and with good will, when appropriate.

But it is not the praise of diplomats or dictators that will be her legacy. She dealt with plenipotentiaries, but her focus was on people. Foreign affairs isn't just about treaties, she taught us, it's about the suffering and aspirations of those affected by the treaties, made or unmade.

Most of all, diplomacy should refocus attention on the powerless.

Of course, Hillary wasn't the first secretary of state to advocate for human rights or use the post to raise awareness of abuses or negotiate humanitarian relief or pressure oppressors. But she was the first to focus on empowerment, particularly of women and girls.

She created the first Office of Global Women's Issues. That office fought to highlight the plight of women around the world. Rape of women has been a weapon of war for centuries. Though civilized countries condemn it, the fight against it has in a sense only really begun.

Ghitis: Hillary Clinton's global legacy on gay rights

The office has worked to hold governments accountable for the systematic oppression of girls and women and fought for their education in emerging countries. As Hillary said when the office was established: "When the Security Council passed Resolution 1325, we tried to make a very clear statement, that women are still largely shut out of the negotiations that seek to end conflicts, even though women and children are the primary victims of 21st century conflict."

Hillary also included the United States in the Trafficking in Person report. Human Trafficking, a form of modern, mainly sexual, slavery, victimizes mostly women and girls. The annual report reviews the state of global efforts to eliminate the practice. "We believe it is important to keep the spotlight on ourselves," she said. "Human trafficking is not someone else's problem. Involuntary servitude is not something we can ignore or hope doesn't exist in our own communities."

She also created the office of Global Partnerships. And there is much more.

She has held her own in palaces and held the hands of hungry children in mud-hut villages, pursuing an agenda that empowers women, children, the poor and helpless.

We shouldn't have been surprised. Her book "It Takes a Village" focused on the impact that those outside the family have, for better or worse, on a child's well-being.

As secretary of state, she did all she could to make sure our impact as a nation would be for the better.

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Donna Brazile: Clinton stepping down as Secretary of State. Maybe she'll run for president

@highlight

She says as secretary she expanded foreign policy to include effect on regular people

@highlight

She says she was first secretary of state to focus on empowering women and girls

@highlight

Brazile: Clinton has fought for education and inclusion in politics for women and girls