(CNN) -- When the ground began to shake in Tokyo on March 11, 2011, Katsuhiro Asama was in the office of his creative management agency.

Some 200 miles north, a 9.0-magnitude earthquake had struck off the coast of the Tohoku region, triggering dozens of aftershocks and a tsunami that sent 30-feet high walls of water crashing across fields, flattening entire towns and propelling debris miles inland.

More than 15,000 people died and over 20 times that number were displaced by the disaster. It was the largest ever earthquake to hit Japan and the fourth biggest on record worldwide.

Asama spent much of that day checking on his loved ones and colleagues -- professional photographers, makeup artists and models, many of whom had family or friends in Tohoku.

"I strongly felt I had to do something and anything I could possibly do," the father of two said.

In the days that followed, his employees returned to their hometowns and confronted the aftermath.

Asama's own grandparents lived in Rikuzentakata, a coastal city in Iwate Prefecture that was completely wiped out by the waves.

"Of course, we did something for our families, but at the same time, we started to think about what we could do for others," he said.

Two months later, on May 14, Asama and some of his colleagues began what would become known as the Egao Project -- or "Smile" Project in English -- traveling to the worst-hit areas of Japan to pamper the tsunami survivors who had been left to live in temporary evacuation shelters.

The group, which organizes activities like hair and makeup sessions and face painting for children, has helped to bring smiles to the faces of those who have endured extraordinary hardships. The volunteers capture these small moments of joy in photographs, hoping the survivors' remarkable resilience will serve as an inspiration to others.

Over the last three years, the group has visited around 180 shelters across Tohoku. They have a core group of several dozen volunteers who visit the region twice a month, but as many as 2,000 people have contributed to their mission.

Community building

Egao Project donates the photographs to the survivors, many of whom lost their possessions in the disaster, but the activities have also helped build a sense of community among those living in the shelters, according to Asama.

For him, one of the most memorable images was taken on the group's first visit to the region, on May 14, 2011.

It's an image of two middle-aged women with beaming faces, embracing -- their two enormous grins forming creases around their eyes. "They seem to be very close friends," Asama said.

It was only later that his team learned the pair had never met before that day. One woman lost her house in the tsunami and the other, whose home was spared, had visited the shelter to assist. It was only through the Egao Project's activities that they crossed paths and became good friends.

The project seeks to draw attention to the plight of the people of Tohoku, more than 200,000 of whom still live in temporary accommodation three and a half years after the earthquake struck.

"In summer or winter it's really quite harsh -- even inside of the housing it gets really cold," said Kozue Miyagi, a volunteer responsible for event planning and promotion.

"They don't even know how much longer they have to live (like this), because the housing situation in Tohoku is not progressing as easily as initially planned, so they're living in quite a challenging, harsh environment."

Asama says that many of those living in the shelters are "tired, stressed, physically and mentally exhausted."

"But from our experience, we know that our activities can lighten up their day a little and make them smile, even for a few seconds."

"If we know we can do something positive, we just have to do it and (not give up)," he said.

Scars remain

The group's work is far from over.

Six months ago, when a team of Egao Project volunteers visited one of the shelters, a girl approached them and said: "How can I smile when I lost my dad and grandpa? I really don't like photographs."

"It was quite a shock," said Asama. "After three years of project activities and more than 5,000 smile photographs, we thought that people (were starting) to recover slowly but surely. But the fact was, there are scars on many people's hearts still."

Asama and his team are determined to keep the project going "until everyone can get their smile back," even if that takes decades.

"We will not do it for them, but we will do it together with them," he said.

@highlight

Japanese NGO seeks to bring small moments of joy to survivors of 2011 tsunami

@highlight

Volunteers visit shelters, entertain those who lost their homes in the disaster

@highlight

Photos of the events capture strength, resilience of people of Tohoku

@highlight

Three years after the disaster, more than 200,000 people in the region still live in shelters