(CNN) -- Saudis have been awaiting October 26 anxiously. Organizers of an online campaign are hoping the date will mark a turning point in the history of Saudi Arabia, as women across the kingdom take their husbands, brothers or fathers' car keys and drive themselves across town in a show of independence, defiance and solidarity. While the issue of women driving is an important one in and of itself, some Saudis view it as just the latest in a series of struggles that have shaped the political trajectory of Saudi Arabia.

These confrontations have pitted those who've embraced modernity and accepted the need for reform against ultra-religious and social conservatives who see most change as inherently destructive and as a "deviation" from the "straight path" of Islam. In fact, according to some conservative elements, Saudis should strive to emulate the traditions set by the forbearers of Islam who lived some 1,400 years ago, for it was they who practiced the "correct" Islam.

Why Saudi Arabia can't ban women from driving forever

It was not by chance that the founder of modern Saudi Arabia, King Abdul Aziz Al Saud, stressed Islamic mores, precepts and traditions as he brought the disparate regions of the Arabian peninsula under his political control; a process that took 30 years to complete.

Ironically, it was the founder himself who first began the balancing act which tried to reconcile the ever-changing needs of a new nation with the instinctual rejection of change that some conservatives continue to display. The story of how the king convinced conservatives to accept radio wave technology is the stuff of legends. Upon hearing that some critics were convinced that the king's own private radio network must be inspired by the "devil," the king came up with an ingenious plan: he made them listen to the radio as it beamed the Islamic call to prayer being made by someone several miles away.

This segment of Saudi society, the size of which is difficult to determine, has resisted the introduction of just about everything people associate with modernity. Radio, the car, television and even girls' education and the Internet were all considered by some as a sinister attempts to erode the Islamic mores and the equally important tribal ethos of Saudi Arabia.

Those opposing the right of women to drive are making the same arguments today. Not only did dozens of clerics hold a protest outside King Abdullah's palace in Jeddah to express their disapproval of any moves to lift the ban, but a lesser known cleric who fancies himself a modern-day Avicenna tried a more scientific approach when he claimed that driving does irreparable damage to a woman's ovaries!

While some conservatives' protestations border on the comical, some ultra-conservatives have tried to forcibly steer back Saudi Arabia to the "right path," as when militants stormed the Grand Mosque in Mecca in November 1979 and declared the coming of the Muslim equivalent of the Messiah. The irony is that their claim to defend Islam and uphold its strictures actually resulted in the deaths of dozens of Muslims and violated the sanctity of Islam's most hallowed ground.

So how has the government managed to push through reforms that were advocated by progressive Saudis that they deemed necessary for a modern state to function in the face of such resistance? They compromised. When radio was introduced, authorities ensured it broadcast hours of religious programming. The same was true with television, which came under more scrutiny because of the visual images it beamed into people's living rooms.

When the government introduced girls' education, it initially did so in limited areas of the more cosmopolitan region of Hejaz and then made sure that girls were segregated from boys when education went national. The same approach applied to the Internet, which is now widely available but heavily censored and increasingly monitored.

Periodically, authorities have cracked down on staunch conservatives whose opposition to reforms bordered on incitement to violence and on some of the more outspoken advocates of reform who have argued that the government placates conservatives' demands to serve its own political ends and crossed well established red lines.

Although some reform advocates do call for sweeping changes and their swift implementation, many more advise gradual reform. They argue that the tumult that accompanied the Arab Spring and the incredibly difficult transition that some nations are currently undergoing are proof that measured, incremental reforms are less likely to be destabilizing.

The problem with the ban on women driving however is that it can't really be implemented gradually and therefore compromises will be difficult. No one is advocating that the ban be lifted only in certain regions or cities nor has anyone recommended that women be limited to driving at certain times of the day and rightly so.

For its part, the government has issued a warning that seems aimed at both advocates and opponents of this issue, enjoining them not to "disturb the public peace." It will be interesting to see whether October 26 tilts the balance in favor of one camp over the other.

The opinions expressed in this commentary are solely those of Fahad Nazer.

@highlight

Saudi women are preparing to defy a ban in the kingdom on women driving

@highlight

Campaign pits those who've embraced modernity against ultra-religious conservatives

@highlight

Fahad Nazer says the problem with the ban on women driving is that compromises are difficult