(CNN) -- Last Tuesday Google unveiled its attempt to rival Facebook, a social-networking product called Google+.

I received an invitation from a friend and have been putting this nascent service through its paces -- especially on my Android phone.

Here's my experience so far:

(Do you want a Google+ invitation? Sorry, you may have to wait.)

First, a caveat: Absolutely everything about Google+, including its mobile experience, is in a state of flux. So at least some of what I write here will definitely change in the coming days and weeks.

Google+ is very much a "beta" service, sporting plenty of glitches, mysteries and oddities. Therefore it's just as well that the vast majority of people using it so far seem to be serious social media geeks.

Yes, that does make for a lot of redundant, tiresome conversations probing the arcane nuances of Google+ and comparing it to Facebook, Twitter and Foursquare. But it's probably best to let the geeks kick the tires on Google+ first. Later on, when the service becomes more widely available, less-geeky users will definitely benefit from this process. So be a little patient.

There are main components to the Google+ mobile experience are the free Google+ Android app (of course), and the mobile web app (accessible via the mobile browser on most Web-enabled phones).

To get Google+ Android app working you must first install the app, then log into Google+ via the Web to set up a link to your phone. Then you should be able to use the app. This Google+ Android app video explains how the app is supposed to work, after you've done this setup.

I was able to easily install the Google+ app and link my account to my first-generation HTC Droid Incredible. So far this app is running fine for me -- no freezes or crashes.

However, I've noticed some other Google+ mobile users have complained of problems: the app installed slowly or not at all, or it crashed, or they're having problems getting their phone linked to their Google+ account. Given the vast diversity of Android devices, versions of the Android operating system running on them, and manufacturer-specific interfaces (like HTC Sense), this isn't surprising.

But for now, Android users have the best shot of enjoying a satisfactory mobile Google+ experience. That's because, so far there are no Google+ native smartphone apps for platforms other than Android. Google says the iPhone app is coming soon, and others are probably in the works.

Google+ users on non-Android phones -- or who can't or don't want to install the app -- currently can use the mobile Web app. Here, functionality varies: Android and iPhone users of the Web app enjoy substantially more functionality than people on BlackBerry, Nokia, or WebOS devices, at least so far.

The Android app is really important, since ArsTechnica rightly observes: "The success of Google+ will partly depend on the quality of the user experience the service offers on mobile devices. Because Google isn't just a Web developer but also major mobile platform vendor through Android, the company has an opportunity to offer deep integration between its new social networking service and the popular smartphone operating system."

What I like

Mostly, I like the Google+ Android app.

I am able to use all the other core functionality of Google+ via the Android app without difficulty. For instance, I can add people to my "circles" (contact groups that I define), read my "stream" (the Google+ equivalent of a Facebook news feed, or a tweetstream), and take and upload photos. So generally, I'm pretty satisfied with the app.

If you're uploading mobile photos or video to Google+ (and you can only do this via the Android app so far, which puts iPhone shutterbugs out of luck), you might want to peruse your instant upload settings. By default, Google+ uploads everything you shoot as soon as you shoot it, to a private album, from which you can selectively share photos. Personally I only want to upload images I wish to share, so I've turned this option off.

Having the Google+ app installed on my phone offers one key advantage over the computer-based browser experience of Google+: sharing links.

With the app installed and activated on my Android phone, now when I'm using any of the Web browser I have installed on my phone (even Opera Mini), when I find a page I want to share, Google+ is listed as one of the many "share page" options (along with Evernote, Gmail, Messages, etc.)

This is actually easier than sharing links to Google+ on my computer. So far as I've been able to find there's no Google+ bookmarklet or browser toolbar button that's the equivalent of share on Facebook. I use these kinds of tools all the time for other services in my Web browser. I'm sure Google+ will have one eventually, but right now on my Android phone at least I don't have to cut-and-paste the link.

I'll like it even better when Google releases an application programming interface for Google+, so other services I like and use frequently,such as PicPlz, for posting photos selectively to several services at once, can connect to my Google+ presence.

What's not working

One of the main glitches I've noticed with mobile Google+ involves the "huddle" feature -- a prominent part app, featured on its home screen.

As far as I understand it, a "huddle" is supposed to be the Google+ alternative to group texting services. It allows self-defined groups of mobile users to convene on-the-fly private discussions -- such friends deciding where to meet at the beach, or journalists in the field coordinating coverage of a breaking news event.

I was able to use the Android app to initiate a huddle and invite several friends. However, the only person who could actually join the huddle was also using the Android app. All other invitees, who were accessing Google+ via a their Web browser (desktop or mobile), would click to accept my invitation -- but then they were inexplicably routed to the main Google mobile info page. Rather frustrating.

Theoretically, Google+ users should be able to participate in a huddle via the mobile Web (although that didn't work for my friends), and even non-users should be able to participate via SMS, though that seems sketchy.

I searched Google+ Help for Huddle info -- but as of this writing the only result that yields is how to delete your account. Since Huddle is strictly a mobile service, info about it can be found in Google Mobile Help.

This isn't exactly intuitive from the user's perspective, and I hope Google fixes that soon. Help should always be where users expect to find it. Despite how Google has organized this project, users don't perceive the Google+ Android app as a separate service from Google+.

Another glitch: I noticed that my mobile notifications usually lag. I just accessed Google+ on my laptops Web browser and saw five new notifications of interaction from other users, similar to Facebook notifications. But I'm not seeing these on my Android app. That's been happening a lot.

Like I said: Google+ is really, really beta. But so far it's sufficiently functional, interesting, and engaging for me to want to keep using it.

Even better, in my opinion the Google+ user interface -- standard and mobile -- is cleaner, more intuitive, more attractive, more user friendly, and less potentially misleading than Facebook's. Plus, it offers huge potential to connect with all the other Google services I'm already using: Google calendar, Gmail, Google docs, and more.

Will Google+ catch on?

Influential tech blogger Robert Scoble doubts that Google+ stands much chance of getting adopted by the average Facebook user, and instead will only appeal to the geekier types initially invited. He thinks that would be just great, by the way.

I disagree -- and mobile is a big part of why I disagree. Consider this combination of factors:

• The opportunity to deeply, even inherently, integrate Google+ with Android

• Google's existing array of hugely popular consumer services (mail, docs, calendar, etc.)

• Google+ doesn't think too far outside the box -- which was the downfall of Google Wave. It emulates the best functionality from existing popular social media services, but offers in many ways, I think a more user-friendly experience.

• Mobile devices are fast becoming the most common way that people access the Internet, worldwide and in the U.S.

• At least 200 million people already have Google accounts, based on estimates of active Gmail users -- but the total number of Google account holders is probably much higher

So: What would happen if Google suddenly made Google+ available to all Google account holders and Android device users?

I'll bet the folks at Facebook are pretty worried about exactly that possibility right now. And it sounds like maybe they are...

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

CNN mobile columnist Amy Gahran reviews the Google+ app on her Android phone

@highlight

Google+ is still very much a "beta" service with plenty of glitches, mysteries and oddities

@highlight

Gahran: Google+ user interface is cleaner, more intuitive, more user friendly than Facebook's