The first thing I noticed as we drove into the indigenous Talang Mamak village of Semerantihan was a giant satellite dish. Immediately I knew this village was very different from the traditional Talang Mamak villages I had read about before coming to Sumatra. These villagers had houses built for them by the government in 1995 when the 30 Hills National Park was established.

They had a generator, given to them by a timber company, to power lights and a television. We were a western television crew in giant trucks that had just driven in to film, and the villagers, who knew we were coming, didn't seem bothered by us at all.

It's hard to imagine all the changes these Semerantihan village elders, seemingly in their forties and fifties, had seen in their lifetimes. In the last few decades, deforestation has taken around half of Sumatra's rainforest, changing the physical landscape and the social dynamic for these indigenous people.

Read more: Why you should care about Sumatra's rainforest

Traditionally, Talang Mamak people would have lived in dwellings on stilts with walls made out of bark. They would have hunted and gathered everything they needed from the surrounding rainforest and they would have had very little interaction with the outside world.

We came here with the Frankfurt Zoological Society who have set up an education program in more than 30 villages surrounding 30 Hills National Park. The educators work with each of the villages, teaching the people about conservation and their work releasing former-pet orangutans. Their main goals are to help villagers appreciate the forest and keep the villagers from hunting or killing the orangutans.

FZS educators come to this village twice a month to talk to the elders and hold classes for the kids. Walking into the classroom, this seemed like any other western school. It was a two-room building with a tile floor and the kids were a range of ages from around 5 to 10 years old. They wore brightly colored clothing, some with western logos like SpongeBob SquarePants.

Their desks were pushed up against the wall and the children were sitting in a circle learning from the two FZS educators. The children colored pictures, drew animals, sang songs and played games.

Interactive: Mission to save Sumatra's rainforest

What struck me the most about these children is that they were so well behaved and seemed to really enjoy the class. We joined them, filming and participating in the activities. The kids didn't seem to mind at all. Going back through the footage, none of the children acted out to the cameras.

Most of them didn't even look at our cameramen Scott and John as they were filming. In a classroom in the U.S., that wouldn't have been the case.

A few of the adult villagers leaned against the walls outside waiting for the class to finish. I had read about Talang Mamak people shunning the outside world, refusing to educate their children and insisting on living the way their ancestors had lived. This village seemed to have embraced their western neighbors and many of their habits.

They still kept to some of the old traditions, though. They survived on hunting wild pig, as we found out when one of the villagers came by with his spear during our interview with the village chief. It was also then that we learned that they were animists, a religion believing that animals, plants and places have a spiritual significance.

Read more: Profitable palm oil leaves environment poor

The villagers were so well adapted to the outside world, I had expected them to have converted to Islam, the main religion in Indonesia.

Villagers here gather non-timber forest products like a medicinal plant they called "dragonsblood" which they sell to by petrol for their generators. But as more and more of the surrounding rainforest is cut down, the elders of the village worry what will happen to their way of life if the forest is completely cut down.

These villagers have all adapted so much to the outside world already. Would their traditions, passed down from generations of Talang Mamak people, disappear? Would a way of life that had endured centuries die out because of the encroaching timber, palm and paper industries?

@highlight

Jenni Watts produced Expedition: Sumatra, CNN's new environment special

@highlight

The team traveled round Indonesia charting some of the biggest issues affecting the country

@highlight

They met the local people in the indigenous Talang Mamak village of Semerantihan