Vicksburg, Mississippi (CNN) -- The flood-swollen Mississippi River was cresting at Vicksburg Wednesday night, hours earlier than anticipated but at a record level of 57 feet, according to the National Weather Service.

"Just because we're at crest at Vicksburg, or the level is starting to fall -- the water level is extra high," said Marty Pope, a senior hydrologist with the weather service's Jackson, Mississippi office.

"Residents who live along the river need to keep an eye out and be vigilant.  We're not going to fall to the kind of levels we got to during the large 2008 flood until early June, and won't fall below flood stage until mid to late June."

The river, originally forecast to crest at Vicksburg Thursday morning at 57.1 feet, was cresting ahead of schedule probably because an old levee system in Greenville, Mississippi, was breached last Friday and spread the flood's flow, Pope said.

He said at Vicksburg the river could reach the 57.1 level as it crested -- more than 14 feet above flood stage and more than a foot over the record set in the city in 1927.

The U.S. Army Corps of Engineers was keeping a watchful eye on the Yazoo Backwater Levee, which residents near Vicksburg were counting on for protection. It is designed to keep water from backing into the Yazoo River delta.

The backwater levee was being "armored" by a heavy plastic coating to prevent it from washing out, said Charlie Tindall, attorney for the Board of Mississippi Levee Commissioners.

But the Yazoo River backwaters were already claiming territory and property, as Mississippi Gov. Haley Barbour was among residents owners who watched their rising waters swallow their houses and lands Wednseday.

Laura Hipp, spokeswoman Barbour's office, confirmed that a house owned by the governor in his native Yazoo County was flooded by the watery onslaught moving southward down the Mississippi River. The house is on a lake in central Mississippi near the backwater-flooded Yazoo River.

While areas downriver continued to brace for the growing flood, a glimmer of recovery hope flickered in one area upriver. Authorities in Tunica, in northern Mississippi, reopened a casino with an employee pep rally.

"We believe that reopening our doors and putting our friends and families back to work as quickly as possible is an important step on the road to recovery," the leaders of Gold Strike Casino and Resort said in a statement.

Casinos are a critical economic driver in the region. Nine were closed due to the flooding of the Mississippi River, said Bill Canter, spokesman for the Tunica Convention and Visitors Bureau.

Three will be reopened by the weekend, he said.

But the area still has a long road ahead before full recovery.

Residents of 300 structures under water at Tunica Cutoff are still out of their homes, said Larry Liddell, county spokesman.  "The floodwaters need to recede 3 feet before they can go back," he said.  On Saturday, the local community is holding a "High Water Music Festival" to benefit the people of Tunica Cutoff.

Gold Strike officials, in their statement, said the "near-record flooding has caused untold damage."

Farther south, where the Mississippi River has not yet crested, residents were working Wednesday to clear out their homes and find ways to get by for coming weeks on higher ground.

"We're taking one on the chin -- not only for America but for Louisiana as well," said Guy Cormier, president of Louisiana's St. Martin Parish.

His parish is in part of the state expected to be flooded as authorities open sections of the Morganza Spillway to help spare other areas of Louisiana, including New Orleans. "It's really hard when you go and visit with a family who own and operate everything they have in the area," Cormier said. "The decision has been made, and we're just going to have to battle it. But we're fighting people."

As of Wednesday evening, 17 bays were open at Morganza -- one more than earlier in the day --  moving water at an estimated 114,000 cubic feet per second, the Corps of Engineers said.

Mandatory evacuations will be in effect Saturday -- beginning at midnight Friday -- in Butte Larose, Happy Town and the Sherburne Wildlife Management Area, the St. Martin Parish Sheriff's Office announced.  By 8 a.m. Saturday, "the area will be secured and no one will be allowed to enter," the parish said in a news release.

Downstream in Vidalia, Louisiana, residents and officials tried to counter flooding from the rising Mississippi by stacking large containers two- and three-high around riverfront properties.

Temporary flood control barriers are protecting two medical facilities, a hotel and the city's conference and convention center, said city spokeswoman Sheri Rabb.

The U.S. Coast Guard reopened a section of the river Tuesday that it had closed to prevent damage to levees from passing barges.

But officials said only one tow vessel at a time will be allowed to pass through the 15-mile area near Vidalia and Natchez, Mississippi. And they warned they could shut the waterway again if water levels rise to 62.5 feet.

"We will continue to closely monitor transits through the area to ensure the safety of the communities as well as the towing vessels and their crews," Coast Guard Capt. Michael Gardiner said in a statement.

Levees along the length of the river appeared to be holding, and water diverted through spillways seemed to be rising more slowly than expected, but Louisiana Gov. Bobby Jindal warned residents that plenty could go wrong.

"There's still an awful lot of water headed our way, and it's going to be here in many cases for weeks, not just a few days," Jindal said.

Louisiana officials earlier issued advice to residents in flood-affected areas on how to prevent snake encounters and bites.

Of the 22 species of snakes within the Morganza Spillway, three -- the copperhead, cottonmouth and canebrake rattler -- are venomous.

Officials said the spillway gates are likely to be open for weeks, and it will be weeks before the river falls below flood stage, allowing those who have evacuated to return safely.

In Mississippi, 4,937 people have been displaced by flooding so far, said Jeff Rent, a spokesman for the state Emergency Management Agency.

In Louisiana, more than 4,000 people have evacuated, Jindal said, citing figures compiled by parish authorities. But, he said, no shelters have been opened in the state.

By the weekend, floodwaters also are expected to peak at record levels in Natchez as well as in Red River Landing and Baton Rouge, Louisiana, according to the National Weather Service.

The flood is the most significant to hit the lower Mississippi River valley since at least 1937 and has so far affected nine states: Missouri, Illinois, Kentucky, Tennessee, Ohio, Indiana, Arkansas, Louisiana and Mississippi.

Despite the misery and destruction, some residents in flooded areas are trying to make the best of a bad situation.

"You know I always wanted to fish off my front porch, but I never wanted to do it this way," former Poinsett County, Arkansas, Judge Doyle Hillis told CNN affiliate KAIT-TV in Jonesboro, Arkansas.  "We've had a lot of laughs over it, but we've had a lot of sad minutes."

Hillis, who has lived in Weona for 66 years, said he would have never thought the water could get that high.

While he wasn't able to land a big catch, he said the fishing helps to keep his mind off the devastation.

"It's going to be a crying shame when the water goes down and they're actually going to see the damage they are going to have," Hillis said.

CNN's John King, Ed Lavandera, Martin Savidge, Ed Payne, Ashley Hayes, Ben Smith and Dave Alsup contributed to this report.

@highlight

NEW: The Mississippi is cresting near Vicksburg ahead of schedule

@highlight

NEW: The river "won't fall below flood stage until mid to late June," a forecaster says

@highlight

A lake house owned by Mississippi Gov. Haley Barbour is flooded

@highlight

One more bay is opened on Morganza Spillway, bringing total open to 17