(CNN) -- Copenhagen's red light district pulsates with neon lights. Women stand on nearly every corner -- many from Africa -- aggressively making their pitch to men walking by. Inside one particularly loud bar, young Thai women sit on the laps of male customers.

And Stockholm? Well, you might walk right by its equivalent and never notice. Malmskillnadsgatan is a commercial area, the address of several banks. In its heyday, dozens of girls used to ply their trade here. Now, you can find only three or four women who work the street.

That stark difference may explain why Sweden is being hailed as a model of how to combat sex trafficking, while Denmark has been called the "Brothel of Scandinavia".

So, what happened?

In 1995, Sweden passed a tough bill that cracked down on prostitution. What made this law different, however, was who would be held responsible for the crime of prostitution. It's not illegal to sell sex. It is, however, illegal to buy sex.

The law was enacted as part of Sweden's push for gender equality. From a Swedish legal point of view, any woman selling sex has been forced to do so, either by circumstance or coercion. Anyone caught buying sex faces hefty fines, an embarrassingly public police notification and possible time in prison, with a maximum four-year sentence. So far no one arrested has served time.

According to the Swedish justice ministry, more than 70% in recent polls supported the law. Buying sex is looked down upon. There is even a slang term for those who buy sex.

"They're called a "cod," a fish," says Lise Tamm, a Swedish prosecutor of organized crime. "It's the same word as a loser, or [someone who] gets called by the police, or runs out of gas in his car. You're a loser if you buy sex in Sweden.

"We see it as a human right to have sexual integrity, physical integrity, and not to be forced to sell your body to strange men, 10 times a day. That's human rights to us."

At first, Sweden's neighbours in Europe dismissed the idea. But the law had an interesting knock-on effect, decreasing demand for prostitution and thereby sex trafficking.

Kajsa Wahlberg, Sweden's National Rapporteur on Human Trafficking, has undertaken annual assessments on the problem since the law was enacted. She recalls attending international meetings back in 1998 when Sweden was ridiculed for its approach. "I mean, I was told you can't do that. It's impossible," she recalls. "People could not even get it into their minds that it would have any effect on trafficking. But now I get the impression that people have stopped laughing and actually are looking seriously into what can we do."

Police say it's working; that customers don't want to risk punishment and that intelligence indicated pimps and traffickers quickly realized it was not worth bringing women into Sweden. Simply, there is not enough money to be made and the risk is too high.

But trafficking still exists and women still sell sex in Sweden. One young woman told CNN she was promised a cleaning job in Sweden -- but within hours of arriving in the country she was locked in an apartment, raped and beaten and had her passport taken away from her.

While street prostitution has dropped dramatically, selling sex over the internet is still a thriving industry. But Stockholm police estimate that there are only about 200 prostitutes now working in a capital city of more than 2 million people.

It's all in stark contrast to Copenhagen.

Denmark decriminalized prostitution in 1999. The idea, in part, was that making it legal to sell sex would also make it easier to police. There are conditions, however: pimping is illegal and only legal residents can work as prostitutes.

Since then, Copenhagen's red light district has grown. The women walking the streets have also changed. About half used to be Danish, according to national police. Now most are African or from eastern Europe. There are no hard numbers on how many have been trafficked but social workers believe the vast majority are "vulnerable" to trafficking.

Michelle Mildwater, an anti-trafficking activist with Hope Now, walks the streets of Copenhagen almost every night, hoping to reach out to victims. She says she has seen the number of prostitutes from Africa triple in just two years, although specific numbers are difficult. "What we've got on the streets is the tip of the iceberg basically," she says.

The reality in Copenhagen is that the majority of prostitutes are managed by pimps, even though it's illegal. Complicating matters, many of the pimps and traffickers are themselves prostitutes, attempting to work their way out of the street by managing new recruits.

"We thought that these women would be trapped and kidnapped and they wanted to be saved and rescued and they wanted to go back home," says Anne Maskell of the Danish Centre Against Human Trafficking. "But what we found out is that this is a much more complex phenomenon."

Danish police have to figure out which prostitutes are in the country illegally, which prostitutes may be victims of trafficking and which prostitutes may also be pimps and traffickers.

They believe that 95% of the prostitutes in Denmark are already familiar with prostitution when they arrive, know they need to cooperate with pimps to get on, and are not used to working with law enforcement. The police try to establish which of the prostitutes are there legally: those who are not will be transferred to the department that deals with illegal immigrants.

Denmark's National Centre Against Trafficking coordinates police and social services to effectively identify trafficking victims. When police raid a brothel, social workers are on hand. When they have identified a possible victim of trafficking, they are placed in a safe house for a "reflection period" of up to 100 days. If, at the end of that time, the victims have not cooperated with police to prosecute their traffickers, they are deported.

"Of course, we tell them [that] in the hope that they will tell us at least a little bit of the true story," says Maskell. "Because of course many of them are scared to tell their stories. And they're also scared that the authorities get to know about them."

But most victims fail to cooperate, too scared to testify against their traffickers, walking out of safe houses and disappearing just before their "reflection period" ends.

Politicians in Denmark are now debating whether to adopt a Swedish-style approach to the problem. In Sweden justice ministry officials say they have had an increase for requests from other countries to explain how their anti-prostitution law works and how it might be adapted.

"The important thing is that any country should think about the question on demand." says Beatrice Ask, Sweden's minister of justice, "because you can't fight this organized criminality, which is often behind prostitution and trafficking for sexual purposes. You can't fight that by only looking to one side of the coin. If we could get rid of slavery, then I think this type of buying human beings is something that we have to fight too."

@highlight

Scandinavian neighbors Denmark and Sweden have taken different approaches to sex trafficking

@highlight

Swedish law says it is not illegal to sell sex -- but it is illegal to buy sex

@highlight

In Denmark prostitution has been decriminalized with the aim of making it easier to police

@highlight

Politicians in Denmark are now debating whether to adopt a Swedish-style approach