(CNN) -- As the district director of physical education and health literacy for Miami-Dade County Public Schools, Jayne Greenberg's annual budget is $0.

That's right -- $0.

It's almost unbelievable when you know the statistics -- that one in six U.S. children are obese, that nearly one-third are overweight, and that these rates are even higher for Hispanic children (of whom Miami has a high population).

But Greenberg doesn't despair. "I've been in my position since 1995 -- I've never had a budget," she says. "It's always been up to me to find my own money."

She has also found a way to encourage students to sign up for gym class again.

Miami-Dade County Public Schools is one of nine regional finalists in the Active Schools Acceleration Project's first annual Innovation Competition. ASAP is an initiative started by ChildObesity180.org, an organization dedicated to reversing the trend in childhood obesity.

The requirements were simple: Schools had to show a way they were encouraging students to move throughout the day. The school's program had to be creative, include all fitness levels and be easy to duplicate in other districts.

"We know there's so much good work going to get our kids up and moving every single day all across this country," first lady Michelle Obama says in the competition's introduction video. "So we want to find the most effective ways that people are increasing physical activity for kids, and then help those ideas grow to scale so that they can help even more children."

More than 30 judges evaluated the hundreds of applications.

Nine regional finalists were announced Tuesday; each will receive $25,000 to invest in physical activity programs. Two national winners will be announced in Washington on June 13. They will be given $100,000 and ChildObesity180 will work to expand their programs across the country.

In Miami, only one semester of physical education is required for high school students, and middle school students can have a parent waive the regular class. That means a child could go from fifth grade to 12th grade without ever working up a sweat.

Greenberg's solution was Fit-Tech Wellness Labs. With grant money, she converted classrooms in her local high schools into minigyms. These labs contain traverse climbing walls, gaming stationary bikes and virtual group fitness instructors.

"That's this generation's world," she says. "I knew that to engage students in becoming more physically active I had to incorporate that technology."

It worked -- high school students started enrolling voluntarily and lost an average of 8 pounds a semester. Greenberg moved the program down into the middle schools, then the elementary schools. The kids loved it.

"I like the 'Dance Dance Revolution' (game)," fifth-grader Taylor Wood says. "Even though you don't think about it you're actually exercising."

Physical activity is a learned behavior, says one of the competition's judges, Avery Faigenbaum, a professor of health and exercise science at The College of New Jersey.

"In primary school we teach kids how to read and we teach kids how to write. We also have to teach kids how to move," he says. "If we expose children to these environments that are rich in opportunities to be physically active, they're going to be more physically active as adults."

Faigenbaum rated highly the programs that incorporated movement into minibreaks throughout the school day. "Many people look at this from the neck down, and they look at all the physical benefits. But when we're talking about kids in school, we also have to look at the neck up. Kids who are engaged in physical activity are better learners."

Another finalist, the Healthy Schools, Healthy Families' "Just Move" program in New York and New Jersey, added five-minute breaks into students' daily routine while addressing another obstacle in the fight to add physical activity in schools: how to avoid taking away classroom time.

The "Just Move" program uses exercise flashcards that are linked to a grade's curriculum. In kindergarten, kids practice counting to 20 while doing jumping jacks. In fifth grade, they learn the difference between perpendicular and parallel lines while doing squats or talk about camels while doing the camel yoga pose.

"We had a much greater buy-in (from teachers) because it fits with what they already have to do," says Andrea Brekke, the Healthy Schools, Healthy Families program manager.

Often, childhood obesity is attributed to a "toxic environment," filled with endless hours of computer use and video game playing.

But as Greenberg showed, technology can help in the fight against fat. "The Walking Classroom" podcast program -- where students listen to lectures while strolling outside -- and the online social game Sqord from Chapel Hill, North Carolina, were also winners in the ASAP competition.

While technology doesn't change the physical environment by adding trails or gyms, it can make a positive impact, says competition judge Joan Dorn, branch chief for physical activity and health at the Centers for Disease Control and Prevention.

"Technology (ideas) ... change the social environment by incorporating the notion of getting physical activity throughout the day," says Dorn. "They change the environment by changing the culture and the way of thinking."

@highlight

Active Schools Acceleration Project's Innovation Competition finalists announced

@highlight

Winners' programs had to be creative, include all fitness levels

@highlight

Each program each will receive $25,000 to invest in physical activity in schools