(CNN) -- All of us as drivers have failed at one point or another to yield at a stop sign. Most of the time we get away with it. Sometimes we get stopped by the police. The punishment usually includes a court date and/or a fine. Sometimes, apparently, it can lead to something much worse. In Deming, New Mexico, according to a lawsuit filed in federal court, failing to yield can lead to ... an anal cavity search.

The shocking allegations of David Eckert's complaint are worth a read, though at least the defendant-prosecutor has denied many of them. The other defendants include the arresting police officers, the hospital and doctors. Irrespective of whether the allegations are ultimately proven, this lawsuit raises some larger questions: How do police get from a traffic stop to a colonoscopy?

The Fourth Amendment protects all citizens from unreasonable search and seizure by the government. It requires that the greater the intrusion upon the person, the greater must be the reason for conducting a search. Is there ever a good reason for this kind of search?

The answer is yes. The police can get access to your most intimate parts and even their interiors. The law is clear: Sometimes a search of one's cavity is justified.

Fortunately, police can't do this on a whim. They need what we call "probable cause" that that part of your body contains contraband. That means a lot more than an arbitrary hunch or guess. Then, beyond that, they have to convince a judge or a magistrate of the likelihood of contraband in your rectum, and that judge has to issue a search warrant independently -- though defense attorneys would argue this is less an independent process and more a one-sided affair.

The only real way around the warrant requirement is an exigency -- that is the evidence is likely to disappear during the delay in securing a warrant. A warrant for an anal cavity search must also provide specifics on the medical procedure to be used to be reasonable.

But the underlying question remains: How were the police in this case able to articulate probable cause for a rectal warrant from a traffic violation?

Bad posture?

According to the complaint, one of the officers noticed Eckert's "posture to be erect and he kept his legs together." It's often said you can read a lot into the way someone carries himself. A lot of people stand different ways. Sometimes it means you have good, militarylike bearing. Other times it means you have a strong back.

To police in this case, apparently, standing erect can mean something else: You may have drugs in your anal cavity. And with that interpretation, police have a starting point for their probable cause to get that warrant. To bolster their probable cause, police also allegedly justified the "search" by citing Eckert's reputation.

A reputation

Perhaps in school you had a friend who had a reputation for being cheap. That's one kind of reputation. To police, according to the complaint, Eckert had a reputation, too -- for carrying around drugs in his rectum.

To most civilians, that doesn't even sound like a kind of reputation. To police, however, that reputation was allegedly further justification for an invasive warrant. It will be interesting to see in this litigation how substantiated this prior reputation was. How does a rumor like this get started?

The police in this case also used a narcotics canine to sniff Eckert's vehicle. The canine apparently alerted police to the driver's seat of Eckert's truck. While courts have held that a police canine alert is sufficient probable cause for a drug search of a car, there is no question that the upholstery of a car seat should not be considered the same as the interior of someone's body cavity.

Even a canine alert of someone's pants area should not automatically constitute probable cause for a colonoscopy warrant. The law is well-settled in this area: For a rectal search, police need a high degree of probable cause and a warrant.

Persistence

Once police were armed with a warrant, Eckert's complaint alleges he was subjected to a prolonged detention, including two trips to different hospitals, two rectal searches, three enemas, two X-rays and a colonoscopy.

At each stage, the complaint alleges, no drugs were found, but according to Eckert, the search continued well into the next day with increasingly invasive procedures.

If anyone other than the police conducted this kind of nonconsensual physical invasion of another's rectum, based upon a posture and a reputation, they'd likely be civilly and criminally liable. But when the police physically invade your person, they often enjoy what's called "qualified immunity" from lawsuits.

To be sure, the idea behind immunity for police action is sound: It would be a massive disincentive to law enforcement if it feared liability over every decision. Generally, police won't be liable for bad searches if they have a good argument for probable cause. Courts will consider whether a reasonably well-trained officer would have known that he failed to establish probable cause and that he never should have applied for the warrant.

As a society, we accept that the police are empowered to invade our privacy in ways members of the public cannot. If they have the requisite probable cause and a warrant, law enforcement has the power to invade our homes, our vehicles, and -- like it or not -- our rectums. This has led many to ask whether the very people entrusted with the power to invade our bodies physically should legally be subjected to more scrutiny rather than general immunity.

Members of the public who are concerned they will be subjected to this kind of cavity search as part of a routine traffic stop can probably rest easy; it appears from the face of the complaint that Eckert was someone who was on law enforcement radar for some time.

Just being "known to" police doesn't justify a cavity search, but it assuages the average citizen that his own body is not a high-value target. But at minimum, Eckert's ordeal may make us all think twice about rolling through that next stop sign.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

New Mexico man sues, alleges traffic stop led to anal cavity search by police

@highlight

Danny Cevallos says police have the right to search body if they have a warrant

@highlight

Lawsuit says police concluded man was hiding drugs by his posture and by speculation

@highlight

Cevallos: Police need probable cause to get a warrant and typically have immunity from suits