The air travel debate of the moment -- about seat width on planes -- is an easy one to be seduced by.

Airbus released a marketing campaign last month claiming 18-inch-wide seats -- compared to 17 inches -- make sleep much easier and have called on airlines to make these standard in economy-class, long-haul flights.

Airlines, so far, have not been enthused with most refusing to be drawn into the debate and others, such as Lufthansa, as diplomatically as possible suggesting it's a non-starter.

It certainly seems like an odd campaign for a supplier to embark on, apparently trying to dictate to customers what they should be buying.

But it's also a rather clever campaign I would argue, a gamble that Airbus doesn't need to pay off.

There's a telling quote from the Airbus head of passenger comfort, Kevin Keniston, who says: "Economy passengers who are not prepared to accept long-haul 17-inch crusher seats ... will choose airlines that offer better seat comfort. We are encouraging them to be aware of the difference an inch makes in long-haul economy."

So on the face of it this campaign is aimed at passengers, who will then supposedly pressure airlines to offer 18-inch-wide seats.

The kicker is this -- fliers in economy are unlikely to start demanding anything.

The economy expectation

Economy fliers get the worst seats, the blandest food, the noisiest cabins and guess what -- we expect that, because we also get the cheapest tickets. Let's just get there, and get out, is the mentality.

It's not like we're business or first class fliers who airlines do occasionally listen to.

Proof comes in the form of Airbus' own cabin layout page for the A330, which promotes economy seating of much less than 18 inches to its clients, even while telling the world 18 inches should be standard.

So Airbus puts out the right message to the public, we feel a little better that at least someone appears to be complaining on our behalf while behind the scenes the industry carries on as usual.

Well fellow coach-class fliers, it's time to start speaking up.

I recently flew New York to Narita, Japan -- a tortuous 14 hours in an economy-class middle seat, with a coughing, wheezing, hacking old man on one side and a fidgeting iPad/iPhone/iDon'tcare on the other.

After a claustrophobic, knee-bumping, armrest battleground of a flight like that, you'd think more space would be welcome, right?

There's an alternate view.

Better headrests required

It struck me that the problem here wouldn't be solved by an extra inch of space, nor perhaps even by an extra three inches of space. But maybe it could by headrest design.

As I drifted off into a semi-slumber, my noggin had nowhere to go. I was rudely awoken on several occasions by my own skull as it went into a slow-motion collision course with one of my neighbors.

The little flick-out flaps -- or "wings" -- that are now common on airline seat headrests make it about 0.5% more likely that your head will stay put allowing you to get some good zzzs.

So you can keep the extra inch of width -- what I want is a seat that keeps my head in place while I doze.

Unfortunately, and as expected, no one was particularly convinced.

The airlines I contacted gave the usual sound bites about how great their economy class seats were already, while Airbus just took the opportunity to underline their existing seat campaign.

"Headrests in our opinion are not as critical as seat width," says Alizée Genilloud, manager media relations at Airbus.

"Some passengers find headrests helpful and some find them uncomfortable. But an extra inch in seat width definitely provides more comfort for all."

A good point, particularly considering that as a six-foot, 80-kilo man, I am probably Mr Average when it comes to size. Fliers bigger than me would likely prefer bigger seats.

But would they not also enjoy better headrests?

Who's responsible?

Boeing refused to be drawn on an area they don't see as their turf. "Seat design is handled and decided by the airlines, not the airframe manufacturers. We simply ensure the seats comply to safety standards," says a spokesman.

I suppose as a cheap-fare hunting, bland-food eating economy-class flier, I shouldn't expect to be taken too seriously.

But then I contacted one of the seat-manufacturing companies. "The headrest is one of the features that can improve the comfort experience during a flight," says Dr. Mark Hiller, CEO of Recaro Aircraft Seating, promisingly.

He goes on to describe a headrest that can be tilted horizontally "for optimal neck support while sleeping," with adjustable side bolsters for a better resting position, an "exceptionally" wide height adjustment range and increased wings.

I don't know whether this is the headrest revolution I'm requesting, but I'm glad someone else considers the thing worth at least some effort.

Would you prefer wider seats on planes, or are there other areas of cabin comfort you think would improve travel? Tell us below.

@highlight

Airbus released report claiming 18-inch seats better for sleeping than 17-inch seats

@highlight

But will passengers start demanding this of airlines?

@highlight

Headrests also a key focus of design for plane seat manufacturers