Atlanta, Georgia (CNN) -- Extreme heat in major U.S. cities this week signals more than the arrival of the dog days of summer.  City dwellers have long endured hot summer afternoons, but the frequency of extremely hot days -- when admissions to hospital emergency rooms for heat-related illnesses spike -- has increased substantially over the past several decades.

An analysis of weather records at Georgia Tech reveals that the average number of heat-wave days in large U.S. cities each year had increased from nine in the mid-1950s to 19 by the mid-2000s. The news is even worse for  the country's most sprawling cities, such as Atlanta, Georgia; Tampa, Florida; and Raleigh, North Carolina: The number of heat-wave days in these cities has nearly tripled during the same time.

There are two reasons for the increase in urban areas.  First, temperatures in cities are rising because of  the global greenhouse effect, which is intensifying as the vehicles we drive and the energy we consume emit more and more greenhouse gases.

Second, and more important, cities are warming because of the loss of trees and other natural land cover to make way for buildings, streets, and parking lots, which are composed of materials that absorb far more thermal radiation than the natural landscape.

Because of these two effects -- one global, the other local -- most large American cities are warming at more than twice the rate of their outlying rural areas and the planet as a whole, and this accelerated pace is at the root of the increasing frequency of heat waves.

Much more than a source of discomfort, the growing frequency of heat waves in cities poses a significant public health threat. This was made clear by an intense and prolonged heat wave in Europe during the summer of 2003, when it's estimated more than 70,000 residents of France, Italy, Great Britain and other nations died from exposure to extreme heat. The majority of people who died lived in cities.

With a death toll exceeding that of any other weather-related natural disaster in the developed world -- including hurricanes, tornadoes and floods --  the European heat wave attests to the growing risk of climate-related health threats, even in the most affluent and medically advanced societies. Yet the global response to this climate event -- one that reveals more about the profoundly changing environment in which we live than any other yet endured -- has largely been one of indifference.

Less than a decade after the deadly heat wave, many outside of Europe do not even recall hearing of it. And fewer appreciate its central lesson: The extremity of the heat was greatly amplified and so made more dangerous by the cities themselves. So, as cities prepare over the coming days for the potential health impacts of a heat wave, it is imperative that urban governments look ahead and take aggressive action over the coming years to address the root causes of rising temperatures in cities.

The good news is that cities don't have to wait for the U.S. Congress or the global community to adopt highly effective programs.  Programs already under way in New York, Los Angeles and other cities to plant millions of trees can measurably cool the air and dampen the extremity of heat waves over time. The preservation and restoration of greenspaces within and around urban areas are a critical first line of defense against climate change.

Coupled with enhancing greenspace is the need to make built surfaces more highly reflective, to offset the absorption of solar energy. The use of lightly hued or whitewashed roofing and paving materials, as found in Mediterranean cities, is a proven tool for moderating summer temperatures.

Finally, a long-term transition from sprawl and highways toward more compact urban development, featuring walkable neighborhoods and transit systems, can reduce the emission of waste heat from vehicles and buildings.   This summer shows climate change is neither a theoretical problem nor one to be addressed by future generations: It is on display this week in major U.S. cities.

The opinions expressed in this commentary are solely those of Brian Stone.

@highlight

Brian Stone: Number of heat-wave days in U.S. cities has doubled since 1950s

@highlight

Stone says greenhouse effect, loss of trees and grass in cityscape are to blame

@highlight

Frequency of heat waves in cities a significant public health threat, he writes

@highlight

He urges planting greenery, making city surfaces reflective, better transit systems