In a "wake-up call," climate change scientists contend rising seas endanger America's newest and oldest landmarks such as the Kennedy Space Center at Cape Canaveral and the first English colony at Virginia's Jamestown, portending a new century of disasters if Americans don't act.

Listing 30 at-risk sites, the Union of Concerned Scientists notes how heritage sites such as Liberty and Ellis Islands have already prepared themselves for "human-induced climate change."

But many historic treasures from Florida to Hawaii will be imperiled in the 21st century to bigger oceans and more wildfires and floods, the group asserted.

Critics of climate change research aren't as dire and say the warming that the Earth now feels could have happened naturally in the ancient past. Critics contend that current studies advancing man-made influences on global warming are too short-sighted by covering only the past 1,500 to 2,000 years.

The Union of Concerned Scientists, however, said all its case studies "draw on observations of impacts that are consistent with, or attributable to, human-induced climate change based on multiple lines of scientific evidence."

The group urged Americans to protect the landmarks and "to reduce the carbon emissions that are driving up the planet's temperature," the group's report said. "The historic legacy of the United States is at stake."

Those landmarks include sites where the "first Americans lived," Spaniard conquistadors ruled, slaves fled their masters, and a launch pad put the first man on the moon, the group said.

"You can almost trace the history of the United States through these sites," Adam Markham, the group's director of climate impacts and a report co-author, said in a statement. "The imminent risks to these sites and the artifacts they contain threaten to pull apart the quilt that tells the story of the nation's heritage and history."

For example, massive fires and floods have destroyed ancient pueblo masonry, pottery, petroglyphs, adobe buildings and trails at Mesa Verde National Park in Colorado or Bandelier National Monument in New Mexico, the report said.

Among landmarks likely to be submerged in rising seas by century's end are Jamestown, where English colonialists made their first permanent settlement in the Americas, and portions of the Harriet Tubman Underground Railroad National Monument in Cambridge, Maryland.

Historic districts in Annapolis, Maryland, Charleston, South Carolina, and St. Augustine, Florida, are also at risk to a swollen ocean and possible worsening storm surges, the group said.

In Florida, prehistoric communities made of oyster and clam shells are also in peril, such as the Ten Thousand Islands, a community dating to 1,000 B.C., the group said.

The Florida Everglades holds landmark communities built on wetlands out of oyster shells. In one case, the National Park Service and the University of Central Florida have established a "living shoreline" of oyster mats, Spartina grass and mangroves to protect the 1,200-year-old Turtle Mound, made of shells, in Canaveral National Seashore, the group said.

But elsewhere in Florida, the Kennedy Space Center, site of the historic Apollo 11 launch, has seen recent restoration and protection efforts "undone" by storm surges.

Those protections had sought to shore up dunes near the launch pads, and NASA is now evaluating climate change and further protective measures, the group said.

Prehistoric relics are falling into the ocean in Alaska, where melting ice caps and permafrost are allowing storms to erode the coastlines of Cape Krusenstern National Monument and the Bering Land Bridge National Preserve, where "irreplaceable prehistoric artifacts" are falling out of the shorelines into the sea, said Markham.

On the west coast of Hawaii's Big Island, coastal flooding connected to rising seas threaten ancient trails, seawalls, fish traps and sacred places, the report said.

The American Southwest and its landmarks are also vulnerable to a one-two punch of big wildfires and then monsoon flooding, the report said.

For example, New Mexico's second largest wildfire in its history -- which destroyed 156,000 acres in 2011 -- damaged more than more than 16,000 forested acres belonging to the Santa Clara Pueblo, a federally registered Native American tribe and National Historic Landmark.

Disaster struck it again when heavy rains flooded local canyons, barren from the fire. The Pueblo is home to ancient rock carvings and cliff dwellings.

"Cutting carbon emissions significantly and quickly can slow the pace of sea level rise, limit the temperature increases, and slow the expansion of the wildfire season," Angela Anderson, director of the group's climate and energy program, said in a statement.

@highlight

Some landmarks now see damage such as the Florida launch pad for the first man on moon

@highlight

Science group contends 'human-induced climate change' threatens heritage sites

@highlight

Imperiled are ancient mesas, Hawaiian sacred places, Alaskan coast, and Florida sites

@highlight

Group urges Americans to act to reduce carbon emissions