(WIRED)  -- The end of the internet comes not with a bang or a procession of four lolcats of the apocalypse, but just with two blinking lights on a modem.

At least that's how it came for Andre Vrignaud, a 39-year-old gaming consultant in Seattle, when Comcast shut him off from the internet for using too much data.

Vrignaud, it seems, committed the foul of using more than 250 GB of data on Comcast two months in a row, triggering the company's overage policy that results in a year-long ban from using its services.

"It's one of those things I never thought would hit me," Vrignaud said. "They didn't even call. I just got double blinking lights on my modem."

"If I'd been foolish enough to depend on something like Skype or some other VOIP service for 911, I would have been hosed," Vrignaud said, arguing that internet service has become a utility much like water and electricity -- services that can't easily be turned off, due to regulations.

It was the second month in a row that Vrignaud got those blinking lights. The first time he called in and tried to figure out what the problem was.

So he turned off the router he had that was open to the public, and asked his roommate to go a bit lighter on data usage, since his household is heavy on streaming media, including YouTube, NetFlix and Pandora.

WIRED: Shed a tear, the age of broadband caps begins

What he didn't count on, Vrignaud said, was that Comcast, who he was paying $60 a month for a 15Mbps download speed, was counting uploads against the quota as well.

Just recently he'd switched his online backup system from Mozy to Carbonite, after Mozy put an end to its unlimited back-up service. Carbonite has no such limit, but does throttle users' uploads once it hits a high level.

And Vrignaud, a hardcore geek who at one point worked as a Microsoft technology evangelist for XBox 360 and XBox live, has a lot of data he shares with the cloud.

He's got his music ripped into lossless FLAC format, in addition to lower rates, amounting to about a gig a disc -- which he stores in a basement RAID server that can handle 12 TB of data. (He says it has plenty of empty space.)

WIRED: AT&T puts broadband users on monthly allowance

As an amateur photographer, he saves his photos in RAW format, which can run to about 10MB per image. And when Amazon last week opened up its cloud music service to unlimited storage of music files in AAC, Vrignaud batch-converted his collection and began uploading it.

The music is what he assumes caused the problem, but he's not sure. He admits to doing a little bittorrenting in the last month, but says it was limited to getting a few episodes of a famous British sci-fi show that's not totally available in the U.S.

And all Comcast is saying is that he's kicked off -- and under the terms of the ban, he can't even switch to a uncapped, higher-priced, lower-speed business connection.

Comcast told Wired.com that Vrignaud is at fault for not monitoring his bandwidth better.

Spokesman Charlie Douglas says the 250 GB limit, which it imposed in October 2008 after agreeing to not throttle peer-to-peer traffic, is intended to keep users like Vrignaud from impacting their neighbors. Median data usage for its cable internet customers is 4 to 6 GBs per month, according to Douglas.

WIRED: Verizon halts unlimited smartphone data plans

"Looking at the facts, it appears that it is a straightforward story," Douglas said. "There's not much we can say. We called and reiterated the policy and told him if he did exceed it again in six months, he would face suspension. That is our policy."

"If someone's behavior is such that it degrades the quality of service for others nearby -- that's what this threshold is meant to address," Douglas said. "It can negatively affect other people."

That's in part because cable internet connections work off a loop of cable shared by a collection of customers. The more data being used, the slower everyone's speed gets, unless the company spends the money to break a loop into smaller loops.

(This is why cable connections can get very slow in the evening, when many people go online for entertainment.)

You might think that Comcast is trying to save money on bandwidth by capping the GBs.

But data usage is not very expensive for a large ISP. It's somewhere around 2 cents per GB of traffic sent to or received from the greater internet, and the prices keep dropping.

WIRED: Comcast rolls out broadband meters coast and coast

Oddly though, the 250 GB cap hasn't increased at all since '08, even as Comcast has aggressively adopted better technology called DOCSIS that lets them send more and more data through the same size pipes, which the company has used to increase the speed of customers' connections, mostly without charge.

The policy is ostensibly meant to help with congestion at peak times, but it makes no differentiation between data used in the evenings and that used from midnight to 8 a.m. when internet usage typically falls off.

That's a model that Americans are very familiar with, thanks to mobile phone calling plans that discourage calling during weekday business hours, when minutes are counted against a preset quota, while making nights and weekends calls free.

However, the simple total bandwidth model is the one that's become popular. AT&T recently slapped a 150 GB per month cap on its DSL service, while Time Warner Cable trialed services with extremely low caps, only to retreat after intense protest by customers and politicians.

On the mobile front, AT&T, Verizon and T-Mobile all have caps on mobile data usage (with varying penalties and overcharges), leaving only Sprint without any real cap.

Vrignaud, like many others, thinks Comcast's limits are really about trying to protect its core video cable business from people switching to online alternatives such as Netflix and Hulu.

Vrignaud says he's weighing his other connectivity options -- which are limited to some relatively slow DSL connections and the troubled Clearwire 4G to the home servie. Verizon laid some fiber near Seattle, but Comcast's franchise agreements with the city prohibited Verizon from laying fiber in the city proper -- and Verizon has since given up on the area.

So for now he's using neighbors' open access points and internet cafes to do his business, many of which are powered by Comcast.

But he's vowing not giving up quietly and has already posted about the cutoff on his blog, which attracted more than 130 comments by Wednesday -- not all of them supportive.

Vrignaud vows to plead his case to politicians and regulators.

"I struggle when I watch Comcast raising broadband speeds, and at same time, saying they can't afford all this internet usage, without doing deep packet inspection and other invasive things," Vrignaud said. "They haven't laid new cable in 15 years. I'm pretty much a nonregulation guy, and I'd just rather let the market be competitive. But I get really frustrated in situations like this where what is truly a bad company is not being forced to improve because it doesn't have to. I really don't have any choices here."

Comcast sees it differently.

"People should be careful if they have a terabyte of data to back-up," Douglas said. "They should manage their consumption carefully, and do it over time."

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Andre Vrignaud used more than 250 GB of data on Comcast two months in a row

@highlight

Vrignaud was paying $60 a month for a 15Mbps download speed

@highlight

AT&T recently slapped a 150 GB per month cap on its DSL service

@highlight

AT&T, Verizon and T-Mobile all have caps on mobile data usage