Washington (CNN) -- The nation's growing acceptance of same-sex marriage has happened in slow and painstaking moves, eventually building into a momentum that is sweeping even the most unlikely of converts.

Even though he said in 2008 that he could only support civil unions for same-sex couples, President Barack Obama nonetheless enjoyed strong support among the gay community. He disappointed many with his conspicuously subdued first-term response to the same-sex marriage debate.

Last year, after Vice President Joe Biden announced his support, the president then said his position had evolved and he, too, supported same-sex marriage.

So it was no small matter when on Thursday the Obama administration formally expressed its support of same-sex marriage in a court brief weighing in on California's Proposition 8, which bans same-sex weddings. The administration's effort was matched by at least 100 high-profile Republicans â€” some of whom in elections past depended on gay marriage as a wedge issue guaranteed to rally the base â€” who signed onto a brief supporting gay couples to legally wed.

Obama on same-sex marriage: Everyone is equal

Then there are the polls that show that an increasing number of Americans now support same-sex marriage. These polls show that nearly half of the nation's Catholics and white, mainstream Protestants and more than half of the nation's women, liberals and political moderates all support same-sex marriage.

According to Pew Research Center polling, 48% of Americans support same-sex marriage with 43% opposed. Back in 2001, 57% opposed same-sex marriage while 35% supported it.

In last year's presidential election, same-sex marriage scarcely raised a ripple. That sea change is not lost on the president.

"The same evolution I've gone through is the same evolution the country as a whole has gone through," Obama told reporters on Friday.

Craig Rimmerman, professor of public policy and political science at Hobart and William Smith colleges says there is history at work here and the administration is wise to get on the right side.

"There is no doubt that President Obama's shifting position on Proposition 8 and same-sex marriage more broadly is due to his desire to situate himself on the right side of history with respect to the fight over same-sex marriage," said Rimmerman, author of "From Identity to Politics: The Lesbian and Gay Movements in the United States."

"I also think that broader changes in public opinion showing greater support for same-sex marriage, especially among young people, but in the country at large as well, has created a cultural context for Obama to alter his views."

For years, Obama had frustrated many in the gay community by not offering full-throated support of same-sex marriage. However, the president's revelation last year that conversations with his daughters and friends led him to change his mind gave many in that community hope.

Last year, the Obama administration criticized a measure in North Carolina that banned same-sex marriage and made civil unions illegal. The president took the same position on a similar Minnesota proposal.

Obama administration officials point to what they see as the administration's biggest accomplishment in the gay rights cause: repealing "don't ask, don't tell," the military's ban on openly gay and lesbian members serving in the forces.

Then there was the president's inaugural address which placed the gay community's struggle for equality alongside similar civil rights fights by women and African-Americans.

"Our journey is not complete until our gay brothers and sisters are treated like anyone else under the law, for if we are truly created equal, then surely the love we commit to one another must be equal, as well," Obama said in his address after being sworn in.

In offering its support and asserting in the brief that "prejudice may not be the basis for differential treatment under the law," the Obama administration is setting up a high stakes political and constitutional showdown at the U.S. Supreme Court over a fast-evolving and contentious issue.

The justices will hear California's Proposition 8 case in March. That case and another appeal over the federal Defense of Marriage Act will produce blockbuster rulings from the justices in coming months.

Beyond the legal wranglings there is a strong social and historic component, one that has helped open the way for the administration to push what could prove to be a social issue that defines Obama's second term legacy, Rimmerman said.

The nation is redefining itself on this issue, as well.

Pew survey: Changing attitudes on gay marriage

The changes are due, in part, to generational shifts. Younger people show a higher level of support than their older peers, according to Pew polling "Millennials are almost twice as likely as the Silent Generation to support same-sex marriage."

"As people have grown up with people having the right to marry the generational momentum has been very, very strong," said Evan Wolfson, president of Freedom to Marry, a gay rights organization.

That is not to say that there isn't still opposition.

Pew polling found that most Republicans and conservatives remain opposed to same-sex marriage. In 2001, 21% of Republicans were supportive; in 2012 that number nudged slightly to 25%.

Conservative groups expressed dismay at the administration's same-sex marriage support.

"President Obama, who was against same-sex 'marriage' before he was for it, and his administration, which said the Defense of Marriage Act was constitutional before they said it was unconstitutional, has now flip-flopped again on the issue of same-sex 'marriage,' putting allegiance to extreme liberal social policies ahead of constitutional principle," Family Research Council President Tony Perkins said in a statement.

But there are signs of movement even among some high profile Republican leaders

Top Republicans sign brief supporting same-sex marriage

The Republican-penned friend of the court brief, which is designed to influence conservative justices on the high court, includes a number of top officials from the George W. Bush administration, Mitt Romney's former campaign manager and former GOP presidential candidate Jon Huntsman.

It is also at odds with the Republican Party's platform, which opposes same-sex marriage and defines marriage as a union between a man and a woman.

Still, with White House and high-profile Republican support, legal and legislative victories in a number of states and polls that show an increasing number of Americans support same sex-marriage, proponents feel that the winds of history are with them.

"What we've seen is accelerating and irrefutable momentum as Americans have come to understand who gay people are and why marriage matters," Wolfson said. "We now have a solid national majority and growing support across every demographic. We have leaders across the spectrum, including Republicans, all saying it's time to end marriage discrimination."

CNN's Peter Hamby, Ashley Killough and Bill Mears contributed to this report.

@highlight

The president and the nation have shifted perspectives on same-sex marriage

@highlight

Supreme Court ruling on California's same-sex marriage ban a critical test

@highlight

Growing public support for gay marriage give proponents hope for change