MINNEAPOLIS, Minnesota (CNN) -- Mercedes Gorden remembers August 1, 2007, like it was yesterday.

Mercedes Gorden was driving home from work on the Interstate 35 West bridge when it suddenly collapsed.

"I remember everything. I remember it being sunny and hot. I had my window down," Gorden said. "The next thing I knew, the concrete started to wave in front of me."

It was a normal day. Or so she thought. She was driving home from work on the Interstate 35 West bridge that spans the Mississippi River when it started to buckle and collapse during the evening rush-hour traffic.

"The bridge pulled apart in front of me ... and I went sliding," Gorden said.

Without warning, cars careened into the Mississippi River below and Gorden's Ford Escort plummeted about 60 feet down into the river bank.

"I said I will not die on that bridge. I am not going to die today," Gorden, 31, said. "This is not the way I am going to go."

She was trapped for more than an hour and rescue workers had to cut her out of the car. All of the bones in her legs were shattered and her spine was fractured. Nine surgeries and countless hours of physical therapy later, she knows it could have been worse. Thirteen people died that day and 100 others were injured.

One year after the tragedy, many Minnesotans and commuters around the country wonder if their bridges and highways are safe.  Watch: Are U.S. roads and bridges safe? »

The answer is: Maybe.

Across the United States, there are about 600,000 bridges. The Federal Highway Administration reported in 2006 that one quarter of the nation's bridges were at risk. The American Society for Civil Engineers said in 2006 that it would cost nearly $10 billion every year for the next two decades to fix them.

But the funds used to repair and maintain the country's bridges and highways are drying up. Some of the money comes from the Highway Trust Fund, which Americans pay for through taxes on gasoline. Faced with higher gas prices, more commuters are carpooling, taking mass transit or driving less, about 4 percent less in May alone compared with a year ago.  Interactive: Check troubled bridges in your state »

The federal Department of Transportation predicted taxes will fall far short of what's needed for improvement projects -- leaving many projects delayed or even canceled.

Ryan Toohey, a lead strategist with America Moving Forward, a group that lobbies for private investment to fix the nation's infrastructure problems, said nearly every state is facing a budget crisis and doesn't have the money to solve problems.

"When I hear that many states have close to a majority of their bridges deemed obsolete or structurally deficient, that scares me and I think that finding ways to help remedy those problems that simultaneously relieve states of the burden financially is very, very important and should be a welcome trend in the United States," Toohey said.

The Bush administration projected that at some point in the next fiscal year, after October 1, 2008, the highway account will hit zero, down from $8 billion at the start of the fiscal year. Payments for repairs can't be made if the money isn't there.

U.S. Transportation Secretary Mary Peters said, "Without a doubt, our federal approach to transportation is broken" and "it is time for a new, a different and a better approach."

Peters said one short-term solution may be for the Highway Trust Fund to borrow from the Mass Transit Fund. But she said it wouldn't be easy to get congressional approval. The House has passed a resolution to inject $8 billion into the Trust Fund, but even if the Senate passed it, President Bush has threatened to veto the measure.

Some states, such as Minnesota, are trying to get creative in raising money for road projects.

"We are looking at mileage-based revenue structures where people could be taxed based on the miles they travel. We are looking at private sector investments," said Minnesota's Transportation Commissioner Tom Sorel. The Minnesota legislature has passed a package of tax increases to raise $6.6 billion to improve the states' roads and bridges.

Even after the Minneapolis bridge collapse, not all the bridges in the state are structurally safe. In fact, on July 26, chunks of concrete weighing about 1,200 pounds fell from an overpass in St. Paul, just a few miles from the Minneapolis scene.

CNN has learned that bridge was rated "structurally deficient" 23 years ago, in 1985, and the Minnesota Department of Transportation confirmed it was rated "structurally deficient" again in 2007, just days after the Minneapolis bridge collapsed.

Still, the state said it was safe to drive on. Nobody was hurt in the St. Paul bridge incident, but critics like Rep. Jim Oberstar, a Democrat from Minnesota, are demanding action.

"You would have thought the state learned its lesson and done a better job of inspecting the bridges and overpasses, yet this was one they failed to accurately assess ... It was like a meteor falling to the ground," said Oberstar, who is chairman of the House Transportation and Infrastructure Committee.

Sorel said bridges now are supposed to be shut immediately if there is any risk. His department has inspected 1 in 5 of the more than 20,000 bridges across the state and closed at least six. The state also said it has spent $390 million on repairing and replacing its bridges since 2003.

Is that enough?

Not for victims like Gorden, who drives by the site of the collapse every week on her way to physical therapy. She wonders how sales taxes can be found to subsidize a new baseball stadium in Minneapolis -- but not for bridges.

"I say how did we get money for stadiums? How did we get money for all these new stadiums we're building?" Gorden said. "What's more important: baseball or safe traveling? Should we all be afraid every time we cross a bridge now?"

@highlight

Mercedes Gorden was driving across the I-35W bridge when it collapsed in 2007

@highlight

Group: Repairs would cost nearly $10 billion every year for the next 20 years

@highlight

Transportation secretary: Federal approach to transportation is broken

@highlight

Minnesota has spent $390 million repairing, replacing  bridges, MNDOT says