Washington's governor estimated Friday it will take about $15 million to fix a bridge on Interstate 5 that collapsed into a river after being struck by an 18-wheeler, shutting down a portion of the state's main artery to Canada.

The news came at the start of the busy holiday weekend as state and federal investigators worked to figure out what led to Thursday's collapse of the bridge, which sent vehicles tumbling into the Skagit River near Mount Vernon, about 60 miles north of Seattle. While at least three people were taken to hospitals, there were no fatalities.

Gov. Jay Inslee declared a state of emergency in Washington's northwestern counties of Skagit, Snohomish and Whatcom, noting that the highway is a major conduit and its closure -- for a "significant period" -- will hurt the area's economy and its residents.

It's unclear how long the interstate will be closed for the bridge repairs.

National Transportation Safety Board inspectors were expected to spend 7 to 10 days investigating the crash, said NTSB chairwoman Deborah Hersman.

Showing 'its age'

An initial investigation shows the 1,111 foot-long bridge collapsed when a tractor-trailer hauling an oversized load hit one of the bridge's overhead tresses, known as the "superstructure," Hersman said.

"Obviously, this is a bridge that has lived a very long life," she told reporters.

While the bridge built in 1955 is showing "its age," it appears to have been structurally sound.

As part of the investigation, the NTSB will review the state's maintenance and inspection records as well as any damage reports and repairs made to the bridge, Hersman said.

A heavy traffic backup along Interstate 5 was reported in both directions by midday Friday as cars and trucks inched along a cumbersome detour that took vehicles off the interstate and onto county roads. Roughly 70,000 vehicles travel that portion of the interstate a day, according to the state Department of Transportion.

The collapse apparently was the result of a collision between the tractor-trailer's cargo and the bridge, Washington State Patrol Sgt. Kirk Rudeen told CNN on Friday.

The truck was hauling equipment for a drilling rig, he said.

'Hold on'

Dan Sligh was driving behind the 18-wheeler when he saw it strike one of the bridge's overhead support structures, and then saw the bridge give way.

He slammed on the brakes, but the momentum of his pickup and camper trailer carried Sligh and his wife off the bridge and into the water dozens of feet below, he told CNN affiliate KOMO Thursday, hours after the incident some 60 miles north of Seattle.

"You hold on as tight as you can," Sligh said. Then, a "white flash and cold water."

The impact dislocated his shoulder, but the Navy veteran just popped it back in and dragged his unresponsive wife to safety.

A second vehicle with one person inside also fell from the bridge, according to state officials.

Amazingly, no one died.

Sligh's wife, Sally, was the only one of the three who remained hospitalized Friday. She was in stable condition, according to Skagit Valley Hospital.

"Rough day," Dan Sligh told KOMO. "Glad to be here breathing."

'Functionally obsolete'

The bridge had been rated "functionally obsolete," according to a federal database, but state officials said it was safe to drive on.

That category is for bridges that may have narrow lanes or shoulders, or spans that don't provide enough vertical clearance to let tall trucks pass, according to Washington's DOT.

The bridge was inspected as recently as November, said Dave Chesson, a spokesman for the Washington Department of Transportation.

"We wouldn't be having drivers drive on this bridge if we thought there were any concerns whatsoever," he said Friday.

Sligh told KOMO he was traveling south on the interstate behind the tractor-trailer when he realized the load appeared to be about four feet too wide to fit through the bridge's superstructure.

"Any time he wants to go over to the left would be OK," Sligh said he told his wife.

But another tractor-trailer appeared to hem the truck in to the right lane.

"There was a big puff of dust, and I hit the brakes."

Dale Ogden told CNN affiliate KING  that he was driving near the tractor-trailer's pilot car when he saw a device on that car designed to indicate whether a truck can clear an obstacle hit the top of the bridge.

He then watched in his rear-view mirror as the truck struck the bridge, he told KING.

"It almost tipped the truck over but it came back down. It tipped it up to about a 30-degree angle to the left and it came back down on its wheels, and almost instantaneously behind that I saw girders falling in my rear-view mirror," he said.

The tractor-trailer did not go into the water. The driver was questioned but not detained, state police said.

Emergency funding

The U.S. Department of Transportation released $1 million in emergency funding for the bridge, Inslee said Friday on Twitter. Inslee said the accident starkly demonstrates the need for additional funding for roads and bridges.

"We have some work to do on our bridges whether or not this accident happened, and we have some discussions in Olympia" -- the state capital -- "about making sure that we make investments in bridges to prevent this kind of thing from happening," he told reporters.

In March, President Barack Obama called on Congress to provide $21 billion for infrastructure construction, including improvements to existing roadways.READ MORE: How safe is that bridge you're driving on?

@highlight

NTSB inspectors are investigating the events surrounding the collapse

@highlight

Bridge repair will cost $15 million, Washington's governor says

@highlight

Police: An oversized drill rig casing on a truck hit a bridge girder, leading to the collapse

@highlight

Officials: The bridge was listed as "functionally obsolete," but that doesn't mean unsafe