Editor's note: Katrina Browne is the producer/director of "Traces of the Trade: A Story from the Deep North." The documentary, which was broadcast in 2008 by PBS as part of its POV series, has been nominated for an Emmy for research. For more information, see http://www.tracesofthetrade.org/.

Katrina Browne, at Cape Coast Castle in Ghana, says the U.S. needs to reckon with the damage caused by slavery.

(CNN) -- The Senate voted to apologize for slavery on June 18. The House apologized last summer. The first family -- descendants of Africans, of enslaved Africans and of slave-holders -- visited a slave fort in Ghana.

These were historic occasions, and they occasioned the kind of hue and cry that always accompany the subject of slavery and whether we still need to reckon with it.

I believe we do need more reckoning, and a little more love and a little more logic would help that process.

Logic first: There's this quasi-math problem in which things don't add up. Many African-Americans naturally feel as if there is unfinished business from the past, while many European-Americans (and others) don't think they should inherit burdens from a past not of their making. So there's this generational equation to be worked out, and it will take big hearts, eager hearts, to do so.

The calculation is a bit easier for me at first glance. I'm the seventh-generation descendant of the worst slave traders in American history. I found out from my grandmother when she was 88 and I was 28, a few years before she died.

Over three generations, from 1769 to 1820, the DeWolfs brought more Africans to the Americas than any other family. They conducted the trade from Rhode Island, the "largest" slave trading state, contrary to what most of us would expect.

It's natural for me to feel a particular burden. I wasn't the perpetrator, I didn't inherit money from the slave trade, but I gained so much through the accident of birth: material comfort, education, access, a sense of entitlement.

A look at the other branches of my family tree makes it more complicated. I have ancestors who were here during slavery but, as far as I know, didn't own slaves, and I'm also the descendant of Irish immigrants who came to work in factories in New Jersey in the late 1800s.

What I've learned is that this ancestry is not exempt either:

• Slavery was not just a Southern but also a Northern institution. Northerners, including the "middling" classes, owned slaves for over two centuries; they dominated the slave trade (which included ship-building, producing trade goods, regular folks buying shares in slave ships, etc.); they fueled industrialization with slave-picked cotton. From workers to the wealthy, everyone was part of the slave-based economy, even if just as consumers.

• Slavery benefited immigrant families, even after the Civil War. Millions of Europeans flocked to the "land of opportunity" for jobs in a booming economy built largely on unpaid labor. Immigrants struggled when they arrived but then found routes to prosperity closed to African-Americans for a century after slavery as a result of official and unofficial segregation.

Within two to three generations, my Irish ancestors were solidly middle-class, not because they worked harder than African-Americans but because they were white. They worked hard, and the system worked for them: home loans, home values that rose in white neighborhoods and not in black ones, college loans, access to better-paid jobs ... it all added up.

So I can't help but conclude that slavery was central to building this nation, paving the way for so many, at the expense of so many. It was a national institution, not a Southern fluke or a sin of the wealthy few.

As white Americans today, we can be proud that we don't have the prejudices of our forefathers, but we've inherited various blind spots and head starts, and it takes more than a couple of generations post-civil rights and affirmative action to create the level playing field we extol. Understanding this history makes me more committed to being part of the solution.

Now, the love song.

We don't usually talk about civic love. Rousseau did. He thought it was an extension of the biblical call to love one's neighbor as oneself. It was his definition of patriotism: a love of self that extended to love of fellow citizen, all of which created a national glue of commitment to the public good.

It seems to be in short supply when the debate turns to black/white issues.

If love sounds extreme, then how about real empathy, or maybe even tenderness? My ancestors came to purchase human cargo at the same slave fort, Cape Coast Castle, that the Obama family visited last month in Ghana. When I was there, in those dungeons, empathy overcame me, and my personal feelings of defensiveness suddenly seemed so petty.

It now feels really natural to want to express regret -- not an apology (that's for institutions; Congress was right to step forward) but deep regret and sadness about what happened, fellow citizen to fellow citizen. I try to imagine what it would be like if we went so far as to extend tenderness toward each other. We could actually all use more of it when we're talking about race, racism and anything to do with slavery.

Instead, we are full of protestations, distrust, dismissiveness, resentments. For those of us who are white, what's the resistance really about? It may be, at core, that we don't want to feel guilty or blamed or responsible for the outrage of slavery. I didn't.

But here's the funny thing: While we white Americans are busy establishing our innocence, it turns out that many black Americans are not personally angry at us for slavery. Many do want authentic acknowledgement of what happened, but not for the sake of guilt-tripping. I've witnessed a generosity of spirit that I have been humbled by.

Meanwhile, many African-Americans are upset about the disparate outcomes that persist and want to see everyone step up to address them. There are so many lingering "structural inequalities," as President Obama put it -- ones without clear racist villains but that are embedded, like the fact that schools are funded with property taxes, so poor black neighborhoods, the legacy of earlier eras of discrimination, are not able to fund the quality schools that we say all our children deserve.

From the wealth gap to the health gap to the education gap, let's explore how the dots connect from the past to the present and commit to finding solutions that should be race-neutral at times and at other moments should be race-sensitive.

I have this image of us all coming up shoulder to shoulder on the same team, as fellow citizens. Not facing off against each other but looking the same way, facing the shared challenge: the legacy of this painful history. The past is not of our making, but it has shaped us indelibly, and we have the power to make things right, together, today.

The opinions expressed in this commentary are solely those of Katrina Browne.

@highlight

Katrina Browne: House and Senate have apologized for slavery

@highlight

She says slavery benefited the North as well as the South

@highlight

Slavery created enduring disparities in society and economy, she says

@highlight

Browne: Empathy and effort can address the legacy of slavery