(CNN) -- If you're a celebrity, royal, CEO or athlete planning to stride down the aisle, there's one name you'll hear sprouting from everyone's lips: Preston Bailey. The Panama-born designer has spent the past three decades decorating all manner of lush, lavish events around the globe, but weddings -- complete with his signature massive floralscapes -- are where he's most deeply rooted.

Bailey is far from the only flower fanatic out there: A 2014 study by the Association of Bridal Consultants showed the average wedding costs of $28,016, and including about $1,800 for "flowers and decorations." The study estimates bridal bouquets at $139, reception table centerpieces at $366, flower girl flower at $86 and flower girl petals at $84.

Bailey's newest book, "Designing with Flowers," hits bookstores on April 8. CNN spoke with him about how to create a floral fantasy for your own wedding -- even if you don't have a bloomin' big budget. An edited transcript is below.

CNN: Why do weddings and flowers go together so well?

Bailey: The reason is simple. Flowers have always been a symbol of celebration. It's a great way to convey happiness and beauty. If you walk into a room that has flowers, you immediately respond in a very positive way. It's a mood-changing thing. You feel something. It's dealing with emotions.

I really got turned on to flowers on one of the cherry blossom weekends in Washington. It was the most incredible thing in the world and I had a moment where I imagined, "What would happen if I could bring this inside?"

CNN: Flowers aren't just visual. What impact are you going for with the rest of the senses?

Bailey: The scent can almost transport you elsewhere. I've always felt I did a great job when I created a room with beautiful flowers and the guests are so happy and excited that they don't want to leave. I think "OK, I nailed it."

I try to create rooms that are so beautiful and powerful, not just visually, but with scent, that people are happy and feel a sense of celebration.

CNN: People have traditional spots for flowers in their wedding -- maybe in a bouquet, as centerpieces or tied to the ends of pews. Where should they focus their energy (and budget)?

Bailey: Flowers don't need to be only in vases. They can be in a napkin or on the table or in the aisle. In the book, we have strands blowing in the wind. I'd like to encourage people to think out of the vase, in many different ways that can be exciting. You don't have to limit yourself to arrangements.

CNN: Not everyone has a Preston Bailey-level budget. What can they do to get the most bang for their buck?

Bailey: When I started, my first budget was $200. I very much believe today what I did then: with a smaller budget, you have to be realistic about the things that are most important. In my mind, one of the most important moments is seeing the bride walking down the aisle. That's the first impression, so you want to create a beautiful bouquet. [Editor's note: When Bailey married his husband Theo Bleckmann in 2013 at age 63, he emerged from a giant bridal sculpture that was rolled down the aisle, carrying a bouquet.]

Another important location is the dinner. They're going to be sitting at the table all night, so you want invest some money in a centerpiece or a detail on a napkin. I also like to do something beautiful for the escort card arrangement, because that sets the tone for the event.

But a budget's a budget. It's a matter of how much you can afford and how much you can do with it. Concentrate on the areas that are more important and visible and you'll be just fine.

CNN: When people are buying flowers, what do they need to consider?

Bailey: A lot of places where you buy flowers, they have matured, and they're completely open. That means that they might only last another half a day. You have to know a little bit -- how long they're going to open, what room temperature they need to open. There are flowers that last 10 days and flowers that last one day. It is important to do your research.

If you're using a florist, they will know this, but if you're trying to do it yourself, my strongest advice is that if the wedding is not that same day, don't buy flowers that are completely open, because they're going to die on your big wedding day.

CNN: Yikes! So how should the flowers be preserved during all the preparation?

Bailey: You have to keep in mind that flowers are living beings. It's important to always cut the stems at an angle, before you put them in water. And I'm very old-school. I do not believe in chemicals of any kind.

Just make sure that you change the water daily. They love fresh water. They do not like to be in a warm environment, unless you want them to open very quickly. Make sure there's a comfortable room temperature if you want them to open slowly, but changing the water daily is my best advice.

CNN: How much attention should couples pay to seasonality?

Bailey: You should use seasonal flowers. It's much more cost-effective, they're much more available. In the winter, we do not have a lot available; however, there are flowers like amaryllis, that bloom in December. Paperwhites bloom then, too, and they can be used as potted plants. Amaryllis, by the way, is a beautiful flower with one long stem and it's perfect for a centerpiece. After the wedding, you get to keep it for another couple of weeks.

There are ways that, as a designer, I have to think about what's more practical for the season. If you buy spring flowers in the winter, it's going to be five times more expensive.

CNN: I'm sure some of your clients want that!

Bailey: [Laughs] Yes! You can find them, but it's a lot of cost and I would not advise that.

CNN: Is there some flower you hope you never see again?

Bailey: I used to say that about carnations, and I changed my mind. There are a couple of cultures that like carnations, and I'm using them now for sculptures instead of just arrangements. They're great because they're very long-lasting -- it's like a flower that never dies!

But I always get into trouble when I say this, but I'm going to say it anyway: I grew up in Panama, and in my backyard, there was tons of bird-of-paradise, and we considered them weeds. So I'm not crazy about them.

CNN: What flower would you love for more couples to use?

Bailey: Vanda orchids. It's a very deep purple flower, and I think it's one of the most beautiful orchids around. But they are so cost-prohibitive, it's ridiculous. I can't wait for the day that somebody creates a less expensive way to make them accessible.

On the more affordable side: classic roses. Throughout the year, the cost has been going down because the market is so saturated. Because so many people have been using them, roses have become very cost-effective.

CNN: Let's say the couple wants to re-create the magic on their first anniversary. What would be a fun way to recreate the event on a more intimate scale, florally speaking?

Bailey: I think it's great to keep the celebration going and see what flowers you used in your wedding and use them again in a different way. I remember one of my clients was celebrating a second anniversary, and we replicated the bride's bouquet. I think that was really great! Celebrate the day with some of the same flowers and I think it could be very meaningful.

CNN: You may or may not be able to answer this question, but what's the biggest flower budget a client has ever given you to work with?

Bailey: And you're absolutely right -- I can't answer that. It's such a bummer because I'm under confidentiality agreements. But again, it's all relative and what's a lot of money for one person is not for the other.

How much did you spend on your wedding flowers, and did you get creative? Let us know in the comments below, on Twitter @CNNLiving or on CNN Living's Facebook page.

@highlight

Preston Bailey is known for fantasy floral designs, but the same rules apply on any budget

@highlight

Focus on visible, high-impact areas, like a bride's bouquet or table centerpieces

@highlight

Research before you buy so you know when they'll be in full bloom

@highlight

Bailey: Trim stems at an angle, skip chemicals and change water every day