Feeling buried by work, like you can't find time for a few days off, like your entire work-life balance is out of whack?

If you're an American worker, it just might be.

A new study has found that U.S. workers forfeited $52.4 billion in time-off benefits in 2013 and took less vacation time than at any point in the past four decades.

American workers turned their backs on a total of 169 million days of paid time off, in effect "providing free labor for their employers, at an average of $504 per employee," according to the study.

Titled "All Work and No Pay: The Impact of Forfeited Time Off," the study was conducted by Oxford Economics for the U.S. Travel Association's Travel Effect Initiative, which studies the impact of forgone vacation time.

"Americans are work martyrs," says the U.S. Travel Association. "Tied to the office, they leave more and more paid time off unused each year, forfeiting their earned benefits and, in essence, work for free."

According to the study, in 2013 U.S. employees took an average of 16 days of vacation, compared with an average of 20.3 days as recently as 2000.

"The economic potential of returning to the pre-2000 vacation patterns is massive: annual vacation days taken by U.S. employees would jump 27% (or 768 million days), delivering a $284 billion impact across the entire U.S. economy," according to the travel association.

Based in Washington, the association is a national nonprofit organization representing all components of the travel industry.

Does this describe you?

Productivity and stress management trainer and coach Joe Robinson says the issue is driven by a number of factors.

"One, workers are afraid to take their vacations in the layoff era," Robinson said. "It might mark them as less 'committed' than coworkers.

"It's called defensive overworking. They work long hours and skip vacations to insulate themselves from cutbacks."

According to Roger Dow, president and CEO of the U.S. Travel Association, 28% of workers surveyed said they've declined to take earned days off in order to illustrate their dedication to the job.

"They say, 'I don't want to be seen as a slacker,' " Dow said. " 'I want to be seen as someone who is really dedicated.'

"But it does them no good whatsoever. People who take more time off tend to get more raises and promotions."

"It's futile," Robinson agreed. "People who don't take their vacations get laid off just like everyone else."

Work force cutbacks and "device addiction" are other factors.

"Lean staffing, with more and more people doing the jobs of several people, makes it hard to escape," Robinson said. "They're not taking vacations because they have too much work."

"About 40% (of workers surveyed) say they're afraid of all the work they're going to get to when they get back from vacation," Dow said. "Work pileup scares the hell out of them."

"Another big reason people aren't taking their time is that they are caught up in 'busyness' and device addiction," Robinson said. "Finally, many people are so caught up in the performance identity, worth based on what they get done, they feel guilty when they step back."

Reversing the trend?

A number of studies show that fewer vacation days can, perhaps counterintuitively, lead to decreased productivity.

Researcher Mark Rosekind of Alertness Solutions has found that the respite effect of a vacation can increase performance by 80%. Reaction times of returning vacationers increased 40% in his study.

According to Dow, some U.S. companies, particularly on the West Coast, are beginning to overhaul their vacation policies.

"We're seeing multiple companies -- Expedia and Netflix and others -- that are doing away with their vacation policies entirely," Dow said. "They've just said, 'We no longer have a vacation policy; please discuss with your boss and take the time off you need.' "

In addition, companies that have instituted "use it or lose it" policies -- which don't allow annual vacation time to be rolled over to the next year or accrued for later use -- find that more employees take all of their earned leave.

Dow reports that some companies and organizations, including the U.S. Travel Association, have begun giving bonuses to employees who use their entire allotment of paid leave.

Perhaps these companies have become convinced by a growing body of research supporting the long-term bottom-line benefits of time away from work.

Author of the books "Work to Live" and "Don't Miss Your Life," Robinson is also the author of a current Entrepreneur magazine story titled "The Secret to Increased Productivity: Taking Time Off," in which he states that "working without letup is a bad habit that can jeopardize business, health and the life you're supposedly working toward."

Have you forfeited earned time off? Are you satisfied with the time you get away from work? Share your work experiences in the comments?

@highlight

Study finds U.S. workers forfeited $52.4 billion in time-off benefits in 2013

@highlight

In 2013, they took average of 16 vacation days, compared with 20.3 in 2000

@highlight

With more people doing jobs of fewer people, many have too much work, says consultant