Human construction projects are generally centrally planned, with people in leadership roles supervising how everything is put together, and builders aware of the overall progress.

But termites and other animals go about building in a different way, working independently. Each termite reacts directly to what it encounters, rather than having a preconceived notion of what to do. Collectively, the insects can create a mound much larger than themselves.

"They do all of their coordination indirectly, by changing their shared environment," says Justin Werfel of the Wyss Institute for Biologically Inspired Engineering at Harvard University.

Werfel and colleagues used this model of decentralized, reactive building to create robots operating under those principles. Robots that behave this way could be useful for construction projects that would be too dangerous for humans, such as underwater research stations or in outer space. Another possible application would be building levees out of sandbags in flood zones, Werfel said.

"If you had a robot system to handle that kind of building automatically, that would let you keep people out of harm's way," Werfel said.

The findings are published in the journal Science and presented at the American Association for the Advancement of Science meeting this week.

These robots are small -- 4.7 inches high, with a footprint of about 4 x 7 inches. The "bricks" that they can manipulate, made of expanded urethane foam, are bigger than these critters: 8.5 x 8.5 x 2 inches.

Researchers created algorithms governing the behavior of the robots, so that they know what to do when they encounter specific situations. It's not the blueprint that guides the robots, but rather these predefined simple rules.

The construction begins with a single "seed" brick in a particular location.

The robots can move forward, backward and turn in place.  They were designed to be able to climb up or down a step that is the height of one brick and build staircases with the bricks to get themselves higher up.

Importantly, these robots only detect bricks and other robots that are in their immediate area; they have no idea how far along the overall structure is or what more distant robots are doing.

Watch a YouTube video of the robots in action

"Robots obtain information about where bricks have been attached only through direct inspection," researchers wrote.

The design of the robots in this research wasn't intended to be "cute," although they may appear that way -- some researchers call them "frog-bots" or "squirrel-bots," said Kirsten Peterson, a co-author on the study. They have rounded features for the sake of simplicity and using less material.

The robots have four types of sensors, Peterson said. A pattern-recognition system, composed of seven infrared sensors, can detect black and white patterns on the bricks and helps with navigation.

In addition to tactile sensing, the robots have a pattern recognition system, an accelerometer to sense tilt, and five ultrasound sonar units to detect other robots and help maintain distance from the perimeter of the structure.

To move around, the robots have wheel-legs called "whegs."

This study did not optimize the robots for speed. It took three robots half an hour to build a "trident" structure with eight blocks, Peterson said.

A decentralized system of robots has some advantages over a centrally planned method of building. If individuals perish, the plan doesn't fall apart, because it doesn't depend on how many builders there are.

When everything is planned out, you'd have to go back to the drawing board if some of the robot builders bit the dust. But a decentralized system readily adapts to the loss of participants, Werfel said, just like what happens in nature with termites.

"If half the colony gets eaten by an aardvark, the rest can carry on," he said.

There are still some engineering challenges that would need to be solved to ramp this up to large-scale projects on Earth, the study said, but Werfel said it's conceivable that designing robot systems such as these for disaster zones would in the realm of years away, Werfel said.

For more extreme environments such as other planets, scaling these kinds of robots up to the task might take decades, Werfel said. But conceivably the principle of this study could be applied to send robots to build a base on Mars.

If they build it, maybe we will come.

@highlight

Small robots can behave like termites to build structures

@highlight

The idea might be applied to send robots to space

@highlight

These robots have wheel-legs called "whegs"

@highlight

Project was launched at Harvard University engineering school