WASHINGTON (CNN) -- For writer John Aravosis, Edward "Ted" Kennedy's early support for gay rights was very important to a community that has faced a history steeped in discrimination.

Gay rights advocates say Sen. Ted Kennedy was a staunch supporter for their cause.

"On gay rights, he was absurdly helpful for a straight senator back before gay rights were popular," he said.

Aravosis, who runs AmericaBlog -- a political site that often focuses on gay rights issues -- said it was Kennedy who sparked his interest in the movement.

"For me it was particularly personal since he gave me my start in gay rights," he said. "I started doing volunteer work in his office in 1993 when I was still working for a Republican senator."

Unabashedly liberal, Kennedy had a long track record in support of gay rights.

Former Massachusetts state Sen. Jarrett Barrios -- and incoming President of the Gay & Lesbian Alliance Against Defamation praised the Democratic senator's work.

"In those early years, his support may have turned heads but [that] didn't dampen his support -- and eventually helped change hearts and minds about LGBT [Lesbian, Gay, Bisexual and Transgender] equality in the Senate and around the country," he said in a statement.

Kennedy's death, Barrios noted, is deeply personal.

"He was a friend whom I worked with on many issues in the Massachusetts senate, and my husband Doug and I have the print he gave us for our wedding framed at home," he said. "His passing is a loss for many of us who knew him, and all of us who benefited from his uncompromising support of our full equality."

Since his death warm wishes and remembrances have poured in from the gay community around the country.

Marc Solomon, marriage director of Equality California, said he lost "one of my heroes."

"Thank you Sen. Kennedy, for making a future for us all that is more compassionate, more equitable, more just -- for LGBT people, for immigrants, for people of color, for those living in poverty, for every one of us. Your passion for justice and your fight burn on in us all," he wrote Thursday in Bay Windows, an LGBT newspaper serving New England.  Watch more on Kennedy's life and career »

Human Rights Campaign President Joe Solmonese said the nation has "lost its greatest champion and strongest voice for justice, fairness, and compassion. The loss to our community is immeasurable."

"There was no greater hero for advocates of LGBT equality than Sen. Ted Kennedy," he said in a statement.

Solmonese's group has repeatedly given Kennedy a 100 percent on its congressional scorecards for supporting gay rights.

"From the early days of the AIDS epidemic, to our current struggle for marriage equality he has been our protector, our leader, our friend. He has been the core of the unfinished quest for civil rights in this country and there is now a very painful void," Solmonese said.

Kennedy co-sponsored the 1990 Ryan White CARE Act, which passed the same year. Later in 1996, he co-sponsored a bill to reverse the discharge of HIV-positive members of the military.

He was also a staunch defender of hate crimes legislation in his Senate career. Kennedy was a key sponsor of the 2009 Matthew Shepard Hate Crimes Prevention Act, named after young gay man who was killed. The bill was approved by the Senate in July.

"No member of the LGBT community should be terrified to walk down the street for fear of hateful violence. Hate crimes perpetrators must not be allowed to place our communities in fear," he has said in the past.

Kennedy also opposed the military's "Don't ask, Don't tell" policy adopted in 1993. The policy, which is still in place, ended the military's practice of asking potential service members if they were gay, but required the dismissal of openly gay service members.

And on the controversial topic of same-sex marriage, Kennedy was at the forefront of opposing legislative efforts seeking to ban it.

In 1996, he opposed the Clinton-era Defense of Marriage Act -- which is currently the law -- and fought to repeal it throughout the years.

"America stands for justice for all. Congress must make clear that when we say 'all' we mean all. America will never be America until we do," he said in a 2007 statement.

In 2004, Kennedy lent his voice to the gay marriage debate in 2004 when the Massachusetts Supreme Court approved of same-sex marriage. It was the first state in the nation to do so, and paved the way for others states -- including Connecticut, Iowa, Maine, New Hampshire and Vermont -- to follow suit.

"He played a critical role in helping protect the right of same-sex couples to marry in his beloved home state of Massachusetts," Solomon said.

But Kennedy's views on same-sex marriage have come at odds with not only the Republican party, but also with close friends and allies in his own party -- most notably with President Obama, who is against same-sex marriage.

Despite the differences, Kennedy -- known for reaching across the aisle to get legislation passed -- was steadfast, advocates note, in his support for equal rights.

For Solomon, Kennedy's commitment and work was a truly enlightening experience.

"Working with Sen. Kennedy meant working in his aura. His work was always surrounded with mystique," he said.

@highlight

Sen. Edward "Ted" Kennedy had a long track record in support of gay rights

@highlight

Gay right advocate on Kennedy's death: "I lost one of my heroes"

@highlight

Kennedy played a critical role in same-sex marriage debate, advocates say