(CNN) -- Chase Ballew had miscalculated a little bit. He was bringing home some furniture from Ikea in his electric-powered truck, and there wasn't enough charge to get him all the way to the house.

About a mile from his Portland, Oregon, home he decided to pull into the parking lot of an auto parts store to see if it would let him borrow an outlet. He reasoned that the store would have no problem with him recharging, hoping he'd come back in the future. So he charged for a few minutes, getting enough juice to make it the rest of the way.

That, said Ballew, was the only time in his 18 months as a Zap Xebra owner that he was ever close to being stranded.

"I think the added weight cost me a little bit in range," Ballew said by phone recently. "I probably could have kept going, but I was worried I would damage the batteries."

Most of Ballew's trips are short, and this was only one of a few times he has dealt with "range anxiety," a new phrase popular with electric car drivers and potential buyers.

Electric vehicles generally get between 25 to 100 miles on a full "tank" whereas a gas-powered car can go 300 miles or more. And gas stations are everywhere; there are more than 160,000 in the country. There are only a few hundred working electric charging stations. In Portland there are less than 30, Ballew said.

To prevent range anxiety, Ballew said he often will plan trips based on where he can charge the car. For instance, there are two nearby grocery stores. He goes to the one with the eight charging stations and powers up for free while shopping. But still he must keep his trips short.

The good news is the city of Portland is on a mission to install the infrastructure to support the next coming of the mass-produced electric car. Within the next year, Portland will install 500 public-use charging stations, with surrounding communities also putting in similar numbers.

The money comes in part from the U.S. Department of Energy, which has allocated $400 million to electric vehicle infrastructure. Several companies are working with cities to put in charging stations in the next year -- about 12,000 of them. Most of them are going in Western state cities where power is primarily from renewable resources and cheaper than other areas. For instance, in Oregon, 69 percent of electricity is generated by hydropower.

Portland Mayor Sam Adams said his city has learned from its experience with building one of the biggest bike networks in the country.

"We built a system that made people comfortable with going from Point A to Point B," he said, adding that bike ridership has doubled in the past 15 years. "The thing we know having introduced large-scale strategic changes in our transportation system here ... is you do your homework upfront, you figure out what it is, in this case that will address people's range anxiety, and then you watch it very, very closely in the first six to 12 months, and you make the necessary changes."

Therein lies the question or questions: How many charging stations do you need? For how many electric cars? Do you put in thousands of public charging points, and then watch as just a few cars use them? Will people even buy electric cars if they don't see places to get power around town?

At your house, plugging the car in overnight is not an issue. When you are out running errands during the day, it can become a concern, as Ballew found out when he headed home from Ikea that day.

Early buyers of electric vehicles are more likely to put up with the inconvenience of locating public charging, but large-scale sales will depend on the public's comfort with always being able to get fuel.

"The charge infrastructure is going to be something that people adapt to," said Ted Bohn, an electrical engineer at the Argonne National Laboratory near Chicago, Illinois. "It's like you get used to charging your cell phone battery or your laptop battery, you know when you need to plug in."

Bohn added, "The key is whether you have time."

He said it makes sense to put chargers in where people will spend a lot of time -- offices, coffee shops, shopping centers, movie theaters. On the street, charging will be a different story, similar to hunting for a public bathroom. It depends on how badly you need it.

Home chargers should be able to fill a car's batteries in a few hours. A fast charger outside a grocery store might be able to do the job in 30 minutes. But if all you can find is a 110-volt outlet, getting anything more than a few miles' worth of power will take more than half a day.

"If the public infrastructure is out there, it makes people feel more comfortable, particularly the people who aren't very familiar with electric cars," said Paul Scott, vice president of Plug In America, a coalition of electric car advocates and drivers. Scott lives in California and has driven an electric car for eight years. He said he trades with hybrid-owning friends when he goes on a long trip.

The long-trip predicament is one of the reasons Chevrolet chose to make an extended-range electric vehicle. The Volt can go 40 miles on a single charge (about a average day's miles for the typical American), and it also has a gas-powered generator that gives it the ability to drive 300 more miles, Chevrolet says.

Volt drivers will still use charging stations, but it'll be a convenience (electricity costs less per mile) more than a necessity.

"That said, we feel there is going to be an awful lot of organic growth in public places," said Britta Gross, General Motors' director of global energy systems and infrastructure commercialization. "[Consumer demand] for public charging is the right way to do it because then it says you are going to do it in just the right spots [where people show they want to charge]."

Chevy's Volt: When the juice runs out

Determining the right spots is falling into the hands of companies that have tapped into the Department of Energy millions. One of those is ECOtality, which manages the EV Project, an initiative to get the electric car movement reborn.

Jonathan Read, chief executive officer of ECOtality, said that besides helping local governments, utilities and consumer groups set up charging networks, the primary goals are charging station projects that connect cities such as one planned for Interstate 5 along the West Coast.

"The objective is to show what's necessary to build these major corridors," he said. "What we're doing is rolling out the largest infrastructure program for electric cars in history, but we're also doing is, under the auspices of the DOE program, is we're collecting data -- where people charge, how often they charge, so that we can have hard data to share with other communities of what the consumer is looking for and what we need to do as an industry."

Nissan, makers of the Leaf, which is scheduled to hit the roads in a few months, said the data collected from the initial rollout will be hugely beneficial to other parts of the country that will be a part of the second phase.

"Of course we're not going to be 100 percent perfect with every decision, every location," said Mark Perry, director of product planning at Nissan. "So the deliverable is how do people use it? What is the impact on the grid? What kind of support did drivers need? All that information will be important."

A closer look at Nissan's Leaf

Lessons learned from the rollout of charging stations to support the General Motors EV1 more than a decade ago are helpful but "somewhat irrelevant," he said because the new charging stations are much more sophisticated as are the electronics in the car.

One of the people working on Ford's electric vehicles said it is vital not to repeat earlier mistakes of putting recharging spots where they weren't needed.

"Some of the most premium parking spaces were used for EV charging, and there weren't the vehicles to support them, and you can imagine what the impact was for non-EV drives," said Mike Tinskey, manager of global electrification at Ford Motor Co. "The answer is not only putting them in the right spot but at the right time."

Another issue was the technology.

Mike McQuary, chief executive of Wheego electric vehicles in Atlanta, Georgia, said those charge points were built to varying standards and that one of the huge "breakthroughs" recently was an agreement reached between car companies and makers of recharging stations over international equipment standards.

"There's going to be one type of socket and one type of plug," McQuary said. "Before that I thought we were going to see a Beta vs. VHS sort of thing."

The standard was the last big hurdle before the new electric vehicles hit the road, he said.

General Electric is probably the biggest player now getting involved in the manufacture of charging stations. TV ads for its WattStation are already running during network primetime.

"When someone as large as GE comes into the space, you know they have done their research and they see a very big future," said Perry of Nissan, which is partnering with a company called AeroVironment for home charging stations.

While the general public may still look at the electric car as a novelty, its advocates see the coming wave of new models and stations as a big step toward eliminating this country's use of oil, especially foreign oil, and helping the planet. Stopping to get a charge away from home is a small price to pay, said Scott, the Plug In America vice president.

"If you care about the environment, if it bothers you that you are polluting everybody's air, if it bothers you that you are sending lots of money out of the country," he said, "then it's worth it to you to spend 20 minutes" recharging.

@highlight

"Range anxiety" reflects concern about recharging electric cars during long drives

@highlight

Portland, Oregon, will go from 30 public car chargers to 500 within a year

@highlight

Depending on the charger, juicing up can take from 20 or 30 minutes to a few hours

@highlight

Makers of Nissan's Leaf and Chevy Volt are closely watching infrastructure rollout