(CNN) -- Vice President Joe Biden was right to call attention to New York's LaGuardia Airport. From the dilapidated state of LaGuardia's Central Terminal Building to the minimal public transport links and outdated air traffic control system, the metro area's airports are in desperate need of modernization.

But now it's time for Biden and other leaders to put their money where their rhetoric is. The Federal Government and local politicians must step up and take sustained action.

And the goal should be to fix the problem, not point fingers. Despite its outdated condition, LaGuardia serves 25 million passengers a year. As the closest airport to Manhattan, it is coveted by airlines.

Moreover, New York City's three major airports serve more than 110 million people a year, account for 500,000 jobs and contribute $63 billion to our regional economy, according to a November 2013 study from Global Gateway Alliance and Partnership for New York City. And they are the largest global gateway to the world for international travelers, with U.S. Customs data showing that John F. Kennedy International Airport handles the most international visitors and Newark International Airport the fifth most. As such, the airports serve as a symbol for the entire United States.

Airports are responsible for the first and last impressions visitors have, and in New York, some 54 million tourists visited last year. They are fundamentally vital to our economy, tourism industry and our global reputation.

As the vice president pointed out, New York's airports are a symbol of underinvestment in infrastructure throughout the country. When the Beatles landed in New York 50 years ago last week, our airports were a symbol of the modern, efficient and forward-looking transportation infrastructure in the United States. Now, they are the embodiment of our falling behind the rest of the world.

Cities all over the world have recognized the significance of their airports and have invested in state-of-the-art technology and infrastructure. Our own Global Gateway Alliance survey showed that airports from Singapore to Paris are providing innovative amenities such as 40 foot slides, ice skating rinks and on airport baby strollers to ensure that passengers have the best possible experience.

The same survey showed LaGuardia and New York area airports at the bottom of the list of passenger amenities.

The bottom line is we to have to invest in our airports to avoid losing out to national and international competitors and to provide a better quality of life for those millions of passengers.

At LaGuardia, here's how:

-- 21st century terminals: LaGuardia's Central Terminal Building, built in 1964, is a prime example of an outdated terminal desperately in need of redevelopment, which is why it's so important for the Port Authority to deliver on the promise of a modern, efficient and innovative terminal. There are also significant space constraints with only two short runways and limited parking, which are challenges that need to be addressed.

-- Better passenger amenities: Frequently voted the worst airport in the U.S. by passengers, LaGuardia is definitely not known for its amenities. All of the New York area airports would benefit from providing what are now basic services, such as free Wi-Fi, which would help business travelers, and leave visitors with a better impression of their time in New York.

-- Improved transportation links: Public transportation access to all of New York's airports is behind other world class cities, which have one seat train rides directly from the city center to the airport. Options for getting to LaGuardia via public transportation are very limited, but a Bus Rapid Transit system, with dedicated lanes and just a few stops to the airport, would help remedy that. This service would remove the threat of traffic delays normally associated with buses and provide a convenient and reliable direct ride to the airport. Reviving long dormant plans for a direct subway extension to LaGuardia are also worth exploring.

-- Bring NextGen to New York first: LaGuardia, along with JFK and Newark, is the most delayed airport traffic control system in the country. Every day, our airspace contributes to one half to three quarters of all delays around the country. The solution is NextGen, the new satellite-based air traffic control system. Replacing the old 1960s radar technology means fewer delays on the ground and in the air. But the FAA has to step up and make it happen in New York. Right now, the federal government is years behind in developing NextGen, and the FAA wants to roll it out in smaller markets first, despite the tremendous impact the New York airspace has on national delays.

It's past time to stop ignoring our airports and to move them to the front of the priorities line. That's how LaGuardia will go from Third World to world class.

The opinions expressed are solely those of the authors.

@highlight

Vice President Biden compared LaGuardia Airport to being in a Third World country

@highlight

Authors: U.S. has let its airports fall far behind the curve internationally

@highlight

They say politicians need to make improving LaGuardia and others a priority

@highlight

Authors: LaGuardia needs new terminals, better transportation and more amenities