Two deadly attacks in two days in the city of Volgograd have once again raised the specter of terrorism in Russia, just weeks before the country is due to hold the 2014 Winter Olympics.

At least 16 people were killed Monday when an explosion hit a trolleybus during the morning rush hour. Less than 24 hours earlier, a blast at Volgograd's main train station killed 18 people.

Authorities quickly labeled both acts terrorist attacks. And while no group immediately claimed responsibility, suspicion quickly fell on Chechen separatist groups.

One in particular, the Caucasus Emirate, has said it will expend "maximum force" in disrupting the Olympic games in Sochi.

Here's a look at the ongoing conflict in Russia's North Caucasus region, at how the violence has spilled over into the rest of the country, and why Volgograd may have been targeted.

Second blast rocks Russian city

Q. Who is behind the attack?

A. That's hard to say since no group has yet stepped forward. While the Caucasus Emirate has made incendiary statements vowing attacks, the explosions could be the work of any number of autonomous groups fighting in the North Caucasus region.

Then again, they could also be the handiwork of another group altogether, one that has nothing to do with the conflict in the region.

Q. Why has suspicion fallen on the Caucasus Emirate?

A. In July, Doku Umarov, the group's leader, released a video statement in which he vowed to unleash "maximum force" to disrupt the games at Sochi.

The Russians, he said, " plan to hold the Olympics on the bones of our ancestors, on the bones of many, many dead Muslims buried on the territory of our land on the Black Sea, and we Mujahedeen are obliged not to permit that -- using any methods allowed us by the almighty Allah."

Q. Why were Umarov's threats taken seriously?

A. Because Umarov is Russia's most-wanted man. The U.S. State Department, which considers the Caucasus Emirate a terrorist group, has a $5 million reward for information leading to him.

The State Department said Umarov organized a suicide bombing outside the Chechen Interior Ministry in May 2009. His group also claimed responsibility for the bombing of Domodedovo Airport in Moscow in 2011 that killed 36 people, the 2010 bombings of the Moscow subway that killed 40 people, and the 2009 bombing of the high-speed Nevsky Express train in which 28 people died.

Q. How did Russian authorities react?

A. Russian President Vladimir Putin has maintained that the Sochi games will be safe and security will be tight. Visitors to Sochi and the surrounding area are subjected to rigorous security checks, and vehicle license plates are monitored.

Chechnya's leader, Ramzan Kadyrov, vowed that the threat Umarov poses will be contained before the start of the games. "He is Satan. I am certain that we will eliminate him before the Olympics," Kadyrov said after Umarov's statement.

But the Volgograd attacks have laid bare the challenge in ensuring the safety throughout the massive country.

Q. Why was Volgograd targeted?

A. One reason could be because Volgograd is a major rail hub. If you are traveling from Moscow or other parts of central Russia, you travel through Volgograd to get to Sochi. It's also the rail station you travel through to get to and from the North Caucasus.

Opinion: Attacks show Sochi Olympics under grave threat

Q. What is the North Caucasus region?

A. It's a region that comprises the Russian republics of Chechnya, Dagestan, Ingushetia, Kabardino-Balkaria and North Ossetia. And it's a part of the world that's no stranger to violence and terrorism.

Q. What is the source of the conflict?

A. The conflict dates back many years and has exacted a heavy toll on both sides. Chechens have laid claim to land in the Caucasus Mountains region for more than 5,000 years.

The standard of living in the republics is poor compared with the rest of Russia. Unemployment is rampant and infant mortality is high. In addition, the Chechen population of about 1 million is mostly made up of Sunni Muslims, who maintain a distinctly different cultural and linguistic identity from Russian Orthodox Christians.

In 1991, Chechnya formally announced its fight for independence, saying it never joined Russia voluntarily.

Q. What happened next?

A. Initially, the Russian government did not take the pronouncement seriously. But after a series of rebel attacks, then-Russian President Boris Yeltsin sent in 40,000 Russian troops in 1994 to quash the insurgency.

Two years later, the forces withdrew after heavy losses on both sides. Russia and Chechnya declared a ceasefire.  And though Russia still claimed it as part of its federation, the region was allowed to operate with substantial autonomy.  But the peace didn't last.

Q. Why didn't the ceasefire hold?

A. Hardline rebels continued to launch attacks. And many of the deadliest took place in other parts of Russia. In September 1999, for example, rebels bombed apartment buildings in Moscow and the southern cities of Buynaksk and Volgodonsk. Nearly 300 people died.

Q. What did Russia do next?

A. Then-Prime Minister Vladimir Putin vowed to crack down on the insurgency by sending in troops, a promise that partly ensured his election as president the following year. A second war followed from 1999 to 2009, killing an estimated 15,000 Russian soldiers and 300,000 Chechens.

More than one-third of Chechenya's residents were displaced and the region's infrastructure was reduced to ruins. The United Nations in 2002 named Chechnya's capital, Grozny, "the most destroyed city on the planet."

Human rights groups said Moscow disregarded or suspended civil rights in its fight against terrorism, including committing illegal killings. For their part, Chechen rebels also horrified the world with high-profile attacks targeting civilians.

Q. What were some of the deadliest attacks?

A. Chechen fighters held 700 theater-goers hostage in a Moscow theater in 2002. A Russian effort to free them resulted in the deaths of 120 hostages.

Chechen rebels were also accused of downing two Russian airplanes in 2004. And they took over a school in Beslan in the North Ossetia region in 2004. When the siege ended, more than 330 people had died, half of them children.

Just as Putin proclaimed that his policies were succeeding in Chechnya, the pro-Moscow president of the region and 20 others were killed by a bomb that went off under a stadium grandstand in 2004.

But by 2009, Russia had quashed the rebel movement to the point that it officially declared the war over.

Q. What is the situation in the region today?

A. Violence in Chechnya has ebbed, particularly following the death of Islamist militant Shamil Basayev in July 2006 in neighboring Ingushetia. Kadyrov, a former rebel, is president of a pro-Moscow Chechen government. Rights groups say he rules with an iron fist and little regard for law.

Q. What about the insurgency?

A. The insurgency itself has not so much ended as it has moved to the east and the west -- to the republics of Dagestan and Ingushetia, where rebels are fighting troops to destabilize the region. It has also attracted foreign Islamist militants ready to fight for the cause.

"Chechnya's long and violent guerrilla war has attracted a small number of Islamist militants from outside of Chechnya -- some of whom are Arab fighters with possible links to al Qaeda," the Council on Foreign Relations said.

An International Crisis Group report published in October 2012 warned that continued ethnic, religious, political and economic grievances could bring increased tensions in the North Caucasus region. "The killing is unlikely to end soon," it said.

Q. Wasn't there mention of the conflict during the Boston Marathon bombing coverage?

A. Yes, the insurgency in the region made news after the deadly bombing at the Boston Marathon earlier this year.

The suspects, Tamerlan and Dzhokhar Tsarnaev, were born in Kyrgyzstan but were ethnic Chechens.

Kadyrov distanced his republic from the brothers in Boston, saying, "They grew up in the U.S. and their views and beliefs were formulated there. So you need to look for the roots of the evil in America."

Russia's Putin visits victims of Volgograd blasts

@highlight

After two bombings in Volgograd, suspicion has fallen on the North Caucasus

@highlight

Conflict has racked the Russian region for almost two decades

@highlight

One Chechen separatist group has threatened to disrupt Russia's Olympics

@highlight

Chechen rebels started out fighting for independence from Moscow in the 1990s