Miami (CNN) -- "No queremos ir pa' Cuba!"

We don't want to go to Cuba.

Those words were repeatedly sung by a young man in his mid-20s, who had just risked his life to escape the communist island. Instead, he found himself, along with nine other Cuban men, lying on the deck of the U.S. Coast Guard Cutter Margaret Norvell. The eyes of all 10 filled with desperation and sadness. They knew they were going back.

On this night, the Norvell received the men from another cutter, less than 10 miles off Key West, Florida. In the distance, they could see the lights of the land of freedom they hoped to reach. But, like many before them, they would be quickly processed and repatriated.

This is a different front line of the immigration crisis: the Florida Straits, a 90-mile-long stretch of open water between the Florida Keys and Cuba. On one side, the Bahamas. On the other, the Gulf of Mexico. And, in between, an alarming increase in the number of people -- mostly Cubans and Haitians -- using makeshift rafts and boats in an attempt to reach America.

In fiscal year 2014, which ended September 30, the U.S. Coast Guard 7th District, which patrols this area, saw the highest number of migrants in five years, with 10,126 people found on land and sea. That's over 3,000 more than the previous year.

"Most of it is economic. They're looking for a better way of life," said Lt. Kirk Fistick, commanding officer of the Norvell.

More attempts, new routes

For some of those caught and returned, it's just the latest chapter in their long journey to freedom. CNN learned one of the Cuban men on the Norvell was on his ninth attempt at crossing the Florida Straits. "There are people that have done this dozens of times," said Fistick.

And, since 2012, the Coast Guard says it has seen human smugglers use new routes to get migrants to America -- namely, by avoiding Florida altogether.

In Cuba's case, people on the island now have more freedom to visit other countries. So, an increasing number of Cubans are legally flying to smaller Caribbean islands near the U.S. Virgin Islands, then smugglers are bringing them over to the tiny American territory. "That's a very short maritime distance. And so, it's tough to combat that," said Capt. Mark Fedor, the chief of response for the Coast Guard 7th District.

For Haitians, the new routes are longer and more dangerous. "There are organized smugglers that will try to lure them from Haiti through the Dominican Republic, and then into Puerto Rico. That never happened really, before 2012. And now, that vector accounts for 40% of all the Haitians leaving Haiti," said Fedor.

Doing more with less

When it comes to dealing with migrants, the Coast Guard is in a unique position. Part of the agency's mission is humanitarian. But, unlike the other military branches, the Coast Guard, which now resides within the Department of Homeland Security, also has federal law enforcement responsibilities.

In that capacity, it also serves as the lead agency in charge of stopping human and drug smugglers in open waters. And, along the Florida Straits, it's not an easy task.

"There are organized smugglers here, especially human traffickers -- the lowest of the low, when it comes to trafficking. It could be kids, women caught up in the sex trade. They're moving people any way they can to try to get them in the United States," Fedor said.

He said it can get frustrating to deal with these multiple missions, with such limited resources. In a recent summary released online, the Coast Guard's budget is expected to be about $6.7 billion for the 2015 fiscal year -- a fraction of what other military branches receive.

"We try to do the best we can to be creative, to be nimble and to try to be one step ahead of these smugglers. But it's a challenge, because they're thinking the same way. They're running a for-profit, multimillion-dollar business, so they have a lot of incentive to get their product to market, whether it's drugs or people."

'This is what we do'

Ronald Garcia, 33, is on the crew of the Norvell. The 13-year Coast Guard veteran is also the son of Cuban immigrants, who came to the United States in 1979. "They did everything they could to come and have children in the United States, and provide better opportunities for us. I'm able to live the American dream."

Garcia is one of two Cuban-Americans on the cutter. They both admit, at times, it's hard to separate their jobs from their personal connections to the plight of the migrants they find. "It's a very difficult thing to deal with. Personally, it's just difficult for me to see the situation they're in," said Garcia.

It's a reality that's not lost on his fellow crew members, including the commanding officer, Fistick. "We empathize with them and it's tough on the human spirit to do it. But, we're in the military. We follow orders. This is what we do."

@highlight

Florida Straits are 90-mile-long stretch of open water between the Florida Keys, Cuba

@highlight

It's where many use makeshift rafts and boats in an attempt to reach America

@highlight

This year, Coast Guard has seen the highest number of migrants in five years