The U.S. government issued rules on Friday for the first time allowing banks to legally provide financial services to state-licensed marijuana businesses.

The Justice Department issued a memorandum to prosecutors that closely follows guidance last August largely limiting federal enforcement priorities to eight types of crimes.

These include distribution to children, trafficking by cartels and trafficking to states where marijuana isn't legal. If pot businesses aren't violating federal law in the eight specific priorities, then banks can do business with them and "may not" be prosecuted.

The Treasury Department's Financial Crimes Enforcement Network (FinCEN) issued guidelines that Director Jennifer Shasky Calvery said was intended to signal that "it is possible to provide financial services" to state-licensed marijuana businesses and still be in compliance with federal anti-money laundering laws.

The guidance falls short of the explicit legal authorization that banking industry officials had pushed the to government provide.

Opinion: Why D.C.'s push to legalize pot is a good thing

But because marijuana remains illegal under federal law, classified alongside heroin as among the most dangerous substances, officials say this is as far as the government can go.

Calvery said the government can't give any legal guarantees and acknowledged that some financial firms won't likely choose to do business with pot businesses.

Marijuana has been legalized for recreational and other uses under state laws in Colorado and Washington state. Eighteen other states and the District of Columbia allow marijuana use for medicinal purposes.

Attorney General Eric Holder said recently that he was moved to act as "an attempt to deal with reality that exists in these states."

Speaking at the University of Virginia's Miller Center last month, Holder said forcing marijuana businesses to be cash businesses, because they can't access banks, was a public safety problem.

"Huge amounts of cash, substantial amounts of cash, just kind of lying around with no place for it to appropriately deposited is something that would worry me from just a law enforcement perspective," he said.

FinCEN's legal guidance creates two new categories for banks to report transactions with marijuana businesses.

All transactions will be labeled as "suspicious" and banks will have to file so-called Suspicious Activity Reports. Those transactions that banks believe are legal marijuana business can be reported to FinCEN as "marijuana limited" transactions. Those that banks believe may be illegal would be filed as "marijuana priority" transactions and would generate further scrutiny from regulators.

Up in smoke: Obama administration's pot politics problem

Reaction to Friday's announcement in areas where marijuana is legal, at least in some form, was mixed.

Michael Elliott -- executive director of the Marijuana Industry Group, the largest marijuana business association in Colorado -- said members were pleased with the decision.

"While we believe today's guidance should provide banks some of the assurances they need to begin doing business with the marijuana industry, it doesn't solve all the problems," Elliott said in a statement.

Elliott's group wants Congress to approve pending legislation that would "provide certainty for banks and allow our industry to operate just like any other business," he said.

Yet Colorado's governor, John Hickenlooper, noted concerns because "it appears the language does not provide the clarity that Colorado banks are seeking to provide basic banking services to the emerging marijuana industry."

"While we understand the federal government is in a difficult position, we also hope it realizes that compelling a new industry to conduct all their transactions in cash is an invitation to corruption and criminal activity," Hickenlooper said. "We hope that Congress will act to resolve the risk and liability that Colorado banks are being asked to accept."

And Frank Keating, president and CEO of the American Bankers Association, said the new rules aren't enough to reassure banks.

"While we appreciate the efforts by the Department of Justice and FinCEN, guidance or regulation doesn't alter the underlying challenge for banks," he said. "As it stands, possession or distribution of marijuana violates federal law, and banks that provide support for those activities face the risk of prosecution and assorted sanctions."

@highlight

Governor says new rules don't provide "the clarity that Colorado banks are seeking"

@highlight

Justice and Treasury departments issue first rules on providing financial services

@highlight

There are still areas of marijuana transactions that are illegal under federal law

@highlight

Marijuana has been legalized in Colorado and Washington state; 18 states allow medicinal use