(CNN) -- Gas prices approaching $4 a gallon on average are causing severe economic pain for millions of Americans. Pump prices spiked 5% in the past month alone. Crude oil prices stood at $108 on Friday, up from only double digits at the beginning of the month.

What's the cause? Forget what you may have read about the laws of supply and demand. Oil and gas prices have almost nothing to do with economic fundamentals. According to the Energy Information Administration, the supply of oil and gasoline is higher today than it was three years ago, when the national average for a gallon of gasoline was just $1.90. Meanwhile, the demand for oil in the U.S. is at its lowest level since April of 1997.

Is Big Oil to blame? Sure. Partly. Big oil companies have been gouging consumers for years. They have made almost $1 trillion in profits over the past decade, in part thanks to ridiculous federal subsidies and tax loopholes. I have proposed legislation to end those pointless giveaways to some of the biggest and most profitable corporations in the history of the world.

But there's another reason for the wild rise in gas prices. The culprit is Wall Street. Speculators are raking in profits by gambling in the loosely regulated commodity markets for gas and oil.

A decade ago, speculators controlled only about 30% of the oil futures market. Today, Wall Street speculators control nearly 80% of this market. Many of those people buying and selling oil in the commodity markets will never use a drop of this oil. They are not airlines or trucking companies who will use the fuel in the future. The only function of the speculators in this process is to make as much money as they can, as quickly as they can.

I've seen the raw documents that prove the role of speculators. Commodity Futures Trading Commission records showed that in the summer of 2008, when gas prices spiked to more than $4 a gallon, speculators overwhelmingly controlled the crude oil futures market. The commission, which supposedly represents the interests of the American people, had kept the information hidden from the public for nearly three years. That alone is an outrage. The American people had a right to know exactly who caused gas prices to skyrocket in 2008 and who is causing them to spike today.

Even those inside the oil industry have admitted that speculation is driving up the price of gasoline. The CEO of Exxon-Mobil, Rex Tillerson, told a Senate hearing last year that speculation was driving up the price of a barrel of oil by as much as 40%. The general counsel of Delta Airlines, Ben Hirst, and the experts at Goldman Sachs also said excessive speculation is causing oil prices to spike by up to 40%. Even Saudi Arabia, the largest exporter of oil in the world, told the Bush administration back in 2008, during the last major spike in oil prices, that speculation was responsible for about $40 of a barrel of oil.

Just last week, Commissioner Bart Chilton, one of the only Commodity Futures Trading Commission members looking out for consumers, calculated how much extra drivers are being charged as a result of Wall Street speculation. If you drive a relatively fuel-efficient vehicle such as a Honda Civic, you pay an extra $7.30 every time you fill your tank. For larger vehicles, such as a Ford F150, drivers pay an extra $14.56 for each fill-up. That works out to more than $750 a year going directly from your wallet or pocketbook to the Wall Street speculators.

So as speculators gamble, millions of Americans are paying what amounts to a "speculators tax" to feed Wall Street's greed. People who live in rural areas like my home state of Vermont are hit harder than most because they buy gas to drive long distances to their jobs.

It doesn't have to work this way. The current spike in oil and gasoline prices was avoidable. Under the Wall Street reform act that Congress passed in 2010, the Commodity Futures Trading Commission was ordered to impose strict limits on the amount of oil that Wall Street speculators could trade in the energy futures market. The regulators dragged their feet.

Finally, after months and months of law-breaking delays, the commission in October adopted a rule. It was a weak version of a proposal that might have put meaningful limits on the number of futures and swaps contracts a single trader could hold. Even the watered-down regulation adopted by the industry-friendly commission was challenged in court. The Financial Markets Association and the International Swaps and Derivatives Association wanted free rein to continue unregulated gambling in the oil markets.

So today, Wall Street once again is laughing all the way to the bank. Once again, federal regulators should move aggressively to end excessive oil speculation. We must do everything we can to lower gas prices so that they reflect the fundamentals of supply and demand and bring needed relief to the American people.

The time for real action is now.

The opinions expressed in this commentary are solely those of Sen. Bernie Sanders.

@highlight

Bernie Sanders: Speculators cash in by jacking up oil and gas prices; market loosely regulated

@highlight

Speculators controlled 30% of the oil futures market 10 years ago: up to 80% today, he writes

@highlight

Sanders: As speculators gamble, Americans pay a virtual speculators' tax on gas

@highlight

We can lower gas prices so they reflect the fundamentals of supply and demand, he says