Princeton, New Jersey (CNN) -- If he decides to run for president, New Jersey Gov. Chris Christie will need to push back against the inevitable pressure that he will encounter to move to the right.

Christie has emerged as one of the most exciting potential candidates for the GOP, a Republican who has been popular in a blue state and who has demonstrated the kind of straight talk with the media that voters find appealing.

In New Jersey, a recent poll shows 30% of the Democratic vote supporting Christie.

His willingness to take on the barons of his own party, without capitulating to his Democratic opponents, has bolstered the impression that he would try to break the gridlock that has bogged down Washington, much as Barack Obama did as a presidential candidate in 2008. His emphasis on budgetary conservatism rather than social and cultural conservatism also has the potential to win over moderate voters.

The conventional wisdom will quickly push him to placate the right, even before he officially starts running, just in terms of what he does in a second term as governor of New Jersey.

For decades, pundits and experts have constantly warned that the nature of the presidential primary system means that a candidate has to move far to the right within the GOP if he or she is going to win over voters who tend come out for these contests, voters who veer toward the extremes of the political spectrum.

Yet the conventional wisdom tends to overstate the political benefits that Republican presidential candidates derive from shifting to the right and downplays the damage that is caused by such moves.

At the most basic level, moderate Republicans, often governors, who try to dramatically transform their images for primary voters are usually not very effective. Conservatives don't walk away feeling as if they are true bedfellows, and the rest of the voters are left to wonder how hard the candidate will really fight for a new agenda that crosses the partisan divide. Democrats are also given a treasure chest of controversial statements to paint their opponent as an extremist.

In 2012, former Massachusetts Gov. Mitt Romney tried to convince the right that he was a true conservative with hardline statements on health care and taxes that clearly contradicted his own political record in the Bay State.

Rather than running on his record, Romney started to run away from it and tried to pretend he was a very different kind of candidate, a politician who was "severely conservative," as he later said.

In the end, however, Republican primary voters did not pick Romney because he was a far-right conservative but because he appeared to be the most viable candidate for the general election. But by the time of the Republican convention, Romney's flip-flopping made it hard to sell himself to voters as something different, and Obama pounded away on the conservative statements that came out of the primaries as evidence that Romney really was a right-wing conservative, more out of the tradition of Barry Goldwater than the tradition of Nelson Rockefeller. The story of a Republican governor in a blue state who had been able to work with Democrats to solve big problems like health care was impossible to tell.

Christie should realize that he will never be a Sen. Ted Cruz, even to right-wing voters. What he will be able to sell to them in the primaries is the claim that his straight-talking, pragmatic approach to Republican politics will do better in the general election against a formidable candidate like Hillary Clinton and would probably do more to actually advance the party as well as legislation that matters to those who support the GOP. This is his best argument for the primaries and for the general election.

The Republicans who have done best in presidential elections have steered clear of the right and offered themes that united their coalition and even attracted some Democrats. In 1968 and 1972, Richard Nixon focused on the "Silent Majority" of Americans who were unhappy with the anti-war protests taking place in the colleges and the urban riots. His main message, one that had broad appeal, was that the war in Vietnam was a disaster and that he would do better.

Ronald Reagan, though closely aligned with the conservative movement, built his campaign in 1980 around the themes of anti-communism and anti-taxation -- as well as attacks on Jimmy Carter. In 1988, George H.W. Bush did the same. His son George W. Bush promised voters an agenda of "compassionate conservatism" in 2000 and national security in 2004.

Even the Republicans who gained the nomination and went on to lose in the general election tended to be the moderates in the primaries, not the candidates of the hard right.

In 1976, President Gerald Ford fended off a strong challenge from Reagan, who at that point made little effort to hide his right-wing allegiance. In 1992, President Bush stifled a challenge from former Nixon speechwriter Patrick Buchanan, who made a hard pitch to social and cultural conservatives, while in 1996, Republicans picked Senate Majority Leader Robert Dole over right-wing candidates like Buchanan.

In 2008, it was maverick and bipartisan bridge builder Sen. John McCain who won the nomination, a candidacy hurt only when he made his appeals to the right and undercut his greatest virtues as a politician, and in 2012, it was Romney rather than the huge cast of conservatives who filled the airwaves.

In all of these cases, it is true that the candidates appealed to the right during key primaries like South Carolina, but it remains far from clear that their victories rested on these kinds of obvious moments of political posturing as much as the overall viability of their candidacy for November. The costs outweighed the benefits.

The point is that in presidential campaigns, moderation can be a powerful tool for Republican candidates.

Christie has made a lot of progress over the past year in positioning himself as a potential candidate. He should look at the historical record before taking the bait to shift right. If Christie makes too many statements that undermine his image, he might very well hand the next Democratic candidate a victory before the campaigns even get under way.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Idea that GOP candidates must tack to the right to gain support is myth

@highlight

He says Chris Christie's chances at presidency would be stronger if he stayed in center

@highlight

Christie appeals to Democratic voters; running to the right would lose them, Zelizer says

@highlight

Zelizer: The most successful GOP presidential candidates have pushed moderate themes