(AOL Autos) -- The conventional wisdom, among most folks, anyway, is that buying a used car is usually something done out of necessity, by those on a budget -- that is, people who want, or need, to "move down" from the new-car market because a new model is simply out of their reach.

Bottom line, the Lexus reputation is for high-end luxury, quality and long-term dependability.

However, there is another category of used cars that appeal to those with a bit more disposable income: used luxury cars.

For some buyers, the used-luxury market is a way of getting into that Lexus, Lincoln, Infiniti or Porsche you always wanted, without laying out $70,000 or $80,000 for something you're not actually going to live in.

For others, scouring the used-luxury-car listings is a way of re-visiting the halcyon years of their youth. At this point, some of these used-luxe models have been around so long that they almost qualify as vintage throwback editions.

Recently, Consumer Reports magazine issued its list of best and worst used cars, and divvied them up by price range. Using CR's recommendations as a guideline, here is a list of some of the best used luxury cars currently on the market in the $24,000-30,000 price range.

2005 & 2006 Acura MDX

A luxury SUV, the MDX is spacious, seats seven, and boasts distinctive styling and Acura's famed attention to detail. Plus, it packs some punch under the hood -- this generation was powered by 3.5-liter, 253-hp V6 matched to a five-speed automatic transmission. AOL Autos: Used Acura

Priced just right as a new vehicle, it included safety features like dual-stage front airbags, three-point seatbelts and adjustable head restraints for all seating positions.

2007 Acura RDX

A crossover vehicle that mixes sedan-like ride with SUV roominess, the '07 RDX offered unibody construction, leather upholstery, heated front seats, power moonroof, 18-inch alloy wheels with all-season tires, xenon HID headlights with foglamps and the 2.3-liter turbocharged four-cylinder engine -- plus a five-speed automatic transmission with paddle shifters on the steering wheel, and the patented SH-AWD (SH for Super Handling) system.

2006 & 2007 Acura TL

A mid-size, front-wheel-drive, four-door sedan powered by a 258-hp 3.2-liter V6, the Acura TL is a fine road machine. Actually, it was available for '06-'07 as both a TL and a higher-end TL Type S -- the latter of which sported an upgraded engine, a 286-hp 3.5-liter. Depending on trim level, you can find it with a five-speed automatic with a console-mounted lever or shift paddles on the steering wheel.

2007 Audi A3

Audi designers have always shown a certain flair for dynamics, and that is evident here, in a sharply-engineered, handsomely-appointed vehicle that offers a fine balance between silky ride, nimble handling and zesty performance.

This sporty compact was powered by a 200-hp 2.0-liter turbocharged four-cylinder engine in '07, and came standard with a six-speed manual and an optional Direct Shift Gearbox. AOL Autos: Used Audi

2005 & 2006 BMW 3-Series

The 3-Series is another winning stable of cars, but Consumer Reports especially liked specific model years/versions/features in the 3-Series family: The 2005 RWD coupe and convertible; the '06 325i RWD sedan; the '06 330i RWD sedan and the '05 Z4. Depending on the model year and version, the standard engine ranged from a 184-hp 2.5-L to a 255-hp 3.0-L. AOL Autos: Used BMW

2005 & 2006 Infiniti FX35

Another of the many crossovers that have hit the market the last several years, the FX35 is one of the sportier editions. During these model years, the FX35 2WD came with a 280-hp 3.5-liter V6 and a five-speed automatic transmission. Rear-wheel-drive was standard, but AWD was also an option.

Some spiffier features included leather seating surfaces, 18-inch wheels, dual-zone climate control with microfiltration and steering-wheel controls. AOL Autos: Used Infiniti

Infiniti G35

The G35 is one of the more svelte sports-sedan beauties on the road, offering Infiniti's typical attention to detail and sporting attitude. Yes, it has four doors, but it handles like a sporty coupe, with its power coming from a finely-tuned 3.5-liter V6. Horsepower output is 280 for the automatic and 298 with the manual.

Luxo amenities include leather upholstery, automatic climate control, steering wheel audio controls, illuminated visor vanity mirrors and high-intensity discharge (HID) xenon headlamps.

Lexus

Any luxury-car aficionado knows that a Lexus is one of the most exquisitely-designed, high-performing chariots on the luxury-car market, and CR saw fit to include more than a half-dozen Lexus models on this list of recommended used luxury cars -- from the '02 SC and LX models, to the '03-'04 GX edition, '03 LS, '04 / '06 IS entries, '04-'05 RX model, '05 GS and '06 ES to ... well, you get the picture.

Bottom line, given the Lexus reputation for high-end luxury, quality and long-term dependability, it's hard to go wrong with any of the above-named Lexus entries. And all have plenty of engine oomph and luxo-line amenities. AOL Autos: Used Lexus

2007 Lincoln MKX

This luxury crossover vehicle debuted in '07 as a replacement for the Aviator, and made a big splash. A higher-end and pricier version of the Ford Edge, it seats five and is powered by a 265 hp 3.5-liter V-6 and comes with standard six-speed automatic tranny. Either FWD or AWD is available. One cool option was the glass-paneled roof dubbed the "Vista Roof."

2007 Lincoln MKZ

Also new for the '07 model year, this handsome and fully-loaded mid-size luxury sedan replaced the Zephyr. Under the hood purrs a muscular 263-hp V6 hitched to a six-speed automatic transmission. FWD is standard, but AWD is optional. Standard safety features include side-impact air bags in the front; curtain-style head protection airbags for all outboard positions; plus traction control and antilock brakes with electronic brake-force distribution.

2007 Lincoln Town Car

A venerated luxury car whose heritage goes way back, the Town Car still "has game" -- and is a far cry from the floaty boats your granddad drove in the '70s and '80s. It's still cavernous inside, but now boasts a much more refined design. It seats six comfortably and is powered by a 239-hp 4.6-liter V-8 that's linked to a four-speed automatic. The well-appointed cabin is trimmed in premium leather and burl walnut appliques. Available in Signature, Signature Limited, Designer and Signature L trim levels, you can find one to fit any taste.

1998 Porsche 911

No, your eyes don't deceive you -- CR did include a primo, high-line vehicle like a Porsche 911 on its list of recommended used cars under $30,000. But, take note: This is the 1998 edition. But when you're dealing with quality of this level, even an 10-year-old vehicle has a lot of juice left in it.

So, by "going vintage," driving enthusiasts can get into their car of their dreams without breaking the bank. In '98, the 911 was powered by a 3.6L H-6 282 hp engine. So, while it wasn't quite the road-burner it is today, is still packed plenty of thrust.

2007 Volvo S60 (FWD)

Only a year old, the '07 used edition should still be in fine condition, and it boasts top-drawer performance, stylish design and Volvo's all-world safety features. The '07 S60 came in several trim levels, with an array of engine sizes, from the turbocharged 2.5-liter 208 hp job to the 2.3-liter 257-hp inline five-cylinder plant to the 2.5-liter high-pressure turbocharged and intercooled engine that churned out 300 ponies. Depending on the trim line, either a manual or automatic transmission can be had.

2006 & 2007 Volvo XC70

The XC70 is a crossover vehicle, splitting the difference between an SUV and a wagon. And it's one of the finest crossovers on the road. It's all-wheel drive, and the latest used-model-year, the '07, was powered by a 208-hp turbocharged 2.5-liter inline-five-cylinder engine matched to a Geartronic five-speed automatic transmission that also offers manual gear selection.

@highlight

Some buyers go to used-car market to get the luxury car they always wanted

@highlight

Consumer Reports magazine issues its list of best and worst used cars

@highlight

Infiniti G35 is one of the more svelte sports-sedan beauties on the road

@highlight

1998 Porsche 911 made the list of cars for under $30,000