(CNN) -- For as long as we've watched television, we've talked about it.

And thanks to social media, in the past few years we've moved our living room discussions and chit-chats around office water coolers to the wider digital world.

Viewers now take to Facebook to exchange their views with friends, and shows frequently broadcast their suggested Twitter hash-tag over opening credits. Viewers of X Factor can even tweet their vote for contestants, and in the United States characters from Glee have their own Twitter accounts on which they tweet, as the show is broadcast.

For producers and broadcasters, who are increasingly aware of the benefits of an online buzz, encouraging this kind of real-time viewer interactionâ€” or "social television"â€”is increasingly important.

And for social media companies, any tie-in with television can only be advantageous. A recent Deloitte survey showed that the British still spend 12 times more time watching BBC1 or ITV1 (the UK's largest television channels) than they do looking at Twitter, Facebook and LinkedIn. They also consume television in significantly longer sessions.

However the two sources are increasingly being consumed simultaneously. Numerous studies have discovered that up to 80% of television viewers of all ages now incorporate a "second screen" -- laptop, smartphone or tablet computer- into their viewing habits.

Apps, such as Zeebox, have recently hit the market, designed to facilitate this new merging of multiple sources.

Zeebox determines what show is currently being viewed and then provides streams from relevant social media, as well as offering targeted links to spin-off products, and background information about the actors, music or writers drawn from online resources.

According to the marketing campaign, the app allows its users to "sit together on a virtual couch... even though you may not be in the same place together." Simultaneously, the broadcasters can hawk their wares and generate additional e-commerce revenue.

Social media company Live Talk Back has a similar app named Tellybug, and has also built a social media platform specifically for X Factor. This includes a "tap and clap" facility, through which viewers can virtually boo or clap an act at the touch of a button, without even the need to construct a 140-character response.

In the app's first five weeks in operation, there were more than 100 million claps or boos.

While X-Factor, remains by far the biggest regular hitter when it comes to TV-related tweets in the UK -- 3.7 million of the 38.7 million made about shows broadcast free-to-air on British television from April 1 to November 1 this year -- it is not just entertainment shows getting in on the act.

According to research by Live Talk Back, the list of the top 20 tweeted shows also includes news and current affairs programs, as well as sports coverage including Wimbledon and Formula One.

By transforming broadcasts into multi-media events, not only do the programs attract more viewers, but also the necessity grows among the audience to watch the first screening, or else be exposed to spoilers and excluded from the fun.

"If you're not playing along at the time the show is being broadcast, you both don't get to see what your friends are doing, and they don't get to see what you're doing," said Matt Millar, founder of Live Talk Back. "You're much, much more out of the loop."

This community spirit means that broadcasters can guarantee to advertisers that their shows attract a real-time audience and cannot therefore skip the commercials.

Media analysts are coy on the specifics of what is lined up next for social television.

Robin Grant, of the social media agency We Are Social, hinted that there are innovations afoot surrounding the broadcasts of major sporting events. Meanwhile Millar said that he is talking with producers of more than 20 shows across all the major UK broadcasters preparing to enhance their interactive output.

Millar said that he has encountered proposals for social media interaction with drama series, where an audience vote would determine plot twists and denouements, essentially turning television drama into a "Choose Your Own Adventure"-style experience.

This approach has yielded indifferent results in more high-brow pursuits -- recent attempts in collaborative novel-writing have largely failed -- but the advertising world has already embraced similar interactivity.

The "Adam and Jane" advertising campaign for telecoms company BT, for example, invited viewers to decide the fate of their eponymous fictional couple. More than 1.6 million Facebook voters decided to bestow a child on the lovers and then also had their say on the minutia of the couple's wedding.

"We've moved on from a temporary aberration where, through the invention of the printing press all the way through to the invention of TV, communication became one-way for a few hundred years," Grant said.

"That's not the natural human state. Social media has brought us all back around the campfire and allowed us to talk to each other and to take part in the stories people are telling."

@highlight

Social media and TV are becoming closer entwined

@highlight

X Factor allows TV audience to vote, boo or cheer contestants via Twitter

@highlight

Around 80% of TV viewers watch shows with a "second screen"