(CNN) -- The father of a 10-year-old Pennsylvania girl who desperately needs new lungs told CNN on Wednesday night that the family was "very excited" after a judge's ruling that could help his daughter get a transplant.

Sarah Murnaghan's father, Fran, said on CNN's "Anderson Cooper 360Ëš" that his daughter, who has cystic fibrosis, has declined slightly in the ast two days.

"But we're very excited with the news today, that she will have the opportunity to be equally judged and have the opportunity to receive lungs," he said.

On Wednesday, the family asked a federal judge to issue a restraining order to block U.S. Health and Human Services Secretary Kathleen Sebelius from having the agency that oversees transplants apply a policy that keeps children younger than 12 from being prioritized for available adult lung transplants.

The judge granted the injunction and ordered Sebelius to direct the Organ Procurement and Transplantation Network to waive the rule in Sarah's case. The injunction is valid for 10 days.

Health and Human Services declined to comment "on an ongoing legal matter," said spokesman Tait Sye.

But a letter from Sebelius was sent to the organ network Thursday morning, directing them to comply with the judge's order.

"I understand that ... last night at 10:34 p.m. Eastern time, OPTN created a second candidate record for Miss Murnaghan with a birthdate that makes the system treat her as a 12-year-old," the letter says. "I also understand her original record remains active, so she retains her priority for pediatric donors."

Sarah could die within weeks without a transplant, her parents have said. But they don't expect her to be moved to the top of the list.

"We have never, ever asked that Sarah get special attention or be placed in front of anyone more severe than her," her father said. "So if there ... is another adult who is more severe, who has a higher lung allocation score, they will still get their lungs first."

Where someone is placed on the adult lung transplant list depends on several factors: blood type, distance from donor to potential recipient and a lung allocation score. The score is derived from medical factors like test results and the patient's diagnosis.

Sarah's parents said her score is a 78. Anything above 60 is considered a high score, according to reports published on the Organ Procurement and Transplantation Network website.

Fran Murnaghan said Sarah was not aware of the specifics of her parent's quest to have the policy changed but was told about the judge's ruling that will help her.

Dying girl's plight sparks fight over organ transplants

"She is so strong," he said. "It's amazing when you get to speak to her how strong and positive she is."

The Murnaghans had argued that since the number of children's lungs available through organ donation programs is so small, Sarah -- and other pediatric patients like her -- should be added to the list of people waiting for adult lungs, prioritized by severity of their illnesses.

According to the United Network for Organ Sharing, or UNOS, five children received lung transplants in the first three months of the year and 72 were on the waiting list.

A spokeswoman for the United Network for Organ Sharing said the group was awaiting clarification from the court on the ruling.

Two days ago, the Murnaghans asked Sebelius to change the rules. She has previously told the family that she doesn't have the authority to intervene in a particular case, but she also called for the policy review. Any change could take up to two years.

Several lawmakers have urged Sebelius to act.

Sen. Pat Toomey and Rep. Patrick Meehan, both Pennsylvania Republicans, co-signed a letter to the secretary saying in part, "You have the ability and authority to intervene to allow for Sarah and other children under the age of 12 to become eligible for adult organs."

Toomey issued a statement Wednesday saying he was happy the judge acted quickly.

"Now Sarah has a chance for a lung transplant, and I plan to keep fighting for her and others who deserve to be eligible," he said. "As I've said all along, Secretary Sebelius should use her authorities to make medical need and suitability, rather than age, be the primary criteria in determining how organ donations are prioritized."

Meehan said he will continue to fight to have the "arbitrary" policy changed.

The Philadelphia girl has been waiting 18 months for another pair of lungs as her ability to breathe has rapidly deteriorated. Adult lungs are far more available than lungs from children, and doctors have said they believe modified adult lungs might save the girl's life.

CNN's Ross Levitt, Saundra Young, Chris Welch and Jason Carroll contributed to this report.

@highlight

Father says daughter has declined in past two days, but the ruling has them all excited

@highlight

Parents say policy prevents many children under 12 from getting a transplant

@highlight

Doctors say she could be saved with modified adult lungs

@highlight

Sarah, 10, has cystic fibrosis and may have just weeks to live