Los Angeles (CNN) -- California Gov. Jerry Brown signed into law a measure that will allow undocumented immigrant students to receive privately funded scholarships administered at public universities and community colleges, officials said Tuesday.

The law was needed because the University of California and California State University systems avoided giving the private scholarships to their undocumented students, citing vagueness in laws, said Luis Quinonez, legislative aide to the new law's author, Assemblyman Gilbert Cedillo.

Also, community colleges in California often raised money from private sources and diverted those funds to independent nonprofit groups, which in turn gave those funds as scholarships to undocumented students, Quinonez told CNN on Tuesday. Under the new law, community colleges will be able to give those privately financed scholarships directly to undocumented immigrant students, Quinonez said.

Since 2005, bills containing an identical measure were vetoed four times by Gov. Arnold Schwarzenegger, a Republican, but on Monday, Brown, a Democrat, ceremoniously signed the law on the back of Cedillo, who has long championed the proposal, Quinonez said.

Cedillo, D-Los Angeles, told CNN on Tuesday that the new law will help boost the California labor force with educated workers, especially as a million college graduates who are baby boomers are projected to retire by 2025. He also said "thousands" of undocumented students will now be able to achieve their personal dreams.

"Education is for life, but their legal status will change," Cedillo said of the undocumented immigrant students. "Something is going to happen that their status is going to change" some day, he added.

The new law is called California's Dream Act. It differs from a proposed federal bill called the Development, Relief and Education for Alien Minors -- or DREAM -- Act, which would create a path to citizenship for immigrants who entered the United States illegally as children under the age of 16 and have lived in the United States for at least five years, obtained a high school or General Education Development diploma and demonstrated "good moral character," according to a White House fact sheet.

"Signing this Dream Act is another investment in people," Brown said at Monday's signing.

Angelica Salas, executive director for the Coalition for Humane Immigrant Rights of Los Angeles, a regional immigrant rights organization, praised the new law.

"While many states have chosen to legislate hate and division by approving anti-immigrant laws, California's governor sends a strong message that investing in today's student population, regardless of their immigration status, is smart, practical, and the right thing to do," Salas said in a written statement.

The law requires undocumented immigrant students to have attended a California high school for three or more years, to have attained a diploma or a GED, to have filed an affidavit with the college stating they have applied for a lawful immigration status or will apply as soon as they are eligible to do so, Quinonez said.

The new law also applies to citizen or resident students who may have left the state and want to return to a California higher education institution; they too have to meet the same high school attendance and diploma or GED criteria, Quinonez said.

The University of California system's 10 campuses have about 670 undocumented students who could benefit under the new law, Quinonez said. The UC system has a total enrollment of 237,000, according to a Cedillo statement. Figures for undocumented immigrant students in the Cal State and community college systems weren't available, Quinonez said.

Cedillo has also introduced a Dream Act Part II, which would allow undocumented immigrant students to receive state-funded financial aid at higher education institutions, Quinonez said.

That measure, which passed the Assembly in June, is scheduled for a vote in the Senate Appropriations Committee on August 25, Quinonez said.

@highlight

Public colleges in California have raised funds for private scholarships

@highlight

But the private scholarships did not go directly to undocumented immigrant students

@highlight

A new law now allows for the award of such privately financed scholarships

@highlight

"Education is for life, but their legal status will change"