Editor's note: Eric Cantor, a Republican serving his fifth term representing the 7th District of Virginia, was elected last month as the Republican Whip, the party's second-highest position in the House of Representatives. He also serves on the House Ways and Means Committee.

Rep. Eric Cantor says Republicans want to make sure the massive economic stimulus plan is used wisely.

WASHINGTON (CNN) -- Bolstered by wide Democratic margins in both chambers of Congress, the new administration assumes power Tuesday with a broad public mandate to repair the feeble economy.

But with such a free hand over current stimulus efforts comes great danger. Costing at the very least a hefty $825 billion, the plan's potential for taxpayer waste and special-interest-driven giveaways is enormous.

We Republicans believe we can help mitigate those risks if we are given a meaningful place at the table. President-elect Barack Obama was correct to point out recently that no one party has a monopoly over sound ideas.

Rather than presenting an obstacle, House Republicans intend to use the full force of our ideas to help Democrats produce a better package to help pull the country back from the economic abyss.

Specifically, we want to keep the stimulus bill -- as well as all other future economic "rescue" measures -- limited in scope and transparent.

Our country has no other choice. The Congressional Budget Office (CBO) issued a sobering report that this year's deficit will likely climb to over 8 percent of U.S. gross domestic product, or $1.2 trillion. That's higher than at any point since World War II -- and those figures don't even account for the forthcoming stimulus.

Such heavy borrowing runs the risk down the line of rampant inflation, which scares away foreign capital while making the purchasing power of the dollar weaker for American consumers.

While deflation may be the more immediate threat that the Federal Reserve and Treasury Department are correctly focused on, uncontrolled spending and borrowing could easily necessitate much higher Treasury interest rates to keep foreigners financing our mounting debt.

Especially given the looming entitlement crisis, this poses heavy danger for businesses and families alike.

Let's not lay the groundwork for future financial catastrophe. Let's lay it for future growth. The stimulus can do that by focusing exclusively on strengthening businesses, boosting job creation and lifting consumer confidence.

Our preferred strategy is to provide meaningful tax relief directly to middle-class taxpayers and the small businesses that they operate or work for.

Particularly in down times, tax cuts can lift an economy by encouraging work, investment and business expansion. That should be the aim of the $300 billion in tax cuts the president-elect has pledged -- an apparent recognition, however overdue, that tax cuts are in fact stimulative for the economy.

But we also accept that these are dizzyingly uncertain economic days for our country. The Democrats have proposed additional spending for infrastructure and the like, ostensibly to compensate for stagnation in the private sector.

Like bears sniffing out food at a campfire pit, those looking for a piece of the multi-billion dollar pie have flooded Washington with a cascade of requests, some capable of spurring immediate and lasting growth, others falling hopelessly short.

In order for the public to know that money is not wasted, two things are needed. First, we need to reconcile the American people's demands for swift action with the fact that a good bill requires time -- time to hold hearings, read the bill in painstaking detail, and root out waste.

Second, Democrats have to live up to President-elect Obama's vow for "unprecedented transparency." The GOP welcomes and strongly encourages the president-elect's idea to post all contents of the bill online for the American people to judge.

Lastly, any new spending must be introduced with the clear understanding that it is temporary rather than permanent. It is not always easy to terminate spending programs once they have been funded, but our bleak long-term budget outlook requires significant sacrifices over the coming years.

We trust the Democrats' assurances that the economic stimulus will not be turned into a grab bag for favored interests. Serving as the honest and fair check on majority power, we will work to ensure they keep their word.

The opinions expressed in this commentary are solely those of Eric Cantor.

@highlight

Rep. Eric Cantor: Obama has a mandate for plan to spark the economy

@highlight

Plan's potential for waste and special-interest giveaways is enormous, he says

@highlight

Cantor: We support Obama's idea of making the plan transparent

@highlight

He says best strategy is to provide tax relief to middle class, small business