(CNN) -- On a warm summer afternoon in Buenos Aires last February, an Argentinian friend dropped me off in the charming historic neighborhood of San Telmo on her way to work.

"You should go see a murga tonight!" she said.

My only association with murga was a love song by one of my favorite musicians, Uruguayan singer Jorge Drexler, called "Murga Reggae": "Con mi amor yo quiero bailar/Murga Reggae."

My Spanish wasn't good enough to understand the entire song, but the lyrics I did get seemed pleasant: Something about summertime, a shower of stars, the end of carnival and how he wanted to dance with his love. Did I want to see a murga? Claro!

Hearing the drums of the murga

So as the sun set over the Río de la Plata, I wandered away from the tourists sipping cappuccinos and mates as they watched tango dancers in Plaza Dorrego, one of the city's historic squares. Several blocks later, the tourists had vanished and the smoke of a sidewalk asado, a huge Argentinian-style barbecue, filled the air as lanky men in tank tops demonstrated their grilling prowess. In the distance, I heard the drums of the murga.

Murga, it turned out, is far from a slow, romantic dance. It's a lively form of street theater that became a prominent part of carnival celebrations in Uruguay and Argentina at the turn of the 20th century. If you happen to be in this part of the world during carnival, which generally begins in late January or early February, it's also a great way to experience regional culture and history.

Murga originally came from Càdiz, Spain, but transformed in the Río de la Plata region into a unique cultural expression also rooted in other European and African traditions of music and dance. It first flourished in working-class, immigrant neighborhoods of Argentina and Uruguay, drawing on sounds of daily life: calls of street vendors, melodies of popular songs and, fundamentally, African drumming.

African rhythm pulses through the music

During the 18th and early 19th century Spanish colonial era, enslaved Africans in the region developed elaborate drumming rhythms called candombe, which became a way of preserving their cultures and stories. Today it continues to thrive, particularly in predominantly Afro-Uruguayan neighborhoods in Montevideo. This is the pulse of murga.

But murga also has distinct differences in each country. In Argentina, murga corsos are parades in which performers from a given neighborhood, many dressed in satin frock coats and top hats, drum and dance through the streets until reaching a staging area. There the musicians sing and play nasally horns while agile dancers swirl and kick and jump to the rhythm of the bombo, tambor and cymbals in a blur of sequins and feathers.

In Uruguay, carnival lasts 40 days (it's the longest in the world). This year it started January 25 and will continue until early March. Murga performances here are much more regimented and elaborate. They incorporate a greater variety of musical instruments, powerful choral song and costumes that recall commedia dell'arte-like characters with painted faces, colorful capes and plumed hats or other outrageous headgear.

Filled with parody and political satire

Murga competitions are televised, and groups practice exhaustively for months to develop and perfect their routines in secret -- serious prize money is at stake. The groups perform in theaters and tablados, outdoor staging areas constructed all over Montevideo, and may travel to several venues in one night.

Murgas in both countries incorporate social and political criticism. But Uruguayan murga places more explicit emphasis on parody and political satire, often achieved by playing with the lyrics of well-known songs and even advertising jingles to construct clever, humorous critiques of everything from presidents to soccer teams to social issues.

In a country where people often feel overshadowed by neighboring Argentina, these distinctions count. "Murga is one of the only things that a lot of Uruguayans feel is only theirs. So it's viewed with a lot of pride," said Natalie Kirschstein, a professor of world music at Regis University in Denver who studies Uruguayan murga.

Despite the differences, the tradition remains, in both countries, by and for the community. Murguistas are not professional singers and dancers, but working people -- bakers, vendors, mechanics and factory workers. They achieve a certain celebrity status during carnival, but they derive their material from the joys and struggles of family and neighbors, placing everyday life in a larger sociopolitical context.

Repressive regimes banned the murga

Murga's association with working-class neighborhoods, unions and political satire made it a target of the countries' right-wing dictatorships in the 1970s and 1980s, when thousands of people deemed threatening to the regime were forcibly disappeared. During this period, murgas tended to align with leftist ideals, in opposition to the repressive regimes, said Kirschstein. Officials responded by barring murga performances in public streets and censoring lyrics. Political messages became more subtle as murguistas found new metaphors to circumvent the restrictions.

"During dictatorship it became a place where people could in a coded way talk about what was going on," said Kirschstein. "(Murguistas) were saying what people want to say and what they couldn't say. There are a lot of metaphors especially from that period around light, home, spring...that was the role that the murga played during the dictatorship -- giving hope."

Today murga is undergoing a renaissance. Popular musicians are integrating the traditional rhythms of candombe and other characteristic murga elements into rock, jazz and other genres. Dedicated murguista masters have introduced it to young people through neighborhood workshops, now with government support. And while many younger murguistas have abandoned some of the hard-edged political rhetoric that developed in response to dictatorship, murgas remain a venue for clever social and political commentary.

Buenos Aires, Argentina

Carnival in Argentina is February 2-24. Look for performances in the following neighborhoods, which offer among the most authentic murga experiences. And word to the wise: Don't dress up for murga. More than likely you'll be caught in the crossfire of a popular carnival street fight involving water bombs, shaving cream and children who take no prisoners. Trust me on that.

Barracas: High-end housing and restaurants are transforming this neighborhood of old factories and barracks near the city's port area. But it retains vestiges of its working-class roots, even as it has begun to blossom as a center for art and community cultural events.

La Boca: This immigrant neighborhood maintains a rough-and-tumble reputation, but today it also has a well-established tourism industry. Sit at a sidewalk cafe with a glass of wine against a backdrop of quaint, brightly painted houses known as coventillos before taking your place to watch the local murguistas.

San Telmo: One of the oldest neighborhoods of Buenos Aires, San Telmo will meet every romantic's expectations: cobblestone streets, wrought iron balconies, antique markets and tango. The outskirts of San Telmo, away from the throngs of tourists, is a staging area for murga.

Montevideo, Uruguay

It's well worth spending a couple of days in Montevideo -- a three-hour ferry journey from Buenos Aires across the Río de la Plata. Carnival here is under way and continues into early March.

Teatro de Verano: It's one of the most important venues for official murga competitions, but smaller open-air tablados also host cheap murga performances throughout the carnival season. It's best to buy tickets well in advance, especially if you're planning to see the top acts compete in the finals.

Barrio Sur and Palermo: Candombe drumming performances and llamadas, a call-and-response procession or parade, occur in these traditional Afro-Uruguayan neighborhoods. Like murga, they are central features of carnival, but you generally don't need a ticket.

Museo del Carnaval is a great place to learn more about the history of murga and other carnival traditions. The museum can also recommend venues for murga, candombe and llamadas.

@highlight

Both Uruguay and Argentina have rich traditions honoring murga

@highlight

Murga is a lively form of street theater

@highlight

Working people practice for months to star in televised competitions and street celebrations

@highlight

Murga has its roots in Spain but was transformed by the drumming of enslaved Africans