(CNN) -- As Michael Dunn, charged with murder in the killing of an unarmed black teenager, took the stand on Tuesday in his own defense, once again the nation focused on Florida, gun violence, and the evolution of self-defense. His testimony crystallized important points in this case.

Dunn is not Zimmerman: We have to stop drawing comparisons between the Dunn case and that of George Zimmerman, accused of killing unarmed teenager Trayvon Martin.

About the only thing in common between the two cases is that a human being lost his life, and another human being is the defendant. Oh, and John Guy, the prosecutor, who has had the roulette wheel of high-profile cases pick out his number twice in two years: He has been involved in both cases.

But even then, the cases are nothing alike. Zimmerman's was a strong self-defense case. Dunn's is a comparatively weak self-defense case. Zimmerman fired one shot and waited around for the police. Dunn squeezed off 10 rounds -- then took off and got a pizza. The differences are so great that they should not be compared. Dunn is more significant for the self-defense issues raised in the case.

Should Dunn have taken the stand? Many were surprised when Dunn took the stand in his defense -- conventional wisdom among defense attorneys is that defendants should not. After all, when was the last time a high-profile defendant did that? George Zimmerman certainly did not.

The rules of evidence and testimony are a one-sided affair, in which the cross-examining prosecutor has all the advantages. If the prosecution cannot meet its burden, or the defense can make its case without the defendant's testimony, then there is often little to gain and much to risk in putting a defendant on the stand.

Dunn's problem is that the prosecution has met its burden, and the defense cannot make its case without his testimony. In the Zimmerman case, the defense was able to establish the defendant's reasonable apprehension of imminent serious bodily harm through photos of his wounds. Sure, Zimmerman could have taken the stand to say "I was scared," but the defense team made a risk analysis: If they already established objective evidence of his fear, they could avoid the massive risk of his being torn apart on the stand.

In the Dunn case, there is very little objective evidence of an aggressor placing Dunn in fear of his life, so he had to tell the jury how afraid he was. Dunn's testimony, then, will largely determine whether these jurors find him guilty or not guilty. So what did we learn from his testimony?

Opinion: Florida shooter saw black, thought 'threat'

Preparation helps: Dunn's attorneys did a good job preparing him for his testimony. If Dunn did a bad job of hiding his preparation, a jury might see through that, but that's on Dunn -- not his lawyers. Notice how Dunn crowbarred the words "death" and "imminent" into his direct testimony. Remember, the jury instructions at the end of the case will have those words in them.

The defense hopes the jury will make a connection with the judge's authoritative instruction on the law, and the defendant's own words about his state of mind, as in: "Hey, the judge said he must have fear of 'imminent' harm, and he said the word 'imminent,' so he had the reasonable fear!" Injecting these words also allows his attorneys to argue those facts in closing argument. Of course, merely stating a fear of imminent death does not make it a reasonable fear of imminent death, but words alone can have a subconscious effect.

Flight as consciousness of guilt: "The wicked man fleeth, when no man pursueth." Proverbs 28. Dunn left the scene of this crime, and it will be critical to determine why.

Flight to avoid prosecution may be considered "consciousness of guilt": evidence of guilt the jury may consider along with other evidence in the case. Of course, if he left for another reason, like fear for his life, then the flight is not as damaging.

As with many things, we cannot look into Dunn's mind, so we have to evaluate circumstantial evidence, and now his own testimony. Dunn testified about being afraid of vengeance by "local gangsters." That's good strategy by his lawyers, to establish an ongoing fear that explains his fleeing the scene. However, the jury may have heard that instead as him stating his belief that trash-talking men of color are usually gangsters.

Dunn may have missed the mark on this point, though his purpose was clear. Also damaging was his weak answer to the critical question: Why didn't you go to the police right away? His answer? "I didn't think I did anything wrong." Sir, you just shot up a Quik-E-Mart parking lot like the O.K. Corral. You may not think you did anything wrong, but don't you think the police might at least want to fill out some paperwork? Perhaps ask you a few questions? Strangely, Dunn's flight -- something he did after the killing -- may be the most damaging piece of evidence against him.

The car filled with bullet holes: Dunn blasted 10 shots into the car. That's a problem for him. The jury is very likely to conclude that firing multiple shots is evidence of intent to kill or is a sign of excessive force. This is why Dunn's testimony needed to put the jury in the heat of the moment, to show them how fast shots are fired; how close the aggressor was; that an aggressor can keep approaching after one shot; and how long it takes in a deadly situation to realize that the threat is over. The defense needs to convince the jury that even after Dunn shot 10 times, really only a couple of seconds had elapsed and he still believed there was a real threat.

Consider how different the case would sound to you if Dunn testified that he fired 10 shots over the wide span of a minute -- which he did not. What a contrast. A minute would make Dunn look like a cool, detached serial killer, who took his time executing unarmed victims. The number of shots is tied directly to the time it took to squeeze them off, which in turn is tied directly to the urgency of Dunn's actions.

Dunn needed to score some major points here and bring the jury into the crisis and the moment with him. The verdict will show if he was successful.

The opinions in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: Michael Dunn's testimony highlights important legal points in his murder case

@highlight

Cevallos: Dunn is not George Zimmerman; his self-defense case is comparatively weak

@highlight

He says Dunn had to prove he had a reasonable fear of being seriously harmed

@highlight

Cevallos: Also, he had to explain why he fled, why he shot 10 rounds into the teens' car