(CNN)Almost two years since the Tsarnaev brothers allegedly placed two bombs at the Boston Marathon finish line, turning the city's beloved Patriot's Day race into a war zone, Dzhokhar Tsarnaev is finally going on trial.

By the time the brothers were captured (one dead, one alive), they were accused of having killed four people, blown the limbs off another 16 and injured more than 260. But while I have heard many say they wish the authorities had simply added the younger Tsarnaev brother to the list of the deceased while they had the chance, that didn't happen. So now we find ourselves facing down a trial.

Tsarnaev will be convicted (after all, the prosecution has, according to The New York Times, lined up 590 law enforcement witnesses, 142 civilians and more than 1,000 exhibits, including images of him placing his backpack -- believed to have contained a bomb -- near an 8-year-old killed by the explosion). But it is unclear what the punishment will be.

That raises what is perhaps the key question of the case: Should we kill Tsarnaev? And the answer, despite the abhorrent nature of the crime, is simple: No, we should not. We are better than that.

The fact is that the death penalty isn't justice, it's revenge. And in seeking it out, we would be engaging in something Tsarnaev is alleged to have sought in the name of Muslims killed in Iraq and Afghanistan. (He made his motive clear when he scrawled "Stop killing our innocent people and we will stop" as he hid from police in a boat.) Indeed, the death penalty is nothing more than institutionalized revenge. And while seeking revenge makes for great action movies, in real life it lowers our own standards.

And we have set our standards very high in Massachusetts, including having abolished the death penalty three decades ago. In fact, no one has been executed in Massachusetts for 67 years.

It goes without saying that this is a deeply painful time for family and friends who lost loved ones that day, but research does suggest that executions do not give victims' families closure. Getting revenge won't bring back the lives that were lost, and state-sanctioned killing is not how we do things here. And it isn't how we want things done, either. In a Boston Globe poll in September 2013, for example, only a third favored the death penalty over life without parole for Tsarnaev.

I've been disappointed that our leading politicians -- Elizabeth Warren, the Democratic senator from Massachusetts, and our new mayor, Marty Walsh, both opponents of the death penalty -- have failed to speak out clearly against the federal government for seeking the death penalty in this case. Indeed, even though Attorney General Eric Holder is personally against the death penalty, he authorized it in this case, and plea deals to avoid the death penalty have so far failed.

I guess it's easier to be outspoken against the death penalty when you're not defending an alleged terrorist, but instead pointing out the alarming number of death row prisoners who have been wrongly convicted. Or that according to some, it costs 10 times more to try to execute someone than put them in jail for life. Or that it doesn't actually appear to deter crime. Or that the Eighth Amendment prohibits cruel and unusual punishment and the Supreme Court has already ruled against the death penalty in cases against the mentally ill or minors.

And with that in mind, it's important to remember in this case that the defense will not be eyeing an acquittal, rather a sentence that spares Tsarnaev's life. To make this case, the defense attorneys will no doubt delve deep into his personal history, the evidence that his older brother, Tamerlan, was the mastermind, and that Dzhokhar was under his brother's spell. Perhaps most importantly, it should be remembered that in defending Tsarnaev, they are not endorsing him, but instead are endorsing our collective humanity and our Constitution, fighting for even the worst among us to be afforded its consideration and its protection.

My husband and I have lived in the Boston area for 18 years, we have run many marathons, and like so many folks, we had friends who were injured when those bombs when off. What struck us so profoundly about the attack, though, was not the destruction and devastation, but our response. Our response was profound and full of courage. First responders went running toward the blast areas to help. Runners, many of whom were doctors or veterans who had just finished running 26.2 miles, carried the injured to safety or ran to emergency rooms to help tend to the wounded.

It's that kind of resolve that defined the day, not the attack itself. Greater Boston, an area of millions, became a community of one: a "Boston Strong" community. And after the bombings, we took our kids to the makeshift memorial at Copley Square, we donated to the One Fund, we cried as we watched the interfaith memorial service held just days after the blast.

A year later, we joined millions of people along the race course and cheered on the 36,000 runners who ran one year after the bombing. Running the race again was a way to reclaim both the day and the finish line. Like marathoners, the survivors have pushed ahead one step at a time, and in their own ways: starting foundations, getting married, and learning to dance and run again. And this is what we should keep doing -- moving forward, leaving the attackers in the dust, forgotten in a cell somewhere to live with what has been done.

Revenge is by its very nature a backward-looking emotion. If we are to truly leave that atrocious act behind us, we should therefore shun it, and instead keep putting our best foot forward, looking to our future, not behind us. If we do that, we will be the stronger ones -- Boston Strong.

@highlight

Mel Robbins: Death penalty isn't justice, it's revenge

@highlight

Dzhokhar Tsarnaev shouldn't be put to death, she says