Washington (CNN) -- On one of the coldest nights of the year, there was no mistaking the northwest Washington home of Democratic operatives Kiki and Joe McLean with the Mississippi Delta or Alabama Gulf Coast.

But it smelled like the South inside the stately brick home Thursday night, attendees said. The aroma of black-eyed peas, ham, biscuits and sweet tea drifted from room to room as roughly 60 Democratic operatives chatted and exchanged ideas about how their party, one that once dominated the South, could start a comeback from years of Republican victories.

The Southern Progress Fund, a super PAC of Democrats whose goal is to provide money and infrastructure to down-ballot Democrats in the South -- state legislators, attorneys general and mayors -- put on the "Southern Supper."

"We are trying to turn the South blue," said Amanda Crumley, the group's executive director. "This event is all about how Democrats can win in the South again."

And no detail at the event diverged from that goal, Crumley said. For dessert, the group turned traditional red velvet cupcakes blue, symbolic of what it's trying to do in the South.

First on CNN: Republicans move to overhaul 2016 primary

LBJ's gloomy prediction

Since President Lyndon Johnson signed the Civil Rights Act of 1964, only two Democratic presidential campaigns have won Mississippi, Alabama or Georgia: Native son Jimmy Carter swept the Deep South in 1976, while Southerner Bill Clinton won Georgia nearly 20 years later.

But those victories are distant memories.

Johnson proved to be a prophet. After signing the landmark civil rights legislation, he lamented to an aide: "I think we just delivered the South to the Republican Party for a long time to come."

In 2012, for example, out of the 25 congressional districts in those three states, Republicans won all but seven. All three states have a Republican governor, and Republicans control each state's legislature.

Will challenges from right hurt GOP chances of taking back Senate?

Nevertheless, Southern Democrats said they are poised to make a comeback and prove Johnson's "long time to come" is over.

They point out the generation that vehemently rejected Johnson's Civil Rights Act is dying off. And in its place is a younger, more progressive and diverse group of Southerners.

"His prophecy was right, but that generation is about over now," said Rickey Cole, chairman of the Mississippi Democratic Party. "It can happen. In order to win in this part of the country, we have to play a nearly perfect game, and we have to capitalize on any fumbles and turnovers on the other side. But we can win."

Rebuilding in red America

Democrats once dominated the region. Between 1876 and 1964, Georgia only went against a Democrat once in presidential elections. Mississippi and Alabama, likewise, supported a candidate other than a Democrat two times.

Their stranglehold on Southern politics bred loyal, proud Democrats who tightened their grip. But when political fortunes turned, they turned quickly. Democrats have won some statewide races but faced repeated national and congressional defeats.

In looking back on the years of the "Solid South," some Democrats said they now believe their near-century of dominance hurt the party.

"Southern Democrats never developed an opposition type or style of party that you have to be in today's world," said former Mississippi Gov. Ronnie Musgrove, a founder of the Southern Progress Fund. "Democrats in the South have not had the ability to push back on various issues."

The biggest campaign moments of 2013

Musgrove's point: If there is political parity, each party understands winning and losing. When the massive shift of power occurred in the 1960s and '70s, Democrats weren't prepared to be in the minority and didn't have the infrastructure to dig themselves out.

Musgrove, who ran a competitive but losing race for the Senate in 2008 against Republican Sen. Roger Wicker, said for years during the Republican domination of the South, he thought the national party would swoop in to help rebuild.

But it never happened.

"I kept waiting for someone to ride in on a white horse and say, 'Here is help,' " Musgrove said with a laugh. "Now, there is some obligation in the South for us, as Democrats, to make sure that we work to built that infrastructure, that bench, and that we help."

That's the mission of Musgrove's super PAC. The group plans to help candidates by not only raising money but by also providing campaigns with data about which voters in a certain area are persuadable -- information that has helped Democrats on the national level.

In the South, Musgrove points out, that information could be even more important. With a small margin for error in most races, knowing which voters could be persuaded by a Democrat's argument is key, he said. What's more, the former governor sees the effort as not only a way to win the South as soon as possible but also to help create a culture of winning.

"From our vantage point, successful candidates are well-funded candidates that have the resources and infrastructure to get their message out," said Crumley, the group's executive director.

Searching for signs of hope

Ask a Southern Democrat if he or she can win statewide, and you will get a wide array of anecdotes and theories. Some point to the last Democratic governor in each state, while others to President Barack Obama winning 43.5% of the vote in Mississippi without spending any money there in 2012.

But the most often-cited anecdote -- by far -- is the success that Southern Democrats had in 2013 municipal elections in Mississippi.

For the first time in nearly 30 years, a Democrat was elected mayor of Tupelo, while Meridian elected its first-ever black mayor -- a Democrat. After the win, Southern Democrats heralded the day as "Blue Tuesday" and celebrated the victories as a sign of things to come.

10 more secrets from campaign 2012

The key to those races, operatives say, is that Southern Democrats managed them and proved -- in a small way -- that winning in a deep red state is not impossible.

"It is essential to build bottom up and especially in the South as we reconnect with voters and share a consistent and solid message out there that is different from the Republicans," said Burns Strider, a Democrat from the South who worked with Hillary Clinton's 2008 presidential campaign.

Strider, who has long helped national Democrats reach Southern voters, said he is more hopeful than ever before that Democrats could make headway in local elections in 2014 and 2016.

Speaking with an unmistakably Mississippi twang, Strider said the key to winning "persuadable voters" in the South is convincing them you share similar heritage and values.

"We are Southerners, we are Democrats; we hold the same values you do," he said, mimicking the pitch he could make to voters. "We are moving a little bit beyond strident partisanship, and we are able to develop messages now that are going to stick."

Musgrove echoed that message.

"I may not know how to run a commissioner's race in New York, but I do know how to win in Mississippi," he said. "I do know that Alabama is the No. 1 team in America. I do know where Talladega is. I do know what NASCAR racing is about, and I attend a lot."

Their point: It takes Southerners to win in the South.

Hitting the 'white win number'

Roy Barnes is Georgia's last Democratic governor to date. He won 53% of the overall vote in 1998, but there was a stark black-white divide -- Barnes lost the white vote by 21% but won the African-American vote by a whopping 82%.

For Barnes, the key to victory was not getting too buried by losing the white vote and winning big with the black vote, according to Jon Anzalone, a pollster who focuses on Southern Democrats. Any Democrat running in the Deep South, he said, should expect to lose the white vote.

"Whether you are running for governor or senator, it is about hitting the white win number," Anzalone said. "You have to hit a certain number of whites, which means you have to make a certain number of whites comfortable that you are a Southern Democrat and not a national Democrat."

But for Democrats in the South, there is a noticeable push and pull between the gains they are making because of changing demographics -- with both Georgia and Mississippi now more than 30% black -- and the negative setbacks the national party is causing because of unpopular positions on guns, religion and many social issues that even Democrats admit Republicans have won on down South.

So as reliably Democratic voters -- African-Americans and Hispanics -- move into these states and slowly lighten the shade of red, Republican candidates have made it a point to tie their Democratic challengers to the national party.

"The comparisons were that I was a another Nancy Pelosi," said Bill Luckett, who became the Democratic mayor of Clarksdale, Mississippi, this year.

"I got bashed with it a bit," he said with a laugh, noting that he thought it would be hard to turn a gray-haired, burly Mississippian with a thick drawl into Pelosi, the liberal House minority leader who hails from the San Francisco area.

Pollster Anzalone admits that one of the biggest problems Southern Democrats have is "the perception of what a national Democrat is."

But the Pelosi comparison didn't stick to Luckett, and he won the Clarksdale mayor's race fairly easy. What he had working in his favor were demographics -- Clarksdale is a majority-black town in the Mississippi Delta.

Some see a problem with being tied to the national party, while others -- such as Musgrove -- believe that while in some races "candidates will need to differentiate themselves," the majority of Southern Democrats "have a lot to be proud of" in the national party.

Musgrove acknowledges that turning the South blue will be difficult. "Most people would say that just couldn't happen," he said. But in his opinion, Democrats have to try.

@highlight

Super PAC has a steep climb to try to take back South from Republicans

@highlight

Democrats once held stranglehold on region, which has turned red since 1960s

@highlight

Southern Democrats believe they have to create a culture of winning from cycle to cycle

@highlight

They point to small victories in campaigns that Southern Democrats managed