(CNN) -- A Norwegian shipping firm has ordered its vessels to avoid the waters off the Horn of Africa and criticized governments for failing to curb a wave of piracy after Somalia-based hijackers seized their largest prize to date.

Image taken by the U.S. Navy of pirates leaving a captured merchant vessel in the Gulf of Aden.

The decision by the maritime company Odfjell SE means its 90-plus ships will take the additional time and expense to sail around the southern tip of Africa instead of going through the Suez Canal, a shortcut for mariners for nearly a century and a half.

"It is a huge step, but what we have seen is that the piracy activity in the area has increased," the company's president, Terje Storeng, told CNN. "We have thought about the crew on board the ships and we don't want them to be exposed to this risk of being hijacked any longer."

Storeng said in a statement the company will still sail through the Gulf of Aden only if explicitly committed to doing so by existing contracts.

The Gulf of Aden, which lies between the Horn of Africa and the Arabian peninsula, is the gateway to the southern Red Sea, which is linked to the Mediterranean by the Suez Canal. Going around the Cape of Good Hope would add thousands of kilometers to a voyage from the Middle East to Europe or North America.  Map of the new route »

The announcement followed Monday's news that the 300,000-metric-ton oil tanker Sirius Star was captured by pirates in the Indian Ocean over the weekend. The hijacking took place more than 720 km (450 miles) off the Kenyan port of Mombasa, well south of the zone patrolled by international warships in an effort to clamp down on the pirates.  Watch more about the tanker hijacking »

"This is the furthest out to sea that we've seen any attack, so it's concerning to us," Lt. Nathan Christensen, a U.S. Navy spokesman in Bahrain, told CNN. "The pirates are certainly expanding their ability to attack ships out to sea."

The 330-meter (1,080-foot) ship, owned by a subsidiary of the Saudi Aramco oil company, was headed for an anchorage off the Somali coast early Tuesday. The pirates typically hold the crews hostage and attempt to extract a ransom from the owners of the vessels.

The hijacking of the Sirius Star, which launched earlier this year, is part of a recent upsurge of attacks off east Africa, according to the International Maritime Bureau.

The attacks are spreading farther north to the Gulf of Aden and farther south off the Kenyan coast, said Noel Choong, who heads the bureau's Piracy Reporting Center, which monitors attacks around the world from its base in Kuala Lumpur, Malaysia.

"The risks are low and the returns are extremely high for these pirates," Choong told CNN. Pirates know that their chances of getting killed or captured during a hijacking are very low, he said.

The IMB issued a warning November 14 about the possibility of attacks south of Somalia, Choong said. The next day, pirates hijacked the Sirius Star.

The oil tanker, known in the industry as a "very large crude carrier," was following the route around the Cape of Good Hope when it was attacked because it was too big to go through the Suez with a full load, said Arthur Bowring, managing director of the Hong Kong Shipowners Association.

"These pirates seem to be incredibly well-equipped and very well armed and very well informed about shipping," Bowring told CNN. "They would appear to be able to go anywhere to get these tankers."

The Sirius Star is the largest vessel ever to be attacked by pirates, Choong said. It is carrying a crew of 25, from Croatia, Britain, the Philippines, Poland, and Saudi Arabia.

Odfjell's president said the detour around the cape will take between six and 12 days longer than going through the Suez. Storeng would not say how much extra the deviation would cost, though he said Odfjell would ask its customers to contribute to the extra cost.

"On the other hand, we will not pay the duties to pass the Suez Canal," he said. "That's quite an expensive canal passage. The duties there are quite heavy."

Odfjell operates a fleet of chemical carriers, and similar ships have been among those hijacked in recent months. In its statement, the Norwegian company said it was "frustrated" by what it called the "limited interest" shown in securing the high seas.

"The efforts that are being made do not seem to put an effective end to what can best be described as ruthless, high-level organized crime," Storeng said.

Storeng said the company has suffered one attack, about a month ago in the same area, but the captain and crew managed to deflect the pirates by using the ship's firefighting system.

He said Odfjell prefers to travel with escort vessels instead of hiring private on-board security.

"We feel that taking on board a ship armed people, and having the risk of shooting at the chemical tankers with explosive cargos on board, is not a good idea," he told CNN. "We don't want to have a big blow-up. We prefer to have escort of naval ships as compared to having people on board to protect us with guns. We don't feel that is a good option."

But the U.S.-led naval mission that patrols the Horn of Africa said successful attacks have decreased in recent weeks. Russian and British warships have fended off pirate attacks on commercial shipping in the past week, authorities in those countries have reported.

Some experts say the area is too vast to be successfully patrolled by government or military ships, and that pirates take advantage of it.

-- CNN's David McKenzie in Nairobi, Kenya, and Caroline Faraj in Dubai, United Arab Emirates, contributed to this report.

@highlight

Odfjell: Ships will take additional time, expense to sail around south of Africa

@highlight

Company to sail through Gulf of Aden only if contractually obliged to

@highlight

Pirate attacks have increased sharply in perilous Gulf of Aden region this year

@highlight

Multinational naval force has been patrolling the area to provide protection