New York (CNN) -- Protesters poured onto the streets of New York late Wednesday, upset over a grand jury's decision not to indict a police officer in the death of Eric Garner.

They marched at the same time U.S. Attorney General Eric Holder announced that federal officials were moving ahead with a civil rights investigation.

Garner, an unarmed black man, died in July after a white officer, Daniel Pantaleo, put him in a chokehold. Garner's death was later ruled a homicide.

"This fight ain't over. It just begun. I'm determined to get justice for my husband because he shouldn't have been killed in that way. He shouldn't have been killed in any way," said Esaw Garner, his widow.

"He should be here, celebrating Christmas and Thanksgiving and everything else, with his children and his grandchildren. And he can't. Why? Because a cop did wrong. Somebody that gets paid to do right did wrong and he's not held accountable for it. But my husband's death will not be in vain. As long as I have a breath in my body I will fight the fight till the end."

Protesters gathered at various points in Manhattan, including Times Square and Union Square, marching peacefully north as crowds formed near Rockefeller Center for the lighting of the Christmas tree. Columbus Circle was blocked for a time.

There were demonstrations in other cities too, including Washington, D.C., Philadelphia and Oakland, California.

"No Justice. No peace," protesters chanted in New York. "No racist police."

Garner's mother, who spoke alongside his widow, said she was disappointed by the grand jury's decision. She called for calm.

"We want you to rally, but rally in peace. Make a statement, but make it in peace," said Gwen Carr.

On New York City's West Side Highway, a group of protesters stood face to face with rows of police officers, shouting, "I can't breathe, I can't breathe."

The protesters sat down on the road, crying out, "What do we want? Justice. When do we want it? Now!"

"Ferguson is Everywhere," one demonstrator's sign read, referring to the Michael Brown shooting in Ferguson, Missouri.

'I can't breathe'

During the fatal encounter July 17 on Staten Island, Garner raised both hands in the air and told the officers not to touch him. Seconds later, a video shows an officer behind Garner grab him in a chokehold and pull him to the sidewalk, rolling him onto his stomach. The New York City Police Department prohibits chokeholds.

"I can't breathe! I can't breathe!" Garner said repeatedly, his cries muffled into the pavement.

Garner, 43, was pronounced dead that day. Police had suspected Garner of selling cigarettes illegally.

The grand jury was made up of 14 white and nine nonwhite members, according to law enforcement sources. A total of 12 jurors who have heard all the evidence must be in agreement for a decision. The grand jury found that there was no "reasonable cause" to indict.

The case became emblematic of longstanding tensions between police and minority communities, especially given that the majority of people stopped under the former "stop-and-frisk" police policy were African-American or Hispanic.

A federal court ruled that stop-and-frisk was unconstitutional and tantamount to racial profiling.

The Garner death led to demonstrations around the city and came weeks before the racially charged police shooting of Brown, who was unarmed, in Ferguson.

'National moment of grief"

President Barack Obama said the Garner case reflected a longtime "concern on the part of too many minority communities that law enforcement is not working with them, and dealing with them in a fair way."

"We are not going to let up until we see a strengthening of the trust, and a strengthening of the accountability that exists between our communities and our law enforcement," he said.

Standing outside the Staten Island store where his son was put into a fatal chokehold, Garner's father, Ben, told a crowd that he was hopeful about the federal investigation and urged demonstrators to remain peaceful.

"We want justice for Eric," he said. "We ain't tearing up nothing. We ain't burning up nothing... The police is our problem. No violence. That is all I ask."

Mayor Bill de Blasio sought to allay tensions, saying that he had received assurances from Washington that the federal investigation of Garner's death would move forward "expeditiously and with a clear sense of independence."

De Blasio said the grand jury decision has created "a national moment of pain, a national moment of grief and searching for a solution."

Pantaleo, according to a statement from his union, the Patrolmen's Benevolent Association, said: "I became a police officer to help people and to protect those who can't protect themselves. It is never my intention to harm anyone and I feel very bad about the death of Mr. Garner. My family and I include him and his family in our prayers and I hope that they will accept my personal condolences for their loss."

Staten Island District Attorney Daniel Donovan Jr. said the grand jury conducted dozens of interviews with witnesses, including 22 civilians, and met between September 29 and December 3. An attorney for Pantaleo said his client testified for approximately two hours on November 21 in front of the grand jury.

U.S. Rep. Hakeem Jeffries, who represents parts of Brooklyn and Queens, called the decision "a miscarriage of justice" an "outrage" and a "disgrace."

"He was killed in plain sight for all of America to see because this was captured on video. And so it's inexplicable that this grand jury could not return a single charge," said Jeffries.

Patrolmen's Benevolent Association President Patrick Lynch said, "there are no winners" from the grand jury decision.

"It is clear that the officer's intention was to do nothing more than take Mr. Garner into custody as instructed and that he used the take-down technique that he learned in the academy when Mr. Garner refused," Lynch said. "No police officer starts a shift intending to take another human being's life and we are all saddened by this tragedy."

Brown and Garner

The grand jury's decision came on the same day that the New York Police Department, in an attempt to bolster public confidence, announced plans to start having some officers wear body cameras.

"When something happens, to have a video record of it, from the police officers' perspective, is going to help in many, many ways," de Blasio told reporters. "And God forbid, when something goes wrong, we are going to have a clearer understanding of what happened."

Parallels mark the deaths of Garner and Brown, both black, starting with crimes they were suspected of: Brown allegedly stole cigars from a convenience store; Garner was allegedly selling cigarettes tax-free.

Another similarity that has become the hallmark of protests in Ferguson: Garner put his hands up in the air, as the crook of Pantaleo's elbow tightened around his throat. Some eyewitnesses have said Brown also made that gesture in surrender. But other witnesses contradicted them.

No video was rolling, so doubts over that and other details will always hang over the moment that former Ferguson Police Officer Darren Wilson shot the unarmed teen.

That has led Obama to call for law officers all over the country to record their operations with body cameras.

In Garner's case, there can be little doubt what happened.

Before he gasped what appeared to be his final breaths, someone hit record on a cell phone camera. The details of his takedown spread through the Internet as the video went viral.

Wilson and Pantaleo

In the Ferguson case, Wilson argued before the Missouri grand jury that he shot Brown -- who Wilson said tried to wrest away his gun and then charged at him -- in self-defense.

In the Staten Island cell phone video, Garner did not go after Pantaleo but had his back to him; the officer jumped him from behind then tackled him to the ground.

The New York Medical Examiner has ruled Garner's death a homicide. The cause of death was "compression of neck (chokehold), compression of chest and prone positioning during physical restraint by police."

But the medical examiner also listed acute and chronic bronchial asthma, obesity and hypertensive cardiovascular disease as contributing factors in Garner's death.

In Ferguson, Wilson went into hiding after death threats and kept his status of police officer but was placed on leave. He resigned shortly after the grand jury decision. After the chokehold, Pantaleo was put on modified assignment and stripped of his badge and gun amid the investigation, and the NYPD's commissioner ordered an extensive review of training procedures.

Two lawsuits have previously been filed against Pantaleo. The plaintiffs in both suits allege false arrest, unlawful imprisonment, civil rights violations and other charges.

One suit from 2013 was dismissed in January 2014, while the second, from February 2014, remains open.

Ferguson and New York

In both Ferguson and New York, mostly African-American protesters took to the streets for weeks after both men died to decry police violence.

Demonstrators in New York have called the police response during Garner's arrest excessive and criminal, but during protests, the contact between police and demonstrators has been largely cordial.

Missing were the tear gas canisters, assault rifles, armored vehicles and the lootings and flying bottles that marred the St. Louis suburb in the wake of Brown's death.

When the Missouri grand jury declined to charge Wilson, violence returned to Ferguson, as shot were fired, stores were looted and cars were set on fire.

CNN's Dana Ford, Catherine E. Shoichet, Dominique Debucquoy-Dodley, Ben Brumfield, Daniel Verello and Leigh Remizowski contributed to this report.

@highlight

NEW: "Make a statement, but make it in peace," says Eric Garner's mother

@highlight

Protesters gather across New York, other U.S. cities

@highlight

Garner, an unarmed black man, died after a white police officer put him in a chokehold

@highlight

A grand jury decided not to indict the officer; AG Holder announces an investigation