(CNN) -- Peter J. Goutiere was just shy of 30 years old when he piloted a Douglas C-47, the military designation of the venerable commercial DC-3, from Miami to Kolkata, India.

The C-47 was the 100th to be delivered to the China National Aviation Corporation, or CNAC.

It was 1944. The United States had been at war since December 7, 1941.

CNAC had been at war long before that.

The Japanese invaded China in 1937.

Like airlines all over the globe would do as World War II unfolded, CNAC, based in Hong Kong, shifted its operations to military service as the Japanese closed in on Shanghai and southern China.

Young pilot 'too old' for service

For a young Goutiere, of Katonah, New York, the delivery flight of this C-47, Douglas Serial Number 20806/Line Number 4193, would be his own entry into the war zone.

He'd been rejected by the U.S. Army Air Corps when he volunteered after the Japanese bombed Pearl Harbor; he was too old, having missed the 26-and-a-half age cutoff.

Rebuffed, he joined Pan American Air Ferries, a subsidiary of the storied airline set up to ferry all types of airplanes to the U.S. armed forces and allies.

Goutiere ferried planes from the United States to Africa after joining Pan Am, but Ship 100 would take him to India, the jumping-off point to combat areas.

The ferry flight of Ship 100 -- a short-range, twin-engine aircraft, designed to seat 21 passengers -- took 90 flight hours over 14 days.

Goutiere flew via South America, Ascension Island in the mid-Atlantic, through Africa and on to India.

In December 1942, Goutiere began flying for CNAC from India over the Himalayas to China, a dangerous routing call "the Hump," ferrying supplies for Chinese and U.S. troops and the U.S. Army Air Corps, for the rest of the war.

A round trip took about seven hours.

"There were three enemies," Goutiere told CNN. "Mountains, Japanese and the weather. Weather is what did the most damage."

Goutiere flew Ship 100 on some of his 680 missions through September 1945, when Japan surrendered.

Flying through history

The last time Goutiere saw Ship 100 was in 1945 -- until 69 years later, when on September 4 he arrived in Everett, Washington, at the Historic Flight Foundation (HFF) in the shadow of Boeing's giant wide-body plant at Paine Field.

HFF acquired Ship 100 in 2006 and was preparing to fly the airplane to the annual CNAC reunion in San Francisco.

After doing a walk-around inspection of the plane, Goutiere, family members and a small entourage piled into the historic aircraft for the flight to San Francisco, which took just less than five hours.

The flight underscored advances in aviation technology. A flight leaving the Seattle area in a modern jetliner, for instance, would travel well past Chicago in five hours.

The flight started off at 2,500 feet outside of Everett and over the Cascade Mountains in Northwest Oregon before hitting turbulence.

Cruising at about 160 knots (roughly 185 mph) with no auto-pilot and using only visual flight rules, passengers felt their ears popping due to no pressurization in the cabin.

After diverting around wildfires in the Mount Shasta area of northern California, the aircraft climbed to 13,800 feet to avoid restricted air space reserved for aerial tankers.

American, Chinese WWII pilots embrace at historic reunion

Upon arrival at San Francisco International Airport, the plane was met by legendary CNAC C-47 pilot Moon Chin, who set a record during the war for evacuating 71 people fleeing the Japanese.

One of the 71 was a U.S. Army Air Corps colonel named Jimmy Doolittle, who was making his way back to Allied lines after America's first offensive mission against Japan following the attack on Pearl Harbor -- the famous air raid on Tokyo in April 1942.

Chin and Goutiere embraced and exchanged smiles and warm words in advance of celebrating the CNAC with scores of relatives of CNAC employees and families and others on hand to honor the men and women who took part in this theater of World War II.

Goutiere and Chin are the sole remaining pilots who flew for the CNAC during World War II.

Goutiere, who still resides in Katonah, will be 100 this month.

Chin, now 102, lives in Hillsborough, California.

Extreme hazards

While flying during the war, C-47s were unarmed.

Goutiere carried only a .45 caliber pistol.

He never was shot at and only iced up once, with four tons, forcing him from 18,000 feet to 12,000 feet. The dependable C-47 carried him to safety.

The flying wasn't a cakewalk, however, and the Hump is littered with wreckage of airplanes that were brought down by weather or flying into the mountains. Ironically, good weather wasn't a good omen, either.

"A clear day was dangerous," Goutiere recalled. "Japanese Zeros would come out, so we began flying at night. We did 15 to 18 trips a month. As we began to understand the weather, CNAC lost one aircraft a month "

The planes had to thread their way through dangerous mountain passes.

They were usually overloaded with supplies or fuel.

Goutiere, along with his fellow pilots, delivered gasoline to American Boeing B-29 air bases, staging areas for bombing raids over Japan.

Sometimes, under the demands of war, pilots took to the skies alone, Goutiere among them.

The conga line of airplanes worked hand-in-hand with the American Volunteer Group (AVG), more commonly known as the Flying Tigers.

CNAC was a principal source of fuel for the Tigers.

Turbulent history for C-47

When the war ended, Ship 100 was converted to passenger configuration and entered CNAC's peacetime service.

But the civil war between the Chinese Nationalists under Chiang Kai-Shek and the Communists under Mao Tse-tung, which began before World War II and only moderated during the fight against the Japanese, resumed.

CNAC helped evacuate Chiang's family to Taiwan (then called Formosa) when it became clear Mao and the Communists would soon claim victory.

CNAC's fleet evacuated from China to Hong Kong during the closing days of the civil war.

Lawsuits were filed over ownership and the fleet was tied up in courts for two years.

A few airplanes remained airworthy during the limbo, including Ship 100.

Saboteurs placed small bombs on these to prevent them from being flown into Communist China. Some failed to go off -- but one on Ship 100 did, damaging the fairing behind the right engine.

Legal ownership was eventually resolved and Ship 100 was sold to Johnson & Johnson, the U.S. consumer goods company.

The airplane was modified, adding landing gear doors to streamline aerodynamics and an elongated nose to accommodate radar.

Historic Flight Foundation locates plane

By 2006, the aircraft had changed hands several more times and was owned by an aircraft broker in New York.

John Sessions, founder of the Historic Flight Foundation, was looking for a DC-3 to add to the HFF collection of airworthy aircraft. HFF focuses on the 1937-1957 era of significant military and civil advances in aviation.

Sessions wanted aircraft that weren't only from this era, but aircraft with a history.

Ship 100 filled the bill.

Sessions had the gear doors removed and replaced the "Pinocchio" nose with a standard DC-3 nose fabricated from scratch.

The airliner was painted in Pan Am colors (his late wife worked for Pan Am); Pan Am owned 45% of CNAC until after WWII.

HFF takes the DC-3 to air shows and offers rides.

But the CNAC reunion became a special occasion, and Ship 100's flight from Everett to San Francisco became its longest in years at just less than five hours.

For Goutiere, the reunion with Ship 100 was as important as the CNAC reunion in San Francisco.

"I was home," an emotional Goutiere told the reunion. "I was homesick."

You can fly on a combat-scarred Vietnam icon

Who is Pfc. Clarence Merriott and why was his Purple Heart for sale?

Scott Hamilton is an aviation author and consultant based in the Seattle area.

@highlight

WWII U.S. pilot Peter Goutiere flies in his old Douglas C-47 aircraft from Seattle area to San Francisco

@highlight

Flight part of reunion of the famed China National Aviation Corp.

@highlight

The plane is owned by the Historic Flight Foundation of Everett, Washington

@highlight

Moon Chin, 102, the CNAC's only other living wartime pilot, greeted Goutiere upon arrival in San Francisco