(CNN) -- On Tuesday, the Supreme Court will confront the profound impact of new location-tracking technologies on Americans' privacy. The case, U.S. v. Jones, presents the question of whether law enforcement needs a warrant before planting a GPS tracking device on a person's car. The answer to this question is important in its own right, but the case is likely to have broader implications.

Attaching a GPS to a car isn't the only way the government can track people's movements. In fact, everyone with a cell phone is already carrying a device that the government can use to track his or her location. As a result, the principle at stake in this case may well shape our privacy rights in the years and decades to come.

The police in the current case suspected Antoine Jones of drug violations and tracked his movements continuously for one month by installing a GPS device on his car. Increasingly, though, law enforcement agents are tracking our movements by tracking the cell phones that most people are already carrying around.

It doesn't matter whether your phone is a smartphone or whether you use it to make calls; as long as your phone is turned on, it registers its location with cell phone networks several times a minute, and all U.S. cell phone companies hold on to that data, some of them for years.

This kind of tracking is extremely invasive, because if the government knows where you are, it knows who you are. As the Jones appellate court explained in its ruling that the government violated the Fourth Amendment, "A person who knows all of another's travels can deduce whether he is a weekly churchgoer, a heavy drinker, a regular at the gym, an unfaithful husband, an outpatient receiving medical treatment, an associate of particular individuals or political groups -- and not just one such fact about a person, but all such facts."

Cell phone tracking can reveal our private associations and relationships with one another. The government could make note of whenever people being tracked crossed path or spent time together, showing who our friends, associates and lovers are.

The Justice Department sometimes gets warrants to track location, and some local police departments make it a policy, which shows that it's not an unworkable requirement. But state and federal judges across the country have made conflicting rulings on what standards are required for the government to obtain tracking information from cell phone companies.

New technology provides the government with a powerful and inexpensive tool to follow individuals as they travel through both public and private areas. Unless the court concludes that such tracking requires a warrant, anyone's movements could be subject to remote monitoring and permanent recording at the sole discretion of any curious police officer, without any judicial oversight.

And while it may not be realistic to think that the government will install a GPS device on every car, it's not at all implausible to think that the government will ask cell phone providers to turn over location-tracking information en masse -- and it may well be the case that the government is doing so already. It was revealed last month that the London police have a system that lets them track hundreds of phones in real time in a targeted geographic area, a technology that could easily enable the government to identify everyone at an Occupy protest, tea party rally or any other political gathering.

The genius of the Constitution is that its limits on the government can still be applied in a modern world that the framers could scarcely have imagined. Anyone who values privacy should hope that the Court ensures the government cannot use technological advances to undermine the liberties this country was founded on.

The opinions expressed in this commentary are solely those of Catherine Crump.

@highlight

Should law enforcement need a warrant before planting a GPS tracking device on a car?

@highlight

Yes, the Supreme Court ought to decide that they should, says Catherine Crump

@highlight

The principle at stake in a current case may well shape our privacy rights, she says

@highlight

All of us can already easily be tracked through our cell phones, Crump says