New York (CNN) -- The classroom walls tremble as a room full of 8-year-olds bob heads, shrug shoulders and wriggle around in sync with the thud of the bass.

An emcee runs up to the front of the room and yells "hip," to which the children respond, "hop." And with that, the "party" has begun.

This is obviously not a typical class. It is more like what one organizer calls, "a party with a purpose": a program called Hip Hop Public Health, which uses music as a vehicle to communicate health messages to children.

"Music is an extremely powerful medium," said Dr. Olajide Williams, founder of the program. "Great poets have described music as being the bridge between heaven and Earth, but I see music as the bridge between health education and the streets."

For nearly a decade, Hip Hop Public Health has taken public health messages -- which, let's face it, can sound boring if you're a kid (or an adult, for that matter) -- and transformed them using clever rap lyrics and infectious beats.

When Williams -- whose day job is chief of staff in the Department of Neurology at NY-Presbyterian/Columbia Medical Center -- had the idea of fusing hip-hop and public health, his next thought was that he needed serious help.

"I'm really hopeless," he said, laughing. "I'm a neurologist; I'm not a rapper."

Williams needed a partner, someone with hip-hop credibility, which he knew was essential to get through to inner city children.

After a relentless pursuit, Williams scored a major coup when legendary rapper Doug E. Fresh (also known as the "Human Beat Box") agreed to work with him.

Their first project, in 2005, was presented at 10 schools in Harlem, teaching children how to recognize a stroke.

The main instrument of the interventions was a video populated by colorful animated characters doing a dance called "The Stroke."

The song's catchy refrain is, "If he don't sound right, then he's doing the stroke. Sway when he walks, then he's doing the stroke. Slur when he talks, then he's doing the stroke." It then urges the children to "call 911" if they recognize those symptoms.

After several months, the pilot program seemed to be working, according to Williams.

Not only were kids excited -- yes, excited -- to learn about stroke, they tended to share the messages they learned with family members at home.

In addition, there are several stories of children saving family members in the grips of a brain attack. One child recognized that his grandmother was having a stroke and called 911, saving her life.

"That's the power of children, the potential role that children can play within the public health chain of survival," Williams said. "That (story) has always stayed with me, and that's one of the things that really keeps me going."

With the stroke program, Williams realized he had tripped over a powerful communication model that could work for a whole host of diseases and conditions.

So, he deepened his bench, adding rappers like Easy A.D., a former member of the Cold Crush Brothers; Chuck D of Public Enemy; and D.M.C., of Run D.M.C., to his roster.

The crew then dug into one the of the most pressing health problems facing minority communities: obesity.

The challenges are formidable.

Recent Centers for Disease Control and Prevention data indicate that obesity rates are falling overall, but the rates among Hispanic and African-American children are still troublingly high. Those children also tend to live in areas saturated with fast food chains, with little access to healthy foods.

"Hip Hop H.E.A.L.S.," or Healthy Eating and Living in Schools, the program Williams and his rapper colleagues developed, tries to chip away at those issues.

"Everyone remembers their favorite song growing up," said Easy A.D., director of programming for Hip Hop Public Health. "Even if you're 5, 6, 7 years old, you always remember the words, the melody, how it made you feel when you listened to it.

"That's what we're doing with our program," he added. "We take health messages and attach them to good feelings, good memories, and that makes (children) incorporate those messages into their lives."

In one video titled "Watch Your Calories," a cartoon character, voiced by rapper Artie Green, admonishes two children who are about to eat fatty fast food meals to "stop right there for a second. Before you super-size that No. 5 now, check it. See, there's a whole lot of stuff in that meal you don't need."

A menu appears, showing the sugars, carbohydrates and fats contained in their meals. An embedded message in the video is menu board literacy, providing children whose main option may be fast food with the information they need to make healthier choices.

Williams admits that teaching children the importance of cooking meals at home and purchasing healthy groceries would also be effective, but he says that teaching "caloric literacy" can also provide a substantive impact.

For example, he says, cutting 100 calories a day using better menu board literacy could translate to a few thousand calories over a few weeks.

"These small changes are meaningful, and on a population level, these small changes could have very significant impact," he said.

Another video developed for the obesity program teaches children how to achieve their anaerobic threshold, a measure of optimal performance while exercising.

The video, titled "Hip Hop FEET," uses a set of musical beats as a measuring stick for how effectively a child is exercising.

If they breathe before the beats count is up, they are over-exerting themselves. If they don't breathe enough, that means they're not trying hard enough. And if they breathe once at the conclusion of the beats, they've hit their anaerobic threshold.

It is a complex concept simplified for young people.

"It's using hip-hop in a positive way, to have real impact," Doug E. Fresh said. "We use beats that make you really wanna move. You're not just gonna sit there; you wanna get up and do something."

As it turns out, the programs for healthier eating and exercise are doing much more than simply making children move.

Peer-reviewed studies conducted by Williams and colleagues found that immediately after caloric literacy interventions, children changed their food purchases.

"We found that caloric purchases declined by about 25%," Williams said. "So they were buying more healthy items as a result of the intervention."

The lingering question for this intervention -- and for the Hip Hop Public Health program more generally -- is how to sustain this change.

After reaching tens of thousands of children in New York, Hip Hop Public Health got a shout-out -- and a request to collaborate -- from the Partnership for a Healthier America, whose ambassador is first lady Michelle Obama.

What evolved from that partnership is an album, releasing Monday, called "Songs for a Healthier America."

The album moves the songs beyond hip-hop into other genres (some of the artists contributing to the album include Ashanti, Travis Barker and Matisyahu) and will be distributed, along with a curriculum, to schools nationwide.

Williams is convinced the model that began in New York, with a neurologist and a few rappers, could make a powerful impact in schools across the country.

"This really teaches us how impressionable kids are and how we have an opportunity to shape their behaviors at a young age," he said.

@highlight

Hip Hop Public Health uses music to communicate health messages to kids

@highlight

The program is coming out with an album called "Songs for a Healthier America"

@highlight

The movement began in New York but has nationwide potential, the founder says