DALAT, Vietnam (CNN) -- Dalat Nuclear Research Institute stands on a mountaintop in Vietnam's southern highlands. The nuclear reactor is not what most Vietnamese think of when they think of Dalat. The town, nestled in pine woods, is Vietnam's favorite honeymoon spot.

Highly enriched uranium rods are laid out on a table at the research institute in Dalat, Vietnam.

The institute is not a romantic place. Located in a cylindrical, concrete building, it contains a 500-kilowatt, pool-type reactor that had only recently been loaded with Soviet WWR-M2 fuel assemblies.

Built in 1963 with U.S. help, it originally contained highly enriched uranium from the United States.

In 1975, at the end of the Vietnam War, the reactor was closed, then reconstructed by the Soviet Union. In 1983, it reopened, this time using Soviet highly enriched uranium -- a Cold War marriage made in heaven.

The institute created medical isotopes and carried out research, but few people if any, in those days thought about the possibility that terrorists might take an interest in the uranium.  Watch experts remove nuclear fuel and show how easily terrorists could hide it »

As I was soon to see for myself, fresh, highly enriched uranium is easy to smuggle. When clad with aluminum, its radiation is detectable only by specialized sensors. Approximately 25 kilograms are all that is needed to make a crude nuclear device.

I had never heard of Dalat when, sitting at my desk in Washington last July, I got a call from a contact at the U.S. Department of Energy's National Nuclear Security Administration.

A dream I had had several years ago, when I was working in Moscow as CNN's bureau chief was about to come true: CNN was given the green light to be the only television network invited to shoot a secret joint U.S./Russian mission to remove the HEU fuel from the Dalat reactor.

The Vietnamese government, once a U.S. enemy, had agreed to give up its HEU in exchange for converting the reactor to low-enriched uranium that cannot be used for a bomb.

My contact gave few details over the phone. I went to the Department of Energy for a closed-door briefing.

CNN cameraman Charlie Miller and I would travel to Ho Chi Minh City, where we would meet the Department of Energy staff, then fly to Dalat and drive to the reactor.

According to DOE ground rules, we would be able to share only a few details of the operation with our senior editors. The timing of the actual transfer of the HEU was classified. We would learn it only after we had arrived in Vietnam. We would not be able to broadcast our report until the nuclear material was back in Russia.

After our arrival in Ho Chi Minh City September 11, we, along with a U.S. and a Japanese newspaper reporter, met the other members of the team: two Russian nuclear experts and a representative from the International Atomic Energy Agency -- the nuclear watchdog of the United Nations -- who were to certify completion of the transfer.

After a short flight to Dalat, we loaded into a van and set out on the serpentine road toward the research institute, passing ribbons of Vietnamese on motor scooters, the primary mode of transportation here.

At the gate, a color poster of Ho Chi Minh greets us. Inside, we don yellow lab coats, cover our shoes with blue throw-away slippers and enter the cavernous room where the reactor stands, towering over us like something out of "Dr. Strangelove."

The HEU fuel rods have been removed from the reactor and are stored in a large metal case. A Vietnamese scientist fumbles with the keys, then opens the top and begins handing the rods to the Russian experts, who lay them out on a table.

The experts are wearing dosimeters to measure the radiation, but only one person wears gloves -- simple, rough cotton ones. They hand me a fuel rod and I hold it in my bare hands. Now I understand just how easy it would be for a terrorist to disguise the fact that he or she was carrying highly enriched uranium. The fuel rod looks for all the world like an aluminum leg to a small table.

The experts lead us up steep metal stairs to the top of the reactor. I peer down into the pool of water into which a technician is lowering new fuel rods made of low-enriched uranium. Unlike highly enriched uranium, this fuel cannot be used to make a bomb.

The Vietnamese are willing to cooperate, but they also want to verify that this new fuel will work as well as the HEU did. In the control room, they huddle in front of a wall of electronic gauges, waiting until the reactor reaches "criticality."

As a blue gauge hits the mark, the room fills with applause. Professor Vuong Huu Tan, chairman of the Vietnam Atomic Energy Commission, tells me "the most important part of the reactor is training our people in nuclear energy."

This is the other part of the equation: By complying with the U.S./Russian effort to remove vulnerable nuclear materials, Vietnam assures it will get international support for its quest to build nuclear power plants to generate energy. Both U.S. and Russian companies are eyeing Vietnam as a potential market.

The Russians wrap the fuel rods in plastic, then insert them into two large, steel cylinders. The IAEA expert seals them. If they're tampered with, it will be obvious.

The next day, a flatbed military truck backs into the reactor room. A crane lifts the cylinders and gently lays them on the truck's wooden bed as a Vietnamese military officer, in olive drab, looks on.

The final and most vulnerable phase of the operation begins. The truck drives through the reactor gates and joins a convoy guarded by armed soldiers. Sirens blaring, we set out in a slow procession, weaving down the mountain road, traffic police on motorcycles waving riders on motor scooters out of the way.

At Dalat's airport, the truck wheels onto the tarmac and stops near a Vietnamese military helicopter. A forklift lowers the cylinders to the ground and six soldiers heave them in slings to the helicopter.

From there, they are flown to the military base at Ho Chi Minh City airport, where they are put onto a Russian transport plane. Until the last moment, it is unclear whether the Vietnamese military will allow journalists onto the base. As one soldier tells a member of the nuclear team, "the last time Americans were here was when you bombed us."

But they do let us in. "No pictures outside. Just inside the plane." We climb the stairs into the belly of the Ilyushin 76 and see the two baby-blue cylinders filled with highly enriched uranium, nestled side by side, like two children of the Cold War, ready for a trip back to where they came from: Russia.

At 2 p.m., right on schedule, the engines roar and the plane lumbers down the runway, off to its ultimate destination in the Ural Mountains. There, the HEU will be blended into a form that cannot be used for bomb-making.

My instincts tell me to grab a phone and call CNN headquarters in Atlanta to report that the plane has taken off, but the embargo is strict: no broadcast until the HEU is safely back on Russian soil.

On the sweltering tarmac at a military base in Ho Chi Minh City, as the plane rises in the sky, the team of nuclear experts, the Vietnamese soldiers and even we reporters break into applause. Three countries: Russia, the United States and Vietnam, intertwined in a complex page of history, brought together in a mission to make the world more secure.

This is the 13th such mission carried out by the United States and Russia. Altogether, a total of 442 kilograms of fresh HEU from 11 countries, enough to build more than 17 crude nuclear devices, have been removed. But there is more to be done. The two countries still are only halfway there in securing vulnerable nuclear materials around the world. E-mail to a friend

@highlight

CNN's Jill Dougherty gets exclusive access to removal of nuclear material

@highlight

Vietnam gives up highly enriched uranium from Dalat Nuclear Research Institute

@highlight

The reactor is converted to low-enriched uranium that cannot be used for a bomb

@highlight

The old HEU will be blended into a form that cannot be used for bomb-making