A federal prosecutor is pushing back against the claim by the grieving family of Internet activist Aaron Swartz that "prosecutorial overreach" was a factor in his suicide, saying her office acted "fairly and responsibly."

News of the death of Swartz, 26, last Friday sent shock waves through the hacker community, the Massachusetts Institute of Technology and the larger online world.

His family and partner issued a statement saying that federal charges filed over allegations that he stole millions of online documents -- mostly scholarly papers -- from MIT through the university's computer network contributed to Swartz's decision to take his own life.

But the U.S. attorney for Massachusetts, Carmen M. Ortiz, disputed their account of events in a statement released late Wednesday, while expressing her sympathy "as a parent and a sister" for their loss.

"I know that there is little I can say to abate the anger felt by those who believe that this office's prosecution of Mr. Swartz was unwarranted and somehow led to the tragic result of him taking his own life," she said.

"I must, however, make clear that this office's conduct was appropriate in bringing and handling this case. The career prosecutors handling this matter took on the difficult task of enforcing a law they had taken an oath to uphold, and did so reasonably."

Anger, soul searching follow death of Internet activist

If convicted on the federal computer fraud charges he faced, Swartz could have been sentenced to 35 years in prison or a hefty fine.

However, Ortiz said, prosecutors recognized there was no evidence Swartz had acted for personal gain, and considered that the harshest penalties available under the law were not appropriate for his alleged offenses.

As a result, prosecutors told Swartz's legal team they would recommend to the judge a sentence of six months in a low-security setting, she said.

At the same time, Swartz's defense was free to suggest to the judge that probation would be more appropriate, Ortiz said,  and the final call would lay with the judge.

"At no time did this office ever seek -- or ever tell Mr. Swartz's attorneys that it intended to seek -- maximum penalties under the law," she concluded.

"As federal prosecutors, our mission includes protecting the use of computers and the Internet by enforcing the law as fairly and responsibly as possible. We strive to do our best to fulfill this mission every day."

Ortiz dropped the charges against Swartz on Monday, a day before his funeral in Highland Park, Illinois.

The statement from Swartz's family and partner had called his death "the product of a criminal justice system rife with intimidation and prosecutorial overreach."

How Aaron Swartz helped build the Internet

It also criticized U.S. prosecutors because they sought "an exceptionally harsh array of charges (for) an alleged crime that had no victims," and MIT because it did not "stand up for Aaron."

"Decisions made by officials in the Massachusetts U.S. attorney's office and at MIT contributed to his death," his loved ones said.

Swartz's suicide inspired a flurry of online tributes and mobilized Anonymous, the loosely defined collective of so-called "hacktivists" who oppose attempts to limit Internet freedoms. They claimed credit late Sunday for defacing several MIT websites.

A White House petition to "Remove United States District Attorney Carmen Ortiz from office for overreach in the case of Aaron Swartz" was set up Saturday. By Thursday, it had garnered more than 40,000 signatures.

Swartz, widely regarded as a digital prodigy, helped develop social news site Reddit and RSS, the technology that allows websites to send updates to subscribers, at a young age.

On leaving Reddit, he engaged in Internet digital activism, co-founding Demand Progress, a political action group that campaigns against Internet censorship.

But he pushed the legal limits, allegedly putting him on the wrong side of the law.

In 2011, he was arrested in Boston and accused of computer fraud and illegally obtaining documents from protected computers. He was later indicted in an incident in which he allegedly stole millions of online documents from the Massachusetts Institute of Technology. He pleaded not guilty in September, according to MIT's The Tech newspaper.

He had previously been investigated by the FBI after he released millions of U.S. federal court documents online. The alleged hacking was significant because the documents came from the government-run Public Access to Court Electronic Records, or PACER, which typically charges a fee, which in 2009 was 8 cents a page.

Opinion: Why the Net grieves Aaron Swartz

@highlight

U.S. attorney for Massachusetts says prosecutors acted reasonably

@highlight

They sought only a six-month prison term for Aaron Swartz, she says

@highlight

Swartz's family says federal charges were a factor in Swartz's suicide

@highlight

The Internet prodigy and activist helped develop social news site Reddit and RSS