(CNN) -- Being diagnosed with a chronic disease -- any disease -- is hard. But imagine first spending months or years going from doctor to doctor, trying to figure out what's wrong. Then, in the end, being diagnosed with a disease few people have ever heard of.

Now think about all that happening when you're just a kid.

Nearly 30 million people in the United States have a rare disease. What qualifies something as a rare? It's a specific disease or disorder that affects fewer than 200,000 Americans, according to the National Institutes of Health's Office of Rare Diseases Research. Scientists have identified more than 6,800 of these diseases worldwide.

In honor of Rare Disease Day, CNN asked readers to submit their stories. We were inspired by these children living with rare diseases. They endure stares, disbelief and debilitating symptoms as they find joy in life's simple pleasures. Here are a few of their stories:

Mitochondrial myopathy

The fact that Sam Brinneman, 16, is alive and well is inspiring all on its own, says his mom, Chris. The Brinnemans knew something was wrong within days of Sam's birth -- he had a weak cry, wasn't nursing well and was "floppy," Chris says. It took three years for doctors to diagnose Sam with mitochondrial myopathy.

Since then, Sam has exceeded everyone's expectations. He's currently a sophomore at a rigorous college-prep high school in Fort Wayne, Indiana. He participates on the school's speech team and in architecture club. Last year he was the state's Goodwill Ambassador for the Muscular Dystrophy Association.

"He was so deathly ill at times as an infant and toddler, that he constantly amazes me with his abilities," Chris said. "The thing that makes me most proud is the fact that he teaches acceptance wherever he goes. Because he is so open about his disease and so willing to share, he has rarely -- next to never -- been teased by his peers."

Sam struggles on a daily basis to get enough calories for optimal nutrition. He wears a breathing machine to bed to treat his sleep apnea. His parents are diligent about keeping him away from sick people, as his immune system is weak.

Yet Sam never uses his disease as an excuse, his mom says. "He has spoken with groups of all sizes, spreading the message about (mitochondrial diseases), including the need for quicker diagnosis, the need for treatment and the hope for a cure."

Read more about Sam's story on iReport

Cyclic vomiting syndrome

"I never expected my little girl to have to fight a battle with a foe she couldn't see," Tricia Andersen said. But when her daughter, Ali, was 13 months old, she started throwing up and couldn't stop. For a day and a half, Tricia watched as Ali retched painfully and was admitted to the hospital for dehydration. When she was discharged the vomiting episodes continued -- every three weeks like clockwork.

After a year of doctors' visits, Ali was finally diagnosed with cyclic vomiting syndrome. It took the family another six months and a trip to another state to find a medication combination that would work to ease her symptoms. Even then, she was hospitalized half a dozen times by the time she was 9.

Ali is now 11 years old, and doesn't let CVS dictate her life, Tricia says. She does robotics at school, plays basketball and participates in several track and field events, even though she has to wear an ice vest to keep her body temperature from getting too high.

"She gets involved with the activities that make her happy," her mom said. "[This] allows her to be a 'normal' kid despite having a chronic illness. Having CVS is a part of her life, not what controls it."

Read more about Ali's story on iReport

Cutaneous mastocytosis

When Kellie and Josh Ewell saw their baby, Gage, for the first time, they were shocked.

"His sweet body [was] covered from the tip of his head to the soles of his feet with blisters, hives, knots, and raw places where the blisters had come open," Kellie wrote on iReport. "His skin the texture of an orange and fire-engine red."

Gage, now 2, has pediatric diffuse cutaneous mastocystosis. An overabundance of mast cells in his body causes severe allergic reactions to just about everything. His skin turns purple, he struggles to breathe and his parents can only watch as he tears at his skin, trying to find some relief. He is in constant pain, Kellie says.

Despite his illness, Gage is "a little boy anxious to learn and explore the world," his mom said. He loves people, laughing, playing outside and with the family boxer, Colt. He has never known a life without itching, aches or pains, but doesn't let that stop him.

"I want him to be anything that he wants to be and go after any dream that he has," Kellie said. "I never want him to hold back out of fear of what might happen."

Read more about Gage's story on iReport

Arthrogryposis multiplex congenita

Kailen Carpenter is a ladies' man. The 12-year-old learned early that women love to help him with things like carrying his lunch tray or holding his hand as he climbs steps -- and takes full advantage of their companionship.

Kailen was diagnosed with arthrogryposis multiplex congenita, a condition that affects joint movement, shortly after birth. The condition was caused by his cramped quarters next to his twin in utero, his mom Kayawna says.

His arms are locked in a straight position. He cannot bend his arms to put on his clothes, use a knife and fork, comb his hair or touch his face. Yet he teaches everyone around him the meaning of perseverance, she says.

He's also a terrific dancer and a nearly straight-A student.

"This is an able-bodied world, and people like me have to learn how to live in it," Kailen said. "I can't move like you do, but I hold my own... (People) should take every day and live it like you're awesome. I do."

Read more about Kailen's story on iReport

Leukodystrophy

MRI scans of Ryan Wright's brain show he has the white matter of a 6-month-old baby. Yet he speaks in five- to six-word sentences, rides his bike and goes to preschool.

Ryan is 4 years old.

He was recently diagnosed with a rare form of leukodystrophy, a progressive genetic disorder that affects the development of myelin in his brain. Myelin is fatty tissue that protects the brain's nerve fibers. The disorder affects Ryan's balance and muscle strength, and causes hand and eye tremors.

His parents try to keep his life as normal as possible in between therapy sessions. He sees an eye doctor every three months, and a neurologist and geneticist every six months.

"It is very hard to tell the prognosis for children with leukodystrophy," his mom, Tricia, said. "Some children stay the same for the rest of their lives, some children decline fast, and some children decline slow."

Ryan never gives up, Tricia says, and is fiercely independent. His geneticist says these traits will keep Ryan healthy longer.

Read more about Ryan's story on iReport

Juvenile dermatomyositis

Tristan Coffey is 5 years old. In July, he developed a mysterious rash on his hands. Three months later, he was diagnosed with juvenile dermatomyositis, a rare autoimmune disorder.

His immune system is attacking itself, causing painful inflammation in his joints, muscles and internal organs. The Coffeys call it the "invisible illness" because except for the rashes on Tristan's hands and feet, there is little obvious to the eye.

"Everyone looks at him and says 'Oh, he looks so great,' but they can't see his body attacking his heart, or his liver, or his veins, or his muscles," his mom Brianna said. "They can't see how much he is in the hospital, all that he endures, all the treatments."

Juvenile dermatomyositis is treatable, but not curable. Tristan takes 11 to 14 medications a day. He has a catheter port in his chest for weekly steroid infusions and monthly IVIg therapy. These medications cause huge mood swings, and limit Tristan's ability to be outdoors in the sun.

Despite all this, Tristan is always first in line to play soccer and at the playground with his friends. He's also one of the funniest kids you'll ever meet, Brianna says. "He will always light up a room, the hospital, the grocery store -- wherever we may be."

He's also super sensitive to other people's feelings, she says. "Occasionally he will catch me crying. He will put his little hands on my cheeks and wipe away my tears and say "Mom, I just love you and I'm going to be OK. Don't cry, Mom."

Read more about Tristan's story on iReport

@highlight

Rare Disease Day is held on the last day of February each year

@highlight

CNN asked readers to share their stories about living with a rare disease

@highlight

Families shared stories of perseverance and hope, despite illness