(CNN) -- In a rare interview with an American television network, Syria's embattled President Bashar al-Assad denied he is responsible for the violence engulfing his country and distanced himself from the behavior of his armed forces.

"They are not my forces," al-Assad told ABC's Barbara Walters in an interview that was broadcast Wednesday. He was responding to a question about whether he thought his forces had cracked down too hard on protesters over the past nine months.

"They are forces for the government. I don't own them. I'm president. I don't own the country. So they are not my forces."

Wouldn't al-Assad, the commander in chief, have had to give the order for any military actions? "No, no no," he said.

Not by your command? "No," he said, "on no one's command. There was no command to kill or to be brutal."

Al-Assad said those members of the armed forces who "went too far" have been disciplined.

"Every 'brute reaction' was by an individual, not by an institution, that's what you have to know," he said in the interview. "There is a difference between having a policy to crack down and between having some mistakes committed by some officials. There is a big difference."

"We don't kill," al-Assad said. "It's impossible for anyone in this state to give orders to kill."

"No government in the world kills its people, unless it's led by a crazy person," al-Assad said.

Defections continued Wednesday from al-Assad's forces, some of whom rose up against the regime in a counterattack in Idlib province, near the Turkish border, according to the opposition Free Syria Army, which said it had seized and destroyed a number of military vehicles, including three tanks. Two al-Assad soldiers were killed and more than 50 were wounded, it said.

Instability and violence have been raging in Syria since mid-March, when the al-Assad regime responded brutally to peaceful protests.

U.N. Secretary-General Ban Ki-moon, citing 4,000 deaths in Syria, told CNN he thought al-Assad had gone too far and pledged that the world body was prepared to help. "It is important, first of all, that he stops killing people, and he engage immediately with all political forces and their own people, including opposition to find a way out, so that all the people of Syrians can enjoy genuine freedom and democracy."

Reports and images of violence have led powers such as the Arab League, Turkey, the United States and the European Union to impose sanctions against the regime.

A U.N. report said the security and military forces have committed crimes against humanity, and several observers, including U.N. High Commissioner for Human Rights Navi Pillay, have urged the International Criminal Court to take up the issue.

Despite international outrage, violence continues as deaths have mounted. The Local Coordination Committees of Syria, an opposition group that organizes and documents protests, said at least 16 people were killed Wednesday by security forces.

CNN is unable to verify the reports because Syrian officials have restricted access to the country by reporters.

While activist groups blame Syria's military and security for deadly violence, Syrian officials have said they are battling "armed terrorist gangs" that target civilians.

Al-Assad says that most of the people killed, including 1,100 soldiers and police, have been government backers.

Yasser Tabbara, a Syrian-American activist with the opposition Syrian National Council, said al-Assad's denial that he controls the army -- despite the fact that he is Syria's commander in chief -- "signals that he is prepping himself for a defense in case of a criminal indictment."

Andrew Tabler, a Syria expert with the Washington Institute for Near East Policy, told CNN, "The interview clearly shows, we've actually known this for a while ... this is a man who is just on another planet. He's just in denial of reality. This is the challenge. We've been trying to devise a strategy that deals with him as a rational player."

"It's now clear he is a madman in complete denial of the situation in Syria, as thousands of videos and journalist reports clearly demonstrate. The question is: What is the most efficient way for the Syrian people and the international community to deal with such a madman?"

Mark Toner, State Department deputy spokesman, said he finds it "ludicrous that he is attempting to hide behind some sort of shell game, but also some sort of claim that he doesn't exercise authority in his own country."

National Security Council spokesman Tommy Vietor said, "The increase in death and body counts this month highlights that the Syrian government relies increasingly on its security and military apparatus as its only solution in the face of increasing isolation at home and overseas."

Syria is among the Middle Eastern and North African countries wracked by the "Arab Spring" demonstrations that arose after the revolt that toppled Tunisia's longtime strongman in January.

Subsequent uprisings ousted two of the region's longtime autocrats, Hosni Mubarak in Egypt and Moammar Gadhafi in Libya, and Yemen's Ali Abdullah Saleh has agreed to step down by February.

CNN's Ivan Watson, Robyn Curnow, Hamdi Alkhshali, Mohamed Fadel Fahmy and Joe Sterling contributed to this report

@highlight

The White House says al-Assad's comments not "credible"

@highlight

El-Araby raises specter of sectarian strife

@highlight

Al-Assad: A government that would kill its people is "led by a crazy person"

@highlight

One Syria expert calls al-Assad a "madman"