(CNN) -- As recently as 2011, Hillary Clinton was seen by many as a respected but polarizing figure: Smart and accomplished, sure, but controlled and somewhat humorless. In the infamous faint praise of her rival-turned-boss Barack Obama, she was "likable enough."

Three years later, she seems somehow hipper, looser and more ... human. As we inch toward the 2016 election, she's presented a new online persona.

While Clinton has embraced social media, it hasn't always loved her back, as seen most recently on her current book tour. The Internet has used every opportunity to turn her words and actions into memes, not all of them flattering.

So what happened? How did Hillary Clinton suddenly go viral?

You can trace the change back to October 18, 2011, when then-Secretary of State Clinton was traveling with her staff on a C-17 military plane from Malta to Tripoli, Libya.

Nobody knew its importance at the time, but that's the day Reuters' Kevin Lamarque and TIME's Diana Walker snapped a handful of photos that would soon become iconic: Clinton, in oversize black shades and a no-nonsense expression, checking her BlackBerry at a makeshift desk as staffers mingled behind her.

"Okay, nice image I thought, but we were about to land in Tripoli which was certain to yield the images that the world would really want to see," Lamarque wrote in a blog post months later. "Photographers, you never really know when your pictures will resurface and what use they will be to someone out there."

5 things to watch in Hillary Clinton town hall

Texts From Hillary

You know the rest. Six months later, the photos were all over the Internet, thanks to two journalists with an idea that started as a joke at a bar. In April 2012, Stacy Lambe and Adam Smith launched a blog, Texts From Hillary, that showed fictional text-message exchanges between Clinton, from her seat on the plane, and a range of celebrities.

There she was rejecting a Mark Zuckerberg friend request, telling a flirty Ryan Gosling to call her "Madame Secretary," blowing off Jon Stewart by saying she's already booked on Colbert and responding to Obama's "Hey Hil, whatchu doing?" with "Running the world."

As the perfect vessels for deadpan mockery in the social media age, the posts and related Twitter feed soon were everywhere. Within days, Clinton invited Lambe and Smith to her office at the State Department, where she initiated a group photo of the trio texting on their phones.

Although its makers shuttered the blog only a week later -- "Once you meet the subject of your meme ... it's very hard to top that," Smith told CNN -- Clinton's image was altered almost overnight.

"During the 2008 Democratic primary, Barack Obama had a lock on young people, technology chic and the press. Hillary was regarded by kids as the lady who'd been around a long time, wearing headbands and pantsuits," Maureen Dowd wrote that week in The New York Times.

"Now she's quick to laugh at herself and take advantage of the positive buzz," Dowd continued.

Building a brand on Twitter

A few months after Clinton stepped down as secretary of state in early 2013, she joined Twitter. Her first tweet thanked Lambe and Smith for the inspiration and then said, "I'll take it from here ... #tweetsfromhillary." It was retweeted more than 10,000 times.

And her Twitter bio became an instant classic of the form. It reads: "Wife, mom, lawyer, women & kids advocate, FLOAR, FLOTUS, US Senator, SecState, author, dog owner, hair icon, pantsuit aficionado, glass ceiling cracker, TBD..."

Soon Clinton was posting childhood photos of husband Bill on his birthday, tributes to the late Nelson Mandela, a portrait of her with members of Russian band Pussy Riot and pleas for such pet causes as elephant poaching and empowering women in the developing world.

"She has really embraced the platform in the right way. She has humanized herself and her brand," said Shama Hyder, CEO of the Marketing Zen Group.

"Today, participating in digital media isn't a choice," Hyder added."Your digital footprint is created regardless of your participation, and any smart politician knows that it is best to help curate that image vs. leaving others to define it for you."

Clinton also has shown flashes of self-mocking humor, as when she tweeted a joke during the Super Bowl in February about how she enjoyed watching "someone else being blitzed and sacked" on Fox for a change.

Today, Clinton, 66, has 1.5 million Twitter followers, many who may not even remember her eight years in the White House. At least for now, she seems more comfortable in her skin -- witness the photos of her wearing thick glasses and almost no makeup -- although that may change if she runs for president again.

The Internet isn't always nice

But getting the attention of the Internet is not always a good thing. Anything Clinton says has the potential to go viral, for worse as well as better.

In January 2013, Clinton was fighting back criticism before the Senate Foreign Affairs Committee during a hearing about the attack on the U.S. mission in Benghazi, Libya.

"With all due respect, the fact is we had four dead Americans," she said. "Was it because of a protest or was it because of guys out for a walk one night decided they'd go kill some Americans? What difference, at this point, does it make? It is our job to figure out what happened and do everything we can to prevent it from ever happening again, senator."

The Twitter-sphere quickly seized on the outburst, and within hours, #WhatDifferenceDoesItMake was trending.

Not only did the hashtag spread, but so did a graphic of Clinton's 2008 campaign sign juxtaposed with the phrase "What difference does it make?"

Earlier this month, as she promoted her new book, "Hard Choices," Clinton was trending again

In an interview with ABC's Diane Sawyer, Clinton said she and former President Bill Clinton were "dead broke" and "struggled to piece together the resources" for mortgages in pricey Washington and the New York suburbs along with their daughter Chelsea's tuition at Stanford University.

Clinton sought to clarify her comment, saying simply that she and her husband have known periods in their lives when they struggled to pay off debt, but the damage was done. Her Twitter critics turned #HillaryIsSoPoor into a mocking hashtag.

Once and future candidate?

Criticism aside, should Clinton run for president in the 2016 election, digital-branding experts believe the reborn, tech-savvy Clinton will resonate better with voters, especially young ones.

Marketing guru Marian Salzman believes the old Clinton hid her personality behind the security wall of public service. The new Clinton is undergoing a swift digital makeover, said Salzman, CEO of Havas PR North America.

"How can she modernize, and fast? Get online and exude an ageless hipster style that takes away the pain of the proximity between her age and the age of Ronald Reagan (69) when he took office," Salzman told CNN. "The sudden burst of intellectual energy, even in 140 characters, reinforces she is of these times and living the now."

Salzman believes Clinton must be her authentic self on social media to appear more relatable to voters.

"She needs humor and self awareness -- we don't want Mrs. Thatcher," she said, referring to the sometimes imperious former British prime minister. "She needs to be of the people, and with them."

It can't hurt to keep posting more personal messages such as her "My most exciting title yet: Grandmother-To-Be!" tweet congratulating Chelsea and husband Marc Mezvinsky on expecting their first child.

Hyder, of the Marketing Zen Group, believes Clinton still wants to be president and has realized "she can no longer sit on the sidelines" when it comes to digital media.

"I believe it has helped her garner many new fans and will continue to play a huge role in building her brand," Hyder told CNN. "The last time Ms. Clinton had presidential aspirations, there wasn't a strong sense of her as a person. The public had a very one dimensional image.

"Using digital media in this way allows her to present a fuller ... more human picture. If she does decide to run, it could be a decisive factor."

CNN's Dan Merica contributed to this report.

@highlight

Hillary Clinton has increased her presence on social media

@highlight

Her rebirth can be traced to the "Texts From Hillary" meme in 2012

@highlight

Clinton also has proven to be a savvy user of Twitter

@highlight

But social media cuts both ways and can amplify any missteps