As President Barack Obama presses his case for a strike on Syria, a new national survey shows him swimming against a strong tide of public opinion that doesn't want the United States to get involved.

The CNN/ORC International poll released on Monday shows that even though eight in 10 Americans believe that Bashar al-Assad's regime gassed its own people, a strong majority doesn't want Congress to pass a resolution authorizing a military strike against it.

More than seven in 10 say such a strike would not achieve significant goals for the United States and a similar amount say it's not in the national interest for the country to get involved in Syria's civil war.

See complete poll results (PDF)

The poll comes at the start of a pivotal week for the president.

The Senate is expected to take up the resolution after returning from its summer recess on Monday while Obama participates in a round of interviews with the major television outlets. Wolf Blitzer's interview with Obama will air Monday on "The Situation Room" at 6 p.m. ET.

Three questions for Obama

Amid a flurry of briefings by White House officials, Obama will travel to Capitol Hill on Tuesday to make his case with lawmakers hours before he speaks to the nation in a prime-time address.

"Even as he works members of Congress one by one in small group settings, President Obama's biggest challenge is the American public at large," said John King, CNN chief national correspondent.

"More than seven in 10 Americans simply don't see a military response making any difference. They don't see it doing any good. They're very skeptical, post Iraq and even post Libya and post Egypt, that the United States can do something in a limited way in the Middle East and walk away with a success. And so the skepticism is driving it right now."

The stakes are high for the president.

After pushing for strikes against Syria, Obama unexpectedly announced on August 31 that he would ask Congress to authorize military action. Failing to get Congress to go along would be an embarrassment for the commander in chief.

"He'll go to establishing a new high bar to what it means to being a lame duck this early," CNN contributor and Republican strategist Ana Navarro said. "It would be devastating, I think, for rest of his agenda."

But Stephanie Cutter, another CNN contributor who was Obama's 2012 deputy campaign manager, said Congress's not passing the resolution would be "a blow to the United States, not a blow to the president. It's a blow to the United States' authority all over the world. And unprecedented."

"That's why you're going to see some members of Congress vote for that particular reason. Some said they're voting for that particular reason," she said.

Obama faces steep climb in House

The Senate could vote on the resolution as early as Wednesday and the outcome there is very much in doubt. Even more uncertain are prospects in the House where Republican leaders say they'll wait to see what happens in the Senate first.

"Congressional approval would help Obama a little, but a majority would still oppose airstrikes against military targets in Syria," CNN Polling Director Keating Holland said. "If Congress authorizes military action, 55% of Americans would still oppose airstrikes."

The president has had at least a small majority of public support behind him in conflicts involving the United States over the past 20 years.

Eighty-six percent of those surveyed in a CNN/USA Today/Gallup poll less than a month after the 9/11 terror attacks favored military action, and 56% backed the United States and its allies in creating a "no-fly" zone over Libya in 2011.

Only U.S. involvement in NATO airstrikes on Serbia in 1999 during the Clinton administration split the public down the middle, with 43% supporting involvement and 40% opposing it.

'This is not Iraq or Afghanistan'

While 64% supported using American ground troops in Iraq in 2003, intelligence indicating Saddam Hussein was building weapons of mass destruction was later discredited. That has contributed to  public doubts about Obama administration claims of evidence showing that al-Assad's regime gassed its own people on August 21 outside Damascus, killing more than 1,400 people.

Fifty-nine percent of people questioned say they don't think Congress should approve a proposed resolution authorizing military action against Syria for up to 90 days -- an initial 60-day window plus another 30 following congressional notification -- but prohibiting the use of ground troops. About 40% support that plan.

If Congress rejects the Syria resolution, the White House has said that the president still has the authority to strike.

"I think it would be a mistake for me to jump the gun and speculate because right now I'm working to get as much support as possible out of Congress," Obama said on Friday when asked by CNN senior White House correspondent Brianna Keilar what he would do if the resolution failed.

But the poll indicates Americans are quite clear on that point: More than seven in 10 say they would oppose U.S. airstrikes against Syria if Congress does not authorize it.

Who are the Syrian rebels?

The debate over Syria has caused intra-party divides among both parties: Hawkish Republicans and moderate Democrats say the United States should strike, while the libertarian wing of the GOP says involvement is not in the U.S. interest. Liberal Democrats say there are alternatives to military action that haven't been exhausted.

The poll also suggests those surveyed who identified themselves as  Democrats and Republicans don't see eye to eye on the resolution. Fifty-six percent of Democrats think Congress should pass it, but only 36% of Republicans and 29% of independents say the same.

"Bringing Congress into the equation seems to have added a political dimension to the Syria debate," Holland said. "Once Congress makes up its mind, however, the gap between Democrats and Republicans nearly vanishes."

'House of Assad' survives on loyalty, brutality

If Congress does authorize military action, the gap between Democrats and Republicans shrinks to just four points, with 51% of Democrats and 47% of Republicans favoring military action. And if Congress rejects the resolution authorizing military action, large numbers in both parties oppose airstrikes.

"It appears that while the debate is still in the hands of Congress, politics will affect Americans' views on Syria," Holland said.  "Politics may still stop at the water's edge for most Americans, but Capitol Hill remains a highly partisan environment, even when international affairs are being debated."

The poll gives some insight into why many Americans oppose action.

While more than eight in 10 say that it's likely or certain that the Syrian government used chemical weapons, nearly seven in 10 say that it's not in the U.S. national interest to get involved in Syria's civil war. And more than seven in 10 say that airstrikes would not achieve significant goals for the U.S.

Syria's neighbors on edge

And while most of those questioned said that how their members of Congress voted on the resolution wouldn't affect how they voted in future elections, but the remainder by a nearly 3-1 margin said they would be more likely to vote against the lawmakers if they supported the resolution.

The CNN poll was conducted by ORC International on September 6-8, with 1,022 adult Americans questioned by telephone. The survey's overall sampling error is plus or minus three percentage points.

@highlight

7 in 10 poll respondents say they don't think a strike on Syria would achieve U.S. goals

@highlight

Poll comes at beginning of a pivotal week for President Obama

@highlight

The president has had at least a small majority behind him in recent conflicts

@highlight

About eight in 10 believe al-Assad regime is or is likely behind chemical weapons attack