A flashpoint Syrian border town recently captured by rebels was reeling Tuesday after deadly clashes erupted between Syrian rebels and a Kurdish militia.

The battle left dozens of fighters from both sides dead, including one prominent ethnic Kurdish leader.

Read more: Turkey to Syria: Don't send arms through our air space

"Today it is quiet.  I hope in my heart that there will be no more fighting between Kurds and Arabs because we are all brothers," said a Kurdish activist and resident of Ras Al Ain, who asked only to be named "Baran" for his safety.

"But I am sure there will be more fighting," he predicted, adding that both the Syrian rebels and Kurdish fighters were calling for reinforcements.

Read more: Turkey strikes targets in Syria in retaliation for shelling deaths

According to the London-based Syrian Observatory for Human Rights, at least four Kurdish militia members were killed in the clashes, as well as prominent Kurdish community leader Abed Khalil.  Fourteen fighters affiliated with the rebel Free Syrian Army (FSA) died as well, the observatory said.

A spokesman for the opposition Local Coordination Committees of Syria in the northern province of Hasaka confirmed the death of Khalil, but said the death toll among combatants was much higher, with 20 FSA rebels and 25 Kurdish fighters killed on Monday.

"There are many dead bodies still lying in the streets," said the LCC spokesman in Hasaka, who asked only to be identified as Abu Muhaned. "They are afraid to pick them up."

Read more: New Syrian flashpoint erupts; Turkey releases Syrian plane

Until two weeks ago, Ras Al Ain was a safe haven that had largely escaped the conflict that is ripping Syria apart. Syrians sought shelter in this small, ethnically-mixed market town populated by Arabs, Kurds and Christians.

The town was built along train tracks that divide the border between Syria and Turkey.

On November 8, Syrian rebels mounted an assault on Ras Al Ain.  After less than 48 hours of fighting, they overwhelmed a small garrison of Syrian government forces there.

Read more: Turkish town on Syrian border deals with fighting, ethnic differences

The rebel assault triggered an exodus of thousands of civilians, who fled across the border to Turkey.  The flood of refugees increased in the following days when Syrian helicopters and jets began bombing Ras Al Ain, spreading fear throughout the neighboring Turkish town of Ceylanpinar.

A team of CNN journalists visited Ras Al Ain last Friday during a lull in the regime airstrikes.  By then, the town's central bazaar district was in ruins and almost deserted, except for roving bands of rebel fighters.

A few shopkeepers were seen hurriedly emptying their businesses of all merchandise, clearly afraid there would be more fighting.  There were no victory scenes of jubilation among locals.

Some refugees told CNN they were unhappy with the arrival of FSA rebels.  That was echoed by a Kurdish umbrella group, which issued a public statement demanding that all armed groups evacuate Ras Al Ain.

"Most of the Kurds want neither the rebels nor the regime," said Rashid Mohammed, a Kurdish farmer who had fled to neighboring Turkey, in an interview last week with CNN.

Tensions between the predominantly Arab rebels and members of the militia affiliated with the Kurdistan Workers Party (PKK) erupted Monday.  However, Arabs and Kurds offered contradictory accounts of how the fighting began.

Spokesmen for the rebels claimed their fighters came under attack when they approached a Kurdish checkpoint unarmed.

Kurdish activists said snipers opened fire on a demonstration organized to demand the withdrawal of FSA fighters.

"The reason why they organized the demonstration was to bring the refugees back to Ras Al Ain and to tell the FSA to leave the town," said Nurooz al Ahmad, a female Kurdish activist and Ras Al Ain resident, in a phone call with CNN.

"This was a safe area before the FSA came to Ras Al Ain."

The deadly ethnic clashes appeared to have embarrassed prominent officials in the Syrian opposition movement.

"I have been trying to organize talks between the Kurds and the FSA since yesterday," said Malik al Kurdi, a spokesman for the FSA based in Turkey.

"It was wrong for the FSA to enter Kurdish areas like Ras Al Ain," he added.  "The Kurds don't think the way we think.  They have another culture, another ideology... this is exactly what the regime wants, to create problems between the Arabs and the Kurds so that we stop struggling to bring down the regime."

Monday's battle in Ras Al Ain marked the second time in less than a month that anti-regime rebels have clashed with Kurdish militia members.  On October 27, at least 21 people were killed and more than 100 kidnapped after Kurdish gunmen linked to the PKK fought FSA rebels in the battleground city of Aleppo, in northern Syria.  Both factions have since reportedly worked out a cease-fire agreement.

@highlight

Ras Al Ain is located on Syria's border with Turkey

@highlight

There are conflicting reports about how the fighting began

@highlight

Syrian rebels say the Kurds sparked the violence; Kurds say snipers fired on anti-FSA demo