Along a pastoral lane at George Washington's Mount Vernon estate sits a sizable wooden pen built specifically to house the two turkeys that will be "pardoned" at the White House on Wednesday.

The well-appointed pen includes a small coop to protect them from weather and foxes, and an area for them to strut their stuff for camera-toting tourists.

But there is one thing that is missing: other turkeys. That's because all the turkeys ever pardoned at the White House are dead, including the six already given a pass from the roasting pan by President Barack Obama in previous years.

John Boehner, king of the turkey brine?

"The bird is bred for the table, not for longevity," said Dean Norton, the director at Mount Vernon in charge of livestock. "Some of [the pardoned turkeys] have been pretty short lived."

Compared to domesticated animals,  turkeys bred for consumption are usually plump and slaughtered after a period of months, and wouldn't be expected to live much longer on their own. So, a pardon really can extend their lives a lot, relatively speaking.

The two turkeys pardoned in 2012 - Cobbler and Gobbler - died within a year of their White House appearance, despite what a spokeswoman at Mount Vernon said was diligent veterinary care.

Gobbler died on February 5, 2013, of natural causes. Cobbler lived a bit longer, dying on August 22, 2013, after he fell ill and had to be euthanized. Both are buried at Mount Vernon.

In the two years prior, three of the four pardoned turkeys died less than five months after their pardon.

The other turkey - Peace, who was pardoned in 2011 - lived 16 months after arriving at Mount Vernon.

So why do those birds -- and others bred to be eaten -- die faster than their wild brethren?

"The birds are fed in such a way to increase their weight," Norton, who has worked at Mount Vernon since 1969, said. "[Americans] want a nice big breasted turkey and so they are fed high protein diet and they get quite large. The organs, though, that are in this bird are meant for a smaller bird. They just can't handle the extra weight, so they end up living not as long [as wild turkeys]."

The differences extend beyond life expectancy, too.

"Your native bird can fly beautifully and roost in trees," Norton said, while the type that receive pardons "does not fly, has very short stubbly legs and typically last right up to Thanksgiving."

How to defrost your turkey

Final years? Figuratively

In 2012, when Obama announced the pardons for Cobbler and Gobbler, he hinted the birds were in their final years, telling the audience that they were headed to Mount Vernon "where they will spend their twilight years in the storied home of George Washington."

The word "years," however, seems to be an exaggeration.

The National Turkey Federation, a group that lobbies for the turkey industry and selects those to be honored each year at the White House, disagrees with any notion that the lives of these birds are cut short.

They are bred for consumption have a "life expectancy of about 18 weeks," said Keith Williams, spokesman for the turkey federation. "They are not raised as pets and animals are not pets."

Their short lives, Williams points out, says more about Americans taste for turkey and breeding practices than mistreatment or short lives.

Thanksgiving tips and recipes

Bred to be stuffed

Starting in 1960, farmers specifically started breeding plump turkeys that had large amounts of white breast meat -- a response to American demand. The differences between wild and bred turkeys, Williams said, stems mostly from diet.

"A turkey that is bred exclusively for eating, eats corn and soybean that have minerals in them," Williams said.

According to the federation, a whopping 219 million turkeys were consumed in the United States in 2011. On Thanksgiving that year, the group estimates 46 million were gobbled up.

Since 1970, around the time breeding practices changed, turkey consumption has increased 104 percent, according to the federation.

The practice of pardoning a turkey at the White House dates to Abraham Lincoln.

The story goes that around Thanksgiving, turkeys were brought to the White House and Lincoln's son, Tad, grew attached to one particular bird and begged his chief executive father to spare the fowl from the table. Lincoln agreed and the turkey lived.

It is unclear if the practice continued for the next 100 years. But in 1963, President John F. Kennedy decided to send his turkey back to the farm it came from, telling the National Turkey Federation they should "just let this one grow" instead.

Bush "41" sent them to Frying Pan Park

The tradition became official in 1989, under President George H.W. Bush. On November 14, weeks before Thanksgiving, Bush pardoned a turkey and the White House shipped him off to live his twilight year at -- Frying Pan Park -- in Herndon, Virginia.

Since then, a President has pardoned a turkey each year.

All of Obama's turkeys were sent to Mount Vernon. The birds spent the holidays in the public pen and then were moved to a livestock area out of view because they were not "historically accurate" to Washington's time period.

According to Norton, the turkey federation wanted the birds to be more prominently displayed. So this year, they will head to Morven Park, a historic estate in Leesburg, Virginia, on January 7.

The estate was home to Former Virginia Gov. Westmoreland Davis, who ran it  from 1918 to 1922. Davis was a prodigious turkey farmer, according to Teresa Davenport, a spokeswoman for Morven Park.

As for the near certainty that the turkeys will soon die, Davenport said they "are going to do everything [they] can to make that not happen."

"These turkeys were raised in Minnesota, so they are used to cold winters," Davenport said. "A lot of the employees here are already on turkey duty."

@highlight

Each year, an American president "pardons" a turkey or two just before Thanksgiving

@highlight

President Barack Obama has sent his turkeys to Mt. Vernon for their "twilight years"

@highlight

But a pardon just means the birds aren't stuffed and eaten; they're not expected to live long

@highlight

American turkeys are bred to be consumed, many of them at Thanksgiving