(CNN) -- The searchers search, even when they fear that they may fail.

A child is gone, under suspicious circumstances, and the searchers fan out, listening for a cry, a rustling in the underbrush, the sight of a colorful piece of clothing.

Sometimes it is law-enforcement personnel doing the searching; sometimes it is citizen volunteers. In the end, the distinction doesn't matter. The searchers are members of a community, connected by their humanity, and there is an intrinsic dread in what they do. They pray for the best and try to prepare themselves for the worst.

"Some people here have gone out and looked on their own," said John Miller, the editor of the Hickory, North Carolina, Daily Record. "Even for police officers, it is not an easy thing to do. Many of them are fathers and mothers themselves. And the child who is missing here is not just a little girl, but a little girl with a disability."

Hickory is the town where 10-year-old Zahra Clare Baker was reported missing October 9 by her father and her stepmother. The child, recovering from bone cancer, wore a prosthetic leg, and was in need of hearing aids in both ears.

The search for the child began immediately. "There was a sense of empathy, and urgency," Miller said. The searchers knew that the girl had little hope of fending successfully for herself.

So when the police soon announced that they considered the case a homicide investigation, and when they arrested the stepmother on charges of obstruction of justice for allegedly writing a bogus ransom note, the searchers would have had a right to feel cruelly betrayed. The father, too, was arrested, on charges unrelated to the girl's disappearance: writing worthless checks, failure to return rental property.

The search for the child continued. It takes a lot to make searchers give up. Last week they found a prosthetic leg discarded in some brush near a house where the stepmother once lived.

What makes the searchers do it? For some, of course, it is part of the job. But that doesn't render it any less wrenching. The searchers know that at the bottom of every gully, behind every tree, they may come upon a cause for utter elation -- a frightened child waiting to be found -- or a cause for utter despair: a lifeless boy or girl.

Which makes it all the more appalling when parents murder, and then send the community out to search for a child they say is lost or missing. Perhaps the most notorious case was the one involving Susan Smith, who, in 1994, told police in South Carolina that she had been carjacked, and that the criminal had driven away with her sons Michael, 3, and Alexander, 14 months. For nine days searchers looked frantically for the children. In the end, Smith admitted she had killed them -- that she had let her car roll into a lake with the children strapped inside. And had then begged the searchers to go out and find her purportedly kidnapped sons.

"I think searchers are so willing to do it because they think, 'What if it was my child?' " said Lt. Garret Atkin of the Layton, Utah, Police Department. "You have to go on the assumption that you are being given a straight story, and that the child is out there hoping to be found."

Layton is the town to which, earlier this year, Ethan Stacy, 4, was sent on a divorce-court order from rural Virginia, where he lived with his father, to spend the summer with his mother and her boyfriend. Within two weeks, the mother called police to say that Ethan had wandered away from the house in the middle of the night.

So the searchers went out. The weather was foul -- cold post-midnight temperatures, rain, sleet, mud. They knew that if the child were to have a chance, they would have to find him quickly.

"You have to realize, especially in weather like that, that as the hours pass, the chances of a child being all right diminish," Atkin said. "We wanted to find him and bring him home."

They found him the next day -- in a crude shallow grave on Powder Mountain, his scalded body wrapped in garbage bags, his face smashed by a hammer. Police and prosecutors say the boyfriend killed the child, and then the couple made up the story of him wandering away. They say the couple sent the compassionate searchers to look for a boy who they knew was already dead and buried.

Atkin, talking about the case the other day, said that when a child is reported missing, searchers have no choice but to believe the report is genuine, and that the child is out there waiting to be rescued.

"When you go out, you have to do it filled with hope," he said.

There is great joy and relief when a search is successful, and a child is found. "A lot of times, it turns out well," said Lt. Mary Lindstrand of the Multnomah County, Oregon, Sheriff's Department. "When a child gets separated from his or her parents, and the searchers find the child -- that's a great feeling."

But Multnomah County is where a search for a child who has been missing since June is still going on. Kyron Horman, 7, disappeared from Skyline Elementary School almost five months ago. Law-enforcement officials have made no arrests and have named no suspects.

"There is an emotional trauma to going out and searching for a child," Lindstrand said. We spoke soon after more than 100 searchers on a wet and soggy recent weekend looked anew for Kyron on Sauvie Island.

"There is no way to emotionally prepare yourself for what you might find," she said. "You try to stay hopeful. When you are looking for a child who is missing, you don't just look for the child himself. You are given a description of what he was wearing when he was last seen. You're looking for a scrap of clothing -- anything."

Searchers, she said, do all they can to keep their own spirits, and optimism, as buoyant as possible.

But it's hard to do.

"A child is gone," she said. "The pain of that is so terrible that the searchers begin to feel it physically. You just keep looking, no matter what."

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene writes about the difficult task of searching for missing children

@highlight

He says sometimes parents pretend kids are missing when they know what happened

@highlight

There's no way to prepare for the emotional difficulty involved in the search, he says

@highlight

Searchers can experience elation if they save a child -- or despair if it's too late