Tripoli, Libya (CNN) -- At least 15 people were killed and more than 40 wounded in battles between the Jihadist militant group Ansar al Sharia and forces loyal to a renegade general in the eastern Libyan city of Benghazi on Monday, according to hospitals in the city.

Fighting erupted at about 2 a.m. when Ansar al Sharia fighters surrounded and attacked a Benghazi base belonging to a Libyan army special forces unit that allied itself with renegade Gen. Khalifa Haftar, according to residents and Col. Mohammed al-Hijazi, a spokesman for the self-declared Libyan National Army.

Battles continued for hours in different parts of the city through the morning hours. Live pictures on the privately owned Libya al-Ahrar TV showed plumes of black smoke rising as explosions and gunfire could be heard in the distance.

The fighting in Libya's second-largest city comes more than two weeks after the previously retired Haftar -- without the consent of the Libyan government and military command in Tripoli -- launched a ground an air assault against Islamist groups in Benghazi.

Most of the casualties that al-Jalaa Hospital received Monday were Libyan army soldiers. The Benghazi Medical Center, meanwhile, said the son of its director was killed when a shell hit the director's home during Monday's fighting.

Hospitals in the city called for blood donations as security forces asked residents to avoid the areas of fighting.

"We remain concerned about the safety of Benghazi residents who are caught in the armed clashes. We urge all those involved in the clashes to spare residents and infrastructure, and urge Libyan authorities to ensure the protection of Benghazi residents," said Hanan Salah, Libya researcher for Human Rights Watch.

The clashes appeared to be the most intense to hit Benghazi since Haftar's May 16 offensive, dubbed Operation Dignity, against Islamist militia bases in and near Benghazi. More than 70 people were killed in that assault.

Without the blessing of the central government and the military command in Tripoli, some Libyan military members joined Haftar's offensive. The move underscored the difficulty that Tripoli has had in controlling the security situation in Benghazi, more than 400 miles to the east of the capital, since the 2011 revolution that toppled longtime ruler Moammar Gadhafi.

In recent days, forces loyal to Haftar have launched airstrikes in the city, according to residents and videos uploaded onto social media sites.

One of the main targets of Haftar's Benghazi campaign, which he said is an open-ended war to purge Libya of extremist groups, is Ansar al Sharia, which the United States earlier this year named a terrorist group. The United States says the group was involved in a September 2012 attack on a U.S. diplomatic compound, killing Ambassador Christopher Stevens and three other Americans.

Anger has been mounting in Benghazi, the cradle of Libya's 2011 revolution, over deteriorating security in the past two years. Bombings, killings and kidnappings became near daily in the city, and an assassination campaign mainly targeting security forces intensified in recent months. Foreigners, judges, activists and, most recently, an outspoken newspaper editor are among the victims of these assassinations.

No group has claimed responsibility for the violence that has gripped the city, but officials and residents have blamed it on Islamist extremist groups that have grown in size and influence since the revolution.

Libya's weak central government has been unable to secure the city, and one army unit in Benghazi, known as the special forces, has clashed several times with Ansar al Sharia since November.

Country divided over Haftar's campaign

Haftar's campaign has further divided an already polarized country. A number of military units, officials and many Libyans support his offensive against what they say is terrorism in their country. Opponents, including moderate Islamists, have described the move by Haftar as a coup attempt.

While many say they do not support Haftar the person, they are backing his campaign as a first significant use of force against extremist groups. However, some fear the campaign does not make a distinction between the extremist Jihadist groups and moderate Islamists.

On Friday, hundreds of demonstrators took to the streets of Tripoli, Benghazi and other cities in support of Haftar's Operation Dignity.

In the capital, protesters carried a symbolic coffin -- with "Ansar al Sharia" written on one of its sides -- through Tripoli's Martyrs Square. Demonstrators hit it with their shoes before stomping on it and smashing it.

The latest wave of outrage against the Jihadist group came a few days after one of its leaders held a news conference accusing Haftar of carrying out a war against Islam and warned of consequences if the offensive continues.

"We remind the criminal Haftar and those who chose his path ... their insistence on this dirty war will unleash hell on him and the whole region," Mohammed al-Zahawi said.

Al-Zahawi accused the United States of supporting Haftar and threatened it if it intervened.

"We remind America, if it tries to intervene, of its heinous defeats in Iraq, Afghanistan and Somalia. Libya ... will only show America what is more severe than what it saw there," he said.

The United States has denied any support to the campaign or recent contact with Haftar.

Meanwhile, al Qaeda in the Islamic Maghreb released a statement calling on Libyans to fight Haftar.

The statement, which appeared on Jihadist sites Sunday, said Haftar was waging a "war on Islam under the pretext of fighting terrorism" -- a war it said was backed by the United States and financed by Arab Gulf countries.

The al Qaeda affiliate in the region described Haftar's assault as a "Crusader plot" to stop the implementation of Sharia, or Islamic law, in Libya.

CNN's Jason Hanna contributed to this report.

@highlight

Ansar al Sharia fighters attack a base belonging to a Libyan army unit loyal to Gen. Khalifa Haftar

@highlight

Without Libyan government consent, Haftar is attacking Benghazi Islamist groups

@highlight

He says his Benghazi campaign is a war to purge Libya of extremist groups

@highlight

Jihadist group leader accuses him of war against Islam, warns U.S. not to back him