(CNN)A quick descent. No distress call. The pilot's actions.

It will be months, or longer, before the causes behind Tuesday's crash of Germanwings Flight 4U 9525 are known, but there are initial clues that aviation experts say will be the most important to investigators.

Speculation comes in the wake of any tragedy such as this, but experts say certain facts can be significant for those who want to know what happened.

The most useful clues so far:

One of the plane's "black boxes" has been recovered, the French interior minister said. The data recorder will be the most useful in determining the cause of the crash. Its contents are still unknown, but it is a good sign that it was found just hours after the crash.

France's aviation accident investigation bureau will examine the device immediately, the interior minister said.

Real-time flight data available to the public tells a key part of the story. According to online flight trackers, the Germanwings plane had been flying at 38,000 feet when, about 30 minutes into the trip, it started descending. Six minutes later, it was recorded at 24,000 feet -- a drop of 14,000 feet.

It continued to descend after that -- it's last recorded altitude was 11,400 feet.

The rate of descent indicates that the pilot was still controlling the plane to some extent, CNN aviation analyst Mary Schiavo said.

If the engines had stalled, the plane would have crashed in less time, she said.

Departure: Barcelona, Spain, at 10:01 a.m. (26 minutes late)

Destination: Scheduled to land in Dusseldorf, Germany, at 11:39 a.m.

Passengers: 150 (144 passengers, six crew members)

Airplane: Airbus A320 (twin-jet)

Airline: Germanwings (budget airline owned by Lufthansa)

Flight distance: 726 miles

Last known tracking data: 10:38 a.m.

Last known speed: 480 mph

Last known altitude: 11,400 feet

Last known location: Near Digne-les-Bains, France, in the Alps

Sources: CNN and flightaware.com

The initial data about the plane's descent means that the pilot could have been trying to make an emergency landing, or that the plane was gliding with the pilot's guidance, Schiavo said.

A scenario where the plane was gliding is potentially more dangerous because wide fields for landing would be hard to come by in the mountains, she said.

Another aviation analyst, David Soucie, said the quickness of the descent shows something went wrong, but also that the plane was not out of control.

The plane was descending "faster than an elevator at that point. You're feeling it down. It's pulling you down, and you can sense that," Soucie said.

A telling piece of data is that the plane maintained speed as it descended, he said. It could show that the pilot was aware that something was wrong and was controlling the speed as the plane went down.

"It was a controlled descent, and there was something that had gone wrong that he had no control over or he would have controlled it," Soucie said.

The data on air traffic accidents are clear: A majority of accidents happen upon takeoff or landing.

According to the Federal Aviation Administration, even though 83% of a plane's flight time is taken up with the climb, cruise and descent phases, less than 16% of accidents happen during this period.

Soucie described the timing of the crash as an "anomalous thing that happened."

It is "incredibly rare to happen in the middle of the flight," he said, meaning the pilot would have to act fast.

Contrary to some early reports, the French Civil Aviation Authority told CNN that the crew of the Germanwings plane did not issue a distress call.

It was air traffic controllers who sent out a distress call after radio contact with the plane was lost.

The lack of an emergency call can raise a red flag to a nonpilot. Why would a pilot not alert someone that there is an emergency? Does it hint to an incursion in the cockpit or a pilot's motives?

It might sound counterintuitive, but calling for help is not the first thing on a pilot's checklist when things go wrong.

Soucie said the principle that a pilot follows during an emergency is this: Aviate, navigate and communicate.

In other words, before turning on a distress call or transponder, the pilot's first concern is to fly the plane, and secondly, to find the safest option for a crash landing, if it comes to that.

The Germanwings pilot "was definitely aviating and navigating from what we can tell," Soucie said. The pilot was conceivably looking for a place to try to land, he said.

A distress call -- had it happened -- could have signaled a different story.

Schiavo explained that there are codes that pilots have -- certain words that if uttered by the pilot indicate to air traffic controllers that there is a hijacking. The initial reports are that there was no hijack code transmitted from the plane. A big part of determining the cause of the crash will be whether such a code was sent or not.

"I don't think you'd rule anything out at this point," CNN aviation analyst Miles O'Brien said. "It's not like it appears as if it was an in-flight breakup. So what was going on in the cockpit is what we're going to be talking about in the coming days."

O'Brien pointed out the known details of the crash -- a rapid descent, no radio call and a flight that continues into the mountains -- are not part of a "typical emergency scenario."

There were no reported weather issues during the plane's flight, but that does not mean you can rule these out as a possible cause, pilot and CNN aviation analyst Les Abend said.

One thing Abend was looking at was a cold front progressing in the area where the plane was. It indicated some precipitation at lower altitudes.

So there may not have been bad weather at the cruising altitude, but "at lower altitudes, as they were beginning the descent, their visibility may have been obscured," Abend said.

Reduced visibility in and of itself is not a huge issue, but the weather may have deteriorated as the plane descended and be a possible factor in the crash, he said.

@highlight

CNN aviation analyst says this is not a typical emergency incident, but all possibilities are part of probe

@highlight

The cause behind the crash of the Germanwings plane is unknown

@highlight

There are early clues, however, that will be key to investigators