(CNN) -- Friday was an extremely unusual day, astronomically speaking. Just as scientists were gearing up to witness an asteroid's closest ever approach to Earth in recorded history, a sizeable meteor exploded over Russia, causing thousands of injuries and major damage to buildings.

The asteroid, named DA14, came within 17,000 miles or so, as close as a telecommunication satellite in geosynchronous orbit. DA14 is quite a bit smaller than YU55, the asteroid that passed Earth in November 2011, but DA14 came more than 10 times closer.

These two rare events occurred the same day. Your inner mathematician and your inner prophet of the end times think they should be connected. But scientists say they are not. What gives?

11 meteor tweets we wish we'd thought of

First, some facts. Meteors are rocky bodies that enter the Earth's atmosphere. Some are leftover debris out of which planets like Earth are formed, while others are the remnants of shattered comets and asteroids. As long as their orbit intersects the Earth's orbit, these rocks can in principle impact the Earth.

Actually, this happens all the time, although usually the impacts occur in unpopulated regions since most of Earth is uninhabited. In fact, most meteors fall into the ocean simply because water covers two-thirds of the planet.

So we don't witness most meteor impacts. If one landed in New York City or Moscow, people would definitely notice. Fortunately, the odds are very much against hitting a densely populated region.

The meteor that fell Friday near Chelyabinsk, Russia, was pretty big, maybe 50 feet across. In 1908, a slightly larger meteor -- perhaps three times larger in diameter, or 27 times larger in mass -- flattened a thousand square miles of forest near Tunguska, Russia, downing some 80 million trees.

NASA scientists estimate that meteors as large as Friday's might hit the Earth every decade or two, while Tunguska-like events are estimated to occur once every 1,000 years.

The close fly-by of an asteroid like DA14, like the Tunguska meteor, is a once-in-1,000-years event. Asteroids are large, irregular, rocky bodies orbiting the Sun roughly between Mars and Jupiter. Many have impacted the Earth over its 4.5 billion-year history --as they have hit the moon, Mars and other planets -- leaving craters behind.

A particularly large asteroid -- roughly 300 times larger across than DA14 (and 30 million times its volume, and far more rare) -- created a planetary extinction event that did in dinosaurs 65 million years ago, allowing mammals to rise to their present-day prominence.

Opinion: Meteor shows why it is crucial to keep an eye on the sky

Using NASA's WISE infrared satellite, astronomers estimate there are about 5,000 known meteors that can impact the Earth with sizes of about 100 feet or larger -- that is, larger than the Chelyabinsk meteor. Smaller ones are fainter and thus harder to find.

It makes sense that smaller asteroids pass Earth more frequently and, on average, closer. That's because in nature, small things are more common than big things. So asteroids like YU55 are more rare than DA14, which in turn is more rare than the Chelyabinsk meteor. Because there are more DA14s filling interplanetary space than YU55s, a 50-foot asteroid can be found in a smaller volume of space, on average, and thus closer to Earth, than a 150-foot one.
Now let's talk about coincidence. Mathematicians frame this issue in terms of probability -- that is, the likelihood that something will happen. A rare thing is unlikely, so we say it has a low probability of occurring.

Two rare events happening at approximately the same time is much more unlikely. Here is how to think of it mathematically: If the events are not associated, the probability of this coincidence comes from multiplying the individual probabilities.

For example, the probability that your birthday is on a given date -- say, January 1 -- is 1/365. That is, of every 365 readers of this article, roughly one will have a birthday on January 1.

Five things to know about asteroids and meteors

Now, the probability that the next reader's birthday is also on January 1 is 1/365 times 1/365, or about 1 in 130,000. If that many people read the article, such a coincidence could happen. Of course, it's much more likely that two non-consecutive readers will have a birthday on January 1. And it's very likely that lots of readers have the same birthday as other readers. (In fact, in any group of 23 or more people, it is more than 50% likely that two will share a birthday, but calculating that probability is a bit more complicated.)

Back to the meteor and the asteroid. Both events happening within one day makes us think they could be connected. That instinct comes from doing the math -- if it is improbable, then we think it cannot be a coincidence.

But the facts don't support this conclusion. First of all, in the time between the two events, the Earth moved roughly 300,000 miles, meaning the asteroid and the meteor were in completely different places. Moreover, they traveled in completely different directions, so they couldn't have been associated.

So there is no way the meteor and the asteroid are connected. It has to be a coincidence that the two events happened on the same day. Yet this would seem to be at odds with our instinct that two very rare things would not happen at the same time.

Russian scientists track down fragments of Urals meteor

How can we reconcile these two opposite thoughts: the impossibility of an association based on the physics of trajectories, and the improbability of coincidence (lack of association) that the math suggests?

The answer is that we need to rethink the probability calculation. If asteroids as big as DA14 pass close to Earth once every decade or two, and meteors as large as the Chelyabinsk one impact once every 100 years (a similar meteor having caused the Tunguska event in 1908), the chance of both events happening on any one day are indeed very small: 1 in 3,650 days times 1 in 36,500 days, or about 1 in 100 million -- not odds you would bet against.

But think again: The Earth has been around for 4.5 billion years -- which is 1.6 trillion days. So the chance that these two events would happen on a day sometime in the earth's history is actually larger than we first thought -- it ought to have happened about 12,000 times already.

Of course, during most of that 4.5 billion year history, the earth was not populated by intelligent life -- human beings who might have noticed the two events happening on the same day.

So what is the probability that the meteor hits and the asteroid passes Earth on the same day when someone could record it on video? That's probably been possible for about 50 years, or only about five years if we have to do it on a smartphone or dashboard camera. That's 1,825 days, which means the chance of someone filming the event is only about one in 70,000 -- and that's if people blanketed the Earth. Given how sparsely the Earth is populated, we should correct this number downward by a (large!) geographical factor. It's also unlikely that this event would happen within 3,000 miles of the Tunguska impact.

What to think? Our rough calculation says a large meteor impact on the same day as closest passage of the DA14 asteroid is really improbable. But it did happen. Something in our assumptions could be wrong. For example, the frequency of meteor impacts could be much larger and our estimates too low because we don't notice most of them.

Then again, maybe sometimes, long odds just pay off.

The opinions expressed in this commentary are solely those of Meg Urry.

@highlight

Meg Urry: Friday was an extremely unusual day, astronomically speaking

@highlight

Urry: The probability that a meteor hits and an asteroid passes by is improbable

@highlight

She says the chance of the two events happening on the same day is about 1 in 100 million

@highlight

Urry: Even though we think they could be connected, the two rare events are not connected