(CNN) -- There used to be a bookstore -- I think it was the late Gotham Book Mart on 46th Street -- where you'd find a yellowing map of Woody Allen's New York: a listing of the locations the writer and director had made famous in such films as "Annie Hall," "Manhattan" and "Hannah and Her Sisters."

That was the thing about Woody -- the map didn't have to venture far from the five boroughs. (Or, frankly, from what another Woody -- Guthrie -- called "the New York island.")

Starting sometime in the late '80s, Allen started expanding his geographical footprint considerably. Well, at least to Europe.

His new film, "To Rome With Love," is set in -- you guessed it -- Rome. It opens in the U.S. on June 22. It's already opened in Italy, where it took in $3.7 million its opening weekend and was the country's No. 1 grossing film, beating even the crowd-pleasing "Battleship." Allen's latest follows a sequence of films set in London, Barcelona and Paris.

What does Woody see in these cultural capitals? Take a tour with the bespectacled filmmaker and the fine reference site www.movie-locations.com and find out.

The London of "Match Point" (2005)

"Match Point," a Hitchcockian crime drama that followed a series of middling comedies ("Small Time Crooks," "The Curse of the Jade Scorpion," "Anything Else") was intended for Allen's native New York but moved to London for the most practical of reasons: That's where the financing was.

Nevertheless, Allen made the most of the trip, and it shows in the settings.

The film, about social-climbing tennis player Chris Wilton (Jonathan Rhys-Meyers) and his fraught affair with American actress Nola Rice (Scarlett Johansson), makes the city, at times, look as lush as Allen's Manhattan -- no small trick.

Photos: London landmarks

Visit: The Tate Modern (Bankside, London SE1). The famed art museum is housed in an old power station. Among the works on display are Duchamp's "Fountain," Damien Hirst's "Pharmacy" and Rothko's "Red on Maroon." It's where Rhys-Meyers' and Johansson's characters meet after the former is married.

View: The Gherkin (30 St Mary Axe, London EC3A). Perhaps the most famous of London's recent wave of American-style skyscrapers, architect Norman Foster's tube-like high-rise is the site of Wilton's post-tennis job.

Shop in: Mayfair (London W1). If you can afford it, Mayfair is London's luxury shopping and residential district, home to the custom tailors of Savile Row (the street where the Beatles once made their headquarters), the jewelers of Bond Street and what's soon to be the former American embassy at Grosvenor Square. At the least, have a drink. That's what Wilton and Rice do.

The Paris of "Midnight in Paris" (2011)

Allen's whimsical tale of an American writer (Owen Wilson) in the City of Light is his most successful box office hit. It also won Allen his fourth Oscar.

In the film, Wilson's Gil, a troubled screenwriter trying to write a novel, longs for the Paris of the '20s, a period he sees as a golden era. He learns that nostalgia is in the mind of the beholder, but he certainly sees the city at its most dazzling.

Photos: City of Light -- and love

Visit: Musée Rodin (79 Rue de Varenne, 7ème). Dedicated to Auguste Rodin, the sculptor of "The Thinker" and "The Kiss," the Musée Rodin features a gorgeous garden behind an 18th-century hotel where Rodin worked the last years of his life. In the movie, Gil bickers with the guide over events in Rodin's life as the group strolls through the grounds.

View: St. Etienne du Mont (Place Sainte-Geneviève, 5ème). It's here, near the steps of this 15th-century church, that Gil is strolling when the mysterious car pulls up and takes him back to the 1920s. Also worth a look: the area around Sacre Coeur in Montmartre (18ème), the highest point in Paris, full of beautiful vistas and steep stairways, where Gil finds himself late in the film.

Shop in: Shakespeare and Co. (37 Rue de la Bûcherie, 5ème). The original Shakespeare and Co., a bookstore that opened in 1919, was a regular stop for American and British expatriates. The current shop dates from 1951 and was named after the first bookstore in 1964. The location on the Left Bank is close by the Petit Pont, which connects the Left Bank with the Île de la Cité, home of Notre Dame.

The Barcelona of "Vicky Cristina Barcelona" (2008)

This romantic comedy, which starred Scarlett Johansson and Rebecca Hall as two American students who get mixed up with a Spanish artist (Javier Bardem) and his mentally unbalanced ex-wife (Penelope Cruz), won a Golden Globe for best musical or comedy film. Cruz won an Oscar for best supporting actress.

Visit: Tibidabo Amusement Park (71 Carretera de Vallvidrera al Tibidabo). The century-old amusement park, located on a mountain overlooking the city, was where Vicky, Cristina and their boyfriends spent an afternoon. Don't want to go to an amusement park? There's always Park Güell, the turn-of-the-century hilltop development created by Antonio Gaudi, or La Sagrada Familia (401 Calle Mallorca), Gaudi's amazing church, which has been under construction for more than 100 years.

Photos: Soaking up Spain

View: Peix d'Or (1 Carrer de la Marina). Architect Frank Gehry's giant fish was commissioned for the 1992 Olympics. The Port Olimpic area was built up for the Games and was the site of scenes featuring Vicky and Cristina.

Shop in: Las Ramblas. The famed promenade may be less than a mile long, but it's the place to be for people watching, window shopping and taking in some of Barcelona's most notable attractions, including the city's opera house and the Font de Canaletes. Allen's protagonists certainly took advantage, shooting photographs and making assignations.

The Rome of "To Rome With Love" (2012)

OK, so the film is barely out, but based on the trailer and the cast, this looks like one of Allen's episodic turns -- there's an older couple (Allen and Judy Davis), a set of confused young adults (Jesse Eisenberg, Greta Gerwig, Ellen Page) and a couple of Europeans adding color (Roberto Benigni, Penelope Cruz). The local press has criticized it for presenting a tourist's view of the city, but moviegoers might not be so put off.

Visit: The Trevi Fountain (Piazza de Trevi, near the intersection of Via della Stamperia and Via delle Muratte). Allen's characters would be remiss if they didn't drop a coin in the Trevi, the ornate watering hole that was completed in 1762, though its origins date back to the Roman Empire. The fountain has been featured in "Roman Holiday" and "Three Coins in the Fountain," the latter of which pays tribute to the legend that a person who throws a coin in the fountain is destined to return to Rome.

Photos: iReporters in Italy

View: Rome was built on seven hills, so there's plenty of spectacular views. One of the best is from the Cupola of St. Peter's Basilica in Vatican City. You can take an elevator to the top, but climbing the 320 steps is well worth it. (Be sure to dress properly, though: no shorts or miniskirts.) The Sistine Chapel, where Cruz's character cracks a lewd joke, is a short walk.

Shop in: Piazza Spagna (1 Piazza di Spagna and surrounding area). Allen may not be a fashion plate, but his upscale characters would certainly want to take advantage of the best Italian clothiers -- and it's here, at the Spanish Steps, that many of them have their flagship stores.

What if Europe isn't in your plans? Don't worry. There's always Manhattan, where the vast majority of Allen's 40-plus films have been made.

And if you want to really get off the map, take a trip to the Republic of San Marcos. Just remember: Change your underwear every half-hour, and please wear it on the outside so authorities can check.

@highlight

A handful of Woody Allen's recent films have featured great European cities

@highlight

Allen's latest, "To Rome With Love," opens in the U.S. in June

@highlight

Follow in his characters' footsteps with these travel ideas