Kolmanskop, Namibia (CNN) -- Vast and inhospitable, the Namib Desert in south west Africa is a land of ghosts. Along a notorious stretch of shoreline known as the Skeleton Coast lie the wrecks of ships stranded in the morning seafogs.

Venture inland and you'll encounter even more spectral scenes: one of Africa's most famous ghost towns -- and even "ghost horses."

Considered the world's oldest desert, the Namib has been dry for an estimated 55 million years. Stretching for hundreds of kilometers along Namibia's Atlantic coastline, its infamously hostile terrain has made Namibia one of the world's most sparsely populated countries.

Yet amid this unforgiving landscape is evidence of once thriving human settlement. Kolmanskop -- Afrikaans for "Coleman's Hill" -- was once a diamond-mining boom town, complete with a grand ballroom, casino and skittle alley. Today it is an eerie ghost settlement, its sand-logged buildings slowly being reclaimed by the dunes.

Named after Johnny Coleman, a man who abandoned his ox wagon there during a sandstorm, the area was the center of a diamond boom a century ago.

In 1908, an African railway worker named Zacharias Lewala was shoveling sand from the tracks when he struck a glittering diamond. The ensuing rush brought a wave of European fortune hunters to the region, then part of a colony known as German South West Africa.

With their newfound wealth, the settlers set about building a German-style village amid the dunes, complete with amenities such as a hospital with a rare X-ray machine, and a tram.

Read also: The Namibian women who dress like Victorians

"Life was hard," said Kolmanskop tour guide Christo Biewenga, but made tolerable by the fact "they were organized in this town."

During its heyday in the 1920s, Kolmanskop's population consisted of about 300 European adults and 40 of their children, supported by 800 local workers.

Read also: Real-life 'Lion Kings'

But when new diamond deposits were discovered in less extreme conditions further south, the fortune seekers drifted away. When the hospital closed its doors in 1956, the last remaining settlers left shortly afterward.

Today, as a monument to the settlement's distinctive history, Kolmanskop is a popular tourist destination, although a permit is required to enter.

This is because the site sits within the Sperrgebiet -- a "prohibited zone" declared by German authorities on the discovery of the diamond deposits. Although South West Africa was occupied by South Africa in 1915, and Namibia emerged as an independent state in 1990, diamond mining remains a lucrative concern and the area remains a restricted region under the control of Namdeb Diamond Corporation.

James Alexander is a geologist for Namdeb, a joint venture between the Namibian government and diamond mining company De Beers.

He said the early miners "took the easy ones, the ones on top." "They would glisten in the dunes in the light of the moon," he said. "Now we have to blast them out of the ground because the ground has cement in it. So it's harder and expensive, but there's still a lot out there... There's 400 million (carats) sitting somewhere."

But Kolmanskop is not the only ghost of the Namib. Just as iconic a symbol of the area is the hardy population of 150 or so wild horses, who have adapted to be able to go without water for longer periods than domestic horses, surviving for generations on the desert's fringe.

Read also: Mali's treasure at risk from uprising

Horses are not native to southern Africa, and the horses' origins have long been shrouded in mystery. According to Piet Swiegers, manager of the nearby Klein-Aus Vista lodge, the most likely theory is that they were German and South African military horses abandoned in the chaos of the First World War.

"There was a water point close by," he said. "That's why the horses survived all these years." It is also thought the restricted human access to the region helped their survival, sparing the the feral animals from being caught or hunted.

For generations, the horses existed largely out of sight of locals. "They were known as the ghost horses," said Swiegers. "We hardly saw them."

But in recent decades their habitat has been reclassified as part of the Namib-Naukluft National Park, Africa's largest game reserve, bringing them into greater contact with humans.

This has raised the question of if and how humans should support the horses to keep their numbers at a sustainable level. Experts have settled on a policy of limiting intervention, but providing some support, especially in times of hardship -- which has helped to bring people a little closer to these ghosts of the desert.

"The behavior of the horses changed because they got used to people," said Swiegers. "They don't fear man because man feeds them in dry times."

@highlight

Today a ghost town, Namibia's Kolmanskop was once a booming diamond village

@highlight

During its peak in the 1920s, it was home to about 340 Europeans and 800 locals

@highlight

Access to stretches of the Namib, the world's oldest desert, has been restricted for mining

@highlight

A population of feral horses has bred there for generations, becoming an icon of the Namib