(CNN) -- For something that surrounds us so completely, bookending our lives, modern Americans can be surprisingly shy about death.

Yes, we talk about "deaths" -- heinous deaths, tragic deaths, celebrity deaths, untimely deaths.

But when it comes to death itself, many of us would rather use the broom of wishful thinking to sweep it away, leaving death to sit in some dark corner of our minds. Woody Allen best summed up that sentiment when he said, "I don't want to achieve immortality through my work; I want to achieve immortality through not dying."

For much of human history, religious rituals forced believers regularly to confront our ultimate fate.

On Rosh Hashanah, according to Jewish tradition, God decides who will live or die during the next year. The Buddha urged monks to meditate on the decay of corpses. Millions of Catholics pray each week for Christ to come again and resurrect the dead.

But this country is changing rapidly, and at the very time modern medicine puts life-or-death decisions in our hands, organized religion has faded from the lives of many Americans.

As the surgeon and writer Atul Gawande noted in The New York Times recently, our medical system, powerful as it may be, is ill-equipped to step into the breach and answer crucial questions such as, "What is a good death?"

Perhaps that's why Brittany Maynard's death on November 1 stirred such remarkably personal debates. All at once, it seemed, we were confronting the question together: Given a choice, how would we wish to die?

In each of these articles, families from India to California were forced, by unlucky fate or divine providence, not only to articulate an answer, but to carry it out.

My mother deserved to die with dignity

Maybe by reading their stories, we can learn something about how we want our own to conclude.

An unforgettable lesson

Two women captured our hearts; both were dying of brain cancer. Both taught us to cherish life -- that nothing is greater than the human spirit. Brittany Maynard fought for the right to die with dignity. Lauren Hill fought for a dream -- to play in a college basketball game before she dies.
Read the full story >>

Death on their terms

Jena Johnson's profession is not one that anyone goes to college for. It's also not work that gets easier with time. Her job with end-of-life advocacy group Compassion & Choices is to help people die a "good death." She found herself in that role in part because no one likes to talk about this stuff.
Read the full story >>

Hotel Death

It's a place of celebration, where dying guests are promised freedom for their souls. And where one man, whose father is No. 14,544 in the ledger, finds himself torn between two worlds. To give his father this final gift means being away from his wife, his daughter and a situation of utmost urgency. 
Read the full story>>

Death, American style

Once it was displayed openly. Then it became a forbidden subject. Now, at last, death in America is starting to come out of its cold, hard shell -- in unexpected ways. Meet an author who explores the various ways people process death, and why they choose certain rituals and memorials. 
Read the full story>>

Angels of mercy

To care for someone who is dying is probably the most difficult job in the world. Kerry Egan should know; she's a hospice chaplain and has seen families endure years of exhausting, heartbreaking and bone-crushing work. These, she says, are the real-life angels of mercy. 
Read the full story>>

Engineering the end

In choosing doctors, hospitals and treatments, Mike Mikula's mother -- a retired schoolteacher, nurse and hospice volunteer -- had always been a fierce advocate for her husband's health. Now she became a fierce advocate for his death. Mikula tells how planning for loss helped his family through it. 
Read the full story>>

The gift of Charles

He was a troubled 13-year-old when he finally found a home, with parents and siblings who embraced him. But Charles Daniel would live only two more years. It was time enough to change everything -- and everyone. Wayne Drash chronicles the family's final days together in hospice.
Read the full story>>

@highlight

Medicine has put end-of-life choices in our hands, but can it offer a "good death"?

@highlight

Religion and its rituals often help believers confront their fate, but its influence has faded for many

@highlight

With Brittany Maynard's death, many asked: Given a choice, how would we wish to die?

@highlight

Some families have been forced to articulate and carry out an answer; here are their stories