New York (CNN)Kayla Mueller, Peter Kassig, Alan Henning, David Haines -- just a few of the aid workers who have been abducted and killed by ISIS in the past year.

The exact number of aid workers currently being held is unknown; a level of secrecy tends to surround details of those currently captive. What we do know is ISIS holds at least one female aid worker, and possibly more. The International Federation of the Red Cross confirmed three aid workers who disappeared in October 2013 remain missing, but would not comment on their identities or who kidnapped them.

Abductions and killings of aid workers are, unfortunately, nothing new, but the numbers are. According to Aidworkersecurity.org, at least 155 aid workers were killed in 2013, a 121% increase on 70 recorded killings the year before.

Not all were victims of ISIS, a relatively new phenomenon given life by the chaos in embattled Syria. In fact, according to the same report, it is the Taliban who have historically kidnapped in the greatest numbers, in large part in Afghanistan.

Here's the difference: ISIS is changing the game. The Taliban may have many reasons for abductions (flexing their muscles, negotiating prisoner releases), but they also have a record of frequent hostage release. The need for aid in a specific region and the level of the acceptance by the community matters, or mattered.

For ISIS, it appears to matter less. Abducted aid workers are usually either a source of considerable income (ISIS demanded at least $6 million for Kayla Mueller, and reportedly $200 million for two Japanese hostages) or, failing that, their killings provide a lurid display of brutality for the world to witness. So far the number of hostages of all backgrounds freed by ISIS is extremely low, save for those whose ransoms were paid. The freeing of 19 kidnapped Assyrian Christians shocked many, because release is not a common part of ISIS' playbook.

These tactics can serve as models to other extremist groups worldwide, who may look to emulate ISIS' model of abduction and violence. One example is West African extremist group Boko Haram, which released a video purportedly showing the beheading of two men claimed to be spies, an approach disturbingly similar to ISIS'.

"Humanitarian work has always been risky, but it's never been more dangerous than it is now," says Caryl Stern, president and CEO of the U.S. Fund for UNICEF. "There used to be a time when an organization's flag provided a great deal of protection. That's no longer the case."

The response in large part from aid agencies has not been to pull out of Syria and its environs altogether, but to rely almost exclusively on local staffers. Still, outside workers like Mueller, Kassig, Henning and Haines were inside Syria when they were taken, and the regional directors of aid agencies continue to travel there frequently in order to oversee operations. Not only that, but simply by virtue of working for a large aid agency, local staffers become bait. Indeed, the majority of victims have been working in their own countries.

ISIS doesn't just target aid workers. Journalists, soldiers and anyone who conceivably could fetch a ransom are high on their hit list. But in the Wild West that is Syria and its borders, few of these remain, save for aid workers. In a space devoid of government, refugee camps and aid agencies are frequently seen as the only authorities, the new front line in the war on terror, a sometimes unwelcome association. And as ISIS spreads beyond Syria's borders, the risks grow further afield.

Yet despite these risks, thousands of aid workers continue to work in a region where the U.N. High Commissioner for Refugees (UNHCR) estimates the number of refugees from conflict at more than 8 million. While some aid agencies rely on security personnel for protection, many are completely unarmed and are particularly vulnerable when in transit.  Their security and locations for the most part are under constant review.

When CNN approached a number of reputable aid agencies asking to speak to those who work or travel in the region about their experiences, and what drives them to remain despite an unprecedented threat level, many declined, in large part due to security concerns. For this reason, some of those mentioned below are wholly or partially anonymous.

If I think back, I've been doing this work for about 20 years, and I remember we used to have this sense that there was some sort of protection, some sort of ... humanitarian space ... it feels very much like that is shrinking ... our job is becoming much, much more difficult; we're asking people to put themselves in harm's way in some circumstances. I mean, we don't do that, but it's not the exception any more.

My family is not thrilled at all because what they see on the news is Westerners being kidnapped and beheaded ... when they worry, I worry about them and that doesn't help me be in a good state of mind to do my work. I'm very selective about where I say I go. I need to find ways to switch off and do silly things and not worry about the dire situation that's here, not just the humanitarian situation but ... being responsible for the people I'm responsible for in this region.

I don't think people see the human side so much ... innocent people who through no fault of their own have been forced to flee their home one, two, three times -- who don't see a future for their children... Someone has to be there to help and support and provide some sense of safety and security, and I mean that in the personal sense of a mother who, when she goes to sleep at night with her children, she knows she has a blanket to keep them warm and something to feed them the next day.

Fear is always there in the back of everyone's mind. We just need to continue what we're doing, stopping is not an option, halting our operations is not an option, and we are taking great risks, our staff are taking great risks.

It is a difficult thing to tell family, to tell colleagues. Oftentimes I just don't mention all the details of where I go because they just don't need to know. But it needs to be done, we also can't run an operation remotely. ... I'm not going to the front lines, I'm not going to where the conflict is actually hot ... we're not adrenaline driven people. We want to be able to help the people and do our work and to do our work does entail taking some risks, but it's about calculated risks. We don't want to put ourselves directly in front of danger.

If we say we give up on it for whatever reason -- security, morale, pressure from here, pressure from there -- no one else is going to come to take our place. There's not going to be another organization that's going to come and do more humanitarian aid and cover the gap that IOCC may create, that's not going to happen. So that puts more responsibility on the shoulders of our staff and the shoulders of our organization; we feel that responsibility that we've got to deliver on this thing.

Donate to IOCC

There's an internal motivation that keeps you going. You feel that there are populations and people that need aid and require assistance, and know it's a choice that one makes and dedicate your life service. So yes, you need be of course strong, motivated, passionate, and of course feel the need to assist and deliver.

It's an unprecedented time, and what we're calling the new normal ... as we've seen in the last year, the complete radicalization of these spaces with extremist groups, who have a very hard view in terms of cooperation with neutral and humanitarian organizations such as ours ... we're not the U.S. Army, we don't have a physical ability to repel.

There may be in people's perceived minds there was a golden age of humanitarian acceptance: like if you were a charity and waved a white flag and drove a white car, you'd be protected by bad guys and loved by the community. I think that golden age is more myth than reality, but regarding today's reality it's extremely dangerous it's so true. And your flag, your neutrality, your white car, all the good intention you have, that recipe is very difficult in these complicated emergencies.

There's a phrase that the U.N. uses and a lot of NGOs use which is "stay and deliver," so we have a humanitarian imperative to be there, but we always have to be in a risk management role; we have to critically look at: do the risks outweigh the benefits we hope to get?

The fear factor comes in just managing the emotional toll it takes with your family and friends, and that has more of a toll, I think, with individual staff members than actual external environment ... frankly, sometimes I don't tell them till I'm already on my way so I don't have to have those calls before I even get on an airplane. It's hard; there are some areas where the family and friends don't understand why you're going there, and you re-articulate, "If not you, then who?" and you ask, "Would you want this in your neighborhood next door where no one comes to help you if something bad happened?"

Donate to Mercy Corps

For ways to donate to organizations working to help refugees from ISIS and from the conflict in that region, go to CNN.com/ impact.

CNN's Betsy Anderson and Julia Chan contributed to this report.

@highlight

Numerous aid workers remain in Syria despite dangers

@highlight

With a lack of government, more than 8 million refugees rely on aid agencies for food, shelter and medical care

@highlight

Many aid agencies have no means of armed defense against attack