(CNN) -- Last summer an EF3 tornado ripped through my town, Monson, Massachusetts. There is a very particular feeling of vulnerability you experience in such a violent storm. You crouch in a dark basement, the windows explode inwards, and you have no idea if the groaning beams will hold.

We had no directly storm-related deaths in Monson, despite the rarity of a tornado in our region. We were prepared, whether through federal programs or memory of the movie Twister, to shelter and ride out the storm.

The tornado took its toll -- more than 270 homes in Monson sustained damage. My own was rendered unlivable, our family displaced for a year.

We weren't ready for recovery, however. During a painful period, our community learned how to manage volunteers and donations, track data, apply for grants and request aid through official channels. We bumbled through the early days, doing things wrong and wasting time.

Eventually a system emerged, coordinated largely by the First Church of Monson and a few dedicated local volunteers. But why did we have to build that system on our own? Though we were prepared to survive the storm, why hadn't someone prepared us for recovery?

Baffled by the acute lack of community recovery tools, my sister and I decided to build them. We put together a team and built an in-kind resource management system for untrained local organizers. We have been working with communities and emergency managers across the country to deploy the system through our company, Recovers.org.

TED.com: The oil spill's unseen culprits, victims

Most disaster preparedness programs concentrate on preparing residents to take care of themselves and their families for the first 72 hours following a disaster. A less frequent focus is how to prepare local residents to take care of their communities during the months and years of recovery that will follow. Organizing at the local level does not require a membership card -- there are things each of us can do locally to speed recovery.

In the first few days post-disaster, scores of organizations will sweep in and out of an affected area, assessing damage, providing emergency aid, mobilizing teams of volunteers. In most areas, however, there is an often-overlooked community response working alongside these organizations. These folks are usually poorly equipped and hastily organized. Their qualifications? They live here. They were here before the aid. They will be here meeting needs when everyone else goes home.

Disaster recovery is changing in the United States. While large aid organizations like the Red Cross and Salvation Army can mobilize massive amounts of crucial resources, they often do not manage spontaneous donations, track local volunteer hours, or stay long term. It is the local church, or library, or the city manager that ends up matching those with needs with aid long term. They do it on Post-It notes, or Facebook, but they get it done. Ordinary people (read: you) are realizing that they are both allowed and are needed to respond.

TED.com: Reporting crisis via texting

Community-powered recovery is simple, and it happens everywhere. I point to tornado recovery in Joplin, Missouri; the Broadmoor neighborhood in New Orleans following Katrina; and the small town of Forney, Texas, after an EF3 tornado. In each area, local efforts were instrumental to overall recovery. The problem here is one of planning: Each of these community efforts was seat-of-the-pants, as they'll readily admit. If community in each case was such an integral part of the recovery, why weren't they written into the plan?

Beyond local labor, the most neglected facet of disaster recovery is local data. Outside aid organizations usually activate their own resources and trained volunteers. They will often turn away spontaneous untrained volunteers or unsolicited donation items. Unfortunately, this also means that unless local organizers are efficiently using these resources, they go to waste.

After a disaster, you normally have roughly seven days (fewer in small disasters) of media interest in which you can collect aid. If you don't have a system for recording the names and contact information of people who would like to donate or volunteer until Week 2, you've missed out on perhaps 50% of all resources that will ever be reported. To aid your community, you have to plan ahead, not just for the first 72 hours, but for the next few years of needs.

TED.com: What's left to explore?

As we begin to respond to the damage from Hurricane Isaac, these are things to keep in mind. New Orleans has seen this before, and has systems in place to accept volunteers and donations. Recovery from Isaac will not be easy, but it will be much faster because they are "prepared" to handle resources.

Here are a few tips for getting involved at the community level:

Community Organizers:

• Get smart: It is not as simple as setting up a shade tent, or just directing people where to go. Sending a 17-year-old into the woods with a chainsaw is asking for a lawsuit. If you are going to get involved with recovery, you have to do so responsibly, with the safety and well-being of both survivors and volunteers as your priority.

• Get a system: Speak to your area's emergency manager about what kind of information they will need you to collect. If they need to know how many hours were worked on Carpenter Street, you need to be tracking that information!

• Use the web: But don't expect everyone to. You may be a Twitter whiz, but you need to be prepared to spread information on a regular web page, paper, or by word of mouth. You can help your emergency manager by spreading their information through your social media stream.

Affected Households:

• Document everything: from photos of the damage, to the names of the caseworkers you speak to in different organizations -- and keep records of what is going on.

• Look for help proactively: Many homeowners spend out insurance money on things like toiletries, while boxes of donated goods sit unused in local churches.

Volunteers:

• Don't be a hero: Your intentions are good, but no one on the ground in the affected community is ready for you in the first 72 hours post-disaster. If you show up too early, you could even be endangering yourself.

• Stand and be counted: The dollar value of hours you work can count toward the amount of aid FEMA grants the community. If you want to volunteer, make sure you are working with an organizer that tracks your hours.

Donors:

• Listen before you bring: Are you trying to donate a refrigerator? Does the church you're bringing it to really have space to store it until it is needed? Call ahead and ask what is needed, or check out local information pages.

• Protect yourself: If you post what you would like to donate publicly, everyone sees it. For example, you may have just informed the world that you have an extra big screen TV and fine china lying around in your basement. Find a local organization that needs the items and donate through them.

The opinions expressed in this commentary are solely those of Caitria O'Neill.

@highlight

Caitria O'Neill got involved in disaster recovery when a tornado badly damaged her town

@highlight

She says communities need help organizing disaster relief in early stages of recovery

@highlight

She says volunteers, donations need to be coordinated, directed to community's long-term recovery

@highlight

O'Neill: It's vital to involve local residents and to capture local data