Port-Au-Prince, Haiti (CNN) -- Former Haitian dictator Jean-Claude "Baby Doc" Duvalier remained huddled inside his hotel Monday, as the reasons behind his unexpected return to Haiti and what he hopes to accomplish there remain unclear.

Duvalier returned to his homeland Sunday after some 25 years in exile, injecting a further dose of uncertainty into an already turbulent political situation.

A news conference at his hotel Monday was canceled at the last minute because the space was not equipped to handle the crowd, and no other location could be found, Henry Robert Sterlin, a Duvalier associate, told reporters.

Sterlin said that the former dictator had returned because he was moved by the anniversary of last year's tragic earthquake and because he missed his homeland.

"He's deeply hurt in his soul after the earthquake. He wanted to come back to see how is the actual Haitian situation -- of the people and of the country," Sterlin said about Duvalier.

He said he did not know how long the former leader was planning to stay.

Duvalier's arrival in Haiti coincides with an ongoing political crisis there, sparked by fraud allegations in a presidential election. A runoff vote, scheduled for January 16, was postponed after a contested first round.

Human rights groups urged Haiti to arrest and prosecute the former dictator.

"Duvalier's return to Haiti should be for one purpose only: to face justice," said Jose Miguel Vivanco, Americas director of Human Rights Watch. "Under the presidency of Duvalier ... thousands were killed and tortured, and hundreds of thousands of Haitians fled into exile. His time to be held accountable is long overdue."

Amnesty International similarly said Duvalier should be brought to justice.

"The widespread and systematic human rights violations committed in Haiti during Duvalier's rule amount to crimes against humanity," said Javier Zuniga, special adviser at Amnesty International. "Haiti is under the obligation to prosecute him and anyone else responsible for such crimes."

The Duvalier family ruled Haiti for three decades, starting in 1957 when Francois "Papa Doc" Duvalier was elected president. He later declared himself president for life. When he died in 1971, he was succeeded by his 19-year-old son, Jean-Claude "Baby Doc" Duvalier.

The younger Duvalier held onto power for 15 years before a revolt forced him to flee the country. Widely accused of corruption, Duvalier has been living in France.

He has maintained some support in Haiti. At the offices of the National Unity Party, a few dozen of his supporters gathered around a television to listen to news reports.

"President Jean-Claude Duvalier, by coming back into the country it is a victory for Haiti," said Jean Etienne, an engineering student. "When President Jean-Claude Duvalier was in the country, it wasn't like it is now. It was better."

The former dictator is at the Karibe Hotel in Petionville, a suburb of Port-au-Prince. He arrived there Sunday night.

"There's definite energy in the air right now," said Ryan Flaherty, head of security for Project Medishare.

"Right now, people don't know what he's back here for. People don't know if he is just visiting, or if he's here to talk about the earthquake and relief ... or, is he going to make a political move?" said Flaherty. "It's just going to be interesting to hear what he has to say."

Sunday, the United Nations restricted the movement of its staff in Port-au-Prince until further notice, or until the effects of the former leader's arrival becomes clear, said Patrick Hanson, a security officer for the United Nations in Haiti.

While groups of people were gathered in various parts of the city, they are calm and no violence has been reported, he said.

The United States likewise said it was caught off guard by Duvalier's unexpected return.

"We are surprised by the timing of Duvalier's visit to Haiti. It adds unpredictability at an uncertain time in Haiti's election process," State Department spokesman P.J. Crowley said in a tweet.

Haiti's Provisional Electoral Council released preliminary election results in early December that showed former first lady Mirlande Manigat with 31.4% of the vote. Jude Celestin, President Rene Preval's handpicked successor, came in second with 22.3%, while popular musician Michel Martelly was third with 21.8%.

However, a review of the results conducted by an Organization of American States monitoring team showed Martelly winning 22.2% of the vote to Celestin's 21.9%, affording Martelly a spot in a runoff election with Manigat.

Haiti's constitution mandates a new presidential term starting on February 7, but it is unclear whether that will happen.

Efforts to elect a new president are unfolding as the country is still struggling to rebuild after last year's devastating earthquake. Last week, Haiti marked the first anniversary of that quake, which left more than 200,000 people dead.

Agnes Pierre-Louis, a local business owner, said Haitians are anxiously waiting to see what the government will do next, now that Duvalier has returned. So far, Preval's administration has remained silent.

"There are so many parties here and so many mixed feelings that it's really hard to know who to turn to at the moment," she said. "We don't know what the next week or the next couple of days will bring."

CNN's Kim Segal and journalist Jean Junior Osman contributed to this report.

@highlight

NEW : Associate does not know how long Duvalier will stay

@highlight

Rights groups urge Haiti to arrest the former dictator

@highlight

The reasons behind Duvalier's return are not immediately clear

@highlight

He has been living in exile in France for about 25 years