(CNN) -- Since 17 June, Sudanese civilians have been demonstrating against the totalitarian regime that has ruled them for 23 years. Their protests against rising food and fuel prices have reportedly broadened into criticism of the corrupt National Islamic Front junta, rebranded as the National Congress Party.

Predictably, the security forces are responding with swift and brutal force. Equally predictably, Sudan's leaders blame foreigners for fomenting the unrest.

Read more: Hundreds tear gassed amid clampdown on Sudan protests

This is not the first sign of the Arab Spring in Sudan. Demonstrations last year were swiftly crushed, leaving citizens in no doubt they risked their lives if they challenged the decrepit status quo.

Local journalists have been arrested and intimidated, and foreign reporters are harassed in an effort to stifle media coverage. Activists warn the internet may be unplugged by the regime at any moment. And yet, the demonstrations continue to spread.

In a country rated as among the ten most repressive and corrupt nations by Freedom House and Transparency International, there is no freedom of speech or assembly. The stuttering economy is in the hands of the ruling elite in Khartoum and their cronies, and the regions have felt marginalized for decades.

Losing a third of its territory, and most of its oil to the new South Sudan was the culmination of a disastrous policy of Arabisation ethnic cleansing. And the recent removal of price controls on essential consumer goods has tested the endurance of a stoic nation.

More: Sudanese police crackdown on growing protests

Sudan's president, the indicted war criminal Omar al-Bashir, calls protestors "aliens and bubbles," led by a few "incited" individuals. The mayor of Khartoum explains that Sudanese authorities have detected "foreign elements" organizing the marches.

This is standard practice in Sudan: the Israelis and Americans are held responsible for stirring up the rebellious ethnic groups in the south, then Darfur and the east, and now along the contested border with South Sudan. In other words, the regime is never to be held to account for its calamitous foreign and domestic policies.

More: Sudan, South Sudan prepare for peace talks

Over the years Bashir's speeches have routinely heaped abuse on the imperialist West with its dastardly, alien plots. In a region where few people know how to access impartial sources of news, and where many people are illiterate, it makes sense to play on their paranoia. It also helps rally a fractious nation around a faltering regime, united against an imaginary enemy.

This approach is familiar to Bashir's close friends and ideological buddies, the Iranians, for the same reasons. A recent report on Sudan in a Tehran paper explains that all separatist groups, from the Basques to Tibet to Darfur, are part of a conspiracy organized by evil, colonialist powers.

However, blaming foreigners also says a great deal about how Bashir and his supporters view their population, revealing their contempt for their citizens' intelligence. Their message is, in effect, "You are simple people who are easily manipulated by outsiders, incapable of forming your own opinions." Their iron control of all public debate is part of what psychiatrists call the "infantilization" process.

Blaming evil foreigners also shifts attention away from the incompetence and corruption that has marked the Bashir regime. Instead of using years of oil revenue to develop the country and diversify the economy, it chose to wage successive wars against its own people in the name of creating a supposedly pure ethnic Arab and Muslim nation.

Until recently Arab autocrats resorted to similar tactics to pacify the restive "Arab street." When people asked why their economies were so feeble, why their young men could find no work, their rulers responded by telling them about the iniquities suffered by their brothers in Palestine.

Bashar al Assad has used the same strategy recently, blaming foreign infiltrators for the Syrian revolution; Gaddafi did the same, and in May 2012 Egyptian authorities banned several foreign NGOs including the uber-respectable and impartial Carter Center, accusing them of stirring up trouble.

This shared narrative is based on embracing the victimhood of the Arab people, as if they are powerless to challenge fate. Yet, this is hardly an exclusively Arab syndrome: Putin uses the same approach in Russia, making the work of foreign human rights NGOs almost impossible.

Read more: Malawi drops AU summit over Sudanese leader

One of the most joyful aspects of the Arab Spring has been watching citizens reject the notion that they are powerless victims, at the mercy of fiendish foreign imperialists.

They have ceased to accept that there was no alternative but to submit to the inept and corrupt dictators who have ruled them. It has been a bumpy and bloody journey, but it often is when people take control of their destiny.

Saturday, Sudan's ruling National Islamic Front celebrates 23 years in power. As demonstrations spread from the capital Khartoum to cities across the country, from students and intellectuals to the disgruntled unemployed, the system created by Bashir and his cronies is wobbling.

But it is a system's survival at stake, not just a few individuals. The resilient Sudanese will soon see how much change is possible.

@highlight

Since 17 June Sudanese civilians have been demonstrating against the totalitarian regime that has ruled them for 23 years

@highlight

Olivia Warham says there is no freedom of speech or assembly in Sudan

@highlight

She calls the iron control of all public debate part of what psychiatrists call the "infantilization" process