(CNN) -- During a recent visit to Mexico, a woman on a bus in Cancun expressed puzzlement to me about why anyone would choose to travel to her country right now.

After a lengthy description of the violence in her hometown of Veracruz, she left me with emphatic advice: "No confia en nadie," meaning "trust no one."

That advice seems extreme. With a well-developed tourism sector, there are legions of people whose livelihood depends on helping you have a good time, and beyond that, most locals are warm and friendly. The drug violence that grabs most of the headlines shouldn't define a country so rich in world-class attractions.

Yet safety should always be taken into account. The U.S. State Department warns against travel to many Mexican states, mostly in the north and west. Though southern Mexico goes about business as usual (and the State Department does not warn against travel to the area), it's important to exercise caution and remember that danger can arise anywhere.

I've visited Mexico three times and have got a lot more to see, but here are three undeniably good reasons I've discovered to visit Mexico:

Gastronomia: Fried grasshoppers, perhaps?

Mexican food as a category needs little introduction; it was even recognized by UNESCO as part of world heritage in 2010.

But regional specialties abound. Oaxaca in southwestern Mexico is famous for multiple moles, complex stewed sauces served over meats. The Oaxacan treatment of the tortilla is the tlayuda, an open, crispy tortilla slathered with a bean paste, topped with cheese, meat or other toppings.

More adventurous Oaxacan offerings are the famous chapulines, grasshoppers fried to a crunch and spiced with chile and lime. They are better than they might sound (unless you're wise enough to realize that anything crunchy with chile and lime is going to be good).

Chocolate originated in Mexico, and they still make it best.

Oaxaca is ground zero for chocoholics, where chocolate shops show visitors the transformation from beans into bars in the store. Chocolate here is most popular as a hot drink with water served alongside a sweet roll, but you can get it with milk or in bar form.

Coastal cities such as Campeche or Cancun on the Gulf of Mexico have great seafood, notably ceviche. Mexican ceviche usually adds tomato to the citrus marinated fish and shrimp. Also often added is ketchup, though this usually is called coctel instead of ceviche. (The tomatoes are acceptable, the ketchup is an abomination).

The Yucatan has specialties ranging from cochinita pibil (citrus marinated roast pork) to pavo en salsa negra (turkey in black salsa, a seriously funky dish made with burned chilies).

You can get a pretty mean taco almost anywhere. Mexican tacos are usually soft corn tortillas, a small pile of meat and little pickled vegetable or onion. Salsa is around, but you have to add it yourself if you want it.

The ends of many worlds

Mexico's many pre-Hispanic sites are among the country's most interesting destinations.

They carried extra weight last year for eschatologists with 2012 being the end of a cycle in one of the Maya long-count calendars. The Mayas never said it was the "end of the world," just the end of "a" world. So they will be there for you to enjoy in the new 14th baktun.

Archaeologists aren't sure who built the massive pyramids at Teotihuacan, but the site was long abandoned by the time the Aztecs were dominant (they reckoned it was built by gods). It is easily reachable from Mexico City but as such can be crowded and is packed with vendors.

Near the city of Oaxaca, the hilltop ruins of Monte Alban were once home to the Zapotec.

Palenque, a Maya site in a lush jungle in Chiapas, is also extremely impressive and interesting, but it is in the interior of the country and not really easy to get to from anywhere. The site's jungle seclusion gives a trip there a more adventurous feel.

Expect to pay extra at these sites if you want to shoot video or use a tripod. Fees are posted near the entrances. It will likely be hot (in the summer especially), but vendors inside and out of the parks offer drinks as well as a vast array of trinkets, ranging from respectable to ridiculous.

Mysterious swims

Mexico's beaches are plentiful, varied and justifiably a major draw. This year, I went for the more sedate environs of Tulum, a nice uncrowded beach with perfect turquoise water (and a beachside Maya ruin). But the cenotes are much more unusual and interesting.

Cenotes are a geological occurrence that are found in the Yucatan and very few other places. Because most of the peninsula sits on a limestone shelf, there are no surface rivers, and rainwater quickly seeps underground where it gathers and forms subterranean bodies of water known as cenotes.

They are present throughout the Yucatan and some have been developed into near-theme parks, where you pay a substantial admission price and there are vehicles, boats, zip lines and more. Others are tiny sinkholes known mainly to locals and are free if you can find them.

Many fall somewhere in between with a small admission fee (equivalent of $5-$10), perhaps a changing area and maybe some lights or ropes. Other than that, it's just a natural swimming hole. Some go underground for hundreds of meters or more, and they are a popular attraction for intermediate divers.

They're also perfect for just plain swimming. The Yucatan is hot and sticky; the water in cenotes is fresh and ice cold since they are partially or completely underground. In some cases, sunlight shines through holes in the cavern ceiling, illuminating the beautifully clear, blue-tinted water giving it an otherworldly feel.

And many cenotes attract swallows, which you might -- as I did -- mistake for bats. They constantly fly in and out squeaking busily. Though the clear water might trick your brain into thinking you're in a sterile pool, you are not. There is wildlife present, mostly in the form of little fish that will nibble at your feet if you are still, as well as the occasional turtle or snake.

Some recommended cenotes for swimming:

X'kekÃ©n near Valladolid is a beautiful underground spot. Cristalino off the main highway near Playa del Carmen is mostly exposed and has a fun cliff you can jump off (it's only a 15 foot or so drop). Grand Cenote near Tulum has some exposed and some subterranean areas and lots of wildlife running or swimming around.

So whether you go to Mexico for cave swimming and ancient sites or for mole and margaritas, it'll be worth it.

Confia en mi -- trust me on that.

@highlight

Beauty of Mexico shouldn't be overlooked because of violence, author argues

@highlight

The country's distinctive regional cuisine and ancient past are undeniably alluring

@highlight

For otherworldly relaxation, underground swimming holes await in the Yucatan