(CNN) -- You've probably seen it hundreds of times over this long holiday weekend:

You're driving down the highway or along a hometown street, and from the car in front of you someone heaves a pile of garbage out the window.

Maybe it's the driver of the car, balling up fast-food wrappers and paper bags and tossing them high into the air as his car speeds merrily along.

Or maybe it's someone on the passenger side, opening the window and lofting a soft-drink can or glass bottle somewhere in the direction of the side of the road, barely missing your hood.

It's like an aerial barrage, everywhere around you, all the trash being thrown from all the cars onto all the roadways. ...

What?

You say you didn't see anything like that?

You say you didn't observe a single person throw a single load of garbage from a car window?

Right.

Chances are, the scenario described above seems like a bad dream, something you didn't witness and would not want to.

And therein lies a tale.

There was a time in the United States when those piggish actions -- using highways and local roads as garbage dumps, reflexively throwing trash from car windows without considering there was anything wrong -- was quite commonplace. People did it because -- well, they did it because so many other people were doing it.

Why did things change?

Lost in all the recent coverage of the 50th anniversary of the death of President John F. Kennedy, and its ramifications for U.S. history, was a sidelight that, in retrospect, had a fairly remarkable effect on the way we live.

When Lyndon B. Johnson and his wife, Lady Bird, moved into the White House at the end of 1963, they faced an almost impossible task. The nation was in mourning for the glamorous young president; suddenly Kennedy and his elegant wife, Jacqueline, were no longer living at 1600 Pennsylvania Avenue, and it was going to be tough for anyone to measure up. Johnson, a rough-hewn type from Texas, struck the country as the antithesis of Kennedy in terms of style and personal smoothness, and Lady Bird knew that neither she, nor anyone else, could replace Jackie Kennedy in the nation's affections.

But what Lady Bird Johnson -- born Claudia Alta Taylor in rural eastern Texas in 1912 -- managed to do during her years as first lady has had admirable consequences that are felt even today.

And one of those consequences was the garbage you didn't see being thrown out of car windows this holiday weekend, and the piles of trash you don't see building up by the sides of roads and highways every day of the year.

Mrs. Johnson decided that she would use her position as the president's wife to push hard for improvements in what she thought was an area ignored in the public consciousness: highway beautification.

Not that she especially liked that word "beautification." She thought that it made her projects seem a little trivial. Yet she firmly believed, as she once said, that "Ugliness is so grim. A little beauty, something that is lovely, I think, can help create harmony, which will lessen tensions."

Much of her efforts centered on planting wildflowers along highways, and limiting roadside junkyards and garish billboards. She persuaded her husband to advocate legislative policies on behalf of her projects, and if there was one thing Lyndon Johnson knew how to do, it was get his way with legislation. The Highway Beautification Act, passed in 1965, was sometimes referred to as "Lady Bird's bill."

A lasting benefit of her endeavors was Americans' realization that casually littering roadsides with garbage and refuse from cars was just not acceptable. The Highway Beautification Act did not outlaw littering on a federal level, but the impulse behind the legislation led to nationwide discussions about how to combat litter. "Beauty belongs to all the people," President Johnson said at the signing ceremony, "and so long as I am president, what has been divinely given to nature will not be taken recklessly away by man." There had been "don't-be-a-litterbug" initiatives before Lady Bird Johnson moved into the White House, but having her as the voice of highway beautification, and having her regularly proclaim her support for the anti-littering efforts, made people pay attention.

More than one child of the era, riding in a parent's station wagon, was -- in whimsical tones but with serious intent -- admonished, when he or she tossed wrappers out the window: "Lady Bird wouldn't like that." And more than one parent heard the same thing from his or her child, when the parent was the garbage-tossing offender.

What is impressive is how dramatically habits have changed. Certainly there still is highway litter; adopt-a-highway and sponsor-a-highway programs have become well known ways to combat it, as have hefty fines. Ours is not exactly a polite, filled-with-constant-consideration-for-others society. Yet the kind of highway slobbishness that once was an unavoidable part of daily life -- the what's-the-big-deal hurling of trash from moving cars -- today carries a stigma that previously was lacking. Seeing a person throwing garbage from car windows now is kind of like seeing a person pulling out a cigarette on an airplane. It just comes across as immediately wrong.

Lady Bird Johnson died in 2007. Although you don't hear her name much these days, she really did make a difference in the way her fellow Americans live. And she did it by opening people's eyes to what they should have been seeing all along.

(Now, if some future first lady -- or first husband -- would only devote herself or himself to the issue of people texting and talking on phones as they drive. ...)

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: There was a time when drivers threw garbage out the window without a thought

@highlight

That rarely happens now. Thank Lady Bird Johnson, who made highway beautification a cause

@highlight

He says LBJ pushed Highway Beautification Act; helped make people more aware of littering

@highlight

Greene: Lady Bird is unsung, but she helped stop behaviors that we wouldn't tolerate today