(CNN) -- The nomination of Elena Kagan to fill the seat of retiring Supreme Court Justice John Paul Stevens has caused quite a stir on the political left and right, as operatives on both sides try to ascertain exactly where she stands.

But it has also opened another fissure in the complex relationship that exists between black organizational leaders and President Obama, the nation's first African-American president.

Over the past year we have seen criticisms leveled by grass-roots activists, civil rights groups and the Congressional Black Caucus.

But instead of taking on the president, the beefs are largely aimed at "those around the president." In previous administrations, these same individuals wouldn't have hesitated to call out Presidents George W. Bush, Bill Clinton, George H.W. Bush or Ronald Reagan.

Why the hesitance? Because they also understand that a direct attack on President Obama could hurt them in two ways: They could find themselves cut off from the administration or they could anger their base by making the president's job more difficult when he is facing daily attacks from Republicans.

Even among African-American commentators, columnists and radio and TV show hosts, if you are too harsh on President Obama, the backlash has been swift and vicious.

The organizations know this, and trust me, the White House knows this, and has used it to its advantage.

That's why I call it the Obama-Black-Two-Step.

I've been told countless times by folks on both sides that Obama can't be seen as favoring African-Americans over others, and his White House has been especially scared of touching anything dealing with race.

As a result, black civil rights leaders and prominent Democrats have largely bitten their tongues, unwilling to publicly take on the president and some of his decisions. Instead, they quietly fume, mumbling under their breath and offering their critiques in measured tones.

Yet I have gotten the sense that black civil rights and political leaders may stop the racial solidarity and stand up on the principles they have long fought for. I've been expressly told that some have no interest in working hard or raising money in the fall on behalf of Democrats to hold on to the House and Senate.

The nomination of Kagan has become a flash point in this uneasy relationship, because this is the second time in a year that President Obama has made a Supreme Court appointment and his administration didn't seriously consider an African-American woman for the job.

The nomination of Sonia Sotomayor certainly was historic in that she became the first Hispanic to sit on the high court, and it was embraced by civil rights groups. Yet this time, for highly qualified African-American female judges, such as Leah Ward Sears, the retired chief justice of the Georgia Supreme Court, to never make the cut for a face-to-face interview with the president has ticked off a number of leaders I've talked with over the last several days.

What's the big deal about including a black woman? A Democratic pollster told me that black women have a higher voter turnout than any other ethnic-gender demographic -- 65 percent -- and it's vital for Obama to appeal to them. When Obama was behind Sen. Hillary Clinton in the polls, it was because black women hadn't embraced him yet. When they did, the race changed.

The uneasiness with Kagan's appointment among civil rights groups has focused on the hiring record of minorities during her tenure at Harvard Law School, which was followed by the White House pushing back to insulate her from criticism by saying the Harvard faculty makes the recommendations about hiring for tenured positions.

They were quick to blast out blogs, columns and articles written by African-Americans at Harvard to make clear Kagan is a major advocate of diversity.

When a meeting with civil rights leaders and administration officials was held at the White House on Tuesday with senior adviser Valerie Jarrett, I was told "more listening than talking" was done by the administration.

Civil rights leaders made clear that they felt they were being taken for granted in the process, and were expected to rubber stamp the choice.

When Kagan's nomination was unveiled Monday, the only prominent African-Americans in attendance were Charles Ogletree, a Harvard professor who taught both Obamas, and Wade Henderson, president of the Leadership Conference on Civil and Human Rights. That's a stark contrast to Sotomayor's unveiling, when a number of civil rights leaders were there to back her bid.

That's why if you look at the public statements released this week by the NAACP Legal Defense and Educational Fund, the National Urban League and others, they are more neutral on Kagan's appointment, saying they look forward to hearing more about her views on a variety of issues as the nomination plays out.

Folks, that's lukewarm at best.

I've heard the previous complaints that congressional and civil rights leaders have been ignored by White House Chief of Staff Rahm Emanuel, with one saying he has never attended a meeting with them ("Even Bush sent Andy Card to meet with us," one leader told me). And that extends to others surrounding the president in various parts of the White House.

"These problems are valid and BIG, and we cannot let them off the hook," I was told by one frustrated organizational head.

Yet this time is different.

White House officials would quickly suggest that they are on excellent terms with the Rev. Al Sharpton, but this goes beyond him. The Rev. Jesse Jackson is clearly on the outs with this administration, as seen in his banishment from the West Wing. But this contentious relationship is with civil rights, religious, economic and social justice officials. And it's getting worse.

One civil rights leader opined that President Obama is "losing his emotional connection with black leadership and black voters."

This has huge ramifications for the president and his agenda, because Democrats are facing a major battle to hold on to the House and Senate in November.

A Wall Street Journal/NBC poll released Thursday shows that voters are split over who should control Congress -- Democrats and the GOP both got 44 percent. But of those most interested in the midterm elections, Republicans garnered 56 percent to 36 percent for Democrats.

Yet according to a study released in April by the Joint Center for Political and Economic Studies, a nonpartisan think tank that focuses on African-Americans, upwards of 80 percent of black voters say they are very likely to vote in November. The group surveyed 500 African-Americans in Missouri, Indiana, Arkansas and South Carolina.

What helped catapult President Obama into the White House was a high black turnout, especially in the South, and he garnered 95 percent of the black vote. A drop of 10 to 15 percent by black voters for Democrats in November would be catastrophic.

As the Kagan nomination goes forward, White House officials have told me they expect no problems from civil rights groups.

That may be the case. But the distance is growing between this president and what many figured are his natural allies. In a year when you have energized your enemies, the last thing you need is to push away your friends.

The opinions expressed in this commentary are solely those of Roland S. Martin.

@highlight

Martin: Twice Obama hasn't seriously considered an African-American woman for high court

@highlight

This has ticked off a number of leaders Martin has talked with

@highlight

Martin: Distance growing between Obama and many of his presumed natural allies

@highlight

Some leaders may not help Democratic House, Senate candidates, says Martin