Washington (CNN) -- As military operations against ISIS continue, there is a less visible, but no less important, diplomatic front, as the United States seeks to recruit new international members and keep Arab nations committed and willing to help strike both within Iraq and Syria.

U.S. officials acknowledge this next, nonmilitary phase will be in some ways harder to implement, and even harder to measure. But they say the Arab support without hesitation to military action, traditionally a harder sell, gives them encouragement that the region is committed to putting its various rivalries aside to concentrate on the fight against ISIS.

On Tuesday, retired Gen. John Allen, the newly appointed envoy to the global coalition, and his deputy, Brett McGurk, head to the region, where they will press nations to stop the flow of foreign fighters across their borders to join ISIS' ranks and to stem financing, both considered the lifeblood of the military group.

The ranks of the coalition have swelled since its formation began in earnest last month, although is unclear how many have signed on.

Speaking at the United Nations last week, U.S. President Barack Obama claimed more than 40 nations, though a day earlier Secretary of State John Kerry put the number at more than 50. Now the State Department points to more than 60 coalition partners, including the European Union, the United Nations and the Arab League.

John Kerry: The fight against ISIS is 'going to go on'

Obama: U.S. misjudged ISIS threat

As of Friday, the coalition had carried out more than 200 strikes in Iraq and 43 in Syria, Defense Secretary Chuck Hagel told reporters. The United States had done the lion's share of the bombing, although Arab states have contributed significantly. Saudi Arabia, the United Arab Emirates, Bahrain, Qatar and Jordan all participated in last week's strikes in Syria. France carried out an airstrike in Iraq earlier this month.

The American-led coalition fighting ISIS in Iraq grew by four on Friday -- including Belgium, Britain and Denmark.

The U.S. got a major boost when Prime Minster David Cameron of Britain won approval from Parliament, after describing the militants as "psychopathic terrorists who want to kill us."

British lawmakers approved a limited deployment, but only in Iraq. Syria wasn't even on the table, to avoid the same embarrassing defeat the British Prime Minister experienced last year when Parliament rejected his call to join the United States in strikes against Syria, casting doubt on Britain's reputation as America's closest ally during times of crisis.

More than a military effort

Contributors to the effort go well beyond taking part in military operations. Some nations are contributing planes, while others are sending ammunition and weapons to Iraqi and Kurdish forces and special forces to train the Iraqi army. Still others are offering refueling assistance. Canada, Australia, Italy, Germany, Hungary, Estonia, Albania and the Czech Republic all have made contributions to the military effort.

But the bulk of the donations is directed toward the campaign against ISIS in Iraq. As in Britain, public opinion in many European nations does not support an air campaign in Syria, out of fear of either starting a wider regional war or helping Syrian President Bashar al-Assad cement his brutal grip on power.

U.S. officials say they are not bothered, and suggest the discrepancy is overblown. While support for strikes in Syria is symbolically important, they insist American military might, supported by Arab manpower, is more than sufficient. Moreover, they add, the effort to dislodge ISIS from Iraq, for which they have considerable support from partners, is equally important.

Still, the administration does hold out hope that many of its coalition partners will follow Washington's own playbook -- starting with the effort in Iraq, while building public support for wider involvement to include Syria. Cameron seemed to suggest as much by telling Parliament there was more he wanted Britain to contribute to the coalition effort in time.

U.S. aims to cut ISIS oil revenue

The effort to cut off funding to terrorist groups is an area where cooperation is much less tangible. Since 9/11 the U.S. has urged its Gulf allies to crack down on private financing to extremists in the region, with mixed results. And since the Syrian conflict began more than three years ago, funding to various Syrian opposition groups has often ended up in the hands of more extremist elements.

In an interview with CNN's Christiane Amanpour, Kerry said the threat ISIS poses to the region has been a wake-up call for nations to get serious about stopping the funding, including to Syrian groups.

"State-sponsored support of these groups, I believe, is over -- is ended. There are still individuals within certain countries who have been funneling money to these groups. The theory back in the beginning by many of these people were, well, we're going to get rid of Assad and then we'll focus on these bad apples," Kerry said. "They realized it morphed into something more ominous, more threatening, and so I think people have really pulled back."

Today, ISIS is not just one of the most dangerous organizations, it is also one of the richest. Beyond private donations, the group has emerged as a ruthless terror corporation, earning millions of dollars every day from black market sales of oil in areas it controls. Oil is smuggled out of Syria by ISIS tankers, driven along secret routes in Turkey's southern corridor and sold by middlemen and local tribes.

Airstrikes against some of the organization's refineries have sought to limit ISIS' own use of the crude, but an important new phase of the U.S. coalition effort is focused on getting neighboring countries to clamp down on black markets and networks handling the sale of oil, which is fueling its reign of terror.

Looking for new coalition partners

Turkey is central to all these efforts. Ankara committed last week to joining the anti-ISIS coalition, but it has provided no details on what it will do. Turkey stayed on the sidelines while ISIS held 49 Turkish hostages, but those hostages were freed September 20. U.S. officials say they expect Turkey to play a major role going forward in many aspects of the campaign, but its role remains far from clear.

Russia, too, has been vague about what role it could play. Last week, Moscow said it would join in the fight against ISIS, but did not mention the coalition and has opposed the strikes in Syria, saying the U.S. should have sought permission from al-Assad.

One often overlooked, but critical, aspect of the fight against ISIS is the communications battle. The U.S. is looking for Arab states to undertake a major effort to, in the Kerry's words, "reclaim Islam by Muslims, by those to whom it belongs." The U.S. is urging countries like Saudi Arabia and Egypt to get their clerics to speak out against the group and Arab networks like Al Jazeera and Al-Arabiya to counter ISIS' sophisticated media machine.

The success or failure of that communications effort could ultimately have repercussions for the resolve of a coalition that depends so heavily on buy-in from Arab states.

"I'm absolutely convinced the coalition is on board. There's no question about it. And they proved that in the air, in their willingness to join -- historically, to many people's amazement, they all came together," Kerry told Amanpour. "There's a sense of purpose now in this focus."

@highlight

Top American generals and diplomats are headed for Arab countries

@highlight

The anti-ISIS coalition depends on cooperation from Arab nations

@highlight

The United Kingdom and other Western nations joined the anti-ISIS coalition Friday

@highlight

The White House says more than 50 countries are contributing to effort