Editor's note: Andrew J. Imparato is chief executive of the American Association of People with Disabilities (AAPD), a national nonprofit, nonpartisan membership organization of people with disabilities, their family members and supporters that was founded in 1995.

Andrew J. Imparato says Kennedy's family experience helped drive his commitment to disability rights.

(CNN) -- The disability rights movement has lost a giant in our global struggle for equal opportunity, human dignity and self-determination. Sen. Ted Kennedy's leadership as a disability champion was part of a broader commitment to civil and human rights.

But his accomplishments in the area of disability law and policy may prove to be his greatest and most long-lasting success as a legislator.

Senator Kennedy's commitment to the cause of disability rights was informed by his experience as the brother of Rosemary, who was born with an intellectual disability; and the brother of Eunice, who devoted her life to improving the world's treatment of people with intellectual disabilities.

It was deepened when his son Ted Jr. had his leg amputated at age 12 after being diagnosed with bone cancer; and deepened again when his son Patrick experienced bipolar disorder and substance abuse as an adult.

Senator Kennedy understood disability as a human issue because he had a front-row seat from which to witness society's all-too-often callous and bigoted treatment of children and adults with disabilities.

In his heart of hearts, Senator Kennedy understood that America was at its best when it expanded opportunities for people with all types of disabilities, for women, for immigrants, for racial and ethnic minorities, for lesbian, gay, bisexual and transgendered people, for infants and children and for seniors.

He was able to couple this understanding and commitment with a knack for finding Republican and moderate Democrat partners and working out legislation that could pass with enormous bipartisan support.

When the Americans with Disabilities Act (ADA) passed in 1990, the vote in the Senate was 91-6. That vote was the product of hours of cajoling and negotiating between Senator Kennedy, his Democratic allies Tom Harkin and Steny Hoyer, the George H.W. Bush White House, Senators Bob Dole and Orrin Hatch, and others.

The ADA was a once-in-a-lifetime piece of civil rights legislation. Thanks to the ADA, the U.S. demonstrated to the world that it was possible to mandate that buses, telecommunications, buildings and schools be accessible.

Our country showed the world that it is possible to outlaw discrimination in employment against people with disabilities without harming businesses. The example of the ADA helped more than 70 foreign countries pass similar legislation, and laid the foundation for the U.N. Convention on the Rights of Persons with Disabilities, which is driving even more change globally as the 65 countries who have signed and ratified the convention seek to pass implementing legislation.

Senator Kennedy's legacy extends from the ADA to so many other critical bills: the Family and Medical Leave Act, the Fair Housing Act Amendments of 1988, which added disability to the group of protected classes under that critical law; the Individuals with Disabilities Education Act, which outlaws discrimination and guarantees a free appropriate public education to all children with disabilities; the Family Opportunity Act, which gives parents of disabled children the ability to purchase Medicaid coverage for their children even if they were not low-income; the Help America Vote Act, which requires every polling place to have a machine where disabled people could vote privately and independently; and the more recent Genetic Information Nondiscrimination Act and mental health parity legislation.

As an attorney with bipolar disorder who graduated from law school in 1990, I am one of a generation of professionals who have developed our careers in the wake of the ADA and other critical laws that protect our right to equal opportunity and fairness. I have personally benefited from Senator Kennedy's leadership. I have had the privilege of working closely with his extraordinary sons Ted and Patrick and with his top notch staff.

I cannot imagine a more effective champion for disability rights, for civil rights, for health care, for basic human decency, than Edward M. Kennedy. His legacy will be felt by more than 600 million children and adults with disabilities around the world for generations to come.

We have lost a champion, and we must all work harder to continue to make progress toward his compelling vision of a world where all people have value, all people have dignity, and all people can participate as equals in the lives of their communities.

The opinions expressed in this commentary are solely those of Andrew J. Imparato.

@highlight

Andrew Imparato: Kennedy's family helped spark interest in disability rights

@highlight

He says Kennedy's involvement in pushing the ADA legislation was key

@highlight

He says the ADA has helped create a global movement for rights

@highlight

Imparato: His legacy will be felt by 600 million people with disabilities