London (CNN) -- The 500-year-old panel is not much bigger than an average flatscreen TV and the wood has split, but what it shows is truly extraordinary.

A painting of Jesus Christ that, after centuries of neglect, has been identified as Leonardo da Vinci's "Salvator Mundi."

It's a discovery so rare, so unlikely, that when New York art dealer and da Vinci expert Robert Simon of Robert Simon Fine Art first saw the painting, he didn't even consider the possibility.

"The whole idea that it might be by him was almost an impossibility; it's kind of a dream," said Simon.

The painting joins a small collection of surviving paintings by the Renaissance master who lived and worked in Italy in the 15th century, and is the star attraction in a major Leonardo exhibition opening in London in November, following careful conservation treatment to remedy the damage it suffered over the years.

"Salvator Mundi" (Savior of the World) is known to have been owned by English king, Charles I before moving around various private collections until 2005, when the current owner brought it to Simon to study.

"It was a very interesting painting but it's not something I looked at and thought, 'Oh my god, it must be a Leonardo,'" said Simon.

The true identity of the 66 x 45 centimeter oil-painted walnut panel had lain dormant for years, its distinguishing features hidden under layers of crude over-paint.

It was known to have existed from preparatory drawings made by da Vinci and copies by his followers but experts assumed it had been destroyed.

That's why initially, Simon and Dianne Dwyer Modestini (Senior Research Fellow and Paintings Conservator for the Samuel H. Kress Program at the Conservation Center of the Institute of Fine Arts, New York University), thought the painting was by one of Leonardo's associates or pupils -- a fact which, in itself, would have made the work extremely precious and very valuable.

Besides, there are only some fifteen surviving Leonardo paintings in the world and the last one to be discovered was the "Benois Madonna" more than 100 years ago.

So, what first alerted Simon and Modestini to the possibility that the painting they were looking at could be the real thing?

"I and Dianne didn't really allow ourselves to think in terms of attribution," he said. "It's one of the mistakes in any connoisseurship problem (because) it can pervert the intellectual process."

The truth revealed itself little-by-little as Modestini painstakingly removed the layers of varnish and over-paint in her studio and Simon carefully studied the painting's provenance, comparing it with da Vinci's other paintings and preparatory drawings.

But there were two important clues.

One was a so-called "pentimento," an alteration in the painting showing traces of previous work that Simon discovered by scrutinizing a photo of the painting taken using night vision, and using other techniques.

The other was the painting of Christ's curls.

"I was looking at the curls and St. John the Baptist at the Louvre, who has this huge head of massive ringlets and they are exactly the same," said Modestini.

As to the "pentimento," she said, "Robert always suspected that it was there."

She describes him using infrared reflectograms to see under the layers of paint, and discovering the thumb in the blessing hand and the stole Christ is wearing painted in different positions.

The way the artist had worked out how to position the various elements in the painting suggested da Vinci's way of working.

"When we started adding many things into the equation it started to seem (more likely), we were sort of saying to each other, 'It has to be (a Leonardo),'" she said.

But, says Modestini, she continued to have doubts: "I just couldn't believe it -- this is the rarest thing imaginable. How could this be?"

She remembers thinking: "Have I lost my mind completely, have we both lost our minds?"

But as their scholarship deepened, they were able to narrow down their suspicions until they were sure they were dealing with a real Leonardo.

It was at this point that the safety of the painting became a priority.

"I had to finish what I was doing very quickly because once it was (revealed to be) a Leonardo, it couldn't stay here (in the studio), it wasn't insured to stay here," Modestini said.

So, they sent it to New York's Metropolitan Museum of Art for safekeeping.

Simon and Modestini then called in da Vinci experts from all over the world to further verify the painting.

For Simon, the nearly seven-year process has been the pinnacle of an already distinguished career.

"This is not a little ripple in a pond, this is like a boulder," he said.

"I'll be pushing on but I have no expectations of making (another) discovery of this level. This is the art history equivalent of a gold medal," he continued.

"Salvator Mundi" is going on public display in London in November, as part of the exhibition Leonardo da Vinci: Painter at the Court of Milan at The National Gallery.

@highlight

Neglected for centuries, a Leonardo da Vinci painting is rediscovered

@highlight

Discovery so unlikely art historian and conservator thought they had "lost their minds"

@highlight

Main clues were original alterations in composition and painting of the curls

@highlight

"Salvator Mundi" now being exhibited for first time in London's National Gallery