About halfway between Rome and Naples, something magical is happening in a picturesque Italian town they call the "Village of Eternity."

If you come to Campodimele to sip an espresso in the main piazza, feast on spaghetti with ricotta sauce or walk along the medieval city wall, you will be relaxing in a place with one of the longest life expectancies on the planet.

Is it the peaceful surroundings? The pure mountain air? The stress-free lifestyle? The wonderful food?

Whatever the reason, Campodimele's residents can expect to live to 95, writes Tracey Lawson, a British journalist who became intrigued by the village and traveled there to experience its charms and discover its secrets.

"When I got there, I just fell in love with the place," Lawson said. "My life became seasonal and had a rhythm imposed upon it, which I very much liked."

She went hunting for wild asparagus, ate sugary ripe figs fresh from the tree and learned how to make pasta from the locals, just a few of the pleasures she found in Campodimele.

She believes that the local cuisine -- made up of fresh, seasonal, locally grown food -- plays a key role in the residents' extraordinary longevity.

Try a 'Village of Eternity' recipe: Stuffed, baked eggplant

Lawson, 43, didn't just get a glimpse into how to live long; she also discovered how to live well, she writes in "A Year in the Village of Eternity," a book that's both a love letter to the town and a collection of its recipes.

Lawson recently spoke with CNN from her home in Carlisle, in northern England. She divides her time between the U.K. and Campodimele but hopes to permanently move to Italy.

The following is an edited version of the interview.

CNN: What is Campodimele like?

Tracey Lawson: Campodimele is a classic Italian rural idyll. It's a village that is about 1,000 years old and situated on a mountain top in the middle of the Aurunci Mountains. It's about 25 km (15 miles) from the Tyrrhenian Sea coast.

A lot of tourists tend to zip from Rome to Naples; they go straight down the motorway, and they miss out this area inland.

The village is just this little cluster of medieval houses made out of stone, lots of lovely stone staircases and little piazzas. It has a perfect circular wall, which dates from the 11th century with 12 turrets.

Lots of the houses that people live in are actually built into the defensive walls, so some of the kitchens that I was lucky enough to cook in and been invited into are literally 1,000 years old.

There are olive trees on the slopes in the background. It's very beautiful.

CNN: What advice can you offer for travelers who want to go?

Lawson: The first thing I would do is go to the main piazza. It's very beautiful, because it sort of drops off the edge of the valley so you can see all across the Liri Valley.

There's a bar on the piazza which is called the Moonlight Café. It may take its name from the fact that when you're sitting on the piazza outside the café, the moon just sort of rises like a lantern. It really does meet all your expectations of a beautiful Italian village.

CNN: The town seems to be big on food festivals. What are they like?

Lawson: One of the nicest times to go to Campodimele is in August, when there are two key food festivals.

One is the festival of the "cicerchie." The cicerchie is a small bean that looks a bit like a squashed chickpea, and it's very particular to Campodimele. It's got a taste all of its own. It's sort of sweet and musty, and it's one of the key dishes of Campodimele. During the festival, they cook the cicerchie in huge vats on the street. People come from as far away as Rome and Naples just to come and taste it.

They also have the festival of "laine e fagioli." Laine is simple pasta ribbons made out of just flour and water. It's sort of the poor man's pasta, as opposed to pasta that is made from flour and eggs, which is richer.

There are stalls laid out in the village, and you can see the ladies rolling the pasta and cutting it into ribbons. Then it's served up to the public with sort of a tomato sauce laced with beans and onions.

CNN: In the spring, you were also invited to taste the first shallots of the season, which pack quite a punch. How did you like eating a raw shallot?

Lawson: It nearly blew my head off, seriously. Think of the worst shot of vodka you've ever had, but it tastes like onions. But they're absolutely delicious fried.

The shallot festival is just a very local, impromptu thing. It's not an organized festival. But if you happen to be in the village around that time, you'd be very welcome to try them out.

CNN: Where can you stay or eat in Campodimele?

Lawson: There is a hotel called Spunta la Luna.

The quality of food in the local restaurants is amazing. It's all locally sourced. The standard method of raising produce is organically. They don't even bother using the word "organic" because it's just so normal to them, there's no need to use the phrase.

So it's all locally grown fruits and vegetables. A lot of the restaurants serve goat or wild boar, which is hunted on the hills.

CNN: You were eating so many delicious things when you lived in the village. Did you lose weight or gain weight during your time there? Or did you even care?

Lawson: I didn't really care too much. But I did lose a lot of weight, despite the fact that I must have been eating a lot more calories. Everything has a lot more olive oil. I just put olive oil on everything, and I still do. I really think it's the elixir of life.

I think the weight loss is probably due to the lack of stress. I always have this theory that it would make sense that if your body is full of adrenaline, your fight-or-flight mechanism is going to tell your body to conserve fat.

CNN: How do you get to Campodimele?

Lawson: If you are in Rome or Naples, you can get a train, which runs directly between those two cities and jump off at the town of Formia.

It's much easier to go by car. If you come down from Rome, which takes about an hour and 40 minutes, you would actually travel along the Via Appia (the ancient Appian Way) so it's a very historic route.

Once you get outside of Rome, it's very much green fields and blue skies. Once you turn off the major roads, you're actually traveling upland into the mountains, so there are lovely winding roads and green tunnels of trees.

The only thing I would say is, watch out for cows on the road. Don't speed, because the cows just stand in the middle of the road, and they just look at you. At nighttime, you've got to watch out for the wild boar, which run along the road as well.

@highlight

Residents of idyllic Campodimele, Italy, can expect to live to 95

@highlight

The lovely village has peaceful surroundings, pure mountain air and a stress-free lifestyle

@highlight

Author Tracey Lawson was enchanted by the freshness of the food and the local cuisine

@highlight

The village has two big food festivals in August, celebrating beans and pasta