(CNN) -- The United States and Israel are on the same side when it comes to Iran, but you might not know it watching the bitter public disagreement that has broken out between the two allies over negotiations with the Islamic Republic.

Is this a way for friends to handle their differences?

The talks with Iran present enormous challenges for Washington. One of those challenges is to move through the process without damaging existing alliances or weakening America's already diminished standing in the Middle East.

Israeli Prime Minister Benjamin Netanyahu has warned that he thinks the U.S. is falling into an Iranian trap. The White House says it is moving cautiously in the interest of peace and security. The disagreement is tearing at the alliance.

Both Israel and the U.S. should find a different way to make their cases. They have moved perilously close to impugning each other's character instead of debating the merits of their positions.

Netanyahu strongly objects to the proposal that would ease sanctions in exchange for a slowdown of Iran's nuclear program during negotiations for a permanent agreement.

He is used to wielding sharp words. His tone has suggested U.S. President Barack Obama and Secretary of State John Kerry are being played for fools. When talks broke off a few weeks ago, Netanyahu sarcastically called the agreement that was almost reached between Iran and the so-called P5+1, the U.N. Security Council permanent members plus Germany, "the deal of the century" -- for Iran. France, too, another U.S. ally, called the proposal "a sucker's deal."

But it's not just critics of the Obama administration position who have come perilously close to insulting those with whom they disagree. White House spokesman Jay Carney responded to criticism and to calls for new sanctions by saying "the American people do not want a march to war," as if those who don't like this agreement actually want a war.

The notion that Netanyahu, that Israelis, want war with Iran is patently absurd. Some may think a war is unavoidable, but everyone in Israeli knows war with Iran would bring unspeakable suffering.

In Israel, the issue is personal for every family that lives within rocket range of Iran -- every family. Many Israelis dislike Netanyahu's style, but they share his concern. Today, only 31% of Israelis think Israel can rely on the U.S. on talks with Iran.

What Israel wants is a strong deal, one that truly prevents Iran from having the ability to quickly build a nuclear weapon when it chooses. That, incidentally, is what America's Arab friends also want, creating an unlikely alignment of interests between Israelis and Arabs.

Instead of "dissing" each other and engaging in acrimonious debate that brings satisfaction to their enemies, Israel and the U.S. should concentrate on the substance of their disagreement.

Both Israel and the U.S. -- not to mention France, Saudi Arabia, the United Arab Emirates, and others -- want to bring an end to what they believe is Iran's nuclear weapons program. Iran says it only wants nuclear power, but even U.N. weapons inspectors say there are indications of a military aspect to Iran's nuclear program.

Israel and the U.S., of course, have different perspectives. They differ on tactics, strategy, and to some degree on goals. The U.S. is physically distant from Iran and it has a stronger military. Israel wants Iran to end all nuclear enrichment. The U.S. is apparently willing to allow some enrichment and stockpiles.

America sees Iran and its nuclear program as a challenge to global stability, to the regional balance of power, to nuclear nonproliferation. Israelis believe Iran aims to destroy their country.

On Wednesday, as talks restarted in Geneva, Iran's Supreme Leader Ayatollah Ali Khamenei gave a televised speech in which he called Israel the "rabid dog" of the Middle East and declared that Israel "is doomed to failure and annihilation." That kind of language, and a nuclear program, a wave of terrorist attacks, and the funding of anti-Israel militias, such as Hezbollah, add up to a pretty good case for Israelis to worry.

Their concerns are echoed by many members of Congress, who also question the strength of the current negotiating approach.

All want to see a deal, but only a good deal. All of them, lest we forget, are on the same side.

Israel, along with France and many members of Congress, believes relief from sanctions should come only if Iran completely stops getting closer to a nuclear weapon. They worry that once world powers start rolling back sanctions, even slightly, the entire system will start unraveling. The Obama administration says the interim deal would "put time on the clock."

But Obama too said he wants to make "absolutely certain" the Iranians are not "busy advancing their program" during talks.

On the surface, Obama and Netanyahu are saying much the same thing.

It's no simple task, but if a deal can be made that convinces everyone Iran is not within reach of a bomb, that would satisfy America, Israel, America's Arab friends and -- if Tehran is telling the truth -- it should meet Iran's goals.

We don't know the exact terms under discussion in Geneva, Switzerland, but some reports give reasons for concern.

One element under discussion, for example, would reportedly allow continuing construction of the Arak plutonium facility, with a promise from Iran to delay operating it for six months; far from ideal. It is also unclear what would happen with the Parchin site, where U.N. inspectors suspect Iran is working on ways to develop military components to weaponize its nuclear materials.

Instead of disparaging the administration's negotiating skills, Netanyahu, as a friend of the U.S., should raise questions about these issues. And instead of disparaging the motives of Netanyahu and other critics, the Obama administration should respond to the specific claims.

Ironically, Israel's strong objections strengthen the West's negotiating position. It is Iran that should explain why it will not allow inspectors into Parchin and why it needs to build a plutonium reactor.

Countries make alliances because they are stronger together. Israel and the U.S. need to defend their alliance as they work together to stop Iran's nuclear program. Anything else will only strengthen their enemies.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis: U.S., Israel on same side on Iran but are at bitter odds on nuclear negotiations

@highlight

She says Netanyahu says U.S. falling into trap; Obama says U.S. trying for peace, security

@highlight

She says Israel has legitimate existential concerns over nukes in Iran, wants strong deal

@highlight

Ghitis: Lest they strengthen their enemies, U.S., Israel need to defend their alliance