(CNN) -- If trials were predictable, they wouldn't happen.

You can root for a jury to see a case your way and disagree with its ultimate verdict, but you cannot criticize the jury system for being unpredictable. In that sense, a Florida jury's recent verdicts -- and nonverdicts -- against Michael Dunn demonstrate a fundamental truth about trials. They are not only unpredictable; they are designed that way.

The case against Dunn stemmed from an incident on November 23, 2012. Dunn, a 47-year-old white man, arrived at a gas station in Jacksonville, Florida, and parked next to an SUV that contained Davis and other black teenagers. When Dunn complained about loud music coming from the SUV, words were exchanged and Dunn ultimately fired a gun that killed Davis. Dunn said he saw a gun barrel pointing out of the SUV, but the prosecution said there was no gun.

Dunn was found guilty of three counts of attempted second-degree murder as to the other occupants of the car, but the jury was not able to reach a verdict on the first-degree murder charge in the death of Jordan Davis.

In the eyes of critics, this case was a "sure thing" for the prosecution, and anything less than guilty verdicts across the board is now considered by them to be a miscarriage of justice. Guilty verdicts were expected.

That sentiment belies a fundamental misunderstanding about the criminal justice system: With juries, there is no such thing as a "sure thing."

No one can accurately predict how each juror might perceive the evidence, argue a case in deliberations or be persuaded by his or her fellow jurors. Jurors can and do bring their own life experiences to the jury room, and no two jurors are the same.

Yet anyone who has waited for a jury's verdict has engaged in the same helpless jury astrology because there is simply no hard science to predict their behavior. The best example is the rabid divination of the meaning of juror questions: those inscrutable, handwritten missives intermittently sent out to the judge and read to the lawyers in chambers.

Tonyaa Weathersbee: An empty verdict, a hollow victory

This system is about as sophisticated as note-passing in grade-school algebra, but just a few lines from an innocuous jury inquiry will leave seasoned attorneys pondering the hidden meaning and the potential direction of the deliberations. The bottom line is this: Reading these tea leaves is an exercise in futility. There's no way to predict a verdict with certainty.

To many observers, including me, this was a strong prosecution case, but not a sure thing. In fact, it's generally only the close-call cases that go to a jury. The most obvious cases of guilt or nonguilt should result in plea agreements or voluntary withdrawals by the prosecution.

Simply look at the statistics. The vast majority of all cases, criminal and civil, are resolved before trial. Verdicts are simply too risky for either side, especially to put up a case that they believe is a loser. A jury trial means each side believes their theory of the case is strong enough to roll the dice in this riskiest game of all.

Whether you agree with the jury's verdict or not, these verdicts give us some insight into the jury's thought process.

The jury convicted on attempted second-degree murder for shots fired at the other passengers in the SUV with Davis. It makes sense. By Dunn's own concessions, he intentionally shot at a vehicle speeding away from him. Even if Dunn's testimony were completely believed, at best only Davis was the aggressor, so Dunn had a minimal self-defense claim against the other occupants.

But, the verdict on attempted second-degree murder may have put a figurative "cap" on Dunn's level of intent. In other words, the jury may have agreed that Dunn's level of intent as to all victims was consistent -- perhaps not the specific intent to kill characteristic of a first-degree murder, but something slightly less.

In the case of second-degree murder, this could be an intentional act so indifferent to human life it evinced a depraved mind.

The "depraved heart" variety of murder is often analogized, coincidentally enough, to law students as closing your eyes and shooting into a crowd with a gun. It may be true that you did not actually intend to hit anyone, but the act was so likely to kill that your level of intent is just below that of specific, premeditated murder. That law school example used to explain the concept to students is eerily similar to the facts here.

While it's possible that the jury was hung up trying to apply the law of self-defense, it may also be that the jury simply had trouble with the definitions of homicide. It's understandable. They are complicated for lawyers and lay persons alike.

Florida's standard jury instructions are available online. Take a look at each of the suggested instructions for the different degrees of murder and manslaughter. They, like all jury instructions, are complicated. They do not get much less complicated just because the judge reads them slowly and out loud to the jury. They involve abstract concepts and seemingly overlapping definitions of nuanced "states of mind."

It's very likely that the jury was hung up on whether self-defense applied, but they also may have deadlocked over the different definitions of homicide.

Despite public frustrations, this was a win for the prosecution. It secured a successful verdict on four of five counts that will, because of Florida's minimum mandatory sentencing scheme and the defendant's use of a firearm, send Dunn to prison for at least 60 to 75 years. That's day-for-day: no gain time, no early release except for a win on appeal.

Plus, the prosecution can retry Dunn for the killing of Davis. When a judge discharges a jury on the grounds that the jury cannot reach a verdict, the double jeopardy clause of the Fifth Amendment to the Constitution does not bar a new trial of the defendant.

The double jeopardy clause provides: "[N]or shall any person be subject for the same offense to be twice put in jeopardy of life or limb in criminal ... cases." If the state reprosecutes the Davis killing, Dunn will certainly feel as if he's being tried twice for the same crime. Constitutionally, however, a retrial following a deadlocked jury is permissible.

Defense counsel deserves recognition as well.

They hung a jury on what many observers expected to be a clear-cut murder conviction. Even without the wave of public acrimony against the defendant, this was always an uphill self-defense case. It was clear from the trial that the defense prepared this case and the client, and gave Dunn the best chance at a not-guilty verdict. Overall, a good job with bad facts for the defense.

The big question now is whether we will see the state of Florida retry Dunn for the murder of Davis.

On one hand, they have achieved a virtual life sentence on the other convictions, which achieves one of the philosophical goals of punishment: incapacitation and isolation of Dunn from the community.

It does not achieve another goal of punishment for the Davis family: retribution. The state has indicated for now that it will retry Dunn, but if it does, one thing will remain certain:

There are no sure things in retrials, either.

The opinions expressed in this commentary are solely those of Danny Cevallos.

@highlight

Danny Cevallos: Critics of the Michael Dunn verdict miss a feature of trials

@highlight

They're always unpredictable, and it's impossible to get inside the mind of a jury, he says

@highlight

He says jury may have been unsure about meaning of various degrees of homicide

@highlight

Cevallos: The prosecution scored a win, despite public criticism of the verdict