(CNN) -- One endless June afternoon a decade ago, I drove along southern Iceland's Highway One, past the weak spot in the planetary crust whose rupture recently brought air traffic in Europe to an ashen standstill.

It was summer solstice, a day when the sun lolled at the horizon but never set, turning to crimson the basalt cliffs that face the Atlantic. From countless crags along their length gushed great arcs of water, pressured from above by a weight draped over a hundred square kilometers like a huge slab of white cake frosting: the 200-meter-thick Eyjafjallajokull glacier.

Between the coastal cliffs and the ice lay a band of green slopes, five kilometers wide, interspersed with fjords and valleys that held clusters of farmhouses and barns with red metal roofs, their shining silos and occasional church steeples pointed toward the immense glacier hovering overhead.

The air, brilliantly clear, resounded with terns, orange-billed oystercatchers, petrels, whimbrels and musical wagtails. At 8 in the evening, farmers in overalls were still out haying, their pale hair aflame in the suspended daylight. I saw a string of 10 riders on buckskin and dun mounts, forelegs lifted in the extra-high gait unique to Icelandic horses, making them appear to be swimming through the deep green ribbon at the glacier's edge.

That extended, gilded moment was as perfect a definition of beauty on Earth as I have known. It remains indelible, even though over the past week, much of what I saw was swept away as Eyjafjallajokull's erupting volcano melted a gaping hole in its ice cap, flooding what lay below.

A big clue as to why that happened can be found an hour's drive to the west, halfway between Eyjafjallajokull and Iceland's capital, Reykjavik, in a broad valley with a sharp cleft down its middle. That place, Thingvellir,  is so famous in Icelandic history that practically no signs announce it, because everyone knows what and where it is.

In A.D. 930, more than a thousand years after the decline of ancient Greece, Thingvellir was where Western democracy was reborn. By coincidence -- or maybe not -- the spot where the Norsk settlers who made up the island's infant society chose to convene their first parliament is one of the few places on the Earth's surface where the geologic action that defines our planet's land and seas is visible.

Here, astride the Mid-Atlantic Ridge, the North American and Eurasian plates pull away from each other. Perhaps 20 million years ago, this wrenching forced an upwelling of hot rock to rise through the ocean, and Iceland was formed.

Thingvellir's rift valley floor is scored with cracks and fissures; at one point, a lava escarpment that is the eastern edge of North America towers 30 meters higher than the western edge of Europe. The continents are currently recoiling from each other at a clip of two centimeters per year, a process that daily releases clouds of geothermic steam and sends geysers skyward -- and, sometimes, molten magma and volcanic ash.

Of course, the farmers who gathered in this shattered young landscape more than a millennium ago to lay down terms for civilization had no inkling that to the west lay an entire New World, where their democratic example would one day be magnified until it forged the philosophical basis for the most powerful country the planet has ever seen.

Both Iceland and the United States exalt democracy as a social achievement worthy of lasting an eternity. Yet the latter's unprecedented strength has derived not just from enlightened government, but from the release of its own hot clouds: exhaust from its vast industries, fleets and mechanized agriculture.

As we have learned, these gases form an invisible barrier that, like a greenhouse's glass ceiling, keeps reflected heat of the sun from escaping our atmosphere. The denser that gaseous barrier grows, the hotter things get and the faster glaciers melt.

As they flow off the land, we are warned, seas rise. Yet something else is lately worrying geologists: the likelihood that the Earth's crust, relieved of so much formidable weight of ice borne for many thousands of years, has begun to stretch and rebound.

As it does, a volcano awakens in Iceland (with another, larger and adjacent to still-erupting Eyjafjallajokull, threatening to detonate next). The Earth shudders in Haiti. Then Chile. Then western China. Mexicali-Calexico. The Solomon Islands. Spain. New Guinea. And those are just the big ones, 6+ on the Richter scale, and just in 2010. And it's only April.

It's looking like this may be a long decade. And if we don't pull carbon out of the way we energize our lives soon, a small clump of our not-too-distant surviving descendants may find themselves, as Gaia scientist James Lovelock has direly predicted, like the first Icelanders: gathered on some near-barren hunk of rock near one of the still-habitable poles, trying yet anew to eke out a plan for human civilization.

The opinions expressed in this commentary are solely those of Alan Weisman.

@highlight

Iceland has great volcanic activity, is where European and North American continents meet

@highlight

Weisman: Scientists fear melting of ice sheets will lead to more volcanoes, earthquakes

@highlight

Iceland and U.S. revere democracy and want to see it endure, he says

@highlight

He says civilization threatened by economies that depend on emitting global-warming gases