(CNN) -- It was the most devastating news an unsuspecting new parent could ever hear. I couldn't wrap my brain around what the neurologist was telling me.

Finally, I stopped her.

"Is this bad," I asked.

"Yes," she replied.

"So what you're telling me is that my son has a fatal disease?"

"Yes," she said again.

It was like someone had just pushed me off a cliff.

Our son Jonah Weishaar was diagnosed with Sanfilippo Syndrome Type C in May 2010 when he was 22 months old. At the time of his diagnosis, he was asymptomatic, and he still is -- but the clock is ticking.

Our geneticist gave us the best advice she could give in this situation. She told us that this didn't have to be a death sentence for Jonah. With the scientific advancements happening now, treatments that were unimaginable a few years ago are becoming a reality.

This was all we needed to hear. We hit the ground running. A few weeks later, Jonah's Just Begun was formed. The foundation is aimed at curing Sanfilippo Syndrome. We have two goals: To drive the science that will ultimately lead to a cure, and to raise awareness for all rare diseases.

Actor Jonny Lee Miller of the TV show "Elementary" is running a 50-mile ultra-marathon in honor of Jonah's Just Begun. Having him endorse us is a dream come true, and I'll never be able to thank him enough.

We've also formed a consortium of scientists, clinicians and parents all focused on saving our children's lives. We call this consortium HANDS (Helping Advance Neurodegenerative Disease Science). Today, we have four research projects in the works. In the coming weeks we will announce the official Sanfilippo patient registry and a natural history study, which follows a group of people with a disease over time.

A child's struggle inspires drive for cure

Sanfilippo Syndrome is caused by a single gene defect. Because of that defect, an enzyme is not produced. This enzyme's job is to break down heparan sulfate, a long sugar chain. If the heparan sulfate is not broken down, it's stored in every cell, and that causes a cascade of bodily dysfunctions.

First affected is the central nervous system, causing profound brain damage. Also typical is hearing and vision loss, organ damage and bone deformities. Eventually a person dies after becoming unable to eat, walk or talk.

There are four different enzymes responsible for breaking down heparan sulfate: They are designated A, B, C and D. Jonah has Sanfilippo C, which along with D is ultra-rare and occurs in one of 1.4 million births.

Type A (one in 100,000 births) and Type B (one in 200,000 births) are more common and thought to be more severe. Most children with those types don't live past their teenage years.

Type C and D children usually have less severe symptoms. The children suffer brain damage in early elementary school; some live into their mid-20s. Most children succumb to organ failure or upper respiratory infections.

A rare disease in the smallest of patients

Children appear normal at birth, meeting their milestones. During the preschool years parents start to notice something wrong and the children seem to slow developmentally. Their speech is delayed, in part due to accumulated fluid in the middle ears. They have constant ear and upper respiratory infections, along with diarrhea. The texture of their hair turns kinky and thick. The children are described as having "coarse" features -- protruding foreheads, thick eyebrows, flat noses and full lips.

Next the children start to behave erratically, with hyperactivity, sleep disturbances and compulsions. The skills they have learned fall by the wayside. They are back in diapers, wandering aimlessly. Some stop sleeping for days.

Jonah is 4 years old now, and we've seen no sign of cognitive delay or regression. He does have a speech delay because of fluid in his middle ear, and he is on his third set of tubes. He's constantly congested and has minor bone deformities -- flared ribs and a raised sternum, for example. He goes to preschool full-time and has speech, occupational and physical therapy. He's happy and full of life, a character and the light of our lives.

There are close to 7,000 rare diseases affecting about 25 million people in the United States, according to the National Institutes of Health. About 80% of them are genetic, and it is estimated about half affect children.

Sanfilippo is not complicated like Parkinson's or Alzheimer's, it's just ultra-rare, so the pharmaceutical industry has not taken notice.

Very few federal dollars are allocated for funding rare disease research, and most go toward the diseases with larger patient populations. A disease is considered rare in the United States if fewer than 200,000 people have it. Sanfilippo type C has a known patient population of 16 kids in the United States.

Living with a rare disease, making a difference

It's left to the parents to lay all the groundwork to de-risk treatments for the drug makers. Our consortium wants to create a patient registry, conduct a natural history study and fund a treatment so we can hand it over to a drug company in hopes a treatment will be created.

Jonah could be the first child to ever walk away from Sanfilippo type C. He's priceless, and just like the thousands of other children affected by a rare and fatal genetic disease, he deserves a chance to live.

@highlight

Jill Wood's 4-year-old son Jonah has a rare and fatal disease

@highlight

Her family has formed a foundation to seek a cure and raise awareness

@highlight

TV star Jonny Lee Miller is running an ultra-marathon to benefit the foundation