(CNN) -- I am an American, and I love my country, but I also love my heritage.

I was born in Tampa, Florida, to Palestinian-American parents, but 70% of my family still lives in the West Bank, including my grandparents, aunts, uncles and cousins. When I was 3, my parents decided to move back to Palestine -- a choice that changed the course of my life. The purpose of the move was for me and my siblings to learn Arabic and our family's culture. Yet, the four-year experience offered much more than that.

We lived peacefully in Ramallah, a West Bank city just north of Jerusalem, when we moved there in 1997. My father built a home in Area C, an Israeli-controlled region of the West Bank. During the first two years, the Israeli-Palestinian conflict was at a quiet period. Our lives were pretty normal. My older brother and I attended a private school operated by the American education system, and my two older sisters went to a French all-girls Catholic school. In our free time, our days consisted of shopping in Ramallah, taking cabs to Jerusalem and hiking mountains.

In the summer of 2000, our lives were flipped upside down by the second intifada, or "the uprising." A 20-something-foot harsh concrete wall was constructed around the West Bank, there were checkpoints installed between towns and villages, and daily clashes between Palestinians and Israeli authorities interrupted our day. We no longer had the liberty to take cabs to Jerusalem, shop in Ramallah or hike in the mountains. Our sense of freedom was stripped away from us.

My family soon discovered that living in fear and under occupation was dangerous and too hostile. So we decided to move back to the U.S. in 2001. My family's decision to leave was one that would thrust guilt on our shoulders for a time to come. Leaving our extended family behind in a war-torn country left us with feelings of sadness.

Fearing daughter's Gaza border wedding

Living in occupation felt normal to me. It was moving back to America when I was 8 that felt like a culture shock.

My life in America has been very different from my life in Palestine and is much different from the lives of Israeli and Palestinian youth today. Going to school in Tampa, my only morning worry was getting a decent grade on my homework. My cousins in the West Bank, on the other hand, are worried about grades too, but they also have to worry about checkpoints and random clashes between the Palestinians and Israeli authorities. The day the four children were killed while playing soccer on Gaza Beach, my friends and I were at St. Pete Beach playing volleyball. Unlike those children, we made it home safely to our families.

As the conflict between Israel and Hamas continues, the world is watching with eyes wide open. In the U.S., public opinion has been varied. America's opinion about the conflict is split between both sides: Some support Israel; some support Palestine.

But for me, I have a different perspective of the conflict. When terror hit America on September 11, I was filled with sadness, sorrow and anger. I thought, "How could someone do this to my people?" The anger lingered for a very long time and still does today.

These past couple of weeks have also made me angry. Waking up every day, I would discover yet a higher death toll of Gaza civilians. I would turn on the TV to find limbs of Palestinians plastered all over the news. Sad and angry, once again I thought, "How could someone do this to my people?"

Many Israelis are also victims of terrorism. I understand the fear and frustration they feel due to the conflict. No one should have to mourn a loss of a human life due to violence.

For those of you without ties to the region, I ask you to look at it with a fresh perspective: The history of the Holy Land and the politics go far back, but please look at the humanitarian crisis. Think about the people instead.

I think I speak for many Palestinian-Americans when I say I feel helpless in watching the continuous deaths of civilians in Palestine. My reason for writing this essay is to express my feelings about the conflict in order to help the Palestinian people -- my people -- in some way.

Before leaving Palestine, I remember taking a walk with my mother in the hills of Ramallah. On the bottom of the hills was the West Bank barrier. Once we reached the top of the tallest hill, my mother grabbed my arm and pointed in the far distance. "You see that city over there? That's Jerusalem. That's where I was born, where your father was born and where you are from. One day, we'll walk from here to Jerusalem. ... And no wall or soldier will stand in our way."

I hope to see that day.

See more of Naif's photos on CNN iReport

@highlight

Naim Naif spent part of his childhood in Ramallah, West Bank

@highlight

Naif, 20, says that living under occupation "felt normal"

@highlight

70% of his family still lives in the West Bank

@highlight

Share your perspective about the Israel-Gaza conflict with CNN iReport