(CNN) -- The giant Buddhas of Bamiyan, once painted in bright colors, remained silent sentinels as they reacquired the hues of the sandstone cliffs from which they were carved.

The statues, which looked upon a visually stunning region of central Afghanistan for about 1,500 years, have been gone for 10 years, victims of the Taliban, who destroyed them as part of its campaign to destroy pre-Islamic artifacts considered an assault on the faith.

The United Nations Educational, Scientific and Cultural Organization (UNESCO) on Wednesday will begin three days of meetings in Paris about a long-range plan for preserving the snow-capped valley's cultural heritage and the remains of the Buddhas, which overlooked a Buddhist monastery.

"They were destroyed in the context of the conflict devastating Afghanistan and to undermine the power of culture as a cohesive force for the Afghan people," said UNESCO Director-General Irina Bokova in a statement Monday.

A German professor believes reconstructing the smaller figure is possible.

UNESCO, which is nearing the completion of an effort to preserve the Buddha niches in Bamiyan and wall paintings, does not favor rebuilding the figures.

But it does want to protect the 5,000 fragments of what were once among the world's great artistic and religious treasures.

Today, the massive caves where the Buddhas once stood are huge, empty pockets carved into cliffs that dominate the countryside. The recovered pieces -- many the size of large boulders, others as tiny as pebbles -- are stored in several shelters.

The smaller female Buddha stood around 10 or 11 stories tall.

Professor Erwin Emmerling of the Technical University of Munich, Germany, said reconstruction of the female Buddha is possible, using remaining parts and other materials, according to the university's website. It would not necessarily resemble the ancient statue.

The scientist said the work would require a small factory to be built in the Bamiyan Valley. Otherwise, 1,400 rocks, some weighing 2 tons, would have to be sent to Germany.

Emmerling will present his findings at the UNESCO conference.

The Afghanistan government will have the final decision on any such steps.

The statues survived the ravages of Mongolian conqueror and warrior Genghis Khan, centuries of wars and the natural wear and tear of the elements. In March 2001, Taliban militants, using explosives and tank fire, spent weeks blowing up the two colossal figures. One was 55 meters (180 feet) high, the other 38 meters (125 feet).

The Technical University analyzed fragments of the statues and determined they were once painted in brilliant shades of blue, pink, orange and red. They had been repainted several times, possibly because of fading, Emmerling said.

In 2003, with the support of the governments of France, Britain, Italy and Japan, work was begun on restoring the destroyed artifacts. UNESCO that same year placed the cultural landscape and archaeological remains of the Bamiyan Valley on its World Heritage List and List in Danger.

"The site testifies to the region's rich Gandhara school of Buddhist art that, during the 1st to 13th centuries, integrated different cultural influences from East and West," according to UNESCO.

CNN's Ivan Watson and Peter Bergen contributed to this report

@highlight

United Nations begins forum, meetings on effort to preserve remains, other cultural aspects

@highlight

German scientist says one of the statues is a candidate for reconstruction

@highlight

Two giant Buddha statues were destroyed by the Taliban in 2001

@highlight

Colossal figures once stood in Afghanistan's Bamiyan Valley