(CNN) -- By day, he dons a white lab coat. At the weekend, he terrorizes opposition teams in his bright red outfit.

Even Humphrey Kayange struggles to define himself. On his Twitter biography, he asks: "Rugby player/research officer or is it the other way around?"

In one walk of life, he is trying to help rid the world of disease as he works on new antibiotics at a British university. In another, he is one of the stars of the rugby sevens circuit, despite coming from a country best known for producing long-distance runners.

For all his prowess both on and off the field, his nickname perhaps lacks imagination -- "Tall" -- although at 6 foot 6 inches it must be said he lives up to the billing.

While he has bedeviled opposition defenses on the HSBC IRB Sevens circuit, it is his less heralded work behind closed doors at Bristol University that is of the greater consequence.

Broadly, his studies come under the banner of chemistry and math, but more specifically it is a research project on antibiotics.

"It's a massive project at the university," Kayange explains. "We're all trying to foresee antibiotics and developing resistance, so we're looking into developing new drugs.

"It's more to do with bacterial infections and it's a very slow and steady process."

The 31-year-old says the research is funded by British pharmaceutical multinational GlaxoSmithKline, which trials the compounds and active ingredients that the chemists provide.

"There's been some positive results but it's a long process," he says.

"The potential to do good things for human beings is amazing. It's an interesting project to be a part of."

It may not seem likely on the surface but his rugby and chemistry are intertwined, even though most sevens specialists don't have quite the same academic achievements on their CVs.

It was while training at Bristol University with the Kenyan national team three years ago that he was spotted by rugby officials at the training facility. They were interested in his rugby skills as well as his chemistry qualities. So he applied for a place, was accepted and moved to the southwest city in February 2012.

He struggled initially to adapt to rugby life in a wintery England, being used to warmer climes on the sevens circuit.

"One weekend I was playing in the sunshine of Las Vegas or in a New Zealand winter, and next it was a mud bath in Bristol. England in February was a shock but I got used to it and love it."

His time in the city is coming to a close, with his thesis on examining tablets that are fed to fight bacteria drawing to its conclusion.

It is something he has juggled alongside his rugby commitments but later this year the sevens will once again become the major focus as he builds towards the 2014 Commonwealth Games and, bigger yet, sevens' debut at the Olympics in Rio de Janeiro in 2016.

Rugby was not an obvious sporting choice for Kayange, who grew up in Eldoret in the Rift Valley, a region renowned for producing Kenya's greatest long-distance runners. Many top athletes, such as double Olympic and world champion Mo Farah, go there to train each winter.

"Growing up there, all you saw were long-distance runners, a lot of them," he says. "Because of our history, everyone expects sportsmen from Kenya to be runners."

The long runs were never Kayange's forte. A sprinter in his youth, unlike most of his peers, he wanted to run fast but only over short distances.

The other sporting passion was football, played out in often dust-bowl conditions on the dry pitches of the East African nation. Rugby was a mere afterthought.

"I think I was 16 or 17 when I first played at high school," he recalls.

"I wasn't interested -- I'd never really seen anyone play -- it was just a sport I had to try. I braced myself for it at first but, once I got used to the physicality of it, everything else was fine.

"It was so confusing with the rules when I first started. I really remember in my first game just concentrating on throwing the ball backwards. But I think I had a good first game as I just wanted to run."

He has kept on running to good effect ever since, scoring more than 130 tries in the international format for his country and starring in a series of victories against some of the true powerhouses of the sport.

In fact, his family has produced three rugby stars -- Kayange's brothers Collins Injera and Michael Agevi also play for Kenya. Injera is his country's top try scorer and is third on the IRB Sevens' all-time list with 183 ahead of the next leg in Scotland next month.

The Kenyans arguably first made a global name for themselves with their on and off-field theatrics -- they often perform a dance after competitions -- which earned them the tag of "everyone's second favorite team."

"I think we're quite different as a team, we love our running rugby, it's quite instinctive and everyone tends to love it," Kayange says.

"We've also come a long way in the sport and have been getting some good results."

The next step is for greater consistency in their results against the top teams, plus to have Commonwealth and Olympic aspirations.

A proposal has been lodged to host a leg of the HSBC Sevens World Series but it has not been helped by ongoing security fears in Nairobi following last year's terrorist attack on the capital's Westgate shopping mall, when 72 people were killed.

At the time, Kayange was playing with his compatriots and visiting teams from abroad on the other side of the city in the Safari Sevens.

"It was almost the end of the day when we first heard news of what was happening," he recalls. "By the time we got back to our hotel, we only then properly heard the news. We've just been running up and down a rugby field and something this terrible had been happening.

"Thankfully, I didn't have any close friends or family in there. I knew of one guy who was there hiding in the basement. He was stuck in there for 12 hours but got out okay. Can you imagine going through that?"

The impact on the country was immediate. Tourism is undoubtedly down and, in terms of rugby spectators, it dropped from 20,000 for the first day to a mere 2,000 -- throwing doubt over a potential place on the sevens calendar.

"I can understand that as teams going to another place need to feel safe, that is No.1," Kayange says.

With rugby and chemistry, Kayange -- who was named an IRB Sevens anti-doping ambassador in 2010 -- has set his sights on making the world a safer place.

His work in science will go on, whether that's in the UK or Kenya when his research project ends. As for his rugby playing, he has set his sights on the Rio Games after which, if fit and selected, he looks set to end his remarkable sevens journey.

Watch: The secrets to creating the world's best runners in Kenya

@highlight

Humphrey Kayange is the star turn in Kenya's rugby sevens team

@highlight

But in his day job he works on research into improving antibiotics to fight disease

@highlight

Kayange hails from the Rift Valley, an area renowned for long-distance running not rugby

@highlight

Terrorist atrocities put bid for Kenyan IRB Sevens event under threat, he admits