(CNN) -- Medical workers expressed alarm Friday over the increase in hospitalizations and deaths in Haiti's cholera outbreak as the earthquake-devastated nation's already strained health system overflowed with the sick.

On the outskirts of the capital city of Port-au-Prince in the slum of Cite Soleil, Medecins Sans Frontieres (Doctors Without Borders) saw 216 cases of cholera at Choscal Hospital on Thursday. Five days ago, that number was only 30.

Stefano Zannini, the head of mission for Medecins Sans Frontieres, said his staff was seeing seven times the cases they were seeing three days ago.

"The trend is extremely, extremely alarming," he said. "We have not reached a peak yet, but it could arrive next week."

The U.N. Office for the Coordination of Humanitarian Affairs put the death toll Friday at more than 800, with more than 12,000 people hospitalized.

Epidemiologists predict the outbreak could last for months and say the entire nation of almost 10 million people is at risk because they have no immunity to cholera.

The United Nations warned that Haiti is facing one of the most severe outbreaks of the disease in the past 100 years. It appealed to international donors for $164 million in aid and said it anticipates as many as 200,000 people to be sickened with cholera over the next six to 12 months.

"A major effort has already been made, but the sheer quantity of relief items that need to be delivered in the days and weeks ahead is going to require more logistical and financial support for the government by all humanitarian agencies and donors and very close coordination," said Nigel Fisher, U.N. humanitarian coordinator in Haiti. "Without this the epidemic could well outrun our efforts."

Of grave concern are cases that originated in the tent cities of Port-au-Prince, which sprang up to shelter those left homeless by the massive earthquake that killed more than 200,000 people last January. Health officials fear that infection could spread quickly in the makeshift cities' congested, unsanitary conditions and in impoverished neighborhoods where clean drinking water is at a premium.

Symptoms of cholera, an acute, bacterial illness caused by drinking tainted water, can be mild or even non-existent. But sometimes they can be severe: profuse watery diarrhea, vomiting, and leg cramps, which can cause rapid loss of body fluids and lead to dehydration, shock and death.

Aid workers in Haiti are scrambling as the nation recovers not only from the earthquake, but from last week's hurricane.

"We are stretched thin," said Julie Schindall, a spokeswoman for the humanitarian agency Oxfam.

Zannini reminded the world that cholera is as much a logistical problem as a medical one. It's not just a matter of medical donations or more doctors on the ground, he said. Who will supply clean drinking water? Who will make sure there are proper bathroom facilities? Who will dispose of the waste? Or for that matter, the dead bodies?

"It's not just about donating money," Zannini said. "It's about concrete actions."

@highlight

The death toll  has passed 800; more than 12,000 people have been sickened

@highlight

The United Nations warns that 200,000 people may get sick

@highlight

It has asked for $164 million in a global aid