URUMQI, China (CNN) -- Several hundred people staged a new protest in Urumqi on Tuesday, demanding the release of relatives detained in connection with weekend demonstrations by ethnic Uyghur residents in China's far western Xinjiang region.

Ethnic Uyghur women grab the arm of a policeman as they protest in Urumqi on July 7.

The crowd of 200 to 300 -- mostly women and elderly -- quickly formed as local authorities were taking members of the media on a tour of a neighborhood that was heavily damaged during riots over the weekend, witnesses said.

Riot police quickly moved in to defuse the standoff as the demonstrators shouted the names of family members they wanted released.

The protest is the latest sign that tensions are still simmering in the Xinjiang capital, where violent demonstrations have left 156 people dead and more than 1,000 injured, according to the regional public security department.

In southern China, police have detained 15 suspects in connection with an incident that may have spurred the deadly rioting in Urumqi, state-run media reported.

There is speculation that Sunday's protest, which took place in the predominantly Uyghur-populated Bazaar district, may have been a reaction to ethnic violence in southern China.

The violence took place late last month at a toy factory in Guangdong province, where many migrants, including Uyghurs, have moved in search of work. A massive brawl reportedly broke out between workers of Uyghur and Han nationalities. Two Uyghurs reportedly died.

The unrest in Urumqi had been brought under control with a massive presence of soldiers and anti-riot squads, the government said Tuesday. Curfews were in force in major districts of the capital.

At least 1,434 suspects had been detained by Tuesday morning, the Xinhua news agency reported, citing government officials.

"The police have started interrogations with the suspects," said Li Yi, a spokesman for the Communist Party in Xinjiang. Those convicted would be dealt with severely, he said.  Watch more on violence in Xinjiang »

In a rare public display of dissatisfaction, thousands of Uyghurs -- many of whom feel they are treated as second-class citizens by the majority Han Chinese -- took to the streets Sunday chanting and screaming, prompting a police lockdown of the city.

State-run media reported that protesters attacked passersby, burned public buses and blocked traffic. The report did not say how many people took part or what their grievances were.

But a witness in Urumqi told CNN that, soon after the protest started about 5 p.m., hundreds of demonstrators "grew into easily over 1,000 -- men, women and children, all ethnic Uyghurs -- screaming and chanting."

Police arrived quickly and tried to control the swelling crowd by erecting barriers in the street, but "people pushed them over," the witness said. "They were throwing rocks at passing cars and buses." As the violence escalated, hundreds of riot police arrived, the witness said.

"They used tear gas and fire hoses to disperse the crowd. I saw fire trucks, ambulances, armed personnel carriers and what looked like tanks. I heard random gunshots." iReport.com: Are you there? Share photos, video, commentary

Late Sunday, the witness said, Urumqi was in a lockdown, with hundreds of People's Liberation Army soldiers in the streets. He reported seeing riot police chasing protesters into alleys and rounding up many of them.

Xinjiang is home to many Uyghurs. China's constitution guarantees ethnic minorities equal rights and limited autonomy. However, ethnic tensions run deep. Minority groups such as the Uyghurs complain that they are subjected to discrimination by the majority Han.  See a map of Xinjiang »

Tensions also ran high in Han communities in the capital on Tuesday as neighbors organized to protect themselves and their businesses. Groups of men carrying pipes, sticks and cleavers milled in front of shops before police dispersed them.

"The Uyghurs will attack any Han they see," one man said.

The World Uyghur Congress, a dissident Uyghur group based in Munich, Germany, condemned the crackdown on what it described in a written statement as Sunday's "peaceful protest" by Uyghurs.

"The Chinese authorities should acknowledge that the peaceful protest was sparked by the unlawful mob beating and killing of Uyghur workers at a Guangdong toy factory more than a week ago," it said.

"The authorities should also acknowledge that their failure to take any meaningful action to punish the Chinese mob for the brutal murder of Uyghurs is the real cause of this protest."

It accused the Chinese authorities of having "used tear gas, automatic rifles and armored vehicles to disperse the Uyghur protesters. During the crackdown, some were shot to death, and some were beaten to death by Chinese police. Some demonstrators were even crushed by armored vehicles near Xinjiang University, according to eyewitnesses."  Watch victims describe the riots in Urumqi »

The government in Xinjiang blamed "foreign forces" for Sunday's rioting.

"The violence is premeditated, organized violent crime," said Nur Bekri, chairman of the Xinjiang Autonomous Region, the equivalent of a governor. "It was instigated and directed from abroad and carried out by outlaws in the country."

Bekri accused the World Uyghur Congress of spreading rumors and inciting anger that led to the rioting, in a speech carried by Xinjiang television.

The World Uyghur Congress denied the charge. It is led by Rebuya Kadeer, a businesswoman of Uyghur ethnicity who was detained in 1999 and accused of harming China's national security. She was freed on bail in 2005 and was allowed to leave for the United States for medical care.

Bekri accused Kadeer of instigating the unrest via the Internet and said the fight at the Guangdong toy factory was exploited to incite ethnic strife.

Internet service was hard to come by in Urumqi on Tuesday. Reporters' BlackBerries could not send and receive messages. Computers could not access the Web at their hotels.

@highlight

Hundreds protest mass arrests following ethnic unrest in China's Xinjiang region

@highlight

Protesters -- mostly women and elderly -- shouted names of relatives being held

@highlight

At least 1,434 held by Chinese police following weekend Uyghur protests

@highlight

156 people killed and more than 800 others injured in violence