The European Union has imposed sanctions related to the crisis in Ukraine on another 15 people, bringing the total number targeted to 48.

The EU said the people are collectively responsible for actions that "undermine or threaten the territorial integrity, sovereignty and independence of Ukraine."

The targets include Dmitry Kozak, Russia's deputy prime minister; Russian military chief Valery Gerasimov; and pro-Russian separatists in Ukraine, including Denis Pushilin, the self-declared leader of the "Donetsk People's Republic."

EU foreign policy chief Catherine Ashton said she was alarmed by the worsening security situation in eastern Ukraine, and she called on Russia to take "concrete steps" in support of an international deal signed this month aimed at easing tensions.

She warned that if necessary, the European Union "will look at possible additional individual measures"  related to the crisis.

Ashton also condemned an attack on the mayor of Kharkiv on Monday and the continued detention by pro-Russian militants of a team of military observers from the Organization for Security and Co-operation in Europe.

"All persons still illegally detained by armed groups in eastern Ukraine need to be immediately released," she said.

On Tuesday, pro-Russian activists in eastern Ukraine took control of the regional government headquarters in Luhansk. Video shows them as they approach the building, smash doors, wave flags and chant "Russia! Russia!"

Pro-Russia activists also tried to break into that city's police headquarters by ramming a truck at the entrance, according to state-run news agency Ukrinform.

A local reporter for Ukrinform, who was on the scene at police headquarters, described a fight, involving an explosion and gunfire. The activists demanded that police surrender their weapons and exit headquarters. They also claimed that the Luhansk police chief had submitted his resignation and that a new "people's police" chief had been "assigned," though not everyone in the crowd agreed with the selection, the news agency reported.

On his official website, Acting President Oleksander Turchinov said the events in eastern Ukraine "illustrated inactivity, helplessness, and sometimes criminal betrayal of the law enforcement agencies in the Donetsk and (Luhansk) regions."

He said, "It is hard to admit, but it is true. The vast majority of the law enforcement officials in the East are not able to fulfill their obligations to protect our citizens."

New heads of security have been appointed in Donetsk and Luhansk, he said.

Western nations accuse Moscow of supporting the separatist gunmen who are occupying official buildings in cities across the region and are holding the OSCE team hostage.

Russia disputes that claim, saying it has no direct influence over the pro-Russian activists.

Russia: 'Aren't you ashamed?'

In a statement on its website Tuesday, the Russian Foreign Ministry said the EU sanctions "cannot but cause rejection" and show a lack of comprehension of Ukraine's internal political situation.

"Instead of making the Kiev faction sit at the negotiating table with southeastern Ukraine, our partners follow Washington's lead with new unfriendly gestures regarding Russia," it said.

The EU action is "a direct invitation for local neo-Nazis to continue to promote anarchy and outrages regarding the civilians of the southeast," it said, repeating Russia's contention that ultranationalist groups are behind the unrest in Ukraine.

The statement concluded with the question, "Aren't you ashamed?"

On Monday, Russia promised a painful response to sanctions imposed by the United States.

Sergei Ryabkov, Russia's deputy minister for foreign relations, called the U.S. measures "meaningless, shameful, and disgusting."

"It will only intensify all the processes in Ukraine which it intends to change or stop," Ryabkov told CNN, speaking English. "The U.S. does literally nothing to impress its cronies and clients in Kiev on whom there is full responsibility for constant deterioration of the situation in Ukraine. This is what needs to be changed and not the policy of Russia.

"A response of Moscow will follow, and it will be painfully felt in Washington."

Russia has not specified what measures it will impose against Western interests.

According to Russia's state-run ITAR-Tass news agency, Russian President Vladimir Putin said his government has proposed imposing sanctions against the EU and the United States, but that he has not yet authorized them.

"The government of the Russian Federation has already proposed some retaliatory steps. I think there's not a need," the President reportedly told journalists.

"We would not like to resort to some steps -- retaliatory measures. I hope there will be no need," Putin said, according to ITAR-Tass.

Ukraine crisis: The full sanctions list

U.S. sanctions

But U.S. Secretary of State John Kerry appeared unfazed. He pledged Tuesday in an address to the Atlantic Council, a Washington think tank, that NATO would stand united to defend its members' territorial integrity.

In its latest round of sanctions, the United States targeted seven Russian government officials and 17 companies linked to Putin.

The White House said the seven Russians, including two from Putin's inner circle, are subject to a freeze on any assets they may hold in the United States and a ban on U.S. travel.

The two seen as closest to Putin are Igor Sechin, chairman of Russian oil giant Rosneft, and Sergey Chemezov, director general of Rostec, a state-owned industrial conglomerate in Russia. The companies the United States named are linked to officials and oligarchs who were designated last month, and the list included neither Rosneft itself nor gas exporter Gazprom.

In addition, the United States will deny export license applications for any high-technology items that could contribute to Russian military capabilities. The Commerce and State departments will revoke any existing export licenses that meet these conditions, the White House said in a statement.

The move, Obama told reporters in Manila, Philippines, was intended to spur Putin to "walk the walk, not just talk the talk" in resolving the crisis in Ukraine.

If the latest round of sanctions does not work, the next phase could target economic sectors like banking, Obama said.

In all, the United States and European Union have imposed asset freezes and travel bans on 66 individuals, most of them senior Russian officials. The United States has sanctioned 18 companies in total.

Analysis: Sanctions-lite won't move Russia

'Stolen assets'

Meanwhile, Britain is hosting a two-day international meeting aimed at helping Ukraine's government recover stolen assets, following claims of widespread corruption within the government of ousted Ukrainian President Viktor Yanukovych.

UK Home Secretary Theresa May, U.S. Attorney General Eric Holder and the head of the Ukrainian delegation, acting Prosecutor General Oleh Makhnitskyi, are all taking part in the London forum.

"What we have committed to do is to persevere, to follow leads wherever we can find them," said Holder.

Makhnitskyi said investigators were focused on years when Yanukovych and his associates were in charge. "The Ukrainian society already demands results from the government," he said.

Yanukovych fled to Russia in February after months of street protests that were sparked by his decision to drop closer trade ties with Europe and turn instead toward Moscow.

In Ukraine, presidential elections have been called for May 25. But Oleg Tsarev said he had dropped out of the race.

On his website, he said that he received death threats when he arrived in Kiev and that Ukrainian National Television turned down his request to participate in televised debates.

"In this regard, I have decided to withdraw my candidacy, because in such circumstances, being a candidate is not helpful," Tsarev said. "We will seek other channels and opportunities to convey our thoughts and positions to residents of the central and western Ukraine."

Ukraine crisis: Who will blink first, Vladimir Putin or the West?

Kharkiv mayor being treated in Israel

Kharkiv Mayor Gennady Kernes, who underwent surgery after being shot in the back Monday, is being treated in Israel, a hospital official said Tuesday.

Kernes arrived overnight at Elisha Hospital in Haifa, the hospital's chief accountant Jacob Karwasser told CNN.

The mayor was in stable condition, he said, and has family members with him.

It was not immediately clear who was responsible for the shooting. Police said an investigation was under way.

Mayor of Ukrainian city shot; West prepares more sanctions

@highlight

"I think there's not a need" for "retaliatory steps," Russia's President reportedly says

@highlight

Russian Foreign Ministry slams EU sanctions as "new unfriendly gestures"

@highlight

EU sanctions list includes Russia's deputy prime minister and its military chief

@highlight

EU foreign policy chief urges Russia to take concrete steps to ease situation in Ukraine