As a mother, I would understand completely if Lindsey Rogers-Seitz, a mother from Ridgefield, Connecticut, never wanted to get out of bed in the morning.

If she didn't want to stop crying.

If she couldn't muster up the energy to do anything.

Those would be expected responses to what she is coping with -- the "unimaginable" is one word she uses to describe it -- but instead she's on a mission.

"I guess what motivates me is Ben and what he would want me to do," she said.

Ben was the name of her 15-month-old son.

On July 7, Rogers-Seitz's husband, Kyle, was supposed to drop Ben off at day care. The drop-off never occurred. Her husband drove to work and at the end of the day went to day care to pick Ben up, she said during an interview. When Ben wasn't there, he asked the day care providers if his wife had picked him up earlier. When they told him no, he went to the car, found Ben and rushed him to the hospital, she said.

Their little boy had died. Forty-four children died of heat stroke in cars in 2013, and more than 500 have died in hot cars since 2000, according to the child advocacy group KidsAndCars.org.

The investigation into Benjamin Seitz's death is still ongoing, according to the Ridgefield police and prosecutor. Last month, the Connecticut medical examiner determined the cause of death was hyperthermia because of environmental exposure and ruled the death a homicide.

CNN Legal Analyst Paul Callan said the use of the word "homicide" in the autopsy report does not necessarily mean that criminal charges will be filed in the case.

"In legal parlance, the term means that death was caused by another human being rather than by strictly natural causes," said Callan.

Rogers-Seitz has said she won't comment further on what happened that day, citing the ongoing investigation, but decided to go public to bring attention to National Heatstroke Prevention Day, Thursday, July 31.

"Right now there's a hole and it's like a missing space where he used to be," she said. "And so I kind of feel like since he's not here, a way that I can have that happiness again is to continue to live through him with what I think he would want me to do for other people and for ourselves, because this is healing for us, too."

Just three weeks after her son's death, Rogers-Seitz, who also has two daughters, ages 5 and 8, has created a blog called "The Gift of Ben," which she is using to bring attention to the number of children who die of heatstroke in cars and to press for action to save lives.

We need to do more, she says, beyond public awareness campaigns.

"I just feel like public awareness has been around for years, and honestly I never paid any attention to it. I mean, we're the all-American family, and we never in our lives understood how this happens."

She and her husband never understood how someone could actually forget their child was in the back seat of a car, much less that they themselves could do it, she said. "I've gone back in my head over and over a million times of that day, of what if?" she said.

What if she had contacted her husband and asked about drop-off? What if she had done X, Y or Z?

Rogers-Seitz started reading anything she could get her hands on about child heatstroke in cars. She talked to nonprofit advocacy groups such as KidsAndCars.org, read what experts such as David Diamond, a psychology professor at the University of South Florida, have written about a phenomenon known as Forgotten Baby Syndrome, and studied the legislative stops and starts to try and save lives.

"And then I just started thinking, 'Wait a minute. You mean this has been around for over 10 years,'" she said, referring to the problem of children dying in hot cars. She then learned about failed attempts to include a provision in previous legislation back in 2007, which would require that cars include some way to remind drivers about passengers in the back when the car is turned off and the driver leaves the vehicle.

She wondered why there isn't a law like that on the books now.

Rogers-Seitz, who's a lawyer, talked with her husband about making their family's new mission the push for action against child vehicular heat stroke.

OPINION: I, too, left my child in a hot car

"He's an engineer, so we would sit together and he has his notepad, and he's like drawing out ideas for devices of things that could be developed, and I'm sitting here looking at the legal stuff. And we just kind of came together and said, you know, together as a family we'd like to do this," she said.

She has since even drafted a bill, which she calls Benjamin's Bill, and is using it as she reaches out to U.S. senators and representatives about options to consider. (She has so far talked with one U.S. senator and Senate and House staffers.) Her bill includes ideas such as having the Department of Transportation convene roundtable discussions with everyone from the automobile and car seat industries, to child safety advocates and victims, to academic and medical professionals.

She also wants to see more funding for research and development for technology that would detect a child in the rear seat when the driver leaves the car. She's backing a petition drive by KidsAndCars.org to urge the White House to authorize the Department of Transportation to provide funding for that research and development. (The group, which has more than 7,500 signatures, needed 100,000 by August 13.)

The National Highway Transportation Safety Administration reviewed the technology that was available in 2012, which included sensors that would detect the weight of a toddler in a car seat or restraint, when the ignition is off and a driver leaves the vehicle, and activate an alarm or alert. The agency determined sensors and other technology available at the time were not reliable enough.

The technology "just doesn't seem to be there yet," David Friedman, the agency's acting administrator, told me in an interview in July. "'Yet' is an important word there," he added.

Rogers-Seitz believes the ideal technology would be devices such as sensors that detect the presence of the child in the car seat when the driver leaves the car, which she says should be installed in cars and car seats before you buy them -- not as voluntary accessories. She admits she probably wouldn't have purchased such a device, again because she never expected her family to experience this type of tragedy.

But had there been technology already in her car or on their son's car seat before both were purchased, Rogers-Seitz said, Benjamin would be with her today.

"Absolutely -- it would have saved his life."

Rogers-Seitz looks forward to a time, which she hopes will be soon, when the police investigation is wrapped up, and her husband is free of any possible charges and can speak out freely.

"He wants to tell the public how this happens so that people can think about it and be aware of it, and show why we need devices out there to help people. Because if you describe the mental state of how it happens to people very eloquently and clearly, it's easier, I think, for them to understand."

It is still something that is "beyond words," she said, referring to the moment she saw her husband in the emergency room on that dreadful night.

"I've never witnessed anything like that before. Nobody should ever witness that."

The family is trying to tune out the critics and harsh comments, including calls by some for Kyle Seitz to be charged, and is gaining strength from the support of family, friends and their daughters.

Rogers-Seitz remembers how her youngest girl, whom she calls her "sidekick," comforted her with wise words in the days after Ben's death: "You know, we can't change what happened, but we can just move forward and live," she said.

As for Ben, she describes him as "the happiest human being" she ever met, a boy who smiled and laughed every day and with his entire face, a boy people used to say was "too pretty" to be a boy.

The day before Ben was buried, Rogers-Seitz knew she was not ready to say goodbye. She wanted to find something permanent that she could carry with her -- a way to "have him with me," she said as she started to tear up.

She headed to the mall and found a locket. She wears the half inscribed "Son" around her neck, and Ben has the other half, inscribed "Mom."

"I realized that his heart is in my heart ... and that I always wanted to keep it with me," she said holding back tears. "Then I said I want him to have part of me too."

And now, she plans to keep his memory alive by helping others.

"He taught me, during the 15 months that he was here, the value of life and the potential that there is in life to do things meaningful."

@highlight

Benjamin Seitz is one of at least 19 children who've died in hot cars in 2014

@highlight

His mother is now trying to raise awareness and prevent more deaths

@highlight

Thursday, July 31 is National Heatstroke Prevention Day

@highlight

Ben's mother believes more research is needed to create lifesaving technology