London (CNN) -- Significant progress was reportedly made last weekend in Geneva toward a landmark nuclear agreement with Iran. And, as talks concluded on November 10, U.S. Secretary of John Kerry announced that negotiations will start again on November 20.

Despite the concerns of regional U.S. allies like Israel and Saudi Arabia, and also a significant number of legislators in the U.S. Congress, it is clear that the Obama administration is pushing strongly for deal as part of its wider Middle Eastern strategy. Indeed, Kerry has now spent more time negotiating with counterpart Iranian officials than any other U.S. high-level engagement for perhaps three decades.

The seriousness of negotiations was emphasized by the fact that, as well as Kerry and his Iranian counterpart Mohammad Javad Zarif, foreign ministers from Russia, the United Kingdom, Germany and France, and the Chinese deputy foreign minister, came together.

If agreement can be reached, an interim deal (potentially setting the ground for a later comprehensive agreement) would reportedly see Iran's nuclear capacity capped for six months and opened up to U.N. inspections. In exchange, Iran would be given limited, sequenced relief from sanctions.

Remaining disagreements reportedly include the status of the Arak heavy-water reactor, and production of highly enriched uranium -- both processes, that can potentially be used to produce nuclear weapons. A second problem to resolve is how to handle the existing Iranian stockpile of uranium that Iran enriched to 20%.

IAEA signs cooperation deal with Tehran

Progress in nuclear diplomacy with Iran, combined with continued uncertainty in Syria and Egypt, has refocused Washington's attention towards the Middle East in a manner unanticipated by Obama only a few months ago. In addition to Syria and Egypt, the administration has spent significant political capital resuming Israeli-Palestinian peace talks. The urgency of U.S. focus there reflects growing international conviction that, 20 years after the Oslo Process began, the "window of opportunity" for securing a two-state solution may be receding.

Intensified U.S. focus on the Middle East has accentuated a shift, common to many recent re-elected presidents, of increased focus on foreign policy in second terms of office. In part, this reflects the fact that presidents often see foreign policy as key to the legacy they wish to build.

For instance, after the 2001 terrorist attacks, George W. Bush sought to spread his freedom agenda across the Middle East. Bill Clinton also devoted significant time to trying to secure a comprehensive Israeli-Palestinian peace deal.

As important as an Iran nuclear agreement might prove to be, the Middle East is one of only two regions in which Obama is looking for legacy. Since he was elected in 2008, Asia in general, and China in particular, has assumed greater importance in U.S. policy. To this end, Obama is seeking to continue the so-called pivot towards Asia-Pacific through landmark initiatives like the Trans-Pacific Partnership.

Key threats, however, remain on the horizon to securing this re-orientation. These include a dramatic, sustained escalation of tension in the Middle East (perhaps in Syria or Egypt); and/or the remaining possibility of further terrorist attacks on the U.S. homeland.

As well as legacy-building, the likelihood of Obama concentrating more on foreign policy also reflects domestic U.S. politics. Particularly the intense polarization and gridlock of Washington.

Since re-election, Obama has achieved little domestic policy success. His gun control bill was defeated, immigration reform faces significant opposition in the Republican-controlled House of Representatives, and the prospect of a long-term federal budgetary "grand bargain" with Congress looks unlikely. Moreover, implementation of his landmark healthcare initiative has been botched.

Many re-elected presidents in the post-war era have, like Obama, found it difficult to acquire domestic policy momentum. In part, this is because the party of re-elected presidents, as with the Democrats now, often hold a weaker position in Congress. Thus Dwight Eisenhower in 1956, Richard Nixon in 1972, and Bill Clinton in 1996 were all re-elected alongside Congresses where both the House and Senate were controlled by their partisan opponents.

Another factor encouraging foreign policy focus in second terms is the fact that re-elected presidents have often been impacted by domestic scandals in recent decades. Thus, Watergate ended the Nixon administration in 1974, Iran-Contra badly damaged the Reagan White House, and the Lewinsky scandal led to Clinton being impeached.

Since Obama's re-election, a series of problems have hit the administration. These include revelations that the Internal Revenue Service targeted some conservative groups for special scrutiny; and the Department of Justice's secret subpoenaing of private phone records of several Associated Press reporters and editors in the wake of a terrorist plot leak.

Even if Obama escapes further significant problems, he will not be able to avoid the "lame-duck" factor. That is, as a president cannot seek more than two terms, political focus will refocus elsewhere, particularly after the November 2014 congressional ballots when the 2016 presidential election campaign kicks into gear.

Taken overall, Iranian diplomatic progress and wider recent events in the Middle East are therefore likely to accentuate the incentives for Obama to place increasing emphasis on foreign policy -- which Congress has less latitude over -- in his remaining period of office. And, this shift is only likely to be reinforced if, as anticipated, the U.S. economic recovery continues to build up steam in 2014.

The opinions expressed in this commentary are solely those of Andrew Hammond.

@highlight

Obama administration seeking Iran deal as part of wider Mideast strategy, says Andrew Hammon

@highlight

Deal would reportedly see Iran's nuclear capacity capped for six months, opened up to inspection

@highlight

Since re-election, Obama has achieved little policy success amid political gridlock - Hammond

@highlight

Foreign policy allows Obama potential for long-term success, he adds