(CNN) -- A 29-year-old U.S. citizen and Army veteran sits in a bare apartment in a poor part of the Colombian capital, Bogota. He wants to come home, but he can't. He thinks it's because he's on the federal government's "no-fly list."

Raymond Earl Knaeble is one of an unknown number of Americans stranded overseas. They can't fly home, but no one will tell them why.

In Knaeble's case, he went to the airport in Bogota on March 14 to board a plane for Miami, Florida.

"I had a job offered to me and one of the requirements to secure the job was that I had to take a medical exam. It was scheduled for March 16 in the U.S.," Knaeble said.

When he arrived at the gate, however, an airline official denied him a boarding pass. He was instructed to contact the U.S. Embassy in Bogota.

"They told me I couldn't fly with the airline, with any airline," he said. "My heart sank. They didn't give me a reason why. I've been stuck in Colombia without any explanation."

Knaeble, a resident of California, believes he has been placed on the federal no-fly list. The list is maintained by the FBI and indicates who might be a risk to civil aviation, specifically those suspected of being domestic or international terrorists. This list is disseminated among various government agencies like the Transportation Security Administration, for use in screening passengers.

"My plan was to go do my medical screening in the U.S., spend time with my family, secure my job and come back to Colombia to get my wife," Knaeble said. "Then everything changed. The company retracted my offer and I lost the job."

He flew to Colombia in March from Kuwait to marry his then-fiance and said he encountered no problems. He had been living in Kuwait since 2006 working for ITT Systems, the same company that offered him the new position as a heavy mobile equipment mechanic in Qatar.

Knaeble converted to Islam in 2008 and with others created a website about the religion's teachings. Nothing on the site suggests it condones violence, and in a statement to CNN, Knaeble said: "People have a lot of misconceptions about Islam, but the truth is that Islam is a religion of peace. It means peace."

With a daughter living in Texas, his new wife pregnant with his second child and a fast-evaporating bank account, Knaeble says he is running out of options.

"My wife's family has given a little bit of help, but if I didn't have any money saved up, I'd be homeless right now," he said.

He is currently living in Santa Marta, Colombia.

"It's really simple. I've got a bed and a little table. ... I don't even have a refrigerator in my home," he said. "I've just been surviving."

Unable to get answers, on June 30 Knaeble and nine others who are either citizens or legal residents of the United States filed a lawsuit, aided by the American Civil Liberties Union, against Attorney General Eric Holder, FBI Director Robert Mueller and Timothy Healy, head of the Terrorist Screening Center.

"Our clients have done nothing wrong," said Nusrat Choudhury, a staff attorney with the ACLU who is helping to represent Knaeble and the others.

"When [the government] puts them on a list that impacts their lives, their ability to see family, to get jobs, the government has to give them a chance to stand up for themselves."

Knaeble has tried other ways to get home. In May he planned to fly from Colombia to Mexico and then cross the U.S.-Mexico border by land. But he was greeted at the gate in Mexico City by government agents. They detained him and questioned him about his recent conversion to Islam. Fifteen hours later, he says, he was put on a plane back to Bogota.

Knaeble's mother, Patricia, who lives in Ventura, California, says that she speaks with her son almost every day.

"He's called me a couple of times where I feel the pain, I feel the fear and I can't do a thing," Patricia Knaeble said. "It's the worst feeling for a parent. I have gone out of my way to find out why and no one can tell me. He calls and there is nothing else I can do. "

Finding out whether you are on the no-fly list is a matter of trial and error, and sometimes begins with a humiliating and unexpected moment at an airport check-in desk. The list is not made public.

The Department of Homeland Security has created the Traveler Redress Inquiry Program, known as TRIP, so that people who have been prevented from flying can request a review of their status.

"There are two problems with this process," said Choudhury, the ACLU attorney. "First, the DHS doesn't control who is on the list, the FBI does. So this whole program is controlled by an agency that has no authority. Secondly, the response sent by the government is hardly satisfactory."

The determination of redress can be viewed via a "status page" on the Department of Homeland Security's website. The update indicates whether an individual's case is in process, has been completed or requires more information. The website also says that "security procedures and legal concerns mandate that we can neither confirm nor deny any information about you that may be within federal watch lists."

So the individual must try to take another flight to see if they have been removed from the list.

An additional guideline from the TRIP program articulates that anyone who files for redress will be asked for additional documentation within 30 days. Knaeble sent in his redress form on March 26. He says he has yet to hear anything.

The FBI said that it is unable to comment on whether Knaeble is on the no-fly list. But in a written statement, the bureau said that "several recent high-profile attempted terror plots ... remind us of the need to remain vigilant and thoroughly investigate every lead to fend off any potential threats to the U.S."

Transportation Security Administration spokeswoman Kristen Lee said she is unable to comment on the case because of the ongoing litigation with the ACLU.

One man who was caught up in the same dilemma but eventually was allowed to return home is Yahye Wehelie, who lives in Virginia. He had been studying Arabic in Yemen with his brother. On the way home he was prevented from boarding a plane in Cairo. He was stuck in the Egyptian capital for six weeks, with little money.

Wehelie was finally permitted to leave Egypt on a waiver and temporary passport.

While in Cairo, Wehelie was "hanging out in a cheap hotel watching TV and periodically going to fast food restaurants in the area," said Ibrahim Hooper, national communications director for the Council on American-Islamic Relations. CAIR helped Wehelie to return home.

According to Hooper, Wehelie's permanent passport was revoked and can only be regained if he repays a loan to the U.S. Embassy that helped cover his food and hotel costs. The State Department said the U.S. Embassy in Cairo offers assistance to anyone who asks but would not disclose details about the reported loan. Despite his experiences, Wehelie supports the "no-fly list."

"If this is something that's going to help my country and stop bad people from doing what they do, I'm happy for it," Wehelie said.

For his part, Knaeble continues to look for creative ways to travel home. He is currently looking into traveling by boat. He says the earliest he would be able to do so would be in October aboard a cargo ship headed for Florida.

"What's happening to people like Ray, these are U.S. citizens who have a right to come back to the country in which they are citizens," said Choudhury. "Right now, what this is, it is involuntary exile."

And exile brings its own risks. Earlier this month, Knaeble's authorization to stay in Colombia expired and he fears arrest if he is unable to have it renewed.

"It's really scary because I don't know what's going to happen to me, to my family," he said. "There shouldn't be any reason for this. No one has given me any reason."

@highlight

Raymond Earl Knaeble has not been allowed to fly home from Colombia

@highlight

He says he has been given no reason, but thinks he is on the U.S. no-fly list

@highlight

In 2008 he converted to Islam, which he calls "a religion of peace"

@highlight

He and nine others have filed a lawsuit against three U.S. officials