Palo Alto, California (CNN) -- It wasn't until five months after Army Staff Sgt. June Moss returned from the Iraq war in 2003 that her real battle began. The horrors of the war -- witnessing decapitated and burned bodies amid mass destruction -- led to post-traumatic stress disorder.

"I do notice when I'm stressing out that I start having dreams about what I saw and how I felt," says Moss, now 40 and retired from the Army. "It does come back as if to haunt you."

The percentage of women in the military has doubled in the last 30 years, with more than 350,000 serving as of 2009, according to the Department of Veterans Affairs' latest figures. With more female troops in combat, there has been an increase in PTSD diagnoses: One in five female veterans suffer from PTSD, according to the VA.

As a light-vehicle mechanic, Moss drove across Baghdad and provided security at checkpoints during her combat tour in Iraq. When she returned home, she became overly protective of her two children, fearing that someone was going to kidnap or harm them.

At the same time, she hunkered down inside her home, staying in bed, because she says it was too hard to face the most mundane tasks such as shopping.

"It was crazy. I couldn't even do crowds. It reminded me when we were in a marketplace (in Iraq), and we didn't know if somebody was out there to kill us," Moss explains. "I'm back home, and I didn't have to worry about a suicide bomber, but I still felt as if there was one lurking in the mall or the grocery store."

Six years ago, she cut her wrists to end the pain. Today, Moss has progressed significantly after specialized therapy provided by the local Veterans Affairs in Palo Alto, California, where the focus is on female vets like herself.

"Women tend to be diagnosed more often, at least with our recent returnees, with depression, whereas men are being diagnosed more often with substance abuse," says Natara Garovoy, program director of the Women's Prevention, Outreach & Education Center at VA Palo Alto Health Care System.

Garovoy says recent studies show the percentage of women veterans suffering from PTSD is on par with the percentage of men: 20%.

"Women are exposed to combat now more than ever before, and they're proving to be just as resilient to those exposures as men," she said.

There is no cure for PTSD, only treatment.

"It takes a lot to live with PTSD," Moss says. "I hate to compare it with being an alcoholic, because I'm not one, but that's the best description I can give. You're always one incident from spiraling out of control back to where you were -- being depressed, not coming out of the house, not being able to sleep, having night terrors, night sweats, all those kinds of things."

Moss attributes an angry outburst in her workplace last year to PTSD, after she says she had become complacent with her treatment. Moss physically struck a fellow employee with whom she was romantically involved.

"I just went off. It went from verbal to physical. And, thank God, I didn't lose my job over it. But I did get in trouble," says Moss, who was suspended for three days without pay. "Those feelings came out of nowhere."

Moss says she realized that even years later, she needed to actively engage in her weekly therapy. She also turned to her boss, the chaplain at the Palo Alto VA, to focus on her spirituality.

"I'm constantly working on how I'm thinking," Moss says of her regimen today, which includes morning meditation, listening to gospel music and exercising.

Her new mantra: "Staying positive and keeping negativity out of my life!"

Moss has lost 40 pounds in the last two years and is pursuing a degree in human resource management at San Francisco's Golden Gate University.

Moss beams with pride when she discusses recent steps in her therapy made within the last six months. She went on a trip by herself to Philadelphia while her teenage children went away to camp. She says technology, like video chat, helped her make such a stride. Moss also took her daughter to a concert in October, braving a shoulder-to-shoulder crowd.

"It's a big deal to know that from then to now, I've come a long way," Moss says with a smile. "From head to toe, I'm a better me."

CNN's Linda Hall contributed to this report.

@highlight

Staff Sgt. June Moss was diagnosed with PTSD after serving in the Iraq war

@highlight

As more women see combat, more female vets are suffering from PTSD

@highlight

Treatment helps, but Moss worries about slipping back into depression

@highlight

Today, Moss has gotten over her fear of crowds