YORKTOWN, Virginia (CNN) -- It's daybreak on Sara Creek, a sleepy backwater that sits near Yorktown, Virginia, and empties into the Chesapeake. The early morning fog slowly lifts to reveal the ripples of water, the boats swaying, and a picturesque harbor.

Tommy Leggett works to reduce polluted waters in Chesapeake Bay by growing oysters.

Local watermen have been fishing around this area for generations.

It's beginning to rain, and Tommy Leggett, a very proud and reserved waterman, combs over his white beard with his rough hands and prepares his boat, "Chesapeake Gold," for what looks like a day of fishing out in the bay.

"I've been a waterman for over 20 years," he says.

The difference now is Leggett doesn't fish anymore. He's an eco-conscious farmer and advocate who works on his sustainable oyster farm in the James River. He uses the term "aquaculture" to describe what he's doing here. "It refers to the husbandry, or farming, of aquatic species."

Leggett sells the oysters he harvests to local restaurants, growing about 100,000 a year as a part-time business.

He makes sure he always has a product to replace the ones that he sells. He shares his expertise with other watermen, educating them about oyster aquaculture and the importance of sustainability.  Watch Leggett's efforts to save the bay »

Leggett also sells his fresh products to the area market. "Customers want to know if the oysters they are buying are local, which means they're fresher and taste better."

Waterman: Many foods rely on oysters

The Chesapeake Bay, which is the United States' largest estuary, covering more than 64,000 square miles and spanning across several states, has seen its fish, crab and oyster stocks dwindle, in part, because of pollution over the past several decades.

"It was once said that the oyster stock in the Chesapeake Bay could have filtered the entire volume of the bay, in a single day," says Leggett, who has been farming shellfish in the watershed since 1995.

"Most people don't think of oysters having come from farms, and historically they haven't. They've been harvested from the wild fishery, which is supplied by Mother Nature."

That wild fishery, which still exists today, has seen its share of setbacks. From disease to overharvesting, Leggett knows what's at stake, and he's trying to get the message out. "Oysters filter the water, and they provide habitat for other species. There are so many food webs that depend and rely on oysters."

Not only does Leggett farm, he also works for the Chesapeake Bay Foundation (CBF) as the Virginia oyster and fishery scientist. He is trying to do his part to reverse the trends of depleting oyster stocks.

"If we don't restore oysters, we're not going to restore the Bay," he says. He wants to make sure people understand what just one single oyster can do. "One oyster out here in one of our bags can filter as much as 50 gallons of water a day."

By filtering the water, this important shellfish can take away deadly pollutants that eventually could deplete the crab and fish stocks, which in turn can leave fishermen without work.

Millions of oyster 'moms and dads'

The CBF helps to grow millions of oysters that will eventually make their way to sanctuary reefs and will not be harvested. The oysters will reproduce, and make a home for thousands of sea critters that will eventually become food for larger animals. "Its all a giant food chain," Leggett explains.

Leggett works alongside Jackie Harmon as the CBF's sole employees at a worksite near the Institute of Marine Science in Hayes, Virginia. iReport.com: Show us the environment near you

"Our goal is to replenish oyster stocks," Harmon says, "and by doing so, the oysters cannot only help filter water, but also help with shoreline erosion."

"It's a sustainable way for watermen of the Chesapeake to continue their livelihood as fishermen, in a more eco-friendly way."

Harmon also maintains an oyster farm on the weekend and hopes to one day sell her oysters at local farmers' markets.

Leggett puts it this way: "All we're doing here is making moms and dads to help jump-start reefs throughout the Chesapeake."

Leggett and Harmon are optimistic. They believe current federal and state administrations are doing great things for the environment. They believe the CBF's message is being heard. However, a lot more needs to be done, Harmon says.

"People are becoming more aware and want to take care of their environment, and they want to make it a better place for future generations," she says.

So as the land-based movement makes it apparent that buying local is the healthy way to live, seafood should be known in that same light.

Leggett believes the Chesapeake Bay can produce the amount of seafood needed for the entire region and he thinks with careful oversight, the watersheds can be an abundant source for that local seafood industry again, just like it was decades ago.

@highlight

NEW: Watch CNN.com Live Earth Day coverage at 4 p.m., 7 p.m., 9 p.m. ET

@highlight

Pollution in United States' largest estuary has reduced fish, crabs and oysters

@highlight

Chesapeake Bay project aims to grow millions of oyster "moms and dads"

@highlight

Oysters can help crabs and fish flourish by filtering poisons from the water