(CNN) -- From Cape Desolation and Bong Bong to Lake Disappointment and Woolloomooloo, Australia is no stranger to bleak, odd or evocative place names.

Towns like Come By Chance, Home Rule and Wattanobi are perfectly normal within the Australian context -- and locals use them without thinking -- but the country's Geographical Names Board has proposed tightening the regulations on naming places.

Local favorites like Curly Dick Road -- a place name in Meadow Flat in New South Wales which is stoutly defended by locals -- would likely remain, but those that could be considered offensive, such as Titswobble Drive, may be candidates for a future name cull.

"We don't want to stop Australia's tradition of weird and wonderful place names," Geographical Names Board deputy chairman Paul Harcombe told CNN. "We will consider anything as long as it's not commercial or offensive.

"We realize that working street names like Curly Dick Road get a bit of a giggle, but provided they're not offensive we won't go back and change them."

He said some of the more colorful suggestions from local councils for streets in new developments were often rejected for practical reasons. A council in the New South Wales town of Cowra wanted to name a street .303, after the ammunition, to recall the town's military history.

"But can you imagine being part of emergency services and being called to number 33, 303 Street? It's simply not workable," Harcombe said. "What we want is a unique name for every address in Australia -- we often get proposals that list a Railway Street North, a Railway Street South and a Railway Parade all within close proximity of each other.

"This is the sort of thing we want to avoid," he said.

He said that under the proposals, existing place names would be safe for the time being but the board would consider applications to rename streets if there were compelling circumstances.

The guidelines outline which new place names would be accepted by the board -- those with Aboriginal or multicultural origins are favored.

He said the board often considered proposals to restore Aboriginal place names and had two official names for many well-known places such as Mt. Warning, which is also called Wollumbin.

Aboriginal place names were particularly sensitive, however, especially if they marked known massacre sites.

"We had a problem with a place called Waterloo Creek which was named after a very one-sided massacre of Aboriginal people at the site," Harcombe said. "In the end, the local Aboriginal council decided it was better to have the massacre site marked. There are some things you can't expunge from history."

Under the proposed guidelines, places and roads named after living people, or those holding public office, are to be avoided because "community attitudes and opinions change over time."

He cited the example of Alan Bond Place in Marsfield, named after the man who backed Australia's winning America's Cup team in the late 80s but went on to be jailed for fraud.

Cliches, too, are being weeded out and the board said it would prefer names that avoid repetition. For that reason, Sugar Loaf, Sandy, Back, Bald, Deep, Long, Kangaroo, Reedy, Rocky, Spring and Stony -- staples of many Australian towns -- have been placed on the "avoid" list.

The regulations are not likely to please punctuation pedants, however, with the board saying it would eliminate apostrophes -- they've already been eliminated from places including Howes Valley -- and retain names that have been corrupted by long-established usage.

Australia's most famous example of this is its highest peak Mt. Kosciuszko. Named after the Polish national hero Tadeusz Kosciuszko in 1840, the Geographical Names Board only reverted to the correct spelling (it was previously spelt Kosciusko) in 1997.

Despite this, Australians still pronounce the name as "koz-i-os-go." The traditional Polish pronunciation of "kozh-tshush-ko" is almost never used.

Harcombe said the missing 'z' from Kosciuszko had been particularly controversial, drawing representation from the Polish community in Australia, the Polish ambassador and even the Vatican.

"Kosciuszko is a national hero in Poland. It was described to me as leaving the 'j' out of Banjo Paterson," Harcombe said, referring to one of Australia's national poets.

@highlight

Australia's Geographical Names Board proposes tightening rules

@highlight

Names considered offensive, like Titswobble Drive, could be changed

@highlight

Some proposals are rejected for practical reasons, others are just strange

@highlight

Board has moved to simplify names but removing some apostrophes