(CNN) -- Sony's PlayStation Vita, which hits stores in the U.S. and Europe next Wednesday, is much more than just another portable gaming device.

With the Vita, Sony is trying to combine the power of its PlayStation home console with the interface, portability and social media features of a smartphone. With its innovative touch controls, OLED screen, motion sensors, social apps, GPS capability and dual cameras, it has most of the bells and whistles that today's gamers could want.

Some industry observers question whether gamers will spring $250-$300 for another portable gaming device -- plus potential monthly fees for a 3G data plan -- when smartphones already handle many of the same gaming functions. But Sony is counting on the Vita's appeal to hard-core action- and first-person shooter gamers who want a designated mobile gaming system, not just another gadget on which to play "Angry Birds."

CNN spent a week testing out the Vita on a handful of games. Our verdict: It's a powerful and promising device -- better suited to some games than to others -- whose ultimate success will depend on whether developers make enough worthy games for it.

A social device

The successor to the Sony PSP hand-held console, PS Vita was started three years ago at the Sony Corporate Design Center by a team led by Takashi Sogabe, who designed the original Walkman. The goal was to bring richer and better gaming enjoyment than was available with the PSP.

While members of the development team knew they'd be making upgrades to the hardware and gameplay, Shuhei Yoshida, president of SCE Worldwide Studios, said he knew social media capability was going to be just as important.

"It has Twitter. It has Flickr. Portable music applications. These are here to enhance your gameplay experience," Yoshida told CNN. "What (Twitter) does as a player is, it lets you take a screen shot of a game you are playing. You beat the boss or you get the high score, (and) you can show the world what you've done with that screen shot."

Other social media applications, like Facebook, Foursquare and Skype, will also be available for download.

The processing power in the Vita allows for eight different applications to run simultaneously. During our hands-on experience, we could download a new game while playing another and listening to music from the media player. There was no detectible slowing of the action or the music.

PS Vita also raises the bar on mobile gaming by offering voice chat and text chat through the Party application. Party isn't tied into specific games, but allows players to communicate with their friends no matter what each person is doing.

However, AT&T, the exclusive broadband provider for the Vita in the U.S., does impose some restrictions. Yoshida said voice chat will only work if one person is on a Wi-Fi connection and the other is on a 3G connection. As he reminded us, the Vita isn't a phone.

Don't have many PlayStation friends online? Vita can help you find new connections with Near, a program that uses GPS to search your area for other nearby Vita devices. You can see what other people are playing, maybe join up for a multiplayer match or challenge a friend to top your high score. If you're concerned about privacy, there are ways to block your location, yet still see what's going on around you.

Other features

All these additions to the gaming experience mean little if the core gameplay is lacking. And that's where the Vita really delivers. The seven-inch device is chock full of processing power, multiple controls and a 5-inch OLED (organic light-emitting diode) screen, all designed to make games look and play as well as they do on a PlayStation home console.

The front of the Vita has two analog joysticks, a first for a portable gaming device, as well as a directional pad and four buttons. The front screen is also a touchscreen, allowing for direct control during a game.

The back of the device is a touchpad, which can create some unintended gaming consequences when gripping the Vita. Because Sony wanted the back screen to have a one-to-one relationship with the game action, the rear touchpad takes up the same amount of room as the front screen. But it takes some creative holding of the device to play some games without accidentally tapping on the back.

Yoshida said that while Vita does have a lot of input devices and functions, there were many others that didn't make it to the final design. He said the team focused on three things for the Vita: the size of the device, the price and its battery life.

"A certain group of us wanted a stylus," he said, laughing, about one feature that didn't make the cut.

There are also two cameras, front and back, that are designed more for augmented reality (AR) gameplay than for taking quality pictures of your vacation spots. Three games that take advantage of augmented reality -- using a camera to overlay real-world objects onto a device's digital screen -- will be available at launch next week.

Games

To consumers, all these features won't mean much if there aren't good games to play. Available at launch will be 25 titles, with many others scheduled for release shortly after.

Sony is counting on some big franchises to help the Vita make a splash in the U.S. "Assassin's Creed," "Madden NFL," "Uncharted," "FIFA," "Little Big Planet" and "BioShock" are a few of the powerhouse series that are developing games for the Vita. Some are available now, and others are coming soon.

Sony also is making some original games, mainly shooters and action-adventure titles, available at launch.

At a recent demo in Washington, the new "MLB 12: The Show" showed how gamers can use the Vita's rear touchpad to throw the ball around a baseball diamond. Designer Ramone Russell said the PS3 version of the game will have 70 new enhancements and Vita will have 65 of those as well.

He explained that the PS3 version and the Vita version of the game were designed with cross-play between the two consoles in mind.

"You dump 20, 30, 40 hours into a mode, and it's time to go on a business trip," Russell said. "You save that file up into a Cloud. Pick up your PlayStation Vita. Take it on the road. Download it from the Cloud and you keep going. And it works vice versa."

After about a week of hands-on experience, the PS Vita feels less like a mobile gaming device and more like a new gaming console that is also portable. The social features and functionality are exciting, and their integration into games seems smooth.

It takes a period of adjustment to avoid tapping the backside touchpad at the wrong time during a game. Even using the front touchscreen requires a bit of juggling, but it isn't anything that gets frustrating or awkward.

Overall, the Vita's power, social integration and presentation make the device worth a look. But the lingering question is whether developers will create enough great Vita games to make it worth the money.

The Wi-Fi version of the PS Vita will cost $249, while the AT&T 3G version will sell for $299 (plus a data plan). Two monthly data plans are available through AT&T: 250MB for $15 and 3GB for $30. There's also a first-edition bundle package that includes a PS Vita 3G/Wi-Fi model, 4GB memory card, "Little Deviants" game and a limited-edition case for $350. The deal expires at the end of March. Memory cards are needed for some Vita games, but not for all.

@highlight

Sony's PlayStation Vita gaming device hits U.S. stores Wednesday

@highlight

Vita allows for eight different applications to run simultaneously

@highlight

The front has a touchscreen and two analog joysticks, a first for a portable gaming device

@highlight

Our verdict: Vita is a promising device whose success will depend on quality of its games