(CNN) -- Africa from the air is a breathtaking sight -- vast herds, sprawling wetlands, snow-capped peaks and rising cities.

Thanks to creative safari outfitters, aerial views of the continent are a lot more accessible than they once were.

The 11 options below showcase the best aerial tours of Africa.

1. Huey helicopter flights at Victoria Falls (Zambia)

Based in Livingstone on the Zambian side of Victoria Falls (the falls form a border between Zambia and Zimbabwe), United Air Charters introduced 20-minute flights in a "Huey" helicopter -- the widely used military helicopter -- in 2013 as a radical way to experience Africa's largest waterfall.

With fully open side doors, the 13-passenger Huey zigzags through the 125-meter-high (410 foot) rock walls of Batoka Gorge, skimming close to rapids that make this stretch of the Zambezi one of the continent's best for whitewater rafting.

Upon reaching the violent clash of water and rock called Oblivion, the chopper rapidly rises up and over Mosi-oa-Tunya ("The Smoke that Thunders") at the falls.

United Air Charters Huey tours over the falls with an open door are $175 per person for 15 minutes and $330 per person for 20 minutes

2. Private flying safari (Namibia, Botswana)

Little trumps the glamor of a private flying safari in southern Africa, which takes visitors over the Kalahari Desert and Okavango Delta and delivers them to some of the most exclusive and expensive safari camps on the continent.

As one of the region's leading flying safari outfitters, African Profile Safaris lists corporate tycoons, politicians and movie stars among its clientele, and organizes flying safaris anywhere in Africa, from week-long trips around Namibia, Botswana and South Africa to month-long Cape-to-Cairo journeys.

African Profile Safaris offers 13-day fly-in safaris in Namibia, Botswana, Zambia from 60,900 rand ($5,770) per person

3. Table Mountain Cableway (South Africa)

Table Mountain Cableway opened in 1929 as a vertigo-inducing way to rise from Cape Town to the 1,084-meter (3,558-foot) summit of the giant, flat-topped peak.

In the late 1990s, the vintage cable cars were replaced by new pods that can carry 65 passengers and rotate 360 degrees.

From the top of the mountain, visitors get breathtaking panoramas of central Cape Town, the beach towns along the western edge of the peninsula, the Cape of Good Hope stretching off to the south and the old prison on Robben Island, where Nelson Mandela spent 18 years.

Table Mountain Cableway adult return journeys are 215 rand ($20) per person

4. Nile High Bungee (Uganda)

It took European explorers hundreds of years to come into contact with the source of the Nile.

Now it can be done in a matter of seconds at Nile High Bungee.

Located in the town of Jinja near the spot where the Lake Victoria turns into the world's longest river, the jump is 44 meters (144 feet) from platform to water.

Tandem and night jumps are offered.

Leapers can also choose a full dunk -- a brief submergence in the Nile.

Nile High Bungee jumps start at $115 per person

5. Skydiving (Kenya)

An hour's drive south of Mombasa, Skydive Diani offers a year-round slate of tandem skydives, full training courses and solo jumps for qualified skydivers.

Most jumps are over a permanent drop zone at Diani Beach, but the company runs tandem operations on the coasts of Malindi and Kilifi and in the central highlands outside Nairobi.

Each March and November, Skydive Diani and the Nairobi-based Kenya Skydivers Association organize Beach Boogies, a week-long skydiving festival over the white sands and turquoise waters of Diani.

Skydive Diani offers skydives from $350 per person

6. Climbing the West Face at Mulanje (Malawi)

Rising 1,700 meters (5,500 feet), the hulking West Face of Chambe peak on the Mulanje Massif is one of Africa's greatest rock-climbing challenges.

The wall features two distinct sections -- a 610-meter (2,000-feet) Lower Face and a 1,067-meter (3,500-feet) Upper Face.

Those who want to experience the view from the top without the death-defying climb can trek the Skyline Trail, a three-hour hike between Likhubula guest house and Chambe mountain hut.

The Mountain Club of Malawi (MCM) offers tips on how to trek or climb Mulanje. Expect to pay around $162 per person for a week on the mountain.

7. Trekking Mount Kilimanjaro (Tanzania)

The six-day trek up and down Africa's highest mountain (5,895 meters/19,341 feet) is one of the continent's iconic adventures.

The main routes to the top require no technical climbing experience, but trekkers should be in fairly good shape for an uphill walk that takes three and a half days.

Above 11,000 feet, head aches, shortness of breath and other symptoms of altitude sickness are common, and pulmonary edema is a real danger.

Tanzania's National Parks Authority requires that all climbers be accompanied by a licensed guide.

Ultimate Kilimanjaro offers seven ways to reach the summit. Hikes start at $2,200 per person

8. Busanga Plains hot air balloon trip (Zambia)

"There's nothing like it," says balloon pilot Erik Hesemans of the low-level gliding he does over Zambia's wildlife-rich Busanga Plains with Namib Sky Balloon Safaris.

"Sometimes we're only three meters above the ground -- close enough to look straight into the face of a lion or hippo as you're flying past."

Hesemans pioneered the maneuver over the red hot dunes of the Namib Desert and brought "skimming" to Zambia's savannah country in 2012.

Hesemans brings his balloons to Busanga during the dry season between June and October, when animals are drawn to waterholes and are thus easier to spot from the air.

See a video here.

Busanga Bush Camp starts at $799 per person per night; hot air balloon safari is complimentary (and only) for guests who stay minimum three nights

9. Microlight flights over Kruger National Park (South Africa)

Microlights -- lightweight, fixed-wing aircraft -- have been a fixture at South Africa's Kruger National Park for more than a decade, offering bird's-eye views of elephant, rhino, buffalo and other African wildlife.

Kwa Madwala Private Game Reserve on Kruger's south side is one of the few lodges with its own microlight -- a sturdy little Bantam that takes off from a grass runway.

A six-cylinder engine powers the small aircraft on 15-minute, half-hour and hour-long flights over Kruger, including a glide down the Crocodile River.

Kwa Madwala's Manyatta Rock Camp starts at 1,600 rand ($150) per person per night with microlight flights from 650 rand ($61) per person

10. Cairo Tower (Egypt)

Inspired by the lotus columns of the Temple of Luxor and other ancient monuments, Cairo Tower rises 187 meters (613 feet) above Egypt's brooding capital city and remains the third tallest building on the continent more than 50 years after it was first built.

From the open-air observation deck at the top, visitors gaze down on central Cairo, up the Nile Valley to the Great Pyramid of Giza and across to the great citadel that dominates eastern Cairo.

Cairo Tower observation deck access is 70 Egyptian pounds ($10) per person

11. Tsitsikamma zipline (South Africa)

Africa's best zipline soars through the extraordinary wilderness of Tsitsikamma, featuring an hour-long "flight" through the Kruis River Gorge over three waterfalls.

The zigzag route features eight different "slides" or cables, one of them the length of two soccer fields.

Thanks to a patented braking system, fliers can control their speed and come to a complete stop midway along the slides to take in indigenous flora and fauna.

Tsitsikamma zipline rates are 350 rand ($33) per person

Joe Yogerst is a freelance travel, business and entertainment writer based out of California.

@highlight

Vintage Huey helicopter rides over Victoria Falls began in 2013

@highlight

Private flying safaris are offered in Namibia and Botswana

@highlight

Hot air balloon safaris in Zambia offer rides "close enough to look straight into the face of a lion"