Ready for Hillary, a super PAC founded by Hillary Clinton devotees, has started to grease the wheels of state politics, currying favor with local Democrats by exchanging important data about the group's supporters with Senate and House campaigns ahead of the 2014 midterms.

The list exchanges are a clear attempt by the super PAC to build goodwill and to win over state parties ahead of a possible Clinton presidential run in 2016.

To date, the PAC has exchanged records with campaigns in 14 different states: Six U.S. Senate campaigns, four House races, four gubernatorial campaigns and three Democratic committees and organizations, according to a person familiar with the list swaps.

In return, Ready for Hillary is receiving data from each campaign and growing their list of possible volunteers and donors ahead of 2016.

Representatives from the group declined to name specific campaigns with which they have swapped names, citing confidentially agreements with each campaign.

Ready for Hillary has built the list a number of ways.

Supporters become part of the group's voter file when they give a donation or attend an event put on by the group. The PAC has held over 500 events across the country -- the majority of which were in early presidential primary and caucus states. All of those names, emails and phone numbers, along with some other details, go into the Ready for Hillary voter file.

Although seemingly simple, there is power in the names. Some political data experts argue a good data file is worth more than donations.

A former state party data director, who asked for anonymity to speak candidly, said getting names from a national organization is an "enormously helpful."

"State parties almost never have the money to do this on their own," the official said. "State parties need national folks to do it."

CNN asked a number of state parties and Senate campaigns to confirm whether they swapped names with Clinton. All failed to respond.

The swaps are more than just currying favor, too. They are also an attempt by Ready for Hillary -- a group that has been criticized by some Democrats for focusing too much on 2016's presidential election -- to quell those concerns and help Democrats in 2014.

More valuable than money

Democrats face a difficult map in the 2014 midterms. Winning back control of the House has all but become a pipe dream and the party is focused on maintaining control of the Senate -- an endeavor that may prove difficult.

In turn, campaigns and state parties are looking for as much help as they can get. One such way is to provide campaigns with a list of politically engaged voters and volunteers in their area.

Anthony Corrado, a senior fellow at the Brookings Institution and expert on campaign finance, said "These names are increasingly as valuable as a contribution."

"Campaigns are starting to realize that good names are more important than just having more dollars to spend on television," said Corrado, who also is a professor of government at Colby College. "These names become people who can do the important things that campaigns can't necessarily buy."

Lists are an important, yet complex, aspect of campaigns. Once cultivated by an organization, they can be traded, sold or rented to different groups. Each list is worth a certain amount of money, too, which is given by third-party companies that house each data set.

Corrado said the practice is becoming more common as power of online campaigning grows. In Ready for Hillary's case, lists are traded "on a one-for-one basis" for "equal value," according to a person familiar with the list swaps.

Good data lists do more than just activate voters and raise money. The most up-to-date voter lists connect supporters to their social media accounts and can be used to engage people through their friends and family.

One senior Democratic source who has worked with data at the highest levels said this amount of detail can be critical for a campaign's messaging.

"I would argue that in this era of declining trust in politicians and political ads, the validation that comes from your friends is critical," the source said.

Democrats have held a data advantage over Republicans for the better part of the last 10 years and President Barack Obama showed in 2008 and 2012 how critical understanding voters and the data around them can be to winning the White House.

In order to win the White House in 2016 -- should she run -- Clinton will have to tap back into the Democratic advantage.

Swaps help Ready for Hillary... and Hillary

List development and swapping is a practice that dates all the way back to the Watergate era and has traditionally been done by campaign committees or leadership PACs.

But Hillary Clinton's possible 2016 candidacy is unique. Clinton was out of domestic politics for four years while she served as secretary of state and does not have a leadership PAC within her direct control, as is the case for other possible 2016 candidates.

Enter Ready for Hillary, a group of outside supporters, former aides and excited young staffers who have spent the last year holding events across the country for a candidate who has yet to even announce her intentions.

When it was founded in 2013, the group had two primary goals: Urge the former secretary of state to run for president and collect a massive amount of voter data to help that endeavor.

But with time and backing from prominent former Clinton aides, Ready for Hillary has grown in popularity and its goals have evolved.

The group, though, has faced some skepticism since its founding. Early on, some questioned Ready for Hillary's goals and its ties to Clinton. More recently, some Democrats have worried that the group was causing key voters to overlook 2014 in favor of 2016.

Seth Bringman, Ready for Hillary's spokesman, disagrees with the latter criticism. "From the moment our organization was created, we have sought ways to channel the massive enthusiasm around a potential Hillary 2016 campaign into helping Democratic efforts this year," Bringman told CNN.

But words only go so far and the PAC is trying to counter questions with actions.

Ready for Hillary has kept eight regional staff throughout the country, including two staffers in California, Iowa, New Hampshire and Virginia. These staffers connect with local parties and attend party conventions and meetings, regularly with checks in hand to donate from the PAC.

Since May, Ready for Hillary has donated thousands of dollars to 29 different state parties, according to a source with the group. Most of these donations were upwards of $10,000, the max the group can give to a state party.

But don't expect Ready for Hillary to stay focused too long on the midterms.

Just days after voters go to the polls this November, Ready for Hillary will hold a strategy session in New York City for its top donors. The event is being billed as the "premier opportunity" for supporters to "come together and meet one another while we wait to hear what Hillary will decide."

And the list that Ready for Hillary has been swapping is also a key piece to the group's 2016 strategy. Multiple people close to Ready for Hillary acknowledge quietly that the super PAC will likely sell, rent or swap with a hypothetical Clinton campaign.

The name swaps also help if Clinton decides to run.

The former first lady is the prohibitive to be the Democrats' presidential nominee in 2016. She has the highest name recognition and is ahead in every poll.

What she will need to do over the next year if runs: Win over the state politicos and parties.

While it is sometimes hard to believe that a few names, phone numbers and emails can curry favor among state parties, according to multiple big data experts, the names can sway state parties and local political operatives.

That is what Ready for Hillary is banking on.

@highlight

Pro-Clinton super PAC is exchanging data and the names of its supporters with Senate, House campaigns

@highlight

Exchanges an attempt to build goodwill with state parties that will be important if Clinton runs

@highlight

Data about voters is important because it can build a campaign's fund-raising, volunteer efforts

@highlight

"These names are increasingly as valuable as a contribution," says expert