London (CNN) -- According to the United Nations' mission in Iraq, 712 Iraqis were violently killed in April 2013. This is both normal and extraordinary. It is normal because it pales into comparison beside the monthly death toll in the worst years of the country's civil war. It is extraordinary because it is the highest such figure since that civil war subsided five years ago. Understanding the violence requires grasping three confluent trends: the increasingly authoritarian streak of Iraqi Prime Minister Nuri al-Maliki, the rise of both peaceful and violent protest among Iraq's aggrieved Sunni minority (a fifth of the population), and, finally, a regional trend of worsening sectarian tensions between Shia and Sunni Muslims.

Each of these strands is tightly woven together. It was the invasion of Iraq a decade ago and the subsequent empowerment of its Shia majority that sparked fears of what Jordan's King Abdullah famously called a "Shia crescent" from Syria to Iran. Prime Minister al-Maliki spent his years of exile under Saddam in both those countries, and is widely seen as having aligned Iraq more closely to Iranian interests -- for instance, allowing Iranian over-flights of arms to the Assad regime. This diplomatic shift compounded a political one. Al-Maliki has undermined political institutions that were designed to be independent, such as the central bank and election commission. He has seized personal control of key army and intelligence units, many of them CIA-backed, including the 6,000-strong Iraqi Special Forces.

Read more: Iraq at crossroads as bombs explode

When the last American troops left Iraq at the end of 2011, al-Maliki pounced. Vice-President Tareq al-Hashemi, the most senior Sunni figure in the government, was forced to flee Iraq and was later sentenced to death. A year later in December 2012, hundreds of bodyguards and staff of Finance Minister Rafi al-Issawi, another senior Sunni, were arrested, triggering major protests. And on April 23, the situation worsened when Iraqi forces backed by helicopters killed dozens of peaceful Sunni protesters in the town of Hawijah. The town was seen by nearby Kurds as a conduit for suicide bombers, and the government claimed that the protesters were harboring militants from a Sunni militant group called the Naqshbandia Order.

Maliki established a ministerial committee to look into the Hawijah episode and has made a few other concessions, but the damage was done: a previously peaceful movement has grown angrier and, in places, more violent. Taken together, Maliki's heavy-handed and sectarian actions have fanned flames that were never really extinguished. The result is a powerful sense of Sunni victimhood with many policies, such as de-Baathification (the removal of Saddam's party loyalists from positions of influence), seen as little more than collective punishment of Sunnis.

The new wave of Iraqi protest embodies this trend. The protests are concentrated in Sunni-majority provinces. Protesters frequently excoriate Iran's influence in Iraqi politics and acclaim the Sunni-majority Free Syrian Army (FSA) fighting the neighboring Assad regime. Sometimes, their slogans are nakedly and belligerently sectarian. This naturally alienates many Iraqi Shias, who resent being associated with a foreign power and see the FSA as retrograde, Saudi-backed jihadists rather than freedom fighters. They are also likelier to see Maliki's various power-grabs as necessary steps to bring order and security to Iraq in the face of a growing regional and domestic threat from Sunni extremists such as al Qaeda and its ideological brethren. Iraq's increasingly autonomous Kurds, buoyed by potentially vast oil reserves, share some of these fears and sit in uneasy alliance with Shia political groups.

Indeed, the Syrian civil war has widened Iraq's sectarian divisions and created a source of major instability. In March, around 50 Syrian soldiers who had fled into Iraq were ambushed and killed. The single most powerful Syrian rebel group, Jabhat al-Nusra, is an offshoot of al Qaeda in Iraq, and its personal and logistical networks run across the Syria-Iraq border. If al-Assad were to fall, this would have a catalytic effect on parts of Iraq, amplifying Sunni militancy and resulting in a flood of weapons of fighters across the border.

Does this mean that Iraq is fated to return to the dark days of 2006-2007, when death squads were run in the heart of government and Baghdad faced waves of ethnic cleansing? It is important to note that while Iraq itself bleeds, the Iraqi state is strong. Al-Maliki is vulnerable in Sunni-majority areas where the Sunni militias of the al-Sahwa movement provide security, but his large and cohesive security forces serve as a buffer against wider chaos. Moreover, many Sunni groups are eager to keep the violence in check, having previously suffered greatly at the hands of al Qaeda in Iraq. It is certainly too early to talk about the country's break-up.

Next year's parliamentary elections will be a pivotal moment. At the last elections in 2010, the Sunni-dominated but secular Iraqiya bloc won more seats but couldn't form a government, and eventually let Maliki take the top spot.

This time round, it will be harder for Maliki to outmaneuver his political rivals: they have learnt that power sharing is a sham, and the Kurds are in a stronger position. In provincial elections held last month, Maliki's coalition saw its vote share decline, with many of his harder-line Shia Islamist rivals faring better.

Another victory for Maliki under contested conditions would produce severe political instability, especially if present levels of violence continue. The imperative is for political accommodation, reconciliation, and compromise. Yet Maliki is unlikely to opt for this route as long as he feels he can keep his grip on power with the help of his swollen army, paramilitary, and intelligence apparatus. There is no obvious way out for Iraq.

The opinions expressed in this commentary are solely those of Shashank Joshi.

@highlight

Monthly death toll has doubled in Iraq; now highest figure since end of war

@highlight

Increasing toll is related to authoritarian streak of PM Nuri al-Maliki, says Shashank Joshi

@highlight

Joshi: Sectarian is closely linked to protests, concentrated in Sunni-majority areas

@highlight

Too early to talk about Iraq's break-up, he says, but there's no obvious way out of violence