(CNN) -- I'm somewhere between a car camper and an outdoor enthusiast. It did take me over 10 months of owning hiking boots to actually start breaking them in, but I know how to build a campfire and I'm not afraid of a few days without a shower.

When my boyfriend, Matt, an REI credit card-carrying outdoor adventurer, mentioned he wanted to do the four-day, 31-mile North Rim hike in Yosemite in June, I was excited for the chance to prove that I was more of a backpacker than he thought. I expected to be challenged mentally and physically, and as time would tell, it was for good reason.

We encountered almost every type of backcountry terrain -- me with a 30-pound pack on my back and Matt carrying a 50-pound pack. An hour into our hike, we met Mike and Rick, two men who coincidentally planned the same trek. Their companionship was a godsend to both groups.

When I was safely out of the woods (literally), I talked to Les Stroud, the Discovery Channel's "Survivorman," about our experience to see what we did right and what we could have done better.

12 Appalachian Trail secrets

The rockslides

We began on a trail where rockslides had overtaken multiple parts of the route, littering our path with large boulders. It would have been easier on a day hike with smaller packs, but we had to stay conscious of our body weight with the added weight of our gear on the unstable terrain.

We reached a point where we had to head vertically from our location. It turns out when blazing the trail, crews began at separate ends and never met. We had missed the first marker telling us to head up the hill but now caught the second marker. Going up looked easier than it was -- recent rain had left the hill muddy and covered with loose rocks that were easily dislodged.

For fear of us both walking into a dangerous situation, Matt decided to get both packs up to the trail before coming back to find a safer route for me. Luckily, Rick and Mike had hit the first marker and waited for Matt at the top of the hill. Without their help, it would have been a challenge to get both packs up to the trail.

Survivorman says: "When climbing over difficult terrain, look at what's beneath your feet. Step back and look at what's before you. You get a better picture when you step backwards and get a look at everything. It's also important in these situations that it's not about speed. Speed will kill you in a survival situation. If you're walking into trouble, walking faster means you walk into it faster."

Independence Pass a road worth traveling

A wrong turn and snow

With the rockslides behind us, the four of us hiked and made camp while it was still light out. I'll admit, I thought about calling the trip off that night. But the next day, we decided we could still accomplish part of the hike. The group agreed to cut the trip a day shorter and hike out a different trail.

That morning was a steady climb through the forest and then up a granite slope. From the very beginning, we consulted a GPS, two topography maps and a compass. When we hit the granite slope, the GPS showed that we were a bit off, but still heading in the right direction to meet back up with the trail. With views of sharp cliffs striped with waterfalls and rows of steep mountains covered in trees, I joked that we had stumbled upon the scenic route.

Even with the view, the granite seemed like it would never end. When it did, a huge expanse of snow stretched out in front of us. The rangers had mentioned it was abnormal to have snow in June but said we would hit it at El Capitan; this snow was much sooner. Our rented snowshoes combined with Mike and Rick's walking sticks helped immensely. With the snowdrifts more than 6 feet deep at points, Matt and Mike took the snowshoes to punch out a more solid path for Rick and me.

As the afternoon progressed, we realized that we weren't seeing trail markers on the trees -- only two after four hours of solid hiking. The GPS and maps were also giving slightly varied directions, so we stopped every few minutes to orient ourselves.

Survivorman says: "If you know you're going off course, mark your trail. Blaze your own trail. Make deep snowshoes in a snowbank. Turn over or stack rocks. As you're going forward, stop, and look backwards because the trail does not look the same going back. If you end up doubling back and you don't do that, you don't have the perspective of what it's like going back. There's no harm in going back to where the blaze or trail was and really scan, like a camera in pan mode, to see the natural path of least resistance. That's probably the path the people before you took."

8 perfect summer lake towns

Making the call

With our early start, we should have had plenty of time to cover the six miles to El Cap. After hiking a good four miles, it was still nowhere in sight. With snow on the ground and quick-moving storms possible at our altitude, we hit a turning point around 3 p.m.

We could hear a creek but couldn't figure out if it was the creek labeled on the map. We continued to head east in hopes of finding the right creek, but the clouds were changing quickly and each moment we spent venturing meant a longer haul to a safe camping spot.

From the very first hour, our group's motto was "don't do anything stupid."

After weighing the options, I felt it would be a risk to keep plowing into uncertainty. Our group talked about the variables and opted to be safe rather than sorry.

We made quick time back to a campsite we had seen earlier, an ideal, snow-free area with trees on three sides for cover from the elements. We set up camp and spent the night regrouping, changing our plans yet again. We would wake up early and double back to our old campsite, then take an alternate route, with creek crossings rather than rockslides, out of the forest.

Survivorman says: "Once you get into panic mode, one of the things you need is knowledge. You assess. What do I have on me? Am I injured? How much food do I have? You keep assessing outward. Internal, external, big external. Now you have knowledge and you can make a decision. Remember that survival is active, not a passive pursuit. You have to actively choose."

Creek crossings

We woke up at sunrise and set out following our tracks from the day before. With a clear trail of footsteps to follow, we covered ground at twice the speed. We hit our original campsite earlier than expected and soon were on the trail that led to the creek crossings.

Fellow hikers along the trail told us we'd need to take our socks and boots off to cross the two creeks. Both had rushing water and rocky, often slick, beds. The first creek came up to our knees. The second was about 3 feet deep and 20 feet wide. When we hit the second one, we all gave each other looks that said, "Really? Are we crazy?"

We had to cross sooner or later, so we decided on the safest route, and I took my boots off and hung them around my neck. Using walking sticks, I went in, testing out each step before I took it. The three men followed, and all of us emerged drenched from the waist down but with all our gear intact.

Survivorman says: "Keep your gear. Try to never abandon your gear."

We were ecstatic. We had conquered the last big challenge we'd face on the trail. You never know what you're capable of until you have no other choice; as a newbie to backpacking, that was probably the most gratifying thought I walked away with from my trip to Yosemite. Though we never completed our original route, the journey was worth it.

With civilization less than three miles away, the sun shining and a hot shower and a cold beer waiting, it seemed like everything from that point on was a walk in the park.

@highlight

A four-day, 31-mile hike along Yosemite's North Rim didn't go exactly as planned

@highlight

Weather and difficulty finding trail markers led hikers to change their planned route

@highlight

The hikers endured different types of terrain and multiple challenges

@highlight

The group was prepared with GPS, maps, a compass and gear for various conditions