(CNN) -- I was 23 and a graduate trainee journalist when Marie Colvin survived an ambush in Sri Lanka that robbed her of an eye.

To me, she was already part of a small band of women war correspondents, starting with Martha Gellhorn, who were my role models. To me, these women lived the story, gave voice to the voiceless and urged the myopic world to sit up and give a damn.

The romantic in me yearned for their life of exotic travel, dangerous liaisons and hushed confidences over drinks and cigarettes in dingy bars, where stories were written and lifelong friendships made.

The realist in me did not understand the risks then. It wasn't until later that I realised I am not brave enough to be like Marie and some of the women I've met in my work. I've travelled to some dark places and reported from some danger zones, but nothing of the magnitude that she and they have encountered.

I had first come across Marie while doing work experience on the foreign desk at the Sunday Times. To a young, hungry, aspiring foreign correspondent, she was an inspiration.

But her experience in Sri Lanka several years later gave her added gravitas in my eyes. She was a survivor in a world where safety had not yet really become part of the culture and conversation in news rooms and, even then, in the years before the inexorable rise of social media raised the stakes and cacophony of information for traditional journalists, she was a rare breed.

Having decided in the wake of the devastating earthquake in Haiti that I no longer wanted to report from these so-called hostile environments, that I no longer wished to do so as the mother of a small daughter, I now work for the International News Safety Institute, a charity that provides safety advice and training to journalists working in dangerous situations.

At INSI, I've seen the risks journalists take and face across the world and I've learned about the people whose names and lives are hidden behind the statistics -- who represent the 120 or so men and women working in the news media killed every year trying to do their job.

Unlike Marie, most of them aren't well-known journalists, reporting for famous newspapers. Most come from countries like Pakistan, the Philippines and Mexico, where ineffective governments and corrupt officials, businesspeople and gangs want to silence them.

Along with Tim Hetherington and Anthony Shadid, Marie Colvin is probably the best known journalist to die whilst covering the Arab Spring. However, almost 30 more news media workers have died doing their jobs since the uprisings took root across the Middle East last year.

With their unknown names and faces, they are unlike her. But like Marie, they are men and women who felt compelled to fight against injustice, armed only with their words and images.

Marie knew that no war was risk free. And, after Sri Lanka, she knew that more than most.

But she knew too that journalists have a responsibility in helping write that first rough draft of history. In a speech that's been much quoted in the past 24 hours, which she gave at a service in 2010 paying tribute to journalists killed in their work, she said: "Our mission is to report these horrors of war with accuracy and without prejudice. We always have to ask ourselves whether the level of risk is worth the story. What is bravery, and what is bravado?"

There are many who turned back before Marie. Her mother said she wanted to finish "one more story". Her bosses urged her to leave the besieged Syrian city of Homs.

One friend, the BBC's Jim Muir, says he sensed in her a vulnerability he'd not seen before in the days before she left for Syria. Shortly before she died, she told another friend, Channel 4 News' Lindsey Hilsum, that it was the "worst they'd ever seen".

And, yet she felt compelled to continue shining a light on the worst suffering humans can inflict on each other, to give voice to the voiceless and expose the truth - in her case at a terrible price.

Her death and that of the brilliant French photographer Remi Ochlick have highlighted risks that journalists take to do their jobs. It has shown that there still remains a rare breed of talented, humane journalist who believes it is worth risking everything to tell the story of the victims of war.

At INSI, we want to pay tribute to Marie and the men and women like her. I hope her death will make the world sit up and realize what's going on in Syria and I hope her death will make people realize the risks that journalists across the world take every day to bring home the news.

Marie Colvin remains for me a role model, the Martha Gellhorn of her generation: An extraordinary woman who combined grit and glamour. Women like her are rare in an industry long dominated by men. Often the risks they face are no different from their male counterparts. But, on many occasions they are.

At INSI, we're launching a book dedicated to the safety of women journalists. In it, 40 women from around the world, including CNN's Hala Gorani, tell of covering war and civil unrest, corruption and disaster. They detail episodes of desperate detention, of kidnap, assault, extraordinary escapes and moments of awe-inspiring bravery, as they share their experiences of being a female journalist.

The decision to put together this unique book was triggered by the terrible attack on Lara Logan in Tahrir Square last year. It went to print just days before Marie's death.

"No Woman's Land: On the Frontlines with Female Reporters" will be published on March 8, International Women's Day. It will be launched with a tribute to Marie.

The opinions expressed in this commentary are solely those of Hannah Storm.

@highlight

Former reporter Hannah Storm says Marie Colvin was an inspiration to journalists

@highlight

Storm, of International News Safety Institute, says reporters face dangers in course of work

@highlight

Storm: Colvin "shone a light on the worst suffering humans can inflict on each other"