(Travel + Leisure) -- When I first started traveling, I was delighted by refrigerator magnets, T-shirts, embroidered patches and snow globes -- all the usual gift-shop kitsch. At some point, however, it struck me as a shortcut, celebrating a destination's clichés rather than the place itself.

So I moved up to items that were unavailable on every other corner and, ideally, handmade. I felt good about supporting craftspeople, and the objects had more personal resonance. Though when I got them home, many of them turned into dust-catching clutter -- one-of-a-kind clutter, but still. Moreover, I questioned their authenticity. I make every effort to eat at restaurants frequented by locals. Why would I shop for souvenirs in stores where residents never tread?

Now, I hunt for what I call "unsouvenirs." The word souvenir is Middle French for "remembering," and unsouvenirs, despite the prefix, must also be able to trigger a memory. But they're different from souvenirs in that they capture the essence of a place not simply because they were purchased there, but because -- this is the important part -- locals actually use them.

Travel + Leisure: World's strangest Olympic souvenirs

That's the best definition for cultural authenticity that I can come up with. While I prefer that my unsouvenirs originate in the destination ("made in China" is only appealing if you're in China), I don't mind if they come from a factory. Few of us can claim that we incorporate many handmade items into our day-to-day lives.

I just visited Rome for the first time -- ridiculous, I know -- and I was surprised by how rife with kitsch the historic center is. Rare is the block that doesn't have a store selling I © ROME T-SHIRTS. My customs form, in contrast, looked as if I had run errands on a Saturday afternoon.

I bought a plastic container designed to hold the unsliced part of an onion, premixed Campari and soda in Art Deco bottles, a package of assorted paper from an art-supply shop, Elmex toothpaste, and a lip balm called HerpeSun. They'll remind me of Rome every time I use them (though I haven't yet been brave enough to whip out the lip balm in public).

Travel + Leisure: World's most beautiful airports

Certain kinds of stores are more reliable for unsouvenirs. Supermarkets and pharmacies are always interesting. Cookware purveyors are also a consistently rich source: you might score Bialetti espresso pots from coffee-crazy Italy or elegant woven place mats from understated Sweden. At a Japanese hardware store you could come upon a miniature scythe-style weeder; or you might spot a cowbell and collar in northern Italy. (Part of the fun is repurposing: that bell could be a doorbell.)

Stationery shops, whether you're in Greece or Indonesia, tend to have schoolkids' notebooks, which make for quirky journals back home. Also worth a look are stores that sell hobby or restaurant supplies, sporting goods, garden equipment, bike gear....

"You have to get off the map," agrees the queen of unsouvenirs, Alisa Grifo, co-owner of Kiosk, a store in New York's SoHo that stocks workaday objects from around the world (usually one country at a time, displayed in four-to-six-month "exhibitions"), all acquired during Grifo's peripatetic travels.

Highlights from Germany included egg cups, a pencil sharpener and a doorstop; from Hong Kong, a mailbox, green twine and a calculator. Individually, the items are idiosyncratic and well designed; gathered together, they convey the spirit of a country, in both their utility and their aesthetics. (To see what I mean, visit kioskkiosk.com.)

I assumed that Grifo had the same wander-and-hope strategy that I do, but she and her husband and co-owner Marco Romeny actually do a ton of prep work. They research each destination, reading up on the history, culture, museums, food, crafts, anything. And they network like mad: "We ask ourselves, 'Who do we know from there? Who has relatives there?'"

Most important, they're usually in a country for two to six weeks, which means they stay -- and shop -- in residential neighborhoods. Just as the ideal unsouvenir reflects locals' daily existence, the best way to shop for unsouvenirs is by practicing a bit of cultural immersion -- in other words, when in Rome, shop as the Romans do.

As Grifo and I chatted, I bragged about my onion container, which I consider a symbol of my victory in tourist-clogged Rome. If any other American traveler brought home a plastic onion this year, I'll eat mine -- washed down with more than one bottle of Campari Soda.

Grifo's eyes lit up. "That's brilliant," she said. "How does it open? Can you send me a photo?" Maybe someday Kiosk will tackle Italy, and my little onion holder will be part of the exhibition. That would be fantastic -- as long as we all remember who found it first.

Erik Torkells is an editor at tripadvisor.com and the founder of tribecacitizen.com.

Planning a beach getaway? Don't miss Travel + Leisure's guide to Affordable Beach Resorts.

Copyright 2010 American Express Publishing Corporation. All rights reserved.

@highlight

"Made in China" is only appealing if you're in China, author says

@highlight

But handmade objects aren't always the best reminders of your trip

@highlight

Supermarkets and pharmacies are interesting places to hunt for useful souvenirs