(CNN) -- Toney Dixon's fascination with dead bodies goes back to her childhood, when she would sneak around her uncle's funeral home and watch him prepare bodies.

The bodies on display are plastinated, a process that replaces bodily fluids and fat with plastic.

"I found my heart racing," said Dixon, 67. "But instead of being taken aback and terrified, I wanted to know more."

Years later, Dixon's curiosity drew her and her twin sister, Erlyene Toney-Alvarez, to Body Worlds, an exhibit that shows preserved human specimens bisected and stripped of skin.

"It's like standing in the mirror and seeing yourself in a totally new way," said Dixon, the younger twin.

The twins were so impressed that they signed up on the spot to donate their earthly remains to the exhibit, which is currently showing in the United States, Canada, England and Germany.

With their signatures, the women joined a group of people who believe that having their bodies dissected, preserved and displayed will serve a greater purpose than burial or cremation. Body Worlds' donor program boasts about 800 people in North America and 8,600 worldwide.

"I thought, since I like to think outside the box, this would be a really good way to preserve our bodies instead of the typical funeral," Toney-Alvarez said. "It's also something I can go to my death feeling good about, like I made a contribution to humankind."

Individual Americans have had the right to bequeath their bodies to science since 1965, when the Uniform Anatomical Gift Act established the human body as property. With that law, a donor's wishes superseded those of the next of kin.

But academics in the field of gross anatomy attribute recent increases in body donations to relaxed social mores, according to an article published by the Association of American Medical Colleges.

Traditionally, medical schools have been the most common recipients of willed specimens in America. Then, in 1993, controversial German anatomist Gunther von Hagens emerged with an alternative.

Von Hagens, a self-styled iconoclast who earned the moniker Dr. Frankenstein in Europe for performing a public dissection, invented plastination in the 1970s.  See photos of the Body Worlds exhibit »

He spent the next few years popularizing and refining the process, which replaces bodily fluids and fat with plastic, earning equal shares of admiration and infamy.

In 1993, von Hagens founded the Institute for Plastination in Heidelberg, Germany, a research center that performs plastination and manages the Body Worlds exhibits.

The Institute produces specimens for Body Worlds exhibits and academic institutions that pay anywhere from $200 to $60,000 for them.

Von Hagens says he relies on donors not only as a source of specimens, but also as representations of Body Worlds' philosophy.

"I feel it is in line with democratic principles that you can decide in your lifetime whether to go to the cemetery or put yourself on display in an exhibition to teach the next generation," von Hagens said in a recent telephone interview.

Von Hagens says the Body Worlds donor program distinguishes it from similar exhibitions that have used bodies of questionable origin.

In a settlement with the New York State Attorney General's Office, Premier Exhibitions admitted that the specimens used in "Bodies ... The Exhibit" might be victims of torture or execution from Chinese prisons.

The settlement requires that Premier Exhibitions obtain proof of donor consent for specimens used in its shows. The company has also set up a fund to compensate visitors to its New York show.

Legislation is pending in several states that would require shows like Body Worlds to prove donor consent before they open.

Von Hagens has weathered similar allegations over the years. He insists that the specimens in Body Worlds exhibits come from donors.

He has done some plastination work on bodies from China at the request of medical schools and universities, but these bodies were not put on display.

"It is very, very important for the donors to know the purpose of the exhibit, that it is not entertainment, it is education and enlightenment," von Hagens said. "I have to be in peace with those on display."

The donors meet periodically at conferences, where they catch up with each other and with von Hagens. Recently, the sisters attended a donor conference in Los Angeles, California, with their mother, Irma Henry, who signed on in 1997.

Marc Rohner donated his leg to Body Worlds because he wanted others to learn from it.

"What you see in a picture or on "CSI" does not do justice to what the real human body looks like or how it functions," said Rohner, whose leg was amputated in 2006 to remove a malignant giant cell tumor. "By having a three-dimensional leg or black lung in front of you, you have areas of focus and details you can't see in a photo."

With his donation, Rohner, a pathologist's assistant in Columbus, Ohio, became the first living person to give a body part to the Institute.

Rohner acknowledges that the exhibits are not for everyone. Church groups in Europe have repeatedly denounced the shows as disrespectful, and skeptics around the world continue to question whether the Body Worlds specimens really are from legitimate sources.

But Toney-Alvarez says she will visit Body Worlds, even if her mother and sister are on display.

"Once you have passed on, it's just a shell. The memories are in the heart and in the mind," she said.

@highlight

Body Worlds was created by Gunther von Hagens, who invented plastination

@highlight

Body donor Toney Dixon says the exhibit is a didactic alternative to burial, cremation

@highlight

About 800 people in North America are on donor list for Body Worlds

@highlight

Purpose of the exhibit is education and enlightenment, von Hagens says