(CNN) -- "It's time to talk to Cuba."

Fidel Castro is not in power, but he's still a big part of Cuba. He welcomed the U.S. delegation.

That frank assessment from Rep. Barbara Lee, D-California, has resonated loud and clear from the island of Cuba -- 90 miles from the southernmost point of Florida -- to the halls of Congress.

For the first time in nearly 50 years, relations between the two nations, which have a history steeped in tension, have seemed to ease a bit.

That was apparent this week as a delegation from the Congressional Black Caucus traveled to the communist country on a fact-finding mission, with plans to deliver a report to the White House.  Watch CNN's Ed Hornick discuss the story »

"Our purpose was to see if there were preconditions on the Cuban side. We heard that there were no preconditions," Lee said Wednesday. "And, in fact, we wanted to find out if they were interested. We have to remember that every country in Latin America, 15 countries, have normal relations with Cuba. ... We're the country which is isolated."  Watch Lee discuss her visit to Cuba »

But even more significant were the meetings the group had with Cuban President Raúl Castro and with his brother and predecessor, 82-year-old Fidel Castro, a controversial political and social figure.

President Obama has said he is in favor of changing the relationship with Cuba. The $410 billion budget Obama signed in March makes it easier for Cuban-Americans to travel to Cuba and to send money to family members on the island. It could also allow the sale of agricultural and pharmaceutical products to Cuba.

Three provisions attached to the omnibus spending bill loosened restrictions enacted by former President Bush after he came to office in 2001.

Analysts see the lawmakers' trip and Obama's campaign rhetoric as a way for the new administration to start thawing relations with Cuba before the Fifth Summit of the Americas. The summit will bring together the U.S. president and 33 other leaders from the Western Hemisphere in mid-April in Trinidad and Tobago.  Watch more on the lawmakers' meeting »

It's a point that Fidel Castro seemed to hint at. In a letter published Tuesday in the online version of Granma, a state-run Cuban newspaper, Castro wrote that an unnamed caucus member told him "he was sure that Obama would change Cuba policy but that Cuba should also help him."

"I value the gesture of this legislative group," Fidel Castro wrote. "The aura of [the Rev. Martin] Luther King is accompanying them. Our press has given broad coverage of their visit. They are exceptional witnesses to the respect that U.S. citizens visiting our homeland always receive."

U.S. citizens are allowed to visit Cuba, an island shrouded in a virtual blackout to the U.S. and other parts of the world, but must apply for special licenses to do so. Though it is illegal, some citizens travel to a country like Mexico or Canada and then into Cuba.

Not everyone is eager for change.

Cuban-American members of Congress, in particular, have voiced outrage over the easing of relations.

Florida Republican Sen. Mel Martinez, who was born in Cuba, doesn't want to see changes to the embargo.

"Having tourists on Cuban beaches is not going to achieve democratic change in Cuba," Martinez has said.

New Jersey Sen. Robert Menendez, a Democrat and Cuban-American, said in a recent speech that the Cuban government is "pure and simple a brutal dictatorship. ... The average Cuban lives on an income of less than a dollar a day."

Fidel Castro led the 1959 revolution that overthrew Cuba's Batista dictatorship. The United States broke diplomatic ties with the nation in 1961. The next year, the U.S. government instituted a trade embargo. Both policies remain in effect.  Interactive: A look at the Fidel Castro's life »

The State Department, per its Web site, officially recognizes the country as "a totalitarian police state which relies on repressive methods to maintain control. These methods, including intense physical and electronic surveillance of Cubans, are also extended to foreign travelers."

Although Castro was credited with bringing social reforms to Cuba, he has been criticized around the world for oppressing human rights and free speech.

Lee said she hopes the meeting in Cuba this week will help open diplomatic channels between the two nations.

"It's time to change our direction in our foreign policy. The president is doing a phenomenal job in the world, reshaping America's image and role in the world," she said. "So we want to make sure that we have the proper information to make recommendations to the president, our secretary of state and our speaker with regard to U.S. policy toward Cuba."  Interactive: Learn more about Cuba »

Though the current stance of the U.S. government toward Cuba fits well with an older generation of Cuban-Americans who despise Castro, not all are of that mind-set. Namely, members of a younger generation see great benefits of opening trade and direct tourism between the United States and Cuba.

Jessica Rodriguez, who owns Cuba de Ayer restaurant in Burtonsville, Maryland, is part of that younger generation looking to change the views of her community.

"I think it would be good to open up some of those doors. I have so many customers who say, 'Oh, I'd like to go to Cuba.' And I say, 'Me too.' "

"I think it would be great for the world to see Cuba for itself," she added.

Some Cuban-Americans like Tessie Aral, owner of a Miami, Florida, travel agency that specializes in trips to Cuba, see the financial benefits of lifting the travel ban.

"I think a lot of Americans are going to want to travel to Cuba because it's been the forbidden fruit for so long," Aral said. "For our country to tell us which country we can travel to, I think that's just archaic."

Others in Congress see opening greater relations with Cuba as vital to the United States.

A group of senators and other supporters unveiled a bill March 31 to lift the 47-year-old travel ban to Cuba.

"I think that we finally reached a new watermark here on this issue," said Sen. Byron Dorgan, D-North Dakota, one of the bill's sponsors.

Sen. Richard Lugar, R-Indiana, another sponsor of the bill, issued a draft report in February that said it was time to reconsider the economic sanctions. Lugar is the ranking Republican on the Senate Foreign Relations Committee.

Nonetheless, there is more political and diplomatic work to be done before restrictions on travel and trade could be lifted. Though it's a first step, Lee sees it as a crack in the proverbial ceiling.

"We went to Cuba to listen to Cuban officials to make sure that we had the information and the facts that were necessary to bring back and at least let our administration know what we believe is possible."

CNN's Jim Acosta, Arthur Brice and Elise Labott contributed to this report.

@highlight

Members of Congressional Black Caucus met with Cuba's Castro brothers

@highlight

Lawmaker says "it's time to talk with Cuba" and ease travel, trade restrictions

@highlight

President Obama has said he is in favor of changing the relationship with Cuba

@highlight

But some members of Congress are against relations opening