(Mental Floss) -- Most people are familiar with the stories of Bill Gates and Mark Zuckerberg, who achieved great success as the founders of Microsoft and Facebook, respectively, after dropping out of Harvard.

Here are eight other former Harvard students who made out just fine without earning their degrees.

1. Robert Frost

Frost, a San Francisco native who had previously dropped out of Dartmouth after only two months, was accepted for admission at Harvard in the fall of 1897 and studied liberal arts in Cambridge.

Two years later, Frost, who had married and become a father just prior to enrolling at Harvard, left school to support his growing family.

"They could not make a student of me here, but they gave it their best," Frost later said. Frost won four Pulitzer Prizes for poetry in his lifetime and received an honorary degree from Harvard in 1937.

2. Matt Damon

The future Hollywood star entered Harvard in 1988 and took time off during the second semester of his sophomore year to act in "Rising Son," a made-for-TV movie. Damon stepped out during his junior and senior years as well, and never accrued enough credits to graduate.

"What was happening is that I would keep coming back, and I would almost get done with the semester and then I would be yanked out," Damon recalled in an interview with the Harvard Crimson.

It's fitting, then, that Damon's big break was "Good Will Hunting," the 1997 film he co-wrote and starred in with his friend Ben Affleck. In one scene, Damon's character tells a Harvard student, "You drop $150,000 on an education that you could have gotten for $1.50 on late charges at the public library."

Damon appeared on "Ellen" earlier this month and said he doesn't have any plans to go back and finish his degree.

"I feel like I got everything I needed to get from that experience," he said.

3. Edwin H. Land

After graduating with honors from the Norwich Academy in Connecticut, Land enrolled at Harvard in 1926. The son of a scrap metal yard owner, Land studied chemistry as a freshman and launched experiments on ways to polarize light.

Land dropped out of Harvard to focus full-time on his research, which he conducted at the New York Public Library, before returning to Cambridge to establish the Land-Wheelwright Laboratories with his former Harvard physics instructor in 1932.

In 1937, Land co-founded the Polaroid Corporation, which would introduce the first instant camera in 1947.

Land said the idea was inspired by his then-3-year-old daughter, who asked why she couldn't immediately see a photograph he took of her on a family vacation. Polaroid made another breakthrough in 1963 with the introduction of instant color photography.

By the time of his death in 1991, Land, who was awarded an honorary doctorate degree in 1957 and had a street in Cambridge named after him, owned more than 500 patents, second only to Thomas Edison. Among his other inventions were instant X-rays, Polaroid sunglasses, and glare-reducing goggles for dogs.

Mental Floss: He Took a Polaroid Every Day, Until the Day He Died

4. William Randolph Hearst

Hearst, the son of millionaire mining engineer George Hearst, enrolled at Harvard in 1885 and acted as the first business manager of the Harvard Lampoon, the school's humor publication.

It didn't take long for Hearst, who kept a pet alligator named Champagne Charlie in his room, to establish a reputation as a trouble-maker.

According to legend, the future newspaper magnate once bought a jackass and snuck the animal into a professor's room, leaving a card around its neck with the note, "Now there are two of you."

Hearst survived that stunt, but was later expelled for sending his professors chamber pots with their names inscribed on the bottom. After leaving Harvard, Hearst launched his successful career by taking control of one of his father's newspapers, the San Francisco Examiner.

5. James B. Connolly

Connolly, who was admitted to Harvard in 1895 despite never graduating high school, left Cambridge to participate in the first Olympic Games one year later.

Connolly reportedly requested a leave of absence from the Harvard dean, but it was denied as a result of his low academic standing.

Harvard informed Connolly that he would have to reapply for admission upon his return from Athens, but he left anyway, and became the first modern Olympic champion with a win in the triple jump.

Connolly never returned to Harvard to finish his degree, but he was awarded an honorary Harvard sweater in 1948.

Mental Floss: The Post-Olympic Careers of 16 Medal Winners

6. Pete Seeger

As Seeger explains it, the folk singer and activist had his financial aid rescinded after his sophomore year because he got too interested in left-wing politics and let his grades slip.

Seeger, who would've graduated in 1940, achieved fame after dropping out of Harvard as a member of The Weavers, whose rendition of Leadbelly's "Goodnight, Irene" topped the charts for 13 weeks in 1950. Seeger doesn't seem to harbor any ill will toward the school.

As the Harvard Crimson reported, he wrote the following in his alumni yearbook: "I remember thinking when 1940 came along that I was glad I had spent the two years there, that I had learned certain invaluable things, but also that I had learned in two years that I had been away from certain things that Harvard wouldn't have been able to teach."

7. R. Buckminster Fuller

The inventor, philosopher, and futurist was the fifth generation of his family to enroll at Harvard and the first not to graduate. Fuller wasn't accepted into any of Harvard's social clubs, so he sought companionship elsewhere and regularly skipped classes to attend Broadway shows.

During one such trip to New York City, Fuller treated actress Marilyn Miller and her entire chorus to dinner, blowing all of his tuition money for that year in the process. Harvard dismissed Fuller, who went to work as a factory worker in Quebec before his mother convinced him to reapply.

Fuller was readmitted and earned several academic honors, but eventually became bored and left Harvard for good. After a stint in the U.S. Navy, Fuller embarked on the first of many commercial failures, including the prefabricated Dymaxion House, before achieving fortune and fame in 1947 with the invention of the geodesic dome.

Fuller returned to Harvard in 1961 to accept the Charles Eliot Norton Professorship of Poetry.

8. Bonnie Raitt

Raitt enrolled at Radcliffe College, Harvard's then-coordinate college, in 1967. The daughter of a Broadway musical performer, Raitt planned to major in African studies and travel to Tanzania to help "undo the damage that Western colonialism had done."

Those dreams were sidetracked when Raitt, a skilled guitar player, met blues promoter Dick Waterman in Cambridge. Waterman introduced Raitt to established performers such as Son House and Fred McDowell.

Though Raitt had every intention of graduating, she took a semester off during her sophomore year to explore the possibility of a musical career with Waterman and became a star. Raitt signed a recording deal with Warner Bros. in 1970 and released her debut album in 1971.

Raitt won four Grammy awards in 1990 and received Harvard's third Arts Medal in 1997. She was inducted into the Rock and Roll Hall of Fame in 2000.

Mental Floss: 15 Celebrities Who Started as Teachers

9. Elisabeth Shue

At least one famous Harvard dropout eventually decided to return to school. Shue, who transferred to Harvard from Wellesley College, dropped out of school one semester short of receiving her political science degree in 1985 to pursue an acting career.

Fifteen years later, she returned to Cambridge to complete her degree.

"My brain was starting to dry up," Shue told Movieline magazine. "In Hollywood, you're fortunate if you get a role where your brain is engaged, but those experiences are rare. I felt like I needed to do something with my life. I wanted to feel more connected to the world."

At the time, Shue said she would eventually like to teach and make documentaries. Best known for her Oscar-nominated role in "Leaving Las Vegas," one of Shue's most recent roles was as Sheriff Julie Forester in "Piranha 3D."

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Matt Damon says he was in and out of Harvard at the beginning of his film career

@highlight

Poet Robert Frost and William Randolph Hearst dropped out of Harvard

@highlight

Pete Seeger cites an interest in left-wing politics for letting his grades slip at Harvard

@highlight

Elizabeth Shue dropped out, but returned to complete her degree