(Health.com) -- Young children with attention-deficit hyperactivity disorder (ADHD) are roughly four times more likely than their peers to become depressed or attempt suicide in later childhood, a new study suggests.

Researchers followed 125 children with ADHD for up to 14 years beginning at ages 4 to 6, and compared them with a similar group of children without ADHD. Thirty-nine percent of the children with ADHD were also found to have depression during the study period, versus 8 percent in the control group.

The risk for depression increased if the child demonstrated symptoms and behaviors that are distinct from -- but often occur alongside -- ADHD, such as anxiety, defiance, hostility, bullying, and fighting. The risk for depression was also more pronounced if the child's mother had a history of depression.

Health.com: How to recognize the symptoms of depression

"The only children with ADHD who were not at increased risk for depression were those without a depressed mother and who exhibited very few symptoms of other types of mental health problems," says the senior author of the study, Benjamin Lahey, Ph.D., a psychologist and professor of epidemiology at the University of Chicago. "That is only a small proportion of children with ADHD."

ADHD also increased the risk of suicide attempts. Roughly 18 percent of the kids with ADHD attempted suicide at least once during the study, compared with 6 percent of the kids in the control group. (None were successful, fortunately.)

Children who were primarily hyperactive and impulsive appeared to be at greatest risk, which suggests that impulsivity may play a role in suicidal behavior, the researchers say.

Girls were at greater risk than boys for both depression and suicide attempts, but there weren't enough girls in the study to draw firm conclusions about gender, according to the authors.

Health.com: How to spot the warning signs of suicide

The study appears in the Archives of General Psychiatry.

ADHD is estimated to affect 4.4 million children in the U.S. and has been shown to raise the risk for academic and social difficulties, employment problems, and even brushes with the law later in life.

However, this study is the first to examine the risk factors for depression in very young children with ADHD, and the first to follow children for an extended period of time. Experts have long suspected an ADHD-depression link in childhood, but the research to date has been inconclusive.

"This study adds more data to the notion that early manifestations of hyperactivity and impulsivity...are not necessarily benign," says Dr. Benedetto Vitiello, M.D., chief of the research branch dedicated to child and adolescent treatment and prevention at the National Institute of Mental Health, which funded the study.

Health.com: Quiz: Do you have adult ADHD?

But the children in the study aren't necessarily typical of all children with ADHD, says Rafael Klorman, Ph.D., a professor of psychology at the University of Rochester Medical Center, in New York. It's relatively uncommon for ADHD to be identified in children as young as 4, he explains, and kids who get a diagnosis at that age tend to have more severe symptoms.

"These kids were diagnosed earlier, which means that the researchers have a sample with especially higher severity," Klorman says. "They may be getting the high end of the spectrum."

Parents should not "panic and think their children with ADHD are destined for depression or suicide," Lahey says. However, he adds, if parents are concerned that their child is showing symptoms of ADHD or depression, they should consult a mental health professional and consider family therapy.

Health.com: What if my child begins to exhibit symptoms of ADHD?

More research is needed to identify effective interventions that can lower the chances of depression in high-risk kids with ADHD, Vitiello says, echoing Lahey and his colleagues.

Early intervention and treatment are important, as the risk of depression and other health problems associated with ADHD can last well into adulthood. Previous studies have estimated that anywhere from 16 percent to 37 percent of adults with ADHD have been diagnosed with major depressive disorder or dysthymia, a milder form of depression.

And in another new study, which appears in the Archives of Pediatric & Adolescent Medicine, researchers at New York University report that teenagers with ADHD are about twice as likely to have problems with alcohol and drugs in their 30s than those without the disorder.

Health.com: Adult ADHD and substance use

However, the risk seems mainly due to the overlap between ADHD and conduct disorder, a related condition that's characterized by physical aggression and delinquent behavior, such as stealing and vandalism. The teens who did not show signs of conduct disorder did not appear to be at increased risk for substance abuse, the study found.

Both ADHD and conduct disorder may be an early warning sign for alcohol and drug problems, the researchers suggest.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2010

@highlight

Children with ADHD are four times more likely to become depressed or attempt suicide

@highlight

39 percent of kids with ADHD were also found to have depression in the study

@highlight

Researchers suggest that ADHD may be an early warning sign for alcohol abuse