(CNN) -- The New Zealand government wants to make sure your high is safe.

In an attempt to tackle the popularity of new-generation synthetic party drugs -- sold widely in convenience stores and blamed for triggering a spate of mental health issues -- New Zealand authorities have taken a radical new tack.

A new law shifts the onus to the makers of synthetic recreational drugs, forcing them to conduct clinical tests to prove their products are safe -- similar to the way pharmaceuticals are regulated.

It's the first nation to take a dramatically different approach to psychoactive substances like party pills and synthetic marijuana -- which the United Nations has flagged as an alarming drug problem. Some psychoactive substances go by names like bath salts, spice or meow-meow.

In a 119-to-1 vote on Thursday, the country's parliament passed the Psychoactive Substances Bill, establishing a framework for testing, manufacturing and selling such recreational drugs.

The new law does not apply to non-synthetic drugs like marijuana, cocaine or magic mushrooms.

In a country that prides itself as a "social laboratory," New Zealand has become "a laboratory in every sense: for the approval of new recreational drugs," according to an editorial in the New Zealand Herald.

The drug law enjoyed broad support although there was debate over whether animal testing would be required in the clinical tests.

"While other countries are still blindly banning drug after drug, the Psychoactive Substances Bill will put New Zealand ahead of the industry's game," said Ross Bell, the New Zealand Drug Foundation's executive director in a statement in support of the law. "It is a comprehensive, pragmatic and innovative approach to address a complex problem."

This contrasts with countries where substances are legal until the governments ban them. Chemical concoctions come out fairly routinely -- far outpacing efforts to control them.

When one product is banned, "there are two or three or four replacements in the market," said Bell.

And authorities can't prevent the drug makers from selling new concoctions.

"You can't ban what yet doesn't exist," Bell said. "The government isn't in the position to pre-empt these things."

New Zealand is unique because of its remote geography, he added.

"It's because we're a small remote country," he said. "Drugs like heroine don't make their way to New Zealand. What we've become good at doing is making our own drugs."

Psychoactive substances have raised concerns over their ingredients and effects. Some are known to cause paranoia, hallucinations, convulsions and psychotic episodes.

"In lots of ways, this synthetic cannabis is way worse than the real stuff with a number of people who are becoming psychotic as a result," said Dr. Mark Peterson, the chair of the New Zealand Medical Association.

Under the law, new psychoactive drugs cannot be sold unless they pass health regulations. That process will be determined by the country's Ministry of Health.

The new regulation "has to be rigorous and robust enough to stand up to public scrutiny. To be licensed, to be legal, it has to pass testing like new medicine in the market," said Grant Hall, general manager of the advocacy group, The Star Trust, which represents members of the legal high industry in the country.

The industry wants to "be recognized as other highs" such as alcohol and tobacco, he added.

Hall said he expects the industry to take a hit on profits as they'll now have to submit costly and lengthy applications to be be sold on the market. But he views it as an investment.

"You have take a long term view," Hall said. "It's a legitimate industry that provides certified low-risk product so people can enjoy them safely. That's a much better business model than the better cat-and-mouse game the industry plays with the government."

Here is what else the Psychoactive Substances Bill entails:

- Restricts where and how psychoactive drugs are sold

- Prohibits sales to minors

- Restricts labeling and packaging of products

- Gives existing products a grace period to begin application process

@highlight

New Zealand Parliament passes new drug law 119-1

@highlight

Recreational drug makers can sell products if they prove its safety

@highlight

Law only applies to synthetic drugs, not marijuana, cocaine, etc

@highlight

New Zealand is first to change its tactic on psychoactive drugs