The long-dormant Middle East peace efforts got new life on Friday.

An agreement has been reached that "establishes a basis for resuming direct final status negotiations between" Palestinians and Israel, U.S. Secretary of State John Kerry said in Amman, Jordan.

"This is a significant and welcome step forward," Kerry said.

This came as Kerry visited the Middle East this week and came up with a formula for reanimating peace talks between Israel and the Palestinian territories, a source close to the talks said.

He has been working intensely with the Palestinian side to get them on board.

Earlier Friday, in a meeting in Amman, Jordan, Kerry presented the plan to Palestinian chief peace negotiator Saeb Erakat in hopes that it will entice the Palestinians back to the negotiating table.

Kerry arrived in Ramallah in the West Bank on Friday afternoon and began a meeting with President Mahmoud Abbas for the third time during his current trip to the Middle East.

New city offers vision of better life in West Bank

Talks could begin soon in Washington, according to the official Palestinian Authority news agency, Wafa, which quoted the authority's spokesman, Nabil abu Rudaineh.

Abu Rudaineh said "certain details" were still in need of solutions, but "if things go well, Kerry will extend an invitation to Saeb Erekat and the representative of the Israeli side, to meet him in Washington, to hold primary talks in the coming few days."

Israeli Justice Minister Tzipi Livni lauded the prospect of peace.

"These past few months were long, filled with doubt and cynicism," Livni said in a statement. "But now, four years of political stagnation are coming to an end.

"I know that, despite this being an opportunity, once the negotiations begin they will be complex -- but I am convinced with all my heart that this is the right thing for our future, our security, our economy and Israel's values," Livni said.

She expressed respect for Prime Minister Benjamin Netanyahu "for making the decisions representing Israel's important interests, as well for American Secretary of State, John Kerry, which led us and the Palestinians into the negotiations room."

In the Palestinian territory of Gaza, however, Hamas dismissed the renewed effort for peace talks.

"This negotiation will be useless. It is not going to achieve anything for the Palestinian people. It will not help the prisoner issue, the border issue or the land issue," the group said in a statement. Israel imposed an economic blockade on Gaza shortly after Hamas was elected to run the Gaza government in 2006.

Kerry said the agreement is still in the process of being formalized, so "we are absolutely not going to talk about the elements now," he said. If everything goes as expected, representatives for the two sides will join Kerry in Washington "for initial talks within the next week or so, and a further announcement will be made by all of us at that time."

"Any speculation or reports you may read in the media ... are conjecture ... because the people who know the facts are not talking about them," he said.

Talks based on land swaps, pre-1967 borders?

One of the reports Kerry might have been referencing was a Reuters report quoting an Israeli official who said the Jewish state agreed to a plan for peace talks based on pre-1967 borders and land swaps.

It would be in line with a decades-old United Nations resolution calling on Israel to release territories it gained during a war, a demand that Israel has historically fought. But it would help create contiguous borders for a future Palestinian state that would coexist next to a Jewish state.

Israel's official reaction to the report has been denial. Mark Regev, a spokesman for Netanyahu, rejected the news agency story and questioned who in the government would have made the assertions.

Kerry had set up shop in Amman, Jordan, where he has already advertised the plan to the Arab League and to Abbas. Abbas briefed politicians in Ramallah after returning from his initial meetings with Kerry.

News of the plan triggered a reaction Friday from Mustafa Barghouti, a prominent Palestinian legislator.

"We need written commitments that there are terms of reference including commitment to 1967 borders. We need affirmation or guarantees that there will be no settlement expansions," he said. Other Palestinians would not accept negotiations as long as they continued to grow, he added.

Israel has recently announced plans to add on to West Bank settlements, drawing angry responses from Palestinians and criticism from Israel's Western allies.

The major bones of contention in negotiations are:

• The status of Jerusalem. Israel regards the entire city as its capital. The Palestinians regard East Jerusalem as the capital of a future Palestinian state.

• Jewish settlements in the West Bank. The land is known as Judea and Samaria in Jewish history, and Israelis say they believe that territory is part of the Jewish state. The Palestinians say the West Bank is Palestinian land. They also say they've been mistreated in their own land for years by Israel's government, the military and settlers.

• Security. Israel has said it wants to be assured of the safety of its citizens from attacks by Palestinian militants in any peace agreement.

• The status of the Palestinians, who mostly departed Israel during two wars: one that led to the state's founding in 1948, and one in 1967. Palestinians say they were driven out.

War spoils

Israel took over East Jerusalem, the West Bank, Gaza, Sinai and the Golan Heights after it defeated Arab states in the Six-Day War in 1967. In a series of moves following its capture, Israel effectively annexed East Jerusalem, putting it and other adjacent areas in the West Bank under Israeli government control.

Since then, Israel has forged a peace treaty with Egypt and returned Sinai to the country. It later unilaterally departed from Gaza, now run by Hamas.

Israel occupies the Palestinian territory of the West Bank and part of Syria's Golan Heights.

For years, Israel and the Palestinian Authority have made attempts to negotiate, but have repeatedly failed to get the process moving.

A sporting push for peace in Israeli-Palestinian relations

@highlight

Palestinian Authority says "if things go well," talks could begin in Washington in "coming days"

@highlight

"Four years of political stagnation are coming to an end," Israel's justice minister says

@highlight

Hamas in Gaza dismisses peace negotiations as "useless"

@highlight

A report says peace formula involves a landmark concession from Israel