(CNN) -- President Obama has decided to move ahead with a variety of gun control measures, and Sen. Dianne Feinstein has proposed a new assault weapons ban. While Washington debates new proposals on gun control, attention also needs to focus on obstacles to effective enforcement of existing gun laws, including the ban imposed by Congress on the Bureau of Alcohol, Tobacco, Firearms and Explosives creating a federal database of firearms transactions.

A discussion of the origin of that ban, which was initially enacted in response to a proposal made when I served as the assistant Treasury secretary overseeing the bureau, is useful to a better understanding of the dynamics of the debate over specific gun control proposals. Sadly, both then and now, logic often loses out.

Early in 1978, the proposal we developed was relatively simple: Manufacturers, wholesalers and retailers would file reports of sales of firearms with the bureau, but to avoid the argument that the bureau was impermissibly creating a national registry of gun owners, retailers would not be required to list the name of the retail purchaser.

The rationale for creating a centralized firearms transaction database was twofold. First, it would speed up the ability to trace guns found at crime scenes, since even with the less sophisticated technology then available, such traces would still be able to be done virtually instantaneously.

Gun control advocates march as nation reels from school shootings

Second, and even more significant, it would allow the bureau to analyze the flow of firearms to identify potential diversions to the illegal gun market. For example, if a hundred handguns a week were going to one dealer in a small town in Virginia, that would suggest the possibility that guns were being sold illegally by that dealer to individuals smuggling them to New York or other states. By allowing this kind of analysis, the bureau could target investigative resources on dealers mostly likely to be violating the law.

Proceeding with what can only be described as youthful naivetÃ©, the day the proposed regulations were published, I convened a briefing for interested parties, including the NRA and other anti-gun control groups. After all, none of these proposals would in any way alter the rules relating to gun ownership.

The hope was that understanding the limited nature of the proposal would mute their opposition. I was very wrong. We had to withdraw the proposals, and Congress punitively reduced the bureau's budget and ultimately banned it from creating such firearms transaction databases.

The opposition to the proposed regulations was intense, with opponents writing hundreds of thousands of often angry letters, both to Treasury and to members of Congress. Little of the opposition, however, focused on the actual proposals themselves.

One common thread to the opposition was the "slippery slope argument," which argued that the regulation would create a centralized list of all gun owners' names -- which it would not have done -- or would lead to the creation of such a list, which would then enable the government to seize everyone's weapons and put us on a path to dictatorship.

Gun violence measures? Would they work?

After all, it was argued, this is what the Nazis had done.

Another often-used argument was that what we were proposing would not stop all criminals from securing or using firearms, and therefore it was not something worth doing.

Arguments like these prevent an honest discussion of any proposal to address the problem of gun violence in America. The assumption that any regulation of firearms sets us on the path to confiscation of weapons is not only ludicrous on its face, it ignores all political reality. And, if the test for any proposal is whether it totally solves the problem being addressed, then no action would be taken addressing so many of society's important issues.

Why require the use of seat belts if wearing a seat belt does not always save a life in an accident? Why prohibit people from carrying guns onto planes if it doesn't eliminate all risk of hijacking? Why prohibit providing assistance to terrorists if it doesn't stop all terrorist acts? Why require tests for the issuance of driver's licenses if it doesn't stop all accidents?

We require these regulations because they address problems that need to be addressed and because if these regulations can save some lives, they are steps worth taking. So it should be with the gun debate.

No proposal, or set of proposals, will ever stop all gun crime. But the 1978 proposals could have stopped some illegal sales of guns by renegade dealers. And things like forced waiting periods for gun purchases, requiring background checks for firearms buyers at gun shows and a ban on assault weapons would certainly save some lives.

NRA chief: Obama makes 'mockery' of American freedoms

Maybe it is thousands of lives over time; maybe it is hundreds. But isn't every life saved worth it? Would it not have been worth it if even some of the lives lost at Sandy Hook could have been saved because the shooter did not have an assault weapon?

Gun control is not the total answer to the problem of mass shootings, but it plainly needs to be part of any meaningful response. Let's hope that this time the debate on gun control will be a more sensible one.

The opinions expressed in this commentary are solely those of Richard Davis.

@highlight

Richard Davis: Modest gun control proposals become focus of attacks

@highlight

He served in Carter administration, proposed firearm transaction database

@highlight

Even though plan wouldn't have listed gun owners, it was quickly shelved, he says

@highlight

Davis: Let's make sure reasonable steps don't fall victim to irrational opposition