(CNN) -- Hundreds of firefighters fought to control several dangerous blazes in Arizona, fighting to make progress even as expanded evacuations and power outages signalled that the battle was far from over.

The Monument fire -- which U.S. Forest Service Chief Tom Tidwell has deemed the nation's "number one priority," putting it first in line for any air, ground or other resources -- jumped Highway 92 late Sunday afternoon at Carr Canyon heading east, according to the Cochise County website.

"We've had a hard day today, with things that we didn't want to happen," fire spokesman Bill Paxton told CNN on Sunday night. "The bull came out of the pen."

Thanks to dry, windy conditions, the fire broke through four different contingency lines, including going over to the other side of the highway, said Paxton, part of the national Interagency Incident Management Team.

"Everything  aligned for a massive push," he said. "It's really hard on the community here."

The county sheriff's office broadened the evacuation zone soon thereafter east to the San Pedro River, reports InciWeb, an online interagency database that tracks fires, floods and other disasters.

On Sunday evening, that website noted that the fire had burned at least 20,956 acres and was 27% contained. More than 1,000 personnel -- as well as 100 engines and nine helicopters -- were battling that blaze, which had burned 44 homes and 18 other structures from its start June 12 through Sunday.

The weather has hardly been cooperating in the fight, with humidity at 7% and temperatures topping 96 degrees. The National Weather Service forecast winds should weaken somewhat in the early part of this week, to between 7 and 13 mph in Sierra Vista, Arizona, though temperatures were still expected to remain in the 90s all week.

"The conditions that we're dealing with here are as bad as we can get," Tidwell said Saturday. "It just can't get any worse."

People living in Sierra Vista were ordered to leave Sunday while firefighters conducted burn-out operations in an attempt to stop the fire moving that way, CNN's Thelma Gutierrez reported from the area.

Arizona Gov. Jan Brewer has issued emergency declarations for the Monument fire and another blaze, Horseshoe II, making Cochise County eligible for $100,000 toward response and recovery expenses.

This is just one of dozens of wildfires affecting the southwestern United States, where red flag warnings were in effect for most of Arizona, all of New Mexico, much of north Texas and portions of Oklahoma, Colorado, Kansas and Utah for Sunday.  A red flag warning means weather conditions -- mainly high heat, low humidity and strong winds -- pose an extreme fire risk.

"The winds certainly will be very gusty and strong," said Ken Daniel, weather service meteorologist in Flagstaff, Arizona. "Any new fire starts would have the potential to have explosive growth."

Nationwide, wildfires have burned almost as many acres in the first half of 2011 as were recorded by the National Interagency Fire Center for all of 2010. The agency reports on its website that 3.1 million acres in the United States had been ignited by wildfires as of May 31, compared to 3.2 million burned acres cited in the organization's year-end report in November 2010.

One Arizona blaze that started May 29 has mushroomed into a historically large wildfire. Known as the Wallow fire, it has burned 511,118 acres and was 44% contained as of Sunday.

This fire has caused power outages Sunday in Arizona cities Blue and parts of Alpine, Nutrioso and Greer, the Navopache Electric Cooperative reported on its website. Generators are powering some of the company's New Mexico customers, as well as those in Alpine, Arizona.

Residents of Luna, New Mexico, were ordered to evacuate Saturday afternoon after the blaze jumped containment lines along U.S. 180, according to InciWeb.

But fire public information officer Rich Szlauko had some good news, telling CNN that in terms of bringing the Wallow fire under control, "everything is starting to look pretty good."

Some 3,600 people continue to battle the blaze, in the face of winds Sunday measuring 20-30 mph, he said.

Tidwell said Saturday that he was "very optimistic" that damage from future wildfires could be minimized by thinning forests and clearing out biomass -- which did occur, to some extent, in parts of eastern Arizona. He noted that 3.2 million acres were "treated" nationwide last year.

Sen. John Kyl, R-Arizona, noted Saturday that the estimated $64.1 million price for the Wallow fire would more than double after the costs of mitigation efforts to prevent mudslides from the summer monsoons.

"Just think that what we could have done using those funds to treat those forests in advance," Kyl said.

But government budget strains have limited the amount of money going to such efforts. "The only way we are going to get these (forests) thinned is through greater participation of private enterprise," Sen. John McCain said, adding that the government should try to facilitate such initiatives, including by allowing limited logging in national parks.

"There is simply not enough tax dollars to get the job done without them," the Arizona Republican said of private companies.

CNN's Greg Botelho contributed to this report.

@highlight

NEW: A fire spokesman said Sunday was a "hard day" in southern Arizona

@highlight

The Monument fire jumps Highway 92 and Carr Canyon, heading east

@highlight

Power remains out in parts of eastern Arizona due to the Wallow fire

@highlight

Firefighters have been stymied by strong winds, high temperatures and low humidity