Major airports aren't typically the coolest places to kick back and have some fun.

Thousands of passengers herded toward departure gates and lengthy security queues manned by stoney-faced stewards rarely equates to a joyful time.

But an increasing number of airports are attempting to liven up the pre-flight experience by providing a variety of weird and wonderful distractions to keep the weary traveler entertained.

From live music concerts to contemporary art exhibitions and from IMAX cinemas to public ice rinks, some have so much going on they're on the verge of becoming travel destinations in themselves.

See also: Record breaking airports

So, where are these happening aviation hotspots?

We've selected seven of the world's biggest and busiest airports where entertainment and leisure services are taking off.

Singapore

Singapore's Changi Airport may claim to be Southeast Asia's premier air cargo hub, but it's also one of the original innovators in the field of airport entertainment.

The giant facility was one of the first to introduce free WiFi areas whilst a roof-top pool and jacuzzi has been open to passengers since the late 1990s.

Amenities introduced in recent years include an interactive art gallery, children's fun slide and an on-site nature trail.

Free city tours of Singapore are also available to any passenger with a stopover of five hours or more.

Nashville

Nashville has long been considered one of the cradles of American music.

Elvis Presley, Dolly Parton and Johnny Cash have all been fixtures of the city's famed recording studios.

Keen to play up this lively musical past, Nashville International Airport puts on regular live concerts for travelers and music enthusiasts alike.

Four stages -- one located outside security and three more beyond -- host upwards of 100 free events every year.

See also: How good is your airport sign language?

Country music and jazz performances are staples here, but rock bands and traditional Celtic acts are also a common sight.

San Francisco

Elaborate art installations are now a common fixture at airports around the world, but San Francisco International (SFO) was offering travelers an insight into the aesthetic more than 30 years ago.

The SFO Museum -- which is comprised of more than 20 galleries across four terminals -- was inaugurated in 1980 and continues to host an ever-changing schedule of exhibitions on a diverse range of subjects.

Passengers are free to browse the airport's myriad exhibits while non-flying visitors on day trips from the San Francisco Bay Area are also able to stop by.

See also: The world's transport hubs

Recent events include a collection of pan-Asian ceramics dating as far back as the seventh century AD and a photographic expose on the secret life of plants.

Seoul-Incheon

Incheon Airport on the outskirts of Seoul, South Korea, has earned a reputation for travel excellence.

The sprawling complex is one of the world's busiest passenger and cargo hubs, snapping up the Airports Council International world's best airport in air service quality award for seven consecutive years.

Integral to this success is the wide selection of fun activities and facilities to keep waiting passengers occupied.

An ice rink, casino, spa and sauna represent just a few of the cool distractions on offer.

A five-minute shuttle drive away from the airport, travelers can tee off for a relaxing round on the airport's 18-hole Incheon Golf Club course.

Munich

Munich is famed for its Oktoberfest beer festival and the city's airport aims to bring a sample of the alcohol-fueled fun to thirsty passengers.

Airbau, a Bavarian-style tavern complete with its own brewery and traditional German beer-garden, serves up over 110,000 gallons of homemade hops from its home in the airport's Terminal 1 every year.

Like all genuine Oktoberfest celebrations, Airbau also plays host to a lively music program during busy periods and an outdoor beer garden.

Sydney

Potted plants are a common adornment in many airport waiting areas, but the Qantas First Lounge at Sydney International Airport, Australia, takes green decor to altogether more holistic levels.

The luxury facility is home to a 30-meter vertical garden, comprising 8,400 plants.

The giant installation is incorporated into the facility's restaurant and day spa treatment rooms, where passengers can relax with a massage or refreshing shower.

See also: Could you park a plane?

A business center and library meanwhile offer optimum quiet space for working travelers to hit the books.

Hong Kong

At 13.8 meters high and 22.4 meters wide, Hong Kong International's on-site cinema is the world's only airport IMAX and the largest cinema in the Chinese territory.

The giant screen replaced the previous terminal two movie theater, the 4D Extreme Screen, in June last year.

Hong Kong residents as well as travelers are able to access the cinema given its landside position at the airport.

Both 2D and 3D movies are regularly shown, including the latest Hollywood blockbusters and so called "edutainment" features.

@highlight

Airports are providing entertainment facilities to improve passenger experiences

@highlight

Golf courses, breweries and live music shows are now features of individual airports around the world

@highlight

Other airports play host to art exhibitions, health spas and IMAX cinemas