Washington (CNN) -- The efforts by leaders of Turkey and Brazil to broker a nuclear deal with Iran reflects growing dissatisfaction with the traditional world order in which the United States is the only superpower, which they view as outdated and unjust.

And their intervention on the Iran issue reflects a growing perception among many countries that the United States is unable to resolve international conflicts alone.

The visit this week to Tehran by Turkish Prime Minister Recep Tayyip Erdogan and Brazilian President Luiz Inacio Lula da Silva was a rare show of personal, high-stakes diplomacy by a pair of world leaders.

Turkey and Brazil hailed the agreement they reached for Iran to ship some of its nuclear fuel out of the country as a major step toward resolving Iran's years-old standoff with the West.

But it was promptly pooh-poohed by the United States, which, a day after the deal was announced, introduced a sanctions resolution to the United Nations Security Council in what was perceived widely in Ankara and Brasilia as an American snub of two close allies.

The Obama administration never really supported Turkey and Brazil's diplomatic efforts.

While U.S. officials were prepared to be pleasantly surprised if Lula and Erdogan were able to produce a deal that addressed all their concerns about Iran's nuclear program, they didn't think that it would happen and were concerned the deal would complicate efforts to pass the U.N. resolution.

For Lula and Erdogan, however, the introduction of the resolution handicaps their efforts to get Iran to cooperate.

Brazil and Turkey, both emerging democracies, have been eagerly flexing their muscles on the international stage for some time. Some of their reasons for pursuing a more active global diplomatic role are similar, others are quite different.

Ankara's interest in trying to mediate the standoff with Iran is primarily regional, driven by the desire to avoid a conflict on its border. Iran is also a large trading partner with whom Turkey has lucrative oil and gas deals.

Iran isn't the first issue Turkey has tried to mediate between countries in its neighborhood. In 2008 Turkey led indirect talks between Israel and Syria, although there was no breakthrough.

For years Turkey has sought to position itself as a bridge between East and West. Even as it plays an important role in NATO and seeks to join the European Union, Turkey has clung to its Muslim identity. This week Ankara announced its bid to host the summit meeting of leaders of the Organization of the Islamic Conference in 2014.

Turkey argues it is uniquely poised to coax the Iranian regime into cooperating with the international community.

Turkish Foreign Minister Ahmet Davutoglu recently told a group of reporters in Washington that no country understands the Iranian mindset and culture like Turkey. In addition to sharing a border, he noted the two countries share a long history and that many Iranians speak Turkish, including Iranian President Mahmoud Ahmadinejad.

Lula, who leaves office at the end of the year, also saw himself as the one leader who could broker a deal between Iran and the West. But his interest is largely for that of his stature and his country's.

As one of the world's big emerging economies, Brazil and the other BRIC countries -- Brazil, Russia, India and China -- account for about half of the global growth and represent 40 percent of the world's population. Lula has artfully parlayed his country's newfound economic influence into a role for Brazil as a growing world power

Hugely popular at home and abroad, Lula was hailed by newspapers around the world as a talented diplomat when the Iran deal was announced. But privately U.S. officials complain that Lula is trying to play statesman at the expense of their own diplomatic efforts.

"For him it's a brass ring," one senior U.S. official said. "Iran just happens to be convenient."

It may be a little of both. Lula has spent much of his seven-year term advocating for a greater international role for Brazil, including a permanent seat at the United Nations, which he argues is dominated by a handful of nations. He has positioned himself as a leader of Latin America's growing leftist movement and has been able to skillfully balance Brazil's growing partnership with Washington with warm relations with U.S. foes like Venezuela's Hugo Chavez and Ahmadinejad.

Perhaps most importantly, Lula has become a champion of developing nations, many of which have a different world view than the United States.

This "different" world view includes the notion that sanctions are not an effective means of diplomacy and only leaders to escalation, a belief which Turkey shares.

The U.S. lost much of its credibility over the war in Iraq, Guantanamo and, more recently, the world economic crisis. While Brazil and Turkey both have good relationships with the United States, they have sought to fill what they see as the leadership vacuum left by America.

While Obama has made it a priority to restore U.S. prestige around the world, he faces no shortage of thorny international issues: Wars in Iraq and Afghanistan, extremism in Pakistan, the Middle East conflict and North Korea's antics to name a few. Emerging powers like Brazil and Turkey are ready, willing and eager to help solve them if the United States will let them.

@highlight

Intervention from Turkey, Brazil reflects dissatisfaction with U.S. leadership, Labott says

@highlight

Brazil, Turkey tout nuclear agreement reached with Iran

@highlight

The next day, U.S. introduced sanctions resolution to U.N. Security Council

@highlight

For Lula and Erdogan, resolution handicaps their efforts to work with Iran, Labott says