(CNN) -- The recent opening of the world's first peak-to-peak suspension bridge in Switzerland is yet another example of how footbridges -- once simply built to provide passage over challenging obstacles -- are increasingly being designed with thrill seekers in mind.

Here's a closer look at this new Swiss beauty and other amazing footbridges around the world.

Peak Walk by Tissot (Bernese Oberland, Switzerland)

In October, the world's first pedestrian suspension bridge to connect two mountain peaks opened on Glacier 3000 in Switzerland's Bernese Oberland.

The 107-meter (351 feet) bridge connects View Point peak with Scex Rouge peak.

Famed alpine peaks Mont Blanc, the Matterhorn, Eiger, Monch and Jungfrau can be all be seen from the bridge's observation deck.

The bridge, which cost $2 million dollars to build, will stay open all year around.

Peak Walk by Tissot, Glacier 3000, Route du Pillon 253, Les Diablerets, Switzerland

SkyBridge (Sochi, Russia)

The world's longest pedestrian bridge forms part of Sochi's new SkyPark attraction, which includes the world's highest swing and a 700-meter-long zip wire.

The 439-meter-long bridge has two observation platforms, both offering spectacular views of the Black Sea.

There's also a bungee jumping platform from the center of the structure.

SkyPark Russia, Cossack Ford Street, Krasnoflotskay, Sochi, Russia

Aiguille du Midi Bridge (Mont Blanc massif, France)

This bridge links the north and south peaks of the Aiguille du Midi in the French Alps, and is located 3,842 meters (12,604 feet) above sea level.

Getting here involves a ride on the world's highest vertical ascent cable car.

From the top, visitors can see into France, Switzerland and Italy.

Aiguille du Midi, Mont Blanc massif, France

Tigbao Hanging Bridge (Bohol, Philippines)

This structure looks flimsier than it is -- it's actually made of metal, but a bamboo top layer was added to give it an authentic -- or, depending on your perspective, scary -- look.

It hangs 25 meters (82 feet) above the river.

Visitors wanting to do their best Indiana Jones impression can even buy a facsimile hat at a stall on the riverbank.

Loboc River, Loboc, Bohol, Philippines

Taman Negara National Park Bridge (Titiwangsa Mountains, Malaysia)

At 530 meters long (1,650 feet), this is Malaysia's longest suspension bridge.

We have a suspicion it's the narrowest, too.

It stretches across the top of the trees of Taman Negara, Malaysia's largest national park.

Visitors with a fear of heights will be reassured to know that the ropes are checked every morning.

Taman Negara National Park, Titiwangsa Mountains, Malaysia

Capilano Suspension Bridge (Vancouver, Canada)

The Capilano suspension bridge stretches 137 meters (450 feet) across and 70 meters (230 feet) above Vancouver's Capilano River.

It was originally built by Scottish engineer George Grant Mackay in 1889, but was completely rebuilt in 1956.

Today, it's Vancouver's oldest and most popular attraction, receiving more than 700,000 visitors per year.

Capilano Suspension Bridge Park, 3735 Capilano Road, North Vancouver, British Columbia, Canada

Hanging Bridge of Ghasa (Nepal)

It's not just humans who use this bridge -- donkeys, cows and goats use it, as well.

In fact, it was built specifically for animals, as a solution to the congestion caused by cattle being herded up and down Ghasa's narrow roads.

Today, animals remain the biggest users of the Hanging Bridge of Ghasa, prodded along by the farmers who also use it to deliver produce to local families.

Ghasa, Annapurna circuit, Nepal

Trift Bridge (Gadmen, Switzerland)

This Swiss suspension bridge, which can only be accessed via a cable car, hangs above the Trift Glacier and has a length of 170 meters (557 feet).

It was built as a response to global warming -- until recently, the mountaineering hut at the top of the glacier could be reached on foot, but when the glacier started to shrink, the bridge became the only route of access.

The structure is based on traditional Nepalese rope bridges and is the longest and highest in the Alps.

Trift Bridge, Grimselworld Trail, Gadmen, Switzerland

El Caminito Del Rey (Malaga, Spain)

One of many bridges on the El Caminito Del Rey (meaning "the king's little pathway"), this cliff-hugging path in Spain was built to provide workers at the hydroelectric power plants at Chorro Falls and Gaitanejo Falls with a way to cross between them.

It quickly became a tourist attraction, although it's only recently reopened after major renovations.

The entire walkway is just one meter wide and rises to over 100 meters (328 feet) above the river below.

El Caminito Del Rey, El Chorro-Alora, Malaga, Spain

The Marienbrucke (Bavaria, Germany)

Marienbrucke (or Mary's Bridge) is located just a few meters from Bavaria's beautiful Neuschwanstein Castle and spans the Pollat Gorge.

It was named after Marie of Prussia, wife of King Maximilian II and mother of King Ludwig II, who built the castle.

There was already a wooden bridge spanning the gorge, but King Ludwig II wanted something more substantial from which to watch his castle's construction, so he replaced the wooden railings with iron ones.

Pollat Gorge, Neuschwanstein, Bavaria, Germany

MORE 15 amazing spots to find natural bridges

Carrick-a-Rede Rope Bridge (County Antrim, Northern Ireland)

This bridge was originally constructed so that fishermen could cross the 30-meter-deep and 20-meter-wide gorge to check their salmon nets, but it's since become one of Northern Ireland's most popular tourist attractions.

The nearby Sheep Island View Hostel has a collection of photographs depicting people performing various stunts on the bridge, including one local doing a handstand on a chair in the middle of the structure.

Carrick-a-Rede Rope Bridge, Whitepark Road, Ballintoy, County Antrim, Northern Ireland

Kokonoe "Yume" Grand Suspension Bridge (Oita, Japan)

For now, the world's longest pedestrian suspension bridge (see the next entry) stands at 173 meters (567 feet) above the Naruko-gawa River.

It's 390-meters long (1,279 feet) and was built in 2006.

Visitors flock to it for the views of the Shindonotaki falls.

After a hike across the bridge you can soak in the nearby hot springs -- almost a fifth of Japan's hot springs can be found in Oita Prefecture.

Kokonoe "Yume" Grand Suspension Bridge, 1208 Tano, Kokonoe-machi, Kusu-gun, Oita, Japan

Highline179 (Reutte, Austria)

Later this month, the world's longest pedestrian suspension bridge will officially open, connecting the Ehrenberg Castle ruins with Fort Claudia in Reutte, Austria.

The bridge, which will have a length of 403 meters (1,322 feet) and a height of 110 meters (360 feet), will snatch the title from Japan's Kokonoe "Yume" Grand Suspension Bridge.

The Highline179 is named after the tourist route that winds through this part of the Austrian state of Tryol.

Highline179, Ehenbichl, 6600 Reutte, Austria

Tamara Hinson is a freelance travel writer based in the UK.

@highlight

Located in Sochi, Russia's new record-breaking SkyBridge is 439 meters long

@highlight

Travelers can view France, Switzerland and Italy from the Aiguille du Midi bridge

@highlight

More animals than people use the Hanging Bridge of Ghasa in Nepal

@highlight

Based on traditional Nepalese rope bridges, Trift Bridge is the longest and highest in the Alps