(CNN)Yemen has been mired in political unrest, and Wednesday's decision by the United States, the United Kingdom and France to suspend embassy operations shows just how far the nation on the southwestern edge of the Arabian Peninsula has fallen into chaos.

Yemen has been without clear leadership and potentially on the brink of armed conflict since Houthi rebels seized control of key government facilities, dissolved parliament, and placed the President under house arrest. President Abdu Rabu Mansour Hadi later resigned in protest.

There are competing political interests across the troubled Middle Eastern nation and how they play out will have implications that reverberate around the globe.

Many would-be jihadis from the West are recruited into al Qaeda through a slick English-language online magazine, Inspire, that's run out of Yemen.

And U.S. officials consider the Yemen-based Al Qaeda in the Arabian Peninsula the most dangerous branch of al Qaeda.

With that in mind, here are the things you need to know to make sure you're up to date on what's happening in Yemen.

The U.S. State Department cited a deteriorating security situation in the capital, Sanaa, terrorist activities and civil unrest in its travel warning for Yemen.

"The level of instability and ongoing threats in Yemen remain extremely concerning," the warning said.  "Demonstrations continue to take place in various parts of the country and may quickly escalate and turn violent."

There's been a political vacuum in Yemen since Houthi rebels rolled into Sanaa.

Because of the instability, the U.S. Embassy had been operating with reduced staffing since September and a skeletal crew since January.

The Houthi are Shia from northern Yemen and make up about 30% of the population in the majority Sunni country.  Saying they have been marginalized, they've been at war with the central government for the best part of a decade.

In September, they marched in to the capital, Sanaa, and seized government building and its airport. They demanded greater political influence.

Some Western diplomats allege that Iran, one of the few Shiite Muslim nations, is bankrolling the Houthi rebellion in an effort to control Yemen's Red Sea coast on one of the world's busiest shipping lanes. The Houthis deny that.

President Hadi has said the Houthis are being trained and advised by Hezbollah, the Lebanese Shiite militia.

There's also a third party that's often mentioned: Ali Abdullah Saleh. He is Yemen's former President, who clung to power until he was forced out two years ago in the Arab Spring protests.

The Houthis have more recently forged an alliance with his supporters, said Meda Al Rowas, a senior analyst at IHS Country Risk.

But politics, as we know, makes strange bedfellows. The alliance is fragile, she said, not least because Saleh in the past waged military campaigns against the Houthis.

It really depends on the part of Yemen one lives in.  The central government has never been terribly strong.

The Houthis hold sway in the north.

But the South is a different matter. Southern separatists are a strong political force there.  Ever since North and South Yemen united in 1990, southerners not happy with the decision have long wanted to go independent again.

Then there's Al Qaeda in the Arabian Peninsula, which exerts influence over many rural areas stretching from the country's southwest to the northeast.

Finally, the unrest in Yemen also has provided an opening for ISIS, which is keen to outflank al Qaeda and prove itself the true defender of the faith. In November, ISIS leader Abu Bakr al-Baghdadi called on Yemeni Sunnis to resist the Houthis.

Still, ISIS remains a relatively small player in Yemen compared to al Qaeda.

There are also a number of heavily armed rural tribes that control their territories.

Terrorists in Yemen have reached into the United States.

Remember Umar Farouk AbdulMutallab, the "underwear bomber" who tried to blow up an American jetliner over Detroit in 2009? He took his marching orders from AQAP.

The Boston Marathon bombing suspects and Maj. Nidal Hasan, the American soldier who gunned down 13 people at Fort Hood, Texas, apparently were inspired by an American-born cleric in Yemen, Anwar al-Awlaki. An American drone killed him in 2011.

Chaos is good for terrorists and bad for Western anti-terror efforts.

The weaker the government, the easier it will be for al Qaeda to bring in people and train them for terrorism, which can be unleashed on the West.

Under the old government, the United States had an ally against the terrorist network.

With the chaotic situation in Yemen, Western efforts to hunt down al Qaeda are not impossible, but greatly hampered.

CNN's Laura Smith-Spark, Raja Razek, Ralph Ellis and Nick Thompson contributed to this report.

@highlight

The U.S., UK and France suspend embassy operations in Sanaa

@highlight

The reason:  A deteriorating security situation, terrorist activities and civil unrest