After years of causing angst for White House political aides by delving into issues of race, Attorney General Eric Holder is heading to Ferguson, Missouri, as President Barack Obama's top emissary.

The trip on Wednesday to the St. Louis suburb now in the spotlight represents the latest effort by the Obama administration to find a way to calm racial tensions following the police shooting of Michael Brown, 18.

Under Holder, the first black attorney general, the Justice Department has intensified its scrutiny of police departments, launching 20 investigations of police practices and alleged discriminatory enforcement patterns in the past five years.

That's more than twice the number of such probes in the previous five years.

That record is part of Holder's pitch to reassure the local community in Ferguson that the Justice Department will properly investigate the shooting of Brown, who was unarmed, by a white officer, Darren Wilson.

Ferguson has been at the center of daily standoffs between protesters and police since the August 9 shooting. Some of the protests have turned violent.

Holder's visit will focus on the Justice Department's civil rights investigation, which is examining whether Wilson acted properly in using deadly force. The federal probe is separate from a criminal one being conducted by local authorities.

"At a time when so much may seem uncertain, the people of Ferguson can have confidence that the Justice Department intends to learn — in a fair and thorough manner — exactly what happened," Holder wrote in an opinion piece for the St. Louis Post-Dispatch ahead of his trip.

"We understand the need for an independent investigation, and we hope that the independence and thoroughness of our investigation will bring some measure of calm to the tensions in Ferguson," he added.

Holder has been outspoken on issues related to disparity in the judicial system and has led efforts to reduce disparities in sentences that statistically have greater effect on racial minorities.

Obama cautious on Ferguson

While those efforts have the backing of Obama, Holder's public views on the issue of race haven't always been welcome for the White House.

In his first major speech after taking office in 2009, Holder told a Black History Month gathering at the Justice Department: "Though this nation has proudly thought of itself as an ethnic melting pot, in things racial we have always been and continue to be, in too many ways, essentially a nation of cowards."

Obama criticized the "nation of cowards" characterization, saying "if I had been advising my attorney general, we would have used different language."

Privately, Holder believed he was right. But he stayed away from the issue for a while.

At the same time, he vowed to reinvigorate the Justice Department's civil rights division, which was the center of controversy over partisan meddling during the administration of President George W. Bush.

Concerns about prosecutor

That unit enforces a 1994 law approved after the Rodney King beating by police in Los Angeles that makes it unlawful for police to engage in a pattern or practice that deprives people of their constitutional rights.

Of the 20 investigations the civil rights division has launched in the past five years, seven are ongoing, including those against police departments in Albuquerque, Miami, and Cleveland.

As a result of increased scrutiny, there are now 13 law enforcement agencies subject to agreements with the Justice Department. Seven of those are under court-ordered consent decrees, the largest number in the department's history.

Holder has criticized some of the police response to the street protests in Ferguson, while at the same time advocating enforcement against people rioting and looting.

He has sent Justice Department officials to provide technical assistance to police, suggesting less aggressive tactics and avoiding the use of military-style vehicles to deal with protesters.

5 things to know about the shooting

Among those sent to Ferguson is Ronald Davis, who heads the Office of Community Oriented Policing Services. A former police chief in East Palo Alto, California, Davis is African-American and has spoken out about racial profiling by police.

"I am a black man who is subject to increased scrutiny from my community, my profession, and my country because of the color of my skin," Davis said at a 2012 hearing.

He added that he is proud to be a police officer, but noted that "as a black man with a 14-year-old son, Glenn, I know that when I teach him how to drive a car I must also teach him what to do when stopped by the police -- a mandatory course for young men of color.

"I must also prepare him for the bias he is likely to face and the reality that, despite the strength of his character or his contributions to society, there will be those who will attach criminality to him simply because of the color of his skin," Davis said.

Magazine: The Aftermath in Ferguson

Complete coverage of Ferguson shooting and protests

@highlight

Attorney General Eric Holder heads to Ferguson, Missouri, on Wednesday

@highlight

The Justice Department has launched a civil rights investigation of the Ferguson shooting

@highlight

Michael Brown, an African-American, was shot and killed by a white police officer

@highlight

Protests continue with some erupting into violence on the streets of Ferguson