(CNN) -- Sometimes it takes a tragedy to make us confront reality.

In the wake of the slaughter of first graders in Newtown, Connecticut, there are signs that the country -- and Congress -- are ready to confront the cancer of gun violence that kills over 11,000 Americans each year.

More than 200 Americans have been killed in mass shootings in the last five years. After each attack -- whether it was Virginia Tech or Aurora, Colorado -- we were told that it was too soon to talk about the role of guns. Now, the fever of denial might be breaking.

A new Washington Post/ABC poll taken after the shooting shows that 54% of Americans now support stricter gun laws and 59% support a nationwide ban on high-capacity ammunition clips -- meaning those that contain more than 10 bullets.

The big question of course is whether Congress will listen. This has not been an area where politicians have carved out a new chapter of profiles in courage in recent years. Instead, they have run away in the face of the lobbying power of the National Rifle Association.

But in the past two days, two Southern Democratic senators with A-ratings from the NRA have broken ranks to say that it is time to begin a serious, civil and constructive conversation about remedies to mass gun violence -- including perhaps a reinstatement of the assault weapons ban and a restriction of high-capacity clips.

West Virginia Sen. Joe Manchin -- who famously took aim at a cap and trade bill with a high-powered hunting rifle in a 2010 campaign ad -- told CNN's Christiane Amanpour that the Newtown shooting "changed me. ... I don't know of anybody that goes hunting with an assault rifle. I don't know people that need 10-, 20-, 30-round clips."

Add to this chorus of conscience Virginia Sen. Mark Warner -- a fellow former governor and current senator. He told a local Richmond TV station: "I believe every American has 2nd Amendment right -- the ability to hunt is part of our culture. I've had an NRA rating of an A. But you know, enough is enough. I'm a father of three daughters and this weekend they said, 'Dad, how can this go on?'"

These two senators are leaders of the centrist coalition, and their evolution on this issue matters. It is particularly well timed because Sen. Dianne Feinstein announced her intention to submit legislation to reinstate the lapsed assault weapons ban as well as ban "big clips, drums or strips of more than 10 bullets."

That bill would provide the substantive basis for a new round of reasonable restrictions on weapons that have little purpose other than to kill as many people as possible, as quickly as possible.

To date, there are few Republicans who have newly embraced the need for new gun legislation. Rep. Peter King of New York and Sen. Susan Collins of Maine are influential, but among the few returning congressional Republicans who back the reinstatement of the assault weapons ban and restrictions on the sale of mass capacity magazines. But the senators who have boasted the backing of the NRA in the past have been notably silent since the slaughter in Newtown. That can fairly be read as a hope that this moment will pass.

New York Mayor Michael Bloomberg, an independent, has been leading the gun crusade in recent years through his group Mayors Against Illegal Guns. In many areas, America's mayors have been leading the policy debate in our nation, and this organization's message has taken on new urgency, unveiling an effort to encourage supporters to "Demand a Plan" from Washington. In the wake of the Newtown shootings, nine new mayors decided to join the group, including the mayors of Raleigh, North Carolina, and Tucson, Arizona -- major cities in the heart of gun country, the South and West.

In this and so many other areas, the fact is that Americans are less polarized than our politicians. A poll commissioned by Mayors Against Illegal Guns and conducted by conservative pollster Frank Luntz found that 74% of NRA members supported background checks on every gun sale. The larger point is that there is common ground to be found even on this emotional issue -- especially if mental health is part of the civic conversation, because self-control and gun control are intertwined.

There is a responsibility to remember after events like this -- a need for sustained focus after the heat of the moment passes. Real change will require constructive civic conversation, the kind that Manchin noted has become rare, saying: "It's a shame that we've gotten so toxic a political environment that today in Washington that you can't sit down and have reasonable discussions with reasonable people to come out to reasonable conclusions."

But there is a moral urgency to follow through on this moment. The normal politically convenient amnesia can't be allowed to set in. More senators need to be pressed on the issue of reasonable restrictions and prodded by the polls.

Feinstein's proposed bill will no doubt start a substantive debate. As President Obama said in his memorial address in Newtown, "No single law, no set of laws can eliminate evil from the world or prevent every senseless act of violence in our society. ... But that can't be an excuse for inaction."

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: The horrific shootings in Newtown changed debate on guns

@highlight

He says several pro-gun Democrats have spoken out for new controls

@highlight

Avlon: A poll shows a boost in public support for gun control

@highlight

There is a moral urgency to follow through on this moment, he says