September 11 has been somewhat eclipsed in the last decade by a more notorious anniversary, but it remains a date etched in Chileans' minds: in 1973, this was the day General Augusto Pinochet seized power from the democratically elected Socialist government of Salvador Allende. Forty years after that sudden coup, and 23 years since its return to democracy, Chile is still recovering from the effects of Pinochet's brutal rule.

Its relevance today may not be immediately obvious. The world's attention is focused firmly on the Middle East, particularly the brutal civil war in Syria. As the international community debates what its responsibilities might be, people are dying. The shadow of Iraq looms large, obscuring and darkening the potential consequences of humanitarian intervention.

Yet among all this, Chile's influence can be felt. Javier Zuniga, 70, is a Mexican human rights activist and special advisor at Amnesty International; he argues that "what happened in Chile goes beyond its borders, because it shook the international community into understanding that human rights violations were the business of everybody, inside Chile and outside Chile." Zuniga visited the country many times during Pinochet's rule, documenting abuses and disappearances, and has since campaigned tirelessly on behalf of the relatives of the disappeared.

Four decades after coup, divisions remain in Chile

Carlos Reyes-Manzo is one of many thousands who were detained and tortured by the Pinochet regime. Now 68 and living in London, before the coup he worked for the Allende government, specifically for Chile Films, while also working as part of the Socialist Party. When the government was overthrown, he remembers how suddenly it happened: "In a way, we were expecting something would happen. [But] we never expected it would happen so quickly, and in such a way." By sheer luck, Reyes-Manzo had been at meetings when the militia raided his apartment, and initially avoided capture. Seeing what was happening, he decided to head for the Socialist Party headquarters in the center of Santiago.

"It was quite near to the presidential palace, and on my way I saw bodies in the street. The military immediately started shooting and killing people... And very soon they put fire to the Socialist Party headquarters." Carlos pauses. "That was the day, there was just shooting everywhere and killing everywhere."

By the end of that bloody day, President Allende was dead, having committed suicide as troops stormed the presidential palace.

Within 24 hours, the Socialist government had been deposed and replaced by a military junta. Some were pleased, particularly in the United States, where the coup enjoyed the covert support of the Nixon administration. Allende's sweeping nationalizations and quite radical reforms had proved unpalatable for many Chileans and outside observers, particularly transnational corporations. After the coup, free market economic policies were pursued with vigor, inspired by the theories of Nobel Prize-winning economist Milton Friedman and others.

As for the Socialist Party members, Reyes-Manzo recalls what happened next: "The leaders of the party were detained, some were killed, and some went underground. I went underground myself. So I spent six months underground, working there, just trying to get everything back into place... [Eventually] someone I was working with gave my name and I was detained. They came to my house and almost ransacked everything... I was with two little children and was taken away."

Reyes-Manzo spent months in detention, being moved around to different locations and tortured regularly. In one prison, he found he recognized the voice of the person in charge: it belonged to a man called Romo, whom he had known before the coup -- not that this changed anything. "They were not shy -- in a way they wanted you to know who they were."

Zuniga says "the torturers were mentally prepared to torture because they felt they were defending the country." Today, Reyes-Manzo still remains baffled by this.

"It was impossible for them to believe that what they were doing was wrong. This is the kind of ideology where you've convinced the people it's right to torture, right to kill, right to rape the women, right to... whatever they did, that it was right." He shakes his head. "And that was incredible."

Eventually, Reyes-Manzo managed an extraordinary escape. He was first exiled to Panama, before being kidnapped again by the Chilean secret police. They intended to take him back to Santiago, but first the plane had to stop over at London's Heathrow Airport. He says, "When I arrived to London, I realised it was my only chance to escape." Fortunately, he says, his guards had gotten drunk and had fallen asleep. "I dashed outside the plane, and asked for political asylum."

Reyes-Manzo spoke practically no English, and was nearly returned to Chile -- at the time, the British Prime Minister Margaret Thatcher and General Pinochet had a famously close relationship. However, he managed to contact Amnesty International, who in turn got Lord Avebury to raise the case in parliament. Asylum was granted, "and it saved my life, that's why I'm here."

So what lessons can the events of Chile 40 years ago offer to us today? "Some of the lessons are quite clear," Zuniga says. "What happens inside the country is not just a matter for the national authorities. Human rights are something that we are all responsible for. When there is a disappearance in Chile, or in Argentine, or in other countries [like] Sri Lanka, the Philippines, it is also humanity that is aggressed. I am aggressed. I am also a victim of these violations, even if it's not in my country. Because I am a human being... The lesson of Chile is that these human rights are a responsibility of everybody."

Of course, such platitudes don't make the dilemmas presented in Egypt, Syria and elsewhere any easier to grapple with -- and Zuniga accepts that international treaties and humanitarian agreements don't themselves prevent violations and violence.

"You also need the political will of governments inside the countries, and those who are outside to exert the pressure to help the people who are victims," Zuniga says. "And you can see that that is not working the case of Syria."

Nevertheless, Zuniga says organizations such as Amnesty are ready. "Even in very difficult circumstances, it's very important to document violations... Certainly the lessons of other countries like Chile and Argentina [are that] when the conflict ends, then it will be time for accountability."

Though he has travelled around the world's most troubled and violent regions for decades, Zuniga is not despondent. He points to the ongoing trial of 92-year-old Siert Bruins, a former Nazi SS officer, as an example that international law has a long memory. "It takes time," he says. "But there will be justice."

@highlight

September 11, 1973 was date Salvador Allende's government overthrown in coup

@highlight

Many thousands were detained and tortured by Augusto Pinochet's regime

@highlight

After the coup, free market economic policies were pursued with vigor

@highlight

Activists who were tortured by the regime are now demanding justice