Thousands of people paid their last respects to Israel's former Prime Minister Ariel Sharon Sunday as his body lay in state outside the nation's parliament.

"He was one of the giants. He was very special," said Ayala Weisel, who said she grew up learning of Sharon as a widely admired soldier who fought for his country.

She was one of many mourners who shared memories with CNN on Sunday of Sharon, the towering military and political leader who died Saturday after eight years in a coma.

Chaim Friedman, a tour guide, described Sharon as a great leader.

"He was known as the bulldozer because he got his way and he made things happen. He's well respected for that," Friedman said. "Sometimes in Israel, you have to do it the straight way, or you have to find the other way to get things done, and he managed to do it."

Blake Fleisher of New York said he admired Sharon for disobeying orders and doing what he thought was right in 1973 during the Yom Kippur War. Sharon's decision to lead 200 tanks and 5,000 men over the Suez Canal was a turning point in the war.

"He moved the tanks in a different way than he was commanded to do, and that's what saved the state of Israel, and that's why so many people are here today," Fleisher said.

A state memorial ceremony for Sharon is planned for Monday. World leaders, including U.S. Vice President Joe Biden and former British Prime Minister Tony Blair, will attend the memorial, which will be followed by a funeral procession.

The procession will include a stop in Latrun for a special meeting of the Israel Defense Forces and will end with a military funeral at Sharon's Shikmim Ranch.

Prime Minister Benjamin Netanyahu described Sharon as a warrior and a political leader.

"The state of Israel bows its head on the passing of former Prime Minister Ariel Sharon," Netanyahu said in a statement Sunday. "Ariel Sharon played a central role in the struggle for the security of the State of Israel over all its years."

But others painted a darker picture of Sharon's legacy.

And the same decisions that made Sharon a controversial figure during his lengthy tenure as a military man and politician were back on display in the initial reactions to his death.

These moments include his role as defense minister during the 1982 war in Lebanon. During that conflict, he was held indirectly responsible by an Israeli inquiry in 1983 for the massacre of hundreds of Palestinians at the Sabra and Shatila refugee camps. He was forced to resign.

He also raised ire in the Arab world by encouraging Israelis to build settlements on occupied Palestinian land, but later did an about-face and pushed for the historic withdrawal from settlements in the West Bank and Gaza, which were turned over to Palestinian rule for the first time in nearly four decades.

READ MORE: Sharon's life on the front lines

President Shimon Peres made an address eulogizing his "dear friend Arik Sharon," calling him by his well-known nickname.

"He was an outstanding man and an exceptional commander who moved his people and loved them. And the people loved him," Peres said.

But Hamas, the Palestinian movement that runs Gaza, painted Sharon with a darker legacy.

"We deal with the death of Sharon as an end for the crimes he committed against the Palestinian people," said Isra Almodallal, spokeswoman for Hamas in Gaza. "The biggest crime was the Sabra and Shatila massacre in Lebanon, and we deal with Sharon as a criminal person.

"We will not forgive Sharon any way or another," she said.

At the Baddawi refugee camp in northern Lebanon, Sharon's death was marked with long bursts of shooting into the air, the Lebanese state-run NNA news agency reported.

READ MORE: Five things to know about Sharon

U.S. President Barack Obama offered condolences to Sharon and the Israeli people. But his statement did not single out any milestones in the late prime minister's life for praise besides noting that Sharon dedicated his life to Israel.

"We continue to strive for lasting peace and security for the people of Israel, including through our commitment to the goal of two states living side-by-side in peace and security," Obama said.

U.S. Secretary of State John Kerry offered a nuanced statement.

"During his years in politics, it is no secret that there were times the United States had differences with him. But whether you agreed or disagreed with his positions -- and Arik was always crystal clear about where he stood -- you admired the man who was determined to ensure the security and survival of the Jewish State."

To make Israel stronger, Sharon recognized that peace is necessary, Kerry said.

Sharon was involved in every Israeli war dating to 1948, and he was remembered as a fierce fighter. He believed strongly that in order for Israel to survive, a strong army was needed.

He had a reputation as a hawk, but he moved in a more moderate direction as prime minister.

The office of U.N. Secretary-General Ban Ki-moon released a statement focusing on his shift toward negotiations with the Palestinians.

Sharon "will be remembered for his political courage and determination to carry through with the painful and historic decision to withdraw Israeli settlers and troops from the Gaza Strip.  His successor faces the difficult challenge of realizing the aspirations of peace between the Israeli and Palestinian people," the statement said.

French President Francois Hollande offered his condolences, also emphasizing Sharon's actions at the end of his career.

"After a long military and political career, he made the choice to turn towards dialogue with the Palestinians," Hollande said in a statement.

The reaction from Russian President Vladimir Putin was less specific and, overall, laudatory for Sharon's contributions to Israel and toward fostering Israeli-Russian relations.

"The President of Russia highly praised Ariel Sharon's personal qualities, his activity to uphold the interests of Israel, noting the respect he enjoyed among his compatriots and internationally," the Kremlin said in a statement.

Critics continued to evoke the 1982 war in Lebanon.

"It's a shame that Sharon has gone to his grave without facing justice for his role in Sabra and Shatila and other abuses," said Sarah Leah Whitson, Middle East director at Human Rights Watch. "His passing is another grim reminder that years of virtual impunity for rights abuses have done nothing to bring Israeli-Palestinian peace any closer."

Khaled Abu Al Noor, head of the Democratic Front, a Palestinian faction, described Sharon as "a murderer."

"He is responsible for the massacre of many Palestinian children, women and elderly. We call on the international community to try him under international law even after his death."

Sharon's son, Gilad, thanked the people who cared for his father in the hospital and those who prayed for him.

"He was the one who decided when he would go," Gilad said.

@highlight

"He was one of the giants," one mourner says

@highlight

Memorial ceremony, procession and military funeral set for Monday

@highlight

Sharon is remembered for his controversial military and political career

@highlight

Israeli officials praise him, while some in the Mideast criticize him