London (CNN) -- A golden cape woven from the silk of 1.2 million Golden Orb spiders has gone on display at London's Victoria and Albert Museum.

The richly-embroidered garment -- its bright yellow hue is the natural color of the spider silk -- is the result of a seven-year project on the Indian Ocean island of Madagascar.

Using long poles, a team of 80 people worked to collect the spiders from their webs each day and harvest their silk before returning them to the wild.

The project was the brainchild of American fashion designer Nicholas Godley and British art historian and textile expert Simon Peers, who have both lived in Madagascar for many years.

"The idea of using spider silk to create garments goes back 300 years," Godley told CNN. "The last significant attempt to succeed was at the turn of the century, when a French Jesuit priest based in Madagascar, Jacob Paul Camboue, experimented with 'milking' spiders for their silk."

Peers had long been intrigued by the idea, and on a visit to his office, Godley's imagination was sparked when he spotted an unusual-looking tool which Peers explained was for collecting silk from spiders.

"The idea never died, we kept revisiting it over the years, and eventually I shut my handbag factory so we could build a proper 'spidery' and experiment with harnessing spiders and harvesting their silk. We found that it worked.

"We were amazed -- you stand there watching it happen and you start to question your sanity. Is this really happening, or have I lost my bananas?

"We had 24 spiders harnessed up, the spindle was going, and silk was coming out. That was our eureka moment. We were over the moon, but it was just the beginning."

Scaling the project up proved a huge challenge -- only female Golden Orb spiders make silk. Hundreds of thousands of them were needed, and their cannibalistic nature meant the creatures had to be separated to prevent them from eating their neighbors.

Godley admits that the properties of spider silk -- and the practicalities and costs involved -- mean that industrial-scale production for use in textiles is unlikely ever to succeed.

"From a fashion perspective, it's impractical," he told CNN. "It's a natural fiber, and it shrinks, so you can't wash or dry clean it, and obviously it is hugely expensive to produce, so how would you begin to price it?"

Instead, they simply wanted to prove that it could be done, and to create two items which could help revive traditional Malagasy weaving techniques and embroidery skills, and to showcase the talents of people working on the island.

The four-meter-long brocade scarf, which was first shown at New York's Natural History Museum in 2009, was created using old Malagasy patterns, but as Godley explained, the inspiration for the cape, which made its debut at London's V&A Museum today, came from the spiders themselves.

"After we finished the scarf, we wondered what to make next, and I really liked the idea of a cape, because of the fact that spiders cocoon their prey, wrapping them up, and I was intrigued by the thought of being cocooned in spider silk."

The cape is covered in images of spiders, plants and flowers, which took 6,000 hours to embroider, and those lucky enough to get up close have discovered that it is virtually weightless.

"We do a party trick where we get people to close their eyes and we put the tassels from the cape in one of their hands and ask them to guess which hand it is in. Half of them have no clue, and the other half get it wrong -- only a few guess, but only because of the warmth.

"The cape itself is like an invisibility cloak, you almost wouldn't know you were wearing it, and it has this mystical, ephemeral quality, just like a spider's web, but also a permanence.

"A spiderweb is here today and gone tomorrow, but we have found a way to harness that and turn it into something lasting."

But despite working so closely with them for so many years, Godley admits he is still afraid of spiders.

"I am fascinated by them, but still frightened of them: Spiders are poisonous, and they bite people," he said. "I am slowly trying to overcome it, but it hasn't stopped."

The Golden Spider Silk exhibition at London's V&A Museum opens on January 25, and runs until June 5.

@highlight

Cape and scarf made of spider silk on display at London's V&A Museum

@highlight

Dozens of specially-trained handlers spent seven years collecting more than 1.2 million golden orb spiders

@highlight

Bright yellow, extremely strong silk was harvested from the spiders, which were later released back into the wild

@highlight

Cape is embroidered with spiders, brocade scarf is woven in traditional Malagasy style