(CNN) -- If democracy had existed in ancient Egypt, then not a single pyramid would have been built.

All because free people in democratic countries will only agree to build pyramids for good wages, and good wages are incompatible with a luxurious lifestyle of the Pharaohnic family. But if the country has no Pharaoh then it will not cross anybody's mind to build pyramids.

If "Ukrainian democracy" had existed in ancient Egypt then the pyramids would not have been built, not only because of a lack of money for salaries but also because of the ordinary theft of half of the funds allocated for their construction.

I'm not actually a big proponent of building pyramids. But "Ukrainian democracy", I like it. What is more, it feeds me. Not in the sense that it provides some kind of social security and promises a good retirement. No! With enviable regularity "Ukrainian democracy" feeds me with plots for novels, as well as offering so many potential fictional heroes that no one writer could fit it all in even if he writes two thick novels in a year.

Therefore because of a lack of enough lifetime to write hundreds of novels, I have to write some of the real-life stories just like this, in short articles.

The presidency of Viktor Yanukovych started in 2010 with a slogan: "We are building a new country". Billboards with the slogan decorated all the country's cities, villages and roads. So, everyone understands that major construction work is starting, which means that smaller signs of the kind that adorn building sites will soon appear, reading: "Sorry for the inconvenience."

Anyway the construction boom first started in the capital, Kiev. On the hills overlooking the Dnieper River work began on a presidential helipad and overpass leading to the government quarter in the city. At the same time work began on a helipad near the mountain at the summit of which is buried national Ukrainian poet Taras Shevchenko, a hundred kilometers from Kiev.

They said that from now on for the effective use of time of the head of state the president will only go and see the grave of the great poet by helicopter.

The helipads having not been completed the country set about building stadiums for Euro 2012 to be held in just a month, new airport terminals in the cities where matches will take place and, of course, set about the repair of the roads on which hundreds of thousands of fans from Western Europe will doubtless travel on when they come to Ukraine.

Stadiums seem to have been built and officials from UEFA were very pleased, roads are still under construction but the helipads they just can't manage to sort out.

It would be a pity if fans arrive in Kiev or elsewhere in their helicopters and they have nowhere to land. Of course international VIPs might arrive by helicopter to Kiev, Donetsk and Lviv to support their national teams.

Yet there is currently a big question mark over the arrival of presidents and prime ministers. They first call for Viktor Yanukovych, or to be exact, the state of Ukraine, to release Yulia Tymoshenko. First for treatment and then completely.

But in a normal country the president cannot simply release a person from prison! Wasn't it the judge who put her there and not the president? There was an investigation, there was a trial. The court sentenced her to seven years in prison, but the investigation continues and will soon add one or two other sentences to her first making her a permanent resident of Kachanovskaya female penal colony.

Therefore it would make more sense for the heads of state and presidents to send their request directly to the judge Rodion Kireev who announced the verdict, and not to president Yanukovych who does not deal directly with such matters as there are more important things in the state than Tymoshenko. For example the literary process. But more about that a bit later.

The paradox of the current political situation is the fact that Yulia Tymoshenko is getting in the way of Viktor Yanukovych from "building a new country". He hoped that while in detention she would not bother him, but as it turned out, while in prison she disturbs him and the building of a new country even more. Hundreds of government officials from former Soviet states and other foreign countries require and request a meeting with her, distracting the "builders of a new country" -- a large and active clan of businessmen representing the eastern regions of Ukraine.

And for some reason no one wants to meet Viktor Yanukovych!

He organized a summit for heads of state of central and eastern Europe in Yalta and presidents simply refused to come to it in a sign of protest. However it is not all bad. A few days ago the president of Moldova finally arrived to visit President Yanukovych.

The Ukrainian president pleased with the respect shown to him by the president of the neighboring country relaxed and talked, which seldom happens to him. He said to the Moldovan president, but loud enough so the whole world heard, that for both Ukraine and Europe it would be useful to take a break from their relationship and to forget about each other for a while. Clearly Europe is tired of Ukraine but president Yanukovych has made it clear that Ukraine is sick of Europe, too. Moreover, neither Russia nor the United States are behaving in a humane way and also call for the release of the above mentioned Yulia Tymoshenko as if she was a common victim of judicial abuse.

Vladimir Putin has somehow also forgotten that a criminal case was opened against her in Russia ten years ago and several Russian defense ministry officials were sent to prison involved in the fraud of United Energy Systems of Ukraine, which at that time was overseen by Yulia Tymoshenko.

Looking for Ukrainian politicians and officials who have never broken the law is a tedious and thankless task. Among political analysts there is an idea that if you want to put people in jail then you should imprison not just political rivals but all those guilty of something.

However, the Minister of Internal Affairs recently announced that among all the people arrested for corruption the majority are members of the ruling party - the Party of Regions - and not the opposition. He immediately added that this is completely logical, as the Party of Regions is the largest in Ukraine and almost all government officials are members of it.

Don't think that I am defending someone or standing up for Yulia Timoshenko or Angela Merkel who was also criticized by the Party of Regions for her public statements.

I just think that if the Party of Regions would spend five year putting in prison all the corrupt members of the Yulia Tymoshenko Bloc, and then, cleansed from corruption, Yulia Tymoshenko would come to power and spend five years imprisoning those corrupt members of the Party of Regions, the situation would clearly improve and the parties themselves would be reduced to a human scale. This would be a big positive.

Yes, the country is looking forward to Euro 2012, but this political "football" without rules has been going on in Ukraine for two years already and during this time the two major political parties have simply trampled the "football field", which is Ukraine itself. At the moment it's a one-sided game and it's clear that the ruling party is winning.

Meanwhile the president has somehow hidden from public view behind the very high and well-protected fence of his country residence. Near to it a new building with an office for the president was constructed. Strange, but when completed this new building immediately became the property of some Cypriot off-shore company that the government now pays monthly rent to. It means he will only visit his official office in Kiev when absolutely necessary. For example when presidents of western countries come to their senses and stop their boycott of him. Until that moment he may remain alone in his "Cypriot" forest - land of the former state residence "Mezhygorye" that as it turned out now, too, belongs to the Cypriot off-shore company. He is secluding himself, I think, to sit down at a large, multi-volume novel.

Indeed in a tax return this year he wrote that he had received an advance of $2 million for not-yet-written literary work.

However he did not received this money from a publisher but an unknown printer in his hometown of Donetsk in eastern Ukraine. So what lies ahead is a lot of work. The authors of real best-sellers in Ukraine get no more than $4,000 to $5,000 per book. So count how many best-sellers he will have to write.

At least one of these books should be devoted to a woman. That is, to Yulia Tymoshenko. But first there is the question of genre. The novel will probably start as a drama and end up as a black comedy.

By the way, ten years ago one of Yulia Tymoshenko's political aides contacted me and asked me to write a novel about her with the title "Kill Yulia". For money of course. The plot, a conspiracy against Yulia Tymoshenko. I refused. But soon three novels were released in Ukraine with a similar plot and one of the books was called "Kill Yulia".

She wanted to become a literary heroine and she has become one. She wanted and still wants to be the president of Ukraine. In her life, Yulia Tymoshenko has always achieved what she wanted. By any means. And if Viktor Yanukovych loses his grip on power and doesn't pass it to his heir she will pick it up and then the "black comedy" will continue and become both "horror" and "action".

The opinions expressed in this commentary are solely those of Andrey Kurkov

@highlight

Abundance of plots for novels from Ukrainian politics, says author Andrey Kurkov

@highlight

In-fighting between major political parties has trampled Ukraine

@highlight

Despite being in prison Yulia Tymoshenko still dominates foreign relations with Ukraine