(CNN) -- One investigative tip can lead to another -- and another.

Linda Abrams, a genealogy gumshoe, went to Texas to match handwriting samples. She spent a couple weeks in Kentucky following a tip, only to find it was just hearsay. Over the years, Germany has beckoned, too.

Such are the destinations of the forensic genealogist who has used streetwise skills and her curiosity to dig a little deeper into the lives of the eight-man crew of the legendary H.L. Hunley, the first submarine to bring down an enemy ship.

The crew didn't live to tell the story. The Hunley went to its watery tomb within an hour of its triumph -- if not much sooner.

How was historic Civil War submarine lost?

For Abrams, it's a world of win some, lose some and tangling with seeming dead ends.

"I don't think my part will ever be done. This was a tough case," says Abrams, who lives in western Massachusetts and has worked with the Hunley Project for more than a dozen years.

Just how tough? Consider this:

-- Only one crew member on the Confederate submarine was believed to have had children, and a descendant living in Georgia has little source material about him.

-- Four were European-born. (How researchers found that out is a fascinating tidbit).

-- Only one, Joseph Ridgaway, has been positively identified through DNA.

-- There are no known photos of any of the eight.

Abrams and other such researchers can't afford to be happy with what is "known" about an individual. In the Hunley's case, that was precious little when they began. The hunt is about following a trail, following another -- and not being afraid to venture into a rabbit hole.

The genealogist was to discuss her latest findings Saturday evening during a program at the Warren Lasch Conservation Center in North Charleston, South Carolina. Monday marks the 150th anniversary of the Hunley's attack during the Civil War.

The lab houses the Hunley, which has been undergoing conservation treatment since it was raised a few miles off Charleston in 2000. It also has facial reconstructions of the crew and summaries of what is known about each.

Monday evening, a memorial service on the tip of Sullivan's Island will remember the 13 men who died that night: the eight on the Hunley and five on its prey, the USS Housatonic.

True romance, or just a fun legend?

Lt. George Dixon, captain of the Hunley, typifies ongoing challenges for scientists and historians.

A gold coin and a diamond ring and brooch were found with his remains.

"Dixon is still a mystery. Here is a guy making a mark for himself in the world, with some personal wealth," says Robert Neyland, head of underwater archeology for the Naval History and Heritage Command and former director of the Hunley Project. "Where he came from, and his family, is a bit of mystery."

Abrams says the lieutenant was a riverman possibly from Pennsylvania or Ohio.

She spent time doing research in Kentucky, but never was able to make a connection to a tip regarding Dixon. Today, he has no verified descendants.

What he does have is a story that has become a legend of sorts.

The gold coin he carried to his doom reportedly was given as a charm by his sweetheart, Queenie Bennett. The $20 piece deflected a Union bullet during the Battle of Shiloh and saved Dixon's life. He had the reverse side of the talisman engraved with the words, "My life Preserver."

The Bennett story has never been proven; a supposed photo of the blond, blue-eyed Dixon did not match his skull. And the photo, along with letters about the supposed relationship, have disappeared.

"Officially, I cannot prove or disprove" the romantic tale, says Kellen Correia, executive director of the Friends of the Hunley. "It makes for a really good story. The Hunley is one of those (in which) you cannot pin it down."

'That leads to more leads'

Tests on the well-preserved skeletal remains showed the men to range in age from their late teens to mid-40s. Some had teeth that bore hallmarks of prolific pipe smoking.

"The (Hunley) Commission was sure these were ... Southern boys from South Carolina and Georgia," says Abrams.

Instead, carbon isotope analysis revealed that four crew members were from Europe. The tests showed a diet rich in corn for the Americans and a wheat-based diet for the Europeans.

Abrams, who also does contract genealogical research for the U.S. Army, says work on the Hunley provides inspiration and motivation to fill in gaps about the crew. For example, two members -- Lumpkin and Miller -- are known only by their last names.

Experts were able to verify the identity, and correct spelling of Joseph Ridgaway's uncommon last name, through careful research of enlistment papers and DNA analysis.

Abrams learned that the eastern Maryland sailor had two sisters buried in Pennsylvania. After permission was granted, a grave was exhumed and a DNA sample was taken from one sister's jawbone. The match was made.

She also researched two men from a German artillery unit based in Charleston. They were late substitutes on the Hunley crew.

The genealogist says she is impressed by Dixon's charisma and his ability to recruit crew members for the Hunley, which lost 13 men in previous operations.

"He was really gung-ho and believed that he would make a difference, that he would finally have success. It is like listening to a new boss at your company and how it makes you feel."

Her research, meanwhile, goes on.

"You find these things that begin to create a picture, a story of these guys," Abrams says. "And then that leads to more leads."

North Carolina-born seaman James Wicks is the only Hunley crew member known to marry and have children. Wicks served on a Union vessel before jumping ship to fight for the South.

Mary Elizabeth McMahon, a great-great granddaughter who lives in suburban Atlanta, says her family, unfortunately, has few records and no "personal stories" that were passed down.

Still, she takes pride in the dangerous mission Wicks undertook on the Hunley. "This was very risky and he knew it."

McMahon and about 25 relatives attended the April 2004 funeral in Charleston for the eight, who are buried near the remains of the two Hunley crews that died in previous mishaps.

Recognizing sacrifice of those who wore blue, gray

Sunrise Presbyterian Church, on Sullivan's Island, is the location for Monday night's memorial service for those who died on the Hunley and Housatonic.

Breathtaking views from the sanctuary's windows include Breach Inlet, where the Hunley began its mission on February 17, 1864.

"What is really unique is that it is a recognition of a sacrifice that took place on both sides of the conflict," says the Rev. Vance Polley.

As a bell is tolled for each victim, a carnation will be handed to a woman dressed in black, 13 in all, representing family members of the lost.

Sitting near them are re-enactors dressed in either blue or gray. A group of submariners from recent decades participate in the service, linking the past to the present.

"This was an American conflict and everyone gathered here are Americans. One of the great themes ... is that we are making sense out of a very divisive conflict," says the Rev. Polley.

Members of the Confederate Heritage Trust will conduct a procession -- led by bagpipers -- from the church to the inlet, where flowers and memorial wreaths are placed in the water.

"It is done with a lot of dignity and with honor, for both crews," says Gene Patrick, the organization's president.

Piece of Civil War ironclad brought to surface

What caused the HMS Bounty to go down?

Booty from Blackbeard's sunken ship: Five huge cannons

Ghostly underwater art gallery breathes new life to sunken ship

@highlight

Genealogist tries to fill out details of doomed Civil War submarine crew

@highlight

The Hunley went down off South Carolina after sinking a Civil War vessel

@highlight

Little was known about the eight men; DNA matches elusive for all but one

@highlight

Did the captain carry gold coin from a romantic interest?