(CNN) -- More than 10 million people -- almost one in two men, women and children -- in Yemen -- are facing a looming catastrophe. Families are surviving, but only just. Food and fuel price spikes, coupled with political instability, have left Yemen's economy in tatters.

As is often the case, ordinary people are bearing the brunt of this crisis and have exhausted their options for coping with the extreme challenges that they face. Despite a new president and a political transition process underway, the humanitarian crisis continues to deteriorate. The economy has not recovered and food prices have not come down.

In Hodeidah, a western port governorate where the largely rural population relies upon agriculture and fishing for livelihoods, the farming has dropped to a third of its normal production. Fishermen, large and small-scale farms, alike, cannot afford the diesel necessary to power their engines and water pumps -- even when it is available in the market. Many people lost their jobs during the political turmoil last year, at a time when food prices were skyrocketing.

Like many families in Yemen with no alternatives, Mariam's sons left her and their young children to migrate to Saudi Arabia for work. She is 60 years old and sits in a one room hut which she built, together with her children, 10 years ago. She now shares it with her seven grandchildren. She tells me that like many others in the village, her sons were day laborers, and forced to migrate illegally to Saudi Arabia to look for work.

''My three sons are now in Saudi. They went searching jobs after they lost their jobs here. They haven't sent us any money yet. Last time, one called me saying that they couldn't find work and they are still being pursued by the Saudi police. He was saying that he won't send us money this month and asked us to find a way to keep going until they get a job."

Many families talk about selling off their few assets, skipping meals for two to three days at a time and pulling their children from school to just survive. With all of their neighbors in the same level of crisis, and the effects of the crises expected to deteriorate further, ordinary Yemenis have exhausted their options.

Over the past year, one in three Yemenis purchased food on credit, and one in four are still falling further into food-related debt.

Mariam describes with utmost fatigue how she turned towards creditors as a last resort: "We live on 'please give me,' ' lend me until tomorrow,' 'please wait until God gives me help to return your money'; this is our life now."

But the creditors and traders cannot continue to have stock go out without money coming in. They have started to turn away families.

Samia, mother of five, told me about her desperation at being turned away from the trader with tears in her eyes and her very sick child in her arms. "They tell you, I am not God, I cannot provide ... even as your child lies there dying." Life was always difficult, but the past year has pushed families to their limits.

Mariam was among more than 100,000 beneficiaries that received cash from Oxfam's ECHO-funded Emergency Food Security and Livelihoods project (EFSL), created as a quick response to meet people's inability to purchase food caused by the current crises in the country.

The project provided cash grants of $25 to families for each of three months. Those that received the payment included a diversity of vulnerable groups such as women, children, chronically-ill, disabled, elderly-headed households, and low income families.

Mariam tells me: ''I bought salt, sugar, oil, flour, and medicine for one of my grandsons. I also paid off some of my debts. Those payments were enough to buy food for about 20 or 25 days... though it's only 25 days, it was a gift from God."

But despite the need for quick solutions like this, which meet people's immediate needs with dignity and can build towards lasting solutions, funding for humanitarian programmes has not been flowing fast enough. Food insecurity is at risk of becoming a normal part of life in Yemen, but the U.N. humanitarian appeal for the country has been just 43 percent funded. The crisis has worsened since the appeal launched in December, so the funds needed to help people in need are likely to increase when the appeal is reviewed this June.

At this week's Friends of Yemen meeting in Riyadh, Saudi Arabia, donors pledged a reported $4 billion in new funds for the country. The pledges are generous and signal that the international community recognizes the dire level of need; but it is unclear as yet exactly how this money will be spent and when it will arrive in Yemen. A good proportion of these funds need to be fast-tracked to meet the urgent humanitarian need.

Almost half of Yemenis do not have enough to eat today and Yemen is entering its hunger season. The world can bring Yemen back from the brink of catastrophe -- but only if it acts now.

@highlight

Oxfam: 10 million people in Yemen are on the brink of starvation

@highlight

Food and fuel price spikes, coupled with political unrest, has hurt Yemen's economy

@highlight

One in three Yemenis purchased food on credit in the past year