(CNN) -- On January 1, the nation will commemorate the 150th anniversary of the Emancipation Proclamation, which legally freed slaves in the secessionist Southern states. Meanwhile, thousands of theaters will still be presenting the film "Lincoln," portraying the soon-to-be-martyred president's efforts in January 1865 to persuade the House of Representatives to pass the 13th Amendment, outlawing slavery throughout the nation.

Coming at a time when many Republicans are seeking to rebrand their party, these commemorations of the first Republican president raise this question: Why not refashion the Grand Old Party in the image of the Great Emancipator?

Steven Spielberg's historical drama, as well as the biography upon which it is based, Doris Kearns Goodwin's "Team of Rivals: The Political Genius of Abraham Lincoln," both remind today's Americans that Lincoln was not only a moral leader but also a practical politician. The political identity that Lincoln forged for the fledgling Republican Party -- uniting the nation while defending individual rights -- was a winning formula for half a century, with the GOP winning 11 of 13 presidential elections from 1860 through 1908.

Moreover, support for civil rights persisted in the party throughout the last century. Among the Republican presidents of the 20th century, Theodore Roosevelt famously hosted Booker T. Washington at the White House. Dwight Eisenhower ordered federal troops to Little Rock, Arkansas, to enforce school desegregation. Richard Nixon expanded affirmative action. And George H. W. Bush signed the Americans with Disabilities Act into law.

Brazile: A turning point for freedom in America, 150 years later

In the U.S. Senate, such prominent Republicans as Edward Brooke of Massachusetts (the first African-American senator since Reconstruction), Jacob Javits of New York and Everett Dirksen of Illinois were strong supporters of civil rights, as were governors such as Nelson Rockefeller in New York, George Romney in Massachusetts and William Scranton in Pennsylvania.

Former California Gov. Earl Warren served as chief justice when the Supreme Court issued its decision in Brown v. Board of Education, ordering the desegregation of the nation's schools. As recently as 1996, the Republican national ticket consisted of two strong civil rights advocates, former Kansas Sen. Bob Dole and former New York Rep. Jack Kemp.

Unfortunately, by 2012, the Republican Party had veered far from its heritage as the party of Lincoln. Prominent Republicans supported statewide voter suppression laws that hit hardest at vulnerable minorities or called for the "self-deportation" of immigrants and their families.

While some Republican senatorial nominees needlessly offended women, leading moderates such as Maine Sen. Olympia Snowe and Ohio Rep. Steven LaTourette opted for retirement. In what I hope was rock bottom, 38 Senate Republicans rebuffed their former presidential nominee Bob Dole -- a wheelchair-bound war hero -- to block an international civil and human rights treaty for people with disabilities.

150 years later, myths persist about the Emancipation Proclamation

Not surprisingly, the GOP in the presidential race lost the black vote by 87 points, the Asian-American vote by 47 points, the Latino vote by 44 points and the women's vote by 11 points, according to CNN exit polls. As Republicans reflect on their path forward with minority voters and persuadable whites, there are opportunities to advance civil rights.

While the GOP has increasingly promoted diverse candidates, it has not yet begun to reflect the values of our diverse nation. Fiscally conservative officeholders can fight for civil and human rights.

Just a few years ago, Alabama Sen. Jeff Sessions championed a reduction in the sentencing disparity between people charged with possession of crack and powder cocaine. These are two forms of the same drug, but crack cocaine is used more by minorities and carried much harsher punishments for possession. Working with Sessions, civil rights advocates pushed to reduce this disparity significantly -- among the greatest advances in criminal justice reform in decades.

Looking forward to the 113th Congress, there are several civil rights initiatives that would fit conservative values. They need congressional champions. Conservative lobbyist Grover Norquist and conservative strategist Richard Viguerie have called for criminal justice reforms that would reduce the number of prisoners in U.S. prisons.

The U.S. Chamber of Commerce has joined the civil rights coalition's call for federal initiatives to narrow the educational achievement gap between minority and white students. And more Republicans are joining Jeb Bush's support for comprehensive immigration reform that provides a pathway to citizenship for long-term, law-abiding residents.

Most importantly, the GOP must embrace one of Lincoln's most enduring legacies, the 15th Amendment, which guaranteed the right to vote regardless of race. The GOP must stop trying to suppress voters and begin to champion electoral reform that shortens lines and helps more people to vote.

Opinion: What Obama can learn from Lincoln

I don't expect another Abraham Lincoln or Frederick Douglass from the modern Republican Party -- I'll settle for a few more Jeff Sessions. When Republicans consider the consequences for their party's narrow appeal, they'll try to return to their roots.

I'm happy to help.

The opinions expressed in this commentary are solely those of Wade Henderson.

@highlight

Wade Henderson: January 1 is 150th anniversary of the Emancipation Proclamation

@highlight

He says GOP should look to Lincoln, a canny politician who led moral fight on civil rights

@highlight

He says GOP has history of civil rights support that it has largely abandoned in recent years

@highlight

Henderson: In 2012, election minority voters unimpressed; GOP should return to roots