(CNN) -- U.S. Secretary of State John Kerry calls it proof "beyond any reasonable doubt." Defense Secretary Chuck Hagel says it's "very clear."

President Barack Obama says the United States has "high confidence" that Syria used chemical weapons -- the strongest position the U.S. can take short of confirmation.

Britain, France, and Germany say their intelligence backs up the same conclusion.

But despite all the talk about conclusive intelligence, questions remain. A declassified report by the White House does not divulge all details of the evidence the United States is looking at. And it remains unclear what the "streams of intelligence" cited in the report may be and how they were collected.

Russia insists there's no proof. Russian President Vladimir Putin said he wants to see evidence that would make the determination "obvious."

And Syrian President Bashar al-Assad's regime says rebel forces were behind any chemical weapons attack.

The United Nations, meanwhile, is calling on world leaders to wait for the results of a U.N. probe.

Here's a look at what is known about the intelligence Washington points to.

Kerry cites 'concrete' evidence

"We have declassified unprecedented amounts of information, and we ask the American people and the rest of the world to judge that information," Kerry told lawmakers Tuesday.

It "proves the Assad regime prepared for this attack, issued instruction to prepare for this attack, warned its own forces to use gas masks."

Physical, "concrete" evidence shows where the rockets came from, when they were fired, and that not one landed in regime-controlled territory, Kerry said.

"Multiple streams of intelligence indicate that the regime executed a rocket and artillery attack against the Damascus suburbs in the early hours of August 21," the White House says in the declassified report.

"Satellite detections corroborate that attacks from a regime-controlled area struck neighborhoods where the chemical attacks reportedly occurred. ... The lack of flight activity or missile launches also leads us to conclude that the regime used rockets in the attack."

The White House released a map along with the report.

But the prospect of more details on the evidence seems dim as Kerry said the amount already declassified "could possibly put at risk some sources and methods," and that releasing more could "tempt fate."

U.S.: Opposition doesn't have 'the capacity'

"We are certain that none of the opposition has the weapons or capacity to effect a strike of this scale, particularly from the heart of regime territory," Kerry told lawmakers Tuesday.

The White House report points to Syria's known stockpiles of chemical agents. And it says the United States assesses "with high confidence that the Syrian regime has used chemical weapons on a small scale against the opposition multiple times in the last year, including in the Damascus suburbs. This assessment is based on multiple streams of information including reporting of Syrian officials planning and executing chemical weapons attacks and laboratory analysis of physiological samples obtained from a number of individuals, which revealed exposure to sarin.

"We assess that the opposition has not used chemical weapons."

In May, a U.N. official said there were strong suspicions that Syrian rebel forces had used sarin gas. But the findings were not conclusive, the U.N. Independent International Commission of Inquiry for Syria said at the time, and the opposition Syrian Coalition condemned any use of chemical weapons. The U.S. State Department said at the time it had no evidence suggesting rebels had used chemical weapons.

The Russian Foreign Ministry said Wednesday the results of an investigation into a March attack in Aleppo, apparently using chemical weapons, found that the charge used was homemade and similar to projectiles produced by the group Bashaar al-Nasr, part of the opposition Syrian Islamic Liberation Front. Sarin was discovered in samples from the scene, the foreign ministry said.

Bashaar al-Nasr has slammed Syria for the recent chemical weapons attack in Damascus, and vowed revenge.

U.S.: Syria prepared

"In the three days prior to the attack, we collected streams of human, signals and geospatial intelligence that reveal regime activities that we assess were associated with preparations for a chemical weapons attack," the U.S. report says.

"Syrian chemical weapons personnel were operating in the Damascus suburb of 'Adra from Sunday, August 18 until early in the morning on Wednesday, August 21 near an area that the regime uses to mix chemical weapons, including sarin. On August 21, a Syrian regime element prepared for a chemical weapons attack in the Damascus area, including through the utilization of gas masks. Our intelligence sources in the Damascus area did not detect any indications in the days prior to the attack that opposition affiliates were planning to use chemical weapons."

'Intercepted communications'

"We have a body of information, including past Syrian practice, that leads us to conclude that regime officials were witting of and directed the attack on August 21," the U.S. report says. "We intercepted communications involving a senior official intimately familiar with the offensive who confirmed that chemical weapons were used by the regime on August 21 and was concerned with the U.N. inspectors obtaining evidence."

Intelligence shows Syrian chemical weapons personnel were told to cease operations in the afternoon of August 21, and that the regime then "intensified the artillery barrage targeting many of the neighborhoods where chemical attacks occurred," the report says.

Analyst: 'No way in hell' U.S. can back up death toll

The U.S. report says a preliminary assessment "determined that 1,429 people were killed in the chemical weapons attack, including at least 426 children."

The assessment "will certainly evolve as we obtain more information," it adds.

"Secretary Kerry seems to have been sandbagged into using an absurdly over-precise number," said Anthony Cordesman, former director of intelligence assessment at the U.S. Defense Department.

Now with the Center for Strategic and International Studies, he writes on the CSIS website, "Put simply, there is no way in hell the U.S. intelligence community could credibly have made an estimate this exact."

It's unclear whether "these figures really had an intelligence source," Cordesman said . "Some sources indicate they may have actually come from a Syrian source called the Local Coordination Committees (LCC)" -- a Syrian opposition group.

A U.S. official told CNN the number is not based on opposition figures. The methodology used to come up with the toll remains classified.

Rebel leaders have given similar estimates for the death toll, saying more than 1,300 people were killed.

Britain's Joint Intelligence Organization, meanwhile, says at least 350 people were killed. It does not say how the figure was determined.

A French government report notes that body counts by several sources, including Doctors Without Borders, estimated at least 355 deaths. "Other technical counts, using different sources, estimate the toll to be around 1,500 deaths," the report says.

Britain, France, Germany weigh in

A letter from Jon Day, chairman of Britain's Joint Intelligence Committee, to British Prime Minister David Cameron, also rejects suggestions that the opposition may have been behind the attack.

"We have tested this assertion using a wide range of intelligence and open sources, and invited (the government) and outside experts to help us establish whether such a thing is possible," Day wrote.

No "credible intelligence" suggests the opposition has chemical weapons, he writes, adding that "there are no plausible alternative scenarios to regime responsibility."

"We also have a limited but growing body of intelligence which supports the judgment that the regime was responsible for the attacks and that they were conducted to help clear the opposition from strategic parts of Damascus. Some of this intelligence is highly sensitive but you have had access to it all."

France gives a similar argument.

"The attack of August 21st could only have been ordered and carried out by the regime," its declassified intelligence report says.

Germany's foreign intelligence agency, the BND, has the same assessment.

"In a secret briefing to select lawmakers on Monday, BND head Gerhard Schindler said that while there is still no incontestable proof, analysis of the evidence at hand has led his intelligence service to believe that Assad's regime is to blame," Der Spiegel reports.

U.N. probe: Limited scope, no clear deadline

The United Nations is pushing all nations to hold off on any action until results of its own examination are in. It's unclear how soon that may be.

"The U.N. mission is uniquely capable of establishing in an impartial and credible manner the facts of any use of chemical weapons," Martin Nesirky, spokesman for Secretary-General Ban Ki-moon, said repeatedly at a news conference Sunday.

But the U.N. probe's mandate is only to determine whether chemical weapons were used -- not by whom.

Obama argued Wednesday that that's no longer in question. "Frankly, nobody is really disputing that chemical weapons were used," he said.

Russia - which, along with China, would likely block any U.N. resolution authorizing military action in Syria -- has repeatedly thrown cold water on suggestions that there's proof of Syria culpability.

"If there are data that the chemical weapons have been used, and used specifically by the regular army, this evidence should be submitted to the U.N. Security Council," Putin said Wednesday in an interview with The Associated Press and Russia's state Channel 1 television.

"It should be a deep and specific probe containing evidence that would be obvious and prove beyond doubt who did it and what means were used."

If there was such evidence, Russia might support a resolution authorizing military strikes, Putin said.

Syria: Allegations 'false and unfounded'

Syria still insists it never used chemical weapons.

"These allegations are false and unfounded," Syria's U.N. Ambassador Bashar al-Ja'afari said Tuesday in an interview with CNN.

He cited the confidence that the United States said it had a decade ago when it argued that Iraq had weapons of mass destruction.

It's an argument Kerry was prepared for before Congress on Tuesday.

He noted that he and Hagel were senators at the time of the Iraq vote.

"And so we are especially sensitive, Chuck and I, to never again asking any member of Congress to take a vote on faulty intelligence. And that is why our intelligence community has scrubbed and re-scrubbed the evidence."

@highlight

Kerry says the U.S. has declassified "unprecedented amounts of information"

@highlight

The U.S. points to "concrete" evidence, intercepts, "multiple streams of information"

@highlight

Britain, France, and Germany come to similar conclusions

@highlight

Putin calls for "a deep and specific probe containing evidence that would be obvious"