Former President Bill Clinton commanded the largest speaking fees of his career in 2011, earning $13.4 million and exceeding his previous record by 25%.

Clinton's fees were detailed in Secretary of State Hillary Clinton's annual financial disclosure report, released Monday. A CNN analysis of those records shows that the former commander-in-chief has earned $89 million from paid speeches since leaving the White House in January 2001.

While it is not unusual for former presidents to command millions of dollars in speaking fees after leaving office, Clinton is the only one subjected to strict disclosure requirements as a result of his wife's position as a high-ranking federal official, first as a U.S. senator and now as secretary of state.

"The work he does around the world has given him a very unique perspective. Not just a former president's perspective, but also the very unique perspective from his philanthropic work," said Norman Stowe, a communications executive in Vancouver, British Columbia, who organized an economic conference with both Clinton and George W. Bush last October. "He's really a gifted speaker. He speaks in a language that everyone can understand."

Clinton delivered 54 paid speeches in 2011, roughly the same as his 2010 workload, but the marked increase in income can be credited to six overseas events that earned him the largest single paydays of his career.

The most lucrative was a November speech in Hong Kong to Swedish-based telecom giant Ericsson -- $750,000. Clinton also earned $700,000 for a March speech to a local newspaper publishing company in Lagos, Nigeria, and $550,000 for a November speech to a business forum in Shanghai, China. He earned $500,000 apiece for three events in Austria and Holland in May and in the United Arab Emirates in December.

Prior to 2011, the most Clinton had earned from a single event was $525,000 for a 2008 speech in Edmonton, Alberta.

The former president's previous record for speech income earned in one year was in 2010, when he earned $10.7 million for 52 events. His speech earnings last year were nearly double the $7.5 million he earned in 2009.

Almost half of the former president's speech income last year, $6.1 million, came from 16 speeches delivered in 11 other countries, ranging from Canada to Saudi Arabia. The remainder was earned in 38 domestic speeches delivered in nine states and the District of Columbia.

In 11 years as a private citizen, Clinton has delivered 471 paid speeches and earned an average of $189,000 per event. He has visited 27 states, as well as the District of Columbia and Puerto Rico. His popularity on the international lecture circuit has taken him to 52 countries, where he has earned roughly $51 million. Last month, Hillary Clinton traveled to her 100th country as the nation's top diplomat, which likely makes the Clintons among the most well-traveled couples in the nation.

The former president's most popular destination outside of the United States has been Canada, where he has participated in 58 paid events for a total of $9.9 million, followed by the United Kingdom, where he earned $3.2 million for 16 events, and Australia and Mexico, where he delivered 13 speeches apiece for $2.3 million and $2.8 million, respectively. Clinton also has delivered 11 speeches each in China and Germany for $3.0 million and $2.5 million, respectively.

Within the United States, Clinton has spoken at 66 paid events in New York, 41 in California, 28 in Florida and 18 in Las Vegas.

Clinton's annual earnings from speeches have varied from year to year depending on his schedule and availability. He gave only six paid speeches for $875,000 in 2004, when he spent much of the year writing his memoirs and recovering from heart bypass surgery.

His $13.4 million haul from 2011 more than doubles the $5.7 million he earned in 2008, when he spent half the year campaigning for his wife's unsuccessful presidential bid. That year, Hillary Clinton loaned her presidential campaign a total of $13.2 million out of the couple's personal funds. The Clintons ended up eating the cost of that loan because the campaign was unable to repay the amount by the deadline required by federal campaign finance laws. However, since Hillary Clinton suspended her presidential campaign on June 7, 2008, her husband has earned $36.3 million in speaking fees for 162 events, canceling out the impact of the loan by almost three-fold.

Clinton was an elected official on a fixed government salary for all but two years from 1977, when he took office as the Arkansas attorney general, until leaving the White House in January 2001.

"I never had any money until I got out of the White House, you know, but I've done reasonably well since then," said Clinton of his earning power at a 2010 forum in Cape Town, South Africa.

When President Barack Obama first nominated then-Sen. Hillary Clinton to his cabinet in December 2008, the former president agreed to a number of steps to guard against possible conflicts of interest that might arise from his various post-presidential activities. In particular, he has agreed to allow State Department and White House ethics officials to review his slate of proposed speaking engagements.

The Center for Public Integrity, a public interest watchdog group, estimated in a report last year that former President George W. Bush had delivered almost 140 paid speeches for at least $15 million in his first two-and-a-half years since leaving the White House. At the time, a spokesman for Bush's office declined to comment on the accuracy of that report.

Clinton's and Bush's offices did not respond to a request for comment on this article.

@highlight

Former President Clinton earned $13.4 million in speaking fees in 2011

@highlight

Clinton has earned $89 million for speeches since he left the White House in 2001

@highlight

Largest sum in 2011 was $750,000 for telecom giant Ericsson in Hong Kong

@highlight

Clinton is subject to disclosure requirements because wife, Hillary, is secretary of state