(CNN) -- The United Nations declared a famine Wednesday in parts of southern Somalia and warned that the suffering could rapidly spread without a massive and immediate international response.

"Nearly 3.7 million people are now in crisis," said U.N Secretary-General Ban Ki-moon. "We need donor support to address current needs and prevent a further deterioration of the crisis."

The crisis in Somalia -- a failing state mired in internal conflict and suffering the worst drought in half a century -- has been escalating steadily for months as aid agencies have pleaded for the international community to intervene.

Wednesday, the humanitarian agency Oxfam blamed international donors for the potentially catastrophic situation at hand.

"Several rich governments are guilty of willful neglect as the aid effort to avert catastrophe in East Africa limps along due to an $800 million shortfall," an Oxfam statement said.

Thousands of Somalis have fled the country in search of food and water, trekking for days under scorching sun toward refugee camps in neighboring Kenya and Ethiopia.

"If we don't act now, famine will spread to all eight regions of southern Somalia within two months, due to poor harvests and infectious disease outbreaks," Mark Bowden, the U.N. humanitarian coordinator for Somalia, told reporters from Nairobi, Kenya. "It is likely that tens of thousands of people have already died -- the majority of these being children."

He said nearly half the people in Somalia are in crisis and roughly $300 million in aid is needed in the next two months. Aid workers call it the worst food crisis since a famine in Ethiopia in the mid-1980s that killed about 1 million people.

"Every day of delay in assistance is literally a matter of life or death for children and their families in the famine-affected areas," Bowden said.

The United Nations uses a five-stage scale to measure hunger. Stage 5, or famine, means that acute malnutrition rates are 30% or more, people do not have adequate calorie or water intake and mortality rates are greater than two adults or four children per day per 10,000 people.

Think of it this way, said Lawrence Haddad, director of the U.K.-based Institute of Development Studies: If famine were declared in the United States, 3,000 or more children would be dying every day from lack of food and water.

"This is big," he said. "We have to act quickly, now."

Oxfam defines famine as a cocktail of causes: A "triple failure of food production, people's ability to access food and, finally and most crucially, in the political response by governments and international donors. Crop failure and poverty leave people vulnerable to starvation -- but famine only occurs with political failure."

Famine used to be a term equated solely with a large-scale shortage of food.

But the term slipped out of the official lexicon after it came to encompass a variety of factors that add up to a complex emergency, said Patrick Webb, an expert in food security at the Friedman School of Nutrition Science and Policy at Tufts University.

"Actually, a lot of famine happens when there is food in the market," he said. "It's about people's inability to acquire that food. Famine represents a catastrophic failure of all the systems that people rely on to survive."

That includes the deaths of livestock, displacement of people and conflict.

And that is what has happened in southern Somalia, where people have had to make heart-wrenching choices simply to stay alive.

A mother might have to decide whether to keep her baby alive or split her money to feed all her children. A family may take down their thatched roof, the only shelter they have, to make sure a precious cow can eat. Grandparents might forgo their share of a meal to ensure survival for the youngest generation.

Webb said many Americans stung by the recession have had to make difficult life choices. Multiply that by many times to get an idea of what it means to be Somali right now.

"The thing about food is that you have to have it every day," he said. "It's not like buying a car or clothes. It's where the rubber meets the road."

After Wednesday's declaration of famine, U.S. Secretary of State Hillary Clinton announced $28 million in additional funding for the crisis.

"We have already responded with over $431 million in food and nonfood emergency assistance this year alone," Clinton said in a statement. "But it is not enough -- the need is only expected to increase and more must be done by the United States and the international community."

Part of the problem with donations is that it's politically difficult to give money for an event that has not happened yet, Haddad said.

He understood Oxfam's position and the frustration of aid workers on the frontlines who are bearing witness to immense human suffering. But how do you justify millions for a catastrophe that "might" happen, he asked.

About 10 million people are at risk of famine in the Horn of Africa. Somalia, wracked by years of internal violence and insecurity, is the worst affected.

Many Somalis have fled to the Dadaab camp, a refugee complex in Kenya intended to house 90,000 but now bursting with 400,000 people.

Internal strife has exacerbated drought-caused food shortages and livestock deaths. The nation has not had an effective government for two decades and government forces have been battling Al-Shabaab militants in the capital, Mogadishu.

Humanitarian agencies have not been able to reach famine-affected areas, said Susan Rice, the U.S. ambassador to the United Nations.

"Al-Shabaab is principally responsible for exacerbating the consequences of the drought situation by preventing its own people from being able to access critically needed assistance," she said.

Al-Shabaab, a group of Islamist insurgents with affiliations with al-Qaeda, controls large portions of Mogadishu and parts of southern and central Somalia.

The militants had accused Western humanitarians of being anti-Muslim. But earlier this month, the al Qaeda-linked group pledged to allow aid groups access to areas under its control, reversing an earlier decision banning them.

"President Obama and Secretary Clinton have aggressively worked to and asked us to test Al-Shabaab," said Dr. Rajiv Shah, chief administrator of the U.S. Agency for International Development, in an interview from the Dadaab refugee camp.

"If they're going to provide humanitarian access, we're going to stand with the United Nations and other partners to make sure that humanitarian organizations can get in and can reach the most affected people. It's no coincidence that the precise geography that have been labeled a famine and have met the technical designation of famine are precisely those areas where Shabaab has limited access, has harassed aid workers and has made it difficult for people to eke out a basic standard of living and existence."

Humanitarian agencies have welcomed the pledge by Al-Shabaab, but said the earlier ban intensified the crisis.

U.N. officials were able to airlift emergency supplies to southern Somalia last week after the Islamist militants promised to lift the ban.

The south is home to about 80% of the nation's malnourished children, the U.N. Children's Fund said.

"More than ever, Somali people need and deserve our full attention," Bowden said. "At this time of crisis, we must make exceptional efforts to support Somalis wherever they are in need and expect that all parties will do the same."

CNN's David McKenzie, Matthew Vann and Faith Karimi contributed to this report.

@highlight

NEW: "Nearly 3.7 million people are now in crisis," U.N. secretary-general says

@highlight

The United Nations warns that the crisis could spread

@highlight

About half the Somali population is affected

@highlight

U.S. announces $28 million in additional funding to help Somalis