(CNN) -- Shoppers from as far as Japan descend on Springfield, Ohio, for its twice-yearly market of 19th-century antiques. But the event isn't stuck in the past. In 2012, it introduced live music, beer and wine stands, and trend-driven clothing and housewares.

The effort is paying off in Springfield, where the May 2012 market drew a record-breaking weekend crowd of 21,000 shoppers, and flea markets across America are seeing a similar surge of interest.

Some credit goes to the popularity of reality TV series like Oddities, American Pickers, and Market Warriors, which have picked up the Roadshow mantle and are mining the world of secondhand buying, selling, and collecting.

Read more: Savvy shoppers seek American-made products

As a result, a whole new group of travelers is discovering that braving the crowds at America's liveliest flea markets delivers more than just deals; it's a chance to get immersed in a local community, to be an archaeologist of the present.

Who needs potshards when you can pick up a piece of North Carolina Pisgah Forest Pottery circa 1940—just a few hours' drive from where it was made?

Fortunately, secondhand markets have never been more varied—or more vibrant. A new wave of urban fleas has taken off in Seattle, Chicago, Brooklyn, and beyond, bringing together old-fashioned junk-shoppers and a slew of budding entrepreneurs, artists, and chefs, who benefit from the real-time, in-the-flesh market research (small-batch raspberry-and-green-peppercorn soda, anyone?).
Read on for our favorites, along with tips to get the most out of your market day.

T+L Insider Video: Outdoor markets

Rose Bowl Flea Market, Pasadena, California
All you need to know about visiting this iconic celebrity magnet east of L.A. can be summed up in seven words: Arrive at eight. (It's only $2 more than the general admission that begins at 9 a.m.) Wear sunblock. (This is southern California, after all.) Turn left. That's where you'll find the market's antiques booths and, beyond them, just over the two small footbridges, lower-priced odds and ends and 600 vendors of vintage clothing; denim and dresses are a particular strength. If we may suggest six more words for your consideration: Make-your-own-Bloody-Mary bar (in the food court).

Tip: Skip the areas within the stadium and to the north and east—unless you're in the market for as-seen-on-TV gizmos and other new merchandise.

Brimfield Antique Shows, Massachusetts
The three annual Brimfield Antique Shows have grown to encompass more than 20 individual shows (known as fields), each with hundreds of vendors lined up along a one-mile stretch of Route 20 (get a field-by-field breakdown at brimfieldshow.com). Many take the same spots season after season, and repeat visits make the experience less overwhelming. For a taste of the original, browse the old wooden trunks, braided rugs, and Depression glass at J&J Promotions, run by the daughters of Brimfield founder Gordon Reid and held on the same field where Reid staged the first event back in 1959.

Tip: The Tatnuck Postal & Business Center at Brimfield Acres North (413-427-0311) offers UPS and FedEx shipping services for purchases you can't fit into your suitcase.

Canton First Monday Trade Days, Texas
Few American flea markets can measure up to Canton in terms of history: residents of this small town an hour east of Dallas have been hauling their goods here to trade since 1850, when everything from hunting dogs to hand tools was bartered outside the courthouse during the circuit judge's monthly visit. Today, the market covers more than 100 acres of land a few blocks from the original courthouse square location. The merchandise is more varied than ever, with vintage cowboy boots, handcrafted leather saddles, antique silver, 19th-century flow blue pottery, and homemade hot sauce among the 6,000-plus regular stalls.

Tip: Target the Civic Center building for antiques and collectibles at least 20 years old, plus air-conditioning and restrooms.

T+L: The world's coolest bazaars

Springfield Antique Show & Flea Market, Ohio
Even a gold standard like Springfield—which draws more than 20,000 shoppers, including designers and collectors from as far away as Japan—sees fit to up the ante once in a while. In 2012, it has rounded out its dealers of 19th-century midwestern antiques and 45 food vendors (Crazy Uncle Larry's one-pound pork chops!) with live music, beer and wine stands, and a tented Vintage Marketplace dedicated to more trend-driven clothing, accessories, and housewares. The same exit of Interstate 70 leads to two more outstanding places to shop: AAA I-70 Antique Mall and Springfield Antique Center.

Tip: Pick up a program at the main gates to help navigate the booths of this 130-acre fairground arranged like a wagon wheel, with spokes radiating out from a central point.

Scott Antique Markets, Atlanta, Georgia
An interior decorator's dream, and a regular resource for the likes of Top Design alum Eddie Ross, Atlanta's monthly 3,300-booth Scott Antique Markets provides consistent conditions (two climate-controlled exhibition centers with shuttle bus transportation), and predictable pricing (not quite garage-sale cheap, but less expensive than some more-famous markets). You're almost guaranteed to find heirloom-quality oil paintings, French armoires, and upholstered furniture in the mix. Note: this is not the place to come for makeover projects; most everything for sale is already rehabbed and ready to go.

Tip: Print a coupon from the sale's website for $1 off your admission.

T+L: World's coolest museum gift shops

Chicago Antique Market, Illinois
Industrial artifacts, funky lighting, Midcentury Modern furniture, and artwork by alums of Chicago's School of the Art Institute (Koons, O'Keeffe) are standouts at this highly curated monthly event. Themed weekends might highlight a season (July's sunglass shop and manicure station) or a holiday (February's love-letter-writing desk and displays of couture and jewelry). On-site services include antique appraisals, lamp repair, and furniture restoration, as well as crystal and porcelain refurbishing. Delivery of furniture more than $200 in value is free in the downtown area.

Tip: Your $10 admission comes with a $5 refund voucher for use toward a purchase of an item worth at least $25 at most vendor booths. Just ask.

Alameda Point Antiques Faire, California
With its unmatched user-friendliness (free shuttles from the rear parking lot, shopping carts, an all-marble bathroom in the new Auction Annex), it's no wonder this 800-vendor sale has been a northern California favorite for 15 years. But even stripped of those creature comforts, the 13,000 regular shoppers would still turn out for the impeccably art-directed displays of antique French furniture, Bakelite serving trays, and metal sign letters—plus views of the San Francisco skyline just across the bay.

Tip: Head to the back of the market for better deals. That's where the newbies and latecomers, who tend to have lower prices than the pros, are assigned to set up.

T+L: America's best fall color drives

Brooklyn Flea, New York
Consider it the moveable flea. In high season (April through Thanksgiving), 150 vintage/antique/artisan booths set up outdoors in the Brooklyn neighborhoods of Fort Greene (Saturdays) and Williamsburg (Sundays). Come winter, they head inside the former Williamsburgh Savings Bank, a 1929 wonder with vaulted ceilings, gold-leaf mosaics, and marble floors. Expect vintage maps, retooled bicycles, and retired classroom furniture, along with handmade geometric jewelry, architectural salvage, and troves of used designer handbags. It's a scene, to be sure, but also a great place to get inspiration for your next apartment (or wardrobe) makeover—and perhaps discover an untapped appreciation for kimchi-topped hot dogs. The related market Smorgasburg focuses entirely on such creative street food.

Tip: Buyers here tend to be savvy—and have overlapping tastes—so don't walk away from an item you have your eye on; it likely won't be there when you return.

Raleigh Flea Market, North Carolina
An anything-goes state fair spirit runs through Raleigh's weekly flea market, held on, yes, the fairgrounds every Saturday and Sunday—except in October, when the actual state fair is in full swing. A thousand vendors spread out between six buildings and several acres of fields and lots, hawking used books, bluegrass albums, North Carolina pottery, batteries, and barbecued pork. Throw in family-friendly extras (face-painting booths) and access to other events (a handbell festival, say, or a model train expo), and you've got plenty of diversions for the 2.4 million shoppers the event draws annually.

Tip: Weather in Raleigh is fairly mild year-round, and since much of the market is indoors anyway, there's no reason not to dig for deals in, say, January.

Portland Expo Antique and Collectible Show, Oregon
Although all the items at Portland's thrice-annual antiquing event must be at least 30 years old, this 1,100-vendor bazaar is anything but stuck in the past. Proof: while it's always been a mother lode for old-school toys, nostalgic knickknacks, and Americana of all kinds, over the last few years, the event's savvy organizers have begun catering to a new, younger audience, adding in more of what's selling now (Victoriana, vintage hats, '40s and '50s kitchenware).

Tip: Take advantage of Portland's public transportation. The light rail's Yellow Line will get you from downtown to the Expo Center MAX Station in about half an hour.

See more at Travel+Leisure

Planning a getaway? Don't miss Travel + Leisure's guide to the World's Best Hotels

Copyright 2012 American Express Publishing Corporation. All rights reserved.

@highlight

Antique treasure-hunting draws shoppers from around the world to American flea markets

@highlight

Traders and merchants have been swapping goods in Canton, Texas, since 1850

@highlight

Springfield Antique Show & Flea Market in Ohio draws more than 20,000 shoppers