SANTO DOMINGO, Dominican Republic (CNN) -- The Dominican Republic is a tourist paradise, and a drug runner's haven. More than 800 miles of stunning turquoise coastline used for snorkeling -- and smuggling. What's smuggled mostly is cocaine from South America, bound for the United States. And in recent years, it's been pouring in.

The Dominican Republic's rocky coastline makes it difficult for anti-drug units to operate.

"The problem in the last two years is the amount of narcotics arriving in this country by air has increased exponentially," said Peter A. Reilly, the U.S. Drug Enforcement Administration's supervisor in the Dominican Republic.

Officials say the number of flights carrying drugs onto Hispaniola, the island shared by both the Dominican Republic and Haiti, has gone up roughly four-fold in just four years and that about 10 percent of U.S.-bound cocaine is now shipped through Hispaniola.

One of the reasons is that there is little to stop the drugs from arriving. There are lots of places for smugglers to hide along the sparsely populated coastline.

The rocky cliffs along the shore make it particularly difficult for drug response teams to operate.  Watch the challenge of fighting increased drug smuggling »

The nation's anti-drug force -- the Dominican National Drug Control, known here as the Direccion Nacional de Control de Drogas -- is also struggling to keep up.

"They don't have the necessary resources to combat this problem," Reilly said.

Even with greatly increased drug flights, the Dominican Republic has no radar to track the incoming planes. The Dominican Navy has half a dozen fast boats, but they're not always available to fight the drug war.

The drug control agency does have eight Vietnam-era Huey helicopters, but they don't have night-vision capability -- a major problem when most drug drops are made at night. What's more, those helicopters have limited offshore flying capabilities.

"Because they only have one engine, and because of security reasons, the helicopter cannot fly out more than five miles," said Gen. Ramirez Ferreira, the head of the Dominican Republic's anti-drug agency. "So if you have a water drop 20 miles out, that helicopter can't respond."

Many of those drug flights come from Venezuela carrying Colombian cocaine, U.S. officials say.  See the route officials say drug traffickers use to the United States »

The number of drug smuggling flights from Venezuela to Hispaniola increased by 167 percent from 2005 to 2006, according to the most recent U.S. State Department International Narcotics Control Strategy Report.

Venezuela's president, Hugo Chavez, outlawed U.S. anti-drug air patrols over his country two years ago, accusing DEA agents of spying.

A new permissive atmosphere in Venezuela has led to lax enforcement and increased trafficking, especially with drug flights to Hispaniola, say U.S. officials. Venezuela disputes this charge, and on Tuesday announced plans to create a new counter-drug police force to fight corruption and stem cocaine smuggling.

But that may take time. And meanwhile, in Hispaniola, the U.S. DEA and local drug agents are up against the huge surge in drug flights.

As bad as it seems, the Dominican Republic is still in better shape than its island partner, Haiti, which suffers from severe corruption and political instability -- many experts believe it is on the verge of total chaos.

"Haiti's struggling police force, dysfunctional judiciary system, corruption, a weak democracy and a thriving contraband trade contribute to the prolific use of Haiti by drug traffickers as a strategic point of distribution," the State Department's report said.

Gen. Ramirez Ferreira, a two-star general in the Dominican Army, has just secured the purchase of eight airplanes from Brazil to intercept drug flights. And the general says he's just cleaned his ranks of about 3,000 corrupt drug agents, replacing them with young, untainted agents right out of school.

The fruits of the new push are evident.

CNN was shown a closet full of just-seized cocaine and other drugs. Lying on the floor, in a pile of large suitcase-size sacks stuffed with white powder, were about 130 kilos of pure cocaine just taken in this weekend. It was dropped from an airplane to a waiting fast boat before it was seized by DR agents.

The Dominicans have seized more than 1,000 kilos, or 1 metric ton, of drugs so far this year -- most of it cocaine. That's still behind last year's pace when DR agents seized an estimated 5 metric tons of cocaine.

The new efforts may all be just baby steps, but the DEA is trying to help the Dominican Republic's drug squads get up and running, by lending resources and personnel.

In a remote, windy and desolate stretch of desert landscape in the southwest center of the country, lies a crude airstrip used by drug runners to make drops. Dominican authorities didn't even know it existed until the DEA observed a drug drop there.

The airstrip, which looks more like a little used jeep road, is far from any towns or army bases, officials told CNN.

"We're about an hour away by land from the closest detachment we have in the nearest town," said Lt. Col. Luis Castillo in charge of the Dominican's drug transportation unit.

With the surge in drug flights, it's hard for the Dominican Republic to stop the drugs from getting in, and it's also hard to stop the drugs from getting out to the next stop in the drug pipeline -- Puerto Rico. E-mail to a friend

@highlight

Drug smuggling through the Dominican Republic, Haiti is on the rise

@highlight

Officials say they are ill-equipped to stem the flow of drugs

@highlight

U.S. officials say the drugs are increasingly coming through Venezuela

@highlight

DEA is trying to help the Dominican Republic fight the drug trade