Miami (CNN) -- All Luis had to do was hand a Cuban birth certificate to immigration officials and he was on his way to becoming a U.S. citizen.

"I started to receive my work permission, I went to the DMV, got my driver's license, I get my Social Security and that was it," he said.

Those are the privileges afforded to Cubans who flee the Castro regime and make it to the United States to seek asylum.

But Luis, who asked CNN not to use his real name, was not entitled to the privileges. He's Venezuelan, not Cuban. The forged birth certificate he said he bought for $10,000 was enough to pass initial scrutiny and he was able to live free and clear in the United States for years.

Luis is not alone. Pretending to be Cuban has become a trend in visa fraud, according to Alysa Erichs, special agent in charge of the U.S. Immigration and Customs Enforcement's Homeland Security Investigations office in Miami.

Anatomy of a fraud

The scam starts with the purchase of a Cuban birth certificate for between $10,000 and $20,000, she said.

Birth certificates are not yet computerized in Cuba -- they're torn from a book and the information is filled out by hand before being logged into a register. "The documents that they are presenting in some cases are actual Cuban birth certificates which are smuggled into the country blank, and then filled in with fictitious information here," Erichs said.

And while the documents are easily falsified, the benefits they can bring are real.

"There's little doubt that Cubans are treated better than any other group," said Cheryl Little, executive director of Americans for Immigrant Justice. "And that's been the case for decades."

Since the 1966 Cuban Adjustment Act, Cubans automatically gain refugee status upon arriving in the country and are put on a fast track to naturalization. The minute Cubans set foot on U.S. soil they don't need to worry about being deported, unlike migrants or even asylum-seekers from other countries. They receive a green card after being in the United States for a year and a day -- a much shorter time than faced by other legal immigrants.

Paying for a forged birth certificate often also brings coaching on how to answer questions so immigration officials believe the holder is Cuban. Erichs recalls one case in which the document-seller told the buyer, "OK, we're going to need you to get really sunburned and we're going to drop you off in the water and you're going to have someone that is going to rescue you and you're going to say that you were on a raft or a boat and it sunk."

Arriving in the United States on a raft is the same advice that Fidel Morejon Vega gave one of his buyers, who turned out to be an undercover officer taping the conversation. On camera Morejon can be heard telling the agent, if asked "why do you have a Mexican accent," to say, "Uh, because I work with a lot of Mexicans, I caught it."

Morejon was arrested. He declined CNN's request for an interview. Court documents show Special Assistant U.S. Attorney Timothy Cole accused Morejon of being the leader of a ring that sold fraudulent documents to at least 50 illegal aliens, with proceeds exceeding $500,000.

Last year, Morejon pleaded guilty to conspiracy to commit immigration fraud and he is currently serving a 33-month sentence in a federal prison. Officials say in recent cases they have found more documents that can be traced to Morejon's ring.

'A rising trend'

It was an increase in Cuban asylum claims that prompted Homeland Security Investigations Miami, the lead agency for the South Florida Document and Benefit Fraud Task force, to take a closer look at the application process. When they found fraud, a task force initiative, "Operation Havana Gateway," was created.

Erichs says the initiative was specifically set up to "combat a rising trend of immigration fraud based on false claims to Cuban birth and citizenship." The operation was launched in August 2012 and includes representatives from U.S. Customs and Border Protection, U.S. Citizenship and Immigration Services and the U.S. Department of State.

There have been 40 arrests since it was started. Investigators are going back as far as five years, the statute of limitation on these cases, in search of asylum claims made with fraudulent Cuban documents.

"In the past things were probably processed through more along the lines of a rubber-stamp type process," Erichs explained. "Now they are all scrutinized."

That scrutiny may have led to the letter Luis received from immigration authorities asking for more documentation to support his Cuban birth certificate. It came four years after Luis presented himself to immigration officials as a Cuban. In that time he had built a business, gotten married and started his American life.

Left with few options, Luis decided to "self-deport" instead of being charged with a crime. He went back to Venezuela.

Immigration attorney Wilfredo Allen, who's representing people involved in the fraudulent scheme, said: "Really what this is, is a desperation act by people who don't realize that it is never a good thing to present fraudulent papers."

Luis has now abandoned his forged Cuban papers, but he said resuming life as a Venezuelan at home did not work. He said he was attacked and did not feel safe in his home country. That fear and a longing for his old American life led him to sneak back into the United States over land just last month.

He is now living as an undocumented immigrant, under the threat of deportation if caught. That's something Morejon will never understand. When he finishes his prison sentence he will be released back onto the streets of America. Unlike his buyers, Morejon won't be deported. He really is Cuban.

@highlight

A task force finds that some immigrants are claiming to be Cuban

@highlight

Forged birth certificates are used to gain privileges offered to Cubans in the United States

@highlight

One man got a driver's license and Social Security number within days