(Mental Floss) -- It's Nobel Prize announcement week, and if you had Carol W. Greider, Elizabeth Blackburn, or Jack Szostak in your office pool, you're off to a good start (the trio will share this year's Nobel Prize in Medicine). As we await news of the rest of the winners, here are some stories about past Nobel laureates.

Nobel Prize winners receive a medal and a cash award.

1. Robert Lucas, winner of the 1995 Nobel Prize in Economics for his work on the theory of "rational expectations," split his $1 million prize with his ex-wife.

If there were a Nobel Prize for Foresight or Timing, she should be nominated, based on a clause in their divorce settlement from seven years earlier: "Wife shall receive 50 percent of any Nobel Prize." The clause expired on October 31, 1995. Had Lucas won any year after, he would have kept the whole million.

2. Physicist Lise Meitner, whose work helped lead to the discovery of nuclear fission, was reportedly nominated for the Nobel Prize 13 times without ever winning (though nominations are kept secret, so we don't know for sure). This makes her the Dynasty of the Nobel Prize scene -- that show was nominated for 24 Emmy Awards but never won. Other analogies we'd accept: The Color Purple (11 Oscar nominations in 1985, no wins), the Buffalo Bills or Minnesota Vikings (4 Super Bowl losses each without a victory) and William Jennings Bryan (three-time Democratic nominee for President, losing twice to McKinley and once to Taft.)

3. People who refused the prize:

• Le Duc Tho was awarded the 1973 Nobel Peace Prize with Henry Kissinger for their roles in brokering a Vietnam cease fire at the Paris Peace Accords. Citing the absence of actual peace in Vietnam, Tho declined to accept.

• Jean Paul Sartre waved off the 1964 Nobel Prize in Literature. His explanation: "It is not the same thing if I sign Jean-Paul Sartre or if I sign Jean-Paul Sartre, Nobel Prize winner. A writer must refuse to allow himself to be transformed into an institution, even if it takes place in the most honorable form."

• Afraid of Soviet retribution if he traveled to Stockholm to claim his prize, Boris Pasternak declined to accept the 1958 Prize in Literature, which he'd earned for Doctor Zhivago. The Academy refused his refusal. "This refusal, of course, in no way alters the validity of the award. There remains only for the Academy, however, to announce with regret that the presentation of the Prize cannot take place." Yevgeny Pasternak accepted the prize on behalf of his deceased father in 1989.

• Swedish poet Erik Axel Karlfeldt won for Literature in 1918. He did not accept because he was Secretary of the Swedish Academy, which awards the prize. He was given the award posthumously in 1931. This was allowed because the nomination was made before Karlfeldt died -- no candidate may be proposed after death. Mental Floss: 10 technologies we stole from the animal kingdom

4. In 2007, 90-year-old professor Leonid Hurwicz became the oldest person to ever win (one-third of the Prize in Economics); at 87, writer Doris Lessing became the oldest woman (Literature).

5. DNA expert Kary Mullis -- 1993 winner of the Nobel Prize in Chemistry -- was scheduled to be a defense witness in O.J. Simpson's murder trial. However, Simpson's lawyer Barry Scheck felt the prosecution's DNA case was already essentially destroyed, and he didn't want Mullis' personal life to distract jurors (he'd expressed an affinity for LSD.)

6. Nobel Laureates you must know: Teddy Roosevelt, Woodrow Wilson, Rev. Martin Luther King, Jr., Mother Teresa, Elie Wiesel, Mikhail Gorbachev, Nelson Mandela, Yasser Arafat, Shimon Peres, Yitzhak Rabin, Jimmy Carter, Toni Morrison, William Faulkner, T.S. Eliot, Ernest Hemingway, Samuel Beckett, Pierre & Marie Curie, Max Planck and Albert Einstein.

7. Big names who never won: Dmitri Mendeleev, Leo Tolstoy, Virginia Woolf, James Joyce, Marcel Proust, Mark Twain, Gertrude Stein, Henrik Ibsen, Joan Robinson, Thomas Edison, Nikola Tesla, Jules-Henri Poincaré, Raymond Damadian and Mahatma Gandhi. Mental Floss: 6 people who accidentally found a fortune

8. Winners without the greatest reputations:

• Daniel Carleton Gajdusek, who won in 1976 for his research in human slow-virus infections, spent 19 months in jail after pleading guilty in 1997 to charges of child molestation.

• Johannes Fibiger won in 1926 after discovering parasitic worms cause cancer -- a breakthrough that turned out to not be true.

• Yasser Arafat shared the 1994 Nobel Peace Prize with Shimon Peres and Yitzhak Rabin. This decision caused Nobel Committee member Kare Kristiansen to resign. "What consequences will result," he asked at the time, "when a terrorist with such a background is awarded the world's most prestigious prize?"

• William Shockley won for Physics in 1956 for his role in the invention of the semiconductor, but his support of the eugenics movement alienated the scientific community. Shockley also donated sperm to the Repository for Germinal Choice, a sperm bank developed to spread humanity's best genes.

9. As part of his divorce settlement, Einstein's Nobel Prize money went to his ex-wife, Mileva Maric.

10. The Curie family is a Nobel Prize machine, winning five: Pierre and Marie for Physics in 1901; Marie solo for Chemistry in 1911; daughter Irene and her husband Frédéric Joliot-Curie for Chemistry in 1935; and Henry Labouisse, who was married to Pierre and Marie's daughter Eve, accepted on behalf of UNICEF in 1965.

11. Marie Curie's second prize was marred by scandal. Then a widow, Curie had an affair with a married scientist, Paul Langevin -- a former pupil of Pierre Curie. Love letters were involved, eventually leading to a duel between Langevin and the editor of the newspaper that had printed them (no shots were actually fired.)

According to NobelPrize.org, when it was suggested that Curie not accept the prize, she wrote a shrewd letter, "which pointed out that she had been awarded the Prize for her discovery of radium and polonium, and that she could not accept the principle that appreciation of the value of scientific work should be influenced by slander concerning a researcher's private life."

12. Singing support --While there's no evidence the Nobel judges can be swayed by theme songs, that hasn't stopped Loriana Lana from composing one for Italian Prime Minister Silvio Berlusconi. "Peace Can" includes the lyrics, "Silvio forever will be / Silvio is reality / Silvio forever! /Silvio gives us trust."

13. Alfred Nobel -- inventor of dynamite -- may have been inspired to create the Nobel Prize after a premature obituary in a French newspaper called him a "merchant of death."

14. Nobel died on December 10, 1896. The formal awards ceremony is held in Stockholm each year on the anniversary of his death. The first awards show took place on December 10, 1901. (These things take time to plan.)

And in case you were wondering just how much of a say Alfred Nobel had in the prize, here's what he wrote in his will:

"The whole of my remaining realizable estate shall be dealt with in the following way:

"The capital shall be invested by my executors in safe securities and shall constitute a fund, the interest on which shall be annually distributed in the form of prizes to those who, during the preceding year, shall have conferred the greatest benefit on mankind. The said interest shall be divided into five equal parts, which shall be apportioned as follows: one part to the person who shall have made the most important discovery or invention within the field of physics; one part to the person who shall have made the most important chemical discovery or improvement; one part to the person who shall have made the most important discovery within the domain of physiology or medicine; one part to the person who shall have produced in the field of literature the most outstanding work of an idealistic tendency; and one part to the person who shall have done the most or the best work for fraternity among nations, for the abolition or reduction of standing armies and for the holding and promotion of peace congresses.

"The prizes for physics and chemistry shall be awarded by the Swedish Academy of Sciences; that for physiological or medical works by the Caroline Institute in Stockholm; that for literature by the Academy in Stockholm; and that for champions of peace by a committee of five persons to be elected by the Norwegian Storting. It is my express wish that in awarding the prizes no consideration whatever shall be given to the nationality of the candidates, so that the most worthy shall receive the prize, whether he be Scandinavian or not."  Mental Floss: 13 bizarre stipulations in wills

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

More than one Nobel winner had to share or give prize money to ex-wife

@highlight

Marie Curie was urged not to collect her second Nobel because of affair

@highlight

Three U.S. presidents have won the Nobel prize

@highlight

Lise Meitner  was reportedly nominated for the Nobel Prize 13 times, but never won