Reading the international press, one would be forgiven for thinking that Venezuela is on the verge of collapse.

Over the past decade, all sorts of predictions have been made, ranging from catastrophic election defeats to the implosion of the Venezuelan economy. But the fact these predictions have failed to materialize has not deterred many of Venezuela's most fervent critics in their quest to engineer a constant and misleading narrative of impending disaster.

More: Chavez returns after Cuba cancer treatment

The reality is that ever since President Hugo Chavez was first elected, Venezuela has defied these negative predictions and brought unprecedented social progress to the country over the last 14 years. Since 2004 poverty has been reduced by half and extreme poverty has been cut by 70%. University enrolment has doubled, entitlement to public pensions has tripled, and access to health care and all levels of education have been dramatically expanded.

Venezuela now has the lowest levels of economic inequality of any Latin American country as measured by the Gini coefficient. Our country has already achieved many of the Millennium Development Goals, and is well on target to achieve all eight by the 2015 deadline.

This progress has been achieved by using Venezuela's vast oil revenues to transform the lives of ordinary people. The sheer scale of our oil reserves -- the world's largest -- guarantees the complete sustainability of the model in which the country's resources are used to stimulate growth in the economy and aid development.

But Chavez's most significant achievement has been to trigger the awakening and empowerment of the majority. A majority of Venezuelans have seen vast improvements in their living standards and, as a consequence, they have continued to defend their interests at the ballot box.

The Venezuelan people are very clear about what they want. President Chavez was re-elected in October 2012 with 54% of the vote in an election that boasted an 81% turnout. The Venezuelan people showed their support for the government again in December 2012 in the gubernatorial elections, which saw Chavez's political party win 20 out of 23 states.

Governments in Europe and other parts of the world could only dream of these levels of support after 14 years in power. This shows that social progress in Venezuela has been consolidated and that there is a desire to further expand this progress.

In the coming years, the Venezuelan government will continue to respond to the needs of the Venezuelan people. Hundreds of thousands of new homes have been built over the last two years which have not only greatly improved living standards but also provided jobs and contributed to a boom in the construction industry. The government is well on its way to meeting its target of building three million new homes by 2019.

While many economies around the world are shrinking, the Venezuelan economy grew by 5.5% in 2012. Against the backdrop of a continuing international financial crisis, commerce in Venezuela grew by 9.2% and communications by 7.2%, manufacturing grew by 2.1% and the oil sector grew by 1.4% -- making Venezuela one of the fastest growing economies in Latin America.

At a time when many countries are attacking the rights of the most vulnerable sectors of society, Venezuela is providing ever greater protection for low-income senior citizens and single-parent families with younger children or disabled dependents.

The failed development models of previous governments condemned millions of Venezuelans to poverty. Before the election of Chavez in 1998, Venezuela suffered years of falling GDP. The country had one of the worst economic records in the world -- a record that led to mass social unrest and violent military crackdowns.

Venezuela will continue on its path of social progress and empowering ordinary citizens. The greatest hope for the future is the people know that they alone hold the power to determine the direction the country will take.

After so many failed predictions, isn't it time to respect Venezuela's democracy and the will of the people?

@highlight

Despite perceptions, Hugo Chavez has brought social progress to Venezuela

@highlight

Moncada: Venezuela's critics have engineered a false narrative of impending disaster

@highlight

Venezuela has used its vast oil reserves to transform lives of ordinary people

@highlight

Ambassador says Chavez's most significant achievement is his empowerment of the majority