Washington (CNN) -- The U.S. Supreme Court on Sunday refused to stop California from issuing same-sex marriage licenses, turning aside an emergency request from supporters of Proposition 8, the voter-approved measure that had earlier been dismissed by the justices on narrow, jurisdictional grounds. It is the latest legal and political twist in an issue that has divided the state.

Justice Anthony Kennedy refused to vacate a stay of a decision Friday by the U.S. Court of Appeals for the 9th Circuit in San Francisco, which had lifted a previous injunction on the ability of gays and lesbians to legally wed. Officials across the state, including the attorney general, quickly began performing same-sex marriages, including those of the two couples who brought the original lawsuit.

Kennedy acted on his own, without consulting the other justices, and offered no explanation for his decision to stay out of the new legal fight. Same-sex marriage opponents had argued the lower courts and state leaders acted too quickly, without allowing the legal appeals process to fully play out.

Process begins to allow federal benefits for same-sex spouses

It all started last week when in a blockbuster ruling, the Supreme Court dismissed an appeal over same-sex marriage on jurisdictional grounds, ruling Wednesday that private parties do not have "standing" to defend California's voter-approved ballot measure barring gay and lesbian couples from state-sanctioned wedlock.

After the appeals court two days later effectively permitted same-sex marriage to resume, supporters of Proposition 8 then asked the Supreme Court over the weekend to intervene. Despite Sunday's order, "traditional" marriage advocates have the option of asking another individual justice, or the entire court, to halt the 9th Circuit's order.

And while many more same-sex marriages are expected to be performed in coming weeks and months, the legal challenges over the issue are also certain to continue.

What angered Prop 8 backers in this fight was the appeals court's bypassing a traditional waiting period. Typically, 25 days must pass before Supreme Court judgments become final, to give the losing side an opportunity to ask for a rehearing. Such rehearing requests are almost always denied, but a three-judge panel of the 9th Circuit decided to act swiftly, without waiting for a certified copy of Wednesday's ruling to be issued.

"Everyone on all sides of the marriage debate should agree that the legal process must be followed," said Austin Nimocks, senior counsel for Alliance Defending Freedom, on Sunday. "The 9th Circuit has failed to abide by its own word that the stay would remain in place until final disposition by the Supreme Court. When courts act contrary to their own statements, the public's confidence in the justice system is undermined."

The Supreme Court's 5-4 opinion last week avoided, for now, a sweeping conclusion on whether same-sex marriage is a constitutional "equal protection" right that would apply to all states. But it had the effect of clearing the way for the nation's largest state to move ahead. Thirteen states have now approved of same-sex marriage. Delaware's law takes effect Monday.

Historic rulings on same-sex marriage

At issue in California was whether the Constitution's guarantee of equal protection under the law prevents states from defining marriage to exclude same-sex couples, and whether a state can revoke same-sex marriage through referendum, as California did, once it already has been recognized.

But a majority of the Supreme Court opted not to rule on those issues. Instead, it ruled on "standing" -- whether those who brought the suit to the court were entitled to do so.

"We have never before upheld the standing of a private party to defend a state statute when state officials have chosen not to," said Chief Justice John Roberts. He was supported by an unusual coalition: fellow conservative Justice Antonin Scalia and more liberal Justices Ruth Bader Ginsburg, Stephen Breyer and Elena Kagan.

Within hours of the ruling, California's Gov. Jerry Brown said, "I have directed the California Department of Public Health to advise the state's counties that they must begin issuing marriage licenses to same-sex couples in California as soon as the Ninth Circuit confirms the stay is lifted."

Brown, a Democrat, said he interpreted the high court opinion as making Prop 8 unconstitutional and unenforceable. The state's Attorney General Kamala Harris agreed and urged the Ninth Circuit U.S. Court of Appeals in San Francisco to issue its mandate "immediately." That court did so two days later.

There remains some legal uncertainty whether the high court's ruling could be enforced statewide, or limited to only a few jurisdictions. Some county clerks may decide they will not certify same-sex marriages in their jurisdictions.

The Prop 8 case was Act Two in a closely watched pair of high court appeals over state and federal laws and the limits of recognizing the ability of gay and lesbian couples to wed. The outcome of the rulings gives same-sex couples much to be encouraged about.

Opinion: Fight for gay rights must continue

California voters approved Proposition 8 in 2008 with 52% of the vote, shortly after the state Supreme Court ruled same-sex marriages are legal. The measure put gay and lesbian marriages on hold in the state, but a federal appeals court later ruled Proposition 8 was unconstitutional.

Two of the original plaintiffs -- Paul Katami and Jeff Zarrillo, a Burbank, California, couple who wanted to marry but could not because of Proposition 8 -- contended the state was discriminating against them because of their sexual orientation.

"This is about our freedom and our liberty," Katami told CNN. "We are not trying to topple marriage. We are not trying to redefine marriage. What we are trying to say is that equality is the backbone of our country."

Both they and Kristin Perry and Sandy Stier, the other plaintiff couple from Berkeley, were in the courtroom when the rulings came out. They were cheered when they emerged from the court building.

And the two same-sex couples were among the first Californians to get married on Friday afternoon.

Ironically, Justice Kennedy wrote the court's dissent in the Prop 8 petition.

"What the court fails to grasp or accept is the basic premise of the initiative process. And it is this. The essence of democracy is that the right to make law rests in the people and flows to the government, not the other way around. Freedom resides first in the people without need of a grant from government," he wrote. "The California initiative process embodies these principles and has done so for over a century. ... In California and the 26 other states that permit initiatives and popular referendums, the people have exercised their own inherent sovereign right to govern themselves. The court today frustrates that choice."

'What about us?' ask couples who still can't marry

Kennedy was joined by Justices Clarence Thomas, Samuel Alito and Sonia Sotomayor.

The case is Hollingsworth v. Perry (13A18).

@highlight

Court turns aside emergency request from supporters of California's Prop 8

@highlight

Justice Kennedy, acting on his own, rules same-sex marriages can continue

@highlight

Prop 8 backers say the appeals court ignored traditional 25-day waiting period

@highlight

Supreme Court ruling last week threw out on jurisdictional grounds a suit defending Prop 8