(CNN) -- What if robots ruled the world of golf?

A fanciful notion perhaps, but already many tasks formerly performed by humans are now carried out by mechanical devices.

And the same maxim is very much in evidence in golf, where products such as balls and clubs only reach the marketplace after being tested to perfection using robotic technology.

One developer has mooted the possibility of metal caddies and robot suits to help with coaching, in a sport where human error on the course is cruelly exposed.

An industry leader in this field is California-based Golf Laboratories Inc., whose founder Gene Parente saw a gap in the market when he started his company in 1990 -- and is now hoping to invent a fully robotic player.

'Iron Byron' led the way

Two decades ago, cutting-edge technology centered around a robotic-armed machine nicknamed "The Iron Byron" (after legendary U.S. golfer Byron Nelson).

It relied on air pressure and pneumatics to generate club-head speed. The contraption was effectively a giant garage door spring, with three speeds: slow, medium and fast.

Iron Byron's drawback was that it could only swing one way, whereas no "human" swing is exactly the same.

Parente and his partner Sean Dynes incorporated robot technology and computer control drive systems to produce a much more sophisticated testing mechanism.

"If you can swing a golf club, we can simulate it," Parente told CNN.

The approach has revolutionized the industry, enabling manufacturers to tailor their equipment to golfers of different abilities -- because not everyone has the athleticism to generate the 130 mph club-head speed of a Woods or a Bubba Watson.

But Parente is not content with that level of perfection, and decided to take his company's innovations a stage further with a prototype robot golfer that will take to the course and hopefully battle the pros.

"It's more for the entertainment aspect than anything else," admitted Parente, who said he was in talks with partners to develop the project.

Limited capability

Technology has clearly come a long way since the Sony Corporation introduced Qrio to the world in 2004.

The likeable robot figure may have been able to hand the winner's check to Ernie Els at the Japanese company's sponsored PGA Tour tournament, but its capability was limited. At public demonstrations it could merely putt a ball into a large hole on a mat.

Parente's ambitions extend a little further, inspired by the likes of the computer Deep Blue taking on chess grandmasters before large televised audiences.

"To be able to tackle something as difficult as golf takes this to another level," he said.

While "Man versus Robot" has an obvious appeal, the majority of commercial applications in golf and other areas are generally based on the principle of "Robot helping Man."

Perhaps this is because, as Parente flags up, there is a "fascination/fear" of the Terminator movie scenario where humans are enslaved by a ruthless robotic super race -- a similar theme also explored in the film RoboCop.

But as Indianapolis-based company Precise Path Inc. has proved, robots can be put to more peaceful purposes and are very good at mowing grass.

They have spent over five years perfecting the technology that sees its patented mower able to cut golf course greens and fairways to perfection.

Robot mower ready to roll

The robot mower is programed by its users to carry out work on a designated part of the course, and will carry on with the task to completion, come rain or shine.

Jason Zielke, chief operating officer and president of Precise Path, claims their product will change the face of golf course maintenance.

"Removing humans from that process has the combined benefit of a significant improvement in quality and consistency," he told CNN.

Precise Path was used for one half of a course in Florida, with normal green-keeping staff cutting the grass on the other.

Zielke claimed the greens mowed by the robot "rolled about a foot faster" than the others; in other words, they were smoother and better running.

Precise Path will go to market in 2012 and Zielke believes its applications will extend to other sports playing fields and public open spaces, saving large amounts in upkeep costs and freeing up staff for other duties.

Such advanced technology is expensive and remains outside the budget of the ordinary household, so robots cutting your lawn at home or employed in other tasks such as vacuum cleaning may be a little way off.

But according to Rich Mahoney, the director of robotics at California's SRI International, the technologies employed in robotics and modern consumer electronics are converging.

Increased availability

"The cost of some robots is decreasing and the availability of certain types of robots is increasing," said Mahoney, whose research team is developing low-cost technologies and robotic applications.

Extending this to golf, one of these might be in the form of your own personal caddy.

"Imagine a machine that carried your bag and could also give you advice based on every shot you have taken in the last year?" he told CNN.

For some this would be a nightmare scenario, but it would bring an end to those spats between player and caddy when each blames the other for a poor shot!

Mahoney can see other applications in the form of coaching aids.

"A robotic suit, a form of 'super suit' that guides your movements as you wear it, helping you to learn how to better swing the golf club," he explained.

For the time being, much of this remains in the future, but back in San Diego Parente is confident his robot golfer will hit the fairways soon and cause quite a stir.

But he is struggling to come up with a catchy name for his creation like "Iron Byron" and has settled on Golf Laboratories Computer Controlled Robot.

So Parente is hoping his creation will do the talking for him.

@highlight

Robotics technology is becoming more widespread in the golf industry

@highlight

It is widely used in performance testing of equipment such as balls and clubs

@highlight

San Diego-based company is developing a robot golfer

@highlight

Future roles could involve robots as caddies or personal coaches