(CNN) -- I learned a new word today: Heterarchy. I came across it buried in this year's Davos theme. Apparently it means multiple structures, overlapping, interacting, connecting and networking. Good grief, am I really climbing a Swiss mountain to learn about an arcane corner of the English dictionary?

The theme is set each year by the World Economic Forum. It is invariably a wordy bit of pretentious nonsense, designed to sum up what they hope we will focus upon in our meetings in the Swiss Alps. This year its headline is "The Reshaping of the World: Consequences for Society, Politics and Business."

Often the theme is overtaken by crises, pressing issues and economic fires, and everyone long forgets all about it before the first marshmallows have melted into the first hot chocolates.

But suddenly I realized I was tapping this out on an iPad, with a Bluetooth keyboard, while flying at 30,000 feet, and using the airliner's Wi-Fi to read a blog post by an influential 19-year-old from some eastern emerging market.

Hang on, I thought, this year's theme may have a little more staying power. In a further break from tradition, it may also actually make sense (assuming one can boil it down to useable English!).

What this theme recognizes is that during five years of crises massive changes have taken place simultaneously: The ubiquitous Internet has forged its way into previously closed societies; social media has exploded; there has been a revolution in communication; new, powerful economies have emerged; and there has been a fundamental shift in economic power towards the east.

In an incredibly short space of time, all the accepted truths that have guided us pretty much since the end of World War II have gone up in smoke.

As well as trumpeting that the immediate crisis is over, this year's Davos will posit that we now need to think about what's next -- and how we will manage it. WEFers are being asked to debate how society should make decisions in the future in this new world.

I think the WEF has a point. This is not just about smartphones, blogging and Facebook. It's about different ways of doing almost everything.

The economic, social and cultural wreckage from the crises of the past five years is everywhere; in its wake is a landscape where old rules no longer exist and the new ones have yet to be written and agreed.

Economically, central bankers own the world. Societally, a "lost generation" threatens cohesion.

Culturally, the issue of privacy has leaped to the top of the agenda -- from NSA-style data snooping by governments, to private companies like Facebook, Google (including its intriguing purchase of Nest) and Yahoo thinking it is ok to treat my information as their own -- and to sell it on.

Davos works best in two very clear situations: When there is a full-scale raging fire, and the big economic players come together and thrash it out (the Middle East, the Great Recession, and the eurozone crises spring to mind); or when serious tectonic shifts are going on in economies and societies.

Often the WEF's grandiosity forces the issue beyond breaking point. But I don't think this will happen this time round. The issues are prescient, they are on everyone's mind, we all know that 'times are different' and we are by no means sure how to handle them.

The question is whether the people coming to Davos can set their own little agendas aside for a few days, sit down, and really think about the kind of world we are facing now that the long overdue recovery is taking hold.

They must then question the role of government, social media, traditional media, and business in all of this. If they can do this then our trip up the Swiss mountain will have been worth it.

Of course this will require CEOs, government ministers and the grandees of Davos to actually practice what they preach and truly behave heterarchically. Perhaps WEF should provide a dictionary for all delegates in case anyone is in any doubt.

READ MORE:

Complete coverage: Davos 2014

@highlight

This year's theme recognizes that during five years of crises massive changes have taken place, Richard Quest writes

@highlight

All the accepted truths that have guided us pretty much since the end of the World War II have gone up in smoke

@highlight

People coming to Davos must question the role of government, social media, traditional media, and business in all of this