NEW DELHI, India (CNN) -- Flashback to 1984: As a child, I am glued to my family's black-and-white television set for our daily dose of evening entertainment and news on India's national broadcaster.

India holds its first rocket launch from a fishing village in southern India on November 21, 1963.

But this is no ordinary newscast: Prime Minister Indira Gandhi is speaking via videolink with astronaut Rakesh Sharma, who is aboard a space station.

Indian pride soared as Squadron Leader Sharma, an Indian Air Force pilot, became the first in the nation to explore the celestial realm, part of a joint mission with what was then the Soviet Union.

I don't remember what show it was, but it etched India's "astronomical feat" in the minds of those who watched it, including a 10-year-old like me.

But the Indian connection to space was much older than that milestone.

In the country's space calendar, November 21, 1963, is a key date: It marks the first rocket launch from a fishing village in southern India.

Nike-Apache, a two-stage sounding rocket imported from the United States, took off that day from Thumba, a site that eventually became a favorite location for similar experiments by international scientists.

So far, there have been some 2,200 sounding-rocket launches from that facility, according to the Vikram Sarabhai Space Center.

But the South Asian nation's space program has been far more expansive -- the Indian Space Research Organization (ISRO) has more than 60 events that it lists as "milestones" since 1962-63, which includes the successful use of polar and geosynchronous satellite launch vehicles.  See India's space odyssey in photos »

Fast forward to 2008: The country launches its first unmanned mission to the Moon in what is being seen as the 21st-Century, Asian version of the space race between the United States and the USSR -- but this time the two nations involved are India and China.

In September of that same year, a Chinese astronaut took a spacewalk, his country's first.

A month later, India sent Chandrayaan-1 -- Chandrayaan means "moon craft" in Sanskrit -- on a two-year mission to take high-resolution, three-dimensional images of the lunar surface, especially the permanently-shadowed polar regions.

The craft, carrying payloads from the United States, the European Union and Bulgaria, will search for evidence of water or ice and attempt to identify the chemical composition of certain lunar rocks.

Nonetheless, India maintains competition does not drive its space program.

Vikram Sarabhai, seen as the father of India's space program, made this case for government funding of the program in the 1960s:

"We do not have the fantasy of competing with the economically-advanced nations in the exploration of the Moon or the planets or manned space-flight," Sarabhai said, according to ISRO's Website.

"But we are convinced that if we are to play a meaningful role nationally, and in the community of nations, we must be second to none in the application of advanced technologies to the real problems of man and society," said Sarabhai, in what the agency described as a "vision" for India's space endeavors.   Earlier this year, the Indian government increased the federal budget for space research to around $1 billion from some $700 million, ISRO spokesman S. Satish told CNN, as scientists propose to send astronauts into space by 2015 on solely Indian missions.

ISRO was also studying the feasibility of sending a manned craft to the Moon by 2020, Satish said, adding that plans for unmanned Mars missions in the coming years have not been finalized.

The space agency dropped a TV-sized probe on the Moon last November that it said sent sufficient signals to the mother craft before a crash landing.

But the country's space ambitions are not limited to public research endeavors, Satish said.

"We have just entered the commercial satellite launch market," he said, including what ISRO noted is now the world's largest constellation of remote-sensing satellites.

These satellites, according to the Vikram Sarabhai Space Center, capture images of the Earth that are used in a range of applications -- agriculture, water resources, urban development, mineral prospecting, environment, forestry, drought and flood forecasting, ocean resources and disaster management.

Another major system, or INSAT, is used for communication, television and meteorology.

"We have mastered the space technology in these 40 years. We have already sent an unmanned mission to the Moon and now we look forward to sending a manned one there," Satish said.

@highlight

India made its first rocket launch on November 21, 1963

@highlight

Indian space group list more than 60 events it considers "milestones"

@highlight

India launches its first unmanned mission to the moon in 2008

@highlight

The South Asian nation is seen as being in an Asian space race with China