(CNN) -- Three U.S. researchers have won the Nobel Prize in physiology or medicine for solving "a major problem in biology," the Nobel Committee announced Monday.

Jack Szostak, from left, Carol Greider and Elizabeth Blackburn will share the $1.4 million prize.

Elizabeth H. Blackburn, Carol W. Greider and Jack W. Szostak are credited with discovering how chromosomes are protected against degradation -- a field that could shed light on human aging and diseases, including cancer.

"The award of the Nobel Prize recognizes the discovery of a fundamental mechanism in the cell, a discovery that has stimulated the development of new therapeutic strategies," the committee said in a news release.

The three will share the $1.4 million prize.

It is the 100th year the prize will be awarded, and the first time that any Nobel in the sciences has gone to more than one woman.

The work that won them the prize took place in the late 1970s and early 1980s.

It centers on structures at the end of chromosomes called telomeres and an enzyme that forms them, called telomerase.

As cells divide, chromosomes need to be replicated perfectly. Work by the researchers determined that telomeres protect DNA from degradation in the process, and that telomerase maintains the telomeres.

Though there had been some speculation that the three scientists were being considered for the Nobel, the committee keeps its work top secret -- and all three researchers said they were surprised.

Szostak told CNN he got the news in "that classic early morning phone call from Stockholm."

He described it as "surprising and exciting" -- perhaps particularly for him because he has not worked on the subject for the past 20 years. "I've been working on other things," he said. "It started off as a collaboration with me and Liz [Blackburn] -- Carol [Greider] was a student of hers."

The work began as "a long-standing puzzle that we were interested in solving," he said. "It was only over later years that it emerged, through the work of many people, that this was probably important for aging and cancer."

How it might help fight such diseases is not yet known, Szostak said. "It will take a while yet for that to be figured out."

Blackburn and Greider did not immediately return calls from CNN.

In a telephone conversation with the editor-in-chief of the Nobel Prize Web site nobelprize.org, Greider said she had been attracted to the field of research because "it seemed like the unanswered question."

She also said telomere research has a higher proportion of women than other fields because in its early days, the lead researchers brought women into the field. She called it a situation in which "you have someone that trains a lot of women and then there's a slight gravitation of women to work in the labs with other women."

She added, "I think actively promoting women in science is very important because the data has certainly shown that there has been an underrepresentation. And I think that the things that contribute to that are very many ... subtle, social kinds of things."

Blackburn, in a separate conversation posted on the Web site, said the proportion of women in telomere research is "fairly close to the biological ratio of men and women."

"It's all the other fields that are aberrant," she added, laughing.

The field of study intrigued her because "it's so intricate and complicated, and you want to know how it works," she said.

Blackburn was Greider's supervisor at the University of California, Berkeley. Now Blackburn is at the University of California, San Francisco. Greider is a professor at Johns Hopkins University School of Medicine in Baltimore, Maryland.

Szostak was previously at Harvard Medical School and is currently professor of genetics at Massachusetts General Hospital in Boston, Massachusetts.

Married with two children, he told CNN he has "no idea" what he'll do with his portion of the monetary prize -- about $467,000.

CNN asked whether he thinks his children, ages 9 and 12, will suddenly think dad's work is "really cool."

"Well," Szostak said, laughing, "maybe."

CNN's Josh Levs contributed to this report.

@highlight

NEW: Nobel Committee says prizewinners solved "a major problem in biology"

@highlight

Winners studied structures at the end of chromosomes called telomeres

@highlight

Their research relates to understanding aging, diseases including cancer

@highlight

Elizabeth Blackburn, Carol Greider and Jack Szostak will share $1.4 million prize