(CNN) -- International outcry -- and the pleas of a devoted son -- seem to have saved an Iranian woman from being stoned to death for adultery.

But while Sakineh Mohammedie Ashitani has been granted a reprieve, she is not the only woman sentenced to be stoned for adultery in Iran. There have been at least six sentences carried out since 2006, says Ann Harrison, an Iran expert at Amnesty International in London.

Adultery is the only crime that carries such a penalty in Iranian law, she said.

Only a handful of countries have laws calling for stoning, and Iran is the only one that carries out executions that way, Amnesty International records suggest.

That is because Islam doesn't really want the punishment to be carried out, says Ziba Mir-Hosseini, an Iranian-born campaigner against the practice.

"Stoning is not a Quranic punishment, it is Islamic jurisprudence. It happened later," says Mir-Hosseini, an expert on Iranian family law at London's School of Oriental and African Studies. "The punishment for any kind of sexual relations (outside of marriage) in the Quran is 100 lashes," she says.

Stoning is based on sayings from the Prophet Mohammed, known collectively as the hadith, says Mohammed Ali Musawi, a research fellow at the Quilliam Foundation, which describes itself as an "anti-extremist think tank."

Under the letter of Islamic law, it's nearly impossible to prove adultery, he says.

"How you prove adultery or fornication is to have four male witnesses -- or two women for every male equivalent -- all of them known to be upright, with no questions about their moral character, who witnessed the actual act of intercourse between the male and the female," he says.

"Basically, in normal life, this is next to impossible, to have four people testify that in the same place, at the same time, they saw the act of penetration," he argues.

False testimony can itself be punished with whipping, he says, because "it is such a severe sin."

"As you can imagine, if people were following these laws as they are stated, there would be next to no stonings," he says.

Even if someone confesses to serious sexual impropriety, they should be sent away three times to reconsider their confessions, he says, and only punished if they have admitted it four times, he adds.

But Iranian law is different, Mir-Hosseini says.

"In the case of this woman and other cases, the standard is 'the judge's knowledge,'" she says -- in other words, whether the judges believe adultery has been committed.

She sees stoning as a way of putting pressure on women, she says, particularly in provincial areas.

"So far there have been no sentences of stoning in Tehran, only in the provinces. It happens when the judge has a grudge against the woman," she argues, although she notes that only the Iranian Ministry of Justice has full records of how many stonings there have been, and where.

Men, too, can be stoned for adultery in Iran, she says.

The practice was banned under the secularizing Iranian shahs of the early 20th century, she says, then reinstated after the Islamic revolution of 1979.

"After the revolution, one of the first things the clerics wanted to do was put aside the 1920 secular legal code," which was based on French law, she explains.

"In 1982, the parliament called for Islamic punishments," she says. There was some resistance from senior clerics, but the founder of the revolution, Supreme Leader Ayatollah Ruhollah Khomeini, intervened to get it passed.

Stoning remained law in the updated 1992 penal code, she says, but in the first draft of a 2007 revision, it wasn't there.

"After the intervention of (hard-line President Mahmoud) Ahmadinejad, it was restored," she says.

That new legal code has not yet been approved, she says.

It's not clear who will win the battle over the code working its way through the system now, she says, but it does include a potentially face-saving way to keep stoning on the books without having to carry it out.

"There is a provision that, in cases where stoning causes harm to Islam, it can be substituted with other punishments," she says.

She thinks it's no accident that people are being stoned these days, amid political unrest in Iran.

"It has become a political matter," she contends. "Whenever there is a dispute between traditionalists and reformers in the judiciary," stonings increase.

"Stoning is one of those issues that has really (been problematic) for the Islamic republic because it is not accepted by society, including the judiciary," she claims. But there continue to be stonings, she says, because "like anywhere else, you have hardliners. You have radicals."

@highlight

Adultery is only crime that carries penalty of stoning in Iran

@highlight

Under letter of Islamic law, it's nearly impossible to prove adultery, researcher says

@highlight

Only handful of nations have laws calling for stoning

@highlight

It was banned under the secularized shahs of Iran