Boston (CNN) -- Mitt Romney is a smooth salesman. When he was a candidate in 2002, his pitch to the people of Massachusetts was that he could fix all that ailed us. As the Bay State's top salesman, he said, he would "bring great jobs here." He claimed he would at last be the governor to reform state government.

We bought it. Most of us now would warn, "buyer beware."

Under Romney, the Massachusetts economy sputtered to 47th in the nation in job creation -- and that was in relatively good economic times. Real wages declined (while rising across the nation). Instead of helping workers and small businesses adjust to changes in the global economy, Romney cut critical work force training programs and millions in economic development funds. Instead of promoting Massachusetts to attract jobs, he used the state as a punchline on the national Republican political circuit.

That's not all.

When I came into office immediately after Romney, hardly anything had been fixed. He left behind a bureaucracy whose work force grew during his term, an unsustainable public pension system and a culture of poor accountability throughout state government.

Young people and jobs were leaving our state. Our roads and bridges were crumbling, and his Republican predecessors' poor oversight of the infamous Big Dig project in downtown Boston resulted in billions of dollars of cost overruns, substandard workmanship and debilitating debt that he made no effort to remedy.

In the face of budget challenges, what did Romney do? He raised nearly every fee and surcharge that didn't bear the title "tax" and cut funding for the schools. In a state where education is our calling card, Romney was responsible for the second largest per pupil cut in education funding in America during his second year in office.

I respect Romney's business success. He has also always been a gentleman to me. But in his only turn as a CEO in government, he failed to deliver. His one profoundly important achievement in government -- enacting universal health care -- is something he shuns on the campaign trail, not because he isn't proud of it but because it doesn't fit his current conservative sales pitch.

So what happened? How could it be that a man who set out to send the Massachusetts economy soaring into the stratosphere instead ran it into the ground? Why did a fellow who promised to reform state government fix so little?

Romney sincerely believes that people are better off on their own: on their own to deal with their unemployment; with under-resourced public schools and no way to pay for college; with neglected infrastructure; with a job market that needs skills they didn't have. He does not fundamentally believe that government should help people help themselves. And he has a record as governor of Massachusetts to demonstrate how much damage his leadership does to people, their families and our future.

Since Romney left, we have made very different choices in Massachusetts. As a result, we are getting very different outcomes. We are growing twice as fast as the national economy and adding jobs now faster than most other states. Manufacturing is making a comeback. We are first in the nation in student achievement, in health care coverage, in economic competitiveness, in energy efficiency and in veterans services. We have earned the highest bond rating in the state's history. Government is also smaller, and many of the programs Romney promised but failed to fix, we actually fixed.

None of this is by accident. It is happening because, like President Obama and unlike Romney, we understand that government does have a role to play in helping people help themselves. We know that when government invests in the education of its people, its infrastructure and innovation, it creates the conditions for both businesses and families to grow and thrive. Most important, we understand that there are faces behind budget line items and that wise governing means seeing and dealing with the human, community and environmental bottom lines alongside the business one.

Today, Romney is trying to sell the same choices to the American people that he sold to the people of Massachusetts not so long ago. Massachusetts bought it then and got slow or no job growth, stifled innovation, neglected public infrastructure, and crowded and under-resourced schools. Those choices didn't work before, and they won't work now. Like I said, buyers beware.

The opinions expressed in this commentary are solely those of Deval Patrick.

@highlight

Massachusetts governor: Romney failed to deliver as governor

@highlight

He says state's economy suffered, and Romney didn't reform state government

@highlight

Patrick: His major achievement, health care law, is one he now shuns discussing

@highlight

He says Romney's record reflects a view that government is a problem, not a solution