(CNN) -- He's tweaked defense attorneys that potential jurors should be brought in from homeless shelters to boost diversity, sternly chastised lawyers for talking over one another, and pushed against having jury members continually shuttled in and out "like a Pop-Tart."

In the weeks and months leading to Casey Anthony's murder trial, Orange County Superior Court Chief Judge Belvin Perry Jr. has proven colorful, quick and -- above all -- in command.

"I know what is relevant," he said earlier this spring, in proceedings leading up to Tuesday's opening arguments. "I have never been shy in not speaking up."

After swearing in a 12-member jury and five alternates early Friday evening, which followed an 11-day selection process in Pinellas County -- the off-site location mandated by the judge, in hopes of drawing from more people who weren't biased by intense media coverage -- the 61-year-old will return next week to his native Orlando to preside over Anthony's trial.

Perry will then, as he has in his past 21 years as a judge, keep attorneys in line, resolve legal issues quickly and help jurors develop a clear understanding of the law and this specific case. That jury will decide whether to convict or acquit Anthony on aggravated child abuse, aggravated manslaughter, misleading law enforcement and capital murder -- a charge that, if there is a conviction, could lead to a death sentence.

Yet, while he has been an institution in central Florida legal circles for years, this trial marks Perry's coming-out party for many around the country. Already in the Anthony case, he has dealt with his share of testy, controversial and complicated matters, often while flashing his quick wit and easy grin.

"Judge Perry is a good judge," a veteran Florida attorney Brad Conway, who had represented Casey Anthony's parents, told CNN last year. "He knows the law."

In a sense, he was born into the law. His father, Belvin Perry Sr., and another man -- Richard Jones -- were the first two African-American officers hired, in January 1951, by the Orlando police.

At that time, Florida was still segregated. Yet the elder Perry remained on the job, becoming the city's first black plainclothes detective, according to the police department. He was still on patrol when he retired in 1976, dying 19 years later.

"A lot of pressure was on those two men, because if they failed, someone would have said they told them so," Belvin Perry Jr. said in a July 2010 ceremony unveiling statues of the elder Perry and Jones, as shown in a video on the Orlando police department's website. "Without trailblazers, there would be no path for us to travel today."

Belvin Perry Sr. never graduated from high school, according to a feature obituary in the Orlando Sentinel, yet he fathered five children who went onto become a school principal, store owner, surgeon, lawyer and judge.

Later, Perry Jr. credited his father with helping shape his patient, engaging style from the bench -- especially the importance of listening to others and carefully processing information first before coming to a decision.

"Always wait until you hear everything before you come up with a conclusion -- particularly before you open your mouth," the son told CNN affiliate WESH.

Still, the younger Perry was not always destined to be a judge. After earning his bachelor's degree in history from Tuskegee University in 1972, Perry spent another two years at the Alabama school getting his master's in education.

It was then that he moved onto Texas Southern University for his third degree -- in law -- at the Thurgood Marshall School of Law.

The Orlando native established his bonafides early as a prosecutor in Florida's ninth circuit. In 1989, he moved behind the bench by becoming a circuit judge in Osceola County. By 1992, he'd moved back to Orange County and -- three years later -- was tapped as chief judge.

In 2011, judges on the Sunshine state's ninth circuit again unanimously voted Perry to an eighth term in that post. That puts him in charge of 65 judges in Orange and Osceola counties through at least 2013.

In his time on the bench, Perry has presided over numerous murder trials and high-profiles cases.

In 2002, for instance, he ruled against prosecutors when he refused to compel employees of a drug treatment center to testify about an incident in which then-Florida Gov. Jeb Bush's daughter, Noelle, was allegedly found to have a small amount of crack cocaine. More recently, he ruled against defense attorneys' in their bid to restrict the media's coverage during the Casey Anthony trial.

"We don't live in Egypt. We don't live in Libya," Perry said. "There's a thing called the First Amendment. Whether we like it or not, it's in the Constitution."

Yet despite his preeminent legal standing in Orlando County -- where, police say, Anthony killed her two-year-old daughter Caylee, put the girl's body in her trunk and disposed of it, then misled investigators -- Perry initially was not supposed to be on the case. He came on in April 2010, after Judge Stan Strickland stepped down after the defense accused him of being a "self-aggrandizing media hound" who is biased against Anthony.

In recent months, defense attorneys have raised various objections -- which Perry, for the most part has overruled -- calling for a slower pace to the case, asking the judge to exclude certain evidence and challenging the diversity of the jury pool. Yet compared to the atmosphere with Strickland, there have been no personal barbs or accusations that Perry is doing anything but trying to adhere to the law, as he sees it.

This is not surprising, according to lawyers quoted in several media reports around Florida and others, who say Perry can be counted on to be timely, deliberative and fair.

"He's going to make a conscious, well-developed legal decision in good faith based on what he's heard, one way or another," Jeff Deen, a Florida lawyer, told WESH.

Conway recalled, during his first appearance before Perry years ago, being invited into chambers and being given two rules: "One, the train leaves at 8:30 a.m. Be on it. Two, be prepared."

Conway said that Perry assured him, "If you follow those two rules, you'll be fine."

Watch Nancy Grace Monday through Sunday starting at 8 p.m. ET on HLN. For the latest from Nancy Grace click here.

@highlight

Chief Judge Belvin Perry Jr. is the presiding judge in Casey Anthony's murder trial

@highlight

Anthony is accused of murdering her daughter Caylee, among other charges

@highlight

Perry's father was one of the first two black officers on the Orlando police force

@highlight

Perry has been elected chief judge in Orange County by his peers eight times