Sanford, Florida (CNN) -- Current and former neighbors call George Zimmerman caring, passionate and polite, a regular guy they enjoyed being around.

But critics of the investigation into the death of 17-year-old Trayvon Martin at the hands of the Florida neighborhood watch volunteer have portrayed Zimmerman in other terms. They say he recklessly pursued Martin and possibly engaged in racial profiling.

They're demanding that Zimmerman, 28, be arrested in the death of Martin, who was shot last month while walking to the house of his father's fiancee after a trip to a Sanford convenience store.

Zimmerman has said he acted in self-defense.

The debate that has riveted the nation in the past few days has largely been framed in racial terms.

A police report describes Zimmerman as white; his family says he is Hispanic and he has wrongly been described as a racist. Martin was African-American.

On Wednesday, Martin's father, Tracy, said race played a role in the police investigation.

"Had Trayvon been a white kid ... Zimmerman would have been arrested," he said.

Critics have accused the Sanford Police Department of mishandling the case. Police Chief Bill Lee announced Thursday he is stepping down "temporarily" because he was becoming a distraction to the investigation.

The president of the NAACP, Benjamin Jealous, said Lee failed to do his job. "The reality is that this chief had probable cause to lock up a man who shot a boy in cold blood -- because he shot a boy in cold blood -- and he failed to do that," Jealous said.

Gov. Rick Scott announced Thursday that he was appointing Angela B. Corey of the 4th Judicial Circuit as state attorney in the investigation.

Members of Martin's family were among demonstrators Wednesday in New York for a "Million Hoodie March," a reference to the attire the 17-year-old was wearing when he was shot.

"A black person in a hoodie isn't automatically suspicious," an online protest page said. "Let's put an end to racial profiling."

A former high school classmate painted a different picture of Zimmerman.

"A race thing? That is definitely not the case," Eric Gross of Greenville, South Carolina, said on Thursday. "He is by far not anywhere near a racist. I wasn't there, but he was a good guy."

The two attended Osbourn High School in Manassas, Virginia.

Zimmerman attended a four-month law-enforcement program in 2008 at the sheriff's office, said Kim Cannaday, spokeswoman for the Seminole County sheriff's office.

In his application for the course, Zimmerman wrote: "I hold law enforcement officers in the highest regard and I hope to one day become one."

Opinion: Why black people don't trust police

Zimmerman has remained quiet over the shooting. His father said Zimmerman moved out of his home after receiving death threats. CNN has made numerous attempts to contact him, but has been unsuccessful.

The paths of Trayvon Martin and Zimmerman intersected on February 26.

The watch volunteer saw the youth and called 911 to report a suspicious man, authorities said.

"Something's wrong with him. Yep. He's coming to check me out," Zimmerman told a police dispatcher in a 911 call released Monday. "He's got something in his hands. I don't know what his deal is. Send officers over here."

The teen started to run, Zimmerman reported. When he said he was following, the dispatcher told him, "We don't need you to do that."

Shortly afterward, neighbors began calling 911 to report a fight, then a gunshot. By the time police arrived, Trayvon Martin was dead. Martin was unarmed.

In a police report, Officer Timothy Smith said Zimmerman stated he was "yelling for someone to help me," but the victim's family said it was the teen asking for help.

The death has sparked allegations that Zimmerman took Florida's "stand your ground" law too far by chasing after the teen. Police added that while it was suggested Zimmerman not chase him, it is "not a lawful order that Mr. Zimmerman would be required to follow."

"Mr. Zimmerman was not acting outside the legal boundaries of Florida Statute by carrying his weapon when this incident occurred," Lee said recently. "He was in fact on a personal errand in his vehicle when he observed Mr. Martin in the community and called the Sanford Police Department."

Lee added that Zimmerman had a permit for the weapon.

Zimmerman's family has denied that race played a role, saying he has many minority relatives and friends.

"The portrayal of George Zimmerman in the media, as well as the series of events that led to the tragic shooting, are false and extremely misleading," his father, a retired magistrate judge, wrote in a letter published in the Orlando Sentinel. "Unfortunately, some individuals and organizations have used this tragedy to further their own causes and agendas."

"George is a Spanish-speaking minority with many black family members and friends," Robert Zimmerman wrote. "He would be the last to discriminate for any reason whatsoever."

Frank Taaffe, a neighbor in Florida, told CNN's John Zarrella that Zimmerman "had a passion for the safety of our neighborhood and he demonstrated to the rest of us that one person could make a difference. And he was an average guy, just like me."

Zimmerman was a student at Seminole State College, but the college said Thursday that it had "taken the unusual but necessary step this week to withdraw" him from enrollment. It cited the high-profile nature of the controversy and said the decision was based on concern for the safety of Zimmerman and the students on campus.

Heated debate has erupted over whether Zimmerman used a racial slur during the 911 call, a recording of which was released this week.

"We didn't hear it. However, I am not sure what was said," said Sgt. David Morgenstern of the Sanford Police Department.

"I have listened to the tapes, and I have not heard them use a racial slur," concurred City Manager Norton Bonaparte.

A top CNN audio engineer enhanced the sound of the 911 call, and several members of CNN's editorial staff repeatedly reviewed the tape but could reach no consensus on whether Zimmerman used a racial slur.

Whether Zimmerman used such language before shooting Martin is key, according to CNN Senior Legal Analyst Jeffrey Toobin.

"It's extremely, extremely significant because the federal government is not allowed to prosecute just your ordinary, everyday murder," he said. "Two people fighting on the street is not a federal crime. However, if one person shoots another based on racial hostility, racial animus, that does become a federal crime."

Toobin said that if "very shortly before" the shooting, "Zimmerman used this racial epithet to refer to the person he openly shot, that very much puts it within the FBI's and the Justice Department's ambit of a case that they could prosecute."

Police say they have not charged Zimmerman because they have no evidence to contradict his story that he shot in self-defense.

Taaffe told HLN's Jane Velez-Mitchell that his friend was only inquiring about why Martin was in the area, considering there had been documented incidents involving young black men in the neighborhood committing crimes. But he said that in no way did Zimmerman target Martin.

"Zimmerman is not a racist," he told Velez-Mitchell. "George Zimmerman is a caring man."

In Manassas, Virginia, former neighbor George Hall recalled Zimmerman as being a polite young man. Hall wrote a positive recommendation for Zimmerman, who he said wanted to attend a police academy.

Hall called the Zimmermans good neighbors.

"They were all good. Helpful, friendly, cheerful. I never saw anything negative in any of them," he told CNN's Brian Todd. "I just never did. I'm floored. I really am."

CNN's Kim Segal, Mallory Simon and Dugald McConnell contributed to this report.

@highlight

Protesters have called for George Zimmerman's arrest

@highlight

They say race has played role in investigation

@highlight

Neighbors say Zimmerman is caring and polite

@highlight

Florida college withdraws him from enrollment