(CNN) -- Everything looked perfectly normal as the plane prepared to land. I fastened my seat belt and looked through the window, watching the toy cars on the highway below gradually grow to life-size, and the airport runway rapidly -- too rapidly, perhaps -- move almost within arms' reach. The plane touched down, barreled ahead on the tarmac for a couple of seconds, and suddenly raised its nose and roared back up to the sky pressing us against our seat backs while climbing at a frighteningly steep angle.

What happened, we wondered wordlessly. What's coming next?

What came next was an anxious circling back to the airport followed by a smooth landing and not much of an explanation about what had gone wrong. By then, our heartbeats had mostly returned to normal.

The story did not end the same way for passengers of Asiana flight 214, which crashed on landing in San Francisco last weekend, leaving two young women dead and scores injured.

The Asiana disaster continues to rivet our attention. We want to know exactly what went wrong. But that's not only because it was a terrible tragedy for many families. It's that air flight commands so much interest.

The San Francisco disaster is receiving much more attention, for example, than the horrifying runaway train crash in Canada that razed a town and killed at least 15 people, with another 45 still missing. We give far more attention to plane crashes that kill a small number of people than to, say, car fatalities, which killed more than 32,000 people in the U.S. alone last year.

Each death is devastating and should be mourned, but our attention, in proportion to the risk and the death "tool" is much greater when it comes to flying.

The experts have told us the statistics. Flying is almost perfectly safe. Even when disaster does occur, as with this weekend's flight, the numbers are extraordinary. More than 99.3% of the 307 people on board the Asiana flight survived.

It's much more dangerous to do almost anything, the statistics tell us, than to fly. Billions of people fly every year and almost zero percent of them die in the process. The risk is comparable, we're told, to that of dying from a ceiling collapse at a grocery store.

And yet, the reassuring statistics penetrate our collective fears as slowly as a worn drill bit cutting into stone.

Flying remains a surreal, magical experience, but one that -- even among those who will adamantly deny it -- is framed by a twinge of irrational fear. The experience of climbing on an airplane and watching it defy gravity, break through the clouds and glide across the sky remains a barely comprehensible human achievement; it feels like a challenge against the laws of nature.

Flying has a powerful emotional hold on us. There is something sublime about humans looking down upon the clouds. But the experience also packs the truth about our mortality more transparently than almost anything we do.

When we are sitting in that cargo-packed aluminum tube, mocking the earth's pull, the thought that something could go badly wrong tends to sneak into our consciousness. A spell of strong turbulence can sharply shift the collective mood on board, no matter what the statistics. It's no wonder some people refuse to fly without a strong infusion of thought-quieting alcohol.

It is that outsized emotional power of flight that makes plane crashes or news about near misses compel our attention, even when the casualties remain (fingers crossed!) so remarkably low.

There is, of course, a grave downside to the exalted place on which we keep our fear of air disaster. There is a reason terrorists have so often used flights as the means to inflict terror. They know we pay attention, they know we are primed for fear.

Not surprisingly, such a powerful primal response comes with a price tag. As a society, we spend enormous sums and we endure endless discomfort trying to do everything we can to make flying safe, or at least to make many of us feel as though we've made it safe.

The 9/11 attackers, who used passenger aircrafts as weapons produced such a strong reaction that they drastically changed the flying experience and the cost of flying. Some put the total 9/11 tally at trillions, most of it from America's intense reaction to the hit.

The Transportation Security Administration spends $8 billion per year shepherding us through endless security lines. We obediently stand in the queue, adding countless hours and enormous inconvenience, hoping it all amounts to more than security theatre.

In the aftermath of my aborted landing, I spent hours trying to dig out the facts of what had occurred, as I have done after other, much scarier flying experiences involving engine failures, jammed landing gears and blown tires. Anyone who has traveled extensively, particularly in remote parts of the world, has a few stories to tell about airborne misadventures.

First I asked a flight attendant what happened when I was leaving the plane. She said there was "probably" something blocking the runway on our first landing attempt. I looked up the public records of flight incidents and was surprised to find no sign of my obviously not routine incident. I called the airline and was told, much to my surprise, that these kinds of "touch and go" and "go around" incidents are quite routine, barely meriting a note in the log, and that there was probably another aircraft on the runway, perhaps an air traffic controller mistake.

Then I called the Federal Aviation Administration. The FAA said their logs showed no sign that such a thing had occurred. I called the airline again, pointing to the FAA's denial of their story. After much insistence and many phone calls and emails I was finally told it was the pilot who "was not comfortable" with the landing he was executing.

Flying, it seems, will never be completely predictable or 100% incident free.

The opinions expressed in this commentary are solely those of Frida Ghitis.

@highlight

Frida Ghitis once on flight that made aborted landing, then landed safely

@highlight

She says fatalities rare but air travel draws primal fear that dangerous travel modes don't

@highlight

She says 9/11 drastically changed the cost of flying; U.S. spends lavishly on air safety

@highlight

Ghitis: While relatively safe, will never be completely predictable or 100% incident free