(CNN) -- Twelve-year-old Peter Mance knows every street before he sets foot in a city.

It's not because he's visited before. It's because he's autistic and has an uncanny ability to memorize maps.

"He's actually a big help when traveling," jokes his mother, Kim Mance, founder of women's travel blog Galavanting and the Travel Blog Exchange, a community of travel writers and bloggers.

Mance's other son, 10-year-old son Stephen, has used a wheelchair since surgery to remove a spinal tumor left him paralyzed from the waist down. Mance always has to make extra phone calls to ensure there's an accessible subway or hotel room, but that hasn't stopped her from vacationing with her sons all over the world.

While she mostly travels for work, Mance says taking Peter on trips since he was diagnosed with autism at age 2½ helped him not get "rutted into routine." Some autistic children can't stand to have their schedules disrupted, she explained.

"By [traveling] consistently over time, he's developed ways to cope with being outside his routine," she said. To help comfort Peter, Mance created games -- like hunting to find his pajamas -- that he plays in every new place he visits.

Traveling with children is difficult, but when children have wheelchairs or communication problems, it can be overwhelming for parents to plan even a weekend getaway.

"You cannot pick up and go like everyone else does. You have to plan your trip very carefully," says Jani Nayar, executive coordinator of the Society for Accessible Travel & Hospitality.

About 2.9 million youths ages 17 and younger have a disability, according to the 2009 American Community Survey. Even if it requires extra planning, Nayar says, it's important for children with disabilities -- whether they're blind, deaf, autistic or use a wheelchair -- to "get out of the house and travel like any other child."

Michell Haase, founder of TravelinWheels.com, a site that offers travel tips for disabled people, suggests that families "start small."

"It doesn't have to be the big trip to France," she said.

For families that haven't traveled before, Haase suggests driving to a nearby city and trying a hotel stay. In 1990, the Americans with Disabilities Act required that hotels provide accessible amenities. But when booking a room, Haase says to be specific about your needs.

"Don't just ask if the room is accessible, because it means so many things to so many people," she said. It's OK to ask questions and request for a certain bed height or shower chair, she added.

During trips, Haase has persuaded hotel managers to get rid of their shower chairs without supportive backs in favor of ones that people with balance issues, like her daughter Kelsey, can use.

Kelsey, 18, uses a wheelchair because she has spina bifida, a condition that prevents the spinal cord from developing. She has traveled all over the country as a wheelchair athlete and is the national powerlifting champion for her weight class.

Though Kelsey's mother plans ahead by making phone calls and researching accessible options online, the two have had their fair share of travel hiccups. The list includes being stuck in the rain at a rental car facility without an accessible shuttle and being stranded in excruciating heat when a Chicago trolley car was too crowded to fit her daughter's wheelchair.

Regardless of the amount of planning, parents can't predict a broken subway elevator or an unexpected flight of stairs.

"I'm always having to be five steps ahead of the game and thinking what we're going to need. And then, when it doesn't work out, it becomes really frustrating," Haase said.

Overcoming the intimidation of taking a trip is the biggest obstacle, Mance says. But once parents get over the learning curve of knowing where to go and how to get from point A to point B, traveling with a disabled child becomes second nature.

"Over the years, I've developed this sixth sense about which entrance is more likely to have a ramp or certain places that may be able to accommodate even just space between chairs at restaurants," says Mance, who has taken her sons to Japan, Morocco and several European countries.

Sometimes, Mance has her autistic son, Peter, wear a button or T-shirt that says, "I'm autistic. Please be patient." The message is a friendly reminder to other travelers that her son isn't purposely acting out.

"You'd be surprised how somebody can get really irritable because they think your kid is misbehaving," she said.

About one in 110 children have an autism spectrum disorder, according to the Centers for Disease Control and Prevention. Though Mance says Peter looks forward to each excursion, not all autistic children handle new adventures well.

"There are some kids with autism that love to travel and do really well. For others, it can just be more challenging," said Lisa Goring, the vice president of family services at Autism Speaks.

If a child thrives in rigid routines, Goring suggests parents tell their child in advance that they will be exploring a new place. Creating a book with pictures of the travel destination can also help children know what to expect.

When planning a trip, find out if attractions in the area offer special programs. The Garden State Discovery Museum in Cherry Hill, New Jersey, has Open Arms Family Evenings several times a year. The program allows families with autistic children to explore the hands-on museum, which includes simulating scenarios such as visiting a doctor's office, buying fruit at a market and ordering food at a diner.

Autistic children who struggle with daily activities benefit from the museum, said Judy Shapiro, director of sales and marketing.

"The more they can practice in a safe environment, the better they are in the real world because it's not new to them," she said.

Parents who don't want to navigate cities may enjoy cruises that have accessible pools and programs just for kids. Nayar pointed out that many ships allow parents and their disabled children to attend youth activities together.

The all-time best place to travel with a disabled child? The Magic Kingdom, mothers and travel experts say.

"Disney World is the nirvana," Haase says. "We usually go to Disney World and almost forget that there's any issue."

Disney provides Guest Assistance Cards for anyone with a disability. Guests can use the cards to wait in separate lines for rides, and up to five members may go on the attraction with the cardholder.

Mance recently took her kids to Disney World and said the pass allowed her family to get through the lines "exponentially faster." She said her son loved the graffiti-style signs with a wheelchair symbol because they were geared toward kids. "He felt so accepted," she said.

Disney also permits a family member to test a ride -- without waiting in line twice -- to gauge how a disabled child may react before he or she gets on. In case rides or crowds are too loud, Mance brings along ear plugs so Peter can block the noise.

New York City is one of the most accessible cities in the country, according to Nayar. Besides accessible museums and public transportation, organizations are spearheading efforts to make theater productions more accessible.

In June, the Alliance for Inclusion in the Arts kicked off the Broadway Accessibility Initiative, which aims to make Broadway shows more enjoyable for the deaf and the blind.

At no charge, hearing impaired theatergoers may use I-Caption, a handheld device that displays dialogue, lyrics and show announcements. Visually impaired patrons may use D-Scriptive, an audio device that relates all visual elements of a show, including choreography, lighting, sets and costumes.

The goal is to "open up Broadway to an audience who has historically not been reached out to," said Sharon Jensen, executive director of Alliance for Inclusion in the Arts.

Families that prefer outdoor recreation don't have to stay at home either. Almost all national parks have accessible hiking trails or activities like kayaking. Some state parks -- in states such as Wisconsin,  Pennsylvania and  South Dakota -- have accessible cabins that include kitchens with low counters, showers that fit wheelchairs and hospital beds with lifts.

"Traveling allows kids to see the world in a positive light, but planning a dream vacation isn't going to be simple," Haase said.

"Especially when they're disabled, you want them to have a good experience, so it's a lot of pressure," she said.

But by not staying in the protection of their own home, Haase says, she and Kelsey are showing able-bodied people what they can change at hotels, restaurants and attractions to make life a little easier on others.

"It's one thing to have a law that says you have to do this," she said. "It's a whole other thing to see somebody experience the struggle and then want to help them."

@highlight

Vacationing with disabled children may be challenging, but parents say it's worth the effort

@highlight

Traveling may help autistic children break up rigid routines

@highlight

Disney World provides incredible service to disabled kids, moms and travel experts say