(CNN) -- Until authorities know what happened to Malaysia Airlines Flight 370, they'll look for clues in the histories of everyone on board.

The cruel reality is that every one of the 239 people on board is both a possible victim and a possible suspect -- until proved otherwise.

Already, some passengers and the pilots have fallen under increased scrutiny, and more are likely to come into focus as the search for answers continues.

"You have to look at everybody that got onto that plane," Bill Gavin, former assistant director of the FBI in New York, told CNN's "The Lead with Jake Tapper" on Monday.

"You can start peeling the onion there by eliminating some of the people immediately -- you know, like children, and maybe very elderly people, or infirmed people. You might be able to eliminate those folks.

"But, by the same token, you really have to look through the whole category of people that are on the plane," he said.

Here's what we have so far about some of the people investigators want to know more about:

Pilot: Zaharie Ahmad Shah

Malaysia's Prime Minister has said that somebody deliberately steered the plane off course. That means the pilots have become one obvious area of focus.

On Saturday, Malaysian police searched Zaharie Ahmad Shah's home. The 53-year-old pilot and father of three lives in an upscale, gated community in Shah Alam, outside Malaysia's capital, Kuala Lumpur.

Malaysian police said Sunday they were still investigating a flight simulator seized from that house.

It's somewhat common among aviation enthusiasts to use online flight simulator programs to replicate various situations.

An initial search of the personal computers and e-mails of the pilots found nothing to indicate that a sudden deviation in the Boeing 777's route was preplanned, U.S. officials said on Tuesday, after being briefed by Malaysian authorities.

U.S. officials reviewed cockpit conversations between the flight and air traffic controllers and again said they saw nothing suspicious or anything that would explain why the jetliner deviated from its course.

The pilot's political beliefs are also being questioned. Zaharie is a public supporter of Malaysian opposition leader Anwar Ibrahim.

Just hours before the flight took off, a court ordered Anwar to prison on charges of sodomy, a sentence the opposition leader says is a political vendetta.

Despite the timing of the decision, there is no evidence to tie the plane's disappearance to the pilot or his politics.

"He likely was upset at the verdict that had just been announced several hours before he boarded the aircraft, but to down an airline because of that I think at this point is pure conjecture. Again, I would take any of these accusations with a huge grain of salt," the RAND Corporation's Seth Jones told CNN's "Erin Burnett OutFront."

Peter Chong, a friend of Zaharie's, similarly said it's unfair to imply the pilot had anything to do with what happened to the plane.

He said he'd been to Zaharie's house and tried out the flight simulator.

"It's a reflection of his love for people," Chong said, "because he wants to share the joy of flying with his friends."

Zaharie joined Malaysia Airlines in 1981 and has more than 18,000 flying hours.

Who were the pilots?

Co-pilot: Fariq Ab Hamid

Fariq Ab Hamid, 27, started at the airline in 2007 and has 2,763 flying hours.

Two vans were loaded with small bags, similar to shopping bags, at the home of the co-pilot, according to a CNN crew that observed activities at the residence.

It was unclear whether the bags were taken from the home, and police made no comment about their activities there.

U.S. intelligence officials are leaning toward the theory that "those in the cockpit" -- the captain and co-pilot -- were responsible for the mysterious disappearance, a U.S. official with direct knowledge of the latest thinking has told CNN.

The official emphasized that no final conclusions have been drawn and that all the internal intelligence discussions are based on preliminary assessments of what is known to date.

Acting Malaysian Transportation Minister Hishammuddin Hussein has told reporters the pilots didn't request to work together.

Passenger: Mohammed Khairul Amri Selamat

The 29-year-old Malaysian civil aviation engineer works for a private jet charter company.

Although police are investigating all passengers and crew, he is likely to be of particular interest because of his aviation knowledge.

"I am confident that he is not involved," his father said Monday. "They're welcome to investigate me and my family."

The bottom line, investigators say, is that whoever flew the plane off course for hours appeared to know what they were doing.

They are looking into the backgrounds of the passengers to see whether any of them were trained pilots.

"There are still a few countries who have yet to respond to our request for a background check," said Khalid Abu Bakar, inspector general of the Royal Malaysian Police Force. "But there are a few ... foreign intelligence agencies who have cleared all the(ir) passengers."

Passengers: Pouri Nourmohammadi and Delavar Seyed Mohammad Reza

In the first few days after the plane went missing, investigators focused intensely on two passengers who boarded the plane using stolen passports.

Authorities have since identified them as Nourmohammadi, 18, and Reza, 29, both Iranians.

The men entered Malaysia on February 28 using valid Iranian passports, according to Interpol.

Malaysian police believe Nourmohammadi was trying to emigrate to Germany using a stolen Austrian passport. His mother contacted police after her son didn't arrive in Frankfurt as expected.

Malaysian investigators say neither of the men has any apparent connection to terrorist organizations.

Stolen passports don't necessarily indicate terrorism. In fact, passengers flew without having their travel documents checked against Interpol's lost-and-stolen passport database more than a billion times in 2013, according to the international police organization.

Terrorist link?

While investigators continue their search, one possibility that has been talked about is that an act of terrorism downed the airliner.

There has been speculation that Uyghur Muslim separatists in China's far western Xinjiang province might have been involved in the plane's disappearance.

The Uyghurs are a predominantly Muslim ethnic group who live in Xinjiang, an area the size of Iran that is rich in natural resources, including oil.

One of the two long corridors where authorities say the plane was last detected stretched over Xinjiang, and unconfirmed reports have suggested the possibility that Uyghurs might be connected to the case.

Chinese authorities have accused separatists from Xinjiang of carrying out a terrorist attack this month in which eight attackers armed with long knives stormed a train station in Kunming, a city in southwestern China, killing 29 people and wounding more than 140.

However, on Tuesday, China said it found no evidence that any of its citizens on board the missing plane were involved in hijacking or terrorism.

Background checks on all passengers from the Chinese mainland on the plane have found nothing to support such suspicions, said Huang Huikang, the Chinese ambassador to Malaysia, according to the state-run Chinese news agency Xinhua.

Authorities have said they are investigating all 239 people who were on board the flight. According to the airline, 153 of the 227 passengers came from mainland China or Hong Kong.

By effectively ruling out suspicions for most of the passengers, Chinese authorities appear to have significantly shortened the list of possible suspects in the investigation.

Snapshots of passengers

CNN's Catherine E. Shoichet, Steve Almasy, Chelsea J. Carter, Jethro Mullen, Kyung Lah, Marie-Louise Gumuchian, Evan Perez and Jim Clancy contributed to this report.

@highlight

NEW: Pilots' computers show nothing to indicate sudden deviation was preplanned

@highlight

Every one of the 239 people on board is both a possible victim and suspect

@highlight

The plane's pilots have become one obvious area of focus

@highlight

A 29-year-old Malaysian civil aviation engineer is also under the spotlight