(CNN) -- The New Mexico middle school shooting allegedly by a 12-year-old boy highlights how such gunfire is now occurring in America's earlier grades, raising disturbing issues on whether such youngsters know the devastating consequences of such violence and on how they should then be adjudicated, experts say.

"It's becoming more and more common, especially in the middle-school age, for these kids to be committing these violent acts," said Sheela Raja, clinical psychologist at the University of Illinois at Chicago.

Raja was referring to a list of school violence compiled by CNN tracing violence in U.S. schools, including shootings in middle and elementary schools.

That tally includes last October's shooting in Sparks, Nevada, by a 12-year-old boy who killed himself after fatally shooting a teacher; a 2010 shooting in a Madison, Alabama, by a ninth-grader who fatally shot a boy, 14, in the head; a 2000 shooting in Mount Morris Township, Michigan, in which a 6-year-old boy killed another 6-year-old; and the 1999 shooting in Deming, New Mexico, in which a 12-year-old boy killed a classmate, 13.

Horrific as it is, the aftermath of such violence is complicated by the immaturity of the shooter.

"Middle-schoolers are impulsive and they can't think of the consequences of their actions, and they can't think of empathy," Raja said. "Some of them have difficulty with empathy or taking on the perspective of another person."

Not even the word "gunman" applies because the alleged assailant is still a boy.

"People should remember that a 12-year-old is barely past the age of believing in Santa Claus," said Wendy Walsh, a behavior expert and psychologist.

"While there is great variance in cognitive development, plenty of kids this age are unable to fully comprehend that death is permanent," Walsh said. "Add to that the impact of violent video games where 'downed' characters get up again, and there is good reason to assume this child does not think like an adult."

But it will be society's adults who must decide on how to charge a preteen suspect.

In this week's shooting in Roswell, New Mexico, a 12-year-old boy is accused of walking into his school's gym and opening fire with a 20-gauge shotgun upon schoolmates who were gathered indoors to stay out of the cold before classes began.

Two students at Berrendo Middle School, ages 11 and 13, were wounded and are hospitalized.

The 12-year-old boy accused in the shooting, which lasted about 10 seconds, is in custody, and authorities hadn't yet filed charges as of Wednesday. His name isn't being released by authorities.

"It's a very complex case, and we need to make sure we get it right," New Mexico State Police Chief Pete Kassetas said of his investigators' work with prosecutors in preparing juvenile court charges.

"We believe the suspect modified the weapon by cutting off its stock," which gave the shotgun a pistol grip, Kassetas added.

The boy may have warned some students not to go to school before the attack, police said.

New Mexico law requires anyone under age 15 to be charged in juvenile court, no matter how violent the crime is, said CNN legal analyst Paul Callan.

Nationwide, "for a long period of time, if you were under 16, it didn't matter what crime, you would end up in juvenile court," Callan said. "But states began providing exceptions for (juvenile) violent crimes to go to adult court, but none of those go below the age of 13. It varies from state to state."

Still, the 12-year-old suspect could face a serious charge in New Mexico juvenile court.

For example, Callan cited how a 10-year-old boy in Belen, New Mexico, was accused of fatally shooting his father in 2009 after being grounded and told not to play with the X-Box or computer. But last year, when the boy turned age 14, he was charged with first-degree murder -- in juvenile court.

"You can be tried in juvenile court of the same offense (as in a criminal court) -- first degree murder -- but the penalty is different. For a juvenile, he's looking at a maximum incarceration until age 21. It's safe to say you would remain incarcerated in a juvenile facility for the majority of your sentence," Callan said.

The goal of the juvenile court system is rehabilitation, whereas the court system for adults seeks punishment, deterrence, and societal protection from offenders as well as rehabilitation, experts say.

"Our laws exist to protect minors because it has been understood that adolescents and children do not fully understand the consequences of their actions, and that rehabilitation is more likely with a developing brain," Walsh said.

Between ages 12 and 17 -- roughly the middle and high school years -- youngsters begin to develop an ability to comprehend multiple perspectives, Raja said.

"It can happen earlier for some kids and it can start later for other kids," Raja said. "The ability to understand consequences can happen later, but we don't what's happening for this particular kid" in the Roswell case, she said.

"Clearly, he wasn't one of those kids who was able to do that," she added, referring to the 12-year-old boy's ability to understand the implications of his actions.

Raja is concerned about how troubled youths may respond to their issues, especially when they read or hear about school shootings.

"Part of it is, too, they hear what else is happening in the country," Raja said of the growing frequency of school shootings. "It may be a depressed or isolated child and they may have trouble with impulse control, and they see another kid in the country doing it, and they think, 'Maybe I can do that, too, as an option.'"

As trauma psychologist, Raja advocates a recommendation by the American Academy of Pediatrics that pediatricians provide firearm safety counseling to patients and their parents.

But that APA recommendation has been controversial and been challenged in several states, including Florida, where gun rights advocates have sought gag laws against such physician counseling. The APA also advocates gun control.

"I think pediatricians should ask about guns in the home," Raja said. "I don't think that endangers anyone's privacy."

@highlight

Experts express concern about how shootings now occur in middle schools, too

@highlight

Middle-school youths are often impulsive and can't think of consequences, expert says

@highlight

"A 12-year-old is barely past the age of believing in Santa Claus," another expert says

@highlight

By law, 12-year-old suspect in school shooting will be charged as juvenile, analyst says