(CNN) -- It's one of the most familiar pieces of advice from authorities to people in the path of a tornado: Get into your basement. Yet few homes in the Oklahoma City area have them -- even though that state is hit by far more powerful tornadoes than most others.

"Probably less than one tenth of one percent" of the houses in Moore are built with basements, said Mike Hancock, president of Basement Contractors in Edmond, Oklahoma. "There's just such a misconception that you cannot do it."

Why?

Hancock cited the area's high groundwater levels and heavy clay as among the reasons some people believe -- wrongly, he said -- that basements are tough to construct.

But improved waterproofing methods can obviate the first; and the second, too, is surmountable, according to Hancock, who said he has built more than 600 basements in the Oklahoma City area over the past 15 years.

"We do 'em all day long," he said. "I've got 32 basements to put in the ground right now."

The city of Moore was the epicenter of an EF5 tornado Monday that decimated neighborhoods in the Oklahoma City area, leaving at least 24 dead.

Inside a tornado-ravaged school

In Moore, other issues can dissuade new home buyers from investing in basements, Hancock said. One is that there are so few other such houses that comparable values are tough to estimate, "so appraisers don't give you any credit."

In fact, basements are so rare in the area that real estate listings do not include "basement" as an option under foundation types, he said.

"You can list it in the comments section, but that's not a foundation type." That means it's hard for house hunters to narrow their searches to houses with basements, which makes it harder still for sellers who have built houses with basements to recoup their investments, he said.

Moore in bull's-eye twice, science may know why

Mike Barnett, a custom homebuilder in the area for 37 years, estimated that some 2% of residents have basements, and 10% to 15% "have some kind of cellar."

None of the homes in his partially completed, 51-house development, called Autumn Oaks, has a basement, he said. Though it was spared Monday's storms, "a block north of us it looks like Bosnia," he said. He plans to build a community shelter that would accommodate all of its residents.

Alternatives exist: An above-ground shelter runs $8,000 to $10,000; a small basement would cost $15,000 to $20,000; and a concrete cellar built during new-house construction would cost as little as $2,200, said Barnett.

Tornado prediction is improving, scientists say

Accessibility an important element

Basements provide good protection if equipped with a suitable door and a concrete roof, but basements of pier-beam houses would leave their occupants exposed and vulnerable if the structure above them were blown away, said Ernst Kiesling, a former professor of civil engineering at Texas Tech.

Kiesling created the concept of the above-ground storm shelter after a tornado swept through Lubbock, Texas, in 1970, killing 26 people and demolishing scores of homes.

EF5 tornadoes are terrifying perfect storms

In addition, it is difficult to make basements compliant with the Americans with Disabilities Act, said Kiesling, who is on the research faculty at the school's National Wind Institute.

Above-ground storm shelters are easy to make accessible to those who are physically challenged, "and I would say that accessibility is a very important element," Kiesling said.

Specially reinforced safe rooms provide "near absolute occupant protection from even the worst-case tornado," he said.

Opinion: How can we be safe from tornadoes?

Other products include steel, concrete and plastic shelters; above-ground and below-ground shelters; indoor and outdoor shelters; and shelters that fit underneath the garage slab.

The extra cost of incorporating a basement into plans for a house depends on where it is being built. "If you're in the colder climates, then one has to put the foundation walls several feet deep to get below the frost line," Kiesling said.

A region's frost line marks where the ground no longer freezes and is an important variable when installing pipes. The added cost of digging down the extra couple of feet needed to make a basement for a house in the Northeast is relatively small, he said. "If you're that deep, you're pretty well along forming the shell for the basement."

But in the Southwest, where the frost line is only about 18 inches below ground, the added incremental cost of digging out a basement would be far steeper, said the Texan.

"Here, houses are typically built by placing a slab on the surface and building above it."

Opinion: The making of a nightmare tornado

Lessons to be learned

Kiesling is also executive director of the National Storm Shelter Association, a nonprofit group that focuses on improving the quality of storm shelters.

He was planning Tuesday to organize teams to travel to Moore to study which structures failed and which performed well. "There's a lot of lessons we can learn from this," he said.

Kiesling said he had heard news reports citing underground shelters as the only safe places Monday in Moore. "That causes my blood to curdle, because I've spent my career developing safe places above ground," he said.

Monday's disaster is expected to lead to renewed calls to ensure that new houses are equipped with some sort of protection, said Leslie Chapman-Henderson, president and CEO of the Federal Alliance for Safe Homes.

But don't count on them to effect change.

"What happens is that time and fading memories are the worst enemies," she said. "People think it can't happen twice, but in the case of Moore, Oklahoma, the tragedy here is this is the third strike -- 1999 to 2003."

After each of those strikes, homebuilders pledged never again to build homes without including safe rooms, she said. Though many followed through on their vows, more work remains, she noted.

Opinion: We love and fear the Oklahoma skies

@highlight

Misconceptions abound over basements, builders say

@highlight

"We do 'em all day long," says one who has built many in the Oklahoma City area

@highlight

Deeper frost line means they're common in the Northeast

@highlight

Alternatives, including safe rooms, exist