(OPRAH.COM) -- As a fiction writer, I struggle to tell useful truths by telling the lie that I am someone other than myself. I'm a fat girl trying to survive rape in my first novel, the resentful brother of a mentally ill twin in my second. In my third novel, which I'm close to finishing, I'm the husband of a drug-addicted nurse lost in a maze of her failures and fear.

Author Wally Lamb says writing personal stories can free you  from painful memories and imprisoning secrets.

Writing fiction invites me to move beyond the limitations of my own experience and better understand the un-me, the other. I am similarly invited to do so each time I go to jail.

For the past eight years, I have run a writing workshop for inmates at the Janet S. York Correctional Institution, Connecticut's high-security prison for women. Someone asked me recently if I ever felt afraid of my students. Our class, after all, includes individuals who have committed armed robbery, gang-related assault, and homicide.

But no, I don't fear these women, because through their autobiographical writing, I come to know them not merely as their convictions but as complex human equations that go far beyond "good versus bad" or "us versus them."

Listen to the voice of one of my students. "I am Barbara Parsons, who has been a healthcare worker, a business manager, a homemaker, a gardener, and a killer -- and who is consequently a state prison inmate."

Molested by her grandfather when she was 4, Parsons shot and killed her abusive husband when he revealed that he had molested her granddaughter. Convicted of "manslaughter due to emotional duress," she challenges readers to think beyond stereotype.

"I am sure you have a dark side, too," she writes. "Look at me. Who would ever have thought that I, an average neighbor from rural Connecticut, could be capable of murder?" Oprah.com: How to make peace with your past

Most of my students begin as you might begin: by writing safe pieces -- narratives about fun family vacations, loving tributes to favorite relatives. But sooner or later their painful memories call to them and demand to be examined.

With pen in hand, an inmate may, for example, begin to explore the connection between the incest she endured as a young girl and her subsequent drug addiction. She may discover a link between her embezzlement conviction and her lifelong inability to please an emotionally distant mother.

Along with that growing clarity, she will confront anger, shame, grief, and the need to stop making excuses and take responsibility. Doing so will lessen her heartache and promote her recovery if she stays with it, but she may surrender to the pain before she gets to experience the gain. She may become too busy, too tired, too headachy, too blue to come to class. Before long, her seat will go to the next woman on the waiting list.

Addicts are particularly vulnerable to cold feet when truth telling begins to overpower manipulation and self-deception. Yet if the writer reflects honestly and un-self-pityingly on the damage she has both endured and caused -- and if she takes the critical next step of sharing her words with the group and receiving feedback -- she will begin to defy the gravity of her painful past.

But a person need not go to prison to access the therapeutic value of autobiographical writing. Which of us has not put walls and razor wire around our concealed sadnesses and past regrets? Who among us was raised by a perfect family? Who does not have hilarious, life-affirming stories to share and debilitating secrets to dispel?

Which of us is so self-aware that we could not reveal ourselves more deeply by reflecting on our lives with fingertips on the keyboard -- and then sharing our discoveries with other writers and bearing witness to theirs? In doing so, we discover that "the other" and we are more alike than different, variations on a theme of humanity and circumstance.

Michelangelo, the 16th-century artistic genius, once said this about his work: "I saw the angel in the marble and carved until I set him free." My inmate students, you, and I are damaged angels-in-waiting who have the potential to sculpt our best selves with the aid of paper and pen. Oprah.com: 6 ways to get your creativity flowing

The rehabilitative power of our words invites us to test our still-wet wings, tentatively at first and then with greater and greater assurance. And as that happens, we rise above the concrete and razor wire of painful memories, baffling personal mysteries, and imprisoning secrets. Our load lightens, our perspective changes. We fly away.

3 tips for writing your personal Story

Voice

In writing, as in life, voice is crucial. Your voice has been honed by your family, your ethnic heritage, your neighborhood, and your education. It is the music of what you mean in the world. Imitate no one. Your uniqueness -- your authenticity -- is your strength.

Revisions

Learn to love revision. Listen to suggestions about what you might add, cut, reposition, and clarify in your work-in-process. Welcome such feedback with gratitude and humility, returning to your words with sharper insight. Make mistakes, lots of them, revising draft after draft of your continuing story. Your errors will be educational, and if your pencil outlives its eraser, then you will know you're getting it right. Oprah.com: How to write your own memoir

Plot

Regarding plot -- the twists and turns and episodes of your life -- outline as much or as little as you like, but expect surprises. In fact, invite surprise. Each time you begin some next chapter, your composition of yourself will be at risk. But that's okay -- that's good -- because you will not live fully if you never take side trips and detours.

"Writing is like driving at night in the fog," E.L. Doctorow once noted. "You can only see as far as your headlights, but you can make the whole trip that way."

By Wally Lamb from O, The Oprah Magazine

Subscribe to O, The Oprah Magazine for up to 75% off the newsstand price. That's like getting 18 issues FREE. 

Subscribe now!

TM & © 2009 Harpo Productions, Inc. All Rights Reserved.

@highlight

Author Wally Lamb: Sculpt our best selves by writing our own stories

@highlight

He teaches writing to female prisoners at a high-security prison

@highlight

Writing about past history, confronting emotional issues can help progress

@highlight

Lamb says your uniqueness is your strength, but welcome feedback