ANDORRA LA VELLA, Andorra (CNN)  -- Getting to Andorra, a tiny country wedged in the mountains between France and Spain, is no easy feat. No airport, no train station, and the nearest city Toulouse is at least a 2 hour drive away.

Andorra, a beautiful mini-country in the Pyrenees, offers its residents a peaceful life.

Perhaps that's part of the secret of this tiny principality high up in the Pyrenees Mountains: that its quiet isolation has created a relatively stress-free life-style which has made them the world champions in the global longevity sweepstakes, at least according to the latest U.S. Census Department estimates.

The average Andorran today can expect to live at least 85 years -- longer than anywhere else on the planet.

Meeting Andorrans from all walks of life, it soon becomes clear that the concept of living longer was not on everyone's mind, but the idea of living well and living healthy came up in nearly every conversation.

From doctors in town to the elderly shepherd in the mountains, they speak of eating good natural food and of the exercise which comes naturally in walking up and down the hillsides.

Dr. Albert Font, Director of Andorra's Geriatric Clinic, is convinced that living in the mountains is, in general, healthier both for mind and body: "It's because we have this natural environment that we have such a balanced health," he told CNN.

Watch a report on the secrets of long life in Andorra »

Elderly Andorrans have a daily routine that would put much younger people in the shade: outside their Assisted Living Residence, a group of about 30 senior citizens in their 80's and 90's out for a cold morning's walk went slowly but surely and easily negotiated two or three flights of stairs built into the mountainside.

After that 'warm-up' most of them headed for the gym for stationary bike riding and exercise class.

Diet and nutrition awareness also seems to play a role in keeping Andorrans alive and healthy.

Nestled in valleys between France and Spain, there is very little cultivatable land and strangely enough, tobacco seems to be one of the few crops raised on the little farmland in the country.

But meat, vegetables and fish from its larger neighbors make their way to the dinner tables in Andorra, resulting in a high-altitude version of the Mediterranean diet so many strive for elsewhere.

But even in this land-locked little country, times are changing and the older generation worries that the slow invasion of fast food and the passivity of video games and the like, may have a negative impact on the life expectancy of the young.

Seventy-six-year old farmer Pierre Font Vergas remembers the days when just taking his herd of cattle to pastures and back home again would easily mean hiking 30 kilometers (18 miles) up and down the mountain trails each day.

A new lifestyle has come to the principality, the old farmer told CNN. Skiing and tourism are the country's new profit centers, life is getting increasingly stressful, more people are eating fast food instead of the traditional diet and not getting enough exercise, he added.

It would seem that the secrets to long life in Andorra are not really secrets at all. They are well documented. Good health care, clean water, proper diet, plenty of exercise and a low-stress, positive life

However, there's one other thing to consider when trying to understand the Andorran's penchant for life and living long: the feeling of community and an unusual closeness to friends and family.

Filming at an elderly care home, it was full of families including young children spending an hour or two on a weekday with an aged parent or grandparent.

And even to stop to ask a question or a direction, people seemed to know about everything and everyone else in the country. Some might find that intrusive, or even boring.

But there seemed to be a marked sense of peace in the way people here see life.

Dr. Font thinks there is a specific reason for that sense of happiness in Andorra: "We don't have any violence. I think it's one of the safest countries in the world."

"And after all," one Andorran told CNN, "unlike the rest of Europe, we haven't been touched by a war in more than 700 years."

@highlight

The average Andorran lives 85 years, longer than anywhere else on the planet

@highlight

The tiny country is wedged in the mountains between France and Spain

@highlight

Diet and nutrition seems to play a role in keeping Andorrans alive and healthy