Washington (CNN) -- What do you do for an encore after a landslide re-election victory? How about taking your show on the road.

And that's just what New Jersey Gov. Chris Christie will do later this month, as he takes over as chairman of the Republican Governors Association, giving an already very visible governor with national aspirations even more visibility.

While the high-profile position should enhance Christie's status as a leader of the GOP, he's already coming under attack from some potential 2016 rivals.

Christie wins big

With three-dozen states electing governors in 2014, Christie will be crisscrossing the country, supporting some of the party's brightest stars. But he'll also be introducing himself to those who know only the larger-than-life figure on TV.

"I'm going to be traveling all over the country trying to elect Republican governors and that's a pretty good thing to do for the Republican Party," Christie said Tuesday in an interview with CNN anchor and Chief Washington Correspondent Jake Tapper.

The states that kick off the presidential primary and caucus calendar -- Iowa, New Hampshire, South Carolina, Florida and Nevada -- are among those holding elections next year. That itinerary works out well for someone who's got an eye on the White House.

"The chairmanship of the RGA allows a governor to run for president before he actually runs for president, building relationships with organizers in key states and expanding his network of national contributors," said Alex Castellanos, a Republican strategist and veteran of numerous GOP campaigns. "It can also warehouse staff that can later move over to a presidential campaign. He can also use the RGA to collect chits by helping fellow GOP governors whom he hopes will eventually help him. It is a great platform for a Republican governor who is being urged to consider a presidential bid."

But Christie could face intraparty sniping that he's using the position to further his chances of winning the party's presidential nomination. Then-Massachusetts Gov. Mitt Romney, who chaired the committee in 2006, ahead of his first run for the White House in 2008, and Texas Gov. Rick Perry, who chaired the RGA ahead of his 2012 bid for president, also got such quiet criticism.

Already under attack

Christie is touting his conservative credentials.

"I'm a conservative," he said in his interview with Tapper, anchor of CNN's "The Lead with Jake Tapper," adding "I've governed as a conservative in this state."

But a couple of high-profile Republicans are already trying to define Christie as not being conservative enough. Sen. Rand Paul of Kentucky, a favorite of tea party activists and a likely rival in 2016 should Christie decide to run, seemed to be trying to tag Christie with the m-word.

"I think the Republican Party is a big party, and we need moderates like Chris Christie who can win in New Jersey," Paul told Wolf Blitzer on Tuesday on "The Situation Room."

"What that means about the national party, I'm not sure there's an answer. But we do need moderates like Chris Christie in the party."

Paul also took a not-so-subtle jab Wednesday at Christie for starring in ads aimed at promoting tourism in New Jersey in the aftermath of Superstorm Sandy. In a Senate Homeland Security Committee hearing to review the federal response to last year's deadly storm, Paul questioned Housing and Urban Development Secretary Shaun Donovan about whether Sandy relief funds should be spent on television ads.

Paul said that "people running for office put their mug all over these ads while they are in the middle of a campaign. In New Jersey, $25 million was spent on ads that included somebody running for political office."

"You think there might be a conflict of interest there? You know that's a real problem. That's why when people who are trying to do good and trying to use taxpayer dollars wisely they are offended to see our money spent on political ads. You know that's just offensive."

And Sen. Marco Rubio of Florida, another possible GOP candidate, seemed to suggest that the impact of Christie's landslide victory may be contained within the Garden State's borders.

"Governor Christie has certainly shown he has a way of winning in New Jersey, in states like New Jersey ... so I congratulate him on that," Rubio said in an interview with CNN Chief Congressional Correspondent Dana Bash.

Rubio: Don't jump to conclusions about Christie's win

Will Cain, a Republican analyst and CNN contributor, said he doesn't buy in to the idea that Christie is a moderate.

"Look, everyone is invested in defining Chris Christie as a moderate. Liberals want to ascribe his victory to a repudiation of conservatism. And his political rivals want to beat him in a primary. But I don't know that I can accept the premise," Cain said. "His greatest conservative sin is participating in Obamacare's Medicaid expansion. On everything else -- guns, immigration -- he's given lip service to moderation, not governed that way.

An establishment Republican strategist said that infighting and sniping won't help the party with those it's trying to appeal to.

"The best thing that anyone who has their eye on 2016 can do for themselves and the party right now is to work together, show the American people that Republicans can govern responsibly and work to make inroads with sections of the electorate that didn't support Republicans in the last two presidential elections," Brian Walsh, former National Republican Senatorial Committee communications director, told CNN.

Ready to run?

Christie's everywhere in the wake of his landslide re-election. The longtime Bruce Springsteen fan's on the cover of Time Magazine, with the headline "Born to Run" on the story, and he's scheduled to do four of the five Sunday talk shows this weekend.

Asked Wednesday by CNN's Debrorah Feyerick if all the talk about his potential bid for the White House is becoming a distraction, Christie pushed back, saying, "I don't get distracted very easily. It takes a lot to distract me, and I think the way it won't be a distraction is I simply won't let it."

Christie's re-election speech Tuesday night sounded like something more -- the governor touted his bipartisan successes to an audience far beyond the Asbury Park ballroom and the borders of the Garden State.

"I know tonight a dispirited America, angry with their dysfunctional government in Washington, looks to New Jersey to say, 'Is what I think happening really happening? Are people really coming together? Are we really working, African-Americans and Hispanics, suburbanites and city dwellers, farmers and teachers? Are we really all working together?' Let me give the answer to everyone who is watching tonight: Under this government our first job is to get the job done, and as long as I'm governor that job will always, always be finished," said Christie, to loud applause.

What Christie's win says about 2016

Newt Gingrich, the former House speaker and current co-host of CNN's "Crossfire," knows some things about running for the White House.

"I think it was an introductory speech," the one-time 2012 GOP frontrunner said.

Castellanos added, It wasn't an acceptance speech, that was an announcement speech."

Numbers to brag about

Christie's victory was never in doubt. And as the polls in the Garden State closed Tuesday night, CNN and the other news networks rushed to project that the high-profile governor would win a second term in Trenton.

But the big questions heading into Election Day 2013 were how large a victory Christie would capture over Barbara Buono, his little-known Democratic challenger, and how Christie would perform with voters who tend to cast ballots for Democrats.

With just about all the ballots counted, Christie won 60% of the vote, the most by a Republican statewide in more than a quarter-century

And according to CNN exit polls, Christie performed well with groups that the GOP needs to win if it wants to win national elections.

Christie carried nearly six in 10 women and won all age groups other than those 18-29, which he just missed winning. Christie also won the Latino vote and took just more than a fifth of the African-American vote, a much better performance than most Republicans in recent elections.

Christie also grabbed two-thirds of independents and a third of Democrats in a state where Democrats and independents made up nearly three-quarters of Tuesday's electorate.

Christie, McAuliffe took different paths to victory

The exit polls appear to bolster Christie's case that he's among the most electable of the potential GOP White House hopefuls heading into 2016.

But if he runs for president, Christie will have to get through a battleground of conservative voters in the Republican primaries and caucuses similar to those he faced in blue-state New Jersey this year.

CNN's Dana Davidsen and Ashley Killough contributed to this report

@highlight

Christie follows big re-election win with yearlong stint as head of GOP governors

@highlight

The position offers Christie networking opportunities but also makes him target

@highlight

Republicans next year elect governors in key states that are also key states in 2016 primaries

@highlight

A big challenge for Christie is convincing conservative Republicans he's one of them