(CNN) -- What happened in Tunisia in the last nine months is momentous, an ongoing event of real historical importance. When in January of this year Zine el Abidine Ben Ali left the country after he indulged in a 'Presidency' that lasted almost 24 years, Tunisians were hopeful, yet also slightly anxious about the future.

Now they have voted in the first free and fair elections in the country's history. Voter turnout has reportedly been very high. International observers confirmed that the electoral process has been sound.

Tunisians have rallied around these elections as a focal point for a new chapter in their history. The Islamically oriented Ennahda has won more seats than any other party. Previously banned, the party is heavily influenced by the ideas of Rachid Ghannouchi who returned to Tunisia from exile in London earlier this year. If at the beginning of his political career, Ghannouchi flirted with rather more radical forms of Islamism, including the revolutionary model in Iran, he made it clear upon his arrival in Tunis that he should not be compared to Ayatollah Khomeini, the leader of the Islamic revolution of 1979.

The success of Ennahda is indicative of a wider ideational trend that has engulfed the Arab-Islamic world for quite some time now: the shift from ideological Islam to civic Islam (al-Islam al-madaniya) or what I have called a "post-modernised Islam" elsewhere.

The democratic commitment of movements such as Ennahda, but also the Muslim Brotherhood in Egypt, the Justice and Development Party in Turkey and the reformists in Iran is the outcome of changed attitudes towards the functions of religion in the political sphere.

What is slowly being engineered is an Islam that is geared to cultural emancipation, rather than ideological indoctrination. Post-modern Islam is politically secular and operates in a distinctly pragmatist mode. As such it is entirely promiscuous in its choice of strategies and allies. There are almost no taboos when it comes to this new breed of "Islamists."

This is very different from the heydays of modern Islamism whose godfather, Sayyid Qutb, and Muslim Brotherhood founder Hassan al-Banna had very specific and rather doctrinal ideas about the function of Islam in politics.

From the perspective of Qutb, Islam was a revolutionary ideology that required a vanguard of committed and pious activists in order to take over the state and to establish an "authentically" Muslim order.

Political power had to be assumed, if necessary by force. Islam would function not only in the cultural sphere as a nodal point for Muslim-majority societies. Islam would constitute the sovereignty of the state and its organs. It would be a total Islam, intrusive and radical.

Times have changed. Today, post-modern Islam is primarily geared to the cultural and socio-economic preferences of the burgeoning middle-classes in the region whose politics is certainly not revolutionary. Neither does the emergence of this post-modern Islam necessarily translate into virulent anti-Americanism. Nonetheless, parties like Ennahda are very likely to steer toward a rather more equidistant relationship to the United States.

They are also likely to confront Israel more vigorously on the Palestinian issue, quite comparable to the current policies of Turkey which has suspended military and intelligence cooperation with Israel over the killing of Turkish aid workers on the flotilla that was bound for Gaza last year. As such, "post-modern Islam" retains the emphasis on independence demanded by the first generation of Islamists.

So with the emergence of electoral politics out of the Arab revolts, we are witnessing the establishment of viable democratic structures that are carried forward by functioning civil societies. The time of one-man dictatorships that are subservient to outside demands because of a lack of domestic legitimacy is over.

During this process of confrontation between state and society, Islamic politics have been transformed from revolutionary Islamism which peaked in Iran in 1979 to the emergence of a post-modern, secularised, democratic, civic Islam that is a part of the political mix in Muslim-majority societies today.

Tunisians made the first step to that end in the Arab world and the elections must be considered a milestone in their struggle for freedom and democracy. The Tunisian government that will emerge in the next weeks and months will rule with the mandate of the people and the momentum of a mass revolt behind it.

In light of the evidence on the ground, one has to remain hopeful that the new Tunisia will not squander the opportunity that history has given it.

@highlight

Moderate Islamist party Ennahda wins plurality of votes in Tunisia election

@highlight

Adib-Moghaddam: Election signals shift from ideological Islam to civic Islam

@highlight

Adib-Moghaddam: Time of one-man dictatorships in region is over