(CNN) -- Think 1960s America and images of hippies, Vietnam protests, the civil rights movement, sexual revolution and drug experimentation will mostly likely spring to mind.

"The Times They Are A-Changin," Bob Dylan famously sung as counterculture ideas gripped the west's imagination -- much to the horror of the establishment.

Sport was no different, with one of the decade's most iconic images that of U.S. sprinters Tommie Smith and John Carlos making their gloved Black Power salutes at the 1968 Mexico Olympics, catapulting the issue of American segregation to a worldwide audience.

It was no easy ride for U.S. female sporting pioneers in the 1960s either. Jockey Diane Crump faced such vitriol at her first race that the 18-year-old required a full police escort.

The first professional female jockey in the U.S. still remembers the mayhem that surrounded her as she took to the Hialeah Park Race Track in Florida in 1969.

The petite teenager with curly brown locks was forced to fight her way through the flashing cameras and jeering crowd to a small office -- the only available space for a female to change.

"The crowd was just swarming all over me. They were crazy, up in arms," Crump told CNN.

"The hecklers were yelling: 'Go back to the kitchen and cook dinner.' That was the mentality at the time.

"They thought I was going to be the downfall of the whole sport, which is such a medieval thought. I was like: 'Come on people, this is the 1960s!'"

Today there are several dozen female jockeys racing professionally in North America, compared with the hundreds of male jockeys who still dominate the sport.

Women are making progress -- albeit it slowly -- with Chantal Sutherland becoming the first female jockey to compete in the world's richest horse race, the $10million Dubai World Cup, earlier this year.

Speaking from her home in Linden, Virginia, feisty 63-year-old Crump explained half the battle, as she fought to ride professionally, was simply getting male jockeys to compete against her.

In 1968 two female riders had been forced to drop out of their races after the male jockeys boycotted the race, even going to the extent of throwing stones at the women's changing room trailers.

"People were saying we weren't strong enough or smart enough to ride in a pari-mutuel (professional gambling) race," Crump said.

"They thought it would be dangerous for other people to ride against us because we wouldn't know what to do under pressure."

It was only when officials threatened to fine or suspend refusenik male jockeys that Diane finally got her chance to compete.

The smiley teen dressed in pink silks happily proved the naysayers wrong, riding horse Bridle n Bit to a respectable ninth place in a 12-strong field.

"When I finally got on the horse it was perfect because everyone just cares about the race," Crump said.

"Everyone cheered me when I came back. Sure, I had a handful of hecklers, but for the most part I never encountered too much trouble from the crowd after that."

As Crump explains, women simply weren't a part of the horse racing world in the 1960s.

"A woman's place was in the kitchen or caring for the children," she said.

"The women's rights movement was happening, but to be honest all I cared about was horses. I just wanted to ride. I marched to the beat of my own drum.

"Yes, I'm a feminist. But I've always seen myself as more of an equal rights activist."

Just two weeks after her debut, Crump returned to the track to win her first professional race.

In a career spanning three decades, she rode 300 winners, and became the first woman to compete in the prestigious Kentucky Derby in 1970 -- a race that only six women have taken part in since it was first run in 1875.

Crump, who grew up in Oldsmare, Florida, says no one in her family "had ever even heard of a horse," let alone the Kentucky Derby, until she began riding at a nearby ranch as a 13-year-old.

But even younger brother Bert, who was serving in Vietnam at the time, was glued to his radio for that historic Kentucky Derby race.

Bunkered down in his barracks with around 100 other soldiers, Bert cheered on as his sister rode horse Fathom in one of the country's most famous Derbys, finishing 15th in a field of 17.

Now a grandmother-of-two, Crump still receives hundreds of letters from children every year asking her how it felt to make history that day.

"It was great for me as a rider, as a female and as a person," Crump said.

"For someone to think I was capable of riding in the Kentucky Derby was a huge step forward."

Crump's racing career took her to competitions across the world, with her popularity skyrocketing -- in of all places -- in Puerto Rico.

She recalls a race in the early 1970s which saw her and a Puerto Rican jockey whipping each other in a fierce battle on the field.

While leading the pack, Crump realized the jockey just behind was holding on to her saddle, giving his horse a free ride.

In the days before CCTV cameras, Crump did what any jockey would do and get away with -- she got out her stick and whacked him.

The pair spent the remainder of the race hitting each other until finally he pulled away in the last leg and won.

"When he came off the track, the women in the crowd blasted him with tomatoes, eggs, anything they could find," Crump said.

"They were booing their own country's jockey, threatening bodily harm to him after the race, while I was greeted by cheering, enthusiastic women."

After marrying and the birth of her two daughters, Crump juggled her racing career and family life until a horrific accident in 1992 left her virtually bed-bound for months.

"The horse I was riding fell backwards and I broke my leg in six or seven places. The doctors said I would never ride again," Crump said.

"But despite the fact I looked like some sort of bionic woman with braces on my legs, I eventually started training again."

She finally retired in 1999, setting up her own equine sales business.

Crump remains pragmatic about her contribution to the industry -- arguing that while things are still not quite equal for female jockeys, they have come a long way since 1969.

"When I was 16 and first got my exercise rider's license there was not one other female stable hand. But by the 1990s around half were women," Crump said.

"Somebody had to open the door. It wasn't all down to me but I think I was a big part of that."

She added: "The mentality in the 1960s was that women weren't smart or strong enough to be jockeys. But I proved that a woman could do the job.

"I like to think I was a little footprint on the path to equality."

@highlight

1960s America was a time of shaking up the establishment -- and sport was no exception

@highlight

Diane Crump caused controversy as the first professional female jockey

@highlight

Needed a police escort onto Hilaleah Park Race Track amid swarming hecklers

@highlight

Became first female rider at Kentucky Derby in a career spanning three decades