Editor's note: Alvin F. Poussaint, MD, is professor of psychiatry at Judge Baker Children's Center and Harvard Medical School in Boston, and co-author with Bill Cosby of "Come On People: On the Path From Victims to Victors," 2007.

Dr. Alvin Poussaint says while we salute King and Obama, there's more work to be done.

BOSTON, Massachusetts (CNN) -- Today, one day before the inauguration of the first African-American president, the Martin Luther King Jr. observance hailing civil rights gains will be combined with jubilation over Barack Obama's historic achievement.

The festivities this year portend a new direction for the King holiday.

On Monday, we salute King-and-Obama. And on Tuesday, we salute Obama-and-King, as the Rev. Joseph Lowery, co-founder of the Southern Christian Leadership Conference with King, gives the benediction after Obama's swearing-in. The events juxtapose two African-American icons in the march toward racial equality.

Traditional tributes to King are likely to be overshadowed by Obama's game-changing win; his success, despite racial barriers, mistakenly leads many Americans to believe that King's rallying cries may be outdated.

For example, at most celebrations, the "I Have a Dream" speech is highlighted.

With the election of Obama, many are saying that we have fulfilled King's dream. So will the "dream" speech be appreciated only as a powerful historical moment rather than a vision for the future? I hope not. But other perspectives may change as well.

In stirring oratory, King said he had a dream that one day his four children would be judged not by the color of their skin but by the content of their character.

But now, since Obama's accomplishment, scores of people -- including African Americans -- feel we have reached that goal, despite obvious remnants of racial discrimination. In fact, some conservatives are using Obama's success to argue against the need for affirmative action.

Similarly, King's oft-quoted words: "I've seen the Promised Land. I may not get there with you ..." will resonate in a different way because of Obama's startling election.

I have heard many reports from black people themselves that the president-elect has taken us symbolically to that elusive Promised Land.

While Obama's win may have taken the edge off some of King's inspirational rhetoric, it should not lead to complacency in the fight for social justice. There is still much work to be done.

Obama's election does not solve the many problems facing the African-American community. We will continue to face disparities in health care, including an infant mortality rate twice as high as whites, and 20 percent of blacks still lack basic health insurance, according to government statistics..

High rates of crime and violence, with homicide as the leading cause of death for young black men, demoralizes black neighborhoods.

In many communities, the high school dropout rate exceeds 50 percent. That dropout rate for many is a ticket to prison, where blacks make up nearly 40 percent of inmates, according to the Justice Department.

Racial profiling has not ended, and there continue to be horrific incidents of police brutality against blacks. This compounds family stress at a time when federal government data shows 70 percent of black children are born to single mothers and African-American unemployment is twice the rate of whites.

These challenges were there before the dramatic economic downturn of recent months; they will get worse if there are no interventions.

Obama is doing his share by reinvigorating King's primary theme of helping others by urging Americans' commitment to the King Day of Service, established by Congress in 1994. His emphasis on volunteering is an appropriate extension of King's ultimate mission.

People cannot simply have high expectations about what Obama can do for them but must also work as individuals and communities to support his programs to help pull the United States out of its economic and social crises.

This January, the link established between the civil rights achievements of King's dream and Obama's triumph will be etched in our minds. That is not a bad thing. It gives us an opportunity to broaden the celebrations on Martin Luther King Jr. Day.

The King holiday would be enhanced by recognizing other modern civil rights icons as well. Luminaries such as Medgar Evers, Malcolm X, John Lewis, Andrew Young, Fannie Lou Hamer, Stokely Carmichael, Rev. Jesse Jackson Sr., Dorothy Height, Bob Moses and a host of others should not be allowed to fade into the background.

Without diminishing the extraordinary legacy of MLK, other leaders who have contributed to the emancipation of black Americans should be remembered.

Obama's watershed moment brings a new spirit to the Martin Luther King Jr. Day observance. Eventually, I hope due credit will be given to all those fighters whose shoulders Obama stood on to secure the ultimate prize: the presidency of the United States.

The opinions expressed in this commentary are solely those of Dr. Alvin Poussaint.

@highlight

Alvin Poussaint says this year's Martin Luther King Jr. Day is special

@highlight

He says it's a prelude to inauguration of first African-American president

@highlight

Poussaint: It's a mistake to think Obama's election means King's dream is done

@highlight

He says we still have a long way to go to ensure all races have equal opportunity