San Francisco, California (CNN) -- Attorneys representing Arizona and the U.S. Justice Department faced off Monday in an appeals court hearing over the state's controversial new immigration law.

Arizona Gov. Jan Brewer has asked the 9th Circuit U.S. Court of Appeals to overturn a federal judge's July ruling, which blocked the most contested parts of the law the day before it was scheduled to go into effect.

In response to the Justice Department's suit over the law, U.S. District Judge Susan Bolton's July ruling temporarily blocked such controversial provisions as the requirement that police officers check a person's immigration status while enforcing other laws.

Critics have argued that the law, known as SB 1070, would lead to racial profiling. Brewer and other Arizona officials have said the law is necessary to make up for federal government failures in enforcing immigration laws.

An attorney for the Justice Department told the court that the Arizona law is "an extraordinary state statute that exacts penalties on top of federal ones enacted by Congress."

"If every state did this, we would have a patchwork of laws" on immigration, Justice Department lawyer Edwin Kneedler said.

But John Bouma, the attorney for Arizona, told the three-judge panel that the law's provisions "are consistent with congressional objectives."

"It's objectives that count rather than this administration's priority," Bouma said, referring to the Obama White House. "Arizona has 15,000 well-trained and capable officers on the ground who can help the fix the system."

Bouma asked the court to lift the injunction so that Arizona can "get on with taking care of the health, safety and welfare of citizens."

The judges adjourned after hearing the arguments.

Each side had 30 minutes to present arguments before the panel of three judges at Monday's hour-long hearing, which started at 9 a.m.

Brewer said that the case is about what states "can do about a failed federal immigration system that even President Obama acknowledges is broken."

"Arizona is on the front line in a fight against crime that is spilling over the international border," Brewer said in a written statement. "As noted in the court record, the federal government has essentially had to cede a vast territory inside the state of Arizona to the drug runners and human smugglers."

Activists on both sides have weighed in on the case. Republican lawmakers, Maricopa County Sheriff Joe Arpaio and other state governments are among those filing briefs with the appeals court supporting Arizona's argument.

The Mexican government, the Anti-Defamation League, the American Immigration Lawyers Association and the city of Tucson, Arizona, are among those filing briefs supporting the Justice Department's side.

Some parts of the Arizona law took effect in July, including a ban on "sanctuary cities": municipalities with laws or policies that render them relatively safe for undocumented immigrants. Bolton's July ruling also allowed a provision in the law that makes it illegal to hire day laborers if doing so impedes traffic. In addition, the ruling allowed parts of the law dealing with sanctions for employers who hire illegal immigrants.

But the ruling blocked a provision requiring alien registration papers. The stay also suspended a provision making it a crime "for an unauthorized alien to solicit, apply for, or perform work" and another provision "authorizing the warrantless arrest of a person" when there's a reason to believe that person might be subject to deportation.

Even after Monday's hearing, analysts say, legal wrangling over Arizona's law is likely to continue.

As other states pass similar laws, the issue is "very much destined for the Supreme Court," CNN senior legal analyst Jeffrey Toobin said in July.

State Sen. Russell Pearce, who sponsored the law, has said he foresaw a protracted legal battle from the beginning.

"I wrote this bill for that fistfight, prepared for that fistfight," he said. "We'll prevail in the fistfight, because it's states' rights."

CNN's Dan Simon contributed to this report.

@highlight

Justice Department attorney calls Arizona law "extraordinary"

@highlight

Arizona attorney says law "can help fix the system"

@highlight

Critics say provisions in SB 1070 will lead to racial profiling

@highlight

Governor says the law is necessary to enforce federal immigration laws