New York (CNN) -- A long time ago, by technology standards, in this very galaxy, the founders of video game developer BioWare received a phone call.

It was from Simon Jeffery, then the president of George Lucas' LucasArts. In the early 2000s, BioWare happened to be looking for its next big adventure when Jeffery proposed they work on the first-ever "Star Wars" role-playing game.

BioWare jumped at the opportunity, and it led to a pair of the most celebrated "Star Wars" console games, called "Knights of the Old Republic."

On Tuesday, the studio released "Star Wars: The Old Republic," the latest and most ambitious product of this so-far decade-long partnership. In this sprawling, much-anticipated computer game, millions of Jedi Knights, bounty hunters and other familiar warriors from the movies can roam and battle on their home planets, and then hop in spaceships to travel the galaxy.

The "Old Republic" games are set thousands of years before the events in the movies, when Luke Skywalker and Darth Vader battled for galactic dominion. At the partnership's inception, LucasArts gave BioWare the option to create games with characters from the films or set during another time, said Ray Muzyka, a BioWare founder who is now the general manager of its various studios.

Executives chose the latter so that the BioWare team could exercise its own creativity. The creative juices flooded for "The Old Republic," which has planets full of monsters and gems, and about 1,000 actors reading 260,000 lines of dialogue for characters in the game. To build this massively multiplayer online game, BioWare has been hiring industry veterans to work at its Austin, Texas, studio over the past few years.

"It's kind of like building a whole bunch of [console games] and then building an Xbox Live service," Muzyka said. "This is definitely the biggest game that BioWare has ever built."

It is also the biggest that Electronic Arts, the U.S. game publishing giant, has ever funded, analysts have said. EA has spent between $100 million and $300 million, according to analysts' estimates reported in Reuters.

EA acquired BioWare in 2007, when work on "The Old Republic" was already under way. The project, and the trust BioWare had earned from LucasArts, played a role, Muzyka said in an interview here after ringing the Nasdaq opening bell on Tuesday, flanked by people dressed in Stormtrooper and Wookie costumes. Still, LucasArts reviews all of BioWare's concepts and designs, and occasionally overrules them, Muzyka said.

Around the time of the EA acquisition, Activision Blizzard's massively multiplayer online game, "World of Warcraft," was skyrocketing in popularity, while Sony's "Star Wars Galaxies" faltered, leaving an opening for its replacement. (EA published "Galaxies" in Japan, but the game's worldwide servers were shut down for good a week ago.)

In addition to the initial $60 price tag, "The Old Republic" costs $15 per month, same as "World of Warcraft." (The price goes down a dollar or two when committing to longer subscriptions.) The game companies justify these fees by citing the expenses of Internet server upkeep, and of delivering new missions and items on a regular basis.

This idea of constantly updating a game, even years after its debut, is new for BioWare because it has never made a game of this type before. The team has implemented a suite of data-analytics services so that it can review how people play and then tailor updates, Muzyka said.

BioWare will need to stay attentive to players' demands over time. A few people who started playing weeks ago during the beta period have already reached the maximum level of 50.

BioWare is not concerned that its gargantuan product has already been defeated. There are always some sleepless diehards, and developers cannot pay attention only to them, BioWare co-founder Greg Zeschuk said in an interview.

Already, BioWare execs have begun discussing new features they plan to add for teams and player battles, which may be released in quarterly updates, according to Muzyka. Execs are eager because BioWare has been preparing for this type of game for more than a decade.

"We thought about doing this back in the early years of BioWare," said Muzyka, who started the studio with Zeschuk in 1995. "We wanted to have all of the best-of-breed features of any MMO out there."

"The Old Republic" passed the first test at launch. The servers remained steady under the initial surge. But will the Force stay with them?

@highlight

BioWare says "The Old Republic" is the biggest game it's ever built

@highlight

The "Star Wars" game has 260,000 lines of dialogue

@highlight

Studio heads are already mulling over which new items they'll add