In two operations nearly 3,000 miles apart, U.S. military forces went after two high-value targets over the weekend. And while officials have yet to say whether the operations were coordinated or directly related, they show Washington's reach, capability and willingness to pursue alleged terrorists.

One operation took place Saturday in the Libyan capital of Tripoli, when U.S. forces captured Abu Anas al Libi, an al Qaeda leader wanted for his role in the deadly 1998 bombings of two U.S. embassies in Africa.

As al Libi was leaving his house for morning prayers, a group of 10 masked men surprised him, a source close to Libyan intelligence said. Citing al Libi's wife, the source said the al Qaeda leader tried to reach into his car to grab his gun -- but the U.S. forces quickly snatched him.

In the second raid, a team of  U.S. Navy SEALs in southern Somalia targeted the top leader of Al-Shabaab, which was behind last month's mall attack in Kenya. The SEALs came under fire and had to withdraw before they could confirm whether they killed their target, a senior U.S. official said.

"One could have gone without the other," said retired Lt. Col. Rick Francona, CNN's military analyst. "But the fact that they did them both, I think, is a real signal that the United States -- no matter how long it takes -- will go after these targets."

The operations were carried out even as polls show Americans are skittish about U.S. military involvement in overseas conflicts. This means, Francona said, that others who might be in the U.S. government's cross hairs could have more reason to worry.

Speaking to reporters at the Asia-Pacific Economic Cooperation summit in Bali, Indonesia, U.S. Secretary of State John Kerry said the raids ought to make clear that the United States "will never stop in its effort to hold those accountable who conduct acts of terror."

"Those members of al Qaeda and other terrorist organizations literally can run," he said, "but they can't hide."

Al Libi tied to U.S. embassy bombings

Al Libi, 49, has been high on the radar for years. He was on the FBI's "Most Wanted Terrorists" list, with a $5 million reward for information leading to his arrest or conviction.

He is alleged to have played a key role in the August 7, 1998, bombings of American embassies in Nairobi, Kenya; and Dar es Salaam, Tanzania. More than 200 people were killed and another 5,000 wounded in the Kenya attack; 11 died in the Tanzania incident.

Al Libi has been indicted on charges of conspiracy to kill U.S. nationals, murder, destruction of American buildings and government property, and destruction of national defense utilities of the United States.

As early as December 2010, Libyan authorities told a United Nations committee that al Libi was living there, even providing a Tripoli address for him.

U.S. officials wanted al Libi to face trial in an American court.

But, counterterrorism analysts told CNN, he may not have been apprehended because of the delicate security situation in much of Libya. There, ex-jihadists -- especially those who once belonged to the Libyan Islamic Fighters Group -- held considerable sway since the ouster of longtime leader Moammar Gadhafi.

The Saturday operation was conducted with the knowledge of the Libyan government, said one U.S. official. The Pentagon said the U.S. military was holding him in a "secure location" outside Libya.

"It's a huge deal to get him," said CNN's Nic Robertson, who has long been covering al Qaeda. "He's a big player in al Qaeda (and) he is in one of the key target areas, the north of Africa."

Beyond any psychological impact on the terrorist group, al Libi's capture could potentially yield a wealth of information about al Qaeda's plans and capabilities. The terrorist network has shown particular strength of late in Africa.

"Clearly, he may have useful information about the strength of al Qaeda and the Islamists in Libya," Robertson said. "He is somebody who is senior within al Qaeda. He was well respected, a good operative."

Al-Shabaab blamed for Kenya mall attack

Al-Shabaab long has been a target of Washington as well: It was designated a foreign terrorist organization in  2008. The group is seeking to turn Somalia into a fundamentalist Islamic state, though it has carried out attacks in other African countries as well.

The attack on Nairobi's Westgate Mall on September 21 thrust Al-Shabaab into the spotlight once again. Washington vowed to support Kenya's government after the bloody raid, which killed at least 67 people.

The Al-Shabaab raid took place before dawn Saturday (late Friday night ET) in the southern Somalian port city of Barawe.

The Pentagon would only say the operation was against a "known Al-Shabaab terrorist." But town residents told CNN  the "foreign forces" came via speed boat and stormed a house believed to be a hideout for several top militant commanders, including the group's top leader Ahmed abdi Godane, also known as Moktar Ali Zubeyr.

A senior U.S. official said the Navy SEALs inflicted some Al-Shabaab casualties, and came under fire.

They made the "prudent decision" to withdraw, and couldn't confirm whether they killed their target, the official said.

Abdiaziz Abu Musab, an Al-Shabaab spokesman, said at least one Al-Shabaab fighter was killed in the gunfight.  But no U.S. personnel were injured or killed, a U.S. official said.

In recent months, Al-Shabaab's haven in south-central Somalia has been been increasingly squeezed as Kenyan forces fight the group from the south and African Union forces come down from Mogadishu.

At the same time, Al-Shabaab has become even more closely aligned with al Qaeda. The two groups effectively merged last year, said CNN National Security Analyst Peter Bergen.

"This is a group that has adopted al Qaeda's ideology wholesale," Bergen said. "The reason they attacked the mall was not only because it was Kenyan, but also because it attracted a fair number of Western businessmen and others living in Nairobi."

'Most Wanted Terrorist' al Libi nabbed in native Libya after years tied to al Qaeda

U.S. officials: Navy SEALs launch raid on Al-Shabaab leader

@highlight

Al Libi is captured when he leaves his house for morning prayers

@highlight

Al Libi is accused in the 1998 bombings of two U.S. embassies in Africa

@highlight

Terrorists can run "but they can't hide," Kerry says

@highlight

It's not known whether U.S. forces killed an Al-Shabaab leader in Somalia