Editor's note: In our Behind the Scenes series, CNN correspondents share their experiences and analyze the news behind events. Here, CNN's Nic Robertson describes a tour of Camp Bucca, the largest U.S.-run detention facility in Iraq.

Some 2,000 suspected al Qaeda loyalists are held at Camp Bucca, the military says.

CAMP BUCCA, Iraq (CNN) -- The inmates huddle below the barbed wire, looking up at the strangers who have arrived at the detention facility. They're dressed in bright yellow, almost fluorescent jumpsuits. There are 2,000 of them, described by the U.S. military as hard-core al Qaeda loyalists.

These inmates are kept behind a maze of chain-link fences, topped with barbed wire, and are guarded by heavily armed men in military fatigues who hold shields. We're escorted through Camp Bucca, the United States' biggest detention facility in Iraq, by Marine Gen. Douglas Stone, who runs the camp.

"They're hard to break," he says of the suspected al Qaeda inmates.

As Stone speaks, some inmates begin pointing up and we're told to keep moving. We wear protective glasses to cover our eyes. Inmates here throw rocks from the dusty, gravel floor at visitors, sometimes using makeshift slingshots to hurl the pebbles at 100 mph. Several guards have been blinded by the projectiles.  Walk along with Nic Robertson through the facility »

"This is not a place you want to hang around, so we really don't want to stand here that much longer because they will organize around us," Stone says.

We press on through the facility. As we record our television piece, we're not allowed to talk to the inmates or show their faces -- doing so would be in violation of the Geneva Conventions.

Inside Camp Bucca, the al Qaeda loyalists make up a minority of more than 19,000 civilian detainees. They are neither criminals nor prisoners of  war. They are detained because they are deemed a security threat, many accused of taking up arms against American soldiers.

There is no maximum period for holding them. They are freed only when it has been determined by a review board they are no longer a security risk. Some have been locked up for more than three years.

Just last year, the facility was known as a jihadist haven where violence was rampant. At its worst, rioting involving between 1,000 and 10,000 detainees spread across half the compounds in the camp. Fires burned through many areas. Plots to kidnap and kill guards were common, authorities say.

It became so bad the U.S. military considered the facility a strategic threat. Stone took over in May last year.

"It most assuredly was a jihadist university," says Stone.

He even admits he was on the verge of shooting rioting detainees, a prospect that would have made the abuses at the notorious Abu Ghraib prison pale in comparison. Stone says that was his turning point.

Since that time, Stone has radically reshaped the camp, working to change the attitudes of the guards and detainees alike. Inmates undergo religious re-education where imams preach a moderate interpretation of Islam. The prison also offers art classes. Some attend English courses. Even civics courses teaching Western-style democracy are offered.  Watch the change from "jihadist university" to model lockup »

Stone has also allowed families to visit the detainees much more frequently. He says detailed research shows most detainees at Bucca got family permission to take up arms against Americans so they could make money.

"The reality is this is the battlefield of the mind," Stone says.

He says the new policies are already paying dividends: "Detainees now tell us more about the network of al Qaeda, about the training techniques of al Qaeda, about how they fund their operations."

He says 7,000 inmates have been released. Only seven have been returned to the facility, according to Stone. The hope is that the detainees will return to their communities and spread a message of moderation.

"Each detainee represents the possibility of being a moderate missile, if you will, fired into a community to spread a degree of moderacy and that's the way we view it," he says.

"If we have half of them hitting their target, it makes a huge difference."

My crew and I get a firsthand glimpse in one Bucca classroom. An imam explains to the detainees they have to respect other people. He also tells them everyone makes mistakes, and it's up to each individual to correct those mistakes. He tells them killing people is wrong and un-Islamic.

In another part of the facility, hard-core extremists are kept isolated from the rest. On this day, they are getting a math class. Their teacher stands outside their wire cage; it's too dangerous for him to talk to them directly.

Stone's priority is to separate the extremists from the moderates and give religious re-education to all -- even if the most radical may reject it.

His work at this facility is part of the counterinsurgency strategy employed by the top U.S. commander in Iraq, Gen. David Petraeus, designed to isolate extremists from the population. The re-education techniques are used by governments in other Muslim states to tackle Islamic radicals.

Stone's approach has remodeled the U.S. detention system in Iraq and appears to have reduced the practice of putting well-trained extremists back into the community to rejoin the fight in what U.S. military officers disparagingly called a "catch and release" program.

How the new approach holds up after Stone leaves when his tour ends in the coming months will be a test of how successful he has been in changing the psychology of guards and detainees alike.

Walking around the facility, it appears the U.S. military has put the scandal of Abu Ghraib behind it. Stone wants Camp Bucca to be the model for three new detention facilities to be built around Iraq closer to detainees' families. They could cost $250 million to build.

But if Stone's tactics are right, they could also have a significant impact on winning the war in Iraq. E-mail to a friend

@highlight

CNN's Nic Robertson goes inside main U.S. detention facility in Iraq

@highlight

Prison holds 19,000 inmates; 2,000 are suspected al Qaeda loyalists

@highlight

Inmates undergo programs to teach them moderate Islam

@highlight

Marine general: "This is the battlefield of the mind"