Washington (CNN) -- With Congress mired in dysfunction over immigration, President Barack Obama says he'll do what he can to sidestep the legislative logjam.

One possibility: using presidential authority to remove the threat of possible deportation for a few million immigrants living illegally in the country, a step that conservatives decry as amnesty.

Here is a look at how we got here and steps Obama could take in coming months to address what all parties agree is a broken immigration system and boost the Democratic brand, though not necessarily in this year's congressional elections.

What is the problem?

An estimated 11 million or more immigrants are living illegally in the United States, many of them for years or even decades. They work, go to school and otherwise participate in American society even though they broke the law coming here and lack papers allowing them to stay.

An increase in tougher enforcement laws and resources without any corresponding legal remedies for undocumented immigrants led to the huge illegal population.

White House mulls steps on immigration it can take on its own

While Obama's administration has deported or turned back more than 2 million people, it shifted the priority from working immigrants targeted under predecessor George W. Bush to criminals, more recent border crosses and those who keep re-entering illegally.

Obama had promised to pass comprehensive immigration reform in his first term, but wound up focusing on economic recovery and health care reform.

Now he wants to deliver to the Hispanic American community, the nation's largest minority demographic that strongly backed him in both election victories and is demanding an end to the deportations that it says split up families and tear the social fabric.

What are we doing about it?

Last year, the Senate passed a comprehensive bill that would provide a path to legal status for the millions of long-term undocumented immigrants while also strengthening border security.

The legislation supported by all Senate Democrats and 14 Republicans would require immigrants illegally living in the country to register with the government, pay a penalty, learn English and begin the process of applying for legal status. It also had the backing of the business community, organized labor and religious organizations.

However, House Republicans have refused to consider the Senate bill, which Obama and Democrats claim would pass if put to a vote.

Conservatives say the Senate plan amounts to amnesty for lawbreakers, arguing they should be sent back to their home countries because they drive up the size and cost of government while competing with U.S. citizens for jobs.

Democrats want to remove the legal uncertainty for as many of the undocumented immigrants as possible, allowing them to continue living and working here so they can eventually gain legal status and possibly full citizenship.

Didn't Obama already stop deporting some children of immigrants?

In 2012, the Obama administration changed its policy by halting deportations of some immigrants brought to the United States illegally as children.

The move came after GOP Senators in 2010 blocked a Democratic bill known as the DREAM Act that would have done much the same thing.

Republicans argue the step meant Obama stopped fully enforcing immigration laws, saying they now mistrust him to carry out provisions for stronger border security that they demand in any new legislation.

Before going home for this year's summer recess, the GOP-led House voted to reverse Obama's previous executive actions on immigration and prevent future similar steps. The provision pushed by conservatives has zero chance of passing the Democratic-led Senate.

What about the current immigrant surge in Texas?

Tens of thousands of new arrivals from Central America, many of them unaccompanied children, have overwhelmed immigration facilities and services in Texas in recent months.

Republicans, particularly conservatives, say two policy changes led to the surge -- a 2008 anti-trafficking law that requires immigration hearings for most children arriving at the border, and Obama's 2012 decision to stop deporting some minors.

Rick Perry says youths crossing the border is a 'side issue'

Combined, the changes created a perception that children who make it into the United States won't get sent back, the critics argue.

For now, the U.S. government considers the influx from Guatemala, El Salvador and Honduras a separate issue from the longstanding problem involving undocumented immigrants who have lived in the country for years.

House passes $694 million border bill

Obama has asked for more money to speed the processing and care of the new arrivals, but said most of the Central Americans arriving now will be returned to their home countries.

So now Obama is going to take more actions on his own?

Yes.

When it became clear this year that the House wouldn't take up the Senate immigration bill, Obama asked the Justice and Homeland Security departments to come up with steps he could take on his own.

Sources familiar with the matter told CNN that one potential option would expand the deferred deportation program of 2012 for so-called DREAMers -- children brought to America illegally by their families.

Other possible steps include granting some kind of legal status to the foreign parents of U.S. citizens, and allowing some undocumented immigrants to apply for temporary work permits, the sources said.

Border crisis: GOP falls into a trap

The total number of immigrants affected could reach 5 million or more, some analysts say.

"There are so many ways they could cut this pie and define and protect a class" of undocumented immigrants, one source told CNN, adding that the decisions expected next month would examine "what's possible from a legal perspective, a policy perspective and also what's possible from a political perspective."

White House spokesman Josh Earnest said Monday that "the review of what the President is able to do is still ongoing," and whatever options emerge will not be as enduring or as strong as what Congress could do under the Senate legislation.

What is the response?

The Hispanic American community wants to see the details, but supports Obama acting on his own. However, it would protest if it considers the steps too timid.

As expected, conservatives react with alarm and outrage.

GOP Sen. Jeff Sessions of Alabama, perhaps the most vocal opponent on immigration reform, said last week that Obama "wants to issue another 5-6 million work permits to illegal immigrants of any age."

That would violate existing law and be "a direct affront to every single unemployed American, particularly those in our poorest most vulnerable American communities," Sessions said.

House Republicans who recently authorized a lawsuit against Obama for changing how the health care reform law gets enforced warn of another legal challenge over further executive action on immigration.

Why is this so hard?

The long-term political stakes are huge.

If reforms allow millions of immigrants now facing potential deportation to get eventual citizenship, Democrats would get the credit and the likely political loyalty of generations of Hispanic American voters.

Republicans, meanwhile, are deeply divided over how to proceed.

Conservatives warn that approving the Senate reforms or something similar would ensure that a Democrat occupies the White House for years to come.

Rubio plunges into immigration debate head first

More moderate Republicans argue that failing to do so would bring the same result.

"We must embrace and champion comprehensive immigration reform," the Republican National Committee concluded in its post-mortem of the 2012 presidential election, in which GOP nominee Mitt Romney lost to Obama. "If we do not, our party's appeal will continue to shrink to its core constituencies only."

Despite that conclusion, House Republicans have blocked the comprehensive reforms passed by the Senate.

Obama said last week such division leaves him no recourse but to act on his own.

If he does before the November election, as expected, it could hurt some Democrats running in traditionally conservative states. That would amount to short-term pain for potential long-term gain.

CNN's Athena Jones, Deirdre Walsh and Leigh Ann Caldwell contributed to this report.

@highlight

President Obama looks at what he can do without Congress

@highlight

More than 11 million immigrants now live illegally in America

@highlight

Possibilities include work permits for a few million of them

@highlight

Both parties agree the system is broken, but can't agree on a fix