(CNN) -- Can mounting radar sensors or cameras on cars help prevent some traffic jams? New research suggests so.

When a car slows quickly and unexpectedly, it can trigger a chain reaction in the cars behind it and create traffic slowdowns. It doesn't take construction or a fender-bender to disrupt traffic on a highway, just one driver hastily hitting his brakes.

But Massachusetts Institute of Technology professor Berthold Horn has developed an algorithm he thinks can be used by cars to better reduce these kinds of "phantom" traffic jams: slowdowns not caused by obvious culprits like accidents or road repairs.

Using Horn's system, multiple cars would detect the velocity and distance of the cars in front and behind them and then regulate their speed to avoid sudden braking and maintain a more consistent speed. Horn told the MIT News Office that one driver braking suddenly can have a ripple effect, increasing in amplitude, on the line of cars behind them, even if the driver just hit the brakes for a moment.

Completely autonomous car technology is under development at universities, car companies and even Google. But Horn's system isn't just for cars in the far-off future. He believes that it could be used by existing vehicles that have a feature called adaptive cruise control, which is found on some high-end cars.

Cars with adaptive cruise control are outfitted with radar sensors or digital cameras on the front of the vehicle. They detect nearby cars and gauge how far away they are and how fast they're going. In addition to keeping a preset speed, a car with adaptive cruise control automatically adjusts the brakes and throttle to stay a safe distance from the cars ahead of it.

The system is great for people who often hit stop-and-go traffic during their commutes. It can slow down when necessary to avoid accidents and rev back up to the maximum desired cruising speed.

But Horn's system would take this a step further by adding sensors on the back of the car as well. A car that stays roughly halfway between those in front of it and behind it would be less likely to pass on any disruptions in speed to the car behind it.

Horn describes his system as "bilateral control," and it works best when a lot of cars on the road are using it. The algorithm takes into account other human factors, like drivers' reaction time and typical behaviors such as speeding up to close gaps between cars.

Horn, who researches computer vision, came up with the idea to create a computer simulation of these types of traffic issues after dealing with backups on interstates in Massachusetts.

Mounting cameras or sensors on cars is still a new and expensive technology, but it is a key part of automated driving advancements. In the future, cars could communicate with each other and share information about speed and traffic to better address issues that individual drivers can't fix on their own.

Horn presented his findings this month at a transportation conference.

@highlight

Many traffic slowdowns are just chain reactions started by cars hastily slowing down

@highlight

An MIT professor has developed a system for preventing these types of jams

@highlight

Cars with mounted cameras or sensors can track cars around them and better regulate speed