(CNN) -- Washington's relentless focus on crisis tends to cloud its ability to see great opportunities.

With more than 40 African heads of state coming to Washington this week for three days of meetings with President Barack Obama, Cabinet officials, members of Congress and American business leaders, the United States has a real opportunity to jump-start what has been a slow evolution in the way we have engaged with Africa.

It's an opportunity that should not be missed.

Foreign assistance is no longer America's primary export to Africa, and our engagement needs to change, too. The U.S.-Africa Leaders Summit is an opportunity to showcase and strengthen a relationship that is evolving dramatically on economic, security and development fronts.

This will be the United States' first African heads-of-state summit, which puts us well behind our global competitors. China, which surpassed the United States as Africa's largest trading partner five years ago, has held five summits with African heads of state since 2000.

The Chinese have seen plainly what many U.S. businesses have not: That six of the world's 10 fastest-growing economies over the past decade were in sub-Saharan Africa. Since 2000, Chinese exports to Africa have outpaced American exports at a ratio of 3 to 1, and China is now Africa's largest trading partner.

When China wants something from an African government -- mining rights or port exclusivity, for example -- it offers no-strings-attached "gifts" or investments in infrastructure.

While the United States offers values-driven policy and investments in people, especially in public health, the Chinese have a reputation for paying for the friendship of African governments with low-interest financing of construction projects.

U.S. foreign direct investment in Africa still outstrips the Chinese, but in trade and export sales to Africa, the Chinese have eclipsed us.

For the United States to continue competing, our relationship with African governments and businesses must evolve to include more meaningful and mutually beneficial partnerships. The summit's business forum on Tuesday will put American CEOs at the table with African heads of state and business leaders. This is matchmaking, with an eye on increasing U.S. exports to Africa's rapidly growing middle-class consumer base.

Opinion: What Obama can do about Ebola

American CEOs want new markets for their products, and American workers want jobs making those products. African leaders want more international companies to sell their products in their countries, invest in their growth and partner with local businesses. The opportunity for increased trade and investment is extraordinary and important for the evolution of the United States' relationship with the continent.

We can and should exercise our unique competitive advantages. The United States boasts an African diaspora drawn here by American universities and steeped in American culture and entrepreneurship, and a level of technology, innovation and quality that still commands the attention of African leaders, consumers and countries.

The U.S. has a unique opportunity to build bridges to emerging economies and democracies in Africa through the tens of thousands of Africans in our country who are a part of the diaspora. Doctors. engineers and businessmen, educated here and successful here, can connect the United States to Africa in ways China, Russia and India simply cannot.

After 50 years of President John F. Kennedy's Peace Corps, a decade of President George W. Bush's transformational campaign to prevent and treat HIV/AIDS, and with the promise of President Obama's Power Africa electrification initiative, the United States is better regarded in Africa than anywhere in the world. I saw this firsthand as a student in Kenya in 1984 and have experienced it consistently in visits since.

We should build on the positive view of America and Americans created by the remarkable generosity of our investments in health, education, clean water and good governance to shift our engagement strategy from aid to trade.

China, Russia, Brazil and India are focused on the huge potential of Africa because of the increase in the number of stable and growing countries on the continent. While the bad news from a handful of countries dominates American news, the quietly good news about growth and opportunity in dozens of others is overlooked.

To its credit, the Obama administration has noticed.

Delegations led earlier this year by the secretaries of commerce and energy, the President's remarkable Young African Leaders Initiative, and the administration's Power Africa are all meaningful steps forward. Congress can do its part by strengthening and reauthorizing the African Growth and Opportunity Act before its authorization expires next year.

The real success of Obama's summit won't come in the form of a joint press statement or vague declaration of a path forward but in new contracts between U.S. companies with African partners and new commitments from African leaders.

Twenty years ago, every American company was deciding whether to take the risk of investing in and engaging in the newly opening markets of Asia, and China ended up being the dominant opportunity of the region.

Today, no competitive company is without some role in China. Africa will emerge as the next great growth market and opportunity of the 21st century, and China will not miss "the next China."

America shouldn't either.

Join us on Facebook.com/CNNOpinion.

@highlight

More than 40 heads of state attend first Africa summit in the U.S. this week

@highlight

Sen. Chris Coons: This is opportunity for U.S. business to create ties to fast-growing Africa

@highlight

China surpassed the U.S. in trade with Africa, but America has distinct advantages, he says

@highlight

Coons: The U.S. has African diaspora that succeeded here, and it's well-regarded in Africa