(CNN) -- A fire, a fuel leak, mechanical issues.

For a passenger about to board Boeing's next-generation 787 Dreamliner aircraft, reports of parts of the plane not working properly don't inspire confidence.

After years of manufacturing delays and cost overruns, the state-of-the-art Boeing 787 debuted in 2011. Yet a string of maintenance issues have put the much-anticipated plane into a less rosy light.

On Tuesday, a Japan Airlines flight aborted takeoff from Boston's Logan International Airport for Tokyo after a pilot on another airplane spotted the 787 leaking fuel. On Monday, a maintenance worker discovered an electrical fire aboard an empty Japan Airlines 787 slated for departure from Logan. In December, a United Airlines 787 traveling from Houston to Newark was diverted to New Orleans after experiencing mechanical problems.

Despite the flurry of reports, aviation experts say most new commercial airplanes do encounter problems after their launch.

Read more: 7 reasons the 787 Dreamliner is special

Every new airplane is going to have these kinds of "teething problems," said John Goglia, a former National Transportation Safety Board member and former airline mechanic. The manufacturers usually "get a handle on it quickly and fix it."

That's Boeing's plan. "There are issues we have seen that we will need to work through and just like any new airplane program we work through those issues and we move on," said Mike Sinnett, Boeing vice president and chief project engineer for the 787, during a conference call with reporters on Wednesday.

In the 15 months the aircraft has been flying passengers, Sinnett says its on-time departure rating has been "in the high 90 percents."

That measure is about the same as Boeing's last major new commercial airplane, the 777, which was launched in 1995.

"These are best-in-class airplanes and their performance has been best in class," he said. "But we are not happy until we are perfect."

Newer airplanes are safer than ever, Goglia said. "We are flying more airplanes that have been engineered to be safer," he said. "We almost (never) have material failures in airplanes anymore."

Part of the Dreamliner's appeal to airlines is its increased fuel efficiency due to its construction of lightweight composite materials instead of metal. The interior features larger windows and overhead bins and better ventilation.

Problems on other new aircraft

The Airbus A380 also had problems when it started flying in 2007, but aviation expert Janet Bednarek loves to fly it.

"It had cracks in the wing, which would be much more concerning to me" than the 787 reports, said Bednarek, a University of Dayton aviation history professor. "They figured it out. Pilots want to get to their destination alive as much as anybody so they don't mess around."

Like the 787, the Boeing 747 was also a "game changer" and had a lot of issues when it started flying in 1970, according to aviation consultant Michael Boyd.

"The engines on the first ones were a leap at the time and had big problems but they got through it," said Boyd. "I think the potential and perceived operational advantages of the aircraft are such that airline orders will stick with the 787 through this situation."

The size of the key players in the commercial aircraft game -- Boeing and Airbus -- lend a lot of weight to maintenance issues, said Bednarek, who said she looks forward to flying the 787.

"What makes this a bigger story is that essentially we have two companies only that make these really big airplanes.

"They dominate the world market so their company is on the line when this happens. They are both 900-pound gorillas. Misfortune for one company might benefit the other."

Situation Room: Go inside Boeing's new 787 Dreamliner

Computers fly the plane

As computers do more of the work that pilots used to do, any kind of electrical failure does concern aviation historian David T. Courtwright, author of "Sky as Frontier: Adventure, Aviation, and Empire."

"More of the human function of piloting has been transferred to equipment itself. In general, that's been a great thing for passenger safety," said Courtwright. "That's why any kind of electrical failure in a new piece of equipment is alarming, because there is so much electrically driven."

Courtwright doesn't think the 787's problems will slow down the computerization of flight that's been going on for more than 30 years.

"Whatever the particular flaws of this aircraft, it's a setback for Boeing and this design, but it no way indicates a trend away from these kinds of advanced, electronically sophisticated aircraft that essentially fly themselves."

For his part, Boeing engineer Sinnett is concerned, but is "100 percent convinced" the 787 is safe to fly.

"I'm concerned about the things that everybody else is concerned about, but there is not a single one of them that stands out as a particular concern from a safety or economic perspective."

CNN's Jim Barnett and Todd Sperry contributed to this report.

@highlight

It's normal for new aircraft to have problems in their first year of flight, experts say

@highlight

Both the Airbus A380 and the Boeing 747 went through growing pains when they were introduced

@highlight

The trend of electronically sophisticated aircraft that essentially fly themselves is likely to continue