Connecticut (CNN) -- Throughout my travels with UNICEF -- from Angola, to Central African Republic, Chad, the Democratic Republic of Congo, Haiti, Sudan and Uganda -- I have met countless young girls and boys whose bodies and minds have been permanently damaged because they were malnourished during the first 1,000 days of their lives.

Around 170 million children under the age of five are stunted -- their bodies and brains cannot develop to full capacity.

A stunted child has difficulty in learning and in surviving. Such children are up to four times more likely to die from all causes -- including easily preventable diseases.

Read more: Child stunting a 'silent emergency,' says Beckham

For too long, stunting has been a silent crisis -- a personal tragedy for each family. But the suffering of some 170 million children constitutes a global catastrophe that calls for an urgent response.

Traveling for UNICEF for over more than a decade, my focus has been on countries -- particularly in Africa -- that are being impacted by conflict including the Darfur region, South Sudan, Central African Republic and the Democratic Republic of Congo -- areas convulsed by violence. I have met countless families who have nothing to eat because they are on the run often hiding deep in the bush.

Read more: Indian state's battle to build up its babies

But it is not only conflict that is leaving children so vulnerable. Last February, I paid a second visit to the sand swept town of Mao in the west of Chad along the belt of the Sahel. Drought, failed crops and skyrocketing food prices have left people with little to nothing to eat.

Mothers carry emaciated children long distances across the sand to reach UNICEF-supported health centers for life-saving fortified foods. Often it is too late. At this moment one million children throughout the Sahel region of Africa are at risk of dying.

They are in urgent need of our support.

Wherever there is poverty, it is the children who pay the highest price. But here is a story of hope. When I visited Haiti before the earthquake, the stunting rates had been stubbornly high -- about 31%. Then, on January 12, 2010, the earthquake struck causing hundreds of thousands of deaths and injuries. The devastation affected three million people, two thirds of them children.

But the Haitian government and the international community joined forces and in just two years something extraordinary resulted. That stubborn stunting rate dropped to 23%.

There is more work to do, but we can see that even in challenging circumstances it is possible to work together to ensure that the world's most vulnerable children, pregnant women and mothers have access to food and drinkable water.

Wherever I go, I am always struck by the children. In the face of their courage, resilience and hope, I don't see how we can allow ourselves the luxury of feeling overwhelmed or helpless.

We have the tools, we know what must be done. In the name of some 170 million children let's pull together and end the obscenity of hunger and stunting.

@highlight

170 million children worldwide suffer stunting due to malnutrition

@highlight

Condition permanently damages young children, impedes ability to learn, grow

@highlight

International help is urgently needed to reduce levels of poverty

@highlight

Stunting rates dropped in Haiti due to aid from the 2010 earthquake