(CNN) -- Earlier this month Sen. Rand Paul (R-Kentucky) visited Howard University to take a swing at repairing relations between African Americans and the Republican Party.

As famed sportscaster Harry Kalas would have said, it was largely a swing and a miss.

Paul struck out when he tried to equate today's Republican Party with the party of Abraham Lincoln, while ignoring much of the 150 years in between. (He even acknowledged his mistakes shortly after). But his willingness to step up to the plate can provide a lesson for a GOP struggling to get on top.

Republicans will not win black votes by paying lip service to party history while attacking social programs and voting rights. But they can make inroads by showing a commitment to civil rights, something Paul managed to do briefly in his remarks.

Paul received applause when he told the Howard crowd, "We should not have drug laws or a court system that disproportionately punishes the black community." He illustrated using one issue where the GOP can connect with black voters: criminal justice reform.

Just before the 2012 elections, the NAACP took a nonpartisan survey of black voters in key swing states. We found that 55% of African Americans believe Republicans "don't care at all about civil rights" while another 32% think the party "just says what minorities want to hear." But 14% said they would be more likely to vote for a Republican in the future, if they found a candidate who demonstrated a strong commitment to civil rights.

Mass incarceration is a fundamental civil rights issue. African Americans make up 40% of the 2.4 million people in America's bloated prison system. That includes the vast majority of those in prison for nonviolent drug offenses. If current trends continue, one in three black males born today can expect to spend time in prison during his life.

As Paul demonstrated, mass incarceration is also a fundamental conservative issue. State spending on prisons has tripled over the last 30 years, reaching $70 billion in 2008. Federal prisons are at 139% capacity, often thanks to harsh mandatory minimum sentences. And who pays for all these guards, beds and three square meals a day? Taxpayers.

In fact, some red states have led the way on criminal justice reform. In Georgia, South Carolina and Texas, Republican legislatures have teamed up with progressives to increase options for parole and reduce mandatory minimums. In Texas, the NAACP and progressive activists worked with leaders of the Tea Party to pass a dozen reform measures. Last year, Texas scheduled the first prison closure in state history.

Rand Paul is not the first national Republican leader to speak up, either. Newt Gingrich and Jeb Bush are both members of the conservative think tank Right on Crime. And in 2011, Gingrich joined Grover Norquist and other unlikely allies - including Mike Jiminez, the president of California's prison guard union -- to endorse the NAACP's report, Misplaced Priorities: Over Incarcerate, Under Educate. The report revealed how the rise in prison spending has caused states to spend less on education.

These alliances should draw the attention of Republican leaders. Many Democrats shy away from talking about criminal justice reform, for fear of being labeled "soft on crime." According to the NAACP's election survey, 42% of African American voters believe the Democratic Party is failing them on criminal justice. The GOP has a chance to fill the leadership vacuum and demonstrate their civil rights bona fides.

Paul is poised to lead the conversation on criminal justice reform. At Howard he touted the "Justice Safety Valve Act of 2013," which he recently introduced with Senate Judiciary Committee Chairman Patrick Leahy, the Democratic senator from Vermont. The bill would allow federal judges to bypass federal mandatory minimum sentences if the sentence is too lengthy or if it simply does not fit the crime.

Paul told students that his friends called him "either brave or crazy" for showing up at Howard University, a statement that says more about his friends than the audience at Howard. Nonetheless, Paul and his Republican Party would display true bravery, and political savvy, by taking this opportunity to walk Lincoln's walk and take on the new Jim Crow.

Moving from "tough on crime" to "smart on crime" would be good for this country. It would also be a smart move for the Republican Party if they ever hope to get on base with black voters.

The opinions expressed in this commentary are solely those of Benjamin Todd Jealous.

@highlight

Benjamin Jealous: Rand Paul's attempt to heal rift between blacks and GOP fell short

@highlight

He says if GOP wants to draw black votes, it can start by committing to civil rights

@highlight

One way is criminal justice reform, Jealous says

@highlight

Jealous: Sentencing reform, education would bring down spending. GOP, get on board