(TIME.com) -- Forget chicken soup or hot tea. There are a new batch of home flu remedies -- and they don't skimp on the alcohol.

When Jeni Britton Bauer, owner of Jeni's Splendid Ice Creams in Columbus, Ohio, was young, getting a cold or the flu meant her mother and grandmother would mix up a cocktail of their own cure-all for the winter ills -- a syrup of honey, lemon juice and whiskey. She'd get a spoonful, or get to drink it in a hot lemonade before bed.

So in 2004, as those around her sniffled and sneezed their way through a moderately severe flu season, Bauer thought she could help ease some of the suffering by adding her own twist to the family recipe, turning the syrup into a sorbet so the coldness would add a soothing touch as well.

The frozen treat contains orange and lemon juices, honey, "ginger, cayenne and liquid pectin -- because it makes it into a cough drop that lubricates your throat," Bauer says.

TIME.com: Flu vaccine is 62% effective, say health officials

But the key ingredient is Maker's Mark. "The whiskey relaxes you," she says. And there's a lot of it. "Enough that it barely stays frozen." When she debuted the treat in 2004, she also rolled out a kid-friendly version, using a cherry concentrate from a Michigan farm instead of bourbon.

Jeni's Influenza Rx Sorbet weathered the H1N1 ("swine flu") scare, and with this year's flu at epidemic levels, is now flying off shelves at $12 a pint in Jeni's 10 Ohio stores, forcing her team to extend production hours to meet the growing number of online orders.

But can a sorbet beat the common cold or the flu? Doctors tell TIME that the ingredients don't have any anti-viral properties, meaning they aren't proven to reverse the course of the illness, or prevent you from getting infected. But they may give you temporary relief of some symptoms. Here's what experts say about the cocktail's potential benefits:

Orange and lemon juice. Both juices are high in vitamin C, but data does not confirm that consuming a lot of vitamin C will make a difference when you are actually sick.

"It's probably something that over a long period of time helps you maintain a healthy immune system, but if you take it when you're actually sick, it doesn't do anything to the virus itself," says Dr. Nicole Bouvier, assistant professor in the Division of Infectious Disease at the Icahn School of Medicine at Mount Sinai Hospital in New York City.

5 ways to beat the winter blues

Cayenne and ginger. These spices have anti-inflammatory properties that may make you feel less feverish and reduce the joint pain, headache, and muscle aches that accompany the flu — especially the ingredient capsaicin in pepper.

"It would be the same as if you took an Advil," says Dr. Seth Feltheimer, internal medicine physician at New York Presbyterian. Like any spicy food, the cayenne and ginger may also give you the impression that your sinuses are less congested, says Bouvier.

Honey and pectin. "Honey and pectin both provide a coating over the mucous membrane of the throat to soothe any irritation and inflammation," says Dr. Malcolm Taw, an assistant clinical professor at the UCLA Center for East-West Medicine. Honey has anti-bacterial properties and has been used as an antiseptic. In fact, says Bouvier, "raw unpasteurized honey has been used for wound healing because it forms a water barrier and helps keeps moisture in the wound." Pectin is also an ingredient in cough drops.

Alcohol. Sorry, whiskey fans: the Maker's Mark is not going to cure your cold or flu, though it certainly can make you feel less miserable. The bourbon in Jeni's sorbet is a nod to another traditional alcoholic cold remedy, the "hot toddy," a steamy mixture of whiskey or brandy, lemon, honey, and sometimes tea. The concoction can make you drowsy and help you fall asleep, which isn't a bad thing when you're sick because rest helps you recovery more quickly.

Why alcohol? It's also an antiseptic, so people might have believed that the alcohol would kill the germs in your body. But "flu is in a lot of places where beverages don't reach," says Bouvier. "It's in your nose and in your trachea, and unless you accidentally snort the drink or inhale beverages into your trachea, the liquid is not necessarily going where the flu is infecting."

TIME.com: Achoo, it's you! Facebook app points the finger at flu spreaders

Still, there's something appealing — and marketable — about a homespun flu remedy, especially one that contains some booze. Restaurants, bars, and distilleries have started advertising special cocktails to help customers beat colds and flu and stay healthy.

Gothamist reported that Qui Tequila, a premium tequila company, issued a press release claiming that doctors prescribed tequila to flu sufferers during the 1918 Spanish flu, suggesting that Qui Tequila, which is full of agave (a natural sweetener), when mixed with vitamin C-rich lime juice, can help relieve cold and flu symptoms.

During the 2009 swine flu scare, nightlife news site UrbanDaddy reported that a NYC bar called Drop Off Service was offering a "Flu Menu," which featured "Cold-Eeze and Brandy," "The Pomegranate Emergen-C Martini," and "Airborne-Infused Shots" (worth noting that the site partners with some alcohol beverage companies).

And this year, Cocktail Bodega in New York City -- which is half juice bar, half cocktail lounge -- is serving up a "Tequila Immune Booster" made with tequila, ginger and carrot juice -- a good source of vitamin A, which can help maintain a healthy immune system.

But it's worth remembering that although alcohol may numb you to some of flu's symptoms, it's also a diuretic, so indulging can make you lose more fluids than you take in. That can make you dehydrated and worsen your flu symptoms. No matter how healthy your drink is, staying out late can also tire you out and make you more susceptible to getting sick.

On the non-alcoholic side, Taw adheres to a Chinese medicinal philosophy that maintains people with colds should consume warm things to make them feel better, not cold things — which supports the chicken soup and hot tea idea. "My patients who have chronic sinusitis tell me that their symptoms get worse when they pass by the freezer section of a supermarket."

He recommends slurping hot broths with onions or scallions, which contain quercetin, an anti-inflammatory compound that can help to open up congested nasal passages (think miso soup).

With all the home remedies now vying for your attention (and dollars), sometimes a simple strategy is best. When it comes to loading up on vitamin and herbal supplements, Feltheimer says, "I don't go with anything that's expensive and sounds exclusive because if it's too good to be true, then it's too good to be true."

It all depends on what you expect out of your flu fixer: unfortunately, there isn't much that can make the misery go away completely. But if a natural cold and flu remedy makes you feel better and tastes good, enjoy it; just be realistic that it's not going to work miracles. "If you have to have the flu, you might as well celebrate it," Bauer says.

So if you want to try Jeni's Influenza Rx Sorbet yourself, you can order it online or make it at home:

Jeni's Influenza Rx Sorbet (makes a generous 1 quart):

2 cups fresh orange juice (from 5 to 6 oranges)

1/3 cup fresh lemon juice (from about 2 lemons)

2/3 cup sugar

1/3 cup honey

1/4 teaspoon powdered ginger

One 3-ounce packet liquid pectin

1/8 teaspoon cayenne

2 to 4 tablespoons Maker's Mark bourbon (optional)

COOK

Combine the orange and lemon juices, sugar, honey, and ginger in a medium saucepan and bring to a boil, stirring to dissolve the sugar. Remove from the heat.

CHILL

Add the pectin, cayenne, and bourbon, if using. Pour into a bowl, cover, and refrigerate until cold.

FREEZE

Freeze the sorbet just until it is the consistency of very softly whipped cream. (You can eat it now, if you wish; otherwise, proceed as directed.)

Pack the sorbet into a storage container, press a sheet of parchment directly against the surface, and seal with an airtight lid. Freeze in the coldest part of your freezer until firm, at least 4 hours.

TIME.com List: 31 healthy foods

TIME.com: Can the best ice cream in America be the biggest?

This story was originally published on TIME.com.

Can influenza sorbet relieve your flu symptoms?

&copy 2012 TIME, Inc. TIME is a registered trademark of Time Inc.  Used with permission.

@highlight

Some home flu remedies contain lots of alcohol

@highlight

Jeni's Influenza Rx Sorbet is flying off the shelves in Ohio

@highlight

Doctors say alcohol won't cure your flu, although it might make you feel better

@highlight

One doctor says if it sounds too good to be true, it probably is