(CNN) -- As President Obama's second-term Cabinet starts to take shape, we can see some of the outlines of what the White House hopes to do in the next four years.

The major theme is that Obama is prepared to defend his turf, tooth and nail. This is a Cabinet whose strength is defense rather than offense.

Gone are the hopes of bipartisanship. Now it's time to really engage the partisan battle. Obama won't be pushing for many watershed changes in the next four years, but he is not going to make it easy for Republicans to make any deep inroads into what he has accomplished.

During the last two weeks, the president rolled out his nominations on national security -- Sen. John Kerry for secretary of state, Sen. Chuck Hagel for secretary of defense, and John Brennan to direct the CIA. He then nominated his chief of staff, Jack Lew, to be secretary of the treasury.

We must be careful not to infer too much from presidential appointments, since these people ultimately serve the interests of the president rather than vice versa -- but still, the identities of the members of the new Cabinet provide important hints.

This is a team with experience and deep roots in Washington. It is clear that Obama, sobered after four brutal years of fighting with Republicans in Congress, realizes that he needs leaders who have clout in Congress.

On national security, this is a team with deep experience that can protect the existing policies the administration has adopted. Obama has selected two Senate veterans who are also military veterans, Kerry and Hagel, with the hope of using their connections with legislators and their knowledge of the ways and means of the legislative process.

Though Brennan doesn't come from the Senate, he is a veteran in national security circles, having worked at the highest levels of intelligence since the 1990s, and someone who Obama clearly feels will be effective in protecting his institutional turf should the legislative waters get rough.

The nominations also send the signal that Obama will continue to emphasize the kind of pragmatic hawkish agenda that he has embraced from the start of his presidency.

Since 2009, Obama has generally lived within the policy framework that he inherited from President George W. Bush. He has kept the national security infrastructure in place, followed through with Bush's plans on Iraq and Afghanistan (withdrawing in the first case and increasing troops, then diminishing U.S. presence in the second case), and strategically employed aggressive military power such as drone strikes and assassinations against the leadership of al Qaeda.

None of his appointees is a dove. Kerry has frequently authorized the use of military force, including against Iraq. Hagel is a solid Republican who supports using troops when necessary. Brennan withdrew his name from consideration for the CIA in the first term because of statements he made in support of "enhanced interrogation techniques" against detainees. In 2007, Brennan had said: "There have been a lot of information that has come out from these interrogation procedures that the agency has in fact used against the real hard-core terrorists."

What the three men have in common is not a predilection to being doves but a belief that force should be employed only when absolutely essential and that war must be a tool of last resort. This is a vision of internationalism that has guided U.S. policy for much of the period since World War II.

Both Kerry and Hagel are combat veterans who have seen the costs of war firsthand, and they thus remain more squeamish about making mistakes than many of the civilian leaders who have sent troops into harm's way. With continued tensions involving countries like Syria and Iran, this outlook will be an essential brake if pressure to go to war intensifies.

For all the alleged controversy over the nominations, what is notable about all three is how they are basically supportive of what Obama has done in his first four years and, just as important, much of what Bush did during his time in office -- outside of going to war in Iraq.

Although foreign policy is always hard to predict, since it depends on what others do to us as much as what we decide, this is a Cabinet that signals continuity rather than dramatic change.

At Treasury, the choice of Lew sends a slightly different signal. As with the national security nominations, Lew is someone with a deep record of experience in Washington, having served in many roles in the executive and legislative branches since the 1970s.

His appointment shows a shift in concern from banking to budgets. In certain respects, the choice of Lew, a veteran of budget wars since the 1990s, signals Obama's preparedness to fight Republicans over spending cuts and the debt ceiling, putting into high office one of his most effective and wily negotiators.

But Lew is also a progressive, someone who believes deeply that the wealthy should pay their fair share of taxes and that Social Security and Medicare must be protected. This will be one of the biggest issues at the center of the upcoming budget wars, and by selecting Lew for this job, Obama is sending a clear signal that he does not plan to give ground easily on these programs in the months ahead.

People who were still hoping for big changes on national security or domestic policy are going to be disappointed.

At this point, it's too early to tell what the appointments say about new initiatives that the administration might pursue, such as immigration reform.

But we do know that the president is not planning to give much ground on the programs that are in place. These nominations suggest that the administration is gearing up to fight to defend national security and the major social programs from budget cuts rather than really pushing through big reforms.

At the same time, Obama has selected some of the toughest fighters in Washington, suggesting that if Republicans want big change, they are going to have to mount a pretty heroic effort to get it done.

The opinions expressed in this commentary are solely those of Julian Zelizer.

@highlight

Julian Zelizer: Obama's Cabinet appointments suggest he's preparing to battle

@highlight

He says the president picked tough, wily veterans of Washington

@highlight

Zelizer: Kerry, Hagel, Brennan, Lew are committed to Obama's policies

@highlight

He says hopes for bipartisanship are gone; now it's partisan warfare