LOS ANGELES, California (CNN)  -- People in southern California dropped simultaneously to ground Thursday morning, huddled under tables and held on for about a minute in what is being billed as the largest earthquake drill in history.

A researcher shows how shock waves of a 7.8-magnitude earthquake would fan across California.

More than 5 million people registered to participate in the drill. It was part of the weeklong Great Southern California ShakeOut, a series of events organized by scientists and emergency officials to prepare people for a major earthquake, something scientists and researchers think is overdue in the area.

Most participants -- whether in classrooms, offices or homes -- were expected to take cover under tables or desks and hold on as though a devastating earthquake were rattling buildings and structures.

Despite the number of registrants, organizers have no way of knowing exactly how many people dived under furniture at 10 a.m. and waited for the imaginary seismic activity to cease.

"We wanted it to be so big that you really can't manage it," Mark Benthien, executive director of the Earthquake Country Alliance, said of the drill.

The alliance -- composed of earthquake professionals, emergency personnel and business and government leaders -- organized the drill.  Watch Californians participate in the drill »

Benthien explained that the registration list is the only basis of estimating how many people participated.

"We're not getting reports in" other than anecdotal stories, he said.

The organizers are encouraging participants who had not registered to do so now, so the number would be more accurate, he added.

He said medical and emergency personnel were involved in simulated exercises, including responses to staged collapsed buildings and to medical emergencies. Their drills will continue for several days, he said.

Some radio and television stations were to guide participants with drill broadcasts.

Thursday's drill was based on a scenario of a magnitude-7.8 earthquake occurring along the southern San Andreas Fault, beginning at the Salton Sea and spreading north nearly 200 miles.  Watch CNN's Ted Rowlands experience an 8.0 magnitued earthquake »

Such an event could kill 1,800 people, injure 50,000 and cause $200 billion in damage, according to the U.S. Geological Survey, which led a team of more than 300 experts in devising the scenario.

"It's not a matter of if an earthquake of this size will happen, but when," the Great Southern California ShakeOut's Web site says.

In July, a magnitude-5.4 earthquake -- not nearly as strong as the "big one" researchers eventually expect -- hit the Los Angeles area. iReport.com: Watch drill participants taking shelter under desks

After that earthquake, researchers said, the stress relieved by smaller tremors was minuscule compared with the amount building up for the "big one."

Officials hope the earthquake drill will prepare residents for the big quake, whenever it may hit.  View photos of the quake drill »

"From a geologist's point of view, the answer has to be soon," Kate Hutton, a seismologist at the California Institute of Technology, said in July, referring to a large temblor.

Another moderate quake, a magnitude 5.4, struck in April in the northern part of California. A magnitude-4.4 quake struck the greater Los Angeles area in August 2007.

There is a 99 percent chance of California experiencing a quake of magnitude 6.7 or larger within the next 30 years, according to the Uniform California Earthquake Rupture Forecast, sponsored by the U.S. Geological Survey, the California Geological Survey and the Southern California Earthquake Center and published in Science Daily in April.

Benthien said other large earthquake drills have been held in Mexico and South Korea, but "in terms of the breadth of the participants ... we think this is the largest of that kind."

In Japan, one of the most earthquake-prone countries, residents hold a yearly earthquake drill on the anniversary of the 1923 Great Kanto earthquake, which killed more than 100,000 people.

Several companies are sponsoring Great Southern California ShakeOut, including Time Warner Cable Inc., a division of Time Warner Inc., which is the parent company of CNN.

@highlight

Drill scenario based on 7.8-magnitude quake along the southern San Andreas Fault

@highlight

Quake could kill 1,800, injure 50,000, cause $200 billion in damage, experts say

@highlight

Drill is part of Great Southern California ShakeOut to prepare for major quake

@highlight

"It's not a matter of if an earthquake of this size will happen, but when," group says