(Beijing, China) (CNN) -- The mood at the 120th anniversary of Chairman Mao Zedong's birthday is relatively muted, by Chinese standards.

No spectacular fireworks, no big parades, as would have been expected during Mao's three-decade rule. But the Chinese remembered Mao properly.

In Beijing, a big crowd solemnly gathered in the marble and granite mausoleum containing Mao's embalmed body.

Chinese president and Communist party chief Xi Jinping attended the 9 a.m. ceremony along with China's top leaders.

More elaborate rituals were conducted in Mao's hometown of Hunan province.

"There have been big meetings and academic symposiums discussing Chairman Mao's life and achievements," said a retired cadre in Hunan, who declined to be identified because he is not authorized to talk to the media. "In (Mao's birthplace) Shaoshan, they reopened the just refurbished Chairman Mao museum. Tourists from all over China are also flocking in to visit his birthplace. Chairman Mao's relatives are also in Shaoshan to take part."

Many Chinese still admire Mao and most of his policies. They are considered "leftists" or conservatives because they oppose liberal-thinkers and reformists who in China are deemed rightists.

Xiong Bao, 25, believes the celebration is necessary. "As the founding father, I think he deserves this, but I don't think it's necessary to make it too big," he said. "Nowadays, the whole nation is calling for thrift, so it's fine as long as it's low key."

Even though he was born after Mao's death, Xiong says he has read Mao's writings extensively. "I respect his thought. It was his advanced thoughts that enabled the Chinese to win the revolution," he said.

For decades, Mao had been revered as the infallible "Great Helmsman" and "Great Leader." But Mao's mystique had been fading since his death in September 1976 at the age of 82.

Over the years, through official pronouncements, books, and media accounts, Mao's human frailties and mistakes have been pointed out, casting aside the nurtured belief of his infallibility.

Many books have been published, in and out of China, criticizing Mao and his policies.

Officially, Mao is considered 70% correct and 30% wrong.

"He is credited for the Liberation (in 1949) and is blamed for the mistakes of the Great Leap Forward and the Cultural Revolution," said the retired cadre.

Yi Shunhan, 38, is not impressed with the Mao anniversary.

"I don't really care about it. It doesn't have much impact in my life. I personally think his faults outweigh his achievements," he said, citing the Cultural Revolution, famine, and lag in technology development as Mao's personal failures.

"The Great Leap Forward was one of his biggest failures," he added. "How many people died of that?"

The Great Leap Forward, launched by Mao in 1958, was intended to skip several stages in building a new communist China and catch up with Britain's economy in 15 years. But it led to economic recession, poor harvests and widespread famine in which tens of millions of people died.

The Mao-initiated Cultural Revolution swept China from 1966-76, pushing "class struggle" to get rid of old institutions and Mao's political enemies. The political movement careened out of control, led to massive political purges, deaths and destruction.

Chinese leaders who took power after Mao have reversed many of his policies. Instead of pursuing "class struggle," they are now pushing for modernization, reform and opening up.

Mao's pedestal may have been lowered. His once ubiquitous visage is now relegated as just one of the iconic images on T-shirts and posters, along with those of Che Guevarra, Hello Kitty and the Giant Panda.

Still, The Global Times, an official state newspaper, called attempts to negate Mao as "childish wishful thinking," citing that Chinese people today still live under the great impact of Mao.

Mao's fading image endures, because it remains a part of the glue that holds the Communist nation together.

"Hunan people still admire and respect Chairman Mao," said the retired cadre from Mao's birthplace.

Bai Yan, 28, sees a need to remember Mao. "It's an opportunity to learn about him and Chinese history. It's an opportunity for young people to learn about what took place in China in the past."

CNN's Feng Ke contributed to this story.

@highlight

Mao Zedong's 120th anniversary in China is more muted

@highlight

Chinese have mixed feelings on Mao's legacy

@highlight

Mao's mistakes have been publicized through books and pronouncements