Washington (CNN) -- The Supreme Court agreed Monday to confront another high-profile challenge to affirmative action in college admissions.

The justices will decide the constitutionality of a voter referendum in Michigan banning race- and sex-based discrimination or preferential treatment in public university admission decisions.

The high court is currently deciding a separate challenge to admissions policies at the University of Texas, which did not involve a voter referendum.

A federal appeals court last year concluded the affirmative action ban, which Michigan voters passed in a 2006 referendum, violated the U.S. Constitution's equal protection laws.

Appeals court strikes down Michigan's affirmative action ban

It was the latest step in a legal and political battle over whether the state's colleges can use race and gender as a factor in choosing which students to admit. The ban's opponents say classroom diversity remains a necessary government role.

"We think this is a tremendous victory for the tens and hundreds of thousands of students who fought for affirmative action for decades," said Michigan attorney George Washington when the 6th Circuit ruling came out in November. He represents the By Any Means Necessary coalition that sued to overturn the ban.

"This is a tremendous day for black and Latino students in the entire country," Washington added.

The office of Michigan Attorney General Bill Schuette will defend the ban when oral arguments are held in the fall.

The ban "embodies the fundamental premise of what America is all about: equal opportunity under the law," Schuette said. "Entrance to our great universities must be based upon merit."

The law was passed seven years ago with support of 58% of voters. It was added to the state's constitution, and bars publicly funded colleges from granting "preferential treatment to any individual or group on the basis of race, sex, color, ethnicity or national origin."

Opinion: Keep affirmative action but reform it

That prompted a series of lawsuits and appeals from various groups.

Michigan voters approved the ban after the U.S. Supreme Court ruled in 2003 that while Michigan universities could use race as a factor in choosing which students to admit, they could not make race the determining factor in deciding whether applicants are accepted

The referendum effort was led by Jennifer Gratz, who was at the center of the high court case. As a white student, she was put on the waiting list for undergraduate admission to the state's largest university. She eventually attended another school, and became the lead plaintiff in a subsequent discrimination lawsuit.

After the Supreme Court's 2003 decision, she began a public campaign to end racial preferences in admissions.

The Michigan ban also prohibits the state from considering race and gender in public hiring and public contracting decisions. But the current high court case deals only with the college admissions portion.

Efforts over decades to create a diverse classroom have been controversial. The Brown v. Board of Education high court ruling in 1954 ended segregation of public schools, but sparked nationwide protests and disobedience by states who initially refused to integrate.

In the 1978 Bakke case, the Supreme Court ruled universities have a compelling state interest in promoting diversity, and that allows for the use of affirmative action. That issue involved a discrimination claim by a white man denied admission to law school.

Opinion: Chief justice out to end affirmative action

The Supreme Court is now considering whether the University of Texas' admissions practices aimed at creating campus diversity violate the rights of some white applicants. Arguments were held in October and a written ruling is pending.

The high court under Chief Justice John Roberts has made the issue a key part of its docket in recent years, and it could serve as a major legacy of the current conservative majority.

The justices in 2007 struck down public school choice plans in Seattle and Louisville, concluding race could not be a factor in the assignment of children to schools. Those school districts had sought to use raced-based criteria to achieve diversity.

The issue in recent years is whether and when affirmative action programs -- while constitutionally permissible now -- would eventually have to be phased out as the goal of obtaining diversity is met.

Now-retired Justice Sandra Day O'Connor -- who wrote the key ruling a decade ago in the initial Michigan cases -- said, "The court expects that 25 years from now, the use of racial preferences will no longer be necessary to further the interest approved today."

The justices are now being asked once again to decide whether Michigan's current policy meets that legal and social test.

The case is Schuette v. Coalition to Defend Affirmative Action, Integration, and Immigrant Rights and Fight for Equality by Any Means Necessary (12-682).

Opinion: Taking affirmative action personally

@highlight

Michigan bans race- and sex-based discrimination in university admissions

@highlight

A federal appeals court last year concluded the 2006 ban violates the U.S. Constitution

@highlight

Attorney: "This is a tremendous day for black and Latino students in the entire country"

@highlight

State: The ban embodies the fundamental premise of what America is all about