(CNN) -- The deficit and debt are major concerns for swing voters -- and President Barack Obama and Mitt Romney have very different visions of how to deal with it.

That's why it was significant to see 80 CEOs of major American companies sign a letter this past week committing to press for a balanced bipartisan plan to reduce the deficit and debt no matter which candidate is elected president on November 6.

The words "balanced" and "bipartisan" are key here -- because the CEOs understand that this problem is too big to be solved by tax hikes or spending cuts alone. We can't simply tax or cut our way out of this problem.

Instead, the CEOs backed the outlines of the Bowles-Simpson commission, which attracted bipartisan support with its plan to cut spending, rein in entitlements and increase tax revenue through lower rates while closing loopholes and deductions.

Their vision is also consistent with the plan proposed by the Gang of Six senators who came up with their own formula along the same broad outlines -- cut spending, bending the entitlement cost curve and raise tax revenue.

Conservative and liberal senators running the ideological spectrum from Tom Coburn to Dick Durbin have managed to agree on this outline, buoyed by the heroic efforts of centrists like Mark Warner and Lamar Alexander, in addition to the bipartisan duo of Bowles and Simpson themselves. These individuals worked with the nonpartisan Committee for a Responsible Federal Budget and their Fix the Debt project to corral the CEOs' support.

The CEOs in question include prominent Romney donors like AT&T CEO Randall Stephenson and Aetna CEO Mark Bertolini, whose company gave a $4 million donation to the U.S. Chamber of Commerce's conservative 501-C6 organization, which has already put more than $15 million into this election.

What's surprising is that the CEOs' commitment to a balanced bipartisan plan puts them much closer to Obama's deficit reduction plan than to Mitt Romney's.

That's because it also dovetails with the outlines of the Grand Bargain negotiated by Obama and House Speaker John Boehner in the summer of 2011, only to have negotiations fall apart.

Mitt Romney has repeatedly and specifically said that he will not consider any plan that raises any increased tax revenue to pay down the deficit and the debt. During the Republican primaries, he famously joined with his competitors in raising his hand to say that he would reject even a 10-to-1 deal splitting spending cuts with tax revenue increases. The Bowles-Simpson plan was based on an even less generous 3-to-1 split (though of course, still weighted decidedly in favor of spending cuts).

This is not an academic difference. It goes to the heart of what kind of deficit reduction can be realistically achieved as a matter of both politics and math. A plan that does not include any new revenues is not practical in terms of achieving the larger goal. "When you talk about a $16 trillion debt, I don't see how you can avoid addressing both sides" -- both spending cuts and revenue increases -- said AT&T CEO Randall Stephenson, sensibly. An imbalanced and ideologically pure solution without any revenue increases would be DOA with Democrats in the Senate.

We all know the special-interest stumbling blocks -- liberal activists don't want to see entitlement reforms. They bitterly attacked Bowles-Simpson as "the cat food commission." Conservative activists and special interests refuse to consider any new tax revenue. But the truth is that we need both to find a sustainable solution to our deficit and debt problem. To pretend otherwise is a hyper-partisan fantasy.

Romney's vice presidential nominee, Paul Ryan, is regarded as a serious deficit hawk, and he at least had the courage to put numbers to a budget plan he put forward in Congress. But his plan does not include any new tax revenue or cuts in defense spending -- which is why it does not balance the budget for three decades.

And when Paul Ryan served on the Bowles-Simpson Commission, he shamefully refused to support its recommendations, along with his fellow Republican congressmen Dave Camp and Jeb Hensarling.

Hensarling later went on to co-helm the failed super committee, which led to the $1.2 trillion in blunt sequestration cuts that now loom as part of the year-end "fiscal cliff."

And while we're analyzing deficit reduction plans, in addition to a 20% across the board additional tax cut, the Romney budget also calls for increasing military spending to 4% of GDP, translating to an additional $2 trillion in federal spending over 10 years, which would erase all the stated cuts he has so far put forward on his campaign website.

This aspect of Romney's plan is so politically driven and math-illiterate that Paul Ryan doesn't even like to acknowledge it on the campaign trail. Moreover, it's worth remembering that the politically convenient model of huge tax cuts and higher spending pursued by President George W. Bush and embraced by Republicans during his administration, turned Clinton-era surpluses into deficits.

There's no question that Obama deserves a lot of criticism for not backing the Bowles-Simpson plan. His proposals have not been submitted as specific legislation and he failed to lead on entitlement reform, despite saying he knows it needs to be done.

Congress has not passed a budget under his watch. Moreover, his attempts to boost the economy during the Great Recession with the stimulus package contributed to the growth of deficits and debt under his watch. That's why Romney clearly leads in the polls on this issue. But compared to European countries that opted for more severe austerity measures, America's economy is looking pretty good these days, featuring comparative stability, growth and reduced unemployment, no matter how slow.

Bottom line, the CEOs' responsible call for a balanced bipartisan plan to reduce the U.S. deficit and the debt does not remotely look like what Romney has proposed to do as president.

It does look a lot like the plans put forward by the Bowles-Simpson Commission, the Gang of Six, and outlines of the Grand Bargain, which Obama has said he would put forward again.

It may sound counterintuitive, but according to the outlines established by the CEOs, Obama's reelection would actually be better for achieving long-term deficit reduction -- because he is the only candidate who has put forward a balanced bipartisan plan.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: 80 U.S. CEOs signed letter seeking balanced, partisan plan to tame debt

@highlight

He says Mitt Romney has refused to consider a plan that includes revenue increases

@highlight

Avlon says the $16 trillion debt is too big to be tackled through spending cuts alone

@highlight

He says CEOs want something like Bowles-Simpson plan, and Obama is closer to it