(CNN) -- Early each morning, millions of farmers around the world rise to toil in their fields. By night, gangs of mobsters scheme and legions of poker players shuffle up and deal.

Sure, none of it's real. But the overwhelming popularity of so-called social gaming -- simple games that let people play with their friends on networking sites such as Facebook -- is changing the face of video games, experts say.

And as the maker of popular titles like FarmVille and Mafia Wars, San Francisco, California-based Zynga has ridden the games' skyrocketing popularity to the top of that emerging market.

For Zynga founder Mark Pincus, the formula for gaming success on Facebook, MySpace and other sites was as simple as it might seem counterintuitive: create simple games that people like but can easily set aside.

"We built the games so they could be played in a tab on your browser while you're on a conference call," said Pincus, a veteran Web entrepreneur who created Zynga in 2007.

Of course, they've been helped by the massive growth of Facebook, where the games are so popular they've spawned "fan" pages devoted to complaining about having to watch friends play them.

Facebook, with its 400 million users, is where the vast majority of people play FarmVille and Mafia Wars along with other Zynga titles like FishVille, Vampires, Café World, YoVille and Zynga Poker.

In all, more than 65 million people play Zynga games every day, according to media tracking company Developer Analytics.

Zynga's top title, FarmVille, is played by an estimated 75 million people each month --  roughly equal to the number who have played the classic arcade and desktop game Tetris during its entire existence.

The massive growth was satisfying but not altogether surprising to Pincus, whose previous startups had included Freeloader, a Web-based information-gathering service; tech-support company SupportSoft; and Tribe.net, an early social networking site from 2003.

He said that starting the game company, which he named after his late English bulldog, was an effort to fill what he considered a surprising void in most people's daily Internet use.

"I thought in 2007 that something had gone oddly wrong with the whole Internet experience," Pincus said. "I would have thought games would have been one of the top two or three experiences people had on the Internet."

What Pincus got right, according to gaming expert Scott Steinberg, was a sort of return to the "golden era" of games like Pac-man and Super Mario Bros.

"Video games actually appealed to a huge cross-section. They appealed to everybody," said Steinberg, publisher of DigitalTrends.com. "What happened is, as we went through the mid-'80s to the mid-2000s, you started to see gaming become more incestuous in terms of 18- to 34-year-old males making games for people just like them."

By contrast, three of Zynga's top five games -- FarmVille, Café World and FishVille -- have mostly female players, with many players outside the traditional 18- to 34-year-old range.

Those games all operate on the same basic premise. Starting with a simple farm, fish tank or restaurant, the player works to make it bigger and fancier, sharing items with friends and helping each other along the way.

Some of Zynga's early titles simply mirrored existing board and card games. It was Mafia Wars -- in which players team up to whack other gangs -- that first exhibited what would become the hallmarks of social gaming: simple, single-player action that's enhanced by teamwork.

With FarmVille, that formula would become complete.

Players plant virtual crops that can be harvested hours, or days, later. Along the way, they invite online friends to become their neighbors and help each other by sending gifts or helping with the farming. There's no way to "win," but players take satisfaction in building big, fancy farms that they can showcase to their friends.

"A farm is something that is internationally understood and known. It's cross-cultural, cross-gender, cross-age," Pincus said. "A great social game should be like a great cocktail party. If you want it to appeal to absolutely everyone you invite, it has to be broad in its content so that everyone gets it."

Not that Zynga's success has come without criticism.

With hundreds of smaller companies vying for a piece of the social gaming market, some rivals have accused Zynga of using its hefty venture capital to crowd out less-financed competitors.

Many of its most popular games, including FarmVille, are similar to pre-existing games from smaller companies, a fact Pincus dismisses by noting that video games have always fallen into genres with similar titles from competing companies.

Psycho Monkey LLC, the makers of Mob Wars, filed a lawsuit claiming that Mafia Wars ripped them off. Zynga settled that case in August, said a spokeswoman for the company.

Zynga also was hit with complaints and lawsuits over its original business model, which let players earn in-game rewards for things like signing up for a credit card or video-rental membership.

Critics said some of the offers amounted to scams, leading players to download unwanted software or unwittingly sign up for memberships that appeared stealthily on their phone bills.

Pincus has acknowledged not being vigilant enough with the automated ads that appeared on Zynga games during the company's early days.

"We were playing whack-a-mole," Pincus said. "Every time we found one of these or got a complaint, we would take them down. Eventually ... we realized we had to take a much more aggressive stance than a normal Web site."

In November, Zynga removed all "lead-generating" ads, relying for revenue instead on the roughly 1 to 3 percent of the player base that pays for in-game items, such as a barn in FarmVille. It has since been putting the advertisements back in, with a new system that lets it more closely monitor what kind of ads show up, Pincus said.

"We'll see where this goes for the entire industry," Pincus said. "It was really important to us to maintain a trusted position with our users. We wanted to do the right thing, and I think we did."

Pincus offers a ray of hope for another vocal group of critics: the social-media users who say they're tired of seeing all of their friends' updates about Zynga and other social games.

On Facebook, a group called "I dont care about your farm, or your fish, or your park, or your mafia!!!" had more than 5.2 million members recently.

"Please. No more of this stuff," wrote one member. "I've had all I can take. About to hang up FACEBOOK. Just want a nice cozy place to talk with my friends!"

Pincus said he hopes that messages from games can eventually be targeted to a more select audience.

"We have to evolve," Pincus said "I think it's heading to a place that's more narrow-casting. I think you'll get to a place where Facebook will be better about showing feeds to people who have a registered interest in them."

For example, he said, there might eventually be a way to send game notifications only to people who play social games themselves.

"It's not just games. It's going to be true for music, for pictures, for status updates," Pincus said. "I think, over time, these networks are going to start to shape more to ... your [registered interests]."

Meanwhile, Zynga will be among the developers continuing to change how people look at video gaming. It's a change that Steinberg, the gaming guru, says will be for the better.

While heavyweights like Electronic Arts and the popular Civilization series are making inroads into social gaming, Steinberg said, the genre is also opening up opportunities for smaller developers.

"We're seeing, in many ways, a second renaissance for games," Steinberg said.

"There's been an epiphany among the developer community saying, 'Look at these millions of users that we've forgotten to speak to for years.' This can only be a good thing for the gaming industry in the end."

@highlight

Zynga games like FarmVille, Mafia Wars are played by millions every day on Facebook

@highlight

Expert says social gaming succeeds by appealing to women, other non-traditional gamers

@highlight

Zynga founder says key to success was games that can be played during conference call

@highlight

Backlash leads to FB group of 5 million saying they're tired of seeing games