Women face shocking disparities when buying health insurance on the individual market: In the vast majority of states, nearly all the best-selling plans charge women more than men for the same coverage, a discriminatory practice known as "gender rating."

New research by the National Women's Law Center released Monday shows that, in states that have not banned gender rating, 92% of the top plans charge women more -- despite the fact that the vast majority of them do not cover maternity services. This indefensible practice will not abate until the Affordable Care Act is fully implemented in 2014.

The practice of gender rating costs women about $1 billion a year, based on average  advertised premiums and the most recent data on the number of women in the individual market. For a woman in Texas struggling to get by on a low-wage job, pay for child care, and make the rent, being forced to pay an extra $646 a year in premiums because she is a woman can be an insurmountable hurdle.

In Florida, women pay as much as $1,141 extra per year in premiums. Even smaller disparities in premiums can take a toll on women year after year. On top of that, women may be required to pay extra for inadequate maternity coverage, or pay the full cost of maternity care itself, which averages $9,600 for an uncomplicated delivery.

The discrimination is so pronounced and the practice so arbitrary that in most states, women who do not smoke are often charged more than men who do smoke. For example, the center found that 56% of best-selling plans charge a 40-year-old woman who does not smoke more than a 40-year-old man who does.

Only nine states require insurers on the individual market to provide maternity coverage. In states where maternity coverage is not mandated, a shocking 94% of health plans available to a 30-year-old woman do not provide such coverage. And in 25 states, not a single insurance plan on the individual market covers maternity services.

To add insult to injury, women who have been survivors of domestic violence or who have had Caesarian sections -- so-called "pre-existing conditions" -- can be denied coverage.  Peggy Robertson of Colorado, with whom I testified at a Senate hearing in 2009, told senators that because of her previous C-section, an insurer told her she could only obtain coverage if she were sterilized.

My organization has been researching the disparities that women face in this insurance market for  years. In 2008, 93% of best-selling individual plans charged women higher premiums. Today, it's 92%. Clearly, it's not changing, and insurance companies will continue to dig in their heels and discriminate until the law forces them to change.

Only 14 states have limited or banned gender rating on the individual market, including, most recently, California, Colorado, and New Mexico. But this problem is clearly not going away by itself. This national problem demands a national solution and, fortunately, we have one in the Affordable Care Act.

That's one reason why the National Women's Law Center has launched a campaign to educate women about the benefits of the health care law, including the end of insurance discrimination. The center's new campaign, I Will Not Be Denied™, tells women about the benefits of the Affordable Care Act and engages them to fight to protect the law.

On Monday, the center released a video of intimate portraits of women on the campaign's website. More than 30 organizations have joined the campaign, from women's organizations to health care advocacy groups to those representing physicians and other health care providers.

The  Affordable Care Act is so important to women's health. It bans pre-existing condition exclusions, prohibits gender rating and other forms of sex discrimination in health care, guarantees maternity coverage for all, and ensures that new plans cover recommended preventive care -- such as birth control, without co-payments or deductibles.

As we've seen recently in the debate over access to birth control, the promise of expanded access to affordable health care for women only comes with the force of law behind it.

The Centers for Disease Control and Prevention designated advances in contraception as one of the 10 most important developments in health care of the 20th century, reducing both maternal and infant mortality.

Under the  Affordable Care Act, millions more women are already getting preventive services like mammograms, Pap smears and colonoscopies without a co-pay, and later this year, millions more will have access to well-woman exams, screening for domestic violence -- and birth control without a co-pay or deductible.

The  Affordable Care Act  is under attack in Congress and is being challenged in the Supreme Court, which will hear oral arguments on Monday in the health care litigation.  The obstacles women face in gaining access to insurance and health care take an acute economic toll on them, as our report shows, and on the U.S. economy as a whole.

Women have a tremendous stake in the outcome of these cases.  Women are more likely than men to forgo preventive care if it's too expensive, to be under-insured and to report problems paying medical bills.  For these reasons, the center submitted an amicus brief on behalf of 60 organizations to the Supreme Court, as we did in four previous Courts of Appeal cases, setting out what's at stake for women in the Affordable Care Act and the health care litigation.

The Affordable Care Act is one of the most significant advances for women in our nation's history. This is no time to enable discrimination to continue and even turn back the clock on women's health.

@highlight

Marcia Greenberg:  92% of the top health insurance plans charge women more than men

@highlight

"Gender rating" for exact same coverage costs women $1 billion a year, she says

@highlight

Handful of states have banned practice, she writes, but it is a national problem that will persist

@highlight

She says Affordable Care Act will ban this, as well as "pre-existing condition" turnaways