(CNN) -- Rape is a crime in which, all too often, only the victim pays a price. In America, out of every 100 rapes, only 46 are reported to police and only three rapists will spend a day behind bars. To make matters worse, rapists tend to be serial criminals, so every one left on the streets is likely to commit still more attacks.

On Monday, in a big win for public safety and for victims of sexual violence, the U.S. Supreme Court handed down a decision in Maryland v. King, a decision that will have a big impact on our nation's ability to hold rapists accountable.

Following his arrest on assault charges in 2009, Alonzo King had his cheek swabbed, a painless five-second process, one that Justice Anthony Kennedy in his majority opinion characterized as "a minor intrusion." A crime lab analyzed the swab, and the resulting DNA profile was entered into the Combined DNA Index System, or CODIS, the federal database. King's DNA was linked to a 6-year-old crime scene, and he was subsequently convicted for the rape of a 53-year-old woman at gunpoint.

CODIS, by the way, contains the DNA profiles of more than 10 million offenders, as well as a record of DNA left at nearly half a million crime scenes. It has produced more than 205,000 hits so far, DNA matches between offender and crime scene, which has aided more than 197,000 investigations. In other words, it works, and without it, King and many other rapists would remain free to commit more crimes.

King appealed his conviction and a Maryland court overturned it. Maryland is one of 26 states that treat DNA as essentially a more sophisticated and accurate version of fingerprints, collecting it after someone is arrested on certain felony charges. The remaining states wait until a conviction to collect DNA. The Maryland court ruled that collecting DNA from arrestees was a Fourth Amendment violation; the state appealed that decision to the Supreme Court, which ruled on Monday.

During oral arguments, Justice Samuel A. Alito Jr. described this case as "perhaps the most important criminal procedure case that this court has heard in decades." He's right, and the decision will have profound positive benefits for victims of rape and their families seeking justice. DNA is the fingerprint of the 21st century, and it is long established that police can collect fingerprints upon an arrest and check to see if those prints match an unsolved case.

Take, for example, Katie Sepich, a 22-year-old graduate student at New Mexico State University. In August 2003, she was raped and strangled just outside her home; her body was burned and abandoned at a dump site. In 2006, the DNA gathered from under Katie's fingernails was matched to a man who, in the years since, had been convicted of several other crimes. He was convicted of her rape and murder.

Opponents of collecting DNA from people arrested for felonies are right to fear a massive government database that contains intimate DNA information about citizens' genetic and health histories. But that's not what CODIS is.

In fact, CODIS doesn't even contain an individual's DNA profile. It contains only 13 genetic markers, known as "junk markers," that were specifically chosen because they are not correlated to any physical or medical traits. Essentially, the markers used can only reveal the identity of a person and nothing else, just like fingerprinting.

Kennedy, in the majority opinion, maintained that using DNA for identification purposes is "a legitimate booking procedure" and no different than "matching tattoos to known gang symbols to reveal a criminal affiliation; or matching the arrestee's fingerprints to those recovered from a crime scene."

Fears that CODIS could be hacked, and DNA profiles used for nefarious purposes, also don't stand up to the evidence. First, accessing the database for non-law enforcement purposes is a serious crime, and one that has never happened.

Second, even if the database were accessed improperly, there's nothing in it other than those 13 DNA markers. The names of the people to whom the DNA profiles belong aren't stored in the database. Rather, once there's a hit, law enforcement contacts the jurisdiction that uploaded that profile to find out to whom it belongs. It's an extra level of protection that makes it pointless to even try to break in.

A cheek swab, which is quicker than fingerprinting and leaves no inky residue, is less invasive than what suspects frequently experience upon arrest: frisking, handcuffing and even strip-searches. While in prison, suspects are observed by other inmates and uniformed officers sleeping, eating and even going to the bathroom.

Tens of thousands of criminals are in prison today thanks to DNA, which has proven to be a detective's most valuable tool in our country's fight against sexual violence. Thanks to the decision by the Supreme Court overturning the Maryland decision, this tool remains available to law enforcement. They, and we, need it.

The opinions expressed in this commentary are solely those of Scott Berkowitz.

@highlight

Scott Berkowitz: Supreme Court rules cops can take DNA swab when there's serious crime

@highlight

At issue was a man convicted of a 6-year-old rape after his DNA was taken after an arrest

@highlight

Berkowitz: Ruling could have stopped police from taking DNA, hurting fight against rape

@highlight

He says court preserved valuable tool in country's fight against sexual violence