(CNN) -- Think back over your favorite blockbusters this year. How many of them starred women in leading roles? Chances are, the answer is slim to none.

In 2014, women led 18% of the year's 50 highest-grossing movies, according to a study by BoxOffice.com. For every Jennifer Lawrence in "The Hunger Games," there's "Guardians of the Galaxy," "Captain America: The Winter Soldier" and "X-Men: Days of Future Past" -- all starring vehicles for (white) male actors.

Unfortunately, this disparity is nothing new. Statistically speaking, male led films have trumped female led films for years.

In 2013, men led 80% of the highest grossing movies released. The year before that, male actors dominated the box office by 84%. In 2011, it was by 88%.

Yet it's still women who show up in theaters and fuel box office receipts. Last year, three out of five of the highest grossing films had female audiences that were higher than male audiences, according to data released by the Motion Picture Association of America. "Hunger Games: Catching Fire," "Despicable Me 2" and "Monsters University" were the three highest grossing films of 2013 that skewed female."Man of Steel" and "Iron Man 3" were the two remaining films that attracted male audiences.

Female film fans "also drive ticket sales for movies that you wouldn't always expect," said Phil Contrino, vice president and chief analyst at BoxOffice.com. "Opening weekend of 'World War Z,' for example, more women showed up to the theaters than men."

And women don't only represent in theaters; they're also largely behind the social media conversations that drive moviegoers to theaters. Susan Cartsonis, chairwoman at the Women in Film Foundation, said women are responsible for over 60% of messaging over social media. "The female audience is a very enthusiastic, underserved audience. We go to see movies with our girlfriends, men and children and we want to tell everyone we know about it," Cartsonis said.

These social media conversations are not just limited to your regular female moviegoer. Mindy Kaling and Elizabeth Banks spread the good word about "Guardians of the Galaxy," which was both male led and the No. 1 grossing movie in the 2014 box office. Both stars reached well over 1 million Twitter followers in their posting.

So women will fill movie theaters and tweet with abandon in support of some of Hollywood's biggest films. But for some reason, Hollywood seems incapable of making movies about and starring women.

There is no easy answer as to why that is, but filmmaker Paul Feig believes the problem lies in a lack of strong material for actresses.

"Women(-led) films don't make as much money internationally, but I've seen the material that's being generated for women and it's not that good," Feig said. "It's just missing something character-wise."

Feig broke new ground with his 2011 hit comedy, "Bridesmaids," which gained unprecedented attention from both men and women. The vision was simple: Round up some of the industry's funniest actresses and have them portray what it's like when different women are thrown together in a bridal party. Not only did it bring in a ton of money, but many credited it for making enduring headway for women in film.

Feig does not completely agree. He said "Bridesmaids" opened the door, but not wide enough: "There's still not enough roles for women in film and it's distressing."

Another issue is that the roles that do exist may just feed back into long-held gender stereotypes. As Kristen Wiig, a colleague of Feig's who co-wrote and starred in "Bridesmaids," told CNN, women in film are moving in the right direction if they are not playing "the nagging wife or the crazy neighbor."

There seems to be hope on the horizon. At the moment, there are two films gaining awards season buzz that are positioning themselves as a step in the right direction: Reese Witherspoon's "Wild" and Jennifer Aniston's "Cake."

In "Cake," Aniston stars as a woman suffering from chronic pain and emotional madness, pushing away the ones she loves the most. With "Wild," Witherspoon plays an unstable, reckless character in search of light at the end of the tunnel after the death of her mother.

"I feel like the past few years we have seen less of these women on our screen," said "Wild's" producer Bruna Papandrea, who longs for strong, iconic characters like those in "Thelma and Louise" (1990) and "Network" (1976). "Women are speaking up now for more of what they want to see and they are driving the social conversation."

But if we're ever going to truly close the gap between lead roles for men and women, it will have to be more than the audience demanding for it to happen.

There would also need to be more filmmakers like Feig, who's made it blatantly clear that he sees no reason to constantly tell movies from a male point of view. For his upcoming "Ghostbusters" reboot, Feig has decided on a female cast, a decision that earned him criticism from skeptics.

Despite the flak over social media, Feig said he "just wants to level the playing field." After all, he pointed out, "the funniest people I know are women."

@highlight

Despite steps toward equality, women once again underrepresented on screen in 2014

@highlight

Women led 18% of the highest grossing films of the year

@highlight

But they make up significant numbers in ticket sales, social media conversations

@highlight

Does "Cake" or "Wild" have what it takes to be the next "Bridesmaids"?