Sometimes it takes a disaster to inspire innovation.

There is a major drought in California. It's not the first state to face a water shortage recently, and it's definitely not the first time California has had to battle drought, but it could drag on for a decade and have a significant impact on all Americans who rely on California farms for food.

Residents, the government and the agriculture industry are hoping for some high-tech solutions for a very old problem.

Surprisingly, given its California location, Silicon Valley isn't a hotbed of drought and water research. Most local investors and venture capitalists aren't looking to invest in something that will take at least 10 years to pay off. They want software, cheap-to-make mobile apps that gather and monetize data about people, and consumer goods like phones, smart watches and futuristic thermostats.

"Water doesn't always fit the venture capital model," said Scott Bryan, COO of Imagine H2O, a San Francisco nonprofit focused on helping water-technology companies get their ideas off the ground.

As the United Nations observes World Water Day on Saturday, it's fitting that the biggest water research and innovation hubs are scattered around the globe. Australia, Singapore, the Netherlands and Israel are global leaders in the industry out of geographic necessity. In the United States, there are water-research centers clustered in Fresno and San Diego in California, and in Fort Collins, Colorado, Boston and Milwaukee.

In Milwaukee, the roots of the water industry go back 100 years and are tied to the city's big breweries. Now there are 150 water-tech companies in the region, and five of the 11 largest companies in the world either have their headquarters or a major operation there.

Green roofs and tree trays

Dean Amhaus runs The Water Council, which has created the Global Water Center, a Milwaukee complex with almost 100,000 square feet of research space, labs, offices and conference rooms. Researchers and entrepreneurs come together to collaborate on water-technology issues.

The space houses intriguing startups such as Hanging Gardens, which builds "green" roofs that help collect storm water. There also are products that help detect leaks, waste-water treatment research, and tools for better tracking water usage and waste.

Agriculture accounts for 70% of all our water usage, so much of the current technology focuses on helping farms use water more efficiently. Solutions range from the high-tech, like using big data and infrared aerial monitoring to give farmers more precise water information, to the simpler but ingenious, such as specialized plastic trays that fit around the bases of young trees.

Imagine H2O's latest class has a crop of promising agriculture technology companies. WatrHub wants to be the Bloomberg Terminal of agriculture. The Toronto-based company was founded by a former Microsoft employee and a former Apple employee. They're using their experience working with big data sets to scrape together all the available information that might be useful to water and wastewater systems in North America.

Getting better information is also what inspired the two founders of WellIntel. They have invented a monitor that gathers real-time data from water wells using sonar. Farms or rural homes with wells on their property can choose to keep their information private or share it anonymously with WellIntel, which uses the data to help government agencies and others see the bigger picture of water shortages.

Then there's the plastic tray, the brainchild of an Israeli company called Tal-Ya which claims it can reduce water consumption by up to 50 percent. The lightweight square funnels rainwater or irrigation water toward the base of a tree and blocks sunlight, which kills weeds. It also captures any evaporating soil moisture, condensing it and trickling it back to the roots. As a bonus, the reflective surface redirects light back to the plant to aid in light absorption.

All the companies have seen a recent uptick in interest in their products.

"Everybody for the most part has been tuned out on water (shortages) because within the U.S. it's not really been a big issue," said Amhaus. "The situation in California has raised huge attention to the fact that we actually do have a problem."

'Forcing innovation'

Companies and industrial farmers have financial incentives to test new water-saving technologies. But convincing regular consumers to change their ways is trickier.

One part of public awareness means doling out practical advice on how to save water at home, such as only watering lawns at night, not running the dishwasher until it's completely full, and taking shorter showers.

Oftentimes, people won't be spurred to action without some sort of incentive, or at least evidence that a lack of water has a negative impact on their lives. Eventually, the fruits and vegetables people expect to get in grocery stores won't be there, or they'll be much more expensive because they're imported from other countries.

Saving money on water bills isn't going to be a big motivator, according to Amhaus.

"Right now water has been cheap and it will continue to be cheap," he said. "It's not the price, it's whether its even going to be available."

Christian Siems sells equipment to farms and vineyards and works with Tal-Ya. He sees first hand the steps the agriculture industry is taking to combat a looming water shortage. The drought has inspired many companies to test out new solutions.

"It's forcing innovation, without question," he said.

How oceans can solve our freshwater crisis

@highlight

A major drought has hit California, and new tech is springing up to address water shortages

@highlight

Many researchers are focusing on agriculture, which makes up 70% of our water usage

@highlight

The U.N. kicks off World Water Day on Sunday to bring more attention to water issues