(Health.com) -- Streamline your workouts, your morning makeup, even your resolution list. Here are eight New Year tips on how to look better and improve your health for 2012.

1. Focus your New Year's resolutions

Got a long list of ways you want to overhaul your life? Simplify it and you'll tick off more by year's end, says Kelly McGonigal, Ph.D., a health psychologist at Stanford University and author of "The Willpower Instinct." Setbacks are inevitable while making a change, she says, "but what's important is to not let one failure turn into an off week or month." Here's how to prioritize so you get real results.

Pick the one thing that matters most. You're most likely to succeed if you stick with a resolution (or two) that is compelling and inspiring to you. How to tell what's a keeper? Pretend it's 2013: Are you grateful you made this change? If your answer is "eh," drop it.

Think big picture. That old advice about making resolutions specific and measurable? Not quite spot on. You could, after all, check off your goal of exercising 30 minutes each day, then help yourself to a second piece of cake -- not consistent with your true overall desire to be fit. "Rather than an outcome like losing 20 pounds or saving $10,000, identify a value, like health or financial security, that becomes your focus for the new year," McGonigal says.

Give yourself a break. Think about what you're pretty sure you can do -- then cut it in half. So if you want to save 10% of each paycheck this year, aim for 5%. And if you don't always hit the mark, don't get discouraged: Even if you saved only 2% this month, that's still in line with your overarching goal (financial health), so onward and upward!

Health.com: Top 10 healthiest New Year's resolutions

2. Simplify your schedule

If you cringe at each ding of your BlackBerry calendar, you might be over-scheduling yourself, says Sherrie Bourg Carter, Psy.D., author of "High Octane Women."

Four ways to get control:

--Book like a therapist. Make appointments 50 minutes long, leaving 10 minutes of flex time to return calls or make up for running long. "Without that cushion, inevitably something will put you off schedule," says Carter.

--Get real. If it's time to trim obligations, but everything feels essential, ask yourself: What was my original goal? If you signed up for marathon training to be more active, but now you're so achy you spend every night on the sofaâ€”there's your answer.

--Be single-minded. "When you get pulled away from a task by email, it takes 16 minutes to return to your previous level of productivity," says Carter. Plow through work faster by turning off all bells and whistles until a project is finished.

--Pencil yourself in. Slot in time for yourself, even if it's just a 10-minute walk in the sun. "Then," says Carter, "don't cancel it!"

Health.com: Job killing you? 8 types of work-related stress

3. Make under your morning beauty routine

You can sleep in tomorrow: Carmindy, makeup artist on TLC's "What Not to Wear" and author of "Crazy Busy Beautiful," officially releases you from the mandate to re-create your features every a.m.: "You want to enhance your natural beauty, not contour new cheeks." Try this to get gorgeous with a lot less effort:

Go big. Apply blush with one swipe of a large powder brush. "A traditional brush puts too much on a smaller area, so you spend time blending," Carmindy says.

Highlight key spots. Sweep pale-vanilla shimmering shadow under brow, on inside eye corner, and on cheekbone top. "The contrast makes you look as good as if you were wearing more makeup," she says.

Skip the blowout. Every other day, swap your shampoo and blow dryer for a de-greasing powder. "Brush this through and hair's perfect again," says Carmindy.

Health.com: 15 ways to be a natural beauty

4. Streamline your go-to meals

Six p.m. might just be the shortest hour of the day. Save the dicing, measuring, and fussing and still get healthy, mouthwatering food on the table with these tips from Ellie Krieger, R.D., host of the Cooking Channel's "Healthy Appetite" and author of "Comfort Food Fix."

Use no-chop ingredients. All you need for a great homemade meal in 15 minutes is a quick-cooking, minimal-prep protein (chicken or fish), whole grains (whole-wheat pasta, brown rice), and veggies that are already bite-size (snow peas, baby arugula). "I love garlic basil shrimp with cherry tomatoes and orzo -- you don't even need a knife," Krieger says.

Swap shortcuts. You might automatically grab a tub of shredded Parmesan, then head to the fresh produce section for veggies. But rethinking which ingredients you buy premade can cut time and boost flavor. "Frozen peas and spinach are easier and just as good as fresh in many dishes," Krieger says. "But there's no substitute for freshly grated cheese. Plus it has more flavor than store-bought, so you use less." Just put a hunk on the dinner table along with the grater.

Alter the atmosphere. A lot of cooking stress comes from the attitude you walk into the kitchen with, Krieger says: "I used to approach making dinner as drudgery, but then I started putting music on, pouring a glass of wine, having my daughter there ripping up lettuce for the salad. It can become the nicest part of your day."

Health.com: 20 easy and healthy meals for families

5. Edit your news feed

To counter iOverload, unsubscribe to useless e-lists and news feeds. Then use a bare-bones or customizable home page like iGoogle (instead of a headline-heavy one) or a customized reading app like Flipboard, suggests Gary Small, MD, professor of psychiatry and biobehavioral sciences at the University of California, Los Angeles, and author of "iBrain."

6. Lighten your handbag

It's a great way to instantly feel more organized. To do it: Follow these steps from Regina Leeds, author of "One Year to an Organized Life."

Take everything out. Separate it piece by piece into groups of like items, creating categories as you go (cosmetics, pharmacy, work essentials).

Get brutal. Toss the trash and trade full-size anything for travel-size. Admit what you can do without (superglue? spare thumb drive?).

Repack. Tuck each group of must-haves into different-colored mesh bagsâ€”easier than remembering which of your purse's seven pockets your lipstick is in.

Do a daily sweep. Take 60 seconds when you get home to file receipts, clear out junk, and replenish supplies. You should be feeling lighter already!

Health.com: 7 steps to organizing clutter

7. Weed out your closet

Weird-but-true wardrobe math: Subtracting pieces can make you feel like you have more to wear, says Dana Ravich, fashion stylist and co-author of "I Have Nothing to Wear!." Clear out the freeloaders this way:

Give it three rounds. First, toss anything that's not in good condition (you can't even donate it). Second, donate what no longer matches your life or style -- uncomfortable shoes, plunging necklines that make you fear a wardrobe malfunction. In round three, try on what's left. "Anything that stays must be a 10," says Ravich. That means it satisfies two additional criteria: It flatters your figure and expresses your personal style. Variety isn't as important as quality. So what if you wear one of the same five fabulous bottoms every day? Your bottom will look fabulous every day.

Slim down your rack. Trade bulky wood and plastic hangers for "huggable" ones. "These are very thin felt hangers that quadruple your space and grip all your spaghetti straps and anything else that normally slides off," says Ravich. Don't hang knits, by the way -- stack them on shelves.

Display jewelry. You can use a plastic hanging organizer with dozens of clear, zippered compartments so that jewelry stays detangled and visible all at once. Done.

Health.com: Stacy London's closet rehab

8. But keep one pair of almost-fit jeans

Yes, you want to streamline. But hanging on to jeans you hope to fit in can help you stick with a fitness goal, says Jennifer Baumgartner, Psy.D., author of "You Are What You Wear." Hang them right on your closet door, she advises, so you can visualize the payoff.

Copyright Health Magazine 2011

@highlight

Focus your New Year's resolutions by picking what matters most and sticking with it

@highlight

Simplify your schedule by booking like a therapist -- 50 minute activities with a 10-minute break

@highlight

Clean out your closet with three rounds and keep your absolute favorite things