(CNN) -- The situation along the U.S. southern border is complicated. There are no easy answers to the problem of thousands of desperate children, many unaccompanied minors, fleeing chaos, violence and governmental collapse in Central America.

Yet seeing some of my fellow Americans jeering busloads of frightened children and hearing commentators dismiss these children as someone else's problem has left me wondering exactly what kind of country we have turned into, and how quickly we forget our own history.

My grandfather arrived on Ellis Island in 1907 as an unaccompanied 9-year-old from an impoverished small town in what is now Belarus. The situation he fled was probably less dire than that of many of the Central Americans arriving today. But it was bad enough.

His father had died. His widowed mother's only alternative to destitution was a quick remarriage, but the presence of the strong-willed boy was a serious impediment to her prospects. So little Chaim was farmed out to his elderly grandmother, for whom he was clearly too much to handle. He continually ran away from home and school, sometimes for days at time.

Chaim became a kind of unlikely Jewish mascot of a local gang of non-Jewish teens. With a child's unerring instinct of how to get under the skin of his new, strictly observant stepfather, he began to eat pork with his rough companions.

Decades later he would recall his days as a freedom-loving village hooligan with a mischievous grin, but it does not take much historical imagination to understand why the adults around him were terrified. Political violence, anti-Semitic pogroms, criminal gangs and violent state repression were all on the rise in the waning days of the Russian empire. In this dangerous, chaotic time, Chaim must have seemed headed for certain disaster.

The local rabbi was consulted and a course of action was recommended: Send the incorrigible little delinquent off to live with his late father's cousins in America — a land so full of incorrigible delinquents that one more would scarcely be noticed.

Chaim arrived at Ellis Island penniless and alone. Social workers kept him there until they found a cousin willing to claim him. It didn't take, however. Sixty years later he told me this cousin had a big beard and reminded him of the teachers and rabbis back in the shtetl that he had run away from in the first place. Whatever the real reason, by age 11 he had run away from the cousin, too, and was more or less on his own for good.

Early days in America were not auspicious. He wandered the streets of New York's Lower East Side and Brownsville, sleeping in a stable and working for pennies by helping out teamsters on their wagons. In his late teens he became a boxer — never very good — and a bouncer at a saloon.

Only 5-foot-2, he acquired the nickname of "Little Frenchy" a tribute to a street brawler named Frenchy whose fighting style he emulated. The name stuck for the rest of his life. He did stints in orphanages and reformatories and a short one in adult jail, when he lied about his age to avoid the juvenile authorities.

And yet, from this unpromising beginning, an American family sprang. After this rocky start -- Frenchy, like many thousands of other one time "unaccompanied minors" — eventually became a very solid American.

He volunteered for the U.S. Army during World War I and became an American citizen. After the war he started a small moving business that grew to be modestly successful, employing about a dozen men. He married a U.S.-born girl whose family came from his hometown. Together they ran the business, raised two sons who later served in the U.S. military and went on to successful careers.

Frenchy and his wife lived to see their grandchildren, who eventually became reasonably decent and productive Americans. And, much to the annoyance of those grandchildren, my grandparents also became knee-jerk patriots, loudly supporting all things American even at the height of the Vietnam War.

Not knowing his real birthday, Frenchy always listed July 4 as his date of birth.

He voted, joined civic groups and paid taxes. Indeed, one of my father's favorite stories about my grandfather concerned a year in the late 1940s when his accountant told him that after depreciation on his trucks and various other deductions, he owed no federal tax. Frenchy would have none of it. To the accountant's horror, he insisted on writing a check for the same amount he had paid the previous year.

America had taken him in when he was a hungry, frightened child. Whatever his shortcomings, America had allowed him to prosper by the sweat of his brow. Now a successful man, he was not going to hide behind some accountant's tricks and shirk his duty to pay his fair share. Paying his share was what a man did. It was what an American did. While he never lost his youthful distaste for organized religion, he had an almost religious belief in the essential goodness of his adopted homeland.

And yes, Frenchy broke the rules and occasionally some laws to get here and survive here. If that is a contradiction, it is the kind of contradiction that animates many American lives. That is the kind of country we are, and for the most part, it's worked out pretty well.

I wonder how many people screaming at frightened children in Murrieta, California, have an ancestor with a similar story. I wonder why so many Americans have forgotten their history. And I wonder, if they are allowed to stay, what sort of Americans will the brave, resilient children on those buses someday become?

@highlight

Philip Kasinitz: Children at border a complicated problem; some fellow Americans uncharitable

@highlight

He says grandfather sent to NY from Belarus in 1907 at 9. His parents feared growing violence

@highlight

Chaim was penniless, scrappy, made his way on his own; married, had kids, was patriotic

@highlight

Kasinitz: Chaim was a loyal, industrious citizen. Have border protesters forgotten their roots?