On the campaign trail, Otto Perez Molina vowed to rule his country with an iron fist.

The retired general said he would send troops into the streets to fight drug violence.

Analysts summed up his political platform with three words: law and order.

Now -- just two months after taking office -- the 61-year-old Guatemalan president is pushing a controversial proposal that has come under fire from U.S. officials and earned praise from people who were once his critics.

During a routine speech last month, Perez Molina slipped in a surprise announcement.

Last year's law-and-order candidate said he wanted to legalize drugs.

"What I have done is put the issue back on the table," Perez Molina told CNN en Español. "I think it is important for us to have other alternatives. ... We have to talk about decriminalization of the production, the transit and, of course, the consumption."

The proposal caught many Guatemalans off guard.

"Everyone was expecting him to copy the strategy of (Mexican President) Felipe Calderon and involve the military in fighting cartels," said Martin Rodriguez Pellecer, director of Plaza Publica, an investigative journalism and analysis website in Guatemala. "Then he made this surprise announcement ... without even his foreign minister knowing about it."

The president's unexpected pitch grabbed global headlines -- and the attention of international leaders.

Central American presidents are scheduled to debate the idea in Guatemala on Saturday.

The meeting could pave the way for a significant policy shift in a region where brutal drug violence is a daily reality.

'Too high a human cost'

The attackers left a warning written in blood on a white wall at a northern Guatemala farm: "I will find you and I will leave you like this." Nearby, investigators found the bodies of 27 dismembered and decapitated workers.

Authorities said members of the Zetas drug gang were behind the massacre last May in the province of Peten. Officials and analysts pointed to the slayings as more evidence of a devastating spike in drug-related violence across the region.

At a conference on regional security last year, Guatemala's then-president, Alvaro Colom, said his country was reaching the limit of its ability to fight cartels.

"Eight killed per ton (of cocaine) passing through Guatemala is a lot of blood. If you pass through Honduras, there are 20 murders, and if we add it up, a ton of cocaine has too high a human cost," he said.

Guatemala's murder rate is 42 per 100,000 people -- one of the highest in the world, according to a United Nations report.

"The immense economic power of drug trafficking has corrupted all the spheres of the state. The violence is incredibly high," said Mario David Garcia, a well-known Guatemalan lawyer and radio show host.

Perez Molina isn't the first leader to propose that legalizing drugs may help stem the bloodshed.

In a 2009 report, three former Latin American presidents -- Brazil's Fernando Henrique Cardoso, Colombia's Cesar Gaviria, and Mexico's Ernesto Zedillo -- called for decriminalizing cannabis for personal use.

Former Mexican President Vicente Fox also has said he supports legalizing marijuana use.

But analysts say sitting presidents rarely make such proposals, fearing political consequences.

"This has been an academic debate and it has also been a scientific debate, an issue that has been studied. And bringing it back into political debate, I think, is important," Perez Molina told CNN en Español last month.

A political strategy?

U.S. officials responded swiftly to Perez Molina's proposal.

"The United States continues to oppose such measures because evidence shows that our shared drug problem is a major public health and safety threat," the U.S. Embassy in Guatemala said in a statement a day after Perez Molina first floated his proposal.

The embassy urged Guatemala and other countries in the region to continue fighting drug traffickers.

"With increased cultivation and consumption of decriminalized drugs, crime in Central America could well increase as the drug cartels shift their focus to other forms of illicit activities," the statement warned.

Weeks later, on a trip to Mexico and Honduras, U.S. Vice President Joe Biden said he was open to debating the issue. But he stressed that the United States would not waver from its policy against drug legalization.

"If (Perez Molina's) strategy is a political strategy designed to get Washington's attention, then it worked," said Samuel Logan, managing director of Southern Pulse, an online information network focused on Latin America.

Some skeptics have suggested Perez Molina may be bluffing -- using the legalization debate to pressure U.S. officials into bringing back military aid to Guatemala. Such aid has been cut off for decades due to human rights abuses committed during the Central American nation's civil war.

Guatemalan Defense Minister Ulises Noe Anzueto told CNN en Español Thursday that he was meeting with officials in Washington to discuss lifting the military aid embargo.

"It's a question of a political decision," he said. "At any moment this restriction could be lifted and help us become more efficient partners in meeting our responsibility to help with security for the region and therefore the continent."

John Walters, who directed the White House Office of National Drug Control Policy from 2001 to 2009, said decriminalization is "utterly self-defeating" and would cause more crime.

He described Perez Molina's proposal as "a call for help and a call for U.S. leadership."

"They're telling us, 'We think we have to give up, because we don't think we can win," Walters said.

Details unclear as debate nears

Supporters of Perez Molina say Latin American nations should create new drug policies that don't follow in U.S. footsteps.

The United States has not done enough to stop the demand for drugs, they argue, and many in Latin America are suffering the consequences.

"All we're doing is, in effect, fighting a U.S. battle outside of U.S. borders," said Ambassador Andres Rozental, a former deputy foreign minister of Mexico who advocates drug legalization.

Creating a regulated market and opting for a less militaristic approach should decrease violence, he said.

"The fundamental problem of the violence ... is directly related to this so-called war on the cartels and this war on drug trafficking and the effort by the criminals to show that they have more money, more weapons, more people," Rozental said.

But could drug legalization efforts in the region work without U.S. backing?

"Even if the United States is not willing at this point to go along, there is space for Latin American countries to take certain steps," said Martin Jelsma, a political scientist who specializes in Latin America and international drugs policy at the Transnational Institute. "Of course, politically, that will be one of the questions. How much pressure will the United States put on Latin America to prevent this?"

Details about the ideas Central American leaders will debate Saturday have not been released to the public.

Perez Molina plans to present a range of proposals at the meeting, Guatemala's foreign minster said.

Drug legalization is also expected to come up before a wider audience of regional leaders at next month's Summit of the Americas in Cartagena, Colombia.

Rodriguez, the director of Plaza Publica, said Saturday's meeting will be a promising start to the debate, even if it takes years to hash out the details.

"It wouldn't surprise me if in the next decade there would be a Latin American agreement to legalize drugs," he said.

But some analysts were more doubtful that other countries in the region would follow Perez Molina's lead.

"Publicly, I would be very surprised if they stand behind this," said Logan, of Southern Pulse.

Jelsma said he hoped the leaders would weigh other drug policy changes, in addition to legalization.

"I fear that this debate could lead into deadlock," he said. "From the current situation, to jump to legalization as an answer to all these problems that are getting worse, I think it's a recipe for a debate that will get stuck pretty soon."

@highlight

Former military general Perez Molina surprised many when he proposed decriminalizing drugs

@highlight

Central American presidents will debate the Guatemalan leader's proposal this weekend

@highlight

U.S. officials respond swiftly, saying they do not support drug legalization

@highlight

Some skeptics say the Guatemalan president is bluffing to get money from the U.S.