(CNN) -- In the best fairy tales, there is always a castle: tall turrets, an intimidating moat and a breathtaking view.

In Scotland, those ancient castles overlook deep lochs and tower over cities. The wandering traveler will find these envy-inducing castles in every corner of Scotland.

In honor of Sunday's National Tartan Day, a holiday celebrating the influential role Scots have played in American history, CNN has chosen 10 magnificent castles to explore in the old country.

From the capital city of Edinburgh to the dramatic landscapes of the Highlands, here are some of the most striking castles in Scotland. Cue the castle-owning daydreaming.

27 photos of glorious Ireland

Eilean Donan, Inverness-shire

This 13th-century castle in the middle of a loch is one of the most iconic in Scotland. Located in the Highlands looking out toward the Isle of Skye, this stunning castle is connected to the mainland via footbridge. It was restored in the early 20th century and is often featured in television and movies. Visitors can wander through the rooms to see period furniture, artifacts and weaponry.

Edinburgh Castle, City of Edinburgh

Perhaps the most famous (and most visited) castle in Scotland is right in the center of the capital city. Perched on top of the city on Castle Rock, this fortress has a strong presence in Edinburgh's skyline. The oldest section of the castle dates to the 12th century, and many visitors travel here specifically to see the Crown Jewels of Scotland. Guided tours are available.

Culzean Castle, Ayrshire

Observant travelers might recognize Culzean Castle from the back of the 5-pound note issued by the Royal Bank of Scotland. This cliffside castle on the Ayrshire coast has been associated with the Kennedy family for centuries. It is a particularly memorable example of a fairy tale-like structure with its turrets and battlements, stationed above the stormy seas and surrounded by gardens and forests.

Ballindalloch Castle, Banffshire

Often called "The Pearl of the North," this 16th-century castle is in the heart of one of Scotland's whisky regions, Speyside. Unlike other castles in Scotland, this is one of the few castles in the country that remains private: The Macpherson-Grant family has continually lived here over the centuries. The castle is open to visitors during the summer months and has a shop with a variety of Scottish goods including tartans and jewelry.

8 elegant U.S. mansion hotels

Castle Fraser, Aberdeenshire

Movie buffs might recognize Castle Fraser from "The Queen," starring Helen Mirren (it appeared as a backdrop). Castle Fraser is one of the grandest, most romantic-looking castles in the country. Built between 1575 and 1636, the castle sits on more than 300 acres of landscaped grounds and woodlands. Inside, it has the feeling of a family home with portraits of the Fraser family and original furniture.

Stirling Castle, Stirlingshire

One of the largest (and most important from a historic/architectural perspective) castles is Stirling Castle. An easy trip from both Edinburgh and Glasgow, this castle was once the destination of knights and nobles who flocked to the luxurious property with its elaborate gardens. It's a good spot for families to visit; costumed characters in historic roles are on the grounds, and children can dress up in period costumes and play medieval instruments.

Earth's greatest unexplored places

Urquhart Castle, Inverness-shire

The mythical Loch Ness Monster, Nessie, might lure travelers to the Scottish Highlands, but it is Urquhart Castle that delivers the drama. One of the most-visited castles in the country, this castle's Grand Tower overlooks expansive Loch Ness. An early medieval fortification was built here, but the ruins seen today date to the 13th to 16th centuries. The castle also played a strategic role in the Wars of Scottish Independence.

Glamis Castle, Angus

One of the most towering -- and historically interesting -- castles in Scotland is Glamis Castle. This structure has the claim to fame as being the setting for Shakespeare's "Macbeth," along with being the childhood home of Queen Elizabeth, the Queen Mother (her younger daughter, Princess Margaret, was born here). The surrounding estate is made up of 14,000 acres of gardens, farms and forests.

Inveraray Castle, Argyllshire

Located in western Scotland on the shore of Loch Fyne, this castle has a fairytale facade with an enchanting interior. Many visitors indulge in the tea room here, offering a glimpse into royal life. "Downton Abbey" fans might recognize it from the season 3 Christmas episode. The castle has a lovely 16-acre garden surrounded by a massive 60,000-acre estate.

Crathes Castle, Aberdeenshire

Found in the Aberdeenshire woodlands, Crathes Castle dates to the 16th century and has ties to Scottish warrior-king Robert the Bruce. Towers, turrets, and ghost stories make this an especially intriguing castle to visit, along with the beautiful walled garden. Travelers interested in art will be drawn to the collection of portraits and painted ceilings.

@highlight

Scottish castles have starred in "Downton Abbey" and "The Queen"

@highlight

The setting for "Macbeth," Glamis Castle is also Princess Margaret's birthplace

@highlight

Families will enjoy Stirling Castle's costumed characters in historic roles