(CNN) -- It is easy to be confused by the welter of headlines and selective excerpts that have been leaked from former Defense Secretary Robert Gates' upcoming book "Duty: Memoirs of a Secretary at War." (I have not yet read the book.)

Gates asserts President Obama lacked conviction about his own decision to put more troops in harm's way in Afghanistan. As described in the Bob Woodward summary of the book in the Washington Post, Gates writes that the Commander-in-Chief was "skeptical if not outright convinced it would fail." He also condemns what he saw as "suspicion and distrust of senior military officers by senior White House officials — including the president and the vice president."

In one meeting about Afghanistan in particular, Gates said that after listening to the President, he concluded, "The president doesn't trust his commander, can't stand Karzai, doesn't believe in his own strategy and doesn't consider the war to be his."

He is particularly brutal about Vice President Joe Biden, who Gates asserts "poisoned the well" against U.S. military leaders, and who he says "has been wrong on nearly every major foreign policy and national security issue over the past four decades." Gates also doesn't mince words about top officials like former National Security Adviser Tom Donilon or key Obama adviser Lt. Gen. Douglas Lute.

At the same time, Gates commends Obama's intelligence and character, his decision to go after Osama bin Laden, and in his concluding chapter, according to the New York Times account of the book, as far as the President's overall Afghanistan strategy he writes, "I believe Obama was right in each one of these decisions." He also has strong praise for former Secretary of State Hillary Clinton mixed in with his lengthy expressions of frustrations with others in the administration and in Washington, notably the dysfunctional crowd on Capitol Hill.

Compounding the apparent dissonance within Gates' narrative, there is another conflict to reconcile. Gates is a man known for bipartisanship, discretion and keeping his own counsel, and yet he is blasting a sitting President that he served, and revealing details of private and off-the-record exchanges without apparent regard for confidentiality, and in a manner that is sure to be politicized.

It might be easy to dismiss his account — as some, seeking to defend the President, already have done on Twitter and in the blogosphere — as so contradictory as to not be credible. But that would be a mistake. Gates is one of the most distinguished, most widely respected national security public servants the U.S. has produced in half a century. In addition to running the Pentagon for both Obama and President George W. Bush, he ran the CIA and was Deputy National Security Adviser. He is exceptionally intelligent, committed and few can rival his experience or perspective.

No, the contradictions in Gates' comments do not invalidate them. Rather, they illustrate important facts. In the first place, they reveal Washington and policy making as they are: Very little is clear cut, and personalities and politics play as big a role in key decisions as do any objective analysis of the merits of any decision. People — including presidents and secretaries of Defense — can be contradictory bundles of good and bad qualities, advocates for decisions that are both right and wrong.

But on a deeper level, Gates' narrative is conflicted because he is writing about issues, such as Afghanistan, in which there were literally no good answers. Perhaps, in the very first phases of our engagement there, there was a "best possible path." We could have gone in, sought retribution for 9/11, attacked and killed our attackers and then gotten out.

The problem became our desire to reduce in a much more sweeping and lasting way the threat posed by al Qaeda, the Taliban, extremists and instability in the region. This led to a long-term commitment in a place where there were no long term "solutions" — indeed, the threats posed by extremists are problems that cannot be "solved;" they can only be reduced and managed, never eradicated.

But once we were into Afghanistan for anything but retaliation, we ended up debating two deeply flawed alternatives. Either we committed significant numbers of troops indefinitely — which would be costly, politically unpopular and unlikely to succeed in doing anything but moving terrorists elsewhere. Or we would pull out and the situation would return to the chaos the region, becoming once again a Petri dish for terror. As it turned out, we will end up demonstrating at great cost that neither approach could work.

Gates and the military were right that only an extended military presence could control our enemies on the ground. Biden and his allies were right that getting out sooner would have the same effect as getting out in the medium term. And both will soon see that in Afghanistan — as in Iraq today and in our War on Terror more broadly — our costly investment and that of our brave troops will not change the region for the better. Indeed, right now it looks as if Afghanistan and Iraq are likely to end up worse than we found them, and the sway of al Qaeda and extremists more widespread and powerful.

All this is because before Gates and Obama got into office, a fundamentally wrong decision was made by their immediate predecessors. We overreacted to 9/11, seeking not justice but to change the world and a volatile region in ways that were beyond our capabilities.

And the battles and tensions revealed among good men and women in the Gates account and others being written of the recent past are the legacy of that watershed error.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: New book by ex-Defense Secretary Gates criticizes Obama, others

@highlight

Reports: Gates writes that Obama lacked conviction on own Afghanistan policies

@highlight

He says Gates also says Obama "right" on Afghanistan strategy

@highlight

Rothkopf: Gates narrative reflects intractable problem of U.S. overreach in region