(CNN) -- What does it take to become the CEO of India's biggest biotech company and the richest woman in India?

Mazumdar Shaw with Shah Rukh Khan. India's richest woman is ready to answer your questions.

Kiran Mazumdar-Shaw, founder of biotech pharaceutical company Biotech answers your questions, below.

Yours is a very inspiring story. Could you tell us more about what challenges you had to overcome to bring Biocon to a global level? Vishala Vasandani

Mazumdar Shaw: My journey started 30 years ago at a time when I had to face credibility challenges that pertained to my gender, my inexperience as a business entrepreneur and my unfamiliar biotechnology-based business model. My business evolved in tandem with challenges.

Once I overcame these credibility challenges, I faced technological challenges of trying to build a Biotech business in a country that had infrastructure that was too primitive to support a high tech industry that demanded uninterrupted power supply, high quality water, sterile labs, imported research equipment, advanced scientific skills etc.

Over the next 10 years, we systematically addressed these challenges and built a self contained enterprise that had captive power and water supply, state of the art labs and facilities and a team of highly experienced scientists and engineers capable of delivering world class research and technologies.

Today, our challenges address those posed by new medical wisdom: addressing unmet medical needs, researching new drugs, new drug delivery systems and new therapies. Overcoming each of these phases has been a rich learning experience that has helped us to develop world class expertise in biotechnology. Innovation and quality have been integral to our business ethos.

Can Biocon's oral insulin IN-105 replace traditional and painful needle based insulin delivery system for type1 diabetics? Can a diabetic who is taking insulin by needle based delivery system hope for change in near future?  Ajay Kumar Singh

Mazumdar-Shaw: Oral Insulin is not just about delivering Insulin in a tablet. It is about delivering Insulin very rapidly to the liver (hepato-delivery) which is the main organ responsible for glycemic control in our body. Injectable Insulin takes approximately 30 minutes to act. Oral Insulin takes approximately 5 minutes to act which mimics how non-diabetics respond to glucose uptake when food is consumed. This will help both Type I and Type II diabetics to manage their diabetes better.

We hope that early intervention with Oral Insulin will help to manage Diabetes especially in Type II diabetics much more effectively than is being done by oral diabetic agents like Metformin, Sulphonyl Ureas and Glitazones which stimulate the pancreas to produce Insulin.

This is unlike oral Insulin which will allow a poorly functioning pancreas to rest and hopefully help to revive Insulin secreting beta cells. Should our Oral Insulin program succeed, this will revolutionize Diabetes therapy in the future.

If you had to do the IPO again what would you do differently and when can we see Biocon listed in NASDAQ?  Harish Swaminathan

Mazumdar-Shaw: I don't believe so. I think we got the valuation we were expecting through an Indian listing. A NASDAQ listing is only something we will address when one of our branded drugs are close to commercialization in either the U.S. or European markets. Today NASDAQ is risk averse and not valuing biotech companies any better than the BSE or NSE.

I am so humbled by your story. What does it take as a woman to get to where you are today? What obstacles did you have to overcome, especially in an industry that is deemed to be a "man's world"? Would women setting up business in India today find it easier than you did? Irene Gonza, Uganda

Mazumdar-Shaw: I believe that women need to believe in themselves. I set up Biocon with a spirit of challenge and a deep sense of purpose. The challenge was to break the gender bias in the business world.

My sense of purpose was to create a Biotech business in a country like India which had a very poor research culture with limited opportunities for scientists and engineers to pursue a career. It was about stopping the "brain drain" from India. It was about providing exciting career opportunities to young scientists and engineers. It was about encouraging young women to pursue careers.

When one is passionate about a mission that is about change, it enables you to persevere and endure. I do believe that if I could achieve success, any woman can overcome obstacles with a sense of determination!

When you set up Biocon did you aim to make it one of the biggest and most successful in the world? Do you need ambition like that be a success in any kind of business or does it take luck, too?  David James, London

Mazumdar-Shaw: When I set up Biocon, I certainly did not have such a big ambition! I basically wanted to run a successful and profitable business to start with. Ambition is evolutionary and one does not see the big picture until you reach a certain critical mass. It was only a few years ago that we developed a global ambition and built global scale in our operations.

Whilst luck can be described as "being at the right place at the right time" or "being prepared to address an opportunity," I personally believe that it is about being able to seize opportunities by leveraging existing capabilities to reach new levels. In our case, we leveraged our enzyme capabilities to pursue bio-pharmaceuticals; it was also about picking the right products (statins & Insulin) that had large markets.

We chose to partner with innovative companies and in-license innovative technologies which spearheaded our new drug development programs. We have always chosen to differentiate ourselves from the market and this has allowed us to "think out of the box" and stand apart.

How do you think the global economic downturn will affect Biocon and Indian companies in general?  Alicia van Waveren, The Hague

Mazumdar-Shaw: The economic meltdown will certainly bring tremendous pricing pressure and we expect to see our margins shrink. We also expect payment terms that involve extended credits. However, we also see a silver lining amidst this gloomy scenario as R&D and manufacturing are likely to shift to countries like India in order to bring down costs.

We have two subsidiaries that offer research and clinical services, Syngene and Clinigene that are likely to see their businesses increase. We also expect generic drugs to become a larger part of healthcare budgets in western economies.

Finally, new drug development costs are under tremendous pressure both in terms of funding and development. India and companies like Biocon provide very effective co-development partnership opportunities to bring these costs down. The differences between wealth and poverty in India are starker than anywhere else in the world.

Do you think the poverty gap will ever be closed?  Richard Ng, Hong Kong

Mazumdar-Shaw: Poverty poses a huge challenge. Education and employment are the only answers.

India is striving to address these two areas through various education and vocational training initiatives. What we also need is employment generation through a myriad of projects that span infrastructure development, co-operative agriculture to entrepreneurship. India needs to provide rural connectivity both in terms of roads and tale/IT connectivity. This will unleash inclusive growth in a huge way.

Today we are caught between a political ethos that finds it convenient to keep its vote bank ignorant and unemployed and a civic India that wants to educate and harness the potential of its human capital.

It seems that Indian biotech and pharmaceutical industry is relying more on being the outsourced resource of the U.S. and EU companies rather than creating their own intellectual property.Do you think this a culture in India to not be active in creating IP or is it related to the inadequacies in the patent law?  Dipanjan Nag

Mazumdar-Shaw: A very correct observation. The risks associated with proprietary products are high and Indian businesses and more importantly Indian investors and banks are extremely risk averse. Hopefully, the rapid commoditization of generics and services will force companies to differentiate on the basis of IP.

At Biocon we strongly believe that our proprietary programs will help us sustain growth in the future. It is a challenge to convince our investors of this but we think they will understand this in the near future.

In hindsight, what is the one piece of advice you wish you'd been given when you were starting out in business?  Karl Malone, Winchester

Risk is not about taking but about managing. I took a huge risk when I started a Biotech company in 1978 and I soon realized that I had to manage the risk by addressing very serious challenges of a very primitive infrastructure at the time. It took me a lot longer than I thought to build the company but in hindsight it was still worth the effort!

What drives you to achieve what you have and to keep going when times are tough?  Melinda Cook, Melbourne

The belief that we can deliver the world's first Oral Insulin and other life saving drugs for cancer and auto-immune diseases. I am driven by my desire to see novel drugs being developed by Biocon for global markets with a "Made in India" label.

I am determined to see India earn a strong reputation in innovation. At a time when most Biotech companies in the western world are challenged with funding, I believe we can forge ahead and succeed.

About Kiran Mazumdar-Shaw

Mazumdar-Shaw is founder of Biocon, the biotech and pharmaceutical company that made her India's richest self-made businesswoman.

She was named as one of Fortune magazine's 50 Most Powerful Women in 2007 and was instrumental in forging India's biotechnology industry.

Living and working in Bangalore, she set up Biocon in 1978 and has developed it into a global biopharmaceutical player with highly developed research and development facilities focusing on cancer and diabetes treatments.

Biocon was bought first by Unilever in 1989 and then sold to ICI in 1997, but Mazumdar-Shaw remains the company's Chair and Managing Director and has been part of the Indian government's Council on Trade & Industry.

@highlight

India's richest woman Kiran Mazumdar-Shaw is founder and CEO of Biocon

@highlight

Email her your questions on business and secrets of her success

@highlight

Her answers will appear here on Friday, November 28