(CNN) -- In a new book, a "60 Minutes" interview and other recent public statements, Jose Rodriguez, a three-decade veteran of the CIA who rose to become head of the National Clandestine Service, has stoutly defended the CIA's use of coercive interrogation techniques on al Qaeda detainees.

Rodriguez asserts, for instance, "Information obtained from senior al Qaeda terrorists, who became compliant after receiving enhanced interrogation techniques, was key to the U.S. government learning of the existence of a courier who was bin Laden's lifeline."

Let us turn to what is available on the public record to consider if this is true. Between November 23, 2002, and January 11, 2003, the man who al Qaeda was grooming to be the 20th hijacker, Mohammed al-Qahtani, was interrogated at Guantánamo for 48 days, more or less continuously, rousted from bed at 4 a.m. for interrogation sessions that went on until midnight.

If he dozed off, he was doused with water or given a sharp blast of some especially annoying music by Christina Aguilera. He was forced to perform dog tricks, often exposed to low temperatures, made to stand in the nude, and whenever he seemed to be flagging, he was given drugs and enemas so the interrogations could continue.

This abusive treatment caused marked changes in Qahtani's behavior. An FBI official later noted that he began "evidencing behavior consistent with extreme psychological trauma (talking to nonexistent people, reporting hearing voices, crouching in a cell covered with a sheet for hours on end)."

From the secret summaries of Qahtani's Guantánamo interrogations made public by WikiLeaks, it appears that it was only after the weeks of abuse that he told interrogators that the operational commander of 9/11, Khalid Sheik Mohammed, had introduced him to a man known as Abu Ahmed al-Kuwaiti, "the Kuwaiti," who had instructed him how best to communicate covertly with al Qaeda members once he was in the States.

In July 2001, the Kuwaiti had taken Qahtani to an Internet café in the Pakistani city of Karachi and given him some lessons in secret communications. The admission from Qahtani that the Kuwaiti had given him training in operational security seems to have been the first time that U.S. officials realized that the Kuwaiti was a player in al Qaeda and a confidant of Mohammed's.

American interrogators now knew that the Kuwaiti had helped train potential hijackers for the 9/11 mission, but as yet there was no sense that he might be bin Laden's key courier.

Jose Rodriguez: Harsh interrogations were necessary, legal and effective

Mohammed himself was then captured in Pakistan in March 2003 and was transferred to U.S. custody. Despite being waterboarded 183 times and at one point kept up for 7½ days straight while diapered and shackled at a CIA secret prison in northern Poland, Mohammed did not confess to the Kuwaiti's key role in al Qaeda, instead telling his interrogators in late 2003 only that the Kuwaiti was now "retired."

Mohammed's assertion that the Kuwaiti was retired was curious, as not too many members of al Qaeda were known to have retired. After Mohammed told his interrogators that the Kuwaiti was retired, an al Qaeda courier by the name of Hassan Ghul told CIA interrogators a quite different story.

Ghul, a Pakistani, was arrested in mid-January 2004 in northern Iraq carrying a letter addressed to bin Laden from al Qaeda's leader in Iraq urging that he be allowed to embark on a full-scale war against Iraq's Shia population.

Ghul obviously had access to al Qaeda's inner circle in Pakistan and so was taken to a secret CIA prison in eastern Europe, where he was subjected to a variety of coercive interrogation techniques, including being slapped, slammed against a wall, forced to maintain stress positions and deprived of sleep. At some point, it isn't clear when exactly, Ghul told interrogators that the Kuwaiti was bin Laden's courier and frequently traveled with al Qaeda's leader.

It is quite possible, however, that Ghul gave this information up to his interrogators before he was subjected to coercive interrogations. The Senate Select Committee on Intelligence has undertaken a multiyear study of the CIA interrogation program and has generated a 6,000-page report that will likely be released in some form later this year. Once that report is made public it will surely definitively answer whether Ghul gave up this key information about the Kuwaiti while he was being subjected to coercive measures, or not.

For the moment, we will have to content ourselves with a press release from the Senate Select Committee on Intelligence dated April 27 that says, "The CIA detainee who provided the most significant information about the courier provided the information prior to being subjected to coercive interrogation techniques." This detainee appears to be Ghul.

Peter Bergen: A visit to bin Laden's lair

Mohammed's replacement as the No. 3 in al Qaeda, Abu Faraj al-Libi, held that position for only a couple of years before he was arrested in Pakistan on May 2, 2005, in the city of Mardan, 100 miles from Abbottabad, where bin Laden himself would soon arrive to live for the next six years.

A month after his arrest, Libi was handed over to the CIA. Coercive interrogation techniques (though not waterboarding) were used on him. Libi also told his interrogators that the Kuwaiti wasn't an important player in al Qaeda and that it was in fact "Maulawi Abd al-Khaliq Jan" who was bin Laden's courier. Counterterrorism officials later concluded that Maulawi Abd al-Khaliq Jan was a made-up name.

So, did coercive interrogations lead to bin Laden? Such techniques were used on Qahtani, the 20th hijacker, and on Ghul, the Pakistani al Qaeda courier who was captured in Iraq.

Certainly both Qahtani and Ghul gave interrogators information that led the CIA to focus on the Kuwaiti as a possible avenue to finding bin Laden, which to defenders of these interrogation techniques would seem to prove that they were effective. That said, it is quite possible, however, that Ghul gave up the information about the Kuwaiti before he was coercively interrogated.

Critics of the coercive interrogation techniques can point out that harsh methods were also used by the CIA to get Mohammed and Libi to talk, and both those men gave their interrogators disinformation about the Kuwaiti.

Since we can't run history backward, we will never know what conventional interrogation techniques alone might have elicited from these four prisoners.

And there were other key steps along the way to finding bin Laden that had nothing to do with the information derived from al Qaeda detainees, whether coercive measures were used on them or not.

The name "Abu Ahmed al-Kuwaiti" is an alias meaning "the father of Ahmed from Kuwait," which is hardly a good clue as the population of Kuwait is around 3 million and Ahmed is a very common name.

The first really big break in finding "the Kuwaiti" came in 2007 when another intelligence service provided the CIA with the courier's real name, Ibrahim Saeed Ahmed, a man whose father had hailed from northern Pakistan and had moved to Kuwait decades earlier.

Still there was as yet no sense that this was bin Laden's key courier. The next big break in the case came when the Kuwaiti in June 2010 made changes in the way he communicated on his cell phone that suddenly opened up the possibility of tracking the location of his phone.

Soon the U.S. National Security Agency was able to trace the Kuwaiti's cell phone to the large western Pakistani city of Peshawar. But the courier practiced very good operational security and would turn off his phone and remove its battery far from where he was living in Abbottabad.

On one of his occasional visits to Peshawar, CIA agents on the ground tracked the Kuwaiti and followed his distinctive white jeep 2½ hours' drive to the east to where he was living in a compound in Abbottabad. Living there, too, as we of course now know, was Osama bin Laden.

In sum, CIA's "liaison" relationship with another intelligence service, signals intelligence by the National Security Agency and good old fashioned spying by CIA agents on the ground provided the critical leads that led to bin Laden.

The role of interrogations, whether they were coercive or not, seems to have played only a partial role in the hunt for bin Laden, a tale that is more Agatha Christie than it is "24."

@highlight

Peter Bergen: CIA learned of al Qaeda operative "the Kuwaiti" through harsh interrogation

@highlight

He says another series of interrogations determined the Kuwaiti was bin Laden's courier

@highlight

Bergen says it's not clear if the second revelation came before or after harsh techniques

@highlight

He says key breakthroughs came from another intelligence service and from CIA agents