Washington (CNN) -- President Barack Obama renewed his push for comprehensive immigration reform Thursday, calling for bipartisan cooperation on an issue that has repeatedly proven to be a major cause of deep social and political division.

The president tried to find what has often proven to be an elusive middle ground on the subject, highlighting the importance of immigrants to American history and progress while also acknowledging the fear and frustration many people now feel with a system that seems "fundamentally broken."

He asserted that the majority of Americans are ready to embrace reform legislation that would help resolve the status of an estimated 11 million illegal immigrants.

"I believe we can put politics aside and finally have an immigration system that's accountable," Obama told an audience at Washington's American University. "I believe we can appeal not to people's fears, but to their hopes, to their highest ideals. Because that's who we are as Americans."

The president targeted Arizona's controversial new immigration law, which requires immigrants to carry their alien registration documents at all times and requires police to question people if there's reason to suspect they're in the United States illegally. It also targets businesses that hire illegal immigrant laborers or knowingly transport them.

The measure -- currently under review by the Justice Department -- has "fanned the flames of an already contentious debate," Obama said. It puts pressure on police officers to enforce rules that are "unenforceable" while making communities less safe -- in part, by making people more reluctant to report crimes. It also has "the potential of violating the rights of innocent American citizens and legal residents, making them subject to possible stops or questioning because of what they look like or how they sound."

Arizona's Republican governor, Jan Brewer, responded Thursday that Obama was failing to secure the border with Mexico, which forced her state to act on its own.

"Do your job. Secure the border," Brewer said of the president in a speech to a Republican group. She pledged to "defend this law against every assault, including attacks by the Obama administration."

In his speech, Obama warned that rounding up everyone in the country who has entered illegally would be both "logistically impossible" and "tear at the fabric of the nation." At the same time, the president indicated it would be wrong to offer blanket amnesty for people who came into the United States unlawfully.

To do so "would suggest to those thinking about coming here illegally that there will be no repercussions for such a decision. And this could lead to a surge in more illegal immigration. ... It would also ignore the millions of people around the world who are waiting in line to come here legally."

Ultimately, he said, "our nation, like all nations, has the right and obligation to control its borders and set laws for residency and citizenship. And no matter how decent they are, no matter their reasons, the 11 million who broke these laws should be held accountable."

Obama said those who entered the country illegally must admit they broke the law, register with the appropriate authorities, pay taxes, pay a fine, and learn English. They must "get right with the law before they can get in line and earn their citizenship."

The president urged Congress to tackle immigration reform legislation, but stressed that it would require support from both Democrats and Republicans.

"That is the political and mathematical reality," he said.

Obama's remarks, however, immediately received a cold reception from one top Senate Republican.

Obama and congressional Democrats "made a strategic decision to put immigration on the back burner, and they now claim they can't even propose immigration legislation without a Republican," said Sen. John Cornyn, R-Texas. "It's time for the president and congressional Democrats to stop the charade. Op-eds, outlines and speeches won't cut it anymore."

Senate Majority Leader Harry Reid, D-Nevada, in turn lashed out the GOP, arguing that "instead of matching the leadership of Democrats to solve this problem and engaging in good faith negotiations, Republicans continue to engage in political grandstanding and polarizing rhetoric that encourages intolerance of our vibrant immigration population."

Reid, who is facing a tough reelection fight this year, is hoping for a strong turnout among Latino voters in November in his home state.

Despite Obama's call for bipartisan immigration reform, several senior Democratic sources said Thursday that they see virtually no chance of Congress taking up such a measure before November's midterm elections.

Though some hold out hope for potential movement during a lame-duck session of Congress after the election, most sources say the more realistic earliest target is next year. But even that, according to one source, may be "happy talk."

Still, these sources said that, politically, it was crucial for the president to give a speech like he did Thursday in order to put pressure on Republicans and, more importantly, to reassure angry Latino voters that Democrats haven't forgotten about the issue.

A CNN/Opinion Research Corporation national poll conducted in late May indicated that public support for beefing up security along the U.S. border with Mexico had grown significantly. According to the survey, nearly nine out of 10 Americans want to beef up U.S. law enforcement along the border with Mexico.

Eight in 10 questioned also supported a program that would allow illegal immigrants already in the United States to stay here and apply for legal residency if they had a job and paid back taxes. But only 38 percent say that program should be a higher priority than border security and other get-tough proposals. Six in 10 said border security was the higher priority.

Obama's speech followed a highly anticipated meeting this week in which the president discussed immigration reform with grass-roots reform advocates.

"From our meeting, it is clear that the president is committed to comprehensive immigration reform and understands that congressional action is needed urgently," said Ali Noorani, executive director of the National Immigration Forum and a meeting attendee.

Other topics discussed at the meeting included concerns the grass-roots leaders had about reforms to current detention and deportation procedures, Noorani said.

CNN's Dana Bash contributed to this report

@highlight

Arizona governor challenges Obama to secure the border with Mexico

@highlight

Sen. Reid, D-Nevada, hits GOP for "polarizing rhetoric"

@highlight

Sen. Cornyn, R-Texas, says speeches "won't cut it anymore"

@highlight

Obama calls for bipartisan comprehensive immigration reform