Air pollution in China has gotten so bad lately that one environmentalist's wacky idea for a solution doesn't seem all that far-fetched: putting clean air in a can.

Last week, when a thick gray haze blanketed Beijing and several other Chinese cities, sending kids to the hospital, grounding planes and causing the government to order cars off the road, Chen Guangbiao took to the streets in Beijing to hand out yellow and green cans of smog-free, non-carcinogenic air.

"Free fresh air. Open it and drink it and breathe it!" the Guardian quoted the multimillionaire and national celeb as saying. "It keeps you fresh the whole day!"

Ego aside (the bright cans feature an image of Chen's face and the words "Chen Guangbiao is a good man" on them), the clever political stunt is just the sort of thing that China needs these days. Such creative and public protests should help push forward much-needed national reforms to combat air pollution in the country.

A "Clean Air Act" for China is long overdue.

And the recent "air-pocalypse," as the suffocating air pollution that hung over several Chinese cities in January has been termed, should be more than enough proof of that.

The pollution during the 2013 Great Smog of China was so thick last month that it was visible from space (from space!). Breathing in Beijing was "akin to living in a smoking lounge," according to an analysis from Bloomberg. Air quality readings literally were off the charts. An index reading below about 50 is considered healthy. Readings for Beijing in January hit 500, the top of the index, and went higher than 700, according to the U.S. Embassy.

"The air has this kind of greenish-gray pallor to it. And it smells like you're standing next to a chemical plant, really chlorine-y," said David Pettit, a senior attorney at the Natural Resources Defense Council, an environmental group. "It's an awesomely bad smell."

He was telling me about Beijing air on a normal day.

"I'm standing outside my office building but am unable to see its top," one Beijing resident said, according to China's state news agency, Xinhua.

"The new normal in Beijing is sending your kids to school wearing gas masks," Christina Larson wrote in Bloomberg Businessweek.

Fixing China's air pollution is not just about the country's image or economy, although those certainly suffer because of smog, too. It's about the right of all humans to walk outside and breathe in air that won't choke them or make them sick.

The AFP reports hospital visits for respiratory problems were up 20% during the air-pocalypse. Last year, small particle air pollution, called PM2.5, in four major Chinese cities resulted in 8,572 premature deaths, according to a December study by Greenpeace East Asia and Peking University's School of Public Health.

Similar deaths can and should be prevented.

And I'm optimistic they will be. For several reasons.

The first is history. It wasn't all that long ago, in 1952, that the "Great Smog" covered London in gray, sooty pollution, resulting in an estimated 4,000 premature deaths.

The government reacted by passing sweeping reforms.

Now London is known for its real fog, not smog.

Air pollution in Los Angeles was handled in a similar fashion.

After the city's car culture created a smog problem, scientists started researching protective helmets to protect people. Others wore gas masks. But, eventually the government took action to reduce the pollution. California led the way for the nation, and in 1963, the United States passed the Clean Air Act.

That law is credited with preventing 205,000 premature deaths, 843,000 asthma attacks and 18 million child respiratory illnesses in 1990, based on the first 20 years of the law.

These changes took time. And it's unfortunate that things had to get bad before they could get better. But China, like others, is finally realizing that its air really is that bad.

Its own people are calling for the change and more vigorously than before.

More than 200 students at a Beijing high school school signed a petition asking the city to "amend air quality regulations and take specific emergency measures," according to Calum MacLeod from USA Today. And on Weibo, China's version of Twitter, Pan Shiyi, a real estate magnate, called for the country to adopt its own Clean Air Act. When he posed the idea to his 14 million Weibo followers in an online poll, nearly all of the 50,000-some people who responded said they supported that type of national legislation.

Maybe that's just one man's social media feed. But there's a history of this kind of thing working in China. In 2011, Pan successfully used his online network to press Beijing authorities to report more smog data, according to the Wall Street Journal's China blog.

It's clear the government has taken notice this time as well. Beijing implemented several emergency measures to curb smog. State media is talking about the pollution.

After speaking with a few experts, it seems clear what needs to be done: China has to reduce its reliance on coal, increase renewable energy, regulate the amount of smog-causing sulfur that can go into its diesel fuel and increase vehicle efficiency.

"It's not rocket science," said the Natural Resources Defense Council's Pettit.

There will, of course, be costs and significant challenges. China burns "nearly as much coal as the rest of the world combined," according to a recent report from the U.S. Energy Information Administration. Beijing catches so much of the pollution from coal-burning power plants because it sits at the center of a ring of mountains, which help trap the smog. Throw a bunch more cars into the mix, 13 million of them were sold in China last year, according to IHS Automotive and the problems start compounding.

Fixes may be expensive, but the United States has made the compelling case that the costs of enforcing clean air regulations are offset by gains in health and worker productivity. China, which does have some air quality regulations, already seems to be realizing this. The country on Wednesday announced stricter fuel standards that go into effect by the end of 2014 for diesel and 2017 for gas, according to the Financial Times. An environmental official, Wu Xiaoqing, also told state media this week that "China will formulate regulations, standards and policies to reduce air pollutants and control coal burning."

The energy industry estimates it will costs billions for China to meet tougher fuel standards. It may be up to people like artist Ai Weiwei, who posed in a photo wearing a gas mask, and Chen, the man who's peddling cans of clean air, to ensure that the public and the government see that clean air is worth the cost.

"I want to tell mayors, county chiefs and heads of big companies: Don't just chase GDP growth, don't chase the biggest profits at the expense of our children and grandchildren, and at the cost of sacrificing our ecological environment," Chen told Reuters.

If Chinese leaders don't want to drink air from a can, they should listen.

@highlight

This year has been one of the worst for air quality in China

@highlight

Residents have termed the smog event the "air-pocalypse"

@highlight

John Sutter says the country should pass a Clean Air Act

@highlight

It's a matter of human rights and public health, not image