(CNN) -- Islamic radicals linked to al Qaeda have seized the northern half of Mali, one of Africa's largest nations, and there are widespread concerns that the region could soon become a terrorist haven.

The militants have been able to capitalize on the instability of the country, which has seen a rebellion and a government coup within the past few months.

Now, about 500,000 Malians have fled their homes in fear of the violence and discrimination that come with the radicals' strict interpretation of sharia law.

CNN's Erin Burnett has been meeting with rebels and refugees this week and reporting on the growing crisis in Mali. She talked to CNN.com about the security concerns, the desperate humanitarian issue and how the United States might respond.

CNN.com: Why are some referring to Mali as "the next Afghanistan"?

Erin Burnett: We've talked to senior sources in the U.S. government and local rebels who say al Qaeda wants this to be their next haven. There is no government in northern Mali right now: it is remote and hard to access. Former intelligence officials tell me this is Qaeda's last chance of a country as their haven, like Afghanistan was before this.

I was told by locals that extremists are giving people satellite phones and saying, "Call in when you see Westerners." They're paying people money in Timbuktu to become "informants." One man told me that families he knows were given 10 times the amount of money they would earn from herding (their normal work) to join the cause.

But there are reasons it's not like Afghanistan. One of them is that the type of Islam practiced in northern Mali and the areas around northern Mali is much more relaxed. Locals are not receptive to extreme interpretations of Islam: For example, the extremists banned music, putting a DJ I spoke to out of a job. This is a country that is world famous for loving music!

CNN.com: How did we get to this point?

Burnett: In the northern part of Mali, the Tuareg tribe has always wanted independence. Since Mali became independent from France in 1960, they've staged several rebellions. But the catalyst for what is happening here now is what happened in Libya.

As Moammar Gadhafi was killed and Libya really fell into disarray, his weapons became available. The Tuareg -- many of whom fought for Gadhafi -- seized the weapons and went and fought against the Malian government and declared independence.

In the southern part of Mali, people were really frustrated at the government's inability to do anything about the rebellion, and they felt the government was corrupt and inept. So there was sort of what I understand to be an "accidental" coup. Some of the commanders went in to complain, and the president left. Mali ended up without a government.

Then, the Islamic radicals, who have long sought a bigger presence in that part of Africa, came in and fought the Tuareg. They overpowered them, and the north of Mali is now controlled by Islamists.

There are some Tuareg fighting within northern Mali, and I am aware of camps they operate in the country. But they tell me they don't have the weapons that the Islamic-linked militias have.

Even the prime minister of Mali told me that his army has essentially no weapons to fight, and he needs them from the United States.

Mali Islamists destroy tombs in Timbuktu

CNN.com: Who are these radicals, and where did they come from?

Burnett: People refer to them as al Qaeda, but they're also referred to by the names of their militias, such as Ganda Koy or Ansar Dine. Some are religiously motivated, and some are opportunists: They want control and money but aren't driven by religious beliefs.

We discovered that they're coming to northern Africa from several places: specifically, Libya, Algeria, Afghanistan. And there is one major radical militia (Ansar Dine) that is also Tuareg. The leader of that group is a Malian Tuareg who spent time in Saudi Arabia.

CNN.com: A large majority of Malians are Muslim. How do they differ with the radicals?

Burnett: The brand of Islam is different, so there's not a receptiveness to some of the more dramatic and restrictive parts of what the Islamic radicals want to do: for example, the full covering of the women, and women and men being separated. When I called the military leader of the main extremist group linked to al Qaeda, the leader would not talk to me because I was a woman.

There's no question that the local population does not want this. But still, some people buy in and go along with it.

CNN.com: How serious is the outside threat posed by these extremists?

Burnett: I asked some Tuareg fighters what these Islamists say about America. They said that the Islamists tell people that Americans are like animals and like dogs.

Some of that is the kind of propaganda that you expect to hear from al Qaeda-linked groups at this point. And saying these things is very different than saying someone's going to be planning an attack on the United States.

But their leaders have said their intention would be to use this as a base. Tuareg rebels were adamant in telling me that the radicals plan attacks on the U.S. and Europe. One expert who is concerned about the risk highlighted to me that 10% of the population of France has links to northern Africa. The question is, at what point will the extremists be at a level of organization and stability to do this?

CNN.com: How many refugees are there, and how are they faring?

Burnett: There are about 250,000 of them, according to the U.N., and the number is growing. Those are people who have left the country. There is also another 175,000 people internally displaced within Mali, according to humanitarian groups.

It's a very serious humanitarian problem.

The World Food Program told me that they only have food for one more month in July. We saw people who are hungry. And there are diseases as well because of the conditions in the camps. What's it going to be like if the food runs out?

CNN.com: How has the U.S. responded to this point, and how might they respond in the future?

Burnett: On the humanitarian side, the U.S. is the biggest donor to the efforts here.

The CIA headquarters for Africa is reportedly based in Ouagadougou, Burkina Faso, and U.S. government sources told me the Islamic radicals tried and failed to shoot down a U.S. surveillance drone over Mali. But the president of Burkina Faso told me that if the U.S. is operating drones from his country, that's not in the deal he has with the U.S., and he'd demand a new agreement.

So the situation is ambiguous. And it's also bad timing politically for President Obama.

This week at a fundraiser, Obama said he has al Qaeda "on the run." That's been the administration's message for the past year. Defense Secretary Leon Panetta has said it; CIA Director Gen. David Petraeus has said it.

As al Qaeda and its offshoots grow in northern Mali, that message may sound off.

And I think it's important to mention something we experienced: that the "state" borders are meaningless. The Islamists are also spilling over the border into neighboring countries, such as Burkina Faso. We went to that border, and the villagers were terrified of the Islamists, as they found out that one of the leaders was nearby that day.

This leads to another question that matters to the U.S.: Could these radical groups destabilize other governments in the region? It remains to be seen.

@highlight

Al Qaeda-linked militia groups have taken control of northern Mali in Africa

@highlight

There are fears that the region could soon become a terrorist hot spot

@highlight

Malians flee the country because of the Islamists

@highlight

Erin Burnett: If the world doesn't pay attention now, it could become really terrible