(CNN) -- Not surprisingly, the Munich Security Conference last weekend saw heated debates on Ukraine and its current political crisis. Yet while government and opposition representatives faced off with their well-known positions, the real news was an apparent change of minds among Western leaders.

Thus, European Union Commissioner Stefan Fule stated that "if we are serious about helping this part of Europe to transform, the association agreement is only the first step," admitting in effect that only the EU's "most powerful instrument", membership, will help in the long-term.

EU foreign policy chief Catherine Ashton added that Europe and the U.S. are "developing a plan -- a Ukrainian Plan", whose numbers "won't be small", to provide urgently needed short-term funding to Ukraine's battered economy. And U.S Secretary of State John Kerry stressed that "nowhere is the fight for a democratic, European future more important today than in Ukraine". Taken together, the three statements may signal a major shift in Western policy vis-a-vis Ukraine.

This much-needed reset comes after months of inaction by both Europe and the U.S. When back in November, Ukrainians rose against their government's decision to abandon closer ties with the EU, senior European leaders were quick to arrive in Kiev to show their solidarity with the protesters.

The enthusiastic response that met them at the EuroMaidan, however, faded quickly when European concerns remained lip-service. The U.S. acted even more half-heartedly when its Secretary of State avoided a possible visit to Kiev, sending a deputy instead to hand out buns to freezing democrats.

Western indecision clearly played its role in aggravating the political crisis in Ukraine, as it emboldened the government of Victor Yanukovych while driving protesters to despair. As a result, the former essentially attempted to legalize dictatorial rule and, when this prompted further demonstrations, resorted to violence by riot police.

The latter, in turn, have only become more resolved but find it increasingly hard to retain unity, moderation and non-violence. Within a few weeks, this has brought Ukraine to the brink of civil war, and any further escalation will have unforeseeable consequences not just for Ukraine but for the entire region and Europe itself.

This must have finally dawned on Western leaders.

Immediate truce

However, the measures indicated by Fule, Ashton and Kerry are neither enough nor even the most pressing ones. As a first step, Europe and the U.S. must make sure of an end to violence and demand an immediate truce among all conflicting parties.

This suspension of open conflict must also involve restraint on part of the Kremlin, Yanukovych's main sponsor, who should be reminded that covert operations by Russian operatives or threats of a military intervention are as disruptive and unacceptable as Moscow's economic stranglehold on Ukraine.

Secondly, a long-term monitoring mission of the Organization for Security and Cooperation in Europe, of which Ukraine and Russia, all EU countries and the U.S. are members, must be installed swiftly.

The mandate of this mission should be the observation of the ceasefire, ongoing EuroMaidan protests, police actions and possible provocations, enquiries into recent violence, deaths and disappearances, and regular reporting on findings to the international community.

Thirdly, the West should impress upon all sides involved that only a genuine national dialogue can pave the way for a political solution of the crisis. Such a roundtable must include President Yanukovych personally and key opposition figures, the leaders of the EuroMaidan and Ukraine's oligarchs, as well as representatives of churches, civil society, media and the country's diverse regions. The EU may volunteer a senior leader to facilitate this dialogue.

In an accompanying measure, fourthly, the EU and the U.S. should prepare a credible set of sanctions against anyone that hinders the truce, international monitoring, or national dialogue. Any obstructions of this process, whether by government representatives, law enforcement officials, oligarchs, provocateurs or radical protesters, need to be systematically recorded and answered with visa bans, asset freezes, embargoes against businesses, and criminal persecution.

Once these immediate steps have been taken, and hopefully prevented Ukraine from further sinking into civic strife, the West must provide Ukraine with a long-term perspective of development and assistance. Along with Commissioner Fule's recognition last weekend, the EU must give Ukraine a clear prospect of membership, dependent only on the country's commitment to democracy, rule of law, and market economy.

'Ukrainian Plan'

In order for necessary reforms to start and succeed, the EU and the U.S. have to swiftly roll out a "Ukrainian Plan", as alluded to by Baroness Ashton. A comprehensive aid package must combine emergency funding to prevent an impending default of Ukraine, compensations for a likely economic retaliation by Russia, and assistance for broader market reforms.

Both these ingredients have long been missing from Western offers to Ukraine, and it is partly for this reason that the country's government turned its back on Europe. By adding them now, the EU and U.S. would substantially improve their proposal.

This should make it much easier for Ukraine's elites and society to agree on a democratic and European future for their country. Such a consensus would go a long way towards ending the current conflict. For this, however, Ukraine needs the West to act swiftly and decisively.

Read more: John Kerry -- U.S., EU stand with Ukraine's people

Read more: Stop the ultimatums, Russia tells Ukraine protesters

Read more: Activist's torture claim puts harsh spotlight on embattled Ukraine

Read more: Frum -- beware Russia's power play in Ukraine

The views expressed in this commentary are solely those of Joerg Forbrig.

@highlight

There have been protests in Ukraine since Kiev rejected an EU trade deal last November

@highlight

The unrest was the subject of debate at the Munich Security Conference last weekend

@highlight

Joerg Forbrig says EU and U.S. comments there signify a change in Western policy

@highlight

A "Ukrainian Plan" must include emergency aid and assistance for broader reforms, he says