Washington (CNN) -- Was the sound of Malaysian Airlines Flight MH370 striking the water captured by ocean devices used to listen for signs of nuclear blasts?

It's a long shot, but an Australian university is studying records from underwater listening devices in an effort to help find the missing plane.

"One signal has been detected on several receivers that could be related to the crash," said Alec Duncan of Curtin University's Centre for Marine Science and Technology (CMST).

Researchers are studying a very low frequency sound to see if it was "the impact of the aircraft on the water or the implosion of parts of the aircraft as it sank," Duncan said.

"But (the source of the noise) is just as likely to be a natural event," he said.

Low frequency signals can travel thousands of kilometers through water under favorable circumstances, Duncan said.

But "at the moment (the sound) appears to be inconsistent with other data about the aircraft position," he said.

Martin Dolan, the Chief Commissioner with the Australian Transport Safety Bureau (ATSB), the organization leading the search into MH370 at the request of Malaysia, agreed with DuncanÂ¹s analysis of the sound.

"We think that those detections may have been interesting from the point of view of the direction they came, but other characteristics make it unlikely that they are associated with MH370," he said. The ATSB first referenced these signals in a document posted on its website on Monday.

The research is continuing, Duncan said, and investigators may release additional information about their findings in the coming days.

As was the case with the Inmarsat satellite -- a communications satellite whose data was analyzed by Malaysia Airlines MH370 investigators as a navigational aide -- this study involves the use of technology for a purpose that it was not originally intended for.

One of the devices, operated by Curtin University and located some 20 kilometers off Perth, is designed to listen to whales and other marine life.

The other is for signs of underwater nuclear explosions, one of 11 operated worldwide by the U.N.-chartered Comprehensive Test Ban Treaty Organization (CTBTO) as part of the International Monitoring System.

Search area 'can now be discounted'

Gleaning the data

Early in the search for Malaysia Flight 370, the United Nations reported it had not detected any explosions or plane crashes on land or water from its sensors around the globe.

But the recent efforts involve pairing CTBTO data with other sources to see what can be gleaned, officials said.

"One can always be hopeful," said Mark Prior, a seismic acoustic analyst with the CTBTO.

The CTBTO's hydro-acoustic stations detect low frequency sound in the 0-100 Hz range, and can't detect black box "pings" in the 30-40 kHz range, officials said.

"It's possible (to detect a plane crash), but the circumstances that would allow it would have to be very particular," said Prior.

Prior said some of those circumstances might include a sloping sea bed. Another possible scenario: the origin of the sound would need to be near the listening device.

The CTBTO's system near Cape Leeuwin, the southwestern-most point of Australia, regularly captures signals of ice breaking noise from Antarctica and seismic activity from Indonesia, he said.

"There are other scenarios that would allow (the hydrophones to detect a crash). But it's not certain if there was an impact we would detect it," Prior said.

Attempts were made following the 2009 crash of Air France 447 in the southern Atlantic Ocean to see if underwater listening devices had detected the plane's impact. No data could be found.

Years later, after the plane was located, CTBTO again checked its data, and still was not able to identify signals related to the crash.

On Friday, Beijing put pressure on Malaysia to start a new search, Chinese state news agency Xinhua reported.

"We expect Malaysia to take the leading and coordinating role, come up with a new search plan for the jet at an early date, and take the investigation seriously," Premier Li Keqiang told Malaysian Prime Minister Najib Razak, who was on a diplomatic visit.

The largest contingency of passengers on board MH 370 were from China.

@highlight

An Australian university is studying underwater listening devices to help find the jet

@highlight

Early in the search, the U.N. said it had not detected any explosions or crashes from its sensors

@highlight

"It's not certain if there was an impact we would detect it," says seismic acoustic analyst

@highlight

An re-examination of data relating to Air France 447 could not detect crash signals from under water