Washington (CNN) -- Cyberattacks pose more of a threat to the United States than a land-based attack by a terrorist group, while North Korea's development of a nuclear weapons program poses a "serious threat," the director of national intelligence told Congress on Tuesday.

The warning by Director of National Intelligence James Clapper came in his annual report to Congress on the threats facing the United States.

"Attacks, which might involve cyber and financial weapons, can be deniable and unattributable," Clapper said in prepared remarks before the Senate Select Committee on Intelligence. "Destruction can be invisible, latent and progressive."

The Internet is increasingly being used as a tool both by nations and terror groups to achieve their objectives, according to Clapper's report.

However, there is only a "remote chance" of a major cyberattack on the United States that would cause widespread disruptions, such as regional power outages, the report says. Most countries or groups don't have the capacity to pull it off.

While Clapper emphasized possible cyberthreats, committee members raised questions about the potential nuclear dangers posed by North Korea and Iran, the increasing prevalence of al Qaeda in Syria and the effect of cuts to the U.S. budget on intelligence activities.

President Obama cracks whip on cybercrime

'Belligerent rhetoric'

Angered by U.N. Security Council sanctions over its nuclear test, North Korea threatened for the first time to launch a pre-emptive nuclear strike against the United States and South Korea.

Even by North Korean standards, the threat of a nuclear strike and the scrapping of a 1953 truce that effectively ended the Korean War have been incredibly provocative, Clapper said.

"The rhetoric, while it is propaganda laced, is also an indicator of their attitude and perhaps their intent," he said, adding he was concerned what, if any, provocative action North Korea would take against its southern neighbor.

Sen. Angus King, I-Maine, quizzed Clapper about what, if any, deterrence, works with North Korea and Iran, who have been slapped with numerous U.N. Security Council sanctions over the development of a nuclear program.

"Mutually assured destruction? Are they responsive to that kind of rational thinking that has guided U.S. policy for 50 years? Are these countries like the (former) Soviet Union, that we can have some confidence that they're gonna make a rational decision knowing that if they do something crazy they are going to be wiped out?" King asked.

Clapper told the committee he believed that both North Korea and Iran understand that.

North Korea, for whatever reason, believes the United States would use a nuclear weapon against it, Clapper said.

"They certainly respect the capability for our military," he said.

"They've gone to school on what we've done starting with Desert Storm. I know that for a fact. So I think deterrence in this broadest context does work and does have impact on decision-making calculus of those these two countries."

Opinion: Have the courage to deal with cyber war

Al Qaeda's influence in Syria

Clapper also warned the committee that Syria's chemical weapons program has the potential to inflict mass causalities.

"It adds to our concern that the increasingly beleaguered regime, having found its escalation of violence through conventional means inadequate, might be prepared to use the chemical weapons against the Syrian people," he said.

He said the obvious question is how long embattled Syrian President Bashar al-Assad can hang on to power. Syria has been mired in a civil war for more than two years.

"And our standard answer is his days are numbered. We just don't know the number," he told the committee.

"I think our assessment is, he is very committed to hanging in there and sustaining control of the regime."

Perhaps the bigger concern is the rising influence and strength of the al-Nusra Front, an "al Qaeda in Iraq" offshoot, among the Syrian rebels, he said.

The potential of the core of al Qaeda to "launch a coordinated, massive attack" against the United States, according to Clapper, has diminished, while the global jihadist movement is more decentralized and, therefore, more of a threat.

"Lone wolves, domestic extremists and jihadist-inspired groups remain determined to attack Western interests as they've done most recently in Libya and Algeria."

The threat assessment describes an environment where jihadist terrorists are increasingly decentralized, creating challenges for the prevention of attacks.

Al Qaeda vs. jihadist groups

Many of these groups have gained a foothold in the Arab Spring countries, where a spike in threats to U.S. interests has been recorded, the threat assessment report said.

"The dispersed and decentralized nature of the terrorist networks (that are) active in the region highlights that the threat to U.S. and Western interests overseas is more likely to be unpredictable," it states.

It cites the Benghazi, Libya, attack that killed four Americans, and an attack on an Algerian oil field as examples of how splinter groups or individuals with jihadist sympathies can act, even without direction from higher in the terrorist chain, Clapper told the committee.

Iran: Haven or prison for al Qaeda?

'Cyberespionage and cyberattacks'

For the first time, the emphasis of Clapper's report was on cyberthreats, in the form of cyberattacks or cyberespionage.

Already, foreign intelligence and security services have "penetrated numerous computer networks" in the United States belonging to the government and private sector alike, the report says.

Although classified networks have been targeted, the majority of these attacks have involved unclassified networks, it states.

The United States has enjoyed a technological edge over other nations, but advances in information technology and business practices are evening the playing field, according to the report.

"This is almost certainly allowing our adversaries to close the technological gap between our respective militaries, slowly neutralizing one of our key advantages in the international arena," it said.

However, there is only a "remote chance" of a major cyberattack on the United State that would cause widespread disruptions, such as regional power outages, the report says. Most countries or groups don't have the capacity to pull it off.

The report names China and Russia as two of the most "advanced cyber actors," but says they are unlikely to launch an attack.

Obama administration takes on hackers stealing trade secrets

CNN's Pam Benson reported from Washington; Chelsea Carter and Mariano Castillo reported and wrote from Atlanta.

@highlight

Director of national intelligence gave a report to Congress

@highlight

Clapper says the Internet is increasingly being used as a tool by nations and terror groups

@highlight

North Korea's rhetoric is an "indicator of their attitude'' and ''intent,'' the director says