(CNN) -- His song is one of the enduring anthems of the turbulent 1960s, a soulful call to action awash in a psychedelic wave of sound.

It has appeared in more than 100 movies and TV shows, even a multimillion-seller video game, and has been covered by artists from Sheryl Crow to Joan Jett to The Ramones.

So, decades later, what does Lester Chambers have to show for "Time Has Come Today"?

So little that, early this year, the 72-year-old found himself posting a photo online. In it, he held a poster declaring that he was living on Social Security and charity, having gone nearly 30 years before seeing his first, paltry royalty check.

The poster was taped to one of his gold records.

"It's been a long journey," said Chambers, who said he never blew his money on drugs or booze like so many artists before and after. "I have not understood what happened yet and how it happened."

But now, through a series of events only possible in the digital age, he's getting a chance to start again -- this time making and selling music on his own terms.

"We've got a lawyer now," Chambers said. "It's called the computer."

"Time Has Come Today" was a pop hit for The Chambers Brothers, spending five weeks on the Billboard Hot 100 chart in 1968 and peaking at No. 11. The group, which shared the stage with the likes of Jimi Hendrix, Janis Joplin and The Doors, would fail to match its success again .

But it became emblematic of the political and social upheaval of the late '60s and would be used for decades to invoke the spirit of that era. As recently as last year, it was used in a pivotal scene in "Homefront," a military-style video game that has sold somewhere around 3 million copies.

Chambers said the entire group got about $4,000 for its use in that game.

"If they did that with one of the major groups, mainly one from England and you know who they are, they would have gotten $150-200,000 for that," he said. "We never got taken care of at all."

It's a story of bad contracts -- and record company executives refusing to even honor those, he said. The contract for "Time Has Come Today" promised a small percentage of sales, but the record company kept finding expenses that came out of the band's share before they saw any of it.

Other albums were produced but never released, he said, although the "expenses" for them kept racking up. To this day, he's not sure how some of those albums are available for sale online or who's getting the money for them.

That all led Chambers, with the help of his son, Dylan, to post the Web photo as part of the "I Am the 99 Percent" movement.

"People were all riled up about the '1%' screwing over the little man," said Dylan Chambers, who has lived with his parents and helped support them through the lean years. "Dad wrote that piece of paper and I taped it to his gold record.

"We woke up the next morning and it had 200 shares and 10,000 'likes' on Facebook. Dad had 500 new friend requests."

Chambers didn't identify himself in the photo. But it had picked up steam on social-news site Reddit and it didn't take long for members of the site's popular music community to figure it out.

That's where Alexis Ohanian, the co-founder of Reddit, came in.

He was fresh off of helping lead the Web's successful fight against the Stop Online Piracy Act, legislation supporters said would crack down on Internet piracy but that many in the Web community felt would stifle free speech and creativity.

"One of the few narratives the entertainment industry kept trying to push was that they were really pushing for this on behalf of the artists," Ohanian said.

Chambers' story, he said, showed how that business really treats its own sometimes. Furthermore, he said, it was personal.

"I was raised right by my dad -- the Stones, Dylan, Janis, Hendrix ... . I had no idea, and my dad had no idea of the fate of Lester Chambers," said Ohanian, 29.

View the Kickstarter project: "Lester's Time Has Come Today"

He wasn't the first person to reach out to Lester and his family. But they say many of the offers they'd gotten sounded just as dodgy as ones from the days Lester said his band would play concerts for 1/10th of what other acts were getting.

"Sure, you'd get five or six snakes out of the grass saying ... I want to book you a gig or something," said Dylan Chambers. "But I was familiar with Reddit and checked out who Alexis was. He said, 'I want to do this project with you guys, and I want this to blow up.' "

Ohanian helped Chambers host an AMA ("Ask Me Anything") on Reddit and create a project on crowd-funding site Kickstarter to pay for his first new album in decades.

With 16 days to go, "Lester's Time Has Come Today" had raised $37,000 of its $39,000 goal on Monday. If successful, that cash will pay for rehearsal, production and musicians. This time, Chambers will retain the rights to the songs he records.

"It's very, very different -- much cleaner," said Chambers, who has continued to perform live through the years. "You don't have to sit and hear somebody (with a record company) tell you their little stories.

"There are so many of us who never got anything out of being a musician. I'm just so blessed to have this opportunity to come back into the music world and put my feelings and lyrics and music out."

He's already gone into the studio to record a pair of Christmas songs, which were sent digitally to Kickstarter backers. (To listen, click the audio links to the left of this story.)

To Ohanian, it all shows the promise of what the Internet could, and should, be.

"It fills me with so much hope and optimism ... ," he said. "That's why you saw millions of people fighting for this."

The man who sang that his "soul's been psychedelicized" puts it differently.

"You can get on the Internet with all your creative processes and thought processes and it will take you to higher places than you could ever dream," Chambers said. "A whole lot of people are going to be able to come out of the dark and into the light and the mountains that were so high will be easy to climb."

@highlight

"Time Has Come Today" singer getting second chance online

@highlight

Lester Chambers hit hard times despite his song's popularity

@highlight

Reddit co-founder Alexis Ohanian is helping with a Kickstarter campaign

@highlight

Campaign will fund a new album; Chambers will have the rights