Port-au-Prince, Haiti (CNN) -- Secretary of State Hillary Clinton presented a united stance with Haitian President Rene Preval during her visit Saturday to the quake-battered capital.

Clinton, the highest-ranking U.S. official to visit the country since Tuesday's 7.0-magnitude quake, sought to assure the Haitian people that the United States is working with the government "to assist in every way we can."

"We are here at the invitation of your government to help you," she said. "As President Obama has said, we will be here today, tomorrow and for the time ahead."

Clinton said she and Preval will issue a joint communique Sunday "setting forth our intention to cooperate together."

Clinton arrived in Haiti via a U.S. Coast Guard plane Saturday afternoon and immediately went into meetings with Preval, Rajiv Shah, the director of the U.S. Agency for International Development, and other U.S. officials already on the ground.

Get the latest developments in Haiti

"We had a very good meeting about all of the priorities of the Haitian government and the Haitian people," Clinton said after a brief news conference following the meetings.

She said air efforts are focused on providing water, food and medical help. She also stressed the importance of restoring the country's communications networks, electricity and transportation.

"We agreed that we will be coordinating closely together to achieve these goals."

In an interview with CNN's Chief Medical Correspondent Sanjay Gupta, Clinton said "every day we are making progress and I expect that to continue."

In addition to the immediate needs, Clinton said the focus will switch next week to long-term recovery and reconstruction, telling Gupta she believed that Haiti, with the help of the international community, could be a better place than it was before Tuesday's quake.

The U.S. Coast Guard plane she arrived on was carrying 100 cases of water, 100 cases of meals-ready-to-eat, and food and toiletries for about 140 U.S. Embassy staff members. Fifty Americans, who have been waiting to be evacuated, will fly back to the United States when Clinton departs.

Clinton landed hours after President Obama announced Saturday that former Presidents Clinton and George W. Bush have agreed to lead an effort to raise funds for Haiti.

Frustrations continued to mount in the earthquake-pummeled country as survivors remained in dire need of food, water and medical aid.

One medical official warned that a third of the patients at a makeshift hospital -- one of many being erected in open fields, abandoned stadiums and empty warehouses around the capital -- were in need of immediate surgery, and could die without it.

"They will die of infections, they'll die of dead tissue, they'll die of malnutrition and metabolic derangements," Dr. Jennifer Furin with the Harvard Medical School said of the roughly 300 patients at the hospital on a U.N. compound near Port-au-Prince's airport.

Elsewhere, a food drop by U.S. helicopters in Port-au-Prince became a chaotic scene as hundreds of Haitians without food and water for four days rushed the boxes of aid being shoved out of the open doors. A similar scene erupted Friday when a food convoy with the World Food Programme was forced to leave an area after men in the crowd starting pushing and shoving their way to the trucks.

Impact Your World

Amid the chaos, there were signs of progress: more aid distribution sites and hospitals, a system for identifying the dead and even more survivors rescued from the ruins of buildings.

U.S. troops handed out about 2,500 meals in Petionville on Saturday and 14 aid distribution points had been established.

The Israel Defense Forces began operating a field hospital at an abandoned soccer field, and the U.S. Naval Hospital Ship Comfort, staffed by a crew of 64 and 560 hospital personnel, left the Baltimore Harbor on a trip that will take about five days.

Increasingly, Haitians were seen helping Haitians. One local church was able to scrounge up some potato chips, bottled water and juice to hand out. Local authorities were seen setting up a makeshift clinic on a street corner in Port-au-Prince with one doctor and a couple of tables and folding chairs.

U.N. Assistant Secretary-General for Peacekeeping Edmond Mulet said common grave sites were being created for the thousands of victims, calling mass graves discovered by CNN crews Friday "not very dignified." He said the dead will be photographed in hopes of providing identification for families.

While there has not been an official count of the dead, Mulet said the number of casualties in the capital, which has a population of 3 million, ranges from 100,000 to 150,000. He said Friday 13,000 bodies had been recovered so far. The State Department has put the American death toll at 15 so far.

U.S. officials said search and rescue operations will continue through the weekend. As of Saturday afternoon, 22 people had been rescued since Tuesday from collapsed buildings by U.S. urban search and rescue teams.

At least one man was pulled from the rubble on Saturday and other crews were working to reach others. Tapping noises were heard at a collapsed day-care center, but later stopped. One trapped person apparently was sending text messages from beneath a collapsed bank.

Meanwhile, the Port-au-Prince airport remained overwhelmed by the influx of air traffic bringing in supplies and efforts continued to clear the roads.

U.N. Secretary-General Ban Ki-moon, who confirmed Saturday the deaths of the top two civilian officials at Haiti's U.N. mission, was to arrive in the capital Sunday.

On Friday, the United Nations said that at least 37 U.N. personnel have died -- 36 with the U.N. mission and one with the World Food Programme. The number of unaccounted for U.N. people exceeded 300. There are 12,000 people working for U.N. entities in Haiti.

CNN's Anderson Cooper, Ivan Watson, Arthur Brice, Elise Labott, Richard Roth, Chris Lawrence and Steve Kastenbaum contributed to this report.

@highlight

NEW: Clinton says global aid can help Haiti become better place than it was before quake

@highlight

NEW: Medical official warns that a third of patients in makeshift hospital may die without surgery

@highlight

NEW: Amid chaos, signs of progress, including aid distribution sites, hospitals

@highlight

Ex-Presidents Clinton and George W. Bush to lead fundraising effort for Haiti