Amman, Jordan (CNN) -- In Jordan and Lebanon, women married to foreigners are taking to the streets to fight for their children's citizenship rights.

In both countries, women who marry non-nationals are unable to confer nationality on their child or spouse, rendering their families foreigners in the eyes of the law, and denying them rights and access to key public services. In contrast, men from those countries who marry foreigners face no such obstacles.

The same situation applied throughout most Arab countries until 2004, when -- following years of campaigning by women's groups -- Egypt changed its laws. In the subsequent years, reforms followed in Algeria, Morocco, Tunisia, Yemen, Libya, the Palestinian territories, the United Arab Emirates and Bahrain.

But in Amman and Beirut, change is slow in coming. Nima Habashna, a 53-year-old Jordanian, has been campaigning for five years for citizenship to be granted to her children.

She began her campaign online through a blog called "My mother is Jordanian and her nationality is my right," and last year took her activism to the streets.

"I am a citizen of this country, I pay taxes and it's my right to be treated the same way a Jordanian man is treated," she said.

"If we were in any other part of the world where democracy exists, we wouldn't have had to go through this to demand a basic right."

Habashna has six children with a Moroccan man she married in Jordan in 1974. Since he left six years ago, the children have been in a state of limbo.

Four have no passports, effectively rendering them stateless. The family must pay for public healthcare and education, freely available to their peers, because the children are not considered Jordanian.

Read also: Saudi women slam dunk sports taboo

Habashna's 17-year-old daughter, Rola Habashna, says she is treated differently at school over the nationality issue, even though she was born and bred in the country.

"Even if I don't have a Jordanian passport or citizenship, I consider myself Jordanian," she said. "I was born here, raised here and live my life like any other Jordanian."

An estimated 40,000 Jordanian women and children are affected by the country's citizenship laws, according to government-funded think tank, the King Hussein Foundation. Among them is Salwa Al Arabi, the Jordanian wife of a Pakistani, who joined the protests after her three children repeatedly encountered problems over their nationality.

She said it was unfair for the law to discriminate against people for whom they fall in love with.

"What can I do? I found him and I loved him, and it's destiny," she said. "Why can't we be like Egypt or Dubai ... they gave (the children) citizenship."

Habashna agreed: "People say that the problem is with us marrying non-Jordanians, but it's not that. The problem remains in the laws."

In Lebanon, where the same issue exists, women's rights campaigners marched in the streets earlier this month to call for law reform. Lina Abou Habib, a Beirut-based activist who has campaigned on the issue throughout the region since 2002, estimated 15,000 people in Lebanon were affected by the nationality laws.

A year ago, campaigners handed a draft law to Lebanese Prime Minister Najib Mikati, and in March the issue was addressed by Cabinet for the first time, with a ministerial committee formed.

But the committee has yet to meet and Abou Habib believes no action will be forthcoming any time soon.

She said the reasons given by politicians to maintain the status quo -- including that doing so would upset Lebanon's fragile demographic balance between the major faith groups -- does not hold water.

"The same politicians are asking for Lebanese nationality to be given to Lebanese immigrants, and we know this will actually benefit one particular confessional group over the others," she said.

Read also: Tire burning - from symbol of Lebanese conflict to sign of peace

Another common justification is that changing the rules would encourage an influx of Palestinian refugees, and undermine the right of the estimated 400,000 Palestinians already living in Lebanon to return.

"We are talking about equal rights for Lebanese women and men," said Abou Habib. "There is no link between this and undermining the Palestinian cause. The real reason is our political system ... is incredibly patriarchal."

Jordan's government takes a similar position, saying a large influx of refugees from the Palestinian territories, Iraq and Syria makes the issue a political problem.

Nadia Hashem, Jordan's women's affairs minister, told CNN she was pursuing the issue. "I sympathize with them quite a lot. I want to find a solution for these people," she said. "This business of falling in love business is a troublesome area."

But Habashna does not accept the ministry's explanations for her predicament, and says she will continue her "battle" until the laws are changed.

"There are a lot of given excuses," she said. "But the real deal is that it's ... discrimination against women."

Follow the Inside the Middle East team on Twitter: Presenter Rima Maktabi: @rimamaktabi, producer Jon Jensen: @jonjensen, producer Schams Elwazer: @SchamsCNN and writer Tim Hume: @tim_hume and digital producer @mairicnn

@highlight

In Jordan and Lebanon, the children of women married to foreigners are denied citizenship

@highlight

By contrast, men from those countries can confer their nationality on their families

@highlight

Neighboring countries have reformed similar laws over the past decade

@highlight

Politicians say changing the laws will create issues with refugee populations