Washington (CNN) -- House Speaker John Boehner said President Barack Obama could get "burned" if he uses executive action to help undocumented immigrants.

There are a good number of immigration activists who feel burned that he hasn't done it already.

While they were pleased to hear Obama renew his vow Wednesday that despite Republicans' takeover of the Senate he still intends to use his executive authority to help fix the nation's broken immigration system, the message from immigrants' rights groups to the White House remains the same: They'll believe it when they see it.

Advocates of immigration reform want the president to provide deportation relief to millions of undocumented immigrants since Congress has so far failed to pass a comprehensive overhaul of immigration laws. It is hard to believe that a new Republican Senate and emboldened Republican majority in the House are likely to pass a bill that would pass muster with immigration activists.

That leaves Obama and his promised executive action as immigration activists' only hope. They hope he'll keep his word.

After promising on June 30 to announce the so-called executive actions he would take by summer's end, the White House delayed the move until after the mid-term election. Activists say they are tired of waiting and are planning a series of rallies, marches, conferences and other events to urge the president not to allow politics to delay action.

"Details matter and promises have been made before," said Cristina Jimenez, managing director for immigrants' rights group United We Dream. "Our campaign to protect our communities will continue until the policy is changed in a way that includes our parents, families and neighbors."

At risk is not just the president's standing with the Latino community. Activists say this is an issue for all Democrats -- including potential 2016 candidates -- who some believe have taken Latino voters for granted. In a November poll by Latino Decisions, two-thirds of Latino voters said immigration was either the most important or one of the most important issues driving their vote this year and 60 percent of Latino registered voters who were not planning to vote said the delay in executive action made them less enthusiastic about the president and the Democratic Party. An October survey by Pew Research found that 55 percent of Latino registered voters disapproved of the way the Obama administration has handled the issue of deportations.

"The president's legacy is at stake," said Marielena Hincapie, executive director of the National Immigration Law Center.

Hispanic members of Congress who support reform point to the 2 million people deported during the Obama administration as they make their case for swift, expansive action. The president -- who has frequently been called the "Deporter in Chief" by immigrant groups -- used a Congressional Hispanic Caucus gala in September to repeat his promise to act before year's end. He again reiterated that promise at a post election press conference on Wednesday, just moments after incoming Senate Majority Leader Mitch McConnell warned that doing so would poison the well with the new Republican controlled Congress.

Still, some advocates are skeptical.

"There is nothing until there is something," said Marisa Franco, the lead organizer of the National Day Labor Organizing Network's (NDLON) #Not1More campaign against deportations. "We're not going to stop the pressure until we see the president follow through."

And at least one former top Obama adviser urged the President to hold off on executive action in exchange for an up or down vote in the House.

"POTUS should agree to shelve exec order for up or down vote in House," Axelrod said on Twitter on Thursday.

Immigrant groups say "go big"

Several advocates who have been part of discussions with the administration, believe the president will use the Deferred Action for Childhood Arrivals (DACA) program he announced in 2012 as a model for future action. DACA allows immigrants brought here illegally as children to stay without fear of deportation and apply for work permits if they meet certain criteria.

The president could expand this relief to potentially millions more people. Many supporters want the president to "go big" with a move that would include everyone who would have been allowed to stay in the United States under the bill the Senate passed in June 2013. That would mean an estimated 6 million to 9 million people could qualify.

"What they actually announce and who they decide to protect is not entirely clear at the moment, but what is clear is that the expectations are high," said Katy Green, a spokesperson for the advocacy group America's Voice.

Advocates taking action

Activists are planning to protest in front of the White House on Friday to drive that point home.

"It's just the beginning," said Gustavo Torres, president of Maryland group CASA in Action and co-chair of the national Fair Immigration Reform Movement (FIRM), at a press conference with other activists on Thursday, adding that more events are planned around Thanksgiving, including a hunger strike.

Immigrant rights groups have been slowly ramping up pressure on the president. The Friday before Election Day, some two dozen United We Dream activists hailing from as far south as Florida and as far north as Massachusetts descended on the intersection opposite the White House.

For half an hour they sat on the pavement amidst a cacophony of honking horns holding giant pictures of loved ones in danger of being deported. Some marched in circles chanting: No Justice, No Peace. Members of the same group interrupted the president repeatedly during a campaign stop in Bridgeport, CT days later -- including one who was wearing a t-shirt that said "Obama Deports Parents" -- and heckled potential presidential candidate-in-waiting Hillary Clinton at a campaign rally in Maryland earlier in the week.

Rep. Luis Gutierrez, D-Illinois, long an outspoken advocate for executive action,has already set up a "Getting Ready for Administrative Action" website with advice to help prepare undocumented immigrants for the president's announcement. It includes suggestions for the types of documentation immigrants can begin gathering to prove they qualify, once a plan is announced.

The Coalition for Humane Immigrant Rights of Los Angeles (CHIRLA) held a rally in Los Angeles Wednesday with community based organizations and labor unions to urge action now that the election is over. The group will host an immigration conference next month.

"Our hope is always that by Thanksgiving, people would sit around the dinner table giving thanks for the administrative relief-- and that by Christmas we will have no more separated families," said CHIRLA's Executive Director Angelica Salas.

NDLON is planning a demonstration next week outside the Department of Homeland Security by people directly affected by deportations.

The groups' plans go beyond pressuring the president. They also want to use rallies as well as Twitter and Facebook to make a case to the American public that bringing the undocumented out of the shadows is good for the economy and say it's also important to deliver that message to Congress, since only lawmakers can find a permanent solution to the broken immigration system.

"The best way to get that legislative outcome is for the president to put a marker down and let the Republicans respond," said Janet MurguÃ­a, the president and CEO of the National Council of La Raza. "If they disagree, let them put their best foot forward on immigration reform and let's see what they will do."

@highlight

Immigrant rights activists say they hope Obama will act despite GOP Senate takeover

@highlight

Obama has said he plans to issue an executive order on immigration

@highlight

Advocates will protest at the White House Friday