WASHINGTON (CNN) -- A convicted rapist seeking to prove his innocence with a new DNA test lost his appeal Thursday at the Supreme Court.

The U.S. Supreme Court case involved a crime in which post-conviction DNA testing was available.

The justices ruled 5-4 that inmates cannot use a federal civil rights law to press for advanced DNA testing that was unavailable at the time of the crime.

Forty-four states and the federal government have laws allowing post-conviction access to biological evidence for such testing, but that number does not include Alaska, where William Osborne was sentenced 15 years ago for a vicious attack on an Anchorage woman.

"He has no constitutional right to obtain post-conviction access to the state's evidence for DNA testing," Chief Justice John Roberts wrote for the majority. He was supported by his conservative colleagues Justices Antonin Scalia, Anthony Kennedy, Clarence Thomas and Samuel Alito.

In dissent, Justice John Paul Stevens said, "There is no reason to deny access to the evidence and there are many reasons to provide it, not the least of which is a fundamental concern in ensuring that justice has been done in this case." Justices David Souter, Ruth Bader Ginsburg and Stephen Breyer backed his conclusions.

Osborne's trial attorney in Anchorage made a strategic decision 16 years ago to forgo more sophisticated DNA testing of the evidence in the criminal assault case, believing it might end up working against her client. Several years later, the Alaska inmate sought access to the state's biological evidence to have a state-of-the-art DNA test done.

Although the court was ruling on the specific facts of Osborne's case, the implications could be felt across the country. The high court refused calls to provide an automatic constitutional right to post-conviction DNA testing for older crimes in which biological evidence is available for such testing. Some states had feared a flood of frivolous lawsuits clogging the courts from prisoners whose guilt has already been established, a fact Roberts noted in his opinion.

The Innocence Project, representing Osborne, said DNA testing has exonerated 232 wrongly convicted people in the past two decades. That includes 17 men on death row.

Alaska officials told the justices that even if more sophisticated genetic testing did not show the semen and hair at the crime scene matched Osborne, other evidence remains strong enough to uphold the conviction. And they said that since there was no trial error, Osborne should have made his claim of right to access to biological evidence at the trial, not on appeal.

Osborne was found guilty in 1993 of kidnapping and assault. He and a co-defendant were convicted of raping an Anchorage prostitute, then beating her with an ax handle, shooting her in the head, and dumping her in a snowbank near the airport, believing she was dead. The victim survived and identified Osborne from photo lineups. He was sentenced to 26 years behind bars, with five years suspended.

His co-defendant has continued to implicate Osborne, and the 37-year-old prisoner admitted his guilt in a 2004 parole hearing, although he later said he had made the confession only in the hope it would secure his release. He was not granted parole at that time, but was in 2007.

Initial state forensic testing on a condom and hairs found at the crime scene found the DNA consistent with Osborne's genetic profile, but that one in six -- or about 15 percent -- of African-Americans like Osborne might share a similar genetic profile. Osborne's appointed trial counsel declined more sophisticated, independent testing, believing the initial one-in-six ratio represented "very good numbers" to make a case for mistaken identity, according to an affidavit submitted in the high court appeal. The trial lawyer was also worried that further testing could work against Osborne.

A federal appeals court ruled in favor of Osborne, saying Alaska was trying to "foreclose" his possible innocence "by its simple refusal to open the evidence locker."

Osborne's legal team said that under a section of the Civil Rights Act of 1871, he has a right to such evidence in the government's possession when making a "free-standing" claim of innocence.

The high court had never before decided what role DNA can play in post-conviction appeals, despite a variety of testing that has been around for more than two decades.

Roberts noted that states are "actively confronting" how to handle evolving DNA technology and increasing challenges by inmates.

"To suddenly constitutionalize this area would short-circuit what looks to be a prompt and considered legislative response," he wrote. He said having courts take over this issue now would be wrong. "We are reluctant to enlist the federal judiciary in creating a new constitutional code of rules for handling DNA."

The majority found that Alaska's procedures are adequate.

But Souter said the state "has demonstrated a combination of inattentiveness and intransigence in applying those conditions that add up to procedural unfairness that violates the [Constitution's] due process clause."

Within months after Osborne was paroled, he was re-arrested and then convicted of kidnapping and assault in a home invasion in Anchorage. He is awaiting sentencing on those counts.

The Supreme Court case is District Attorney's Office for the Third Judicial District v. Osborne (08-6).

@highlight

Justices: Inmates cannot use federal civil rights law to get advanced DNA testing

@highlight

44 states have laws allowing post-conviction access to such evidence

@highlight

William Osborne was sentenced 15 years ago for raping an Alaska woman