The Annual Report to the Nation on the Status of Cancer shows the U.S. is making progress in controlling some tumors, but rates of human papillomavirus-related cancers remain stubbornly high.

Overall, the report shows lower cancer rates in the U.S. among all genders and racial and ethnic groups for the most common cancers, including lung, colon, anal, breast and prostate. But rates of HPV-related cancers, like cervical cancer, are elevated despite the fact that a vaccine exists to prevent the viral infection that can trigger the disease.

"It's hard not to be happy that the death rates of these major cancers are going down, but I think the HPV issue is pressing. If you can't get individuals to get vaccinated because getting cancer is horrible, then there has to be an economic side to this because treating people with these cancers is expensive," says Dr. Joanne Mortimer, director of the Women's Cancer Program at the City of Hope cancer center in Los Angeles.

"I think the biggest challenge we face is figuring out a way to vaccinate individuals to prevent this."

TIME.com: Study hints at potential increased risk of cancer among 9/11 rescue workers

The Food and Drug Administration approved the first vaccine against a cancer, Gardasil, which protects against the HPV strains that can trigger cervical cancer and genital warts, in 2006.

Shortly after approval, the Centers for Disease Control and Prevention (CDC), which sets immunization guidelines, added the HPV vaccine to its lineup of recommended childhood vaccinations, proposing that girls ages 11 to 12 be immunized against the sexually transmitted HPV before they became sexually active.

State health departments, which follow CDC guidelines, began mandating the shot for school entry, but parents balked. The so-called promiscuity vaccine, as they saw it, would only promote sexual activity and many refused to vaccinate their preteen children for a sexually transmitted disease. (Research shows that's not case.)

In 2010, only 48.7% of girls ages 13 through 17 received at least one dose of the three-dose HPV vaccine (Cervarix joined Gardasil as the second HPV vaccine in 2009), and only 32% received all three recommended doses.

Considering the U.S. government's Healthy People 2020 target is 80% vaccination among girls ages 13 to 15 for all three doses, those immunization rates are lagging. Comparatively, vaccination rates are much higher in Canada, the U.K. and Australia.

The shots are effective at controlling the most common strains responsible for cervical cancer, and public-health officials still see the vaccine as a powerful weapon in keeping rates of this cancer down. Between 2000 and '09, rates of HPV-associated cancers declined in all women except American Indians and Alaska Natives, among whom vaccination rates are lower.

TIME.com: An experimental cervical cancer vaccine shows promise

And the benefits of the anticancer vaccine aren't limited to girls. The same virus that contributes to cervical cancer can also lead to anal and oral cancers, which is why the CDC also recommends the shot for boys ages 11 to 12 years as well.

"It's not unique to certain populations, and HPV infections are now across all demographics, and that is one reason we are seeing more anal cancers," says Dr. Julian Sanchez, a colorectal-cancer surgeon at City of Hope. "It's not a topic that's in the media very often."

That frustrates cancer experts and public-health officials since the HPV-related cancers are among the most preventable, with proper vaccination. But misconceptions about the vaccine and its potential side effects — former presidential hopeful Michele Bachmann erroneously linked HPV to mental retardation — and parental resistance to inoculating young children against a sexually transmitted virus make HPV vaccination a "taboo" topic for many doctors.

But that's a hurdle that health providers have to overcome, say cancer experts, if they want to see the encouraging declines in cancer continue.

"Just as it is hard for some patients to talk about anal disease or their kids having sex, it's equally hard for some providers to talk about it," says Sanchez. "I talk about it every day, and sometimes it is still difficult for me to approach some patients who I know have a degree of opposition to this type of conversation."

TIME.com: Gardasil: No serious health concerns linked with HPV vaccine

The annual report is a collaboration between researchers at the CDC, the American Cancer Society, the National Cancer Institute, and the North American Association of Central Cancer Registries. Since 1998, it has provided a robust picture of the state of cancer in the U.S.

Unlike the case with HPV-related cancers, the report shows that from 2000 to '09, cancer-death rates overall have been declining, dropping by 1.8% per year among men, 1.4% among women and 1.8% among kids up to the age of 14. For both men and women, the declines occurred among some of the most common cancers: lung, prostate, breast, colon and rectum, leukemia, and non-Hodgkin lymphoma.

The cancers with rising death rates included skin, pancreatic and liver cancers for men, while women showed an elevated risk of dying from pancreatic, liver cancer and uterine cancers.

TIME.com: Cancer and foggy thinking: Is chemotherapy really the cause?

The rates of new cancers in the same time period showed a more varied pattern. While men enjoyed an overall 0.6% decrease per year on average of new diagnoses, the rates for women remained stable, while children showed a 0.6% increase per year of new cancer cases.

The decline for men was driven by fewer cases of prostate, lung, rectum, stomach and larynx cancers; women showed some of the same drops, but these were offset by increases in thyroid, melanoma, kidney, pancreas, leukemia, liver and uterine cancers.

"Every time we get these reports we argue about whether the death rate decreases because we find so many of these cancers early and we overtreat certain cancers like breast cancer and prostate cancer," says Mortimer.

Overscreening and overtreating cancers have recently become a controversial public-health topic as new analyses question the extensive and repeated screening for certain cancers, like breast and prostate, in light of their potential complications and costs.

In 2009, the U.S. Preventive Services Task Force changed its recommendations for mammograms, advising women to wait until they are 50 years old, not 40, to begin regular testing. In 2012, the task force also advised men to skip routine screening for prostate cancer with the prostate-specific-antigen test altogether unless they have a history of the disease.

TIME.com: Government panel recommends HPV vaccine for boys

Experts hope that the good and bad news in the report will motivate Americans to remain vigilant about cancer's risk factors, including smoking and too much sun exposure, while taking advantage of ways to protect themselves from tumors, like getting vaccinated against HPV.

"The report does a great job of raising this awareness to the public, showing that we are doing our job. But we still have more to do. Just as in other diseases where vaccination has eradicated some, we can still make strides in this disease as well," says Sanchez.

This story was originally published on TIME.com.

Cancer rates dropping, but not for all tumor types

@highlight

An annual report shows lower cancer rates for the most common cancers

@highlight

A vaccine against HPV strains that can trigger cancer was approved in 2006

@highlight

In 2010, only 32% of girls 13 through 17 received all three vaccine doses

@highlight

Controversy about the vaccine means it can be a taboo topic for doctors