Port-au-Prince, Haiti (CNN) -- Rescue workers struggled to clear rubble and bodies Wednesday from the streets of Haiti's "flattened" capital, where a government official said the death toll from Tuesday's 7.0-magnitude earthquake may exceed 100,000.

Thousands of injured people waited for care outside badly damaged hospitals, while an unknown number remained trapped inside collapsed buildings. Basic services like water and electricity were out, and Haitian President Rene Preval said his government needs help clearing streets so rescuers can reach some of the hardest-hit areas.

"We need medicine. We need medical help in general," Preval told CNN. "Some of the hospitals, they collapsed."

People were digging though the rubble of leveled buildings with their hands Wednesday, looking for survivors or bodies, CNN's Anderson Cooper reported from Port-au-Prince. Other CNN correspondents in Port-au-Prince and its suburbs reported whole blocks of collapsed buildings, with dozens of bodies piled in the streets.

Impact Your World: How you can help

Video images captured just moments after the temblor show dust-covered survivors rushing through the streets, yelling in terror. Others trapped in buildings are seen punching out debris and bricks, and shouting for help and trying to squeeze themselves out through cracks in the structures.

Port-au-Prince "is flattened," said Haiti's consul general to the U.N., Felix Augustin, who said he believed more than 100,000 people were dead.

But Preval said other estimates ranged from 30,000 to 50,000.

"It's too early to give a number," Preval said.

Hear the prime minister describe the situation

The 7.0-magnitude earthquake struck shortly before 5 p.m. Tuesday, centered about 10 miles (15 kilometers) southwest of Port-au-Prince, the U.S. Geological Survey reported. It could be felt strongly in eastern Cuba, more than 200 miles away.

The earthquake's power matched that of several nuclear bombs, said Roger Searle, a professor of geophysics in the Earth Sciences Department at Durham University in England. He said the combination of its magnitude and geographical shallowness made it particularly dangerous.

About 3 million people -- one-third of Haiti's population -- were affected by the quake, the Red Cross said. About 10 million people most likely felt shaking from the earthquake, the U.S. Geological Survey said.

AC360 Blog: Anderson outside Haiti's National Cathedral

As night fell over the island Wednesday, gunshots sounded off in Port-au-Prince. Screams and wails could be heard with each aftershock. Some people who still had homes refused to go inside, fearing collapse. Scores huddled together in parks and sidewalks, trying to get rest.

Though planes carrying aid began arriving Wednesday, humanitarian groups struggled to get the supplies to victims due to the poor roads and debris.

There was no clear system for clearing debris, removing bodies and treating the injured, officials and journalists reported.

"Simply getting through the streets to collect the dead bodies is seemingly an impossible task," CNN's Dr. Sanjay Gupta reported from the capital, where shooting could be heard in the background. "There's hardly any heavy machinery to try and dig through the rubble -- people are doing it by hand.

"The hospitals themselves -- the destination of those patients who might survive -- they're nonexistent or have a terrible infrastructure," Gupta said.

Haiti native and "Heroes" cast member Jimmy Jean-Louis was searching for his elderly parents in Haiti on Wednesday. He said the Haitian government is not up to addressing the overwhelming nature of the disaster.

"Just as an example ... we had one school that collapsed -- one school, and we were unable to take care of that," he said, referring to a November 2008 incident that killed 90 people in Petionville, Haiti. "This year, we have the entire city [of Port-au-Prince] that collapsed, including the major points such as hospitals, hotels and even the presidential palace."

Former President Clinton, the U.N. special envoy to Haiti, appealed to the public to support programs that will provide food, water, shelter and medical supplies to the impoverished country.

"The most important thing you can do is not to send those supplies, but to send cash" to relief agencies, Clinton said.

Governments and agencies across the globe geared up to help, including rescue teams from China, Iceland and France, Haiti's onetime colonial ruler; aid flights and 3 million euros ($4.35 million) from Spain; doctors from Cuba; and a field hospital from Russia.

U.N. Secretary-General Ban Ki-moon said the United Nations plans to release $10 million in aid immediately, while the World Bank pledged another $100 million Wednesday afternoon.

President Obama promised a "swift, coordinated and aggressive" response from the United States.

"The reports and images that we've seen of collapsed hospitals, crumbled homes and men and women carrying their injured neighbors through the streets are truly heart-wrenching," Obama said.

Watch survivors describe what they saw

Clinton also urged international leaders to fulfill their previous donor commitments to Haiti.

"Most countries are way behind on fulfilling it. ... If you can provide any emergency help, if you can give us helicopters or basic medical supplies -- we need that," Clinton said.

The U.S. military is working to get ground and air assessments of the damage, with Coast Guard cutters, airplanes and choppers deploying to the scene, and Navy ships preparing to leave.

Are you there? Submit an iReport

Two Coast Guard crews of C-130 Hercules fixed-wing aircraft were evacuating nearly 140 U.S. personnel to Santo Domingo, Dominican Republic. Nine critically injured peopled were taken to the U.S. Naval Hospital Guantanamo Bay, Cuba.

Numerous relief organizations were already working in Haiti, the Western Hemisphere's poorest country, when the quake struck Tuesday afternoon. Aid groups scrambled to help in the aftermath of the quake, but were struggling with the same problems as ordinary Haitians.

In a small clinic in Port-au-Prince, doctors were overwhelmed with the causalities coming in. Bodies and bleeding wounded seemed to cover every inch of the clinic.

A woman with a broken leg sat on the floor next to the body of a dead toddler who was covered by a sheet. She'd been waiting for treatment since Tuesday.

A CNN crew at the clinic counted at least 13 other adult bodies piled outside. Others were still alive, leaning on walls, lying on floors in despair.

None of the three aid centers run by Doctors Without Borders was operable Wednesday, the group said. The organization was focusing on re-establishing surgical capacity so it could deal with the crushed limbs and head wounds it is seeing.

The earthquake sheared huge slabs of concrete off structures and pancaked scores of buildings, trapping people inside those buildings, and knocking down phone and power lines.

"One woman, I could only see her head and the rest of her body was trapped under a block wall," said Jonathan de la Durantaye, who drove through Port-au-Prince after the quake. "I think she was dead. She had blood coming out of her eyes and nose and ears."

The headquarters of the U.N. mission in Haiti, a peacekeeping and police force established after the 2004 ouster of then-President Jean-Bertrand Aristide, collapsed during the quake, leaving leaving about 150 members unaccounted for, U.N. officials in New York said Wednesday. At least 10 survivors were pulled from rubble at the U.N. mission, according to former President Clinton.

The top two civilian officials at the U.N. mission, Special Representative Hedi Annabi and his deputy, Luiz Carlos da Costa, were believed trapped in the rubble of the hotel that housed the world body's headquarters, their fates unknown, said Alain Le Roy, the undersecretary-general for peacekeeping operations.

The Brazilian-led mission has about 9,000 troops, police and civilian staff in Haiti, about a third of whom were in Port-au-Prince. At least 16 peacekeepers, including 11 Brazilians, three Jordanians, one Argentine and one Chadian, were reported dead Wednesday afternoon, U.N. officials said.

Also among the dead was Joseph Serge Miot, the Roman Catholic archbishop of Port-au-Prince, according to the official Vatican newspaper. The archbishop was buried beneath rubble along with 100 priests and aspiring priests attending a religious conference, Papal Nuncio Bernardito Auza told the Vatican's Fides news agency.

"There were priests and nuns in the street. ... Everywhere, you heard cries from beneath the rubble," Auza said.

Authorities braced for civil disturbances. Edmond Mulet, the U.N. assistant secretary-general for peacekeeping operations, told CNN that the 95-year-old, badly overcrowded National Penitentiary in the capital, collapsed and the inmates escaped, prompting worries about looting by escapees.

Obama urged Americans trying to locate family members in Haiti to telephone the State Department at 1-888-407-4747.

Are you looking for loved ones?

The presidential palace in Port-au-Prince was in ruins. Preval, Haiti's president, said he did not know where he was going to sleep Wednesday night.

"I have plenty of time to look for a bed," he said late in the afternoon. "But now I am working on how to rescue the people. Sleeping is not the problem."

CNN's Ivan Watson, Dr. Sanjay Gupta, Susan Candiotti, Gary Tuchman, Chris Lawrence, Anderson Cooper, Brian Byrnes, Felicity Cruikshank, Hada Messia, Richard Greene and Mike Mount contributed to this report.

@highlight

People digging through rubble with their hands, looking for survivors

@highlight

Haitian president: We need medicine, doctors now

@highlight

Former President Clinton: Send cash to relief agencies

@highlight

Capital flattened, hospitals gone after 7.0 quake, Haitian official says