Tel Hazor in northern Israel has long been a treasure trove for archeologists, but a recent discovery of part of a 4,000-year-old Egyptian sphinx has been a most unexpected find.

Inexplicably buried far from Egypt, the paws of a sphinx statue, resting on its base, have been unearthed with an inscription in hieroglyphs naming King Mycerinus. The pharaoh ruled in 2500 BC and oversaw the construction of one of the three Giza pyramids, where he was enshrined.

"Once in a lifetime you find something like this," says Amnon Ben-Tor, the director of the excavation and a professor at Hebrew University, which sponsors the archeological digging.

"This is of extreme importance from many points of view, since it is the only sphinx of this king known in the world -- even in Egypt. It is also the only monumental piece of Egyptian sculpture found anywhere in the Levant," he said, referring to the region spanning the east of the Mediterranean Sea.

Ben-Tor says the sphinx was deliberately broken, as were about 10 other Egyptian statues that had been previously found there. When cities fell, he said, most statues had their heads and hands cut off.

"This is what happened to this one here. He lost his hands," Ben-Tor said. The full sphinx is estimated to have been a meter tall, weighing half a ton.

Read more: Ramadan sees rise in binge eating

The team will continue to search for the rest of its body on the archeological site covering 200 acres -- even if it takes 600 years, the length of time Ben-Tor expects for the site to be fully excavated.

As for the biggest question of all -- how the sphinx got to Tel Hazor -- it will likely remain a mystery.

"Maybe this was a gift which the Egyptian king sent to the local king of Hazor. Maybe. To prove it? Impossible," Ben-Tor said.

Tel Hazor was the capital of the city of Canaan 4,000 years ago, its population reaching 20,000. Located on the route connecting Egypt and Babylon, the city prospered.

Excavations first began in the 1950s, and it is now recognized as a World Heritage Site by UNESCO.

During most of the year, this remote part of Israel is quiet. But every summer, archeologists, students and volunteers descend on Tel Hazor to uncover how the ancients lived. The site has become important for biblical archeology, which aims to illuminate events in the Bible.

Read more: Spectacular train stations to transform Riyadh

There is no shortage of artifacts here, with discoveries seemingly made daily, including clay pots and bowls. But the real goal is to use them to understand civilizations.

"The documents we found at Hazor tell us about the people, tell us about their names, about their culture, about their cult, about marriages, about divorces, about economies," Ben-Tor says. "All these things we learned from out at Hazor.  We did not just find mute stones.  We have to make these stones speak.  And that's what we do."

But experts and volunteers say part of the rewards of working on the excavation is getting to know a different group of people -- those still living.

Shlomit Bechar, a doctoral candidate in archeology at Hebrew University, serves as a supervisor of volunteers over the summer.

"There's also a story behind every find.  A human story.  Not just ancient humans, but also the volunteers that we have in the area," she said.

Coming here is considered an experience of a lifetime, even though the work is hard and there is no pay.

One of the volunteers, Robin Jenkins, is not an archeologist but has been coming to Tel Hazor from Canada for 10 years. He is a self-described archeology junkie on a "workcation."

"You get to meet people from all over the world," he said. "Israel's a great country.  This site is really interesting.  Every year something new comes up."

@highlight

A 4,000-year-old Egyptian sphinx was an unexpected find in an Israel excavation site, Tel Hazor

@highlight

Only the paws have been found so far, and the piece bears the name of a pharaoh who ruled in 2500 BC

@highlight

The normally quiet part of Israel is enlivened every summer when archeologists and volunteers arrive to dig

@highlight

Excavations first began in the 1950s, and numerous artifacts and documents have been unearthed