WASHINGTON (CNN)  -- The contentious debate over so-called enhanced interrogation techniques took center stage Wednesday on Capitol Hill as a former FBI agent involved in the questioning of terror suspects testified that such tactics -- including waterboarding -- are ineffective.

From left: Sens. Lindsey Graham, Sheldon Whitehouse,
Patrick Leahy and Dianne Feinstein listen Wednesday.

Ali Soufan, an FBI special agent from 1997 to 2005, told members of a key Senate Judiciary subcommittee that such "techniques, from an operational perspective, are ineffective, slow and unreliable and harmful to our efforts to defeat al Qaeda."

Soufan's remarks followed heated exchanges between committee members with sharply differing views on both the value of the techniques and the purpose of the hearing.

Soufan, who was involved in the interrogation of CIA detainee Abu Zubaydah, took issue with former Vice President Dick Cheney, who has said that enhanced interrogation techniques helped the government acquire intelligence necessary to prevent further attacks after September 11, 2001.

The techniques, which the Bush administration approved, are considered torture by many critics.  Watch analysts discuss harsh interrogations and torture »

"From my experience -- and I speak as someone who has personally interrogated many terrorists and elicited important actionable intelligence -- I strongly believe that it is a mistake to use what has become known as the 'enhanced interrogation techniques,' " Soufan noted in his written statement.

Such a position is "shared by many professional operatives, including the CIA officers who were present at the initial phases of the Abu Zubaydah interrogation."

Soufan told the committee that within the first hour of his interrogation of Zubaydah, the suspected terrorist provided actionable intelligence.

But once the CIA contractors took over and used harsh methods, Zubaydah stopped talking, Soufan said. When Soufan was asked to resume questioning, Zubaydah cooperated. After another round of more coercive techniques used by the contractors, however, Soufan said it was difficult for him to re-engage Zubaydah.

One of four recently released Bush administration memos showed that CIA interrogators used waterboarding at least 266 times on Zubaydah and Khalid Shaikh Mohammed, the suspected planner of the September 11 attacks.

"People were given misinformation, half-truths and false claims of successes; and reluctant intelligence officers were given instructions and assurances from higher authorities," Soufan testified.

"I wish to do my part to ensure that we never again use these ... techniques instead of the tried, tested and successful ones -- the ones that are also in sync with our values and moral character. Only by doing this will we defeat the terrorists as effectively and quickly as possible."  Watch as Soufan makes his case before the panel »

Soufan was hidden behind a protective screen during his testimony before the Judiciary Committee's Subcommittee on Administrative Oversight and the Courts. Staffers for the committee cited "documented threats" against him, noting his previous interaction with al Qaeda terrorists as well as his undercover work against Islamic extremists.

Philip Zelikow, who was a top aide to former Secretary of State Condoleezza Rice, repeated an accusation during the hearing that Bush officials ordered his memo arguing against waterboarding to be destroyed.

The order, "passed along informally, did not seem proper, and I ignored it," Zelikow said.

He said that his memo has been in State Department files and is being reviewed for possible declassification.

Zelikow slammed the "collective failure" behind the government's adoption of "an unprecedented program of coolly calculated dehumanizing abuse and physical torment to extract information. This was a mistake, perhaps a disastrous one."

He added that some "may believe that recent history, even since 2005, shows that America needs an elaborate program of indefinite secret detention and physical coercion in order to protect the nation. ... If they are right, our laws must change and our country must change. I think they are wrong."  Watch Zelikow tell CNN's Kiran Chetry how U.S. leaders came to the wrong conclusions on interrogation policy »

Committee Republicans warned that the hearing ultimately could contribute to diminished national security.

"As we harshly judge those who had to make decisions we don't have to make, please remember this: that what we do in looking back may determine how we move forward," said Sen. Lindsey Graham, R-South Carolina.

"And let's not unnecessarily impede the ability of this country to defend itself against an enemy who, as I speak, is thinking and plotting their way back into America."

A top intelligence source familiar with the Bush administration's interrogation program was dismissive of Soufan's credibility as a witness.

"It's puzzling that someone who questioned a single high-value detainee for just a few months claims to be able to talk about the value of a program that lasted nearly seven years after he was part of it," the source said.

"Suffice it to say, there are varying accounts of the facts and circumstances surrounding the interrogation of Abu Zubaydah."

Soufan wrote an op-ed in The New York Times in April arguing that there "was no actionable intelligence gained from using enhanced interrogation techniques on Abu Zubaydah that wasn't, or couldn't have been, gained from regular tactics."

He said that "using these alternative methods on other terrorists backfired on more than a few occasions. ... The short-sightedness behind the use of these techniques ignored the unreliability of the methods, the nature of the threat, the mentality and modus operandi of the terrorists, and due process."

While at the FBI, Soufan was involved with investigations of sensitive international terrorism cases, including the East Africa bombings, the 2000 attack on the USS Cole and the September 11 attacks.

Sen. Sheldon Whitehouse, D-Rhode Island, opened the hearing by accusing Bush administration officials of lying about the use of techniques that had damaged the country's standing in the world.  Watch Whitehouse and Graham at the hearing »

"The truth of our country's descent into torture is not precious. It is noxious. It is sordid," Whitehouse said.

"It has also been attended by a bodyguard of lies. ... President Bush told us America does not torture while authorizing conduct that America has prosecuted. ... Vice President Cheney agreed in an interview that waterboarding was like a dunk in the water, when it was used as a torture technique by tyrannical regimes from the Spanish Inquisition to Cambodia's killing fields."

CNN's Pam Benson contributed to this report.

@highlight

Committee Republicans say hearing could help diminish national security

@highlight

Ali Soufan: "People were given ... half-truths and false claims of successes"

@highlight

Ex-FBI agent takes issue with Dick Cheney, who says such tactics helped U.S.

@highlight

The techniques, OK'd by Bush administration, are considered torture by some