Davos, Switzerland (CNN) -- Dmitry Medvedev made a strong pitch for foreign investment in Russia Wednesday as he gave his first special address as Russia's prime minister at the World Economic Forum in Davos.

He painted a picture of a strong economy that is open to those who are "ready to be partners" and invest in Russia.

Follow the action live on CNN.com

This year Davos, a picturesque Swiss ski resort, is hosting nearly 40 world leaders and more than 2,000 executives. The world's top policymakers gather annually to discuss global issues, and are this time meeting under the banner of "resilient dynamism."

Medvedev sought to position himself as a reformer in a country that is moving determinedly forward.

"Russia is an open country, whatever they might think or say," he said, referring to critics of its record on corruption and governance issues.

Russia's unemployment rate, at a little over 5%, is the lowest among developed countries, he said, and it also has an extremely low level of foreign debt.

Quest: U.S. economy to dominate Davos

"We need to see investment growing by 10% annually," he said. "Therefore we are interested in attracting large-scale foreign investment." That amount of investment expansion is needed to push Russia's economy beyond 4% growth, he said.

But Medvedev acknowledged that Russia needs to do a much better job of attracting foreign direct investment.

Russia ranks very low in global corruption indices, which has held back investment despite a sizable population of 142 million.

Medvedev said his government's priority is to improve public governance.

But, he said, this is not a problem unique to Russia.

Is the rise of China creating conflict?

"It's nothing new --- humanity has been facing these problems for centuries, if not millennia," he said. "The more law and order, the more thieves and robbers. In that sense, little has changed."

Medvedev stressed that Russia is an open market now and pointed to membership in the World Trade Organization as a indication of that. The country's next priority is to gain membership of the Organisation for Economic Co-operation and Development, composed of the world's industrialized nations, he said.

Interactive: Europe's tale of boom and bust

The prime minister suggested this sends a strong message to the world, even though both structures "are not perfect," in his view.

He also spoke of the need to create an equal playing field for all businesses and to create a "single economic space" with Russia's neighbors, stretching from the Atlantic to the Pacific.

But the prime minister dismissed suggestions that this is an effort to somehow recreate the Soviet Union, saying Russia wants to play in the global market.

Interactive: How's your economic mood?

"There is no going back to the past," he said.

Executives have not been convinced in the past that Medvedev and Russian President Vladimir Putin are on the same page.

But the prime minister stressed that Russia has a global outlook and will continue dialogue with its European friends and partners.

"We are building our cooperation," he said, acknowledging that unilateral action could have "dire implications."

Medvedev said the G-20, which brings together the world's major economies, is becoming increasingly efficient and that this has helped limit the extent of the global economic crisis.

"We need to use modern technologies, crowd sourcing," he said. "Those technologies change the status and enhance the legitimacy of decisions made in government."

Davos 2013: New year, same old problems?

The speech echoed one Medvedev gave at Davos as his country's president in 2011, when he also pushed foreign investment in Russia while acknowledging that reforms were needed.

Russia last month assumed the rotating presidency of the G-20.

"The Russian presidency's main task will be to focus the G-20's efforts on developing measures to stimulate economic growth and create jobs," Putin said at the time.

Few are likely to dispute Medvedev's comments on the need for Russia to prioritize governance issues.

Russia ranked 133 out of 174 in Transparency International's 2012 Corruption Perceptions Index.

Ahead of the World Economic Forum, the non-governmental group's chairwoman, Huguette Labelle, called on countries and businesses to change the way they work, for everybody's sake.

"Future prosperity will always be undermined by corruption, excessive risk-taking, a lack of transparency and other unethical practices," she warned.

Pavel Khodorkovsky, the son of jailed Russian oil tycoon Mikhail Khodorkovsky and president of the U.S.-based Institute of Modern Russia, also wrote an open letter to those at the World Economic Forum in which he highlighted the plight of his father.

Mikhail Khodorkovsky, who backed an opposition party, has been in jail since 2003 and was convicted in 2005 on charges of tax evasion and fraud. Russia has faced wide criticism over his treatment, with the United States and others accusing it of "selective prosecution" and abuse of the legal system.

His son, in his letter to policymakers at Davos, called on them to raise the issue of the former Yukos chief executive's continued imprisonment and urge support for the rule of law in Russia.

"Ending corruption is not just a human rights issue," Pavel Khodorkovsky said. "The proliferation of corruption remains a huge impediment to direct foreign investment.

"Both U.S. and Russian officials have publicly acknowledged Russia's weak property rights and rampant corruption are reasons to avoid doing business in Russia. This is thwarting job creation and starving Russian businesses of the capital they need to grow."

Medvedev's comments come amid frosty relations with the United States after Putin signed a law in December prohibiting Americans from adopting Russian children.

The move by Russian politicians was widely seen as retaliation for a law that U.S. President Barack Obama signed December 14. That bill, called the Magnitsky Act, imposes U.S. travel and financial restrictions on those it considers human rights abusers in Russia.

@highlight

NEW: Son of jailed Russian tycoon Khodorkovsky urges a focus on tackling corruption

@highlight

Dmitry Medvedev: Russia wants to attract large-scale foreign investment

@highlight

Tackling poor governance is the country's priority, Medvedev says

@highlight

Russia ranks low in global corruption indices, which has held back investment