(CNN) -- An Egyptian who was once a Special Forces officer has been chosen "caretaker" leader of al Qaeda in the wake of Osama bin Laden's death, according to a source with detailed knowledge of the group's inner workings.

Al Qaeda's interim leader is Saif al-Adel, who has long played a prominent role in the group, according to Noman Benotman. Benotman has known the al Qaeda leadership for more than two decades. He was once a leader of the Libyan Islamic Fighting Group (LIFG), a militant organization that used to be aligned with al Qaeda, but in recent years renounced al Qaeda's ideology.

Benotman told CNN that based on his personal communications with militants and discussions on jihadist forums, al-Adel, also known as Muhamad Ibrahim Makkawi, had been chosen interim chief of al Qaeda because the global jihadist community had grown restive in recent days about the lack of a formal announcement of a successor to bin Laden.

U.S.: Bin Laden communicated with Yemen group

According to Benotman, this was not a decision of the formal shura council of al Qaeda, because it is currently impossible to gather them in one place, but was rather the decision of six to eight leaders of al Qaeda in the Afghanistan-Pakistan border area. Al-Adel was already one of the top leaders of the group.

However, Benotman said, the choice of an Egyptian may not sit well with some Saudi and Yemeni members of al Qaeda, who believe bin Laden's successor should come from the Arabian Peninsula, a region that is holy to all Muslims. Bin Laden was from a wealthy Saudi family.

The presumed successor to bin Laden is his long-time deputy, Ayman al-Zawahiri, who is also Egyptian. Benotman, who has long been a reliable source of information about al Qaeda, said the temporary appointment of al-Adel may be a way for the leadership to gauge reaction to the selection of someone from beyond the Arabian Peninsula as the group's leader.

Al-Adel fought the Soviets in Afghanistan during the 1980s. After the fall of the Taliban in the winter of 2001 he fled to Iran. According to senior Saudi counterterrorism officials, from there al-Adel authorized al Qaeda's branch in Saudi Arabia to begin a campaign of terrorist attacks in the Saudi kingdom that began in Riyadh in May 2003, a campaign that killed scores.

Some reports in the past year have suggested that al-Adel had left Iran for Pakistan.

Pakistan announces key al Qaeda arrest

One of the key issues that al-Adel has to reckon with now is the fallout from the large quantities of sensitive information that was recovered by U.S. forces at the compound in Abbottabad, Pakistan, where bin Laden was shot on May 2. That information is likely to prove damaging to al Qaeda operations.

The selection of an interim leader allows al Qaeda to begin the process of collecting allegiance, or baya, from al-Qaeda affiliates such as the Yemen-based al Qaeda in the Arabian Peninsula and the North Africa-based al Qaeda in the Islamic Maghreb.

Baya was a religious oath of allegiance to bin Laden rather than to the organization itself, in the same way that Nazi Party members swore an oath of fealty to Hitler rather than to Nazism. That baya must now be transferred to whomever the new leader of al Qaeda is going to be, which is likely to be al-Zawahiri, given his long role as bin Laden's deputy.

Opinion: Why bin Laden was radicalized

However, there is scant evidence that al-Zawahiri has the charisma of bin Laden, nor that he commands the respect bordering on love that was accorded to bin Laden by members of al Qaeda.

Now that bin Laden is dead there is a real opportunity for the Taliban to disassociate itself from al Qaeda, as it was bin Laden who, sometime before the 9/11 attacks, swore an oath of allegiance to Taliban leader Mullah Omar as the Amir al-Muminin, "commander of the faithful," a rarely invoked religious title that dates from around the time of the Prophet Mohammed.

Mullah Omar could now take the position that the new leader of al Qaeda does not need to swear an oath of allegiance to Omar as commander of the faithful.

Such a move would satisfy a key condition for peace talks with the U.S. and Afghan governments: that the Taliban reject al Qaeda, something that they have so far not done.

Al-Adel has been involved in militant activities since the late 1980s, according to an interview with him published in spring 2005 in the Arabic-language London-based daily Al-Quds al-Arabi.

In the article, written by Fuad Husayn, a Jordanian journalist and writer, al-Adel recalled that he was detained for militant activities in Egypt on May 6, 1987.

Al Qaeda's most-wanted leaders

"The case pertained to the assassination attempt against ex-Egyptian Interior Minister Hasan Abu-Basha. ... I was then a colonel in the Egyptian Special Forces," he said.

Al-Adel also has been involved for years in anti-American activities, other sources indicate.

Mohamed Odeh, one of the bombers of the U.S. Embassy in Kenya in August 1998, told FBI interrogators that in 1993 he was ordered by al-Adel to go to Somalia to link up with local tribes and train them to fight and attack U.S. forces who were then serving there in a humanitarian mission to feed starving Somalis.

And a British-Ugandan, Feroz Ali Abbasi, who had trained in an al-Qaeda training camp in Afghanistan before 9/11, recalled in a memoir that Adel instructed him and other recruits to fight U.S. forces around Kabul or in the southern city of Kandahar during the American invasion of Afghanistan in the fall of 2001

In the interview published in Al-Quds al-Arabi, al-Adel also explained al Qaeda's motivations for the 9/11 attack: "Our main objective, therefore, was to deal a strike to the head of the snake at home to smash its arrogance."

After the fall of the Taliban, Adel recalled that he and other members of al-Qaeda found refuge in Iran: "We began to converge on Iran one after the other," he said. "...We began to rent apartments for the fraternal brothers and some of their families. The fraternal brothers of the group of Gulbuddin Hekmatyar" -- an Afghan militant then living in exile in Iran who is now a leader of the insurgency in Afghanistan -- "offered us satisfactory help in this field. They provided us with apartments and some farms that they owned."

But Al-Adel said that the Iranians subsequently arrested a large number of these "brothers."

@highlight

Noman Benotman says Saif al-Adel is the "caretaker" leader of al Qaeda

@highlight

The selection of an Egyptian might not be accepted by some in al Qaeda

@highlight

Benotman has known al Qaeda leadership for two decades