Islamabad, Pakistan (CNN) -- The Pakistani intelligence service has arrested a senior al Qaeda leader who sought to attack targets in the United States, Europe and Australia, the Pakistani military said Monday.

The intelligence service arrested Younis al-Mauretani and two al Qaeda associates in the suburbs of Quetta, Pakistan, the military said in a statement.

Osama bin Laden had asked al-Mauretani "to focus on hitting targets of economic importance in United States of America, Europe and Australia," with U.S. targets including gas and oil pipelines, dams and oil tankers, the statement said.

Al-Mauretani was also involved in planning multiple attacks on European countries similar to those in Mumbai, India, in 2008, European intelligence officials told CNN last year. The man at the center of the alleged al Qaeda plot, Afghan German Ahmed Sidiqui, was detained in July 2010 and told interrogators that al-Mauretani helped with planning and coordination.

White House spokesman Josh Earnest hailed the arrest.

Arrest another big blow for al Qaeda

"This is an example of the longstanding partnership between the U.S. and Pakistan in fighting terrorism, which has taken many terrorists off the battlefield over the past decade," Earnest said in a statement.

A U.S. National Security Council spokesman, Tommy Vietor, said the arrest dealt another blow to al Qaeda and added: "We applaud the actions of Pakistan's intelligence and security services that led to the capture" of a senior operative involved in planning attacks.

News of the arrest comes six days before the 10th anniversary of al Qaeda's attack on the United States, which killed nearly 3,000 people. It also comes as the United States and its allies have made major strides in its fight against al Qaeda.

A secret U.S. military operation killed bin Laden on May 2.

The following month, U.S. officials say, a drone attack in Pakistan killed Ilyas Kashmiri, a senior figure in al Qaeda described as the organization's "military brain." Kashmiri operated his own terrorist group, Harakat-ul-Jihad-Islami, or Movement for an Islamic Holy War.

In August, an apparent U.S. drone strike killed al Qaeda's second-in-command, Atiya Abdul Rahman, officials said. He had been bin Laden's operations chief and was in charge of running daily operations for al Qaeda.

However, the issue of combating terrorism also has strained U.S.-Pakistani relations over questions of autonomy and cooperation.

In Pakistan, there is a backlash against the U.S. use of unmanned drones in attacks that have killed civilians, while U.S. officials complain of a lack of full support from the Pakistani government, particularly the intelligence service. They note that bin Laden had been living in Pakistan for years, purportedly undetected, before the U.S. mission that killed him. At the same time, the secret U.S. military raid deep inside Pakistan angered and embarrassed the Pakistani government.

A senior U.S. counterterrorism official described al-Mauretani as a significant figure in the terror organization.

"This is one of al Qaeda's key operatives, and getting him off the streets has been a top priority," the official said.

The official could not immediately confirm the arrest but said al-Mauretani has "been active in planning attacks, and threats associated with him were partially responsible for the Europe travel alert that was issued last year. His capture would deal a major blow to the terrorist group's activities, and would be another in a string of recent wins against al Qaeda."

A senior Pakistani official said al-Mauretani "did not have any particular position in the hierarchy of al Qaeda, but he was head of external operations and was planning attacks perhaps also in Germany."

U.S. intelligence agencies provided "technical assistance" in planning and conducting the operation, the Pakistani military statement said. Pakistan's Inter-Services Intelligence has a "strong, historic intelligence relationship" with the U.S. agencies, it added, and the two nations continue to cooperate to enhance security.

That cooperation has resulted in the prevention of a "number of high-profile terrorist acts," not only in Pakistan and the United States but elsewhere in the world, the military statement said.

While the U.S. provided "technical leads," there were no American troops on the ground in the raid, which the Pakistani intelligence service conducted, the senior Pakistani official said.

Al-Mauretani is in Pakistani custody, the official said, and may eventually be handed over to authorities in his native Mauritania.

Defense Secretary Leon Panetta has said the United States "is within reach of strategically defeating al Qaeda."

"I think we have them on the run. I think now is the moment, now is the moment following what happened with bin Laden to put maximum pressure on them because I do believe that if we continue this effect that we really can cripple al Qaeda as a threat to this country," Panetta said in July.

CNN's Nick Paton Walsh, Paul Cruickshank and Barbara Starr contributed to this report.

@highlight

NEW: The White House and the National Security Council hail the arrest

@highlight

U.S. official: Al Qaeda arrest a major blow to the terrorist group's activities

@highlight

Al Qaeda's Younis al-Mauretani is seized in the suburbs of Quetta, Pakistan

@highlight

He took orders from Osama bin Laden personally, the Pakistanis say