(CNN) -- By now, you likely know David Seidler, who won an Oscar on Sunday for best original screenplay for "The King's Speech," was a stutterer just like King George VI, whose battle with the speech disorder is portrayed in the film.

What you might not know is that Seidler, 73, suffered from cancer, just like the king did. But unlike his majesty, Seidler survived the cancer, and he says he did so because he used the same vivid imagination he employed to write his award-winning script.

Seidler says he visualized his cancer away.

"I know it sounds awfully Southern California and woo-woo," he admits when he describes the visualization techniques he used when his bladder cancer was diagnosed nearly six years ago. "But that's what happened."

Seidler says when he found out his cancer had returned, he visualized a "lovely, clean healthy bladder" for two weeks, and the cancer disappeared. He's been cancer-free for more than five years.

Whether you can imagine away cancer, or any other disease, has been hotly debated for years.

One camp of doctors will tell you that they've seen patients do it, and that a whole host of studies supports the mind-body connection. Other doctors, just as well-respected, will tell you the notion is preposterous, and there's not a single study to prove it really works.

Seidler isn't concerned about studies. He says all he knows is that for him, visualization worked.

"Mucus and salty tears"

"When I was first diagnosed in 2005, I was rather upset, of course," Seidler says in a telephone interview from his home in Malibu, California.  "After three to four days of producing a lot of mucus and salty tears, I knew prolonged grief was bad for the autoimmune system, and the autoimmune system was the only buddy I had in fighting cancer."

Seidler said that's when he decided to sit down and write the screenplay for "The King's Speech," which had been simmering in his brain for many years. "I thought, if I throw myself into the creative process, I can't be sitting around feeling sorry for myself," he says.

After consulting with California urologist Dr. Dino DeConcini, Seidler decided not to have chemotherapy or have all or part of his bladder removed, common treatments for bladder cancer. Instead, he opted for surgery to remove just the cancer itself, and he took supplements meant to enhance his immune system.

"For years, whenever I walked down the stairs I rattled like a pair of maracas, I had so many pills in me," he says.

Despite his best efforts, the cancer came back within months. Seidler was forced to rethink his decision not to have chemotherapy or bladder surgery.

Envisioning "a nice, cream-colored unblemished bladder"

As his doctor booked an appointment for surgery two weeks later, Seidler commiserated with his soon-to-be-ex-wife, and it was a comment from her that gave him the idea to try to visualize his cancer disappearing. "She said, 'Well, what happens if in two weeks they go in and there's no cancer?' " he remembers. "I thought to myself that's the dumbest thing I've ever heard. This woman's in total denial."

But later, reflecting upon her comments, Seidler thought perhaps she might be on to something -- perhaps it would be possible for his cancer to just disappear while he waited for surgery. Figuring he had nothing to lose, for the next two weeks he imagined a clean bladder.

"I spent hours visualizing a nice, cream-colored unblemished bladder lining, and then I went in for the operation, and a week later the doctor called me and his voice was very strange," Seidler remembers. "He said, 'I don't know how to explain it, but there's no cancer there.' He says the doctor was so confounded he sent the tissue from the presurgical biopsy to four different labs, and all confirmed they were cancerous.

Seidler says the doctor couldn't explain how it had happened. But Seidler could.

He says he believes the supplements and visualizations were behind what his doctor called a "spontaneous remission" -- plus a change in his way of thinking. He stopped feeling sorry for himself because of his cancer and his impending divorce.

"I was very grief-stricken," he remembers. "It was a 30-year marriage, and in my grief, I could tell I was getting sicker. I decided to just change my head around."

"The mind has the power to heal"

While Seidler says he knows his unorthodox recovery techniques sound "woo-woo" to some ears, they sound "like science" to Dr. Christiane Northrup, a best-selling author who's written extensively on the mind-body connection.

"This doesn't sound woo-woo to me," she says. "The mind has the power to heal."

She says by moving himself "from fear and abject terror into action," Seidler changed his body's chemistry. "Fear increases cortisol and epinephrine in the body, which over time lower immunity," she says.

High levels of the two stress hormones lead to cellular inflammation, which is the way cancer begins, Northrup says. Taking action, as Seidler eventually did, decreases the hormones.

"Hope is actually a biochemical reaction in the body," she says.

Dr. Bernie Siegel, author of "Love, Medicine & Miracles," says it's the same way an athlete uses visualization to improve performance.

"When an athlete visualizes success, their body really is experiencing success. When you imagine something, your body really feels like it's happening," says Siegel, a retired clinical assistant professor of surgery at Yale Medical School.

But Dr. Marcia Angell, former editor-in-chief of The New England Journal of Medicine, calls the mind-body connection a "new religion" that encourages false hope.

"There is something so biologically implausible that your attitude is going to cure a disease," says Angell, a senior lecturer in social medicine at Harvard Medical School. "There's a tremendous arrogance to imagine that your mind is all that powerful."

She says stories like Seidler's are just that -- only stories and not proof that the mind-body connection is real. Some other part of the patient's treatment plan likely explains success against the disease, or in other cases, the success is temporary and part of the natural course of the disease.

For example, she says bladder cancer often returns. "You beat it down, and it comes back, and you beat it down, and it comes back," she says. "If [Seidler] had bladder cancer, this may very well not be the end of the story."

More heart attacks on Mondays

While Angell points out there are no large-scale studies showing visualization can treat disease, there are studies that seem to indicate what happens in your mind has an effect on your body.

For example, several studies have shown heart attacks occur more often on Mondays, presumably because people are under increased stress returning to work after the weekend.

Another set of studies shows how you perceive yourself affects your health.

In research done by the Yale School of Public Health and the National Institute of Aging, young people who had positive perceptions about aging were less likely to have a heart attack or stroke when they grew older. In another study by researchers at Yale and Miami University, middle aged and elderly people lived seven years longer if they had a positive perception about aging.

In 2008, Harvard researchers published a study where they told a group of hotel chambermaids their daily cleaning activities counted as exercise and were equivalent to working out at a gym. A month later, these chambermaids had lost weight and lowered their blood pressure without changing anything, yet chambermaids who weren't told about the benefits of their daily work had no such changes.

"It's so damned obvious that your attitude effects survival," says Siegel, the retired Yale surgeon.

But Angell disagrees. To her, these studies show very little. "It's a huge leap from these studies to saying you can imagine your way out of cancer," she says.

A visualization guide

Whether you're convinced of the effects of visualization or not, Northrup says there's no harm in trying them, as long as you realize that like any other treatment, visualization might not work.

There's no definitive guide to visualization, but Siegel, who's instructed his patients in imaging for many years, has a few suggestions.

First, he says to draw a picture of four things: yourself, your health problem, your treatment and your body eliminating your problem. These pictures might tell you what sort of imagery would work best for you.

For example, when one of Siegel's patients drew her disease as 10 cancer cells next to one white blood cell, he suggested she visualize her body making more white blood cells.

Second, he says to know yourself. One religious patient of his had been visualizing dogs attacking and eating up her cancer, which didn't work, so instead she pictured her tumor as a block of ice and God's light melting it away, which he says was more effective.

Third, he suggests not visualizing anything violent, since most of us aren't violent by nature.

"Children don't mind being violent, and they'll visualize blasting away cancer, and that's fine, but most adults don't like to kill, so that's not an image they're comfortable with," he says.

He remembers one patient who was a Quaker and a pacifist, and quickly rejected any notion of "killing" or "beating" cancer. Instead, he pictured white blood cells carrying cancer cells away, and he beat his cancer.

@highlight

Seidler, 73, who just won an Oscar, was told he had bladder cancer

@highlight

He declined chemo, extensive surgery, believes  visualization helped beat disease

@highlight

No large-scale studies show visualization can treat disease, ex- medical journal editor says