(CNN) -- "The Wolf of Wall Street?" Give me a break.

If you've been to the movies lately, you may have seen a trailer for a Martin Scorsese film with that name. It's the title of the first book in a two-volume memoir by former stock swindler Jordan Belfort, upon whom the film is based.

The trailer appears to portray Belfort as a player in a small part of lower Manhattan that's become the world-famous icon of capitalism. It opens with dizzying shots of famous symbols such as the Wall Street sign and the bronze Charging Bull statue, a favorite photo backdrop for tourists.

There's a hilarious scene with Belfort, played by Leonardo DiCaprio, hamming it up with one of his early mentors, played by Matthew McConaughey, at a window table in a restaurant with fabulous city views. You think Wall Street big shots might go there. And if you haven't caught on yet, the camera moves to Belfort on his yacht, which happens to be bobbing in a harbor with the World Financial Center in the background.

"The Wolf of Wall Street" might turn out to be great entertainment, which is what Hollywood is for. And maybe Belfort really did dock his 167-foot yacht near the Financial Center at least once before it sank in a Mediterranean storm.

But don't fall for the scenery. As Nadine Belfort, his second wife, said during an argument portrayed in his memoir, "My husband, the Wolf of Wall Street! It's almost too ridiculous for words."

For starters, almost all of Belfort's lucrative criminal career took place in a less glamorous locale than those opening scenes. After seven months in his first job in the securities industry, pitching stocks over the telephone for a genuine Wall Street-based firm, Belfort left there after stocks crashed in 1987 and headed east. His intention, he says in the memoir, was to bring "my own version of Wall Street out to Long Island instead."

The Expressway to his schemes

To convey what Belfort's professional life in this "version of Wall Street" was really like, the film trailer should start with shots of Long Island Expressway traffic and segue to a scene in a Greek diner near Lake Success, Long Island, population about 3,000, near the border with Queens. Belfort's firm, Stratton Oakmont, was headquartered there. In his memoir, he says he had breakfast at the diner with another mentor three times a week.

Employing hundreds of brokers, Belfort's Long Island version of Wall Street was a huge, infamous example of a type of thievery known as a "pump and dump" scheme.

In the scheme's first stage, Belfort and his partner, Daniel Porush, secretly got control of stock in small companies that Stratton took public. Then Stratton brokers, working banks of telephones, called individuals throughout the United States, using scripts that included wildly optimistic predictions about how high the stocks' prices would go.

When enough people had finally been fooled into buying the shares, the price really did rise as a result. Ignoring instructions from ordinary investors who wanted to sell, Belfort and other insiders cashed in at the peak, dumped all their stock into the market for a huge profit, and left the people they'd duped holding nearly worthless stock.

Trying to impress potential victims, brokers at Stratton and many other so-called "boiler rooms" said they were calling from "Wall Street." In fact, their only real connection with Wall Street was that some of the stocks they sold were traded at exchanges there, and the boiler rooms' "clearing firms" (companies handling the mechanical details of stock trades) might be there.

The tactic evidently worked.

Altogether, individual investors, many of them retirees, were cheated out of about $250 million by Stratton Oakmont by the time regulators managed to close it in 1996.

There was a book in 1929 called "The Wolf of Wall Street," based on a B-movie by that name about a fellow who cornered the market in copper. That helps me believe someone really did call Belfort that at least once.

But during more than a dozen years following Belfort's story for Newsday, I never once heard him referred to as "The Wolf." Not by his friends, enemies or ex-employees, and certainly not by the legions of regulators trying to close him down.

Joseph Borg, director of the Alabama Securities Commission, headed a long investigation of Stratton in the 1990s. He told me he hadn't heard it either. He thinks Belfort invented the "Wolf "nickname himself. "I have to give him credit," Borg says. "He's not stupid."

Not 'Wolf,' but something else ...

A word I did often hear to refer to boiler-room operators was something farther down the food chain -- "cockroach."

The brokers themselves used it. Belfort made it into a verb when he testified in the trial of Stratton's accountant years after Stratton closed. After it became obvious that regulators were about to shut Stratton down, he, Porush and some advisers decided to "close Stratton's doors ... and cockroach," he said.

In his memoir, Belfort explains what he calls the "Cockroach Theory," saying it meant setting up satellite firms when regulators got close to a big boiler room, moving brokers there in batches and continuing to operate as before at the new location.

For regulators, he wrote, closing a crooked brokerage suddenly became "like stepping on a cockroach and squashing it, only to find 10 new ones scurrying in all directions."

It's a real pity that the "Wolf" movie trailer doesn't give you some idea about who these victims were.

Decidely middle class, unsophisticated investors, they included Dorothy and Louis Dequine, 88-year-old Florida residents. They lost $252,000 in 1994 after a Stratton broker replaced their holdings with worthless stocks without authorization.

Claude Stemp, a Vietnam veteran, lost $62,000 in a 1996 Stratton swindle, and had to take out a second mortgage on his house to afford care for his ailing mother. When he saw the fictional movie "Boiler Room" a few years later, Stemp said, "I just about cried."

Many of the swindled await their money

Despite Belfort's lucrative movie and book deals, and earnings from a new career as a motivational speaker, many of these victims are still waiting for restitution.

When Belfort was sentenced in 2003 to four years in prison, Judge John Gleeson ordered him to pay about $110.4 million to a victims fund, in installments equal to 50% of his monthly gross income, after his release from jail. If any major changes in his financial circumstances took place, the percentage Belfort had to pay could be adjusted up or down.

After I asked for an update on the fund in early October, lawyers in the office of Loretta E. Lynch, U.S. Attorney for the Eastern District of New York, replied that Belfort had only contributed about $11.6 million to the victims' fund so far -- about one-tenth of the required total.

In a court filing with many details about Belfort's current income whited out, Lynch's office asked Gleeson to find Belfort in default, saying that according to his tax returns and other available information, the payments he has been making are "insufficient." They said that in 2011, for instance, Belfort paid $21,000 in restitution, although he made more than $1 million for the motion picture rights to his memoir, as well as more income from a motivational speaking corporation he half-owns.

Belfort's attorneys responded that he doesn't deny he still owes money to victims, but that his position is his obligation to pay 50% of his income to them ended when his term of "supervised release" from prison expired in April 2009. They said that for the past two years, he's been trying to arrange a "forbearance" agreement with the government to "pay 100% of the profits of the movie and the two books," but that his offer has been turned down.

"Before you accuse me of anything, you should learn the facts," Belfort said in an e-mail last week. "I have been trying to settle this case forever and have been completely stonewalled. I can even show you the settlement offer from the government, on their letterhead, asking for only 50% of my books, after I offered 100%."

On Friday afternoon, the government asked to withdraw its pending motion to hold Belfort in default on his payments to victims. Oral argument in the case had been scheduled to begin Nov. 22. In a court document, Beth Schwartz, Assistant U.S. Attorney for the Eastern District of New York, said the delay would give both sides "an opportunity to explore a resolution" of certain issues, and that "Mr. Belfort joins in this request."

The movie, originally scheduled for mid-November, is now set for release on Christmas Day. Meanwhile, the website for "Jordan Belfort's Wolf of Wall Street Sales Training," his motivational speaking company, features a video of DiCaprio doing a bit of speaking himself.

"There is nothing quite like Jordan's public speaking and his ability to train and empower young entrepreneurs," DiCaprio says. "Jordan stands as a shining example of the transformative qualities of ambition and hard work, and in that regard, he is a true motivator."

Enjoy the show.

The opinions expressed in this commentary are solely those of Susan Harrigan.

@highlight

Upcoming film stars Leonardo DiCaprio, playing Jordan Belfort as the "Wolf of Wall Street"

@highlight

Susan Harrigan: The real "wolf" was a stock scammer who defrauded innocent investors

@highlight

She says he has not fully paid restitution, but gained $1 million on movie rights to his book

@highlight

Harrigan: DiCaprio recorded a video endorsing Belfort's motivational speaking