(CNN) -- It's perhaps the most iconic scene in the most iconic Hong Kong movie of all time.

The slender silhouette of the beautiful heroine, Su Li-zhen (Maggie Cheung), emerging from the darkness, revealing herself in a figure-hugging cheongsam.

The man she passes, newspaper editor Chow Mo-wan (Tony Leung), can't help falling in love with such a figure of feminine elegance.

Set in the 1960s, the golden era of the cheongsam in Hong Kong, Wong Kar Wai's hit movie, "In the Mood for Love" (2000), which won multiple best foreign movie awards, was a powerful showcase for how elegant and sexy the classic Chinese dress can be.

Wong has said 20 to 25 cheongsam alone were made for the character played by Maggie Cheung.

"A Century of Fashion: Hong Kong Cheongsam Story," now running at the Hong Kong Museum of History until March 3, features 130 exhibits showcasing the history and evolution of the cheongsam, particularly the eras featured in popular films such as "In the Mood for Love" and "The World of Suzie Wong" (1960).

Early cheongsam a feminist statement

The exhibition is a study in the history surrounding the iconic Chinese dress that can be confusing even to Chinese -- the proper use of "cheongsam" and "qipao," for instance.

"We prefer to call it cheongsam -- not qipao," says Osmond Chan, assistant curator of the exhibition.

"Cheongsam means long robe in Cantonese and actually only became a common woman's wear after the May Fourth Movement (1919), or the New Culture Movement," he says.

"Women started wearing men's long robes as a feminist statement and trend during that anti-Qing era.

"Therefore, it's a bit of an oxymoron to continue calling the dress qipao, which refers to the robe of the Manchu (the ruling power of Qing Dynasty)."

Early cheongsam didn't have the tight, figure-hugging shape the dress is known for today, but was originally worn loose on the body.

The shape changed and became tighter in Shanghai in the 1920s and '30s, a time often referred to as the golden age of the cheongsam in Shanghai.

With the rise of the Communist Party in the late 1940s and '50s, however, the dress, and the decadent Shanghai style it invoked, was restricted.

Shanghai tailors fled to Hong Kong, bringing the cheongsam with them.

The trend picked up quickly and Hong Kong experienced its own golden age of the cheongsam in the 1950s and '60s.

Cheongsam master

Founded in 1966, Linva Tailor is one of the longest-standing cheongsam shops in Hong Kong.

While it's often assumed that owner and master tailor Leung Ching-wah made some of the costumes for Maggie Cheung in "In the Mood for Love," he says he can't talk about it.

Leung represents the old guard -- tailors who recognize the beauty of a boar-shaped cut or a sword-shaped binding on a side slit.

His wife, Joana Fung, dissects a cheongsam the way a sommelier talks about wine.

"The beauty of a cheongsam is not in the fabric -- fabrics can be purchased, but not the skills," says Fung.

Leung started apprenticing under a Shanghai tailor when he was 16.

He opened Linva Tailor seven years later.

"I spent the first few months only learning to hold a needle properly," says Leung. "One can only start making a cheongsam after a year of apprenticeship."

"In the '60s, every woman wore a cheongsam," says Leung.

As Western culture and fashion became more influential among Chinese in Hong Kong in the 1970s, the cheongsam lost its popularity.

Will the cheongsam survive?

The craft is diminishing. At least in Hong Kong.

All of Leung's in-house tailors are in their sixties.

Many have reduced their workloads.

Despite often being referred to as a sunset industry, however, Leung says he doesn't worry that cheongsam culture won't last for another century.

In Hong Kong and China, the cheongsam is still popular for evening parties and company conferences.

"All brides will still don one at their weddings," says Leung.

"If you look at Miss Hong Kong beauty pageant, a section featuring candidates in cheongsam has been a must," says Chan.

Most cheongsam manufacturing has moved to factories in mainland China, where more than 15 manufacturers and suppliers have an online presence.

Although global sales are difficult to track, several Chinese makers advertise shops with a capacity for thousands of garments sewn monthly by staffs of 250 or more garment makers.

Brands like Shanghai Tang and Blanc de Chine, which carry cheongsam priced at about $400, are making their marks with modern twists on the cheongsam.

Opened in 1994 in Hong Kong with the idea of creating a modern Chinese chic style, Shanghai Tang has swelled into a multi-national fashion brand with 45 outlets.

The business is expanding both in China and around the world, according to Raphael le Masne de Chermont, executive chairman of Shanghai Tang.

The main elements of the dress's original silhouette -- high collar and flower buttons on the placket -- make it easy to incorporate into new designs, says Chan.

Inspiration still crosses over to Western runways cheongsam designs have been included in a 2011 Ralph Lauren collection, a 2012 Gucci collection and Emilio Pucci's 2013 spring/summer collection.

Unlike kimono or hanbok

Though modern, hybrid versions of the cheongsam are popular, there remains an appetite for the more traditional shapes.

"Classes teaching how to make cheongsam are offered in Hong Kong," says Chan, adding that the continuity of passing down the skills for cheongsam-making shouldn't be reserved for great tailors.

YMCA HK's cheongsam classes for the public are conducted by Mong Kar-mo, a former tailor for the Miss Hong Kong Pageant.

Linva Tailor receives five or six orders per day and Leung hasn't thought of retiring.

"I started out in this business just hoping to make a living, but then I grew to learn the beauty of cheongsam," says Leung.

"It's different from ethnic costumes like the kimono and hanbok, as cheongsam has a highly flexible design," says Chan. "Elements like dress length, different materials and different levels of complexity make dresses suitable for a variety of occasions."

"As one Chinese saying goes, 'cheongsam is practical enough for the kitchen but presentable for the living room,'" says Chan.

"The reason it's been able to last for a century is because cheongsam is really beautiful on its wearer."

Ordering a cheongsam

At Hong Kong cheongsam shops, customers first choose a style off the rack before deciding on details such as fabric, flower buttons on the placket, sleeve length and slit depth.

The tailor then takes measurements and customers return for another fitting after a few days.

Final adjustments are made before decorative bindings and flower buttons are added and the dress can be properly finished.

The entire process usually takes two months.

Visitors who don't have as much time can choose a ready-made cheongsam and have it altered.

The finished product can be mailed to them.

Basic styles start from HK$2,000 ($260).

Linva Tailor, G/F, 38 Cochrane St., Central, Hong Kong; +852 2544 2456

Shanghai Tang Mansion, 1 Duddell Street, Central, Hong Kong, +852 2525 7333

A Century of Fashion: Hong Kong Cheongsam Story; January 29 to March 3; 1/F Lobby, Hong Kong Museum of History, 100 Chatham Road, Tsim Sha Tsui East, Kowloon; +852 2724 9042; free admission

@highlight

The Chinese cheongsam has a long history, but some worry its days are numbered

@highlight

Hong Kong's cheongsam industry boomed in 1960s

@highlight

The assistant curator of a Hong Kong cheongsam exhibit believes the dress will live on

@highlight

Most cheongsam manufacturing has moved to mainland China