(Kaiser Health News) -- On Tuesday, two U.S. appeals courts issued conflicting rulings on a subject that's important to millions of people: the availability of subsidies to help purchase coverage under the health-care law.

Q: What did the courts decide?

A:  In a blow to the health law, the U.S. Court of Appeals for the District of Columbia Circuit ruled that the health law's subsidies are available only to individuals in the 14 states and the District of Columbia now operating their own health insurance exchanges.

The federal government now runs the exchanges in 36 states. Judge Thomas Griffith, writing the majority opinion in the 2-1 decision, said they concluded "that the ACA unambiguously restricts" the subsidies to "exchanges 'established by the state.' "

In a separate ruling, a three-judge panel for the Fourth Circuit Court of Appeals in Richmond, Va., ruled unanimously for the Obama administration, allowing subsidies to be available to residents in all states.

Judge Roger Gregory, writing the opinion, said while the health law is "ambiguous and subject to multiple interpretations," the court decided to uphold the IRS's interpretation of the law that residents of states using the federal exchange are entitled to subsidies.

White House revises contraception opt out

Q: What was the issue the courts decided on?

A: The case centers on a brief description in the health law that says subsidies will be available "through an exchange established by the state."

In implementing the law, the Internal Revenue Service interpreted the law to allow eligible consumers to receive subsidies to help purchase coverage, regardless of whether they are in an exchange run by their state or by the federal government.

Opponents of the law questioned that interpretation, saying that the law as written clearly directs subsidies to state-based exchanges only. But proponents-- including several lawmakers who helped write it -- said lawmakers fully intended that subsidies be offered on all exchanges no matter if they were administered by the feds or state officials.

Q I don't know if my state runs its own exchange. Which states do?

A: California, Colorado, Connecticut, Hawaii, Kentucky, Maryland, Massachusetts, Minnesota, Nevada, New York, Oregon, Rhode Island, Vermont, Washington and the District of Columbia all run their own exchanges.

Idaho and New Mexico intend to set up their own marketplace for the next enrollment period, which begins in November, but used Healthcare.gov this year.

CNN Poll: Is Obamacare working?

Q: I live in a state with a federally run exchange, and I get a subsidy to help me buy coverage. Am I going to lose it?

A: Nothing is happening immediately. Justice Department officials said Tuesday they plan to seek an en banc review from the D.C. Appeals Court, meaning that the panel's full contingent of 11 judges would hear the case. Six of the court's judges would have to agree for the full panel to review the case. The full panel is dominated by judges appointed by Democrats, 7-4.

Eventually the case could be considered by the Supreme Court, but the current subsidies would likely remain in place until there is a final legal decision on the matter.

"In the meantime, to be clear, people getting premium tax credits should know that nothing has changed; tax credits remain available," said Emily Pierce, deputy director of the Justice Department's office of public affairs.

White House spokesman Josh Earnest said the administration was confident it would prevail. "You don't need a fancy legal degree to understand that Congress intended for every eligible American to have access to tax credits that would lower their health care costs, regardless of whether it was state officials or federal officials who were running the marketplace."

Supporters of the court challenge to the IRS interpretation on subsidies also maintain their case is strong.

"The executive branch does not get to rewrite statutes just because it thinks those statutes would work better a certain way," said Michael Cannon, director of health policy studies at the libertarian Cato Institute who championed the subsidy appeals.

"If people lose those subsidies it is because the courts have ruled that those subsidies are and always have been unlawful -- that the administration had no authority to administer those in the first place."

Q: Are these the only two court cases?

A: No. There are two other similar cases pending in courts in Oklahoma and Indiana.

Q: If there are legal disputes ongoing about who qualifies to receive a subsidy, do I still have to buy health insurance?

A: Yes. The law's "individual mandate," which requires most people to purchase health insurance or pay a fine, is still in place.

Q. What if I get my insurance through work?

A: This decision applies only to policies sold on the online marketplaces. It does not affect work-based insurance, Medicare or Medicaid, regardless of where you live.

CNN Money: The impact on 4.7 million Americans

Kaiser Health News is an editorially independent program of the Henry J. Kaiser Family Foundation.

@highlight

Two courts made conflicting rulings on Obamacare subsidies this week

@highlight

One court said subsidies are only available for state-run insurance exchanges

@highlight

Other court said subsidies should apply for federal exchanges too

@highlight

Decision will likely go to the Supreme Court