ATLANTA, Georgia (CNN) -- Federal authorities said Tuesday that health care providers could consider simply watching for flu symptoms in some individuals rather than prescribing preventive antiviral drugs right away if a person has been exposed to the flu.

CDC: The fact that the virus has mutated little in recent months is a reason for optimism.

"In the new guidance, we add an option," said Dr. Anne Schuchat, director of the National Center for Immunization and Respiratory Diseases at the Centers for Disease Control and Prevention. "Instead of preventive use of antivirals, providers might want to consider watchful waiting."

Under watchful waiting, a clinician would wait to see whether someone who came into contact with an infected person went on to develop flu symptoms -- like fever or respiratory problems -- before prescribing the drugs, she said.

But the list of people with flu symptoms who should be given antivirals remains unchanged from the disease agency's recommendations in May, she said. It includes people with chronic conditions, the very young, the very old and pregnant women.

"Timing is important," she said. "Beginning treatment within 48 hours of symptoms can really help with the outcomes. People can do better with the illness."

One way to speed access to the drugs would be for a doctor to write his or her high-risk patients prescriptions, which they would fill only after they had developed symptoms and discussed those symptoms with their doctors, Schuchat said.  How much do you know about H1N1? Take our quiz »

That would save patients the time needed to see their doctor and would ease the load of sick people descending on their physicians' offices, she said.

But anyone with difficulty breathing, and particularly young children under age 5 who have bluish skin, difficulty eating, vomiting "that just doesn't stop" or a difficult time waking up should consult their physician, she said.

Already, some Southeastern states -- particularly Georgia, Alabama, Mississippi and Florida -- have been hit hard by the swine flu virus, also known as 2009 H1N1 influenza, perhaps because schools opened earlier there, she said.  Watch Schuchat talk about the upcoming flu season »

On Friday, 24 elementary and secondary schools dismissed about 25,000 students because of the flu, Schuchat said.

"It's causing increased disease, and it's time to pay attention," she said. "We wish we could predict exactly what is going to happen, but unfortunately we cannot."

Still, there are reasons for optimism, including the fact that the virus has changed little in recent months, suggesting that a vaccine under development will prove effective, she said.

All patients hospitalized with flu should get the antivirals, she said, even before the strain they have is confirmed by a laboratory test.

But most people will not need antiviral medications, she said. "In fact, if all those people take antiviral medications, things may actually get worse," she cautioned, citing the risk that H1N1 might mutate to forms resistant to the antivirals.

Except for hospitalized patients, others with flu-like symptoms are not being tested to confirm they have swine flu, since "virtually all of the influenza that's circulating right now in the United States is the 2009 H1N1 strain," Schuchat said.

Dr. Tom Jefferson, who reviewed the efficacy of the antivirals, said he was unimpressed. He noted that Tamiflu, the most commonly used antiviral, can have serious side effects that the CDC did not cite. Its benefits -- shortening the duration of illness by one to two days and reducing viral excretion from the nose -- are modest, he said.

"The evidence that they do anything else is controversial and there is a possibility of harms, which hasn't been taken seriously," said Jefferson, a medical epidemiologist with the Cochrane Collaboration, an international, independent network of volunteers who prepare systematic reviews of evidence.

The CDC's own Web site cites nausea without vomiting by 10 percent and vomiting by 9 percent of adults taking Tamiflu.

It also said "transient neuropsychiatric events" such as self-injury or delirium have been reported among people taking the drug and that the Food and Drug Administration "advises that persons receiving oseltamivir [Tamiflu] be monitored closely for abnormal behavior."

Jefferson, in a telephone interview from his home in Rome, Italy, said the FDA database reported harms, "from trivial all the way down to death," that have been linked to Tamiflu.

Citing the development of drug resistance as "a mathematical certainty," he urged the drugs be given sparingly.

The CDC's Schuchat told reporters that, in order to prevent shortages and avoid resistance, health officials are not recommending prophylactic use of Tamiflu. She said most of the handful of people in whom resistance to the antiviral was found had taken it before they got sick.

@highlight

Feds tweak recommendations for who should get antiviral therapy for H1N1 flu

@highlight

Instead of preventive use of antivirals, providers may consider watchful waiting

@highlight

Certain high-risk people with symptoms should still be given antivirals

@highlight

CDC: Virtually all influenza that's circulating right in U.S. is 2009 H1N1 strain