(CNN) -- A video camera mounted inside the police car of a Virginia Tech police officer slain Thursday showed a man with a weapon who appears to be same person as a man who was later found shot dead about a quarter of a mile away, a Virginia state police official said Thursday night.

Maj. Rick Jenkins added that, at this point in this investigation, "we cannot say definitively" that the second victim had fired the shots that killed Officer Deriek W. Crouse. But the man does appear on video footage from moments before that officer was killed, and he also matches the description first put out by police of the suspect.

In addition, Jenkins said authorities "have recovered clothing items that lead us to believe that" the second victim and the man on the video "are one and the same."

The incident began about 12:15 p.m., when Crouse, a four-year Virginia Tech police veteran, pulled over someone during a routine traffic stop in the Cassell Coliseum parking lot near McComas Hall. The Cassell Coliseum at Virginia Tech houses athletic facilities. McComas Hall houses exercise facilities.

Soon thereafter, police "dispatch was unable to make contact with the officer," Virginia Tech Deputy Police Chief Gene Deisinger said.

Then, before 12:30 p.m., police received their first call from a witness who said he'd seen the suspect -- who state police Sgt. Bob Carpentieri said authorities "do not believe ... was in the vehicle that was stopped" -- approach the officer's car and open fire.

A few minutes later, at 12:36 p.m., the first of six alerts was issued to the campus community about the shooting.

A visibly upset Julie Fleming described to CNN affiliate WDBJ how she'd been walking nearby and saw police pull up around the vehicle of the officer who had been shot.

"When they opened (the car door), he just fell out toward the ground, and they immediately started reviving him," she said, adding that two officers then took off with weapons after the gunman.

Brian Walls, an employee in the school's athletic department, told CNN he also saw first-responders trying to resuscitate someone in the same area, which is also near the university's football stadium.

The shooter had fled on foot toward a parking lot known as "the Cage," school spokesman Mark Owczarski said. This suspect was "described as white male, gray sweat pants, gray hat w/ neon green brim, maroon hoodie and backpack," Virginia Tech said in posts on its website and Twitter feed.

About a quarter-mile from the first shooting, in what's described as the "I-Lot," a law enforcement officer saw a suspicious man and tried to contact him, Virginia Tech Police Department Deputy Chief Gene Deisinger said.

"By the time they turned around and located the subject, that subject was deceased," the deputy chief said.

Gov. Bob McDonnell said Thursday night that "another gunshot" had been heard between 15 to 30 minutes after the first shooting.

The clothes tied to the initial suspect description were recovered later. Jenkins, though, did not state they were found on the second dead man, where he was found.

While several updates were sent out, it wasn't until 4:30 p.m. that the school announced on its Twitter feed that "law enforcement agencies have determined there is no longer an active threat or need to secure in place. Resume normal activities."

On Thursday afternoon, authorities similarly did not explicitly state that the second person shot dead had earlier killed the police officer. Carpentieri said only that "investigators feel confident that they have located" the officer's shooter.

"When the university lifted the alert, they consulted with several people and they felt that it was safe for students and faculty to go about their day," Carpentieri said. "We like to think that things are safe."

Crouse, 39, joined the Virginia Tech police force six months after the 2007 mass shooting, according to a release on the school's website. A U.S. Army veteran who had worked at the New River Valley jail and with the Montgomery County Sheriff's Department, the Christiansburg resident is survived by his wife as well as five children and stepchildren.

The second slain man has not been identified by name. And police also have not given a possible motive for the shootings.

The Virginia State Police are taking the lead in the investigation, Deisinger said. Federal agents are involved as well, including six agents from the Bureau of Alcohol, Tobacco, Firearms and Explosives who responded to the scene, ATF spokesman Scot Thomasson said.

In addition to reviewing the video from Crouse's car, investigators are sorting through ballistic and DNA evidence and interviewing witnesses, said Jenkins of the state police

The episode rattled a campus where 33 people were killed on April 16, 2007, when student Seung-Hui Cho went on a shooting rampage. Two of those deaths occurred at West Ambler Johnston Hall, across the street from the Coliseum lot.

"In light of the turmoil and the trauma and the tragedy suffered by this campus by guns, I can only say that words don't describe our feelings and they are most elusive at this point in time," Virginia Tech President Charles Steger told reporters Thursday.

On Thursday, law enforcement and school officials said the alert system put in place in recent years worked well, both from technological and communications standpoints.

"What I observed and experienced was significant cooperation from everybody I encountered," Deisinger said of what he saw, on campus, after the alerts went out. "I think the community received the notification and responded to that, as we asked them to."

Kiersten Todt Coon, a risk management consultant who has worked with other universities on campus management, said it appears that accurate information was communicated quickly and methodically -- in contrast to what happened four years ago.

That said, she said school administrators should now review whether that information got out to everyone who needed to get it.

"Did the messages work across the board?" Coon asked rhetorically.

One school administrator said he and other staffers locked rooms and laboratories in Shanks Hall within three minutes of getting the first alert around 12:36 p.m. In the subsequent hours, he said faculty and employees got "regular and updated information" that he described as "very helpful" and calming.

"We've practiced this over time," said Robert E. Denton Jr., head of Virginia Tech's department of communication, told CNN affiliate WSLS during the lockdown. "This is kind of scary to go through ... It brings back so much."

McDonnell lauded the communications effort not just as governor, but also as a parent: His daughter is a Virginia Tech master's student who was confined to a basement classroom during the four-hour episode.

"Like so many parents who had children on the Virginia Tech campus, I felt a lot of that angst and uncertainty," he said. "Again, I want to express my gratitude to law enforcement for making sure that they kept the faculty (and) parents regularly informed."

Classes for the semester ended Wednesday. Students were preparing Thursday for final exams for the fall semester, though the university announced on its website that Friday's exams had been postponed to Saturday.

A small vigil was held Thursday night on the Blacksburg campus, and a similar event is scheduled for for 6:30 p.m. Friday, according to a posting on the student government association's Twitter account.

Beyond Virginia Tech, Thursday's incident had ripple effects elsewhere in western Virginia.

All public schools in Montgomery County -- where Blacksburg is located -- were also placed on lockdown, county school Superintendent Brenda Blackburn said. Dismissal eventually began at 3:30 p.m., after a delay of more than an hour.

In addition, a western Virginia rest area along Interstate 81 was shut down Thursday afternoon, Virginia Department of Transportation spokesman Jason Bond said. The stop, on the highway's northbound side, is about nine miles from the Virginia Tech exit.

He did not know whether that move -- which was ordered by state police -- was related to the Blacksburg shooting. Carpentieri noted there was "some suspicious activity at that location," though he also declined to say whether it was related to the Virginia Tech incident.

Several Virginia Tech administrators -- including the head of campus police, Wendell Flinchum, and the emergency management director, Michael Mulhare -- were in Washington on Thursday at a federal court hearing on the 2007 shooting on the school's campus, according to U.S. Department of Education officials.

Flinchum and the school were criticized after that incident for not notifying students quickly enough that there was a danger on campus. The hearing was an appeal of the Department of Education's fine of $55,000 on Virginia Tech under the Clery Act, a federal law related to campus safety.

In April, Virginia Attorney General Ken Cuccinelli called the 2007 case against Virginia Tech "Monday-morning quarterbacking at its very worst."

As to Thursday's incident, Carpentieri stressed that there were "two crime scenes" -- where the two bodies were found -- and that the probe is ongoing, with many questions still unanswered. At the same time, he voiced confidence that "things are safe for people to be out again."

"These are large crime scenes and it takes several hours to put the puzzle together," the state police sergeant said. "We still don't have a lot of the puzzle pieces connected."

CNN's Carol Cratty, Phil Gast, Greg Botelho, Vivian Kuo, Eric Fiegel and Sally Holland contributed to this report.

@highlight

NEW: A vigil is held at Virginia Tech on Thursday night; another is set for Friday

@highlight

Video from a slain police officer's car shows a man with a gun, just before shooting

@highlight

The man on the video matches the description of a person later found shot dead

@highlight

A state police major says "we cannot say definitively" the dead man shot the officer