International monitors investigating the Malaysia Airlines crash in eastern Ukraine said Friday the team was not given full access to the site and was greeted with hostility by armed men.

"There didn't seem to be anyone really in control,"  Michael Bociurkiw, spokesman for the Organization for Security and Co-operation in Europe team, told CNN's Christiane Amanpour.

Armed men, apparently pro-Russia militants, loosely guarded the area but couldn't answer the monitors' questions, he said.

Bociurkiw said the group only stayed about 75 minutes and examined about 200 meters at the scene before being forced to leave. Pieces of the airplane and bodies are spread over several kilometers.

The OSCE team arrived at the crash site near Torez in a remote section of eastern Ukraine that's controlled by pro-Russian militants battling the Ukraine government.

The United States says a surface-to-air missile, possibly fired by the militants, took down Malaysia Airlines Flight 17 on Thursday as the plane traveled from Amsterdam to Kuala Lumpur in Malaysia. All 298 people on board died. U.N. Under Secretary General Feltman said 80 of the victims were children.

Lack of access to the crash site worries U.S. officials, including Ben Rhodes, deputy national security adviser for strategic communications, who tweeted:  "Monitors should be able to access the crash site of MH17. US is deeply concerned by reports that separatists are denying access."

Bociurkiw said the investigation will be difficult because the plane crashed in a difficult-to-access area in the countryside with no electricity.

Many of the victims were on vacation

"I don't think too much of the crime scene has been compromised already," Bociurkiw said. "The bodies are still there. They have not been tampered with. We actually spoke to some civilian emergency workers. They said their job was just to mark where the bodies are."

The FBI is sending two investigators to work on the case, a U.S. law enforcement official said, but the Ukraine government will be in charge of the investigation.

Obama puts focus on Russia

The location of the flight recorder has not been determined.

Ukrainian Economy and Trade Minister Pavlo Sheremeta told CNN's Richard Quest that MH17's black boxes are in Ukraine.  Sheremeta would not say, though, whether the government has them.

"They are on Ukrainian territory. I don't know whether we have it or the international team has it," he said.

Earlier Friday, the adviser to the exiled governor of Dontesk told CNN's Victoria Butenko that the black boxes had been retrieved and were in rebel hands, though the location was not clear.

Russia likely bears some of the responsibility for the apparent downing of Flight 17, President Barack Obama said.

In the administration's strongest words yet on the downing of the jet, Obama said rebel fighters couldn't have operated the surface-to-air missile believed responsible for the shootdown "without sophisticated equipment and sophisticated training, and that is coming from Russia."

In his remarks to reporters, Obama said that he did not want to get ahead of the facts of who may have been directly involved in the airliner's destruction. But he said the United States would work hard to hold accountable those responsible for it.

He and other U.S. officials stopped short of publicly placing the responsibility on Russia, which has denied involvement in the destruction of the jetliner.

But a senior defense official told CNN that the "working theory" among U.S. intelligence analysts is that the Russian military supplied the Buk missile system to rebel fighters inside Ukraine.

The United States believes the missile system was transferred into eastern Ukraine from Russia "in recent days or weeks," a senior administration official told CNN, and that the system was operational at the time.

The United States believes pro-Russian separatists could not have operated it without Russian training, the official said, noting that it's unknown whether Russian personnel were on scene when the plane was shot down.

U.S. officials believe the plane was "likely downed by a surface-to-air missile ... operated from a separatist-held location in eastern Ukraine," the U.S. ambassador to the United Nations, Samantha Power, told an emergency session of the U.N. Security Council.  If pro-Russian separatists are responsible for shooting down the plane with a missile, investigators can't rule out the possibility that Russia offered help to operate the system, she said.

Power also said Russia should take steps to cool tensions in Ukraine.

"Russia can end this war," she said. "Russia must end this war.

At least one American on board

Obama confirmed that at least one U.S. citizen was aboard the plane; Quinn Lucas Schansman was a student at International Business School Hogeschool van Amsterdam, according to his Facebook page. A majority of the passengers (at least 173) were Dutch.

"No one can deny the truth that is revealed in the awful images that we all have seen, and the eyes of the world are on eastern Ukraine, and we are going to make sure that the truth is out," Obama said.

He called for an immediate cease-fire in the region and for a "credible international investigation" into what happened.

MAPS: What route did the flight take?

Among the evidence cited by U.S. officials and others for their conclusions was an audio recording released by Ukrainian intelligence officials which purportedly feature pro-Russian rebels and Russian military officers discussing a surface-to-air strike and the crash of a civilian jetliner.

"How are things going there," a man identified as a Russian intelligence agent asks.

"Well, we are 100% sure that it was a civilian plane," a man identified as a pro-Russian fighter responds.

"Are there a lot of people?" the Russian officer asks.

The rebel fighter then utters an obscenity and says, "The debris was falling straight into the yards."

CNN cannot confirm the authenticity of this audio, or other similar recordings.

Also, in a news conference Friday, the chief of Ukraine's security service, Valentyn Nalyvaichenko, said the Buk missile system that shot down the airliner crossed the border from Russia only "right before" the attack. He didn't say how investigators know that, however

Ukraine's Interfax news agency reported claims by an adviser to Ukrainian Minister of Internal Affairs Anton Geraschenko that the launcher, as well as the flight data recorders from MH17, were handed over to Russian agents across the border at a checkpoint in the Luhansk area overnight.

A senior Ukrainian official who spoke to CNN also accused Russia of carrying out a cover-up of its role in the shoot-down.

He cited video showing a Buk launcher being moved toward Russia overnight.

CNN could not independently confirm the claims.

Should downed Malaysian jet have flown over Ukraine?

Russia-Ukraine dispute

Tensions have been high between Ukraine and Russia since street protests forced former pro-Moscow President Viktor Yanukovych from power in February. Russia subsequently annexed Ukraine's southeastern Crimea region, and a pro-Russian separatist rebellion has been raging in Ukraine's eastern Luhansk and Donetsk regions.

Ukraine's government has accused Russia of allowing weapons and military equipment, including tanks, to cross the border illegally into the hands of pro-Russian rebels.

While Ukrainian officials implicated pro-Russian fighters and their Russian backers for the jetliner's downing, Moscow argued Ukraine was to blame.

"With regard to the claims raised by Kiev, that it was almost us who did it: In fact I haven't heard any truthful statements from Kiev over the past few months," Russian Foreign Minister Sergey Lavrov said in an exclusive interview with the state-run Russia 24 TV channel.

European Union leaders agreed this week to expand sanctions against individuals and entities in response to Russia's actions in Ukraine, with details to be decided by the end of the month. Expanded U.S. sanctions were also announced in Washington.

Airspace closed

The Ukrainian Ministry of Infrastructure announced Friday that the airspace over Donetsk, Luhansk and part of Kharkiv where rebels are operating had been closed indefinitely.

Malaysian Transport Minister Liow Tiong Lai defended the routing of the Malaysia Airlines plane over the region, saying other carriers were sending their aircraft through the same airspace.

Three months ago, the U.S. Federal Aviation Administration prohibited U.S. airlines from flying in areas some way south of where Flight 17 crashed Thursday. Thursday night, the FAA expanded the flight restrictions to all of eastern Ukraine.

Airline's troubles

Thursday's crash marks the second time this year that Malaysia Airlines has faced an incident involving a downed plane.

In March, Malaysia Airlines Flight 370 disappeared with 239 people on board. Searchers have found no trace of the Boeing 777 or its passengers despite extensive search efforts.

Flight 370 probably flew into the southern Indian Ocean on autopilot with an unresponsive crew, Australian authorities said last month. A new underwater search is expected to begin in August.

Did surface-to-air missile take down Malaysia Airlines Flight 17?

CNN Flight 17 full coverage

@highlight

U.N. official says 80 of 298 victims were children

@highlight

Monitors say they only spent 75 minutes at crash site

@highlight

Rebels couldn't have shot down the jetliner without backing, Obama says

@highlight

U.S. envoy to United Nations says pro-Russia rebels likely fired missile at plane