(CNN) -- Most kids can freely snack at recess, but a growing number of American children have food allergies that can lead to serious reactions if the wrong ingredient gets into their mouths.

Ammaria Johnson, 7, of Virginia, died January 2 of cardiac arrest and anaphylaxis, according to a statement from Chesterfield County police. The girl had received a peanut from another child unaware of Ammaria's allergy, police said. Ammaria ate the peanut on the playground, and then approached a teacher, who took her to the school clinic. School personnel, responding police officers and firefighters were unable to save her life, and she was declared dead at Chippenham Hospital.

Detectives determined that no crime or criminal negligence occurred as a result of the actions of school personnel, Ammaria's mother or the child who gave Ammaria the peanut, police said.

There is no cure for food allergies, and a person can develop them at any age. The only treatments available are antihistamines for mild reactions and injected epinephrine for anaphylaxis -- severe, life-threatening reactions in which the airway closes and the person is unable to breathe.

To make matters worse, food allergies are on the rise, although no one knows why. The number of kids with food allergies increased 18% from 1997 to 2007, according to the U.S. Centers for Disease Control and Prevention. Last year, researchers found that 8% of children under age 18 in the United States have at least one food allergy.

CNN received more than 1,000 comments from readers responding to the initial report of Ammaria's death, many of which questioned the responsibility of the school. Some readers said portable epinephrine injectors should be on hand at all schools and child-care institutions. "And what if a child has their FIRST reaction at a school (i.e., they didn't know they were allergic)? It would be their LAST reaction if the school is not properly equipped to handle it," commenter Boater39 wrote.

Most school districts have some sort of written policy on food policy management, said Maria Acebal, chief executive officer of the Food Allergy and Anaphylaxis Network. Normally, epinephrine prescribed to individual students is kept at school.

"All the school policies I'm aware of require the parent to turn in the medication and to have the school keep it readily on hand," she said. And some states have schools that allow students, with appropriate consent, to carry their prescribed medication on them (Acebal's organization keeps this list of states and their policies).

Some states, but not the majority, allow schools to have a stock of epinephrine -- not specifically prescribed to anyone -- to give in an emergency to any student who is suffering from an anaphylactic reaction. They may also permit the training of teachers and other staff in the use of epinephrine injectors.

Lawmakers are paying attention to the issue. Legislation introduced to the House and Senate toward the end of 2011, the School Access to Emergency Epinephrine Act, encourages states to require schools to have a stock of epinephrine that can be used for any student who is having an allergic reaction.

By some estimates, 25% of allergic reactions that occur in school involve children not known to have had an allergy before, Acebal said. And it's a myth that a person's first allergic reaction won't be a serious one, doctors say.

There's no way to know how severely a child will react to any given food to which he or she has a known allergy; any exposure may result in reactions ranging from nothing to a few hives to an inability to breathe.

"The more staff at a school that are trained on food allergy safety, the safer the environment for kids with food allergies," Acebal said.

Even if you think your child is having an allergic reaction to a food for the first time, it's likely that he or she has been exposed before, in utero, or through contact, or when it has been an ingredient in other foods. Once sensitization occurs, allergy can ensue, says Dr. Clifford Bassett, fellow of the American Academy of Allergy Asthma and Immunology and an allergist based in New York.

Acebal's oldest daughter had a reaction to peanuts the first time she ate them, when she was less than 2 years old. Two injections of epinephrine saved her life.

It is possible to develop an allergy at any age; to some extent, it is unpredictable. But there are certain risk factors: a strong evidence of family history, seasonal and indoor allergies, eczema and asthma. A child with one or more of those should be evaluated for food allergies by a board-certified allergist, said Bassett, also a fellow of the American College of Allergy, Asthma and Immunology.

An allergy test can help identify which foods may put a child at risk of anaphylaxis and other reactions. Tiny doses of allergen are placed under the skin, and those that produce a small bump are the likely problem foods. Unfortunately, this test does not predict how severe a reaction to eating that food would be.

Education is key to managing food allergies, Bassett said. Knowing what foods to avoid, learning how to read ingredient labels on food products and taking the initiative to ask about problem foods when eating outside the home are all essential. "Preparedness is part of the overall goal," he said.

Every child at risk of food-allergic reactions should have an allergy action plan on file with the school that is signed by a doctor, and an epinephrine injector available at school, Bassett said. The Food Allergy and Anaphylaxis Network has an emergency action plan online you can adapt to your needs for school and other child-care purposes.

A person who is experiencing anaphylaxis needs to receive epinephrine immediately; rapid decline and death can occur within 30 to 60 minutes, according to the National Institutes of Health. Repeat doses may be necessary, which is why doctors recommend having two epinephrine auto-injectors on hand in case of emergency.

During a reaction, the offending food or substance should be removed from the mouth or skin immediately, and the auto-injector should be injected into the thigh muscle. Call 9-1-1 or if already in a hospital, summon a resuscitation team, the National Institutes of Health says.

Some CNN readers called for better health support in schools:

kinderlove: Every school nurse should have an [epinephrine auto-injector].

ajkf : Every school should have a nurse.

The National Association of School Nurses agrees on both points.

About 75% of schools in the country have access to a school nurse, and about 25% do not have any access to a school nurse. Between 40% and 50% have a full-time nurse. There's not really a shortage of school nurses; there's a shortage of funded positions, said Linda Davis-Allbritt, president of the organization.

"Children need to have a school nurse so that their health conditions can be well-managed," she said. "Healthy kids do learn better."

It's rare, but it has happened that when there is a clear emergency, a school nurse would use an epinephrine injection that was prescribed for another student, she said. This action would be controversial, however -- one problem is that the other student could have had a reaction at the same time or shortly thereafter, and their medication would have been used.

"The cost of epinephrine is so much less than the value of a child's life," Davis-Allbritt said. "It would make a lot of sense to have epinephrine available, and have a school nurse in the building every day, and have people besides the school nurse who are trained in case there is an emergency."

@highlight

A first-grader in Virginia died of an allergic reaction January 2

@highlight

There is no cure for food allergies

@highlight

About 8% of U.S. children under 18 have at least one food allergy

@highlight

State laws vary on whether schools can stock epinephrine