PALMETTO, Georgia (CNN) -- The idea of investing in new home construction and high-end restaurant businesses would send most entrepreneurs running these days, but developers in a small community in rural Georgia say they're still growing.

The community of Serenbe in rural Georgia is surrounded by 40,000 acres of dense forest.

At first glance Serenbe is a bucolic scene of horses and stables ringed by 40,000 acres of dense oak and pine forest, but as you drive around the first bend, a collection of look-alike white houses emerges, giving the distinct impression of a conventional high-end housing development.

But a 21st century high-tech eco-village soon emerges from the mists.

There are paths leading to water recycling facilities, composting, recycling, and 25 acres of organic-certified farmland, four of which are planted with anything from hops for beer making to sweet peas. A silver sign is prominently displayed in recognition of Serenbe's ecologically sound construction, proving that Serenbe is not the average cookie-cutter housing development.

Serenbe, a community founded on principles of farm-to-table cooking and environmentally conscious building techniques, has seen its fortunes rise while the rest of the country struggles. The development's founders have sold four homes and five building lots at the development since January alone, and they believe that innovation may be just the thing the economy needs.

Founders Marie and Steve Nygren say they're running their business the old-fashioned way: looking back to what they call a "village model," where people shop and dine locally, helping to sustain each other's business while also creating less waste.

"People are looking for what's important, quality of life, for them and their children. Many of the residents want to know their neighbors, and we're creating public spaces where they can interact," Steve says.

The community started small: the Nygrens bought a farmhouse and 90 acres of land back in 1991. At first they used it as a weekend retreat from nearby Atlanta, but three years later they made it their permanent residence and workplace. Soon the 90 acres became 1000, the farmhouse became an inn, and the Nygrens developed a vision of community.

"We're intentional in the way that we respect the environment. It's about the way you live, the way you interact, the way you eat," says Marie. It has also been a business success: today Serenbe is a four-year-old upscale housing development, where the starting price for a house is $350,000.

In the last three years Serenbe has grown to a community of 160 residents, mostly young families who work in the Atlanta area, the self-employed or retired. So far, 102 freshly built environmentally friendly homes and business spaces have been rented and sold, a small collection of boutiques and galleries has popped up, and at the heart of the community, three restaurants are thriving.  See photos of what the community looks like »

Hilary White is the latest chef to join Serenbe's community, and her 18-month-old restaurant, The Hil on the Hill, is now the centerpiece of the community's small commercial block. White came to Serenbe for the four-acre organic farm that is now steps away from her kitchen. She gets her kale there in the winter, her fruit in summer, and for most of the year enough produce for all of her cooking at the restaurant.

Not only does she save fuel and energy by minimizing the products she has to have shipped in, but diners near and far are drawn to the freshness of farm-to-table cuisine.

"The winter is a smaller menu, but in the summer it's endless," she says.

Harvesting the last delicate bundles of this season's spinach for tonight's dinner, she already knows how to use them: "We like these leaves, nice and crinkly, holds the vinaigrette really well, and it's just got a real good flavor."

In colder months she makes her culinary creations with hearty winter vegetables like shitake mushrooms, cabbage and Kohlrabi, a water chestnut-textured turnip.

But what's driving the restaurant's success in these cold economic climes? Jim White, Hilary's husband and business partner, says it's the alternative nature of their business that has saved them from going under.

"We don't have as much of a roller coaster ride, people are traveling to see us, and they come from the city because of the whole farm-to-table concept."  Watch a farm-to-table cooking demo »

Hilary and Jim admit that the restaurant's sales have slowed recently, but business is brisk enough that they have no plans to scale back.

And Serenbe is also bucking some of the national trends, especially when it comes to real estate. According to the National Association of Realtors, new home sales in 2008 were down nearly 37 percent, and it is projected that in 2009 sales could fall another 39 percent. The figures have scared developers away from investing in new types of property, but Steve Nygren says that Serenbe is maintaining sales even now.

"We still have consistent movement," Steve says, "and considering the current environment we're really pleased."

Shelton Stanfill was one of Serenbe's first full-time residents. Before moving to the development in 2006 he ran Atlanta's Woodruff Arts Center. He says he was attracted to Serenbe because he saw it as a "poster child for the anti-sprawl mentality."

Like many other residents, Stanfill was also drawn to the communal feel of the development. "We lived in Atlanta for 11 years and within four months of being at Serenbe I knew more people by first name than I ever did in my old neighborhood," he says.

When Steve Nygren started building his vision of an eco-community, conventional developers were skeptical about Serenbe, but now Steve says that "a lot of those developers are coming out now with tape measures and cameras to see what we're doing. They're realizing that high-quality environmental developments sell."

@highlight

Serenbe founded on principles of farm-to-table cooking, green building techniques

@highlight

Rural Georgia community's developers say they're still growing

@highlight

High-tech eco-village is surrounded by oak and pine forest

@highlight

Homes, galleries, boutiques, restaurants all part of community