(CNN) -- The Obama administration is launching a big new offensive: Combating sexual assault on college campuses.

On Friday, the White House launched "It's On Us," a campaign aimed at tackling the problem plaguing universities across the country. The movement, developed from recommendations issued by a White House-ordered task force in April, will seek to raise awareness and educate college students about the issue and what can be done to prevent it.

A top priority

"It's On Us" is a next step in a series taken by the Obama administration to address the problem of sexual assault at colleges.

In April, the task force released a 20-page report that highlighted what it described as the four most pressing problems in this area:

• Identifying the problem on campuses;

• Engaging men in prevention measures;

• Effectively responding to assault where it's reported; and

• Increasing transparency in the federal government's effort to enforce laws and respond to sexual assault cases.

The new campaign will focus on tackling those issues by expanding student-led efforts at individual colleges and partnering with associations including the NCAA and athletic conferences such as the Big Ten, and large companies, including Viacom, which will promote the campaign on MTV, VH1 and BET. Over 200 colleges have signed on to participate in the campaign, including Dartmouth, the University of Michigan and Bates College.

"This is on all of us, every one of us, to fight campus sexual assault," President Obama said Friday. "We are going to organize campus by campus, city by city, state by state; this entire country is going to make sure that we understand what this is about and that we're going to put a stop to it."

Senior administration officials told reporters in a conference call ahead of Friday's unveiling that ending sexual assault has been a top priority throughout Obama's presidency.

"Since the very beginning of the administration, the President and vice president have made it a top priority to end sexual assault. Today, one in five women is sexually assaulted while in college," senior Obama officials told reporters on a conference call.

"Most often, it happens to her during (the victim's) freshman or sophomore year by someone she knows. And also most often, she doesn't report what happened."

The one-in-five statistic is often cited by the White House when discussing this issue. It is derived from two studies conducted in 2007 and 2009. Many sexual assault instances go unreported, so it is difficult to get a complete count of instances.

Reference to the NFL scandal

Though neither Obama nor Vice President Biden mentioned recent revelations of domestic abuse by several NFL players, both made allusions, with Obama calling on athletic associations, among others, to step up their efforts and set a better example. Biden said that the campaign will be a success when every man understands that domestic violence is never acceptable.

"As far as we've come, the fact is that from sports leagues, to pop culture, to politics, our society still does not sufficiently value women. We still don't condemn sexual assault as loudly as we should. We make excuses. We look the other way," Obama said.

"The mark of success will be that not a single woman in America blames herself and when every man in America understands ... there is no circumstance at all under, other than self-defense, when he has the right to raise a hand to a woman. None. Zero," Biden said.

Obama administration officials didn't say whether the President or vice president would address the NFL scandals at the campaign's launch. They stressed that the focus of the movement was "primarily on college students as opposed to professional athletes" but said the NFL needs to "get a handle" on the problem and adopt a "zero tolerance" policy, since younger players tend to look up to professional athletes.

"The nexus to our campaign is an important one, too, in that many of these professional athletes are marketed as role models to young people," one official said. "So their behavior does have the potential to influence these young people."

"So that's one of the many reasons it's important the league gets a handle on this and have zero tolerance: Because many, many young people who are playing sports in high school or in colleges are looking up to these men as role models. And that behavior is not something we'd want them to replicate."

Engaging men

A key component of "It's On Us" will be to engage college-age men in the prevention process, White House officials told reporters.

"While we're going to seek to raise awareness with everyone and encourage everyone to get involved, there's also going to be a special focus on reaching and engaging men," a senior administration official said. That is "based on the social norms research that tells us that young men often overestimate other men's acceptance of violence."

"Most men in fact are not comfortable with violence against women, but they don't speak out because they believe that other men accept this behavior. By getting men involved, we think we can interrupt that way of thinking," they said.

Biden made a blunt appeal to men in his remarks Friday.

"So to the guys out there who are watching this on television: Step up," he said.

Officials stressed, though, that above all else, the campaign aims to be "inclusive," reaching everyone on a college campus, from students to faculty to top administrators.

Bringing in the celebrities

In addition to partnering with universities, associations, private companies and others, the administration launched a website and an anti-sexual assault public service announcement featuring Obama and Biden, plus several celebrities, including Jon Hamm, Joel McHale and Kerry Washington.

@highlight

NEW: President: "This is on all of us, every one of us, to fight campus sexual assault"

@highlight

The White House says one in five women are sexually assaulted while in college

@highlight

The campaign will target students through an array of media platforms

@highlight

A key component will be to engage college-age men in the prevention process