(CNN) -- Greg Smith left Goldman Sachs yesterday. After more than a decade at the firm, the executive left in a bit of a huff.

The culture of Goldman Sachs, Smith complained in a New York Times op-ed, is "toxic and destructive." It was not always so, he says. Indeed, Smith insists, a decent "culture was [Goldman's] secret sauce."

But then Lloyd Blankfein and Gary Cohn "lost hold of the firm's culture," with the result that this "decline in the firm's moral fiber represents the single most serious threat to [the firm's] long-run survival."

Moral fiber is no doubt important. So, too, is culture. But it is a mistake to understand culture without also understanding incentives. The culture that Smith praises was the product of a firm with a particular legal form, in a particular financial environment. At just about the same time, both particularities changed. And given these changes, it is no wonder that the culture Mr. Smith celebrates soon disappeared.

For most of its history, Goldman Sachs was a partnership. That meant the principals were jointly and individually liable for the losses of the firm. And for most of its history, Goldman Sachs operated in a relatively boring financial environment. Low risk and low reward. No doubt there was money to be made. But regulations designed to keep the system safe meant that the real money in that economy got earned by people who made real stuff.

In the 1990s, however, both conditions changed. Goldman Sachs went public in 1999, though the partners kept 48% of the stock themselves. And the regulations that had kept finance boring had all but disappeared by the time Goldman's IPO was issued.

These changes increased the market opportunity â€” radically. They also increased the market pressure on financial firms â€” radically, as well. Bold (and sometimes reckless) experiments ("financial innovations") created incredible opportunities for firms like Goldman to profit.

Persistent and relentless pressure from a publicly traded stock pushed employees to experiment more boldly still. Ticking across every employee's computer was the firm's stock price, a constant market signal of how they were doing â€” up, good; down, bad. Those signals in turn were driven by the behavior of competing firms.

Another view: Attack on Goldman misfires

Recklessness by a competitor may produce higher profit in the short term. But the (nontransparent derivatives) market couldn't easily distinguish between profit driven by recklessness and profit driven by better management. The consequence was a kind of teaching-to-the-test. Behavior (however reckless) that produced the right signals from the market got rewarded. When that wasn't enough, more and more, as Smith puts it, "people push the envelope."

But you can't negate the effect of these two changes with a simple injunction to "Be Good!" Being good would be great. But we won't get great (or even mere good) until we change the incentives that drove Wall Street off the cliff. We must, in other words, re-examine the changes that brought about this bad climate.

Robert Reich, for example, has long argued that "professional companies should not be permitted to become publicly held corporations." As he puts it, "Such a step puts them into high-stakes competition for investors, pushing them to maximize profits over their responsibilities to the public." (Not to mention their client.) Take away the stock ticker, in other words, and you make it easier for the traders to do (long-term) right.

Likewise with financial innovations. If we're going to keep these instruments as part of our financial system, then we obviously need to increase the regulatory oversight that would keep at least a rational firm in check. Not just the rules to regulate risk, but the punishments for behaving badly. If rewards are greater, then penalties need to be greater, too. At least if we're to avoid the kind of culture that Smith so powerfully criticizes.

None of this means that strong moral fiber and the right culture aren't important. They are. Since at least Adam Smith we have known that markets with good morals are more efficient than markets without. But we cannot rely upon the gossamer threads of being good when having more money than God is the reward for being bad. Good law is needed, if good culture is to have a chance of return.

The opinions expressed in this commentary are solely those of Lawrence Lessig.

@highlight

Goldman Sachs executive quits, blaming the firm's culture

@highlight

Lawrence Lessig: Goldman changed when it went public and finance regulations were eased

@highlight

The pressure to raise the stock price was constant signal for employees to take risks

@highlight

Lessig: Culture can't triumph over incentives when so much money is at stake