Washington (CNN) -- President Barack Obama will use a major speech this week on the Middle East to reaffirm basic U.S. principles and policies regarding the region while also toughening his administration's stance against Syria's crackdown on pro-democracy demonstrators, administration officials said Monday.

The speech Thursday at the State Department also will address the ongoing fight against al Qaeda following the May 2 killing of its leader, Osama bin Laden, as well as the current status of the Israeli-Palestinian conflict, said the officials, who spoke on condition of not being identified.

Last week, White House Press Secretary Jay Carney told reporters that Obama's address will be a "fairly sweeping and comprehensive" take on the events that have upended governments in Tunisia and Egypt and pushed other countries to take steps toward reform. The speech comes nearly two years after a 2009 address in Cairo, the Egyptian capital, that called for "a new beginning" between the United States and the Muslim world.

This time, the Arab Spring that has launched demonstrations throughout North Africa and the Middle East provides the backdrop as Obama continues to enjoy a domestic political uplift from the successful U.S. mission to eliminate bin Laden at his compound in Pakistan.

What's next for the Arab Spring

According to the administration officials, major themes of the speech will focus on how change in the Middle East region came from the people who live there and provided them with an opportunity to gain a say in their future governance, and that the United States cannot impose change but will uphold principles such as freedom of assembly, the right to self-determination and respect for human rights.

Obama also will address situations in specific countries, and is expected to come out strong against Syrian President Bashar al-Assad's violent response to protesters in his country, the officials said. They expect additional U.S. sanctions on Syria to be announced before the speech and said the new measures could target Assad by name.

Report: Iran sending banned weapons to Syria

Other countries likely to be mentioned by name include Bahrain and Yemen, but not with the same level of criticism as directed at Syria, the administration officials said.

Obama also will talk about how the Middle East protesters are demonstrating for freedom and democracy, rather than the bin Laden-al Qaeda ideology.

On Sunday, former National Intelligence Director Dennis Blair said that the speech will give Obama a chance to restate American backing for the outpouring of support for the Arab Spring.

"I think it brings us the opportunity to get on the right side of history, the things we believe in," Blair said. "The Arab Spring is not just about Israel, it is about freedom and democracy. And I think that sentiment is very powerful, plays to our strengths and we should be strongly in favor of that."

The Obama administration helped prod former Egyptian President Hosni Mubarak to leave office in February after the country's military establishment refused to crush a popular uprising against his nearly 30-year rule.

U.S. forces took part in the NATO air campaign against Libya, where the allies have called for Libyan leader Moammar Gadhafi to yield to an armed rebellion and leave power after nearly 42 years.

Arrest warrants sought for Gadhafi

Washington slapped sanctions on top Syrian officials after a violent crackdown on pro-reform protests there. But the clampdown on demonstrators and activists in Bahrain, a key U.S. ally in the Persian Gulf, has drawn only verbal protests from American officials.

"They are bottling up forces which will eventually push them out," Blair said. "So I think that what the United States does is to encourage that in general, and then we support specifically where we can."

While Obama's Cairo speech of 2009 was well-received, a feeling persists in the region that U.S. policy in reaction to the Arab Spring has been inconsistent. Expectations therefore are high for Obama to this time lay out a clear and strong statement of intent and action rather than general platitudes and half-measures that fail to materialize.

Blair served as director of national intelligence until May 2010, when he resigned after finding himself at odds with the White House and others in the intelligence community during his 16-month tenure. His predecessor, John Negroponte, said Sunday that other players, including the Arab League and the international community, will have to "step up" to support reform if it is going to succeed.

"The Libya case, I think, is instructive in that regard because you will recall that President Obama stipulated that there needed to be more unilateral and European engagement in that situation," said Negroponte, who also served as U.S. ambassador to Iraq under the Bush administration. "And I think ditto with respect to Syria."

Princeton University analyst Anne-Marie Slaughter told CNN's "Fareed Zakaria GPS" Sunday that Obama realizes the United States is "politically indispensable" to creating a broad coalition.

"But once we've done that, his idea is we shouldn't be the global policeman," said Slaughter, a former top State Department official. "Other countries have a really strong stake in these outcomes, and we should be willing to share responsibility with them."

Meanwhile, Negroponte said an Israeli-Palestinian peace deal is needed for Israel, a key U.S. ally, "to be viable over the long term." Though those efforts are currently stalled, "We can never take it completely off the table," he said.

Deadly clashes mark Israel's founding

The administration's Mideast special envoy, former Sen. George Mitchell, resigned last week after two years leading efforts to resolve the decades-old Israeli-Palestinian conflict. Ongoing Israeli settlement construction in the occupied West Bank, the Palestinian Authority's efforts to reconcile the feud between the Hamas and Fatah factions that rule different Palestinian territories and Palestinian steps toward a unilateral declaration of statehood have driven the two sides further apart during that period.

Kishore Mahbubani, a former Singaporean diplomat and ambassador to Washington, told "GPS" that other countries will be watching the Americans closely because of the global reach of the United States.

"They'll always look at both American rhetoric and American deeds," Mahbubani said. "American power is present everywhere."

CNN's Matt Smith and Tom Cohen contributed to this story.

@highlight

Obama will address the U.S. role and policy in the region, officials say

@highlight

Expect the president to come down hard on Syria, according to officials

@highlight

Bahrain and Yemen also to be named, officials say