Washington (CNN) -- The nation's top intelligence officials told senators they used not only intelligence but clues in social media to keep abreast of recent uprisings in the Middle East and North Africa, but they admitted the task is a daunting one given the overwhelming amount of information available.

The officials were defending intelligence community efforts at the Senate Intelligence Committee hearing, during which Chairwoman Diane Feinstein, D-California, questioned whether the CIA and other agencies were adequately following clues in social media in the lead-up to popular revolts that deposed the leaders of Tunisia and Egypt and have sprung up in other countries.

"I think we were at fault in that regard," she said.

Director of National Intelligence James Clapper defended the efforts of the open source center in tracking all media, but acknowledged more needed to be done.

CIA Director Leon Panetta told the lawmakers there is a massive amount of data out there to follow -- 600 million Facebook accounts, 190 million Twitter accounts and 35,000 hours of YouTube videos.

He said, "The real challenge is how to be able, going through the diversity of languages, going through the different sites that are out there, how do we look at the relevant websites to be able to draw from them the kind of information that would help us so this involves a tremendous amount of analysis."

Both Clapper and Panetta added that the social media sites are not necessarily predictive of what might happen.

Clapper sought to clarify a comment that was roundly criticized when he said the fundamentalist Muslim Brotherhood in Egypt was a "secular" group.

He told the assembled senators that he regretted that his comment last week was misunderstood and that his message was lost.

"The Muslim Brotherhood is obviously not secular. What I had hoped to convey and I would like to clearly state here is, the Muslim Brotherhood attempts to work through a political system that has been largely secular in its orientation," Clapper said.

He went on to say the Muslim Brotherhood would likely be part of the process in Egypt, as would many other opposition groups.

Feinstein expressed concern about whether U.S. intelligence knew enough about the Brotherhood's positions. Clapper was unable to give definitive answers to a series of questions she posed about whether the group supported Egypt's peace agreement with Israel, had ties to Iran and if it supported efforts to stop weapons from going into Gaza.

Noting that the Brotherhood has been portrayed by some as desiring a secular government, Feinstein cautioned, "From an intelligence standpoint, it is critical that we know that position and what is apt to happen. Egypt is the key country in the Middle East and I worry about that."

The ability of the United States to handle current and future terrorist suspects was also on the minds of many senators during the annual hearing on world threats.

Panetta was asked what would happen if al Qaeda leader Osama bin Laden or his deputy, Ayman al-Zawahiri, were captured.

"We would probably move them quickly into military jurisdiction at Bagram for questioning and then eventually move them into Gitmo," said Panetta, referring to the Bagram U.S. Air Force Base in Afghanistan and the Guantanamo Bay detention facility in Cuba.

Sen. Saxby Chambliss of Georgia, the ranking Republican on the committee, agreed Guantanamo would be the best place for them to go, but pointed out the Obama administration is moving to close the facility.

After the hearing, CIA spokesman George Little issued a statement clarifying Panetta's remarks: "As Director Clapper made clear, and as Director Panetta agrees, any decision about what might happen if Osama bin Laden and other terrorists are captured would be a decision for policymakers, and would have to be informed by the circumstances of his capture. The Director fully supports the President's commitment to close the prison at Guantanamo Bay because, as our military commanders have made clear, it's in our national security interest to do so."

A senior counterterrorism official also said, "The odds of Bin Laden and Zawahiri being captured alive are about as good as vodka losing favor among Russians."

Two years ago, President Barack Obama announced his intention to close the facility, a policy which has been heavily criticized by Republican members of Congress. The administration is still trying to sort out what to do with the 172 suspected terrorists who remain at the facility. Some will be put on trial although it is unclear where and whether it will be before a civilian or military court. A number will be sent to other countries if arrangements can be worked out. And there is the question of what to do with the detainees who can not be tried and there is no other nation willing or able to take them.

Chambliss also pointed out that a quarter of released detainees return to the battlefield. Clapper noted that the president suspended repatriations to Yemen because that country does not properly monitor or rehabilitate the former prisoners.

Feinstein brought up her growing concern with Pakistan's failure to adequately cooperate with the U.S. on counterterrorism efforts. She accused the Pakistani intelligence service of taking both sides of the street and cited the military's failure to pursue terrorists in North Waziristan.

Panetta said that although the Pakistanis have helped in some areas, it is a very complicated relationship that requires him to be part CIA director, part diplomat.

"They look at issues related to their national interests and take steps that further complicate our relationship and create tensions between our country and theirs," Panetta said. "What I try to convince the Pakistanis of is that we have a common enemy and we have common issues that require partnership and cooperation of both countries in order to be able to deal with those threats."

@highlight

CIA chief, national intelligence director testify before Senate Intelligence Committee

@highlight

Tracking social media for intelligence clues is a daunting task, CIA chief tells senators

@highlight

Sen. Feinstein drills for more information about Muslim Brotherhood's positions

@highlight

CIA clarifies Panetta's remarks about likelihood of bin Laden ending up at Guantanamo