On my first full day in the most economically divided county in America, people started telling me about the man who wanders the streets here with an American flag wrapped around his shoulders.

Everyone knew him, but no one had many details.

Me: Where will I find him?

You know, around.

Me: Right ... Like where, though?

Near the lake, maybe.

Sight unseen, this man became a sort of mythical being for me -- a representation of the soul of this part of the Mississippi River Delta, where a body of water and centuries of history largely separate the rich from poor.

Surely, he must have something to say about the American Dream.

As I wandered around both sides of Lake Providence, the town and the sickle-shaped body of water that separates the rich on the north from the poor on the south, I looked for the man with the American flag at every turn -- on Lake Street, with its boarded-up businesses; at the Grab Bag, a local gathering point; near a cemetery, where locals go to scratch off lottery tickets; at the Dock, a restaurant with a cartoonish red crawfish on the roof and warning signs for alligators.

I struck out, again and again.

I began to wonder whether the man and the flag actually existed. There's that scene in every great Western film (and in a dream sequence in "Wayne's World 2") where the cowboy looks across the desert and sees an elder or shaman in the heat-rippled haze of the horizon. Maybe all of these people imagined the man and his flag? Maybe they wanted a source of hope in a place that's about as economically depressed and desperate as they come. About 40% of people in the parish live in poverty.

There would be good cause for a mirage.

A reason for an imaginary mascot.

But then, five days into the trip, I saw him

He was sitting on a metal parking barrier off Interstate 65.

I was scheduled to interview the owner of My Dream Eatery, a rare new-business success story in a town that needs plenty more of those. But I knew I would miss him if I went to the interview. Hell, I was worried if I looked away, he would disappear. I peeked my head into the restaurant as quickly as I could to say that I was going to be a few minutes, sorry, but something had just come up.

As I walked toward him across the parking lot, I tried to look nonchalant but also wanted to catch his attention by waving, which is an impossible combination -- one employed successfully only by Mormon missionaries or maybe sex offenders.

I said hello -- hi, ahem, my name is John, and I'm from CNN. I'm working on this story, and I, well, I've heard about you. (!) I mean, I've heard about you. (...)

George Estes, 59, was kind enough to speak with me.

The American flag was neatly folded and wrapped around a backpack, not his shoulders. He was wearing several layers of clothing, a dress shirt, a tie, a tuxedo vest and a jacket. It felt like 100 degrees that day. Few clouds, if any.

As we talked, he wiped beads of sweat from his face.

But he looked completely and remarkably dapper for a person who walks five, six, seven, eight miles a day -- going nowhere and everywhere in particular.

He wears a large backpack, he said, to stop his back from hurting.

Estes' parents both died when he was relatively young, and he dropped out of school in seventh grade. He has struggled with mental health issues, he told me.

He survives on government disability insurance.

"I'd rather work than just be sitting here waiting on a check," he said.

But there aren't many jobs here, and he's largely given up.

I told him about the gist of my project. I was in East Carroll Parish because it has the highest level of income inequality -- the biggest rich-poor gap -- of any parish or county in the country. Lake Providence is the parish's largest town.

Estes told me knows nothing about the wealth that exists in the parish.

That's all on the other side of the lake, far away.

But he knows about the poverty.

"It's just like anybody else," he said. "Surviving's about the best you can do."

He lives in a rental house owned by his sister Ann Newson. She's never understood why her brother walks so much. They have 12 siblings in all, and he's the only one who insists on walking the streets all day, sometimes into the night.

There are many stories I could tell you about Estes, but I'll leave you with two, both about objects he carries with him at all times as he walks around Lake Providence.

The first, inside his backpack, is a cornet. Estes used to play taps and did so at his mother's funeral. Now he marches up and down the streets playing his horn, but only if he feels that God wants him to. He hasn't felt that calling in weeks.

His sister told a slightly different tale.

"Everyone used to love to hear him blow it," she said later. "I'm sure they would love to hear it now, but he smokes too many cigarettes."

In a nod to one my new favorite philosophers, John Rawls, whose 1971 book "A Theory of Justice" is a staple among inequality wonks, I asked Estes whether he thought his life would have been different if he were born on the other side of the lake -- if he were born into wealth rather than relative poverty.

My heart broke when he answered.

"I probably would have been a college graduate," he said. "I probably would ... I don't know what I would've been. (An) architect? But I've always been inclined to music, because everybody loves music.

"I ain't got no teeth in the front, but I still blow my horn," he said.

The second object is the flag.

Estes found it crumpled up and discarded on the edge of Lake Providence, the symbolically named lake that's the barrier between rich and poor.

"It was abandoned, and I was abandoned, and he seen me, and I needed it."

He told me he was collecting money to have the flag dry-cleaned.

He was embarrassed by how dirty it had become.

A few weeks later, on a second trip to Lake Providence, I saw Estes walking by the cemetery. I stopped to say hi and asked about the flag. He revived my belief in humanity when he told me a local dry cleaner tidied it up, free of charge.

@highlight

East Carroll Parish, Louisiana, has the highest income inequality in America

@highlight

John Sutter visits the parish to try to learn what could narrow the rich-poor gap

@highlight

One man he met wanders the streets wearing an American flag

@highlight

"I'd rather work than just be sitting here waiting on a check," he says