(CNN) -- Far-right extremist groups had been on the rise, particularly in reaction to President Obama's election in 2008 and the financial crisis around the same time. But now, hate group prevalence is taking a downward turn, according to a report released Tuesday.

The number of hate groups declined 7% from 2012 to 2013, the Southern Poverty Law Center said in the report.

"We had four years of spectacular growth of the radical right," said Mark Potok, senior fellow at the Southern Poverty Law Center. Now, it "seems to be turning a corner."

It's unclear whether the decline will continue, Potok said. There were 1,007 groups in 2012 and 939 last year, but those numbers are still substantially higher than in 1999, when there were only 457 such groups.

"Patriot" groups in particular saw a significant drop, falling 19% from 1,360 groups in 2012 to 1,096 in 2013. These anti-government groups had been strengthening in numbers substantially; there were only 149 of them in 2008.

The report attributed the overall declines in hate groups to factors such as Obama's re-election, an improving economy and law enforcement crackdowns.

"In other words, the same groups that were galvanized by Obama's first election and swelled dramatically as a result, were demoralized by his re-election, which seemed to signal that their battle was lost despite enormous effort," Potok wrote in the report.

Reasons for the trend

Mainstream politicians have also adopted right-wing extremist issues, which could be another reason for the drop. Laws in Arizona, Kansas, Louisiana, North Carolina, Oklahoma, South Dakota and Tennessee aim to stop Islamic Shariah law from being imposed on American courts, the report said, even though that could not happen under the Constitution.

State legislatures also have passed or considered laws that try to "nullify" federal legislation, which courts have repeatedly found to be unconstitutional, the report said. This "nullification" idea dates to the defense of slavery before the Civil War, resurrected "by Southern states resisting school desegregation and the civil rights movement."

Extremist groups also suffered because of their own internal dynamics, the report said, citing the National Alliance, which has gone from 1,400 people to under 100 since its founder died in 2002. The law center attributed the decline of this group -- which used to be the best organized in America -- to "its new leader's ineptitude and the SPLC's exposure of a series of embarrassing secrets about the group and its leaders."

But although fewer groups may be active, violence and terrorism stemming from them are still very much present, Potok said.

"When the groups are more out of step with public opinion, when they are weaker and more weakly led, is often when you see followers strike out violently," he said.

For instance, a self-described member of the Ku Klux Klan and an accomplice were arrested and charged with conspiracy to provide material support for use of a weapon of mass destruction last year, according to the criminal complaint. Federal officials said they were planning to develop a mobile X-ray system that would be used kill people whom they deemed "undesirable."

Feds nab KKK member, accomplice for lethal X-ray plot

Some geographic areas are more concentrated with extremist groups than others. California has the distinction of being the state with the most number of hate groups -- 77 -- followed by Florida with 58 and Texas with 57, according to the Southern Poverty Law Center's interactive map.

A move toward secrecy

Besides the obvious clash of values, there's an emerging trend among some extremist groups that runs counter to mainstream American society: leaving the Internet.

In some ways, that's not surprising, Potok said, because the more serious groups have always been underground.

Ku Klux Klan groups "held steady" with 163 chapters in 2013, but they are dampening their online presence, the report said. They appear to be leaving the Internet "in an apparent bid to regain the secrecy that marked their heyday."

A major specific group that ditched their digital presence is the United White Knights of the Ku Klux Klan, which has 30 "klaverns" (chapters), the report said. More recently, the 10-chapter Fraternal White Knights of the Ku Klux Klan declared that it had "gone underground so we can be more productive in our struggle. The only way you will be able to contact us from now on is through the old way, word of mouth," according to the report.

The group added, according to the report: "We are everywhere."

CNN's Lorenzo Ferrigno contributed to this report.

@highlight

There were 939 hate groups in 2013, Southern Poverty Law Center says

@highlight

That represents a 7% decline from 2012

@highlight

Trend among Ku Klux Klan is leaving the Internet