(CNN) -- Author Arthur C. Clarke, whose science fiction and non-fiction works ranged from the script for "2001: A Space Odyssey" to an early proposal for communications satellites, has died at age 90, associates have said.

Visionary author Arthur C. Clarke had fans around the world.

Clarke had been wheelchair-bound for several years with complications stemming from a youthful bout with polio and had suffered from back trouble recently, said Scott Chase, the secretary of the nonprofit Arthur C. Clarke Foundation.

He died early Wednesday -- Tuesday afternoon ET -- at a hospital in Colombo, Sri Lanka, where he had lived since the 1950s, Chase said.

"He had been taken to hospital in what we had hoped was one of the slings and arrows of being 90, but in this case it was his final visit," he said.

In a videotaped 90th birthday message to fans, Clarke said he still hoped to see some sign of intelligent life beyond Earth, more work on alternatives to fossil fuels -- and "closer to home," an end to the 25-year civil war in Sri Lanka between the government and ethnic Tamil separatists.

"I dearly wish to see lasting peace established in Sri Lanka as soon as possible," he said. "But I'm aware that peace cannot just be wished -- it requires a great deal of hard work, courage and persistence."

Clarke and director Stanley Kubrick shared an Academy Award nomination for best adapted screenplay for "2001." The film grew out of Clarke's 1951 short story, "The Sentinel," about an alien transmitter left on the moon that ceases broadcasting when humans arrive.

As a Royal Air Force officer during World War II, Clarke took part in the early development of radar. In a paper written for the radio journal "Wireless World" in 1945, he suggested that artificial satellites hovering in a fixed spot above Earth could be used to relay telecommunications signals across the globe.

He is widely credited with introducing the idea of the communications satellite, the first of which were launched in the early 1960s. But he never patented the idea, prompting a 1965 essay that he subtitled, "How I Lost a Billion Dollars in My Spare Time."

His best-known works, such as "2001" or the 1953 novel "Childhood's End," combined the hard science he learned studying physics and mathematics with insights into how future discoveries would change humanity.

David Eicher, editor of Astronomy magazine, told CNN that Clarke's writings were influential in shaping public interest in space exploration during the 1950s and '60s.  Watch how Clarke stands among sci-fi giants »

"He was very interested in technology and also in humanity's history and what lay out in the cosmos," Eicher said. His works combined those "big-picture" themes with "compelling stories that were more interesting and more complex than other science fiction writers were doing," he said.

Tedson Meyers, the chairman of the Clarke Foundation, said the organization is now dedicated to reproducing the combination of imagination and knowledge that he credited the author with inspiring.

"The question for us is, how does human imagination bring about such talent on both sides of the brain?" he asked. "How do you find the next Arthur Clarke?"

Clarke was knighted in 1998. He wrote dozens of novels and collections of short stories and more than 30 nonfiction works during his career, and served as a television commentator during several of the Apollo moon missions.

Though humans have not returned to the moon since 1972, Clarke said he was confident that a "Golden Age" of space travel was just beginning.  Watch Clarke talk about sci-fi vs. reality »

"After half a century of government-sponsored efforts, we are now witnessing the emergence of commercial space flight," he said in his December birthday message.

"Over the next 50 years, thousands of people will travel to Earth orbit -- and then, to the moon and beyond. Space travel and space tourism will one day become almost as commonplace as flying to exotic destinations on our own planet." E-mail to a friend

@highlight

Arthur C. Clarke dies in Sri Lanka at age 90, aide says

@highlight

"2001: A Space Odyssey" was perhaps his best known work

@highlight

He and Stanley Kubrick shared Oscar nomination for best adapted screenplay

@highlight

Clarke had lived in Sri Lanka since the 1950s