(CNN) -- Tucked away in the Canadian province of Manitoba for several weeks each autumn is the largest wild polar bear concentration in the world.

An estimated 1,000 or so polar bears gather near the small town of Churchill, waiting for Hudson Bay to freeze over so they can hunt seals and other marine mammals.

This annual migration provides tourists, photographers and scientists from around the world the unique opportunity to view polar bears up close and personal.

"The most inspiring element of this adventure is the opportunity to lock your gaze with a wild polar bear," said John Gunter, the general manager of Frontiers North Adventures, an outfitter that hosts tourists to the remote region each year.

The bears are intriguing to watch. "Each has his or her own personality -- just like humans," said Robert Buchanan of Polar Bears International, a nonprofit organization dedicated to the worldwide conservation of the polar bear. "Some bears are shy, some are playful, while others are grouchy or aggressive."

There are some 20,000 to 25,000 polar bears around the world. Polar bears top the food chain in the Arctic, and people view them as a majestic symbol of the far north, said Buchanan.

Yet despite their mighty presence, polar bears are listed as threatened under the Endangered Species Act, with eight of the 19 polar bear subpopulations in decline, according to Krista Wright, the executive vice president of PBI.

Annual migration cycle of polar bears is changing

Each summer, the ice melts on Hudson Bay, forcing polar bears ashore. Once on land, without access to seals and other marine mammals, the bears enter a state known as walking hibernation. They live off their fat reserves and spend most of the summer resting and conserving energy, said Steve Amstrup, the chief scientist who studies the bears for Polar Bears International.

Some polar bears will roam up to 900 miles along the coast in search of food, such as berries, grasses and kelp, but these don't meet their nutritional needs, he said.

As autumn approaches, the bears migrate back to the Churchill region, where the annual freeze-up occurs sooner than elsewhere. As soon as the bay freezes, they scatter across the ice to hunt. The bears catch their prey from the surface of the sea ice. They remain there until the ice melts in summer and then the cycle repeats itself.

Over time, global warming and diminishing sea ice habitat have been the greatest threats to the bears, since this environment substantially reduces hunting opportunities, said Wright.

The ice has always melted each summer on Hudson Bay, forcing polar bears onto land. However, Wright said global warming has increased the amount of time the bears are separated from their main source of food, which is a problem.

PBI reports in just 20 years, the ice-free period in Hudson Bay has increased by an average of 20 days, cutting short the bears' seal hunting season, leaving them with little or nothing to eat.

The U.S. Geological Survey projects that two-thirds of polar bears will disappear by the year 2050, as climate change melts sea ice.

How to view the polar bears during migration

The most accessible and safest place in the world for tourists to view wild polar bears is in the Churchill Wildlife Management Area during the autumn months, Buchanan said.

"Polar bears do gather in places like Russia's Wrangel Island to wait for freeze-up, but the tourism infrastructure isn't there, as it is in Churchill," he said.

Many tourists visit the polar bears via a tundra buggy, an all-terrain vehicle that provides a safe haven for polar bear viewing and photography. The experience is somewhat like going on an Arctic safari, and only two tour operators in the area provide this service, Frontiers North Adventures and Great White Bear Tours.

The buggies resemble wide buses, sit high off the ground, and are designed for the rugged conditions. The all-terrain vehicles move as fast as 5 miles per hour along a network of 24 miles of ungroomed and often rock- and snow-covered trails inside the Wildlife Management Area. The buggies carry between 10 and 40 people at a time and a typical trip lasts about eight hours.

Sometimes, polar bears will walk right up to the buggies.

"During their first interaction with a wild polar bear many guests are brought to tears," said Gunter. "As a host, it's really fulfilling for me to watch and feel our guests' experiences with the bears."

The optimal time to view the wild polar bears is in October and November, when visitors can typically see between 10 and 30 polar bears a day.

To reach the Churchill area, most travelers fly or drive to Winnipeg, the provincial capital, then catch a 620-mile chartered or commercial flight north to Churchill. Hotel rooms during the peak season average about $250 U.S. per night.

An all-inclusive package, including airfare, can range from $2,450 to $8,700 per person.

For wildlife enthusiasts who can't make the trip to Manitoba, a live HD camera video feed of the polar bear migration ritual and other indigenous animals is available.

Starting this week and throughout the month of November, CNN.com/Live in partnership with explore.org will stream live video from Churchill of the polar bear migration. Explore.org is a nonprofit multimedia organization created to inspire lifelong learning.

Stream times will vary based on polar bear activity and news events of the day.

CNN.com's first live stream will be Tuesday, November 1, at 4 p.m. ET. Users can check the schedule at live.cnn.com for future show times.

"The polar bears are among the most magical of our planet's endangered species, and much like the tigers of Asia, have come to represent the many consequences of global warming and industrialization," said Charles Annenberg Weingarten, filmmaker and founder of explore.org.

"By providing a window into their worlds, we are giving people a chance to come together to cherish the bears and an opportunity to share their plight in a compelling way."

Buchanan said the video project is a powerful way to inspire people to care about polar bears and their Arctic. "When you look into a polar bear's eyes, it changes your life forever," he said. "You want to do everything you can to save them."

CNN's Neda Davis and Mervyn Teo contributed to this report.

@highlight

Manitoba hosts the world's largest wild polar bear concentration in autumn

@highlight

Annual migration ritual lets tourists view polar bears up close

@highlight

Live HD camera video feed of the polar bear migration available