Around this time of year, you're more likely to find college students in the library cramming for final exams than out partying. In an environment where the workload is endless and there's always more to be done, a quick fix to help buckle down and power through becomes very tempting.

Prescription ADHD medications like Adderall, Ritalin, and Vyvanse are becoming increasingly popular for overworked and overscheduled college students -- who haven't been diagnosed with ADHD.

"Our biggest concern ... is the increase we have observed in this behavior over the past decade," says Sean McCabe, research associate professor at the University of Michigan Substance Abuse Research Center.

Full-time college students were twice as likely to have used Adderall non-medically as their counterparts who were not full-time students, according to a National Survey on Drug Use and Health report released in 2009.

The numbers vary significantly by school, with the greatest proportion of users at private and "elite" universities. Some researchers estimate about 30% of students use stimulants non-medically.

More students think marijuana is OK

"When we look at upperclassmen, the number really begins to jump," says Alan DeSantis, professor of communications at the University of Kentucky who has conducted research on stimulant use in college. "The more time you stay on campus, the more likely you are to use."

Of course, by and large the most common use is to concentrate while studying, with more than 90% of users doing it for this purpose.

ADHD stimulants "strengthen the brain's brakes, its inhibitory capacities, so it can control its power more effectively," said Dr. Edward Hallowell, a psychiatrist and ADHD expert. "They do this by increasing the amount of certain neurotransmitters, like dopamine, epinephrine, and norepinephrine."

Students say they take these stimulants for the "right reasons," to be more productive in classes and to stay afloat in the sea of intense competition.

In a 2008 study of 1,800 college students, 81% of students interviewed (DeSantis 2008) thought illicit use of ADHD medication was "not dangerous at all" or "slightly dangerous." While the picture of a methamphetamine user has hollowed cheeks, rotting teeth, and skin sores, an amphetamine-dextroamphetamine (Adderall) user looks just like anybody else.

"It helps me stay focused and be more efficient, which is very helpful with the chaos of college," says one university student who takes Adderall anywhere from once a month to a few times a week, depending on her schedule and workload. Students did not want to be identified because of their illegal use of the prescription drugs.

Yet these drugs are Schedule II substances, sitting pretty on the Drug Enforcement Administration's list right next to cocaine, meth and morphine.

"College students tend to underestimate the potential harms associated with the nonmedical use of prescription stimulants," McCabe says.

Students may not know the stimulant's documented contraindications (situations in which a drug might be harmful) or recommended precautions or how it may interact with other drugs, McCabe says. Hallowell is also concerned that students taking controlled substances without prescriptions and physician supervision, noting that they may not know the dosage.

WATCH: ADHD meds don't work long-term

Short-term adverse consequences include sleep difficulties, restlessness, headaches, irritability and depressed feelings. Other side effects include loss of appetite, nervousness, and changes in sex drive.

The long term risk of psychological and physical dependence is of concern for routine users that may find they do not feel they can function optimally without it. Schedule II substances are classified by the DEA as having a high potential for abuse.

While students' knowledge of the health dangers are limited, even less consideration is given to the illegality of use. Obtaining stimulants from friends with prescriptions, as the vast majority of college students do, seems less dangerous and illegal than buying drugs off the street.

"The fact that it's illegal really doesn't cross my mind," one student says. "It's not something that I get nervous about because it's so widespread and simple."

The biggest barrier to changing attitudes is the effectiveness of stimulants on campuses where the ends justify the means, researchers believe. After those late library nights, many students praise the little pill that got them through their hefty textbooks and into the morning.

After taking Adderall, says one university student, "I just feel very alive and awake and ready for challenges that come my way."

"I'm on page 15 (of my paper) in just a few hours ... and I'm very confident in it."

@highlight

Some college students take ADHD medication to help with concentration

@highlight

According to a survey, the vast majority don't think there are risks

@highlight

Experts caution they may not know proper dosage or think about drug interactions