(CNN) -- On Thursday in Tampa, U.S. Secretary of Defense Chuck Hagel presided over a change of command ceremony during which Adm. William "Bill" McRaven handed over the reins of Special Operations Command to his successor, Gen. Joseph Votel.

As McRaven stepped down he observed, "We are in perilous times." He pointed out that U.S. Special Operations Forces are helping to fight the fast-growing Islamic State in Iraq; the al Qaeda-linked Abu Sayyaf in the Philippines; the militant group Boko Haram in Nigeria, and al Qaeda and the Taliban in the Afghanistan-Pakistan region.

McRaven also said, "We are in the golden age of Special Operations" in which elements of the 67,000 men and women under his command have deployed to 92 countries.

Now, after more than 3Â½ decades working in the world of special operations, Bill McRaven, 58, is retiring. In his next incarnation he will become chancellor of the University of Texas.

As Hagel pointed out in his speech on Thursday that celebrated McRaven's storied career, no one has written McRaven's full history, but if it ever was to be written it "would need to be heavily redacted" because so much of it took place in the "black" (secret) arena.

"Revered" is the word you often hear about McRaven in the special operations community. That's in part because even as a three-star admiral, about once a month in Afghanistan, McRaven went out with his teams on risky snatch-and-grab missions. (His predecessor as the commander of Joint Special Operations Command, Gen. Stanley McChrystal, also went out regularly on such missions and is similarly held in the highest regard.)

The book

Hagel pointed out in his Thursday speech that McRaven also has "literally written the book on Special Operations." Indeed, McRraven's 1995 book, "Spec Ops," is the standard text on the subject.

It features lucid dissections of eight decisive special operations actions, ranging from the British forces who used midget submarines to badly damage the Tirpitz, a key Nazi battleship, in 1943; to the Nazi rescue the same year of the Italian dictator Benito Mussolini from his anti-Fascist captors; to the raid at Entebbe in 1976 that freed Israeli hostages held in Uganda by Palestinian terrorists.

For his book, McRaven interviewed many of the key participants in the raids that he examined, and he traveled to the sites of the operations.

After a careful investigation of each raid, he identified six common principles that had made these operations a success: repetition, surprise, security, speed, simplicity and purpose.

-- Repetition meant frequent and realistic rehearsals so that the "friction" of actual battle was reduced.

-- Surprise meant catching the enemy entirely off guard; for example, the Nazi rescuers of Mussolini crash-landed gliders on a mountain near the hotel where the Fascist leader was being held and rescued him without a shot being fired.

-- Security meant confining the knowledge of the operation to a small circle.

-- Speed meant that "relative superiority" over the enemy needed to be achieved in the first few minutes of the attack, and that the entire mission should be completed in no more than a half-hour.

-- Simplicity ensured that the goal of the operation was well understood by each of the soldiers involved -- "release the hostages" at Entebbe.

-- Purpose meant that the soldiers were completely committed to the mission.

But McRaven's influence on "spec ops" goes far beyond just the book he wrote. McRaven helped establish a curriculum at the Naval Postgraduate School in Monterey, California. And after taking up a job in the White House just weeks after 9/11, he became one of the principal authors of the Bush administration's counterterrorism strategy.

During the Iraq War, McRaven led the shadowy Task Force 121, which tracked down Saddam Hussein in December 2003. Much of the public credit for Saddam's capture went to conventional army units, but it was, in fact, the Special Operations forces under McRaven's command who did much of the work to find the Iraqi dictator.

Rescue of Capt. Phillips

From the beginning of the Obama presidency, McRaven has been the key to some of the most sensitive U.S. military operations.

On the sweltering evening of April 13, 2009, several hundred miles off the coast of Somalia, as dusk deepened over the Indian Ocean, three shots rang out. All the bullets found their targets: three Somali pirates in a small, enclosed lifeboat bobbing on the darkening sea.

For the previous five days the pirates had held hostage Richard Phillips, the American captain of the Maersk Alabama container ship. President Barack Obama had authorized the use of deadly force if Phillips' life was in danger. Unbeknownst to the pirates, the USS Bainbridge warship was shadowing them, and days earlier a contingent of SEALs had parachuted at night into the ocean near the Bainbridge.

The SEALs had taken up positions on the fantail of the Bainbridge and were carefully monitoring Phillips and his captors. One of the pirates had just pointed his AK-47 at the American captain as if he were going to shoot him.

That's when the SEAL team commander on the Bainbridge ordered his men to take out the pirates. Three U.S Navy SEAL sharpshooters fired simultaneously at the pirates from a distance of 30 yards in heaving seas at nightfall, killing them all.

Obama called McRaven, then the leader of Joint Special Operations Command, to tell him, "Great job."

The flawless rescue of Capt. Philips was the first time that Obama -- only three months into his new job -- had been personally exposed to the capabilities of America's secretive Special Operations counterterrorism units, whose skills Obama would come to rely upon increasingly with each year of his presidency.

How bin Laden was found

It is, of course, the raid that killed Osama bin Laden on May 2, 2011, that has ensured McRaven's place in the history books as the architect of the operation.

During the spring of 2011 McRaven formulated the plan for the assault on the compound in Abbottabad, Pakistan where bin Laden was believed to be hiding.

The planning for the raid was deeply informed by the key principles he had laid out in "Spec Ops." McRaven explained, "It was a simple plan, carefully concealed, repeatedly rehearsed, and exercised with surprise, speed, and purpose."

Following extensive realistic rehearsals of the raid in both North Carolina and Nevada that included a full-scale model of the compound bin Laden was believed to be hiding in, McRaven went to the White House to give Obama his assessment of the plausibility of the mission.

When he was outlining to the President and his war cabinet the planned Abbottabad helicopter raid, McRaven said, "In terms of difficulty, compared to what we're doing on a nightly basis in Afghanistan, what we're doing in Iraq, this is not among the most difficult missions technically. The difficult part is the sovereignty issue with Pakistan and flying for a long stretch of time over Pakistani airspace."

Obama knew that the intelligence regarding bin Laden's presence at the compound was always circumstantial, but the president had confidence that McRaven and his men would be able to execute the mission successfully, whether the al Qaeda leader was in fact at the Abbottabad compound, or not.

The night of the raid, when one of the stealth helicopters carrying a SEAL team crashed inside bin Laden's compound, McRaven -- who was narrating the progress of the operation from his command post in Afghanistan to the White House -- didn't skip a beat, saying without altering his tone: "We will now be amending the mission."

Around 15 minutes after the helicopter had crashed, on his audio feed, McRaven heard a SEAL team member give the code word "Geronimo." Each step of the operation had been labeled with a letter of the alphabet, and G meant that bin Laden was "secured."

McRaven relayed the "Geronimo" to the White House. He assumed that meant bin Laden was now dead, but suddenly thought, "What if we captured him?"

So McRaven asked the SEAL ground force commander, "Is he EKIA [enemy killed in action]?" A few seconds later, the answer came back: "Roger, Geronimo EKIA."

Then McRaven announced to the White House, "Geronimo EKIA." There were gasps in the situation room, but no whoops or high fives. The President quietly said, "We got him, we got him."

What's next for special operations

On Thursday, McRaven gave his final speech as the leader of American Special Operations. In his dress whites, the famously unflappable four-star admiral concluded, his voice quavering with emotion, "It has been the greatest honor of my life to lead the men and women of Special Operations Command."

The United States owes a real debt to McRaven and to his wife, Georgeann, who, like many other military spouses, has also served her country stoically as her husband deployed repeatedly to war zones after 9/11.

McRaven's successor General Votel, previously led the military's elite and secretive Joint Special Operations Command, which comprises units such as SEAL Team 6 and the Army's Delta Force. As a colonel, Votel led the unit that five weeks after the 9/11 attacks established the first U.S. military base in Afghanistan and is widely viewed as the right officer to succeed McRaven.

As the United States and its allies pivot away from the post-9/11 conventional wars but still face threats from jihadist militants in countries in the Middle East, South Asia and North Africa, Special Operations Forces working "by, with and through" local militaries will be a key part of future U.S. military operations.

Among his other legacies, McRaven has put in place a Global Special Operations Forces network, which in practice mean a small presence of U.S. Special Operations and Special Forces personnel in dozens of countries around the world.

The goal of that network is twofold: To be better positioned to respond to an immediate crisis, such as the attack on the U.S. facility in Benghazi in 2012, and also to build up the capacity of local militaries so they can keep the peace themselves.

@highlight

Peter Bergen: Adm. William McRaven stepped down as head of U.S. Special Operations Command

@highlight

He says McRaven not only led the bin Laden raid planning but wrote the book on special ops

@highlight

McRaven identified six key elements needed for success in special operations

@highlight

Bergen: Troops under his command have deployed to 92 nations