(CNN) -- In two weeks, economic policymakers from around the world will gather in Washington, D.C., for the World Bank-IMF Spring Meetings. As has been the case for the past five years, there will be much talk of economic crisis and of strategies to restore confidence, kick start growth, and create jobs.

There is growing evidence that we are on the right track, but this agenda still requires much more work.

The meetings, though, also offer an occasion to look beyond the short term crisis-fighting measures. It is a chance for leaders to adopt a long-term perspective and assess where we stand and where we are headed.

If they do, they will see that today we are at a moment of historic opportunity. For the end of absolute poverty, a dream which has enticed and driven humanity for centuries, is now within our grasp.

READ MORE: Bono on how to fight poverty

In recent decades the world has made impressive progress in the fight against poverty, a fact too often lost in the headlines of immediate crisis conditions. On the strength of robust private sector growth underpinned by improved economic governance, today extreme poverty is in retreat across the developing world.

In 1990, 43% of the developing world lived on less than $1.25 a day. The World Bank estimates that by 2010 this figure had dropped to 21%. The first Millennium Development Goal, to halve extreme poverty, was achieved five years ahead of time.

As we look forward, while we of course cannot take high growth for granted, the conditions are in place for this strong performance to continue. Indeed, the successes of past decades and an increasingly favorable economic outlook combine to give developing countries a chance -- for the first time ever -- to end extreme poverty within a generation.

Our collective duty now must be to ensure that these favorable circumstances are matched with deliberate decisions to realize this remarkable opportunity.

READ MORE: Is Africa much richer than we think? No one knows

The world can end extreme poverty by 2030. This feasible but ambitious goal should bring unity, urgency, and energy to our collective efforts in the fight against poverty.

Meeting this deadline will require strong, stable growth across the developing world, especially in Sub-Saharan Africa and South Asia. It will require policies to enhance inclusiveness and prevent increases in inequality, and ensure that growth translates into poverty reduction, most importantly through creating jobs.

It will require transformational changes in fragile states, which are home to an increasing share of the world's poor. And it will require that potential shocks, such as climatic disasters or new fuel, food, or financial crises, are averted or mitigated.

It will not be easy, and will demand concerted global action from governments, donors, civil society, and the private sector. But is there anyone, anywhere, who doubts that the reward will be worth it?

READ MORE: Study shows speed of global warming

Of course progress toward ending poverty will need to be sustained over time and for all future generations. We must promote shared prosperity, helping vulnerable people so that they will not fall back into poverty.

And, crucially unless the world takes bold action now, a disastrously warming planet threatens to reverse past advances. Climate change is not just an environmental challenge: It is a fundamental threat to economic development and the fight against poverty.

At the World Bank Group we have no pretence that we will be the key actor in ending poverty. Progress toward this goal, as it always has, will continue to depend primarily on the actions of developing countries.

But we will be there to help. We will work with our partners to share knowledge on solutions to end poverty. We will closely monitor and observe progress toward this goal, reporting annually on what has been achieved and where gaps remain. And we will use our convening and advocacy power to continually remind policymakers and the international community what is at stake.

By acting today, there is an opportunity to create a world for our children which is defined not by stark inequities but by soaring opportunities. We can and must achieve a world free of poverty.

The opinions expressed in this commentary are solely those of Jim Yong Kim.

@highlight

Economic policymakers are preparing to gather in Washington, D.C., for the World Bank-IMF Spring Meetings

@highlight

President of the World Bank argues strategies to kick start growth are on the right track, but need more work

@highlight

Jim Yong Kim says the world is at a moment of historic opportunity to end global absolute poverty

@highlight

He says this goal is ambitious but can be achieved by 2030, if there is strong and stable growth across the world