(CNN) -- Myanmar security forces have been accused by a rights group of "systematically" torturing civilians from an ethnic minority in the conflict-stricken state of Kachin.

Bangkok-based Fortify Rights released its report on the alleged torture of Kachin civilians on Monday, the third anniversary of the resumption of hostilities between government forces and ethnic Kachin insurgents following a 17 year ceasefire.

The report gathered testimony from 78 survivors and witnesses relating to the alleged torture of more than 60 victims by Myanmar's army, police and military intelligence service, since the resumption of fighting.

Fortify Rights' executive director Matthew Smith said the alleged victims were perceived to be aligned with the Kachin Independence Army (KIA), the ethnic rebel guerrilla force that has battled Myanmar's army for decades.

The alleged abuse appeared to have been carried out with the consent of senior officers, he said.

"The torture that we've documented is not a secret practice," he said. "When the police, the army or military intelligence are torturing Kachin civilians, they're not attempting to conceal it. They're sending a very loud and clear message to the Kachin population that any sort of sympathy for the KIA, or any activities with the KIA, will be dealt with very severely."

The report said torture was most often committed by government troops trying to obtain information on the strength and movements of KIA fighters.

Alleged victims reported being stabbed, beaten and having wire tied around their necks, hands and feet. Other claims included that security forces had placed bamboo over their victims' heads or shins, and jumped or stood on it.

Some were told to dig their own graves before being released, while others were made to lick their own blood off the ground following prolonged beatings, the report claimed. Other alleged victims said they had been sexually abused while detained.

Smith said the alleged abuses, which his group believed constituted war crimes, seemed to be being committed with impunity.

"We've documented such consistent practices across many different areas that would indicate that it is certainly a systematic practice and a widespread practice."

READ MORE: Myanmar city forgives but doesn't forget sectarian violence

The report also described the torture sessions as characterized by a degree of ethnic and religious discrimination, with the offenders often denigrating their victims' ethnicity and Christian faith during the ordeal. "You are Kachin, and we will kill all the Kachin," one victim claimed to have been told.

Many Kachin are Christian, while Myanmar is a majority Buddhist country.

Ye Htut, a spokesman for Myanmar President Thein Sein, said he had not seen that report, but rejected the allegations of torture, accusing Fortify Rights of "one-sided allegations."

"Their report is not concrete evidence," he said. "If they have concrete evidence, they can send it to the government and the government will investigate thoroughly and punish (offenders) if we find they've committed these crimes. We'll take action according to our laws."

He said Myanmar security forces would "never use torture as a weapon in the conflict areas," and stressed that any individuals who did so would be in breach of government policy.

"There may be some individuals who commit this crime, but it is not the policy of the military or the government," he said.

"You cannot apply the individual action to the government policy. Some U.S. soldiers are making wrongdoing in Afghanistan and Iraq, but we should not say it is the policy of the U.S. military or government."

READ MORE: Aung San Suu Kyi and the Rohingya -- has 'The Lady' lost her voice?

Smith said the report had been provided to the president's office. "If it's not state policy, then they should demonstrate that by credibly investigating and prosecuting those that are responsible for these abuses," he said. "But we're not seeing that, and this has been going on for three years now."

Fortify Rights said it shared the concerns expressed by the U.N.'s Special Rapporteur on human rights in Myanmar, Tomas Ojea Quintana, over allegations the KIA uses child soldiers, forced labor and landmines. But the report's authors had found no evidence of the KIA using torture.

Myanmar has been wracked with internal conflict, with ethnic minorities seeking greater autonomy, since shortly after the country, then known as Burma, gained independence from Britain in 1948. The country's quasi-civilian government, which replaced the military junta following sweeping reforms in 2011, has been seeking a national ceasefire with 16 ethnic guerrilla forces.

Since the 17-year ceasefire between the military and KIA forces crumbled in June 2011, the two sides have held numerous peace talks, but fighting continues.

The United Nations says that more than 100,000 people have been displaced in Kachin State and the north of neighboring Shan State, home to many Kachin, since the violence resumed.

READ MORE: Fears of new unrest as Myanmar ponders monk-backed interfaith marriage ban

Amnesty International says the situation faced by the displaced populations, currently housed in over 165 camps, is grave, with ongoing concerns about their access to shelter, clean water and sanitation.

It issued a statement saying that the reports of ongoing alleged human rights violations by the military raised "serious questions about the commitment to human rights reforms in the country" and threatened efforts to negotiate a nationwide ceasefire.

Myanmar's civil society groups have also reported sexual violence against women in Kachin areas since the resumption of fighting. The Kachin Women's Association Thailand said in a statement that recent attacks by the Myanmar army in Kachin areas threw "strong doubt on the government's sincerity towards the peace process."

Citing recent cases of alleged rape by military forces, it called for tackling military sexual violence to be made a matter of priority during peace negotiations.

READ MORE: Fears Rakhine extremists could drive more aid agencies out of Myanmar state

@highlight

A rights group says it has documented more than 60 cases of torture of civilians in Myanmar

@highlight

The alleged torture occurred in Kachin State and northern Shan State over the past three years

@highlight

A 17 year ceasefire between the Kachin Independence Army and state forces ended in 2011

@highlight

Myanmar's government rejects the report and says torture is not part of military policy