(CNN) -- Pay-as-you-go products may be synonymous with mobile phones but a solar energy service in Africa is harnessing the popular business model to bring affordable electricity to the continent's remotest communities.

IndiGo solar enables rural households far removed from their country's electrical grid to generate their own power via a photovoltaic panel and battery pack.

Users then have the option of purchasing the energy the device produces for as little as $1 a week.

The technology aims to replace environmentally harmful lighting practices such as burning kerosene oil, which contributes 190 million tons of annual CO2 emissions according to studies conducted by the Berkley Laboratory at the University of California and can cost users up to 10 times as much.

"Pay-as-you-go solar is a good system as we now have light inside," says Nyungura James Ode, a farmer from Mantarra Village in South Sudan and one of the first to sign up to the project.

"(We) can do more work at home and be more productive farming. Light is better (and) mothers can tend to baby at night more easily, give medicine, change clothes and diaper," he adds.

See also: Solar lamps replacing kerosene

The system -- which can light two small rooms for seven hours at a time and charge small portable devices such as mobile phones -- has been designed and manufactured by British based solar technology company, Eight19.

It works in a similar fashion to mobile phone top-up cards. When users want to purchase electricity produced by their solar pack they buy a scratch card from a local vendor.

The card costs roughly $1 and reveals a code that grants access to the electricity for a week when dialed into the battery. This allows users to keep a close eye on the amount they spend and consume.

"We don't have to spend more money," says Ode. "[I am] saving three to five South Sudanese Pounds a week," -- between $1.20 and $1.80.

So far, remote towns in Kenya, Malawi, South Sudan and Zambia have adopted the IndiGo electrification scheme.

Yet while the practical gains for villagers used to living without electricity are obvious, the environmental benefits have thus far been harder to gauge.

The first solar packs were only introduced in September 2010, making verifying claims as to their long term green credentials difficult.

See also: Amazing solar powered gadgets

But according to Steve Andrews, CEO of UK based charity, SolarAid, pay-as-you-go solar could revolutionize rural African development.

"(This) approach has the potential to bring electricity supply to these people without a traditional grid; just as mobile phones have brought telephony to those people without a need for a telephone landline system," says Andrews.

"Indigo is a potential game changer in bringing clean, safe lighting and electricity to the world's poorest people," he adds.

Such enthusiastic proclamations as to the technology's environmental potential are echoed by Dr Simon Bransfield-Garth, CEO of Eight19. He says that his company hopes to make a considerable dent on global carbon emissions through IndiGo.

"We (Eight19) aim to eliminate the use of kerosene for lighting in Africa by the end of the decade," he explains.

But in order to meet such ambitious targets, Bransfield-Garth is quick to cite the need to keep improving and developing the IndiGo product.

"At the moment we've focused on the entry product as we want to get scale but as time progresses we want to encourage people to install larger solar systems with greater capabilities," he says.

"So, in the future, if you pay a little extra you will be able to generate enough electricity to power items such as televisions, radios and fridges. This could mean providing access to similar levels of electricity that you get in most big cities," he adds.

@highlight

Pay-as-you-go solar aims to bring affordable electricity to rural Africa

@highlight

Technology aims to replace harmful environmental products such as kerosene lamps

@highlight

Service allows users to light their homes for as little as $1 a week