JOHANNESBURG, South Africa (CNN) -- The political crisis that has gripped Zimbabwe for nearly a year may be drawing to an end, but a deadly cholera outbreak there is only getting worse.

Zimbabweans walk through mounds of garbage. Lack of sanitation and clean water make cholera spread.

The newly formed cabinet of Zimbabwe's unity government met for the first time Tuesday, the same day that Medecins Sans Frontieres (Doctors Without Borders) released a report warning that the epidemic shows no signs of slowing.

The outbreak -- one of the world's largest, according to the World Health Organization (WHO) -- is only getting worse, and could be a stepping-stone to other epidemics and health crises, international agencies say.

Since August, at least 3,623 people have died and 76,127 people have been infected by cholera, a preventable water-borne bacterial illness that causes severe diarrhea, vomiting and dehydration and can lead to death in a matter of days if not treated.

According to a report released Tuesday by Medecins Sans Frontieres (Doctors Without Borders), new cholera patients were being registered at a rate of one every minute at the beginning of February in Zimbabwe.

Unless urgent action is taken, the aid group said, the country could see a worsening of the "massive medical emergency that is spiraling out of control," MSF President Dr. Christophe Fournier told CNN Tuesday after his latest visit to Zimbabwe.

MSF says the response from the international community to the crisis has been slow and inadequate, and it called on donors to put aside politics and send help immediately.

The cholera epidemic has been left to fester as the Zimbabwean government grappled with questionable elections, opposition charges of fraud, power-sharing talks and the creation of a unity government in the last year.

During that time, the country's economy and infrastructure imploded, with sanitation systems and garbage collection becoming virtually non-existent.

"The reasons for the (cholera) outbreak are clear: lack of access to clean water, burst and blocked sewage systems, and uncollected refuse overflowing in the streets, all clear symptoms of the breakdown in infrastructure resulting from Zimbabwe's political and economic meltdown," the MSF report said.

The disease is contracted "by drinking water or eating food contaminated with the cholera bacterium," the Centers for Disease Control and Prevention (CDC) said on its Web site.

"In an epidemic, the source of the contamination is usually the feces of an infected person," the CDC said. "The disease can spread rapidly in areas with inadequate treatment of sewage and drinking water."

Making matters worse, flooding from the rainy season -- which began in November -- is spreading the bacteria through swollen streams and rivers. Cholera cases have now been reported in all of the country's provinces, the MSF report said.

Exacerbating the epidemic is the current economic crisis, which has caused the health care system to nearly grind to a halt.

"I've seen many health services being down like this in my life as an MSF doctor, but only in this country have I seen this kind of collapse of the public health care system in the absence of any conflict," Fournier said.

He said most of the country's public hospitals or clinics are either closed or empty, and the ones that are open face critical shortages of drugs and medical equipment.

"A huge part of the medical staff is not showing up because they are unpaid and on top of that, the patients, when finally accessing one opened facility, are asked for totally indecent amounts of money only to be seen and then an extra amount of money for their treatment," Fournier added.

Many patients can't afford to pay and don't even bother to seek treatment, he said.

MSF believes cholera may be just the beginning of a nightmare health crisis in the southern African country.

"The current food shortages make us fear of further malnutrition among the most vulnerable, starting with the under (age) five children, where any kind of infectious epidemic can start at any moment after this current cholera epidemic," Fournier explained.

MSF currently has more than 500 staff members working in Zimbabwe to battle the outbreak. The organization is calling on the government to remove barriers that are slowing the MSF response to the crisis.

"Despite the glaring humanitarian needs, the government of Zimbabwe continues to exert rigid control over aid organizations. MSF faces restrictions in implementing medical assessments and interventions," the group's report said.

"The Zimbabwean government must facilitate independent assessments of need, guarantee that aid agencies can work wherever needs are identified and ease bureaucratic restrictions so that programs can be staffed properly and drugs procured quickly," the report said.

Manuel Lopez, the chief of MSF's mission in Zimbabwe, said the cost of importing medicine is often higher than the cost of the drugs themselves.

High fees for visas and work permits for staff are also impeding operations, he said. And it often takes months to get permission for MSF specialists to operate inside the country, Lopez explained, with some eventually being turned down.

@highlight

Doctors without Borders report says cholera crisis shows no signs of slowing

@highlight

Aid agencies say it could be lead to other epidemics and health crises

@highlight

No sanitation or clean water, piles of garbage help spread disease

@highlight

Epidemic has been left to fester due to Zimbabwe political wrangling