(CNN) -- What makes airline passengers happy?

Sometimes it's as simple as a smile. Along with mobile check-in, Wi-Fi in the air and other technological advances, the simple act of airline employees smiling is increasing airline passenger satisfaction.

Airline passenger satisfaction has improved to its highest levels since 2006, according to J.D Power & Associates' 2013 North America Airline Satisfaction Study released Wednesday.

U.S. airlines collect $6 billion in fees

"Traditional carriers have improved significantly across the entire passenger experience, and it is a positive sign to see them turn a corner and starting to rise again, even as there is still more opportunity to improve," said Jessica McGregor, senior manager of J.D. Power's global travel and hospitality practice. "While satisfaction with low-cost carriers only slightly improves, greater gains in the rest of the experience are masked by lower passenger satisfaction with cost and fees."

The study measures passenger satisfaction with North American airlines based on the following criteria in order of importance: costs and fees; in-flight services; boarding, deplaning and baggage; flight crew; aircraft; check-in; and reservations.

Satisfaction improved in every category, but the largest yearly increases were in the boarding/deplaning/baggage, check-in and aircraft categories.

JetBlue, Southwest top the airline rankings

For the ninth consecutive year, JetBlue Airways ranked first for satisfaction among all North American airlines. JetBlue also earned the top score among low-cost carriers for the eighth year in a row. Southwest Airlines was a close second among discount carriers with 770 points to JetBlue's 787. Airlines are ranked on a 1,000-point scale.

"Above all, we're grateful for our 15,000 crewmembers that inspire humanity each and every day by going above and beyond to deliver the best customer service in the skies and on the ground," said JetBlue spokeswoman Allison Steinberg, via email.

Alaska Airlines topped the traditional carrier rankings, with Delta Air Lines in second place. Alaska scored 717 points and Delta scored 682 points.

"We're honored to receive this prestigious recognition from our customers," said Alaska Air Group President and CEO Brad Tilden, in a statement. "Receiving this award six years in a row is a credit to the 13,000 Alaska Airlines and Horizon Air employees who show their dedication to our customers every day and on every flight."

Overall satisfaction with the airlines improved to 695 on the 1,000 point scale, a 14-point increase over the 2012 survey.

The power of a smile

Despite passengers choosing to check in online rather than talk to someone at an airport ticket counter, how an airline's employees treat customers still counts.

Passengers who are greeted by airline staff with a smile, even infrequently, report satisfaction scores that are 105 points higher than among those who never get a smile. Passengers who report airline staff smiling at them consistently report satisfaction scores that are 211 points higher than those who do not get any airline smiles.

"Airlines don't have to invest millions of dollars in the aircraft to get employees to smile," said McGregor. A few trainings, including information about the impact on customer satisfaction, may help the cabin and cockpit crew make better eye contact and smile more, she said.

Of course it helps to have happy employees. "One of things we see is that when you see companies that have high internal employee satisfaction, they have high customer satisfaction as well," she said.

Customers love technology

Now a smile doesn't take care of everything. Customers also want their technology. Those who use Wi-Fi in-flight are happier (39 points happier) than those who do not use it.

More than one-third of customers surveyed check in online, and 15% of those technologically savvy fliers use their smartphones or other mobile devices (compared to 6% two years ago).

Passengers checking in via mobile applications are the happiest of all fliers checking into their flights, followed by passengers who check in using a mobile device, passengers who check in at an airport kiosk and those who use the main ticket counter.

Baggage fees still lower satisfaction

Even attitudes toward baggage fees are beginning to soften. Although passengers are still dissatisfied with being charged for something that used to be included in the price of a plane ticket, they aren't as grumpy about it.

The gap between passengers who pay for baggage and those who do not pay shrank to 63 points this year, compared with an 85 point gap last year and a 100 point gap in 2011. Some 37% of passengers who pay for bags agree that the fees are reasonable, compared to 28% last year and 18% in 2011.

"Baggage fees are still a point of contention for people, and it's still a 'disatisfier,' but people are starting to accept it's a cost to travel," said McGregor.

To help reduce costs, J.D. Power recommends using an airline's mobile application to check in, select seats and receive an electronic boarding pass. If you don't have an airline credit card or frequent flier status to waive baggage fees, look for discounts when checking in online.

The passenger satisfaction study is based on responses from more than 11,800 passengers who flew on a major North America airline between April 2012 and March 2013.

Overall airline rankings

Alaska Airlines and Delta Air Lines topped the traditional carrier rankings, followed by Air Canada (671 points), American Airlines (660), United Airlines (641) and US Airways (630).

Low-cost carriers JetBlue and Southwest were followed by WestJet (714), Frontier Airlines (708) and AirTran Ariways (705). (AirTran is now part of Southwest.)

Do you have anything nice or not so nice to say about North American airlines? Please share your positive and negative thoughts in the comments section below.

@highlight

JetBlue tops airline satisfaction study for ninth consecutive year

@highlight

Passengers who use in-flight Wi-Fi report more satisfaction with their airline

@highlight

An employee smile or two (or more) makes passengers even happier

@highlight

Fliers still dislike bag fees but not as much as they did last year