On a day when President Barack Obama trumpeted support of strengthening equal pay laws, a question about pay disparity between male and female staffers within the White House seemed to catch the administration a bit off guard.

Special Coverage: 2014 Midterm Elections

An analysis by the conservative American Enterprise Institute found that women staffers made about 88 cents on the dollar, compared with male staffers.

Female federal workers in the early years of the Obama administration had a median salary of nearly 93% of what their male colleagues earn, according to 2011 figures from the U.S. Merit Systems Protection Board, an agency that works to protect the rights of federal employees.

And while that figure for female federal worker earnings was up from just over 83 percent in 1991, it doesn't exactly match the type of pay parity the White House was touting.

"What I can tell you is that we have, as an institution here, have aggressively addressed this challenge, and obviously, though, at the 88 cents that you cite, that is not a hundred, but it is better than the national average," White House spokesman Jay Carney told reporters Monday. "And when it comes to the bottom line that women who do the same work as men have to be paid the same, there is no question that that is happening here at the White House at every level."

Obama strengthens equal pay protections

Two deputy chiefs of staff in the White House - one male and one female - Carney said, make the same salary.

Carney's correct, women's studies scholars say. The White House and federal government's rates of pay parity are better than the national average of "77 cents for every dollar a man earns," figure the President noted in his State of the Union address.

Equal pay: 5 things you need to know

However, the fact that even an administration that prides itself on having made its first priority signing the Lilly Ledbetter Fair Pay Act into law, hasn't achieved equal pay for equal work demonstrates the complexity in reaching complete parity, said Jennifer Lawless, director of Women & Politics Institute at American University.

"There's also a lot of misinformation out there," Lawless said. "I don't think most people understand the dynamics of it and the complications involved. Most people believe there should be pay parity but they separate the process from the outcome."

Democrats highlight equal pay in political push

Those dynamics include child rearing roles, age, education, race, ethnicity and even where someone lives. For instance, a woman might find her earnings decreased if she temporarily left the workforce to raise a young child and an African-American or Hispanic woman is more likely to earn less than her white female counterpart.

For example, "among women, median weekly earnings for mothers of children under age 18 were $680, slightly below the earnings for women without children under 18 ($697)," according to the Bureau of Labor Statistics' Highlights of Women's Earnings in 2012 report. "Among men, earnings for fathers with children under 18 were $946, compared with $799 for men without children under 18."

The gap has closed somewhat for millennial workers.

"Among younger workers, the earnings differences between women and men were not as great," the BLS notes. "Among workers who were 25 to 34 years old, women earned 90 percent of what men earned; among 16- to 24-year-olds, women earned 89 percent as much as men."

The Lilly Ledbetter Fair Pay Act the President signed in 2009 gave women more time to sue for pay discrimination.

On Monday, Obama signed executive orders that encourage federal contractors to make pay information more transparent, so women and minorities will know if they are being treated equally.

As for getting to pay parity within the White House and across the federal government -- well, that might take a while.

"It's not parity," Lawless said. "But it's closer than what we see elsewhere which suggests a move in the right direction."

Opinion: Equal pay or opportunity for outrage?

Opinion: In the real world, women still make less than men

Democrats seize on equal pay as a midterm issue

Obama, Romney equal on gender pay inequality

@highlight

White House, agencies don't have pay parity for both genders

@highlight

The figures for the government are better than national figures for men and women on pay

@highlight

Addressing pay parity is complicated, say scholars and the Bureau of Labor Statistics

@highlight

Younger workers' pay seems to reflect closer parity