(CNN) -- Young and old, they have braved the freezing cold for weeks to voice their discontent. Using snow, wood, metal and tires, thousands of protesters have barricaded themselves into a makeshift tent city, paralyzing central Kiev and refusing to leave until their demands are met.

Undeterred by the Ukrainian winter chill, the demonstrators chant day and night, sometimes to the drumbeat of sticks on corrugated iron, and take to the stage to give speeches, demanding the government's ouster and new elections.

For the past few weeks, billowing smoke, large fires, burnt out tires and cars as well as smashed windows of public buildings have become familiar scenes in the snowy city as protests have plunged Ukraine, an eastern European country of 45 million people, into a deep political crisis.

Some of the images beamed around the world have been particularly dramatic -- protesters knocking down a giant statue of the Russian revolutionary leader Vladimir Lenin and hacking it with hammers to loud cheers, explosions reminiscent of a war zone echoing around downtown Kiev, fierce clashes and abuse. One protester, naked aside from his shoes, was seen being kicked and forced onto a police bus.

The battlefield is central Kiev, the power base of an opposition which is demanding change in the former Soviet Union state. The lines have been drawn.

Batons have been raised on both sides -- between the protesters armed with petrol bombs and stones and shielded riot police firing tear gas and rubber bullets -- sometimes resulting in deadly clashes.

But despite a crackdown, demonstrators' morale is high with no sign of their labyrinth of tents, railings and metal barrels that have taken up Kiev's central arteries being dismantled just yet.

It has been two months since the first rattled demonstrators took to the streets, underscoring tensions in a country split between Europe and Russia. But Ukraine's political unrest seems to be worsening by the day -- drawing concern from its neighbors, Western European states and Washington.

Here are some key questions about Ukraine's political unrest.

Ukraine through a protester's eyes

What sparked the protests?

The protests began in November as a pro-Europe gesture, underscoring the tensions in a country split between pro-European regions in the West and a more Russia-oriented East.

Thousands spilled onto the streets after President Viktor Yanukovych did a U-turn over a trade pact with the European Union that had been years in the making -- favoring closer relations with Russia instead.

Angered by this backpedaling, the demonstrators demanded the EU deal be signed, saying it would strengthen cooperation with the bloc.

Their daily protests soon escalated, drawing parallels to Ukraine's 2004 Orange Revolution, which toppled the government.

But with Ukraine desperately in need of a cash injection, Kiev cited the need for financial assistance if it were to do business with the EU. Yanukovych, in power since 2010, said Ukraine could not afford to sign the deal, alluding to economic pressure from Russia.

Another factor in Yanukovych's decision not to sign the deal is likely to have been the EU's demands that he free from jail former Prime Minister Yulia Tymoshenko, his political opponent. The Orange Revolution that swept him from office in 2004, when he was prime minister, also swept Tymoshenko to power.

Soon afterward, he flew to Moscow where he and President Vladimir Putin announced Russia would buy $15 billion in Ukrainian debt and slash the price Kiev pays for its gas.

While unhappy with that, what inflamed the demonstrators even more, however, was the adoption of a sweeping anti-protest law by the parliament on January 16.

The new law included provisions barring people from wearing helmets and masks to rallies and from setting up tents or sound equipment without prior police permission.

This sparked concerns it could be used to put down demonstrations and deny people the right to free speech -- and clashes soon escalated.

Last week, several people were killed and hundreds of others injured in heavy street fighting.

The epicenter of the protests has been Kiev's central Independence Square, Maidan, but the demonstrators have also blocked other streets and government buildings. On Sunday, they briefly seized the justice ministry.

"The changes that occurred after the Orange Revolution weren't simply deep enough. This time around, it appears that the disenchantment is so strong that there is a genuine opportunity to make a fresh start," said Dalibor Rohac, policy analyst with the Cato Institute's Center for Global Liberty and Prosperity.

"For Ukrainians this is a chance to get on a different trajectory from the one the country has been on for the past 22 years and become eventually a part of prosperous, democratic Europe."

Read more: Ukraine protests - 5 things you need to know

What's being done to try to reach an end to the fighting?

The leaders of three opposition factions have met several times with Yanukovych and a government working group to try to resolve the crisis.

They are former boxer Vitali Klitschko, leader of the Ukrainian Democratic Alliance for Reforms party; Arseniy Yatsenyuk, of the Fatherland party; and Oleh Tiahnybok, of the Freedom party, or Svoboda.

The president's foes have mainly been calling for the government to be dissolved, new elections to be held and for the protest laws to be absolved.

On Saturday, Yanukovych offered a package of concessions under which Yatsenyuk would have become the prime minister and, under the president's offer, been able to dismiss the government.

He also offered Klitschko, a champion boxer known as "Dr. Ironfist," the post of deputy prime minister on humanitarian issues and also agreed to a working group looking at changes to the constitution. But the opposition refused.

"No deal @ua_yanukovych, we're finishing what we started. The people decide our leaders, not you," Yatsenyuk tweeted.

A special parliamentary session also looked at legislation that might provide amnesty for more than 200 people arrested since the demonstrations began in late November. It was adjourned until Wednesday, when lawmakers will continue the debate.

How does the situation affect the rest of the region?

Ukraine is the biggest frontier nation separating Russia and the EU. Once part of the Soviet Union, the country gained its modern Independence in 1991 following the fall of the Berlin Wall.

The West -- the EU, together with the United States -- has been working on its relations with former Soviet bloc countries for more than two decades, with the aim of restoring democratic rule and improving quality of life for Ukrainians.

It views the decision by Ukraine, the largest of the former republics, not to partner up with the EU as bowing to Russian pressure.

Ukraine is something of a pawn between Russia and the West. For the West, the deal would mean its reach would spread further east; by contrast, the Russians see the Ukraine as key to holding on to their turf.

Putin has denied that Moscow is exerting undue influence in Ukraine.

At a long-planned "Russia summit" in Brussels, Belgium, on Tuesday, where Ukraine was high on the agenda, he said: "Russia has always respected, is respecting and will respect the sovereign rights of all the international entities including new states that emerged after breakdown of the Soviet Union."

Putin also said Russia would stick to the loan and energy commitments to Ukraine -- agreed in December -- even if the opposition comes to power.

European Council President Herman van Rompuy told reporters the bloc was ready to move ahead with the planned trade deal, or association agreement that has been at the heart of the crisis, but also urged restraint and said those responsible for violence in Ukraine must be held accountable.

Catherine Ashton, the European Union's foreign policy chief, is due in Kiev on Tuesday.

Ukraine has made an effort to move toward Western ideals when it comes to politics and human rights, but the nation is still ranked 144 out of 177 countries in Transparency International's corruption index.

The Ukrainians who have taken to the streets say they want to see a better governed, less corrupt and politically liberal country, more closely aligned with its western neighbors.

Ukraine's economy has been slow to follow its western neighbors that were also under Soviet control -- Poland, for example, where the economy has grown exponentially.

Many Ukrainians hope that an EU deal would offer the chance of economic recovery.

How does this affect the United States?

The United States has been among the Western governments calling for an end to the violence and a solution through political dialogue -- but some say it has not been the most vocal.

Washington has released several statements voicing concern about the crisis, and top officials have spoken on the phone to Kiev.

U.S. Vice President Joe Biden called Yanukovych on Monday night to reiterate American support for "a peaceful, political solution to the crisis," the White House said.

In December, U.S. Sen. John McCain, who has been critical of Ukrainian authorities' use of force against demonstrators, and Sen. Christopher Murphy traveled to Kiev and met with the protesters.

"The U.S. seems to be treading carefully to avoid getting crosswise with Russia at a moment when Moscow's support is critical for what the U.S. is trying to do on Syria and Iran," said Jeffrey Mankoff, deputy director and fellow with the Center for Strategic and International Studies' Russia and Eurasia Program.

"It's wise for the U.S. to avoid making Ukraine into a bellwether for relations with Russia, and for encouraging both sides in Kiev to seek a negotiated settlement, but some of the Europeans are already unhappy at what they see as a lack of U.S. leadership ion this issue."

Editors' Note: This article has been edited to remove plagiarized content after CNN discovered multiple instances of plagiarism by Marie-Louise Gumuchian, a former CNN news editor.

CNN's Antonia Mortensen contributed to this report

@highlight

Ukraine rattled by anti-government protests since November

@highlight

Demonstrations have escalated into violent clashes

@highlight

Ukraine is split between closer ties with the EU and cooperating more with Russia

@highlight

First major government concessions made, opposition wants more