(CNN) -- Israel, by necessity, has developed one of the most able security and intelligence apparatus in the world. There has been no necessity to develop a world-class political apparatus, however, and it shows.

In a single week, the Israeli army's chief of staff, the former head of internal security and the former head of external security have all publicly questioned Israeli Prime Minister Benjamin Netanyahu's judgment on Iran. While the current army chief spoke narrowly about the Iranian government, the former security officials directed their fire at Israeli politicians. On Friday, the former internal security chief told an Israeli audience, "I don't believe in a leadership that makes decisions based on messianic feelings" -- and he was speaking not of Iran, but of Israel.

Last week was Israel's independence day, traditionally an occasion of pride and celebration. Instead, Israelis are in a deep funk.

At its founding in 1948, Israel seemed an improbable state. An ingathering of Jews from Eastern Europe, the Arab world and beyond had no real economy, no common language and no common idea of what it was to be an Israeli. Tensions between religious Jews and secular Jews, European Jews and Oriental Jews, and Jews and Arabs simmered for decades. They made accommodations in the name of survival, but few conceded the fight for control of the state.

To hear many Israelis tell it now, their nation has become an impossible state. Politics are more contentious than ever. The Israeli welfare state is in full view, as the religious, the poor and the religious poor make increasing demands on the state. Prices are skyrocketing, and the public feels squeezed. A diminishing number of Israelis serve in the army, which once prided itself on universal conscription.

Although the old distinctions between Polish and German Jews have faded, many Oriental Jews continue to feel disenfranchised, the rising political prominence of recent immigrants from the former Soviet Union has created another tribe in Israel, and the poor and disempowered Ethiopian Jews yet one more.

Politics in Israel has always been a contact sport, but rather than battle to win over the center, an increasing number of political battles are conducted entirely on the fringes. Small religious parties seek greater social spending for their constituents, while a party representing secular Russian Jews focuses on undermining a law exempting ultra-Orthodox Israelis from military service.

In election after election, the major parties' share of the vote diminishes, leading to weak coalitions that are ideologically incoherent and that are forced to dole out Cabinet posts and largesse to their members to stay in power. Governments become tentative and fragile. The problems call for decisiveness, but the politicians rarely feel they can afford to be.

For Israelis, Iran is an excruciating problem. They rely on intelligence that is never as good as they wish it to be, try to assess accurately actions of people they don't know well and do so with potentially devastating consequences for a wrong move.

Israelis also debate Iran with a clarity few other countries can muster: If bombs fell on Israel, how many people have access to fallout shelters? Are the disastrous forest fires of 2010 a sign that Israel's disaster response is simply not up to the task of a military confrontation? What would a military confrontation look like anyway, and could it be won? Israel's last war against another state's army was almost 40 years ago. Its subsequent confrontations have had less clear results.

The Israeli political class struggles to consider these issues and more. Should Israel do more to seek peace with the Palestinians? Can it reverse increasingly hostile relations with Turkey? Is a wealth of recently discovered natural gas in the Mediterranean the country's economic salvation? Can Israel do anything about shifting politics in Egypt and the rest of the Arab world that are sidelining pragmatists who sought an accommodation with Israel? And more fundamentally, what is it to be a Jewish state when Israelis themselves cannot agree on who is the arbiter of Jewishness? None of these problems is especially new, but the political forces in Israel seem increasingly unable to confront them.

Israelis have traditionally sought political salvation from former generals. Many of Israel's greatest political personalities, from Yitzhak Rabin to Ariel Sharon, came out of the military establishment. For more than a decade, former leaders on the security front have tried to step forward to consolidate Israeli politics toward the middle.

Former Gen. Yitzhak Mordechai formed the ill-fated Center Party in 1999, and Sharon formed the centrist Kadima Party in 2005. The security veterans' recent critiques fit into the same pattern, and they may boost the political aspirations of newcomer Yair Lapid, whose background is in media rather than the battlefield. Yet tactics communicated at high volume are not the same as strategy, and Israelis increasingly complain that the former keep substituting for the latter.

It is a sign of the vibrancy of Israeli political life that authoritative voices can come out and critique government policy. It is a sign of the weakness of Israeli politics that so many of Israel's same problems persist and so many coalitions remain fragile.

For many outside of Israel, it is Israel's position on Iran that is truly consequential, and the rest is commentary. For Israelis, the roiling debate on Iran is just another example of the way Israeli politics work. Israeli politics are not likely to change quickly, and the challenges Israelis feel from Iran are not likely to go away quickly either. Therein lies the rub.

The opinions expressed in this commentary are solely those of Jon B. Alterman.

@highlight

Jon Alterman says Israel has strong security system, but its political structure is fragile

@highlight

Ex-security chiefs lambasted Netanyahu on his hawkish Iran stance, causing an uproar

@highlight

Alterman: Israelis are in a funk, with dissension high among citizens and political figures

@highlight

Coalitions getting weaker, unable to deal with intractable problems such as Iran, he says