(CNN) -- The United States stepped up preparations for a possible swine flu epidemic, and Canada confirmed its first cases on Sunday as researchers worked to determine how contagious the virus could be.

Homeland Security Secretary Janet Napolitano briefs reporters at the White House Sunday.

Keiji Fukuda, the assistant director-general of the World Health Organization, called the outbreak "serious" on Sunday. Researchers are still trying to determine how easily the virus is transmitted person to person and it's too early to predict whether there will be a mild or serious pandemic, said Fukuda.

Dr. Alejandro Macias, an epidemiologist and adviser to the federal Ministry of Health, told CNN en Español that the official death toll was at 86. Macias said five more deaths in Mexico City had been reported to federal authorities by local authorities in the city.

Earlier, Mexican President Felipe Calderon said 81 deaths were suspected to be from the outbreak and 374 people remained hospitalized. Another 929 people have been examined and sent home, he said.

"These people have shown up at some medical institution in the country with respiratory symptoms that required to be studied and diagnosed," he said.

Mexico City closed all of its schools and universities until further notice because of the virus, and troops passed out filter masks outside the National Cathedral on Sunday morning. No masses were scheduled at the cathedral, but dozens of worshippers put on masks and went inside the church to pray on their own.

Mexican Finance Minister Augustin Carstens said Sunday that the World Bank was lending Mexico $205 million to deal with the outbreak. "We are getting an immediate loan of $25 million for the requisition of medicines, medical equipment and epidemiological equipment and in addition, $180 million to build up strategic operational and institutional capacities to deal with this issue," he said.

Russia announced it is banning meat imports from Mexico and the southern United States due to the outbreak of swine flu, the Interfax news agency reported. Passengers arriving in Russia from Mexico and the United States also will be screened for swine flu, the news agency reported, by having their temperatures taken upon arrival.

Canada confirmed six cases of mild illnesses on Sunday, and the United States reported 20. Meanwhile, Spain, Israel and New Zealand were investigating possible but unconfirmed cases.

In Washington, the head of the Centers for Disease Control said 20 cases had been confirmed in five U.S. states by noon Sunday. The largest number of cases was in New York, where the CDC confirmed cases in eight students at a preparatory school in that city, Mayor Michael Bloomberg said Sunday.

Another seven cases have been confirmed in California, two each in Kansas and Texas and one in Ohio, said Dr. Richard Besser, the CDC's acting director. Only one person has had to be hospitalized, but Besser said authorities are likely to see "a broader spectrum of disease" in the days ahead.

"Given the reports out of Mexico, I would expect that over time we're going to see more severe disease in this country," he said.

Canada's chief public health officer, Dr. David Butler-Jones said the symptoms seen there -- headaches, fevers, coughs and muscle aches -- were mild by the standards of serious flu cases. But he added, "It's still pretty miserable."

The U.S. government declared a public health emergency -- a step Homeland Security Secretary Janet Napolitano said "sounds more severe than really it is."

"This is standard operating procedure and allows us to free up federal state and local agencies and their resources for prevention and mitigation," she said.

The outbreak "is of great concern to the White House," said White House spokesman Robert Gibbs, but, he added, "It's certainly not a time to panic."

"If you're sick, stay home, get treatment, go see a doctor," Gibbs told reporters. "The government is taking all the steps it needs to and must do to take the precautions to deal with whatever size and scope we may be facing," he said.  Watch how public health officials grade phases of pandemic alerts »

Meanwhile, the U.S. military issued a worldwide caution, telling its medical personnel to be on the lookout for troops with signs of swine flu and reiterated the need for public health precautions.

The WHO ordered countries worldwide to look out for "unusual" outbreaks of flu following an emergency meeting Saturday. WHO official Gregory Hartl said the strain of the virus seen in Mexico is worrisome because it has mutated from older strains. iReport.com: Do you think we should be worried about swine flu?

"Any time that there is a virus which changes ... it means perhaps the immunities the human body has built up to dealing with influenza might not be adjusted well enough to dealing with this new virus," he said.

A spokeswoman for the Air Transport Association, which represents the U.S. airline industry, said the group is taking the matter seriously.

Airport employees and flight crews are on the lookout for any passengers who show signs of illness, and procedures are in place for determining whether ill passengers may fly, Andrus said.

At Los Angeles International Airport, custodians have been instructed to pay additional attention to sanitizing door knobs, handrails and faucets in airport restrooms, according to a statement from Los Angeles World Airports.

"In addition, public education signs with general tips on preventing the spread of illnesses -- that are posted throughout the airport during regular flu season -- are being re-posted," the statement said.

The H1N1 strain of swine flu is usually associated with pigs. When the flu spreads person to person, instead of from animals to humans, it can continue to mutate, making it a tougher strain that is harder to treat or fight off. Symptoms of swine flu include fever, lethargy, lack of appetite, coughing, runny nose, sore throat, nausea, vomiting and diarrhea, the CDC said.  Learn more about swine flu and how to treat it »

In New Zealand, officials said 22 students and three teachers, who returned from a three-week language trip to Mexico, may have been infected with the swine flu virus. The group remains quarantined at home, and Health Minister Tony Ryall said 10 students tested positive for influenza A -- the general category of strains that includes the H1N1 swine flu.

In Spain, six people, all of whom had recently returned from Mexico, were being isolated in hospitals, the country's health ministry reported. And in Israel, doctors are running tests on a man who recently returned from Mexico with light flu symptoms.

In London, a hospital spokesman said a British Airways crew member developed flu-like symptoms during a flight from Mexico City and was tested for swine flu, but the results came back negative. The flight attendant is back at work, British Airways told CNN.  Watch CBC report on Canadian microbiologists' concerns »

Concerns over the virus have prompted Canada to issue a travel health notice, saying the public health agency was "tracking clusters of severe respiratory illness with deaths in Mexico." But Mexico's Tourist Board said Saturday there are no restrictions on travel to the country.  Watch efforts in Mexico to prevent spread of the virus »

Neither Britain nor the United States have issued any travel warnings or quarantines. But South Korea said it will test airline passengers arriving from the United States, and Japan will convene a Cabinet meeting Monday to come up with measures to block the entry of the virus into the country.

Katherine Andrus, an attorney for the U.S. Air Transport Association, told CNN that the airline trade association was in regular contact with the CDC.

Andrus said airlines are following their own procedures to watch for ill passengers and crews have standard procedures for dealing with ill passengers. Any onboard communicable disease incidents must be reported to the CDC, she said.

"This is a time for appropriate precautions but not panic," Andrus said.

CNN's Saeed Ahmed, Raja Razek, Phillip Warrington, Jeanne Meserve, Paul Vercammen and Ted Rowlands contributed to this report.

@highlight

NEW: Russia screening travelers arriving from Mexico, U.S. for swine flu

@highlight

U.S. airline association: It's "time for appropriate precautions but not panic"

@highlight

U.S. military issues worldwide caution to look for illness signs in troops

@highlight

Total number of U.S. swine flu cases is 20; but "more severe cases" likely