(CNN) -- Hef owned one.

Miss Universe had one named after her.

And a recent vice presidential nominee campaigned on one.

Now, after nearly 50 years, the iconic McDonnell Douglas DC-9 airliner is pretty much done. Overall, say aviation enthusiasts, it's been a great ride.

The twin-engine, single-aisle jet's biggest and first operator, Delta Air Lines, officially retired its remaining fleet of six DC-9s on Monday, leaving only a handful of passenger models operating among foreign airlines and government and military outfits.

It's high time to give this plane its due. Experts credit the DC-9 with helping to open markets and spark air travel trends that continue today.

And what about pop culture? During its peak in the 1970s, the DC-9 became an ultimate status symbol among the world's emerging Jet Set.

For some, the plane was truly shagadelic.

Playboy magazine owner Hugh Hefner bought a custom DC-9 and turned it into a personal fur-lined flying boudoir.

But while Hef was making mile-high-club history, the DC-9 was making travel history.

Airlines embraced this T-Tailed plane with engines mounted on the rear, instead of the wings. They liked its ability to land easily at airports with shorter runways.

Here's how the DC-9's geeky aviation technology helped change America's travel culture:

â€”Longer wing flaps and dynamic engines helped DC-9s land and takeoff on shorter runways that often served smaller towns.

â€”In turn, airlines used the DC-9 to open new shorter routes which connected big cities to smaller ones.

â€”And that led to making jetliner travel more accessible to more Americans.

Bottom line: The DC-9 helped Americans who live in smaller towns embrace air travel. It's hard to know for sure, but experts estimate the DC-9 series has flown perhaps 2 or 3 billion passengers between its first commercial flight on December 8, 1965, and its last flight on January 6.

"I think its age alone puts it in the hall of fame, just on longevity," said William Swelbar, an aviation industry blogger, consultant and research engineer at the Massachusetts Institute of Technology. "Post-deregulation, the DC-9 was incredibly important in building hubs in lots and lots of smallish markets." Swelbar said it had a direct impact on the growth of air travel to smaller cities like Green Bay, Wisconsin.

"Today that airplane would arguably be too big to serve Green Bay -- because now Green Bay is served by a number of smaller regional jets," he said. "But the fact of the matter is, the DC-9 really helped make Green Bay an important point on a number of airline maps."

Affectionate nicknames for the plane stuck. Some called it the Chuck Niner. More powerful versions were called "Sport Nines." Labels like "Dirty Niner" and "Diesel 9" were veiled references to its smoky, loud engines during the early days.

"As an ex-Northwest employee I can't say enough great things about the Diesel 9," wrote CNN commenter Keith Montgomery. The plane's rear-mounted engines made loading and unloading luggage faster, he wrote, because baggage handlers didn't have to wait for the engines to "spool down" before they could access the bags.

By the late '60s, the buzz was growing and Hefner wanted one. In 1969 he took delivery of a DC-9-32 -- a longer version than the original -- painted black and stenciled with the iconic bunny logo on the tail. The aircraft was dubbed "The Big Bunny." Riding this sleek chariot, the Playboy prince whisked his bright-eyed girlfriend Barbi Benton on a whirlwind trip to Europe and Africa in 1970. Video posted on YouTube shows the plane as a high-altitude party palace, complete with a reel-to-reel videotape player, a shower, and a disco.

In 1977, BWIA West Indies Airways celebrated the crowning of Trinidad and Tobago's first Miss Universe, Janelle Penny Commissiong, by naming a DC-9 in her honor.

More recently, the plane played a role in the 2012 election. GOP presidential nominee Mitt Romney trusted a DC-9 to ferry his running mate, Paul Ryan, from stump speech to stump speech. By the way, that plane -- built in 1970 -- was the same age as the vice presidential candidate.

Since 1965, Delta -- the first carrier to fly DC-9s -- has flown a total of 305 of them -- nearly a third of the over 970 that McDonnell Douglas manufactured until production ended in 1982.

This isn't the first time Delta has retired the DC-9. The Atlanta-based airline got rid of their first fleet of DC-9s in 1993. But 15 years later, it acquired 72 DC-9s as part of a merger with Northwest. It's been taking those planes out of service little by little until last week, when Delta retired its final six. (Delta said two of those DC-9s will remain on standby for a few weeks as backup planes.)

Not wanting to ignore a key moment in the history of an aviation icon, Delta hosted a small ceremony with cake and balloons on Monday at Minneapolis-St. Paul International Airport. The DC-9 chosen for the final passenger flight was a 120-seat Series 50 model built in 1978. Its FAA registry number: N773NC.

Aboard the plane was aviation correspondent Jack Harty of Airchive.com. "It was bittersweet," he said, reflecting on the passing of a relic from a different time when on-board WiFi sounded like science fiction and lighting up a Marlboro was commonplace.

While still on the ground, Harty got a peak inside the flight deck. He found no advanced flight management computer and none of the modern, so-called "glass cockpit" digital displays you might find on newer airliners. The plane's instruments were a throwback to 1970s technology -- lots of old-fashioned round, analog dials.

N773NC's first airline was North Central in '78. A year later, it was obtained by Republic. It changed airlines again in 1986 when Northwest swallowed Republic. In 2009, it got a Delta paint job, after Delta's mashup with Northwest.

Eventually it was time for Harty to board N773NC for Delta's final scheduled DC-9 passenger flight -- appropriately named Flight 2014 -- from Minneapolis to Atlanta. Once in the air, the crew led passengers in a quick champagne toast to honor the aircraft.

By the way, another storied airliner from the same era, the DC-10, will reportedly make its final passenger flight in February from Dhaka, Bangladesh, to Birmingham, England.

The DC-9 leaves behind a powerful design legacy that will fly for years. Aviation geeks point to what they call "variants" of the plane which are still going strong, including the MD series -- the MD-88 and the MD-90. Another plane with design roots reaching back to the DC-9 is the Boeing 717. These planes all look a lot like the DC-9, with their rear-mounted engines -- and of course that cool-looking T-Tail.

To replace the DC-9s and other retiring planes, Delta is acquiring 36 717s this year from AirTran and another 36 in 2015. The 110-seat 717s have a range that will allow them to fly all of the airline's domestic routes.

By 2017, Delta also plans to add 40 Airbus planes to its fleet, including the international widebody A330-300 and -- for domestic routes -- the single-aisle A321.

Delta also is the process of buying 100 new Boeing 737-900ERs to replace older 757s and 767s.

Get ready for a lot more airliners to retire between now and 2019. The aviation consulting firm ICF SH&E predicts more commercial jets will be retired worldwide this decade than ever before -- somewhere between 6,000-8,000. Compare that to about 1,700 commercial jets that were retired in the entire 1990s.

The time is right for airlines to buy newer planes, experts say, because interest rates are relatively low, and higher fuel prices require newer, efficient engines.

As for the exiting DC-9s, one will be handpicked for permanent display at the Delta Flight Museum in Atlanta.

"It was a robust workhorse of an airplane," said Delta spokesman Michael Thomas. "Its longevity proves how robust it was."

@highlight

Born in 1965, DC-9s opened jet routes to small airports, spurring travel

@highlight

Delta, the last U.S. carrier flying DC-9s, officially retired its fleet on January 6

@highlight

Hugh Hefner had one; 2012 VP nominee Paul Ryan campaigned in one

@highlight

Delta's final five Series 50 DC-9s will be sold off, another will go to a museum