(CNN) -- This week Thomas Frieden, the director of the Centers for Disease Control and Prevention, stepped up to the microphone and took responsibility for the worst mistake in Dallas' Ebola-stricken hospital: its utter lack of preparedness.

After insisting for months that any U.S. hospital could handle an Ebola case by following CDC guidelines, Frieden now wishes he had provided Texas Health Presbyterian Hospital with the robust CDC clinical support team it desperately needed to care for Thomas Eric Duncan -- the first of three people to be diagnosed with Ebola on American soil.

What now? The federal government's last major health care scandal -- at the Department of Veterans Affairs -- offers a road map out of this mess, and it begins with finding new leadership for the CDC. The times call for a person with unique talents and vision that Frieden lacks.

Americans were shocked this spring to learn about falsified treatment numbers and hidden, lengthy wait lists at Veterans Affairs hospitals. After a grueling, monthlong drumbeat of bad news, culminating with revelations that veterans died while on those secret wait lists, Secretary Eric Shinseki finally resigned. His resignation came only after President Barack Obama was essentially forced to fire him.

After helming an agency that similarly proved ill-prepared to meet its most important mission, Frieden shouldn't force the resignation issue like Shinseki did.

In announcing Shinseki's resignation, Obama hailed his fine career as a U.S. Army general, and Frieden similarly came to his leadership post with a stellar resume, the highlight of which is having helped up to a half million people in India by controlling the spread of tuberculosis.

He was also the innovative New York City health commissioner who took on one of the top health scourges, tobacco, with a smoking ban in workplaces and bars that has now been replicated in many major cities. He tackled obesity and cardiovascular disease with a ban on trans fats and rules that chain restaurants post calorie counts -- moves that have also proved popular elsewhere.

But while at the CDC's helm during one of its greatest public health crises, Frieden hasn't demonstrated the same kind of entrepreneurial spirit and foresight that he displayed in New York. In fact, at times, he's seemed completely out of touch.

This weekend Frieden told reporters: "I'm not familiar with any prior patient with Ebola who has undergone either intubation or dialysis," and speculated that such measures could have increased the risk of contamination surrounding Duncan's care in Dallas.

He didn't seem to be aware that Emory University Hospital in Atlanta used both measures in its treatment of Ebola patients. Dr. Bruce Ribner, who's heading Emory's Ebola team, discussed these procedures in a conference call with hospitals and health care workers Tuesday.

Frieden's out-of-the-loop status on core clinical details seemed to have pointed him in the wrong direction entirely for a cause of contamination, as further details about the Dallas hospital's difficulties with Ebola protective garb have come to light. In fact, using chocolate sauce as a stand-in for bodily secretions, CNN's Dr. Sanjay Gupta demonstrated how easily self-contamination can occur: While taking off the CDC's recommended personal protective gear, he inadvertently smeared his arm and his neck.

As it leaves necks exposed, the gear doesn't compare to the hazmat-style suits aid workers are using in West Africa, and workers use at Emory -- and in fact Frieden wore such superior protection when visiting Liberia.

When the first nurse's infection was announced Sunday, Frieden immediately blamed a "breach in protocol" for her situation. It was perhaps beyond his imagination that the CDC protocols themselves -- including the training and infrastructure -- failed in Dallas.

Finding an effective way to handle and dispose of medical waste from Ebola has been a problem as well, and the CDC should have solved it long before the first domestic diagnosis. The fact that more than 70 health care workers were involved in Duncan's care points to Presbyterian's lack of preparedness; hospitals that have a plan know it's essential to limit staff coming into contact with Ebola patients, who become progressively more contagious the sicker they become. In transferring the third patient, Amber Vinson, to Emory, the CDC is admitting that Presbyterian isn't prepared.

I don't think Presbyterian is that different from most American hospitals. It has a fine reputation in its community. Yet it wasn't up to the job despite Frieden's repeated insistence that any American hospital can do this.

On the call Tuesday with Ribner, one participant listener from a California hospital said implementing Emory's care recommendations would "bankrupt" them. That's the kind of practical detail leaders need to know to be effective, and Frieden has proven he doesn't.

Frieden should have known the closest equivalent to the level of personal protective equipment required by Ebola in American hospitals is found in operating rooms, and even that doesn't compare. In ORs we're mostly concerned about not infecting the patient, and we're able to remove garb with little fanfare. Now we're learning that doctors and nurses treating Duncan didn't wear the recommended protective suits for two days while they suspected Ebola but didn't have the diagnosis confirmed. Why wasn't the CDC guiding them?

When Frieden said this week he'll now send a robust, hands-on clinical team anywhere in America that Ebola is diagnosed, I thought, my word, we aren't doing that already? Instead, once his lab confirmed Duncan's diagnosis, Frieden provided epidemiologists and contact tracers, and the CDC offered passive guidance. Far too passive, it seems, as Vinson, the Presbyterian nurse, flew to Cleveland, a violation of the CDC's guidance on controlled movements while under monitoring, which doesn't include such public transportation.

Frieden has been playing catch-up for too long. In mid-August, his agency touted a total of 55 CDC employees on the ground in West Africa, as if that was a remotely proportional response to the growing epidemic. By that time I and other critics had been recommending a military-grade operation. It would be another month, when the case numbers had doubled, before the administration would announce such an initiative.

"We are fulfilling our promise to the people of West Africa," Frieden said back then, in words he must now sorely regret. He didn't change his tune and lobby the President for the military option until he returned from a visit to the region several weeks later.

At the VA, new leadership is in place, and the agency is picking up the pieces. America could use a surgeon general right now, and that we don't have one represents a failure of our partisan politics. But it's entirely within the President's authority to identify and appoint new leadership at the CDC, the central agency managing this crisis.

Frieden is clearly a good man and will go on to do good things. But the President must now choose someone better attuned to the crisis leadership role that has overtaken the rest of the CDC director's job description.

@highlight

Ford Vox: CDC's Thomas Frieden took responsibility for lack of Ebola preparedness

@highlight

Frieden has stellar resume but has seemed out of touch with clinical realities in crisis, he says

@highlight

Vox says he's lagged on treatment, protective garb, waste disposal, effort in Africa

@highlight

Vox: Frieden's a good man but lacks vision, leadership for this crisis