Washington (CNN) -- After a five-week summer recess, Congress returns to a long list of unfinished business, but with 57 left days before Election Day, it's likely it will tackle only the bare minimum in its short fall session.

The one must-pass measure -- a short-term continuing resolution to fund federal agencies -- will avoid any pre-election talk of a government shutdown, with which neither party wants to be tagged. Republican and Democratic leaders struck a deal this summer on a six-month bill, but both chambers still need to pass the legislation before government funding expires at the end of this month.

The House is expected vote on the bill Thursday, and two GOP leadership aides predict it will get a sizable bipartisan majority. A senior Senate Democratic aide tells CNN the Senate is expected to approve the measure next week.

Rep. Kevin McCarthy, the third-ranking GOP leader in the House, did not directly answer whether a majority of House Republicans would vote for the stopgap spending bill, but said, "I expect that bill to be a bipartisan vote, and I expect the Senate to pass it as well and not add anything to it."

What could move

-- It's possible that GOP and Democratic leaders could work out a deal on a farm bill to reform agriculture programs and provide some relief to drought-stricken states -- or at least agree to another short-term extension of the current law, according to multiple congressional aides. If they can't reconcile differences between the two varying approaches taken by the House and Senate, some money for drought assistance, plus some money for states affected by recent natural disasters, could be tacked onto the spending bill.

McCarthy, who represents some agricultural interests in his California district, told reporters Monday he's still pressing to pass a bill before the election.

He acknowledged to reporters on Capitol Hill that "the time frame is tough," but "it's our intent to get it done."

Long, hot summer sends food prices soaring

-- The Senate will return and work on a veterans jobs bill this week. Senate Democrats are also considering action this month on a housing bill that President Barack Obama included on his congressional "to do" list earlier this summer, but House Republicans haven't expressed any desire to act on it.

-- Some key provisions of the federal wiretapping bill known as FISA that was created after the 9/11 terror attacks under President George W. Bush are due to expire at the end of the year, and Congress is expected to pass an extension of the current law. House Republicans have slated a vote this week to renew the current law for another five years.

Likely to be punted

The roughly eight-week sprint to Election Day means several major measures that lawmakers have failed to make any progress on over the summer will continue to languish on Capitol Hill.

These include some issues that both parties say they want to address but will have little motivation to compromise on: The renewal of the Violence Against Women Act, a bill providing new cybersecurity protections and legislation to reform the postal service, which recently defaulted on payments to the Treasury Department for employee health plans.

In each case, the proposal favored by the GOP-led House is at odds with the bills in the Democrat-controlled Senate. A divided Congress means these issues will be punted into the lame duck session after the election, or even postponed until next year.

Less legislating and more campaign messaging

While there won't be much legislating, congressional aides say the messages from leaders and rank-and-file members on Capitol Hill will echo the campaign themes of Obama and GOP presidential candidate Mitt Romney, particularly when it comes to the economy and jobs.

On his first post-convention stop in New Hampshire on Friday, Obama prodded voters to urge Congress to pass his jobs legislation.

"If the Republicans are serious about being concerned about joblessness, we could create a million new jobs right now if Congress would pass the jobs plan that I sent to them a year ago -- jobs for teachers, jobs for construction workers, jobs for folks who have been looking for work for a long time. We can do that," Obama said.

Kevin Smith, a spokesman for House Speaker John Boehner, emphasized that the House GOP has already approved legislation aimed at helping the economy. "The House has done its job. We've passed more than 30 jobs bills."

CNNMoney: August jobs report comes in weak

Noting that House Republicans have also passed a bill to undo the automatic spending cuts scheduled to go into effect in January and extend all the current tax rates, Smith added, "We are ready to act on all of those measures if the president and Senate Democrats would show some courage to work with on those things with us."

Romney continues to highlight the Obama administration's failed loan to the now-bankrupt energy company Solyndra. House Republicans will keep the issue out front with a vote this week on a bill to eliminate the federal loan guarantee program that funded several energy start-ups. Dubbed the "No more Solyndras Act," the GOP bill is expected to pass mostly along party lines, but won't move in the Senate.

One open question is whether GOP vice presidential nominee Rep. Paul Ryan of Wisconsin will return to the Capitol for any part of the September session. Under Wisconsin law, Ryan is allowed to also run for his House seat, so he may feel pressure to take a break from barnstorming battleground states to vote on the bipartisan deal to keep the government funded.

McCarthy told reporters Monday that Ryan would be back in Washington on Thursday to vote on the continuing resolution, and a Romney campaign official confirmed that.

The six-month spending bill keeps the government funded at the level agreed to in last summer's debt deal -- $1.047 trillion. But after criticism from a bloc of conservative House Republicans that the deal didn't cut spending fast enough, Ryan introduced a budget that moved the overall spending level about $20 billion lower to $1.028 trillion. That budget passed the House, but was immediately rejected by Senate Democrats as violating the bipartisan debt deal.

Asked how Ryan would vote this week on the funding bill, McCarthy initially told reporters he expected Ryan to support it, but when pressed about the spending level, he said he had indications his GOP colleague would vote for it, but he couldn't speak for other members.

An aide to Ryan did not respond when asked by CNN whether the congressman planned to vote for the six-month spending bill.

What won't get done -- a deal to avoid the 'fiscal cliff'

Congress faces a "fiscal cliff" at the end of this year -- the combination of the deep automatic cuts to federal agencies scheduled to go into effect in January that were part of last summer's debt deal and the expiration of the "Bush era" tax cuts at the end of December.

Economists and budget experts warn that a failure by the divided Congress to come to some agreement on significant deficit reduction and tax policy before the end of the year could trigger another recession. But neither side expects anything more than symbolic action on those issues until after the election.

New Woodward book goes in depth on debt battle

On Friday, the White House missed a deadline to submit a report to Congress that details which government programs would face cuts as part of the sequestration in January, but White House press secretary Jay Carney told reporters the report would go to the Hill this week.

House Republicans passed a plan earlier this year without any Democratic support that shielded the Defense Department from any cuts and replaced the across-the-board reductions prescribed in the debt deal with other mandatory spending cuts to food stamp and other domestic programs.

Although the majority of House Republicans voted for these spending cuts that were included in last summer's compromise to raise the debt ceiling, there has been a GOP push in recent months to blame the Obama administration and paint Democrats as responsible for any impact the cuts would have on the military.

Over the weekend, Romney criticized Obama for proposing the cuts as a mechanism to broker the debt deal, saying "it was a mistake for Republicans to go along with it."

Romney explains why he thinks GOP made mistake

To reinforce that they now oppose the massive cuts to the military that sequestration would set in motion, the House GOP is scheduling another vote on the issue next week.

The new bill would replace the mandatory cuts with their alternate set of reductions and again calls for the White House to explain how it will implement spending reductions.

Perhaps what promises to be the only truly bipartisan moment in Congress this fall is this Tuesday's ceremony to mark the 11th anniversary of the 9/11 terror attacks. As has become custom each year on the date, House and Senate leaders from both parties will assemble on the Capitol steps to sing "God Bless America."

That 9/11 ceremony, along with two others awarding Congressional Gold Medals to golf great Arnold Palmer and Burmese human rights activist Aung San Suu Kyi, will be rare breaks from the heated campaign rhetoric on Capitol Hill that's aimed at influencing voters' choices in November.

@highlight

Congress returns from five-week recess with just 57 days until election

@highlight

A short-term continuing resolution to fund federal agencies is expected to pass

@highlight

Violence Against Women Act, cybersecurity bill likely to be punted

@highlight

It's possible GOP and Democratic leaders could work out a deal on a farm bill