Editor's note: Madeleine K. Albright is former U.S. secretary of state. William S. Cohen is former U.S. secretary of defense. They are co-chairs of the Genocide Prevention Task Force.

Madeleine K. Albright served as secretary of state under President Bill Clinton.

(CNN) -- In this age of electronic media communications, Americans are increasingly confronted in their living rooms -- and even on their cell phones -- with information about and images of genocide and mass atrocities virtually anywhere they occur.

This instantaneous media communication has sensitized many Americans to the suffering of people in all corners of the globe. The Internet has proved to be a powerful tool for organizing broad-based responses to genocide and mass atrocities, as we have seen in response to the crisis in Darfur.

With all of this information written and broadcast about the horrors of genocide and mass atrocities around the world, why do they continue? And as public citizens, public officials and policymakers, how can we prevent this horrendous crime that assaults our humanitarian values and threatens our national security?

Last year, we agreed to co-chair the Genocide Prevention Task Force, which was jointly convened by the United States Holocaust Memorial Museum, The American Academy of Diplomacy and the United States Institute of Peace. (The final report is to be released next week.)

The idea for the task force arose out of a desire by each of these institutions to reach beyond their individual capabilities and build a practical framework that could help the U.S. government better respond to threats of genocide and mass atrocities. Our challenge was to match words to deeds and stop allowing the unacceptable. That task is in fact one of the most persistent puzzles of our times.

Many people ask: Why do genocides and mass atrocities happen?

There is no consensus as to the causes of genocide and mass atrocities, nor is there one commonly agreed-upon theory that explains the key catalysts, motivations or mechanisms that lead to them. History has shown that genocide and mass atrocities manifest themselves in highly variable ways, and we should not assume that future perpetrators will follow old patterns.

However, there are warning signs. Genocide is not the inevitable result of "ancient hatreds" or irrational leaders. It requires planning and is carried out systematically. But that fact also means that there are ways to recognize its signs and symptoms, and viable options to prevent it at every turn, if we are committed and prepared.

Our report recommends a number of distinct but interrelated areas where the United States government can develop and deploy more effective strategies to identify and pursue opportunities for prevention of genocide and mass atrocities:

First, we believe that leadership is an indispensable ingredient. Nothing is more central to preventing genocide than leadership -- from the president, Congress and the American people. Making progress requires leaders to summon political will not only after a crisis strikes, but also before one emerges.

Second is the importance of early warning. It is critical for policymakers to have good analysis of areas where there is a high risk of genocide or organized violence in order to design effective strategies and spur action. By improving the accuracy of warnings, we will find greater opportunities for preventive action.

Early prevention can avert a crisis. Many countries are vulnerable to extreme violence. By engaging leaders, institutions and civil society at an early stage, the United States can help countries steer clear of these dangers.

Preventive diplomacy is critical to halt and reverse escalation. Even when signs of preparation for genocide are apparent, there are opportunities to alter leaders' decisions and interrupt their plans. By improving our crisis response system, we will be better prepared to mount coherent, carefully calibrated and timely preventive diplomatic strategies.

A willingness to utilize military options to stop ongoing atrocities when prevention efforts have failed is crucial. U.S. military assets can also play an important role in supporting and providing credibility to options short of the use of force, including by deterring violence through military presence or threat.

Lastly, we cite the power of international action. The United States has an interest in promoting a system of international norms and institutions that averts potential genocide and mass atrocities before they occur, stops them quickly and effectively when they occur, helps societies rebuild in their wake and holds perpetrators accountable. By working in partnership with others in the global community, the United States will multiply its positive impact.

We do not underestimate the challenge. We understand that the next president will face many pressing international priorities, as well as real limitations of time and resources. But we believe that preventing genocide is possible, and that striving to do so is imperative, both for our national interests and for our leadership position in the world. Our report seeks to honor the memory of past victims of genocide and mass atrocities by encouraging future action.

The opinions expressed in this commentary are solely those of Madeleine K. Albright and William S. Cohen. Other members of the Genocide Prevention Task Force include John Danforth, Thomas Daschle, Stuart Eizenstat, Michael Gerson, Dan Glickman, Jack Kemp, Gabrielle Kirk McDonald, Thomas R. Pickering, Vin Weber, Anthony Zinni and Julia Taft (1942-2008). For more information about the Genocide Prevention Task Force, visit the U.S. Holocaust Memorial Museum, The American Academy of Diplomacy or the  United States Institute of Peace.

@highlight

Madeleine Albright, William Cohen co-chair Genocide Prevention Task Force

@highlight

The panel's final report will be released next week after a year of work

@highlight

Leadership indispensable in preventing genocide, Albright and Cohen say

@highlight

Also key: early warning, preventive diplomacy, military, international action, they say