Juba, South Sudan (CNN) -- Warring parties in South Sudan have agreed to peace talks where a cessation of hostilities between President Salva Kiir's forces and supporters of former Vice President Riek Machar will top the agenda, the United Nations special representative to South Sudan told CNN on Tuesday.

The two sides have agreed to nominate delegations to be sent to Ethiopia's capital, Addis Ababa, home of the African Union, for the talks that are likely to begin Thursday, Hilde Johnson, the special representative, said.

The announcement by Johnson contradicted earlier reports in the day that a cease-fire had been reached.

The Intergovernmental Authority on Development, along with the African Union and other countries, has been mediating between the battling parties following an outbreak of deadly violence in South Sudan.

Despite word of the pending peace talks, fighting continued Tuesday in the towns of Bor, capital of oil-rich Jonglei state, and Bentiu, in Unity state, with no sign of a cease-fire in sight.

East African leaders on Friday gave the warring factions four days to lay down their arms, in a bid to bring more than two weeks of violence to an end.

The fighting began after Kiir, from South Sudan's Dinka ethnic group, accused troops loyal to Machar, from the Nuer community, of trying to launch a coup.

The two men have long been political rivals, and Kiir dismissed Machar, along with the Cabinet, in July.

Negotiating peace

A source close to Machar told CNN on Tuesday that the rebel leader has sent a delegation to Addis Ababa for talks with the South Sudanese government.

Dina Mufti, a spokesman for Ethiopia's Ministry of Foreign Affairs, said Kiir and Machar would meet in the city.

But the source close to Machar, who spoke on condition of anonymity, told CNN he was not going himself but was sending a team that includes Rebecca Garang, the widow of former leader John Garang, and the acting governor of Jonglei state.

Mufti said the discussions would have an "unstructured agenda," with the talking points to be decided in the course of the meeting.

The talks will be chaired by Ethiopian Prime Minister Hailemariam Desalegn, who's the current chairman of the African Union and Intergovernmental Authority on Development. Other parties will also mediate in the talks, Mufti said.

CNN has been unable to reach anyone from the South Sudanese government for comment on the talks.

Kiir told CNN on Monday that African nations should have acted quickly to help quell the rebel forces.

As soon as an attempted coup took place and violence broke out, "the original leaders and all African leaders should have come in with military support," so that the rebels would have been "crushed once and for all," he said.

If the other side, led by Machar, does not agree to talk, then "we will fight," Kiir vowed. "In both cases," he said, peace "will be restored."

Sanctions threat

The leaders of the Intergovernmental Authority on Development warned Friday that they would "take action" to stop the conflict that the United Nations says has killed more than 1,000 people and forced about 122,000 from their homes.

Ugandan President Yoweri Museveni, at a news conference, said that if Machar did not agree to talks, the other countries would "go for him." Asked what that means, he said, "defeat him."

The Peace and Security Council of the African Union, which met Monday in Gambia, called on all sides to "immediately and unconditionally cease hostilities" and engage in dialogue.

It also warned it would take measures including "targeted sanctions" against those who incite violence and ethnic strife, hinder humanitarian efforts or harm civilians.

White Army

Bor, a strategically important town in the center of the country, has been a flashpoint for violence.

It was recaptured by the army last week in a bloody battle. But the latest clashes suggest that rebels loyal to Machar are unwilling to let go easily.

Sudan People's Liberation Army spokesman Col. Phillip Aguer warned over the weekend that about 20,000 ethnic Nuer from the so-called White Army, an ethnic militia loyal to Machar, were headed to Bor.

South Sudanese Deputy Information Minister Rachel Nyedak Paul told CNN on Monday that government officials had persuaded the White Army to retreat from the town.

But members of the militia were involved in Tuesday's clashes, according to Paul -- suggesting that the agreement had broken down.

The youths are known as the White Army for the white powder they use to cover their skin as an insect repellent.

Fighting first broke out on December 15 in the capital city of Juba. It then quickly spread across the country, with reports of mass killings that were lent credence by mass graves.

'No clean water, no food'

The violence has sparked a growing humanitarian crisis.

Of at least 122,000 people displaced since the fighting began, about 63,000 have taken refuge in U.N. bases in the country, according to the United Nations.

The nongovernmental organization Doctors Without Borders said Monday that aid is urgently needed for 70,000 people who have fled the fighting in Bor.

They have sought shelter in the town of Awerial, in neighboring Lakes state, but the town is ill-equipped to cope with the influx, it said. "Living conditions are verging on the catastrophic," the group said in a prepared statement.

Aurelie Dupont, emergency coordinator for Doctors Without Borders in Awerial, said the situation for women and children who've fled their homes with few belongings was alarming.

"There is no clean water, no food, and no place to shelter or sleep," she said. "They are relying solely on the help of the local population."

A report submitted to the African Union council meeting said the situation on the ground remains "very volatile," amid worsening ethnic tensions.

"There are reliable reports that a large number of civilians died in a series of selective killings in Bor town, in Jonglei State, and Bentiu town, in Unity State, that looks very much like an ethnic pogrom," it said.

South Sudan formally split from Sudan in 2011 after a referendum, following decades of conflict. Numerous armed groups remain active in the oil-rich country.

CNN's Arwa Damon and Antonia Mortensen reported from Juba and Laura Smith-Spark wrote in London. CNN's Chelsea J. Carter, Lillian Leposo and Nana Karikari-apau, and journalist Michael Atsbeha contributed to this report.

@highlight

NEW: Warring sides in South Sudan agree to peace talks, a U.N. representative says

@highlight

Rebels and government troops are fighting in Bor and Bentiu towns

@highlight

The rebels are loyal to former South Sudan Vice President Riek Machar

@highlight

President Salva Kiir has said his forces "will fight" if Machar will not agree to talk