(CNN) -- Legs covered in skin-toned stockings, her skirt crisp to the knee, Patty Davis slips on the black heels she has shined for the day.

"Got to look good in the Lord's house," she says as she spritzes her neck with White Diamonds perfume and exits her black Lincoln Town Car.

Davis, 46, of Union City, Georgia, has attended African Methodist Episcopal churches since before she could crawl. She sits proudly in the pew every Sunday for service and is among the first to arrive for bible study each Wednesday.

She moves swiftly, with confidence, a weathered Bible clutched in her right hand, the day's passages dog-eared and highlighted. She's the type of woman who can recite scriptures with ease, her love of faith evident in her speech.

"Every day is a blessed day for me," she says. "Jesus is the No. 1 man in my life and any man who wants me must seek me through Him."

The unmarried Georgia native is a committed follower of the Christian faith, striving to live and breathe the gospel in her daily life. Yet, according to relationship advice columnist Deborrah Cooper, it is this devout style of belief and attachment to the black church that is keeping black women like Davis -- single and lonely.

Clinging to the gospel

Cooper, a writer for the San Francisco Examiner, recently made claims on her blog SurvivingDating.com that predominantly black protestant churches, such as African Methodists, Pentecostal, and certain denominations of Evangelical and Baptist churches are the main reason black women are single. Cooper, who is black and says she is not strictly religious, argues that rigid beliefs constructed by the black church are blinding black women in their search for love.

In raising the issue, Cooper ignited a public conversation about a topic that is increasingly getting attention in the black community and beyond. Oprah Winfrey, among others, recently hosted a show about single black women and relationships after a Yale University study found that 42 percent of African-American women in the United States were unmarried.

Big Miller Grove Missionary Baptist Church, a predominately African-American Baptist church in Atlanta, is holding a seminar on the question of faith's role in marital status on August 20.

"Black women are interpreting the scriptures too literally. They want a man to which they are 'equally yoked' -- a man that goes to church five times a week and every Sunday just like they do," Cooper said in a recent interview.

"If they meet a black man that is not in church, they are automatically eliminated as a potential suitor. This is just limiting their dating pool."

The traditional structure and dynamics of black churches, mostly led by black men, convey submissive attitudes to women, Cooper says, encouraging them to be patient -- instead of getting up and going after what they want.

Nearly ninety percent of African-Americans express "certain belief in God" and 55 percent say they "interpret scripture literally," according to the 2009 Pew Research Center study "A Religious Portrait of African-Americans."

Dr. Boyce Watkins, a professor at Syracuse University and advocate for African-American issues, responded to Cooper's article online. Though he applauded Cooper's courage to voice her opinion , he agreed -- and disagreed -- with her.

"I don't think the church keeps black women single," Watkins says. "But I do agree that some black churches teach women that they must only date a man that goes to church regularly."

Watkins, who is African-American and whose father is a Southern Baptist minister, described his interactions with southern women who are devout churchgoers. "I am a male and I know that I will treat a woman well, but I have been rejected many times because I don't thump a bible with me everywhere that I go."

All in the numbers

One of biggest reasons black women are single, Cooper says, is because of a lack of black men in the church. According to the PEW study, "African-American men are significantly more likely than women to be unaffiliated with any religion (16 percent vs. 9 percent). Nearly one-in-five men say they have no formal religious affiliation."

Watkins believes the social structure of the church keeps black men from attending. "Those appealing, high-testosterone guys have a hard time getting into the 'Follow the leader, give me your money, and listen to what I have to say' attitude."

"Many of us have a difficult time submitting to the pastor who is just another man."

The male pastor, Cooper says, is the "alpha male" for many black women. Over-reverence for the pastor - or any religious figure for that matter - creates barriers for the black man, she says, because he feels like he must compete for the No. 1 spot in a black woman's heart.

"It doesn't make you more attractive if your life is filled with these 'other' men," Cooper says. "If they feel like they have to compete, you are not going to be interesting because you're not feeding his ego in the way it needs to be fed."

Mark K. Forston, son of a black preacher in Forest Park, Georgia, says some black women "put their pastor on this pedestal and have a large amount of faith in him because he is a living source of salvation."

Sometimes women even focus their romantic feelings on the pastor, says Forston. "Regardless if he's married or not, sometimes human desires will transcend beyond certain parameters and that's dangerous territory. Pastors are humans just like anybody else."

The Rev. Renita J. Weems, a bible scholar who holds a degree in theology from Princeton, strongly disagrees with Cooper about why many black women remain single and says she is reinforcing one message: "It's the black woman's fault."

"To claim that women are sitting in their chair getting heated about watching their preacher strut across the pulpit is illogical," Weems says. "The black church is not a Sunday morning sex drama."

Weems, who is African-American and has written several books on women's spirituality, has her own criticisms of the black church. The literal interpretation of certain scriptures can lead to subjugating women, Weems says. However, positive scripture messages, about love and justice, do exist and can be used to empower women rather than keep them "single and lonely."

Weems says Cooper fails to examine deeper threads. "What the black church does and what religion does is helps you create core values for your life and allows you to see what you appreciate in others.

"The reason why black women who go to black churches are not married is because they are looking for certain values in a man," Weems says. "It is not the church that keeps them single, but the simple fact that good values are lacking in some of our men."

Choose or lose the church

Cooper says her goal is to empower black women. If their strategy for meeting men is failing, Cooper offers two suggestions: Find another church or leave-and go where the boys go: tailgates, bars and clubs.

"Black women need to open their eyes. You want to know the reason why the black man isn't in church? Because he left church to go to the Sunday football game," Cooper says. "Going to these sites is discouraged in the black church because these places are seen as places where 'sin dwells.' But if women are compassionate, as the bible preaches they should be, then they need to be more open about the men they choose to date and where they might meet them."

"I'm not against religion, or against the church, I'm against women limiting their choices and putting themselves in a box because they do what their church tells them to do," Cooper says.

Weems disagrees. "Telling black women that they should spend their two hours on Sunday elsewhere and drive them away to go to the bar to find a date is not helpful to our communities."

"Black women are the backbones of their community and without them a lot of charitable work would not get done, social justice on the ground would be diminished and outreach to poor people would be severed."

Patty Davis, the long time churchgoer in Georgia, says all the arguments over what the church preaches miss the point. What truly matters, she says, are women's motives.

"The real question is: What are you coming to church for?" she says. "To feed your spirit? Or your carnal desires?"

The church's effect on the romantic lives of black women cannot be gleaned from a mathematical equation or a select bible passage, Davis says.

"It is a woman's own actions and decisions that will determine the outcome of her love life, not the church's," Davis says. "Because the last time I checked, the church ain't no dating service."

@highlight

Dating advice columnist Deborah Cooper: Black church keeps black women single

@highlight

Pew report: Nearly 55 percent of African-Americans "interpret scripture literally"

@highlight

The Rev. Renita J. Weems: Black women need to understand their purpose for attending church

@highlight

To find a man, women must look beyond the church, Cooper says