Akron, Ohio (CNN) -- The Akron warehouse is bustling with activity: Forklifts buzzing across the floor. Boxes stacked neatly by the loading area. Vans lined side by side to take deliveries.

CEO Daniel Flowers shows it all off with a clear sense of pride and accomplishment. He just wishes he wasn't so busy. Yes, a CEO who wishes supply outpaced demand.

"We have had a steady increase in the number of people who seek emergency food assistance," Flowers tells a visitor.

It is impossible not to be impressed by the operation. Flowers is president and CEO of the Akron-Canton Regional Food Bank, which now operates out of what once was a beer distributorship.

It is also impossible not to be numbed by the numbers: More than 2 million people in Ohio -- 18% of the state population -- face what the government terms food insecurity. That means they go hungry or are not able to maintain normal and consistent eating patterns because they cant afford it.

Poll: Obama leads in Ohio, swing states, tops 50%

The Akron-Canton facility serves eight counties and reaches about 180,000 people. Strikingly, about 45% of those who get help don't qualify for government assistance because they work and don't meet government income guidelines, but they still don't make enough money to make ends meet.

Akron is in Ohio's Summit County, a blue-collar battleground within perhaps the 2012 campaign's defining battleground state.

The experience of the food bank -- and the charities it helps -- mirror the campaign economic debate: Are things better off than they were when President Barack Obama took office in 2009?

Flowers said demand at the food bank is higher than ever, which could be seen as evidence that things have not gotten better in this swing state. But, one could look at it this way: back in 2008 and 2009, demand grew 25% from year to year. This year it is up 3% from last year.

"It is almost a sad fact that that feels like a win -- that it is not so bad," Flowers told CNN during a visit on Tuesday -- just 98 days, or 14 weeks, until the November election.

Obama is returning to the area Wednesday -- his ninth campaign visit to Ohio this year -- and his team can make a statistical case that the state is in better shape.

In Summit County, for example, the unemployment rate is 7% -- down from 9.3% when the president took office.

Republicans argue GOP Gov. John Kasich deserves credit more than the Democratic president, but their bigger push is to make the case the recovery would be stronger if not for an administration they say stifles job creation with regulation and new mandates like the Obama health care law.

"The president's not only demonstrated that he tends toward more of a government-oriented solution toward the economy, but Gov. Romney has proven firsthand he knows how to create jobs," state Sen. Frank LaRose told CNN during a visit to a Mitt Romney campaign Summit County office in Stow, where a dozen GOP volunteers were making voter calls.

The strategy of the swing states

Ohio is a fascinating county-by-county chess game.

Republicans don't expect to carry Summit County, for example, but Romney won't have a prayer statewide unless he improves on Sen. John McCain's weak 41% performance here in 2008.

With so much TV ad money being spent here, LaRose argues there will be a "saturation point," and that Ohio in the end will be decided on the strength of grassroots organizing.

"In '08, that enthusiasm wasn't there as much as it could have been," LaRose said. "I get calls all the time from people that say, 'What can I do to help Romney win?'"

And what does he say to those turned off by the already nasty campaign?

"I tell them that's like saying, 'I don't get involved in the weather.' It's going to effect you."

The president's recent "you didn't build it" remark that the Romney campaign characterizes as an insult to entrepreneurs and small businesses plays heavily in the GOP strategy now.

Pawlenty: 'Obama is all foam and no beer'

Ohio is full of small towns and medium-sized cities -- like Akron and Dayton -- where Romney and his surrogates make the case that remark, and the Obama record, prove the president sees government as a stronger force than the private sector.

Most Republicans here push for Ohio GOP Sen. Rob Portman to share the ticket with Romney. But former Minnesota Gov. Tim Pawlenty had an Ohio audition of sorts while the candidate was overseas this week.

At the Dublin Pub in Dayton, Pawlenty drew laughter when he asked patrons how they would feel if the owner promised a cold beer then served them a glass of foam, and then added: "President Obama is all foam and no beer."

Turning more serious, he said government was choking business expansion with regulation while also running up huge deficits. "The hour is later than people realize," Pawlenty said.

Dayton is another critical piece of the puzzle -- and another area Team Obama can cite some progress. Unemployment was 11.1% in the county in February 2009; it is 8.1% now.

County by county analysis

Again, Montgomery County -- home of Dayton -- is a key test of Romney's Ohio viability.

President George W. Bush essentially split the vote with Democratic challenger John Kerry here in 2004 - the Democrat had a slight 51% to 49% edge. Obama, on the other hand, beat McCain 53% to 46% here -- one of the many swing counties key to the big Democratic 2008 Ohio edge.

Hamilton County -- the Cincinnati area -- was the surprise piece of Obama's 2008 Ohio rout.

Look at a 2008 map and it is shaded blue -- carried by Obama. Look at the close 2000 and 2004 races, when Ohio was carried both times by Bush, and Hamilton County is shaded red for Republican.

"I think Hamilton County is the key to winning Ohio, and winning Ohio is the key to the president's re-election," the county Democratic chairman Tim Burke said in an interview at his Cincinnati law office.
African-American turnout was critical to Obama's Hamilton County win four years ago, and Burke says the campaign and state party are increasing field staff and other resources to prove wrong those who believe that turnout among that voting bloc will slip some this year.

He also predicted Kasich's clashes with organized labor will benefit the president in November.
"Some of the more conservative unions -- like the police and fire unions -- which have trended toward the Republicans, they're back in the Democratic camp, and they're going to be there in the fall," Burke said.

Jobs rate, auto industry improving

In Burke's view, recent improvement in Ohio's jobless numbers will make it harder for Romney and the GOP to win the "Are you better off?" debate in this state.

"Just take the auto industry and how that has seen a resurgence in the state of Ohio," Burke said. "We've got three quarters of a million jobs that are auto related here in Ohio, and we are seeing the benefits of that for President Obama."

Some, though, have a different test than the unemployment rate.

George Camilletti is at the Akron food bank four or five days a week for five years now, packing his wife's minivan with supplies for the Good Neighbors charity. Five years watching the changing face of hunger and struggle -- watching economic anxiety spread to folks who had never experienced chronic unemployment or hunger.

"I think it is worse than three years ago," Camilletti says. "It is migrating. ... I'd say we are going into the middle of the middle class now. We are reaching up to the suburban people. To people who used to have a nice home, a nice car. ...It is worse than it was three years ago."

Better or worse: The defining question in what could well be the defining battleground.

@highlight

Economy is improving, but many still not better off in Ohio

@highlight

President Obama makes his ninth trip to Ohio this year

@highlight

Race for White House will be fought on the county level