Before the transcontinental race in "Cannonball Run," the starter tells the gathered racers, "You all are certainly the most distinguished group of highway scofflaws and degenerates ever gathered together in one place."

Ed Bolian prefers the term "fraternity of lunatics."

Where the 1981 Burt Reynolds classic was a comedic twist on a race inspired by real-life rebellion over the mandated 55-mph speed limits of the 1970s, Bolian set out on a serious mission to beat the record for driving from New York to Los Angeles.

The mark? Alex Roy and David Maher's cross-country record of 31 hours and 4 minutes, which they set in a modified BMW M5 in 2006.

Bolian, a 28-year-old Atlanta native, had long dreamed of racing from East Coast to West. A decade ago, for a high school assignment, Bolian interviewed Brock Yates, who conceived the Cannonball Baker Sea-To-Shining-Sea Memorial Trophy Dash, aka the Cannonball Run.

Yates, who played the previously quoted organizer in the film he wrote himself, won the first Cannonball in the early 1970s with a time of 35 hours and 53 minutes.

"I told him, 'One day I'd like to beat your record,' " Bolian recalled.

Ounce of prevention

It sounds like great outlaw fun -- and certainly, Hollywood added its embellishments, like the supremely confident, infidel-cursing sheik with a Rolls Royce and Sammy Davis Jr. in a priest getup -- but Bolian said it took considerable research and groundwork.

Beginning in 2009, about the time he started working for Lamborghini Atlanta, Bolian researched cars, routes, moon phases, traffic patterns, equipment, gas mileage and modifications.

He went into preparation mode about 18 months ago and chose a Mercedes CL55 AMG with 115,000 miles for the journey. The Benz's gas tank was only 23 gallons, so he added two 22-gallon tanks in the trunk, upping his range to about 800 miles. The spare tire had to go in the backseat with his spotter, Dan Huang, a student at Georgia Tech, Bolian's alma mater.

To foil the police, he installed a switch to kill the rear lights and bought two laser jammers and three radar detectors. He commissioned a radar jammer, but it wasn't finished in time for the trek. There was also a police scanner, two GPS units and various chargers for smartphones and tablets -- not to mention snacks, iced coffee and a bedpan.

By the time he tricked out the Benz, which included a $9,000 tuneup, "it was a real space station of a thing," he said, describing the lights and screens strewn through the car's cockpit.

Yet he still wasn't done.

"The hardest thing, quite honestly, was finding people crazy enough to do it with me," he said.

Co-driver Dave Black, one of the Atlanta Lamborghini dealership's customers, didn't sign on until three days before they left, and "support passenger" Huang didn't get involved until about 18 hours before the team left Atlanta for Manhattan.

If his difficulty finding a copilot wasn't an omen, Manhattan would deliver one. While scouting routes out of the city, a GPS unit told Bolian to take a right on red, in the wrong direction down a one-way road. He was quickly pulled over.

Bolian got a warning -- and a healthy dose of relief that the officer didn't question the thick odor of fuel as he stood over the vents pumping fumes from the trunk.

Speed of sight: The world's fastest blind daredevil

Record run begins

The trio ignored what some might have considered a harbinger and the left the Red Ball Garage on East 31st Street, the starting point for Yates' Cannonball, a few hours later. To be exact, they left October 19 at 9:55 p.m., according to a tracking company whose officials asked not be identified because they were unaware that Bolian would be driving so illegally when he hired them.

They hit a patch of traffic in New York that held them up for 15 minutes but soon had an average speed of about 90 mph. In Pennsylvania, they tapped the first of many scouts, one of Bolian's acquaintances who drove the speed limit 150 to 200 miles ahead of the CL55 and warned them of any police, construction or other problems.

They blew through Ohio, Indiana and Illinois, hitting St. Louis before dawn.

"Everything possible went perfect," Bolian said, explaining they never got lost and rarely encountered traffic or construction delays.

By the time they hit southern Missouri, near the Oklahoma border, they learned they were "on track to break the existing record if they averaged the speed limit for the rest of the trip," he said.

Yeah, right. This wasn't about doing speed limits.

They kept humming west, and as they neared the Texas-New Mexico border, they calculated they might beat the 30-hour mark, a sort of Holy Grail in transcontinental racing that Bolian likened to the 4-minute mile.

Not one to settle, "we decided to break 29," Bolian said.

The unnamed tracking company says the Benz pulled into the Portofino Hotel and Marina in Redondo Beach, California, at 11:46 p.m. on October 20 after driving 2,803 miles. The total time: 28 hours, 50 minutes and about 30 seconds.

"Most of the time, we weren't going insanely fast," Bolian said, not realizing his definition of "insanely" is a little different from most folks'.

When they were moving, which, impressively, was all but 46 minutes of the trip, they were averaging around 100 mph. Their total average was 98 mph, and their top speed was 158 mph, according to an onboard tracking device.

"Apart from a FedEx truck not checking his mirrors before he tried to merge on top of me, we didn't really have any issues," Bolian said.

Do not try this at home

He concedes his endeavor was a dangerous one, especially when you consider Bolian slept only 40 minutes of the trip, and co-driver Black slept an hour. But Bolian went out of his way to make it as safe as possible, choosing a weekend day with clear weather and a full moon -- and routes, when possible, with little traffic or construction.

"I had plenty of people at home praying I'd make it safely, and, more importantly, had my wife praying that I wouldn't have to do it again," he said, adding he has no children, which was also a factor. "That was one of the spurs to go ahead and get this over with. That's probably the next adventure."

Asked if the technological advances since the previous record holders made their run gave him an advantage, Bolian replied, "Absolutely." Because two teams broke the 32-hour mark in 2006 and 2007, he had a detailed "guide book" on how to do it, where they had to rely on word-of-mouth tales from the 1980s.

"I thank Alex for that. We're all adding chapters to the same story of American car culture," Bolian said. Alex Roy did not respond to an e-mail seeking comment.

Bolian had hoped to revisit that high school interview and tell Yates he'd followed through on that promise to break his record, but Yates now suffers from Alzheimer's.

"I'll pay him a visit just for the sake of it," Bolian said, "but I can't tell him."

Where the Cannonball scofflaws aimed to make a statement about personal freedom, Bolian said he has the utmost respect for law enforcement. His goal was merely to "add myself and pay tribute to this chapter of automotive history," he said.

Bolian also hopes that he shattered Roy's record by such a stark margin that it discourages would-be Cannonballers from attempting to break his record, and it's not just a matter of his own legacy, he said.

"It really isn't something we need a whole band of lunatics doing," he said.

Follow Eliott C. McLaughlin on Twitter: @CNNWriters

@highlight

Atlanta native breaks record for driving from New York to Los Angeles by two hours

@highlight

GPS company says Ed Bolian and team made trip in 28 hours and 50 minutes

@highlight

Team needed laser jammers to foil police, bedpan to cut down on pit stops during trek

@highlight

Souped-up Mercedes reached speed of 158 mph, averaged speed of 98 mph