(CNN)A nuclear deal with international powers on Iran's nuclear program is within reach and achievable, Iranian President Hassan Rouhani told reporters Saturday.

Rouhani said negotiators from both sides have found new common ground in recent days, the official Islamic Republic News Agency reported.

The President believes that "clinching a general deal is easy," according to the IRNA story, but hammering out agreements on certain details "will be a very tough and complicated job."

Iran has been largely isolated for years for its nuclear program, one that its leaders say the country wants for peaceful purposes. Others, like the United States, have challenged that assertion and instituted strict sanctions, fearing that Tehran actually plans to develop nuclear weapons.

After years of basic stalemates, Iranian officials and representatives of the P5+1 have managed to reach short-term agreements as they try to strike a larger deal.

The sides have been working toward that end in Lausanne, Switzerland, hoping to get a framework pact in place ahead of a March 31 deadline.

U.S. Secretary of State John Kerry and Iranian Foreign Minister Javad Zarif, joined these talks Monday. All sides took a break Friday, but are expected to return to the negotiating table soon.

Kerry, addressing reporters Saturday in Lausanne before leaving for London, said "substantial progress" had been made toward reaching a deal but that "important gaps remain."

He insisted that the international powers involved in the talks, the P5+1 -- consisting of Germany and the five permanent members of the U.N. Security Council: the United States, Russia, China, France and Britain -- were united in their determination to ensure that Iran's nuclear program is purely peaceful.

The stakes are high and the issues complicated, Kerry said.

"Let me once again be clear: We don't want just any deal," he said. "If we had, we could have announced something a long time ago."

There has been "genuine progress" over the past 16 months since a joint plan was agreed and in his conversations with Zarif of the past few days, Kerry said.

The international powers won't rush the process, he said, but the negotiations are at a decisive point.

"We recognize that fundamental decisions have to be made now and they don't get any easier as time goes by," he said. "It is time to make hard decisions. We want the right deal that would make the world, including the United States and our closest partners and allies, safer and more secure, and that is our test."

U.S. President Barack Obama has made clear that he wants to achieve a "comprehensive and durable agreement" that is based on intensive verification of its implementation rather than trust, Kerry added.

"We have not yet reached the finish line but, make no mistake, we have the opportunity to get this right," he said.

While in London, Kerry met with his counterparts from the UK, Germany and France, as well as the European Union foreign policy chief, to discuss their coordinated approach.

British Foreign Minister Philip Hammond spoke for the group, echoing Kerry but saying while "substantial progress has been made in some areas," there were other areas that lacked agreement. "The time has come now for Iran in particular to make some very tough decisions if we are going to see progress made," Hammond said.

Kerry also spoke Friday by phone with Russian Foreign Minister Sergey Lavrov and Chinese Foreign Minister Wang Yi.

The Iranian President's guarded optimism Saturday -- which also happens to be Nowruz, a holiday marking the start of spring and beginning of a new year in the Persian calendar -- jibes with the progress cited recently by the Iranians' counterparts in the talks.

Western officials said Friday that the ongoing negotiations have led to compromises on some crucial issues that have long divided the West and Iran.

Specifically, the parties are coalescing around an idea that Iran could keep 6,000 centrifuges in any deal, down from the 6,500 that had been under discussion, two Western diplomats told CNN.

The pace of relief from sanctions is a sticking point for Iran, according to a Western official. Iranian negotiators want them lifted immediately, while U.S. and European negotiators prefer they be phased out over several years, contingent on Iran meeting its end of the bargain.

The debate has generated heated disagreements not only in Switzerland, but also in Washington, where Israeli Prime Minister Benjamin Netanyahu spoke to Congress on March 3 at the invitation of Republican leaders to warn about any nuclear deal with Iran. The speech was made without the approval of U.S. President Barack Obama.

The next week, an open letter signed by 47 Republican senators, addressing Iran's leadership, noted that any agreement made with the U.S. administration that is not approved by the Senate could be nullified by Obama's successor.

Late Thursday, Obama reached out "directly to the people and leaders of Iran," in a video message recorded ostensibly for Nowruz, to urge them to back a deal curtailing Tehran's nuclear program.

"This year we have the best opportunity in decades to pursue a different future between our countries," Obama said. "... Together we have to speak up for the future we seek ... I believe our countries should be able to resolve this issue peacefully with diplomacy."

But Iran's Supreme Leader Ayatollah Ali Khamenei, in his own Nowruz address on Saturday, noted the political divisions within the United States over the nuclear talks, Iran's state-run Press TV reported.

He suggested the U.S. President's Nowruz message "included dishonest assertions and his claim of friendship for Iranian people was not sincere," he is quoted as saying.

Khamenei also said Obama had claimed falsely that some people in Iran did not back a diplomatic resolution to the nuclear issue. What they are in fact resisting is the bullying approach of the United States, he said, according to Press TV.

The Ayatollah also insisted that the removal of sanctions should be part of the negotiations, not a step that only followed the implementation of a deal.

"Iran will never accept this," he said. "This is the Americans' ploy. Removal of sanctions should be part of any agreement."

CNN's Laura Koran, Elise Labott and Hamdi Alkhshali contributed to this report.

@highlight

British FM: "The time has come now for Iran ... to make some very tough decisions"

@highlight

U.S. secretary of state says substantial progress has been made but important gaps remain

@highlight

Iranian President says getting a general deal is easy, but ironing out the details may be hard