The U.S. House will vote Thursday on holding Attorney General Eric Holder in contempt of Congress for withholding documents involving the failed Fast and Furious weapons crackdown, Speaker John Boehner said Wednesday.

"We're going to proceed," Boehner, R-Ohio, told reporters. "We've given them ample opportunity to reply."

Late Wednesday, the House Rules Committee approved the procedure for Thursday's debate and vote, which could bring the unprecedented contempt citation of a sitting attorney general.

The move came the day after House Republicans rejected the latest offer by the White House and Justice Department to turn over some of the documents sought by congressional investigators.

Administration and justice officials met Tuesday with senior aides to Boehner and House Oversight Committee Chairman Darrell Issa, R-California, to try to head off the House vote.

However, a senior House Republican aide said an offer to let congressional investigators see some of the requested documents in return for dropping the contempt measure was insufficient.

A group of House Democrats, led by the Congressional Black Caucus, said it was planning to walk out of the House chamber on Thursday and boycott the vote.

In a letter to House members that was still being circulated late Wednesday for signatures, the Democrats opposed to voting on the GOP-sponsored resolutions said, "Contempt power should be used sparingly, carefully and only in the most egregious situations. The Republican Leadership has articulated no legislative purpose for pursuing this course of action. For these reasons we cannot and will not participate in a vote to hold the Attorney General in contempt."

The letter went on to say the signers would refuse to participate in any vote that "would tarnish the image of Congress or of an Attorney General who has done nothing but work tirelessly to protect the rights of the American people. We must reflect upon why we are elected to this body and choose now to stand up for justice."

A senior Democratic aide told CNN that, in addition to the Black Caucus, which includes more than 40 members, the Hispanic Caucus, the Asian-Pacific American Caucus, and the Progressive Caucus may also participate.  It was unclear whether any Democratic leaders would join the boycott.

The move would mirror a similar walkout by House Republicans in 2008, when Democrats, who then controlled the House, voted to hold two top Bush Administration officials in contempt of Congress.

The ranking Democrat on the oversight committee called Wednesday for Boehner to try to work out a solution with Holder instead of holding a vote on Thursday. "Why are we steamrolling ahead on a matter of such gravity?" asked Rep. Elijah Cummings, D-Maryland. "In my opinion the answer is plain and simple: politics."

There was no word Wednesday whether Cummings would participate in the planned boycott.

In a letter to Boehner, Rep. Sheila Jackson Lee, D-Texas, asked him to reconsider his decision to bring the contempt citation to the floor.

"Holding the nation's top law-enforcement officer in contempt of Congress would be a drastic, disproportionate action on the part of this body," she wrote.

Fast and Furious investigation started with agent's death

President Barack Obama has asserted executive privilege on some documents in the dispute, preventing them from being turned over on grounds they include internal deliberations traditionally protected from outside eyes.

At Tuesday's meeting, the Justice Department also offered to conduct a briefing, give Congress documents related to whistle-blowers in the case and work with the committee to respond to any questions it may have had after reviewing the materials.

"This was a good-faith effort to try to reach an accommodation while still protecting the institutional prerogatives of the executive branch, often championed by these same Republicans criticizing us right now," White House spokesman Eric Schultz told CNN. "Unfortunately, Republicans have opted for political theater rather than conduct legitimate congressional oversight."

Boehner, however, said Wednesday that a failure to cooperate by the Obama administration had forced House Republicans to take up the contempt measure.

Republicans on the House Oversight Committee last week recommended citing Holder.

The Bureau of Alcohol, Tobacco, Firearms and Explosives launched Operation Fast and Furious out of Arizona to track weapons purchases by Mexican drug cartels. It followed similar programs started in the Bush administration.

However, Fast and Furious lost track of more than 1,000 firearms it was tracking in the operation, and two of the lost weapons turned up at the scene of the 2010 killing of U.S. Border Patrol agent Brian Terry.

Issa and Republicans contend that Holder and the Justice Department are concealing details of how Operation Fast and Furious was approved and managed.

Democrats argue that Issa and his GOP colleagues are using the issue to try to score political points by discrediting Holder and, by extension, the president in an election year.

The showdown between Issa and Holder over the program dates back to subpoenas issued last year by the House committee.

At the Rules Committee meeting Wednesday, Issa conceded that investigators lack any evidence that Holder knew of the failed weapons-tracking tactics of Fast and Furious. The contempt citation, he said, was for Holder's failure to comply with subpoenas seeking specific documents.

"It's not for what the attorney general knew about Fast and Furious," Issa said. "It's about the attorney general's refusal to provide the documents."

Issa, White House clash over Fast and Furious executive privilege

Cummings and other Democrats contended that Issa conducted an improper investigation of Holder and Operation Fast and Furious. They complained the chairman refused to let witnesses proposed by Democrats give public testimony and was demanding documents outside the scope of the subpoenas Holder is accused of violating.

A video released Tuesday by Democrats on Issa's panel showed the chairman making past allegations of White House links to Fast and Furious, juxtaposed with Issa saying Sunday there was no evidence of a White House cover-up.

Some gun rights advocates, including the National Rifle Association, maintain that the program that allowed hundreds of weapons, including assault rifles, to end up in the hands of Mexican drug cartels was a way for the Obama administration to press for new gun-control laws.

Issa said Sunday he had e-mails showing the administration planned to point to the operation and push for a "weapons ban or greater reporting."

However, Cummings pushed back at Issa's claim Tuesday, telling reporters, "I don't believe that, and I think it's very unfortunate that people are coming up with these theories."

Democratic leaders in the House concede that some Democrats could join with Republicans to hold Holder in contempt, citing pressure from the NRA.

"There's been no polling of our membership on how they will respond to the NRA, but suffice it to say certainly that the NRA is a major force" in Washington, Rep. John Larson, D-Connecticut, told reporters Wednesday. He predicted the "strong majority" of the Democratic caucus would oppose the contempt measure.

The committee vote last week was on strict party lines, with Republicans supporting a contempt recommendation and Democrats opposing it. The vote occurred before the gun lobby formally registered its support for the contempt resolution.

Rarely has any pro-gun-rights Democrat representing a rural and Southern district broken with the NRA's position on key votes, especially in an election year.

"The reason we support the contempt resolution is the same reason we first called for Attorney General Holder's resignation more than a year ago: the Department's obstruction of congressional oversight of a program that costs lives in support of an anti-gun agenda," said a letter to Issa last week from NRA Executive Director Chris Cox.

The NRA, which frequently weighs in on congressional races with endorsements and support of a national grassroots network, also warned of electoral consequences for anyone voting against the contempt measure.

"This is an issue of utmost seriousness, and the NRA will consider this vote in our future candidate evaluations," the organization said.

Opinion: Don't be nosy about Fast and Furious

House Democratic leader Nancy Pelosi, D-California, said last week that Republicans were targeting Holder because he is fighting their efforts to suppress voter turnout in November.

On Wednesday, Larson chastised Republicans for pushing ahead on the contempt vote as part of a strategy to prevent economic progress and harm Obama's re-election chances in November.

"This is just all part of a continuing plan, and whether it's suppressing the vote or suppressing the economy -- this obstructionist regime that we see that continues to block because they think they would rather see President Obama fail than the nation succeed," Larson said.

Issa's panel has been seeking documents that show why the Justice Department decided to withdraw as inaccurate the February 2011 letter.

However, Holder has refused to turn over materials containing internal deliberations, and asked Obama to assert executive privilege over such documents last week.

@highlight

"We're going to proceed," Speaker Boehner says

@highlight

The House Rules Committee sets the procedure for Thursday's debate

@highlight

The House is scheduled to vote on holding Attorney General Holder in contempt

@highlight

At issue is whether Holder complied with a subpoena from congressional investigators