Trenton, New Jersey (CNN) -- Many 16-year-olds might covet a smartphone, an Xbox, maybe some expensive new sneakers or even a car.

Ronald Hennig just wanted a suit so he could attend a relative's funeral.

"I didn't really own even a shirt and tie or dress shoes," he said. "I was seeing some of my old family members, and it was kind of embarrassing to not have a suit when everyone else would have one."

The teenager, who had been in and out of foster care for much of his childhood, was living in a group home at the time. His caseworker was unable to justify the nonessential expense.

But an anonymous benefactor stepped in to help Hennig through a website called One Simple Wish.

"I got custom-fitted for the suit and I was able to go to the funeral," said Hennig, now 18. "I could pay the same respect as everyone else."

One Simple Wish was started by Danielle Gletow to help grant the wishes of children in foster care. Each child's wish is posted online, and anyone can pay to make that wish come true --- from tangible items such as a bicycle, a varsity jacket or school supplies to an experience like music lessons or a trip to the theater.

Since 2008, the nonprofit has granted more than 4,000 wishes for children living in 35 states.

"There are thousands of children in the foster-care system who go without those normal childhood experiences that many of us have had," said Gletow, 34. "These kids are separated from their parents. They're separated from their siblings. They really don't have people to ask. ... A lot of them decide that it's not worth wishing anymore because it isn't going to happen."

Since 2006, Gletow and her husband, Joe, have been foster parents to several children, eventually adopting one of them. Over the years, many friends and family members expressed a desire to help other children in the system, short of becoming foster parents themselves.

"(They) would say, 'I really wish there was something I could do, but I don't want to be a foster parent,' " Gletow said. "I just felt like, this is my opportunity to create something that makes it possible for all of these children who need something to get connected to all of these wonderful people that are out there, that want to help them."

According to the U.S. Department of Health and Human Services, more than 400,000 children were living in the U.S. foster-care system in 2011. But Gletow fears that, too often, we don't see what these numbers represent.

"These are individual children that have individual wishes and individual personalities and wants and needs and dislikes and likes," she said. "And I wanted to share those with people so that ... they could see that this wasn't about nearly half a million children that are in foster care. This was about this young man who wanted to go to karate lessons with his friends at school."

Do you know a hero? Nominations are open for 2013 CNN Heroes

The most common wishes on One Simple Wish typically cost $10 to $100, and they generally do not exceed $500. Higher-priced wishes can be granted by pooling the resources of multiple donors.

"The wishes that don't seem like the basic necessity are (often) the ones that are the most important," Gletow said. "Because those are the wishes that are really just a kid being a kid, and asking for something that they want to have fun.

"We want them talking about fun things and happy things. We don't want to constantly remind them of how sad or tragic or challenging their circumstances are. We want to remind them that, 'Yeah, there's a really cool new video game out there, and you can play it and there's nothing wrong with that.' "

On rare occasions, there are wishes that exceed $500, such as flying a family member in to attend a graduation or continuing music lessons. These are granted through fundraising drives on the website.

"Anybody -- anywhere, anytime -- can go on our website, and they can look at hundreds of wishes that are posted on behalf of children in foster care and children in vulnerable family environments," Gletow said. "These small things make an enormous difference in the life of a child who has spent their entire life wondering if anybody cares about them."

All the wishes on One Simple Wish are submitted by approved social service agencies and caseworkers. Once the wishes are reviewed and posted to the website, donors can post funds to make a wish come true.

"It's just like online shopping, but at the end you get to give a gift to a child who will thank you more than you could ever imagine," Gletow said. "When a child's wish is granted, we are reassuring them that their voices are being heard."

Gletow also is constantly searching for ways to maximize a gift's value, calling individuals or companies who might be in a position to donate the wish in-kind or provide an item or service at a discount.

"I'm here to be the mom to all of these kids out there who might not feel like they have one," she said. "If I had an enormous house, I'd invite them all to live here. I can't do that, but I know that what I'm doing is making a difference in their lives."

Gletow's nonprofit is also working in other ways to fill gaps in the foster community. Its office is home to several offshoot projects that have benefited thousands of foster youths and families in New Jersey.

The Ohana Project helps foster kids, foster-care workers and families by providing 24/7 access to new baby supplies, bed linens and blankets, pajamas and other items that can ease a child's transition into a new placement or home.

The Wish to Work program targets older youth to help give them the skills needed in professional careers. Wish to Work provides job-training seminars, networking events, résumé feedback and other assistance.

"I'm now able to apply to college, and I know that I have a competitive résumé," said Hennig, who participated in the program last year. "I know how to be just as equipped as every other teenager my age. And I've gotten all of the same skills that parents would pass down to their children."

Gletow says this is what keeps her going.

"Our states take children out of their homes and say, 'We can do a better job raising you,' and then they don't," she said. "And we need to all step up as a society and do that.

"It's up to every individual person to say all of our children deserve better. Not just the ones that are born into good circumstances. ... That's what I'm going to do with my life. I want my life to be a life of purpose."

Want to get involved? Check out the One Simple Wish website at www.onesimplewish.org and see how to help.

@highlight

Foster children don't often get what they want, but one group is trying to help change that

@highlight

Danielle Gletow's nonprofit posts kids' wishes online so anyone can pay for them

@highlight

Wishes can be tangible like a bike, or they can be an experience like music lessons

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes