Otsuchi, Japan (CNN) -- Kyoko Ogawa wore the brave face the world associated with Japan's tsunami survivors.

The March 11 catastrophe washed away all her earthly possessions. She watched as her hotel burned to the ground in a gas explosion triggered by the tsunami; a hotel that had been in her family for generations.

She was determined not to let the disaster break her.

But after the elation of finding her son alive, the reality of losing her livelihood started to erode the calm facade. She was in turmoil. She was afraid to talk to other people about it because she knew everyone was suffering as much as her, if not more.

They were "ganbaru," she recalls -- enduring, holding on, withstanding, and living with the pain. She couldn't be the only one to lose control.

"I was in shock because I realized that all that was precious to me was gone," she says, six months on from that terrible day. "I didn't know what to do from then on. I became tormented."

That was the start of a slippery slope down a dark trail of despair.

It's a familiar story in Otsuchi, northeastern Japan, where the devastating earthquake and tsunami turned much of the town in Iwate Prefecture into rubble. Today, much of that physical debris has been cleared away. But the emotional wreckage of the survivors is proving much more difficult to remove, as the mental scars from that day linger months later.

In Ogawa's case, depression could have had tragic consequences for her had she not met Suimei Morikawa, a volunteer psychiatrist who listened patiently to her troubles one day at an evacuation center.

Morikawa became the difference between life and death. She says she probably would have ended her life if the doctor hadn't been there for her.

"I was so moved by her approach to life," recalls Morikawa. "She may have been suffering and wanting to end her life because she had lost so much, but she also desperately wanted to get over that. I was moved by her willingness to get out of her own situation. I just helped her a little."

Concerns about suicide and Post Traumatic Stress Disorder (PTSD) are growing among mental health specialists working in the region. PTSD in particular, a condition which can push people over the edge if not addressed, can show up months after the initial shock.

Suicide is also a major concern in Japan.

According to the World Health Organization, Japan has the fifth highest suicide rate in the world. More than 30,000 suicides are reported each year, according to the country's national police agency, with Iwate Prefecture -- one of the regions hit hardest by the tsunami -- having one of the biggest problems.

Mariko Ukiyo, a psychologist and volunteer counselor, is part of a therapy group called "Team Japan 300." She and a number of other team members visit temporary villages in the devastated region hoping to treat symptoms of PTSD and ultimately prevent suicides.

According to Ukiyo, loneliness and despair take hold when the survivors move from their evacuation center to temporary housing.

"It is only then that people see how their life has changed from their pre-disaster life," she says. "The sense of loss and deep grief can overcome you quickly and if you are alone when that happens, you lose all hope for the future. I think this period is when they need help the most."

But getting help to the victims is proving to be a challenge in Japan, a country with limited experience in mental health care historically. Ukiyo says the amount of psychological support received by tsunami victims now is a tenth of what the victims of 9/11 in the United States experienced.

According to Ukiyo, the devastating 1995 earthquake in the city of Kobe started to raise awareness about the effects of post-traumatic stress -- particularly among the younger generation -- but many Japanese continue to find it difficult to talk about sorrow and loss because of the shame of appearing weak.

Ukiyo's strategy is to gather the residents in temporary housing for a regular get-together in a relaxed atmosphere. This gives her the opportunity to keep an eye on each of the participants, observing anyone that shows signs of severe distress. The hope is that what starts out as small talk will gradually evolve into people talking about themselves and their problems.

But despite her efforts Ukiyo is not optimistic about the region's future with trauma.

"We are only now starting to hear about sick or depressed people six months after the tsunami," she says. She believes suicide rates will only increase.

Meanwhile, Kyoko Ogawa vows not to be another victim. She says Dr. Morikawa pulled her back from the brink and she is now making plans for the future. She wants to rebuild her hotel and give back to those who helped her.

While Ogawa is a success story for Morikawa, he worries about those he will never reach in this devastated region.

"Now that I have met these people, I have grown attached to them," he says.

"It saddens me that there are still so many people suffering here. I can't stand the thought that there may be people who died because they had no-one to talk to."

@highlight

Kyoko Ogawa became depressed after losing her hotel in March tsunami

@highlight

She contemplated suicide after being afraid to talk to anyone about her troubles

@highlight

She says a volunteer psychiatrist at an evacuation center saved her

@highlight

Mental health specialists are worried about the impact of the disaster months later