(CNN) -- When I "beat" cancer the first time, I was excited. My daughter was on her way to remission as well, and we were going to be a normal family again.

It was almost over.

Then Saoirse's cancer came back with a vengeance, and she was taken from us. I wanted to trade places with her, but I was better. I was in remission, and I had to learn to live again, even though my baby girl had died.

So I did just that. I pushed forward. I started a nonprofit neuroblastoma foundation in Saoirse's honor, helped my husband start a business called CareAline Products to distribute products I had made for her when she was sick, and gave birth to our second child.

Mom sews a new dream after toddler's death

Life seemed to be moving in the right direction. I felt great, and while there was always a little voice telling me remission wasn't a guarantee, I thought that I had made all the necessary changes in my lifestyle to keep me cancer-free forever.

Then, in one instant of excruciating pain, that belief that everything was going to be OK was gone.

A kidney stone sent me to the ER. When the doctor came back with the CT results, I wasn't expecting the words that would come out of her mouth:

"You have a 4-millimeter kidney stone. But you also have some swollen lymph nodes next to your aorta. They were flagged by the radiologist because of your history."

The world went silent, which is a feat, considering I was sitting in a busy ER. I'm pretty sure I stared dumbfounded at the doctor for at least a minute, unmoving. Lymph nodes. Swollen. Those words stuck in my head.

While I did my best to believe that follow-up tests would be negative, in the back of my mind, I knew.

The cancer was back.

I was sent home to pass my kidney stone, and to start the excruciating process of figuring out what the heck was going on inside my body. First came the scans -- CT and PET. Then a biopsy.

Waiting for test results takes an extreme emotional toll. With every day that passed I grew more anxious, and more unfocused.

The news came at lunchtime on a Tuesday six weeks after that fateful ER trip. "They are calling it a Hodgkin's lymphoma," the doctor said. All I could say was, "OK."

I was numb. Then frustration set in, quickly followed by extreme annoyance.

How could this be happening again? I didn't have time to deal with cancer. I had a foundation to run, a business to help with, and first and foremost, an 8-month-old to take care of.

When I set out to fix something, I do it right. I think this is why my cancer relapse hit me so hard. It means I have to go back to the drawing board and start again. It's a feeling of failure that is hard to overcome.

I have tried not to let my family and friends see my disappointment, but it has been almost impossible to hide.

This time, cancer isn't the unknown beast it was the first time I was diagnosed. This time cancer was the nagging neighbor who finally moved and put their house on the market and then decided to come back instead of paying closing costs.

Relapse is a fear of the known.

I know what chemo feels like. I know the nausea, the hair loss, the numbness, the fatigue, the burning veins and the pain. I know that chemo can take me from feeling great to feeling like crap in less than four hours.

I know what high-dose chemo does to a patient whose only wish is to live a little bit longer. I've seen quality of life stripped away for a chance at a few more months, and the ever-diminishing chance of a cure.

With that knowledge came a major decision: Should I give in and allow myself to be thrown back into the chaos of toxic therapy -- or defy the fear and find a better way?

During the six weeks I waited for my test results, I started to think about, talk about, and research different treatment options. I wasn't comfortable doing chemotherapy again, as I knew the treatment would be much more intense and toxic than what I had already been through.

When relapse was confirmed, my general practitioner told me about homeopathic cancer therapy. I did more research, and made more phone calls. It just felt right. My doctors are on board, especially since I have a slow-growing disease.

While some may not understand my choice to forgo conventional treatment, this time around I'm determined not to be scared into toxic therapy. This is a chance to take back control of my body.

I'm determined to beat cancer, and I know that I am strong enough to do so.

After all, I did it once before.

The opinions in this article are solely those of Kezia Fitzgerald.

@highlight

Kezia Fitzgerald went into remission from Hodgkin's lymphoma in 2011

@highlight

The cancer relapsed in March of this year

@highlight

Fitzgerald says relapse is the "fear of the known"