(CNN) -- Editor's note: Matt Walton a technology and engineering education teacher at Glen Allen High School in Henrico County, Virginia. He has a master's degree in education and a bachelor of science degree in technology education from North Carolina State University.

You might have noticed a recent TV commercial from Chevron Corp. showing a Chevron professional next to an eighth-grade student with a robot. The student describes the remote control robot, and the young Chevron professional talks about how a high school science teacher made him what he is today (a geologist for Chevron). The next part of the commercial caught my attention, because in bold letters the words "Science Rules" flashed on the screen. While I agree that "science rules," so does technology and engineering.

What the ad is demonstrating is not science education, but rather the middle two letters of STEM - or science, technology, engineering and math - education. Often technology and engineering education is overlooked when people talk about STEM education or when governments make decisions about education policy.

In last year's State of the Union address, President Barack Obama called for adding "100,000 new teachers in the fields of science and technology and engineering and math." This call for new teachers was laudable, however, science and math education receive the majority of attention and support from universities, various levels of government and the public.

One reason is because math and science are required classes throughout a student's educational career, unlike technology and engineering. Additionally, as you examine the landscape of colleges and universities around the country, it's easy to find a school where you can study to become a science or math teacher. Unfortunately, the same cannot be said for technology and engineering education as many colleges and universities have cut their programs, and sadly so have some high and middle schools.

Technology and engineering education is exhibited in many different ways when you look at that robot in the commercial. The physical appearance of the robot incorporates one of the main cornerstones of technology and engineering education: design.

Design in technology and engineering education can come in various forms. One is digital design through digital photography and Photoshop to generate a treatment and produce a video. Another aspect covered in technology education classes focuses on engineering design by creating a more efficient shopping cart or a new blade design for a wind turbine.

You can find many diverse concepts and principles in technology and engineering labs. Students can learn engineering principles such as aerodynamics through the creation of carbon-dioxide-powered cars. Students are able to explore aerospace engineering by building complex rockets and simple rubberband-powered planes that can stay in the air for minutes. Students learn principles of chemical engineering when they make bioplastics and biofuels.

When you look at the robot in the commercial, you can see design in the way that the robot is built and how the parts of the robot interact with one another to achieve the goals of the creator. Here the examples of engineering become glaring and are even highlighted by the student. The fact that the student has four servo motors on the robot and not three, five or six demonstrates that the student used engineering concepts to determine the amount of lift, torque and speed needed to achieve the most efficient robot.

If you were to walk into a high school technology and engineering class, the first thing you will notice is a lab full of busy students working diligently on projects and creating things. Students are often excited to learn because they can express their creativity and apply what they are reading about and taking notes on in other classes. Through project-based learning, students gain knowledge in different areas of technology and engineering, much of which reinforces what they have learned from their science and math teachers.

And science, technology, engineering and math, or STEM education has an important economic impact as well. According to a July report by the U.S Department of Commerce, STEM-related jobs are projected to grow by 17% by 2018, compared with 9.8% for non-STEM professions. Additionally, even in the midst of the Great Recession, STEM joblessness has been almost half of non-STEM jobs. While the unemployment for non-STEM jobs topped out around 10%, STEM jobs never cracked the 6% mark.

As a country we need to focus on improving in all areas of science, technology, engineering and math education if we are to succeed in creating and competing for the jobs that will be prevalent in the decades to come. However, it's vital to our nation and to our students not to overlook the "T and E" in STEM.

The opinions expressed in this commentary are solely those of Matt Walton.

@highlight

Matt Walton is a technology and engineering education teacher in Virginia

@highlight

He says that science and math often get more attention than technology and engineering

@highlight

He argues that it's vital to the nation to not overlook the "T&E" in STEM education