(CNN) -- The Violence Against Women Act has protected crime victims and helped police and prosecutors take violent criminals off our streets for nearly 20 years. After it became law in 1994, it was reauthorized, with robust support from both parties, in 2000 and 2005.

Republicans played a prominent role in crafting the act, and particularly its protections for undocumented crime victims. But this time around, House Republicans are blocking its reauthorization and proposing a dramatic and dangerous rollback in its protection for immigrant victims of domestic violence, sexual assault and human trafficking.

The House Reauthorization bill undermines two decades of relief for immigrant victims who suffer continuing abuse at the hands of U.S. citizens or permanent resident spouses or parents.Â  The Violence Against Women Act has provided undocumented immigrant women and children, who might depend on their abusers for legal status or economic support, a special immigration remedy that helps victims Â become independent and stops their assailants from trying to keep them quiet with threats of deportation.

The House bill breaks with that history by weakening vital confidentiality provisions that protect immigrant spouse and child abuse victims from retaliation by keeping their abusers from interfering with the victims' immigration case.

A U-visa, a feature of the act, gives a person who is undocumented and a victim of certain violent crimes protection from deportation with legal status and work authorization. It is not easy to get one. You must meet certain criteria and agree to assist and continue assisting in law enforcement investigations and prosecutions. The nonpartisan Congressional Research Service reported that the Department of Homeland Security has incorporated safeguards for adjudicating these cases and there is no evidence of fraud.

The House bill would put immigrant crime victims on a path "from report to deport" by making U-visas temporary and contingent on factors outside the victim's control, such as whether a rapist has been identified. It would also remove the possibility of lawful permanent resident status for those who, thanks to the U-visa, are able to summon the courage to report crimes and cooperate in criminal investigations and prosecutions.

The U-visa has been instrumental in solving and preventing crimes. In one dramatic case, a police officer who investigated gangs helped an immigrant victim of domestic violence and sexual assault obtain U-visa certification from his department. This action ended up saving his life.

The victim cooperated in the successful prosecution of her assailant. And she later warned the officer that her abuser's gang had put out a contract to kill him and his partner. The House bill's proposed changes would have ended in her deportation and, perhaps, those officers' deaths.

Members of Congress who once led efforts to offer immigration relief for crime victims included nearly equal numbers of Republicans and Democrats. I had the privilege of assisting these bipartisan collaborations to create special immigration protections for victims of spousal, child and elder abuse, the U-visa for cooperating crime victims and the T-visa for human trafficking victims.

The crimes suffered by U-visa applicants and recipients are predominantly domestic violence, child and elder abuse, at 46%; rape, human trafficking and sexual assault, at 29%; felonious assault, murder and torture, at 11%; and kidnapping and false imprisonment, at 8%. These are serious crimes indeed, and it is imperative that congressional leaders summon the political will to reauthorize the act before the end of December 2012.

Each new incarnation of the act has improved protections. In contrast to the House bill, the Senate Reauthorization bill (S1925) continues the long bipartisan history of expanding the act to assure better protections for domestic violence and sexual assault survivors.

The Senate bill extends protection to members of the LGBT community and Native Americans; prevents children from being denied benefits because they have grown too old during the long application process; expands the pool of U-visas and adds stalking to the list of covered crimes. It also strengthens protections for foreign fiances and spouses of U.S. citizens through amendments to the International Marriage Broker Regulation Act.

The Senate bill addresses an annual shortfall by increasing the cap on U-visas from 10,000 to 15,000 for each of the next eight years. This is not a net gain in allotted U-visas, but is a recapture of about 34,000 of roughly 74,000 U-visas that were authorized by Congress but never used. From 2001 to 2007, thousands of applicants were granted interim relief, rather than the U-visas allotted for those years, while they waited for Department of Homeland Security to adjudicate their cases. The House bill keeps the cap at 10,000 and imposes restrictions that will make it impossible to investigate, solve and prosecute crimes when the victim is an immigrant.

Every U-visa represents a tip to law enforcement and a cooperating witness. In a survey of nearly 8,000 U-visa cases, 99.45% of U-visa applicants and U-visa holders either provided, or were willing to provide, critical information and ongoing cooperation with police and prosecutors.

Police departments are benefiting greatly from the value of the U-visa in building good relationships with immigrant communities. HR 4970 would end U-visa protections and thus discourage victims' cooperation with law enforcement, destabilizing the trust between police and immigrant communities the law has fostered for many years.

Immigrant crime victims who receive U-visas have a legal obligation to continue cooperating with law enforcement as a requirement to file for lawful permanent residency. This allows police to maintain important sources of information.

U.S. demographics are changing. Today 27% of the U.S. population is either immigrants or has one or more immigrant parent. Passing the Senate's proposals for the Violence Against Women Act will allow many victims of terrible crimes to come out of the shadows and find justice and safety.

The opinions in this commentary are solely those of Leslye Orloff.

@highlight

Leslye Orloff: GOP, Democrats have supported Violence Against Women Act since 1994

@highlight

Orloff: House Republicans now want to block it, gut protections for immigrants

@highlight

Victims can report abuse, rape and human trafficking without fear of deportation, she says

@highlight

Orloff: Victims help police, prosecutors, but all this will be lost if House GOP plan prevails