(CNN) -- "Seldom set foot in your neighbor's house -- too much of you, and they will hate you."

For the rival English cities of Liverpool and Manchester, familiarity, and proximity, as that quote from the King James Bible suggests, has indeed bred contempt.

Where these two cities are concerned, there is a history of ill feeling.

It is a rivalry that has been most bitterly played out on the football pitch between Liverpool and Manchester United but where bragging rights are up for grabs in even music and culture.

English football faces litmus test of civility

Over the years as the two sides met at Liverpool's Anfield stadium or at United's ground at Old Trafford, hostilities festered and grew.

Cruel songs were sung about tragedies -- the Munich air disaster that affected United and the Hillsborough tragedy that has cast a pall over Merseyside -- supporters were mocked and players taunted.

The ugly sideshow to inter-city sporting endeavour reached a crescendo last season over a dispute over racism and this Sunday the fires will be stoked once again when the two teams meet at Anfield.

"It's one of the biggest rivalries in world sport, and those rivalries -- whether it's Barcelona vs. Real Madrid or whoever -- thrive upon an element of spite," explains author, and Liverpool native, Kevin Sampson.

Down the rabbit hole: Depression in the Premier League

"There's no doubt, though, that the Liverpool vs. Manchester United rivalry has deteriorated into hatred."

In almost every regard, there are alarming similarities between the two areas. Both have a proud industrial history, have made significant contributions to popular culture and are widely viewed as modern, forward-thinking cities.

"This is the ultimate irony," said Sampson.

"With their proud working-class traditions, their enormous contributions to music, art, pop culture, sport and, above all, their global footballing legend, Liverpool and Manchester have set down a lasting international legacy.

"They have much more in common than either cares to admit. Perhaps that's why the rivalry will endure."

Blog: Whatever happened to Rafael Benitez?

But this particular feud is about more than The Beatles vs. Oasis or The Hacienda vs. The Cavern Club.

"It goes back to the Industrial Revolution," explains Manchester United Supporters Trust (MUST) chairman Gerard Shamash, referring to the construction of what was then the world's largest ship canal in 1887.

"Mancunians regard themselves as somewhat superior to Liverpool, perhaps unjustifiably but that's the way we are," added Shamash.

Back on the football pitch, there has been only one winner in recent years.

Scottish manager Sir Alex Ferguson arrived at United in 1986 with the expressed aim of knocking Liverpool, the undisputed force in English football at the time, "off their f***ing perch."

A quarter of a century later, Ferguson had clambered atop that perch as United won their 19th English title, overhauling Liverpool's record of 18.

Meanwhile Liverpool's quest for a 19th championship -- the Reds last won the league title 1991 -- has been the downfall of a number of managers, including club legend Kenny Dalglish and European Champions League winner Rafael Benitez.

The consolation for Liverpool has come in the European Cup, now known as the Champions League, with the Anfield trophy cabinet showcasing European club football's top prize on five occasions, compared to three wins for United.

"Both clubs believe they are the 'biggest' in the world," continues Sampson. "United in terms of fanbase and revenue, Liverpool in terms of their folklore and success."

But in recent months, the rivalry between the two has raised questions over whether such tribalism is out of place in the 21st century.

Liverpool striker Luis Suarez was handed an eight-match ban for racially abusing United defender Patrice Evra during a game between the teams in October 2011.

The issue dragged the two sets of fans even further apart, with each group launching a staunch defence of their player.

When the two teams met again in February this year, the prematch handshake overshadowed the on-pitch action. Uruguay's Suarez refused to accept the hand of the Frenchman he was adjudged to have racially abused.

"If Evra plays -- and his poor form suggests he may not -- he will endure a hostile reception no doubt about it," said Sampson ahead of the meeting at Liverpool's Anfield stadium. "But the atmosphere at these matches is always intense."

In the moments before kick-off on Sunday, ahead of the 186th meeting between the two teams, Evra and Suarez will have an opportunity to set the mood -- and an example -- to the two sets of spectators.

"There is talk suggesting Evra will shake Suarez's hand and vice versa," said Shamash. "I think it is time to move on. It would set the right tone.

"I sincerely hope they both bury the hatchet and there will be a handshake."

If ever there was a time for an air of reverence between the two clubs, it is now.

Last week saw the release of an independent report into the Hillsborough Stadium disaster, a tragedy which saw 96 Liverpool lose their lives at an FA Cup semifinal in 1989.

The report absolved fans of any blame for the fatal crush, instead pointing to the authorities who failed to take the necessary preventative actions.

The chant "always the victims, never your fault" has been directed at Liverpool supporters by a small minority of United fans in recent times, but MUST outlined their opposition and strong disapproval for any anti-Hillsborough slurs.

"Nothing surprises me when it comes to football rivalries ... accepted norms are abandoned for 90 minutes," added Sampson.

"Fans will fling anything at each other, so long as it lets them know how much they despise one another.

"In an ideal world Liverpool and Manchester United, as two clubs whose fanbases have known football's tragic lows along with indelible highs, would set a better standard."

Coping with loss is something else which binds these two football institutions.

United's darkest hour arrived on a Munich air field in February 1958. Matt Busby's vibrant young team, hailed as "The Busby Babes", were stopping off in Germany following a European Cup tie in Belgrade, Yugoslavia.

In snowy, slippery conditions, the plane crashed, killing 23 people and eight of the United team.

Among the fatalities was Duncan Edwards, a 21-year-old midfielder tipped for superstardom who died in hospital 15 days after the crash.

As with the Hillsborough disaster, a small minority of Liverpool fans have used the crash as a stick with which to beat United's supporters.

"MUST will not have the slightest truck with anyone who suggests what happened at Hillsborough wasn't a complete and utter failure of the state," insisted Shamash.

"I can remember seeing all of the coffins coming home from Germany after the Munich air disaster, the number of people killed in that was substantial and it wasn't as many as were killed at Hillsborough.

"I've always felt what happened at Hillsborough was absolutely monstrous ... You would have thought there would be some sort of cross sympathy between supporters, but sometimes people do things before thinking."

Liverpool fans had been wrongfully blamed for the tragedy for over two decades, with police statements amended to remove any criticism of the authorities.

When asked about his reaction to the report, Sampson replied: "Relief that the truth is out there at last, delight that the families most affected by the tragedy can take steps towards a kind of peace with themselves.

"But there's also anger that, as a people and a club, we were unfairly tarred for so long. It may take time for that to heal."

The healing process could be aided this weekend by a gesture of goodwill and support from the United fans in the away end towards their Liverpool counterparts gathered in the fabled Kop.

United season ticket holder and journalist Paul Vallely suggests, in the ultimate show of sympathy, the club's fans could sing Liverpool's famous anthem "You'll Never Walk Alone".

"United's manager Sir Alex Ferguson had called for an end to the hostility between his club and Liverpool," Vallely wrote in an article for The Church Times.

"He was not heeded by some. Perhaps he should remind his fans that when eight Manchester United players died in the Munich air crash in 1958, Liverpool offered United five players so the Manchester club could finish the season.

"Ahead of the match between Liverpool and Man Utd on Sunday he needs to make a gesture of considerable magnitude. And on the day the United fans should know what to sing."

@highlight

Liverpool and Manchester United will meet in the English Premier League on Sunday

@highlight

The people of the two cities have been rivals for over 100 years

@highlight

Last week's release of an independent report into the Hillsborough disaster adds to tension

@highlight

A racism row between Luis Suarez and Patrice Evra has also soured relations