Tehran, Iran (CNN) -- Mir Hossein Moussavi, the Iranian opposition leader and symbol of anti-government fervor, lashed out against Iranian authorities on Tuesday, saying remnants of the "tyranny" and "dictatorship" that prevailed under the toppled Shah of Iran's regime persist today.

"In the early years of the Islamic Revolution, most people were convinced that the structure of the revolution would destroy the past political situation of tyranny and dictatorship, and I was one of them who believed that," said Moussavi, a former prime minister.

But now, he said, he no longer believes that.

"The current political situation in Iran indicates the presence of the remaining roots of tyranny and dictatorship of the Shah," whose regime was overthrown in 1979 and replaced by an Islamic republic led by Ayatollah Ruhollah Khomeini.

"I don't believe that the revolution achieved its goals," said Moussavi, speaking out forcefully as the tensions over Iranian politics continue.

The regime is marking the anniversary of the shah's overthrow with a series of events that began this week and culminate on February 11. Moussavi and Mehdi Karrubi, another Iranian opposition leader, have urged supporters to demonstrate.

Those celebrations coincide with Iranian trials and executions of street protesters who demonstrate against the June 12 presidential election victory of incumbent Mahmoud Ahmadinejad. In the final results Ahmadinejad was declared the winner over Moussavi, a result seen by many Iranians as questionable or rigged.

The initial protests broke out last summer and have persisted. In late December, at least seven people were killed and hundreds arrested, witnesses said, as they took to the streets on Ashura, a Muslim holy day which occurred on December 27. Moussavi's nephew was among those killed during those protests.

The Iranian government has denied that its security forces killed anyone and has blamed reformists for the violence.

Police have arrested 4,000 people in the post-election crackdown.

Moussavi, who made his Web site comments in a question and answer format, said an Iranian government that reflects "dictatorship in the name of religion is the worst kind" and he added he has lost hope "that the revolution had removed all those structures which could lead to totalitarianism and dictatorship."

"The most evident manifestation of a continued tyrannical attitude is the abuse of parliament and judiciary. We have completely lost hope in the judiciary," he said.

"Stifling the media, filling the prisons and brutally killing people who peacefully demand their rights in the streets indicate the roots of tyranny and dictatorship remain from the monarchist era."

The semi-official Fars news agency reported Tuesday that Iran will soon execute nine more people in connection with the country's post-election riots. The nine are among 11 who were sentenced to death by Tehran's Revolutionary Court last month.

Iran vows to execute protesters

Two were hanged last week, and a senior judiciary official was quoted as saying "the two people who were executed as well as the other nine who will soon be executed had certainly been arrested during the recent riots.

"Each had belonged to an anti-revolutionary group, had aspired to sow dissent and to uproot the regime," the official said.

Moussavi also praised the grass-roots Green opposition movement. But he said while protesters should vent their opinions, they should follow law and not overstep legal bounds. Any law-breaking would hurt the reform movement, he said.

"The ultimate goal is to move toward an independent, free and united Iran. Women and men of all cultures, classes and ideas should have opportunities," he said. "The Green movement stands for human dignity, open ideas, diversity and freedom of expression."

Moussavi hasn't been arrested since the protests began, but he is facing the wrath of an establishment targeting reformers like him. At the same time the regime is risking even further civil unrest if it takes him into custody.

Recently, Iran's parliament asked authorities to arrest "the main instigators and directors" of violent anti-government protests, the state-run Islamic Republic News Agency reported Wednesday, the same day massive pro-government rallies were held in Tehran and other cities.

Legislator Hassan Noroozi named three people he said "must be arrested" -- Moussavi, Karrubi, and Fa'ezeh Hashemi, daughter of the former reformist president, Ayatollah Akbar Hashemi Rafsanjani.

"They must not remain on the sidelines and be safe," Noroozi said. "Those who issue statements and invite people to create chaos in the streets and attack one another must be dealt with according to Islamic laws."

Pro-government crowds demonstrating in Tehran have chanted "Death to America," "Death to Israel," and "Death to Moussavi."

Noting the pressure and threats in the highly-charged political environment, Moussavi has said on his Facebook page that he is ready for "martyrdom."

CNN's Mitra Mobasherat contributed to this report.

@highlight

Iran marking the anniversary of the shah's overthrow with a series of events

@highlight

Moussavi, fellow opposition leader have urged supporters to demonstrate

@highlight

Moussavi: Government that reflects "dictatorship in the name of religion is the worst kind"

@highlight

Parliament asked authorities to arrest "main instigators and directors" of protests