Stockholm, Sweden (CNN) -- A few days into the new year, it's not too late to make some predictions.

This year a few will still note the loss of Lehman Brothers, and many will continue to see the new U.S. president as an agent of major change. Swedes will mourn the death of SAAB and China will see the rise of the Geely-Volvo merger as a major change.

But the really big changes in the world happen over decades and centuries, and so the 2010 world will be very similar to the pre-crisis world we had in 2007.

The Israel-Palestinian conflict will roll on and the strife in Afghanistan and Pakistan will continue. Chinese economic growth will continue, as will the U.S. trade and budget deficits. There will still be no malaria vaccine, and the European Union will continue to move slowly, slowly toward political unity.

But in contrast to business as usual, I predict one major change in 2010: This is the year when we will upgrade how we view the world.

It became obvious during the financial crisis that we have moved from the G-7 to the G-20 world. Another way of putting it is that the world during the past few decades has changed from one of diverging to one of converging trends.

This is a major change, because ever since the rise of the West started more than 200 years ago -- and until at least 1970 -- the world diverged into two groups.

The West had 1 billion people with a life span of 70 years, two-child families, and an average annual income of $10,000 or more per person. The "Rest," known as the developing world, consisted of 3 billion people who lived shorter lives, had three times as many children per woman, and tried to survive on a tenth of the income of people in the West.

But as the last century came to a close, in a very subtle way the diverging trends slowed down and were gradually replaced by a converging trend. The switch from a diverging to a converging world could first be noted in health and demography.

The change to a converging world started in the bedrooms of what were to become the emerging economies. In 1968, when Paul Ehrlich published "The Population Bomb," countries like China, India, Egypt, Vietnam, Iran, Brazil and Mexico had six to seven children born per woman. Today women in all these countries give birth to three, two or even fewer children, on average.

In pillow talks of hundreds of millions of newlywed couples, a consensus was reached to have fewer children, and commitments were made to work hard to provide a healthier and better life for them. And the young couples in the emerging economies were successful. The fertility decline was combined with a fall in child mortality.

Most surprising is the speed of these major social changes. The United Nations Millennium Goal set the target for all countries to reduce child mortality by 4.3 percent per year in the period 1990 to 2015.

How did young parents, governments and aid organizations jointly manage to improve this noble metric, to improve the chances of surviving childhood? Due to the wise funding by USAID of the Demographic and Health Surveys, we know the answer. Since 1990, Bangladesh, Egypt and Brazil have had an average annual rate of reduction in child mortality of 4.7 percent, 5.5 percent and 6.3 percent, respectively.

This obviously represents a switch to a converging world, as the average annual rate of reduction of child mortality in Sweden was only 3.6 percent over the last century. Bangladesh is catching up to Sweden. In health and demography, the major countries in Asia, the Middle East and Latin America are progressing faster than the West ever did. The resulting population composition and health status enable these countries to grow their economies faster than the West ever had.

The sequence of social and economic change is different. In Western Europe and North America, industrialization, technology and the market economy were the driving forces; they were followed by social investments, health improvements, and eventually fertility decline.

In the rising nations of Asia, the Middle East and Latin America, the sequence of events is almost reversed. First came basic education, improved survival and small families, which helped lead to fast economic growth that spurred technology development.

Through efforts like the Gapminder Foundation, which turns data into animated graphics, we can see and explain the big but gradual global changes that rarely make it into breaking news. And the biggest one of all is this -- a converging world where we can look into the future and see the eventual end of Anglo-European world dominance.

The opinions expressed in this commentary are solely those of Hans Rosling.

@highlight

For hundreds of years, the West was richer, healthier than the rest of the world

@highlight

Hans Rosling says that started to change about 1970

@highlight

He says people in emerging countries started having fewer children

@highlight

Rosling says people are now realizing that the two worlds are converging