Editor's note: Audrey Kurth Cronin, a professor at the U.S. National War College and research associate of the Changing Character of War program at Oxford University, is the author of "How Terrorism Ends: Understanding the Decline and Demise of Terrorist Campaigns" (Princeton University Press, September 2009). This article represents her views only, not necessarily those of any U.S. government agency.

Audrey Kurth Cronin says recent events have raised new concerns about terrorism and al Qaeda.

(CNN) -- President Obama entered office hoping to displace the global war on terrorism with a new age of engagement, thereby replacing fear with hope and relinquishing terrorism as the centerpiece of U.S. foreign policy.

Yet terrorism is once again in the center of the bull's-eye for Washington policymakers.

The war in Afghanistan is at a watershed. Having been relatively neglected in favor of the intervention in Iraq, the administration must now decide whether to recommit to a full-fledged counter-insurgency, perhaps with an additional 40,000 U.S. troops on top of the more than 60,000 already slated for the conflict. Alternatively, some argue for a strategy that focuses on the original problem -- of al Qaeda and its extremist associates rather than more ambitious state-building.

The former would appear to be more costly and perhaps a slippery slope to a protracted war that might not be winnable; the latter could be ineffective in halting the potential resurgence in an unstable region of an al Qaeda threat to the United States and its allies.

Meanwhile, in the past few weeks it seems clear that the United States has foiled a series of terrorist plots that collectively constituted the gravest threat to the American homeland since 9/11. Najibullah Zazi, a 24-year-old Afghan immigrant, has pleaded not guilty to conspiracy to use weapons of mass destruction in New York, while a Jordanian has been arrested, accused of attempting to destroy a Dallas, Texas, skyscraper.

In addition, charges have been made against three men in North Carolina for plotting to attack a Marine Corps base and another man has been charged with conspiring to blow up federal buildings in Illinois.

Is al Qaeda resurgent? Is the United States under threat because of the failure to capture or kill Osama bin Laden? Americans need to take a deep breath, because the answer to both questions, while requiring some caveats, is no.

Al Qaeda is facing more negative trends than what international forces are facing in Afghanistan, although it is always possible that U.S. missteps could rekindle the extremist terror narrative and organization. Similarly, killing bin Laden will not end al Qaeda, but neither will his fugitive status sustain it.

To answer the question of how al Qaeda will end, we can draw upon decades of experience with how other terrorist campaigns have fizzled out.

The history of terrorist groups points to various ways they may decline and end: the destruction of leadership, failure to transition between generations, achieving their stated cause, negotiating a settlement, succumbing to military or police repression, losing popular support and transitioning to other malignant activities such as criminality or war.

Not all of these pathways are probable for every group, and they are not all relevant to al Qaeda. For example, it is clear that al Qaeda will not end if Osama bin Laden is killed. Groups that have ended this way such as Japan's Aum Shinrikyo or Peru's Shining Path have been hierarchical, reflecting to some degree a cult of personality and lacking a viable successor, none of which describes al Qaeda.

It also will not die out between generations, as did many of the left-wing groups of the 1970s. Al Qaeda has transitioned beyond its original structure and is a multigenerational threat. Likewise, achieving the cause or reaching a negotiated settlement does not apply to al Qaeda.

Groups that have achieved their ends have had limited goals. Al Qaeda seeks maximalist goals: Using violence to mobilize the global Muslim community, throw off the influence of the West, eliminate support for Arab regimes and establish a new world order (sometimes called a Caliphate) is hardly realistic.

The remaining pathways deserve greater scrutiny. Although the campaign against al Qaeda has yielded gratifying results, the limits of driving the core into hiding and reducing its capacity to operate have been demonstrated. Democracies find it hard to sustain policy of repression at home or abroad, as it can undermine civil liberties and strain domestic support.

American use of military force signified Western resolve, killed al Qaeda leaders and prevented attacks, all of which were vital; but force alone cannot drive this group to its end.

A loss of popular support has ended many terrorist groups, and it is a plausible scenario for al Qaeda. Support can be compromised through miscalculation, especially in targeting, and popular backlash. The Real Irish Republican Army and India's Sikh separatists come to mind. Or a campaign can fail to convey a positive image or progress toward its goals, which amply applies to al Qaeda.

While the group continues to be dangerous, the faltering popularity of this campaign with most Muslims provides clear evidence of this dynamic underway.

For instance, a Pew Global Attitudes Project poll released in September showed a remarkable drop in support for suicide bombing and Osama bin Laden in key Muslim-majority countries such as Pakistan, Egypt, Turkey and Jordan. In Pakistan, whereas some 41 percent approved of suicide terror attacks five years ago, that number has fallen to a mere 5 percent today.

Finally, groups can transition from terrorism to other kinds of violence, escalating to insurgency or even conventional war, for example -- especially if there is state sponsorship. Some argue that this may already have happened in the case of al Qaeda and link the current debate over Afghan strategy to this concern.

In this regard, it is counterproductive to consider al Qaeda as a global insurgency. This concept bestows legitimacy, emphasizes territorial control, encourages our enemies to join forces and puts the United States into an us-versus-them strategic framework that precludes clear-eyed analyses of the strategies of leverage that are being used against the United States and its allies.

In short, if we are thinking about classic pathways to the end, the secret to undermining this campaign is not "winning hearts and minds" but enhancing al Qaeda's tendency to lose them.

More terrorist attacks will be attempted and a few will no doubt succeed in parts of the world, conceivably even in the United States. But it makes a significant difference whether such attacks are undertaken by a few recruits without proper training or support or by those who have managed to visit an al Qaeda training camp in a safe haven with full support. Thus far, the trends are heading in a favorable direction.

Even in its diminished state, al Qaeda and its franchises remain armed and dangerous. This group can still hurt us. But appreciating how terrorist campaigns actually end offers the greatest promise for removing ourselves from the strategic myopia that currently grips much of Western counter-terrorism efforts and for clarifying our political objectives.

The opinions expressed in this commentary are solely those of Audrey Kurth Cronin.

@highlight

Audrey Cronin: Terror arrests and Afghan debate make it seem al Qaeda is gaining

@highlight

She says the reality is that the terror group is losing support

@highlight

Cronin: U.S. should encourage the disillusionment with al Qaeda in Muslim world