(CNN) -- Willkommen. Bienvenue. Welcome.

Set in the seedy underbelly of early 1930s Berlin, the movie "Cabaret" largely takes place in the fictional Kit Kat Klub, a gaudy, raunchy cabaret full of drunks, dancers, glitz and -- apparently -- odors.

The film's director, Bob Fosse, preferred that his actors rehearse in costume, and while Liza Minnelli (as Sally Bowles) had been fitted for her dress, Joel Grey (as Master of Ceremonies) learned his tailcoat was not ready yet.

So the costumer provided him with an old coat from backstage.

"I want to tell you about this coat," Grey told CNN before the January 31 screening of the film at the Ziegfeld Theatre in New York. "It was the coat of a thousand men. It had come from stock, and it had been worn by many, many actors for many, many years."

"And never washed," Minnelli interjected.

"That was way before anybody knew anything about, ya know, keepin' it nice," Grey said. In other words, the coat was a relic from the pre-antiperspirant era, and when Grey "got warm, all the lives of these other actors, dancers or whoever came back."

"I kept looking at him and going, 'What? What?' " Minnelli recalled.

The screening was a homecoming of sorts for the cast, because the film made its world premiere at the same theater on February 13, 1972.

Although billed as the "40th anniversary," the festivities came just shy of the 41st anniversary because a vertical scratch ran along an entire reel of the film. Computer technology couldn't remedy it so more than 1 million frames were restored by hand. "Cabaret" made its Blu-ray debut last week.

The film is only loosely based on the 1966 Broadway musical of the same name. The Broadway show was based on the 1951 nonmusical play "I Am a Camera" and Christopher Isherwood's 1945 book "The Berlin Stories," which included his earlier 1939 short novel "Goodbye to Berlin."

Many details -- including characters, story lines and songs -- were added, removed or interchanged for the film adaptation. For example, the Sally Bowles character was originally British, and Brian Roberts' name in "I Am a Camera" and the novels was Christopher Isherwood (the writer had used his own name as the fictional narrator). Also, there was no romance between Brian/Chris and Sally, and Brian was only bisexual in the movie.

"I was the first one hired," Minnelli said, "and I remember one of the first things our producer said was, 'Tell me what you think of the story.' And I said 'Really?' And he said 'Yes.' And I said, 'I think that the man should be gay so that leaves that wonderful relationship and it just opens up all sorts of emotions that couldn't have been there in the play."

In "Goodbye to Berlin," Sally was supposed to be untalented, so there was some criticism upon the film's release that Minnelli was too polished a dancer. In fact, director Fosse worked tirelessly to make the Kit Kat dancers look unpolished and unkempt.

Louise Quick, who portrayed one of the dancers, said Fosse "wanted it to seem more real, shaggy."

He asked the dancers to pluck their eyebrows and then draw them in, not shave their legs and put on weight. "It was the first time in history that he allowed dancers to eat during rehearsal," she laughed.

Grey added, "When 'Cabaret' came out, it was so unlike the usual Hollywood musical."

Fosse was not a fan of people "erupting into song," Grey said, explaining the director's realistic approach to movie musicals.

"Movie musicals were in ill-repute. They weren't doing well at the box office. As a matter of fact, Bob had had a big failure right before, (1969's 'Sweet Charity,' his screen debut) so he was intent on making it more adult -- more relevant."

Fosse's "Cabaret" was replete with political satire and heavy issues such as abortion, death, Nazis and the Holocaust. All the musical numbers in which characters sang to each other were cut for the movie.

"There was no change for me from stage to film," said Grey, who had originated the emcee role onstage and won the 1966 Tony Award for best featured actor in a musical.

"It was the same dark character, and I somehow felt empowered to make him even darker in the film. You couldn't miss his intention in a close-up. Whereas if you're sitting in a balcony watching it on the stage, you're saying, 'So, is this funny or not?'

"There was no denying or question of what the intention was of this movie," Grey said. "There are so many people who have said over the years: 'Oh, 'Cabaret' is so much fun! Such a great movie! I had the best time!' And I think to myself: Did they get it?' "

The film's most controversial line was a lyric to the song "If You Could See Her." As Grey slow-danced with Quick dressed in a gorilla suit, the last line of the song went: "If you could see her through my eyes, she wouldn't look Jewish at all."

The lyric and gorilla costume were meant to show how anti-Semitism was beginning to run rampant in Berlin, but Grey said it caused problems in the New York stage production.

"There were a number of Jewish groups who missed the point of that song," he said. "They just thought that we were saying Jews were ugly."

The line was replaced with "She isn't a meeskite at all," but the response was tepid. (Meeskite was an old Yiddish term to describe an unattractive woman.) Grey, who is Jewish, said the lyrics didn't offend him and he was hesitant about changing them.

"I conveniently forgot about the change a few times," he said with a nod.

Fosse passed away in 1987. Daughter Nicole Fosse told CNN that when the famed director and choreographer worked, he "asked people to do something they had never done before."

Actress Marisa Berenson was still new to show business at the time she was cast as Natalia Landauer. "Cabaret" was her second film, and she remembered Fosse as a great director who brought out the best in her and found unique ways to challenge her.

"He played tricks on me and used to whisper erotic things in my ear before scenes so that I would kind of blush and feel strange," she said, "which I did. And, you know, all that to get a good performance, and so I learned a lot and it was really wonderful."

As the song goes, "Life is a cabaret, old chum," and that appears to have been the case for this cast as well.

"We were so close," Minnelli said. "We were in a world of our own, and I think that shows."

The actress/singer called the filming "one of the best beginning to end experiences I ever had. And every Friday night, (Fosse) gave a party on the set. In fact, there's a scene in the movie where you see somebody playing the saw. That was a stagehand who played the saw."

She added, "Making the movie was so much fun, and so weird and bizarre and very sensual."

"Cabaret" won eight Academy Awards, including best director (Fosse), best actress (Minnelli) and best supporting actor (Grey). It lost the best picture Oscar to "The Godfather."

"They said my name and my father (director Vincente Minnelli) screamed so loudly," Minnelli said, "screamed in my ear -- that I still have tinnitus. I do!"

@highlight

The cast of the 1972 film "Cabaret" reunites for "40th anniversary" screening

@highlight

Joel Grey as emcee: "I somehow felt empowered to make him even darker (than onstage)"

@highlight

Favoring gritty realism, director Bob Fosse didn't like actors to burst spontaneously into song

@highlight

"Cabaret" won eight Oscars the year "The Godfather" was released