New Delhi (CNN) -- It is the most high-profile meeting in all of Asia this year.

China's President Xi Jinping will spend three days in India on an official state visit this week, getting a considerable amount of time with Narendra Modi, India's new prime minister. The two leaders represent not only the two most populous countries on Earth --accounting for a third of the world's population -- they are also the faces of stark changes in their home countries.

Both are new, strong, willful leaders with an agenda for reform. Both have made moves to attack a culture of corruption, and to build their economies. And both seem to have designs on being stronger players in their backyards.

What will their meeting mean for relations between these two Asian giants?

Made in China & India

In an editorial published in The Hindu newspaper Wednesday, China's Xi described how his country could exchange its expertise in infrastructure and manufacturing for India's advancements in information technology and pharmaceuticals.

"The combination of 'the world's factory' and 'the world's back office' will produce the most competitive production base and the most attractive consumer market," wrote Xi. This would be an upgrade in current relations, where China has a significant surplus in bilateral trade.

Modi, in turn, in a press conference Tuesday talked up the potential of a great partnership: "Whenever India and China have worked and grown together, this has also led to the development and economic prosperity of the world," he said.

There are indeed a number of potential synergies. And India has much to learn from China, as I've written previously. According to the World Economic Forum's latest Global Competitiveness Rankings -- an indicator of how business friendly a country is -- China places 28th in the world for overall competitiveness; India ranks 71st. On infrastructure and macroeconomic environment, China ranks 46th and 10th respectively; India tanks 87th and 101st.

In many of his recent speeches, Modi has referred to India's rotting infrastructure. Supply chains are broken; institutions are inefficient; large swathes of Indians are disconnected from modernity. India needs money and expertise to fix these problems. That's where China could come in.

One of the expected headlines from Xi's visit is an announcement to the effect of $100 billion of Chinese investment into India. If that actually happens, the world's two biggest countries by population could finally begin to realize the potential of their partnership.

China may be India's biggest trading partner, but China counts Europe, the U.S., Japan, South Korea, and even Brazil as more important partners right now. Given the the two countries share a large border, India will want that status to change. For China, too, there are clear upsides to increasing trade with a neighbor that has growing economic needs and clout.

Regional aspirations

Beyond the rhetoric of business camaraderie, there are fears the two country's regional aspirations could represent a hurdle.

Indian media reported on Tuesday a minor border skirmish between Indian and Chinese forces in Ladakh.

While border scuffles between the two countries have been largely quelled since India and China fought a war in 1962, both sides have made foreign policy moves that have caused angst.

In the past week alone, China's Xi Jinping visited, for the first time, the Maldives and Sri Lanka. In both countries -- close neighbors of India's -- Xi announced large-scale infrastructure projects and deepened ties.

Many Indian analysts see China's economic encircling of India as something to be wary of. But meanwhile, India itself has made moves that have irked the Chinese. India's President Pranab Mukherjee visited Vietnam this week, calling the ties between the two countries historic and "infinite." Vietnam has long had turbulent relations with China.

And earlier this month, much was made of Modi's five-day visit to Japan. Both sides announced increased trade and investment, and have held joint military exercises -- a clear signal to China that it won't have a clear route to supremacy in Asia.

Hedging bets

Both Xi and Modi seem to be foreign policy realists, pragmatic in their world view and partnerships.

In his aforementioned column this week, Xi spoke of a world moving towards "multipolarity" -- a reference to the dwindling influence of the United States, and the increasingly important role of China and India.

If both leaders abide by that theme, then their focus for the next few months and years will be not on rocking the boat on military or defense, but on building their respective economies.

For both Modi and Xi, foreign policy begins at home. For that, they will need each others' cooperation.

@highlight

Leaders of world's most populous countries meet in India this week

@highlight

China's Xi Jinping and India's Narendra Modi both facing similar challenges

@highlight

Xi has spoken of combing the "world's factory" and the "world's back office"

@highlight

Border skirmish between Indian and Chinese forces in Ladakh weigh on relations