Washington (CNN) -- In the Secret Service, there is pre-Kennedy and post-Kennedy.

The shots fired by Lee Harvey Oswald that killed President John F. Kennedy on November 22, 1963, set in motion a series of reforms to the Secret Service, the agency in charge of protecting America's most powerful leaders.

In the 50 years since the assassination of America's 35th president, the Secret Service force has increased nearly tenfold and its budget grown by roughly 58% a year.

The organization that exists today has 3,400 agents and budget of $1.6 billion, a significant increase from the 350 agents and budget of $5.5 million in 1963, according to Secret Service spokesman Special Agent Brian Leary.

"As the threats change, the Secret Service has changed," Leary said.

The Warren Commission, established after the Kennedy assassination, created the "intelligence division" designed to expand and improve relations with other agencies, including state and local law enforcement and mental health institutions, and the "technical security division" that assesses the security of an environment, including air quality and fire safety. In the 1970s the organization expanded to include a counter-sniper unit and counter-assault teams.

50 years on, nation pauses to remember Kennedy's death

The uncovered limousine that Kennedy rode through Dallas a half-century ago is hard to imagine in today.

According to former agent Jerry Blaine, who co-wrote "The Kennedy Detail" and was with the former president when he was shot, Kennedy chafed at the close proximity of his protective detail and was quoted saying "Have the Ivy League charlatans drop back to the follow-up car ... we've got an election coming up. The whole point is for me to be accessible to the people."

Today, President Barack Obama is transported in a limousine known as "The Beast," which could be described as an armored safe on wheels. Its doors alone weigh as much as those on a Boeing 757, according to a Discovery Channel special on the Secret Service. Obama has called the car "a fortified limousine" and while in Tanzania earlier this year contrasted the current state of presidential travel with that of Robert F. Kennedy, who visited the country while he was a U.S. senator in 1966.

JFK assassination a collective memory for American children

"It was a little different back then. Kennedy and his wife, Ethel, rode in the back of an open truck," Obama said at the state house in Dar es Salaam, Tanzania in July. "The Secret Service has me and Michelle inside a fortified limousine. We call it 'The Beast.' As Kennedy's truck made its way through the crowds, he picked up two boys and let them ride alongside them. The Secret Service doesn't let me do these things."

Leary also pointed to other present-day protocols, including covered arrivals and departures, extensive use of magnetometers and separation from the media, many of which were instituted after the March 1981 assassination attempt on President Ronald Reagan and designed to increase the safety of America's presidents.

For agents who receive months of extensive training, historic events like those targeted attacks on Kennedy and Reagan serve as moments from which to learn. Leary said agents "learn from all incidents" to improve upon protective operations, which extend beyond the commander in chief.

5 things you might not know about JFK's assassination

Former presidents, their spouses and children were added to the protected list in 1965, major candidates and their spouses in 1968, foreign heads of state in 1971 and the coordination of special events like inaugurations in 1998. The extensive vetting process of presidential site visits, known as "advance," has also grown. Leary described the advance protocols as "comprehensive" and said they include close cooperation with state and local officials surrounding everything from the president's arrival at the airport to the motorcade route. It's a process, about which the president references, most recently, at least publicly, at a June fundraiser for the Democratic National Committee in Miami Beach.

"Opening up your house is a big deal on any occasion. When you've got Secret Service and everybody else running around, moving furniture, potentially bumping into that painting that's probably worth a lot of money ... that makes you more stressed," Obama told Democratic donors. "So can you all please move away from the painting? Just wanted to make that point."

And just as often, a more serious tone from the president about his protection is expressed.

"As president, I get to meet and work with a lot of extraordinary law enforcement officers every single day, from men and women who protect me and my family -- the folks in the Secret Service -- to local police who help out on motorcades in events around the country," Obama said at a Top Cops ceremony at the White House in May. "I'm incredibly grateful that all these law enforcement officers are doing such outstanding work.

50 years later, Jackie Kennedy's pink suit locked away from view

@highlight

The assassination of JFK set in motion a series of reforms to the Secret Service

@highlight

Secret Service today has 3,400 agents compared to 350 when JFK was assassinated

@highlight

The agency's budget has increased from $5.5 million in 1963 to $1.6 billion over 50 years

@highlight

Spokesman: "As the threats change, the Secret Service has changed"