Newcastle, England (CNN) -- Waving flags and chanting, far-right marchers rallied in northern England on Saturday, their numbers apparently swelled by anger over the slaying of a British soldier allegedly by attackers who claimed an Islamist motive.

Protesters on the march organized by the far-right English Defence League told CNN that Wednesday's horror in southeast London's Woolwich neighborhood had opened their eyes and called for Muslims to leave.

It was in Woolwich that Lee Rigby was hit by a car, then hacked to death by two men -- one of whom sought out a camera to justify the killing as "an eye for an eye," saying it was "because Muslims are dying daily."

Those two men are now under guard in South London hospitals after being shot in a confrontation with police. Three additional men were arrested Saturday on suspicion of conspiracy to commit murder, according to police.

Addressing the crowd Saturday in Newcastle, EDL leader Tommy Robinson said that Rigby's killing should be a wake-up call to British citizens.

"We cannot allow this soldier's death to be in vain," Robinson said. "We are the only ones who dare say it. When did the truth become hate speech?"

Police said between 1,500 and 2,000 people participated in the EDL demonstration -- many more than the 300 to 500 protesters that EDL organizers told CNN ahead of the event that they were expecting.

Glass bottles were thrown at one point as EDL protesters skirmished with a group of bystanders opposed to their march.

A counter demonstration was held by a group called Newcastle Unites. Police estimate that 350 to 400 people took part in that event, which coincided with the far-right rally.

Dipu Ahad, a Labor councilor in the city and a leader of Newcastle Unites, told CNN the EDL were "opportunists" who were making use of anger over the killing to push their message.

Newcastle Chief Supt. Gary Calvert said the day had passed without major incident.

Police made a number of arrests, mostly alcohol-related or to prevent public order offenses, he said in a statement, but the "vast majority of those taking part were well behaved."

The march came amid concern over growing anti-Muslim sentiment as evidence emerges of apparent links between one of the two suspected attackers and radical Islamist groups.

Friends, acquaintances and British media have identified 28-year-old Michael Adebolajo, a British national of Nigerian descent, as the suspect seen in the video from the scene of the Woolwich killing. He is said to be a Muslim convert.

A self-proclaimed friend of the suspect was arrested Friday night at BBC Broadcasting House after giving an interview in which he said Adebolajo had been approached by Britain's domestic security service, MI5. Police said the arrest was made under the Terrorism Act and was not connected to the Woolwich inquiry.

Politicians and community leaders have been trying to tamp down tensions in the wake of the murder of Rigby, a drummer and machine gunner in Britain's military, and police numbers have been boosted in vulnerable areas.

Members of the EDL clashed with police near the scene of the killing late Wednesday. A tweet from its official account proclaimed then that "it's fair to say that finally the country is waking up!:-) NO SURRENDER!"

Northumbria Police arrested three people on suspicion of posting racist tweets ahead of the EDL rally.

A message posted on the EDL Facebook page Saturday urged members to abide by the law or risk arrest.

"NO swearing, NO incitement to violence, No racist remarks, No threats. Please be very aware that the authorities can, do & will monitor these pages & it seems from information we are getting are visiting and arresting people. Keep it safe please," it said.

'Abused in the street, online'

A group which monitors incidents of anti-Muslim abuse, the Tell Mama project, said Saturday morning it had seen a huge increase in the number of reported incidents.

Fiyaz Mughal, a coordinator of Tell Mama, told CNN Saturday morning that 162 incidents had been reported in the past 48 hours -- compared with four to six incidents a day on average before the Woolwich attack.

The latest include street-based incidents like name calling, assaults and materials being thrown at individuals, Mughal said, as well as online incidents, where targeted hate is directed at individuals through the Internet and social media.

Eight incidents of attacks against mosques across Britain are also included in the figure.

Mughal, also director of an interfaith national hate crime reporting project, Faith Matters, said he had observed that people are scared, particularly female Muslims who wear headscarves and have told Tell Mama that they are afraid to go out. "It's quite endemic," he said.

Tell Mama recorded 632 incidents of anti-Muslim abuse in the year from March 2012, it said, about three-quarters of which occurred online. More than half were directed at women.

Imams sign letter condemning attack

The apparent increase in abuse comes as Muslim leaders, as well as their Christian counterparts, seek to keep communities calm.

Shaykh Shams Adduha, founder and director of Ebrahim College, which teaches Islamic studies in London, is one of nearly 100 imams and Muslim groups to have signed a letter Friday condemning the "outrageous attack" on Rigby and offering their condolences to his family.

"We share the absolute horror felt by the rest of British society at the sick and barbaric crime that was committed in the name of our religion. We condemn this heinous atrocity in the strongest possible terms. It is a senseless act of pure depravity worthy of nothing but contempt," it read.

Shams Adduha told CNN Saturday that the Muslim community had reacted promptly and was working hard to defuse tensions.

"First of all we've been very open in our condemnation and very open about the fact that there is no place ... in Islam for this kind of act," the imam said.

"At the same time we've been calling for calm, we've constantly been talking to our communities to make sure that their fears are allayed. But of course the reactions are happening -- and they will happen."

These types of attacks are also a reaction, he said, to problems and grievances among "angry young people out there in the world."

With regards to the Woolwich attack, he said, Muslim leaders must make clear that what happened is "un-Islamic" and seek to educate young people so they are not susceptible to "fringe voices."

Prime Minister David Cameron stressed Thursday that "the fault lies solely with sickening individuals who carried out this attack," adding that "nothing in Islam ... justifies this truly dreadful act."

'Eye for an eye'

One of the attack suspects apparently approached a man filming the gory scene in the Woolwich neighborhood and suggested that Rigby had been targeted only "because Muslims are dying daily" at the hands of British troops like him.

"We must fight them as they fight us. An eye for an eye and a tooth for a tooth," he said in the video aired by CNN affiliate ITN.

Britain's armed forces have served in Iraq and Afghanistan. All its combat troops are due to leave Afghanistan by the end of 2014.

The identity of a second man, aged 22, seized at the scene by armed police has not been released. Both suspects were shot and remain in hospital.

A third man, aged 29, who was arrested on suspicion of conspiracy to murder on Thursday is also still in custody.

Donations flood in

It is understood that the two individuals suspected of carrying out the knife and cleaver attack were known to Britain's domestic security service. They had featured in previous investigations into other individuals, but were not themselves under surveillance.

CNN understands that one line of inquiry being examined in the Woolwich terror investigation is that suspect Adebolajo might have attempted -- but failed -- to travel to Somalia some time last year.

The brutal slaying of Rigby near the Royal Artillery Barracks in Woolwich, a working-class, multicultural neighborhood, shocked people across the United Kingdom.

The 25-year-old, who was married and had a 2-year-old son, was a machine gunner who became a recruiter. He was also a ceremonial military drummer.

His family spoke Friday of their sorrow at losing a son, husband and brother who was dedicated to his job and devoted to his family.

Help for Heroes, a charity which helps injured military veterans and servicemen and women, said Saturday that nearly Â£600,000 ($907,590) in public donations had poured in since the news of Rigby's murder -- with more still coming in.

"The nation has rallied behind our Armed Forces in an extraordinary and wonderful display of support," the charity said.

CNN's Laura Smith-Spark wrote and reported in London, where Erin McLaughlin also reported. Victoria Eastwood reported from Newcastle. CNN's Matthew Chance, Bharati Naik, Jonathan Wald and Dan Rivers contributed to this report.

@highlight

Tensions are high following the slaying of a British soldier in London on Wednesday

@highlight

Police say 1,500-2,000 people joined a far-right EDL march in Newcastle

@highlight

"We cannot allow this soldier's death to be in vain," the group's leader says

@highlight

Imams sign a letter condemning the murder in Woolwich as a senseless act of depravity