August 15, 2014, marks the 100th anniversary of the first use of the Panama Canal: one of the greatest feats of engineering the world has ever seen.

The Canal is 48 miles long, was 17 years in the making and had enough rock and rubble dug from the isthmus of Central America to circle the earth four times.

But as awe-inspiring as the "big ditch" is, it's still only a tiny sliver of what Panama has to offer.

Away from the commerce and concrete of the canal, the country is teeming with rain forests, beaches, indigenous people and colonial history.

1. Panama Canal

Tourist transits of the canal can be long and hot, but for the enthusiast nothing beats sharing water with an 80,000 ton cargo freighter.

The best views, however, are from the four-story Miraflores Lock Visitor Center.

Savvy trippers time visits with the transit of one of the big ships and make sure to stop by the museum and watch the 3D movie, afterward.

If you've never been run over by a six-story ship before, now's your chance.

Other highlights include visiting the still-in-construction $5.25 billion Panama Canal Expansion Observation Center, scheduled to open in 2015.

Ancon Expeditions (+1 888 760 3426) has full- and partial-day transits of the canal from $175 per person

2. Casco Viejo, Panama City

The orange-tiled roofs and Spanish colonial architecture of old town Panama City stand in slow contrast to the skyscraper skyline across the bay.

But this is where the real action is.

At night, Casco Viejo is just the right amount of edgy, with music pouring onto the street from every alley and corner.

By day, it's perfect for drinking coffee at Plaza Bolivar, browsing the markets at Plaza de La Independencia and watching the sun set from the point above Plaza Francia, the best view in the city.

3. Bocas del Toro

Situated on the northwestern Caribbean coast, this archipelago of nine tropical islands has retained a strong West Indian influence.

Eco-tourism and aqua adventure are key draws, with some of the best scuba diving and surf breaks in the country.

A full-on castaway experience can be had on the outer islands, where deserted paradises, like that at Polo Beach on Bastimentos Island, are wild, undeveloped and easy to find.

For more information see: www.bocasdeltoro.com

4. Boquete

At the foothills of the Baru Volcano in the Chiriqui Highlands, the pretty mountain town of Boquete is a natural paradise.

There's hiking, whitewater rafting and rock climbing right on the doorstep and 500 of Panama's 972 species of bird are found in the province, including the highly sought after Quetzal.

The region is home to some of the best coffee growers in the world, including the most expensive brew on the planet, Cafe Geisha, at $1,600 a kilo, or $40 a cup.

Cafe Ruiz has excellent guided tours of its coffee plantation.

5. Emberra Indians

There's no better way to understand Panama's indigenous roots than via dugout canoe up the Chagres River, where you'll pass thatch houses woven deep into the jungle before arriving at Emberra village, home to one of nine major indigenous groups in the country.

You can watch performances of traditional dance and music, buy authentic, handcrafted souvenirs and learn about their culture.

It's a magical, if somewhat well rehearsed, experience but worth it for the lunch of fresh spear-caught Tilapia alone.

Ancon Expeditions (+1 888 760 3426) has a full-day tour to an Emberra village from $130 per person.

6. La Loma chocolate farm

Beautiful, wild and completely off the grid, La Loma is a working chocolate farm and probably the most delicious place to stay in the country.

Based on the remote Bastimentos Island in Bocas del Toro, guests learn about all aspects of chocolate production while enjoying its harvest breakfast, lunch and dinner.

Other highlights include rainforest trekking to beaches, paddling through the mangroves, and, for the brave, underground swimming in the utterly dark, and terrifying, Nivida cave.

La Loma has tree house cabins from $110 per person per night, including all meals and many excursions.

7. Gatun Lake

To create the Panama Canal, the Chagres River was dammed and an area the size of Barbados flooded.

The result is the artificial, but astonishingly wild, Gatun Lake.

With a small boat cruise less than an hour from Panama City, it's possible to see capuchin monkeys, three-toed sloths and crocodiles.

Because part of the lake is used by the canal, you'll also get a mini-tour of the waterway at the same time.

Ancon Expeditions has a Gatun Lake rainforest adventure cruise from $170 per person.

8. Biodiversity Museum, Panama City

Opened June 2014 on the causeway of Panama City, the new Frank Gehry-designed Biomuseo is a jarringly bold, macaw-like building.

Inside is one of the best natural history exhibitions you're likely to see.

The highlight is a 12-screen, fully immersive, cinema in surround -- including one giant screen under foot.

Monkeys scramble overhead, sharks swim under foot, visitors are lifted up and flown through a storm.

9. Portobello

In 1596, English buccaneer Sir Francis Drake met his grisly end against the Spanish cannons of Portobello.

Their forts still remain.

Visitors can soak up the pirate history, visit the church of San Felipe where the statue of the black Christ draws thousands of pilgrims each October 21 and grab lunch at El Palenque, an idyllic spot by the water's edge.

For longer stays, there's El Oltro Lado on the other side of Portobello Bay; it's a hip boutique hotel with cool tunes, quirky art and an infinity pool.

10. Fish Market, Panama City

Cuquita Arias de Calvo, one of Panama's best known chefs, described her country's cuisine as "joyful, happy and hot -- just like Panamanians."

Her restaurant, at the Bristol Hotel in Panama City's financial district, serves traditional Panamanian recipes with a modern twist.

But the best place to eat in Panama City is still the fish market.

There's a good restaurant upstairs that draws the tourists, but far tastier, and infinitely more memorable, are the crowded stalls below for freshly caught ceviche scooped up with crackers, spicy aji chomdo sauce and stadium decibel reggaeton.

11. San Blas Islands

Owned, operated and protected by the Kuna Indians, this archipelago of atolls off the northern coast of Panama, has a tropical island for every day of year, plus a few to spare (378 to be precise, 49 of which are inhabited).

The beaches are deserted enough to satisfy even the most extreme Robinson Crusoe fantasies.

But the highlight is the Kuna people themselves -- welcoming and proud of a culture that has changed little in centuries.

Be prepared to slow down, fast.

For more information visit www.sanblas-islands.com.

Journey Latin America offers excellent tailor-made vacations to Panama, taking in all of these highlights and more.

@highlight

The famous canal is just one reason to visit Panama.

@highlight

Full-on castaway experiences can be had on wild Bastimentos Island

@highlight

In the Chiriqui Highlands, the pretty mountain town of Boquette is a natural paradise

@highlight

The best place to eat in Panama City is still the fish market