Forty-five years after the U.S. Supreme Court struck down a ban on interracial marriage, the rate of marriage across racial and ethnic lines in the United States is on the rise, according to a new study released Thursday.

And while such "intermarriages" continue to grow, so too does public acceptance of such unions, according to the study by the Pew Research Center's Social and Demographic Trends project.

The study has left social media sites abuzz with discussion.

"Why do people give inter-racial dating so much lip service?" wrote Tosin Lajuwomi on Twitter. "You like who you like - black, white, blue, orange."

Others were more reserved about what the report reflects.

"I look forward to the day when stories about "inter-racial" marriages are no longer newsworthy," wrote James Burns on the micro-blogging site. "We have far to go."

About 15% of new marriages in the United States in 2010 were between spouses of different races or ethnicities, more than doubling the 1980 level of 6.7%, according to the study.

Looking at all married couples in 2010, regardless of when they married, so-called "intermarriages" reached an all-time high of 8.4% in 2010, compared to 3.2% in 1980, the study said.

The study analyzed the demographic and characteristics of newlyweds who differ in race or ethnicity and compared them to couples of the same race or ethnicity. It defines newly weds as couples who married in the year prior to the survey date.

Among all newlyweds in 2010, 9% of whites married outside of their race or ethnicity, along with 17% of African-Americans, 26% of Hispanics and 28% of Asians -- a term that includes native Hawaiians and Pacific Islanders.

Gender patterns in intermarriages vary widely, the study found. About 24% of African-American males married outside their race in 2010, compared to 9% of African-American females.

However, the reverse is true for Asians, where about 36% of females married outside their race compared to 17% of male newlyweds. And intermarriages for white and Hispanic people do not vary by gender, researchers found.

Intermarriages also vary by region. In Western states, about one in five people, or 22%, married someone of a different race or ethnicity between 2008 and 2010. That drops to 14% in the South, 13% in the Northeast and 11% in the Midwest.

Interracial dating services have also cropped up online, offering those looking for love an opportunity to find their preferred matches.

A white man identified as Christopher on the website "Interracial Dating Central," said that he saw who would turn out to be his future wife online.

"Be bold, ladies," said Cassandra, an African-American woman and Christopher's wife, according to the website. "Have patience, and then have nerve when that patience pays off!"

Because whites are by far the nation's largest racial group, marriage between whites and minorities were the most common type of intermarriage, even though the intermarriage rate for whites is relatively low compared to other races or ethnicities, the study said.

The state where most intermarriages took place was Hawaii, where more than four in 10 newlyweds (42.4%) were intermarried. The next highest percentages were in Oklahoma, Nevada and New Mexico, with 26.3%, 25.6% and 25.4%, respectively.

Comparing those who "married out" to those who "married in," researchers found the median combined earnings of both groups were similar. In one in five marriages of each group, both spouses were college graduates. In both groups, people tended to marry someone of a similar age, with a two- to three-year age gap between husband and wife. Additionally, equal numbers were marrying for the first time.

However, there were some differences. White/Asian newlywed couples had significantly higher median combined annual earnings, at $70,592, than any other pairing.

And "when it comes to educational characteristics, more than half of white newlyweds who marry Asians have a college degree, compared with roughly a third of white newlyweds who married whites," the study said. Hispanic or African-Americans who married whites tended to have higher educational attainment compared to marriages within their own race or ethnic group.

Couples formed between an Asian man and a white wife topped the median combined earnings list for the period studied, between 2008 and 2010, with about $71,800, the study said. "During this person, white male newlyweds who married Asian, Hispanic or black spouses had higher combined earnings than did white male newlyweds who married a white spouse."

Several studies using government data have found overall divorce rates are higher for couples who "married out," the Pew Center said, "but here, too, the patterns vary by the racial and gender characteristics of the couples.

Meanwhile, about 43% of Americans said they believe more intermarriages is a change for the better within society, while only about one in 10 said it was a change for the worse, the Pew Center said. "Being a minority, younger, more educated, liberal and living in the Eastern or Western states are all traits associated with those who think more positively about intermarriage," according to the study.

More than one-third of adults surveyed said an immediate family member or close relatives is married to someone of a different race, the study said. And nearly two-thirds, or 63%, said they would have no problem with a family member marrying someone outside their own racial or ethnic group.

In a 1986 survey, nearly three in 10 Americans said intermarriage was not acceptable for anyone, and 37% said it might be acceptable for others, but not for themselves. Only one-third of the public said it was acceptable for everyone in the 1986 poll.

The study is primarily based on the Pew Center's analysis of data from the U.S. Census Bureau's American Community Service in 2008-2010 and on three nationwide telephone surveys, the study said.

@highlight

Inter-ethnic or interracial marriages reaches an all time high in 2010

@highlight

Hawaii is the state where the most "intermarriages" take place, study finds

@highlight

Two-thirds of Americans say they have no issue with intermarriage