Legazpi, Philippines (CNN) -- Typhoon Hagupit lost some strength as it spiraled northwest through the Philippines on Sunday, but its hulking presence threatened more damage and evoked frightening memories, 13 months after deadly Typhoon Haiyan blasted the same region.

"Last year, many people were asking, 'Is it the will of God, or the wrath of God?' But now, they just feel it is part of nature," the Rev. Eliodoro Reteracion of Tacloban's Redemptorist Church said.

While Haiyan killed more than 6,000 people, the Philippine government is blaming only two deaths on Hagupit so far.

On Monday morning, the storm weakened further and was downgraded to a tropical storm by the U.S. military's Joint Typhoon Warning Center.

One-year-old Thea Rojo and Ernesto Baylon, 55, both of Iloilo province in the central Philippines, died from hypothermia in the storm, National Disaster Risk Reduction Council executive director Alexander Pama told a press briefing on Sunday.

More than 900,000 people from nearly 200,000 families have been adversely affected by the cyclone, locally known as "Ruby," Pama said. Almost all of them have sought help at evacuation centers.

CNN meteorologist Michael Guy forecast that Hagupit would move west on Monday, just south of the capital city of Manila, with strong winds and potentially devastating rains.

The storm, which has battered several regions of the Philippines since Saturday, poses dangers of flooding and landslides from a volcano.

A day after Hagupit made landfall on Samar Island, the massive cyclone crept across the country Sunday at about 15 kph (9 mph).

That sluggish pace means Hagupit had more time to dump relentless rainfall over the same areas, making severe flooding a possibility.

What's worse: the storm passed not far from the Mayon Volcano. Officials are now keeping an eye on the volcano, known for its almost perfectly symmetrical cone shape, because heavy rainfall could mix with the volcanic ash and spur major landslides.

Not only could the force of a landslide wreak havoc on homes, the debris could go into streams, rivers and reservoirs around the volcano, blocking them up and causing even more flooding.

Millions affected

About 40 million people are close to the path of the storm and its fierce winds, which reached 160 kph (100 mph) Sunday.

Lucrecia Simbajon of Magallanes is one of those who evacuated to a local church.

"I don't know how long I'm going to be here, as the roof was blown off my house last night," she said Sunday morning.

Her home -- a typical wooden and metal shack -- was already wiped out last year. After Typhoon Haiyan, she spent more than 20 days at the church, lying between pews with her children.

Despite the potential danger, some residents in Legazpi, in the shadow of the Mayon Volcano, ignored evacuation orders and vowed to stay in their makeshift beachside homes.

"I think we can handle the situation," one man said. "If or when it gets worse, we'll go to the evacuation center."

A woman who lives on the coast was also defiant. "We've been here 25 years and seen many typhoons," she said. "This one already feels stronger than Typhoon Haiyan (last year), but we won't leave yet."

Gen. Gregorio Catapang, chief of staff of armed forces, said Sunday that soldiers were working to clear roads and airports so that emergency services could be delivered.

Eleven nations had offered assistance, including Australia, the United States, China, Japan and the United Kingdom.

Weakening before Manila

Hagupit should be even weaker by the time it passes near Manila on Monday evening.

The biggest threat in the capital will come from the heavy rainfall. That likely will lead to flash flooding and mudslides, even in places far from the storm's center.

Several airports were closed Sunday, leading to 185 domestic flight cancellations, Pama said. Once debris is cleared from some of those airports, the Philippine military will fly C-130 planes from Manila and Cebu to affected areas with necessary supplies, he added.

Flooding, landslides, and fallen trees are hampering government efforts to drive relief essentials to affected areas.

"Our emphasis now is road-clearing operations," Pama said. "Don't worry if you are thinking we're out of supply. It will come soon. There may be delay due to roads that are not passable," he said.

Fishermen fears typhoon will 'destroy everything'

Tacloban dodges bullet

One city farther south breathed a sigh of relief Sunday.

In Tacloban, the streets were empty because residents had already evacuated. Last year, Super Typhoon Haiyan devastated Tacloban, killing more than 6,000 people and leaving 200,000 people homeless.

Many people in Tacloban are still living in tents or other rudimentary structures more than a year after Haiyan.

At least 100,000 people evacuated Tacloban before Typhoon Hagupit struck, the U.N. humanitarian agency OCHA Philippines said. That's half the population of the city.

Mayor Alfred Romualdez told CNN the city is without power, but he's seen only minor damage such as broken windows and downed trees. Many roads were flooded, but not impassable.

"There was a lot of preparation," OCHA spokeswoman Orla Fagan said. "I think that the lessons learned were very hard ones in Tacloban ... because there were so many lives lost, and I think they've really taken cognizance this time and really made an all-out effort everywhere to bring people to safety."

Philippines gets more than its share of disasters

Saima Mohsin reported from Legazpi; Holly Yan and Mark Morgenstein reported and wrote from Atlanta. CNN's Andrew Stevens, Michael Guy, Andrew Stevens, Ralph Ellis, Melissa Gray, Paul Armstrong and Madison Park contributed to this report.

@highlight

NEW: Hagupit is downgraded from a typhoon to a tropical storm, U.S. agency says

@highlight

Philippine government spokesman blames the cyclone for two deaths

@highlight

"The roof was blown off my house last night," says a woman now staying at a church

@highlight

Flooding concerns rise as the storm moves slowly across the country