(CNN)The end of "Jinx," the six-part HBO documentary about real estate heir Robert Durst, has launched a debate about whether some potentially incriminating statements Durst made while in the bathroom to a microphone may be used in his criminal prosecution.

Durst, as you probably heard, is charged with murder in a killing in California 15 years ago, and he has been suspected, but never charged, in the disappearance of his first wife in New York.

Whether or not the taped words of an accused person will be admissible against him involves a look at the rules of evidence and the Constitution, as well as our fast-evolving ideas about privacy. While Durst's attorneys can make a number of arguments to suppress these statements and bar their admission at trial, the bathroom confessions will likely be factored in.

Let's go over three main reasons why:

1. Is this inadmissible hearsay? Probably not.

Hearsay is defined as a statement made outside of court that is offered in court for its truth. It really just means a witness can't testify at trial about someone else's version of the facts.

If a sentence starts with "He told me" or "She said that," it's probably hearsay.  As general proposition, hearsay is supposed to be inadmissible, but the exceptions nearly swallow the rule itself -- so much so that many commentators have suggested abolishment of the exception-riddled rule itself.

Perhaps the largest and best known category of hearsay exceptions is admissions and confessions. These can be admitted against a defendant. Why?  Well, the idea is that these statements are reliable. The thinking is that people don't ordinarily confess to something unless they did it.

2. Is this a violation of Durst's constitutional privilege against self-incrimination? Again, probably not.

The rules of the U.S. Constitution are a different matter. The Fifth Amendment's self-incrimination clause states that "[n]o person ... shall be compelled in any criminal case to be a witness against himself ..."

By definition then, compulsory self-incrimination requires, well, "compulsion."  And not just any compulsion. The kind of compulsion targeted by the Fifth Amendment is governmental coercion.

Durst may still contend that his "confession" wasn't voluntary.  It's true that confessions deemed "involuntary" are often excluded at trial under the Due Process Clause of the 14th Amendment.  However, a confession will only be considered involuntary if it is the product of police activity.

Voluntariness is not an issue when admissions are made to a private person, such as a journalist.

What of Durst's likely claim that the filmmakers were essentially acting as an arm of the police?  Sometimes law enforcement exercises so much control over a civilian that his private actions become police action, constitutionally speaking.

This is not an easy case for a defendant to make, though.  Durst would have to establish that the HBO interviewers were direct agents of the police and that the interview was coerced by police.

The police undoubtedly benefited from the work of these citizen documentarians.  But the police frequently benefit from the work of good Samaritans or citizens volunteering information, photos or iPhone videos.  The television show "America's Most Wanted" has been premised on this idea for decades.  Given the defendant's burden here, it's unlikely that he can convince a judge that, in light of all the circumstances, filmmakers acted as an instrument or agent of police.

The bottom line is this: A voluntary confession must be the product of a rational intellect and a free will, not physical intimidation or psychological pressure. How was Durst "pressured" when alone in the bathroom?  However, his attorneys might argue that some mental impairment rendered him incapable of the necessary rational intellect and free will.

3. Can Durst argue for some "reasonable expectation of privacy" that was violated by his being taped in the bathroom? Not in our modern world, and not in this case.

Perhaps in decades past, a court might be offended at an audio recording of someone in the bathroom, but things have changed.

Subjects of documentaries and reality TV stars alike routinely sign contracts allowing camera crews to pin a microphone to their lapels and follow them around 24 hours a day.  Moreover, everyone in the television news business has a story about some famous correspondent going to the bathroom and forgetting about their "hot" mic.  In this brave new media world, the rule appears to be: You wear a lavalier microphone at your own risk.

This is why defense attorneys tell clients to not give interviews.  No matter how good an interviewee a client may be, audio and video editors have an uncanny knack for isolating the less than flattering sound bites.  Admitting to killing "them all" would fall into this category.

When it comes to giving interviews, it's probably better for defendants such as Durst to keep silent and be thought a fool than to open your mouth and remove all doubt, especially doubt of the reasonable kind.

@highlight

Robert Durst made some potentially incriminating statements at the end of HBO's "Jinx"

@highlight

Danny Cevallos: Durst's attorneys will want to bar their admission at trial, but they will likely be factored in