(CNN) -- History and botany mix with landscape design and architecture in these 13 fabulous gardens around the world.

While many are attached to famous estates, the gardens are destinations in their own right and deserve their own list.

Parc de la Tête d'Or (Lyon, France)

This beautifully maintained 289-acre park in Lyon has an extensive botanical garden but is best known for its spectacular rose gardens, which are playing host to the 17th World Rose Convention and Festival in 2015.

The park's main highlight is the International Rose Garden, with its 16,000 rose bushes showcasing 450 varieties, while the Competition Rose Garden hosts an annual contest featuring the newest varieties.

Fun fact: the park's name, which means "Golden Head Park," comes from an old legend about the grounds about buried treasure. The Crusaders are supposed to have buried a golden Christ's head somewhere on the park's property.

Parc de la Tête d'Or, 69006 Lyon, France; +33 4 72 69 47 60; free admission

Butchart Gardens (British Columbia, Canada)

When Jennie Butchart's husband, a manufacturer of Portland cement, told her in 1904 that his company had exhausted the limestone in their quarry, the door was opened to create what would later become one of Canada's notable tourist attractions.

Butchart Gardens near Victoria in British Columbia were created within that disused quarry.

Featured views include the Edwardian-style Sunken Garden (gallery above), with a lake where reflections of multi-colored foliage surrounding it take on a beauty of their own.

Butchart Gardens, 800 Benvenuto Avenue, Brentwood Bay, British Columbia, Canada; +1 250 652 5256; official peak season June 15-August 31; adults CA$30.80 ($28) youth CA$14.35 ($13)

Hershey Gardens (Pennsylvania)

When chocolate magnate Milton S. Hershey decided to create a thing of beauty to be enjoyed by residents of "his" town in Pennsylvania, the result was Hershey Gardens, opened in 1937.

A notable feature is the Butterfly House, home to hundreds of North American butterflies, in which visitors can observe the entire life cycle of the butterfly, from egg to adult.

There are 11 themed gardens on site, including the whimsical Children's Garden and a rose garden with nearly 6,000 roses of 275 varieties.

Hershey Gardens, 170 Hotel Road Hershey, Pennsylvania; 1 717 534 3492; adults $10.50, children 3-12 $7.50

The Royal Botanic Gardens (London)

On a bend of the Thames at Kew in southwest London, the Royal Botanic Gardens was listed as a World Heritage Site in 2003, acknowledging its contributions to botanical and environmental science since 1759.

The Temperate House is the world's largest surviving Victorian glass structure.

An iron-framed greenhouse dating from the 19th century, it was to become a model for conservatories around the world.

The Royal Botanic Gardens (Kew Gardens), Brentford Gate, London, +44 20 8332 5655; adults £15 ($25), children free

Abbey Garden island (Isles of Scilly, UK)

Two and a half miles long by a mile wide, Tresco is one of the Scilly Isles, off the coast of England.

Here, next to the ruins of an old priory, the Abbey Garden was created in the 1800s.

It features some of the finest outdoor specimens of subtropical flora and fauna to be found in the Northern Hemisphere, including great spiky agaves from the Mexican desert, brilliant Spear Lilies from Australia's Queensland coast, King Proteas from South Africa and huge South American bromeliads from the Andes.

Abbey Garden, Tresco Island, Isles of Scilly, United Kingdom; +44 1720 424108; adults £12 ($20), children under 16 free

Monet Garden (Giverny, France)

One of the founders of the French Impressionist painting movement, Claude Monet bought a house and land in the village of Giverny in 1890 and set about establishing the gardens that were to provide inspiration for his art.

The often-painted Japanese-style garden is famous for its water lilies, ponds and bridge and is a popular destination for art tours.

Monet Garden, 84 Rue Claude Monet, Giverny, France; +33 2 32 51 28 21; April 1-November 1 €9.50 ($13), children under 7 free

Roseto Comunale (Rome)

Rome's municipal rose garden at the foot of Aventine Hill has a complicated past.

Since the 17th century, the site had been a Jewish cemetery, but a road was built through it in 1934 to celebrate Mussolini's rise to power. While all graves were supposed to have been moved to the city's main cemetery, thousands of bodies are still thought to remain.

The city turned the site into a rose garden in 1950 with the Jewish community's approval, designing the paths in the shape of a menorah, a Hebrew candelabra, and installing a plaque in memorandum of the garden's Jewish past.

Each May, the garden hosts the "Premio Roma" rose competition, which is open to the public.

Roseto Comunale, Via di Valle Murcia, 6 (Aventine), Rome; +39 06 5746810; free admission

Garden Kingdom Dessau-Woerlitz (Dessau, Germany)

"I was deeply moved as we strolled through the lakes, canals and woods by how the gods have allowed the Prince to create a dream around himself."

That's how Johann Wolfgang von Goethe described this place -- then called Luisium Castle Garden -- in 1778.

Now known as the Garden Kingdom Dessau-Woerlitz in Germany, it was declared a UNESCO World Heritage Site in 2000.

The Snake House, so called because of the shape of its gutters, was a retreat for Louise, the wife of Prince Franz of Anhalt-Dessau.

Garden Kingdom Dessau-Woerlitz, Kulturstiftung DessauWörlitz, Schloss Großkühnau Germany; + 49 340 2164253; each house tour €6 ($8); gardens free admission

Egeskov Castle Garden (Funen, Denmark)

Egeskov Castle is a beautifully preserved Renaissance structure dating back to 1554.

Covering 20 hectares, the original old grounds have been divided into a number of impressive gardens that won the European Garden Award in 2012.

Among the gardens are four 270-years-old, eight-meter-tall hedge mazes, so visitors should allow time for getting lost.

Egeskov Castle, Egeskov Gade 18, 5772 Kværndrup, Denmark; +45 6227 1016; official peak season June 22-August 18; adults DKK 180 ($33) children DKK 110 ($20)

Peterhof Palace Garden (St. Petersburg, Russia)

The World Heritage listed Peterhof Palace was built on the orders of Peter the Great and mostly completed by 1725.

Its palaces and formal gardens were modeled on Versailles.

They feature a multitude of fountains.

One of the most famed views (see gallery above) looks across the Grand Cascade and Samson Fountain through a canal and gardens to the sea.

Peterhof Palace, 2 Razvodnaya Ulitsa, Peterhof, St. Petersburg, Russia; +7 812 450 52 87; adults RUB 500 ($14) children RUB 250 ($7)

David Austin Rose Gardens (United Kingdom)

Award-winning rose breeder and specialist grower David Austin has been developing English roses for 50 years and selling them all over Europe.

His vast rose garden on the Shropshire Border is open to visitors and features 700 different varieties -- including the National Collection of English Roses -- over two acres.

David Austin Roses, Bowling Green Lane, Albrighton, Wolverhampton, West Midlands, United Kingdom; +44 1902376342; free admission

Kenrokuen (Kanazawa, Japan)

Kenrokuen is considered one of Japan's "three most beautiful landscape gardens."

It was formerly the outer garden of Kanazawa Castle.

From the 1620s to 1840s, various rulers added waterfalls, a teahouse, winding paths, streams and bridges.

The garden was opened to the public in the 1870s.

Kenrokuen, 1 Kenrokumachi, Kanazawa, Ishikawa 920−0936, Japan; +81 76 234 3800; adults ¥310 ($3), children 6-17 ¥100 ($10)

Christchurch Botanic Gardens (Christchurch, New Zealand)

Founded in 1863 with the planting of an English Oak and now featuring many trees more than 120 years old, the Botanic Gardens in Christchurch, New Zealand, survived the city's major earthquake in 2011 and celebrated its 150th anniversary in 2013.

A quintessential experience, reminiscent of England, is to pole a boat along the River Avon through the gardens.

The Gondwana Garden is the beginning of a new feature on site -- a recreation of a Jurassic forest.

Christchurch Botanic Gardens, 7 Rolleston Ave, Christchurch 8013, New Zealand; +64 3 941 5556; free admission

Story originally published in 2013. Updated on June 20, 2014.

@highlight

Most of the world's famous gardens are notable not only for their design and beauty, but for their history

@highlight

Many host international competitions that are open to visitors

@highlight

Parc de la Tete d'Or in France will host the World Rose Convention and Festival in 2015

@highlight

Garden Kingdom Dessau-Woerlitz in Germany was declared a UNESCO World Heritage Site in 2000