People with a gene variant that sharply increases the risk of Alzheimer's disease in old age may show memory impairment earlier than thought -- sometimes well before their 60th birthday, according to new study in the New England Journal of Medicine.

A variant of the APOE gene indicates whether a person has a greater risk of developing Alzheimer's disease.

Between 20 and 35 percent of Americans have one or two copies of this gene variant, inherited from one or both parents. People with one copy of the variant, called apolipoprotein E-e4 (APOE e4), have a 29 percent lifetime risk of developing Alzheimer's disease, while people who don't have it have a 9 percent risk.

People with two copies of APOE e4 have an even higher Alzheimer's risk, but it's hard to define the exact percentage as only 2 percent of the population falls into this category.

Despite the gene-related health problems, another study in the same issue of the journal suggests that people who learn they do have APOE e4 seem to handle the information pretty well. But the researchers excluded people with anxiety or depression, and they followed people for just a year.

Therefore, the results don't tell the whole story about what it would be like for most people to find out whether they carried the APOE e4 gene. Nevertheless, the findings are an important first step, said Dr. Kenneth Kosik, a professor of neuroscience at the University of California Santa Barbara and the codirector of UCSB's Neuroscience Research Institute.

"I think it opens the door to ask the deeper questions," said Kosik, referring to the possible consequences for individuals and society if widespread APOE testing were introduced. (Kosik was not involved with either study.)

If people do find out they have the APOE e4 gene, Kosik added, the new memory study could make the news harder to bear.

Dr. Richard J. Caselli, of the Mayo Clinic Arizona, in Scottsdale, and his colleagues followed 815 people ages 21 to 97 with normal mental function, including 317 who had at least one copy of the APOE e4 gene. On one test of a person's ability to learn and remember (the Auditory-Verbal Learning Test) gene carriers showed declines in their scores beginning in their 50s. For people without the APOE e4 gene, this decline started in their 70s.

"We're not talking anymore about a retired population; we're talking about people who will be in the midst of their career," Caselli said. He added that many would be in positions of responsibility in which they need to have all their wits about them -- and they may not. Health.com: Eat smarter in your 30s, 40s, and 50s

"[The study] forces us to really think about the brave new world of genetics," and how this information might be used, Kosik said. Although there had been a "clear line" between having the APOE e4 gene but being dementia-free and having Alzheimer's disease, that distinction isn't as clear anymore, he explained.

For someone who discovers he or she has the APOE e4 gene, Caselli said, "The only advice I have is, 'Don't panic.'"

Right now, APOE gene testing is only recommended for people with mild problems with mental function or dementia; for people with no symptoms, it should only be done in a research setting, experts said. Nevertheless, labs have sprung up that will offer the "worried well" an APOE gene test for a fee.

Having APOE testing without adequate medical, psychological, or genetic counseling is "inappropriate," said Dr. Hyman Schipper, a professor of neurology and medicine at McGill University, and the director of the Centre for Neurotranslational Research at SMBD--Jewish General Hospital, both in Montreal. In these situations, Schipper explained people may not interpret the results correctly, and could run the risk of psychological harm.

For example, people who find out they carry the gene for Huntington's disease -- which means they have a 100 percent chance of developing a devastating neurodegenerative condition if they live long enough -- do indeed experience anxiety, depression, and suicidal thoughts, Schipper noted. Health.com: Fight aging -- the real secrets to staying young

In the second study, Dr. Robert C. Green of the Boston University School of Medicine, and his colleagues in the REVEAL Study Group set out to look at whether something similar would happen to people who found out they carried the Alzheimer's gene.

They assigned 162 symptom-free people at random to a group who would receive their APOE genotyping results and a group who would not be told their results, and then checked their level of anxiety and depression -- as well as stress related to the gene test -- six weeks, six months, and one year after they got the news (or didn't). All of the study participants had a parent with Alzheimer's disease, but none of them had any signs of mental impairment or dementia.

People who found out they didn't carry the gene variant were less stressed about the test than those who found out they did carry the gene. Green and his team also found that the higher a person scored on initial tests of anxiety and depression symptoms, the more likely he or she was to be anxious or depressed after finding out about the gene, although the researchers had excluded people with severe anxiety or depression from the study.

However, there were no differences between the groups that were told the news and those who were not.

The fact that people in the study agreed to be randomly assigned to get their APOE results suggests they "are not representative of those who have a strong perceived need to know or need not to know," Rosalie A. Kane and Dr. Robert L. Kane of the University of Minnesota, in Minneapolis, wrote in an editorial published with the studies.

The study also considered only the psychological impact of the news, they say. Some people might make major life decisions based on the news, such as deciding to hoard their money or spend it all. In addition, employers and health insurers are banned from discriminating against someone based on their genes, but companies offering long-term-care insurance, disability insurance, and life insurance are allowed to take this information into account. Health.com: How to get your way with body language

One major reason why learning APOE e4 status could be so stressful is that there's no clear way to reduce Alzheimer's risk. But there could be soon, some experts say.

"We don't know yet how by doing interventions whether or not we can beat the APOE gene or at least diminish its effects," said Kosik. "We do know that the likelihood of getting Alzheimer's disease is very much affected by people's exercise level, their blood pressure, their cholesterol levels, perhaps their diet, and the degree to which they engage in cognitive challenges. All of those things have data, some stronger than others, that you can have some effect on your likelihood of getting Alzheimer's."

But, Caselli points out that trying to encourage people to exercise in order to prevent heart disease, for example, has been far from successful, and getting people to be active to ward off Alzheimer's may be equally difficult. Health.com: Heartburn or heart attack? How to tell the difference

Maybe, however, the thought of losing our minds is a bit more motivating than the idea of heart disease. "There is some recent evidence to suggest, in fact, that personal knowledge of APOE status and general AD risk profile may spur healthy midlife adults to adopt or modify behaviors that might protect against the disease," Schipper said. Health.com: 10 Risk factors for heart disease

Apolipoprotein is a cholesterol-carrying molecule, and the gene that makes the protein comes in three slightly different versions -- e2, e3, and e4 (there's no e1). In addition to increasing the risk of Alzheimer's disease, APOE e4 is also associated with a greater risk of heart disease.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

Having one copy of gene variant, APOE e4, means 29 percent risk of Alzheimer's

@highlight

People with APOE e4 gene variant showed declines beginning in their 50s

@highlight

APOE gene testing is only recommended for people with mild mental functions