Washington (CNN) -- A Food and Drug Administration committee delivered a split verdict on the diabetes drug Avandia on Wednesday, with most members voting to leave it on the market but recommending different changes in how it's prescribed.

Twelve of the committee's 33 members voted to pull Avandia off the market altogether, while only three supported leaving it on the market with its current labeling. Seven voted to add stiffer warnings to the current label, and 10 wanted both stiffer language and restrictions on its use.

The vote came on the second day of hearings into the safety of the drug, which studies since 2007 have linked to an increased risk of heart failure. One member abstained, and several said their votes easily could have gone another way.

"I think the evidence of potential harm is stronger now than it was in 2007," said Dr. Peter Savage, the director of the National Institutes of Health's epidemiology division, who voted for stronger warnings and restrictions. "I think if the drug is to remain on the market, we need to consider whether there would be some specific indications in which it would be reserved for use. It seems to me that simply putting a warning, a black-box warning, in the labeling is probably not sufficient to really protect patients."

FDA officials will make a decison on what to do with the medication "as soon as possible," said Janet Woodcock, director of the agency's Center for Drug Evaluation and Research.

Avandia manufacturer GlaxoSmithKline has insisted on the safety of the medication, which is used to control blood sugar levels in diabetics. But a company-sponsored study that Glaxo said showed there was no higher risk of heart problems came under heavy fire from FDA researchers during proceedings Tuesday and Wednesday.

In a statement issued after the vote, Glaxo reiterated its belief in the safety of the drug and said Avandia "remains available to physicians and appropriate patients" to treat type 2 diabetes.

"Following today's recommendations, we will, of course, continue to work with the FDA in the best interest of diabetes patients who face this chronic and serious disease," Dr. Ellen Strahlman, the company's chief medical officer, said in the statement. "Patients taking Avandia should speak with their physician about their treatment and any questions they may have regarding the safety of the medicine."

But Dr. Daniel Einhorn, president of the American Association of Clinical Endocrinologists, said the decision was "hardly a ringing endorsement" of the drug.

In two preliminary votes, the FDA panel found that Avandia has an increased risk of heart problems compared with other drugs -- but it made the same determination in 2007 without voting to pull the drug, recommending stronger warnings instead. The committee would not conclude the drug poses an increased risk of death, with most calling the data before them insufficient.

"Until we have a longer-term follow-up we just can't say much about mortality," said committee member Dale Hammerschmidt, a University of Minnesota medical professor.

Before the vote, Chuck Keyserling, who suffers from type 2 diabetes, told the panel he has been taking Avandia for 10 years and can't take an alternative drug because of his physical limits on exercise.

"In making this plea to keep Avandia on the market, I believe I am pleading for my life," Keyserling said. For people in his position, he said, "a negative position on Avandia may be a death sentence."

A strongly worded FDA report last week called Glaxo's RECORD study, which the company cites as evidence of the drug's safety, "inappropriate and biased." It accused Glaxo of repeatedly submitting sloppy data and failing to follow up on reports of problems among patients, including deaths.

And Dr. David Graham, the author of a June study that also found higher risk of heart problems among Avandia users, said the RECORD study would have been dismissed as "garbage" if it had been used to seek the drug's original approval.

But Dr. Murray Stewart, Glaxo's vice president for clinical development, said Tuesday that the company's studies "provide the most robust and reliable data" to assess Avandia's safety -- and those studies have found "no evidence to suggest" the drug increases the risk of heart problems. Stewart defended the RECORD study again Wednesday.

Glaxo says several trials have shown Avandia is safe, but its usage has fallen sharply since a 2007 study that linked it to an increased risk of heart attacks and other related problems. Published estimates indicate annual sales of Avandia have dropped from about $3 billion in 2006 to about $1 billion.

A Senate committee added to the controversy Tuesday. Its leaders released documents they said show Glaxo "failed to publish studies that found serious health risks associated with Avandia in a timely manner and actively promoted the drug despite the known safety concerns."

The documents, which the Senate Finance Committee provided to the FDA, include studies that date back to 2000, the committee's Democratic chairman and ranking Republican said. But in an e-mail, Glaxo spokeswoman Mary Anne Rhyne told CNN the new documents were "a small subset" of millions of pages the company released in connection with lawsuits over the drugs.

"They include drafts and other documents taken out of context, which therefore are incomplete and misleading," Rhyne said. "The documents do not offer new clinically relevant scientific information, and do not provide the full extent of GSK's studies and evaluation of Avandia."

@highlight

NEW: The decision is "hardly a ringing endorsement," doctor says

@highlight

Most panelists recommend Avandia stay on the market with restrictions

@highlight

Glaxo says Avandia remains available to "appropriate" patients

@highlight

FDA promises to issue a decision "as soon as possible"