(CNN) -- A triumphant Lewis Hamilton called Sunday's United States Grand Prix the best race of 2012 but for many it was more important than that -- it was Formula One being reborn in the USA.

Since the sport abandoned the U.S. in 2007 it has been a long road back -- but a journey F1 desperately needed to make as a global sport, especially with the bizarre 2005 race still fresh in some minds.

Yet its first job of finding a new home was fraught with frustration.

After the Indianapolis Motor Speedway lost its contract to host F1, the Texan city of Austin successfully bid to stage the race on a purpose-built track.

But less than a year ago, the chances of a race being held at all looked like they had bitten the nearby desert dust. Workers at the Circuit of the Americas (COTA) had downed tools and the deal with F1 supremo Bernie Ecclestone was off.

"It came pretty close to being canceled," Kevin Olsen, co-founder with sister Kerri of The Austin Grand Prix website, told CNN.

"There were high stake negotiations between COTA and Mr Ecclestone -- who was going to pay and how much. They'd already spent $100m on excavation and infrastructure. Nobody could believe they'd let this go."

'Dirt and nothing'

On December 6, Ecclestone eventually re-signed a contract with the circuit, which had secured extra funding through Texan businessmen Bobby Epstein and Red McCombs.

After 21 days of torpor, a frantic period of construction began to get the circuit ready in time for the grand prix.

"It wasn't long ago that it was dirt and nothing out there," recalled Blake Widmore, an Austin sous chef who lives on a 150-acre property just 30 yards from the circuit's hairy uphill first turn.

"It was just pasture. It might have been used for cattle. Then there was a lot of construction but it's been pretty cool to watch it grow."

The circuit received an official seal of approval in September but 12 miles away, pockets of downtown Austin remained unsure about F1.

Walking around the city a fortnight ago, there was a general feeling that the laid back state capital -- which prides itself on its live music -- was blithely unaware of what was about to roll into town.

"I've said for a long time that this city had no idea what was coming," agreed Dave Doolittle, the F1 correspondent for the Austin Statesman newspaper.

"There's also a part of this town whose criticism of F1 is based on a misunderstanding of it -- there's an element that doesn't think it's very cool."

Despite those reservations, Austin embraced F1 over the GP weekend with Texan bonhomie, barbeques and what amounted to a 24-hour festival of live music in downtown's throbbing hub.

"Austin is already on the map, we're the live music capital of the world," enthused Andy from Austin's Oak Hill area. "Now we're going to be the U.S. Grand Prix capital of the world."

The fans aside, the Hermann Tilke-designed circuit has also satiated the drivers' demands for on-track thrills with its elevation changes and high-speed curves.

"The change of direction is faster than Silverstone and that's saying something," opined McLaren's Jenson Button, the 2009 world champion. "It's fantastic."

On Sunday, the course staged an intense and intoxicating race, the result of which deliciously sent the 2012 title decider to the final grand prix in Brazil.

The event also saw 117,500 fans -- just 2,500 shy of the circuit capacity -- turn out for a GP on U.S. soil, with many attending for the first time.

"I've never experienced a race in my entire life," said Jocelyn Floretta from St Louis, Missouri. "It was absolutely amazing.

"How fast the cars go is so mind-boggling. They just put on such a spectacular show. We had no problems, it's been very unstressful."

Marketing opportunity

For the teams and sponsors, the lure of the U.S. market has also set pulses racing -- a five-year absence from the world's second largest car market has been agony for those who are anxious to promote their brands in difficult financial times.

"We're delighted that, after five years, F1 is back in the States," said Mercedes vice-president Norbert Haug. "This is very, very important.

"It is the biggest market for our premium cars and our colleagues over here will use this event over a long period of time to support our sales initiatives."

There are even opportunities for teams with non-motoring products to market, such as Red Bull who sell most of their energy drinks in the U.S.

But while the city, the circuit, the racing and the shop window it provides have all trumpeted F1's return to the U.S., it must still do more if it is to conquer America.

Many Americans still consider the sport, which trails behind domestic series Nascar and IndyCar in audience share, to be elitist.

"It's been an odd relationship with F1," said IndyCar icon Dario Franchitti, who was in Austin to watch his cousin Paul di Resta drive for the Force India team.

"There's a core of hardcore F1 fans in America but the mainstays are Nascar and IndyCar. Generally nobody worried about it and F1 didn't really worry about America. It needed a facility like this to bring it all together."

Like others in the Austin paddock, the Scotsman also believes F1 should do more to embrace its fans.

"IndyCar is more accessible, our paddock is more open, you buy a ticket and you can all get in," Franchitti added. "Off the track, the public are used to having more access so they want that [in F1]."

Many feel an American driver and race team are also essential to build and sustain F1's presence in the U.S.

The country has produced two world champions in Phil Hill (1961) and Mario Andretti (1978) but Californian Scott Speed was the last American to compete in F1 and it's been five years since he lost his Toro Rosso seat to reigning title-holder Sebastian Vettel.

An approved entry for a new U.S.-based marque, when the grid was expanded in 2010, ended ignominiously with the collapse of the USF1 team because of a lack of funding.

"Americans are very patriotic and they want someone to support," said Alexander Rossi, Caterham F1 team's U.S.-born reserve driver who is targeting a race seat in 2014.

"In order to entice more fans, and to allow F1 to compete with Nascar and IndyCar, there needs to be an American driver."

The future

Haug added to the theory: "I would like to see a step-by-step approach: first, one successful event; then a second one; and ultimately an American driver.

"Hopefully we will also see an American team, like Penske in the past or like Dan Gurney's Eagles, which won the Belgian Grand Prix in 1967 with the all-American car of the All American Racers."

When asked how he might promote the F1 brand further in the U.S., Ecclestone replied: "Have maybe 10 races like we have in Europe."

A new GP in New Jersey, which lost its place on the 2013 calendar because of money troubles, is penciled in for 2014.

Broadcaster NBC, who are the new U.S. rights holders to F1 from 2013, also plan to build a bigger audience by expanding coverage on its mainstream sports channel.

"It's not like in Europe where the mass population understands what the sport is," argued Button, who spends time training in Hawaii and California.

"I was running in Malibu recently and a couple of people were like 'Jenson Button' and I thought 'Wow, that's amazing.' It will change. We'll get more people into the sport.

"Having it in Austin, a young, vibrant city should help attract a young audience but also get Americans more involved, actually wanting to work within the sport because that's the real way F1 is going to grow in America."

@highlight

Sunday's Grand Prix in Austin ended the sport's five-year absence from the United States

@highlight

A near capacity crowd of 117,500 turned out to witness Lewis Hamilton win the race

@highlight

Hopes are high that an American driver can fuel the sport's limited popularity in the U.S.