More than 100,000 people are eager to make themselves at home on another planet. They've applied for a one-way trip to Mars, hoping to be chosen to spend the rest of their lives on uncharted territory, according to an organization planning the manned missions.

The Mars One project wants to colonize the red planet, beginning in 2022. There are financial and practical questions about this venture that haven't been clarified. Will there be enough money? Will people really be able to survive on Mars? But these haven't stopped some 30,000 Americans from signing up.

You can see some of the candidates on the project's website, but they're not the only ones who have applied, said Bas Lansdorp, Mars One CEO and co-founder.

"There is also a very large number of people who are still working on their profile, so either they have decided not to pay the application fee, or they are still making their video or they're still filling out the questionnaire or their resume. So the people that you can see online are only the ones that have finished and who have set their profiles as public," Lansdorp said.

The entrepreneur did not specify how many have paid the fees, completed their profiles and configured them as private.

The application process

Anyone 18 or older may apply, but the fee depends on a user's nationality. For Americans, it's $38; if you're in Mexico, however, it's a mere $15.

The company said it sets the price based on the gross domestic product per capita of each nation. "We wanted it to be high enough for people to have to really think about it and low enough for anyone to be able to afford it," Lansdorp said.

For the first crew, the Mars One mission will cost $6 billion, Lansdorp said. The idea is for it to be funded by sponsors and media that will pay for broadcasting rights of shows and movies documenting everything from the astronauts' training on Earth to their deployment and colonization of Mars.

Out of the applicants, Mars One said it will select a multicontinental group of 40 astronauts this year. Four of them -- two men and two women -- are set to leave for Mars in September 2022, landing in April 2023.

A one-way ticket to Mars -- apply now

Another multicontinental group of four will be deployed two years later, according to the Mars One plan. None of them will return to Earth.

The astronauts will undergo a required eight-year training in a secluded location. According to the project site, they will learn how to repair habitat structures, grow vegetables in confined spaces and address "both routine and serious medical issues such as dental upkeep, muscle tears and bone fractures."

"What we want to do is tell the story to the world," Lansdorp said, "when humans go to Mars, when they settle on Mars and build a new Earth, a new planet. This is one of the most exciting things that ever happened, and we want to share the story with the entire world."

How will Mars be colonized?

Each lander that Mars One sends will be able to carry about 5,511 pounds of "useful load" to Mars, he said. After eight missions, more than 44,000 pounds of supplies and people are expected to have arrived. The capsules themselves, whose weight is not included in that number, will become part of the habitat.

Food and solar panels will go in the capsules. Earth won't be sending much water or oxygen though -- those will be manufactured on Mars, Lansdorp said.

Astronauts will filter Martian water from the Martian soil. "We will evaporate it and condense it back into its liquid state," he said.

"From the water we can make hydrogen and oxygen, and we will use the oxygen for a breathing atmosphere inside the habitat. This will be prepared by the rovers autonomously before the humans arrive."

It sounds like terraforming, a process in which the conditions of a planet are modified to make it habitable, but Lansdorp said it isn't.

"We will create an atmosphere that looks like the atmosphere on Earth, so you could say that we are terraforming the habitat. But to terraform the entire planet, that's a project that will take hundreds and hundreds of years," he added.

A dangerous mission

In spite of the risks of space travel, the Mars One founder said he is convinced of the viability of the project. However, some space travel experts have said the risks are far too high to carry out these manned missions to Mars, a distance that humans have never traveled.

Radiation is a big concern. NASA does not allow their astronauts to expose themselves to radiation levels that could increase their risk of developing cancer by more than 3%.

To maintain the radiation exposure standards that NASA requires, the maximum time an astronaut can spend in space "is anywhere from about 300 days to about 360 days for the solar minimum activity. For solar maximum, in ranges anywhere from about 275 days to 500 days," said Eddie Semones, NASA spaceflight radiation officer.

A round-trip journey to Mars could expose astronauts to the maximum amount of radiation allowed in a career under current NASA standards, according to a recent study by scientists at the space agency. Mars One is planning a one-way journey, which doesn't negate the problem, and being on Mars could expose astronauts to even more radiation, depending on how long they stay and what the shielding conditions are like.

Radiation damages cells' DNA, which can lead to cell death or permanent changes that may result in cancer. However, "there's no convincing human evidence for excess abnormalities in offspring of radiation-exposed adults," Semones said.

While orbiting the Earth, astronauts get exposed to greater concentrations of cosmic background radiation than here on Earth in addition to charged particles trapped in the upper atmosphere and from the sun, said Robert J. Reynolds, epidemiologist at the University of Texas Health Science Center.

As a spacecraft moves into deep space, the people on board would be exposed to even more cosmic radiation and solar particles, which is "fairly dangerous," Reynolds said.

Interestingly, according to Reynolds, astronauts' risk of dying of cancer is lower than that of the general public because they tend to be in shape, eat well, don't smoke and receive careful monitoring from doctors. Of course, none of them have been to Mars.

Semones emphasized that NASA does not study the health effects of Mars colonization and that it's focusing on shorter recognition missions of the surface of Mars. "We're not looking at colonization of Mars or anything. We're not focusing our research on those kinds of questions."

Can it be done?

Mars One isn't the only group hoping to make history by sending people to the red planet. The Inspiration Mars Foundation wants to launch two people -- a man and a woman -- on a 501-day, round-trip journey to Mars and back in 2018 without ever touching down.

501 days in space with your spouse: Could you handle it?

At this time there is no technology that can protect astronauts from an excess of space radiation. "The maximum number of days to stay with our standards is on the order of 500 days. So any mission that would exceed 500 days would not be doable," Semones said.

Reynolds agreed: "At this point it's completely infeasible to try to send someone to Mars unless we can get there faster or we develop better shielding for a spacecraft."

NASA is working on engines intended to cut the travel time to Mars by the 2030s, but those systems won't be ready for many years, Chris Moore, NASA's deputy director of advanced exploration systems, told CNN this year. In the meantime, Moore said engineers could try to limit travelers' exposures by designing a spacecraft in such a way that it provides more protection.

But Mars One founder Lansdorp insisted his group will get people landing on Mars by 2023.

"The risks of space travel in general are already very high, so radiation is really not our biggest concern," he said.

If that all sounds good, you can still sign up.

But remember: You can never go home again.

@highlight

Anyone 18 or older may apply for a one-way trip to Mars

@highlight

For first crew, the Mars One mission reportedly will cost $6 billion

@highlight

No technology is available now that can protect astronauts from an excess of space radiation