In business, if one of our companies is failing, we take steps to identify and solve the problem. What we don't do is continue failing strategies that cost huge sums of money and make the problem worse.

It's this kind of logic that underpins a new report published Tuesday by the Global Commission on Drug Policy, one that aims to take the debate on drug regulation to the next level.

I'm a member of the commission, and I am pleased to note that since our initial report in 2011, international leaders and heads of state have increasingly echoed our calls for a major shift in global drug policy. Colorado and Washington took the discussion from theory to reality in 2012 by becoming the first political jurisdictions in the world to approve the legal regulation of the production, distribution and sale of marijuana. Uruguay took it a step further last December by becoming the first country in the world to do so.

This latest report, "Taking Control: Pathways to Drug Policies that Work," reflects a new evolution in our thinking. We not only reiterate the case for decriminalization, alternatives to incarceration, and greater emphasis on public health approaches, but we now also call for permitting the legal regulation of psychoactive substances.

The reality is that the most effective way to advance the goals of public health and safety is to get drugs under control through responsible legal regulation. Much can be learned from the successes and failures in regulating alcohol, tobacco, pharmaceutical drugs and other products and activities that pose health risks to individuals and societies.

And drug regulation is not as radical as some might think. In fact, it doesn't even require a fundamental reconsideration of established policy principles. There is a wide spectrum of policy options to control various types of drugs. At one end of this spectrum are illegal, criminally controlled markets subject to a full-scale war on drugs. At the other end are legal, unfettered free markets controlled by commercial enterprises. Both of these options are characterized by an absence of regulation, with governments essentially forfeiting control of the drug trade. What's needed are appropriately regulated legal drug markets.

True, the importance to public health of legally regulating drugs comes not because they are safe, but precisely because they can be dangerous and pose serious risks. Yet however dangerous a particular drug may be on its own, its risks increase dramatically when it is produced, sold and consumed in an unregulated criminal environment. Putting accountable governments and regulatory bodies in control of this market can significantly reduce these risks.

When thinking about how to best reduce the harms of drugs, alcohol prohibition in United States is a lesson in unintended, disastrous consequences, as I wrote in 2012 on CNN on the anniversary of the end of alcohol prohibition, that policy prompted an increase in consumption of hard liquor, organized crime taking over legal production and distribution, and widespread anger with the federal government.

Since the war on drugs began in 1971, over $1 trillion has been wasted and the United States has the highest prison population in the world. Some of these prisoners, from Ironwood State Prison, shared the stage with me in May during California's first TEDX talk at a prison: while it was encouraging to see their anti-recidivism efforts and preparation for productive lives after prison, we should not be overcrowding prisons in the first place with people who need treatment and people who are nonviolent offenders.

Under prohibition, no product controls exist. Illegal drug markets are driven by economic processes that encourage the production and supply of more potent -- and therefore more profitable -- drug preparations. Effective regulation could help gradually reverse this dynamic.

In the United States and around the world, ending drug prohibition is being openly discussed. Elected officials, businessmen, physicians, educators, civil society and religious leaders are breaking the taboo and engaging in debate about common sense alternatives including reducing the harm done by existing drug policies.

Law enforcement officials such as San Francisco District Attorney George Gascon support the upcoming Safe Neighborhood and Schools Act, which Californians will vote on this November. If a majority says "yes on 47," nonviolent drug crimes will be treated as a misdemeanor, reducing prison overcrowding, focusing law enforcement to go after violent criminals, and freeing up $1 billion over the next five years from prisons to education and health care. Imagine the possibilities when drugs are treated like a health issue, not a criminal issue.

The one thing we cannot afford to do is to go on pretending the war on drugs is working.

California has a chance to reverse the harm done to its communities and its fiscal health by failed drug policies. More voters deserve opportunities to support alternative approaches to public safety, health and education that go hand in hand with the responsible regulation of legalized drugs.

If drug policy, which costs $100 billion annually, were my business, I would call it a failure and shut it down before it ruins more lives. It's time to apply that sort of thinking to our failed drug policies.

Follow @CNNOpinion on Twitter

@highlight

New report by Global Commission on Drug Policy calls for drug policy rethink

@highlight

Group calls for permitting the "legal regulation of psychoactive substances"

@highlight

What's needed are appropriately regulated legal drug markets, says Richard Branson

@highlight

U.S. example of prohibition shows why current drug policies won't work