(CNN) -- Israeli settlements have taken a "heavy toll" on the rights and sovereignty of Palestinians, a U.N. report said Thursday.

The U.N. Human Rights Council report ticked off a range of rights it says have been consistently violated in the West Bank and East Jerusalem during what it calls "creeping annexation" by Israel.

Yair Lapid: Israel's man of the 'future'

They include "self-determination, non-discrimination, freedom of movement, equality, due process, fair trial, not to be arbitrarily detained, liberty and security of person, freedom of expression, freedom to access places of worship, education, water, housing, adequate standard of living, property, access to natural resources."

"The settlements are established for the exclusive benefit of Israeli Jews; settlements are being maintained and developed through a system of total segregation between the settlers and the rest of the population," the report said.

"This system of segregation is supported and facilitated by a strict military and law enforcement control to the detriment of the rights of the Palestinian population."

Israel defies international criticism of settlement plans

Palestinians welcomed the report, which calls for the settlement activity to stop and settlers to depart.

Israel, which has long considered the Human Rights Council as "systematically one-sided and biased" toward the Jewish state, said the report will hurt peace efforts. Israel did not cooperate with the U.N. three-person mission, whose members are from France, Pakistan and Botswana. The U.N. report was issued after Israel did not show up at a U.N. review of its human rights record.

"The only way to resolve all pending issues between Israel and the Palestinians, including the settlements issue, is through direct negotiations without preconditions," said Yigal Palmor, Israel's Foreign Ministry spokesman. "Counterproductive measures, such as the report before us, will only hamper efforts to find a sustainable solution to the Israel-Palestinian conflict."

Read more: Israel says it will build settlements in East Jerusalem

There are about 250 settlements in the West Bank and East Jerusalem, the report said, all started since Israel seized the lands after the Six Day War in 1967. There are about 320,000 people in the West Bank and 200,000 in East Jerusalem.

After the war, Israel soon annexed East Jerusalem. It established a unified Jerusalem as its capital and has established settlements in the West Bank, the Palestinian land, over the decades, but has not annexed any of that territory.

The country has cited the need for a presence in the West Bank for security, but Jewish settlers -- some for religious reasons and others seeking affordable dwellings -- have made their homes in the land.

That consistently growing presence in East Jerusalem and the West Bank has caused great tension between Israel and the Arab world, including the Palestinians.

Q&A: Inside Israel's planned settlement

The inability of Israel and the Palestinians to reach a political agreement over the West Bank and Jerusalem has arguably been one of the major obstacles to peace in the region.

The report cited evidence of "dispossession, evictions, demolitions and displacement," particularly widespread in East Jerusalem.

It cited the existence of Jewish settler violence. It said that harassment of Palestinians is "institutionalized" and that women alone in their homes, Bedouins and other "vulnerable groups are easy targets for settler violence."

"The identities of settlers who are responsible for violence and intimidation are known to the Israeli authorities, yet these acts continue with impunity," the report said. "The motivation behind this violence and the intimidation against the Palestinians as well as their properties is to drive the local populations away from their lands and allow the settlements to expand."

The fact-finding mission singled out a "high number of children" seized by authorities "for minor offenses."

"They are invariably mistreated, denied due process and fair trial," the report said. In violation of international law, they are "transferred to detention centers in Israel."

Clinton: New Israeli settlements a 'setback' for peace

It also said that Israel is failing to protect their right of access to education.

"Children suffer harassment, violence and encounter significant obstacles in attending educational institutions, which limits their right to access education," the report said.

It also said Israel must comply with the Fourth Geneva Convention, which states that occupying powers shouldn't transfer parts of its civilian population into territory it occupies. It calls for stopping all settlement activity and says Israel "must immediately initiate a process of withdrawal of all settlers."

Hanan Ashrawi, a member of the executive committee of the Palestine Liberation Organization, called the report "courageous." She hails it for labeling all settlement activities as illegal and noting that serious settler violence is leading to "ethnic cleansing."

"Instead of boycotting the Human Rights Council, Israel should act in compliance with this report. Otherwise, it will continue to isolate itself outside the law and it will continue to delegitimize its behavior in all aspects of the occupation," she said.

@highlight

Israel says it thinks the Human Rights Council is biased

@highlight

A Palestinian politician praises the report

@highlight

There are more than 500,000 people living in East Jerusalem and the West Bank

@highlight

Report: Israeli authorities look the other way when settlers commit violence and intimidation