(CNN) -- Nearly nine out of 10 U.S. adults have a cell phone -- and they're having a lot of problems with them. New research from the Pew Internet and American Life Project found that almost three-fourths of phone users experience dropped calls at least occasionally.

Also, nearly 70% of U.S. cell users receive unwanted sales or marketing ("spam") calls or text messages on their cell phone -- and for a quarter of cell users, that happens at least once a week. This occurs despite such marketing practices being restricted by federal and state law. (Recently, U.S. wireless carriers joined forces to create a centralized text-spam reporting system.)

For people who use their cell phones to go online, slow data connections are an even bigger problem. Pew found that nearly eight in 10 people who access the Internet from their cell phones experience slow download speeds at least occasionally, and nearly half of cell users experience this problem at least weekly.

According to comScore, currently just fewer than half of all U.S. cell phones are smartphones. Pew found that smartphone owners are more likely than those with simpler "feature phones" to experience these problems. For instance, 35% of smartphone owners experience dropped calls at least weekly, compared with 28% of feature phone owners. Just under 30% of smartphone owners receive spam texts at least weekly, compared with 21% of feature phone users.

Many non-smartphones now come with Web browsers, e-mail service and other Internet-enabled features. Surprisingly, feature-phone users report substantially fewer problems with slow download speeds (31%) compared with smartphone owners (49%). It's possible that feature phone users may have lower expectations for download speeds, but this is a significant gap in relative user satisfaction.

Pew noted, "Non-white cell owners confront all four problems at somewhat higher weekly rates than do their white counterparts. This might be tied to the fact that African-Americans and Hispanics are more likely than whites to rely on their cell phones as their primary or exclusive phones for calling and for Internet access."

This report did not examine the incidence of poor audio quality with voice calls. But any cell phone user who grew up in the age of landlines can tell you that the sound quality of calls to and from cell phones is far worse than landline call quality was decades ago.

In fact, last year, a fellow technology reporter mentioned to me that one day his wife called him at his office, and he was astounded at the clear call quality.

"Wow, are you on some fancy smartphone or an LTE (next-generation) network?" he asked.

She laughed and replied, "No, I picked up a 1970s landline phone at a yard sale!"

It'll be interesting to see whether the rollout of faster 4G wireless carrier networks will ease the problems Pew has noted. In particular, voice over LTE (VoLTE) calling is often touted by carriers as offering increased reliability and better sound quality. But for now, those benefits are realized only when people on both ends of the call are on LTE networks.

The opinions expressed in this post are solely those of Amy Gahran.

@highlight

Pew survey: Phone problems plague the nearly nine of 10 U.S. adults who have a cell phone

@highlight

Nearly 70% of U.S. cell users receive unwanted sales calls or messages

@highlight

Nearly eight in 10 smartphone users experience slow download speeds

@highlight

Smartphone owners are more likely than owners of feature phones to experience problems