Hannah Warren was born without a trachea but now has one made from plastic fibers and a stew of her own stem cells.

The 2-year-old Korean Canadian has spent every day of her life in intensive care, kept alive by a tube that substituted for the windpipe that was supposed to connect her mouth to her lungs. But nearly a month after her transplant, the toddler is mostly breathing on her own and is responding to doctors and nurses.

The surgery, pioneered by Dr. Paolo Macchiarini, director of the Advanced Center for Translational Regenerative Medicine at the Karolinska Institute in Stockholm, was only the sixth performed in the world, and Hannah was the youngest patient and first to receive the transplant in the United States.

The procedure was approved by the FDA as an experimental operation for patients with very little hope of survival; being born without a trachea is fatal in 99% of cases.

TIME.com: Stem cell therapies may cure chronic conditions

Macchiarini performed the nine-hour operation on April 9 at the Children's Hospital of Illinois after carefully creating the windpipe using stem cells from Hannah's bone marrow that were saturated over a matrix of plastic fibers shaped into a tube.

Exactly what happens to the windpipe after it is transplanted isn't clear, but researchers believe that placing stem cells, which are capable of developing into different types of body cells, can pick up signals from their environment and integrate with existing tissues.

Macchiarini told the New York Times that the body's regenerative capabilities may help such bioengineered organs to integrate with existing tissues. Children may make the ideal patients for these procedures since they have natural and active abilities to heal and grow.

"Hannah's transplant has completely changed my thinking about regenerative medicine," he told the Times, adding that he wants to conduct a clinical trial in the United States.

For children born with a windpipe defect or without one, and for others with defective or diseased organs, manipulating stem cells to generate healthy tissues or organs could be their only chance at survival.

TIME.com: Cancer patient receives a man-made windpipe

Macchiarini performed all five of the previous transplants of the bioengineered windpipes; four of the patients have done well, while one, Christopher Lyles, who received his trachea in Stockholm, died. Last year, in describing Lyles' operation, TIME's Alice Park wrote:

"Macchiarini has been perfecting the process of using stem cells to seed bioengineered scaffolds for organs like the trachea since 2008; in his first such procedure, he used a donor trachea to replace that of a Spanish woman, stripping the organ of its cells and coating it with the woman's own stem cells. But using a completely synthetic, bioengineered matrix such as the one transplanted in Lyles, he says, makes the transplant safer for the patient, potentially sparing him the complications that can arise if he can't accept the new organ.

"Researchers have used similar stem-cell-seeding techniques to create other organs. Dr. Anthony Atala at Wake Forest University generated bladders and a urethra using scaffolds and patients' stem cells."

Because of the small number of patients he has treated, his critics say it's hard to determine how valid Macchiarini's bioengineering technique is in treating patients like Hannah. But he plans to conduct a clinical trial to properly assess the risks and benefits of the procedure, and document how bodies react to the transplanted devices. Hopefully those trials will show that it's possible to regenerate not just organs but hope as well.

This story originally published on TIME.com

@highlight

Hannah Warren spent the first two years of her life in the intensive care unit

@highlight

A month after her windpipe transplant, the toddler is mostly breathing on her own

@highlight

Warren was the youngest and first to receive this transplant in the United States