London (CNN) -- After rumblings across the financial markets in the last few months, art dealers from around the world have gathered in London for the city's premier contemporary art fair Frieze in hopes of shifting an estimated $350 million USD (according to art insurers Hiscox) worth of art.

Some impressive sales were clocked Wednesday, with a painting by German artist Neo Rauch selling for $1.35 million, according to a spokesperson for New York dealer David Zwirner, who sold the piece.

But Frieze -- one of the world's foremost contemporary art fairs and a good barometer of the market -- is expanding its borders and developing another fair dedicated to art throughout history for next year's edition.

"The fact of it is that the art fair world is highly competitive and it's actually overcrowded," said Georgina Adam, art market Editor-at-Large for the Art Newspaper.

"The view from the outside is that the Frieze organizers obviously feel that they need to occupy that (older) space," she continued.

Victoria Siddall is the director of the new fair, which is called Frieze Masters. She explained that it will feature presentations from a select group of around 70 dealers, and will showcase art from antiquity all the way through to the year 2000.

"I think London has traditionally been the international center for historical arts and a big center of that market, which is why it makes sense for us to have (Frieze Masters)," she said.

But while the art fair world is highly competitive, Siddall stressed that Frieze Masters will be different from more traditional fairs of arts and antiquities, such as Masterpiece in London and TEFAF in Maastricht, the Netherlands.

"I think the key differentiator will be that Frieze Masters will be a very contemporary presentation of historical works," she said, adding that architect Annabelle Selldorf will be designing a clean, modern environment in which to house the fair and that contemporary artists will give talks about the influence of old masters on their own work.

It is hoped that the new fair will open up fresh perspectives on both historical and contemporary arts while emphasizing the links between the two, said Siddall.

It will also, according to Adam, introduce a new set of art collectors to the annual fair.

"They'll bring in galleries who are outside the contemporary art field, and those galleries invite their clients," said Adam.

"The (organizers) are presumably hoping it might go the other way as well, that collectors of contemporary art might cross over to collecting more traditional art," she said.

And established, historical art is often a surer outlay for those looking to invest in art as a tangible asset, Adam explained, though she stressed that investors are different from collectors, who buy art in theory because they love it.

"If you were taking about people buying art as an investment, there's an overall feeling in the art market that an artist who has got an established track record, presence, has had museum shows, publications written about them, is a better investment because it's safer," she said.

"On the other hand, you can also take a punt on a completely unknown contemporary artist and hope they'll go up in value," Adam said.

"But that is far more risky," she added.

Both collectors and dealers are behaving cautiously at this year's fair, she said.

"Dealers are playing safe and not bringing anything challenging to this year's Frieze," she opined, remarking on the lack of art dealing with issues including sex, politics and the economic situation.

While there were some big sales on preview day, she said, there hasn't yet been a buying frenzy.

Neil Wenman is a director at Hauser & Wirth gallery, which has spaces in London, Zurich and New York, and represents young, emerging artists alongside the estates of more established ones. Its President, Iwan Wirth, is on the committee for Frieze Masters.

Wenman said that despite the gloomy financial outlook, the gallery clocked impressive sales of works by some of its younger artists.

"I found it a very serious crowd, I thought (the buyers) were committed, very focused on what they were looking for, I think the galleries that showed more interesting material that was posing an alternative to art fairs of the past did well," he said.

As for Frieze Masters, he is confident that it will add an exciting dimension to the nearly ten-year-old fair, which launched in 2003.

"For us, it's a very natural thing and (collectors) will find it an added benefit to come to London and have that new dimension in the way in which they look at work and re-evaluate the contemporary," he said.

Frieze Art Fair, London 2011 takes place in London's Regent's Park, 13--16 October.

@highlight

London's premier contemporary art fair, Frieze, clocks million dollar sales

@highlight

Fair will expand to create new fair next year dedicated to art from antiquity to year 2000

@highlight

Work by established artists still seen as safer bet for investors in art

@highlight

Dealers buoyed by early sales