(CNN) -- Having to ask for a seat belt extender on a flight was one of Benji Kurtz's biggest life humiliations.

He also couldn't shop at popular clothing stores -- the clothing wasn't large enough. When he found clothing that fit, he often didn't have a choice in styles or colors, able only to purchase pants available in size 50.

At his heaviest, in 2005, Kurtz weighed 278 pounds. Only 5 feet 5 inches tall, he was considered severely obese.

For several years he cycled around low-carb diets to temporarily lose 30 to 40 pounds, only to gain it back. None of the many other diets he tried worked, either. Then, by chance, the solution found him.

Over Memorial Day weekend 2013, Kurtz and his wife watched "Forks Over Knives," a documentary on the science behind plant-based eating. At that point, he weighed 258 pounds.

The scientific evidence presented on why humans should eat a plant-based diet just made sense to Kurtz. It was like a light bulb went on, he explains.

He read numerous books and watched online lectures to learn more as he began eating from the four food groups recommended by the Physicians' Committee for Responsible Medicine: Fruits, vegetables, whole grains and legumes (with nuts and seeds). Gradually, he cut out sugar, salt and oils.

"As I saw the scientific evidence of how we have evolved as herbivores and not omnivores, and as I saw how well my body was reacting to feeding it a low-fat, whole-food, plant-based diet, it became progressively easier from there," said Kurtz, a 37-year-old entrepreneur in Atlanta.

The quick results were encouraging.

It wasn't just his weight that started to drop. His cholesterol went from over 200 to 167. His blood pressure lowered. His health insurance rates also went down three times as he got healthier.

At the same time, other things were on the rise, including his energy levels and his ability to taste food.

"Once you start eating this way, your palate totally changes," Kurtz said. "You are tasting food the way food was supposed to taste in the first place. Like a film has been lifted off your taste buds."

He also discovered that he could eat as much as he wanted of the right foods and not gain weight. His new way of eating felt more like abundance than deprivation.

Breakfast foods included oatmeal and fruit smoothies with almond milk. For lunch or dinner, his favorite foods became steamed vegetables with a faux Parmesan seasoning, red lentil chili, baked potatoes, vegan mac and cheese and split pea soup. If he got hungry in between meals, unsalted and unroasted nuts, fruit or chia pudding made with almond milk were his snacks.

After one year and one day on his new diet, Kurtz had successfully lost 100 pounds. He now weighs 138, his pant size is 31 -- 19 sizes smaller than his heaviest -- and he wears a size small in shirts.

Kurtz's story isn't uncommon, says Dr. John McDougall, a California physician who has been studying the effect of nutrition on disease for over 30 years and who answered diet questions from Kurtz during his transformation. After moving people away from a rich, high-fat American diet full of meat and dairy, McDougall says he's seen patients lose weight, be cured of constipation and lower their cholesterol levels.

One of the biggest keys to these results, he says, is understanding that humans have always been primarily starch eaters; starches aren't bad. Pasta, beans, rice, corn and potatoes are foods that satisfy the body and can be alternatives to meat and dairy.

"People think they are going to starve to death if they don't eat a hamburger," McDougall said.

McDougall went on to say that the marketing of meat and dairy has become so effective that we often associate calcium with dairy and protein with meat, when, according to him, it's quite easy to get those nutrients from a natural, vegetarian diet.

Kurtz credits his ease in transitioning into this plant-based diet to living close to a grocery store where he could purchase healthy foods and working from home, which made it easier to cook. He also found a quiet indoor pool with a friendly staff where he swims around 20 laps six to seven days a week.

"I don't crave foods I no longer eat. I'm not going to bed hungry. Everything about life is better."

From overweight smoker to marathon contender

@highlight

Benji Kurtz tried almost every diet without success

@highlight

Documentary on plant-based eating inspired him to change his lifestyle

@highlight

He lost 100 pounds in a year