(CNN) -- This is not the first oil boom to deliver windfall revenue to the world's leading oil exporter, Saudi Arabia.

Saudi Prince Turki Al-Faisal tells MME about the Kingdom's plans to prioritize education and health.

It's seen boom time before -- in the 1970s -- but this time it's determined to do things right.

This week, MME spoke with Prince Turki bin Faisal al Saud, son of late King Faisal and a nephew of Saudi Arabia's current ruler, King Abdullah.

Back in the 1970s, Prince Turki became Director-General of Saudi Arabia's foreign intelligence service, the General Intelligence Directorat, a post he held for nearly 25 years.

More recently he's served as Saudi Arabia's Ambassador to United Kingdom and Republic of Ireland, and, until last February, as Saudi Ambassador to the U.S.

Prince Turki is one of the founders of the King Faisal Foundation -- one of the world's largest philanthropic foundations -- and is the chairman of the King Faisal Center for Research and Islamic Studies in Riyadh.

John Defterios spoke with Prince Turki and asked him about the Kingdom's latest economic boom.

(JD): I think you almost have to go back to post World War Two, the rebuilding of Germany and Japan in a per capita sense to match the scale of what's going on in Saudi Arabia. Would you put it in that context?

(PT): Absolutely. The Kingdom went through many phases of development since its inception -- from 1932 to our present times -- but this is the most extensive expansion of development projects that we've had, ever. People remember the days of the 1970s and 80s when price of oil went up and the Kingdom went through a development phase at that time that was very extensive, very much throughout the Kingdom. But from 2000 until now it's more than several times that expansion. And it's in every phase -- education, health, roads, housing -- everything is simply booming in this country.

(JD): How do you avoid the mistakes of the 1970s when there was a lot of capital going out but not a grand vision of what Saudi Arabia should look like?

(PT): I beg to differ: there was a grand vision. We had five-year development plans since 1970, but people learn from their experience and, of course, whatever mistakes were done in the 70s and 80s we are overcoming them. We also have a much better educated population now then we did then. We are less dependent, if you like, on inexperience then we were in those times. There are people now in charge of doing things, whether in the private sector or in government, that not only have better education, but they've also had 30 years experience in development projects.

(JD): There's quite a monumental task here because you have 50 percent of the population below 20 and the 2008 budget has 28 billion dollars set aside for primary and secondary schools. Can the next generation participate in this evolution of the economy?

(PT): Well, as the custodian of the two holy mosques has said many times, our future is in the hands of our young people. So we have to provide them with the skills and know-how that will make this country go forward in the future, hence the emphasis on education and healthcare -- education, education, education. It is not just a matter of hardware that we are providing in education but the software as well. For example, the Ministry of Education in this country has undertaken a very unprecedented and first time effort to evaluate its teaching staff by hiring experts who can advise them on the quality of teachers. And they bought teams from Europe and from America and I think even from Japan and other Asian countries that have surpassed us in education to come and evaluate our software.

(JD): If you put it into context, King Abdullah is a man in a hurry in a sense. He has only been in office now for just over three years and he has the accelerator down pushing very aggressively. What happens after him? Is there the same spirit to follow this through?

(PT): Well, just look at who's going to follow him. He himself has been in the government from early on and participated in all of the development phases of the kingdom since the 60s so he has forty years of experience in development. The Crown Prince Sultan, for example, was in that same development phase as King Abdullah and all of the senior Princes in the Royal Family were part and parcel of this development phase since the 1960s, so it is going to continue. And the ambitions that King Abdullah, through his efforts and his words, has instilled in the people of Saudi Arabia is driving the people towards looking forward, to more development and more accomplishment and more achievement.

(JD): If you look at the bigger puzzle that he's putting together here the new cities are emerging in areas that do not have major cities around them. Is this to avoid the resistance from conservative sectors of society that may resist the moves by this King?

(PT): You know I hear that question many times, as if there is a box where conservatives live and create problems for reformers who live in another box and perhaps people in between live in a third box. The Kingdom is like any other society. Within one family you will have somebody who has a more traditional point of view, and another one with a more modern point of view. It is part and parcel of the growing up process of any society.

So building these cities in the areas where they have been chosen to be built is to bring development to these areas, not to avoid any specific objection from any society. And who is going to come to these cities once they are built? It is the whole fabric of the Kingdom; the conservatives and the modernizers and the liberals and other groups of people that are part and parcel of the Kingdom. And more importantly I think, from somebody who is outside government now looking on these developments, is the fact that all of these developments are concentrated on job opportunities for the young. We have a very young population. In five years time, in ten years time, all of these people are going to come on stream looking for jobs, looking for opportunities and wanting to have a family and children and so on. So you have to provide for that now, you cannot wait five or ten years, hence the King's hurried pace in putting these things on the ground.

(JD): Is part of the strategy to import some of this change as you develop such large centers for commerce and education? Naturally, you import change at the same time, and that's healthy for this society?

(PT): Well, I think if you heard my speech today that I gave at the [Jeddah Economic] Forum. I described Saudi Arabia as a crossroads for trade and commerce, historically. Going back to pre-Islamic days the Kingdom was always a passage point for goods and people coming from Asia to Europe to Africa and vice versa. With that situation being as it is, naturally change comes from outside, but also the Kingdom is very careful that its basic traditions and beliefs and values are improved rather than discarded by this change. If we have habits or practices that are not helpful we look forward to giving those up. If there are habits and practices that we can learn from others, then we will gladly espouse them. But our basic tenets and beliefs hopefully we will safeguard because they are the things that identify us as human beings.

(JD): Do you feel comfortable sitting here today that the wealth from the petroleum resources that are blessed here in this country are being spent in the best fashion possible. If you look back 10, 15 years and say that was the right strategy?

(PT): Look at what's happening here in the Kingdom: Universities, schools, hospitals, roads, construction boom, social development, political development, everything. It's like a beehive of activity. Hopefully in the final analysis, all these bees that are coming together will make us a lot of honey. It's very easy to sit back and be critical when so much is going on in the development factor. But it is more difficult for that critical outlook to be positively critical. Distinguish between what is negative and what is positive. All countries commit mistakes; all peoples have different views from each other. I think what has been important about the Kingdom is that the people have come around to embrace change in the Kingdom. And it is a change that is driven vertically by the leadership, but also horizontally by the vast population of the Kingdom.

(JD): In fifteen years time do you think we are going to look back with the oil resources that this country has been blessed with and say "we spent it wisely, it was the best road map we could have followed''?

(PT): I believe so. I believe so because of the effort that the King has put in providing the skills and know-how to the young people. I don't think I will be around fifteen years from now, but if I am, I am looking forward, as I said earlier, that my children and my grandchildren will make of their world a much better world that I am leaving to them. This is the hope and aspiration that all of us have. E-mail to a friend

@highlight

MME speaks with Saudi Prince Turki al-Faisal at the Jeddah Economic Forum

@highlight

Saudi expansion from 2000 onwards several times larger than 1970s oil boom

@highlight

Emphasis on education, employment for Saudi Arabia's young population

@highlight

Prince Turki: "People have come around to embrace change in the Kingdom"