(CNN) -- Africa has always been a continent of contrasts. And the latest findings from an amazing team of international researchers show that when it comes to providing our children with the best chances in life, Africa once more presents a very mixed picture.

In a new report, never-before-available comparative data on laws and public policies in 191 countries, covering poverty, discrimination, education, health, child labor, child marriage and parental care, reveals how millions of children across the world face conditions that limit their opportunities to thrive and reach their full potential because of governments failure to act.

This new research aims to broaden global attention from solely survival to children's full and healthy development. It comes at a critical time as the global community is looking to set new goals and agree on what all the world's nations will strive for in the so-called "post-2015" agenda following more than a decade of efforts focused around the Millennium Development Goals (MDGs).

Children's opportunities are not just shaped by parents and families, but also by national action in the form of laws and public policies.

This may involve removing tuition fees, ensuring inclusive education for children with disabilities, enforcing minimum age requirements for labor, age restrictions for marriage so girls might have a better chance to stay in education, or assisting parents to be able to earn enough to support their children and have the time off from work they need to care for their children's health and education.

Read more: Africa grows, but youth get left behind

And as the new analysis confirms, marked strides have been made across sub-Saharan Africa in areas central to our children's healthy development.

Primary education is tuition free across the majority of the region (in 36 of the 41 countries with available figures) and 13 countries have removed charges for secondary education.

In addition, virtually all sub-Saharan African countries (45 of the 46 countries with data) guarantee paid maternity leave (although of these 23 provide less than the 14-week minimum established by the ILO), and 41 of 45 countries have recognized the need to provide income support during periods of unemployment (although this largely does not cover the informal economy).

And progress in improving children's chances does not necessarily rely on the ability to open large purses. Some low and middle-income countries have made impressive advances for children.

Kenya, for example, makes education compulsory for 12 years, longer than all other countries in the region, including those with a higher GDP, and it has a higher minimum age for full-time work than its neighbors.

Elimination of schools fees in Malawi in the 1990s has led to a jump in primary school enrollment from under 50% in 1991 to 99% in 1999.

Read more: Elite boarding school aims to create Africa's future leaders

Madagascar provides not only paid maternal leave, but also paid leave for children's health and family needs. Progress is clearly possible when there is political will.

But there remains substantial room for policy advances to transform the lives of older children, youth and the poorest. At secondary level, educational opportunities in much of the region are deeply limited -- and limiting. A greater proportion of countries in sub-Saharan Africa than in other regions -- some 61% -- begin charging tuition fees before the end of secondary school.

When we look beyond the issue of accessibility to the quality of education our children receive -- after all it should be fit for purpose -- the region has among the lowest education requirements for teachers, with 50% of countries requiring lower secondary school teachers to have completed no higher than a secondary education (so teachers have barely more education that their students).

Plus, while policies in the formal economy are relatively strong in terms of supporting families, those in the informal economy remain unprotected.

Despite the fact that many countries have set a minimum wage, in 6 countries this wage is just $2 per day or less -- and in 20 others is between $2 an $4, leaving even a family of one adult and one dependent under the $2 poverty line. How can we expect children to thrive given this reality?

What this kind of comparative data and analysis allows us to do is see more clearly where progress is and isn't occurring.

It is only when we begin to call out country's names -- the leaders and the laggards -- that we'll see all children count on having a childhood where they can go to school and not labor full-time, a childhood free of marriages that require them to parent before they have grown up themselves, getting the education they need to find work that will lift them out of poverty, and not facing discrimination based on their gender or ethnicity.

Africa should be a region that has high ambitions for its children and demand that the post-2015 development agenda is one that thinks big for our children and their chances.

Read the report and stay up to date on Twitter #kidschances.

The opinions expressed in this commentary are soley those of Catherine Mbengue

@highlight

New report shows that policies across Africa are helping children's development

@highlight

But laws must improve to help children reach potential, says Catherine Mbengue

@highlight

Scrapping fees in Malawi saw entry to primary school jump from under 50% to 99%

@highlight

At secondary level, education in much of the region is deeply limited, Mbengue says