Abbottabad, Pakistan (CNN) -- U.S. officials issued a revised version of the nighttime raid that killed the world's most-notorious terrorist, including additional details that revealed other options were on the table before settling on the assault.

The 40-minute raid early Monday in Pakistan left Osama bin Laden dead, along with four others in the complex that sits on a mountainous region near the capital.

Bin Laden was not armed during the raid, but he put up resistance when U.S. forces entered the compound, the White House said. Officials had earlier said that bin Laden was an active participant in the firefight, implying that he was armed and gave the U.S. Navy SEALs little choice but to shoot him down.

After the operation, U.S. forces departed with the al Qaeda leader's body, nearly 10 years after the September 11, 2001, terrorist attacks on the United States.

"It was a staggering undertaking and there was no one else, I believe, other than an American group of military warriors who could do it," U.S. Vice President Joe Biden said Tuesday. "And the world is a safer place today, not only for the American people but for all people."

Officials on Tuesday offered new details about the raid and clarified earlier accounts.

U.S. military personnel arrived on two helicopters, attacked the residence and started moving methodically from room to room, said White House Press Secretary Jay Carney.

They were engaged in a firefight throughout the operation, he said.

There were no armed guards around the compound, according to a U.S. official who is not authorized to speak on the record.

Original plan

CIA Director Leon Panetta told PBS "NewsHour" that the original plan was for two Black Hawk helicopters, carrying 25 people, to go into the compound.

The first was to go over a courtyard, while the second was to go over the roof. But the first helicopter had problems and had to set down on the ground, prompting the second one to do the same, he said.

"Both teams immediately went into the compound itself. They had to breach about three or four walls in order to get in there," he said. "They were able to do that and they immediately then went into the compound itself and fought their way up to the third floor."

Officials called the U.S. operation a surgical raid -- and said it was conducted by a small team and designed to minimize collateral damage.

The compound is in Abbottabad, about 50 kilometers (31 miles) north of the Pakistani capital of Islamabad. The city sits in a region where most residents are army personnel.

When it was first built, the compound was secluded and reachable by only a dirt road, officials have said.

In recent years, more residences were built around it, but it remained by far the largest and most heavily secured property in the area.

The compound had outer walls up to 18 feet tall topped with barbed wire, with two security gates and a series of internal walls that sectioned off different portions of the compound, senior administration officials have said.

Bin Laden "didn't hold his hands up"

Months of intelligence work determined that the compound was custom-built to hide a high-value terrorism suspect, almost certainly bin Laden.

There was no telephone or Internet service at the dwelling, which was valued at more than $1 million. Its occupants burned their trash rather than leave it out for collection as other area residents did.

Besides the bin Laden family, two other families lived in the compound, according to Carney.

On the first floor of the building, two al Qaeda couriers were killed in addition to a woman caught in the crossfire, he said.

Bin Laden and his family lived on the second and third floors, and they were cleared last, with bin Laden killed toward the end of the siege, Carney said.

Bin Laden was not armed but did put up resistance when U.S. forces entered the compound, he said.

According to the U.S. official, who is not authorized to speak on the record, bin Laden "didn't hold his hands up and surrender."

A woman in the room with him -- believed to be bin Laden's wife -- rushed U.S. forces and was shot in the leg, but not killed, said Carney.

Officials had earlier said that bin Laden was shielded during the shooting by women, including his wife.

Five of the approximately two dozen people in the compound were killed -- the two couriers, the woman, bin Laden and his son, said the U.S. official who sought anonymity.

Panetta told PBS he didn't think bin Laden said anything to U.S. forces before he was killed.

"To be frank, I don't think he had a lot of time to say anything. It was a firefight going up that compound and by the time they got to the third floor and found bin Laden, I think this was all split second action on the part of the SEALs," he said.

Team practiced on a replica of the compound

Prior to the assault, U.S. intelligence officials provided detailed satellite images of the compound, which was enough to construct a replica, according to a senior defense official.

Team members practiced on that mock-up, and knew the height of every wall, and which gates to go through, the official said.

Obama and senior administration officials have said that no U.S. forces were harmed during the operation.

According to the senior administration officials, intelligence work determined at the beginning of 2011 that bin Laden might be at the compound in Pakistan. By mid-February, the intelligence was strong enough to begin considering action.

To discuss that intelligence and develop a plan, Obama chaired five National Security Council meetings from between March and April, with the last two on April 19 and April 28 -- last Thursday. The next day, on Friday, Obama gave the order for the mission, the officials said.

Multiple options

A U.S. official said multiple options were considered before settling on the assault.

"A bombing would not have risked American lives but it might have left questions" as to whether bin Laden was killed, the official said.

National security officials agreed "the best option is the one that gives proof," the official said.

The key break involved one of bin Laden's trusted couriers, according to various officials.

About two years ago, intelligence work identified where the courier and his brother lived and operated in Pakistan. It took until August of last year to find the compound in Abbottabad, they said.

"When we saw the compound where the brothers lived, we were shocked by what we saw -- an extraordinarily unique compound," one senior administration official said. "The compound sits on a large plot of land in an area that was relatively secluded when it was built. It is roughly eight times larger than the other homes in the area."

Noting that the courier and his brother had no discernible source of wealth to live at such a property, intelligence analysts concluded the compound was "custom-built to hide someone of extraordinary significance," the official said, adding: "Everything was consistent with what experts thought Osama bin Laden's compound would look like."

CNN's Pam Benson and Chris Lawrence contributed to this report.

@highlight

The operation lasted nearly 40 minutes

@highlight

The compound had no armed guards, an official says

@highlight

Bin Laden "resisted," but was not armed, the White House says