(CNN) -- Alison Shein considers herself an amateur genealogist, spending hours online searching for information about family members she never knew.

Among them: Alison's great-great-grandmother Bella Shein, who died in the Holocaust. The circumstances surrounding her death are still murky.

"They were living in this town called Volkovysk, which is currently in Belarus, and when the Germans were coming, some of her children and her grandchildren said, 'OK, we're going to leave. We're going to go with the Russian army.' And she said, 'I'm too old. I'm going to stay behind.' And that was the last they saw of her."

Through her research, Shein determined that her great-great-grandmother was probably killed in that town, like other elderly people, rather than transported by the Nazis to the Treblinka extermination camp.

She is still looking for information about other family members.

Shein has also embarked on another project, one that will help others -- strangers -- find clues about what happened to their loved ones in the Holocaust.

"I just think that it's really important to keep the memory of these people who died alive. I've heard stories so many times where they said, 'We had survivors who are our relatives, and they just didn't want to talk about it. We just don't know what happened.' "

Shein is one of more than 2,100 volunteers around the world who have signed on to the World Memory Project, a joint effort by the U.S. Holocaust Memorial Museum and Ancestry.com, a family research website, to create the world's largest online searchable database of records related to victims of the Holocaust.

It's a massive undertaking: The museum has more than 170 million documents about victims of Nazi persecution, including Nazi concentration camp records and transport lists, records created by Jewish communities and U.S. government documents about people displaced by the war who later emigrated to the United States.

The project, which began in May, recruits volunteers like Shein to put names and other key words from the documents into an online database, which is then searchable by anyone in the world. The first data sets became searchable this month.

Once people locate information online about family members, they can request copies of the full documents from the museum. The service is free and will remain so permanently.

Volunteers have added more than 765,000 records to the database in the six months since the project began, and the number goes up everyday. Compare that with the process before the project's launch, when a museum intern indexed the records and managed to complete about 1,000 records a month.

Speed is a key part of the World Memory Project.

"Clearly, we're in a race against time to help survivors find out what happened to their loved ones before it's too late," said Lisa Yavnai, director of the project.

It allows survivors and family members who are unable to travel to the museum in Washington to access the information from the comfort of their own homes, said Quinton Atkinson, director of Ancestry.com's content acquisition. And for anyone who wants to contribute to the project, they can do so from anywhere in the world.

"You can do it at 2 o'clock in the morning in your pajamas," Atkinson explained, just by going to worldmemoryproject.org and following the steps to download the software, which was developed by Ancestry.com. No special skills are required, no computer or language expertise, he said.

To ensure accuracy, two volunteers index each document. Their work is reviewed by a third, more experienced arbitrator, who resolves any discrepancies.

Both Atkinson and Yavnai describe the response to the project as overwhelming. Volunteers include those as young as 12, with help from their parents, as well as some Holocaust survivors who are in their 70s and 80s.

"This project is about restoring the identities of the victims, the people who the Nazis tried to erase. They -- the Nazis -- gave them numbers, and we are giving them back their names, and the public can help us do this," Yavnai said.

@highlight

More than 2,100 volunteers around the world have signed on to the World Memory Project

@highlight

Project is world's largest online searchable database of records related to Holocaust victims

@highlight

Volunteers have added more than 765,000 records to the database in six months

@highlight

Nazis gave them numbers, and project gives them back their names, director says