Beijing (CNN) -- A prominent Uyghur scholar labeled a separatist by Chinese authorities may have been tried in secret and received a heavy prison sentence, his lawyer told CNN on June 18.

Ilham Tohti, an economics professor at Beijing's Minzu University, was detained by police in January and taken to Urumqi, capital of the restive far-western Xinjiang region, where a spate of recent violent incidents were blamed by the government on Uyghur separatists seeking to establish an independent state.

State media has reported that Tohti was charged with separatism. Li Fangping, his lawyer, cited anonymous sources for the news of his client's secret trial and sentencing.

"I'm shocked but don't think these are groundless rumors," said Li, who has not been allowed to see Tohti for months. "Considering the tense situation in Xinjiang, I think this is very possible."

Li said local police would neither confirm nor deny the news to him. CNN's repeated phone calls Wednesday to the Xinjiang government and police went unanswered. The foreign ministry declined to comment on the case Tuesday.

Vocal critic

Tohti is known for his research on Uyghur-Han relations and has been a vocal critic of the government's ethnic policies in Xinjiang, a resource-rich region long inhabited by the Turkic-speaking, largely Muslim Uyghurs. The arrival of waves of Han, China's predominant ethnic group, over the past decades has fueled ethnic tensions.

Human rights groups call Tohti's possible secret trial "disturbing."

"Secret trials of prominent activists are very rare these days in China -- one would expect at least a show trial with the presence of his lawyer," said Maya Wang, a Hong Kong-based researcher for Human Rights Watch.

"Tohti has long considered himself speaking out for Uyghurs' human rights in ways that are reasonable and acceptable to the authorities," she added. "If harsh measures are being used against him, it really shows the authorities' line of tolerance has shifted a lot in the past year."

Widespread discrimination

Some Uyghurs have expressed resentment toward the Han majority in recent years over what they describe as harsh treatment from Chinese security forces and loss of economic opportunities to Han people in Xinjiang.

Amnesty International has said that Uyghurs face widespread discrimination in employment, housing and educational opportunities, as well as curtailed religious freedom and political marginalization. Other critics, including exiled Uyghur activists, have attributed the rise of violence in Xinjiang to Beijing's increasingly repressive rule there -- a claim the government strongly denies.

In the region's deadliest violent incident in recent history, a suicide bombing last month killed 39 people at a street market in Urumqi. Another apparent suicide bombing left three dead in April at an Urumqi train station. In March, 29 people were stabbed to death by alleged Uyghur separatists at a train station in the southwestern city of Kunming.

The Chinese government has responded by launching a massive anti-terrorism campaign as well as pouring more economic resources into Xinjiang.

Executions

On Monday, China executed 13 people convicted of terrorism charges related to attacks on public places in Xinjiang in recent months, state media reported. The same day, a court in Urumqi sentenced three people to death for their roles in a deadly attack in Beijing's Tiananmen Square last October. Defendant names revealed by state media all sounded Uyghur.

"Repression plus economic incentives -- that has continued to be the government response," said Wang, of Human Rights Watch. "Economic development and job opportunities are important to the Uyghurs, but these things must be done in a way that respects their culture and freedom of expression.

"Unfortunately, the government is more interested in projecting what it wishes to do in Xinjiang rather than looking at what the real problems and ethnic grievances are in the region."

@highlight

Beijing-based scholar and critic of China's policies in Xinjiang may have had a secret trial, lawyer says

@highlight

Ilham Tohti, who belongs to the Uyghur ethnic group, was arrested in January

@highlight

Chinese state media has reported that Tohti was charged with separatism

@highlight

China has launched a massive anti-terrorism campaign in the western region