Washington (CNN) -- The abortion issue is far from settled. It's just as contentious today as it has ever been in the United States.

Wednesday's 41st anniversary of the landmark Supreme Court case, Roe v. Wade, which upheld legalized abortion before about 24 weeks, ignited the polarized, emotional battle.

What's happening?

In sum, the Pope tweeted, thousands gathered, politicians pontificated.

Anti-abortion activists have a bigger megaphone as it has come to remember the day they say the unborn lost their rights.

Thousands of anti-abortion activists convened on the National Mall in the annual "March for Life" rally that drew buses of activists. This year they braved the snow that fell Tuesday and below freezing temperatures that followed.

Pope Francis showed his solidarity, tweeting "I join the March for Life in Washington with my prayers. May God help us respect all life, especially the most vulnerable."

Politicians sent releases, including Sen. Ted Cruz. "Every human life is a precious gift from God, and our law should protect innocent human life," the Texas Republican said.

What's changed?

In the abortion debate, each side tries to out maneuver the other. But the game is becoming more intense, complicated and consuming.

Opinion: Why progressives should be pro-life

Both sides are working at the local, state and federal level to pass laws. Obviously the anti-choice advocates want laws that restrict access to abortion while pro-choice proponents are working for measures that increase access to abortion care and options.

Both sides are focusing on the court system, too, working to place judges that have a tremendous amount of clout in shutting down or allowing abortion-related laws.

Who's winning?

The answer is not so cut and dry, but last year was a big year for anti-choice advocates. Even the president of one of the largest women's rights groups admitted that the anti-choice side made some inroads.

"Things are in a crisis," Ilyse Hogue, president of NARAL Pro-Choice America, said. "The number of bills that have moved in the state legislature are definitely concerning."

According to the group, 24 states adopted 53 anti-choice measures in 2013, including one in North Dakota that outlaws abortion as early as six weeks of gestation. Effectively outlawing abortion as many women don't know they are pregnant at six weeks.

On the flip side, 10 states have adopted only 16 pro-choice measures, mostly involving access to care and contraception.

What's Congress doing about it?

Not much. But efforts are in motion.

After Republicans gained the majority in the House in 2010, they have been working to roll back access to abortion. Republican lawmakers launched a comprehensive attack on Planned Parenthood, women's health clinics that provide abortion services, working to cut their federal funding.

The Affordable Care Act, also known as Obamacare, caused major debates over abortion as opponents said it allows federal funding to be used for abortion services or providers who offer them. Supporters disagree as Democrats agreed to tighten language.

The House passed the "Pain-Capable Unborn Child Protection Act" that restricts abortions at 20 weeks, citing evidence that fetus feel pain at that time. But the measure is stalled in the Senate and President Barack Obama has vowed to veto it should it reach his desk.

Obama to visit Pope Francis in March

Does politics have anything to do with it?

Everything.

While it won't make a campaign, it can surely break it.

The Republican National Committee, which is holding its annual conference this week, put its events on hold and encouraged members to attend the "March for Life" rally.

Abortion is a key topic of this year's meeting as a coalition of RNC members are introducing a resolution that encourages Republican candidates to "support Republican pro-life candidates who fight back against Democratic deceptive 'war on women' rhetoric by pointing out the extreme positions on abortion held by Democratic opponents."

First on CNN: GOP urges candidates to stand ground on abortion

It spurred Texas gubernatorial candidate Wendy Davis' campaign. The issue launched her to political notoriety after she mounted a filibuster in the Texas legislature opposing restrictive abortion measures. But since she launched her candidacy, she's had to talk about a lot more than the abortion.

Democrats are willing to highlight the issue when it frames Republican positions on abortion as extreme.

"Last year, the GOP said they needed to reach out to women, but instead they've decided their plan is to spend more time fighting to restrict the rights of women to make their own health care choices," Democratic National Committee chairman Debbie Wasserman Schultz said in a statement.

Rarely do candidates run on the issue and win.

But the issue can doom candidates who make controversial remarks. In 2012, Missouri Senate hopeful Todd Akin's campaign took a nose dive after the Republican, who opposes abortion in all circumstances, made incendiary remarks.

Democrats have worked to optimize Republican stances on abortion. They say the Republicans have launched a "war on women" and pounded the issue in campaign ads and stump speeches.

Do people care?

Yes and no.

While it's a topic that evokes strong opinions, it's unlikely that people will pick a candidate solely on the issue.

According to a May CNN poll, 25% of people thought abortion should be legal in all circumstances compared to 20% thought it should be legal in no situation.

A Gallup Poll released last week found that respondents thought abortion was one of the least important issues that the government address. It came in 17 out of 19 topics.

What's next?

The Supreme Court is hearing three cases involving the issue, including McCullen v. Coakley, which challenges the buffer zone law in Massachusetts that creates a safe space around reproductive health care facilities.

And there's also the Hobby Lobby case, which will be heard this spring. The chain store has asked the court to exempt it from providing contraception and "abortion-inducing drug" health coverage to their workers, which is required under the Affordable Care Act.

And lawmakers will continue the battle around the country.

@highlight

This week is the 41st anniversary of the landmark Roe v. Wade Supreme Court decision

@highlight

The abortion issue is just as contentious as it was in 1973

@highlight

The Pope tweeted his sentiments as thousands of pro-life marchers rallied in Washington

@highlight

Abortion remains a hot-button political issue at the federal and state levels