(CNN) -- On December 21, 2012, our calendar will align with the Maya date 13.0.0.0.0, completing a great Maya cycle of time.

There's been a lot of hoopla that we are about to face a doomsday -- better known as the Maya apocalypse. There are television specials and panic buying of disaster supplies in Russia, a reminder of the stockpiling that took place for Y2K back in 1999.

While the Maya date will coincide with the solstice, the shortest day of the year, will it also coincide with the end of the world?

I'm no seer, but I am confident that December 22 will see the dawn.

The ancient Maya of Mexico, Guatemala, Belize and Honduras were close keepers of time. They charted every day, organizing them into 20- and 400-year periods. Using a base-20 counting system (ours is base 10) and zero, they easily calculated thousands of dates, some noting the existence of millions of years.

Why we're fascinated with the apocalypse

During the height of their civilization in the 8th century, the Maya recorded dates and deeds at dozens of city-states, from births and battles to the triumphant wrenching of trophies from enemies. Artists inscribed their signatures on painted pots and stone sculptures. Stucco inscriptions adorned monumental pyramids that crested over the rainforest canopy.

But to continue building ever grander structures, the Maya needed resources. Most of all, they needed timber to burn limestone in order to make cement. By the late 8th century, the rainforest was in retreat, fuel was scarce and recurrent drought led to desperation. Eventually, there was chronic warfare as well.

And so one of the most extraordinary civilizations came to a crushing halt. Small groups of desperate dwellers in some cities held out behind hastily thrown-up palisades. Elsewhere, foes burned enemy cities to the ground and smashed monuments, leaving them scattered across the surface to be found in recent times. Scrub jungle overtook what had been sparkling white plazas. Compact ball courts that had seen raucous competition of a team sport played like soccer went silent. Wildlife scavenged lavish furnishings for their nests and dens.

The reasons were many, and the outcome was shocking. The Maya civilization collapsed in most of its southern lowlands, leaving only abandoned pyramids in silent cities. This was the true face of apocalypse.

Did they see it coming?

Just a few years before the rot set in, Maya painters at the site of Bonampak, a small city in Chiapas, Mexico, covered the walls of a small three-room palace with extraordinary murals.

They painted more individuals -- men, mainly, but women and children, too -- than had been rendered before, numbering more than 250. They deployed more fancy pigments than had been used before, more than would ever be used again in ancient Mexico, some 47 vibrant blues, reds and yellows. The paintings reveal the social layers of courtiers and lords, musicians and dwarves, victims and their blade-wielding sacrificers. Musicians, singers and performers lined up to perform on plazas and pyramids.

None of these activities or materials was new, but what was new was the rapidly crumbling world around the Bonampak painters.

No one could change -- the paintings seem to tell us. The Maya ignored the crisis in front of them, instead dancing with great panaches of precious quetzal feathers on pyramids, as if the present would forever hold.

Now in the 21st century, perhaps we have also reached a precipice. Global warming is not just fearful thinking -- it's real. Weeks after Superstorm Sandy, scientists are now predicting the near-term and long-term effects of global warming as more dire that previously thought.

Some, perhaps like our Maya predecessors, would rather not see the writing on the walls of our flooded cities. The crises pile up in front of us, one after another, and we ignore them at our peril. Acknowledging and doing something about the problems in front of us seems hard. Give us more feathers. Build more walls. Stockpile canned goods and buy a generator.

As for December 21, rest easy. This day will pass as if it were nothing more than the Maya Y2K, the nonevent of the decade. We'll wake up on December 22, and the world will still be here.

And so will our pressing environmental challenges.

We need to make some hard decisions and resolve that we will confront our own brewing apocalypse before it's too late.

The opinions expressed in this commentary are solely those of Mary Miller.

@highlight

There are doomsday fears of Mayan apocalypse on December 21

@highlight

Mary Miller: The world will not come to an end, but we have pressing challenges

@highlight

She says the Maya ignored crisis, including depletion of natural resources

@highlight

Miller: We have to confront our own problems, such as global warming