(CNN) -- The online whistle-blower site WikiLeaks began publishing more than 250,000 diplomatic cables from U.S. embassies around the world Sunday, spawning sharp condemnation from the White House and congressional leaders.

WikiLeaks, which said its servers were under electronic attacks Sunday afternoon, said the documents represent the largest-ever disclosure of confidential information and give the world "an unprecedented insight into the U.S. government's foreign activities."

"The cables show the U.S. spying on its allies and the U.N.; turning a blind eye to corruption and human rights abuse in 'client states'; backroom deals with supposedly neutral countries; and lobbying for U.S. corporations," the site's editor-in-chief and spokesman, Julian Assange, said in a statement released Sunday evening.

"This document release reveals the contradictions between the U.S.'s public persona and what it says behind closed doors -- and shows that if citizens in a democracy want their governments to reflect their wishes, they should ask to see what's going on behind the scenes."

But White House spokesman Robert Gibbs condemned the release, warning that publishing the documents would jeopardize "our diplomats, intelligence professionals and people around the world who come to the United States for assistance in promoting democracy and open government."

"By releasing stolen and classified documents, WikiLeaks has put at risk not only the cause of human rights but also the lives and work of these individuals," Gibbs said. "We condemn in the strongest terms the unauthorized disclosure of classified documents and sensitive national security information."

U.S. Secretary of State Hillary Clinton reached out to leaders of eight countries over the weekend about the leaks, State Department spokesman P.J. Crowley said Sunday. Those countries included Germany, Saudi Arabia, Britain, France, Afghanistan and the United Arab Emirates, Crowley said.

The New York Times and four European newspapers that had received the documents in advance began publishing excerpts earlier Sunday. Many of them detail conversations on sensitive issues between American officials and leaders in the Middle East, Afghanistan and elsewhere.

The major topics in the documents include:

-- Pressure from U.S. allies in the Middle East for decisive action to neutralize Iran's nuclear program. According to one cable, King Hamad bin Isa al Khalifah of Bahrain told Gen. David Petraeus, then the top U.S. commander in the region, that the United States must curb Iran's nuclear program by whatever means necessary. "The danger of letting it go on is greater than the danger of stopping it," the king is quoted as saying. Similarly, King Abdullah of Saudi Arabia implored Washington to "cut off the head of the snake" while there was still time, according to a cable cited by the British newspaper The Guardian.

-- Conversations between Yemeni President Ali Abdullah Saleh and Petraeus about military action against al Qaeda militants in Yemen. A cable about their January meeting reports Saleh as saying: "We'll continue saying the bombs are ours, not yours." At that point, according to a cable sent by the then-U.S. ambassador in Yemen, the deputy prime minister joked "that he had just 'lied' by telling Parliament" that Yemeni forces had carried out the strikes.

-- Washington's efforts to have highly enriched uranium removed from a Pakistani research reactor. In a cable sent in May 2009, the U.S. ambassador in Islamabad said Pakistan was refusing to schedule a visit by American technical experts. The ambassador said that a Pakistani official had told her: "If the local media got word of the fuel removal, 'they certainly would portray it as the United States taking Pakistan's nuclear weapons.' "

-- Negotiations with governments over the transfer of prisoners held at Guantanamo Bay. According to The New York Times, "Slovenia was told to take a prisoner if it wanted to meet with President (Barack) Obama, while the island nation of Kiribati was offered incentives worth millions of dollars to take in a group of detainees."

-- Concern that the Chinese government was involved in global computer hacking. One cable cited by The New York Times said a Chinese contact had told the U.S. Embassy in Beijing that the Politburo had directed "the intrusion into Google's computer system" earlier this year.

WikiLeaks said the full set included 251,288 cables sent by American diplomats between the end of 1966 and February 2010. Of those, 8,017 originated from the office of the secretary of state, and more than 15,600 are classified as secret, it said in a statement announcing the release.

WikiLeaks said the documents will be released in stages "over the next few months" to allow readers to digest them.

"The subject matter of these cables is of such importance, and the geographical spread so broad, that to do otherwise would not do this material justice," it said. "We owe it to the people who entrusted us with the documents to ensure that there is time for them to be written about, commented on and discussed widely in public, something that is impossible if hundreds of thousands of documents are released at once."

Sen. John Kerry, the chairman of the Senate Foreign Relations Committee, called the disclosure "reckless."

"This is not an academic exercise about freedom of information and it is not akin to the release of the Pentagon Papers, which involved an analysis aimed at saving American lives and exposing government deception," Kerry, D-Massachusetts, said in a written statement.

"Instead, these sensitive cables contain candid assessments and analysis of ongoing matters and they should remain confidential to protect the ability of the government to conduct lawful business with the private candor that's vital to effective diplomacy," the statement said.

The documents posted include often-unfavorable commentaries on a variety of international leaders, as well as coverage of almost every major issue of recent years. The United States had warned Assangethat publishing the papers would be illegal and could endanger peoples' lives.

Rep. Peter King, the ranking Republican on the House Homeland Security Committee, on Sunday called on the Obama administration to prosecute Assange. In a letter to Attorney General Eric Holder, King said WikiLeakshas provided "material support to terrorist organizations" by releasing the documents.

"There should be no misconception that Mr. Assange passively operates a forum for others to exploit their misappropriation of classified information," King wrote. "He actively encourages and solicits the leaking of national defense information. He pursues a malicious agenda, for which he remains totally immune to the consequences of his actions."

The site said it was already under fire Sunday afternoon. In a statement posted on Twitter, WikiLeakssaid it was experiencing a distributed denial of service (DDOS) attack. That's an effort to make a website unavailable to users, normally by flooding it with requests for data.

But WikiLeaks posted information on the new documents Sunday afternoon on a site with a different web address.

The cables being detailed Sunday follow two similar releases by WikiLeaks earlier this year. In July, the site released more than 70,000 U.S. military reports from the war in Afghanistan, and nearly 400,000 more reports about operations in Iraq in October.

The site indicated last week that a new batch was coming, telling followers on Twitter that the new release would be seven times the size of the Iraq documents.

"Intense pressure over it for months," the group stated. "Keep us strong."

In addition to the Times, four European newspapers -- Britain's The Guardian, Le Monde in France, Der Spiegel in Germany and El Pais in Spain -- had prior access to WikiLeaks documents. CNN has not had advance access to the documents because it declined to sign a confidentiality agreement with the site.

Retired Brig. Gen. Mark Kimmitt, the former U.S. military spokesman in Iraq, said the documents reveal sensitive U.S. government positions and put diplomats at risk "for their candidness and their reporting."

"I think it's important for WikiLeaks and its ilk to recognize the damage that they're doing by releasing this information and be held responsible for the damage that occurs from releasing this information," said Kimmitt, who served in the State Department and as the U.S. military spokesman in Iraq during the Bush administration.

But Scott Shane, one of the authors of the Times report, said the disclosures are most notable for their "behind-the-scenes stories -- how we speak to other countries and how they speak to us."

Shane told CNN the newspaper does not believe its reporting will result in drastic consequences, and that the Times redacted some names and information in the cables after discussions with State Department.

"Our judgment was that while there certainly would be repercussions, there would be strained relations perhaps with certain countries or certain leaders, we did not think that there would be lives at stake," he said. "We did not think that there would be important intelligence operations that would be compromised by the material we're actually publishes.

The U.S. State Department's legal adviser, Harold Hongju Koh, said Saturday that his agency had had spoken with representatives from the Times, the Guardian and Der Spiegel about 250,000 documents that WikiLeaks had provided to them. Kohdescribed the distribution as the "illegal dissemination of classified documents."

CNN's Tim Lister, Elise Labott, Jill Dougherty and Tom Cohen contributed to this report.

@highlight

WikiLeaks begins an "unprecedented" release of U.S. cables

@highlight

Documents detail U.S. "backroom deals" and spying, WikiLeaks says

@highlight

Congressional leaders join White House condemnation of WikiLeaks

@highlight

WikiLeaks says it is under cyberattack, but documents are already distributed