(CNN) -- Virginia police officers can question stopped motorists about their immigration status, the state's attorney general has said, adding fuel to a contentious debate over states' immigration policies in the wake of a controversial law enacted in Arizona.

"It is my opinion that Virginia law enforcement officers, including conservation officers, may, like Arizona police officers, inquire into the immigration status of persons stopped or arrested," Attorney General Ken Cuccinelli writes in the opinion. "However, persons tasked with enforcing zoning laws lack the authority to investigate criminal violations of the law, including criminal violations of the immigration laws of the United States."

In "any legitimate police stop" -- for criminal or traffic reasons -- "law enforcement is allowed to ask about other subjects," Cuccinelli told CNN's "American Morning" on Wednesday. "And our opinion addressed the fact that they can ask about illegal immigration, immigration status, along with anything else."

Cuccinelli issued the opinion Friday at the request of Virginia Delegate Robert "Bob" Marshall, a Republican. He said he is obligated to issue such opinions when they are requested by lawmakers.

"This is an outrage, and citizens rightly want officials to do something," Marshall told CNN affiliate WDBJ-TV in a report posted on his website. "Since Congress has taken this as a primary responsibility, they are primarily delinquent on this."

Parts of Arizona's immigration law took effect last week after a federal judge blocked portions of it following a challenge from the Obama administration.

U.S. District Judge Susan Bolton issued a preliminary injunction that blocked a provision that would have required police to "make a reasonable attempt to determine the immigration status of a person stopped, detained or arrested" if the officer has a reasonable suspicion the person is in the United States illegally.

Arizona officials have said the law was enacted because the federal government has failed to adequately enforce immigration law.

Cuccinelli said Wednesday the difference between the Arizona provision and his opinion -- which does not carry the weight of law -- is that while Virginia officers have the authority to inquire about immigration status, they are not required to do so.

"We're very sensitive to now allowing for racial profiling," he said. "... The way we avoid it is, we apply the same rules to everybody. And law enforcement is expected to do that."

Asked whether his opinion means that stopped motorists must present documentation, Cuccinelli said, "Well, the first response is simply whether or not they have to answer the questions. There's not a requirement because a police officer is asking that you have documentation.

"However, it is a requirement under our federal immigration law that those who are not citizens carry evidence, meaning their papers, indicating their legal status," he said. "So if someone is not a citizen, they should have papers indicating their legal status. If they do not, they're violating federal law, and that is a criminal violation." If a police officer can determine someone is in the country illegally at the time of the stop, it provides grounds for arrest, he said.

But one advocacy organization said actions like the opinion only serve to muddy the waters on the issue.

"What we are seeing on the issue of immigration is a lot of political gamesmanship and very little in terms of solutions," said Clarissa Martinez, director of immigration and national campaigns for the National Council of La Raza, which describes itself as the largest Latino civil rights and advocacy organization in the United States.

"Given the situation in Arizona, for any state or locality to continue pushing in that direction without at least figuring out if this is going to be ruled unconstitutional or not ... I think it's irresponsible," she said.

While the issue should be addressed, "these kinds of antics are just distractions," she said. Those who are frustrated and believe the federal government hasn't done enough should pressure the government to take action "as opposed to just adding more chaos," she said.

While Virginia does not face the same situation as border states like Arizona, the attorney general said, undocumented immigrants pose a "significant problem."

Cuccinelli said the federal government presents a "bottleneck."

"They are essentially in charge of whether someone is here legally or not. And if they refuse to undertake that, there's nothing we can do as a state," he said.

If the state determines someone is in the country illegally, its options are to hold the person until the federal government retrieves them -- which is very expensive -- or let them go, he said.

He pointed to a fatal crash on Sunday, when a man believed to be under the influence of alcohol slammed head-on into a car carrying three nuns. Sister Denise Mosier was killed instantly and the other two were seriously injured. The three were a few miles from the Benedictine monastery in Bristow, Virginia, heading for their annual retreat.

The suspect, Carlos Montano, had two previous convictions for driving under the influence, as well as reckless driving, speeding and public drunkenness, according to Prince William County prosecutor Paul Ebert.

Immigration and Customs Enforcement officials confirmed Montano had twice been in their custody. Both times, he was released on his own recognizance pending deportation proceedings because he was not convicted of a violent felony. Homeland Security Secretary Janet Napolitano has ordered an immediate review of his deportation proceedings. Montano faces involuntary manslaughter charges in the crash.

"This is a serious problem," Cuccinelli said. "It threatens the safety of Virginians, and I know the problem is similar across the country. We're just taking gradual steps to address it as aggressively as we can."

When CNN's Kieran Chetry pointed out that those in the country legally or citizens also drive under the influence and cause fatal accidents, Cuccinelli replied, "Unfortunately, ICE had this person in their custody and let them go. They knew he was deportable."

Dana Schrad, executive director of the Virginia Association of Chiefs of Police, said Cuccinelli's opinion, while influential, likely won't change the way officers enforce the law, as they were never prohibited from asking about immigration status. The opinion is only an interpretation of the current law that police already operate under, she said.

"I think what this says is, 'OK, Virginia law enforcement, if you ask the question it's not against the law,'" she said. "We already knew that."

However, she said officers in general tend to take a "balanced approach" to asking such questions, lest they lose the trust of immigrants -- who are also victims of and witnesses to crimes, and whose cooperation can be beneficial. Officers in some communities may ask the question less, while others may ask every time, she said.

Ira Mehlman, spokesman for the Washington-based Federation for American Immigration Reform, said he does not believe the opinion will lead to racial profiling, because police officers use their own judgment when deciding what questions to ask and opinions to form.

For instance, if a driver lacks a license, registration or insurance when pulled over, a police officer might have reasonable suspicion to ask about immigration status, he said. "These are legitimate concerns. Police officers do have an obligation to look further when they find reasonable suspicion."

"Every law is subject to potential abuse," he said. "There are always going to be cops that go over the line." Mechanisms should be in place to discipline officers who go too far, he said, but laws cannot be thrown out because of that risk.

Cuccinelli's office pointed out in a statement that what an officer can and cannot ask in an encounter remains the same, whether the concern is an immigration violation or a bank robbery.

"The law does not distinguish between criminal violations of immigration law versus violations of any other criminal law," the statement said. "Crime is crime."

But "when a police officer has 'reasonable articulable suspicion,' the officer can briefly detain a suspect and investigate whether a crime has occurred," the statement said. "If the officer has probable cause to believe a crime has occurred, the officer can make an arrest. These scenarios are true whether the crime is bank robbery, murder, trespass or criminal violations of immigration laws. The legal framework does not change just because the crime happens to be an immigration-related crime.

"Although immigration is politically controversial, the legal principles discussed in the opinion are a matter of settled law and do not break any new legal ground."

CNN's Dugald McConnell and Brian Todd contributed to this report.

@highlight

Virginia's AG says motorists can be asked about immigration status

@highlight

Ken Cuccinelli says officers are not required to ask

@highlight

An advocacy group says such "antics" are "distractions"

@highlight

A police official says officers tend to be balanced in such inquiries