The cafe siege in the heart of Sydney ended early Tuesday with the death of the gunman and two of his hostages -- but a great deal of unanswered questions remain.

"This has been an absolutely appalling and ugly incident," Australian Prime Minister Tony Abbott said, noting that Sydney had been "touched by terrorism for the first time in more than 35 years."

Details have emerged about the two hostages who died amid the siege's chaotic final moments -- and about the man who held them and others captive.

But with police still investigating what happened during the 16 long hours of the hostage taking, here's a summary of what we know and don't know about key aspects of the story:

THE VICTIMS

What we know: Authorities have identified the two hostages who were killed: Katrina Dawson, 38, and Tori Johnson, 34. A growing number of tributes are being paid to Dawson, a lawyer, and Johnson, the manager of the cafe. Dawson, a mother of three, worked down the street from the cafe. Johnson had been employed by Lindt for more than two years.

What we don't know: How exactly they died. Unconfirmed reports in Australia media suggest both Dawson and Johnson may have been killed trying to protect others. The Australian Broadcasting Corporation reported that Johnson was trying to wrestle the gun from the hostage taker. The Courier Mail reported that Dawson was trying to defend a pregnant colleague. Police have declined to comment on the reports, saying what happened is still under investigation.

THE GUNMAN

What we know: The hostage-taker has been named as Man Haron Monis, a 50-year-old man who was born in Iran and settled in Australia. Australian Prime Minister Tony Abbott described Monis as "a deeply disturbed individual (with) a long history of crime, a long history of mental instability and infatuation with extremism." He pleaded guilty last year to writing offensive letters to the families of Australian troops. He was also facing charges of being an accessory to murder, as well as over 45 sexual and assault related offenses, according to authorities.

What we don't know: Why he wasn't being more closely monitored? Abbott summed up the questions on many people's minds Tuesday when he asked at a news conference, "How can someone who has had such a long and checkered history not be on the appropriate watch lists and how can someone like that be entirely at large in the community?" He said Australian authorities would be looking at those questions "in the days and weeks ahead."

THE MOTIVE

What we know: During the siege, Abbott said the hostage-taker "sought to cloak his actions with the symbolism of the (ISIS) death cult," referring to the terrorist group that has seized control of large areas of Iraq and Syria. According to his website and social media posts, Monis styled himself as a Muslim cleric, espousing extremist views.

After he settled in Australia, Monis "became sympathetic to what he perceived ... was the victimization of Muslims and Islamists around the world," his former lawyer Manny Conditsis told CNN. But his bigger cause, according to Conditsis, was lobbying the Australian government against sending troops to fight in wars on foreign soil like Afghanistan, where Monis said innocent women and children were being killed. Monis was "intensely conflicted and contradicted and inconsistent," Conditsis said.

What we don't know: What Monis was trying to achieve by taking hostages in the cafe. The full picture is yet to emerge of what demands he made of authorities. Australian media reported Monday that he requested an ISIS flag and a phone call with Abbott. Conditsis said that when he represented Monis last year, he "never, ever spoke of physical violence of any kind." He suggested that something might have happened in the intervening months that caused him "to become unhinged." Monis' last tweet linked to his website, with a message posted the day of his attack on the Sydney cafe: "If we stay silent towards the criminals we cannot have a peaceful society. The more you fight with crime, the more peaceful you are."

THE SIEGE

What we know: After around 16 hours of the agonizing standoff, police moved in after hearing gunfire inside the cafe, according New South Wales Police Commissioner Andrew P. Scipione. The Courier Mail reported that a technical support sniper positioned on the second floor of a building opposite the store made the call -- "Hostage down ... window two" -- that changed the course of events. Police say they believe Monis was acting alone. Besides the two people who were killed, four others were wounded by gunshots and two pregnant women were being assessed for health and welfare, police said. All of them were reported to be in stable condition.

What we don't know: What exactly happened inside the cafe. While reports of what took place are emerging in the Australian media, authorities are staying tight-lipped as investigations continue. "We're clearly speaking to those victims and we're clearly speaking to other witnesses. But this is going to take a bit of time to piece this together because a lot of those people are quite traumatized," said New South Wales Deputy Police Commissioner Catherine Burn.

THE REACTION

What we know: Australian leaders have applauded the reaction of their citizens, pointing to the large numbers of flowers being laid at the scene of the siege in tribute to the victims. "People have gone about their business and in the aftermath of the end of the siege last night, people have responded with typical Australian decency and generosity," Abbott said. Muslim leaders in Australia quickly condemned the hostage taking as "a criminal act" that has no place in Islam.

Amid fears that Australian Muslims could become the targets of retaliatory attacks, Twitter users offered to accompany Muslims wearing religious clothes on public transport as a gesture of solidarity. The social media campaign took off, with the hashtag #illridewithyou becoming the top trending hashtag globally in a few hours.  Meanwhile, the New South Wales police announced Tuesday that it was launching a three-week operation across Sydney focused on "high-visibility policing, increased presence in public places and public transport hubs."

What we don't know: What the future holds. The cafe siege has raised troubling questions about the possibility of more so-called "lone wolf" attacks. "The tragedy of these times is that there are people, even in a society such as ours, who wish to do us harm," Abbott said. "We are not immune to the politically motivated violence which has for so long stalked other countries." In recent months, Australia introduced some of the toughest anti-terrorism laws in the world and raised the national terrorism alert level.

But Abbott said that authorities can only do so much to prevent attacks without prior warning and knowledge. "Even if this individual --- this sick and disturbed individual --- had been front and centre on our watch lists, even if this individual had been monitored 24 hours a day, it's quite likely, certainly possible, that this incident could have taken place, because the level of control that would be necessary to prevent people from going about their daily life would be very, very high indeed," the Prime Minister said.

The scene in Sydney: Grenades and gunfire

@highlight

The hostages who died are identified as Katrina Dawson and Tori Johnson

@highlight

It's unclear what exactly happened in the final moments of the siege

@highlight

Authorities are trying to figure out why the gunman wasn't on terrorist watch lists

@highlight

Described as "deeply disturbed," the attacker's aims and motive remain uncertain