Tripoli, Libya (CNN) -- Libyan aircraft bombed a section of eastern Libya on Wednesday as leader Moammar Gadhafi tried to retake control of an area seized by rebel forces.

A CNN crew saw the aircraft drop two bombs near al-Brega, a town in the east with key oil and natural gas facilities.

Later, a military aircraft dropped a third bomb. People on the ground shot and threw whatever they could at the aircraft, then fled.

After one of the attacks, people carrying stretchers were seen running to the site of the bombing.

Fighting also raged on the ground, as Gadhafi's forces tried to take control of a university in al-Brega.

A doctor told CNN there were four dead and 23 wounded at his hospital in the area, all victims of gunshot wounds.

Residents of the town said the rebels maintained control of al-Brega, repelling Libyan ground forces.

Earlier Wednesday, military aircraft bombed military camps on the outskirts of the town of Ajdabiya, a tribal leader said.

The tribal leader, who did not want to be identified for safety reasons, said youths in Ajdabiya were massing and heading toward the conflict area to help defend the town, which has been in the control of rebel forces in recent days. Some military bases in eastern Libya have fallen into the hands of rebels as more members of the military have abandoned Gadhafi's regime and joined the opposition.

The bombings could support calls for the imposition of a no-fly zone over Libya to prevent such attacks. The United States has said all options are on the table. Adm. Michael Mullen, chairman of the Joint Chiefs of Staff, said imposing a no-fly zone would be "an extraordinarily complex operation."

Senator John Kerry, chairman of the Senate Foreign Relations Committee, said Wednesday that, while Libyans are not asking for foreign troops on the ground, they need "the tools to prevent the slaughter of innocents on Libyan streets, and I believe that the global community cannot be on the sidelines while airplanes are allowed to bomb and strafe. A no-fly zone is not a long-term proposition, assuming the outcome is what all desire, and I believe that we ought to be ready to implement it as necessary."

The Arab League met Wednesday to consider a resolution rejecting foreign military intervention in Libya, where protesters have been demonstrating for weeks, calling for more freedoms and for the longtime ruler to step down.

"We perceive what happened and what is happening is an internal affair that is decided by the people and their governments," the Arab League said in a statement.

As Gadhafi's forces launched their attacks, the 68-year-old leader warned that "thousands and thousands of people will be killed" if the United States or NATO "intervene in our country."

In another of his trademark, rambling speeches carried live on state television, Gadhafi continued to claim that there are no peaceful Libyan protests, only al Qaeda-backed efforts to tear the country apart. He blamed the problems on former prisoners at Guantanamo Bay, Cuba, who were released to Libya and then freed by Libyan authorities after they pledged to reform. He said they turned out to be members of al Qaeda sleeper cells -- but insisted that his country is "stopping al Qaeda from flourishing" and preventing Osama bin Laden from moving into North Africa.

Gadhafi, who has ruled Libya for more than 41 years, also denied having any assets besides "history, the people, the glory -- not the American dollars or the oil."

The speech lasted about 2-1/2 hours. He also spoke Wednesday with Venezuelan leader Hugo Chavez, according to the Venezuelan Ministry of Popular Power.

Later, several thousand people, including many young men and women, took part in a pro-Gadhafi rally in Tripoli's Green Square.

Some residents of the capital have told CNN they want to protest Gadhafi but fear being killed by his forces. And some have said Gadhafi forces have dragged residents into the streets and forced them to take part in rallies praising the leader.

A spokesman for the Libyan government, Musa Ibrahim, told CNN that assertions of widespread military attacks on peaceful demonstrators are wrong. "This is an armed rebellion, with people going around attacking police stations, army offices, getting a hold of guns and attacking," he said.

He said the government had supported the initial peaceful protests, but said al Qaeda supporters have hijacked that movement "and they are leading the country into chaos."

Asked for evidence, he said, "We have captured dozens of these people, we have figures, we have interviews, we are willing and prepared to take these people and show them on international media."

But numerous witnesses have described indiscriminate killings and attacks.

The International Criminal Court announced it is opening an investigation into Libya. "Following a preliminary examination of available information, the prosecutor has reached the conclusion that an investigation is warranted," the court said in a statement.

The court said it is focusing on what it considers "the most serious crimes of concern to the international community." No possible charges or violations were listed in the statement.

The conflict between Gadhafi's government and opponents, in its third week, followed protests in neighboring Egypt and Tunisia that ousted those countries' leaders.

International efforts to persuade him to follow the message of protesters and step down have also ratcheted up.

The U.N. General Assembly adopted a resolution Tuesday to suspend Libya from its seat on the 47-member chamber Human Rights Council. It was the first time the assembly had suspended a member of the council.

U.N. Secretary-General Ban Ki-moon told the General Assembly that he welcomed the decision and urged the international community to investigate allegations of human rights violations in Libya. "The world has spoken with one voice," he said. "We demand an immediate end to the violence toward civilians and full respect for their fundamental human rights, including those of peaceful assembly and free speech."

He added that reports from the ground "are sobering," with deaths and ongoing repression.

"Arms depots and arsenals have reportedly been opened to gangs who terrorize communities. There are reports that government forces have fired indiscriminately on peaceful protesters and bombed the military bases in the east of the country," Ban said.

"The death toll from nearly two weeks of violence is unknown, but likely to exceed 1,000," with thousands more wounded, he added, using the same fatality figure he had used Friday.

Libya's ambassador to the United States estimated Monday that the death toll was about 2,000.

Saif al-Islam Gadhafi, the leader's 38-year-old son who has spoken on behalf of the regime during the protests, told CNN Tuesday that his talks with the opposition were in "chaos" because the opposition is divided, with no clear leaders.

U.S. officials made similar comments about the opposition. A U.S. official who wanted to remain anonymous because the official was not authorized to speak on the record said it is "unclear who the leaders in the opposition are and that makes it difficult" for the United States to provide assistance.

The capital city of Tripoli remained under the control of Gadhafi's rule, though opposition forces have taken control of the eastern city of Benghazi and a number of other cities.

The U.N. refugee agency reported that nearly 150,000 people had crossed Libya's borders into Egypt and Tunisia, and thousands more were arriving hourly at the borders.

Ban called for immediate action by the international community. "Time is of the essence," he said. "Thousands of lives are at stake."

CNN's Ben Wedeman, Salma Abdelaziz, Arwa Damon, Nic Robertson, Ivan Watson, Eve Bower, Jim Boulden, Frederik Pleitgen, Richard Roth, Jack Maddox, Whitney Hurst and Antonia Mortensen contributed to this report

@highlight

A pro-Gadhafi rally takes place in Tripoli's Green Square

@highlight

The Libyan military drops three bombs over al-Brega area

@highlight

An Arab League statement rejects foreign intervention

@highlight

International Criminal Court opens a Libya probe