(CNN) -- Nelson Mandela: Two decades before he became the first president of a democratic South Africa, Mandela was sentenced to life imprisonment in June 1974. Jailed on charges of treason and sabotage -- but fundamentally for his anti-apartheid activities -- he spent nearly 27 years in various prisons. During that time, his mother and son died, and his wife, Winnie Madikizela-Mandela (now his ex-wife), faced continual arrests and harassment, according to his official biography.

Twenty years ago today, Mandela was released from what was known as Victor Verster Prison, near Cape Town. He was awarded the Nobel Peace Prize in 1993 and was elected president in April 1994. He will turn 92 in July. Today, although frail, he celebrated his February 11, 1990, prison release with South Africa's parliament and with millions of people all over the world. Mandela once said, "To be free is not merely to cast off one's chains, but to live in a way that respects and enhances the freedom of others."

CNN: South Africa 20 years after Mandela release

Nelson Mandela Foundation: Biography

Ayatollah Ali Khamenei: Iran's Supreme leader said on Monday that his country will deliver a "punch" that will stun the world during the 31st anniversary of the Islamic revolution today. Khamenei told a meeting of air force personnel, "The Iranian nation, with its unity and God's grace, will punch the arrogance [Western powers] on the 22nd of Bahman [February 11] in a way that will leave them stunned."

Today is the anniversary of the day when revolutionary leader Ayatollah Ruhollah Khomeini toppled the U.S.-backed government of the shah, who fled Iran. This key date in Iran's history comes amid protests by the opposition after last year's disputed presidential election, won by incumbent Mahmoud Ahmadinejad.

The so-called Green Movement has been protesting for social justice, freedom and democracy in demonstrations throughout the country since the June polls -- using slogans that are often identical to those heard during the 1979 Islamic revolution. Many of the recent demonstrations became violent and bloody. Two leading Iranian opposition leaders have called on supporters to protest today, the day of the anniversary.

Ayatollah Ali Khamenei has been Iran's supreme leader for more than 20 years. As a young cleric, his political activism led to many arrests and torture by the shah's secret police -- the same shah who was supported by the United States and Great Britain.

CNN: Iran marks revolution anniversary amid ongoing dissent

Christian Science Monitor: Iran's supreme leader

Nicholas George: The 22-year-old senior at Pomona College in California was detained at an airport last August, handcuffed and then jailed for several hours in a holding cell. George passed through a screening checkpoint at the Philadelphia, Pennsylvania, airport with a set of Arabic-English flashcards and a book critical of American foreign policy. Also, George's passport had been stamped in Jordan, where he had studied for a semester, and in Sudan and Egypt, where he'd gone backpacking.

A Transportation Security Administration supervisor arrived and allegedly questioned George aggressively, asking him how he felt about 9/11, whether he knew "who did 9/11," and whether he knew what language Osama bin Laden spoke.

In a lawsuit filed Wednesday, the American Civil Liberties Union and the ACLU of Pennsylvania charge that the TSA officials, the Philadelphia police and the FBI violated George's Fourth Amendment right to be free from unreasonable seizure and his First Amendment right to free speech.

George told CNN he no longer flies with his flashcards and reading material. He said he's learning Arabic in hopes of one day helping the U.S. government. In September, Dave Davies in the Philadelphia Daily News reported that among the 200 flashcards were words like "terrorist" and "explosion." George told the newspaper last year, "I didn't have a weapon or anything seditious, just words on paper. As an American citizen, I think I'm allowed to learn a foreign language and have flashcards."

Philadelphia Daily News: Student traveler handcuffed

ACLU: George v. TSA - Complaint for damages

CNN: Passenger detained with Arabic flashcards sues

Ken Bourland: On January 12, from his room at the Hotel Montana near Port-au-Prince, Haiti, U.S. Air Force Maj. Ken Bourland sent an e-mail to his wife, Peggy, telling her that he was fine and had just settled in for what was going to be an exciting time taking a disaster preparedness course. It was 4:51 p.m. Less than 10 minutes later, an earthquake leveled much of the Haitian capital, including the Hotel Montana.

Peggy Bourland, at home in Florida, saw the news on TV, popped her laptop open and fired off an e-mail: "Please tell me you're OK." No response. Yesterday, CNN received a copy of a message from Air Force Gen. Douglas M. Fraser to his troops, announcing that Bourland's body was found on Monday in the rubble of the Hotel Montana. He reported that Bourland's remains were transferred to Dover Air Force Base, Delaware, and met by his wife, family members and fellow service members.

Gen. Fraser wrote, "Many of you knew Ken through his outstanding work as a Caribbean Desk Officer. All of us who worked with Ken regarded him as the consummate Air Force professional, who could always be counted upon for the toughest assignment, as well as a caring teammate who went out of his way to help others and build cohesion amongst his peers." The Bourlands had two sons and a stepson and their fifth wedding anniversary would have been in March.

CNN: E-mail from Haiti, then minutes later, a nightmare

Jaimee Grubbs: The 23-year-old Los Angeles, California, cocktail waitress, whose post-Thanksgiving voice mail to Tiger Woods helped lead to the unraveling of the golf great's pristine public image, gave an exclusive interview to Los Angeles TV station KTLA.

She did not deny that her relationship with Woods lasted for nearly three years. She explained that after the car crash incident outside of Woods' home, she left him a voice mail out of concern, but didn't "think it through" when she released it to US Weekly magazine.

She said all of the subsequent attention has been tough. "I don't like to show my emotions. I just do it when nobody's around, so my friends all think I'm solid rock, a strong person. But there are times when I get up in the morning, get in the shower, then sit there on the shower floor and cry for 30 minutes."

KTLA: Grubbs sets the record straight

What makes a person intriguing?

There are people who enter the news cycle every day because their actions or decisions are new, important or different. Others are in the news because they are the ones those decisions affect. And there are a number of people who are so famous or controversial that anything they say or do becomes news.

Some of these people do what we expect of them: They run for office, pass legislation, start a business, get hired or fired, commit a crime, make an arrest, get in accidents, hit a home run, overthrow a government, fight wars, sue an opponent, put out fires, prepare for hurricanes and cavort with people other than their spouses. They do make news, but the action is usually more important than who is involved in the story.

But every day, there are a number of people who become fascinating to us -- by virtue of their character, how they reached their decision, how they behaved under pressure or because of the remarkable circumstances surrounding the event they are involved in.

They arouse our curiosity. We hear about them and want to know more. What they have done or said stimulates conversations across the country. At times, there is even a mystery about them. What they have done may be unique, heroic, cowardly or ghastly, but they capture our imaginations. We want to know what makes them tick, why they believe what they do, and why they did what they did. They intrigue us.

@highlight

20 years ago today, Nelson Mandela was released from prison

@highlight

Iran's supreme leader says a "punch" will be delivered during revolution anniversary

@highlight

Jaimee Grubbs says she didn't think through releasing Tiger Woods' voice mail