Manila, Philippines (CNN)Weighing in on last week's terror in France and the debate over freedom of expression it stirred, Pope Francis said en route to the Philippines that killing "in the name of God" is wrong, but it is also wrong to "provoke" people by belittling their religion.

The Pope stressed that there was no justification for the killing of 17 people in three separate incidents, including a massacre in and around the offices of satirical magazine Charlie Hebdo. The assailants were reportedly Islamist extremists, some of whom called out "Allahu akbar," which is Arabic for "God is great," as they singled out the magazine, French authorities and Jewish people.

"One cannot make war (or) kill in the name of one's own religion," Francis said on his way to the Philippines. "... To kill in the name of God is an aberration."

Still, even as he decried the violence and generally spoke in support of freedom of expression, the pontiff said that such freedom must have its limits.

He didn't mention Charlie Hebdo specifically, or its cartoon depictions of Mohammed, something that many Muslims find offensive. A previous cartoon was one reason the Paris magazine was targeted, and it didn't back down afterward, with its post-attack cover showing Mohammed again, this time crying and holding a sign with the rallying cry "Je suis Charlie," French for "I am Charlie."

Still, even without talking about the magazine by name, the Pope prefaced his remarks by saying, "let's go to Paris, let's speak clearly." He then referred to recent violence there, as well as the debate about freedom of expression.

Francis said on his flight from Colombo, Sri Lanka, to Manila that everyone had not only the liberty, but also the obligation, "to say what he thinks to help the common good."

But he added that this should be done without giving offense, because human dignity should be respected.

If a friend "says a swear word against my mother, then a punch awaits him," Francis said. Vatican Radio reported that he then "gestured with a pretend punch" directed at the friend, Alberto Gasbarri -- an action that many journalists interpreted as a joke. Vatican spokesman Thomas Rosica later told CNN the remark was "spoken colloquially," adding the Pope wasn't advocating violence or in any way justifying the terror attacks.

Right after the punch gesture, Francis said, "It's normal, it's normal.

"One cannot provoke, one cannot insult other people's faith, one cannot make fun of faith."

Later, Francis arrived in the Philippines, Asia's most Catholic nation and one hungry for his arrival.

Everything from the country's supreme court to backstreet businesses have closed down, but the streets have come alive.

People have been pouring into the capital from all over the country to greet the head of the Catholic Church as he starts his five-day visit.

On street corners, in malls, on public transport, it's impossible not to feel the presence of the Pope.

Giant billboards with an official red and blue "Pope logo" adorn many of Manila's buildings, while curbside vendors sell images of his smiling face on everything from stamps and towels to fans and key chains.

Filipinos have been granted a national holiday for the visit, the coast guard has declared a no-sail zone within a mile of Manila Bay, many of the capital's main roads will be closed, and Manila's airport has limited its operations.

An estimated 40,000 security personnel will be deployed to keep the Pope safe during his time in Manila and Leyte, where he will celebrate Mass in Tacloban, a city still coming to terms with the devastation caused by Typhoon Haiyan a year ago.

Pope Francis' visit is being billed as one of "mercy and compassion." But in a country where a conservative church has fought strongly against legislation allowing government distribution of birth control, as well as the legalization of divorce, some Filipinos hope this pontiff's more open-minded approach might lead to change.

READ MORE: Cardinal: Pope says visit not about him

Young people, such as John Laureta, a 24-year-old student who is traveling six hours to see the Pope in the capital, says he's the kind of leader in the church that the young need. "He's approachable, listens and answers questions, explains and does not ignore questions that are controversial," he said.

Ginelle Peterson, also 24, agreed. "Since he is not so black-and-white, it makes us think, 'I want to hear more of what he has to say about this,'" she said.

Indeed, for many people in the Philippines, having a head of church with these qualities is welcome.

Anthony J. Vizmanos, 25, was asked to leave his home when he came out as gay to his "deeply religious" parents. He said he still prays, goes to church and receives sacraments but has been driven away by what he calls irony in the church's teachings.

"The church says it's OK to be gay as long as you don't engage in homosexual acts. But if you say you accept us for being gay, then why are you stopping us from acting gay? We are not plants that photosynthesize. We need love and affection, too."

Vizmanos, who went to Catholic schools for most of his life, told CNN, "I no longer join Catholic community groups. I practice what I know and believe instead of what they are telling me to believe."

One woman, who described herself as a "modern" Catholic but preferred to remain anonymous, said the Vatican hierarchy needs to be revamped.

"The Pope is introducing changes that the ancient church needs to keep in step with the 21st century. There are too many antiquated, irrelevant rules that turn off the youth. This Pope is a breath of fresh air."

The church's staunch position on artificial birth control -- that it's a sin and will relax moral standards -- is an example. "A woman should have the right to decide what form to use to prevent unwanted pregnancies," she added. "Birth control is not abortion!"

Vizmanos says he feels the church in the Philippines is less tolerant than the Pope and hopes its clergy will become more moderate after his visit.

"A priest near my home says in each homily that gay people are condemned to damnation," he said. "I hope the Pope can shed some humility to people like him. The church here is too rooted in their causes, whereas the Pope is more accepting."

One of the most divisive issues in the Philippines in recent years is a controversial bill that addresses birth control.

The Reproductive Health Bill, which allows the government to distribute and educate the public about artificial birth control, finally passed last year after a 14-year battle, but the fight with the church and more conservative elements in the Philippines over its implementation continues today.

READ MORE: A 14-year fight for birth control

Christine Gomez, 48, who works for a women's youth organization, does not believe in divorce or birth control.

"Of course we have problems, but introducing these things will not solve them. It's better to educate people in virtues like chastity or fortitude -- learning to face difficulties without giving up easily."

Although media have widely reported the Pope making what could be considered more liberal comments about controversial issues such as birth control, homosexuality and divorce -- which is illegal here -- he has not actually made any changes to church policy.

Father Catalino Arevalo, a prominent Filipino theologian, says Pope Francis has just started changing how he handles his people.

"He just said that you should openly discuss these things; let everybody have the chance to talk. But then, when the discussion is over, he and his advisers will make a decision, but the decisions have not been made."

Catholics like Ginelle Peterson hope that the Pope's progressive approach may one day lead to the right to divorce. But Teodoro Bacani Jr., bishop emeritus of Novaliches, says divorce -- which critics say will ruin the family, a cornerstone of Filipino life and faith -- is something that will never be allowed.

READ MORE: The fight to make divorce legal

"I don't think the Pope will even hint to Filipino bishops and say: 'Hey guys, soften up on this, will you?' Because this would not be in accord with the Catholic spirit and teachings. I am sure he will never agree to gay marriage either," he said.

Peterson says he believes it's about trust and being open to different interpretations.

"Don't you trust your people enough to give them a choice? If I was solid in my faith and didn't believe in divorce, then I would not do it," she said.

"You can't define a family from the dictionary. Does that mean if you grew up with just a father that it's not family? That you were not taken care of, or protected or loved?"

Cardinal Tagle: Pope Francis says Philippines visit 'not about him'

CNN's Greg Botelho wrote from Atlanta, and Sunshine Lichauco de Leon reported from the Philippines. CNN's Jason Hanna and Larry Register contributed to this report.

@highlight

Francis: It's wrong to make fun of others' faith; decries violence done in God's name

@highlight

He makes remarks en route to Manila for a five-day visit -- his first tour of Asia