(CNN) -- It was a quiet Sunday morning in Johannesburg and I was photographing people who were registering to vote. It was my third day in South Africa and I was wondering if I'd made a mistake, hopping on a plane and flying for over 20 hours to document a struggle that I had made my struggle since I was 10 years old, growing up in Detroit.

Then the serenity of the scene was pierced by a thunderous noise and a succession of pops that I thought were gunshots. I ran for cover behind an open van door.

I looked up and realized that a bomb had exploded.

I paused in fear, then touched the small cross that my grandmother had placed on me before I left the States, clutched my camera tightly and ran towards the bomb -- as if I'd been doing that all my life.

On that Sunday morning, the struggles for freedom in South Africa became all too real to me.

As an only child raised by a single mother in the inner city of Detroit, I was fascinated with South Africa, her racial divide and her struggles. I was in middle school when I first really understood what apartheid in South Africa meant. Black children, just like me, being beaten and segregated by the ruling government.

The cruelty. The injustice. It just wasn't fair.

So, I couldn't imagine that years later I'd be standing next to and ultimately spend significant time with the hero of that struggle, Nelson Mandela.

As a photojournalist, I've had the privilege of covering Mandela nearly a half dozen times over the past two-and-a-half decades. I was there when he was elected in 1994. And when he was inaugurated a few days later. I watched as he raised his hand and took the oath, rising from prisoner to president. I was with him for his retirement in 1999 and his 90th birthday celebration at his tribal home in Qunu in 2008.

Related: 91 world leaders head to South Africa to honor titan

There will never be another like Nelson Mandela. I'm so grateful to have met and briefly gotten to know him through my lens.

I first covered Mandela in 1990 right after his release from prison, when he visited Detroit where he was honored and received his UAW union card at the Ford factory. He was honored for his work with and support for organized labor.

On his visit I was at once touched by how amazingly pleasant he was after having been imprisoned for 27 years. There wasn't even a hint of the bitterness or anger.

His calmness puzzled me. I understood clearly that he had struggled through great oppression, but how could he have emerged so at peace? How could anyone endure such pain and forgive his enemies?

It was 1997, three years after I witnessed Mandela become President of South Africa. I had decided to attend Bill Clinton's presidential inauguration, but wasn't sure what angle I was going to take. While journalists and everyone else were obviously there for Clinton, I found out "Madiba" -- a term of endearment for Mandela -- was going to be there.

I said to myself, "That's who I'm interested in."

As I wrestled through the logistics and security, I was told by someone at the door, "Not only will you not get a photograph of him, you won't be able to get in a room with him." In a moment of self-doubt, I believed that.

Then I remembered his own struggle, what he went through. In that moment I determined I would not -- I COULD NOT -- be deterred.

Well, I not only got in a room with Mandela -- thanks to the encouragement of a man named Floyd who worked in Rep. John Conyers' office -- I photographed him and was able to talk with him. After I was initially turned away, it was Floyd who told me that I could do anything I set my mind to. I have always been believed that you have to act like you belong, so with that in my mind and the extra encouragement, I managed to talk my way into the room. I explained to President Mandela that I had been selected to be in the motorcade when he was in Detroit a few years earlier, and that I was honored then, as now, to photograph him.

I don't remember what he said, His lips moved but I probably couldn't hear him over the loud beating of my heart. I do remember he smiled. That smile.

Although my heart was fluttering, I was able to stand right in front of Nelson Mandela as he smiled and patiently waited for me to take the picture. I didn't just photograph him; he graciously let me take pictures with him.

The last time I photographed Mandela was at his home in Qunu, for his 90th birthday celebration. During the party, there was a special moment for me when I just waved at him and he smiled at me. I couldn't believe it. The way he smiled, I was in awe. He was so gracious, so down to earth, so real, that there was no logical reason for me to feel awestruck.

Nelson Mandela comes into the world only once. He was someone who not only wanted peace, but lived his life full of love, so much so he was able to forgive his enemies and strive for unity.

When you were in his presence, he gifted you with his genuine smile and strong spirit; he generated a sense of calm serenity. It was as if he knew something the rest of us did not, and clearly, he did.

In my eye -- and in my lens -- his is the standard for leadership based in love.

I look at things differently because of him. The experience of being exposed to Nelson Mandela has made this little girl from Detroit grow into an unapologetic, world-travelled woman, inspired to remain fearless in the face of adversity.

Madiba changed my life, my world and how I see it. Forever.

The opinions expressed in this commentary are solely those of Monica Morgan.

@highlight

Monica Morgan first photographed Nelson Mandela during his visit to the U.S. in 1990

@highlight

She was first introduced to the injustices of South Africa as a child in Detroit

@highlight

Morgan: 'There will never be another like Nelson Mandela'