(CNN)Iraqi forces appear to be slowly closing in on an important tactical victory against ISIS. But as they press forward in their attempt to retake the city of Tikrit from ISIS insurgents, there is an important question that the United States and its allies should be asking: Could this victory actually undermine the only sustainable strategy for ensuring Iraq's stability?

The reality is that short-term tactical victories won't be enough to defeat ISIS, especially as the reliance on Iran-backed Shiite militias is only likely to exacerbate tensions with the largely local Sunni population. Indeed, the crucial ground war component of the campaign has so far been heavily reliant on the Shiite militias, whose track record of sectarian violence is well-documented, and their involvement threatens to drive more Iraqi Sunnis into the arms of ISIS.

Gen. Martin Dempsey, chairman of the Joint Chiefs of Staff, has said the involvement of these groups "will only be a problem if it results in sectarianism." But based on past experience, many locals are understandably more frightened by their designated "liberators" than they are of the vicious extremists of ISIS who have ruled their towns over the past eight months.

Historically, Iraq hasn't always needed Shiite militias under Iran's command to fight Sunni extremists. Al Qaeda was expelled from northern Iraq in 2007, when its harsh rule antagonized tribal leaders that had supported the anti-U.S. insurgency, prompting them to make common cause with the Americans in what became known as the "Awakening" movement.

Unfortunately, once its goal had been achieved, Baghdad rounded on the Awakening, betraying promises of integration into the national army and polity and instead arresting and killing its leaders along with trusted Sunni elected representatives. The United States looked the other way, deeming it a "domestic" political matter. That simply emboldened then-Prime Minister Nuri al-Maliki to deepen his purge of Sunni elected representatives, and to parlay the 2010 election result into a governing coalition despite his own list drawing fewer votes than a rival bloc that included many Sunni leaders.

This undermined the work that the United States had done in persuading Iraq's Sunnis that fighting al Qaeda and voting in elections was the best way to advance their communal interests. Put simply, al-Maliki's actions made a mockery of any Sunni confidence in the electoral system or the national government. It was the resulting Sunni alienation that allowed al Qaeda's successor, ISIS, back into those communities.

The growing fear among many Sunnis has been compounded by Prime Minister Haider al-Abadi's statement to parliament that any Iraqi choosing to stay neutral was effectively aligning themselves with ISIS -- remarks that create an atmosphere that enables violence against ordinary Sunnis, many of whom feel caught between the extremists and a Shiite-led government from which they have been systematically oppressed and alienated.

And ISIS has undoubtedly capitalized on the permissive environment created by such alienation, which persists despite the Obama administration having convinced itself that al-Abadi would somehow prove to be more inclusive than his predecessors from the same Shiite Islamist party.

All this suggests that the "Awakening" experience, which showed that Iraqi Sunnis will reject violent extremists if they believe they will get a fair shake from the system for doing so, is as vital as ever to the prospects of defeating ISIS. But the outcome must be different from the last Awakening. Sunnis willing to fight ISIS should be given control over their own affairs in northern Iraq in the way that Kurdish aspirations have been accommodated. The alternative, of relying on sectarian forces to drive out the extremists, is more likely to ensure their return than to prevent it.

Getting to a new political order in Iraq that offers the prospect of sustainable stability and progress will require compromise, not only among Iraqis but also among the regional sponsors of its contending factions -- Iraq has become a key battleground in the regional struggle between camps led by Iran and the Saudis. Creating a political order capable of stabilizing Iraq will require a new security "grand bargain" negotiated between the key stakeholders.

Short-term tactical victories won't defeat ISIS, and militia involvement will more likely strengthen its appeal.

The reality is that ultimately, only a political deal that guarantees Iraqi Sunnis' inclusion, equality and protection -- one that is implemented by Iran and its allied Iraqi militia -- can resolve the ISIS problem. And unless all of the key stakeholders are willing to negotiate a new way of living together, Iraq is likely to remain a battleground where the United States finds itself inadvertently reinforcing the problem.

@highlight

Iraqi forces have been involved in an offensive to retake Tikrit

@highlight

Rula Jebreal: Short-term tactical victories won't be enough to defeat ISIS