Seoul, South Korea (CNN) -- Hours after North Korea's deadly artillery attacks Tuesday, South Korea's president said "enormous retaliation" is needed to stop Pyongyang's incitement, but international diplomats urgently appealed for restraint.

"The provocation this time can be regarded as an invasion of South Korean territory," President Lee Myung-bak said at the headquarters of the Joint Chiefs of Staff here, according to South Korea's Yonhap news agency.

The incident -- in which two South Korean marines died -- is "the first direct artillery attack on South Korean territory since the Korean War ended in an armistice" in 1953, Yonhap reported.

Read more CNN coverage on North Korea

In addition to the slain marines, 15 South Korean soldiers and three civilians were wounded when North Korea fired about 100 rounds of artillery at Yeonpyeong Island in the Yellow Sea, South Korean authorities said. Hundreds of island residents boarded boats and fled to safety, as the attack also set houses and forests on fire.

Some U.S. forces had been helping the South Koreans in a military training exercises, but were not in the shelled area.

South Korea's military responded with more than 80 rounds of artillery and deployed fighter jets, defense officials said.

Firing between the two sides lasted for about an hour in the Yellow Sea, a longstanding flash point between the two Koreas. In March, a South Korean warship, the Cheonan, was sunk in the area with the loss of 46 lives in a suspected North Korean torpedo attack.

The United States has about 28,500 troops deployed in South Korea. A U.S. defense official said more than 50 U.S. Navy vessels are in the area, including a carrier strike group led by the USS George Washington.

U.S. President Barack Obama defended South Korea.

"South Korea is our ally. It has been since the Korean War and we strongly affirm our commitment to defend South Korea as part of that alliance," he told ABC News.

In response to a question on whether he would consider sending U.S. warships to the region or putting troops on alert, Obama said: "I'm not going to speculate on military actions at this point. I want to consult with President Lee."

Later Tuesday, the White House released a statement saying that Obama called Lee to express his support.

"The two presidents agreed to hold combined military exercises and enhanced training in the days ahead to continue the close security cooperation between our two countries, and to underscore the strength of our alliance and commitment to peace and security in the region," the statement said.

South Korea's Lee said "indiscriminate attacks on civilians are a grave matter." He said that, since "North Korea maintains an offensive posture," South Korea's military forces -- the army, air force and navy -- "should unite and retaliate against [the North's] provocation with multiple-fold firepower."

"Reckless attacks on South Korean civilians are not tolerable, especially when South Korea is providing North Korea with humanitarian aid," Lee said, according to Yonhap.

After the incident, Yonhap said the Seoul government "banned its nationals from entering the communist state, indefinitely postponed scheduled Red Cross talks and began looking at ways to push the United Nations to condemn Pyongyang."

South Korea also suspended promised flood aid to North Korea, Yonhap reported, citing an unnamed official.

North Korea said the incident stemmed from South Korean maritime military exercises, code named Hoguk, and called the exercises "war maneuvers for a war of aggression."

The "South Korean puppet group" engaged in "reckless military provocation" by firing "dozens of shells" inside its territorial waters "despite the repeated warnings of the DPRK" or Democratic People's Republic of Korea, the North's military said in a statement.

"The revolutionary armed forces of the DPRK standing guard over the inviolable territorial waters of the country took such a decisive military step as reacting to the military provocation of the puppet group with a prompt powerful physical strike," the statement said.

"It is a traditional mode of counter-action of the army of the DPRK to counter the firing of the provocateurs with merciless strikes," said the statement, which warned that it "will unhesitatingly continue taking merciless military counter-actions against it" if the border is crossed.

A senior U.S. defense official said South Korea had informed North Korea prior to the training mission, and that "there's no reason North Korea should have been surprised by this firing of artillery."

Stephen Bosworth, the U.S. special envoy on North Korea, told reporters both sides should exercise restraint. He was in Beijing to discuss nuclear matters with Chinese diplomats.

"The U.S. strongly condemns this aggression on the part of North Korea, and we stand firmly with our allies," he said. "The subject did, of course, come up in my meetings with the Chinese Ministry of Foreign Affairs. I think we both share the view that such conflict is very undesirable. I expressed to them the desire that restraint be exercised on all sides, and I think we agree on that."

"We call on all members of the international community to condemn the DPRK's acts and to make clear that they expect the DPRK to cease all provocations and implement its denuclearization commitments," Bosworth told reporters in Beijing on Wednesday.

The incident comes a few days after a U.S. scientist reported that North Korea has built a new uranium enrichment facility. North Korean officials said the facility is producing low-enriched uranium, said Siegfried Hecker, co-director of the Center for International Security and Cooperation at Stanford University.

The enrichment facility contains 2,000 centrifuges and appears to be designed for nuclear power production, "not to boost North Korea's military capability," Hecker said.

But U.S. and South Korean diplomats said the revelation confirms the country's long-term deceit.

Sanctions have been progressively placed on North Korea in response to a succession of nuclear and missile tests and the sinking of the South Korean warship in March.

The United States said it would not dismiss restarting six-party talks aimed at denuclearizing the North. However, it said it would not return to negotiations unless North Korea showed good faith.

Countries that had been negotiating with North Korea over its nuclear program issued swift reactions. The six-party talks include both Koreas, the United States, Russia, Japan and China.

The United States "strongly" condemned North Korea's action, and a U.S. Defense Department official told CNN that the "hope is that this is just one isolated incident, not an escalation into a different military posture" by the North.

U.S. Defense Secretary Robert Gates called South Korean Defense Minister Kim Tae-young Tuesday morning.

"Secretary Gates told Minister Kim the United States strongly condemns the attack by North Korea, views it as a violation of the armistice agreement and assured him that we are committed to South Korea's defense," said Pentagon spokesman Geoff Morrell in a statement.

"The Secretary and the Minister agreed their departments should consult closely and coordinate on any response to this act of aggression by the North," he added.

U.S. Rep. John Boehner, the House Republican leader who's in line to become the next speaker, said he joined Obama in condemning North Korea's "hostile action."

State Department Deputy Spokesman Mark Toner said the United States would work with its partners in the six-party talks "to take a deliberate, slow approach to responding to this latest provocation."

He wouldn't respond to criticism that the current policy is a failure, or at the very least, not working well.

"It's hard; it's another setback," he said. "I think that everybody involved is stunned by North Korea's provocative actions."

Chinese Foreign Ministry spokesman Hong Lei said China had "taken note of relevant reports" and expressed its "concern." "Relevant facts need to be verified, and we hope both parties make more contributions to the stability of the peninsula," he said.

A U.S. official with knowledge of U.S. strategy on North Korea says it may be time to adjust U.S. military policy in the region.

While the exercises "are designed to deter further provocative behavior by North Korea, obviously it's not working," the official said. "When we announced joint military exercises in the Yellow Sea, it only angered China. And in other waters, it doesn't seem to be effective deterrence against the North Koreans."

Scott Snyder, director of the Center for U.S.-Korea Policy, the Asia Foundation, called the act a "very serious provocation."

"It also signals dissatisfaction with the inter-Korean relationship and an apparent willingness to keep inter-Korean tensions high. The incident could reflect a more aggressive view of what a nuclear North Korea thinks it can do without facing a broader escalation of tensions."

Journalist Andrew Salmon and CNN's Steven Jiang, Yoko Wakatsuki and Joe Sterling contributed to this report.

@highlight

NEW: South Korea, U.S. agree to joint exercises

@highlight

President Obama, U.S. Rep. Boehner condemn North Korean action

@highlight

Two South Korean marines were killed; 15 civilians and soldiers hurt

@highlight

Pyongyang calls South's military drills "reckless military provocation"