(CNN)It's got what many believe is the greatest club football team ever assembled -- FC Barcelona.

Not to mention one of the planet's greatest collections of art -- at the Prado museum in Madrid.

Then there's the food, which we've suggested is among the greatest cuisine in the world right now.

What makes Spain such a cultural powerhouse?

Size doesn't hurt. It's Western Europe's second-largest country (after France) in terms of area, and the world's third-largest exporter of wine, fruits and vegetables.

But it's the incredible diversity of its people and passions that holds the key to understanding Spain's eternal appeal.

More on CNN: "Anthony Bourdain: Parts Unknown" season two

1. There are many Spains

During the grim decades of the fascist Francisco Franco's rule, regional languages such as Basque, Catalan and Galician were banned in Spain.

On the dictator's death in 1975, a new, ultra-liberal constitution broke up Castilian centralism by handing over sweeping autonomy to the 17 regions.

The result was a reinvigorated sense of regional pride that had a ripple effect on every form of culture.

That's why street signs and menus sometimes come in unfamiliar dialects and languages such as Gallego (Galicia), which closely resembles Portuguese; Bable (Asturias); Catalan in Catalonia, the Balearics and Valencia; and Basque (possibly Europe's oldest language), which remains an unfathomable mystery of x's, k's and z's.

2. Bulls are a unifying force

Despite the diversity, Spain has at least one common thread: bulls.

The bull is Spain's iconic animal, and you won't miss seeing at least one -- alive, dead or fake.

They famously thunder through the streets of Pamplona each July and snort and kick round the bull rings of Madrid, Seville and countless smaller towns.

They also appear on hilltops beside motorways and in a decades-old advertisement for Osborne sherry.

Many a stuffed bull's head watches over a bar interior, where aficionados might be glued to a televised bullfight and later scan a review of the fight in the arts, not sports, section of the newspaper.

There are areas of resistance to what some see as a barbaric event.

The popularity of the bloody contest is waning among the younger generation, and Catalonia has now banned the sport completely.

3. Spaniards don't eat when you normally do

Lunch is from 2 p.m. onward, and dinner comes after 10 p.m.

If you're hungry in between or can't reset your body clock, there's help -- tapas and pintxo bars (pintxo is the Basque equivalent of tapas) open around midday and again around 7 p.m.

In some bars, a snack still comes free with a glass of beer, sherry or wine, but some places now charge.

San Sebastian is Spain's gourmet capital, not only for top restaurants but also pintxo bars.

You can make a meal on exquisite miniature dishes and glasses of txakoli (a lightly sparkling dry white wine), Rioja or cider.

4. There's coastline beyond the Costa del Sol

On the Costa del Sol, tales of rampant overpricing and badly designed hotels conflict with the glam, moneyed image of Marbella.

The eastern Mediterranean coast is better known for low-cost tourism.

But there are still unspoiled beaches where development and commercialism are largely absent.

One of Spain's rare volcanic regions, Cabo de Gata is a protected area in the southeast, where black-sand beaches sit beneath Arab watchtowers, monumental rocks and cactus-studded hills.

In the southwest, the sandy beaches south of Cadiz are superb for windsurfing.

In the north, attractive coves and fishing harbors edge the Bay of Biscay.

5. It snows in the olive groves

Andalucia isn't all shorts and T-shirts.

In winter, snows falls at higher elevations, sometimes bringing a surreal vision of olive groves blanketed in white.

The peninsula's highest mountain range, the Sierra Nevada is almost permanently snow-capped, creating the perfect scenic backdrop to the Alhambra, the famed Moorish fortress and palace.

In spring, wildflowers colonize the slopes, while in the valleys the last olives are harvested.

More on CNN: Best of Madrid

6. Life is just a series of fiestas

Frenetic music, food, booze, dance and dressing up make saints' festivals a highlight of the year in Spain, even in the tiniest of villages.

The quirky Spanish imagination -- Pedro Almodovar's movies exemplify it, as do Salvador Dalí's paintings -- gives birth to the parade of grotesque papier mache figures in Valencia's Las Fallas festival and the giant annual tomato fight in the town of Bunol.

Seekers of peace and quiet might want to avoid Hellin, in Castile-La Mancha, when 10,000 drummers play for several days.

Those of a nervous disposition might steer clear of Ribarteme, in Galicia, when survivors of near-death experiences parade through the tiny village in open-top coffins.

When wild horses are corralled in Sabucedo, wine flows all night during La Rioja's grape harvest or flamenco singers carouse into the early hours during Seville's Feria de Abril, you know you can only be in Spain.

7. Under many a church lurks a mosque

Bell towers crowning Spain's churches and cathedrals may appear Catholic, but if you look closely you might discern the form of a minaret, especially in places such as Seville and Cordoba.

Iberia's convoluted history brought a succession of invaders and religions, meaning many places of worship were rebuilt using the stones and structures of their predecessors.

Roman temples lie deep below, later overlaid by churches, then Islamic mosques and, finally, after the total reconquest of the peninsula in 1492, Christian churches again.

The ultimate symbol is Cordoba's eighth-century Mezquita-Catedral, one of the largest mosques in the world, with a cathedral parachuted into its heart.

8.  Easter is more important than Christmas

Easter week (Semana Santa) is easily more important than Christmas in Spain.

The whole country shuts down for four days from Holy Thursday at 1 p.m., a rare example of punctuality.

Day and night, swaying processions of impassioned penitents in tall hoods and flowing robes advance to a hypnotic drumbeat, carrying crucifixes and weighty life-size statues of agonizing Christ figures and weeping virgins on pasos (floats), while flickering torchlight adds to the electric atmosphere.

Andalucian pageants are more animated, with stirring saetas -- spontaneous wails of passion.

In the north, although the pattern of parish brotherhoods is similar, the atmosphere is more solemn.

9. There are many layers of ham

Ham scams have become so widespread in Spain that recent legislation introduced new definitions for ham quality.

Jamon is a gastro-passion throughout Spain, inspiring fierce rivalry between producers.

The most velvety, expensive and sought after variety is jamon Iberico de bellota, from acorn-fed, indigenous black pigs reared in four specific regions: the Sierra de Huelva mountains, in western Andalucia; Extremadura; Guijuelo, near Salamanca, and Los Pedroches, north of Cordoba.

At the bottom of the table is jamon serrano, produced industrially from white pigs yet still palatable.

10.  Catalonia may not be part of Spain much longer

Catalans speak another language, have their own flag, are fanatical about cured sausages, nurtured the showman-chef Ferran Adria (of late el Bulli), build acrobatic people-pyramids and, traditionally, dance rather slowly.

They're gunning for independence from Spain, with a referendum in the cards for 2014.

What they're good at is architecture, art and food -- elements that combine with dazzling grace in Barcelona.

11. You can stay in monasteries -- without taking vows

Back in 1928, the Spanish government decided to rescue its crumbling monuments by converting them into grand hotels, or paradors.

These castles, monasteries or palaces in atmospheric old towns or tranquil rural spots soon acquired conquistador-style interiors and a faithful clientele -- there are now 93 throughout the country.

The pick of the bunch may be the Hostal dos Reis Catolicos, in Santiago de Compostela -- it started life in 1499 as a hostel-turned-hospital for exhausted and sick pilgrims after their 500-mile walk from the Pyrenees.

The pilgrims' goal was the spectacular cathedral next door, allegedly home to the relics of St. James.

Beware of loud clanging bells.

Fiona Dunlop is the author of "New Tapas," "Real Tapas" and "National Geographic Spain." She blogs at fionadunlop.com.

@highlight

People typically don't eat dinner in Spain until after 10 p.m.

@highlight

It's hard to keep up with all the fiestas throughout the country

@highlight

Spain has at least one common thread: bulls

@highlight

Catalans yearn for independence from Spain