(CNN) -- Massive Hurricane Irene, packing 115 mph winds and laden with moisture, aimed late Thursday for the U.S. East Coast, where it is expected to spawn widespread damage and flooding from North Carolina to New England.

A hurricane warning was issued for coastal North Carolina from Little River Inlet north to the Virginia border, including the Pamlico, Albemarle and Currituck sounds, the National Hurricane Center said.

Category 3 Irene was turning and moving northward from the Bahamas. It will parallel the Florida, Georgia and South Carolina coasts Friday as it approaches a Saturday landfall in North Carolina. Tens of millions could be affected by its fury.

Officials in counties and cities along much of the East Coast ordered evacuations.

Amtrak and major U.S. airlines began canceling routes and flights or putting them on a watch list. American Airlines canceled 126 flights Thursday, mostly out of Miami and the Bahamas, an airline spokesman said. Airlines are expected to cancel more flights Friday.

Sunday's dedication of the Martin Luther King Jr. National Memorial in Washington was postponed until at least next month, officials announced Thursday night. Pro sports teams juggled their schedules while colleges from Virginia to New Hampshire closed their campuses or delayed dormitory move-ins.

"Everybody should take this very seriously," said North Carolina Gov. Beverly Perdue, who declared a state of emergency in counties east of Interstate 95. "Everyone is telling us this is a big deal for North Carolina."

Hurricane Irene is expected to bear down on the North Carolina Outer Banks on Saturday, bristling with 110 mph winds. Irene will threaten metropolitan areas as it hugs the coast on Sunday and prepares for a possible second landfall in the Northeast, according to CNN meteorologist Dave Hennen.

"Extremely dangerous storm surge will raise water levels by as much as 5 to 10 feet above ground level within the hurricane warning area, including the Albemarle and Pamlico sounds," the hurricane center said. "The surge will be accompanied by large, destructive and life-threatening waves."

A hurricane warning is issued 36 hours in advance of tropical storm-force winds. A hurricane has sustained winds of 74 mph or higher.

A hurricane watch was issued from the Virginia-North Carolina border north to Sandy Hook, New Jersey, including Delaware Bay and the Chesapeake Bay south of Smith Point. "Significant" storm surge flooding was possible within the watch area. Hurricane watches, issued 48 hours in advance of tropical storm-force winds, indicate hurricane conditions are possible.

A tropical storm warning, which indicates sustained winds of 39 to 73 mph are possible in the next 36 hours, was in effect for the coast of South Carolina from Edisto Beach northward to Little River Inlet.

Rainfall amounts of 6 to 10 inches, with isolated maximums of 15 inches, were expected over portions of eastern North Carolina and in the Mid-Atlantic states along the path.

Although the possibility of Irene growing to Category 4 was no longer in the Hurricane Center's forecast report, CNN meteorologists Sean Morris and Chad Myers said it is still a possibility.

Six other governors declared states of emergency as Irene threatened to wreak havoc along the Eastern Seaboard.

Delaware Gov. Jack Markell, Connecticut Gov. Dannel Malloy, New York Gov. Andrew Cuomo, Virginia Gov. Bob McDonnell, New Jersey Gov. Chris Christie and Maryland Gov. Martin O'Malley declared emergencies for their states. The requested emergency declarations allow states to free funds and prepare resources that may be needed. President Barack Obama signed North Carolina's request later Thursday.

"We hope that the storm doesn't hit, but we have to do everything in our power to be prepared," said Malloy, who expects Irene to be a Category 1 hurricane when it reaches the region.

Markell ordered all visitors to leave coastal areas in Delaware and urged residents to take shelter inland.

If Irene continues along its current track, "from a flooding perspective, this could be a hundred-year event," Christie said.  He encouraged voluntary evacuations to begin immediately. "Anybody who is on a barrier island should go," he said.

As of 11 p.m. ET Thursday, the Category 3 storm had moved away from Abaco Island in the Bahamas, the National Hurricane Center said. Hurricane and tropical storm conditions were subsiding over the northwestern Bahamas.

Cat, San Salvador and Long islands "took direct hits," said Gayle Outten-Moncur of Bahamas' National Emergency Management Agency. "There has been bad flooding in some areas."

By Thursday afternoon, no deaths or injuries had been reported in the island chain. Officials reported widespread power outages, impassable roads, downed trees and flooding in some spots. Still, they expected tourists to return by the weekend.

In the United States, many people were quick to move out of the storm's path.

"I didn't really want to take my chances," said Janeen Wall, who left her vacation spot in Carolina Beach, North Carolina, to make it back to Richmond, Virginia. "Also, if I waited for an evacuation order, I would have to share the road with more than a few thousand other folks trying to leave at the same time."

A mandatory evacuation order was in effect for residents and visitors in Hyde County, North Carolina, which includes Ocracoke Island, reachable only by boat or private plane, on the Outer Banks.

Clayton Gaskill was one of about 100 Ocracoke residents still around Thursday night. In between playing progressive rock songs on community radio WOVV-FM, he talked about residents making final preparations. "You pick up stuff that will float."

Nearby Dare County, which includes Manteo, Nags Head, Duck and historic Kitty Hawk, had an evacuation order for tourists only. Carteret County also issued a mandatory evacuation order for visitors in part of the county. On Friday, there will be a mandatory evacuation for all residents of Bogue Banks, said county spokesman Rodney Cates. Currituck County said all residents must leave by 8 a.m. Friday.

Pamlico County, North Carolina, Sheriff Bill Sawyer Jr. told CNN he talked with many fishermen and others who have been pulling their boats from the water and taking other precautions, adding "when they're concerned, it's something really to be concerned about."

Ocean City, Maryland, Mayor Richard Meehan announced a mandatory evacuation beginning at midnight, CNN affiliate WUSA reported. Atlantic City, New Jersey, set a 6 a.m. Friday mandatory evacuation.

Owners as far north as Maine scrambled to have their boats moved out of harm's way. CNN affiliate WCSH said Port Harbor Marine in South Portland was trying to move 100 boats a day through Saturday.

"Hopefully it won't be too big of a storm, but it's nothing to fool with," said Steve Theberge of Lewiston, whose boat was hoisted Thursday. "You've got to pay attention. And if you have an opportunity to get the boat out of the water, it's the best way."

The cone of uncertainty -- the area that could be affected by Irene depending on what path it follows over the next several days -- includes much of the Northeast. Even if the hurricane does not make landfall, heavy rain could trigger flooding.

"The biggest concern is getting people to pay attention and make sure they are ready," Federal Emergency Management Agency Administrator Craig Fugate said in an interview with CNN. Residents should have the necessary supplies and an evacuation plan ready, he said.

The storm could weaken as it works its way up the U.S. East Coast in the coming days. "As it gets closer to the Northeast, it will run into the cooler Labrador Current, and that -- along with some more wind shear -- should allow Irene to lose some strength," said HLN meteorologist Bob Van Dillen.

The U.S. Navy is sending 27 ships based in Norfolk, Virginia, out to sea to ride out Irene, a senior Navy official told CNN.  An aircraft carrier is among them.  Another 28 ships will seek more sheltered areas. Three submarines were heading out to sea as well.

New York Mayor Michael Bloomberg said vulnerable patients in possibly affected hospitals, nursing homes and senior homes must be moved by 8 p.m. ET Friday.

South Carolina state officials have decided not to order evacuations but urged boaters and swimmers to stay out of the water.

The last major hurricane to strike the United States was Wilma in 2005, which was a Category 3 at landfall in southwest Florida, Jeras said.

CNN's Josh Levs, Ed Payne, Melanie Whitley, Phil Gast, Catherine E. Schoichet, Joe Sutton, Greg Botelho, Chris Boyette, Paul Corson, Eden Pontz, Laura Batchelor, Barbara Starr and John Fricke contributed to this report.

@highlight

NEW: Hurricane begins turn toward the north, U.S.

@highlight

The King memorial dedication in Washington is postponed

@highlight

Hurricane warnings and watches issued in the United States

@highlight

The Bahamas reports damage but expects tourists to return quickly