(CNN) -- A drug that presents a new way to knock out cancer cells was approved Friday to treat patients with a certain type of late-stage metastatic breast cancer.

The drug, referred to as T-DM1 during clinical research, will now be known by the brand name Kadcyla, the Food and Drug Administration said in its approval announcement. It's a new therapy for women with HER2-positive breast cancer.

Kadcyla is a combination of the targeted drug trastuzumab -- better known by the brand name Herceptin -- and a powerful chemotherapy drug called DM1. It's designed to work when Herceptin alone can no longer keep cancer in check.

DM1 is too toxic to deliver directly into a patient's bloodstream, like other chemotherapy drugs. The Herceptin part of the new drug homes in on cancer cells, sparing other healthy cells, and delivers DM1 into the cell.

"Kadcyla delivers the drug to the cancer site to shrink the tumor, slow disease progression and prolong survival," said Dr. Richard Pazdur, director of the Office of Hematology and Oncology Products in the FDA's Center for Drug Evaluation and Research, in a statement. The drug is the fourth approved to target the HER2 protein.

Genentech, the company that developed the drug, is working to get it to patients "imminently," said spokesman Susan Willson. "As soon as humanly possible, but within two weeks at the outside."

Kadcyla will cost about $9,800 monthly, which Willson said is "similar to the cost of other treatment regimens in this line of therapy." The estimated cost of a course of Kadcyla -- 9Â½ months -- is about $94,000.

But "we want to ensure that people who are eligible for this medicine have access to it," Willson said. Genentech plans to initiate patient assistance programs for the drug to help those who might not be able to afford it; those without health insurance or those who have reached the lifetime limit set by their insurance companies may qualify to receive Kadcyla for free.

Experimental drug offers new way to battle certain breast cancer

Breast cancer is the second leading cause of cancer-related deaths among women, according to the National Cancer Institute and the U.S. Centers for Disease Control and Prevention.

HER2 is a protein involved in normal cell growth. It's found in increased amounts on some types of cancer cells. In HER2-positive breast cancers, the increased amount of the protein contributes to cancer call growth and survival. Nearly 20% of breast cancers have increased amounts of HER2.

Researchers announced the results of a large three-year clinical trial of Kadcyla in June, saying they were optimistic about it. One significant benefit, according to lead study author Dr. Kimberly Blackwell of Duke University, is the lack of significant side effects and a better quality of life for patients on the drug.

Patients participating in the trial, she said, were the first group for whom officials worried about fixing their hair for media interviews.

It's important to note, however, that Kadcyla is not the same as Herceptin and could cause serious side effects including liver problems and heart problems such as congestive heart failure or even death. It also can cause life-threatening birth defects, meaning pregnant women should not take it.

The FDA's approval of the drug comes with the requirement that the prescribing information comes with a boxed warning alerting patients about the possibility of these side effects.

However, the potential risks may be acceptable to women who have no other options, said Dr. Len Lichtenfeld, deputy chief medical officer for the American Cancer Society.

Kadcyla, known as an "antibody-drug conjugate," represents "a completely new way" to treat HER2 positive metastatic breast cancer, said Dr. Hal Barron, chief medical officer and head of global product development for Genentech.

An antibody-drug conjugate is described by the company as "a new kind of targeted medicine that can attach to certain types of cells and deliver chemotherapy directly to them."

"We currently have more than 25 antibody-drug conjugates in our pipeline and hope this promising approach will help us deliver more medicines to fight other cancers in the future," Barron said in a statement.

CNN's Miriam Falco contributed to this report.

@highlight

The drug, Kadcyla, presents a new way to knock out cancer cells

@highlight

It's meant for some patients with a certain type of metastatic breast cancer

@highlight

The drug should be available to patients within two weeks