Washington (CNN) -- Sexual assault incidents within the Veterans Affairs system are not being reported up the chain, a new government audit released Tuesday found.

The Government Accountability Office (GAO), the investigative arm of Congress, reported that of nearly 300 sexual assault incidents reported to VA Police from January 2007 through July 2010, "many" were not reported to VA leadership officials and the VA Inspector General's Office.

The GAO report uses the term sexual assault incident to refer to "suspected, alleged, attempted, or confirmed cases of sexual assault."

The 284 cases of sexual assault included rape, inappropriate touching, forceful medical examinations, forced or inappropriate oral sex, and other types of sexual assault incidents.

"When I first read this report, I was aghast," said Rep. Jeff Miller, chairman of the House Committee on Veterans Affairs. "It reminded me of a 1950s prison system -- lawlessness, lack of security and reporting, and outright disregard for human dignity."

The House committee has scheduled a hearing on the matter for Monday.

The GAO says the VA agreed with most of its findings.

Nearly two-thirds of the 67 rape allegations in VA facilities were not reported to the VA Inspector General's Office, as required by VA regulation, according to the report.

Both men and women were victims of the assaults. The victims and attackers ranged from employees to patients to those without affiliation to the VA.

"Not all sexual assault incidents reported to VA Police are substantiated," the GAO report said, citing reasons such as an assault did not actually take place, the victim chose not to pursue the case or there was insufficient evidence to substantiate the case.

The investigators say underreporting is due to a lack of guidance on what constitutes a sexual assault, unclear expectations on what incidents should be reported and insufficient oversight by the Veterans Health Administration (VHA), which oversees VA health facilities.

The VHA does not have a system to track and trend sexual assaults over time, according to the report, and therefore "cannot identify and make changes to serious problems that jeopardize the safety of veterans in their medical facilities."

The report also found that the VA has not taken the proper precautions to prevent sexual assaults in its medical facilities. Among the findings: Investigators report "poor monitoring of surveillance cameras, alarm system malfunctions, and the failure of alarms to alert both VA police and clinical staff when triggered." Officials at many of the locations the GAO visited said the VA Police were also understaffed.

"Patient and employee safety and security are paramount at the VA," said VA press secretary Josh Taylor. "We take all allegations seriously and investigate them thoroughly."

The VA says it's in process of reviewing the GAO's recommendations and taking steps to improve reporting of allegations and to provide more secure facilities.

"The bottom line is that we have a responsibility to protect those veterans in our care, as they have protected our nation, and we will continue to strengthen our facilities to ensure that our veterans receive high-quality medical care in safe, secure facilities," Taylor said.

The investigation was launched at the request of the House Veterans Affairs Committee due to changing demographics of patients treated by the VA.

The VA has developed initiatives to attract specific veteran populations to use its services, including women, young veterans from Iraq and Afghanistan, and veterans facing legal issues or those already incarcerated, the report said.

The VA operates the largest integrated health care system in the country, with 153 hospitals and about 700 community-based clinics.

@highlight

GAO report says many incidents not properly handled

@highlight

Understaffing, fuzzy expectations, poor oversight are blamed

@highlight

House committee chairman says report left him "aghast"

@highlight

House to hold hearing Monday