Imagine: you are sitting with friends, one day in the distant future, in a space-age house, while robot servants cook dinner, fold laundry and mow the lawn.

Inevitably the question arises: "What was your first robot?"

For many -- 10 million, in fact -- the answer will be Roomba. The mini vacuum cleaning robot, launched in 2002, has become an everyday fixture in homes across the world -- earning pet-names from affectionate owners and a unique place among the internet's viral cat videos.

Colin Angle, who co-founded manufacturers iRobot in 1990 with fellow MIT alums Rodney Brooks and Helen Greiner, hails Roomba as "the world's first practical home robot." The company is now hoping to infiltrate the boardroom with its wandering "AVA" telepresence robot, and the battlefield with its line of defense machines.

Angle sat down with CNN's Nick Glass to talk about making the sci-fi world of robots a reality.

CNN: What got you into robotics?

Angle: I had grown up with Hollywood concepts of robots, and the labs that Dr Brooks and I worked in were focused on trying to make it real.

In fact, our first business model was to send a robot to the moon and sell the movie rights. We actually got quite far. It didn't ultimately succeed but it did get us going, and the Spirit and Opportunity rovers were impacted by the work we'd done. It was very cool but not a great business.

How did you go against the movies' concepts of robots?

Hollywood likes to imagine robots as mechanical copies of ourselves -- which is a terrible idea.

What did everyone think robot vacuuming was going to be? Well, they think Rosie the Robot from "The Jetsons," a human robot that pushed a vacuum. That was never going to happen.

We know that robot vacuuming was top-of-mind in how robots were going to help our lives. Our challenge was that we knew how to make the intelligence inexpensive -- but we didn't know how to vacuum.

How did you learn to make Roomba?

We entered the toy industry: we partnered with Hasbro building robot baby dolls and robot dinosaurs. They taught us how to manufacture very complicated electric mechanical things at a low price.

We partnered with Johnson Wax, the guys that make the industrial cleaning machines, and we built giant robot cleaning machines.

We were also building robots for the Pentagon to clear minefields. Using that intelligence technology actually gave us the algorithms which Roomba uses to make sure [your home] is thoroughly vacuumed.

How did you name your machine?

Naming is something not necessarily best left to an engineering organization.

We had a contest inside iRobot to figure out what we should name the robot and the best we brilliant engineers could come up with was the "Cyber Suck."

What's the future?

If you think about what robots are supposed to do in our future, we're just about half of the way there. They can vacuum, they can scrub your floors -- but what about my laundry? What about all these other things that robots are supposed to do?

What's the next big need? Well, I think it has to do with extending independent living: allowing our ageing demographic to live independently in their homes for longer.

What will the robot home of the future look like?

You may have a menagerie of robots that move around and do things: you may want a robot to bring you a beverage. You're not going to talk to your vacuum cleaning robot: in fact you may never see your vacuum cleaning robot because ideally you come home every day and your floors are freshly vacuumed.

You may have this robot whose mission in life is to interact with you: it can be a security guard, it can be a robot that a doctor could beam-in and control... [to] see your daughter who has scraped her knee.

There's this human interface robot which ultimately will be at the epicenter of this robot enabled home.

Watch the video above for more from Colin Angle about iRobot.

@highlight

Roomba creators iRobot reveal how they learned from robotic experiments

@highlight

The algorithm that powers Roomba's movements was developed for clearing minefields

@highlight

Co-founder Colin Angle says iRobot originally planned to go to the moon

@highlight

The future: a "menagerie of robots" -- some friendly, some invisible...