(CNN) -- As a reporter, I spent much of 1998 following a U.S. Senate candidate who was a handsome, likeable, well-spoken, ambitious guy in his 40s who was a graduate of Craig High School in Janesville, Wisconsin, his hometown.

At heart, he loved issues and advocacy. He was the son of a small-town lawyer and his rise to political heights included surprising turns that led some to speculate he could go on to be president.

His name was Russ Feingold, and he won his second term in the U.S. Senate that year by defeating another Janesville political wonk in his 40s, Mark Neumann, a Republican who gave up his seat in the House of Representatives to enter the race. He was, without question, a Wisconsin liberal.

'Gen Xer' Paul Ryan takes up GOP torch, makes case to young voters

Wednesday night, I listened to the acceptance speech of the Republican candidate for vice president given by a handsome, likeable, well-spoken, ambitious guy in his 40s who was a graduate of Craig High School in Janesville, Wisconsin, his hometown. He is the son of a small-town lawyer, he loves issues and advocacy, and his rise to political heights has included surprising turns leading to speculation he could go on to be president.

He was, without question, a Wisconsin conservative. His name, of course, is Paul Ryan. (If I was really prescient, I would have been following Ryan, then 28, in 1998. He seized upon Neumann's decision to run for Senate as his chance to run for the House. He has held that seat since, and he has ridden his talents to national influence.)

As I watched Ryan on Tuesday night, I found myself with two questions on my mind: What is it with guys in their 40s from Janesville?

More importantly, with so many similar traits and so many parallels in their personal stories, what do Ryan, Feingold, and their sharply differing views tell us about politics in my now-so-heavily-spotlighted home state of Wisconsin -- and what does that say to the nation?

Three thoughts:

First, Janesville is a pleasant, smaller city about 35 miles south of Madison with a strong history of taking its politics very seriously but keeping things civil. It is rightfully proud of its current prominence. It is a place where people such as Ryan and Feingold are raised to have a commitment to the public good and to involvement in issues. I wish there were more such places and more such people.

Second, image and substance. The pleasant personalities of both Feingold and Ryan have been big assets in their political careers. We live in a marketing world, and you have to be a marketable person to be a successful candidate. Both Ryan and Feingold fit the bill.

Opinion: How did Paul Ryan do?

But ultimately, each is known for the serious stuff. Each is a person of political substance. I'd like to think that ideas and principles still matter and both of these Janesville guys have shown that it does. Wisconsinites, for decades, have respected that.

Feingold received scorn when he was the lone member of the Senate to vote against the Patriot Act in the aftermath of the September 11 attacks, but it played pretty well in Wisconsin. Ryan has made his mark as the ideas guy for Republicans in Congress, the guy who has been more than willing to take on issues such as Medicare and the federal debt. We need to have adult conversations about these issues, as he sometimes puts it. That has played fairly well in Wisconsin also.

If many national political commentators have said that the addition of Ryan to the Republican ticket means this will be an election in which heavy-duty policy issues get more debate, I think that, too, will look good in the eyes of many Wisconsinites, whatever their own partisanship. What's bad if the debate is about serious issues and not the trivial things that take up so much attention in major campaigns?

Third, what does this have to do with who is going to win? Ryan is just about the hottest act in American politics. Feingold is watching from the sidelines after losing a bid for a fourth term in the Senate in 2010 to a previously little known businessman, Ron Johnson, whose stands are much in line with Ryan's.

This has been a good period to be a Wisconsin conservative. Scott Walker was elected governor in 2010 at the same time Johnson beat Feingold. Walker set off a huge political fracas with his budget-cutting, union-crushing stands in 2011, which led to a recall election three months ago that Walker won. In addition to Ryan and Walker, there is Reince Priebus, national Republican Party chair (he's from Kenosha, in Ryan's congressional district), which gives Wisconsin three of the most spotlighted names in conservative politics.

But the pendulum swings in politics. One side, one set of ideas, is impressively dominant at some point. Then in the battle of ideas and real politics it finds itself on the outs. It has happened often in Wisconsin, a fertile place for producing political winners who seem to be polar opposites. I assume the pendulum will swing some day.

More immediately, the conservative (and Ryan) ascension doesn't mean Wisconsin will go for Romney and Ryan in November. Wisconsin has built a rich record of being almost evenly split when it comes to presidential races. The 2000 and 2004 outcomes in the state were very close, with Democrats Al Gore and John Kerry narrowly prevailing. Obama won the 10 electoral votes easily in 2008, but that seemed to be an exception.

In the most extensive polling project in Wisconsin, the Marquette Law School Poll, Obama has been ahead all year. But the race has narrowed. With the addition of Ryan, the gap narrowed to three points (49% to 46%) in results released Aug. 22, down from a five-point margin in early August. This is, once again, a battleground state.

The Marquette Law poll found ratings on Ryan in his home state (41% favorable, 34% unfavorable) that were better than in comparable national polling, and better than the figures for Republican presidential candidate Mitt Romney in Wisconsin. But it doesn't look like Ryan alone is enough to swing the outcome.

What will swing Wisconsin -- and perhaps the nation? Convincing people who are part of the very small bloc of undecided voters. Motivating people in each of the parties' bases.

Ryan's speech gives undecided voters mild nudge toward Romney

That could take the form of basic partisan battling. But I would suggest that the lesson of these two major political figures from Janesville is that sometimes, ideas still matter and serious argument can still be persuasive. You can build careers on ideas and advocacy. You can win or lose on those things -- which is what is likely to happen in Wisconsin and which is, I still believe, the way the American political system is supposed to work.

The opinions expressed in this commentary are solely those of Alan Borsuk.

@highlight

Paul Ryan and Russ Feingold are two policy wonks who grew up in Janesville, Wisconsin

@highlight

Alan Borsuk says the two have very different political views but share key attributes

@highlight

He says they, along with many in Wisconsin, want politics to be about big ideas and issues

@highlight

Borsuk: Ryan may not bring Romney to victory in Wisconsin, but the race has tightened