Gruesome and seemingly endless accounts of violence in Mexico have obscured one notable bright spot in Latin America's high-stakes struggle with powerful drug gangs. In Colombia, once home to the world's biggest cocaine cartels, new crime organizations are being picked apart with silent efficiency -- aided by Bogota's enthusiastic embrace of extradition.

In recent years, more than 1,300 of Colombia's top crime bosses and their most dangerous enforcers have been sent north to face trafficking charges in the United States, a dramatic turnabout from the 1990s when extradition was outlawed under coercive pressure from the Medellin and Cali cartels.

Traffickers who might have continued to operate their drug organizations from luxury prison cells near their Colombian homes find themselves serving extended terms far away in U.S. penitentiaries without wall-to-wall carpets, big-screen TVs or easy phone access. Many offer to become witnesses hoping to reduce their sentences.

The result has been a steady erosion of organized crime's capabilities in Colombia -- a lesson for Mexico and other countries in the region threatened by drug gangs. Mexico's historic reluctance to extradite its citizens to the United States should be reassessed in the face of Colombia's success.

The beauty of extradition as practiced by Colombia is not its power to stop drug smuggling. There is scant evidence it has had much direct effect in that regard. But it continues to splinter the leadership of trafficking gangs, keeping them in a perpetual state of rebuilding. In short, extradition disorganizes organized crime.

And that's what makes it such a winning strategy in a country once thoroughly compromised by cartel threats and bribes. In those days, barely 20 years ago, the Medellin and Cali cartels vied for power with the Bogota government that too often seemed to be a hostage to criminal forces. Extradition became the prize they fought over.

Pablo Escobar, once the most feared thug in the drug world, was so afraid of being carted off for trial in Florida or Texas or New York that he demanded an end to extradition. He famously insisted that he preferred "the grave in Colombia" to a prison cell in the States. But when his demands were unheeded, Escobar launched a terror campaign of political assassination, socialite kidnappings, and deadly bombings.

While Escobar went to war, rival Cali cartel bosses went to the bank. They spread favors of cash, women and Caribbean vacations to any and all receptive politicians. Democracy was no match for the combined forces of corruption and intimidation. Colombia capitulated to the drug kings and let cartel lawyers rewrite portions of the national constitution to outlaw extradition.

It was banned for more than six years until restored in December 1997. More recently, its use soared as part of former President Alvaro Uribe's campaign to disarm and demobilize narco-trafficking paramilitary groups. And he put extradition processing on a fast track after discovering that imprisoned gangsters were still running criminal enterprises from their Colombian jails.

Colombia remains highly motivated today by fear of a return to the bad old days when criminal demands trumped national interests. And its success has been noticed. Mexico is showing more willingness to extradite Mexican nationals accused of major trafficking offenses in the U.S., but its numbers are small compared with Colombia's.

About a dozen Mexican drug bosses are in various stages of extradition, a cumbersome and often frustrating process that can take two to five years. U.S. authorities complain that, among other things, Mexico requires excessive documentation before approving extradition applications -- notably the identities of certain key witnesses that can jeopardize their safety.

Some of the lingering reluctance comes from national pride, from the conviction that Mexico should and can take care of its own crime problems. To that end, Mexican anti-narcotics units have been beefed up and security at its federal prisons improved. But that's not enough.

"There's no prison anywhere in Mexico or Colombia that puts these guys out of business like U.S. prisons," says one American law enforcement official.

There is a cost, of course. Federal prosecutions and extended incarcerations are expensive. Yet, what are the alternatives? When Colombia was overrun by cartels, the U.S. poured in a billion dollars of aid to help a friend and ally fight back. Recently, Texas Gov. Rick Perry suggested sending U.S. troops to help Mexico, an option loaded with political as well as financial costs. It only underscores the point: Extradition is a bargain.

It's also the most potent weapon against organized crime available in the region. Mexico and its Central American neighbors should embrace it with Colombian enthusiasm.

Jorge Salcedo: What I saw inside the Cali cartel

Join CNN Opinion on Facebook and follow updates on Twitter

@highlight

William Rempel: Colombia is fighting drug lords by allowing extradition to U.S.

@highlight

Rempel: Extradition doesn't stop smuggling, but it damages cartels

@highlight

Traffickers in U.S. cells can't run operations from luxury prisons in Colombia, he says

@highlight

Rempel says Mexico should take lessons from Colombia's successful strategy