The U.S. Embassy in Libya evacuated its personnel on Saturday because of heavy militia violence raging in the capital, Tripoli, the State Department said.

About 150 personnel, including 80 U.S. Marines, were evacuated early Saturday and were driven across the border into Tunisia, U.S. officials confirm to CNN.

U.S. officials stress operations have been "temporarily suspended" until "the security situation on the ground improves." The embassy will continue to operate from other locations.

A senior State Department official said some of the staff will be sent to other U.S. embassies in the region and others will return to Washington.

CNN has learned the decision to carry out the evacuation was made just in the last few days as the security situation around the embassy deteriorated.

President Barack Obama approved the State Department recommendation to temporarily relocate personnel because of the "ongoing violence resulting from clashes between Libyan militias in the immediate vicinity" of the embassy, a White House official said.

State Department spokeswoman Marie Harf said the United States is grateful to Tunisia "for its cooperation and support." She said the personnel are "traveling onward" from Tunisia.

"We are committed to supporting the Libyan people during this challenging time, and are currently exploring options for a permanent return to Tripoli as soon as the security situation on the ground improves. In the interim, staff will operate from Washington and other posts in the region," Harf said in a statement.

"Securing our facilities and ensuring the safety of our personnel are top Department priorities, and we did not make this decision lightly.  Security has to come first.  Regrettably, we had to take this step because the location of our embassy is in very close proximity to intense fighting and ongoing violence between armed Libyan factions."

Militia fighting in the area of the embassy and airport has degraded security in Tripoli significantly.

Eyewitnesses in Tripoli told CNN's Jomana Karadsheh that in the early hours of Saturday there was "a lot of movement with fighter jets and helicopters."

The Libyan government was informed of the evacuation after it was carried out, according to U.S. officials.

"Robust" force was ready to protect evacuees

The Pentagon had a "robust package of military forces" in the vicinity but out of sight, ready to move in if the convoy of evacuees had come under attack.

CNN has learned there were two F-16s on combat air patrol overhead, a drone tracking the convoy to the border and a Navy destroyer offshore in the Mediterranean.

There were also several dozen heavily armed Marines flying overhead on V-22 Osprey aircraft in an "airborne response force" that were prepared to land and rapidly evacuate the Americans during the transit to the Tunisian border if they came under attack.

The Pentagon had pressed for weeks to evacuate the embassy, especially after the Tripoli airport came under repeated militia attack, leaving Americans no way to get out via commercial air, the official said.

The decision to use vehicles to drive the Americans across the border was seen as the best low-profile approach to conducting the evacuation rather than sending U.S. military helicopters and troops into Tripoli.

Harf said the United States will work with Libya and the international community "to seek a peaceful resolution to the current conflict and to advance Libya's democratic transition."

"We reiterate that Libyans must immediately cease hostilities and begin negotiations to resolve their grievances.  We join the international community in calling on all Libyans to respect the will of the people, including the authority of the recently-elected Council of Representatives, and to reject the use of violence to affect political processes.  Many brave Libyans sacrificed to advance their country toward a more secure and prosperous future. We continue to stand solidly by the Libyan people as they endeavor to do so," Harf said.

Secretary of State John Kerry, at the U.S. Embassy in Paris meeting with the Turkish and Qatari Foreign Ministers Saturday, called upon various factions to engage in a political process saying "the current course of violence would only bring chaos."  Kerry added that due to the "freewheeling militia violence that is taking place in Tripoli" the U.S. along with other countries, one of them Turkey have decided to "suspended our current diplomatic activities at the Embassy."

Tensions escalate

The United Nations and other international organizations and businesses temporarily evacuated staff from Libya earlier this month.

Nearly three years after the revolution and NATO military intervention that overthrew the regime of Moammar Gadhafi, central government has been outgunned by increasingly powerful militias.

The civil war has given way to warring militias fighting over Tripoli's international airport.

The State Department "recommends that U.S. citizens currently in Libya depart immediately" in a travel warning issued on Saturday.

This comes nearly two years after attacks on U.S. government facilities in the Libyan city of Benghazi.

The assaults of September 11-12, 2012, left four Americans dead, including U.S. Ambassador Chris Stevens, and spawned political controversy in Washington. Republican lawmakers have claimed the Obama administration tried to mislead the public about the cause of the attacks and should have done more to prevent them.

GOP critics say they plan to make Benghazi an issue for former Secretary of State Hillary Clinton, under whose watch the attacks occurred, should she decide to run for president.

How did this happen? Iraq, Syria, Gaza and Libya all in flames

Opinion: Why the Middle East's borders will never be the same again

@highlight

Eyewitnesses tell CNN of "a lot of movement with fighter jets and helicopters"

@highlight

Heavy militia fighting is reported in the area of the embassy and the airport

@highlight

The personnel are headed across the border to Tunisia

@highlight

The use of vehicles for evacuation was seen as the best low-profile approach