(CNN) -- It's thousands of square miles wide, virtually devoid of oxygen and it has been blamed for an increase in shark attacks: the Gulf of Mexico "Dead Zone" is getting bigger and forcing marine life -- including sharks - into shore.

Signs warn the public in an area harboring high bacteria near a drain at Will Rogers State Beach, California.

The zone has been caused by a flood of nutrients, such as agricultural fertilizers, which boost algae production in the sea. These growths consume huge amounts of oxygen creating a "marine desert" almost devoid of life.

The "Dead Zone" varies in size each year, but in 1999 it was 7,728 square miles -- that's nearly the size of Delaware and Connecticut combined.

The huge size of the "Dead Zone' is due to the increase in nutrient pollution flowing down rivers, including the Mississippi, which is estimated to have risen threefold in the last fifty years as chemicals become more and more common on farms.

Environmentalists fear that the drive to radically increase the amount of corn-based biofuels produced in the U.S. from 15 billion gallons to 36 billion by 2022 could increase pollution in the Mississippi by 19 per cent.

But the problem is by no means limited to U.S. waters.

Similar "Dead Zones" are being discovered across the world and a major United Nations report in 2003 found that the number had doubled each decade since the 1960's.

The UN report also warned that the number will continue to increase as intensive agriculture spreads around the world and that they are already having a significant impact on commercial fish stocks. All of this can come as quite a surprise.

Growing water demands, more pollutants

Think about pollution and you tend to imagine tall smoking chimneys or pipes pouring industrial effluent into our rivers and lakes. But the use of chemicals in agriculture is increasingly becoming a concern for environmentalists across the world.

Agriculture, including livestock and poultry farming, can be a source of a wide range of pollutants that find their way into our water supplies through run-off and leaching. This happens when rainfall exceeds the capacity of the ground and it flows into watercourses and groundwater supplies taking dissolved pollutants with it.

These can include sediment from eroded land, as well as phosphorus and nitrogen compounds from chemical fertilizers and animal waste, which can also harbor disease pathogens.

These pollutants can have a serious effect on water sources by depleting oxygen levels, stunting the growth of plants and even suffocating fish -- as in the Gulf of Mexico "Dead Zone."

The concentration of pollutants can be particularly high in drought years, when heavy water demand can reduce the flow rate in rivers and cut their ability to dilute chemicals.

The effects of this can be acute in the developing world, where the pressure to feed a growing population combined with a low level of regulation can cause serious problems.

A huge increase in the amount of synthetic chemicals being used in the Philippines over recent years has caused substantial environmental damage to the country's water supplies, according to a 2008 report by Greenpeace.

Between 1961 and 2005 fertilizer use in the Philippines increased by 1000 percent.

"This model of agricultural growth is fatally flawed because of declining crop yields and massive environmental impacts," says Greenpeace campaigner Daniel Ocampo.

"Aside from causing land degradation and losses in soil fertility, agrochemicals cause water pollution that directly and indirectly affects human health."

According to Greenpeace, analysis of groundwater in the Benguet and Bulacan provinces in the Philippines, found that 30 percent of tested wells had nitrates levels above the World Health Organization (WHO) drinking water safety limit.

The Philippine National Economic and Development Authority (NEDA) says that 37 per cent of water pollution in the country originates from agricultural practices.

As well as causing an increase in the algal blooms that can cause "Dead Zones," agricultural nitrates have been identified as a factor in the growth of toxic "red tide" algae and high levels in drinking water can also pose a health risk to humans, especially children.

Agriculture's impact on water pollution

Clearly there is a need to shift away from the current industrial agriculture system which promotes the reliance on agrochemicals while neglecting to consider their negative effects on human health, the environment, and the economy of local communities.

The problem is particularly serious in China, where a combination of rapid development, a growing population and intensive agriculture has led to widespread pollution and even water shortages.

Scientists studying information from monitoring stations have said that 44 per cent of Chinese rivers are polluted.

"Many lakes and water courses contain an excess of nutrients and need treatment before they are suitable as freshwater sources," the Organization for Economic Cooperation and Development said in 2005.

According to Chinese state officials 10 per cent of farm land in the country is polluted posing a "severe threat" to food sources, with excessive agricultural chemical use being blamed, along with industrial effluent and solid waste.

But controlling water pollution from agricultural run-off presents many challenges: it occurs over a wide area, goes across borders and often the source is hard to identify.

It also varies over time and can increase or decrease depending on changes in land-use and ownership.

Lax local law enforcement, corruption and inefficiency can all compound the problem.

Legislators around the world are calling for a closer integration of environmental and agricultural policies, and more help for farmers in managing potentially hazardous substances.

But many environmentalists see a solution with increased incentives for organic farming, which uses fewer chemicals and, argue groups such as the UK Soil Association, with no appreciable decrease in yields. But while the solution remains a matter of debate, the scale of the problem continues to grow and grow. E-mail to a friend

@highlight

Agricultural pollution has a caused a 'Dead Zone' in the Gulf of Mexico

@highlight

Globally the number of Dead Zones has doubled every decade since the 1960's

@highlight

The drive to increase biofuel production could increase pollution in rivers and seas

@highlight

Pesticide use rose 1000 percent in the Philippines between 1961 and 2005