(CNN)New figures indicate that about 11 million people have signed up for health insurance during this latest sign-up period of Obamacare, of which about half will be from the uninsured population, based on previous estimates. Once again, the supporters of the law celebrate with  proclamations that "it's working." One could say that assessment is true, if the definition of "working" means enrolling people into anything called health insurance.

To be sure, the law's implementation is progressing, but there is no cause for celebration. It is indeed true that millions of Americans are now newly enrolled into health insurance, but it is disingenuous to tout this as a great success. An estimated 71% of the new insurance arises through Medicaid, using 2014 calculations based on analysis by Haislmaier and Gonshorowski of data from the Centers for Medicaid and Medicare.

The harsh reality awaiting these low-income Americans is undeniable: according to 2013 data from a 2014 Merritt Hawkins study, 55% of doctors already refuse new Medicaid patients. According to the HSC Health Tracking Physician Survey, 2008, the percentage of doctors that refuse new Medicaid patients dwarf by about 8 to 10 times the percentage that refuses new private insurance patients.

Such "insurance" from Obamacare not only fails to provide access to doctors, but research in the top medical journals such as Cancer, American Journal of Cardiology, Journal of Heart and Lung Transplantation and Annals of Surgery, show that Medicaid beneficiaries suffer worse outcomes than similar patients with private insurance  ... all at an added cost of another $800 billion by CBO estimates to taxpayers after the decade.

It is not hyperbole to call Medicaid a disgrace at its annual cost of about $450 billion, and expanding it rather than helping poor people buy private insurance is simply inexplicable.

Health care access for middle-class Americans is also significantly worsened by Obamacare's private insurance decrees.

The law already forced termination of health insurance for millions of Americans estimated as 4.7 million by the Associated Press --  insurance they personally had chosen to buy. The Congressional Budget Office now projects that a stunning 10 million Americans will be forced off their chosen employer-based health insurance by 2021 -- a tenfold increase in the number that was initially projected back in 2011, at the onset of the law.

Along with that forced change of coverage, many suddenly find themselves without access to their chosen doctors.

Despite the assertion that the law increases insurance choices, the Obamacare exchanges do quite the opposite for those dependent on them and their government's subsidies. McKinsey reported 68% of Obamacare insurance options only cover narrow or very narrow provider networks, double that of the previous year.

For cancer care, the majority of America's best hospitals in the National Comprehensive Cancer Network are not covered in most of their states' exchange plans. The "narrow network" strategy is about to hit even more Americans in 2015, as Obamacare exchanges from California to New Hampshire further restrict access to top doctors and hospitals in an attempt to quell insurance premium increases caused by the law itself, according to an analysis by the Los Angeles Times.

And a study in late 2014 commissioned by the prestigious American Heart Association determined that the specialists essential to diagnose and treat stroke, one of the most disabling and lethal diseases in the United States, are in severe shortage under Obamacare insurance exchange plans.

Indeed, unless one has the financial resources or power to skirt the new system, many of America's top doctors and hospitals are no longer available.

Obamacare has forced Americans onto a far more government-dominated health care pathway than in the past. Coupled with population aging, the 107 million under the government's Medicaid or Medicare insurance in 2013 will rapidly increase to 135 million just five years later, a growth rate tripling that of private insurance.

By the end of the decade, a full 140 million Americans will have their health care access directly controlled by government insurance, according to the Centers for Medicare and Medicaid.

More doctors than ever  already refuse Medicaid and Medicare due to inadequate payments for care, and that will only accelerate as government lowers reimbursements. Less appreciated is that inadequate payments to doctors by government insurance substantially increase private insurance premiums.

Back in 2008, a shortfall of over $88 billion of payment from Medicaid and Medicare beneficiaries added more than $1,500 extra per year in premiums and $1,800 extra in total out-of-pocket costs to every family of four with private insurance.

As the government increases its role as insurer, it increases its hold on payments to doctors and hospitals, so it will be able to reduce reimbursements and dictate access to limited networks of doctors and hospitals. And with increasing enrollment into government insurance, private premiums will undoubtedly rise even more.

It is therefore absolutely critical for the new Congress to reject Obamacare and instead help individual Americans and their families, particularly middle class and poor Americans -- the people most harmed by Obamacare.

Any legitimate health reform plan must be focused on three goals: 1) help consumers find affordable private insurance suited to their personal needs; 2) liberate the poor from Medicaid so they have actual access to medical care, as well as the dignity of personal choice of doctor; and 3) add substantive mechanisms that reduce health care costs by competition and value-seeking by consumers. The plan should not replicate the false claims of Obamacare supporters that recent slowdowns in health spending from economic downturns were somehow caused by Obamacare.

The Patient Choice, Affordability, Responsibility, and Empowerment (PatientCARE) Act put forth this month by leading Republicans in Congress tries to do just that. This bill, also known as Coburn-Burr-Hatch, represents a serious plan to expand access to health care and reduce the nation's health care expenses.

The Coburn-Burr-Hatch proposal incentivizes people to buy insurance they value, and it generates affordable options, instead of forcing the purchase of expensive insurance that individuals don't want. Current harmful barriers to interstate cooperation and anti-competitive impediments are reduced. Health savings plans are liberalized to allow everyone, not just the affluent, control over their health care dollar.

Medicaid reforms provide options for individuals to buy private coverage, and the government provides significant financial support for lower income Americans. And no one is forced to spend their hard-earned money on something they do not want.

As the Supreme Court hears arguments Wednesday about the legitimacy of subsidies under the ACA, Americans must recognize the bigger picture about U.S. health reform.

Contrary to the mantra that the GOP has no plan other than to repeal Obamacare, the truth is that it is the supporters of Obamacare are the ones who are single-minded. They are focused on maintaining the ACA without regard for legitimate reforms to improve health care access and quality and without finally addressing what always was the most important problem with US health care -- its cost.

Responsible leadership must focus on empowering patients instead of the government, before private health insurance and with that access to the excellence of America's medical system are eliminated for all but the affluent.

Empowering individuals -- regardless of socioeconomic status -- with choices and information in order to facilitate access to care from the best doctors and hospitals in the world should be the thrust of any change to American health care. That's an American solution, and it's up to our elected officials to make sure it finally happens.

@highlight

Scott Atlas: Nearly three-quarters of those insured under Obamacare were added to Medicaid

@highlight

Access to the best doctors is very limited; patients often have little choice of doctors, he says