Heaps of trash pile up for miles in Kibera, a district of Nairobi that houses nearly 1 million people and is one of the poorest slums in the world. Aluminum shanties fill the horizon, and an odor of urine cuts through the air. A man trots through the narrow, unpaved streets on a camel.

If you make your way through this crowded maze, however, you will find the Kibera Girls Soccer Academy, a free public school for girls and, recently, a few boys. Peek in through the windows, and you'll see a sight that seems incongruous next to the grimy chaos outside.

In this school, where there is no electricity and temperatures often top 90 degrees, dozens of students in neat wool uniforms are sliding their fingers across touch screens, reading a lesson on their Amazon Kindle e-reader.

The students, who range in age from 14 to 20, are cheerful, welcoming and quick to share the genres of books they like to read in both Swahili and English. Their school is one of 28 participating in a program with Worldreader, a nonprofit organization based in San Francisco that provides modern technology -- usually Kindles -- to improve literacy in the most impoverished parts of the world.

By expanding access to education in areas where books are a scarce resource, the Worldreader team is trying to break the cycle of poverty, one electronic page at a time.

For years, nonprofits, churches and donors have sent shipment after shipment of books to poor African villages in hopes of boosting literacy. But according to Colin McElwee, who founded Worldreader in 2010 with David Risher, there's a better way.

"Donating paper books to a place like Africa is well-intentioned, but it's actually ill-informed," McElwee said. "You can't actually get the right books to the people you want to get to, at the time they need it. It's very expensive and highly inefficient."

Carrying heavy loads of books is not practical for Kenyan students who often have to walk miles to and from school. E-readers, however, are a different story. They're lightweight and portable and give students access to entire libraries, including books from African publishers. To date, nearly 4,000 students in nine sub-Saharan African countries have read more than 1.7 million e-books through Worldreader.

The e-readers give students access to a much greater variety of titles than they had access to without the devices. Although many students had never used a computer before, they quickly learned how. A pilot program several years ago in Ghana found that the Worldreader program boosted reading test scores for primary students by up to 7.6%, although benefits for older students were less clear.

In the beginning, Worldreader founders admit that they worried about theft. The students, after all, go home to a community filled with poverty. To their surprise, fewer than 1% of the e-readers have gone missing.

"Books and education are really the way out of this, and people take great care of books and education," McElwee said.

Opening doors

Doris Achola, an 18-year-old student who graduated from the academy last year and is now preparing for college, says the e-books she's read have been an inspiration.

"I read many stories (about people) who have been through many challenges," she said. Achola says she has a new outlook on life after reading about people like herself who have overcome poverty to become successful. It's a different way of life than what she sees in her neighborhood, where girls are often forced to marry young and education is considered a privilege.

Current student Veronica Adhiambo, 8, says she loves her Kindle because it's so light compared with the heavy books she used to carry to and from school. When she gets home, she often shares the device with her friends and family so they too can read.

Veronica says she wants to become a teacher. She knows that reading as many books as she can will help her pass the exams and follow her dreams. In other words, the Kindle may be her key to a better life.

Abdul Kassim, executive director of the Kibera Girls Soccer Academy, started the school to address gender inequality in the community by offering a free education to girls. He says there's a long waiting list to get in because in Kenya, education and textbooks are very expensive. Kassim believes that the e-readers are the best thing that has ever happened to his school and his students' educations.

"That's why the Kindle is very important," he said. "It means their life."

Kassim says he's seen dramatic improvements in reading ability and comprehension among his students with Kindles. His wish is for every student and every teacher to one day have an e-reader.

In a country where leaders are pushing for more technology for students (in 2013, Kenyan President Uhuru Kenyatta pledged to provide free laptops to all schoolchildren), a Kindle may be a more practical solution. The device can hold a charge for two weeks when Wi-Fi is turned off, which is a boon in areas where electricity is scarce.

Worldreader relies on donations and gets its Kindles at cost. Through a discounted deal with shipping company DHL, the e-readers arrive in Africa loaded with books and fully charged. Most schools in the program have a room with outlets in case power runs low.

Worldreader tailors the contents of each e-reader to the needs of specific schools and classes. McElwee says he's in constant communication with the schools, collecting and tracking data to learn what works and what doesn't. As McElwee sees it, it's not enough to just provide books; they must provide books that students want to read.

Future success

Risher, Worldreader's president, says that continued involvement in schools is vital to the future success of the program.

"Nonprofits that drop technology into communities usually find that the community's habits and culture are far stronger than the technology, so after some time -- a few months, a few years -- nobody is using the technology anymore," he said.

"So what we do isn't just send a product to people. We're creating a system that brings publishers, e-reader manufacturers, teachers, children and communities together so that everyone can read more. We hope that not only will we improve millions of lives but also create habits and structures that endure for many years."

Students don't have to have an e-reader to benefit from Worldreader. The organization also created an app that allows students to read books on their cell phones (cell phone penetration is as high as 80% in developing countries; in Kenya, cell towers are everywhere). The app makes learning even more portable and has been downloaded more than 335,000 times.

"Many people don't think you can engage and read on such a small screen, but we have reams of data that proves this," McElwee said. "People are reading for hours on end, not only starting books but completing them."

By working with African publishers, Worldreader ensures that the content students receive is culturally relevant. That makes the books easier for the kids to relate to and is a change from a time when schools had to rely on donors for reading material, no matter how far afield it was ("The History of Utah," for example.)

Lawrence Njagi, chairman of the Kenya Publishers Association, has worked with Worldreader for the past three to four years. He believes that getting books to Kenyans as cheaply and easily as possible is one of the most important things he's achieved.

"Most of the population lives below $1 a day. Most books are $4 to $5. Suddenly, we are able to unveil thousands of books costing much lower -- maybe cents. That makes a big difference," he said.

"The most gratifying thing was to see a child with no shoes but reading an e-reader to other children. That, to me, was probably the best day of my life."

@highlight

A nonprofit called Worldreader brings e-readers to students in poor countries

@highlight

The devices are lightweight and allow students to access hundreds of books

@highlight

A Kenya school says the e-readers have helped improve reading comprehension

@highlight

Worldreader president: "Books and education are really the way out" of poverty