Washington (CNN) -- The U.S. Supreme Court on Monday reinstated a Michigan man's murder conviction that had been overturned because the victim's dying words were used in the trial.

The justices concluded the mortally wounded man's statements to police were "non-testimonial" and therefore admissible in court.

The 6-2 decision found police were confronted with an unresolved situation at the crime scene involving an at-large suspect. That gave officers latitude to question Anthony Covington, the bleeding victim, for information.

"There was an ongoing emergency here where an armed shooter, whose motive for and location after the shooting were unknown, had mortally wounded Covington within a few blocks and a few minutes of the location where police found Covington," Justice Sonia Sotomayor wrote for the majority.

In April 2001, police in Detroit found Covington at a gas station with a gunshot wound to the abdomen, in great pain, and having a hard time speaking. When asked "what had happened, who had shot him, and where the shooting had occurred," Covington replied that he was shot outside a nearby home, had driven himself to the gas station and identified the assailant as Richard "Rick" Bryant.

After the five- to 10-minute conversation, the victim was taken to a hospital, where he soon died. Police used the statements to go to Bryant's home, where they found the victim's blood and identification, along with a spent bullet and a bullet hole.

Bryant was arrested and later convicted of second-degree murder and felony possession of a firearm. He appealed, saying the dead man's statements violated the Constitution's confrontation clause, which gives defendants the right to cross-examine "testimonial" evidence against them, including eyewitness statements.

At issue was whether Covington's remarks represented such testimony or were "excited utterances" that helped police assess a crime emergency.

Sotomayor said police's initial inquiries about what happened "were the exact type of questions necessary to allow police to assess the situation, the threat to their own safety, and possible danger to the potential victim."

She added that since "the situation was fluid" with different officers arriving at different times and each asking what happened, police "did not conduct a structured interrogation," which would normally be barred from trial without the presence of the person who had been questioned.

The high court in 2006 gave greater protection to defendants over the use of hearsay testimony in criminal cases. The justices said cross-examination is required to admit prior testimonial statements of witnesses when those statements have since become unavailable. That case involved a spouse who refused to testify in court about a stabbing after earlier telling police what had happened.

The Bryant case involved the so-called "dying declaration" exception, and whether that should be applied in this case. Justice Ruth Bader Ginsburg noted in her dissent that the question was never raised in the original appeal, so could not be resolved by the court.

In a separate, tartly worded dissent by Justice Antonin Scalia, he blasted the majority for "judicial mischief."

"Today's tale -- a story of five officers conducting successive examinations of a dying man with the primary purpose, not of obtaining and preserving his testimony regarding his killer, but of protecting him, them, and others from a murderer somewhere on the loose -- is so transparently false that professing to believe it demeans this institution," he wrote. "In its vain attempt to make the incredible plausible, however -- or perhaps as an intended second goal -- today's opinion distorts our Confrontation Clause jurisprudence and leaves it in a shambles. Instead of clarifying the law, the court makes itself the obfuscator of last resort."

He warned the court was offering a "hollow constitutional guarantee," and concluded: "For all I know, Bryant has received his just deserts. But he surely has not received them pursuant to the procedures that our Constitution requires. And what has been taken away from him has been taken away from us all."

@highlight

The court's ruling centers on the use of the slain victim's words in the trial

@highlight

Michigan murder conviction had been overturned because the dying words were used

@highlight

In 6-2 ruling, Supreme Court says that the words were admissible