Bellevue, Washington (CNN) -- Just a year before turning 40, Judy Haley was diagnosed with an aggressive form of breast cancer that required an immediate mastectomy.

The procedure and the treatments that followed left her fatigued, nauseated and in so much pain that she couldn't pick up her 1-year-old daughter or do simple household chores. She also struggled with depression because she needed constant child-care assistance.

"It's really hard to ask for help," Haley recalled. "You want to be competent and independent. ... And then, all of a sudden, you have to acknowledge the fact that you can't take care of your daughter all by yourself."

Haley and her husband were both full-time students, so there were also financial concerns. The couple cashed in their retirement to deal with the crush of medical bills.

"I was really bottoming out emotionally," Haley said.

That's when a friend recommended that she reach out to the Pink Daisy Project, a nonprofit that provides support to breast cancer patients under 45.

Since 2008, the Pink Daisy Project has helped more than 150 women -- mostly in the form of house-cleaning assistance and gift cards for gas, groceries and restaurants. But according to Haley, it's so much more.

"It's hope," she said. "Right when I would hit the (emotional) low, there was a gift card ... or the toilet was 'magically' clean. I can't overemphasize the value of that to somebody with cancer."

The founder of the Pink Daisy Project, Debbie Cantwell, can relate to Haley's plight. She was 41 when she was diagnosed with breast cancer in 2006.

"I could not even wrap my head around it," Cantwell said. "You're relatively healthy, and they tell you (that) you have a chance of dying. ... It just throws your world upside down."

Cantwell underwent surgery to remove both breasts and 20 lymph nodes. She received eight rounds of chemotherapy and 37 radiation treatments before undergoing breast reconstruction surgery. She blistered, bled, lost all her hair and continued to work full-time as a copywriter and the sole provider for her husband and two young children.

Throughout her treatment, however, Cantwell was supported by family, friends and co-workers who pitched in to help her with her daily responsibilities. Co-workers donated vacation and sick leave. Friends brought over meals and took on child-care duties. Relatives helped with mounting costs.

"I just felt so grateful that all these people in my life were there for me and made it manageable," she said. "Once I was through with treatment, I couldn't possibly pay everybody back. So I decided I was going to pay it forward."

Do you know a hero? Nominations are open for 2011 CNN Heroes

Through her ordeal, Cantwell met other young breast cancer patients who were struggling through their treatment but lacked the kind of support that she had. She found that many breast cancer foundations exist primarily to raise awareness and funding for research and treatment, not to offset the daily stress on patients' lives.

"I'm all for research; I hope my daughter never has to go through this," Cantwell said. "But the Pink Daisy Project's biggest concern is helping the (young) women that can't wait for a cure. ... They're sick right now, and they need help today."

Cantwell fields grant requests through her website. The grants average $400 in value and are designed to cover a woman's basic needs for about one month, but Cantwell will customize the level and type of support based on need and available resources. The money comes from small fundraisers and personal donations.

"Right now, the Pink Daisy Project is helping women in these small ways," Cantwell said. "But eventually, I want to be able to help in larger ways with real practical, tangible things like helping with bills ... helping with the rent, helping with medical payments. It's so hard to focus on healing when you've got $12,000 in medical bills."

The average age of women diagnosed with breast cancer in the United States is 61. But according to the Young Survival Coalition, there are more than 250,000 women living in the U.S. who were 40 or younger when diagnosed.

"I think it's harder when you're younger," Cantwell said, "because you're a mom, or you're a college student, or you're working. You normally felt really good. And suddenly, you feel terrible all the time."

Cantwell said older women also tend to have a larger support system.

"Older women sometimes have grown children to help or a retired husband, or their friends don't work," she said. "Plus, there's a lot of senior services and Medicaid and disability and Social Security that, younger women, we often just don't have."

In addition to providing young breast cancer patients with immediate assistance, the Pink Daisy Project has built an online community that connects them and offers emotional support during what can be a potentially isolating time.

"I feel like they're my sisters, and I just want to do whatever I can to help them," Cantwell said. "I cry a lot. I always light a candle when I lose somebody I've helped. ... It's unbelievable and heart-wrenching, but it's just part of the job. ...

"I'll probably die of breast cancer someday. But I don't feel sorry for myself. I never have. I want to really make the most of the time I have by doing some good in the world. ... And if the spirit of helping each other were to continue, I'd feel my efforts meant something."

Want to get involved? Check out the Pink Daisy Project's website at pinkdaisyproject.com and see how to help.

@highlight

The Pink Daisy Project supports breast cancer patients under 45

@highlight

It was started in 2008 by Debbie Cantwell, a young breast cancer survivor

@highlight

Cantwell said younger patients often find it harder to cope with the stress and lifestyle change

@highlight

Do you know a hero? Nominations are open for 2011 CNN Heroes