Pretoria, South Africa (CNN) -- Did Oscar Pistorius have time to think before he shot and killed his girlfriend Reeva Steenkamp last year? That's the question that state prosecutor Gerrie Nel dug into Thursday with a doctor who has spent years working with the disabled athlete.

"His intention was to shoot, whoever he came across -- if he came across anyone" in his home on a February night last year, Nel put to the doctor, Wayne Derman.

"I suppose if he came across an intruder or danger, he would shoot," Derman responded.

And Pistorius was firing to kill, the prosecutor said.

Derman, a defense witness, paused a long time before he finally responded.

"He was aiming to neutralize the threat," the doctor said.

Nel let those words hang in the air for a long moment before announcing that he was done with his questions for the day.

Pistorius, 27, is on trial for murder, and while he admits firing the bullets that killed Steenkamp, he pleaded not guilty. He says he mistakenly thought he was defending himself from an intruder.

The prosecution says the two had an argument and he deliberately murdered the model and law school graduate, who was 29.

'Two Oscars'

Derman spent all day Thursday on the stand, first testifying under defense questioning that Pistorius' double amputation is key to understanding his behavior.

Do not be taken in by the fact that Pistorius is one of the fastest runners in the world -- remember he is disabled, he argued.

Derman ran through a long list of the difficulties that double amputees experience every day, concluding: "The saddest thing I have learned through my six years of working with athletes with disability is that disability never sleeps.

"It's there when you go to sleep at night and it's there when you wake up in the morning. It affects nearly every aspect of your life," he said.

Pistorius' defense team seems to be trying to establish that he acted reasonably, given who he is, when he killed Steenkamp in the early hours of Valentine's Day 2013.

Judge Thokozile Masipa must decide whether he made a genuine mistake and, if so, whether the mistake and his response were reasonable.

The South African Olympian's defense team has been exploring his psychology this week.

His lawyer Kenny Oldwadge posited Thursday that there were "two Oscars," one of whom was a global sports star and one of whom was "vulnerable" and "scared."

"I am stuffed without my legs on," his lawyer quoted him as saying, using a slang term meaning "in trouble."

Witness reliability

Prosecutor Nel went after Derman aggressively in his cross-examination, exploring whether the shooting was an instinctive "fight-or-flight" response or the result of conscious thought.

The question of whether Pistorius is found guilty of premeditated murder could hinge on the answer.

Exchanges between the two got testy, with Nel trying to get the doctor to explain Pistorius' actions moment by moment on the night he killed Steenkamp.

Derman said it was impossible for him to answer theoretical questions about what Pistorius might have been thinking or doing at a given instant because he, Derman, knew what had actually happened after the moment in question.

Frustrated, he appealed to Judge Masipa, but she sided with Nel, firmly instructing the witness to answer his questions or say he didn't know.

Nel began his cross-examination by suggesting that Derman was not a trustworthy witness because he had a responsibility to Pistorius as his doctor. Masipa rejected the objection.

The prosecutor kept up the attack, demanding to know when Derman had made particular notes on Pistorius, whether the court should believe Derman or Pistorius when their evidence differed, and the meaning of the word "subsequent."

Derman grew irritated with Nel when the prosecutor responded: "That's not true" to a statement Derman gave, and he appealed to the judge that Nel was being "unprofessional."

Masipa agreed and ordered Nel to withdraw the remark.

Nel, in turn, showed annoyance with Derman asking which "incident" he was referring to.

"The killing!" Nel shouted back at him.

Suicide risk

The defense has been exploring Pistorius' mental health for several days.

On Wednesday, his lead lawyer Barry Roux said Pistorius is depressed, suffering from post-traumatic stress disorder, and is a suicide risk, according to the doctors who spent a month evaluating his mental health.

But he does not appear to have a history of abnormal aggression or psychopathic tendencies linked to "rage-type murders in intimate relations," they found.

The conclusions are a "slam-dunk for the defense," CNN legal expert Kelly Phelps said.

The psychiatric report seemed to suggest that Pistorius' version of events was plausible.

"When Mr. Pistorius's appraisal of the situation is that he might be physically threatened, a fear response follows that might seem extraordinary when viewed from the perspective of a normal bodied person, but normal in the context of a disabled person with his history," the doctors found.

Several witnesses have testified that Pistorius tends to arm himself and go toward danger, rather than away from it, when he thinks he is under threat.

At the trial's conclusion, Judge Masipa will have to decide whether Pistorius, 27, genuinely made a mistake or deliberately murdered his girlfriend.

If Masipa does not believe the athlete thought there was an intruder, she will find him guilty of murder and sentence him to a prison term ranging from 15 years to life. South Africa does not have the death penalty.

If Masipa accepts that Pistorius did not know that Steenkamp was the person he was shooting at, she could find him guilty of culpable homicide, a lesser charge than murder, or acquit him, according to CNN analyst Phelps.

A verdict of culpable homicide would leave the sentence at Masipa's discretion.

The trial is scheduled to continue Monday for a 38th day.

Read more: Judge sends Pistorius for psychiatric tests

@highlight

NEW: Oscar Pistorius was shooting to kill, the prosecution argues at his murder trial

@highlight

Pistorius' defense team highlights his disability and vulnerabilities

@highlight

The athlete is accused of deliberately shooting his girlfriend, Reeva Steenkamp

@highlight

He says he shot Steenkamp accidentally in his bathroom, mistaking her for an intruder