(CNN) -- Twenty-five years ago I read a newspaper article which said that one day, reused syringes would be one of the major causes of the spread of AIDS. I thought this was totally unacceptable and decided to do something about it.

Sadly, it's come true. The toll from the reuse of syringes now exceeds that of malaria, with deaths due to this practice estimated at about 1.3 million each year. Every 24 seconds a child dies as a result of receiving an unsafe injection. The transmission method is crude -- blood-borne viruses are transmitted from patient to patient as body fluid is transferred by reusing a needle and syringe multiple times.

In 1984 I was living in the Caribbean, sailing on yachts, almost waiting for inspiration. Then on a visit home, I read the article predicting the problem and my life changed instantly. For about 30 months, I studied all the areas related to the subject, and then it was clear what the ideal solution needed to be.

My invention, the K1 Auto-Disable (AD) syringe, can only be used once and thereby helps stop the spread of blood-borne diseases such as HIV and Hepatitis. I set up Star Syringe to globally license K1. Fourteen licensees now distribute syringes to more than 70 countries, and from our sales figures, we can estimate that 9 million lives have been saved.

This syringe is as cheap as all other standard syringes -- about 5 cents, a tenth of the cost of a Coca-Cola, to give you an idea -- but can only be used once and will lock and break if a doctor or nurse tries to reuse it. Outside of our 14 licensees, there are another 10 factories producing single-use syringes in different designs around the world.

But an invention is only a starting point for change, and so in 2006 I set up the SafePoint Trust to generate awareness, petition for consistent regulation, and ensure compliance. (SafePoint takes care never to promote K1, which would benefit Star Syringe and its licensees. SafePoint does create awareness -- and so demand -- for AD syringes on a generic basis, and our mission is aligned with others who wish to bring about global adoption of safe injection practices.)

We are a small but expanding team, and are incredibly proud to have single-handedly rolled out one of the largest global health campaigns ever, reaching an audience of over 500 million people in India in November 2008.

This unprecedented awareness campaign included 14 press conferences attended by 250 newspapers; nationwide radio broadcasts (more than 10,000); and short film screenings on television (more than 5,000) and in 350 cinemas. It featured the moving story of Sachin, a little boy who contracted HIV through a reused syringe.

As a result of this campaign, the Indian Health Ministry made it mandatory for all government health facilities to use AD syringes starting April 30, 2009. To ensure continuing momentum and build on the awareness from the previous activity, another campaign will run in India in April 2010, using shocking footage of syringes still being reused in some hospitals.

We have a dedicated team in place that will launch a new campaign focused on Africa next year. Taking the lessons learned from the experience in India, and then adapting the framework to suit the different audience and their preferred media, we will initially focus on Swaziland, Tanzania, Nigeria and Ghana.

If an injection is given safely, there is no risk of further infection and therefore there are no additional costs linked to further treatment for secondary, treatment-caused infection. Staff are happier and valuable bed space is kept free. Hospital staff have reported to my team that for every $1 they spend on 20 AD syringes, they can expect, typically, to save $280.

Finally, I'm working to launch a new and distinctive LifeSaver logo. I'm asking other AD manufacturers to unite behind it and use it on their packaging, so that a safe injection can be immediately recognized, asked for and administered.

Needle reuse is, for all practical purposes, effectively murder on a global scale. Medical practitioners are blindly giving unsafe injections because they don't have the resources to do otherwise, or they simply don't understand the consequences it can have.

We need to push for change at the highest levels in society, government and right through to staff at the grassroots level. Bring it on!

The opinions expressed in this commentary are solely those of Marc Koska.

@highlight

Reuse of syringes costs an estimated 1.3 million lives a year, Marc Koska says

@highlight

Syringes can spread blood-borne diseases such as HIV and hepatitis, he says

@highlight

Koska says low-cost syringes that can be used only once are produced

@highlight

He says India has mandated use of auto-disable syringes in government facilities