(CNN) -- Newtown, Connecticut, resident David Ackert is worried about the spike in the number of pistol permits sought in his small town after a gunman massacred children and adults at an elementary school there last December.

"I am concerned that it can get out of hand," he said. "You only have two hands. How many guns can you fire at once?"

His concern prompted him to create the Newtown Action Alliance in the wake of the shooting at Sandy Hook Elementary that claimed the lives of 20 children, all aged 6 or 7, and six adults. Its mission: to reduce gun violence.

"Gun control isn't in the lexicon. What we're about is gun safety and anti-gun violence," Ackert, who doesn't own a gun and doesn't intend to, told CNN in a recent interview in Newtown.

In the months since Adam Lanza shot through the doors of the elementary school and targeted children in classrooms, the demand for guns in this western Connecticut city has jumped. As recently reported by the Wall Street Journal, the Newtown Police Department issued 171 pistol permits in 2012. As of August 8 this year, it has issued 209 permits, already a 22% increase over last year's total. If applications continue at this rate, Newtown is on track to double the amount of pistol permits it issued last year.

Five things to know about guns

And while government data show the number of Americans who own guns has been declining for several decades, experts say we are now seeing more guns in the hands of fewer Americans.

"I think it's a little bit of a reaction to what's going on both here and across America where I think the gun owners are seeing there is this huge outcry in the U.S. to reduce gun violence and there's a perception that the government is going to come and grab all their guns, or is not going to allow them to purchase certain guns," said Monte Frank, another Newtown resident who's also a member of the Newtown Action Alliance.

That's one reason why Nancy Elis -- a widow, grandmother and former Newtown resident who's never owned a gun -- applied for a permit to buy one in January. She lived in Newtown for 28 years before recently moving to the nearby town of Southbury.

"Fear did not prompt me," she said of applying for the permit, which she finally got in May.

"When I started to hear all the gun control talk, that's what prompted me," Elis said, adding that she's looking to buy her first firearm now because she wants to be able to protect herself in her home, if needed. It was also a reaction to the tougher gun laws the state of Connecticut passed in April, she explained.

"Our rights are being slowly infringed upon and that this whole idea of controlling guns has come to my backdoor. In other words, there may be a time when I may never be able to get a firearm," said Elis.

The new gun legislation in Connecticut is among the toughest in the nation. It adds more than 100 guns to its list of banned assault weapons and limits the capacity of magazines to 10 rounds. It also mandates the creation of the nation's first statewide registry of people convicted of crimes involving the use or threat of a dangerous weapon, among other things.

Newtown-based firearm trade group sues for repeal of Connecticut gun law

The new laws in Connecticut prompted Ryan Delp to buy another gun this year.

"I thought it was 100% certain they were going to pass more strict gun laws," said Delp, a Newtown resident who owns multiple guns but didn't want to discuss what types of firearms he has.

For him, it's a matter of protecting his wife and two children.

"I don't criticize police departments, they simply can't be everywhere. Just like Sandy Hook, they couldn't be everywhere," he said. "So I think at the end of the day, an individual has to take responsibility for themselves."

Delp believes Connecticut's new gun laws put residents in danger. "The restriction on magazines is a real threat to people who are law abiding citizens that just want to protect themselves and their family."

Gilles Rousseau, whose daughter, Lauren, was among the victims at Sandy Hook, said the increase in pistol permits in Newtown is "sad, it's really sad."

"It makes me sad to think that people, they think they're protecting themselves, but they're just adding to the problem."

Lauren Rousseau was a substitute teacher at the elementary school. Her family says her lifelong dream was to be a teacher.

"It doesn't compute in my brain that you buy more guns because somebody got shot at the school," her father said, adding that he had his first dream about his daughter just last week -- the first since she died. "That doesn't change anything. It's going to make things worse."

Gun demand surges nationwide

The National Shooting Sports Foundation says there have been 38 straight months of increased gun sales in the United States. In Connecticut, the number of background checks for potential gun purchases rose nearly 53% from the six months before the Newtown mass shooting to the six months after.

FBI statistics show the number of background checks it conducts nationwide has also steadily increased over the last three years. In 2012, the FBI conducted 19,592,303 background checks on potential gun buyers, compared with 14,409,616 in 2010.

But, the FBI notes, "a one-to-one correlation cannot be made between a firearm background check and a firearm sale" because of differing state laws.

According to the most recent data from the Bureau of Alcohol, Tobacco, Firearms and Explosives, roughly 6.5 million guns were manufactured in the United States in 2011, nearly a million more than in 2010.

Has the moment passed? Why gun control push fizzled

Tragedy spurs gun sales

In the year following the January 2011 mass shooting in Tucson, Arizona -- in which 20 people, including congresswoman Gabrielle Giffords, were shot and six people were killed -- the number of background checks for potential gun purchases conducted by the FBI in Arizona increased by nearly 50,000 from 2010.

There was a similar spike in Colorado following the mass shooting at an Aurora movie theater in July 2012 in which 12 people were killed and 58 were injured. The number of FBI background checks for those attempting to buy a gun in Colorado increased 44% from the year before the Aurora shooting to the year following it.

Back in Newtown, Monte Frank says he wants to educate people about gun violence. He doesn't want his city to be remembered only for the senseless shooting that happened there.

"We have a real desire here to be remembered as the place that made a difference in the world. I think we make a difference in the world by transforming our culture and trying to change the gun culture in a positive way so we can reduce the risk of another Sandy Hook occurring," Frank explained.

"My heart breaks for them. It truly does," says Nancy Elis, referring to the victims of the Newtown shooting and their families.

But, she says, "Did the guns cause the tragedy? No. It is the person behind the gun that caused the tragedy."

Read more: Six months since Sandy Hook: Newtown residents find their voice

@highlight

People seeking permits for guns in Newtown spiked after the massacre there

@highlight

Nationwide, gun sales have increased for the past three years

@highlight

Some are buying now, fearing tougher gun laws in the future