The high-stakes fight over implementing parts of the troubled health care reform law will move to the U.S. Supreme Court in coming months, in a dispute involving coverage for contraceptives and religious liberty.

The justices agreed on Tuesday to review provisions in the Affordable Care Act requiring employers of a certain size to offer insurance coverage for birth control and other reproductive health services without a co-pay.

At issue is whether private companies can refuse to do so on the claim it violates their religious beliefs.

Oral arguments will likely be held in March with a ruling by late June.

Nearly 50 pending lawsuits have been filed in federal court from various corporations challenging the birth control coverage benefits in the "Obamacare" law championed by President Barack Obama, which has come in for fierce political criticism over its rocky public introduction.

The high court last year narrowly upheld the key funding provision of the health care law, a blockbuster ruling affirming that most Americans would be required to purchase insurance or pay a financial penalty -- the so-called "individual mandate."

The constitutional debate now shifts to the separate employer mandates and whether corporations themselves enjoy the same First Amendment rights as individuals.

Three federal appeals courts around the country have struck down the contraception coverage rule, while two other appeals courts have upheld it. That "circuit split" made a Supreme Court review more likely.

The Supreme Court agreed to hear two cases involving for-profit corporations. Among the plaintiffs is Hobby Lobby, Inc. a nationwide chain of about 500 arts and crafts stores.

Hobby Lobby finds way around $1.3-million-a-day Obamacare hit - for now

David Green and his family are the owners and say their Christian beliefs clash with parts of the law's mandates for comprehensive coverage.

They say some of the drugs that would be provided prevent human embryos from being implanted in a woman's womb, which the Greens equate to abortion.

The privately held company does not object to funding other forms of contraception -- such as condoms and diaphragms -- for their roughly 13,000 employees, which Hobby Lobby says represent a variety of faiths.

Companies that refuse to provide the coverage could be fined up to $1.3 million daily.

Kyle Duncan, general counsel of the Becket Fund for Religious Liberty and lead lawyer for Hobby Lobby, called the Supreme Court decision to hear the case a "major step" for the Greens and their business, and "an important fight for Americans' religious liberty."

Opinion: Religious liberty is for people, not corporations

The White House said on Tuesday that it believes a requirement on contraceptives is "lawful and essential to women's health."

The White House added that it is "confident the Supreme Court will agree."

The Obama administration has defended the law and federal officials say they have already created rules exempting certain nonprofits and religiously affiliated organizations from the contraceptives requirements. In those cases, women would receive coverage from another company at no cost.

The Supreme Court was asked to take up the issue by a private Christian university in Virginia but the court, without explanation, decided not to hear that appeal.

The law's supporters say it does not require individual company owners to personally provide coverage they might object, but instead places that responsibility on the corporate entity.

A key issue for the justices will be interpreting the 1993 federal law known as the Religious Freedom Restoration Act. Can companies, churches, and universities be included, or do the protections apply only to "persons?"

The botched rollout of HealthCare.gov, the federal Obamacare website, has become a political flashpoint along with other issues that Republicans say proves the law is unworkable.

WH: Obamacare website 'on track' to meet Nov. 30 goal

The cases accepted were Sebelius v. Hobby Lobby Stores, Inc. (13-354); and Conestoga Wood Specialties Corp. v. Sebelius (13-356).

Church and state, executive power on Supreme Court docket

@highlight

High court accepts appeal on Obamacare's contraception coverage

@highlight

Supreme Court was more likely to take up appeal with lower courts split

@highlight

Blockbuster 2012 ruling by justices involved Obamacare individual mandate

@highlight

This appeal centers around employer mandate and coverage of contraceptives