Atlanta, Georgia (CNN) -- As soon as he heard the news about Haiti's earthquake, Myk Manon began planning to get himself and two fellow power specialists from the National Rural Electric Cooperative Association into the heart of the disaster zone.

On January 16, four days after the 7.0-magnitude quake had flattened much of Port-au-Prince and killed more than 200,000 people, the three engineers flew into the Dominican Republic, then drove into Haiti's capital, parked their truck in front of the U.S. Embassy -- where they figured they'd be safe -- and went to sleep.

They would need it -- the city was dark, except for a few lights from private generators, and they knew their expertise would be in demand beginning the next morning.

Here's what they found: All four power plants serving the city were off line; power lines lay on the ground all over the place; the earthquake had tossed 56-ton transformers from their bases. "They literally jumped up 10 inches and tipped over," said Manon, 61, a California native and former Peace Corps volunteer.

After finding $65-per-night rooms in a two-story, wooden hotel that had survived the earthquake, the men set about trying to find out how much of Electricity of Haiti's (EdH) system of substations and generators had also survived.

But they found that the power system had already been in extremis. Before January 12, only 60 percent of Port-au-Prince's 3 million residents had electricity; nationwide, the figure was 40 percent, Manon said.

Many of them were simply stealing it, tapping lines feeding streetlights. Before the quake, the capital had 60,000 paying customers, but there were 150,000 connections to the grid, and the power company was losing $1 million to $2 million per month, he said.

"In Haiti, that's a lot of money," he said.

He credited donations from Venezuelan President Hugo Chavez for having kept Haiti's lights on. Now, to get them on again, Manon faced the task of replacing thousands of poles, many of which had been crushed by toppling buildings.

Manon and his colleagues, Bud Stanley and Christian Ponce, worked to get live lines to critical sites, like hospitals, water pumping stations and grocery stores.

The men had at their disposal four trucks and 30 EdH workers, some of whom had lost their own families.

As they went to work, the engineers carted what they could from the power company's warehouse, which had been condemned and was to be torn down. But there weren't enough poles, lines and other equipment needed to reilluminate a city the size of Port-au-Prince, he said.

Nor were there any maps that would tell the engineers where the wires went once they left the plant. So they gave their teams GPS units and created the nation's first maps of its electrical grids, Manon said.

The Haitian workers were inventive with the tools they had -- primarily pickup trucks carrying ladders -- but they had a view of safety that concerned their American counterparts.

"Safety is not a primary concern in the Haitian electric sector," Manon said. "It would scare you to death."

Few wore basics, like hard hats, safety goggles or gloves, he said.

Manon recalled a 1970s-vintage Ford truck that had been donated by one of their U.S.-based cooperatives to the Dominican Republic to help restore electricity after Hurricane Georges knocked out power nationwide in 1998. He made a couple of calls and found it sitting in a garage on the Dominican side of the island, paid a mechanic to get it running again, and had it driven to Haiti.

That -- combined with two other trucks from the Dominican Republic and four other Haitian line trucks that "sort of work" and were already in the country -- was it for the specialized equipment needed to make rapid line repairs. The rest of the work is being done by people using pickup trucks and ladders, he said.

They got the first of the capital's four plants back on line within 10 days of the earthquake, he said.

The first place to get electricity restored was University Hospital, outside of which stacked bodies oozed fluids onto the paving stones. His biggest challenge was keeping his footing.

"Lord, don't let me fall on the bodies," he recalled telling himself, his voice cracking.

Now, slightly more than a month after the earthquake, service has been restored to 25 percent of Haiti's customers, he said.

Two of the city's four power plants are back on line, and a third is nearly ready, he said.

Manon appealed Wednesday to a nationwide convention of the National Rural Electric Cooperative Association in Atlanta for help getting teams of workers and trucks to Haiti. "If we can get four or five teams, that would help a lot," he said. "The international community is going to have to come forward now."

Manon's experience with the topic goes back to 1972, when he was a Peace Corps volunteer in Managua, Nicaragua, and an earthquake destroyed the center of the city, killing thousands.

But things have improved since then. Three weeks after that quake, the city still had no electricity, he said.

@highlight

Engineers fly from U.S. to Dominican Republic 4 days after quake, drive to Haiti

@highlight

They find 4 power plants off line, power lines down, 56-ton transformers off their bases

@highlight

Before the quake, only 60% of capital's residents had electricity; 40% nationwide

@highlight

With scant safety supplies and tools, team and Haitians restore service to 25% of customers