(CNN) -- Winston Churchill, glaring, resolute, combative, left hand on hip, stares straight off the page -- a moment, and an image, like no other.

(How did the photographer, Yousuf Karsh, get that iconic pose from Churchill, Britain's prime minister, in 1941? Churchill told Karsh that he had very little time for the session. Karsh reached over and took Churchill's cigar from him -- then, as Churchill reacted, snapped the photo.)

Marilyn Monroe, at her most beautiful in 1953, leans back, wearing white slacks and a black sweater, and gazes off dreamily to her right. Somehow, even though being photographed for a national magazine, she appears supremely relaxed and right at home. Why? She was at home -- she knew that the photographer, Alfred Eisenstaedt, and the magazine, Life, would do right by her, and she had invited them in.

Prisoners at the Buchenwald concentration camp in 1945, their faces haunted, their bodies gaunt, their eyes showing nothing and everything, look out from behind the wire fence that imprisons them, just before they are liberated. How did Margaret Bourke-White happen to be there to shoot that photo? Gen. George Patton wanted the world to see why his soldiers were fighting. Patton understood that Bourke-White and her magazine -- Life -- were the best way for the world to witness and understand.

All these photos and hundreds more are in a book called "75 Years: The Very Best of Life." It was published just before the holidays; I bought copies for friends around the country, and all of them have told me the same thing: They are spending hours with it, looking for long minutes at individual photos, treasuring the talent of the photographers, many long dead.

View the recently launched CNN Photos blog

It is the photographers that I keep thinking about as I have spent my own hours and days with the book. To be a Life staff photographer meant that you were among the best in the world. Professional news photographers, even the most highly regarded of them, find themselves in tenuous times today; it is expensive to have them on staff and to send them places to do their work. There is always going to be someone with a camera around to snap a close-to-good-enough image and sell it inexpensively or give it away.

So to linger over the photos in the Life 75th anniversary book -- it is a very large book, because Life's pages were large by design, for maximum impact -- is to marvel at the commitment the magazine made, especially in the days before television, to do whatever was necessary to bring the world to its readers. And to spend time with those images is to honor the talent and courage of the photographers whose best work is on the level of fine art -- fine art produced as the deadline clock is ticking.

They were there. They seemed always to be there, at the moments that mattered. Larry Burrows in Vietnam in 1966 as Marine Sgt. Jeremiah Purdie, grievously wounded, reaches for a comrade who is also hurt; Ralph Morse virtually living with the first astronauts, capturing Alan Shepard, in 1961, running toward the Redstone rocket booster that will propel him toward space; Bill Eppridge at Robert Kennedy's side in that California hotel kitchen in 1968, somehow, in the anguished confusion, getting the shattering photograph of busboy Juan Romero who is down on the floor with Kennedy, trying to comfort the dying senator. . . .

W. Eugene Smith in 1948 with Dr. Ernest Ceriani, the country doctor who was the subject of one of the most famous photo essays ever published, as Ceriani, on the edge of exhaustion, wearily holds a cup of coffee; Gordon Parks in Rio de Janeiro in 1961, paying tribute to the heartbreaking life of 12-year-old Flavio Da Silva, a boy who is malnourished and ill but who must care for his brothers and sisters; Eisenstaedt in Times Square on V-J Day in 1945, with the impossible task of trying to sum up in a single shot the nation's joy as the war ends, and doing so with that photo of photos: the sailor and the nurse. . . .

Life featured words, too, of course, but it was the photographers who were the stars. During my own tenure as Life's columnist, my first assignment took me to rural Kentucky with the Everly Brothers, as the singers returned to their late father's home. I was glad to be in the company of Don and Phil Everly, but the real thrill came from the days spent on the road with the great Life photographer Harry Benson. I kept looking over at him. So this is Harry Benson. So this is how he works. I didn't want to miss or forget a moment of it.

I should mention that Life and CNN reside under the same corporate roof. But I fell in love with Life long before there was such a thing as CNN; Life brought the world to my parents' Ohio home, and when the mailman delivered it each week, he was bringing us more than just a magazine. He was bringing us . . .

Well, he was bringing us life. Life observed with as much skill and guts and heart as those photographers could push themselves to produce.

Life, as a regularly scheduled magazine, is no more; it continues as a series of single-topic issues and special books, and its photography is featured on its popular website. But the Life that was read in America's homes each week, and then, later, each month, is gone.

"I can't stop looking at that book," Gary Griffin, one of the friends to whom I gave copies, told me on the phone from California the other night. Me, either. Jackie Robinson rounds third base in the 1955 World Series, the expression on his face the stuff of novels, and Ralph Morse freezes it in time and gives us the chills all these years later. Man, oh man. That was the life.

Join CNN Opinion on Facebook and follow updates on Twitter

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene says Life magazine photographers shot definitive photos of their time

@highlight

He says new book provides a window into the artistry of the photographers

@highlight

Their now-classic images were beautifully shot, many of them on deadline, Greene says