Mass shootings have been occurring more frequently in recent years, an FBI study shows, with nearly one incident a month from 2000 to 2013.

The study, which was released Wednesday, reported 160 incidents during that time, with 486 people killed and 557 wounded. Those figures don't include the deaths or injuries of the shooters.

The bureau called such shootings "active shooter incidents" -- which the report described as "individuals actively engaged in killing or attempting to kill people in populated areas (excluding shootings related to gang or drug violence)."

Underscoring the difficulty authorities have to prevent such incidents or reduce their lethality, the study found that 60% of the shootings ended before law enforcement officials arrived. In cases where investigators could determine the length of time of the incident, most of the shootings lasted under five minutes and many under two minutes.

In 40% of the cases studied, the shooters killed themselves.

Most of the shootings were carried out by males.  Only six of the "active shooters" in incidents during that time period were female.

Seventy percent of the incidents "occurred in either a commerce/business or educational environment," the FBI said.

James Yacone, the FBI's assistant director overseeing the Critical Incident Response Group, said at a briefing that the study is part of a White House-directed response to some of the recent mass shooting incidents and the need to understand what's behind them and how to prevent them.

Because police and other first-responders often also are shot or wounded, the FBI hopes to implement better practices for local agencies usually first on the scene.

"In essence, we're trying to improve our readiness," Yacone said.

Frequency increasing

And if you think such shootings seem to be happening more frequently in the past few years, you're right.

"In the first half of the years studied, the average annual number of incidents was 6.4, but that average rose in the second half of the study to 16.4, an average of more than one incident per month," the study said.

"Recognizing the increased active shooter threat and the swiftness with which active shooter incidents unfold, these study results support the importance of training and exercises -- not only for law enforcement but also for citizens."

The FBI said the goal of the study is to "provide federal, state, and local law enforcement with accurate data so they can better understand how to prevent, prepare for, respond to, and recover from these incidents."

Active shooter incidents differ from "a defined crime, such as a murder or mass killing," the study says, because "the active aspect inherently implies that both law enforcement personnel and citizens have the potential to affect the outcome of the event based upon their responses."

25 deadliest mass shootings in U.S. history

Andre Simons leads the FBI's Behavioral Analysis Unit 2 in Quantico, Virginia, which is helping to study the motives for shootings and assists local police in detecting early signs that may indicate a suspect is planning one. Simons said at Wednesday's briefing that while the motives vary widely, more shooters appear to be inspired by past mass shootings.

"The copycat phenomenon is real," Simons said.

Anecdotal evidence shows that "many active shooters have a real or perceived deeply held personal grievance and the only remedy that they can perceive for that grievance is an act of catastrophic violence against a person or an institution," Simons said.

Many shooters research major shooting events and find inspiration from the notoriety that killers receive.

"As more and more notable and tragic events occur, we think we're seeing more compromised and marginal individuals who are seeking inspiration from these past attacks," Simons said.

Case studies

Among the incidents studied by the FBI for the report was the Sandy Hook Elementary School shooting in Newtown, Connecticut, on December 14, 2012.  Gunman Adam Lanza, 20, killed 20 children, ages 6 and 7, and six adults at the school  before killing himself.  Police later found the body of Lanza's mother at her home.

"In at least nine incidents, the shooter first shot and killed a family member(s) in a residence before moving to a more public location to continue shooting," the FBI report said.

Another case studied for the report was the mass shooting at an Aurora, Colorado, movie theater in 2012. Twelve people were killed and 58 wounded. Accused gunman James Holmes pleaded not guilty by reason of insanity to the killings; his trial begins next month.

In 2007, Virginia Tech student Seung-Hui Cho shot and killed 32 people and wounded dozens more in a classroom building and a dorm on campus before killing himself.

Maj. Nidal Malik Hasan killed 13 people and wounded 32 at Fort Hood, Texas, during a shooting rampage November 5, 2009. He was convicted and sentenced to death.

@highlight

Between 2000-2013, there were 160 "active shooter" incidents, FBI study shows

@highlight

Most shootings were carried out by males -- only six were female

@highlight

70% of the incidents took place at schools or businesses, report says