(CNN) -- A vast winter storm on Tuesday blasted much of the nation with nearly horizontal blowing snow, cloaking trees and power lines with ice up to an inch thick, forcing airports to close and complicating the travel plans of fans headed to this weekend's Super Bowl in Texas.

A mix of blizzard, ice, hard freeze and high wind warnings sprang up across most of the Lower 48 states as the system pressed eastward, from New Mexico to Maine. Forecasters said as many as 100 million people in the United States would feel its effects.

Blizzard warnings were up late Tuesday in eight states -- from eastern Kansas to western Ohio. The mass of frigid precipitation, in its relentless northeasterly march, formed an arc that was centered in the Great Lakes region and stretched from northeastern Kansas in the west to the edge of Chesapeake Bay in the east.

The stem of the storm brought needed rain to much of the Southeast, but unwelcome ice and hard freeze warnings in other places, as far south as Corpus Christi, Texas.

Parts of the Florida Panhandle, southwestern Georgia and southeastern Alabama were under a tornado watch. High-wind warnings were posted in eastern Tennessee and western Virginia, with gusts of 55 mph forecast in Gatlinburg, Tennessee.

The National Weather Service forecasts and advisories through Wednesday night read like the Abominable Snow Monster's Christmas list: Up to 14 inches of snow in South Bend, Indiana, with winds up to 30 mph; Up 13 inches of snow and a low of 12 below zero in Ottumwa, Iowa; as much as 13 inches of new snow in Berlin, New Hampshire, by Wednesday night; hard freeze warnings in Houston and Galveston, Texas.

In Chicago, part of a fiberboard roof panel behind home plate at Wrigley Field, home of the baseball Cubs, broke away in the high wind, the ball club said. Police roped off nearby streets and sidewalks as a precaution, the club said.

Drifting and blowing snow closed parts of interstate highways in Oklahoma and Missouri, while police in St. Louis stopped patrolling in advance of the worst of a storm that was expected to leave as much as 30 inches of snow in parts of Missouri and Illinois, and up to an inch of ice in places.

"Do not travel! Stay inside!" the National Weather Service warned. "Strong winds and blinding snow will make travel nearly impossible. This is a life-threatening storm."

Ice is the larger threat in a band that extended from south of St. Louis to western Connecticut and parts of New Jersey. In those regions, more than an inch of ice could accumulate, downing trees and power lines. All of western Maryland was under a freezing rain advisory.

An ice storm warning covered 29 counties in central and southern Indiana. In the city of Greenwood, a command center was set up to deal with downed trees and other hazards that might impede first responders during emergencies. By Tuesday evening, a quarter-inch of ice had accumulated on trees in the area, with at least a half-inch expected, Fire Chief James Sipes told CNN affiliate WAVE of Louisville, Kentucky.

"The last time we had an event of this nature was in 1988," Sipes said, "and it caused substantial damage."

The nasty weather is even threatening festivities surrounding the Super Bowl, set for Sunday in Dallas. Icy conditions forced Dallas-Fort Worth Airport to temporarily close Tuesday morning. The airport reopened after a two-hour closure with one runway in operation, airport officials told CNN. Nearby Love Field was also forced to close and was expected to reopen by 2 p.m. (3 p.m. ET).

"We had thunderstorms, we had rain, we had freezing rain, ice pellets, sleet -- the only thing we didn't have was hail and sunshine," said Ed Martelle, the spokesman for AMR Corp., which owns American Airlines.

In Illinois, all major thoroughfares from I-70 and further north were covered with -- or had patches of -- ice and snow, according to the state Department of Transportation.

In Missouri, whiteout conditions forced the closure of I-70 through the middle part of the state.

"This is not a good time to be on the road," Missouri highway department official Don Hillis said. "Almost all of the state is covered with snow and some areas are receiving ice, making some roads impassable."

The Oklahoma Department of Public Safety reported that westbound Interstate 40 in Seminole and Okfuskee counties was closed Tuesday afternoon with 4-foot snow drifts. The department said some arterial roads and all secondary routes in parts of eastern Oklahoma were nearly impassable.

The Will Rogers Turnpike, I-44 in northeast Oklahoma, also was closed, and the National Guard was rescuing people trapped in their cars, the department said.

Tow trucks were running as much three hours behind in some parts of the state, it said.

In Tulsa, even police cars and ambulances got stuck in the snow. The snowfall also collapsed part of a roof at the Hard Rock Casino Tulsa, according to Amanda Clinton, a spokeswoman for the Cherokee Nation, which owns the casino. No one was injured.

Those who ventured out did so against the advice of government and emergency officials, who urged people to stay off the roads and inside, and prepare for the worst.

Up to 16 inches of snow are expected in parts of Michigan, with winds up to 40 mph causing significant drifts, according to CNN affiliate WILX in Lansing. Winds were gusting at 33 mph at Detroit City Airport Tuesday night, with the temperature at 17 degrees.

Michigan's emergency management department has posted an advisory for residents to "have essential supplies ready to stay safe at home, at work and in their vehicles."

As the storm approached, governments vowed they would be ready for what was being described as a storm of historic proportions.

Missouri, Illinois, Oklahoma and Kansas declared states of emergency so they could bring extra resources to bear. Missouri mobilized 600 National Guard troops to help cope with the storm. Illinois put 500 troops on notice that they might be needed as the storm intensifies. Iowa also activated some guard members.

Arkansas Gov. Mike Beebe also declared a state of emergency and activated National Guard troops to help move supplies to the northwestern portion of the state, where power outages are expected as snow, ice and high winds move in.

Warming centers set up by the Salvation Army were running and busy in Fayetteville and Bentonville, according to CNN affiliate KFTA.

"We are known for wild weather swings in Arkansas, but to have snow, ice and severe thunderstorms in the same day is rare," Beebe said.

In Chicago, where snowfall of 15 inches or more happens but once every two decades, according to the National Weather Service, officials outfitted 120 garbage trucks with plows to supplement the city's usual fleet of 274 trucks, said Jose A. Santiago, executive director of the city's Office of Emergency Management.

The White House press office issued a statement saying President Barack Obama had told the Federal Emergency Management Agency to be prepared to help state and local governments with widespread power outages and other issues arising from the storm.

Thousands of flights were canceled Tuesday. Airports in Oklahoma City and Tulsa, Oklahoma, were effectively closed.

United, Continental and American Airlines announced that flights were suspended after 5 p.m. (6 p.m. ET) out of Chicago O'Hare International Airport and that flights scheduled for Wednesday also have been suspended.

Delta Air Lines said more than 1,350 flights, most of them to or from Dallas-Fort Worth International Airport, were canceled on Tuesday, and 800 Wednesday flights had also been canceled.

JetBlue scrubbed 371 Tuesday flights and 794 total. US Airways canceled 687 flights.

Plummeting temperatures were expected to filter in behind the system, dropping to below zero in the upper Plains states over the next few days. Parts of the Texas Panhandle and western Oklahoma also will experience some of the coldest air this season, CNN meteorologist Sean Morris said.

@highlight

NEW: Frigid precipitation stretches from Plains to Eastern Seaboard

@highlight

NEW: Most of the Lower 48 states affected by severe weather advisories

@highlight

NEW: Tornado watches up in Florida Panhandle, south Georgia and Alabama

@highlight

NEW: Section of roof blows away at Chicago's Wrigley Field