Seattle (CNN) -- Amazon on Wednesday announced three new Kindle Fire tablets: a 8.9- and 7-inch Kindle Fire HDX and a lower-end Kindle Fire HD. The tablets feature faster hardware, better screens, improved software and a subtle new look.

"We have always wanted to build hardware that disappears and gets out of the way," said CEO Jeff Bezos, who showed off the new products at Amazon's Seattle headquarters. "When you're reading a book you don't think about the glue and the stitching."

Making hardware that customers can successfully ignore requires a manufacturer pay a lot of attention to hardware. The Amazon team has spent the last year improving its Kindle line inside and out.

Faster guts by the numbers

The result is a Kindle Fire HDX that's a beefed-up, sped-up, slimmed-down upgrade to last year's Kindle Fire HD. The third generation of Kindle Fire, the HDX comes in two sizes: 8.9 inches for $329 and 7 inches for $229 (tag on another $100 if you want a 4G connection through Verizon or AT&T.)

High-quality screens are key for devices that are built to deliver content like movies and books. The new screens are much higher resolution than the previous Fires. The 8.9-inch tablet crams in 339 pixels per square inch with a 2560-by-1600 resolution screen; the 7-incher is 1920-by-1200 with 323 pixels per square inch. Rounding out the screen improvements, the colors are more accurate and the screen automatically adjusts the contrast depending on how much ambient light there is.

The tablet is also faster, elaborate visuals like the kind in video games are smoother and speedier and there shouldn't be any lag when navigating through menus, using apps or enjoying books or movies. The internal hardware making that possible includes a new 2.2 GHz, quad-core processor, 2GB of RAM and an improved graphics engine.

For some reason, people continue to take photos with their tablets. Amazon has added an 8-megapixel camera to the back of the larger tablet and included a fat selection of editing and photo tools, like HDR and burst mode.

The third new Kindle Fire is the Kindle Fire HD, and its killer feature is a $139 price tag and slightly speedier specs than last year's model.

There's stranger on your tablet. He is talking to you and doodling on your screen.

Any kid who's ever had to give his or her parents tech support will rejoice at this new, kind of kooky help feature.

Mayday is a new tech support option on Kindle Fire HDX tablets, and it's a uniquely Amazon approach to customer support. When activated, within 15 seconds a small box pops up on the screen showing the face of a live, human Amazon customer-support representative. You can see them and hear their voice, and they can hear you and see your tablet's screen. (They cannot see the customer, which should minimize any unfortunate ChatRoulette-style pranks.)

They can talk you through simple questions like "How do I download a new book," or more complicated issues such as connecting to a VPN or using encryption. The representative draws arrows and circles on your screen to guide you though your problem, or they can take over completely and navigate through the menus and settings for you.

The reps are trained to be very friendly and personable, even chatty. After you've solved your problem, you can stick around and ask them for recommendations on games or books you might enjoy.

Only Kindle HDX owners can bring up a live human, and they can do it 24 hours a day, 7 days a week, for free. Amazon plans on training its existing army of tech support representatives to handle the calls, but will add to its staff if the feature takes off.

A Jelly Bean-flavored Mojito

The Kindle Fires run on a highly customized, nearly unrecognizable version of the Android Jelly Bean mobile operating system. This year, Amazon is finally marking the OS as its own and giving it a name, Fire OS 3.0, code name "Mojito."

The big carousel is still there, showing your most recently opened items. A book or movie is treated the same as a game in Amazon's world. Instead of all your novels being buried in a reading app, their icons exist side by side with apps. Slide from the right in any screen to see a mini, vertical version of your carousel.

Get to work

The Fire has primarily been marketed as a content consuming device, a physical portal into Amazon's vast ecosystem of books, movies, music and other goods. In the past year, the company noticed an increase in the number of people using it as a work and productivity device.

To make it more workplace friendly, they improved productivity apps like e-mail and document reading and included security features like native VPN support, data encryption and Kerberos authentication.

But then stop working and play with these fun features

There are other small features folded into the new Fire HDX tablets. X-Ray, a pop-up companion display that offers up more information on books you're reading and videos you're watching, first debuted on the Kindle Fire HD last year and has been expanded for the HDX.

Say you are watching a TV show. Turn on X-Ray and you can see info pulled from IMDB for the exact scene on your screen. It will list the actors you see, trivia or goofs, and show what song is being played. You can even pull up the entire soundtrack for an episode or movie and, naturally, buy it on the spot.

If you have a compatible Samsung TV, Xbox or PlayStation, you can turn your big screen into a second screen, watching videos directly from the larger device while you use the tablet for X-Ray exploration or any other task.

Misheard lyrics could be stamped out with X-Ray for music. It shows the lyrics for the song you are listening to, as they are being sung. Tap on any word and the song will start playing at that point.

Anyone whose commute takes them underground or out of Wi-Fi range will be thankful for a new Amazon Prime Instant Video feature that lets you download videos to the tablet so you can still watch when streaming isn't an option.

All three tablets are available to order. The 8.9-inch HDX will ship December 10, the 7-inch HDX will ship November 14 and the regular Kindle Fire HD will ship October 2.

@highlight

Amazon announces New Kindle Fire HDX tablets

@highlight

The tablets include free, 24/7 tech support on the tablet screen with a live person

@highlight

A new lower-end Kindle Fire HD will retail for $139