(CNN) -- Startup.

The term, near ubiquitous in our app-consuming, fully Facebooked world, is one that didn't truly enter the lexicon until the 1990s, when Wall Street took a bow to Silicon Valley and the palate of professional possibility became wired and well-connected.

Much has changed since then. Gone are the days when any 20-something with a computer science degree could dream of a bidding war for their talents, followed by a six-figure salary and free lattes in offices where chair massages and nap rooms are the norm.

No longer do investors throw millions at anything with dotcom at the end of its name, and many of those early pioneers -- who gambled that we were ready to buy pet supplies or order our groceries from an awkward adolescent called the internet -- are no more.

But the spirit lives on, in dorm rooms and garages, shared offices and coffee shops with WiFi. It's a fragmented, competitive and constantly changing world. But in 2013, the state of the startup is strong.

Today, CNN Tech highlights that world with CNN 10: Startups.

Our inaugural list looks at 10 emerging companies we think are poised to make a splash in the coming months with new and innovative ideas in fields such as medicine, computing, transportation and video games.

Now more than ever, computing and technology move fast, and the best technology startups are the ones that get in on a trend before it blows up.

There are a few hot categories on the horizon for consumer technology, including collaborative consumption and the sharing economy, the so-called Internet of Things, crowdsourcing, 3-D printing and the maker movement. Older institutions like education, finance and health care are also undergoing big changes, with online courses, BitCoin and peer-to-peer lending.

The biggest venture capital firms in Silicon Valley are busy putting money into promising startups making their mark in these fields.

Services that tap into the sharing economy are closest to being mainstream. Ride-sharing service Lyft, home-rental site Airbnb and labor marketplace TaskRabbit, are taking off around the world, catching on one city at a time.

These startups are focused on using resources more efficiently -- filling empty car seats, bedrooms and hours of the day in exchange for money.

"Most people on all of the services are both hosts and users, so it's a two-way market, which makes this very exciting," said Brian Singerman of the Founders Fund, a San Francisco venture capital firm. "This is for the masses; it's not just for rich people who want to use a service."

Some of the startup world's cooler emerging gadgets fall under the umbrella of the Internet of Things. Smaller sensors mean that everyday objects will soon be collecting data about your life and habits.

This category already has some big successes, like the Nest smart thermostat and wearable fitness devices. The field is still young, but it will grow exponentially as more objects get connected.

"The value of a fax machine is more valuable when another fax machine gets on the network," said Navin Chaddha of the Mayfield Fund. "Massive opportunities are going to be created."

The way we use and interact with our computers is also changing, with devices that use gestures and movement to control what's on a screen, like the MYO wristband and the Leap Motion controller.

"What Leap Motion is trying to do is make the interface between man and machine disappear," said Singerman, whose company is an investor in Leap.

In 2013, though, a successful startup might be one you'll never hear about.

Chris Dixon, of Andreessen Horowitz, says historically 80% of venture capital investments are in enterprise technology -- the companies that build the behind-the-scenes technology like networks and storage.

You don't hear about these companies as much because they can be technically complicated, but without them the consumer apps, services and gadgets wouldn't exist. For these companies, a happy ending may be when the Oracles, Googles, Facebooks and Microsofts of the world come calling, offering a big-dollar buyout.

But nothing is certain in startups. For every Mark Zuckerberg in a dorm room or pair of Steves (Wozniak and Jobs) in a garage, there are many ventures that, despite good ideas and hard work, never take hold.

And it could be a while before even the best products being developed today show up in a Best Buy or the hottest tech trends have any meaningful impact on the lives of the average consumer.

"One of the hardest things in technology," said Dixon, "is predicting when these things are going to happen."

@highlight

In 2013, the startup world is competitive, fragmented and fast moving

@highlight

Internet-enabled devices, wearable tech are hot trends

@highlight

Motion control and other new ways of interacting with computers also emerging

@highlight

With CNN 10: Startups, CNN Tech highlights emerging companies