(CNN) -- President Barack Obama recast the U.S. fight against terrorism as no longer a "boundless global war" but a targeted effort to dismantle specific extremist networks.

He said America was at a "crossroads" and should no longer see it as a "self-defeating" perpetual fight, but one that must at some point end, "like all wars."

Obama said "the core of al Qaeda in Afghanistan and Pakistan is on a path to defeat,'' but its affiliates elsewhere pose dangers. He also touched on new overseas and homegrown threats, and explained publicly the use of drones against terror suspects overseas.

Obama: U.S. will keep deploying drones -- when they are only option

He renewed his push to close the detention facility at Guantanamo Bay, Cuba, and also sought to calm criticism around his administration's investigation of national security leaks.

Obama, 'troubled' by leak investigations, asks for review

He even paused his prepared remarks to take on a woman in the audience from "Code Pink" who interrupted him several times in open disagreement.

Obama interrupted

"I think that the, and I'm going off script as you might expect here .... the voice of that woman is worth paying attention to," Obama said to applause. "Obviously I do not agree with much of what she said and obviously she wasn't listening to me in what I said but these are tough issues and the suggestion that we can gloss over them is wrong."

Here are five things we learned from the speech:

1. Using drones are OK, but...

The Obama administration for the first time revealed Wednesday that drones had killed four American citizens since 2009. Obama used the speech to more definitively explain the U.S. policy on the use of lethal force and sought stricter review of its use.

Still, he said drones were both legal and effective to combat terrorists, and added that Americans overseas who wish to do the United States harm were fair game, in the most extreme cases.

"When a U.S. citizen goes abroad to wage war against America -- and is actively plotting to kill U.S. citizens; and when neither the United States, nor our partners are in a position to capture him before he carries out a plot -- his citizenship should no more serve as a shield than a sniper shooting down on an innocent crowd should be protected from a SWAT team," Obama said.

He said ordering strikes is a heavy burden, but added that "to do nothing in the face of terrorist networks would invite far more civilian casualties."

Obama said he is asking his administration to review proposals to extend oversight of lethal actions outside of war zones that go beyond reporting to Congress.

CNN's senior political analyst Gloria Borger says Obama defends the use of drones.

"But he also really acknowledged that it can be overused, even by a president, and that you cannot just depend on drones for your national security."

2. I wasn't kidding about closing Gitmo...

When he was first elected in 2008, Obama vowed to shut down the military detention facility at Guantanamo Bay, also known as Gitmo.

But in the years since, Congress has enacted significant restrictions on the transfer of detainees from the prison that made its closure impractical. And, as costs of running the facility balloon and detainees wage hunger strikes protesting their imprisonment, the administration has quietly dialed back the intensity of the push to shut down the facility.

But that changed Thursday.

"The original premise for opening GTMO -- that detainees would not be able to challenge their detention -- was found unconstitutional five years ago," said Obama. "In the meantime, GTMO has become a symbol around the world for an America that flouts the rule of law."

He called on Congress to "lift the restrictions on detainee transfers from GTMO," appointed a special envoy to "achieve the transfer of detainees to third countries," and lifted the moratorium on detainee transfers to Yemen, where 56 of Gitmo's 86 detainees are from.

At Guantanamo, a costly confinement

Daily life at Guantanamo: Hunger strikes, sprays of filth

3. No leaks, but there's that freedom of the press thing...

Obama has come under fire for recent investigations into leaks by his Justice Department where phone records were seized from reporters and editors at The Associated Press and a Fox News reporter was labeled in a Justice Department affidavit as "potentially being an 'aider and abettor and/or co-conspirator'" to the crime of disclosing secret information.

Justice Department tracked Fox News reporter's e-mail, movements

So he used the speech to try to quell criticism for those intrusions.

"As commander-in-chief, I believe we must keep information secret that protects our operations and our people in the field," Obama said. "But a free press is also essential for our democracy. I am troubled by the possibility that leak investigations may chill the investigative journalism that holds government accountable."

"Journalists should not be at legal risk for doing their jobs. Our focus must be on those who break the law," he added.

He vowed to push for a federal shield law for journalists and convene a group of media organizations to review existing guidelines about investigations that involve reporters.

4. A new term brings a new policy

Obama clearly used the speech to redefine U.S. policy on the so-called "war on terror," acknowledging that where once the battle was fought on foreign soil, the threats have moved.

"Now make no mistake: our nation is still threatened by terrorists. From Benghazi to Boston, we have been tragically reminded of that truth. We must recognize that the threat has shifted and evolved from the one that came to our shores on 9/11. With a decade of experience to draw from, now is the time to ask ourselves hard questions - about the nature of today's threats, and how we should confront them."

"From our use of drones to the detention of terrorist suspects, the decisions we are making now will define the type of nation -- and world -- that we leave to our children," Obama said.

"I was listening to a president who was saying to us, 'Let's get beyond where we were when I first took office, and let me tell you how my thinking has evolved since I've been president of the United States,'" said CNN's senior political analyst Gloria Borger. "He said, 'We must define the nature and scope of this struggle or it will define us.'"

But Obama will face opposition as he attempts to shift U.S. policy.

"Both on drones and on Guantanamo, he's going to get some pushback," said Borger.

5. Free speech also means 'you listen'

A loud woman interrupted the president several times during his speech, calling on Obama to close the Guantanamo Bay facility. But the president was talking about just that when he was interrupted.

"You are commander-in-chief -- you can close Guantanamo today," she yelled. "It's been 11 years!"

Obama stopped in the middle of his remarks and shot back. "This is part of free speech, is you being able to speak but also you listening and me being able to speak, alright?" Obama said.

The woman was identified as Medea Benjamin, a co-founder of the protest group Code Pink and was later escorted out of the building and released.

Photos: The face of Code Pink

Later, he even tweaked his closing line to incorporate the heckler in the audience.

"Victory will be measured in parents taking their kids to school, immigrants coming to our shores, fans taking in a ballgame, a veteran starting a business; a bustling city street, a citizen shouting their concerns at a president," he concluded.

CNN's Kevin Liptak, Elise Labott, Chris Lawrence, Barbara Starr and Dan Merica contributed to this report.

@highlight

Obama says America at "crossroads," and fight against terror must be more targeted

@highlight

He defends the use of drones against terror suspects overseas

@highlight

Obama makes new push to close Guantanamo Bay detention facility in Cuba

@highlight

Woman interrupts speech, urged Obama take action on "Gitmo"