Weeks of brutal Israeli strikes on the heavily-populated Gaza strip have seen a number of political actors come forward to present a cease-fire plan.

The deadlock, however, seems to be between Egypt and Qatar -- both of whom have considerable leverage over Hamas, the Muslim Brotherhood-affiliated group that has ruled Gaza since 2007.  The truth is that due to political bias on each side, neither country is fit to be an exclusive mediator in this situation.

But only one of these two states holds undeniable geographic and political advantages: Egypt is the only Arab state that borders Gaza, meaning that -- for better or worse -- it is the strip's only access point to the outside world. Egypt is also the only one of the two that has a direct diplomatic channel with the Israelis, which is essential to implement any deal.

During the Muslim Brotherhood's rule in Cairo, Qatar offered Egypt $8 billion in grants and loans, a strategy that may have been well meant, but that ultimately backfired.

Because the Muslim Brotherhood felt Qatar was a reliable source of funding, it didn't feel the need to even negotiate a political compromise and economic reform with other factions of Egypt's political and civil society, which was a condition set by western lenders to extend a $4.8 billion loan. This expedited the downfall of the group.

The truth is that Qatar's overall strategy with the Muslim Brotherhood has failed miserably: It resulted in the alienation of the Brotherhood in Egypt -- so much so that the group was ousted from power in a popularly-backed military coup, and meant that many Egyptians were indifferent to the bloody massacre of the group's members that followed.

Qatari support for Muslim Brotherhood affiliates elsewhere in the region, such as Libya, Jordan, and Tunisia, has also backfired resulting in them being sidelined from power. All of this adds to quite an unfortunate year for the Gulf emirate.

Qatar's continuous financial and media support for the Muslim Brotherhood through the once-popular Al Jazeera Arabic, the 24-hour, Egypt-centric Mubasher Misr, which largely reflects a Muslim Brotherhood perspective, and a slew of new Qatari-backed Muslim Brotherhood-affiliated news websites based in London, have further poisoned relations between Qatar and Egypt.

Egypt's Foreign Minister recently accused Qatar and Turkey of undermining his country's efforts for a cease-fire in Gaza.

Furthermore, some in Egypt consider Qatar's increasingly close ties with Turkey a liability. Turkey's Prime Minister Recep Tayyip Erdogan, who is likely to be the country's next president, in an interview with CNN called Egyptian President Abdel Fattah el-Sisi a "tyrant" adding that Egypt has no genuine role to play in Gaza.

There is no doubt that Egypt will reject any offer it feels will diminish its regional role, especially one coming from Qatar and Turkey. It is ironic, therefore, that the efforts of Qatar and Turkey, who both want to see an end to the bloodshed in Gaza, are self-defeating.

Hamas has genuine reasons to reject what are said to be the exact same cease-fire conditions it previously accepted in November 2012 when Egypt was ruled by its Muslim Brotherhood affiliates.

The cost in Gazan lives this past fortnight has been too high to accept a return to a situation where Gaza was effectively the world's largest prison complex, with the lifting and not a mere "easing" of the blockade at minimum.

Qatar's move to offer Hamas a safe refuge after the group decided to leave Syria in the wake of the civil war was a strategic move. This gave Qatar a significant advantage over most states in the region -- except, that is, for Egypt.

Qatar's recent proposal to finance a commercial port in Gaza will likely reduce Egyptian control of the movement of individuals, goods and materials in and out of the strip, and is best done with Egypt's approval and oversight rather than without it.

In an apparent attempt to placate Egypt, Qatar's foreign minister called its role in Gaza essential, although Egypt was conspicuously absent from a Paris meeting on the current conflict that included Qatar, Turkey and some Western states.

Egypt's absence could perhaps be due to a Qatari-backed proposal announced by the Doha-based former Israeli MP Azmi Bishara to internationalize the Rafah Crossing and place it under the supervision of the U.N. and some Arab nations.

Qatar should not repeat the same mistakes that offered the Brotherhood in Egypt and elsewhere a false sense of omnipotence and infallibility, and should understand that Egypt's geographical and political leverage trumps any financial and media coverage Doha can offer Hamas.

If the genuine intention is to stop the Israeli onslaught on Gaza, Doha must concede its soft power to Cairo's hard power. The sooner Qatar realizes this, the sooner the horrible Gaza conflict will come to an end.

@highlight

Egypt and Qatar have leverage over Hamas, writes Sultan Sooud Al Qassemi

@highlight

Al Qassemi: Neither country is fit to be an exclusive mediator in this situation

@highlight

Qatar's overall strategy with the Muslim Brotherhood has failed miserably, he writes

@highlight

Some in Egypt consider Qatar's increasingly close ties with Turkey a liability, he says