Some 50 million Americans still lack health insurance. That will change for the greater majority when the Affordable Health Care Act, or Obamacare, as it's more commonly known, rolls out over the next couple of years.

While the bulk of the law goes into place in 2014, you'll see a few changes this year. However, much of 2013 will be dedicated to health facilities and government offices getting ready for the larger changes coming down the road.

On Thursday, the Department of Health and Human Services conditionally approved eight more states' plans to set up their own health insurance exchange programs.  The conditional approvals mean a total of 19 states plus the District of Columbia have the initial thumbs-up on their plans.

Two others, Arkansas and Delaware, have the go-ahead to run an exchange in partnership with the federal government.

Decision day for states on health insurance marketplaces

States can decide to set up an exchange at any time, but the clock is ticking. States that plan to partner with the federal government need to do so by February 15.  People not living in a state with an exchange have access to a federal program. All the exchanges are supposed to be up and running by October 1 of this year.

In a conference call with reporters Thursday, Health and Human Services Secretary Kathleen Sebelius said she was encouraged by the progress states have made so far.

"From the beginning, this process has been guided by our belief that states know their own needs better than anyone else," Sebelius said. "That's why we have worked so hard to give states the flexibility and resources to create and participate in marketplaces that work best for their citizens, and it's encouraging to see so many states moving forward to do just that."

What these exchanges will do is give the uninsured a better chance to shop for insurance in a way that's supposed to take the mystery out of buying a plan. Think of it like an online travel site that pulls information from hundreds of companies, allowing customers to compare the costs of flights or hotels on one easy-to-read screen.

Another advantage to the exchange may be a lower cost for health insurance, according to Jay Angoff. He is the former director of the Center for Consumer Information and Insurance Oversight at HHS, the office responsible for implementing Obamacare.

"The key issue is not if the state or the fed runs the exchange," Angoff said. "The key is: Will it be a strong or weak exchange, and will it use the bargaining power that it has to standardize the benefit packages and establish a real competitive bidding process that can really drive down rates?

"If the exchanges allow insurance companies to sell whatever they want, if (the state) doesn't negotiate or establish competitive bidding process, it's another case," he said.

Obamacare to flesh-eating bacteria: Top 2012 health stories

Here are some other parts of Obamacare taking effect in 2013:

Preventative services

The federal government is sending more money to state Medicaid programs that offer preventative services for free or at little cost. Services include tests for high blood pressure, diabetes, and high cholesterol; many cancer screenings including colonoscopies and mammograms; counseling to help people lose weight, quit smoking or reduce alcohol use; routine vaccinations; flu and pneumonia shots; and others.

Increased Medicaid payments

Doctors that take Medicaid patients get a pay raise.  Starting January 1, Medicaid payments in every state were brought up to the same level Medicare pays doctors. Some experts say the Medicare rate is too low, but Medicaid paid even less. While it varies from state to state, primary care physicians see on average a 73% pay bump according to the Kaiser Family Foundation.

A pilot program for bundling services

The law sets up a national pilot program that will encourage medical providers to coordinate patient care. Rather than have each service billed separately under Medicare, a flat rate would be paid for an episode of care.

Justices won't block Obamacare's required emergency contraception coverage

Medicare tax increase

The wealthy face a 0.9% tax increase on the income they earn in excess of $200,000 (for couples filing jointly, it will hit those that make in excess of $250,000).  This will help boost the Medicare trust fund.

Medical device tax

A new 2.3% tax goes on the price of medical devices. This doesn't include hearing aids or corrective lenses, but does include devices like defibrillators, pacemakers, artificial joints and others.

Medical deductions

Up until now, Americans got a tax deduction if all their total medical expenses added up to more than 7.5% of what they earn (minus deductions and exceptions). Those expenses now will have to add up to 10% or more for most tax filers.

Cap on FSAs

Flexible Spending Accounts now have a cap.  Up until now, employers set the limit on how much employees could set aside from their paychecks tax free to pay for medical expenses not covered by their insurance.  The majority of companies set an FSA limit of around $5,000. The government is now limiting FSA's to $2,500.

Health benefits spelled out

W-2 tax forms issued this year for wages paid in 2012 must now include a line on the form showing the benefit employees receive from their employer-sponsored health care.  This is supposed to help you understand your benefits better and make health care spending more transparent.

@highlight

8 more states conditionally approved for health insurance exchange programs

@highlight

All the exchanges should be up and running by October 1

@highlight

Changes in 2013 include preventative services, medical deductions and a cap on FSAs