(CNN) -- For decades, pioneering environmentalist Stewart Brand, the founder and editor of the Whole Earth Catalog, opposed the use of nuclear power. Now he sees it as vital to efforts to combat climate change.

Earlier this month, Brand made the case for nuclear power in a debate with Stanford University professor Mark Jacobson at the TED Conference in Long Beach, California. (TED is a nonprofit that took its name from the subjects of technology, information and design and is dedicated to "Ideas worth spreading." It publishes talks on all subjects at http://www.ted.com/)

His outspoken support for nuclear power comes as the White House has been pushing for the first new nuclear plants in the United States in three decades. Last week, President Obama announced $8.3 billion in loan guarantees for adding two nuclear reactors at an existing plant in Burke County, Georgia, near Augusta.

Mark Jacobson says nuclear power is too risky

Brand says his turnabout began in 2002, when the Global Business Network, a consulting organization he co-founded, did a project on climate change for the U.S. Secretary of Defense. In an interview with CNN.com, Brand said the project showed him that the globe's climate can change abruptly: "It goes over some tipping point and suddenly you're in a situation that you don't like and you can't go back. That got me way more concerned about climate as a clear and present danger than I had been."

Looking for a surefire way to cut greenhouse gases, Brand said the alternative to burning coal became clear: "We already had a very good supplier of ...electricity. It worked like mad and was as clean as it could be -- and that was nuclear.

"Looking at nuclear more closely made me look at coal more closely and I got to realizing what a horror it was across the board, and as I learned more about nuclear, I started learning all this stuff that my fellow environmentalists had been careful not to let me know about."

Read about Bill Gates' argument for nuclear power

Brand spoke to CNN.com Wednesday. Here is an edited transcript:

CNN: What did your fellow environmentalists get wrong about nuclear power?

Stewart Brand: Well, things like, nuclear radiation is a terrible thing that we must all fear at any scale, and nuclear waste a thing that we must be horrified about, with it lasting hundreds of thousands of years and how dare we burden future generations with that. I started looking at the basic scientific and engineering lore on both those subjects. ...

They are interesting engineering problems that are mostly solved already.

CNN: How have they been solved?

Brand: Anti-nuclear people have been saying, since Yucca Mountain [a proposed nuclear waste repository in Nevada] won't work or can't work, then you can't have nuclear. But then you think we do have nuclear, so nuclear waste must be coming out of these reactors ... so where's it going? It's going right there on the site in these dry cask storage containers where it doesn't seem to bother anybody. You can go out and look at them, stand next to them, no bad things happen.

So it's already de-demonized as you see it as not this huge intractable problem. It's actually quite tractable and on a local level. And carting the stuff around is treated as such a terrible thing and "My God, what if there's an accident?"

And you look at the videos that were made at Sandia [National Laboratory] years ago where they ran a locomotive into one of the containers, and no bad thing happened, and then they burned it in jet fuel, and no bad thing happened, dropped it from a great height, no bad thing happened. You start to realize this is actually pretty well in hand.

And the rest of the story on that is the next generation of reactors, the so-called fourth-generation reactors, most of them use what we now call nuclear waste as fuel. ... So a lot of the waste issue goes away when you realize that a very good thing to do is to just park it somewhere while we think about whether we do want to stick it in the ground or use it in these fourth generation reactors.

One of the things I learned is that we've already been burying nuclear waste in New Mexico at the waste isolation pilot plant for 10 years now. Works fine. It's a salt formation 3,000 foot thick -- you go half a mile down and that salt formation has been there for 250 million years. It's not going anywhere. ... It's a perfectly good place to stash this stuff if you want to get rid of it.

Environmentalists will say there's no working nuclear repository anywhere in the world and you look and actually there's one being built in Finland.

CNN: What about the potential for a release of radiation?

Brand: The requirement is that no more than 15 millirems of radiation gets out to the public a year, and when a lady goes to get a mammogram she gets twice that. When you move from Connecticut to Colorado, the background radiation goes up five times that. And in medicine, we routinely use radioactive isotopes for a whole manner of diagnostic procedures, for x-rays and CT scans. ...

Then you look at the medical studies, the epidemiology. People have been looking for human harm from radiation for a long time, ever since Hiroshima and Nagasaki. And it came as a surprise to me to learn, there were no birth defects in children born to exposed parents in Hiroshima and Nagasaki. When the U.N. went to study the Chernobyl area after the accident there, there were no birth defects turning up in the women who had been pregnant during that exposure.

Meanwhile, some anti-nuclear organizations have been using horrifying photographs of deformed babies with gross birth defects and saying these were caused by Chernobyl. It's just a lie, so that's a little alarming to see scare tactics like that based on nonscience.

Obviously you do not want to go and get close to nuclear fuel. On the other hand, when you take the fuel out of the reactor and put it in storage, 175 years, seven generations later, the radioactivity of that fuel is one billionth of what it is when you took it out of the reactors. This stuff actually has a half-life that is good. ...

Mercury doesn't have a half life, when mercury gets into the system, it bioconcentrates to the point where we tell pregnant women not to eat wild fish and shellfish because the mercury has accumulated, mostly from coal burning. ...

CNN: What about nuclear proliferation, the potential for spread of nuclear weapons due to greater use of nuclear power?

Brand: First of all you want to separate out nations where that's a worry and where it's not a worry. China and India we really need to have stop burning coal. ... Now is there a proliferation issue there? Not really -- China and India have nuclear weapons.

The figure I quoted at TED was that 21 nations have nuclear power, only seven have nuclear weapons, and in every case they got the nuclear weapons first, then the nuclear power. Sweden has nuclear power -- 40 percent of their power is from nuclear. Do we worry about them having nuclear weapons? Probably not.

So then that leaves a few countries that we are concerned about. Iran is one. Venezuela would like to be one. That's where Obama's program for fuel banking, which was actually started in a very intelligent way by the Bush administration, is the classic workaround. It's a thing which lets you know basically where all the fissile material is going in the countries that join the program.

...The great thing about nuclear weapons is when you downgrade the weapons-grade uranium, you get very good nuclear fuel. That's what the U.S. has been doing for 10 years with Russian nuclear weapons.

I love the symmetry of that. The very warheads that used to be targeted at American cities to blow them up are now being used to light them.

CNN: Some critics of nuclear power say that it takes so long to license and build nuclear power plants it's not really a practical alternative?

Brand: ...Things can be accelerated a lot. So one of the things the U.S. is doing is separately licensing -- going through the whole approval process -- reactor designs before they have to be figured out in context of a particular site. ...

Then there used to be this long delay of getting site approval, but as it happened, when we slowed down and stopped our reactor building in the mid-1970s and early 1980s, most of the reactor sites already had permission for additional reactors, so that part has already been done. ...

Look, you're not going to cure greenhouse gases with nuclear, but curing greenhouse gases without nuclear is approximately impossible.

The opinions expressed in this commentary are solely those of Stewart Brand.

@highlight

After decades as a foe of nuclear power, Stewart Brand now believes strongly in it

@highlight

He says the nuclear waste disposal problem has basically been solved

@highlight

Brand says danger of low-level radiation has been exaggerated

@highlight

Nuclear power is proven way to reduce greenhouse gases and replace coal-burning, he says