San Bruno, California (CNN) -- California Sen. Barbara Boxer demanded answers Saturday to questions about why a gas transmission line ruptured in a suburban San Francisco town, triggering a massive fire that killed four people and left five people missing.

Accompanied by state and federal officials, Boxer toured blocks of the charred neighborhood in San Bruno that now looks like a war zone.

The Democratic senator saw firsthand the intensely hot fire's wrath: melted cars, burned out skeletons of houses. At a news conference later, she said it was hard to put into words how a beautiful neighborhood almost disappeared.

"Many questions must be answered by all of us whose job it is to protect our people," Boxer said.

"What was the cause of this blast of course, first and foremost?" she asked. "Were there reports that there were odors escaping from the pipeline? If there were those reports, what actions took place in response to those complaints? Were emergency systems such as water supply up to the task? Was the gas flow shut down as quickly as possible? Does danger lie in similar pipelines in populated areas?"

Lt. Gov Abel Maldonado said he has written a letter to the California Public Utilities Commission, seeking information on gas pipelines across the state, including their age, inspection dates and records.

New remains were found in the debris left by the large fire, Steve Firpo, a city spokesman, said on Saturday, though he could not immediately confirm whether they were human. He had initially told CNN two more bodies were found.

San Bruno Police Chief Neil Telford said five people were still missing.

Residents packed a town hall meeting later Saturday, seeking answers from public officials about when they can go home and other rebuilding and compensation issues.

Pacific Gas and Electric President Chris Johns said the company has been scouring phone records and so far, there is no evidence that complaint calls were placed. Nor was there evidence, he said, that utility crews had been in the area Thursday, the day of the blast.

Firefighters were able to fully contain the blaze Friday, but federal and state investigators had not yet determined the cause.

"We are not hear to determine liability or blame, but we are here to determine the cause of the accident," National Transportation Safety Board (NTSB) Vice Chairman Christopher Hart said.

Hart said the 30-inch natural gas pipe was installed in 1956.

"We have seen that piece of pipeline that was blown away, and it is really quite amazing to see this huge piece of pipeline blown the distance it was blown," he said.

Hart said investigators will look closely at the pipe's welding and whether the pipe properly emitted an odor that may indicate a gas leak. There have been allegations of a smell in the neighborhood at least a week before the blast.

Officials have identified three of the dead. Rescue workers initially feared the death toll would climb higher as they combed through the smoldering scene with cadaver dogs.

Jacqueline Greig, 44, and her 13-year-old daughter Janessa were killed, San Mateo County Deputy Coroner Michelle Rippy said. A third victim was identified as Jessica Morales, 20.

Another 52 people were injured, including three patients who were taken to the hospital with third-degree burns and four firefighters who suffered from smoke inhalation.

Boxer assured those affected by the fire that state and federal authorities would do all they could in ensuring recovery.

"We must leave no stone unturned," she said about getting assistance to the devastated community.

Some residents remained in shelters and watched the harrowing drama unfold on television in a Starbucks or other restaurants at the Bayhill Shopping Center.

Patty Blick did not know whether to laugh or cry. Anger, she told CNN iReporter Brad Bailey, has not yet set in, even though she watched her entire block burn to the ground and her home of seven years vanish into ashes.

Blick was still worrying about some of her neighbors. She didn't know whether they were lying in a hospital or whether they had escaped unscathed.

Outside in the parking lot, food and other donated items piled up as San Bruno residents chipped in to help their neighbors. One person even left a baby stroller.

The NTSB investigation will include analyzing many aspects of the blast and its aftermath, Hart said, including the history of the pipeline, the training and performance of its operators, emergency response and injuries sustained.

Employees involved in operating the pipeline have been tested for drugs and alcohol, he said.

The fire destroyed 37 homes and damaged eight, California Emergency Management Agency Secretary Matthew Bettenhausen said. Those numbers were considerably lower than the estimate of roughly 170 homes that NTSB's Hart originally said were affected by the blaze.

Companies operating natural gas transmission pipelines reported an average of one death per year from 2004 to 2008, a February report from the Congressional Research Service.

Carl Weimer, head of the watchdog group Pipeline Safety Trust, told CNN that, unfortunately, when it comes to pipelines, for most of the public it's "out of sight, out of mind."

"I'm betting in San Bruno most people didn't even know the pipeline was under their neighborhood," he said.

Weimer noted that there can be multiple causes for a pipeline failure, including unintentional excavation-related damage and, more often, age and corrosion.

CNN's Dan Simon contributed to this report.

@highlight

NEW: Lieutenant governor seeks information on pipelines

@highlight

NTSB is looking closely at a section of pipe

@highlight

Sen. Barbara Boxer tours the charred neighborhood in San Bruno

@highlight

Authorities identify three of the known dead