(CNN)A Russian property developer, a Chinese outfit operating shell companies and Venezuelan officials ripping off the state-owned oil companies -- all of them are accused of coming to a bank in the European principality of Andorra to "wash" their money.

Now the U.S. Treasury is casting a spotlight on the alleged misdeeds of senior managers at the Banca Privada d'Andorra (BPA), several of whom have been arrested in the past few days.

The Treasury Department has alleged that "high-level managers [at BPA] accepted payments and other benefits from their criminal clients."

The Andorran authorities took over the running of the bank after the Treasury revelations, and the director general of the Banca Privada, Joan Pau Miquel Prats, was arrested late Friday. Two more bank officials were arrested Sunday.

Tiny Andorra, nestled in the rugged Pyrenees mountains, has two big neighbors. One is France. And the scandal has spread to its other neighbor, Spain, where corruption among public officials is a hot-button political issue.

Prats had driven BPA's expansion into Spain, through its acquisition of Banco Madrid, in 2011. Banco Madrid caters to wealthy private clients and came under investigation by Spanish financial authorities last year.

Since the BPA scandal broke, the commission that investigates illicit financial activity, Sepblac, has raised questions about accounts held by influential Spanish political and business figures at the Banco Madrid. They have not been named.

The Central Bank has taken control of Banco Madrid and sent in two inspectors to examine accounts there. The bank's board, which included Prats and a former high-ranking official of the Central Bank, resigned on Thursday. Spanish officials say some 20 suspect operations at the bank are being examined.

Spanish authorities are separately investigating substantial assets held at the Banca Privada d'Andorra by members of the Pujol family, who have long been prominent in the politics of Catalonia, a region of Spain that includes Barcelona.

The director of the U.S. Treasury's Financial Crimes Enforcement Network, Jennifer Shasky Calvery, said that "BPA's corrupt high-level managers and weak antimoney laundering controls have made BPA an easy vehicle for third-party money launderers to funnel proceeds of organized crime, corruption and human trafficking through the U.S. financial system."

BPA has correspondent accounts with four banks -- HSBC, Citigroup, Bank of America and Deutsche Bank -- through which hundreds of millions of dollars passed. Senior managers at BPA tailored services to their clients to disguise the origin of funds, the Treasury said.

One manager provided "substantial assistance" to a Russian client, Andrei Petrov, described by the Treasury as a "third-party money launderer working for Russian criminal organizations." Petrov had also received a line of credit from Banco Madrid and is alleged to have bribed local officials in the resort where he set up a property development company. He was arrested in Spain two years ago and is accused of helping launder some 56 million euros ($59 million) in proceeds from Russian criminal organizations. Petrov is yet to go on trial.

According to the U.S. Treasury, Petrov has links with one of the FBI's most wanted fugitives, Simeon Mogilevich.

BPA is also alleged to have helped Venezuelan money launderers siphon funds from the state-owned oil company, Petroleos de Venezuela.

"This money-laundering network worked closely with high-ranking government officials in Venezuela, resident agents in Panama, and an Andorran lawyer to establish Panamanian shell companies," the Treasury said. BPA processed about $2 billion in transactions by shell companies related to the scheme.

Treasury said another senior official at BPA accepted bribes in return for processing bulk cash transfers for a Chinese money launderer, Gao Ping, who was arrested in Spain in September 2012.

"Through his associate, Ping bribed Andorran bank officials to accept cash deposits into less scrutinized accounts and transfer the funds to suspected shell companies in China," it said in a statement.

Credit rating agency Standard & Poor's has reacted to the growing scandal by downgrading Andorra's rating. Andorra is highly dependent on its banking sector, which makes up some 20% of its GDP.

Spain has long battled the presence of Russian organized crime on its soil. After the collapse of the Soviet Union, wealthy Russians came to Spain for its climate and what were then lax financial controls. Among them were more than a few "vory v zakone," the top echelon of Russian organized crime, according to Spanish officials.

Spanish prosecutor Jose Grinda Gonzalez told U.S. officials five years ago that these individuals had no known jobs and unknown sources of income, yet they lived in large mansions. Grinda's remarks were reported in a diplomatic cable later published by WikiLeaks.

Grinda had prosecuted Zakhar Kalashov, a Georgian-born, Russian citizen widely regarded as one of the most powerful figures in the Russian mafia. Last year, before he completed his nine-year sentence, a Spanish appeals court deported Kalashov to Russia, where he is now a free man.

Another Spanish prosecutor, Fernando Bermejo, told US officials in 2009 that there was large scale money-laundering going on in Catalonia and "many, many" members of the Russian mafia were active there.

Because of growing international cooperation, Spanish prosecutors have stepped up their pursuit of alleged gang leaders, money launderers and embezzlers from Eastern Europe. Among the latest to be detained is a former finance minister from Ukraine, Yuriy Kolobov. He was detained at a luxury development in Alicante earlier this month, after prosecutors in Kiev charged him with embezzlement and is awaiting extradition.

Kolobov was a minister in the government of President Viktor Yanukovych, who fled Ukraine during street protests a year ago.

Helena Cavendish de Moura contributed to this report

@highlight

The U.S. Treasury is casting a spotlight on the alleged misdeeds of senior managers at the Banca Privada d'Andorra

@highlight

The Andorran authorities took over the running of the bank after the Treasury revelations