(CNN) -- The night before she was killed on the streets of Tehran, the woman the world would come to know simply as Neda had a dream. "There was a war going on," she told her mom the next morning, "and I was in the front."

Neda's mother had joined her in the street protests that erupted after Iran's disputed June 12 presidential election. But on that fateful morning, she told her daughter she couldn't go with her. As Neda prepared to leave, the mother was filled with anxiety.

"I told her to be very careful, and she said she would."

More than four months after Neda's death, her mother, Hajar Rostami, described the pain her family has endured and how grateful they are to millions across the world who have hailed Neda as a martyr -- a symbol of freedom for Iran. She spoke with CNN by phone in her native Farsi from her home in Tehran a few days ago.

"As a message to everyone, I really want to thank the whole world," she said. "And I don't really know how to thank them, so I ask of you: Please find the right words for me.

"I can't tell you how much it has warmed our hearts, how much it's helped us."

There is a Farsi expression that describes a grieving person's need to talk about the pain in her heart, to empty her soul. And that's what this is: a mourning mother who for months has wept and cried -- and remained silent about her daughter's killing, until now.

"This is a pain that will never heal," she said in a gentle, hushed tone.

Watch mom mourn the "look in her eyes"

'I need not worry'

On June 20, Neda Agha-Soltan, 26, headed to Tehran's Nilofar Square, where thousands of protesters gathered. Clashes were particularly intense that day, with demonstrators and riot police squaring off.

Neda, accompanied by her music teacher, called home with frequent updates. "Mom, there are just too many clashes going on. There are a lot of police and forces around."

Tear gas was lobbed at the crowd. Neda headed to a medical clinic to get her eyes washed. "My eyes are really burning hard," she said.

Twenty minutes later, Neda's mom reached her again. "She said she was on her way back home -- that I need not worry."

Neda told the same thing to her aunt and uncle, who also called to check up on her.

Wearing blue jeans, a black shirt and white sneakers, Neda walked toward her car, parked on a side street not far from the heated protests. "It didn't occur to her that anything was going to be different," her mother said.

Then, Neda was killed. A single bullet struck her chest.

Recalling that day, her mother paused in the hourlong interview. The family, she said, has gone back to the scene and retraced Neda's movements.

"She was only 26 steps from her car."

Those were 26 steps Neda never had a chance to take -- the difference between returning home to her family and becoming a symbol of a greater struggle inside Iran.

'She was absolutely beautiful'

While millions across the globe were transfixed by Neda's death, captured on video, her family entered a traditional seven-day grieving period. Her parents' house was too small to host everyone; they gathered at Neda's older sister's home.

The family, Neda's mother said, was barred from holding a memorial service.

"I did see Neda when her body was being washed before burial," she said. "When her body was covered in the white shroud for burial, when they uncovered her face, I saw her. She was absolutely beautiful -- with a smile, a beautiful smile. Like an angel."

It was during the seven days of mourning, around the third or fourth day, that a relative told her about the video of Neda's death, by then widely watched on the Internet. The mother didn't watch it that first week.

"But when I returned home, I did see the video," she said. "It was enormously painful. So painful that I've never been able to watch it again all the way through to the end.

"It was the moment of seeing her give her life, the life leaving her body. That was very painful. The look in her eyes at that moment. I wake up with that look in her eyes every morning; I go to bed with the image of that look in her eyes every evening."

She continued, "I want to say that the moment that bothers me the most -- that bothers me terribly -- is the moment Neda got shot. That's because Neda was an extremely brave person. Ever since she was a child, she was brave and fearless. So that moment when she got shot, I saw it in the video, she couldn't believe it -- that she had taken a bullet. So much so that she takes a look at her body. And when she sees she's been shot, she takes a few steps backwards and then falls. The only words she managed to utter was: 'Teacher, I'm burning.' And people said she passed within 44 seconds."

The mother visits Neda's grave every Friday. She's heartened that even now, throngs of people still greet her -- "It's as though she just passed away." She carries with her a painting of her smiling daughter that she received as a gift.

"People go and write on her grave in red ink the word 'martyr,'" she said, "and then the authorities go and wipe it off." Blog: Behind the scenes with Neda's mom

She said her daughter's killer is still at large, but she's confident the person will be found and tried in court. "I am waiting for that day."

"I saw Neda as a martyr from the start. Neda was a martyr for her homeland."

A 'caring' debater

Long before Neda became a household name, she was a "very excited girl" who always had answers for everything. "She was very well tempered and very friendly and very emotional and caring -- extremely emotional and caring," her mother said.

"She was never the type of girl who would submit to force."

In their last face-to-face conversation, the mother and daughter debated the political climate inside Iran. "We had a hearty debate and discussion," her mother said.

Neda's favorite activity was aerobics. She also liked to sunbathe at a local swimming pool. Her final meal was her favorite dish: pan kabob.

Neda was divorced, her mother said. After the divorce, Neda tried to get a job, but it was impossible. Every time she went for interviews or filled out an application, she felt people looked at her differently. "So she decided she was going to stay home."

That home is now adorned with photographs of Neda. One of her last gifts to her mom was perfume, a birthday present she cherishes. "On a daily basis, when I want to think of her, I can't tell you how hard it is. It's too hard to be able to speak."

Neda, the middle of three children, shared her room with her younger brother. He played guitar and violin. Neda loved the piano, and wanted him to learn to play. Just days before she was killed, she picked out a piano for him. He has since purchased it.

"When he comes home from work every evening," the mother said, "he plays the piano and sings in Neda's memory. And that's what keeps us going every evening."

She hopes the people of Iran and the world will hear her story -- Neda's story -- and never forget her daughter.

"I just want to thank you for remembering her. It's that which stays with me, and it's her eyes, the look in her eyes in those last moments that had a story to tell that I can never forget," she said.

"Neda has made me enormously proud."

It is tradition in Iran to give away personal belongings of a loved one after they die. But Neda's bed, her makeup stand, her photographs -- everything that was hers -- remains untouched.

The reason: Neda appeared in her sister's dream and told her not to part with anything.

"I am alive," Neda said.

@highlight

Neda's mom speaks to CNN from Tehran, thanks world for rallying behind her daughter

@highlight

"Neda was a martyr for her homeland," she says

@highlight

She visits Neda's grave every Friday, and throngs of people still greet her

@highlight

"Neda has made me enormously proud"