(This Old House Magazine) -- As American as fireworks in July, official state flowers honor the natural diversity of our country. The idea dates back to 1893, when, for a national garland at the Chicago World's Fair, each state was asked to nominate a floral emblem. The sunflower was a shoo-in for Kansas, suggesting "the majesty of a golden future." But debates raged in other states as they struggled for consensus on a single bloom. In some close contests, legislators turned to botanists to break a tie. Or they consulted schoolchildren, who, in Colorado, chose the Rocky Mountain columbine and, in Rhode Island, the violet.

Most of these picks are common natives that bloom on summer roadsides or are familiar transplants, comfortably at home in their adopted state. Many are also such great all-around garden plants that—no matter where you live—they'll thrive with little fuss, adding notes of carefree Americana to your landscape.

No bloom holds more titles than the rose. It's an official emblem for New York, Georgia, North Dakota, Iowa, and Oklahoma, as well as the national flower of the U.S.A.

Here, we present 15 state flowers (find the 35 other state flowers at This Old House Magazine), along with growing tips and recommended varieties. Show off your national pride with these favorites.

Alabama: Camellia
Camellia japonica

Though native to Asia, the camellia replaced goldenrod as Alabama's state flower in 1927, when the ladies of the state successfully lobbied for the change because they felt its elegance was more appropriate than the wildflower's weed-like looks. Camellia, with its glossy evergreen leaves and large cupped flowers, blooms when few other plants do—in late winter to early spring. Plant partial-shade-loving camellias such as 'Rubescens Major,' shown here, in slightly acidic soil that drains well.

This Old House Magazine: 12 Deadliest Garden Plants

Alaska: Forget-Me-Not
Myosotis alpestris

Before statehood, Alaska's territorial legislature picked the wild forget-me-not as its bloom, calling it "the emblem of the pioneers upon the rugged trail" in the bill's descriptive marginalia. With its mounding habit and flocks of true-blue spring and summer flowers, it's a charming filler around bulbs and in rock gardens or containers. Fragrant at night, the self-sowing perennial thrives in full to dappled sun and moist, free-draining soil. The cultivar 'Ultramarine' (shown) has a more compact habit than the species, growing only 6 inches high and a foot across.

Arizona: Saguaro Cactus Blossom
Carnegiea gigantea

Even before Arizona achieved statehood, the saguaro cactus blossom was selected as the territory's symbol, in 1901; its status was officially signed into law 30 years later. This fragrant, creamy white flower blooms from the tips of saguaro cacti in late spring, opening up at night and early into the morning. It is found exclusively in the Sonoran Desert.

This Old House Magazine: Best Garden Flowers for Color All Summer

Arkansas: Apple Blossom
Pyrus coronaria

At one time a major apple-producing state, Arkansas decreed the apple blossom its official flower in 1901. The pink-and-white blooms of Pyrus coronaria (American crabapple tree, shown) are extremely fragrant, appearing March through May, followed in September by clusters of light green to reddish bitter fruits. The tree's relatively small height (6 to 14 feet) and three seasons of interest make it a good candidate for a focal point in the residential landscape.

California: California Poppy
Eschscholzia californica

By the 1700s, when Spanish sailors dubbed poppy-blanketed California the "land of fire," indigenous peoples had long valued the wildflower for food and medicine. Emblematic of the Golden State, it's a drought-tolerant, easy-to-sow perennial in mild climates and a winning annual elsewhere, blooming in spring sunshine and closing at night. Sow seeds in well-drained soil and pull most plants once they've faded, but let some go to seed. The most familiar California poppy is orange-gold, but selections range widely: 'Carmine King' has red ruffles with white centers, 'Mission Bells' is a semi-double mix of hues (shown), and 'Thai Silk Lemon Blush' is yellow-cream.

This Old House Magazine: Vibrant Blooming Plants for a Late Summer Garden

Colorado: Rocky Mountain Columbine
Aquilegia caerulea

Blue stands for sky, white for snow, and yellow for the state's gold-mining history in this hardy perennial, which got the Colorado children's vote in 1899. Later, "Where the Columbines Grow" became the state song, enhancing the appeal of the fragrant wildlife magnet. If you sow seeds in fall, the plants sprout in spring but take another year to bloom. For a head start, plant seedlings in spring, keep them moist, and deadhead flowers to encourage more. Though the Colorado native (shown) is the familiar blue and white, cultivars include dwarf variety 'Red Hobbit' and multihued 'Origami Mix.'

Connecticut: Mountain Laurel
Kalmia latifolia

This fragrant, star-shaped flower was first recorded in America in 1624 by Captain John Smith and was designated Connecticut's state flower in 1907. A plant with a past—Native Americans made spoons from the wood—this dense evergreen shrub adapts to a variety of light conditions (partial shade to full sun). Mountain laurel blooms from late spring to midsummer. All parts of the plant are toxic if ingested, so keep away from children and pets.

This Old House Magazine: Front Yard Plantings to Make an Entrance

Delaware: Peach Blossom
Prunus persica

In the late 19th century, Delaware's orchards were producing so many peaches—more than 800,000 fruits annually—that the state came to be known as the Peach State. This moniker prompted lawmakers to pass an act, in 1895, adopting the peach blossom as the state flower. A deciduous tree with glossy leaves that follow showy spring flowers, it grows to a modest 25 feet tall, making it a good candidate for a backyard orchard in warmer zones.

Florida: Orange Blossom
Citrus sinensis

Adopted as the state flower by the legislature in 1909, millions of these legendarily fragrant white flowers scent the air throughout central and south Florida each spring. Upright, pyramidal flower clusters turn into fruit the following autumn or winter. A compact, evergreen tree that's easy to grow in warmer climates, this citrus tree can be successfully grown as an indoor plant where winters dip below freezing.

This Old House Magazine: Avoid Invasives: Plant This, Not That

Georgia: Cherokee Rose
Rosa laevigata

This spring bloomer achieved state-flower status in 1916 under the false impression that it was native to the region. Despite its Chinese origins, the rose has grown naturally throughout the southeast for centuries and became a symbol of hope to the Cherokees who were forced to march the infamous Trail of Tears in 1838. The sprawling climber easily reaches 20 feet in height, and while its sweet-scented flowers are fleeting, its plump orange hips and evergreen foliage offer color in later seasons.

Hawaii: Yellow Hibiscus
Hibiscus brackenridgei

Though the hibiscus was designated the territorial flower in 1922, it wasn't until 1988 that the particular species Hibiscus brackenridgei was chosen by the Hawaii state legislature. A sun-loving, profuse bloomer, this shrub is covered in large, pure yellow flowers in spring and early summer. Due to its status on the federal endangered species list, Hawaiians are encouraged to plant this hibiscus, known to the locals as ma'o hau hele, in their home gardens.

This Old House Magazine: Grow a Healthy Vegetable Garden

Idaho: Lewis's Mock Orange
Philadelphus lewisii

First discovered and collected by Meriwether Lewis—half of the famed explorer duo—and noted in his journal in 1806, this deciduous shrub was a favorite of Native Americans for making bows, arrows, cradles, and other utilitarian goods. Designated Idaho's state flower over a decade later, in 1931, Philadelphus lewisii grows in full sun or partial shade and tops out at about 10 feet tall. Clusters of small white flowers with a rich orange-blossom scent bloom from late spring to midsummer.

Illinois: Common Violet
Viola sororia

Voted in by schoolchildren in 1908, the native wildflower, with its purple-to-white-petaled blooms and heart-shaped leaves, is a common sight in the state's fields and woodlands. Despite its dainty appearance, the violet makes a tough garden plant. The self-sowing groundcover is highly deer resistant, tolerates clay soil, and thrives in full sun in cooler climates or partial shade in warmer zones.

Indiana: Peony
Paeonia lactiflora

The peony was designated the Hoosier State's flower in 1957. It was the fourth different bloom to hold the title in less than 100 years, replacing the carnation, the flower of the tulip tree, and the zinnia. Once established, peonies are winter hardy, relatively pest-free, and can live for 50 years or longer. Early-summer bloomers, peony blossoms may be single, semi-double, or double (such as 'Sarah Bernhardt,' shown), in a range of colors from white to pink to dark red.

Read about the 35 other state flowers at This Old House Magazine.

What a wonderful world: 13 fabulous gardens

Copyright &COPY; 2014 Time Inc. All rights reserved.

@highlight

The state flower designations date back to the 1893 Chicago World's Fair

@highlight

Legislators consulted botanists and even school children to make selections

@highlight

The rose is the most popular floral emblem nationwide and it's the national flower of the U.S.A.