(CNN) -- As Germany's switchover from nuclear power to renewable energy gathers pace, concerns are mounting over the cost to the country's prosperity and its already squeezed consumers.

Politicians in Europe's largest economy want renewable power to contribute 35% of the country's electricity consumption by 2020 and 80% by 2050 as part of its clean energy drive.

The country's "energiewende" -- translated as energy transformation -- is part of the government's plan to move away from nuclear power and fossil fuels to renewable energy sources, following Japan's Fukushima disaster in 2011.

Michael Limburg, vice-president of the European Institute for Climate and Energy, told CNN that the government's energy targets are "completely unfeasible."

"Of course, it's possible to erect tens of thousands of windmills but only at an extreme cost and waste of natural space," he said. "And still it would not be able to deliver electricity when it is needed."

The government is investing heavily in onshore and offshore wind farms and solar technology in an effort to reduce 40% of greenhouse gas emissions by 2020.

Last year Chancellor Angela Merkel, who this week won her third term as Germany's leader, proposed to construct offshore wind farms in the North Sea, a plan that would cost 200 billion euros ($270 billion), according to the DIW economic institute in Berlin.

As part of the energy drive, Merkel also pledged to permanently shut down the country's 17 nuclear reactors, which fuel 18% of the country's power needs. Under Germany's Atomic Energy Act, the last nuclear power plant will be disconnected by 2022.

Limburg told CNN the rapid transition to renewables is economically "insane," arguing that wind farms will cost at least 13 times more than traditional coal plants.

He added: "Offshore wind is somewhat better in performance, cost and usability but still you have to spend six times as much as what you have to spend for a conventional power plant."

Paying the cost of renewable energy

Germans are already facing some of the highest energy bills in Europe.

According to the Institute for Energy Research, this year German electricity rates will increase by over 10% due to a surcharge for using more renewable energy and a further 30 to 50% price increase is expected in the next ten years.

Blackouts are another problem facing Germany's energy industry.

With the bulk of wind turbines located in the east of the country, regional electricity grids face the threat of overloading, while the reliability of regular wind and solar power in northern Europe is also a concern.

Claudia Kemfert, professor of energy economics at the German Institute for Economic Research, told CNN Germany's continued use of coal and fossil fuels to power its industrial hubs is making investors nervous.

She said: "Politicians give the wrong signals. They say 'well, on the one hand, we would like to have the energy transition, on the other hand...' what they do or what they propose is the opposite."

But Kemfert added that Germany is not in danger of an energy crisis and that a boom in renewables will have long term economic advantages.

She said: "North (Sea) wind farms can provide 25% of electricity production. Onshore wind could produce a higher share. Offshore wind energy is important for North Germany as already a lot of jobs have been created."

Germany is one of six European countries to invest in wind farms including the UK, Denmark, Sweden, the Netherlands and Belgium.

And Stefan Bourgeois, head of regulatory affairs at the European Wind Energy Association, told CNN the sooner the continent moves away from "dirty fuels," such as coal, the better.

He said: "The costs of offshore are ahead of us, that is true... but the quicker everyone goes offshore the quicker the economies of scale and the costs come down."

@highlight

German Chancellor Angela Merkel pledged to permanently shut down the country's 17 nuclear reactors by 2022

@highlight

The government is investing heavily in wind farms and solar technology to reduce carbon emissions

@highlight

Renewable power to contribute 35% of the country's electricity consumption by 2020 and 80% by 2050