Cairo (CNN) -- A 30-year ironclad rule undone by an 18-day revolution saw its epilogue Saturday -- with former Egyptian President Hosni Mubarak ordered to spend the rest of his days behind bars.

At one time, Mubarak, 84, dominated Egypt's political landscape by intimidating opponents and infiltrating political movements.

Saturday, after a 10-month trial he attended on a stretcher locked inside a courtroom cage, a judge ordered his transfer to a Cairo maximum security prison, according to state TV.

Angry protests erupted inside and outside the court as the former president's allies and foes voiced their reaction to the landmark verdicts. Some slammed the judge for finding him guilty, while others called for his execution.

While Mubarak was sentenced to life in prison for his role in the killing of pro-reform demonstrators -- a charge for which he could have faced the death penalty -- he was cleared of corruption, and his sons acquitted of the charges they faced.

Judge Ahmed Refaat was in no doubt about the significance of the moment, as he spoke of the "dark" days of Mubarak's three-decade rule.

"We made a promise to have a fair trial based on the law of the land and we wanted this historical trial to be just and fair in order to give the rights to its true owners, no matter what the sentence will be," he said.

When the pro-democracy protests started in January last year, few would have dreamed this would be the punishment handed down to the man who ruled over them for so long.

Timeline of Mubarak's ascent and fall from power

Mubarak came to power in 1981, after then-President Anwar Sadat died in a hail of gunfire at a military parade -- killed by Islamic militants from within the army's own ranks after he took the dramatic step of making peace with Israel.

He was a Soviet-trained pilot who was chief of staff of Egypt's air force during the 1973 Mideast war. The early success of Egyptian pilots against Israel made him a national hero, and Sadat made him vice president in 1975.

Upon assuming office following Sadat's assassination, one of Mubarak's first acts was to declare a state of emergency that barred unauthorized assembly, restricted freedom of speech and allowed police to jail people indefinitely. It finally expired this week.

Mubarak made extensive use of those emergency powers in his time at the helm. The Egyptian army put down riots by disgruntled police officers in 1986, and Mubarak threw an estimated 30,000 people in jail when jihadists carried out a string of attacks on tourists.

He won four terms as president in elections that were widely considered formalities. His fifth election, in 2005, was Egypt's first multi-party presidential vote, but many considered that, too, to be a sham.

The country's economy stagnated for the first 20 years of his rule. Development picked up in the past decade, fueled by a move away from state control and by billions in tourist dollars, but analysts say its gains have been unevenly distributed. About 40 percent of Egyptians currently live in poverty.

Under Mubarak, Egypt was a major player in Israeli-Palestinian peace talks, and it contributed troops to the U.S.-led coalition that drove Iraq out of Kuwait in 1991.

Arab leaders: Where are they now?

It receives about $1.3 billion in military aid from Washington every year, second only to Israel, and has received nearly $30 billion in economic aid since 1975, according to State Department figures.

Shortly before his fall from grace, President Barack Obama said Mubarak had been "very helpful on a range of tough issues." And Israeli Prime Minister Benjamin Netanyahu last summer told the Arab-language news network Al-Arabiya that he respected Mubarak.

"He held peace between Israel and Egypt for over 30 years, and that's a great achievement, and I think it should not be forgotten," Netanyahu said.

In 2005, when Egyptians mounted large-scale protests to demand fundamental and widespread reform, Mubarak intimidated the leaders of the officially banned but tolerated Muslim Brotherhood, harassed middle-class demonstrators and managed to pick off protest leaders.

But Mubarak was finally forced to step down February 11 after a nearly three-week uprising during which protesters demanded reform and a new government. The human rights group Amnesty International estimated at least 840 people were killed by security forces during the revolution and more than 6,000 were injured.

Egypt is now ruled by a military council that has promised to hand over power after elections. A polarizing runoff vote for the presidency is due in mid-June, pitting a member of the Muslim Brotherhood against a former Mubarak minister.

Neither had been favored by the revolutionaries responsible for toppling Mubarak -- and some fear a win for former Prime Minister Ahmed Shafik will mean the ousted strongman's regime lives on in a different guise.

During his long years at the helm, Mubarak escaped at least two assassination attempts, including a close call in 1995 when Islamic militants opened fire on his motorcade at a pan-African conference in Ethiopia.

In 2003, the aging autocrat collapsed while delivering a televised speech to the Egyptian parliament -- returning later to blame his illness on the flu. He went to Germany in 2004 for back surgery and returned in 2010 to have his gall bladder removed.

Despite his bouts of illness, Mubarak never picked a vice president. He was widely considered to have anointed his son Gamal as his successor.

Now Gamal and his brother, Alaa, have seen their ailing father -- who never expressed remorse while in court on his hospital gurney -- condemned to spend his last years behind prison walls.

Although he may yet appeal the verdict, Mubarak is still the first of the leaders deposed in the Arab Spring to be handed a court sentence in person.

"This verdict instructs us all that leaders are not immune from prosecution and in the very heart of the Arab world, in a civilian court, a leader has actually been brought to justice," said David Scheffer, a former U.S. ambassador-at-large for war crimes. "That's extremely important."

CNN's Mohamed Fadel Fahmy, Saad Abedine, Ed Payne and Matt Smith contributed to this report.

@highlight

Hosni Mubarak is sentenced to life in prison for his role in the killing of protesters

@highlight

Supporters slam his conviction, while anti-Mubarak protesters call for a harsher penalty

@highlight

He ruled the country for 30 years before his ouster as president in February last year

@highlight

The judge orders Mubarak's transfer to a maximum security prison