Washington (CNN) -- The Senate Judiciary Committee approved the bipartisan "Gang of Eight" immigration reform bill on Tuesday, sending the measure to the Senate floor for consideration and giving the bill's backers their first major legislative victory.

Members of the Democratic-controlled panel voted 13-5 in favor of the measure.

If enacted, the plan would constitute the first overhaul of the nation's immigration policy since 1986.

"The dysfunction in our current immigration system affects all of us and it is long past time for reform. I hope that our history, our values, and our decency can inspire us finally to take action," Judiciary Committee Chairman Patrick Leahy, D-Vermont, said.

Spectators cramming the committee room applauded and cheered loudly following the vote.

The panel's 10 Democrats were joined in supporting the bill by three Republicans: Arizona's Jeff Flake, South Carolina's Lindsey Graham, and Utah's Orrin Hatch. Flake and Graham are two of its four Republican authors.

Opinion: 'Rogue' DHS unions follow Obama's lead on deportation

Both party leaders in the Senate appeared supportive of the effort, a positive sign for backers hoping to win a solid majority in the full chamber.

"I think the 'Gang of Eight' has made a substantial contribution to moving the issue forward," said Senate Minority Leader Mitch McConnell, R-Kentucky. "I'm hopeful we'll be able to get a bill that we can pass here in the Senate."

Senate Majority Leader Harry Reid, D-Nevada, praised the "masterful" job of Leahy in navigating roughly 300 proposed amendments and advancing the 844-page bill to the floor.

Immigration reform is a priority for both parties in Washington and so far is one example of bipartisanship this year on major legislation in a sharply divided Congress.

A key political aim involves Republicans hoping to attract more Hispanics to their side, while Democrats wishing to keep that growing voter bloc squarely in their camp.

Latinos voted overwhelmingly for President Barack Obama's re-election. He congratulated the committee on its work and urged the Senate to bring the bill to the floor at its earliest possible opportunity.

"The legislation that passed the Judiciary Committee with a strong bipartisan vote is largely consistent with the principles of commonsense reform I have proposed and meets the challenge of fixing our broken immigration system," he said in a statement. "None of the Committee members got everything they wanted, and neither did I, but in the end, we all owe it to the American people to get the best possible result over the finish line."

The measure approved by the Judiciary panel would create a 13-year path to citizenship for most of the country's 11 million undocumented immigrants.

Bipartisan House immigration talks foundering, Republican warns

It aims to strengthen border security while raising the cap on visas for high skilled workers and establishing a new visa program for low skilled workers on America's farms and elsewhere.

Proponents say the change is necessary to permanently and fairly resolve the status of undocumented residents. Critics insist the proposed change amounts to amnesty, rewarding those who chose to break the country's immigration laws.

Sen. Jeff Sessions, R-Alabama, is leading the charge against the "Gang of Eight" proposal and is a tough critic.

He has tried to derail the bill at nearly every turn, arguing that adding millions of newly legalized workers to the mix over the next few years will only hurt the most vulnerable segments of the American work force. He also has raised security and other concerns.

"This will be a hammer blow to the wages and employment opportunities of American workersâ€”both immigrant and native born," Sessions said in a statement after the vote.

"This bill is bad for workers, bad for taxpayers andâ€”as immigration officers have pleaded for us to hearâ€”a threat to public safety and the rule of law," he said.

In a defeat for backers of expanded gay rights, the committee did not approve a pair of Leahy-sponsored amendments bolstering federal support for bi-national same-sex relationships.

Specifically, Leahy had proposed recognizing same-sex marriages in which one spouse is an American, and allowing U.S. citizens to sponsor foreign-born same-sex partners for green cards given proof of a committed relationship.

Florida Sen. Marco Rubio, the most prominent Republican in the "Gang of Eight," was among those who called Leahy's amendments a poison pill virtually certain to destroy GOP support for the measure.

Immigration bill is Democratic plot, House conservative says

Leahy's amendments could be considered again when the bill is taken up by the full Senate. Doing so, however, would be little more than a symbolic gesture, as the proposals have virtually no chance of winning the 60 votes almost certainly needed to clear the 100-member chamber.

Earlier this month, Sen. Richard Durbin, D-Illinois, noted the possibility that an upcoming ruling by the U.S. Supreme Court on the federal Defense of Marriage Act could render the whole issue moot.

"The DOMA ruling could change this whole debate," Durbin said. "They could eliminate DOMA and impose obligations on our federal government (relating to) same gender marriage, and that would dramatically change what we're trying to achieve."

The House is working on its own version of immigration reform.

@highlight

Senate Judiciary Committee passes "Gang of Eight" immigration reform bill

@highlight

Measure passes panel in a 13-5 vote, advances to full Senate

@highlight

NEW: President Obama urges Senate to swiftly consider the measure

@highlight

Panel does not approve a pair of gay rights amendments