Washington (CNN) -- President Barack Obama has signed a law that specifically bans so-called "crush videos" -- depictions of small animals being tortured to death by humans. The legislation came in response to a Supreme Court ruling this year striking down a broader congressional law dealing with animal cruelty.

The Animal Crush Video Prohibition Act criminalizes the creation, sale, and marketing of these specific kinds of videos, which lawmakers had labeled as "obscene." Penalties of up to seven years in prison would be possible.

The videos mostly depict women -- with their faces unseen -- stomping helpless animals such as rabbits to death with spiked-heel shoes or with their bare feet. The videos apparently satisfy a sexual fetish for those who produce and watch them, said animal rights activists who supported the new bill.

"By cracking down on the creation and distribution of crush videos, this bipartisan law effectively protects both animals and free speech," said Sen. Jeff Merkley, D-Oregon, one of the co-sponsors of the bill.

Sens. Jon Kyl, R-Arizona, and Richard Burr, R-North Carolina, also helped draft the legislation.

Supporters said the high court ruling opened the door for Congress to craft a "narrowly tailored" bill aimed at banning this specific type of commercial activity.

"We are thankful that countless animals will now be spared from intentional torture for sick entertainment and profit," said Wayne Pacelle of the Humane Society of the United States, which has worked for years to stop the mostly underground activity.

The justices by an 8-1 margin struck down a broader 1999 federal law designed to stop the sale and marketing of videos showing dogfighting and other acts of animal cruelty, saying it was an unconstitutional violation of free speech. That specific case dealt with a Virginia man who sold videos of dogs fighting each other at an overseas location.

But the lone dissenter, Justice Samuel Alito focused his attention on crush videos. "The animals used in crush videos are living creatures that experience excruciating pain. Our society has long banned such cruelty," he said. The courts, he said, have "erred in second-guessing the legislative judgment about the importance of preventing cruelty to animals."

Alito at the time predicted mores crush videos would soon flood the underground market, because the ruling has "the practical effect of legalizing the sale of such videos."

Lawmakers had promised to craft bills banning those types of videos. It was unclear if further legal challenges would result, following the president signing it into law.

When it came to dog-fighting videos, "The First Amendment itself reflects a judgment by the American people that the benefits of its restrictions on the government outweigh its costs," said Chief Justice John Roberts. He concluded Congress had not sufficiently shown "depictions" of dogfighting were enough to justify a special category of exclusion from free speech protection.

Nearly every state and local jurisdiction have their own laws banning mistreatment of wild and domesticated animals, and usually handle prosecutions

Several media organizations had supported Robert Stevens -- the man behind the dogfighting videos -- worrying the federal law could implicate reports about deer hunting, and depictions of bullfighting in Ernest Hemingway novels. Stevens has defended his dogfighting videos as educational in nature, and has said the confrontations themselves did not violate any state laws since they were taped overseas.

The Humane Society, other animal rights groups, and 26 states backed the government's original high court challenge appeal.

If that 11-year-old law had been upheld, it would have been only the second time the Supreme Court had identified a form of speech undeserving of protection by the First Amendment. The justices in 1982 banned the distribution of child pornography.

There was no immediate criticism of the president's action, but even this new more narrowly written law may face future legal challenges. The crush videos do not specifically depict a sexual act, and so there may be questions over whether the videos are in fact "obscene," at least by traditional legal and social standards.

The justices are currently considering a separate case dealing with so-called "violent" video games, and a California law that would ban the sale of such material to minors. The high court is being asked to treat violent material -- as defined by the state-- the same as obscene material, when imposing restrictions on their sale.

@highlight

President Obama signs bill to ban "crush videos"

@highlight

Lawmakers have called such videos obscene

@highlight

U.S. Supreme Court struck down a broader law in dogfighting case