(CNN) -- The enduring symbol of the government shutdown was when World War II veterans stormed the barricades on the National Mall. They reminded those of us in public service that they fought and died so we could resolve our differences peacefully.

Nowhere on our monuments will you read the words: "I will not negotiate." In fact, our monuments tell the opposite story. Our National Mall is a monument to compromise and sacrificial leadership.

As the debate about how to end the government shutdown converges with a debate over the nation's borrowing limit, the real decision Washington faces is whether to make hard choices now or later.

We don't need short-term extensions as much as we need a long-term spending addiction recovery plan. We are out of control. Congress should do what any responsible parent would do if their adolescent child couldn't handle the responsibility of a credit card. We should cut up the credit card and live within our means.

If we do nothing, sooner or later we'll see the White House's worst fears realized -- a sudden interest rate spike, a collapse of our credit rating and a global economic meltdown.

People of good faith on both sides agree on the math. There is no way we can grow fast enough to avoid massive -- and debilitating -- tax increases or structural changes to our entitlement programs. My friend Erskine Bowles, who served as chief of staff to President Bill Clinton, put it best when he said we face the "most predictable economic crisis in history."

So when Treasury Secretary Jack Lew says failing to lift the debt ceiling would be playing with fire, he's the one on the wrong side of economics and history.

The real danger is not solving the underlying problem of overspending that requires us to raise the debt ceiling. As Moody's Credit Agency has explained, not raising the debt limit will not cause a default and will leave our "creditworthiness intact."

Regardless, we can, and should, act now to avoid further crisis in the future. The good news is we have plenty of options.

The president's own budget is a good place to start. In it he proposed $435 billion in savings over the next decade that many Republicans would accept. Why would he not work with us to enact those savings?

Specifically, the president proposed using a more accurate way to adjust for inflation with Social Security benefits and other federal payments. His proposal could save $230 billion over 10 years. Why should this idea be off limits?

The president also proposed saving $50 billion over the next decade by asking wealthy seniors to pay a little more for their Medicare premiums. I introduced a bill with Democratic Sen. Claire McCaskill building on this policy. Why should our bipartisan bill inspired by the president be off the table?

This week I released a report with Democratic Sens. Carl Levin and Tom Carper and Republican Sen. John McCain. Featured on "60 Minutes," it exposed a "disability industrial complex" that is riddled with fraud. The Social Security Disability Trust Fund will be bankrupt by 2016. Millions of disabled Americans will face benefit cuts or middle-income Americans will face an increase in their payroll taxes. Why should we raise the debt ceiling without working to cut the billions in waste and fraud that has been uncovered in our bipartisan investigations?

Meanwhile, the nonpartisan Government Accountability Office has detailed $250 billion in duplication in our discretionary budget that both parties have largely ignored. Why would we impose billions of dollars of additional debt on future generations when we could instead find billions in additional savings?

I'm pleased my colleagues in the House are making similar and additional proposals of their own. The fact is the menu of options from numerous commissions and proposals amounts to trillions in savings. What we need is the political courage to act.

The real question is: If now is not the time to negotiate, then when? Delaying these decisions might be good for our political security, but it will seriously undermine our economic and national security.

Our founders understood that politicians and factions would always be tempted to not compromise, and would try to ideologically cleanse the public square of meaningful opposition. This hyperpartisan mentality was on display with both the passage of Obamacare and the counterproductive backlash in my own party. The result has been a government shutdown.

As someone with a record of cutting spending and holding popular -- but costly -- bills, I'm not afraid to say that principled compromise is courageous, and neither should anyone in public office. I believe the very compromises that gave us our nation can be used to save our nation.

As much as I would love to see 67 pure conservatives in the Senate, that isn't going to happen. And as much as I would love to cut spending by $9 trillion, as I detailed in my own "Back in Black" plan, I'll settle for less if we can save America in the process.

At pivotal moments, our best leaders have always chosen negotiation and compromise over domination and humiliation. George Washington could have been king but he gave up power. Abraham Lincoln chose reconstruction over retribution. Harry Truman gave our vanquished foes a new beginning with the Marshall Plan, and he even let Japan keep its emperor, and with it secured the peace.

It's time for President Obama, and all our congressional leaders, to do the same. All our problems can be solved, but only if we participate. The time to do so is now.

The opinions expressed in this commentary are solely those of Tom Coburn.

@highlight

Tom Coburn: We need a long-term deal, not short-term extensions in shutdown crisis

@highlight

Coburn: The real danger is not solving the problem of our spending addiction

@highlight

He says for example, the Social Security Disability Trust Fund will be bankrupt by 2016

@highlight

Coburn: The president and Congress must show real leadership and compromise