New York City (CNN)  -- Four years ago, the devastating Hurricane Katrina affected millions in the United States. The initial medical response was ill-equipped, understaffed, poorly coordinated and delayed. Criticism was fierce.

The response to Haiti has been the same. The point no one seems to remember is this: Medical response to these situations cannot be delayed. Immediate access to emergency equipment is also crucial.

Within 24 hours of the earthquake, Dr. David Helfet put together a 13-member team of surgeons, anesthesiologists and operating room nurses, with a massive amount of orthopedic operating room equipment, ready to be flown directly to Port-au-Prince on a private plane.

We also had a plan to replace physicians and equipment -- within 24 hours, we could bring in whatever  was necessary on a private jet. We believe we had a reasonably comprehensive orthopedic trauma service; as trauma surgeons, we planned to provide acute care in the midst of an orthopedic disaster.

We expected many amputations. But we thought we could save limbs that were salvageable, particularly those of children. We recognized that in an underdeveloped country, a limb amputation may be a death sentence. It does not have to be so.

We thought our plan was a good one, but we soon learned we were incredibly naive. Disaster management in Haiti was nonexistent.

The difficulties in getting in -- despite the intelligence we had from people on the ground and Dr. Helfet's  connections with Partners in Health and Bill and Hillary Clinton -- only hinted at the difficulties we would have once we arrived.

We started out Friday morning and got a slot to get into Port-au-Prince on Friday. That was canceled when we were on the runway and was rescheduled for the next day. We were diverted to the Dominican Republic and planned on arriving in Port-au-Prince on Saturday.

That Saturday morning slot also was canceled and postponed until the afternoon. The airport had one runway and hundreds of planes trying to land.  But nobody was prioritizing the flights.

Once we finally landed, we were taken to the General Hospital in Port-au-Prince with our medical supplies. We had been told that this hospital was up and running with two functioning operating rooms.

Once we arrived,  we saw a severely damaged hospital with no running water and only limited electrical power, supplied by a generator. Surgeries were being performed in the equivalent of a large storage closet, where amputations were performed with hacksaws.

This facility could not nearly accommodate our equipment nor our expertise to treat the volume of injuries we saw.

We quickly took our second option: Community Hospital of Haiti, about two miles away. There, we found about 750 patients lying on the floor. But the facility had running water, electricity and two functional operating rooms.

We found scores of patients with pus dripping out of open extremity fractures and crush injuries. Some wounds were already ridden with maggots.

About a third of these victims were children. The entire hospital smelled of infected, rotting limbs and death. Later on, we would judge our surgical progress by the diminishment of the stench.

In our naïveté, we didn't expect that the two anesthesia machines would not work; that there would be only one cautery available in the entire hospital to stop bleeding; that an operating room sterilizer fit only instruments the size of a cigar box; that there would be no sterile saline, no functioning fluoroscopy machine, no blood for transfusions, no ability to do lab work; and the only local staff was a ragtag group of voluntary health providers who, like us, had made it there on their own.

As we got up and running and organized the patients for surgery, we told our contacts in the United States what we needed. More supplies were loaded for a second trip. Those  included a battery-operated pulse lavage, a huge supply of sterile saline and the soft goods we needed desperately in the operating room.

The plane landed as planned Sunday night, and the new equipment was loaded onto a truck. Then that truck, loaded with life-saving equipment, was hijacked somewhere between the airport and the hospital.

We had planned to run a marathon round-the-clock operation and leave at 11 p.m. Tuesday. We worked for 60-plus hours without stopping. The plane that would take us home would bring with it not only a new medical staff, but also equipment that was nonexistent in the hospital, or even the country.

These pieces of equipment, two of each, were urgently needed: portable anesthesiology machines; electrocautery machines to stop bleeding after amputations; portable monitors for the recovery room; autoclaves to sterilize equipment; and a lot of orthopedic equipment, which we were quickly using up. The other items were those that were on the previous flight and had been hijacked.

Officials at the Port-au-Prince airport canceled that plane's 6 a.m. Tuesday slot, and the plane never made it to us on time.

We had started to see daylight Monday night, having performed about 100 surgeries, which were mainly amputations, fixing broken limbs and soft tissue debridements. Many of the patients were children and babies.

But on Tuesday morning, a huge number of new patients arrived. The Haitians had heard we were trying to save limbs, and families were bringing their injured loved ones to us.

The hospital was forced to lock down, closing its gates to the angry and frustrated crowd outside. On Tuesday morning, we saw that many of the patients we had operated on were becoming septic and would require additional surgeries.

We finished operating at noon Tuesday, our last surgery assisting an obstetrician on a Caesarean section and helping to resuscitate a newborn who was not breathing.

We decided the situation was untenable. Our supplies were running out, our team was past exhaustion, safety was rapidly becoming a concern, and we had no firm plan to leave or resupply.

A hospital benefactor helped us get to the airport. First, Jamaican soldiers with M-16s escorted us out of the building as the crowd outside saw us abandoning the hospital. We made it to the airport on the back of a pickup, got onto the tarmac, hailed a commercial plane that had carried cargo to Haiti and was returning to Montreal, Canada, and had a private jet pick us up from there.

We were unprepared for what we saw in Haiti -- the vast amount of human devastation, the complete lack of medical infrastructure,  the lack of support from the Haitian medical community, the lack of organization on the ground.

No one was in charge. We had the first hospital in the Port-au-Prince area with functioning operating rooms, yet no one came to the hospital to assess how we did it or offer help.

The fact that the military could not or would not protect the critical resupply medical equipment on Sunday, or allow the Tuesday flight to come in, is devastating and merits intense investigation.

There was no security at the hospital. We needed a much higher level of security with  strong and clear support of the military from the very beginning.

The lack of support for our operation by the United States is shocking and embarrassing and shows how woefully unprepared we are for the realities of disasters. We came to understand that our isolated operation may work in a mission, but not in a disaster.

We first thought we would support those at the helm but soon realized we were almost the only early responders with the critical expertise and equipment to treat an orthopedic disaster such as this.

Still, nobody with a clear plan is in charge, and care is chaotic at best. Doctors are coming into the country with no plan of what they are going to do, and nobody directing them how to do it.

Surgeons who expect to show up and operate will be  mistaken. Without a complement of support staff and supplies, they are of limited to no value.

We left feeling as if we abandoned these patients, the country and its people, and we feel terrible.

Our role back in New York is to expose the inadequacies of the system in the hopes of effecting change immediately. Patients who are alive and still have their arms and legs remain in jeopardy unless an urgent response is implemented.

The quickest and most efficient way to really help now and support the medical staff on the ground is to assess needs, provide equipment and personnel in necessary quantities, and bring them safely and expeditiously into the country and to the hospital units caring for patients.

Upon our departure, we witnessed pallets of Cheerios and dry goods sitting on the tarmac helping nobody. Yet our flight of critical medical equipment and personnel had been canceled, and the equipment that did get through was hijacked.

We implore an official organization to step up and take charge of the massive ongoing medical effort that will be necessary to care for the people of Haiti and their children. And to do it now.

The opinions expressed in this commentary are solely those of Drs. Dean Lorich, Soumitra Eachempati and David L. Helfet.

@highlight

Doctors gathered sophisticated team and equipment for Haiti on private plane

@highlight

They found nobody in charge, chaos, hospitals had nothing, not even elementary equipment

@highlight

Plane sent with equipment; supplies hijacked; resupply plane not allowed in

@highlight

They say the "lack of support for our operation by the United States is shocking"