Memphis, Tennessee (CNN) -- Diagnosed last year with diabetes, the Rev. Dan Henley point-blank refused the medicine his physician initially suggested to regulate his out-of-whack blood sugar.

"When I got the diagnosis, I said 'I don't receive that.' My doctor said, 'I don't care if you receive or not, you've got diabetes. ... I'll give you 90 days to control it on your own," recounts Henley, 50, pastor of Journey Christian Church in Memphis, Tennessee. The city is home to more obese people than any other American city, according to the Gallup Well-Being Index.

At the start of that 90-day countdown, Henley, his two daughters and, marginally, his wife devised their own "biggest loser" contest. They nixed a whole slew of comparatively high-calorie, low-nutrient favorite foods from their grocery list, ramped up their exercise -- and started talking, more candidly than ever, about how overconsumption of certain fare causes illness, injury and premature death.

"I used to have this slogan: 'I'm 280 pounds of cornbread-, collard green-eating man,'" says the 6-foot-2 Henley. "And the bigger I got, the more I laughed it off. Then, I got this wake-up call."

Now 27 pounds lighter than he was a year ago -- and with his blood sugar levels now normal -- Henley also is founder and lead facilitator of Church Developers Network, one in an arsenal of organizations immersed in a community-wide campaign to move Memphis out of that notorious No. 1 slot.

More to the point, the organized Tennesseans say they aim to be exemplars of health and fitness in a nation where obesity is so pervasive that many a municipality finds itself only fractionally behind Memphis on the obesity rankings.

Girl loses 65 pounds in fight against childhood obesity

That 80 pastors of Memphis megachurches and modest congregations alike attended the network's last monthly meeting is a marker of progress in what is -- by consensus of a complement of doctors, dietitians, public health experts, politicians and grass-roots organizers -- a tough but winnable fight against fat in Tennessee.

It's true that a special ambulance designed to ferry up to 1,800 pounds of human flesh broke down within months of hitting the road earlier this year in Memphis.

But it's also true that the city and surrounding Shelby County -- 650,000 of the county's 935,000 residents are Memphians -- are forging ahead in a fitness effort that has yielded a record number of bike paths and farmers' markets.

The "greenline" is hundreds of miles of multiuse trails for runners, bikers, walkers, strollers and such being developed on old Union Pacific Railway easements. There are "shared areas of fitness," or SAFE zones, and a push for more sidewalks in a car-dependent region not known for being pedestrian-friendly.

"In a city and region where deep-frying is an art form and barbecuing pork is almost a religious experience, we have made some notable steps in promoting healthy living and lifestyles," says Mayor A.C. Wharton Jr., one of several elected officials who have backed what he terms an "every nook and cranny" approach to fighting fat.

More than a third of residents in Memphis are obese, which the federal Centers for Disease Control defines as having a body mass index of 30 or higher. That translates, as one example, into a 5-foot-9-inch adult who weighs 203 or more pounds. People age 19 and younger with a BMI higher than 95% or more of their peers are considered obese.

Memphis' protracted work against that scourge appears to be paying off. After exceeding the statewide obesity rate for all but four years since 1997, Shelby County's tally of overweight adults dropped below the statewide rate in 2011, according to the Institute for Obesity & Metabolism at Vanderbilt University School of Medicine.

That year, 61.5% of adults countywide and 66.5% of adults statewide were obese, according to Joan Randall, the institute's administrative director and executive director of the Tennessee Obesity Task Force. The institute does not calculate city-by-city rates.

Video: Corner stores help clean up obesity in Philadelphia

Vanderbilt demographers caution that two years of data are needed to affirm that what's going on in Shelby County is a bona fide trend.

If it is, the change results from clarifying what's at stake, says Renee Frazier, chief executive officer of the decade-old Healthy Memphis Common Table, one of the nation's 50 regional health improvement collaboratives. Such groups convene physicians, employers, hospitals, insurers and others with the goal of optimizing community health. Healthy Memphis is the sole such collaborative in the Mid-South.

"We've certainly captured the attention of policy-makers on this issue," Frazier says.

But policy-makers alone won't be the deciding factor in areas such as Memphis and Shelby County. There, African-Americans comprise 52.3% of residents, whites 43.6%, Latinos 5.8%, Asians 2.4% and those from other races make up less than 1%. A fifth of the population -- across lines of race, though the poor disproportionately are black and brown -- lives at or below the federal poverty level.

"There is such a correlation between poverty and obesity," says Vanderbilt's Randall. "People who are poor try to stretch their budget by buying cheaper food, processed food. They also live in pockets of metropolitan or rural areas where they don't necessarily have access to healthy food. ... There's also a correlation between physical activity and income level."

With sufficient education on topics including health and nutrition also lacking, especially among the poor, says Healthy Memphis' Frazier, battling the bulge requires help from many sectors.

A food truck vendor at an 800-person 2012 holiday party that Healthy Memphis helped arrange on behalf of Leadership Memphis ended up modifying his recipes after Healthy Memphis' dietitians revealed the caloric and nutritional values of what he was serving.

Your brain on food: Obesity, fasting and addiction

"We're trying to establish a practice," says Connie Binkowitz, Healthy Memphis' manager of equity and neighborhood transformation. "It's to jar people enough for them to begin to think, 'Oh, I didn't even know that' and, from there, to make adjustments."

In addition to those vendors, Frazier and Binkowitz cite the activities of such grass-roots players as retired corporate cost-accountant Adonna Collins, 77, a full-time volunteer who donates time to, among others, Healthy Memphis.

For a nonrelated charity fundraiser this Christmas, Collins is replacing the refined sugar and some of the water in her tried-and-true recipe for strawberry cake with frozen strawberries sweetened artificially and selling that version. She once enlisted fellow shoppers' help in a successful yearlong bid to get the Kroger store where she has been shopping since 1961 to re-stock its shelves with fruit canned in natural juices instead of high-fructose corn syrup.

She has dropped 40 pounds from a 5-foot-3-inch frame that carried 238.6 pounds at its peak. Her goal? "Skinny," she says, then guffaws. "Or, really, 130 pounds, which, on me, really isn't skinny. ... Mainly, I'm determined to feel good -- and even now, I tend to feel good -- and to share what I've learned about the glycemic index and so on."

Broadly speaking, that's an apt communal approach, says the Rev. Dr. Scott Morris, the physician-founder of Church Health Center Wellness, which operates pay-what-you-reasonably-can medical clinics for the uninsured and working poor and similarly priced memberships to its two-story, state-of-the-art gym, 10 minutes' drive from downtown Memphis.

Every member gets a monthly consultation with a trainer and nutritionist at Church Health, where blood pressure gauges are on the gym floor. Center staffers run the tests and keep files of members' fitness trajectories.

Health care costs to bulge along with U.S. waistlines

"We expect the people to work this program," says Morris, a family practitioner and pastor of Memphis' St. John's United Methodist Church. "This is not a place to come and get on the treadmill with your headphones on. There are probably 10 people here at this very moment who weigh 300 pounds. ... We also probably have more success stories than I can count."

Church Health has a mind-body-spirit ethos, says Morris, the doctor who diagnosed Henley's diabetes. It considers the everyday financial, social and cultural concerns that can and sometimes do factor into obesity.

Collectively, the Henley clan has dropped 97 pounds thus far. (Henley's youngest daughter, a college freshman, leads the pack, shedding 50 pounds. At 5 feet 8 inches tall, she used to weigh 230 pounds.)

"The data shows that Memphis is one of the most obese cities in the nation. When I look around, I see that. I saw it on myself," Henley says.

"Even now, I'm still overweight and I'm still working at this. ... We saw what could happen within our own family, then we took it to our church, to other churches. The Bible says 'People perish for lack of knowledge.' Sometimes we're just ignorant to things. ... That ignorance is part of what we're trying to change."

Like CNN Health on Facebook

@highlight

More than a third of Memphis' residents are obese

@highlight

Church leaders and other groups are determined to slim Memphis down

@highlight

"We have made some notable steps in promoting healthy living," the mayor says

@highlight

Grass-roots activists are also playing a role