(CNN) -- When the last surviving soldiers of the First World War -- British Tommies and French poilus alike -- died a few years ago, national newspapers in London and Paris, but also in Canberra, Wellington and Ottawa, responded to this transition with numerous articles.

The reason was obvious: For the French as for the British, the former Dominions, but also for the Belgians, World War I is seen still today as the main historical watershed of the 20th century. And it is not by accident that in the political and historical language of these countries this fact is reflected accordingly. The war is not so much commemorated as the first of two world wars but as La Grande Guerre, The Great War, De Groote Oorlog.

Commemorating the war in Germany has always been and still today is much more complicated. Whatever were the consequences of the war after 1918, there was another history that came to overshadow the war and made it only the first of two catastrophes.

In the light of National Socialist dictatorship, the Second World War and the monstrosity of the Holocaust, the war of 1914 became, in the eyes of many Germans, a kind of past past, a prelude to the total war which started in September 1939 and which would lead to the final catastrophe of a German nation state in the 20th Century.

It is against this background that even after 100 years, for many Germans the fatal shots in Sarajevo mark the beginning of a second Thirty Years War of unprecedented violence between 1914 and 1945 -- in other words there is a stark tendency to view the First World War in relation to 1933 and 1939, and to see the rise of Hitler as a consequence of the burden which the war and the following peace treaty of Versailles brought about. The prize of this retrospective logic is a very deterministic view on history: As if the Weimar Republic had been doomed to failure from its very beginning, and as if there had never been any alternative to dictatorship, mass murder and total war.

This constellation also explains why in German discussions, the dimension of the war is reduced to the question of a specific war guilt. Since one cannot possibly deny the responsibility for the outbreak of war in 1939, the debate on 1914 is all the more intensive -- even 50 years after the so-called Fischer debate of the 1960s, caused by the Hamburg historian Fritz Fischer who argued that German political and military elites deliberately caused the war in an attempt to break off the perceived encirclement of the country.

In a fierce controversy, Fischer was attacked by many conservative colleagues, many of whom had fought in the war. They accused him of confirming, ex-post facto, the allied position after 1918 vis-à-vis Germany and of legitimizing the Versailles treaty's logic, which had so much poisoned the Weimar Republic's political culture.

The amazing success of Christopher Clark's book "The Sleepwalkers" in Germany a hundred years after the outbreak of the war underlines just how important the question of war guilt still is in the eyes of many Germans. The book's argument of shared responsibility, of all international actors and a complex interaction in July 1914, is translated into some kind of historical exculpation: Yes, Germany caused the Second World War, but it is not the main and sole culprit behind the escalation in 1914 -- and hence German responsibility for what went wrong in the first half of the 20th Century seems to be put in relative terms.

At the moment one can witness how historical analysis is translated into the politics of history. At first sight this is the core of what seems to be the continuation of earlier debates of the 1960s between followers and critics of Fischer.

But behind this, another debate becomes visible: One about Germany's self-positioning in Europe and the world. Because for decades the experience of two world wars and the catastrophe of the German nation state meant that Germany would abstain from a leading political role, including military engagements, corresponding to the country's economic strength. Against this background it is hardly surprising that some political commentators argue that now, with the war-guilt of 1914 put away, it is high time to re-formulate a more outspoken European and world-wide responsibility of German politics.

However it seems surprising that all of this is still a very German perspective on a world war that was so much more than what happened at the Western and the Eastern front. From a German perspective it is all too easy to fall into the retrospective logic of history, to view 1914 in the light of 1933, 1939 and 1945. But the first of two world wars was more than a prelude, and it was more than an explosion of violence in Europe.

When writing my own book on the First World War in Harvard, many colleagues from the Americas, from Africa, from China, Japan and from India were right in asking for a global view on a truly global war. Compared with this perspective the German view on the First World War is still heavily impregnated by the boundaries of national memory. 

READ MORE: Should nations pay price for leaders' misdeeds?
READ MORE: Seven things to know about man who sparked WWI
READ MORE: Meet the 'bionic men' of World War I

@highlight

Commemorating WWI in Germany has always been complicated, Leonhard says

@highlight

Germans tend to view WWI in relation to 1933 and 1939, and rise of Hitler a consequence

@highlight

In Germany, the question of guilt for the war tends to dominate discussion

@highlight

Some argue it's time for Germany to move on and be more outspoken in the world