Perth, Australia (CNN) -- "I'm an engineer, so we don't talk emotions too much." Those were the words of Capt. Mark Matthews of the U.S. Navy shortly after the Australian Defense vessel Ocean Shield had discovered a series of pings in the southern Indian Ocean.

Perhaps he didn't want to discuss his feelings. But he had a twinkle in his eye, a bit of what he called "cautious optimism." I've seen that same glimmer shining through on the faces of dozens of others involved in the arduous search for Malaysia Airlines Flight 370. It's been there through each new lead, and even through some of the setbacks.

The search for the missing Boeing 777 has gone on for eight weeks now. We've all had to learn a new technical language: from Inmarsat satellite data and the "Doppler Effect," to the TPL-25 and Bluefin-21. We've heard countless theories about where the plane might have gone and who might have been flying it.

Both the science and the science fiction have, at times, almost drowned out what this search is about at its core: solving the mystery of what happened to the 239 men, women, and children who were on board MH370.

Closure

It takes people to find clues and to follow the trail of where they lead. People who are working tirelessly across borders and time zones, putting their lives on hold with the aim of bringing even the smallest bit of closure to the families of those who have been lost, and to prevent their nightmare from ever happening again.

Some, like Capt. Matthews, might humbly say that they're just doing their jobs. Others remain anonymous, like the international team in Kuala Lumpur, who did much to give the search a tangible focus, even if that focus has shifted several times.

I've been covering the missing flight for CNN for more than 50 days in Malaysia and Australia. I can't pretend that what I do compares with the dedication of the hundreds of service members from China to New Zealand, who have flown tirelessly day after day over millions of square kilometers of the Indian Ocean. I can't pretend that I understand the pain of Selamat Omar, who lost his 29-year-old son, or Danica Weeks, whose husband, Paul, disappeared on the way to start a new job in Mongolia.

But as a journalist, I've felt at least a small part of their confusion and frustration. I recall the difficulty in getting a candid response from Malaysian authorities in the early days of the search -- the way they sidestepped almost all tough questions during that first week after the plane vanished.

I remember the Chinese family members who were brave enough to try to take their quest for answers public and were dragged out of the press room in Kuala Lumpur, screaming and crying. Thinking about their grief, the expressions on their faces that afternoon, still hits me hard.

Human spirit

There have also been moments that have made me proud to be telling this story -- moments that have to do with the human spirit. The card from a 7-year-old on the Wall of Hope inside Kuala Lumpur International Airport, which said she was ready to greet the MH370 passengers as soon as they landed safely.

The moment I saw the pinger locator and Bluefin-21 robotic submarine on the dock at Garden Island in Western Australia, I felt a sense of awe and honor standing just steps away from keys that still have the potential to unlock this puzzle.

And the moment search chief Angus Houston told the world "I'm now optimistic that we will find the aircraft ... in the not too distant future. But we haven't found it yet because this is a very challenging business." A voice of reassurance and reason, even if the challenge soon outweighed the optimism.

Over the past eight weeks, I've witnessed something. It's called hope. It was in the words of the housekeeper who answered the front door at Captain Zaharie's house in the Kuala Lumpur suburbs. It was in in the wake of the Ocean Shield as it pulled away from the dock at Stirling Naval Base and made speed for the search area. It was there when I sat a few feet away from the Malaysia Airlines CEO on Day 4, and it was there when I spoke to Captain Matthews around Day 44.

Just a few days ago, I felt it again, when I returned to Pearce Air Force Base outside Perth. As I stepped onto the tarmac, I recalled the first time I'd done so, more than a month earlier, to welcome back one of our reporters after she'd taken part in an 11-hour search flight.

Solving the mystery

Almost 350 flights later, the massive air search was over with no trace of MH370. Planes from seven countries were lined up in formation at Pearce. Flight crews from Australia to Malaysia to South Korea traded stories, reflecting on the moments behind them, before pausing to recognize the task that still lies ahead.

I remember what a young American pilot who flew on the P8 Poseidon search plane told me: that his greatest disappointment after weeks of looking out over the vast open ocean was not being able to give the families what they needed the most. And that if he could continue the search, he would, until the day he found something.

After all these weeks, it's a feeling that remains strong as ever -- the hope and the belief that we may eventually be able to solve this mystery, and that the families of 239 passengers and crew will one day have the answer to a crucial question: Why?

@highlight

The search for the missing Boeing 777 has gone on for eight weeks now

@highlight

No closer to solving mystery of what happened to the 239 men, women, and children

@highlight

Despite frustration, searchers remain determined to bring closure to relatives of passengers