Port-au-Prince, Haiti (CNN) -- After dumping intense rain and bringing strong winds to Haiti and Cuba on Saturday, Tropical Storm Isaac picked up steam -- and promised to pick up strength -- as it spun toward Florida.

The storm left at least two people dead in the impoverished Caribbean nation of Haiti, pounding camps where hundreds of thousands of people live in tents.

As the Haitian government and outside agencies continued to assess the damage, the focus surrounding Isaac increasingly turned toward Florida, much like the storm itself.

Isaac was roughly 65 miles northeast of Camaguey, Cuba, and 340 miles east-southeast of Key West by late Saturday, moving at about 17 mph, the National Hurricane Center said. The storm system is expected to gain strength and become a hurricane by early Monday as it moves past the Florida Keys and into the Gulf of Mexico.

After barreling north -- affecting Florida's western coast along the way -- the storm is expected to pack 100 mph sustained winds by the time it makes landfall sometime late Tuesday afternoon or early evening on the Florida Panhandle, likely near Panama City, according to forecasters.

That progression prompted Republican Party officials in Tampa to effectively push back Monday's scheduled start of the Republican National Convention one day, hoping the move will make it safer and easier for delegates to attend. Tropical storm conditions could first be felt there by late Sunday, and by late Monday afternoon and early evening, Isaac's eye should be west of the coastal city.

Florida's governor, Rick Scott, insisted Saturday that his state will be ready for whatever happens.

"This is a state that has dealt with hurricanes forever," he told reporters Saturday in Broward County. "We are a state that we know we have to get prepared for hurricanes."

As preparations continue, authorities in Haiti spent Saturday assessing Isaac's aftermath.

The country is still recovering from a devastating earthquake that struck more than two years ago, and its challenges are compounded by the fact it is led by a relatively new government with limited resources. All that said, the top U.N. humanitarian official in the nation praised the initial response efforts.

"So far, I think we're faring reasonably well in our response," Kevin Kennedy told CNN on Saturday afternoon, referring to the efforts led by the Haitian government and assisted by U.N. agencies and non-governmental organizations.

Haitian radio reported that the worst damage was in the country's southeast.

Heavy rain and strong winds persisting into the morning hours caused visible damage to trees and houses in the city of Jacmel, on Haiti's southern coast, and knocked out power. As many as 1,500 of the city's residents took refuge in a school serving as a shelter.

Jacmel Mayor Hugues Paul confirmed at least one death on the outskirts of his city, voicing fears that more deaths will be reported.

A 10-year-old girl also died when a wall fell on her house in Thomazeau, near Port-au-Prince, the country's civil protection agency said.

At the Mega IV camp, where 8,000 Haitians live in makeshift shelters, fallen trees and flooding damaged hundreds of tents. Almost no one had evacuated the camp before the storm, and authorities were searching the camp tent by tent looking for victims.

At another camp, Canaan, half the tents were blown away, according to an official statement on the radio.

Haiti's national electricity supplier at one point said that 30 out of the country's 32 electricity grids were down. Bernard Mevs Hospital was operating on generator power after losing electricity, just before midnight, said Scott Gillenwater of the Project Medishare, which provides services at the hospital.

The nation's main airport closed for a time, but had reopened by late Saturday afternoon, according to Rachel Brumbaugh, operations manager in Haiti for the Christian humanitarian organization World Vision.

In Port-au-Prince, people were evacuated to areas behind the presidential palace and also to a stadium.

The storm dumped up to a foot of rain around Hispaniola -- the island shared by Haiti and the Dominican Republic -- with up to 20 inches in some locales.

Kennedy pointed out the prospect of another humanitarian disaster would have been much worse right after the 2010 earthquake, when about 1.5 million people were living in about 1,500 makeshift camps. Today, he said that figure is closer to 400,000.

But Haiti may not be out of the woods yet, with the possibility of even more heavy rain causing a host of problems along the coast and in populated areas downhill from mountains.

"We could possibly get another 10 inches and, should that happen, we'd be very concerned about flooding in the low-lying areas and those places adjacent to the sea," Kennedy said.

Water levels along the Grey River in Port-au-Prince are already "at their breaking point," and more rain could cause them to overflow their banks and flood surrounding areas, Brumbaugh said.

In Jacmel, residents fear that large amounts of rainfall may cause mudslides, runoff and severe flooding as it did several years ago.

"I'm very worried about the water coming off the mountains and that the city fills up like a sink," said Paul, the city's mayor.

Isaac threatens destruction, cholera

After hitting Haiti, Isaac skirted eastern and central Cuba. Cuban officials reported some storm surge and flooding from rain in the far eastern part of the country, and about 200 people were said to be in shelters in the town of Baracoa. But thus far no major damage or injuries were reported. Strong wind gusts were also felt in Havana.

After passing Cuba and getting back out over open water, Isaac is forecast to gain strength over the next 48 hours, the hurricane center reported.

The Florida Keys, Florida Bay and the state's west coast, from Bonita Beach south to Ocean Reef, are under a hurricane warning.

And a hurricane watch, first issued early Saturday, continued overnight for Florida's east coast from Golden Beach south to Ocean Reef.

A watch means hurricane conditions are possible, and a warning means that hurricane conditions are expected.

A tropical storm warning, meanwhile, was in effect overnight Saturday for Cuba's eastern provinces, most of the Bahamas, Turks and Caicos, the east coast of Florida from Sebastian Inlet south to Ocean Reef and the west coast of Florida from Tarpon Springs south to Bonita Springs -- an area that includes Tampa.

"It has been a fortunate seven years since Wilma hit Florida," National Hurricane Center Director Rick Knabb said, referring to the last hurricane to make landfall in the state. "The luck is going to run out at some point."

Scott declared a state of emergency for his state, which he said is "standard protocol" to ensure a well-coordinated response with local, state and federal agencies.

Big storms like these are nothing to Floridians, the governor pointed out, and people are already working to get ahead of this one.

In Key West, the southernmost point in the United States and likely the first part of the Sunshine State to be hit by Isaac, Mayor Craig Cates told CNN on Saturday that "we're ready (and) we're confident that it's not going to be really bad."

Many storefront windows were boarded up, while hotels were largely vacant even though no orders or recommendations for evacuations had been issued.

Some in Key West, though, suggested they were ready and eager to ride out the storm.

"We came down here to have a good time, we're not going to let a hurricane get in the way," Paul Cannella, a tourist from Chicago who is visiting the Keys. "I am a big believer in lifetime experiences, (and) I've heard about hurricane parties, so we're going to have some fun with it."

Opinion: Wyclef Jean: What about Haiti?

CNN's Martin Savidge, Gary Tuchman, Jim Spellman, Greg Botelho, Brian Walker, Karen Smith and Danielle Dellorto and journalist Jean Junior Osman contributed to this report.

@highlight

NEW: Moving northwest at 17 mph, the storm was 340 miles from Key West late Saturday

@highlight

The start of the Republican National Convention in Tampa is delayed until Tuesday

@highlight

U.N. and aid officials praise the Haiti government's response to the storm

@highlight

Authorities report at least 2 dead in the impoverished nation due to Tropical Storm Isaac