Thousands of angry protesters poured into the streets of the Central African Republic's capital Friday. The target of their rage? Peacekeepers sent to protect them.

Two people were fatally shot, according to the African Union-led peacekeeping force, known as MISCA, when peacekeepers opened fire as their base came under attack in Bangui.

Tensions have been high in Bangui for months. But they erupted this week after an attack Wednesday on a church that killed at least 17 people, according to the U.N. refugee agency.

Another 27 civilians were reportedly abducted by assailants and remain unaccounted for, the U.N. agency said.

It said the church, Notre Dame de Fatima, was housing 9,000 internally displaced people at the time of the attack.

They included some 2,050 people who had moved there only a week ago to escape trouble in nearby neighborhoods, the refugee agency said.

Some of those killed and injured in the church attack were taken Wednesday evening to Bangui's Community Hospital, where medical personnel battled to save them.

In the emergency room, a priest and a 15-year-old boy arrived as patients but did not survive.

Other victims were driven straight to the morgue. Two children were among those killed, the refugee agency said.

Burning tires, barricades

It's not clear who attacked the Church of Notre Dame de Fatima.

But the Fatima area borders the unstable "PK5" neighborhood, where the last remaining group of Muslims in the capital live, trapped and under siege from Christian militia groups.

According to witnesses, an armed group burst into the church Wednesday afternoon, shooting people in and around the area.

Immediately afterward, angry young men responded to the attack by installing barricades around Bangui.

Smoke rose as the youths burned tires, while Christian, or anti-balaka, militiaman moved through the city and sporadic gunfire rattled in the streets.

A few hours later, on Thursday morning, a mosque in Bangui's La Kouanga area was destroyed in apparent retaliation for the church attack. The attackers ransacked the interior, removing carpets and breaking down the doors.

It was one of the last mosques remaining outside the PK5 neighborhood. Local Christians had been protecting the mosque because it was being used by foreign Muslims, from Senegal and elsewhere, but that tolerance came to an abrupt end with the church attack.

AU troops tried to remove the barricades Thursday, but tensions were high around the mosque.

Hundreds also came out in the streets to protest against the international peacekeeping forces -- French troops and the MISCA forces -- whom they accuse of doing too little to protect the people.

The unrest continued Friday.

The International Red Cross described the situation in Bangui as "fluid and somewhat chaotic."

Its teams on the ground have received reports of injured people in the demonstrations but are still assessing the number of casualties, it said.

A town divided

People in Bangui are not alone in suffering the effects of brutal sectarian violence. And once again, the peacekeepers sent to protect the people are bearing the brunt of their anger.

Until last week, Muslims and Christians co-existed peacefully Bambari, a town some 240 miles northeast of the capital.

But all that changed when fighting broke out between Muslim youths and French peacekeepers outside the town.

The young Muslim men, afraid that the peacekeepers would disarm the predominantly Muslim militia based in the town -- leaving them unable to fight off the advancing Christian militia -- took up arms. Some Muslim militia members then joined them.

As the first shots and explosions rang out, terrified Christians and other non-Muslims took refuge in a dusty area between the town's cathedral and the diocesan headquarters.

For three days, thousands took shelter from the clashes. Even as the fighting eased Sunday, most remained there, too scared to leave.

Meanwhile, members of the Muslim community stayed in their neighborhoods, leaving the town of some 65,000 effectively segregated. The French peacekeepers have kept a distance outside town.

The mostly Muslim militia once known as the Seleka changed its name this month to Republican Forces.

Its leaders decided this month to make Bambari their headquarters to stave off the threat from anti-balaka rivals.

"We don't want dialogue with the anti-balaka," a spokesman for the rebels in Bambari said.

"The only thing that exists between us and the anti-balaka is cartridges," he added, slapping the barrel of his gun to emphasize his point.

Spiral of violence

The country began its descent into chaos in March 2013 after a coalition of mostly Muslim rebels ousted President Francois Bozize. The former Seleka group has since been forced from power, but Christian and Muslim militias have continued to battle for control.

To counter attacks on Christian communities, the vigilante groups known as the anti-balaka, which translates to "anti-machete," fought back.

The ethnic violence prompts fears of another genocide like the one in Rwanda 20 years ago.

According to the spokesman for U.N. Secretary-General Ban Ki-moon, the attack on the Church of Notre Dame de Fatima followed violence this week in which suspected anti-balaka elements killed three Muslim youths.

Ban urged the transitional government, which took charge this year, to prevent further violence and hold those responsible to account. He also called on the peacekeeping forces to do all they can to support those efforts.

The United Nations has promised as many as 10,000 military personnel by September 15, which may help expand peacekeeping operations.

@highlight

Protesters rally in Central African Republic capital against international peacekeepers

@highlight

They are angry the force has not done more to stop deadly attacks in Bangui

@highlight

Civilians have also clashed with peacekeepers in the town of Bambari

@highlight

Christians and Muslims in Bambari co-existed peacefully until last week; now town is split