(CNN) -- With a budget of $1.6 billion a year, a global staff of 14,000 and operations in 120 countries, Jasmine Whitbread could be in charge of a multinational corporation.

In fact, she is head of the charity, Save the Children International.

As the first global chief executive of the world's largest kids' not-for-profit, she leads the organization with the business acumen and astute professionalism of a Fortune 500 company.

Founded at the beginning of the 19th-century by two sisters devoted to protecting children, its mission is to respond to humanitarian crises from Oklahoma to Syria.

But in the long term, the organization's remit is centered around improving the way children are treated across the world.

"We want to play a role as a catalyst to really challenge some of these fundamental wrongs that can't be allowed to continue into the 21st century," says Whitbread.

And with Whitbread at the helm, the charity is doing just that. In 2011, Save the Children increased funding and expenditure by 10% and helped 125 million children.

"Children shouldn't be going to bed hungry, they shouldn't be missing out on a basic education, these things are not expensive, they are not hard to solve."

There's no room for vague ideas of "wanting to do good" in a charity like Save the Children.

"We are just trying to help here," she says. "I have heard that refrain from too many organizations and too many quarters where that help is actually doing harm so, I'm under no illusion that just the will to do something good (is) enough.

"We've got to be incredibly professional, we've got to be very impartial in our work and not be drawn on one side or the other.

"You can't just expect to be praised for doing good, you've got to be running a professional organization."

Alongside her visits to crisis-hit countries, she has met with business leaders at the World Economic Forum (WEF) in Davos.

"I do think it's a business where our bottom line is children's lives," says Whitbread, 49.

"We have to be the most efficient we can possibly be, we can't afford to be sloppy and just trying to do the right thing."

To engage with business leaders in Davos, Whitbread needs to emphasize the economic case for the charity's work.

"If I went around talking about children, I don't think that I would get very far," she says. "But if I talk about young people, democratic dividend or the fact that many of these countries are now emerging markets with increasingly young potential workforces, business people can relate to that. It all depends on how you pitch it."

WEF is not only an opportunity to make the business case for the welfare of children, but it's also an ideal forum to strike up relations with companies keen to give back and be a part of the solution.

This includes accepting pro-bono work from the likes of Boston Consulting Group to forming corporate partnerships with Bulgari, GSK, IKEA, Reckitt Benckiser and Unilever.

Save the Children has been criticized in recent years, accused by some of being inefficient after Haiti's 2010 earthquake.

"If there is genuine criticism then we look at ourselves and say 'Ok, how could we be better coordinated? How could we be more efficient?'"

However, she added: "Haiti was such a difficult place to be working with in the first place. Children weren't going to school, children were going to bed hungry before the earthquake. We didn't do a good job of managing the very high expectations that weren't going to be met.

Watch: A crusader for children worldwide

"We have got enrollment in school up to rates that were never the case before the earthquake, so I also think that sometimes the criticism can be unfair."

Whitbread grew up on the outskirts of London and -- apart from a spell volunteering in Uganda in her 20s -- she worked in business until the age of 36.

In 1999, she left her job with Thomson Financial and moved her young family to Senegal in west Africa to become regional director for Oxfam.

After six years with Oxfam, she made the switch to Save the Children, first as chief executive of the UK branch, and in 2010, became the organization's first international head.

Since taking the post, Whitbread has worked to merge much of the work of the not-for-profit's 30 national organizations.

It is not a job that affords much rest. Just back from the Democratic Republic of Congo and Sierra Leone, Whitbread is about to leave for North Korea.

"I try and keep the trips quite short because I do want to get home and spend some time with the family," she says.

"One of the great things about the work that I'm doing now is it's appropriate to bring one of my kids along sometimes. So my daughter came with me to India, my son to China, they've seen quite a bit of the world."

@highlight

Jasmine Whitbread is the first international chief executive of Save the Children

@highlight

The charity raises $1.6bn a year and works in 120 countries

@highlight

In 2011, the organization helped 125 million children.

@highlight

Our bottom line is children's lives, says Whitbread