(CNN) -- This is a story about two brothers.

They grew up in eastern Washington, joined the Marines and fought in Iraq and Afghanistan after the terrorist attacks of September 11.

The brothers served valiantly, in the name of American freedom, to defend liberty and democracy abroad. They saw battle and bloodshed, bore witness to the loss of life and faced the unforgettable and haunting realities of war.

The brothers returned to America emotionally shattered, psychologically distraught and forever changed. And the Department of Veterans Affairs failed to treat them.

Years later, like many of their comrades, these brothers, whose names we are keeping private, suffer from severe post-traumatic stress, anxiety, depression, physical disabilities and memory loss.

One lives with severe head injuries because of the bombs that went off beside him in Fallujah. The other was afraid to admit his suicidal thoughts. And when he finally did, the VA locked him in a room for several torturous hours until they ultimately let him go -- without any treatment or assistance whatsoever. He was left alone to replay and relive the horrors of war.

This is unacceptable and inexcusable. As the wife of a retired Navy commander and the representative of the district covering Fairchild Air Force Base in Spokane, Washington, I see firsthand the permanent effects of war -- both physical and psychological -- on those who serve our country.

Nearly 30% of today's veterans return from war with some kind of service-related disability -- often PTSD or traumatic brain injury -- and too often, the VA fails them.

Though recent reports highlight the fundamental inefficiencies and mismanagement within the agency, the VA has failed to protect America's veterans for far too long. This is a serious problem, and it demands a serious solution.

Document: VA audit report released

This issue is about more than the resignation of Secretary Eric Shinseki; it's about changing the structure and culture that have pervaded the VA for decades. The secretary is not the root of the problem; he's simply the face of it. We need to modernize an outdated agency, bring it into the 21st century and ensure that the VA is better equipped to treat the health and psychological issues that are unique to our veterans.

Shinseki apologizes, orders VA fixes

Moreover, the culture of the VA needs to change: Right now, too many veterans feel as if the VA treats them like a burden, leaving them both alone and untreated in the aftermath of war. We need to address the systemic, structural issues within the VA -- the misallocation of resources, the interminably long waiting lists, the bureaucratic inefficiencies -- to ensure that our American heroes are properly protected the second they return home from war.

The House has taken swift action to do just that. Last week, we passed the overwhelmingly bipartisan Department of Veterans Affairs Management Accountability Act of 2014, which holds the VA accountable for actions that are both egregious and preventable.

We urge the Senate to take immediate action on this legislation so we can get it to the president's desk and signed into law. We cannot afford to waste more time. With 23 deaths already attributed to delayed care -- and many more in which "delay in treatment" has been listed as a factor -- we refuse to let another veteran lose his or her life for something that can be prevented.

When one joins the military, he or she is promised health care for life. So we need to make sure that happens.

I am proud to join Veterans Affairs Committee Chairman Jeff Miller, R-Florida, in his legislation to allow veterans to seek outside care from private practitioners, paid for by the department, if they have been waiting more than 30 days for an appointment. Our veterans should be allowed to go to local doctors and hospitals to treat their physical conditions and rely on the VA for issues that are unique to their specific needs.

It's time to bring the VA into the 21st century with stricter management, greater accountability and better care. While the agency has done great things -- such as its innovative work with prosthetics for disabled veterans or its telehealth system in regions like Spokane -- we need to take a closer look at the VA's infrastructure, its strategic plan and its allocation of resources. The agency needs greater accountability and transparency. But most of all, the VA needs to shift its priorities so the veteran is always the priority.

We will keep fighting. We will fight to give veterans the care they deserve and were promised. We will fight to modernize the VA to meet the needs of today's service members. And we will fight for those two brothers in eastern Washington and for the millions of heroes just like them who have served America with unwavering resolve.

They have protected us, and now we will protect them.

Join us on Facebook.com/CNNOpinion.

@highlight

Rep. Cathy McMorris Rodgers says the dysfunction in the VA is unacceptable and inexcusable

@highlight

She tells the story of two brothers who failed to get adequate treatment after service

@highlight

Nearly 30% of veterans return from war with some kind of service-related disability

@highlight

She supports a bill to allow veterans to seek outside care from private practitioners