Washington (CNN) -- If President Barack Obama fancies himself a modern Will Kane of "High Noon," standing up for what's right when his allies desert him on Syria, he might be following advice the marshal got in the iconic 1952 Western film.

Kane, played by Gary Cooper, goes to his mentor and predecessor Martin Howe in a last-ditch plea for help, but the former lawman -- crippled by age and arthritis -- declines and explains why everyone from the judge to the deputy to the church-going folks of Hadleyville backed off.

"It figures. It's all happened too sudden," says Howe, played by Lon Chaney Jr. "People got to talk themselves into law and order before they do anything about it."

Obama bought himself time for that discussion on whether to attack Syria over the use of banned chemical weapons by putting the question to Congress, setting up Senate committee hearings this week and votes in both chambers after the House returns from summer recess on September 9.

Stunned by what U.S. officials call a major chemical weapons attack on August 21, less than two weeks ago, Obama initially tried to put together an international coalition to respond immediately to punish the regime of Syrian President Bashar al-Assad and signal widespread resolve.

With Russia undermining any U.S. Security Council action, Obama hoped for a coalition similar to the one forged for the 2011 air strikes on Libya -- led by NATO allies with backing from Arab League states.

Congressional hawks tie Syria to military budget cuts

That plan crumbled last week when Britain's Parliament voted against taking part in a military intervention in Syria.

Both France and Germany, while agreeing that the international community must respond to the Syrian chemical weapons attack, also have balked at military intervention without U.N. approval.

Even with backing for an international response from regional powers Turkey, Saudi Arabia and others, Obama decided to force Congress to take a stand instead of using presidential authority to order a U.S. strike.

His arguments for acting sound like a modern "High Noon" script.

Obama looks to Congress to bolster legal case for Syria strike

"This attack is an assault on human dignity," he said Saturday in detailing his decision to seek congressional authorization. "It also presents a serious danger to our national security. It risks making a mockery of the global prohibition on the use of chemical weapons."

Citing a possible escalation in the use of chemical weapons without a response, he added that "in a world with many dangers, this menace must be confronted."

"We cannot raise our children in a world where we will not follow through on the things we say, the accords we sign, the values that define us," Obama said.

However, the response he then outlined sounded a bit less direct than Marshal Kane's shootout in the streets with Frank Miller's gang.

A U.S. strike would be self-wounding

"This would not be an open-ended intervention," Obama said. "We would not put boots on the ground. Instead, our action would be designed to be limited in duration and scope. But I'm confident we can hold the Assad regime accountable for their use of chemical weapons, deter this kind of behavior, and degrade their capacity to carry it out."

To CNN National Security Analyst Peter Bergen, Obama's surprise decision to seek congressional authorization was strategic.

"He probably calculates that for Republican skeptics in Congress, they will have to explain to the American public why it is that they will not sanction military action on Syria after its large-scale use of chemical weapons while they continue to describe Syria's closest ally, Iran, and its nuclear weapons program -- which still has yet to produce any nuclear weapons-- as a grave threat to the world," Bergen wrote Monday..

For liberal Democrats who generally oppose any U.S. military action, "Obama can essentially ask, 'If not now, when?'" Bergen continued.

Obama posed that question Saturday in his remarks to the nation.

Syria vote could have consequences for 2016

"What message will we send if a dictator can gas hundreds of children to death in plain sight and pay no price?" he said. "What's the purpose of the international system that we've built if a prohibition on the use of chemical weapons that has been agreed to by the governments of 98 percent of the world's people and approved overwhelmingly by the Congress of the United States is not enforced?"

Insisting the decision goes well beyond the issue of chemical warfare, Obama argued that "if we won't enforce accountability in the face of this heinous act, what does it say about our resolve to stand up to others who flout fundamental international rules, to governments who would choose to build nuclear arms, to terrorist who would spread biological weapons, to armies who carry out genocide?"

Opinion: Obama on war -- a realist and risk taker

"We cannot raise our children in a world where we will not follow through on the things we say, the accords we sign, the values that define us," he said, channeling a bit of Marshal Kane.

Rep. Mike Pompeo, a conservative Kansas Republican, told CNN on Monday that Obama is "standing up for what he believes, and I agree with the president" on the need to respond militarily to what he called "horrendous war crimes being committed against the civilian population" of Syria.

"I just don't think it's something we can look the other way and say, 'Well, it's halfway around the world. Who cares?'" Pompeo said. "We do care. And we also have a strategic interest there because our adversaries are not stopping."

That sounded like Obama, not Martin Howe in "High Noon," who tells Kane the reason nobody will back him is that "maybe because down deep, they don't care. They just don't care."

Military has concerns about Syria mission

@highlight

President Obama may feel like Marshal Will Kane in the iconic Western film

@highlight

Abandoned by his allies, Obama decides to go to Congress for political cover

@highlight

In the film, Kane is told that "people got to talk themselves into law and order"

@highlight

By seeking congressional approval, Obama buys himself some time