(CNN) -- An advocate for the family of Cameron Todd Willingham, executed six years ago after a fire killed three of his daughters, is sharply questioning the objectivity of the head of the Texas commission looking into whether the man was rightly convicted.

Stephen Saloom, the policy director of the nonprofit legal advocacy group the Innocence Project, brought up a comment attributed last week to John Bradley, chairman of the Texas Forensic Science Commission, during the public comments portion of that panel's meeting Friday.

According to the published report, Bradley said that anti-death penalty groups wanted to hold up Willingham -- convicted in 1992 after a jury determined he deliberately set the fire that killed his three girls -- as a "poster boy" for their cause. Bradley questioned that approach, calling Willingham "a guilty monster."

"This is a very clear statement, 'Willingham is a guilty monster,' that brings into question the reliability of your chairman," said Saloom.

Bradley downplayed the criticism as "New York lawyers" making "personal attacks, rather than legal arguments."

Founded by Barry Scheck and Peter Neufeld, the Innocence Project is a New York-based nonprofit that pursues legal challenges and push policy reforms aimed at exonerating people wrongfully convicted of crimes and preventing future injustices. Death-penalty opponents have said an impartial review of Willingham's case could lead to the unprecedented admission that the state executed an innocent man.

Willingham's daughters -- 2-year-old Amber and 1-year-old twins Karmon and Kameron -- died when their Corsicana, Texas, home went up in flames in 1991. The state's fire marshal, Manuel Vasquez, told jurors in Willingham's trial that the fire was set intentionally and spread quickly due to an inflammable liquid.

While a jury convicted Willingham of murder, three reviews of evidence by outside experts found the arson determination was based on outdated or faulty science. The first of those reports was sent to Gov. Rick Perry's office and submitted to appeals courts before Willingham's execution, while the other two came after his death.

The last of those was ordered in 2008 by the Texas Forensic Sciences Commission, itself authorized in 2005 by an act of the Texas state legislature. In that report, Maryland-based fire science expert Craig Beyler concluded that the arson finding "could not be sustained" -- based on current-day investigative standards, as well as those in place in 1991. But two days before the panel was set to hear from Beyler, Gov. Rick Perry shook up the commission with three appointments, including one to replace the panel's chairman.

Perry later called the move "pretty normal protocol," since the departing members' terms had expired. As governor, he had signed off on Willingham's execution, and critics have accused him of trying to derail a review of that case. Perry has said he's confident Willingham was guilty, while police in Corsicana say other evidence beyond the arson testimony supports the prosecution.

The Forensic Science Commission's movement on the investigation has slowed as the board's new chairman, Bradley, urged a review of the panel's operating rules. Bradley, who was appointed to his current job as Williamson County district attorney in 2001 ahead of his election one year later, said this summer that the Willingham probe "absolutely" will continue, though he would not say when. In July, the Forensic Science Commission found that arson investigators used flawed science in their probe of the Willingham matter, but were not negligent and did not commit misconduct.

At Friday's hearing, Saloom noted "concerns" about several moves that Bradley had made and questioned whether it was necessary to "revisit everything" that the commission had done prior to Bradley's appointment.

"It's pretty clear that the commission was going along pretty swimmingly until Gov. Perry ... appointed Bradley as the new commissioner," added Paul Cates in a phone interview with CNN. "Since he has been part of the new commission, he's tried to stop the commission from doing what we believe that it should be doing."

Later in the hearing, several of the Forensic Commission's members engaged in a heated exchange over the Willingham case and the panel's role. Dr. Garry Adams, for instance, said "it is important to maintain credibility" given the intense media spotlight on the case, while fellow members Lance Evans and Dr. Sarah Kerrigan also questioned the validity of Willingham's conviction.

But Bradley said that much of the debate over Willingham's case was being fanned by the media and other outside influences. He also noted that authorities, ranging from parole boards to the U.S. Supreme Court, had looked into the trial and conviction ahead of Willingham's execution.

"We're being used, and we should recognize that," Bradley said.

On Thursday in Texas, District Court Judge Charlie Baird rebuffed a request by Navarro County District Attorney Lowell Thompson that he step aside as he opened a hearing into whether Willingham's name should be cleared six years after his execution. Members of Willingham's family pushed for the hearing, claiming that "junk science" led to a wrongful conviction and execution.

@highlight

NEW: Texas board members in heated exchange over whether man wrongfully executed

@highlight

Jury convicted Cameron Todd Willingham after finding he set fire that killed three daughters

@highlight

Legal advocate questions the objectivity of the Texas board's chairman

@highlight

Panel's chairman calls criticism "personal attacks" and says, "We're being used"