Cairo, Egypt (CNN) -- As Egypt marked the third anniversary of the January 25 revolution, many of the activists associated with it were behind bars, awaiting trial, or facing a vilification campaign that turned heroes into traitors.

Meanwhile, the police whose brutal force stoked their anger three years ago vowed to protect the weekend celebrations.

Wael Ghonim, the Google executive behind the Facebook page that helped mobilize support for the mass demonstrations in 2011, is living in self-imposed exile in the UAE.

"[I took] the decision to stay away since Egypt doesn't welcome people like me anymore," he wrote in a letter published on his Facebook page on January 7, breaking six months of silence since the military removed President Mohamed Morsy from power in July last year.

Ghonim was a vocal supporter of and participant in the mass demonstrations on June 30, that called for Morsy to step down.

That date is written into the new constitution's preamble as an extension of the January 25 revolution; but activists like Ghonim don't receive the same treatment.

Instead, they are vilified. Recordings of phone calls by Ghonim and other activists, allegedly discussing receiving money from malicious foreign powers in exchange for their activism, aired on Egyptian TV. They are portrayed as activists trying to instigate chaos rather than support democracy.

"This is part of a systematic campaign of moral assassination and settling scores with dissenters," Mostafa Alnagar, one of those allegedly targeted by phone leaks, told CNN. Alnager is facing charges -- with more than 20 others -- for insulting the judiciary, for statements he made as an MP in 2012.

Ghonim said the audio recordings were edited and taken out of context. He said he is willing to return to Egypt if an official investigation into such charges is launched, "to prove my integrity and innocence, against those who attempt to defame my reputation before my family and friends and everyone who has ever trusted me."

The Mubarak regime had leveled these accusations against protesters who amassed in Tahrir Square in 2011. The claims have made their way through the rumor mill over the past seven months, gaining more support, but rarely have they turned into official charges.

In 2011, the April 6 Youth Movement urged Egypt's prosecutor general to investigate similar accusations made in the media. None of its members were charged. Two years later, the movement's co-founder Ahmed Maher was found guilty of illegal protesting; he is now serving a three-year sentence in prison, along with movement member Mohamed Adel and Ahmed Douma, a vocal supporter of the army intervention this past summer.

This was the first conviction under a legislation restricting protests which was approved in November; numerous activists and protesters have since been arrested and charged with congregating illegally, among other crimes.

Among them is Alaa Abdel Fattah, who has been in prison since November awaiting trial on charges of organizing an illegal protest. Abdel-Fattah was imprisoned under Mubarak and then under the military council that took over after ousting him. Under Morsy's rule, he was charged with torching a campaign headquarters in 2012. The case ended recently with a conviction and he was handed a one-year suspended sentence along with his sister Mona Seif, a founding member of the No to Military Trials for Civilians campaign.

In a letter he wrote to his two younger sisters from prison last month, Abdel Fattah expressed frustration with his imprisonment saying it was different from previous times and lacking meaning or purpose.

"Before, I felt as if I was going to prison willingly and emerging victorious," he wrote. "Now, I feel as if I can't stand the people and the country and that there is no meaning for my detention except that it relieves me from the guilt of my helplessness against this iniquitous injustice and its justification.

"Every time I'm imprisoned, a part of me is broken, like every time someone else gets unjustly detained something is broken inside all of us, like every time a martyr dies everyone bleeds. Yes his family and friends bleed much more, but everyone bleeds and pays the price."

Hany El-Gamal, one of 24 men awaiting trial for participating in the same protest, said he was expecting this crackdown.

"This is a typical authoritarian regime that's afraid of different people, afraid of different voices," he told CNN.

But he said it hadn't shaken his faith in a political path; he insists it is the only way is to provide people with an alternative.

Since Morsy's ouster Egypt's political scene has become extremely polarized, between the former Islamist president's supporters and those who back the military.

The past seven months have seen a deadly security crackdown, in which at least 1,000 people were killed and thousands more detained, and a spike in terrorist attacks targeting police and army facilities.

The state declared a war on terrorism and expanded its crackdown to include the country's non-Islamist opposition.

"Egypt has witnessed a series of damaging blows to human rights and state violence on an unprecedented scale over the last seven months," said Hassiba Hadj Sahraoui, Middle East and North Africa Deputy Director at Amnesty International.

The organization's latest report on Egypt specifically highlighted stifling restrictions on freedom of expression and assembly and the use of the judiciary as a "tool of repression."

"The judiciary is being used to punish government opponents while allowing perpetrators of human rights violations to walk free," Hadj Sahraoui added.

Three years ago, mass demonstrations kicked off on police day, fueled by anger with police violations.

Ghonim's Facebook page mobilized support through the case of Khaled Saied, an Alexandria man killed in June 2010. The two policemen convicted of using excessive force against him were granted a retrial. Six activists were arrested and convicted for protesting outside the court during one of the hearings.

The police state has ended, Interim President Adly Mansour said days before this year's anniversary. Addressing the police force on Thursday, he said they had to shoulder the blame for individual violations, which they shouldn't have paid for collectively. Egypt has turned a new page, Mansour insisted.

But activists say that nothing on the ground changed -- if anything, they believe it has gotten worse.

Numerous rights reports attribute increasing security violations to the lack of police reform and continued impunity. Torture in police stations is continuously evidenced through reports and online videos.

Despite this, the police seem to be enjoying a newfound popularity. On June 30, police were welcomed to Tahrir Square, formerly the site of demonstrations against their brutality.

Interior Ministry spokesman Hani Abdel Latif told reporters last July the police had been exonerated for crimes it was falsely accused of, indirectly suggesting such accusations formed part of a Muslim Brotherhood plot against them.

Following a series of bombings outside police stations on Friday, the ministry renewed its promises to protect the weekend's anniversary celebrations.

"Tomorrow we will dispatch security all across the country because these attempts are aimed to spoil the joy of our people in celebrating the third anniversary of the January 25 revolution, but these attacks will only make our people more determined to go down the streets and celebrate their day," the minister of the interior, Mohamed Ibrahim said. "I am sure we will see millions, as if nothing happened."

In the background, citizens at the bombing site in downtown Cairo chanted for the police, calling on Defense Minister Abdel-Fattah El-Sisi to run for president.

@highlight

Several activists who mobilized 2011 demonstrations are behind bars

@highlight

Activist calls it "campaign of moral assassination and settling scores with dissenters"

@highlight

Since Morsy's ouster Egypt's political scene has become extremely polarized