As security forces ran out, militants overran Iraq's second-largest city on Tuesday -- a stunning collapse that heightened questions about Prime Minister Nuri al-Maliki's ability to hold onto not only Mosul, but his entire country.

Militants seized Mosul's airport, TV stations, the governor's office and other parts, if not all, of the northern Iraqi city.

"I only ... saw armed people, but not Iraqi military," said resident Firas al-Maslawi of his drive through Mosul on Tuesday. "There was no presence of any government forces on the streets, the majority of their posts destroyed and manned by (Islamist militants)."

Other witnesses painted similar scenes, of buildings and boulevards manned not by Iraqi soldiers or police but rather by men they say are members of the extremist group the Islamic State of Iraq and Syria, an al Qaeda splinter group also known by its acronym ISIS.

Mosul wasn't the only place in the country beset by violence Tuesday, including some focused closer to the capital of Baghdad. Still, what's happening in this northern Iraqi city is the most serious, given its size, the bloodshed's scope and the brewing humanitarian situation tied to it.

The numerous reports of police and soldiers running from their posts in Mosul raised the prospect that the Iraqi government did not either have the will or resources to win this and other fights.

In perhaps a sign of just how serious the threat is, al-Maliki took to the airwaves to urge all men to volunteer to fight, promising to provide weapons and equipment. The Prime Minister also urged parliament to declare a state of emergency as part of an effort " to confront this ferocious attack that harms all Iraqis."

"We will not allow for the remainder of the ... province and the city to fall," he said in a live speech broadcast on Iraqi state TV.

Already, hundreds in Mosul have been killed since the fighting began five days ago. Tens of thousands more have fled in vehicles and on foot, some of them carrying only what they could in plastic bags. This rush has contributed to bottlenecks at checkpoints as people tried to get to safety in nearby Erbil.

Within Mosul, militants managed to take control of security checkpoints, military bases and a prison, where they freed up to 1,000 prisoners, authorities said. They did so after apparently overrunning Iraqi security forces, whose bodies -- some of them mutilated -- littered the streets, a Reuters journalist on the ground in Mosul reported.

Some police took off their uniforms, dropped their weapons and ran, according to the journalist.

A journalist with Agence France-Presse, who was fleeing the city with his family, reported security forces had abandoned vehicles and a police station was set on fire.

"We can't beat them. We can't. They are well-trained in street fighting, and we're not," one officer, whose identity was withheld, told Reuters. "We need a whole army to drive them out of Mosul."

Fighting elsewhere around Iraq

Political and sectarian violence have wracked Iraq for months, often pitting minority Sunnis against majority Shiite Muslims, who came to dominate the government after Iraqi leader Saddam Hussein was overthrown in 2003.

Tensions are fueled by widespread discontent among the Sunnis, who say they are marginalized by the Shiite-led government and unfairly targeted by heavy-handed security tactics.

Militants also believed to be from ISIS have also taken control of two villages in Kirkuk province and one in Salaheddin province, Iraqi police officials told CNN on Tuesday.

The move into Salaheddin province -- the capital of which, Tikrit, was Saddam's hometown -- shows how close the major fighting is getting to Baghdad. Video posted on YouTube purportedly shows all jail cells in a police station in Beiji in the province abandoned, though CNN could confirm the authenticity of the footage.

On Tuesday night, Iraqi security forces were clashing with dozens of gunmen attempting to storm the Baiji oil refinery about 200 kilometers (125 miles) north of the capital, police officials in Tikrit said.

Closer to Baghdad, at least 31 people were killed and 28 others injured in a series of roadside bombs detonated at a cemetery on the outskirts of the central city of Baquba, according to police officials.

Two residents of Falluja, which is in Sunni-dominated Anbar province and controlled by militants, say a majority of government forces have pulled back from that city to focus on securing Baghdad's perimeter.

This violence is significant but hardly new in Iraq, which has been beset by instability for years.

That includes bloodshed in the years immediately after Saddam's capture over a decade ago. Still, one difference between then and now is the Iraqi government had help from U.S.-led forces at that time.

Now, after a brief lull, the unrest has picked up. The United Nations has said 2013 was the deadliest year in Iraq since 2008, with more than 8,800 people killed -- most of them civilians. Nearly 500,000 people are estimated to have been displaced this year in fighting, primarily in Anbar province.

Radical Islamists on the move

While sectarian strife is largely to blame, there's no doubt that radical Islamists increasingly flexed their muscles and expanded their reach in recent months.

Formost among them is ISIS, which has wrested control of Iraqi cities like Falluja and parts of Ramadi as well as of Syrian towns just over the border. It has done so by exploiting the weakness of Iraq's central Shiite-dominated government, says CNN's Nic Robertson, as it has done in Mosul.

"It is considered too radical even for al Qaeda and, in the past months, has withstood and emerged from a jihadist backlash from its erstwhile radical Islamist allies in Syria's civil war," Robertson said. "Mosul ... has made them the single most dangerous, destabilizing radical group in the region, something al-Maliki's government seems ill-equipped to deal with."

The fall of Mosul -- a predominantly Sunni city with a population of about 1.6 million -- would be a blow to the central government, which is already struggling to contain an insurgency in central Anbar province.

Mosul, about 560 kilometers (350 miles) northwest of Baghdad, was once called the last stronghold of al Qaeda in Iraq by the U.S. military, and at the height of the Iraq war, it was considered one of the main entry points for foreign fighters coming into the country by way of Syria.

The security forces, particularly police, have not always been trusted in Mosul. In 2004, thousands of police officers fled their posts amid the Sunni insurgency, leaving U.S. and Kurdish forces to fight to keep control of the city.

This time around, Jala Abdulrahman saw no sign of government authorities in his Mosul neighborhood, prompting him to flee along with his wife, three children and other family members.

"Gunmen are everywhere in my neighborhood," he told CNN by telephone. "...Where are the Iraqi army and police? Where are the politicians that we trusted and voted for?"

By late Tuesday, Abdulrahman and his family were among hundreds waiting at a checkpoint on the road between Mosul and the Erbil, the capital of Iraq's semiautonomous Kurdish region.

Um Ahmed decided to drive out of Mosul at dawn with her three daughters and two sons. She wasn't taking any chances, especially knowing how gunmen killed her husband outside of a mosque in Mosul a few years ago.

"I left everything behind, and I don't know how long it will take to return back to our home," she said.

Al-Maslawi, the Mosul resident, said that while government forces were absent, ISIS fighters seemed to be in control. Members of the group even urged mobs trying to flee toward Kurdistan to go back home, he said.

"'We will not hurt anyone,'" al-Maslawi said of what ISIS members were saying. "'We have liberated the city of Mosul from al-Maliki forces ... We are running this city, and tomorrow all (businesses) need to be reopened.'

Grisly scene in Iraq: 'See these children?'

Speaker points finger at security forces

Turkey has become part of the story in Mosul as well, with the Turkish Foreign Ministry reporting fighting near its consulate in the city and noting reports that militants abducted 28 Turkish truck drivers hauling fuel.

The drivers were en route from Iskenderun, Turkey, to an electrical plant outside of Mosul. According to the Turkish Foreign Ministry, when the drivers arrived at the plant, ISIS fighters grabbed them.

Earlier, the speaker of Iraq's parliament said that a "foreign invasion" of the country was under way by "terrorist groups" and that the northern province of Nineveh, of which Mosul is the capital, was under "total occupation."

Speaking at a news conference in Baghdad, Osama al-Nujaifi appeared to point the finger at the central government, accusing security forces of abandoning Mosul when the fighting began.

Al-Nujaifi said security forces "abandoned their weapons, their tanks and their bases and left them to terrorist groups, even Mosul airport." He also said gunmen had taken over ammunition storage facilities.

The speaker, whose brother Atheel al-Nujaifi is the governor of Nineveh province, said the central government had been warned over the past few weeks that militant groups were gathering but had taken no preventive action.

"It will not stop at the borders of Nineveh but will reach all of Iraq," he said.

Also criticizing the central government was Nechirvan Barzani, the prime minister of Iraq's semi-autonomous Kurdish region, who blamed security forces for allowing militants to take control of portions of Mosul.

"Over the last two days, we tried extremely hard to establish cooperation with the Iraqi security forces in order to protect the city of Mosul. Tragically, Baghdad adopted a position which has prevented the establishment of this cooperation," he said in a written statement.

While Iraq's defense and interior ministries didn't release statements Tuesday about the situation in Mosul, the country's most influential Shiite cleric expressed support for their efforts.

"Religious authority stresses that Iraqi government and other political leaders need to unify and strengthen its efforts to stand up to the terrorists and to provide protection to citizens," said Grand Ayatollah Ali Al-Sistani.

One move too far: How al-Maliki overreached in Anbar

Thousands flee intense Falluja shelling

Opinion: Why Iraq elections can't fix chaos

@highlight

Witness says ISIS members told people to return to "liberated" Mosul

@highlight

Top Shiite cleric urges national unity "to stand up to the terrorists"

@highlight

Residents: Most government forces have pulled back from Falluja

@highlight

Iraqi Prime Minister calls on men to volunteer to fight, promising to provide weapons