(CNN) -- It's hard to believe, but there was a time when Apple's computers were accused of being strictly last generation.

Their computers were made with clunky Power PC processors, and Windows PC owners smirked at the wheezing Mac platform. Michael Dell even famously said the whole company was so behind the times that if it were up to him, he'd euthanize it.

How things change.

While the rest of the industry was counting Apple out, a Steve Jobs newly returned to Apple spent the early part of the last decade quietly assembling a time machine. Following the iPad, iPhone and MacBook Air before it, the retina-display MacBook Pro announced Monday at the Worldwide Developers Conference in San Francisco is just the latest time traveler Apple has sent back to us from the future.

It's a machine so shiny, so shimmering, so futuristic, so unlike anything else out there that it will take the PC-making competition at least a year to release a truly competing product. How did this even happen? How did Apple assemble its time machine, and why can't the likes of Sony, HP, Dell, Acer and Lenovo seem to catch up?

Apple announces high-res laptops

There's no flux capacitor involved, and although Apple's design team, led by Jony Ive, is truly visionary, there are lots of companies with revolutionary visions of the future of computing. The difference between Apple and other computer makers is that Apple can actually build the revolutionary, magical machines it dreams up.

That's Apple's real mojo. They can actualize. Apple can say to themselves that they are going to revolutionize the professional laptop, or the smartphone, or the tablet, and then not only follow through with an enviable purity of design, source all of the parts and manufacture their product in utter secrecy, then ship the resulting en masse and sell them at unheard of profit margins. No one else can.

It's all in Apple's mastery of the supply chain, which is Tim Cook's particular genius. His strategy is simple: When Apple decides to go ahead and make a revolutionary new product, it buys up literally almost all of the world's stock of the components that define the gadget. This not only gives Apple massive discounts in component prices, because they are buying in extreme bulk, but it also prevents the competition from quickly releasing clones of Apple's iconic machines, or matching Apple in price without cutting corners.

It happens time and time again. When Apple first released the iPhone, it took the smartphone industry a year to release a phone that was even competitive, spec-for-spec, by which time Apple had already unveiled the iPhone 3GS.

Hardware manufacturers trying to compete with Apple constantly discover that they can only build competing devices off of Apple's rejected parts, or else build new factories from the ground up to manufacture the parts they need.

Look at the iPad. It has no competition, 2Â½ years in. Last quarter, Apple sold almost 12 million iPads. Comparatively, Apple's biggest competitor -- Samsung -- sold 1.1 million tablets. Why? Companies simply can't build products as good, or Apple's stranglehold on the manufacturing supply chain prevents them from doing so.

Then there's a MacBook Air. We're starting to see competitive ultrabooks a year and a half after Apple unveiled the second-gen Air, but that's only after Intel reportedly set up a massive $500 million subsidy fund to help PC makers build a MacBook Air clone.

The new retina-display MacBook Pro is another such product. It's a beast of a machine all around, but its defining feature is a high-resolution display with 220 pixels per inch, each smaller than the acuity of the human eye. It's far and away the best display of any notebook or even desktop on the market, and you can bet that Apple is in control of most of the world's supply of the panels necessary to make a machine that even comes close to competing.

There's a famous Ray Bradbury story called "A Sound of Thunder" in which a man travels into the prehistoric past, accidentally squashes an insect underfoot and thus indelibly changes the future forever. Apple is that time traveler. The prehistoric insect is the competition. Apple crushes it underfoot with calculated purpose, and that is how the future of computing is once again forever changed.

The opinions expressed in this commentary are solely those of John Brownlee.

@highlight

John Brownlee: Unveiling of a new MacBook is another sign of Apple's competitive advantage

@highlight

He says Apple does more than innovate; it controls supply chain and freezes out competitors

@highlight

Apple's products can then be sold at extraordinarily high profit margins, he says

@highlight

Brownlee: Apple has a virtual "time machine" with which it's able to stay years ahead