Washington (CNN) -- New Hampshire Republican political pros are not expecting a big surprise when the state's voters cast their ballots in Tuesday's GOP presidential primary, seeing an easy victory for former Massachusetts Gov. Mitt Romney. But the race for second place is much less clear.

A CNN survey of 52 New Hampshire GOP insiders found that only one thought Romney would lose the primary, and that was to former Sen. Rick Santorum of Pennsylvania. This group included Republican leaders in both chambers of the state Legislature, local elected and party officials, business and conservative interest group leaders, veterans of previous primary campaigns, GOP political consultants and other party activists. (Those surveyed were granted anonymity for their individual responses to encourage candor. The names of the insiders who participated in this survey appear at the end of this article.)

The political insiders also thought that while Romney's margin of victory would be substantial, he would not crack 40 percent. When their predictions for what percentage of the vote each candidate would receive were averaged, Romney came out with a victory of 19 percentage points over Rep. Ron Paul of Texas, followed closely by Santorum.

Percentage of primary vote expected
Mitt Romney -- 37%
Ron Paul -- 18%
Rick Santorum -- 16%
Newt Gingrich --12%
Jon Huntsman -- 12%
Rick Perry -- 4%
Others -- 1 %

The CNN insiders closely mirror the most recent statewide poll of likely GOP voters from WMUR and the University of New Hampshire, which indicates a strong lead for Romney, but the same list of other candidates vying for the No. 2 position. Second place could be key coming out of New Hampshire and going into the contentious South Carolina primary January 21.

"Other than Romney right now, feels like the junior varsity on the field," said one New Hampshire GOP insider. Another said, "I believe like so many (that) it's Romney's to lose."

Since finishing second in the GOP presidential primary here four years ago to Sen. John McCain of Arizona, Romney has continued to court New Hampshire Republican activists and maintained a home on Lake Winnipesaukee, about an hour north of Manchester.

So far, none of the other candidates has been able to knock down Romney in a state with a tradition of humbling front-runners. All the other contenders seem to have significant flaws, at least in the eyes of local party activists.

Paul: Too 'wacky'?
Paul, who commands a loyal following in the state, faces two of the same hurdles that he faced in Iowa: the view among many in the party -- fair or unfair -- that he can't defeat President Barack Obama in November, and his isolationist foreign policy views, which are anathema to many Republicans.

What do you think has been the biggest obstacle for Paul in New Hampshire?
Perception that he can't win in the general election -- 50%
His stance on foreign policy -- 48%
Paul is too extreme for New Hampshire (volunteered) -- 2%

"He has a ceiling to grow entirely because of his foreign policy views," one New Hampshire GOP insider said. "He has his bloc; they are passionate and not going anywhere."

Others said they feel that Paul's foreign policy stance feeds into a broader impression of 76-year-old congressman and his campaign. "He's often wacky," another GOP insider said. "And his supporters turn off regular voters with their messianic zeal."

Santorum: Not enough time
Hoping to build on his near-victory in the Iowa caucuses, Santorum has held town-hall meetings throughout the state taking questions from all comers. Doing so earns him points from locals who believe they have a duty to cross-examine White House hopefuls, but it also has led to a number of hard questions about Santorum's strenuous opposition to same-sex marriage, which at times put him on the defensive. Indeed, a slight majority of the New Hampshire GOP insiders said they felt Santorum's stance on social issues was a major handicap for him in the state.

What do you think has been the biggest obstacle for Santorum in New Hampshire?
His views on social issues are too conservative for many Republican and independent voters -- 52%
He doesn't have enough time or money to capitalize on his Iowa caucus showing -- 44%
Both (volunteered) -- 2%
Perception that he can't win the nomination -- 2%

Indeed, one New Hampshire insider said that brief window between the Iowa caucuses and the New Hampshire primary helps Santorum because it "minimizes the time for him to spout off on (the) social conservative agenda and turn off late deciders."

But others said they thought that if he had had more than a week to campaign, Santorum might have been able to at least partially overcome his perceived liability on social issues. "Despite his social conservative views in New Hampshire, I believe he could gain more momentum here if he had more time because of the kind of grass-roots campaigner he is," one GOP insider ventured. "Not sure he could win, but he could beat Paul."

Huntsman: Too moderate?
If Santorum has a problem in New Hampshire because some of his views are too conservative, former Utah Gov. Jon Huntsman, who was ambassador to China during the first two years of the Obama administration, has to deal with the view that he's too moderate for the state's GOP primary electorate.

What do you think has been the biggest obstacle for Huntsman in New Hampshire?
Perception that he's too moderate -- 50%
Perception that he can't win the GOP nomination -- 40%
His message has been muddled (volunteered) -- 10%

"Yes, he has appeared too moderate, and yes, he is perceived as someone who can't win the nomination," one GOP insider said. "But the reason that both of those have been obstacles for Huntsman is because his message has been all over the place, with no discipline, no definition."

Another echoed, "I think his biggest obstacle has been his campaign's confusing messaging. Within the span of a few months, they tried to convey him as the common-sense moderate and the true conservative."

Gingrich: Too much of a Washington insider?
As for Newt Gingrich, it was clear what his biggest problem was in the New Hampshire -- the view that his business ties to companies such as Freddie Mac left the former House speaker open to the charge that he's part of the influence-peddling culture of Washington.

What do you think has been the biggest obstacle for Gingrich in New Hampshire?
His consulting for the government mortgage-giant Freddie Mac and other interests -- 63%
His personal life -- 27%
Weak staff and campaign in the state (volunteered) -- 8%
Consulting and personal life (volunteered) -- 2%

"New Hampshire Romney surrogates were pounding him every chance they got," one GOP insider said, citing Gingrich's vulnerability on his consulting ties.

The CNN New Hampshire GOP insiders were surveyed from Friday to Sunday afternoon. The survey was conducted over the Internet. The New Hampshire insiders were given anonymity for their individual answers to encourage candid responses. Half of the insiders said they were formally aligned with one of the presidential campaigns, and half said they had neither endorsed nor were they working for any candidate. Here are the names of the participants in the survey: Kevin Abbott, Peter Angerhofer, Charlie Arlinghaus, Richard Ashooh, Brad Blais, Travis Blais, Grant Bosse, Jeb Bradley, Peter Bragdon, Jamie Burnett, Amelia Chasse, Paul Collins, Bradford E. Cook, Thomas Cronin, Fergus Cullen, Michael P. Dennehy, Ed Dupont, Stephen Duprey, Jay Flanders, Jim Foley, Matt Hagerty, Erin Hass, Jennifer Horn, Periklis Karoutas, Rich Killion, Corey Lewandowski, John Lyons, Sean Mahoney, Kerry Marsh, Jim MacEachern, Shannon McGinley, Jim Merrill, Nancy Merrill, Betsy Miller, Jayne Millerick, Maureen Mooney, B.J. Perry, Thomas D. Rath, Stella Scamman, Pete Silva, Nick Skaltsis, Dan St. Hilaire, John Stephen, Sharon Sykas, Donna Sytek, Pamela Tucker, Peter Weeks, Karen Umberger, J. Christopher Williams, Chris Wolfe, Will Wrobleski and Paul Young.

@highlight

Mitt Romney is a clear favorite among New Hampshire political pros, insider survey finds

@highlight

Ron Paul, Rick Santorum, Newt Gingrich and Jon Huntsman in close race for second place

@highlight

Insiders say besides Romney, the rest of field feels like "junior varsity"