(CNN) -- Nicknamed Gunkanjima, or Battleship Island, because of its shape, Hashima island has an eerie, sinister look, perfect for, say, a villain's lair in an action movie.

The inspiration for villain Raoul Silva's deserted hideout in the James Bond movie "Skyfall," the island figures in one of the most dramatic shots of the film.

Its industrial ruins loom slowly into view as Bond and yet another ill-fated Bond girl speed toward the island in a luxury boat.

In real life, a trip to the island is less dramatic.

In 2009, tour operators began offering trips from Nagasaki to Hashima.

A standard trip entails a 40-minute boat ride and then an hour on the island, depending on weather conditions -- often the weather is so poor that boats don't even try to land.

Those hoping to pick their way through the rubble in Bond's footsteps, or take a photo at building number 65, where Bond babe Severine meets a gruesome end, will be disappointed.

The tourist route is a clearly defined path skirting just a quarter of the island.

While there's a good view of the ruins, visitors can't get anywhere close.

For that they need special permission from the Nagasaki City Council, and a compelling reason for going inside.

There's a simple explanation for all the security -- the ruins are extremely dangerous.

Read more: Hashima Island's wartime past

Boom and bust history

For almost 100 years, Hashima was a mining facility run by corporate giant Mitsubishi.

The mining community was housed in some of Japan's and the world's earliest concrete high-rises.

On this tiny 16-acre plot of land, high-rises were the best option for housing.

By 1959, the island was one of the most densely populated places on earth, with 5,259 people living on just 18 acres.

But by 1974, gas had replaced coal as Japan's major fuel source, Mitsubishi pulled out of the island, workers found jobs elsewhere and Hashima was left to rot.

According to the Nagasaki City Council, location scouts from Skyfall's production team spent several days on the island but decided it was too dangerous to film there.

Instead, sets duplicating Hashima's eerie wreckage were built in Pinewood Studios in the United Kingdom.

Security for visitors

Visitors who are given permission must wear hard hats and have an escort from Nagasaki's city council.

Additional caution is necessary -- balconies and railings are long gone and a wrong turn up the "stairway to hell" to the rooftop can lead the unwary visitor to narrow pathways between buildings with perilous drops on either side.

Those who think they remember the way down from a climb to the top of the structure -- a small, wind-blown shrine remains there -- can find themselves in rooms with gaping holes in the floorboards and sheer drops to floors below.

Ghost town

Although Hashima was by no means abandoned overnight, it feels as though it might have been.

In the school, exercise books and broken abacuses lie in corners where sea winds have blown them.

Sheets of X-rays scatter the floor in the hospital, with faded imprints of miners' lungs still visible.

Children's shoes dot ruined pathways, as though their owners lost them while running to evacuate.

It feels a bit like Pripyat, the town adjoining Chernobyl, where residents really did leave in a hurry after the town's nuclear reactor exploded in 1986.

Weird stories

There are plenty of tales of weirdness surrounding everyday life on the island.

A guide who works at Gunkanjima Concierge, Tomoji Kobata is one of the three tour operators who lead trips to the island.

Although Kobata lived on the island for only a year in 1961, he's full of stories.

From the water, he points out spots where lovers would climb onto the island walls to watch the sunset, seeking out the smallest bit of privacy in a place where privacy was a rarity.

"It reminded me of Hong Kong," he says. "Cooking hours were quite noisy. Wives would borrow seasoning and exchange food they couldn't eat.

"No one would lock the door. There was an old woman called 'Watchdog' who checked on everyone who came in and out and would know everyone's business."

Kobata also talks about the darker side of Hashima's past.

Before and during World War II, Hashima, like many industrial sites in Japan, was a location for forced labor.

Korean and Chinese prisoners of war were kept here, enduring varying degrees of hardship.

Conditions in the mines were grueling.

Workers were subjected to heat and humidity with very little to eat and beatings if they slacked.

According to local records, 123 Koreans and 15 Chinese died on the island between 1925 and 1945.

Hashima is one of several industrial sites awaiting inclusion on UNESCO's list of World Heritage Sites. South Korea, however, has formally objected to the island's petition for recognition due to its association with wartime slave laborers.

See also: 'Slave trade ghost town': The dark history of Bunce Island

Former Chinese laborers are still trying to gain compensation and an official apology from Mitsubishi for their enslavement at sites across the empire during World War II.

To Japan's neighbors, the island, in its ruined eeriness, is a symbol of a war wound that won't heal.

To most Japanese, it's a decaying remnant from a forgotten time.

@highlight

Japan's abandoned Hashima Island was the inspiration for the villain's lair in "Skyfall"

@highlight

Tour operators have been offering trips from Nagasaki to Hashima since 2009, but access is limited

@highlight

The ruins are spectacular and dangerous, and come with a dark history