(CNN)The United States has seemingly erupted this week about what it means to live your religion, especially in Indiana, where its new Religious Freedom Restoration Act faces a firestorm from critics who say it uses faith as a pretext to discriminate against gay people.

Such state laws have been growing ever since the U.S. Religious Freedom Restoration Act became law in 1993, designed to prohibit the federal government from "substantially burdening" a person's exercise of religion.

So far, 20 states have some version of the religious liberty law, and the legal controversies have grown, too.

Nonetheless, claims under those state RFRAs are "exceedingly rare," and victories involved mostly religious minorities, not Christian denominations, experts say.

"There is reason to doubt whether these state-level religious liberty provisions truly provide meaningful protections for religious believers," wrote Wayne State University law professor Christopher Lund in a 2010 analysis, when there were only 16 states with such laws.

Here are some of the more interesting cases arising from the federal and state laws, touching upon an array of religious matters from a knife carried by an IRS accountant to a tea from the Amazon:

He was a Native American with eagle feathers at a religious gathering of tribes. But not in the eyes of the feds.

In 2006, Robert Soto and Michael Russell attended an American Indian powwow while in possession of eagle feathers, in violation of the federal Eagle Protection Act, which outlaws the killing of bald and golden eagles and even picking their feathers off the ground.

Soto, a Lipan Apache, asserted he was participating in an Indian religious ceremony. The feathers are sacred to Native Americans.

But a federal Fish and Wildlife Service agent found his tribe wasn't federally recognized, and Soto surrendered his feathers. Russell, who is married to Soto's sister, isn't American Indian and agreed to pay a fine, according to court papers and the America Bar Association Journal.

Soto, however, petitioned the federal Interior Department to return his feathers. The feds said no, because he wasn't from a recognized tribe.

Soto and Russell sued the federal government, but a federal district court ruled in favor of the government, rejecting the two men's First Amendment assertions and their claims under the federal Religious Freedom Restoration Act, the same 1993 statute that Indiana legislators used in developing their new state law.

But last August, the 5th U.S. Circuit Court of Appeals reversed the trial court's decision and sent the case back to that court after finding the government's action would violate the federal RFRA.

On March 10, the federal government returned the eagle feathers to Soto. But the legal war isn't over.

The federal government still maintains it can criminally prosecute Soto and his congregants, so Soto is seeking a preliminary injunction, claiming the feds are violating the federal RFRA, said Luke Goodrich, Soto's attorney who's with the Becket Fund for Religious Liberty.

A tea used by a Brazilian faith is to them like wine used by Catholics at communion, but U.S. agents considered the brew an illegal drug.

The religious organization O Centro Espirita Beneficiente Uniao do Vegetal uses a sacramental tea called hoasca, made from two plants native to the Amazon that contains dimethyltryptamine, a hallucinogen, in violation of the Controlled Substances Act.

The religion is a Christian spiritist faith that originated in Brazil and includes Amazonian and indigenous spiritual traditions.

About 140 members of the church live in the United States and use the tea in a sacred communion.

In May 1999, U.S. Customs agents entered the church headquarters in Santa Fe, New Mexico, and seized all of its hoasca.

The church became alarmed and cited how the federal government allows an exception for American Indians to use another illegal drug, peyote, in their religious ceremonies.

In fact, the federal RFRA was designed partly to protect the Native Americans' use of peyote, said CNN legal analyst Jeffrey Toobin.

"They were a legitimate religion, and this was a legitimate ritual of the religion, and Congress wanted to make sure it was protected," Toobin said of peyote and the 1993 law.

The Uniao do Vegetal, which means "the union of the plants," cited that federal law in suing the federal government.

"The government has never explained why it has accommodated The Native American Church's use of peyote (which contains mescaline, also a controlled substance) but cannot accommodate the UDV's use of hoasca," the church said in a statement.

The U.S. Supreme Court ruled in the church's favor, saying the federal government failed to show a compelling interest to ban the substance for religious use.

"The peyote exception also fatally undermines the government's broader contention that the Controlled Substances Act establishes a closed regulatory system that admits of no exceptions under RFRA," the court ruling said.

Bruce Rich, an Orthodox Jewish prisoner in Florida, wanted kosher meals, but the warden said no.

So Rich sued the state prison system in 2010, saying its denial of a kosher menu violated the Religious Land Use and Institutionalized Persons Act of 2000, a landmark civil law rights law for inmates whose predecessor was the federal religious freedom law.

Rich, 66, is serving a life sentence for murdering his parents, in their 70s, in 1995 allegedly to inherit their home.

The prison system argued the meals were costly and would lead to security concerns, namely "retaliation against the kosher inmates" if other inmates believed the higher costs of kosher meals impacted the quality of their food, court papers said.

At least 35 other states and the federal government, however, provided kosher diets to inmates.

After losing before a magistrate, Rich won an appeal before the 11th Circuit Court, which cited "the defendant's meager efforts to explain why Florida's prisons are so different from the penal institutions that now provide kosher meals such that the plans adopted by those other institutions would not work in Florida."

Recently baptized in the Sikh faith, Kawal Tagore went to her job with the IRS in Houston in 2005 carrying a new religious item: a 9-inch kirpan, a small ceremonial sword that resembles a knife but has an edge that is blunted or curved.

Tagore needed to carry the kirpan at all times as a mandatory article of faith.

But the federal government banned her from the building, citing the kirpan as a "dangerous weapon" with a more than 3-inch blade, and she was later fired from her accounting job because she refused to keep the kirpan out of the workplace.

Tagore sued the government under the federal law.

Tagore cited how the government allowed the public to enter the federal building with more threatening objects: real 2.5-inch blade knives and metal canes, said her attorneys with the Newar Law Firm and the Becket Fund. Also, federal employees inside the building were allowed to use box cutters and cake knives.

In November, the federal government agreed to settle the case shortly after the start of Tagore's trial.

The settlement included no admission of wrongdoing, the Christian Science Monitor reported.

Tagore's attorneys described the settlement as "a groundbreaking policy allowing Sikhs and other religious minorities to wear religious symbols and attire in federal buildings," they said in a statement.

Invoking a religious freedom law and related statutes doesn't always equate to victory.

In Chicago, an association of 40 churches called the Civil Liberties for Urban Believers found it too onerous to erect houses of worship in business and commercial zones.

The ministers needed a special use permit, but such permits were often thwarted by aldermen or it was too bureaucratic and costly to obtain one, the church leaders claimed.

In fact, it was easier to get a club, lodge or community center approved.

So the pastors sued the city of Chicago in 2000, alleging that its zoning laws violated the Illinois religious freedom statute, the federal Religious Land Use and Institutionalized Persons Act and the U.S. Constitution.

But in 2003, the 7th Circuit Court of Appeals upheld a lower court decision and rejected the church group's claims, finding no substantial burden on the churches, which also failed to establish their RLUIPA claim.

Defeated, church leaders were angry.

"The forty (40) churches in C.L.U.B. and certainly people of all faiths throughout Chicago are outraged by the majority opinion which neuters the Religious Land Use and Institutionalized Persons Act passed unanimously by Congress in 2000," Apostle Theodore Wilkinson, the group's chairman, said in a statement.

"Also alarming is the court's conclusion that Chicago's religious assemblies have no free speech protection from zoning laws. The majority opinion would apparently extend free speech protection to religious assemblies only if they allowed live nude dancing," he said.

At the same time, the city of Chicago revised its zoning ordinance to avoid "the threat of heightened scrutiny under RLUIPA," according to a League of California Cities report in 2002.

CNN's Alexandra Meeks contributed to this report.

@highlight

A Native American from a tribe not recognized by the feds wins the return of his eagle feathers

@highlight

An IRS accountant is fired for insisting on carrying a symbolic Sikh knife to work

@highlight

A group of Chicago pastors takes on City Hall over its permits for new churches and loses