Something struck Tamerlan Tsarnaev's aunt when her nephew arrived in southern Russia last year.

He prayed regularly, she said. He avoided looking women in the eye. His transformation into a devout Muslim was a radical change.

Less than a year since Pateimat Suleimanova last saw her nephew, he is dead. The FBI says he and his younger brother were behind the Boston Marathon bombings that killed three people and injured more than 170. Authorities say Tsarnaev died after a gunfight with police early Friday.

But the suspects' possible motive remains a mystery.  And a key question has emerged as investigators comb through clues: What did Tsarnaev do during a trip to Russia from January to July of last year?

According to family accounts, Tsarnaev visited Makhachkala, where his father lives.

After Tsarnaev returned to the United States in mid-July, a video of an Islamic militant known as Abu Dujana was posted and then removed from Tsarnaev's YouTube channel.

Suspect posted video of jihadist, analysis shows

Five months after Tsarnaev left Makhachkala, Russian security forces there killed Abu Dujana during a gunbattle that left a home in shambles.

It's unclear whether Tsarnaev ever met Abu Dujana, or had any ties with the militant group he led.

Information about Tsarnaev's trip to Russia has been hard to come by. But speaking to CNN from Makhachkala on Monday, Suleimanova revealed new details about what Tsarnaev did there, and how his family perceived his behavior.

The Dagestan connection

Side trip to Chechnya

Suleimanova said Tsarnaev traveled to Chechnya twice, likely going to see his father's family in Gudermes and Chiriyurt  -- towns less than 200 kilometers (about 125 miles) away that were flashpoints in fighting between Russian forces and Chechan rebels during their longstanding tensions in 1990s.

Tsarnaev was born in 1986 in Kyrgyzstan to an ethnically Chechen family, his uncle said last week.

His birthplace is in a part of the world that's no stranger to violence or terrorism, and the Tsarnaev family saw that firsthand.

The family fled violence in Kyrgyzstan and lived in Chechnya when war broke out there between separatists and Russian forces in 1999, Suleimanova told CNN.

But she described her nephew's visit to the region last year as a peaceful trip focused on rebuilding family connections.

"He tried to reestablish family ties. ... He went to see people, people came to see him, and of course, he went to pray," she said.

During the trip, she said, what surprised her and others in the family was the way Tsarnaev's behavior had changed since he went to the United States in 2003. It had become more conservative.

"They hadn't prayed before they went to America. Nobody taught him," Suleimanova said. "He learned everything himself."

The change was notable, she said.

"At the same time," she said, "we were happy about it, because he didn't start doing drugs or alcohol and adopted the path to Islam."

Tsarnaev's parents weren't as devout, she said.

"And it is very strange to me that it was him who adopted Islam, not his father, not his mother, but himself," she said. "But it's not so strange because nowadays the children study Islam and teach their parents, and that's exactly how it turned out with him."

Tsarnaev's behavior made his beliefs clear, she said.

Source: Suspect says brother was brains behind attack

"You know, he and other men don't even touch other women, I mean, he doesn't speak to them (other women)," she recalls. "He could speak to his sisters, his cousins and me, and other women are of no significance to him because it's a sin to even look at other women in the eye."

That faith, Suleimanova said, was one reason she believes there is no way her nephews could be behind the Boston bombings.

"In Islam, killing a non-Muslim is like killing all humanity," she said, "and killing a Muslim is like killing the whole world."

Suleimanova recalled being with Tsarnaev's parents last week as the same grainy pictures of their sons that were broadcast around the world flashed on their television screen.

His father, Anzor Tsarnaev, pointed. He was certain the two men were his sons.

Their mother, Zubeidat Tsarnaeva, the aunt remembered, grabbed the television.

"It can't be, it can't be happening," she screamed. "I don't believe it. Children are dead!"

Earlier that week, Zubeidat had been worried for her sons after hearing about the explosions. When she asked how they were doing in a phone conversation, the brothers said they loved her and that everything was "pretty normal," Suleimanova said.

"Mommy, we are totally fine," they said, according to Suleimanova. "We miss your warmth and your caress."

Suspect's wife 'very distraught'

Russia's fight with Islamic militants

In a building on the other side of the city, the walls are still scarred from a fierce gunbattle between Russian security forces and Islamist militants that erupted last year.

Fallen cinder blocks litter the ground inside.

Neighbors told CNN that Abu Dujana and the other young men who once lived in the building seemed peaceful and ordinary.

But in late December 2012, authorities brought in an armored vehicle to kill Abu Dujana, whose real name was Gadzhimurad Dolgatov.

There are no clues in the rubble left behind that offer answers to a troubling question: Why did Tsarnaev's YouTube page link to the rants of the militant who died here?

In August 2012, soon after returning from Russia to the United States, Tsarnaev apparently created a YouTube channel with links to a number of videos. Two videos under a category labeled "Terrorists" have since been deleted. It's not clear when or by whom.

One of those videos showed Abu Dujana, who led a small militant group that had links to the most potent Islamist group in the region.

U.S. officials told CNN analyst Tom Fuentes on Sunday they have found no further connection between Tsarnaev and Abu Dujana, but the investigation into his activities overseas continues.

In 2011, before his visit to Russia, Moscow asked the FBI to investigate Tamerlan Tsarnaev in the United States, according to the FBI.

"The request stated that it was based on information that he was a follower of radical Islam and a strong believer, and that he had changed drastically since 2010 as he prepared to leave the United States for travel to the country's region to join unspecified underground groups," the FBI said in a statement.

Some details have also emerged about what Tsarnaev did after he returned from Russia, including a January incident at a mosque in Cambridge, Massachusetts.

During a sermon about gaining inspiration from the story of slain civil rights leader Martin Luther King Jr., Tsarnaev interrupted the preacher, the Islamic Society of Boston said in a statement Monday.

Tsarnaev stood up, shouted at the preacher, accused him of "contaminating people's mind" and called him a hypocrite, the society said, citing accounts from congregants.

Some members of the congregation shouted back at Tsarnaev, telling him to "leave now."

Leaders of the mosque later told him he would no longer be welcome at the mosque if he continued to interrupt sermons. At future prayers, he was quiet.

Suspects: An immigrant journey that went off track

@highlight

Aunt of alleged Boston bomber Tamerlan Tsarnaev speaks with CNN in Russia

@highlight

She sheds light on Tsarnaev's Russian visit from January - July of 2012

@highlight

He visited town where an Islamist militant was killed in December 2012

@highlight

A video of the militant was posted, then removed from Tsarnaev's YouTube channel