Al Ram, West Bank (CNN) -- The Faisal al Husseini football stadium was packed, two hours before kick off, with a noisy sea of Palestinian flags and white hijabs.   Football matches are always a big deal in the West Bank, but this game was more significant than most. 10,000 women had flocked to the stadium, on the outskirts of East Jerusalem and a mere few meters from the separation barrier that snakes around the West Bank, to watch a historic football match few would have believed possible just a few years ago: the Palestinian women's national team were to play Jordan in their first ever home international.

Both teams gave laps of honor before the start of the game to mark an occasion that is rare in the Middle East. Football is hugely popular amongst women in the region but the development of the game has largely been held back by a social conservatism that disapproves of women playing what are deemed 'men's' sports.

In Kuwait, attempts to set up a women's national team was met with outrage in the country's parliament. The move was halted after Waleed al Tabtabae, a hard line Islamist MP who chairs a committee charged with weeding out 'phenomena strange to society' decided that a women's football team was 'un-Islamic'.

"Committee members expressed their indignation...and total rejection of the idea of the women's football team on the grounds that football is not suitable for women," Tabtabae told the Kuwait Times.

The UAE has only this year launched its own national team. A handful of teams exist in Saudi Arabia, although they are confined to the more liberal university campuses and have to be played in front of small, women-only crowds. In Iran women are banned from attending football matches and have to wear the hijab when they play, even in tournaments abroad.

The Palestinian team has had its own, unique problems to deal with. Set up in 2003 at Bethlehem University, Israeli movement restrictions meant it was impossible to practice on the West Bank's sole grass pitch in Jericho. Instead, they had to train on a concrete handball court and play against local boy's teams.

The only way the national team could play was to travel to nearby Jordan, but that created its own problems as it was difficult for players from Gaza to get permission to leave. Since the 2007 Hamas takeover of the Gaza Strip, it became even harder for women to take part.

But the hardest part was convincing the families, both Christian and Muslim, in conservative strongholds like Nablus and Jenin to allow their daughters to play football.

"At first it seemed weird, women playing football in our society because it has a male mentality," said Honey Thaljieh, the team's 25-year-old captain when I interviewed her in 2007. "Some families had problems sending their daughters to play football, some still face problems."

Yet two years on they have a Futsal league (an indoor version of the game), a national stadium to play in and a string of international tournaments to attend. The team even attempted to qualify for the 2011 World Cup, but narrowly missed out on reaching the second round.

"We go to the villages now and tell them [the parents] that it is not forbidden to play. Most of the team is now Muslim," explained Rouqaya Takrouri, the 45-year-old national team manager, who hoped the Jordan match would spur a new recruitment drive, inspiring some of the thousands of female spectators to believe they could play football too. "We are talking to every woman now. We send out letters that say: 'Now is your time.' Last year we had six clubs, now we have 14."

For Thaljieh the match was particularly poignant. Since captaining the team she has fought for recognition within her own community, dedicating her life to the women's game by vowing not to get married or start a family until she retires, a controversial move in Palestinian society.

As the game has grown, Thaljieh has become something of a symbol for women's rights in the region and has been feted by everyone from Cristiano Ronaldo to FIFA president Sepp Blatter who presented Thaljieh with FIFA's inaugural development award at the FIFA World Player Gala earlier this year.

Standing pitch side, she couldn't hide her smile when asked just how far she thought the game had come in two years.   "It is still difficult sometimes," she admitted. "But this has broken all the rules for women here. This was a big event to get both women and men together in Palestinian society. In a way, today was like a marriage between the Palestinians."

To put the match in context, as many as 16,000 people crammed in to watch Palestine and Jordan play. When the US women's team last played at home, a 1-0 victory over Canada in New York last July, just 8,433 fans turned up.

But not everyone in attendance was there for football. Outside several thousand men who couldn't get in clambered on to surrounding rooftops, others scrambled up nearby wire fences, whilst some even crowded on top of a parked bus. Although a different type of union was on their minds. "All these men are here to see the women and I'm here to see the chicks too," admitted Abdullah Alawad, a 20 year old architecture student. "Maybe the girls are here to see the guys too," he added rather hopefully.

The game itself was a surprisingly tetchy affair, with two players stretchered off after being on the receiving end of several crunching tackles, much to the anger of the Jordanian team's (male) coach. His mood wasn't helped when Palestine won two dubious penalties.   A late Jordanian equalizer secured the 2-2 draw they deserved. But for the women watching, the result was less important than the game itself. After the final whistle both sets of players hugged and embarked on another lap of honor in front of an ecstatic crowd.

"We want to prove that we are better than the men at football," explained Asala el Wazeer, an 18 year old student who stood with her friends in the crowd. "It has taken us years to get to this point. We are very proud of the [Palestinian] team."

In a way, she was right. Palestine had played Jordan in the first ever men's international exactly one year previously. They only managed to score once. But for Thaljieh, held aloft on the shoulders of her team mates in front of a crowd that included the Palestinian Authority Prime Minister Dr. Salam Fayyad, the match sent a powerful message to the outside world.

"This is important and shows the world that we don't care about the barriers and the checkpoints," Thaljieh shouted over the noise. "We have shown the world that we can fight, but that when we fight, we fight through peaceful play."

@highlight

Palestinian women's national football team play Jordan in historic first home match.

@highlight

10,000 women turn up at the Faisal al Husseini stadium in East Jerusalem.

@highlight

Thousands of men turned away and watch game from near by rooftops.

@highlight

Women's football has suffered in the Middle East due to social conservatism.