Matt Logelin's days are filled with the same struggles as any dad's: He's looking for a job, trying to explain the world to his 6-year-old daughter and still get a decent night's sleep. But he's doing it on his own.

The 36-year-old penned the New York Times best-seller "Two Kisses for Maddy" about his journey into fatherhood with his daughter Madeleine, known as Maddy, after his wife, Liz, died from a pulmonary embolism less than a day after giving birth in 2008.

Maddy "has taught me to let go of a lot of things and get lost in that moment," said Logelin,  co-author of the forthcoming picture book "Be Glad Your Dad...," which will be published by Little, Brown Books for Young Readers in June 2016.

"I'm lucky; I hate that Liz is gone, but I feel lucky that I'm here with Maddy because she's a wonderful little kid."

He's running one of the 2.6 million households headed by a single father in the United States, according to a 2011 analysis by the Pew Research Center, and part of a growing number of stay-at-home dads.

An analysis released this month by Pew found that the number of dads who stay at home has nearly doubled from 1.1 million in 1989.

While much of that number is due to illness and disability (35%) or unemployment (23%), the study found the "biggest contributor to the long-term growth" of stay-at-home dads are those who stay home to care for home and family -- 21% in 2012 compared to 5% in 1989.

Despite the growth, there are significant trials -- and triumphs -- in being a single dad and a stay-at-home dad in a country where it's not the norm. Here's Logelin's take on what he's learned from fatherhood; the interview has been edited for clarity and brevity.

CNN: What's the typical reaction to your current lifestyle?

Matt Logelin: I get praised for so much because I'm a dad doing what a mom does. If I post a photo of my kid walking down the street with a smile, somebody will usually comment, "You're giving your child the best life!" This is one single moment; you have no idea if I'm cooking meth in my bathtub. Yet, I'm getting praised for having my child smile in the photo. It's always nice to hear nice things, but my kid is no different than anybody else's. I get so much more credit than I deserve as a single dad. I don't believe there is a motherly instinct, I believe there is a humanly instinct.

The complicated and common world of single parenthood

CNN: So, you think there are misconceptions about single and/or stay-at-home dads?

Logelin: People still look at people sideways who give that answer. Right now, as I'm trying to find a job, there's a 4½-year gap in my resume. There are all these assumptions that I've been sitting at home watching "Wendy Williams" -- which does happen -- but I am a busy person.

The level of acceptance isn't there yet. There are a lot of reasons that fathers have that reputation; they're often portrayed as bumbling idiots in media.

I know a few single dads who are stay-at-home dads who aren't work-at-home dads, and people still think that they're just lazy.

CNN: When asked, how do you define what you do?

Logelin: I wear so many different hats. I don't like to call myself an author -- I find it so pretentious. One time I built a retaining wall in my backyard, but I'm not a stonemason. At this point, I'm struggling with that identity. I, of course, consider myself a dad, but I don't want to be defined by that. I see the Instagram profiles that describe the person as "husband of," "wife to," "parent of" and I don't want to have that -- I don't want to be defined by one thing.

CNN: Take us back to that day when you got the title of "dad" -- and the day that everything changed. Were you worried about fulfilling two roles instead of one?

Logelin: I lost my partner and my best friend, but I also lost a mother, a female influence that was going to be the guiding force in Madeleine's life.

I thought "How am I going to take her to the store one day and buy a training bra? I don't even know what the f--k a training bra is." There were those obvious concerns, like describing a menstrual cycle with what I learned about it in high school. I looked more at the differences of me as a man and this potential young woman, instead of finding the commonalities.

I was used to my brothers making pipe bombs and blowing up mailboxes; I was used to that kind of world. I had all these assumptions of how I should raise a daughter.

CNN: What do you wish someone had told you as you began your journey into fatherhood?

Logelin: To not assume too much. I assumed so much about who my daughter was going to be. To not assume how my child was going to turn out because of the way she was born. I was worried about the lack of a female influence in her life. I worried so much about screwing her up, but I'm not her sole influence. She's got a lot of people in her world that help shape her. Knowing that would've taken so much pressure off of me.

The bravest man I know

CNN: A little role reversal here -- what has Maddy taught you on your journey?

Logelin: So, I was super proud that I learned how to braid her hair, but recently, she decided she wanted to get her hair cut my length. I went to talk to her about how people might receive it. I was worried about how she was going to feel and if someone would hurt her feelings; I got her prepared for the sh-t people are going to say. She just looked at me with a grin, "I don't care."

Kids are just so great about being unconcerned -- to have that level of confidence! That's such a cool lesson to see this kid who is 6 years old and doesn't care that people might think she's a boy. I don't have to let the world know that I have a daughter; it's a really cool way to live.

CNN: You've had some choice words about Father's Day, specifically that it's "a bullsh-t holiday created to help sell greeting cards and grills and ties and other garbage." Has your view changed?

Logelin: It's basically any other day. I think Father's Day is a bigger deal if you have someone around to make it a big deal. Father's Day can be where the kid finally draws the dad a picture or makes pottery that says "No. 1 Dad!" -- and that's needed in a different relationship.

Father's Day is a bigger deal for some people, and it would be if I had a wife around that did most of the household stuff. I hate even saying this, but every day is Father's Day. Every picture Maddy draws is for me. I get to sit and talk to her and get her full attention at dinner. All the stuff that fathers typically do on Father's Day, we do that every single day.

Were you raised by a single or stay-at-home dad? Share your experiences in the comments, on Twitter @CNNLiving or on CNN's Facebook page!

@highlight

Matt Logelin's wife passed away hours after childbirth, leaving him a single parent

@highlight

Logelin wrote a New York Times best-seller, "Two Kisses for Maddy," about single fatherhood

@highlight

June 15 is Father's Day; for Logelin, "every day is Father's Day"