(CNN) -- The arrival of autumn in Australia will be a welcome relief for international visitors emerging from a bleak winter in the northern hemisphere.

There's no mistaking the city of Sydney -- fine weather means you may struggle to see a cloud in the sky.

Peak season may be winding up but with temperatures off their sticky summer highs it's a great time to sample one of the country's most recognizable cities.

While few international visitors are likely to find themselves stranded in Sydney for 24 hours (if only!), here's our fast-track tour for travelers short on time.

See the sun come up over Sydney Harbour. At this time of year, the sun rises at around 6:30am, an hour after the first ferries leave the wharf, so there's plenty of activity on the water.

Early risers can waste no time in immersing themselves in Sydney's cultural highlights. At 7:00am, the Sydney Opera House hosts tours for just eight people to backstage areas normally off-limits to theatre-goers. At $100 per person, the two-hour tour is not a budget option but it does include breakfast. Be warned, the tour includes 300 steps.

If you're not exhausted by the machinations of the Opera House, cool off with a relaxing dip. A recent spate of shark attacks may have put you off Sydney's beaches, but there are plenty of outdoor pools that offer both sun and seawater. For serious laps, try the North Sydney Olympic Pool (next to the Sydney Harbour Bridge) or for a lazier affair have a massage at Wylies Bath in Coogee.

Image gallery: 24 hours in Sydney »

Once in Coogee you can admire the Australian coastline by following it all the way back to Sydney's famous Bondi Beach. Most people start in Bondi but there's no reason why you can't do it in reverse. The two-hour walk takes you past bays and beaches and through the dramatic Waverley Cemetery where you can reflect on life while breathing in the views. The path ends at the Bondi Icebergs surf club where you can grab a cold fizzy beer at the bar or stay for lunch at the Bistro.

The hungry seagulls and pelicans at the Sydney Fish Market make lunch there a more interesting affair. Select your meal from the huge variety of seafood inside the market, grab a bottle of wine and an outdoor table and prepare to guard your chips.

There is no shortage of up-market alternatives when it comes to dining out in Sydney. For one of the best try Tetsuya's in Kent Street. It was opened by Japanese-born Tetsuya Wakuda in 1989 and was lauded in a recent review as "magical dining." It's only open for lunch on Saturdays and you'd be advised to book well in advance for dinner.

A cheaper option would be any of the BYO (bring your own) restaurants dotted around the city. Most restaurants allow you to bring your own bottle of wine, but they will charge you corkage. Still, it's cheaper than the mark-ups on bottles at licensed premises.

Until May 24, visitors can drop into the Art Gallery of New South Wales to see the finalists and the winner of this year's Archibald Prize, Australia's leading portraiture contest.

Shoppers can pick up a souvenir close by in one of Sydney's oldest and most beautiful shopping centers, the Queen Victoria Building. The building opened in 1898, underwent major refurbishment in the 1980s and is now not only a great example of Victorian architecture but a stunning place to grab a quick coffee. (Note: The builders are back but the building remains open. The new improvements are scheduled to finish in July 2009.)

In the evening, take a twilight cruise of Sydney Harbour aboard a yacht. Sunsail invites everyone for a "fun blast" around the harbor every Wednesday evening from 5:30pm to 8:30pm. The yacht leaves from the Boat House in Lavender Bay, a short hop from the city on the north side of the Sydney Harbour Bridge.

Two new festivals have been added to a busy calendar in Sydney this year. In June, Vivid Sydney promises to turn the city into "a living canvas of music and light." And on October 25, 20,000 people will have the opportunity to have "Breakfast on the Bridge" (yes, the Sydney Harbour Bridge) as part of the month-long Crave Sydney festival. Check the NSW Master Events Calendar for more.

In the evening, join the pretty young things at The Ivy in George Street, or take the lift to the fourth floor of the Hilton Hotel where you'll find the Zeta Bar. The Loft on King Street Wharf is also popular, but it has a strict dress code so don't turn up looking like a traveler or you won't get in.

And finally, there's no better place to end the night than in one of Sydney's karaoke bars. Some allow you to bring your own drinks. Check out the private booths at Karaoke World on Elizabeth Street where you can warble without shame until the early hours.

@highlight

Start the day in Sydney with a backstage tour of the famous Opera House

@highlight

Avoid shark scares by swimming in one of the city's many outdoor pools

@highlight

Eat fish and chips with the seagulls and pelicans at the Sydney Fish Market

@highlight

End the night in one of the city's Karaoke bars: some allow you to BYO