Syrian forces in Damascus loyal to President Bashar al-Assad have fired at least four Scud missiles inside Syria, presumably at rebel groups, a U.S. official said Wednesday.

U.S. military satellites picked up and confirmed the infrared signature of the four short-range Scud missiles, which were launched from the Damascus area into northern Syria, according to an official who declined to be named, citing the sensitivity of the matter.

The missiles did not land on the Turkish side of the border but "came close," the official said.

And as Syrian forces dabble with longer-range weapons with increased lethality, authorities say NATO is also preparing to send a Patriot missile defense system to neighboring Turkey after it made the request at a meeting in Brussels last week.

Within days, the Obama administration is expected to issue orders determining the number of Patriot missile batteries and personnel to be sent, according to a Pentagon spokesman.

Earlier this month, a U.S. official said the Syrian government was "ratcheting things up," noting that Syrian forces had already fired some 20 rockets with the relatively long range of 60 miles.

Analysts say the Assad government maintains up to 400 of the short- and medium-range Russian-developed Scud missiles, while State Department officials point to so-called barrel bombs -- incendiary explosives with flammable material similar to napalm -- that are now apparently being deployed by the Syrian government.

NATO issued a statement Wednesday saying that the alliance had "detected the launch of a number of unguided, short-range ballistic missiles inside Syria this week," and that the "trajectory and distance traveled indicate they were Scud-type missiles."

The move represents an escalation in the 20-month civil war, which has threatened to destabilize the broader region and draw neighboring countries and militant groups into the conflict.

"As the regime becomes more and more desperate, we see it resorting to increased lethality and more vicious weapons moving forward," said U.S. State Department spokeswoman Victoria Nuland. "And we have in recent days seen missiles deployed."

Amid the growing concern about missiles, Syria's newly formed opposition coalition won recognition from international supporters on Wednesday in Morocco.

The Friends of Syria group, representing more than 100 countries and organizations, agreed Wednesday to recognize the National Coalition of the Syrian Revolutionary and Opposition Forces as the legitimate representative of the Syrian people.

The designation immediately broadens international recognition for the coalition and should pave the way for additional support for the rebel cause, said Brookings Institution analyst Salman Shaikh, who attended the session in Marrakech, Morocco.

"What this recognition does, I think, is give the coalition more confidence in its workings," Shaikh said.

Previously, several Arab and European states, including France and the United Kingdom, had recognized the group.

The Friends of Syria recognition, however, did little to soothe opposition leaders stung by U.S. President Barack Obama's decision Tuesday to list one rebel group as a terrorist organization.

Opposition leader Ahmed Moaz al-Khatib urged the United States to rescind its decision to list the al-Nusra organization as a terrorist group and impose sanctions on its leaders, saying the coalition rejects radical violence.

Al-Nusra is not part of the coalition but has fought against Syria's government and, consequently, has support among Syrians sympathetic to the rebellion, Shaikh said.

Read more: Aleppo Today TV becomes vital news source amid Syria's chaos

The United States sent Deputy Secretary of State William Burns to the Friends of Syria meeting, which came a day after Obama said his administration had decided to grant recognition to the coalition.

"We've made a decision that the Syrian opposition coalition is now inclusive enough, is reflective and representative enough of the Syrian population that we consider them the legitimate representative of the Syrian people in opposition to the Assad regime," Obama told ABC's Barbara Walters.

At the Morocco meeting, Burns told Syrian rebel leaders that their newfound recognition is freighted with the weight of international expectations.

Read more: As fighting subsides, Aleppo residents find little left

"This leadership comes with real responsibilities," he said, according to a transcript posted on the State Department's website.

On top of previous commitments, Burns said the United States will provide $14 million for emergency medical care and for supplies to help Syrians live through the coming winter, including plastic insulation, boots and nutritional supplies.

Saudi Arabia also pledged $100 million in aid, Shaikh said.

Read more: An afternoon with a Syrian bombmaker

Obama's statement Tuesday came as a surprise to Russia, said Foreign Minister Sergey Lavrov.

He said an agreement he had worked out in Geneva, Switzerland, with U.S. Secretary of State Hillary Clinton laid out a path for a negotiated transfer of power, but he said the new coalition's goals call for it to "overturn the regime, dismantle government institutions and refuse dialogue with the Syrian government."

"We inquired with our American partners as to how that conforms with the logic of the Geneva communique, and they told us that the most important thing is to unite the opposition, and its platform can, quote, 'be corrected,'" Lavrov said.

As the diplomatic talks were going on in Morocco, violence continued in Syria.

State TV showed images of an explosion outside the Interior Ministry in Damascus, saying it was one of three bombings that killed five people and injured 23. The London-based Syrian Observatory for Human Rights said the explosion killed eight Syrian soldiers and wounded 40.

The state-run SANA news agency said two bombs exploded behind the Justice Palace, injuring one person.

The opposition Local Coordination Committees of Syria said 113 people had died in fighting Wednesday, including 15 children. The group said government warplanes struck at targets in the suburbs of Damascus as rebels and government forces clashed nationwide.

@highlight

Syrian forces have fired at least four Scud missiles inside Syria, U.S. officials say

@highlight

Fighting Wednesday killed 113 people, including 15 children, an opposition group says

@highlight

An opposition leader calls for the U.S. to rescind its terrorist designation of al-Nusra

@highlight

Russia's foreign minister questions the U.S. decision to recognize the rebel coalition