Irbil, Iraq (CNN)Rashid Fouad Abdullah is a Kurdish peshmerga fighter in his late 50s, but he's younger than his gun.

It's a British artillery piece manufactured in 1941, kept in immaculate condition and in daily service as Kurdish forces tighten their grip around Iraq's second city, Mosul.

Abdullah is one of a few dozen peshmerga stationed on Mount Zartak, overlooking Mosul from the east. The city is still firmly under the control of the Islamic State in Syria and Iraq, but the peshmerga are in buoyant mood, having first stemmed and then partially reversed territorial gains made by ISIS last summer.

They expect much more fighting ahead, and from the generals to the volunteers, they all lament a lack of modern weapons that would help them take on ISIS. Abdullah said he would have happily showed us how his old gun worked, but he had only 20 shells left.

On Saturday, clutching AK-47s and more ancient rifles, Abdullah and his fellow fighters gazed into the sky and watched the arc of vapor trails as coalition planes hit ISIS targets all around Mosul. Kurdish fighters told us it was the heaviest day of bombardment they had witnessed. We heard well over a dozen loud detonations to the east, but their exact points of impact were difficult to determine through the haze.

The peshmerga defensive positions on the mountain are well-fortified, with lines of sandbags and concrete bunkers, and a track carved into the mountain slopes for access. The Kurdish flag -- red, white and green horizontal stripes with a 21-point yellow sun -- flutters above. The fighters said that ISIS occasionally launched Katyusha rockets at their positions, but most fell short.

The situation of peshmerga on the plains below is more precarious.

There are ISIS positions to the east and south. CNN witnessed an exchange of fire between the two sides at the weekend, with ISIS shooting from an abandoned cement plant just 500 yards away and the peshmerga firing back with heavy machine guns. They have placed large concrete barriers across the highway, once the main road between Irbil and Mosul, but they are vulnerable to mortar fire and Humvees converted into devastating suicide bombs. The commander said he'd asked for airstrikes time and again, but nothing had happened.

The Kurds say they are short of essential equipment such as night-vision goggles. Most infiltration attempts by ISIS come at night or in thick fog. Along one stretch of their defenses, peshmerga have rigged up floodlights to try to detect movement at night, but they don't provide much coverage.

Gen. Sirwan Barzani, a son of the President of Kurdistan, Massoud Barzani, told CNN his troops needed heavy machine guns, anti-tank missiles and armored vehicles above all else. They say 70% of the 1,000 peshmerga killed in the current conflict have been the victims of improvised bombs. ISIS has rigged villages with dozens of such devices before falling back, some of them ingeniously designed to avoid all but the most forensic inspection.

Kurdish fighters have begun building their own armored vehicles. One -- on the front line southwest of Irbil -- looked like a collision between a carnival float and something out of "Mad Max," a monstrous contraption of steel plates laid on the chassis of a truck.

The Kurds -- highly regarded warriors themselves -- have been struck by the tenacity and skill of their enemy.

One senior commander called them "very professional and well-trained," noting the complex attack launched from four directions on Kirkuk at the end of January. ISIS' ability to rig up quickly and detonate explosives has destroyed bridges across the region -- among them a modern concrete bridge on the main highway between Irbil and Mosul now reduced to slabs.

Some of the peshmerga, who are at the front lines on two-week rotations, are grandfathers fighting their third or fourth war. Near the village of Gwer, we met Said Mahmoud, a fighter sporting a moustache straight out of colonial India and the traditional white and red checkered headscarf.

"I am too old for this," he said with a laugh -- and then pointed toward a sandbank in a nearby river where ISIS fighters had several times crossed at night.

"A couple of nights ago, it was raining," he said. "They crossed the river by boat. We fought them until the morning. When our reinforcements arrived, we forced them to the other side of the river. Aircraft were attacking them."

The Kurds have built a modern-day version of Hadrian's Wall along a stretch of territory more than 100 miles long, with bunkers on hilltops, fences and deep trenches designed to keep out ISIS' Humvee suicide bombs.

Some of these vehicles are captured and briskly converted for use by the peshmerga.

"We are getting American weaponry," joked one fighter. "It was given by the Americans to the Iraqi army, and when they fled, ISIS took it. Now we are taking it from ISIS."

Kirkuk is an oil-rich city, home to nearly a million Kurds, Arabs and Turkmen and long a fault line in Iraq's ethnic mosaic. It's also a target for ISIS.

At the end of January while using fog for cover, the group launched an attack on the city from four directions, taking several bridges on the outskirts. It took two days of heavy fighting by peshmerga, supported by airstrikes, to repel the offensive. Fatih Muhammad, the Kurdish commander in the area, expects another assault. Without the peshmerga presence, he insists, the city would fall to ISIS within hours.

For now, the two sides are separated only by a narrow canal. The black flag of ISIS can be seen clearly on the other side. The Kurds have established a line of fortifications; earthmovers scramble to dig deeper and more defensible positions. Just behind them are hastily dug graves for some of the dozens of ISIS fighters killed in the recent battle.

In the city, there is an uneasy but peaceful sharing of duties between the peshmerga and the Iraqi police and army. But there's no doubt who holds the upper hand. While Iraqi police sport new Ford Taurus cars in green and yellow livery, many seem restricted to traffic duty. The peshmerga race through Kirkuk and its surroundings in pickups, and other traffic keeps a respectful distance.

The soldiers wave at peshmerga checkpoints but pass Iraqi positions without acknowledgment. Kurdish security officials told CNN they are sure ISIS has cells inside Kirkuk, waiting for orders to launch suicide attacks, as they did two weeks ago on an abandoned hotel used by local police.

While the Kurds see Kirkuk as very much their city, few expect or want to be involved in cleansing Mosul of ISIS.

It is principally a Sunni Arab city, and the Kurds have no desire to spill their own blood for a place they don't regard as theirs. They don't expect the Iraqi security forces, now being retrained and rebuilt, to be ready for such an offensive before the summer. In the meantime, they are intent on strangling ISIS in Mosul by cutting off its freedom of movement and resupply from Syria. They have surrounded it on three sides, with an inner and outer ring of positions.

The Iraqi army, supported by Shia militia, is involved in combat in Anbar province, far to the west, and has pushed ISIS units out of Diyala, to the north of Baghdad. But in this part of Iraq, the peshmerga -- supported by airstrikes of growing intensity -- are the ones inflicting real damage on ISIS. And once the terrorists are defeated, the Kurds might be in no mood to compromise on their hard-won gains. Ministers, soldiers and ordinary civilians speak of Iraq becoming a loose confederation, but taking orders from Baghdad is not on their agenda.

Ten years ago when I first visited Irbil, the seat of the Kurdish Regional Government, it was a bustling but provincial town. Now dozens of cranes dot the skyline as apartment blocks and office complexes are built. A new ring road is being constructed. Oil is the basis for this new-found wealth, but construction and trading companies are also flourishing. Electricity and water flow uninterrupted. Flights from Europe and the Middle East arrive daily at the new airport.

"Soon this will be like Dubai, but in the mountains," said one Irbil resident -- without a hint of hyperbole.

But first the enemy that a few months back was just 20 miles from the gates of this city must be vanquished.

Violence flares after Baghdad's decade-old curfew lifted

@highlight

In northern Iraq, Kurds are taking the lead in keeping ISIS at bay

@highlight

They say they need heavy machine guns, anti-tank missiles and armored vehicles