Moscow (CNN)Four days after he was gunned down by an unknown assailant in the heart of Moscow, former Russian Deputy Prime Minister and outspoken Kremlin critic Boris Nemtsov was laid to rest Tuesday in a ceremony attended by hundreds of mourners.

His coffin was lowered into the ground at the Troyekurovskoe Cemetery before family, friends and dignitaries, after being carried in procession through Moscow.

Mourners laid wreaths, some with ribbons in the colors of the Russian flag, reflecting tributes to a man whom supporters called a true Russian patriot.

Earlier, a stream of people took part in a somber memorial service at the Sakharov Center in Moscow.

Some held flowers as they filed past the open casket of the prominent Kremlin critic and paid respects to his mother, Dina Eydman, and his children Anton and Zhanna. Hundreds more lined up in the cold outside.

Mikhail Kasyanov, a former prime minister under President Vladimir Putin who is now a leading opposition figure and worked closely with Nemtsov, was among the mourners to speak at the service.

He said he believed Nemtsov, known for his outspoken views, was killed out of revenge for his politics.

He also said he thought the killers would be brought to justice, under the next government of Russia if not the current one.

The assassination has spawned a flood of conspiracy theories. Though politically marginalized in recent years, Nemtsov was one of Putin's most vocal critics, and many suspect the Kremlin of either direct or indirect involvement. Putin has vowed to bring those responsible to justice.

No one has yet been arrested and authorities have put forward a number of theories, including that the murder was an act of "provocation" intended to destabilize Russia, that it was connected to the conflict in Ukraine, that Islamist extremists were involved or that it was linked to Nemtsov's international business affairs.

The Moscow Investigative Committee said in a statement on its website Tuesday that "all scenarios" are being considered and that it is taking all necessary steps.

"Eyewitness are being questioned, CCTV footage is already being analyzed. Evidence has been collected. A number of tests were carried out -- among them are ballistic, medical examination and trace evidence," it said.

The memorial service was hosted by Pavel Sheremet, a Russian journalist known for leaving a Russian state TV channel in protest at the Kremlin's current policies on Ukraine.

Other prominent Russian figures at the service included Deputy Prime Minister Arkady Dvorkovich, Prime Minister Dmitry Medvedev's spokeswoman Natalya Timakova, and former Finance Minister Alexey Kudrin.

Russian economist Yevgeny Yasin, who served as economy minister between 1994 and 1997 and is now an academic, said: "Nemtsov always said everything that others were afraid to say."

Evgeniya Albats, editor-in-chief of The New Times magazine, described Nemtsov in a speech as an amazing friend and a fearless politician. She added, "This murder is impossible to forgive. It's on Putin's conscience."

Foreign dignitaries included U.S. ambassador to Russia John Tefft, who said Nemtsov would be remembered as a Russian patriot, and former UK Prime Minister John Major.

Major told CNN: "It's clearly a very sad day for Russians, it's a very sad day for Boris' family, and I'm personally extremely saddened by what has happened.

"I knew him in the 1990s, I admired him, I admired what he stood for, and I hope now a thorough investigation will determine who is responsible for this outrage."

The opposition politician was shot Friday night as he walked across a bridge about 100 meters (330 feet) from the Kremlin with his girlfriend, Ukrainian model Anna Duritskaya, 23.

Duritskaya -- the only known witness to the shooting -- left Moscow for Kiev late on Monday. She had been staying at the apartment of an aide to Nemtsov under constant police guard.

Her mother, Inna Duritskaya, told CNN on Monday that her daughter faces constant psychological pressure from Moscow authorities and fears she will be implicated in his death.

The Moscow Investigative Committee said Duritskaya was not detained while in Moscow and that she was offered witness protection, which she turned down.

Duritskaya was free to leave at any point but wanted to give her testimony and contribute to the investigation process, "understanding the important of it for the investigation," the statement said. "It is needless to state how important her testimony is."

Edward Lucas, a senior editor for The Economist and a senior vice president at the Center for European Policy Analysis, told CNN that the manner of Nemtsov's death was highly suspicious.

"The circumstances of his shooting point very much to official involvement," he said. "If it was some random, ragtag extremist militia from eastern Ukraine killing him, I doubt they would've been able to do it with such precision in the heart of Moscow."

Lucas also said that the recent history of politically motivated killings in Russia suggested that the investigation would come to little.

"One of the signal things that they all have in common is that they are not cleared up. We have a lot of bluster at the time of the death, promises of investigation, but either the culprits are never found or the culprits who are found are very unconvincing ones and the people who gave the orders are never identified."

Meanwhile, he said, the Kremlin continues to pump out propaganda which suggests opposition activists or those critical of Russia's involvement in Ukraine are traitors to their country.

Some of Nemtsov's supporters accuse the Kremlin, if not of direct involvement, of creating an atmosphere of hatred which fostered the killing.

Not everyone who hoped to attend Nemtsov's funeral has been able to do so.

Latvia's former foreign minister and European Parliament member Sandra Kalniete said she was denied entry to Russia on Monday night on spurious grounds.

Speaking to CNN by phone from Moscow's Sheremetyevo International Airport, Kalniete said she was finally told she was refused entry "according to Russia's code of law regarding the defense and security of the Russian state and the general health of the public."

She had intended to represent Latvia and the European People's Party -- the biggest parliamentary group in the European Parliament -- at the funeral, she said.

"Like many I admired him, I admired his joyfulness and eloquence," Kalniete said. "My wish was not to cause any danger to Russia. I just wanted to go to pay tribute to a political personality, Boris Nemtsov."

The European People's Party said it was the third time a member of the European Parliament had been stopped at the Russian border.

Thousands of Nemtsov supporters gathered Sunday in Moscow to mourn the death of the 55-year-old, who was deputy prime minister during President Boris Yeltsin's administration in the 1990s.

The event took place the same day Nemtsov was supposed to lead a rally in Moscow decrying Russia's policies on Ukraine.

Ukrainian President Petro Poroshenko said last weekend that Nemtsov was about to reveal information that would be damaging to Russian interests, Ukraine's state-run Ukrinform news agency reported.

Putin condemned the killing and ordered three law enforcement agencies to investigate the shooting, the Kremlin said.

The President also wrote to Nemtsov's mother, saying he shared her grief, and promised to bring those behind the killing to justice, the Kremlin said.

Police said they are looking for a man with short hair who stands between 5 feet 7 inches and 5 feet 9 inches, Russia's official Sputnik news agency reported. The shooter was wearing blue jeans and a brown sweater.

Russia's Investigative Committee is offering a reward of 3 million rubles ($49,000) for information leading to the arrest of the killer. It said the tipster will be guaranteed anonymity.

CNN's Matthew Chance and Alla Eshchenko reported from Moscow and Laura Smith-Spark wrote from London. CNN's Ivan Watson, Emma Burrows and Lucy Pawle contributed to this report.

@highlight

Boris Nemtsov is buried in a Moscow cemetery following a somber memorial service

@highlight

Nemtsov "always said everything that others were afraid to say," says one mourner

@highlight

Moscow Investigative Committee says "all scenarios" are being considered in Nemtsov slaying