(CNN) -- For nearly 20 days, Louise Troh has had to endure tremendous fear, grief and isolation.

When told of the death of her fiancee, Thomas Eric Duncan -- the first person diagnosed with Ebola in the United States -- she fell to the ground.

The man giving her the news couldn't even console her with a hug.

But day 21 is Monday: The day the quarantine period is expected to come to an end for Troh, her son and two nephews. If the four do not develop symptoms by Monday, they will have managed to not contract Ebola despite being in close proximity to Duncan.

"We are so happy this is coming to an end, and we are so grateful that none of us has shown any sign of illness," Troh said in a statement on Sunday. "We have lost so much, but we have our lives and we have our faith in God, which always gives us hope."

Mark Wingfield, an associate pastor at Wilshire Baptist Church, told CNN that Troh will not be doing interviews at this time, but plans to write a book about her experience.

"They feel like this is a tremendous miracle that's happened," Wingfield said. "This is a long-awaited day of celebration."

Tears shed for Duncan

On Saturday, loved ones honored Duncan's memory in North Carolina, where his mother lives.

In a memorial service at Rowan International Church in Salisbury, his nephew Josephus Weeks and others eulogized Duncan as a kind, compassionate man.

Weeks said he wished Duncan would be remembered for his acts of kindness "as opposed to the person who brought this disease to America, because he didn't know he was sick."

Duncan's willingness to help others may have led to his death at age 42.

Former neighbors in Monrovia, Liberia, have said he may have contracted Ebola while rushing to the aid of a woman who collapsed under duress from the disease. She was pregnant, and Duncan did not know she was sick, they said.

"We continue to mourn his loss and grieve the circumstances that led to his death, just at the time we thought we were facing a happy future together," Troh said. "Even though the quarantine is over, our time of mourning is not over."

A quick-strike team

The U.S. military is forming a 30-person "quick-strike team" equipped to provide direct treatment to Ebola patients inside the United States, a Defense Department official told CNN's Barbara Starr on Sunday.

A Pentagon spokesman later confirmed portions of the official's information.

The team will be under orders to deploy within 72 hours at any time over the next month, the official said.

The Department of Health and Human Services requested the military team, and the Pentagon has given verbal approval, the official said.

The team will include five doctors, 20 nurses and five trainers, Pentagon press secretary Rear Adm. John Kirby said in a statement.

The Pentagon has been working to determine what assistance it could offer the civilian health care sector following a White House meeting last week during which President Barack Obama said he wanted a more aggressive response, according to two Defense officials.

Defense Secretary Chuck Hagel ordered chief of the Northern Command, Gen. Chuck Jacoby, "to prepare and train a 30-person expeditionary medical support team that could, if required, provide short-notice assistance to civilian medical professionals in the United States," Kirby said.

Jacoby is already working with the military on the joint team, Kirby said, and once formed, it will head to Fort Sam Houston in Texas for up to seven days of training in infection control and personal protective equipment. The training, provided by the U.S. Army Medical Research Institute of Infectious Diseases, will begin "within the next week or so," Kirby said.

The team will remain in "prepare-to-deploy" status for 30 days, he said. It will be able to respond anywhere in the U.S. if "deemed prudent by our public health professionals," he said.

Cruise passenger cleared

Sunday's news out of the Pentagon came as a cruise ship plowed through the waters of a Texas port with precious cargo on board -- the end of a small Ebola scare. A passenger had been loosely linked to the only patient to die from the disease in the United States, but health authorities cleared her after an odyssey at sea.

After voluntarily isolating herself in her cabin, she remained symptom-free, and her lab tests looked good, the Galveston County Health Authority said. She and a travel partner were allowed to disembark.

The drama goes back to the woman's work as a lab supervisor at Texas Health Presbyterian Hospital in Dallas, the center of a maelstrom of Ebola fears in the United States.

It's where Liberian patient Duncan was misdiagnosed and later died, and where two nurses became the first people to contract Ebola in America.

Seventy-five health workers and 48 people in the community are under monitoring after coming into contact with Duncan.

There are hopeful signs that some of the Ebola contagion scare in the United States could be winding down. Of the four patients being treated, at least two appear to be making a recovery.

And the monitoring period for the 48 community members ends at midnight Sunday night, according to Dallas County Judge Clay Jenkins, who is overseeing response efforts in Dallas.

"Thankfully they are all asymptomatic, and it looks like none of them will get Ebola," Jenkins said, expressing hope that they would be welcomed home with no issues. "The community needs to reach out and envelop them in compassion and acceptance because we cannot have the community stigmatizing people. ... They have been through a terrible ordeal."

As for the other 75 people, they are in Day 11 of 21 since Duncan's death and Jenkins said, "Today is a crucial day for them because is one of the last high-likelihood days that we will see more cases."

The cruise ship incident and a second travel scare came about in a bureaucratic loophole.

In an abundance of caution to avoid any possible spread of the Ebola virus, about 50 people associated with Texas Health Presbyterian have signed a document legally restricting where they can go until they are cleared of Ebola.

But before the voluntary travel ban existed, the lab supervisor and a nurse, who later came down with Ebola, went on trips and triggered hefty responses.

The lab worker had had no direct contact with Duncan but may have handled one of his lab specimens. A doctor on board the ship observed her to make sure she was symptom-free as the incubation period within which the disease would manifest itself approached its end.

The other travel scare was set off by one of the nurses who contracted Ebola after treating Duncan. Before her illness was apparent, Amber Vinson took a Frontier Airlines flight to Cleveland, then a flight back to Dallas.

There were 132 people on Vinson's flight. After her contagion became known, the air carrier reached out to some 800 passengers out of an abundance of caution, advising them to contact the CDC.

Frontier Airlines also took the plane out of service temporarily.

Anthony Fauci, head of the National Institute of Allergy and Infectious Diseases, told CNN on Sunday that he didn't know much about Vinson's condition, but he said Nina Pham, the other Dallas nurse who contracted the illness, was in fair condition and doing "fine."

Can you catch Ebola on a plane?

Hospital apologizes

On Sunday, Texas Health Presbyterian took out a full-page newspaper ad, once again offering an apology.

The open letter from Texas Health Resources CEO Barclay Berdan appeared in the Sunday editions of the Dallas Morning News and Fort Worth Star-Telegram.

"As an institution, we made mistakes in handling this very difficult challenge," Berdan wrote. The hospital is analyzing the errors and will make changes, he said.

The turmoil started in September, when Duncan went to the hospital with Ebola symptoms, and health care workers initially sent him home with antibiotics.

They recorded his travel history to West Africa, where a raging Ebola outbreak has killed more than 4,500 people. But they didn't give that detail the necessary attention, the hospital said.

WHO to review Ebola response amid criticism

CNN's Ben Brumfield, Tom Dunlavey and Nick Valencia contributed to this report.

@highlight

Louise Troh releases statement as her quarantine is set to end

@highlight

General already working to form Ebola "quick-strike team," Pentagon says

@highlight

Texas Health Resources CEO admits to mistakes, says hospital is sorry

@highlight

Cruise ship involved in contagion scare arrives back in Texas on Sunday