(Mental Floss) -- Having a disease named after you is a decidedly mixed bag. On the one hand, your scientific developments are forever commemorated.

On the other hand, though, you're stuck with the knowledge that no patient will ever be happy upon hearing your name.

Who are the scientists and doctors behind some of our most famous diseases and conditions, though? Here are a few of the physicians and their eponymous ailments:

1. Crohn's disease

The inflammatory digestive disease could just have easily ended up with the name Ginzburg's disease or Oppenheimer's disease. In 1932, three New York physicians named Burrill Bernard Crohn, Leon Ginzburg, and Gordon Oppenheimer published a paper describing a new sort of intestinal inflammation. Since Crohn's name was listed first alphabetically, the condition ended up bearing his name.

2. Salmonellosis

Yes, the salmonella menace that haunts undercooked chicken is named after a person. Daniel Elmer Salmon was a veterinary pathologist who ran a USDA microorganism research program during the late 19th century.

Although Salmon didn't actually discover the type of bacterium that now bears his name -- famed epidemiologist Theobald Smith isolated the bacteria in 1885 -- he ran the research program in which the discovery occurred. Smith and his colleagues named the bacteria salmonella in honor of their boss.

Mental Floss: Margherita pizza, other foods named after people

3. Parkinson's disease

James Parkinson was a busy fellow. While the English apothecary had a booming medical business, he also dabbled in geology, paleontology, and politics; Parkinson even published a three-volume scientific study of fossils.

Following a late-18th-century foray into British politics where he advocated a number of social causes and found himself briefly ensnared in an alleged plot to assassinate King George III, Parkinson turned his attention to medicine.

Parkinson did some research on gout and peritonitis, but it was his landmark 1817 study "An Essay on the Shaking Palsy" that affixed his name to Parkinson's disease.

4. Huntington's disease

George Huntington wasn't the most prolific researcher, but he made his papers count. In 1872, a fresh-out-of-med-school Huntington published one of two research papers he would write in his life.

In the paper, Huntington described the effects of the neurodegenerative disorder that now bears his name after examining several generations of family that all suffered from the genetic condition.

5. Alzheimer's disease

In 1901, German neuropathologist Alois Alzheimer began observing an odd patient at a Frankfurt asylum. The 51-year-old woman, Mrs. Auguste Deter, had no short-term memory and behaved strangely. When Mrs. Deter died in 1906, Alzheimer began to dissect the patient's brain, and he presented his findings that November in what was the first formal description of presenile dementia.

Mental Floss: 4 people with super memory

6. Tourette syndrome

Credit George Gilles de la Tourette for his modesty. When the French neurologist first described the illness that now bears his name in 1884, he didn't name it after himself. Instead, he referred to the condition as "maladie des tics." Tourette's mentor and contemporary Jean-Martin Charcot renamed the illness after Tourette.

Tourette didn't have such great luck with patients, though. In 1893, a deluded former patient shot the doctor in the head. The woman claimed that she lost her sanity after Tourette hypnotized her. Tourette survived the attack.

7. Hodgkin's lymphoma

British pathologist Thomas Hodgkin first described the cancer that now bears his name while working at Guy's Hospital in London in 1832. Hodgkin published the study "On Some Morbid Appearances of the Absorbent Glands and Spleen" that year, but the condition didn't bear his name until a fellow physician, Samuel Wilks, rediscovered Hodgkin's work.

8. Bright's disease

The kidney disease bears the name of Richard Bright, an English physician and colleague of Hodgkin's at Guy's Hospital. Bright began looking into the causes of kidney trouble during the 1920s, and in 1927 he described an array of kidney ailments that eventually became known as Bright's disease.

Today, doctors understand many of the symptoms historically clumped together as Bright's disease are in fact different maladies, so the term is rarely used.

9. Addison's disease

Guy's Hospital was apparently the place to work in the 19th century if you wanted to have a disease named after you. Thomas Addison, a colleague of Bright and Hodgkin at Guy's Hospital, first described the adrenal disorder we call Addison's disease in 1855.

On top of this discovery, Addison also published an early study of appendicitis.

Mental Floss: 11 celebrities who overcame dyslexia

10. Tay-Sachs disease

Although both of their names are attached to this genetic disorder, Warren Tay and Bernard Sachs didn't work together. In fact, they didn't even work in the same country. Tay, a British opthalmologist, first described the disease's characteristic red spot on the retina in 1881. In 1887 Bernard Sachs, a colleague of Burrill Crohn at Mount Sinai Hospital, described the cellular effects of the disease and its prevalence among Ashkenazi Jews.

11. Turner syndrome

The chromosomal disorder got its name from Oklahoma doctor Henry Turner, who first described the condition in 1938.

12. Klinefelter's syndrome

The genetic condition in which males have an extra X chromosome bears the name of Harry Klinefelter, a young Boston endocrinologist who published a landmark study while working under the tutelage of endocrinology star Dr. Fuller Albright in 1942.

Albright pushed his young protégé to be the lead author of the paper that described the condition, so the young Klinefelter's name is forever associated with the syndrome.

13. Asperger's syndrome

Austrian pediatrician Hans Asperger first described the syndrome that now bears his name in 1944 after observing a group of over 400 children who suffered from what Asperger described as "autistic psychopathy."

Interestingly, since Asperger's research was all written in German, his contributions to the literature went unrecognized until much later. The term "Asperger's syndrome" didn't come into widespread usage until 1981.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Alzheimer, Addison and Crohn used to be just names of people

@highlight

But they are now attached to the diseases that they identified or studied

@highlight

Austrian Dr. Hans Asperger described autistic syndrome in 1944

@highlight

Crohn's name linked to disease because it was listed first among 3 authors of study