(CNN) -- Over the next week CNN has special coverage of one of the world's biggest gatherings of the luxury industry from Basel, Switzerland, bringing you the views of the people behind some of the biggest brands.

Companies suggest the top tier of luxury goods is less affected by the downturn.

In this time of economic upheaval, these brands are being put to the test. People are spending their hard-earned money much more carefully. If they're going to shell out thousands of dollars for a timepiece or a trinket they want to know it's worth it.

A luxury brand's name, history and quality are cornerstones of its marketing and advertising. But is that enough? That is the question we will ask the CEOs of brands like Chopard, Bulgari, Patek Phillippe and Tag Heuer, to name a few.

There are conflicting reports over whether luxury brands are immune to the effects of a recession. Some suggest that people are not spending as much as they used to. Renowned British department store Harvey Nichols, which houses high-end luxury goods, posted a 40 percent drop in profits and a 5 percent drop in sales in the year ending March 31, 2009.

Other reports however suggest that consumers are still spending, just more carefully. The CEOs of the high-end brands like Boucheron and Patek Phillippe tell us there are three tiers in the luxury industry: the lower level where the brand's name is licensed and goods are mass marketed, the mid range where products are expensive but still widely available, and then there's the top tier where the goods are only available to a select few. These products are very expensive and only a few pieces are produced. Companies suggest this top tier isn't really affected by the downturn as consumers at this level still can afford to spend. Can luxury brands survive? Send us your views

The CEOs also suggest this downturn means a return to the notion of true luxury that is defined by its aspirational, not affordable quality of a product or a lifestyle.

Geography plays a big part in a brand and company's sales and profitability. Before the credit crunch, the United States was the top market for luxury goods. Today some reports indicate that China has surpassed the U.S. for its hunger for designer brands.

According to chinadaily.com, China consumed $8.6 billion worth of luxury goods in the two years ending January 2009. The Middle East and emerging markets like India are also major hubs of luxury consumption as importers of luxury brands. Here companies have set up shop in cities from Dubai to Delhi. These markets have been seen almost as the life rafts in this turbulent economy because there, the thinking is, people will still spend, spend, spend on known brands.

Last year at Baselworld, the then-CEO of the luxury watch brand Ebel, Thomas van der Kellen, told us that consumers in the emerging markets "are growing opportunities for the luxury watch business...the money is there, it's very much a branded culture..so we see a lot of opportunity to make up for potential loss on the western hemisphere."

The bottom line for all brands in the luxury industry is no one is exempt from feeling the constrictions of the market. Every aspect of the business is and will be affected in some way, whether it's at the production end (rising costs of raw materials and manufacturing) to the retail end (flow of traffic into their stores).

What separates those who will survive and even flourish in this industry are the ones that define themselves as true and aspirational luxury where the product is seen as an investment and worth it.

@highlight

Next week CNN focuses on some of the biggest names in luxury goods

@highlight

We ask CEOs of top brands how they plan to battle economic downturn

@highlight

Conflicting reports over whether luxury brands are immune to effects of recession