(TIME.com) -- HPV-caused throat cancer made headlines this summer when the Guardian reported that actor Michael Douglas contracted throat cancer not through tobacco and alcohol, but from human papillomavirus.

Douglas later said the statement was a misunderstanding, but doctors say HPV could actually contribute to malignant growths in the throat, most likely via oral sex. In fact, the Centers for Disease Control reports that about 60% of oropharyngeal cancers â€” cancers of the throat, tonsils and the base of tongue â€” are related to HPV.

Now, a study published in the journal Cancer Prevention Research reports that poor oral health, which includes dental problems and gum disease, is an independent risk factor for oral HPV infection, and by extension, could also contribute to oral cancers. The research team from the University of Texas Health Sciences Center in Houston studied more 3,400 participants between the ages 30 to 69 who were part of the 2009-2010 National Health and Nutrition Examination Survey.

The volunteers provided data on their oral health as well as on their HPV-infection status.

TIME.com: Yes, you can get throat cancer from oral sex

Those who reported poor oral health had a 56% higher rate of HPV infection than those whose mouths were healthy, and people who had gum disease and dental problems had a 51% higher risk of being infected with HPV than those who didn't have these issues.

The connection between the virus, which is most often associated with sexually transmitted diseases, and oral cancers only emerged about five years ago, Dr. Maura Gillison, a professor at Ohio State University who studies HPV infections in the head, throat and neck, told TIME in June.

Every year in the United States, more than 2,370 new cases of HPV-related oropharyngeal cancers are diagnosed in women and about 9,356 are diagnosed in men. White men have the highest rates of HPV-related throat cancer, fueling a recent rise in HPV-related oral cancers overall while tumors associated with tobacco have been declining.

"In the U.S., there is an active shift going on," Gillison told TIME. "Fortunately thanks to tobacco policy and public-health awareness, the incidence rate for the classical head and neck cancer caused by smoking is declining. But unfortunately, the rate of oropharynx cancer is still going up and it's because of the HPV component."

Some of that rise can be attributed to barriers that public health campaigns faced in addressing a sexually transmitted virus. When two vaccines that protect against the most common forms of HPV became available after 2006, for example, political and social resistance to vaccinating young girls as part of the childhood vaccination schedule led to slow uptake of the inoculation.

Parents and politicians worried that the shot would promote promiscuity among pre-adolescents, and were also concerned about reports that the immunizations caused serious side effects such as fainting. There were even claims that they also contributed to mental disorders. Both proved unfounded, as studies verified the safety of the vaccines and the lack of heightened sexual activity among vaccinated girls.

If left untreated, HPV can cause cancers in the cervix, anus, penis, vulva, vagina, as well as in the head and neck. Some forms of the virus also contribute to genital warts, but the latest studies suggest that the HPV vaccines can lower infection rates and therefore may be important weapons in fighting not just cervical cancer but oral cancers as well.

That's important since there is currently no scientifically proven way of testing for oral HPV, which makes monitoring for these virus-related cancers in the mouth more challenging and preventing them more critical.

TIME.com: New cancer screening guidelines include HPV tests

Even without a shot, however, the researchers say their results hint that it may be relatively easy to control HPV in the oropharynx â€” by brushing regularly and keeping the mouth environment clean.

"The good news is, the risk factor is modifiable -- by maintaining good oral hygiene and good oral health, one can prevent HPV infection and subsequent HPV-related cancers," said study author Thanh Cong Bui, a postdoctoral research fellow at the University of Texas Health Sciences Center in a statement.

And there are other benefits to brushing as well. Good oral health may also prevent other conditions such as the gum disease gingivitis, which has been linked to heart disease. A healthy mouth, it seems can also be a sign of a healthy body.

This story was originally published on TIME.com

@highlight

CDC: About 60% of oropharyngeal cancers are related to human papillomavirus

@highlight

Poor oral health is an independent risk factor for oral HPV infection, study finds

@highlight

White men have the highest rates of HPV-related throat cancer