The extraordinary revelation this week that the Internal Revenue Service targeted tea party groups for more aggressive enforcement highlights exactly why caution is needed in any response to the much-vilified Supreme Court decision in Citizens United v. FEC.

It also shows how all Americans, from the most liberal to the most conservative, should closely guard their First Amendment rights, and why giving the government too much power to limit political speech will inevitably result in selective enforcement against unpopular groups.

To the agency's credit, Lois Lerner, a senior official at the IRS, apologized on Friday for these unconstitutional practices, which are as unseemly as the Bush administration's targeting of the NAACP and the House of Representatives' defunding of Planned Parenthood on purely political grounds.

Lerner said that career IRS staff who were reviewing applicants for tax-exempt status took a harder look at applications with "tea party" or "patriot" in their names. She stressed that the added scrutiny was done as a "shortcut," not out of "political bias."  But her admission calls into question earlier claims by the agency that IRS scrutiny wasn't politically motivated, and it comes in the face of repeated complaints by right-wing groups that they have been treated unfairly.

Collins says IRS revelations will fuel distrust in government

Before addressing the obvious constitutional concerns with the selective use of the tax code against political opponents, here's some background.

Certain public interest groups, like charities and nonprofit athletic organizations, do not have to pay federal income tax on their donations or dues. These tax-exempt groups include 501(c)(4) organizations (named for the relevant section of the code). To qualify, a group must be "operated exclusively for the promotion of social welfare." The definition of "social welfare" is broad, and applies to all points of view. The ACLU's lobbying arm, for which we work, is a 501(c)(4). So is the National Right to Life Committee.

These social welfare groups are forbidden from engaging in too much partisan political activity. How much is too much, however, is controversial and remains uncertain. An organization that crosses over the fuzzy line will be denied tax-exempt status.

Crucially, 501(c)(4) organizations, in most cases, need not publicly disclose their donors. That policy is driven by the same concerns that prompted the Supreme Court in a civil rights-era case, NAACP v. Alabama, to prohibit that state from forcing the NAACP to out its members as a condition of operating. The court reasoned, rightly, that such disclosure could lead to violence against existing members and would dissuade potential members from joining at all.

Now, during the past couple of elections there has been a surge in applications for 501(c)(4) tax-exempt status. Some argue that these new groups are being created specifically to help elect or defeat candidates, which would otherwise prompt full donor disclosure to the Federal Election Commission.

Opponents claim these groups are abusively claiming tax-exempt status to keep their donor lists secret. Some further claim that these groups then allow wealthy individuals, corporations, and unions to anonymously funnel large amounts of money into ads supporting or attacking political candidates.

As a consequence, the IRS has been under enormous pressure to speed up and aggressively investigate applications for tax-exempt status -- both reasonable demands, if carried out impartially. But much of this outside pressure has come from the left and has been directed at conservative groups, who have an advantage in this "dark" political money.

It sounds as though the events surrounding the IRS announcement can be partly attributed to this growth in applications and the pressure to uncover "sham" 501(c)(4) groups.

Although the IRS claims this was an honest mistake, these revelations are troubling on many levels. For instance, there are several proposals circulating in Washington right now that would make it much easier for the IRS and other regulators to force political groups to disclose their donors. These disclosure requirements would apply even when the group is advocating purely on an issue of public interest, from clean air to abortion, and would apply to groups of all political persuasions and not just to groups supporting or opposing candidates for office.

The ACLU has expressed concern with these disclosure requirements precisely because they open the door to selective enforcement. Such concerns are often dismissed as speculative and overly pessimistic, but the IRS apology shows that concerns over selective enforcement are prescient. Those in power will always be tempted to use political speech restrictions against opposing candidates or causes.

The IRS announcement demonstrates that we should carefully consider any new policy that allows the government to restrict or chill political speech, including broader donor disclosure requirements. Congress and the administration should also act immediately to create ironclad checks on the IRS to prevent this from ever happening again.

It shouldn't need to be said: Even the tea party deserves First Amendment protection.

@highlight

IRS targeted tea party groups for more aggressive tax law enforcement

@highlight

Authors say politically motivated enforcement is a risk of efforts to counter Citizens United ruling

@highlight

IRS has been under pressure from the left to crack down on conservative groups, they say

@highlight

Authors: Administration, Congress need to enact ironclad rules to prevent repetition