(CNN) -- George McGovern rode the swirling social and political currents of America in the late 1960s and early 1970s to lead a political movement that permanently changed the nation in ways that we still do not fully understand.

A mild-mannered Midwestern intellectual, World War II combat hero and son of a Methodist minister, he became the leading edge of a storm promising (or threatening, depending on your point of view) transformative change on a wide range of issues including foreign policy, the electoral process and the rights of women.

It was a storm that gathered intense support and equally intense opposition in the senator's run for president against incumbent Richard Nixon in 1972. While the nation's younger and more highly educated rallied to McGovern's standard, the "silent majority" were deeply troubled by much of what they believed to be the McGovern agenda.

George McGovern, an unabashed liberal voice, dies

Ultimately, much of what George McGovern campaigned for in 1972 came to pass. Both major political parties have a system of nominating a president that is far more transparent, accountable and democratic than the systems that existed prior to 1972. McGovern was instrumental in rewriting the rules for selecting Democratic convention delegates to include women, minorities and young people. (Women, minorities and gays now have far more rights and protections than they did in 1972.)

But the cutting edge of the 1972 campaign was about how America dealt with the rest of the world, how it chose and challenged its adversaries, and in particular, how it would resolve the Vietnam War. By gaining the Democratic nomination, McGovern became the leading opponent of the war; he challenged the usefulness of the 25-year strategy of containing the Soviet Union, the People's Republic of China and any other nation committed to or influenced by Communism.

McGovern and many other political leaders in both parties argued that in opposing Communism or other types of totalitarianism, the U.S. had to be far more strategic -- that fighting in places like Vietnam, where the outcome would have little real consequence on our nation's global struggle against a failed ideology, squandered American lives and treasure.

Greene: McGovern a strong man who overcame defeat

While the Nixon administration and conservative Republicans lambasted McGovern for those views, Nixon eventually signed a peace agreement that ended the war on terms no more favorable than would have been granted had the McGovern-Hatfield Amendment been adopted in 1970 -- an amendment that proposed a complete withdrawal of troops from Vietnam and would have saved thousands of American combat casualties.

Here is part of the passionate speech -- bracingly relevant today -- that McGovern delivered on the Senate floor before the vote defeating the amendment:

"Every senator in this chamber is partly responsible for sending 50,000 young Americans to an early grave. This chamber reeks of blood. Every senator here is partly responsible for that human wreckage at Walter Reed and Bethesda Naval and all across our land â€” young men without legs, or arms, or genitals, or faces or hopes.

"There are not very many of these blasted and broken boys who think this war is a glorious adventure. Do not talk to them about bugging out, or national honor or courage. It does not take any courage at all for a congressman, or a senator, or a president to wrap himself in the flag and say we are staying in Vietnam, because it is not our blood that is being shed. But we are responsible for those young men and their lives and their hopes. And if we do not end this damnable war, those young men will some day curse us for our pitiful willingness to let the executive carry the burden that the Constitution places on us.

"So before we vote, let us ponder the admonition of Edmund Burke, the great parliamentarian of an earlier day: 'A contentious man would be cautious how he dealt in blood.'"

Highlights of George McGovern's life

Today, American businesses are seeking to broaden our commercial relationships with Vietnam, and American military advisers meet with the Vietnamese to suggest strategies that will help that country protect the territory it claims in the South China Sea from possible Chinese aggression.

George McGovern never fully recovered from the drubbing he received at the polls in November of 1972. But the path that he pointed to was ultimately the path the country took, and the movement he founded drew thousands of men and women, who committed their lives to public service and who continue to contribute to their communities and their country 40 years later.

George McGovern was never the extremist his opponents tried to characterize him as being. His subsequent electoral success in South Dakota was evidence enough of that fact. But he was a man of great vision and grace. He helped to educate a generation about the failures of a rigid and untextured accounting of our allies and our enemies, and about the importance of making smart choices when dealing with dangerous adversaries. Those are lessons as important today as they were in 1970.

Politicians pay tribute

The opinions expressed in this commentary are solely those of Scott Lilly.

@highlight

Scott Lilly: McGovern presciently rode swirling political, social currents of late '60s, early '70s

@highlight

His views on foreign policy, women's rights and more drew support of young, Lilly says

@highlight

McGovern lost to Nixon in 1972, but many of his positions came to pass anyway, Lilly says

@highlight

Lilly: McGovern not the extremist his opponents claimed; he was a man of strength, grace