Hong Kong (CNN) -- On the Reporters Without Borders map of global press freedom, China appears as one big black spot.

China is ranked at 173 in the most recent World Press Freedom Index due in part to its track record for imprisoning journalists and censoring the Internet.

And the situation shows no sign of improving.

Last month, global viewers witnessed reporters for the BBC and CNN get shoved and manhandled outside the trial of activist Xu Zhiyong.

Foreign media were literally pushed away from the story.

"And it's gotten much worse in recent years," says Charles Hutzler, the Wall Street Journal's China Bureau Chief who has over 20 years of experience covering China.

"Particularly in the countryside and in small towns, if you happen to be covering a story that the local officials just do not want to get out, they will do more than push people around. They will grab cameras and confiscate them, and in some cases smash them."

Visa threat

Foreign correspondents in China face bureaucratic harassment as well, with the increasing threat of having a visa not renewed or even revoked.

"This year of course was unprecedented, the pressure on the New York Times and Bloomberg, both of which had written about the private financial affairs of relatives of senior leaders," says Peter Ford, President of the Foreign Correspondents Club of China and Beijing Bureau Chief for the Christian Science Monitor.

"Entire bureaus of those organizations were implicitly threatened, because they had to wait for their visas until the very, very last minute."

Ford adds: "In the absence of any official explanation of why they had to wait this long, it will certainly feed suspicion that it's retribution for the content of their coverage."

But the risks are far greater for Chinese nationals who can be continually harassed or jailed for contributing to a sensitive report.

"Foreign correspondents are at times vulnerable, but really, the people we most need to protect are our sources, and then our Chinese colleagues, because unlike a foreign correspondent they can't leave," Hutzler says.

The government says it wants journalists to cover news in an objective and fair-minded way. But at the same time, does what it can to shut down or discredit stories that upset the political balance.

Losing its grip

Despite its attempts to pressure reporters and their sources and to craft a state-approved version of events, Beijing appears to be losing its grip on the story.

"As China becomes more open and more integrated in the economy, there's more information available. (With) listed companies in New York and Hong Kong, company records are available. Official affiliations to these companies are available. So the new phenomenon now is getting at the data and to mine the information," says Ying Chan, journalism professor at the University of Hong Kong and co-director of the China Media Project.

But if China wants an open economy, it must be open to transparency. And more transparency means more data for journalists to dig into.

Likewise, more access to social media platforms like Sina Weibo or Tencent's WeChat has led to more citizen journalists breaking the story.

"The proliferation and availability of smartphones means that migrant workers in factories in South China are also communicating through social media, whether it's through WeChat or Weibo," says Hutzler.

Enterprising reporters

"The government is trying very hard to get on top of these technologies, but I think the trend is there. They're losing control of the narrative."

Even from inside China's media machine, enterprising local reporters are working independently of the official party line.

"They are doing good work in commercial-run media. But also some are doing good work in the state media and that's interesting," Chan tells me.

"We cannot assume that if it's a party paper, you must be toeing the party line. This is the growing diversity of coverage in local Chinese media."

And if they are censored in print, they can always push the story online.

Ying Chan fires up WeChat on her smartphone, and shows me an array of independent Chinese media channels inside the popular messaging app.

Beijing may be playing rough with reporters, but reporters are playing smart. There's still room to maneuver around China's big black spot on journalism.

@highlight

Foreign correspondents falling foul of Chinese authorities as they take a tougher line

@highlight

Many face bureaucratic harassment with work visas not renewed

@highlight

Risks far greater for Chinese nationals who can be continually harassed or jailed

@highlight

But enterprising reporters are using Internet, social media to play the censors