Washington (CNN) -- Army Staff Sgt. Robert Bales could be sentenced to death if convicted on any of the 17 counts of murder filed against him Friday for allegedly embarking on a bloody shooting rampage in Afghan villages, the U.S. military said.

In addition to the charges of murder "with premeditation," the 38-year-old faces six counts of attempted murder and two counts of assault.

Authorities say Bales left a remote outpost in Kandahar province's Panjwai district early March 11 and went house-to-house, gunning down villagers. U.S. and Afghan officials initially said 16 people died in those attacks.

Col. Gary Kolb, a spokesman with the NATO-led International Security Assistance Force, on Friday said only that investigators assigned to the case felt they had evidence to charge Bales with 17 counts of murder. There was no immediate indication as to where the other fatality came from, besides the fact it was an an adult, and Afghan government officials in Kabul have said they have no record of another death.

Read the charges against Bales (PDF)

The six people wounded in the shootings are four children, one woman and one man, according to the charge sheet against Bales. Two of those have been released from a hospital, said Ahmad Javed Faisal, a Kandahar provincial government spokesman.

At the minimum, Bales would be sentenced to life in prison with the possibility of parole if he's convicted on even one of the 17 murder charges, according to a statement from the U.S. Forces-Afghanistan public affairs office. At the maximum, he could face the death penalty.

Prosecutors could levy more charges "as they see fit," said a defense official with knowledge of the charges preferred.

"The Army investigators are still working," the official said. "There is no requirement to 'lock in' to certain charges at this point."

Stunned friends recall good deeds of suspect

The Taliban, in an e-mail Friday to CNN, vowed "strong revenge" for the attacks and claimed justice won't be served in U.S. courts, which they said "are not reliable." The Islamic fundamentalist group, which been battling coalition and Afghan government forces for years, believes that "tens of American soldiers, and not one person" are responsible for the killings, according to the message.

"We don't believe in these (American) courts and reject the decision," the Taliban said. "We will take practical revenge on every single American soldier."

Bales, who was returned to the United States last week, is being held at Fort Leavenworth, Kansas.

Speaking from Joint Base Lewis-McChord in Washington state, where Bales is assigned, Army Gen. Lloyd Austin called the developments Friday -- in which U.S. military lawyers in Afghanistan "preferred" the charges -- "the first step in a long process that's going to occur."

The case is now in the hands of the special convening authority, Col. Kenneth Kamper from the 17th Fires Brigade. As a I Corps unit leader who is still at Lewis-McChord, Kamper handles courts-martial issues regarding Corps members, according to base spokesman Joe Piek.

Bales' case could go straight to an Article 32 hearing -- a military hybrid of a civilian preliminary hearing and a grand jury session that Austin, the Army's vice chief of staff, acknowledged has "challenges associated with it." Or Bales could go before a group of mental health experts who would determine whether his mental health may be a factor in his defense.

Jeffery King, a military defense lawyer, told CNN on Friday that he expected "the mental status of ... Bales will be the overriding factor in this case" -- including both his state of mind at the time of the attack, as well as whether he's mentally competent to stand trial.

Eventually, after gathering prosecution and defense testimony, Kamper will recommend what charges should be pursued to a higher-ranking general convening authority, in this case Maj. Gen. Lloyd Miles. As deputy commanding general for I Corps, Miles is taking on this duty while the corps' commanding general, Lt. Gen. Curtis Scaparrotti, is deployed, Piek said.

Miles is expected to offer his own recommendation on whether the case should go to trial and, if so, on what charges and whether a death penalty should be a possible sentence.

If and when the case comes to trial, Bales' lawyer, John Henry Browne, said, it is going to be "extremely difficult" for the prosecution.

"They have no murder scene, no forensics," the lawyer said Thursday night outside his Seattle office. "I'm going to make them prove every claim."

Prosecution faces major hurdles

Military law experts acknowledge that proving the case may be difficult, especially given that there are no autopsies to help prove the cause of death -- in part because those killed were buried quickly, in accordance with Islamic tradition -- and difficulty in getting witnesses to testify.

Afghans are insisting that the suspect be returned to Afghanistan to face trial, with villagers and lawmakers questioning the U.S. military's account of what happened. But a military official in Afghanistan has said that Bales will be tried in the United States.

Kolb, the ISAF spokesman, said that defense attorneys would need coalition forces' protection if they choose to investigate in Afghanistan. He notes that the Taliban "has already taken some potshots at Afghan investigators that went to the area."

Still, Kolb said witnesses may not necessarily have to fly to the United States to testify as they could speak via teleconference. And Gary Solis, a former U.S. Marine Corps lawyer and current Georgetown professor, told CNN that any bullet rounds recovered from the scene could be matched with Bales' weapon -- assuming it was "immediately seized" -- which would serve as "powerful evidence for the government."

Suspect has memory loss, lawyer says

Lance Rosen, the lawyer for Bales' wife, Karilyn, said Bales did not surrender to U.S. authorities, as some have reported. Rather, Rosen said, Bales was taken into custody, though he wasn't sure why.

Asked about Bales' state of mind, Browne said on "CBS This Morning" on Friday that his client hasn't said much in their meetings and appears to have memory problems predating the incident.

"He has some memories about what happened before the alleged event and some memories after the alleged event and some windows here and there into things, but he really doesn't have any memory," Browne said. "He's kind of in shock."

Bales told his wife, in the first of two phone conversations they had since he was detained, that something had happened and he didn't know what it was, according to Rosen.

What's the link between violence and disorders?

Browne told CBS that "The Hurt Locker," the acclaimed 2008 film about a bomb disposal unit in the Iraq war, is a "Disney movie compared to what these guys are going through."

"Just seeing people blown apart ... picking up body parts, putting them in bags," he said. "You know, a lot of servicemen go through that and don't have incidents alleged like this, but it's pretty horrific. We do know he had a concussive head injury, which is serious. We also know it was not treated for a variety of reasons."

Afghan villagers describe massacre's horror

Another member of Bales' defense team, Emma Scanlan, said Friday that she'd spoken recently with Bales, and he is "holding up."

"He's concerned about the welfare of his family, first and foremost, and the safety of the people who are on the ground in Afghanistan," Scanlan said of the father of two.

The massacre has strained already tense U.S.-Afghan relations and intensified a debate about whether to pull American troops ahead of their planned 2014 withdrawal. Afghan President Hamid Karzai has demanded that troops withdraw from villages in his nation and return to their larger bases, saying relations between the two countries are "at the end of their rope."

Karzai urges U.S. pullback after massacre

CNN legal contributor and defense attorney Paul Callan said on CNN's "Erin Burnett OutFront" that he believes prosecutors will seek the death penalty against Bales "because this is one of the biggest alleged massacres in memory."

"You have the diplomatic and political problems that are being caused by this crime," Callan said. "Afghan citizens will be looking, saying, 'Is the U.S. seeking justice in this case?' "

But he said that even if prosecutors won a death sentence, it is unlikely that Bales would be executed for years, if not decades.

Suspect held liable for financial fraud

Accounts from the military, Bales' family, friends and neighbors describe a man who remained committed to serving his country despite wounds he received during three previous combat tours to Iraq, including a traumatic brain injury suffered during a vehicle accident.

But Michael Breen, a former Army captain, said the speculation about whether his injuries or a possible undiagnosed case of post-traumatic stress disorder contributed to Bales' actions is unfair to other veterans.

"Sgt. Bales has been through a lot as a soldier. Many of us have," Breen said. "That is certainly no explanation or excuse for the gross violation of his code of honor, to say the least, and the horrific crimes that he committed."

CNN's Mitra Mobasherat, Sara Sidner, Chris Lawrence, Miguel Marquez and Paul Vercammen contributed to this report.

@highlight

NEW: A top Army general calls the charges "the first step in a long process"

@highlight

Sgt. Bales faces 17 murder counts, which are eligible for the death penalty

@highlight

He also faces 6 counts of attempted murder and 2 counts of assault

@highlight

The Taliban vow revenge, saying they believe U.S. courts are "not reliable"