(CNN) -- Striking the right chord with football fans has long proved a tricky proposition for music's elite.

Throughout the 84-year history of the World Cup, stars from across the musical spectrum, from Shakira to the late Luciano Pavarotti, have tried -- with varying degrees of success -- to write the soundtrack to the "beautiful game."

But 24 years ago, ahead of Italia '90, seminal British band New Order arguably penned the ultimate football anthem.

To achieve that elusive goal, they had to break a few rules -- most notably, the one that says footballers shouldn't rap.

"There wasn't supposed to be a rap," recalls former England winger John Barnes, who not only starred on the pitch but also performed memorably on New Order's "World in Motion" -- the team's official song for the 1990 World Cup.

"After a while, and a few glasses of wine, someone drunkenly said 'Why don't we just put a rap in it?' " he told CNN.

The rest is history.

"World in Motion" not only became a musical success, providing New Order's only British No. 1 single to date, it also helped redefine football in a country which was falling out of love with the sport after a decade darkened by hooliganism and fatal stadium disasters at Bradford, Heysel and Hillsborough.

Unlikely bedfellows

New Order, one of the most influential British groups of modern times, and the English Football Association -- then chaired by 75-year-old Bert Millichip -- were unlikely collaborators.

The band is made up of ex-members of Joy Division, whose frontman Ian Curtis committed suicide in 1980.

After the singer's death, Peter Hook, Stephen Morris and Bernard Sumner decided to carry on making music and -- with the addition of Gillian Gilbert -- New Order was born.

The now deceased Tony Wilson, owner of the band's record label Factory Records, was the instigator of a partnership between the suits who ran English football and a group of musicians famed for combining post-punk and electronic dance music.

"Tony never told us about it," recalls New Order drummer Morris.

"He goes, 'I've got a great idea, why don't you do the World Cup song.' We thought it was a terrible idea because all World Cup songs, football songs in general, were just naff."

While many World Cup songs feature gimmicky lyrics about scoring goals and chasing dreams, New Order's ditty rebelled against convention.

"World in Motion" notably included the lyric, "This ain't a football song."

Morris explains: "When we did it, we did talk to a lot of people and say, 'How do you think we should go about doing a football song?'

"Basically we ignored everything they said.

"It wasn't weighed down by everything else that you ever thought about football songs."

'This ain't a football song'

One snag was that New Order was under orders to include the England team on the record.

With the help of actor-come-comedian Keith Allen -- father of British popstar Lily Allen and "Game of Thrones" actor Alfie Allen -- they came across an unlikely solution.

"We knew Keith," Morris says of Allen, who has appeared in a host of British TV shows across the last four decades and is a fan of London football club Fulham.

"He'd been hanging out at The Hacienda quite a lot," adds Morris, referring to the legendary Manchester club owned by Factory and New Order members.

"Keith turned up and he wrote the rap. That was when it started getting a bit more 'footbally.' "

The rap would go down in English football history but New Order first had to figure out how to turn the players into part-time musicians.

The answer, they found out, was champagne. Lots of champagne.

"I thought we were rock and roll!" said Morris. "There was a huge fridge that you would usually have soft drinks in, a wall fridge, full of champagne.

"We thought, 'Yeah they'll have a couple of bottles.' They demolished it, it was empty. I don't know how many bottles there were, but we would never have gone through it."

Four of the England squad were dispatched to record the song: Barnes, fellow Liverpool stars Steve McMahon and Peter Beardsley, plus Tottenham's Paul Gascoigne.

Beardsley, Gascoigne and McMahon all spoke with broad northern English accents, leaving Jamaica-born Barnes as the man who would rap his way into the hearts of football fans.

"With a Scouser (a nickname for someone from Liverpool) and two Geordies (someone from Newcastle), there was only one person who was going to do the rap," jokes Barnes.

Gazza's tears

The song's success was helped by an England team which reached the semifinals of the World Cup for only the second time in its history at Italia '90 -- the nation's best performance since winning the trophy at home 24 years earlier.

A last-gasp win over Belgium in the round of 16 and a come-from-behind quarterfinal victory over Cameroon sparked a rush of renewed enthusiasm and patriotism through a country rebuilding its relationship with the national game.

An agonizing penalty shootout defeat to West Germany broke English hearts, with team talisman Gascoigne bursting into tears when he picked up a yellow card which would have ruled him out of the final.

As Gascoigne wept, millions cried with him, but once eyes had dried England could reflect on its most successful World Cup campaign on foreign soil.

The performance of the "Three Lions" reignited the country's passion for football, thanks in no small part to New Order and a song which helped redefine the image of the sport in England.

The Hillsborough Stadium disaster of 1989 had killed 96 fans, while a fire at the Valley Parade stadium in Bradford was responsible for the deaths of 56 people four years previously.

The Heysel Stadium tragedy in Brussels, which occurred during the 1985 European Cup final between Liverpool and Juventus, had killed 39 people and led to the expulsion of English clubs from continental competition for five years.

The sport needed a makeover, one which the members of New Order were happy to provide.

"I don't know whether you can say it was entirely down to 'World in Motion,' but I think it did come at a bit of a turning point for football," recalls Morris.

"I think up until that point it was all very laddish and after 'World in Motion' everybody got a bit loved-up with it.

"Love is a universal thing, so is football."

Lasting legacy

Twenty-four years on the song is mostly remembered for Barnes' rap; even England fans who weren't alive in 1990 can recite his immortal words.

But the 50-year-old is quick to pay tribute to New Order, a band that breathed life into a staid and cliched musical genre at a time when the British dance music scene was exploding.

"Every time the World Cup comes around people talk about it, which shows how iconic the song was," says Barnes. "I actually did it on the beach last week and it was all over YouTube.

"In 1990 we captured the imagination of the public, so of course the song went to No. 1. If we'd have got knocked out in the first round, it probably wouldn't have.

"It was nice, I got to do it and maybe I got a little kudos from it, but the song was really just a great song by New Order."

Blog: What went wrong for Spain?

What's your favorite World Cup song? Continue the conversation with CNNFC on Twitter or Facebook -- use the hashtag #CNNWorldCup -- or have your say in the comments box below.

@highlight

England's official song for 1990 World Cup saw football mix with rap

@highlight

"World in Motion" was released by British band New Order

@highlight

The band collaborated with the England team, with John Barnes performing a rap

@highlight

Barnes' rap is now a part of English football folklore