If your romantic partner pointed you to an application for a one-way trip to Mars, would you be upset -- or thrilled?

When Dr. Leila Zucker's husband sent her such an e-mail last spring, he said that he didn't want her to go but that he'd be a lousy husband if he didn't tell her about it.

Fast-forward to today: Zucker has made it past the first round of cuts for Mars One, a nonprofit organization that aims to send four people to the Red Planet in 2024 and subsequent groups in later years.

"Most of us want to explore, want to go new places, and then it's just a question of: How much are you willing to give up to do it?" she said.

Zucker is one of 705 candidates selected from a pool of 200,000 applicants for the mission. The select group has been narrowed from 1,058 people as some prospective astronauts dropped out for personal or medical reasons, Mars One said recently.

All of the remaining candidates will be interviewed by the Mars One selection committee.

Eventually, only four will be picked for the first trip. Apparently, none of them is scared off by the idea that, because of technological and financial limitations, Mars One astronauts would probably never come home.

It might not actually happen

Despite growing excitement surrounding this effort, it is not clear that sufficient money will be raised to follow through. Mars One CEO Bas Lansdorp has said the company is looking at "a range of funding scenarios."

A reality TV concept is one way Mars One may make good on its $6 billion budget for getting the first four humans to Mars. Lansdorp hopes the unprecedented video opportunities will attract sponsors, partners and media coverage.

But since no one has ever been to Mars, the technology to fly people there and keep them alive has not been tested there, either. Lansdorp said last year that "no new inventions are needed to land humans on Mars," and the website says the "plan is built upon existing technologies available from proven suppliers." But the company will need to show that key systems involved in transportation and life support will work in untraversed territories.

Mars One announced in March that it will soon begin constructing the first of its "simulation outposts" to train selected astronauts and teams, giving them experience in an environment made to feel like a Martian home.

Zucker, 46, an emergency medicine physician in Washington, is doubtful that Mars One will deliver on the trip at all. But if it does happen, she is on board. "There's no question."

Settling away from your spouse

You might think that trying to emigrate from our planet might put some pressure on Earth-based relationships.

Zucker and her husband have been married for 21 years and have no children. If she goes to Mars, she said, she will probably offer her husband a divorce but will wear her wedding ring regardless. He doesn't want her to go, she said, but supports her following her dreams.

"Both of us are space enthusiasts," she said. "Humanity needs to expand off Earth if we expect the human race to succeed in any way beyond just basic survival."

Dan Carey, 52, another candidate, also believes humans should be spreading to other planets -- but his wife is not happy about Carey taking part in the mission. The couple, married 28 years, has two college-age children.

"She's concerned that she's going to have to watch me die on television," Carey said of his wife.

It's hard for Carey to think about leaving his wife and kids behind forever and never meeting future grandchildren. Still, he likes the idea of making history and seeing things that no one has seen directly before.

Sachin Desai and his wife, Ankita Ritwik, are getting around the marital tension issue by applying together. Desai says he could not go to Mars without her. Sure, Mars might challenge their marriage, but enough marriages are strained on Earth already, he said.

"One thing we do really well together is travel, and this would be a trip lasting the rest of our lives. I think we also are very good at helping each other out when we are stressed; I would be a far worse space cadet without her."

A 'social experiment'

When you live far from people you've known for a long time, you manage to make friends in your immediate area, and that's what Marina Santiago thinks will happen on Mars. The Harvard University Ph.D. student says Mars One crew members may take the place of friends, family and significant others.

Even if Mars One doesn't land people on Mars in 2025, it serves as a "social experiment" to get people talking and thinking about a Mars mission, she said.

"What I learned in grad school is that you never really know what problems you're going to come across until you actually try and do something. And the fact that they're actually trying to plan it, means that they'll come across the problems," she said. "I believe that there are no problems humanity can't solve."

Some candidates draw analogies to the early waves of European settlers in North America. Immigrants didn't have a rover on Plymouth Rock telling them about local conditions before they arrived, says Gregory Sachs.

"You even couldn't necessarily send a letter back to your family," Zucker said. "You were leaving everything for good. We at least will have the ability to use e-mail."

Still, it's a hard sell for friends of Brian Robles', a Mars One candidate who studies public health at Rutgers University.

"Usually, every time I tell somebody about the trip, they say it's a 'suicide mission' and 'you're going to die on Mars,' " Robles said.  "Well, we're going to die here, too. So might as well live your whole life to the fullest."

Funny he should mention that: The United Arab Emirates' religious watchdog, the General Authority of Islamic Affairs & Endowments, recently issued a fatwa to warn Muslims against the mission because "the chances of dying are higher than living."

Mars One responded in a statement, asking the authority to cancel the fatwa. "The Fatwa prohibits Muslims from going to Mars, but not from applying to Mars One's mission or training for the mission. In the next ten years, Mars One is open to working with the GAIAE to assess the risk of the mission as the unmanned settlement is under construction," Mars One said.

Sachs is hopeful that his trip wouldn't actually be one-way. He believes it would be in the best interest of the mission to send the astronauts back: "Imagine only the cost and tax on resources to care with someone elderly on a Mars One colony," he said.

But the way that the mission is currently set up -- with no return plan -- he's still interested.

Making happy Martian meals

Spending the rest of your life on another planet might make a person miss certain Earthly conveniences like favorite foods.

Carey said he'd lose weight just to be able to take more chocolate with him, since there would be a limit of how much weight each person could contribute to the mission.

Michael McDonnell, another applicant, said he wants to make the first pizza on Mars. Zucker would miss hamburgers but has high hopes for being able to grow them herself, perhaps from cow stem cells using a technique demonstrated last year.

How test-tube meat could be the future of food

"The first hardest thing to give up would obviously be my husband," Zucker said. "The second hardest thing would be meat."

But for this opportunity, she would kiss them both goodbye.

A one-way ticket to Mars, apply now

501 days in space with your spouse: Could you handle it?

@highlight

Mars One will select four astronauts for its first mission

@highlight

Candidate pool in current round stands at 705

@highlight

Some say humanity needs to leave Earth for survival

@highlight

One man's wife "concerned that she's going to have to watch me die on television"