TBILISI, Georgia (CNN)  -- The number of people displaced by the warfare in Georgia is approaching 100,000 and the figure could rise, the U.N. refugee agency said Monday.

Thousands of people have been displaced by the worsening conflict in the region.

International agencies and nations were working to help thousands of people fleeing violence in war-ravaged Georgia, where 275,000 previously displaced people, refugees, stateless people and returnees had been living even before hostilities broke out last week between Georgia and Russia.

"It's a very fluid situation," said Ron Redmond, a spokesman for the U.N. high commissioner for refugees. Georgia proper is a particular problem because some of the people who fled to Gori in Georgia from South Ossetia when the conflict began found themselves in a conflict zone and had to go somewhere else.

The numbers Redmond cited were as of Sunday. He said about 56,000 people have fled in and around Gori. Many displaced people are headed to Tbilisi, where people are staying with relatives and acquaintances or at facilities available for the displaced.  Watch U.S. and Russia clash »

The UNHCR said in a written statement that Georgian officials believe "a few thousand have fled south into Georgia proper from South Ossetia, but a registration must be carried out to get an exact figure."

When UNHCR and World Food Program officials traveled to Gori on Sunday, they determined about 80 percent of residents had left the city, which appeared largely deserted.

About 30,000 people from South Ossetia headed to North Ossetia in Russia, Redmond said, citing Russian numbers. He said many women and children are showing up without husbands and fathers, indicating many families have been separated.

Many of the uprooted are "extremely distressed," he said. They are staying in schools and other public buildings. Those in schools will have to leave by September and "there's some concern about where they are going to."

"It's assumed that many will probably go back" to South Ossetia, Redmond said. At the same time, he said, "There's been heavy destruction. Many may not have anything to go back to."

Redmond said more displacement is possible because hostilities are continuing in the area.

The World Food Program is providing food assistance to displaced people.

It said the aid work is perilous because of what the agency says are "continuing Russian air raids."

Over the weekend, the agency "provided a 10-day food ration to more than 1,900 displaced people living in shelters" in the Georgian capital, Tbilisi, and said more distributions were taking place Monday.

"The number of people in need of our help is rising by the hour," said Lola Castro, director of the WFP for Georgia. She said around 2,750 displaced people had been registered in Tbilisi, and others "were living with relatives or in unofficial shelters."

UNHCR is working to help civilians fleeing the war zone in and near the disputed region of South Ossetia, where Russian and Georgian troops have been fighting, and is providing humanitarian relief.

Over the weekend, the UNHCR and associates passed along aid to "300 vulnerable Georgians from South Ossetia who had been transferred from Gori to Tbilisi."

"The agency also provided tents and other supplies to partners in Gori for use by the displaced, if necessary," the UNHCR said.

The UNHCR said it is starting an "emergency airlift of relief supplies to bolster its stockpiles of humanitarian aid in the Caucasus region."

High Commissioner Antonio Guterres authorized $2 million from UNHCR's emergency reserve for "possible immediate new needs in the region" and said more staff is being deployed.

The first airlift flight is to tote 20,000 blankets and other aid items from UNHCR's central emergency stockpile in Dubai to Georgia overnight Monday. Another flight is planned for Wednesday from Copenhagen, Denmark. There will be humanitarian supplies for up to 30,000 people in both flights.

The UNHCR is planning to provide "basic non-food aid items and temporary shelter where required, and has already activated the replenishment of stocks from its central emergency stockpile."

"Our main concern as the U.N. refugee agency is with the safety of the civilians, both displaced and non-displaced, and with humanitarian access with the possibility for us to help those in distress, especially the uprooted," said Antonio Guterres, the U.N. high commissioner for refugees.

"We have mobilized our financial resources and our humanitarian resources. Airlifts are starting with relief items to be able to help people. But we need to be able to get to them."

Guterres said he was pleased with the news that "humanitarian corridors" will be established and said UNHCR is "ready to provide immediate humanitarian support to Georgian or Russian authorities."

Both Russia and Georgia mentioned plans for such corridors -- one to North Ossetia in Russia and one to Georgia.

The ICRC said a surgical team will be arriving in Georgia on Tuesday "to reinforce local surgical staff, in particular those working at Gori's civilian hospital. The Norwegian Red Cross is sending a field hospital to help treat people who have been wounded in Georgia." That would include those in the South Ossetian capital of Tskhinvali.

"Over the past few days the ICRC has been able to visit hospitals in Alaguir, Ardon and Vladikavkaz, in the Russian Federation, and in Gori, Poti and Senaki in Georgia," said Dominik Stillhart, the organization's deputy director of operations.

"It's still too early to say how many people have been killed or injured by the fighting, but our visits to these hospitals confirm that local medical facilities are dealing with a large number of wounded and dead."

The ICRC is hoping to distribute blankets, hygiene materials and cooking pots, and restore access to drinking water in Tskhinvali. The group plans to work with the Russian Red Cross in North Ossetia and provide emergency aid for families.

The group is preparing to airlift 15 tons of medicines and medical supplies to treat injured people. The ICRC plans to send material "for a water-treatment plant and distribution tanks capable of holding safe drinking water for around 20,000 people."

CNN's Joe Sterling and Elise Labott contributed to this report.

@highlight

Almost 100,000 people displaced by warfare, says U.N. refugee agency

@highlight

Relief agency: aid work is perilous because of "continuing Russian air raids."

@highlight

UNHCR is starting an "emergency airlift of relief supplies"

@highlight

Russian figures in N. Ossetia show 30,000 people entered from S. Ossetia