(CNN) -- It was a frigid June night at Pickstone Mine in Zimbabwe when 67-year-old Angela Campbell -- soaking wet, her arm broken and a gun to her head -- signed a document vowing to give up the fight for her family's farm.

Angela Campbell, 67, was beaten and kidnapped days after Zimbabwe's runoff election.

The kidnappers demanding her signature at gunpoint were "war veterans" from President Robert Mugabe's heyday as a liberation hero, and they made it clear that her refusal would mean more beatings.

Though Campbell signed the document, her son-in-law said she has no intention of giving up her battle; Campbell's family will be in Windhoek, Namibia, on Wednesday to present arguments to a Southern African Development Community tribunal.

In pursuing the case, the Campbells and 77 fellow Zimbabwean farmers are risking theft, torture and death for what may be their only remaining chance to save the homes and farms so coveted by Mugabe and his loyalists.

Mugabe blames the West for his nation's soaring inflation and poverty. But analysts say Mugabe's 2000 "resettlement" policy, in which property was snatched from white farmers and redistributed to landless blacks, is more to blame for the country's turmoil.  Watch a report from the time of the Campbell attack »

"All I want to see is justice," said Richard Etheredge, 72, a white farmer who was evicted from his farm last month. "The world cannot carry on with criminals."

On June 15, Etheredge, who has joined the case, and his family received word that a Zimbabwean senator planned to take over his Chegutu farm, a process known as "jambanja."

"We're going to murder you if we catch you," Etheredge recalls an assailant yelling from outside his son's house two days later.

The senator bused "criminals" to his property, Etheredge said. Etheredge, his wife and one of his twin sons escaped, but the other twin and Etheredge's daughter-in-law were later beaten, he said.

Looters stole his computers, farm equipment, antiques, custom gun collection and a safe with billions in Zimbabwean currency (hundreds of thousands in U.S. dollars). Etheredge said he watched the thieves abscond with his possessions in vehicles belonging to the senator.

The looters also caused about $1 million in damage to his property, which includes three houses and a fruit-packing plant that was once among the most sophisticated in southern Africa. The Etheredges have been farming for 17 years and, before the attack, were producing 400,000 cartons of navel oranges and kumquats a year, he said.

"The destruction is absolutely incredible," Etheredge said.

Mugabe's cronies visited the adjacent Mount Carmel farm about two weeks later, just days after Mugabe won a majority of votes in a runoff denounced as a "sham" by the international community.  Watch how violence persists after the election »

Like the Etheredges, Mike and Angela Campbell were warned that Mugabe loyalists, members of his Zimbabwe African National Union-Patriotic Front, were planning to invade their farm. The government had given the 1,200-hectare (2,965-acre) tract to a Zanu-PF spokesman who also served as Mugabe's biographer, according to the Campbells' son-in-law, Ben Freeth.

Two nuns went to Mount Carmel on June 26, the day before the runoff, wanting to buy sweet potatoes, Freeth said. But their quest for tubers was a ruse; they actually wanted to tell Freeth that Zanu-PF members were planning to raid the Campbell land, where the Campbells and Freeth and his wife, Laura, live.

On June 29, Freeth received a phone call: "War veterans," as the clans of pro-Mugabe thugs call themselves, were heading to his in-laws' house. Laura and her brother, Bruce, gathered their children. Laura fled with the children through a fence on the northern boundary of Mount Carmel farm, Freeth said.

Freeth jumped in his car and sped 1½ kilometers to the Campbell house.

"These guys had already arrived, and they started shooting at me as soon as I drove through the gate," he said.

The bullets missed, but one of the war veterans hurled a rock through the driver's side window, smashing Freeth's right eye shut.

"They dragged me out of the vehicle and began beating me over the head with rifle butts," Freeth said.

The men tied up Freeth, he said, and took him to where his in-laws were lying bound on the gravel outside their home.

Angela Campbell was still conscious. The men had caught her on her way to feed a calf. They had beaten her and broken her upper arm in two places, Freeth said. Mike Campbell was in bad shape, "just groaning on the ground; in fact, he remembers nothing."

The heavily armed men threw the three in the back of Mike Campbell's Toyota Prado truck, and "the next nine hours were quite a nightmare," Freeth said.

Freeth and the Campbells were driven about 50 kilometers (31 miles) to Pickstone Mine. Their captors stopped at a dairy farm on the way and killed a white farmer's dogs, Freeth said. Night had fallen by the time they arrived at the mine to find about 60 men in Zanu-PF regalia waiting for them.

"They were pointing guns at us the whole time, telling us they were going to kill us," Freeth said.

Freeth and the Campbells were doused with cold water and left "shivering in the dust on the ground," Freeth said. They received more beatings, and Freeth said one of their captors thrashed the bottom of his feet with a shambock, a whip made of hippopotamus hide.

It was during this time that their captors made Angela sign a document promising to drop the case scheduled this week before the tribunal.

Mike Campbell moved in and out of consciousness, as Ben and Angela prayed -- not for their lives, but for their captors. Freeth said he had never understood Luke 6:28 -- "Bless those who curse you" -- until that moment, and a "supernatural" peace came over him.

Freeth told God, "If I'm going to be with you today, then I'm ready."

It was almost midnight when Freeth and the Campbells -- still bound -- were tossed in the back of the Prado. They bounced around the sport-utility vehicle as their captors drove 30 kilometers down a craggy dirt road to Kadoma, where they were dumped in the streets.

"I managed to walk toward a light and knocked on the door of a house and used the phone to phone my wife," Freeth said.

The Campbells were released from the hospital last week. Both remain weak and still bear considerable scrapes and bruises. Angela has a pin in her arm. Mike, 75, suffered four broken ribs, a broken collarbone and a dislocated finger.

Mike is recovering just enough to sit up, and "he can walk a few paces," Freeth said Monday, complaining that his hands were "still tingly" from being bound so tightly.

The hospital released Freeth at the weekend after neurosurgeons had to drill a 4-centimeter (1½-inch) hole in his skull to relieve pressure from a hematoma stemming from the rock and rifle-butt blows to the head.

One thing not battered is the farmers' resolve to remain on the land that the Campbells have owned for 34 years.

"We intend to be there on Wednesday, and we just hope for an outcome that is good for everyone, an outcome for justice," Freeth said of the hearing, which is slated to last through Friday.

Freeth said he believes that the tribunal will carry more clout with Mugabe than do Western nations and the African and European unions. Many of its member nations are led by Mugabe's contemporaries, and Mugabe is aware that his status as an African hero is waning, he said.

"I think it means a lot to him whether SADC is going to isolate him or continue to support him," Freeth said. "Once we get to the SADC tribunal and we get a judgment and it's basically binding in black and white, it's going to be difficult for Mugabe to say, 'We're abiding by our own law.' It's going to be very difficult for him to defend what he's doing."

@highlight

Farmers kidnapped, beaten days after election for challenging land confiscation

@highlight

Dozens of farmers appeal to 14-nation tribunal for relief from Zimbabwe land grabs

@highlight

Ben Freeth recalls being beaten with a shambock, a whip made of hippo hide

@highlight

Mike and Angela Campbell -- 75 and 67 -- still recovering from June beating