Behind a Victorian shop front in the Cockney heartland of London's East End hides an urban agriculture initiative that claims to be the world's first farm in a shop.

The aptly-named FARM:shop sits along a busy main road next to a ragtag bunch of more conventional retail outlets, most of which are in various phases of decay.

There are chickens grazing on the rooftop -- seemingly oblivious to the red double decker buses roaring past below. Inside are fish tanks filled with Tilapia; mushrooms sprouting in the basement; fruit blooming in a polytunnel greenhouse; and endless rows of herbs and salad leaves growing from the hydroponic troughs that line the shelves.

"I think places like FARM:shop can reconnect people with their food," says engineer and co-founder Paul Smyth.  "We've had this separation of countryside and city living ... So the connection has been severed between what you eat and how it's grown."

While the ethos is community focused, the shop's interior is more like a laboratory than a local gardening center.  White low-energy strip lights facilitate the growth of vegetables in lieu of sun rays, and the cabbage patch looks more like a cluster of giant Petri dishes than an allotment.

"We've been learning as we go with most of this technology," admits Smyth. That said, the shop -- which opened in 2011 -- is already a modest commercial success. Having diversified into a grocery store, cafe, rentable office and events space, it now employs two staff and is turning a profit -- all of which is ploughed back into the business.

"We've experienced a great amount of goodwill and enthusiasm about the project. People just want to come off the street, learn how to raise a fish; look after a chicken; grow some food -- and that means you get a more people-powered agriculture," says Smyth.

Infographic: The secret life of drinking water

While few would contest the rehabilitative social value of projects like FARM:shop, its founders argue it could be the start of something much more: A radical new approach to ecologically sustainable agriculture.

"If you're growing food directly where it's eaten, there's less refrigeration ... less energy use through transport and distribution," claims Smyth. He says FARM:shop could be scaled up and replicated in cities around the world to help reduce the enormous carbon emissions linked to food production.

It's a pressing issue. According to a 2008 Greenpeace report, the food industry is responsible for creating 30% of the world's total annual carbon emissions.

"The dominant food production system is based on fossil fuel at every level," says Dr Martin Caraher, Professor of Food and Health Policy at London's City University. "It needs oil to make the fertilizer; oil for the farm; oil for the food processing; oil for the packaging and oil to transport it to the shops," he adds.

Among these stages, transport, processing and packaging account for the lion's share of pollutants. The U.N. Conference on Trade and Development (UNCTAD) estimates that between 65% to 85% of food-related emissions in the Western hemisphere is created once produce has left the farm.

"This is why these type of projects are much more than feel-good gimmicks, they are absolutely vital as part of a diverse array of sustainable agriculture systems that we must pursue further," says Olivier de Schutter, the U.N.'s special rapporteur on the right to food.

For De Schutter, the fact that food is often produced thousands of miles away from where most people live represents an irrational system, both from an ecologic and economic perspective.

"Rising fuel prices and the increasing concentration of the population in urban areas is bringing about serious logistical problems for the delivery of food," he says. "Traffic congestion, high refrigeration costs and, after all that, poor quality produce."

Food destined for the UK alone travels 30 billion kilometers a year -- adding 19 million tonnes of CO2 to the atmosphere -- according to international development agency Practical Action.

It's also easy to overlook the damage inflicted on local ecosystems and economies -- a large portion of which are in the developing world -- as a consequence of current industrial-scale agriculture practices.

"The system is not working," says Florence Egal, chairman of the Food for Cities network. "Big agribusiness disrupts natural resource management with its demand for monoculture crops, synthetic packaging and habitat contamination from factory waste."

Read related: Farm in the city could be supermarket of the future

Both Egal and de Schutter agree that, even on a vastly escalated scale, initiatives like FARM:shop are unlikely to resolve the food sustainability issue by themselves.

"Right now, no-one is saying you're going to feed nine billion people like this," says Egal. "But agriculture reform is an incremental process requiring many solutions -- and growing perishable, fresh produce near to where it's consumed seems like one very sensible step."

Back in east London, Smyth is optimistic about the future.

"FARM:shop itself is experimental, it will always be our laboratory at the heart of our ideas. But going forward we'll be looking at bigger sites, scaling up, growing more food and selling more food together -- and if we get those kind of sites we're really confident we can roll this out and make a real lasting difference."

@highlight

London urban farming project claims to be world's first ever farm in a shop

@highlight

All produce, including fish, eggs, vegetables, herbs and salad, grown under one roof

@highlight

Food analysts say urban farming key cog in sustainable agriculture practices