When does the ordinary -- letters, gloves, wallets -- become extraordinary?

When the objects tell a story: a stack of personal letters that fell to the ground after a hijacked plane plowed into the World Trade Center; leather gloves worn in the recovery effort; a red wallet belonging to a woman who worked for Cantor Fitzgerald.

Tragedy turns the mundane into memorial. Something as simple as a wallet can evoke the immense sadness of a day like September 11, 2001.

Objects big and small from the greatest terrorist attack on American soil now make up a museum dedicated to that tragedy and the 2,983 people who perished. It is one of America's largest and most ambitious memorial museums, almost entirely subterranean and erected in the graveyard of Osama bin Laden's victims.

A police officer found Genni Gambale's red wallet on the roof of a Marriott hotel, a few blocks south of the Trade Center,  days after the attacks. In the wallet were a scorched American Express Corporate card, a $115 coupon for Lenscrafters, a Brooklyn Public Library card, pennies, nickels, dimes.

Now under thick Plexiglass, the wallet tells of a life cut short. Gambale was one of many trapped on the upper floors after American Airlines Flight 11 plowed into the North Tower at 8:46 a.m. She was 27.

The National September 11 Memorial Museum opened in May for the 9/11 community -- survivors, families, rescuers. Shortly after it opened to the general public.

The place in itself is an artifact, built in the bedrock of tragedy. Within it are 12,500 objects, 1,995 oral histories and 580 hours of film and video. "An airplane hangar full of largely bruised, contorted artifacts" formed the basis of the museum, says curator Jan Ramirez.

They are objects that cheated destruction. They survived the obliteration of the material world and assumed an otherworldly quality.

But they also could inflict pain again.

From the beginning, Ramirez and all those who worked under museum director Alice Greenwald faced a flurry of contradictions and dilemmas over what to show, how much to reveal.

Where the twin towers once soared are now two sunken granite pools, positioned in the footprints of the giant buildings that came crashing down that day. They are meant to be places of reflection and mourning.

What was the museum's intent? Was it to illustrate a narrative of what happened on September 11? Or would it be a repository for the study of an American tragedy?

If it were the latter, the museum would have to collect objects much more broadly.

"We decided to take that path. We decided to be ambitious and daring," Ramirez said.

But with that decision came new concerns and obstacles. How do you portray horror without overwhelming people who come to visit? How do you memorialize things that people might rather not remember?

The museum, said Ramirez, is sure to be emotionally overwhelming to anyone who survived September 11, to all New Yorkers, and perhaps even to the millions of people who watched the events of that day unfold on television.

She described the helmets of firefighters that were donated by their families. Some were so brutalized that it's not hard to imagine the severe trauma to the heads those helmets were meant to protect.

"We all had our different thresholds about what was the right thing to do," Ramirez said. "We want to remind people why 9/11 was unlike any other day the country has experienced. But we did not want to cross a threshold where a visitor's empathy shuts down. That would be a horrible misfire of our objectives."

So some things in the museum are clearly marked and separated in alcoves. In one section are images of people jumping to their deaths from the towering infernos.

"In the end we felt this was part of the morning's indelible horror," Ramirez said. "To edit that out might arouse suspicion about what else we edited out."

The museum collected items from survivors, families of the dead, first responders, cleanup workers and agencies that were part of the investigation.

Objects like Gambele's wallet were precious to families. In many cases, bodies were never recovered or identified. Objects were all the families got back.

Other objects mean something to survivors.

Hazem Gamal worked for OppenheimerFunds on the 34th floor of the South Tower. He stored personal letters in a filing cabinet in his office. In December 2001, a demolition consultant, Ray Coleman, discovered the letters amid the rubble. He was amazed by them.

Nothing else Coleman had seen was discernible. No chair, table, computer.  Everything was pulverized or mangled beyond recognition. But these letters were intact, only slightly singed and waterlogged. The clip holding them together had rusted.

Coleman kept the letters for a year. He was afraid that if he called the owner, he might learn that he had died. Finally, in November 2002, he dialed Gamel's home. Then he returned the letters.

He included this note written in pencil on engineer's paper:

"I hope that you will cherish these papers, and cherish your family," he wrote. "If this project did anything for me, it has taught me to love every minute, love my family and friends, and take time to do the things that are really important."

Others donated personal property that helps viewers understand their loved ones better. Brian Sweeney's wife donated a handmade Viking helmet; he was so proud of his Viking heritage.

"It creates a sense of joy," Ramirez said. "They were enjoying life. It's the opposite of the ideology of ending life."

Sweeney, a former Navy pilot, was on United Airlines Flight 175. His last words to his wife were recorded in a voice mail shortly before the hijacked plane crashed into the South Tower:

"If things don't go well, and it's not looking good, I just want you to know I absolutely love you. I want you to do good, go have good times. Same to my parents and everybody, and I just totally love you, and I'll see you when you get there."

New York police officer David Brink donated a suitcase full of things to the museum, including a pair of gloves he picked up in a hospitality tent set up at ground zero.

Brink, like other recovery workers, used his hands to scour through a wasteland of debris. He had to change out his gloves frequently because they got so damaged. One day, he picked up a pair of leather gloves and didn't notice until later, when he was in the wreckage, that someone had taken a ballpoint pen to the palms of the gloves and written, "Thank you."

He didn't know where the gloves came from or who had written those words. The hospitality tents had equipment and supplies donated by people from all over America.

The gloves could have been from a firefighter in California or a school kid in Indiana or a housewife in Iowa, Brink thought. But the "Thank you" helped him get through trying days.

Over the years, some objects became symbols of 9/11.

One was the fire truck that belonged to the New York Fire Department's Ladder Company 3.

On September 11, Capt. Paddy Brown and Lt. Kevin Donnelly had rushed with their crew from Manhattan's East Village to the North Tower minutes after Flight 11 struck. The firefighters made their way up the skyscraper to find and evacuate victims. Some people later said the sight of the firefighters gave them a sense of calm in the midst of terror.

A short while later, 11 members of Ladder 3 were dead as the North Tower crumpled.

James Wind, a member of Ladder 3, was off that day. But he made his way to ground zero to help.

When he arrived on the scene, he saw his company's truck. The ladder was bent down to the bumper. The front of the truck was on fire but it was still running and the lights were on.

"That truck was battered around like a ping-pong ball," Wind said. "It was a beast, but there was a bigger beast that took it."

An officer always carries a list of his men and leaves a copy in the truck. Wind reached in and looked at the second list. He hoped beyond hope but knew: He was probably looking at names of the dead.

They were his friends, his brothers. He knew their wives, their lives. He'd seen them almost every day for years.

He wants visitors to see the mangled truck at the museum. "Live your life," he said, "but be aware. This can happen still."

Construction worker Frank Silecchia felt damaged from days of recovery efforts. He'd already worn through several pairs of boots -- the steel was so hot at the site that it melted the soles. He'd volunteered to help with the hope of finding a survivor. He found none.

On Day 3, he helped carry out three bodies from 6 World Trade Center and paused to look out at the destruction. A 17-foot-long crossbeam weighing at least two tons had landed at a perfect vertical angle. Silecchia saw a cross.

He dropped to his knees in tears.

He believed it was a sign from God. He found renewed strength to carry on.

"Evil destroyed that building," Silecchia said, "and faith rose out if it."

A few days later, he showed his discovery to a Franciscan priest named Father Jordan, who pushed to get the World Trade Center cross lifted out of the wreckage and preserved near the site.

Silecchia believes the museum will be like walking through a horror show for some visitors. He hopes that seeing the cross there will bring comfort, just as it did for him 13 years ago.

Ramirez, the museum's curator, said regardless of religious belief, people found inspiration in the cross and that is why it was included in the museum. She hopes the ordinary objects in the exhibit stand as testament to courage, kindness and human resiliency.

Ramirez considers herself and her colleagues at the September 11 museum third responders. They are the people who set evidence aside; the people whose job it was to give meaning to ordinary objects.

"It's a collective story about how people can be good to one another in times of crisis," she said. "We've put out our first draft of history."

9/11 Museum documentary stirs controversy on eve of opening

Follow CNN's Moni Basu on Twitter

@highlight

National September 11 Memorial Museum is open to the public in New York

@highlight

The exhibition halls are filled with personal things as well as oral histories and photos

@highlight

Museum curator had the difficult task of deciding how much tragedy to show

@highlight

The museum is also about how people can be good to one another in times of crisis, curator says