(CNN) -- That women and girls are singled out during armed conflicts is well documented -- what is less well known is that once hostilities cease the undeclared war on women can continue for years on end.

Even though officially the fighting has ended, the proliferation of weapons, a culture of violence and the objectification of women continue to wreak havoc.

As a Bosnian women's rights activist put it when she was talking to a group of human rights researchers documenting the horrors meted out in the early 1990s civil war: "There is no peace time for women".

This simple statement clarified the truth they were failing to grasp -- that for women in particular, the peace accord had brought no peace.

Nearly two decades on, hundreds of women still struggle with the effects of rape and other forms of torture frequently facilitated or committed using weapons, without proper access to the medical, psychological and financial assistance they need to rebuild their shattered lives. The perpetrators mostly go unpunished.

On March 18, the final negotiations for an arms trade treaty will begin in New York.

The world desperately needs the final agreement to ensure that no country or arms dealer will sell weapons, munitions or related equipment to governments, companies or armed groups where there is a substantial risk of those arms and ammunition -- ranging from AK-47s to bombers -- being used for atrocities or violent abuse.

Among the challenges to getting an effective arms trade treaty is the simple fact that the USA, Russia, China, the UK and France are the five permanent members of the United Nations Security Council. As such they are charged with maintaining international peace and security, yet they accounted in 2010 for about 60% of the well over $70 billion annual trade in conventional weapons. (Source: TransArms - Research Center for the Logistics of Arms Transfers.)

Based on the arms orders that the United States and Russia has already received, but not yet executed and delivered, at the end of a four year-period the total annual global trade in conventional weapons could approach $100 billion, according to TransArms. The five governments would account for more than half that amount.

These and other states have been trading for decades in the absence of global controls on the flow of arms and ammunition across borders.

Guns and ammunition are supplied to governments, companies and armed groups who often put them into the hands of users who terrorize communities by targeting civilians: women, men and children. Targeting civilians in armed conflict is an intentional act which is a crime under international law. It may be a tactic or even a strategy of government forces or armed groups, and women are often singled out by human rights abusers, criminal gangs and individuals who brandish arms manufactured overseas.

Some governments will argue that the targeting of women in war -- including with sexual violence -- is a regrettable but inevitable by-product of armed conflict. It is exactly this attitude that makes these same governments ignore violence against women in peace time.

To add insult to injury, despite the U.N. Security Council Resolution on Women, Peace and Security, women are often denied any role in peace negotiations, in monitoring the process of disarming combatants and on deciding how to rebuild society in a manner that promotes peaceful resolution to conflicts.

Grave human rights abuses against women and men, whether in conflict situations or not, are already forbidden as a matter of law. For example, the Geneva Conventions and Protocols outlaw specific war crimes, and perpetrators of war crimes and crimes against humanity can be brought to justice under the Rome Statute for the International Criminal Court.

International human rights law also prohibits specific violations, and governments have a responsibility to take action to stop violence against women regardless of who is perpetrating that violence.

It has long been recognized that such crimes can be curbed also by taking away the tools used by perpetrators to commit or facilitate them. A strong and effective global Arms Trade Treaty would be a very significant step towards this.

Women the world over need to know that governments will not put profits before human security by allowing weapons to get into the hands of those who would use them to commit war crimes, crimes against humanity, genocide or other serious violations of human rights.

It sounds so simple. It sounds so right. But far too often profits trump government commitments to upholding international human rights and humanitarian law. As the Bosnian activist would attest, the long-lasting consequences of this greed can be devastating for women in particular.

So, for the sake of all the women who live with constant insecurity -- the governments convening in New York in March must do the right thing. Put profits and narrow national interests aside and pave the path to peace and security for women by adopting an arms trade treaty with strong and fair rules for human rights protection for all.

The opinions expressed in this commentary are solely those of Widney Brown.

@highlight

Once armed conflicts finish, undeclared war on women continues, says Widney Brown

@highlight

The proliferation of weapons facilitates acts of rape and torture, she says

@highlight

On March 18, the final negotiations for an arms trade treaty will begin in New York

@highlight

Brown says an effective arms trade treaty is vital in ending the war on women