(CNN) -- When the time rolls around for Kelly Bleyer's annual mammogram, she hears two voices in her head: her gynecologist, who says she absolutely must have a mammogram every single year, and her father-in-law, who urges her to get a mammogram every other year instead.

While most women would listen to their gynecologist, Kelly's father-in-law isn't just anyone: He's the co-author of a new mammography study in the New England Journal of Medicine, and he says he believes passionately that mammograms might be making women sick -- maybe even killing them.

"I really don't know what to do," says Bleyer, 50, an anchor and health reporter at KBND radio in Bend, Oregon. "I feel so conflicted."

'Mammography is not perfect'

Dr. Archie Bleyer knows his advice to his daughter-in-law is controversial, even heretical in a society where pink ribbons on everything from billboards to yogurt containers remind women to get their annual mammograms.

Here's his reasoning: His study suggests that nearly one out of every three women diagnosed with breast cancer has a tumor that is so tiny and growing so slowly it would never cause any problems even if it weren't treated.

The problem is doctors can't tell in advance whether a tumor will be harmless or deadly, so they have to treat them all, and some of those treatments, such as chemothreapy, can increase a woman's risk for leukemia and other diseases.

"We're mortals, and we're still trying to figure this out," says Bleyer, clinical research professor at the department of radiation medicine at the Knight Cancer Institute at Oregon Health and Science University.

The new study also finds that mammograms aren't catching some truly dangerous tumors that later turn out to become advanced cancer.

Mammograms are supposed to catch breast cancer early, but after 30 years of aggressive mammography, advanced breast cancer rates haven't gone down at all, according to Bleyer's study.

Breast cancer prevention: What every woman should know

"This study brings to light what we've already known for some time, which is that mammography is not perfect," says Chandini Portteus, vice president of research, evaluation and scientific programs at Susan G. Komen for the Cure.

Study: More than 1 million women 'overdiagnosed'

Bleyer's study, written with Dr. Gilbert Welch at the Dartmouth Institute for Health Policy and Clinical Practice, examined national data on mammograms from 1976 to 2008.

They found that during this time, twice as many cases of early-stage breast cancer were caught -- but they estimate that 31% of those cancers were slow-growing and never would have made the woman sick.

Breast cancer was "overdiagnosed" in 1.3 million women over the past 30 years -- 70,000 women in 2008 alone, according to the study.

"That's a lot of women, and that's a problem," Bleyer says.

The study also found that as mammograms grew in popularity, the death rate from breast cancer went down 28% in women over age 40, but the study authors said that was largely due to better treatment, not mammograms.

Tough choices in fight against breast cancer gene

The study has already caused controversy. The American College of Radiology issued a statement saying the report was "deeply flawed and misleading" -- a claim the study authors refute.

Dr. Len Lichtenfeld, deputy chief medical officer of the American Cancer Society, said while "overdiagnosis is a matter deserving of attention," the study's conclusions "must be viewed with caution."

What's a woman to do?

Given all this, should women have mammograms every year after age 40, as currently recommended by most health organizations, or start having them every other year?

Kelly Bleyer said after much thought, she's decided to follow the advice of her gynecologist and not her father-in-law.

"I'll keep having a mammogram every year -- my insurance covers it, and I know how my doctor feels about it," she says. "But I'm open to hearing more about what the science says. I think I could live with having it every other year."

Here are some tips for making your own decision about how often to have mammograms:

1. Learn the mammogram guidelines

Susan G. Komen for the Cure, the American Cancer Society and the American College of Obstetricians and Gynecologists recommend women get mammograms every year starting at age 40. The U.S. Preventive Services Task Force advises women to get mammograms every other year starting at 50.

2. Know your family history

Screening recommendations are different for certain groups, such as women with a family history of breast cancer and women who've tested positive for breast cancer genes. See the links above for recommendations.

3. Find out about other screening tools besides mammograms

Ultrasounds, MRIs, breast self-exams and exams performed by your doctor can all be used in addition to mammograms. See the links above.

4. Keep in mind that mammograms miss many cancers

Don't have a false sense of security just because you've had a mammogram. Mammograms miss about one in five breast cancers, according to the American Cancer Society.

5. Realize mammograms catch some cancers that might not ever make you sick

This study found that 31% of newly diagnosed breast cancers never would have caused any harm; other studies say it's more like 10% to 20%.

Whatever the real percentage is, when you go in for a mammogram, realize that it might pick up a harmless tumor, but you're going to have to get treatment for it anyway since doctors can't yet discern a harmful from a harmless cancer.

"You should go into this with your eyes open," says Dr. Otis Brawley, chief medical officer of the American Cancer Society and CNN cancer expert.

@highlight

A new study suggests mammograms find some tumors that wouldn't be a problem

@highlight

But those tumors must be treated as doctors don't know which ones are harmless

@highlight

Researchers say mammograms also fail to catch some dangerous tumors

@highlight

The American Cancer Society says the study must be "viewed with caution"