(CNN) -- Don't let McDonald's new "Dollar Menu and More" distract you. Although an order of McNuggets might cost more than a buck now, the truth is that the Dollar Menu was never a bargain.

In reality, whether you eat the fries or not, fast-food companies such as McDonald's actually shift billions of dollars in hidden costs onto taxpayers every year. How? These costs flow directly from their business model of low wages, nonexistent benefits and limited work hours, which force millions of fast-food workers to rely on public assistance to afford basic necessities such as food and health care.

To see this business model in action, take a look inside the employee break room at many McDonald's restaurants, where you might find a poster displaying information for a 1-800 "McResource" hotline designed to offer counseling to employees who need financial, housing, child care or other help.

In a recent exchange on the McResource hotline, documented in a newly released video, an employee who has worked at McDonald's for 10 years -- yet earns the Illinois minimum wage of $8.25 per hour -- is urged to find additional support for herself and her two children by paying a visit to nearby food pantries, applying for food stamps and signing up for Medicaid.

In other words, rather than sitting down with their employees to address the reality that the company's pay scales are just too low -- and that even long-term employees can't get by on their small paychecks -- McDonald's has decided to coach its workers on how to enroll in public safety-net programs to supplement their poverty-level wages. (McDonald's called the video an inaccurate portrayal of the resource line.)

In total, this business model of low wages and no benefits at the 10 largest fast-food companies costs taxpayers an estimated $3.8 billion each year, according to a recent report by the National Employment Law Project. At McDonald's, the company's low-wage jobs cost taxpayers an estimated $1.2 billion a year -- twice as much as any other fast-food company.

Public safety-net programs such as the Supplemental Nutritional Assistance Program (commonly known as "food stamps") and Medicaid are crucial programs for alleviating poverty and promoting economic security in the United States. That is precisely why we cannot afford to let multibillion-dollar companies drain the resources of these programs by paying poverty-level wages to millions of their workers.

The good news is that over the past year, thousands of workers in the fast-food industry have begun organizing and staging strikes in dozens of cities across the country, calling for a living wage and the right to form a union. These demands should be taken seriously. All Americans -- even those who have never worked in fast food or have no plans to eat fast food -- need to recognize that the low-wage fast-food industry poses significant costs to all of us each year.

Fast-food workers should have the ability to bargain collectively for higher wages and better working conditions. Giving workers a voice at the workplace will ensure a fairer, more democratic workplace, while keeping in check the irresponsible business model of CEOs tapping the public safety net for billions in subsidies each year as they continue to pay poverty-level wages.

At the same time, Congress should pass a long-overdue increase in the federal minimum wage, which has remained stuck at just $7.25 per hour -- or $15,080 a year -- for the past four years.

Although many companies will continue to pay as little as they can get away with, raising the minimum wage to $10.10 per hour, as proposed in the Fair Minimum Wage Act of 2013, would boost wages for 30 million workers, generating $32 billion in new economic growth as higher wages power greater consumer spending.

A fairer fast-food industry that provides higher wages, promotes greater economic growth and spares taxpayers billions in costs every year sounds like a real value worth fighting for.

The opinions expressed in this commentary are solely those of Jack Temple.

@highlight

Jack Temple: Fast-food companies shift costs of their low pay onto taxpayers

@highlight

Temple: McDonald's tip line told worker, a mom, to apply for food stamps, Medicaid

@highlight

Low wages at 10 largest fast-food firms cost taxpayers $3.8 billion each year, he says

@highlight

Temple: It would be a real value to all if fast food workers got higher wages and benefits