(CNN) -- In my home town of St. Louis, a petition has gained traction calling for police to wear body cameras that capture everything in front of them while they are doing their jobs. This would be just a step beyond the idea of putting dashboard cameras on all police cars, which some police agencies around the country have started doing. The reasoning goes that with these cameras, we might deter police misconduct and get better answers to disputed questions like what happened in the Michael Brown shooting in Ferguson.

In a seemingly unrelated development, a team of entrepreneurs is working on a new nail polish that women can wear to detect the presence of date rape drugs in drinks.

Cameras and chemistry, so the stories go, can deter police brutality and date rape.

So far so good. After all, we are living in an age when technological and "innovation" are touted as a kind of Holy Grail for all kinds of problems. "There's an app for that," as the famous ad for Apple's iPhone 3G told us in 2009. But if we dig a little deeper, the reality is that complex social problems require more than technological Band-Aids, no matter how innovative the fix seems.

Let's look at the nail polish first. Putting aside the irony of asking women to prevent rape by wearing nail polish, the reliance on such a thing puts the burden of preventing rape on individual women in bars rather than focusing on the crime of date rape itself. We don't think the solution to violent crime is for people to wear bulletproof vests, nor do we require fireproof homes as a solution to arson. Empowering potential victims is certainly important, but it shouldn't be our first resort to the problem of date rape.

Then there's the proposal of putting cameras on police. If there had been a camera on the police car driven by the officer in the Michael Brown shooting, it might have captured video of the event. To be fair, there's some evidence that video cameras in controlled settings like prisons can deter both police and inmate misconduct.

Cameras can prevent bad behavior by police or criminals, and we should think hard about deploying them in appropriate cases. Certainly a judicious use of cameras might be a better use of tax dollars than tanks or sniper rifles or scary black uniforms. But how we deploy technologies matters at least as much as whether we deploy them. If we put cameras on police cars or officers, can the police pause the video? Can they edit it? Can they take the cameras off? How long would such video records be stored and under what conditions of public access? If public access is limited, then the police could selectively release video to advance their version of disputed facts. If public access is easy, we run the risk of exposing the private lives of ordinary people who have done nothing wrong.

But as any lawyer or sports fan knows, video evidence can be disputed and police who spend their days in front of the camera might develop the skills to look good on camera even when they might not be doing good in reality.

The rhetoric surrounding both the police cameras and nail polish suffers from what technology writer Evgeny Morozov has termed "solutionism," the fallacy that every social problem is best suited to a technological fix. Date rape and Ferguson conflicts are results of broad cultural forces. When we deal with issues involving race, gender, civil rights and civil liberties, there's no silver bullet.

Technology can have adverse effects, too. Cameras, for instance, may deter some misconduct but can also create a culture of surveillance that chills our civil liberties, and can be used to invade privacy and create revenge porn, with infamous results, from the Tyler Clementi suicide to the recent mass disclosure of celebrity private pictures.

Police brutality, profiling, racism and economic inequality are cultural and social problems, and we shouldn't expect easy fixes like cameras to solve them. Too much praise for special nail polish can lead us to ignore the underlying problems of date rape and assume they will just go away. Let's move away from easy fixes and think hard about real solutions.

@highlight

In Ferguson, the idea of putting dashboard cameras on all police cars has come up

@highlight

A team of entrepreneurs is making a new nail polish that women can wear to prevent date rape

@highlight

Neil Richards: Cameras and chemistry, it seems, can deter police brutality and date rape

@highlight

Richards: But complex social problems can't be really solved with simple technological fixes