Japan's prime minister Thursday ordered his government to find "multiple, speedy and sure" ways to stop the spread of radioactive groundwater around the meltdown-stricken Fukushima Daiichi nuclear power plant, including freezing the surrounding ground.

Prime Minister Shinzo Abe's directive comes two weeks after the Tokyo Electric Power Company admitted that contaminated water was leaching into the Pacific Ocean from the plant, the site of the worst nuclear accident in a quarter-century.

"This is not an issue where we can let TEPCO take complete responsibility," Abe said at a meeting at the government's nuclear disaster response headquarters. "We have to deal with this at a national level."

Abe said he has told Japan's Ministry of Trade and Industry to "provide multiple, speedy and sure solutions to this issue."

TEPCO has proposed setting up a subterranean barrier around the plant by freezing the ground around it, preventing groundwater from leaking into the damaged plant and carrying radioactive particles with it as it seeps out.

"The public has a strong concern over the contaminated water problem, and this is an urgent issue to solve," Abe said. "We will not leave it only to TEPCO, but will lay out firm measures."

That will mean a still-undetermined amount of direct government spending to aid the ailing utility, Yoshihide Suga, Japan's chief cabinet secretary, told reporters. Building a frozen wall around the plant is "unprecedented," he said.

"To build such a wall, the government should take the lead to promote this kind of project," Suga said. "We have to provide the support to do so."

The plan to freeze the ground presents significant technical challenges. It could involve plunging thousands of tubes carrying a powerful coolant liquid deep into the ground surrounding the stricken reactor buildings.

The technology has been used before in the construction of tunnels, but never on the massive scale that the Fukushima plant would require.

TEPCO, the country's largest utility, has been grappling with water issues ever since the Fukushima Daiichi plant was hit by the March 2011 earthquake and tsunami that devastated eastern Japan. Scientists who monitor radiation levels offshore have pointed to persistent high readings as evidence of an ongoing leak for more than a year, but the utility did not publicly admit the problem until late July.

Vast stands of storage tanks have grown up around the plant as TEPCO tries to manage the hundreds of tons of water involved every day, and the company has built an underground barrier to prevent contaminated groundwater from reaching the sea. But it remains a difficult problem, Masayuki Ono, TEPCO's acting nuclear power chief, said earlier this week.

"It's a present reality that the contaminated water is seeping out to the bay without us being able to control it," Ono said.

Man who battled Japan's nuclear meltdown dies

TEPCO is also pumping hundreds of tons of water a day into the plant to cool the crippled reactors two and a half years later, though most of that fluid is recycled.

The 2011 tsunami swamped the plant, located 240 km (150 miles) north of Tokyo, and knocked out power to cooling systems for the three reactors that were operating at the time. The result was the second-worst nuclear accident in history, trailing only the 1986 disaster at Chernobyl, in the former Soviet Union.

Meltdowns and hydrogen explosions spewed radioactive particles across many of the surrounding towns, complicating an already historic disaster. Though no deaths have been directly attributed to the accident, tens of thousands of people from towns as far as 25 miles away have been displaced by the disaster.

Google maps show Fukushima nuclear ghost town

In July, TEPCO disclosed that water from test wells around the reactor buildings showed concentrations of radioactive tritium in one well as high as 500,000 bequerels -- a unit of radioactive intensity -- per liter of water. By comparison, Japan's maximum safe level of radioactivity in drinking water for adults is 300 bequerels per liter.

Another reactor byproduct, strontium-90, has been showing up in increasing concentrations as well, said Ken Buesseler, a marine radiochemist at the Woods Hole Oceanographic Institute in the United States. Strontium-90 mimics calcium in the body, seeking out bone in animal life.

Fukushima tuna study finds miniscule health risks

Buesseler said the amount of radioactive material leaking from the plant now is a small fraction -- about one ten-thousandth -- of what poured out of the plant in the weeks following the meltdowns. But while TEPCO's admission was not news to scientists, "What's less clear to me is how much this has changed in the last month," he said. "And I think that's part of the urgency."

Michael Friedlander, a former nuclear plant operator and engineer, told CNN on Tuesday that the current problem may leave TEPCO and the Japanese government with two choices sure to stoke further public anger: "You can either dump it in the ocean, or you can evaporate it."

"At the end of the day, collecting 400 tons of water every single day is not a sustainable solution," he said.

Federal officials allowed the Three Mile Island nuclear plant in Pennsylvania, the site of the worst American nuclear accident, to let contaminated water evaporate, Friedlander said -- but TMI was nowhere near the scale of the Fukushima disaster.

"We're in uncharted territory here," he said.

Japan signs deal with Turkey to build nuclear plant

@highlight

Prime minister orders "multiple, speedy and sure" plans to stop Fukushima leaks

@highlight

"We have to deal with this at a national level," Abe says

@highlight

Plant operator TEPCO has proposed freezing the ground around the site

@highlight

The plant was the site of the worst nuclear accident since 1986