Those looking for greater happiness and satisfaction in life should head to northern Europe, but steer clear of Egypt and countries worst hit by the eurozone crisis, according to the 2013 World Happiness Report released Monday by Columbia University's Earth Institute.

Denmark, Norway, Switzerland, the Netherlands and Sweden are the world's happiest countries, according to the survey of 156 countries.  Rwanda, Burundi, the Central African Republic, Benin and Togo -- all nations in Sub-Saharan Africa -- are the least satisfied with their lives, the report said.

The United States came in at number 17 in the world in terms of overall happiness, but it still lags behind Canada (6), Australia (10), Israel (11) the United Arab Emirates (14) and Mexico (16), according to the Earth Institute.

The report ranks the United Kingdom as the 22nd happiest country in the world. Other major nations included Germany (26), Japan (43), Russia (68) and China (93).

Life's ups and downs

The global survey was conducted between 2010 and 2012 and follows the Earth Institute's first rankings released last year. While "the world has become a slightly happier and more generous place over the past five years," economic and political upheavals have resulted in greatly reduced levels of well being for some nations, the report said.

Rankings for Greece, Italy, Portugal and Spain fell dramatically because of the impact of the eurozone crisis, while Egypt, Myanmar and Saudi Arabia registered large falls in the wake of recent political and civil turmoil.

Egypt had the greatest fall in happiness levels. On a scale of 1 to 10 -- with 10 rated as happiest -- Egypt averaged 4.3 in 2012, compared to 5.4 in 2007.

"We expect, and find, that these losses are far greater than would follow simply from lower incomes," the report said, noting that the greatest single factor reducing happiness levels in these countries was a reduction in people's perceived "freedom to make key life choices."

Angola, Zimbabwe and Albania experienced the largest increases across all the countries surveyed.

"On a regional basis, by far the largest gains in life evaluations in terms of the prevalence and size of the increases have been in Latin America and the Caribbean, and in Sub-Saharan Africa", the report said. Reduced levels of corruption also contributed to the rise.

Governments seeking to improve the happiness of their populations should spend a higher proportion of their health budgets on mental illness, which is the single biggest "determinant of misery" in countries assessed, the study authors said.

"People can be unhappy for many reasons -- from poverty to unemployment to family breakdown to physical illness," the report said. "But in any particular society, chronic mental illness is a highly influential cause of misery.

"If we want a happier world, we need a completely new deal on mental health."

Gross National Happiness

The 2013 World Happiness Report comes on the back of a growing global movement calling for governments and policy makers to reduce their emphasis on achieving economic growth and focus on policies that can improve people's overall well-being.

An idea first proposed in 1972 by Bhutan's former King Jigme Singye Wangchuck, the concept of "happiness economics" has now gained traction in many countries across the world, including the UK, Germany and South Korea. The UN first encouraged member countries to measure and use the happiness of their people to guide public policies in July 2011.

"It is important to balance economic measures of societal progress with measures of subjective well-being to ensure that economic progress leads to broad improvements across life domains, not just greater economic capacity," the report said.

@highlight

Denmark, Norway, Switzerland, the Netherlands and Sweden are the world's happiest countries

@highlight

Rwanda, Burundi, the Central African Republic, Benin and Togo are the least satisfied with their lives

@highlight

The United States ranked 17th, while the UK was 22nd of the 156 nations surveyed

@highlight

Egypt had the greatest fall of happiness levels in the past five years, the report said