Editor's Note: This is the fourth in a five-part series exploring Judge Sonia Sotomayor's background and life with those who know her, revealing the experiences that might shape her views as a Supreme Court justice.

Sonia Sotomayor is flanked by her supervisor, Warren Murray, and D.A. Robert Morgenthau, right, in 1983.

NEW YORK (CNN) -- Supreme Court nominee Sonia Sotomayor graduated with honors from Ivy League schools. But she may have learned some of her most memorable lessons as a young prosecutor, following police into abandoned tenements and tracking down witnesses on the grimy streets of New York.

Sotomayor joined the Manhattan District Attorney's office in 1979 during an epic crime wave. Muggings, burglaries and assaults were rampant; homicides topped 1,800 a year. She was recruited from Yale Law School by Robert M. Morgenthau, Manhattan's district attorney. She was 25, and her starting salary was $17,000.

The cases in Trial Bureau 50 seasoned the idealistic young lawyer and honed her trial skills. She could shred a witness on cross-examination and move a jury to tears, former colleagues recalled.

New York City was awash in heroin, street crime and gun violence. To prepare for trials, she followed police into tenement shooting galleries, scaled rickety staircases in dilapidated buildings and fought off the stench of squalor to talk to reluctant witnesses.

Sotomayor's former colleagues and her legal foes describe her as intense, driven and politically astute.

As a prosecutor, she had a commanding presence and put in long hours, chugging several cans a day of the diet soft drink Tab and chain-smoking cigarettes. (She no longer smokes.)  Watch how she made an impression on fellow prosecutors »

Trial Bureau 50, with its crowded cubicles and walls painted the color of putty, has sent many lawyers onto distinguished careers in public service, including the late Robert F. Kennedy Jr. and John Kennedy Jr.

Sotomayor's five years there, say Manhattan prosecutors past and present, make her uniquely qualified for the nation's highest court. If confirmed, she would be the only justice who prosecuted criminal cases, presided over them and handled criminal appeals.  See what would set Sotomayor apart on the court »

"If you can handle a felony case load in New York County, you can run a small country," said Warren Murray, who ran the bureau when Sotomayor worked there, and still does.

"I think Sonia's most interesting days were in the district attorney's office," said Hugh H. Mo, a former homicide prosecutor who supervised Sotomayor and tried cases with her. "You can grow up in the projects and still be very sheltered. She got her education on the streets of Harlem."

Like most rookies, Sotomayor started with misdemeanors, juggling 60 to 80 cases at a time, working 12-hour days in the 1930s-era building on the tip of Manhattan, and pulling an occasional shift in night court.

"Some of the judges liked to use the new assistants to clear their calendars," Morgenthau recalled. "She quickly established herself as somebody the judges couldn't push around."

On her second trial, Sotomayor met Dawn Cardi, a rookie Legal Aid lawyer who was trying her first case. They became best friends.

"We were both baby attorneys," Cardi said. "She's really, really smart and very well-prepared. She was an excellent trial attorney. She had a talent for it."

Another defense attorney, Gerald Lefcourt, recalled Sotomayor as "a very zealous prosecutor," adding, "She didn't see gray. She only saw black and white."

Sotomayor moved up quickly in the D.A.'s office. It wasn't long before she was prosecuting murder cases.

To prepare for trials, she hit the streets, working junkies and street characters for information and comforting grieving families. The work was sometimes unnerving, but it could also provide an adrenalin rush.

"You could feel the violence. It was palpable," said Mo, who with Sotomayor accompanied detectives of Harlem's 28th precinct into top-floor apartments in six-story tenements to prepare for what became known as the "Tarzan Burglar" case.

"Normal people do not walk into these buildings," he recalled. "They were hangouts for drug addicts."

Robert M. Morgenthau remembers Sotomayor for her role in both the Tarzan Burglar case and in winning the office's first conviction under a rewritten child pornography law.

Sotomayor mentioned the lessons of the Tarzan case during her confirmation hearings. She said the case taught her "the tragic consequences of needless deaths."

A family was destroyed after one of the siblings was killed by a bullet in the head, she said. "They scattered to the four winds, and only one brother remained in New York who could testify," she said Tuesday.

The Tarzan case was Sotomayor's rite of passage as a prosecutor. She sat second chair, meaning she assisted Mo, the lead prosecutor, at the murder trial of Richard Maddicks. Read the complaint (pdf)

Maddicks earned his nickname by swinging from building to building with rope and cables, Mo said. Along his route, he burglarized top-floor apartments, robbed residents and shot people who got in his way.

Sotomayor convinced Maddicks' girlfriend, Mabel Ivey, to testify, pointing out that she could shave years off her sentence in another case if she cooperated.

They linked the murder weapon to Maddicks through a neighbor who sold liquor after-hours through a hole cut in the door of his basement apartment. Sotomayor questioned the man, Charles "Wirdell" Brown, in court, Mo recalled. It was a high point in the colorful trial.

She had the jury in tears as she questioned the girlfriend of a man fatally shot by the Tarzan Burglar.

Sotomayor impressed Mo with her organizational skills and ability to boil a complicated case into the essential elements that resonate with jurors.

She helped write his opening statement for the five-week trial and -- long before computers and PowerPoint -- crafted People's Exhibit One, a large poster-board chart illustrating the pattern linking the Tarzan Burglar to his crimes.

The chart somehow survived nearly three decades in Mo's basement laundry room.

During the trial, Sotomayor handled the questioning of half the 40 witnesses.

Maddicks was convicted of murder, robbery and related crimes and sentenced to 62½ years to life in prison. He's still serving time "upstate," as Manhattan's prosecutors say.

Even 30 years ago, it was obvious Sotomayor was going places.  See her life story told in pictures »

"Did anybody think she was going to the Supreme Court? Of course not," said Cardi. "But when you look back, you see she always stood out. She was always really a cut above."

"She was very focused, very ambitious, very competent, very hardworking," Mo recalled. What struck him most, he said, was her confidence.

"She wanted to reach the highest pinnacle of the profession and didn't think that was far-fetched. You could see it. She wanted to make history," Mo said.

@highlight

Supreme Court nominee Sonia Sotomayor began her legal career as a prosecutor

@highlight

She worked in the Manhattan DA's office from 1979 to 1984

@highlight

Her former colleagues remember Sotomayor as driven and focused

@highlight

Manhattan DA Robert M. Morgenthau on Thursday's Senate witness schedule