(WIRED) -- Oh sure, Boeing's new 787 Dreamliner is made of composite materials and it's super fuel efficient, but unless you own an airline, the only thing you care about is how comfortable it is. Boeing knows this, and has striven to give passengers an experience unlike any other airplane.

The aerospace company decided an all-new airplane needs an all-new interior and went all-out to make the 787's interior as innovative as its airframe, aerodynamics and engines. From the air you breath to the turbulence you (won't) feel to the windows you look through, the passenger experience promises to provide something new at every stage of your flight.

"When you go inside a 787 mockup, you get this 'wow!'" said airline analyst Scott Hamilton, who got to see a demo interior at Boeing's facility near Seattle.

You know the 787 is something different the moment you step inside.

Boeing wastes no time giving passengers a new experience. As soon as you board the Dreamliner, you're greeted by an open area just inside the door. The ceiling resembles a skylight, complete with blue LED lighting that mimics the sky.

"They've designed this kind of lounge area instead of coming in next to a galley," Hamilton says. "It really gives you a welcoming area instead of entering into somebody's kitchen."

Of course, it's up to the airlines buying the planes to decide what you see, and some of them may well modify the boarding area and other features of the plane. But even if they muck it up completely, there's still a lot of "wow" in the 787 cabin.

The onboard lighting is one of the coolest features.

Anyone who has flown across more than a couple of time zones knows how difficult it is to sleep, and to be awakened with the flick of a switch that floods the cabin in fluorescent white light. Boeing's LEDs allow the crew to adjust the lighting to match different phases of the flight.

The light is fairly standard during boarding and while cruising. During meals it is adjusted to warmer tones. Once you're done eating and want to tilt the seat back and relax, the cabin can be bathed in a relaxing lavender hue. When it's time to sleep, the lights are turned way down.

But it's how the crew wakes you that's the best part of the Dreamliner's lighting.

Instead of flicking the lights on and flooding the cabin in light, the cabin will brighten slowly, with the light transitioning from the purples and oranges of a sunrise to yellows, and eventually white against a blue sky. Boeing's thought is mimicking the light schedule of your destination, some of the dreaded jet lag can be alleviated

Sleep time brings up another innovation.

Gone is that dreaded moment when, after you finally fall asleep, that passenger in the window seat raises the shade to make sure the Pacific Ocean is still there and fills the cabin with sunlight. The windows of the 787 don't have shades. They use an electrochromic dimmable system.

You can let in all the light you want -- or none at all -- at the flick of a switch. Of course, the crew has a master switch, so when it's time to sleep, that guy in the window seat can only get just enough light to confirm the Pacific hasn't gone anywhere without bothering everybody else.

He'll have a better view, too. The 787's windows are 65 percent bigger than the windows in other planes. Boeing made them taller, so kids and NBA players can enjoy the same view as the average passenger.

Boeing spent a lot of time focusing on how passengers perceive the cabin.

Let's face it: you're sitting in a tube. It's only so big -- the fuselage is 18 feet 11 inches wide -- and there's only so much space you can use. Things are always a little more spacious in first class, but Boeing wanted to make sure even those of us crammed into coach feel like we have more room.

To do that, Boeing's designers gave the 787 an open, airy design. It's another reason for the skylight-like lighting.

"The upper ceiling designs are arched in such a fashion that you get a much more open feeling than you do in a typical wide-body airplane," Hamilton says.

Even the overhead bins have been redesigned.

To accommodate the trend of more carry-on bags due to baggage fees and the unwillingness of some passengers to part with their luggage, Boeing made the bins about 30 percent bigger. They're easier to load because they lower when opened and tuck away when raised. That should be a big help for people who don't understand what a carry-on should be and make it easier for the rest of us to stash our stuff and get out of the aisle.

The composite structure of the 787 means the Dreamliner is lighter and more aerodynamic, which is a boon for airlines. But the composite construction means the airframe isn't prone to corrosion like aluminum. That means the crew can increase the humidity of the cabin, reducing that parched feeling you have after a long flight.

And thanks again to the composite fuselage, the interior cabin pressure can be increased. This means the cabin will be pressurized to an altitude of 6,000 feet instead of the typical 8,000 feet. These combined factors should make breathing much more comfortable and lead to fewer headaches, fatigue and other health issues common to many passengers.

Another factor that often leads to headaches and general annoyance is noise, especially if you're sitting behind the engines. The new serrated engine nacelles on the 787 make the plane quieter -- both for passengers and those who live in the plane's flight path. Even the fan blades inside the engine are designed to be quieter.

One of the more innovative passenger comfort systems on the 787 is the computer-controlled turbulence-reduction system.

Boeing claims the Smoother Ride Technology will provide an eight-fold reduction in the number of people experiencing motion sickness. Sensors throughout the airplane detect subtle changes in air pressure indicative of turbulence and direct the fly-by-wire flight controls to move flaperons on the wings to counter the vertical motion. It won't eliminate all the bumps, but Boeing says it will work especially well on the moderate turbulence that causes most airsickness.

All of this technology puts the 787 well ahead of the competition, Hamilton says. He points out that if you only know the standard airline interior, you won't feel like you're missing anything. But even the most modern of interiors in other airplanes doesn't compare.

"Airbus had done a complete makeover of the A320 interior in 2007," Hamilton says. "But it's a conventional looking interior. It's very good, but having been inside the 787, you just get that 'wow' factor."

And the new interiors will make the airlines happy as well. From the windows to the bathrooms and everything in between, the 787 interior is designed to be easier to clean and cheaper to repair or replace.

The Dreamliner is two years overdue and Boeing has lost orders because of those delays. But Hamilton and others say once the flight test is finished and the first loads of passengers have flown on the new airplane, most of the bad memories should be erased.

He says there are likely to be a few more hiccups between now and then, but is confident both the airlines and the flying public will appreciate the new design.

"Boeing is going to have a real winner on its hands," he says.

We'll find out in nine months. That's when Japan's All Nippon Airways starts service with the first passenger carrying 787.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Long-awaiting Boeing 787 Dreamliner promises to "wow" passengers, analyst says

@highlight

Innovative lighting, airy quality, bigger windows, less turbulence among 787 benefits

@highlight

Airlines may modify features after buying planes, but public should still be pleased

@highlight

In nine months, Japan's All Nippon Airways will start first 787 passenger flights