A team of Mexican architects have designed a 65-story glass and steel pyramid to sit in the middle of Mexico City's most historic plaza. But, if it ever gets built, you won't see it anywhere on the skyline.

That's because it would be the world's first ever "earthscraper" -- a 300-meter deep office and living space with ambitions to turn the modern high-rise, quite literally, on its head.

"There is very little room for any more buildings in Mexico City, and the law says we cannot go above eight stories, so the only way is down" explains Esteban Suarez, co-founder of BNKR Arquitectura, the firm behind the proposals.

"This would be a practical way of conserving the built environment while creating much-needed new space for commerce and living," he added.

But would it really be that practical? The design, which would cost an estimated $800 million to build, is the shape of an inverted pyramid with a central void to allow for some much-needed natural light and ventilation.

Suarez says the first 10 stories would hold a museum dedicated to the city's history and its artifacts. "We'd almost certainly find plenty of interesting relics during the dig -- dating right back to the Aztecs who built their own pyramids here," he says.

The following 10 floors are assigned to retail and housing, with the remaining 35 intended for commercial office space, says Suarez.

Suarez concedes that getting natural light and fresh air down to the lower floors will be a problem and he is investigating a "system of fiber optics" that could deliver sunlight from the surface.

The design also includes a series of a series of "earth lobbies" that would store plants and trees with the intention of improving air-quality and, no doubt, the gloomy subterranean landscape.

Suarez says renewable energy could be generated by a turbine powered from collected groundwater. Enough to keep the lights on in an underground office block 24 hours a day? "I couldn't say at this stage" replies Suarez.

But although it has the hallmarks of a fossil-fuel guzzling Goliath -- and a name to match -- Suarez says the "Earthscraper" has great eco-credentials.  "In many ways, this project is all about the environment -- not just in how we preserve our historic skyline, but how we prevent the serious problem of urban sprawl into the countryside," he says.

According to the 32-year-old architect, Mexico City's main square -- commonly known as the "Zocalo" -- is one of the biggest city plazas in the world. "It's a massive empty plot, which makes it the ideal site for our program," he said.

To conserve the numerous activities that take place on the 190,000 square-foot plaza throughout the year -- including concerts, protests, open-air exhibitions and military parades -- the void will be covered with a glass floor that Suarez believes will allow the life of the "Earthscraper" to blend with everything happening on top.

At present, Suarez and his team are in the process of presenting their idea to the local authorities. So, if you were in their shoes, what would you say? Is the "Earthscraper" a genuinely feasible innovation or a pretty but impractical pipe dream? Tell us you thoughts in the comments section below.

@highlight

Mexican architects believe they have solution to capital's overcrowding

@highlight

If built 'Earthscraper' concept would plunge 300 meters into the earth

@highlight

Designed as an inverted pyramid with a central void for light and ventilation

@highlight

Pipe-dream or genuine innovation? You tell us.