London, England (CNN) -- Eight years ago Justine Laymond was told by doctors to say a final goodbye to her family -- she had, they said, only hours left to live before her lungs would stop working and her body shut down. But this July Laymond defied her medical fate and made history by becoming the first double lung transplant survivor ever to have raced across an ocean.

The 39-year-old from England, who has suffered nearly 20 lung collapses due to a condition known as Lymphangioleiomyomatosis (LAM), is part of a multinational crew taking part in the bi-annual Clipper Round the World Yacht Race -- the only sailing race in the world where crews are made up by ordinary people, many with little or no sailing experience.

This year more than 500 people from 41 countries are taking part in the 40,000-mile relay race, which started in August 2011 and is set to finish later this month. The line-up this year consists of ten identical 68-foot long yachts -- all sponsored by different cities around the world -- that are currently on the eighth and final leg of the race.

Laymond decided to get involved in the competition when she heard that the crew representing Edinburgh would have a relay team of transplant patients, surgeons and specialist nurses on its boat to raise awareness for organ transplantation -- something that saved her life six years ago.

"For years I suffered from chest pains but no one knew what was really wrong with me," said Laymond, who despite her pains led a very active life -- working at a gym and teaching children street dance in her spare time.

"When I was 31 I suffered a double lung collapse and was rushed to hospital. They referred me to a specialist who found hundreds and hundreds of cysts in my lungs and I finally got diagnosed with (this) rare condition," she said.

The doctors told Laymond that, with no functioning right lung and only 30% capacity remaining in her left lung, she would be unable to have kids and that she would die if she didn't have a transplant.

"My world fell to pieces," said Laymond, whose condition quickly deteriorated after she was diagnosed and left her in a three-week-long coma fighting for her life. She refers to this period as her "dark days," as she was slipping in and out of consciousness while on life support.

In 2006, after 16 months of waiting and three false alarms, she finally received a new set of lungs in a 10 hour transplant operation, and she hasn't looked back since.

"I'm definitely a bit of a fighter. Because I had been in a coma I had to learn how to walk again and when I finally got out of hospital I decided to set myself daily challenges -- to do something different and to push my boundaries and defy the odds," said Laymond, who confessed that to date none of her challenges have been as difficult, or is ever likely to be as challenging as the Clipper race.

More from Mainsail: Solo adventurer says she's relieved to be back on land

Indeed, it was far from plain sailing for Laymond's crew on board the "Edinburgh Inspiring Capital" yacht, whose Atlantic Ocean crossing was a grueling affair plagued by tropical storms and rough seas.

With a weak immune system and only 60% lung capacity it was a mammoth challenge for Laymond: "Towards the end I thought I couldn't do it. The cold got into my lungs and I got so weak that I thought I might have to be airlifted off and go to hospital to get some fluids and real food. But the skipper and the rest of my team were so fantastic and supportive that I managed to hang in there."

Her skipper Piers Dudin was impressed by Laymond's determination and spirit: "Justine has done incredibly well, she had a tough race physically and she really grew with the race.

"What she is representing is hugely empowering to people with similar conditions and she has certainly showed that anyone can do it. I think the whole team can be proud of what she has achieved," he added.

The Clipper Round the World Race is the brainchild of Robin Knox-Johnston, the first person to ever sail solo nonstop around the world -- a feat which he managed to do in a journey that lasted 312 days between 1968 and 1969.

Watch: Fastest man on water

He said he came up with the idea for the unique race while he was exploring Greenland in 1995 with British mountaineer Chris Bonington: "Chris was telling me how much it cost him to climb Mount Everest and I thought to myself 'that's a lot of money' and then I asked myself what is the sailing equivalent of climbing the world's biggest mountain and the answer was obvious, it's the circumnavigation.

"So I did some calculations on the back of a cigarette packet right there and then and I thought 'actually I could do a round the world race for half of what it costs to climb Mount Everest.'"

The aim of the competition is to give everyone, regardless of sailing experience, the opportunity to experience the exhilaration of ocean racing. The first race took place in 1996; it consisted of eight boats and saw 300 people take part in the relay competition.

See also: The enduring allure of tall ships

Since 1996 almost 3,000 people have competed in seven editions of the race, and although anyone can apply to take part, all selected crew members still have to pay a fee to join. It costs Â£10,000 (around $15500) to do one leg and Â£43,000 (around $67,000) to do the whole circumnavigation including four weeks of training.

According to the organizers some people have sold their houses and given up their jobs to be able to join the challenge, others have managed to participate without "any money in the bank" by doing fundraising events. The only requirement is that you are over 18 and willing to work in a team and able to motivate yourself and others.

Motivate others is exactly what Justine Laymond hopes her story will do: "I have learned that life is too short -- so if you have a dream you just have to go out there and do it.

"Hopefully my story will inspire more people to become organ donors. It only takes minutes to register and it can save up to seven people's lives. It saved mine. I'm here because I've been given the gift of life and without that donation it would never have been possible."

@highlight

Justine Laymond is the first double lung transplant survivor to have raced across an ocean

@highlight

Laymond decided to take part in the race to raise awareness for organ transplantation

@highlight

In the Clipper Round the World Yacht Race crews are made up by ordinary people

@highlight

This year more than 500 people from 41 countries are taking part in the 40,000 mile race