(CNN) -- BP showed up in court last week, finally, nearly three years after the Deepwater Horizon disaster and the hell it unleashed on the Gulf Coast. It's a huge, high-stakes trial, and BP is taking the beating it's earned. Here's what's at stake for America if there is a judgment: potentially tens of billions of dollars that will be used to create jobs while restoring some of our most productive and vulnerable natural places.

Whether the trial results in a decision or a settlement, the outcome will send a signal about how serious this country is about enforcing its common-sense rules that guarantee clean air and waters.

BP and its partners have already confessed to criminal negligence in the 2010 blowout that killed 11 men and gushed nearly 5 million barrels of oil. Every part of the Gulf of Mexico ecosystem, from the deep-sea corals to dolphins to migratory birds, was affected. Gulf Coast residents suffered billions of dollars in economic losses, with effects that rippled across the country.

And despite those slick commercials that assure you all is well and then invite you to spend your tourism dollars on the Gulf Coast, the disaster is still unfolding. Last summer, scientists found traces of BP's oil and dispersant in the eggs of migratory white pelicans nesting all the way up in Minnesota. Oil is still present on the Gulf's beaches, in the marshes and under the water. It is working its way through the food chain, so it will be years before we understand the full extent of the disaster.

BP's billions at stake as courtroom showdown starts

Just Wednesday, in fact, the Gulf Restoration Network documented a fresh rash of tarballs on a Louisiana beach known as Elmer's Island -- a spot that gets re-oiled every time a storm stirs up BP's submerged goo. We're nearly three years in, and there's no end in sight.

That's why our justice system must hold BP and other polluters fully responsible under the law for the worst offshore oil disaster in history. How much could BP end up paying? BP is liable for up to $17.6 billion in penalties under the Clean Water Act if it is found grossly negligent. (And if this isn't gross negligence, it's hard to imagine what is.) Add to that figure the potential for tens of billions more in fines under the Oil Pollution Act.

This much is clear: The rules were put in place to deter and, if needed, to penalize the offenders. The Deepwater Horizon was the kind of disaster that was envisioned when the full force of these penalties was contemplated. Those penalties -- and nothing short -- are the fair outcome.

It wasn't surprising to see BP's stock rise when it agreed to an unprecedented $4.5 billion in criminal fines. The market was saying, in essence: Guys, it could have been a lot worse.

BP claims it now leads the way on safety

So we know that some amount of penalties -- a staggering amount by normal standards -- has already been "priced in" to BP's value. So, this isn't about whether BP will continue to be an ATM for shareholders. It will be. And we're not saying that there shouldn't be drilling in the Gulf Coast. We're saying that even megacorporations need to play by the rules.

If Justice Department lawyers agree to a weak settlement, the burden of rebuilding from this disaster will be transferred from a foreign corporation to American taxpayers. Worse, it will send a message to polluters that we don't take seriously our air, water, wildlife, communities or economic health.

What's the difference between a $15 billion settlement and a $35 billion dollar judgment? The ability to rebuild the Louisiana wetlands -- America's delta-- for generations to come. A healthy, productive Gulf Coast where people and wildlife thrive. The principle that if you break it, you buy it.

Families of killed rig workers react to BP settlement

Under the terms of the RESTORE Act -- passed last year with historic bipartisan support -- 80% of Clean Water Act civil penalties will go back to restore the environment and economies of the Gulf Coast states. That's right and fair. We don't love how the states want to spend every dollar. But this is what a grand political bargain looks like, in case we've forgotten.

Two weeks ago, we and our partners hand-delivered more than 133,000 petitions to the Department of Justice, calling for full and complete accountability under the law for BP and its partners. The point of the petitions was pretty straightforward: These rules matter to Americans, and everyone needs to play and -- in this case -- pay fully.

The opinions expressed in this commentary are solely those of David Yarnold.

@highlight

David Yarnold: BP is rightly on trial, potentially facing judgment in tens of billions

@highlight

He says even if BP settles, it will send signal that U.S. enforces clean air, water rules

@highlight

He says pollution of Gulf spill still present three years later; BP must be accountable

@highlight

Yarnold: Big judgment will fund Gulf coast restoration and send message