Washington (CNN) -- When the race is done, the balloons have wilted, and the confetti has been swept up, Campaign 2012 may be marked more by its failures than its triumphs.

But here's the starkest failure in these final days before the vote: Neither candidate has made a convincing enough argument for his presidency to break free of the margin of error in the polls.

No matter who is elected, close to as many Americans will have voted against him as for him.

Sure, Barack Obama has generally stayed a point or two ahead of his rival in most battlegrounds, but despite his mighty pushes and the advantage of the bully pulpit he has rarely done any better. And Mitt Romney, while he has managed to relentlessly nip at the president's heels like a dog chasing a car (as opposed to one riding on top), he has never been able to decisively bridge the gap from "also ran" to "front runner."

Mad dash in final bid for votes

The most recent CNN Poll of Polls -- an average of 10 national polls -- has Obama just one point ahead of Romney, 48%-47%. The latest CNN/ORC survey in the battleground state of Ohio has Obama up 50%-47%, and in Florida by just one point, 50%-49%. Both results are well within the polls' margin of error of plus or minus 3.5%.

And if both parties are not haunted by the ever-growing mob of voters calling themselves independents, they ought to be.

At least Dr. Rita Kirk at Southern Methodist University thinks so. She is director of the Maguire Center for Ethics and Public Responsibility. "Independent isn't a party," she says. "It just means 'none of the above.' People are not really satisfied with either party."

Romney's difficulties in breaking through the margin of error have been well documented: a slow start that allowed the White House to paint his strongest positive, his business experience, as a negative; a clumsy trip overseas; and more than one stumble that helped build the caricature of an out-of-touch fat cat. Note to future campaigners: Working class folks have a little trouble relating to a guy who proposes $10,000 bets.

Being pulled from the right
But perhaps a deeper part of Romney's trouble dates back to Obama's single biggest humiliation since taking office.

Two years ago this month, Republicans ripped control of the House of Representatives from the Democrats, seized new ground in the Senate, and captured 10 extra governorships in what appeared to be a resounding rejection of the White House agenda. A subdued Obama called it a "shellacking," admitting in a masterpiece of understatement, "Some election nights are more fun than others."

If Romney wins...
Romney: My vision for America

The Republican charge up Capitol Hill, however, was not led by party purists. The flags of the tea party waved high over the Democratic trouncing, and created a whole new road for GOP presidential hopefuls such as Romney. The uncompromising tea partiers made it clear they would get behind only someone who paid the toll of a hard and unmistakable turn to the right, especially on fiscal matters.

And as Kirk puts it, "A candidate (who makes that turn) stands very little chance of getting back to the center in time for the general election."

Was he ever 'severely conservative' enough?
Romney was always an awkward fit. He had a hard time embracing the far right with enthusiasm, and the right felt the same about him. That is one reason why the nomination process dragged on so long, as the faithful tried to make it work with Rick Perry, Herman Cain, Newt Gingrich and Rick Santorum.

But Romney was not just wrestling with philosophical differences.

"Something else that pulls candidates away from the middle is money," says assistant professor Georgia Kernell at Northwestern University's Department of Political Science, where she is a fellow in The Institute for Policy Research. She notes that Romney's now infamous "47 percent" comment was almost certainly spurred by the need to appeal to right-wing donors at that fundraiser.

"He didn't have to say it," Kernell says, "but it certainly made (his message) more powerful." The same might be said about candidate Barack Obama's similar stumble four years ago when he privately told donors that rural voters "cling to their guns or religion."

Kernell believes the Republican nominee, all things considered, has walked the tightrope well. "I actually think Romney did a great job using the first debate to position himself back in the middle."

It all came at a price. His vacillation between the right and center has allowed Team Obama to pelt him with accusations of flip-flopping and a schizophrenic candidacy, leaving Romney unable to crawl out of the margin-of-error trench.

Crowley: It's the losing campaigns I remember most

A president marginalized
Obama did not have to tack nearly as far left as he would have if he were fighting other Democrats for the nomination this year, and undeniably he had some accomplishments to carry into the election. Health care reform was upheld by the Supreme Court. The war in Iraq was concluded and Afghanistan is winding down. As Vice President Joe Biden loves to say, because of Barack Obama, "Osama Bin Laden is dead, and General Motors is alive."

Despite all that, the president, too, has spent the campaign in a marginal spot, right alongside Romney. His enemy is the economy, or as Kernell puts it, "Unemployment hasn't gone down;" at least not down to the 5% range Obama himself promised early in his term when he was touting the stimulus.

Most voters have been willing to blame the legacy of the Bush years, and the president has encouraged that thinking at every juncture, reminding anyone who will listen that he inherited the worst recession since the Great Depression.

An unwilling participant in his own reelection
But his reelection team clearly knew "It could be worse" was not much of a campaign slogan, so over the summer they steadily shifted to a divide-and-conquer strategy.

Gone is "No Drama Obama" -- the apparently easygoing man who went into the White House promising to bring warring political parties to the table of peace and prosperity. In his place is a much tougher talking candidate who misses no chance to savage the Republicans, to ridicule Romney as a "bull****er," and like his opponent, to bend the truth until it breaks. "They're ignoring the fact checkers," Kirk says of both Obama and Romney.

If Obama wins...
Obama: My vision for America

The president, clearly much happier preaching Hope and Change in 2008, has seemed at times an unwilling participant in his own reelection. At the Democratic Convention, critics widely saw Bill Clinton's speech as superior, Joe Biden's as more passionate, and the president's as acceptable at best.

The first debate with Romney brought even more concern for Democrats. President Obama sat looking down much of the time and seemed alternately angry, bored, or disengaged. His showing was so lackluster even faithful fans wondered whether he really wanted the White House anymore.

Perhaps that is why he too, aside from one brief surge in August, has been unable to establish a commanding lead. Despite his consistently strong personal popularity, he's had to cling for his political life to every vote he can scrape up within the margin of error.

Opinion: What's really at stake in election 2012

More money, less unity
Neither candidate can say his deadlocked fate in the polls is because people have not heard his message. No other election has ever seen so much money raised and spent to win the White House -- latest estimates have the 2012 campaign costing, all in, as much as $6 billion.

All those ads, all those TV interviews with the candidates and their surrogates, all the debates and bus trips. They've each had their chances to break out over and over again. Yet neither has been able to get the job done.

They may have, however, accomplished another task. Although they each gave lip service to the idea of us all being in this together, the divisiveness of the race itself seems to have hardened opinions even more in red and blue America.

In the end, it remains to be seen if there will be a president of the United States.

With trust at a low, paranoia grows

Sure, someone will win the office, but arguably both campaigns have done all they can to make sure the country will be anything but united. If Obama wins, the stalwarts of red America may hunker down in their "bitterness," simply enduring the next four years while awaiting the next chance to storm the castle. If Romney wins, the faithful of blue America may feed on their fury and do to the other party's president exactly what they accuse Republicans of doing to theirs; obstructing his every plan.

Kernell likes to think not. She believes the very political partisans who've helped lead the country to this point may lead it back to more conciliatory days, if only for cynical reasons. "The economy is going to turn around," she says, "and they're all going to want to claim some responsibility."

Kirk, however, believes those better days may be a longer time coming. "I think leadership will emerge. I just don't think it has yet."

Maybe, she suggests, the candidates once had ideas of a great, unifying moment -- of a nation coming together to confront its common issues in this campaign, but along the way those dreams were lost in the margins.

@highlight

ANALYSIS: Both Romney and Obama have been unable to break through to unite voters

@highlight

Romney has been trying to recover from being pulled from the right early in the campaign

@highlight

Obama has seemed like an unwilling participant in his own re-election