(CNN) -- In six days, the United States government's borrowing authority will be exhausted.

If Congress does not act to extend the debt limit, the Treasury Department will be left with only its cash on hand -- estimated to be about $30 billion -- and whatever revenues it takes in each day.

Because the government is running a deficit, available cash will be insufficient to cover the millions of payments the Treasury makes each day -- to men and women in our armed forces, veterans, Social Security and Medicare beneficiaries, federal employees and retirees, businesses that provide goods and services to the nation, and many others.

Even if Congress opts to pass a temporary extension, the threat of default will hang over the economy until a longer-term solution is adopted.

What does this really mean for the economy, and what does it mean for you?

Congress has never in our history failed to extend the debt limit, so no one knows for sure what would happen if, as some Republicans are now advocating, we tried to operate the government with insufficient funds and no ability to borrow.

It has long been the view of economists, business leaders and the Treasury Department that such a scenario could set in motion a financial crisis. Presidents and secretaries of the Treasury of both parties have urged Congress never to take that risk.

Ronald Reagan himself once said, "Unfortunately, Congress consistently brings the government to the edge of default before facing its responsibility. This brinkmanship threatens the holders of government bonds and those who rely on Social Security and veterans benefits. Interest rates would skyrocket, instability would occur in financial markets, and the federal deficit would soar. The United States has a special responsibility to itself and the world to meet its obligations. It means we have a well-earned reputation for reliability and credibility, two things that set us apart from much of the world."

Reagan's view is widely held, but some Republicans -- dubbed "default deniers" -- now argue that the debt limit deadline can be ignored without serious harm. They have urged the President to continue paying interest on the national debt using available cash and then avoid or delay paying other obligations.

Although it's not possible to disprove either theory, the default deniers overlook an important problem: Paying interest on the debt would not protect the Treasury against what's called "rollover risk." That's the risk that investors would decide, amid the crisis atmosphere generated by a failure to raise the debt limit, to cash out their maturing Treasury bonds instead of reinvesting (or "rolling over") their proceeds into new Treasuries, as they usually do.

This would be reminiscent of the famous bank scene at the end of "It's a Wonderful Life," only on a huge and frightening scale. About $100 billion in Treasury securities mature each week, so if investors decided to put their money elsewhere, Treasury's available cash would be nowhere near enough to cash those jittery investors out.

In those circumstances, the U.S. would default on both principal and interest payments, and the economic consequences would be swift and severe.

To the extent that we were able to continue borrowing, investors would demand higher interest rates on Treasuries. (These rates have already begun to rise as the impasse in Washington has worsened.) Since Treasury rates are benchmarks for other lending, loans for homes, cars and other needs would become more expensive, and it would become harder to qualify to borrow. Consumer and business confidence would suffer.

As in the last financial crisis, falling confidence would have ripple effects, affecting other markets including the short-term lending used by companies to finance themselves. This would all dampen economic growth, which is still not as strong as we would like in the wake of the last crisis.

The stock market would weaken, and retirement savings would dip. And of course unemployment would rise. Meanwhile, the inability to pay the rest of the government's regular obligations in full or on time would be spreading its own hardship across the economy.

There is no way to know how bad these conditions would get or how far the financial contagion would spread, but it seems safe to say that no good could come from tempting such a fate. The question is: Why in the world would we ever choose to take that risk?

The opinions expressed in this commentary are solely those of Mark A. Patterson.

@highlight

In six days, the United States government's borrowing authority will be exhausted

@highlight

Mark Patterson: A U.S. default could set in motion a financial crisis of global scale

@highlight

He says "default deniers" in the GOP are overlooking serious risks and problems

@highlight

Patterson: Default would have ripple effect on stock market, businesses and economy