(CNN) -- Russian President Vladimir Putin says he still doesn't see eye to eye with the United States on Syria.

But "all of us have the intention to stop the violence in Syria ... and to solve this situation peacefully," Putin said Monday after a meeting with U.S. President Barack Obama at the Group of Eight Summit in Northern Ireland.

Putin said he and Obama "agreed to push the parties to the negotiating table." But the Russian president didn't specify who could be involved in Syria talks, when they would take place or what their end goal would be.

The G8 summit comes days after the United States pledged to play a greater role in assisting Syrian rebels, citing evidence that President Bashar al-Assad's regime used chemical weapons against the rebels and his own people. The move was backed by seven of the eight nations represented at this week's conference in Loch Erne, while Russia remains the sole G8 nation supporting al-Assad.

And global leaders at the conference are poised to pressure Putin over his support for Syria's government.

On Monday, Obama stressed the importance of making sure chemical weapons "are neither used nor subject to proliferation" in Syria -- a topic that Putin didn't mention in his public remarks after meeting with the U.S. president.

Russia has downplayed the claims of chemical weapons use, and Putin has opposed outside intervention into the county's 2-year-old internal conflict.

On Sunday, Putin sharply criticized the decision to provide arms to Syrian rebels, referencing a widely circulated video of an opposition fighter appearing to eat the heart of a dead solider.

Speaking to reporters in London after meeting with British Prime Minister David Cameron, Putin warned against arming Syrian rebels "who kill their enemies and eat their organs."

"Do you want to support these people? Do you want to supply arms to these people?" Putin asked.

Putin warns against arming organ-eating Syrian rebels

Opinion: A new breed of terror in Northern Ireland

The White House announcement last week that it was increasing the "size and scope" of its material support to Syrian rebels came after months of political debate over the U.S. role in the conflict. Great Britain and France, two other G8 members, were strong backers of the May decision to end the European Union arms embargo on Syria, and both countries asserted that al-Assad's regime had used chemical weapons before the United States did.

The meeting between Obama and Putin Monday was the first time the two leaders have spoken face to face since last year's G-20 summit in Mexico.

"It's in Russia's interest to join us in applying pressure on Bashar al-Assad to come to the table in a way that relinquishes his power and his standing in Syria, because we don't see any scenario where he restores his legitimacy to lead the country," Obama's deputy national security adviser Ben Rhodes noted before Monday's meeting.

Other G8 nations have expressed similar viewpoints, calling on Russia to back United Nations intervention in Syria. Russia's permanent position on the United Nations Security Council has made action through that body difficult for countries intent on removing al-Assad from power.

After meeting with Putin on Monday, Obama said the possibility of negotiations remains on the table.

"We want to try to resolve the issue through political means, if possible," Obama said.

Before this week's meetings, the U.S. president spoke by videoconference with the leaders of Britain, France, Italy and Germany to discuss "ways to support a political transition to end the conflict" in Syria, the White House said.

The White House has not yet publicly specified what exact steps it would take to support members of Syria's opposition, though sources have told CNN small arms, ammunition and possibly anti-tank weapons would be part of the assistance package.

On Friday, Rhodes said further discussions with other nations were necessary to determine next steps.

Though Syria will likely dominate discussions behind the scenes at this week's summit, leaders began the conference Monday by heralding a possible trade deal they said could create millions of jobs.

The first round of negotiations for a trans-Atlantic trade agreement between the United States and the European Union will take place next month in Washington, Obama said.

"I believe that we can form an economic alliance as strong as our diplomatic and security alliances," he told reporters after the leaders of eight of the world's most powerful nations kicked off their meeting.

"The whole point of this meeting ... is to fire up our economies and drive growth and prosperity around the world. ... There's no better way than by launching these negotiations on a landmark deal between the European Union and the United states of America," Cameron said.

Cameron, the host of this week's conference, named the problem of tax avoidance by large corporations as a central issue for G8 leaders to resolve at this year's summit. The British prime minister hopes to secure agreements among nations on sharing tax information, with the goal of ensuring global companies aren't able to dodge tax bills.

The measure met resistance from firms' chief executives, though Cameron said he's willing to withstand corporate ire for a fairer global tax system.

"You don't get anywhere unless you are prepared to give the lead and perhaps make a few enemies along the way," Cameron said. "In setting the G8 agenda around trade, tax and transparency, yes, you are taking on some vested interests, you are taking on some difficult decisions. But actually will it help both the developing world and us in the West? I believe it can."

While in Europe, Obama will also likely be forced to defend U.S. Internet surveillance techniques that were disclosed in a series of newspaper articles in early June. The intelligence programs, which were previously considered top secret, involved large tech companies who operate globally, including Facebook, Google and Yahoo.

Snowden says online he had to 'get out' of the U.S. before leaks

@highlight

NEW: On Syria, Putin says he and Obama "agreed to push the parties to the negotiating table"

@highlight

NEW: Obama says it's important to make sure chemical weapons don't proliferate in Syria

@highlight

Cameron: G8 summit aims to "fire up our economies and drive growth"

@highlight

Obama says negotiations for a U.S.-EU trade deal will start in Washington