A Ukrainian court has found former Prime Minister Yulia Tymoshenko guilty of abuse of authority for signing gas contracts with Russia and sentenced her Tuesday to seven years in prison.

Authorities deployed hundreds of police officers around the court to keep order, state media reported.  Dozens of angry Tymoshenko supporters took to the streets of Kiev in August when she was taken into custody.

"Dear friends, I just want to say that I disagree with this verdict and I am saying that the year 1937 is  back again," Tymoshenko said in the courtroom Tuesday, making a reference to Josef Stalin's rule when Ukraine was part of the Soviet Union.

But Judge Rodion Kireev said that "bearing in mind the fact that the court has not established any circumstances aggravating or  mitigating Tymoshenko's punishment,  and given the heightened social danger of the crime committed by Tymoshenko, her personality and the absence of any penitence on her part, the court sees no grounds to hand down a more lenient sentence."

In April, Ukraine's Prosecutor General's office opened a criminal case charging Tymoshenko with signing overpriced gas deals with Russian energy provider Gazprom that inflicted damages to the country of more than 1.5 billion hryvnas (almost $190 million at the current exchange rate) and which Tymoshenko had allegedly no right to sign.

The court ruled Tymoshenko must repay the money, and she is banned from holding public office for three years.

Tymoshenko narrowly lost to President Viktor Yanukovych in a presidential election in February 2010, and she became his fiercest opponent.

Tymoshenko repeatedly brushed off all charges against her as political, calling the trial a "farce" and naming the judge a "stooge of Yanukovych's administration," appointed to "fabricate" the case.

Russian Prime Minister Vladimir Putin said Tuesday he didn't understand why she was sentenced to seven years in the case.

"It's dangerous and counterproductive to question the complex of gas agreements reached between Ukraine and Russia in talks with Tymoshenko," Putin was quoted as saying in Beijing, according to state TV broadcaster Russia-24 news.  "Gas contracts signed by Russia and Ukraine, after talks with Tymoshenko, fully comply with the laws of Russia, Ukraine and international standards."

The Russian Foreign Ministry said the nation's 2009 natural gas agreements with Ukraine were legal. It says Russia "is committed to developing and deepening all-round partnership with Ukraine, including the search for mutually acceptable solutions in the gas sphere, as the leaders of the two countries agreed to in (the Russian government country estate of) Zavidovo on September 24."

"One should take into consideration the fact that the leadership of many countries and the international community have perceived this court trial as one that was initiated for purely political reasons. By accusing Tymoshenko of abusing power when signing a contract for the supply of Russian gas in 2009, the ... court ignored compelling evidence that those gas agreements were designed in strict accordance with the laws of Russia and Ukraine as well as the rules of international law, " it says.

"We also see an obvious anti-Russian implication in this issue. In actual fact, Yulia Tymoshenko was sentenced for the valid and legally-binding agreements in the gas area between 'Gazprom' and 'Naftogaz Ukraine'," the ministry statement said.

Amnesty International slammed the verdict as "politically motivated" and called for the release of Tymoshenko, who was prime minister from January to September 2005 and December 2007 to March 2010.

"The charges against her are not internationally recognizable offenses, they are attempts to criminalize decisions that she made in the course of her work," said John Dalhuisen, Europe and Central Asia deputy program director of Amnesty International.

"Poor political decisions of this kind -- if that is what they were -- should be punished by voters, not through courts. Her conviction on these charges is illegitimate and she should be immediately released," Dalhuisen said.

"The trial against Yulia Tymoshenko highlights systemic problems within the justice system in Ukraine, and the conduct of this trial casts doubt over the independence of the judiciary."

Amnesty says she was charged in December "for abuse of office over the receipt of 180 million euros from the sale of a greenhouse gas quota to a Japanese company." It also says she is charged "with having delayed signing an order in December 2009 for the customs clearance of 1,000 Opel Combo cars. The delay allegedly resulted in a budget loss of $4.6 million."

"Yulia Tymoshenko must be released and all charges against her must be dropped," said Dalhuisen.

EU foreign policy chief Catherine Ashton said the organization "is deeply disappointed with the verdict" and it will prompt the EU to "reflect on its policies towards Ukraine." She said the action points to the "politically motivated prosecutions" for "the leaders of the opposition and members of the former government."

"The way the Ukrainian authorities will generally respect universal values and rule of law, and specifically how they will handle these cases, risks having profound implications for the EU-Ukraine bilateral relationship, including for the conclusion of the Association Agreement, our political dialogue and our cooperation more broadly."

Ashton said the EU calls for "competent Ukrainian authorities to ensure a fair, transparent and impartial process in any appeal in the case of Ms. Tymoshenko and in the other trials related to members of the former government" and says "the right of appeal should not be compromised by imposing limitations on the defendants' ability to stand in future elections in Ukraine, including the parliamentary elections scheduled for next year."

The Ukrainian foreign ministry said "internal processes" in the country must not affect forging the Association Agreement with the European Union.

"Any internal processes or  passing events cannot  be a reason  for refusal from such reciprocity [on the question of European  integration] since we are talking about strategic prospects for the EU-Ukrainian relations," the ministry said.

Disputes over energy prices have been the main sticking point in the relations between the Russia and Ukraine since the collapse of the Soviet Union in 1991. Russia retained its vast oil and gas reserves, while the largest pipeline network to Western Europe -- the main customer of those energy riches -- ended up in Ukraine's territory. Ukraine is buying Russian gas for its domestic consumption and at the same time charges Russia transit fees for all its gas exports going west.

In 2006, the conflict was exacerbated when Russia cut off its supplies to Ukraine for not agreeing to pay what it was asking for gas, while the latter siphoned off Russia's gas deliveries to Europe to compensate for its own shortages.

But three years later, the gas war reached a further unprecedented scale. For about two weeks of an unusually cold winter in Europe, most European customers were freezing, being cut off from Russian gas supplies as the two former Soviet countries crossed horns in a commercial dispute and didn't want to yield to each other.

And over the past few years, Russia has had much the same oil and gas disputes with its other western neighbor, Belarus.

But Western governments have repeatedly criticized Russia for its arm-twisting tactics against its less rich neighbors in economic matters and for using its vast energy resources as a weapon to impose its political will across the former Soviet states, accusations that Russia denies.

@highlight

Putin, EU, Amnesty International question the move

@highlight

Yulia Tymoshenko calls the charges against her political

@highlight

Authorities deploy hundreds of police officers around the court to keep order

@highlight

The Russian Foreign Ministry says natural gas agreements with Ukraine were legal