Miami (CNN) -- Thanksgiving is a deeply meaningful annual ritual for Americans. It is singled out as the day to recall a gathering nearly 400 years ago when two clashing cultures -- the Pilgrims and Native Americans -- came together in feast and prayer. That's the history every American kindergartener making a construction-paper turkey is taught; that's the history of cultural cooperation, acceptance and gratitude we celebrate each November.

Today, two distinct cultures, Anglo-Protestant and Hispanic, are on the brink of profound and irrevocable change in America, with immigration a perennially and increasingly thorny political issue.

There is President Barack Obama's promise of comprehensive immigration reform in the first year of his administration, "a priority I will pursue from my very first day," which has not come to pass. Instead, he has deported 1.2 million Latinos, including 46,000 parents of American citizens. His draconian actions have left tens of thousands of frightened children, whose moms and dads suddenly vanished, living in foster care or as wards of the state.

Then there's the inflammatory rhetoric from GOP presidential candidates, topped by Herman Cain's suggestion to build an electrified fence on the border and deploy troops to attack those who try to enter the country illegally.

What we are witnessing is a clash of cultures in America that is as excessive as it is pointless.

The late Samuel P. Huntington, a renowned Harvard political scientist, illustrated it in a 2004 essay for Foreign Policy magazine titled the "The Hispanic Challenge," in which he wrote: "Profound cultural differences clearly separate Mexicans and Americans, and the high level of immigration from Mexico sustains and reinforces the prevalence of Mexican values among Mexican-Americans. Continuation of this large immigration (without improved assimilation) could divide the United States into a country of two languages and two cultures."

Huntington concluded his essay by discounting Latino author Lionel Sosa, author of "The Americano Dream," who wrote that the Americano dream "exists, it is realistic, and it is there for all of us to share." Huntington declares, "There is no Americano dream. There is only the American dream created by an Anglo-Protestant society. Mexican Americans will share in that dream and in that society only if they dream in English."

Who are the Americanos? We are the 50 million U.S. citizens of all skin colors, nationalities and religions who descend from a rich Spanish culture -- a culture that Anglophile academics like Huntington have erased from our history books.

I observed this firsthand while serving on Florida's State Board of Education, overseeing the approval of statewide textbooks. American history books typically ignore the epic northward advance by Spanish pioneers into the southern tier of the United States and fail to discuss the far-reaching contributions of Americanos from our country's inception to its present day.

For example:

-- Forty-two years before the English colony at Jamestown, explorer Pedro Menendez founded St. Augustine as our first North American city in 1565, granting Florida the longest recorded history of any state. The Spanish flag flew over St. Augustine for nearly 200 years.

-- When the Continental Army was nearly bankrupt, they sent a representative to seek funds in Cuba, and the money they needed was collected from the public treasury and from private Americano citizens to finance the Battle of Yorktown, the decisive battle of the Revolutionary War.

-- The patriotism of Americanos cannot be questioned. Americano soldiers have served in the U.S. Armed Forces dating back from the American Revolution to the war in Afghanistan with 44 Medal of Honor recipients. About half a million Americanos fought the Axis powers during World War II. Lance Cpl. Jose Gutierrez was the first person to die in the Iraq War, and more than 25% of the 58,195 names on the Vietnam War Memorial are Americanos.

-- Spanish, not English, was the first European language spoken in North America. There are more than 1,000 U.S. cities with Spanish names, as well as the states of California, Arizona, Utah, New Mexico, Colorado, Nevada, Montana and Florida. The U.S. is the second-largest Spanish-speaking country in the world. Most Americanos are bilingual, which is a plus since our exports to Latin America are nearly three times larger than our exports to China. Americano language skills and cultural affinity give our country a competitive advantage in doing business with a rapidly growing $6.4 trillion market of 579 million people in 21 countries plus Puerto Rico.

Oh, and about that first Thanksgiving? Here are a couple of other things our children's history books fail to mention:

-- In St. Augustine on September 8, 1565, the Spanish and the native Timucua celebrated what could arguably be called the first feast of Thanksgiving. That was 56 years before Plymouth.

-- Near El Paso on April 20, 1598, some 500 colonists led by Juan de OÃ±ate celebrated the end of a grueling expedition across Mexico's Chihuahua Desert. That was 23 years before Plymouth. Their Thanksgiving celebration with Native Americans is recognized in resolutions by the Texas legislature.

Perhaps if the four million children in U.S. kindergartens this year -- 25% of whom are Americanos -- were taught the truth, not only about the rich history of Americanos in helping make this country so great, but also about Thanksgiving, this most American of holidays, then maybe we would have a healthier attitude on immigration reform and Americanos in general.

The truth. Surely that's something for which we can all be thankful.

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Charles Garcia: Immigration issue has created pointless Anglo-Hispanic culture clash

@highlight

He says Americanos are 50 million American citizens descended from Spanish culture

@highlight

He says they have valid claim to American Dream and may have had first Thanksgiving

@highlight

Garcia: In 1565, Spanish settlers in Florida and the native Timucua sat down to a feast together