LONDON, England (CNN) -- Almost 50 percent of the world's primates are in danger of extinction, according to a report from an international conservation group that cites habitat destruction and hunting as the two greatest threats.

The golden-headed lion tamarin has been brought back from the edge of extinction.

The situation is especially dire in Asia, where the report says more than 70 percent of monkeys, apes, and other primates are classified as vulnerable, endangered, or critically endangered.

"We've raised concerns for years about primates being in peril, but now we have solid data to show the situation is far more severe than we imagined," said Russell Mittermeier, president of Conservation International and chairman of the IUCN Primate Specialist Group.

"Tropical forest destruction has always been the main cause, but now it appears that hunting is just as serious a threat in some areas, even where the habitat is still quite intact," he said.

The report from Conservation International, issued at this week's International Primatological Society Congress in Edinburgh, Scotland, looked at the world's 634 kinds of primates, mankind's closest relatives.

Conservation International funded the review along with the Margot Marsh Biodiversity Foundation, Disney's Animal Kingdom, and the Swiss-based IUCN, or International Union for Conservation of Nature.

The report found that about 90 percent of primate species in Vietnam and Cambodia were at risk of extinction. Populations of gibbons, leaf monkeys, langurs and other species had dwindled, the report said, because of "rampant habitat loss exacerbated by hunting for food and to supply the wildlife trade in traditional Chinese medicine and pets."

Jean-Christophe Vie, deputy head of the IUCN Species Program, called the situation in southeast Asia terrifying.

"To have a group of animals under such a high level of threat is, quite frankly, unlike anything we have recorded among any other group of species to date," he said in a news release.

Great apes like gorillas and bonobos still faced challenges in Africa, the report said, but it was the smaller primates -- such as the red colobus monkey, with its striking white, black and rust-colored coat -- that could die out first.

In Africa, 11 of the 13 kinds of red colobus monkeys assessed in the report were listed as critically endangered or endangered, and two may already be extinct, the report said. Bouvier's red colobus has not been seen in 25 years, and despite occasional sightings, no primatologist has recorded a living Miss Waldron's red colobus since 1978, the report says.

Primates are important to the health of their surrounding ecosystems, the report's authors say, supporting a wide range of plant and animal life in the world's tropical forests. Healthy forests, in turn, provide vital resources for local human populations.

Reforestation is crucial to restoring primate populations because it restores their habitat, the report said. It cites the cases of the black lion tamarin and golden lion tamarin in Brazil, which were downgraded from critically endangered to endangered after three decades of conservation efforts.

"If you have forests, you can save primates," said Anthony Rylands, a scientist with Conservation International and the deputy chair of the IUCN Primate Specialist Group.

"The work with lion tamarins shows that conserving forest fragments and reforesting to create corridors that connect them is not only vital for primates, but offers the multiple benefits of maintaining healthy ecosystems and water supplies while reducing greenhouse gas emissions that cause climate change."

@highlight

Report: Almost 50 percent of world's primates in danger of extinction

@highlight

Situation is especially dire in Asia, where 70 percent of primates threatened

@highlight

90 percent of primate species in Vietnam and Cambodia at risk of extinction