Dubai's 828-meter Burj Khalifa has less than a year left as the world's tallest building.

China's projected 838-meter (2,749 feet) Sky City broke ground in Changsha in central China on July 20.

Astonishingly, the construction company behind it expects to top out in April 2014 -- a build time of just 10 months.

It took five years to build the Burj Khalifa.

Fast construction claims from Broad Group, the Changsha-based construction company in charge of the build, have elicited strong reactions from China's "netizens," as well as experts.

"The speed is horrifying, how can that be possible?" said one user on Weibo, China's Twitter-like service.

Another criticized the liveability of the homes within, calling the project a "giant stack of trailer homes."

But the building would appear to herald a new age in Chinese construction, one in which tall, fast builds become common.

It's already difficult to keep track of China's tallest building announcements.

China's race for the sky

Other projects under construction in China include:

• Shanghai Tower, Shanghai (632 meters, completion in 2014)

• Goldin Finance 117, Tianjin (597 meters, completion in 2015)

• Ping An Finance Center, Shenzhen (660 meters, completion in 2016)

• Greenland Center, Wuhan (636 meters, completion in 2017)

• Golden Rooster Tower, Suzhou (700 meters, yet to be confirmed)

More than 10 cities in China are planning to build something taller than the 541-meter (1,775 feet) One World Trade Center, the United States' tallest building due to open early 2014 in New York City, according to the "2012 China Skyscraper Report" by Chinese architecture website motiancity.com.

The site, which defines "skyscrapers" as buildings taller than 152 meters (498 feet), also reports that China currently has 470 skyscrapers, 332 under construction and 516 planned but unconfirmed.

That means by 2022 China could have a total of 1,318 buildings higher than 152 meters, more than twice than expected in the United States.

Last year, real estate data company Emporis reported that half of the 10 tallest buildings under construction worldwide are in China.

Sky City will cost RMB 9 billion ($1.46 billion) to build.

According to Broad Group CEO Yue Zhang, the building is meant to save on energy and land.

The group says the 202-story, 1.05 million-square-meter building will keep at least 2,000 cars off of Changsha city streets by creating an environment no one needs to leave.

The tower will house more than 30,000 people alongside a shopping mall, school, hospital, office areas, roof garden, amusement park, sports facilities, organic farm and a 10-kilometer "walking street" that will run from the first to the 170th floor.

"Residents don't need to step out of the building, they can do everything within it," said Zhang.

Safety concerns

Some are worried the building could be vulnerable to safety hazards, due to the unconventional construction technique devised by Broad Group.

That "fast-building technology" allowed the group to put up a 30-story tower in 15 days in 2011, and a 15-story hotel within six days a year earlier.

VIDEO: See a hotel built in six days

Zhi Yin, head of Beijing Tsinghua Urban Planning Academy, told Xinhua, China's government-sanctioned media body, that Sky City would be "either a marvel or a hoax."

According to Yin, Broad Group's Sky City is an experiment, he claims, that still needs a practical test.

Yin Lu, an architect from Baojia Group, expressed concerns to Xinhua about subsidence when the building gets higher.

Broad Group emphasized that relevant authorities have approved the building as safe.

Super-fast construction method

The construction technique is simple, according to the company.

Some 20,000 workers in BSB's offsite factory produce thousands of prefabricated steel-and-concrete blocks, 60 square meters in size, over four months.

These blocks are transported to the location, hoisted and packed into position to make up the final structure over two months, at a rate of three stories a day.

Another four months are needed to complete the internal construction.

Broad Group has applied this method to more than 30 of their buildings.

There remains a certain amount of skepticism about the feasibility of the project from Chinese public and experts.

The world should know the truth early next year.

@highlight

Sky City broke ground July 20, will top out in April 2014

@highlight

838-meter tower will house 30,000 residents, a hospital, school and shopping mall

@highlight

China to contain most and highest skyscrapers in coming years