(CNN)A stuffy, overcrowded cell. Perhaps two or three men to a single bunk. Lockdown for most of the day.

Is this what awaits South Africa's Oscar Pistorius when he's sentenced for culpable homicide in the death of girlfriend Reeva Steenkamp?

Legal experts say it's impossible to predict what sentence Judge Thokozile Masipa may hand down. But many will be watching to see if the Olympian's dramatic fall from grace ends with time behind bars.

If that's indeed the case, the chances are that life would not be easy for South Africa's most famous disabled athlete.

A double amputee, he needs prosthetic limbs to get around. And rights campaigners warn that South African prisons -- which they say are notorious for overcrowding, gang violence and unsanitary conditions -- are often a difficult environment even for the fittest of inmates.

Nooshin Erfani-Ghadimi, project coordinator for the Johannesburg-based Wits Justice Project, a civil society group, believes Pistorius would likely receive far better treatment than the average prisoner -- as he has throughout the judicial process, she says. That means he might get a cell to himself.

Even so, she told CNN, "I don't think anyone with a disability necessarily will be able to be provided for at the moment in a way that ensures that they would have the correct medical treatment, that they have the correct physical structures."

Some of South Africa's prisons are better than others, of course.

But whichever one might house Pistorius, there's no question that conditions would be a far cry from those in the $560,000 home in the luxury Silverwoods Estate, on the outskirts of Pretoria, where he shot Steenkamp dead last year.

Pretoria Central

South Africa's department of correctional services has policies in place for dealing with physically disabled inmates, Erfani-Ghadimi said.

"Policy and practice, however, are often poles apart. Unfortunately, prisoners with disabilities face the same inhumane conditions as other able-bodied inmates."

Correctional Services Department spokesman Koos Gerber previously told CNN that South Africa's detention facilities, whether for remand prisoners or those serving prison terms, "can accommodate people with any disabilities."

There's been speculation that Pistorius could be sent to Pretoria Central Prison, although no one really knows.

It's not easy for rights researchers to get access inside, Erfani-Ghadimi said. But the prison does not have the best reputation.

The Pretoria News reported last year on a case brought by six inmates who told Pretoria High Court of having to share a single cell with others, with no ventilation, dirty mattresses and no bedding. They were locked up for 18 hours a day, the court heard, and threatened with sexual violence by gangs.

Steenkamp's mother stunned by verdict, wants to meet Pistorius

Medical care 'overstretched'

On average, Erfani-Ghadimi said, South African prisons are overcrowded, putting a strain on sanitation, ventilation and medical care.

The overcrowding means three men may share a single cell, or communal cells for 40 people are jammed with double the number they were intended to hold, with men sleeping in double or triple bunks, according to the Wits Justice Project.

One of the biggest risks associated with that is contracting tuberculosis, labeled the biggest killer in South Africa's prisons in a recent report, Erfani-Ghadimi said. The disease spreads easily in packed, steamy cells with little air.

In some prisons, overstretched nurses can never see all the people needing help on any day. Inconsistent treatment regimens mean drug-resistant TB strains develop and spread, while disruptions to antiretroviral programs also impact detainees who are HIV-positive.

"Also in terms of health management we've seen stories of people who are diabetic and have gone into insulin shock because they've been arrested and haven't been able to get to their medication," Erfani-Ghadimi said.

Speaking earlier this year, Correctional Services Minister Sibusiso Ndebele said that "overcrowding at correctional facilities is a global challenge," and that South Africa's prison population had dropped over the past decade.

As of April this year, there were about 157,400 inmates, of whom nearly 28% were on remand -- a term used for pretrial custody, according to official figures. The country's total population is about 54 million.

Who is the judge that'll be sentencing him?

Double-edged sword

There's no doubt that Pistorius' case has put South Africa's justice system under the international spotlight.

While the scrutiny may have been uncomfortable at time for South African authorities, it appears to have worked in the track star's favor until now.

When he was first detained after Steenkamp's killing, the African National Congress Women's League complained that he got special treatment, both in where he was held and in access to his family.

Some impoverished suspects who can't afford a lawyer or bail spend months or even years waiting for their cases just to come to court. But Pistorius was released on bail with relaxed conditions, and his trial began little more than a year after Steenkamp's death on February 14, 2013.

Erfani-Ghadimi describes his progress through the legal system as "an anomaly" in terms of both speed and the expert resources dedicated to it.

"Other cases normally take much longer, and both the victims and the accused face the strong probability of a miscarriage of justice," she wrote in a piece published on The Conversation website.

However, when it comes to serving time in prison, the athlete's fame -- and the extra attention that goes with it -- could be a double-edged sword when it comes to getting special privileges, she told CNN.

"A lot of people are able to subvert (the system) and pay bribes and get away with things, but he hasn't been able to," she said. "But on the other hand he has been able to get advantages that other people haven't."

'Living here is very hard'

Some of these differences may be stark.

The Wits Justice Project has highlighted the case of paraplegic inmate Ronnie Fakude, held on remand for 28 months before being freed on bail earlier this year with an electronic tag, in a pilot monitoring project.

Before his release, he described his experience to Carolyn Raphaely, a senior journalist with the project.

"I'm a 50-year-old paraplegic and have been awaiting trial for more than two years since my arrest on fraud charges in December 2011. I can't walk, I can't control my bowel or bladder and have to wear disposable baby nappies which my family buy for me. I'm paralysed from level four and don't have a wheelchair," he said, according to the project.

"If I use my [crutches] I have to pull my legs and throw them to the front. That's how I walk. Living here is very hard. We are 88 men in this cell which is meant for 32. Sometimes there are more. Twelve people sleep in two bunks pushed together, that's six on the top and six on the bottom. I have my own bed on the bottom, which is a privilege. Luckily, I don't have to share because of my medical status.

"There are eight or 10 people with TB in this cell and four or five we know are HIV-positive. A guy with multi-drug resistant TB sleeps on top of me. I feel vulnerable all the time."

Erfani-Ghadimi argues that as a severely disabled man, Fakude should never have been in detention at all. And if she had her way, the same would be true for Pistorius.

Rise of 'cyberathletes' could change sport as we know it

@highlight

Oscar Pistorius is due to be sentenced for the negligent killing of Reeva Steenkamp

@highlight

This raises the prospect that the double amputee may be given a prison sentence

@highlight

South Africa's prisons are notorious for overcrowding and poor sanitation, activists say

@highlight

A paraplegic inmate told the Wits Justice Project of being detained in awful conditions