(CNN) -- As a teenager, Roger Pontz's eyesight began to fail. Doctors told him there was nothing they could do to save his vision and over the years his sight deteriorated until, by the age of 40, he was completely blind.

Pontz had been diagnosed with retinitis pigmentosa, a hereditary eye disease that damages the retina -- a layer of tissue at the back of the eye that converts light to nerve signals and sends them to the brain.

But he always believed that one day he would see again.

A few years ago he heard about a device called the Argus II. Known as the "bionic eye," it gave a glimmer of hope that some of his sight might be restored.

"At that time it was all experimental," recalls Pontz, "so I just kept waiting and kept waiting and thought someday it would happen, because you have to believe in yourself."

The Argus II system consists of a pair of glasses with a small video camera mounted on it, which captures images. A prosthesis no larger than a pencil eraser is surgically implanted on the surface of the retina and information from the camera is transmitted wirelessly to electrodes on the artificial retina, where it is converted to electrical pulses.

Any remaining cells that haven't been damaged by the eye disease are stimulated by the pulses, leading to a perception of light patterns in the brain.

It's a long way from perfect vision -- the users perceives simple flashes of light, no color or details -- but it can be enough to get around.

The Argus II has been used in Europe since 2011 in countries including Italy and Germany, but Pontz lives in Michigan, and the device wasn't approved by the U.S. Food and Drug Administration until last year.

On January 22, 2014 Pontz became the second person in the United States to get the implant. The surgery itself lasted around four hours but the recovery took a few weeks. When doctors at the Kellogg Eye Center, at the University of Michigan, finally activated the chip, they warned Pontz that he might not see anything right away, but in fact the effects were immediate.

He remembers: "They turned it back on and I'm sitting there and I'm thinking: there was a light flashing on the screen wasn't there? And they said, 'yeah.'

"I looked up and I said 'there's a light up there,' and I turned around and the three lights in the room, I pointed right at them."

The surgery was a success. It appeared Pontz would regain some vision with the help of the glasses and the implant, but it wouldn't be easy. After years of not processing visual information, it wasn't just Pontz's eyes that had to learn how to see again.

"You have to go through the process, kind of like learning a new language," says Kari Branham, genetic counselor at Kellog Eye Center. "You have to retrain your brain to see and understand those images that it's seeing."

So every week, Pontz and his wife drive to Ann Arbor for rehab, three hours there, and three hours back.

"They start out in the beginning really just teaching them what they're seeing," says Branham. "So, how do they understand what they're seeing? What's the difference when they see the lights and when they don't see the lights? How to interpret what a shadow is, what's a light? Then learn about interpreting lines and things like that."

Although seeing pulses of light may not sound like much, for Pontz it's so much more than he had before the procedure.

"It's been pretty awesome," he says. "I can tell when my grandson runs around the house, I can tell when people step in front of me, I can tell when my wife had on a white top versus dark bottoms, vice versa. I could follow my mom around on Easter; she had a light top on. Every day it's something small but something different."

There have been four such surgeries performed at Kellogg this year -- one of only two clinics in the United States currently doing the procedure, although 10 more are working to add the operation.

The American Academy of Ophthalmology notes that surgery like this does come with "potential complications" and this procedure still isn't available to the "mass public." But it also notes that for "someone who has no vision this is an outstanding breakthrough," even if the vision is still only "rudimentary."

With the progress of patients like Pontz, there is growing hope for the "bionic eye," and for a second chance at sight.

"I told my wife for years, 'I don't know when, what, or how, but I will see again," says Pontz. "You got to believe in yourself -- I always have. Someday, yes, I will see again. I didn't know how, where, when -- but it's happening now."

@highlight

An artificial retina is restoring partial vision in blind people

@highlight

The Argus II collects visual information using a video camera on a pair of glasses

@highlight

Roger Pontz is only the second person to get the implant in the United States

@highlight

"It's been pretty awesome," he says