(CNN) -- Every two seconds, somewhere across China a customer takes delivery of a new car -- part of a consumer buying blitz that will see China add 21 million new cars, trucks and buses to its fleet total in 2014.

Short of a catastrophic economic downturn, a government edict against new car ownership, or draconian traffic congestion charges, a continuation of that growth rate means China will likely have a bigger motor vehicle fleet than the United States by 2020.

Indeed, the combination of a low vehicle penetration rate -- only 85 vehicles for every 1,000 people in China, compared with more than 800 per 1,000 in the U.S. -- and the consumer aspirations of high-income, urbanized households across China almost guarantees it.

As many as five million of the 260 million-plus vehicles on Chinese roads in 2020 will be plug-in hybrids or battery electric vehicles, while others will use fuel cells. Many of the country's taxis, trucks and buses will run on compressed natural gas. There will be multiple fuel-saving aids and financial incentives.

Petroleum demand

But overwhelmingly, passenger cars will still run on gasoline and diesel fuel, which is why Chinese demand for petroleum is the key factor in the global energy outlook for 2014 and beyond.

China is already the world's biggest energy consumer and must import 60% of the crude oil it needs to meet its transport and refinery needs, as well as to fire some of its industries and power plants. Much of the estimated 10.5 to 11 million barrels of oil that China consumes every day comes from Saudi Arabia and other Middle Eastern suppliers, and many of the Middle Eastern crude carriers must pass through the Strait of Malacca "choke point" between Malaysia and Indonesia en route to China.

That logistical vulnerability troubles China. So while its transport sector's oil demand is growing, China is trying to lessen its reliance on oil for power by putting greater emphasis on coal, nuclear, natural gas and renewable sources such as solar, wind, biomass and hydro power. Already it has the world's largest installed base of wind power (76 gigawatt at the end of last year), and is the dominant producer of photovoltaic modules for the solar power industry.

Diversified energy supply

At home, China is pushing ahead with the search for and development of more domestic hydrocarbons, including unconventional resources such as shale gas, tight oil and coal-bed methane. At the same time, its focus on a diversified energy supply means it invests in and encourages oil and gas imports via pipelines from Central Asia, Russia and the new pipeline route from the Indian Ocean through Myanmar. Further afield, it is investing in North and South American oil and gas assets, from shale fields in western Canada to heavy crude in Venezuela's Orinoco Belt.

In the next few years, more liquefied natural gas (LNG) from Australia, Papua New Guinea, North America and Africa will enter the Chinese energy equation, along with Russian LNG from the remote Yamal Peninsula in northwest Siberia via the Northern Sea Route, the shorter but more hazardous shipping route that runs through Arctic waters to the Bering Strait and thence to the Pacific Ocean.

All of this means that China, and not the U.S., will be a key target market for the world's major oil exporters in future. China's oil import needs are growing, just as North America's are declining on the back of its shale gas bonanza over the past five years and the more recent emphasis on oil production in places such as North Dakota's Bakken field.

China already has eclipsed the U.S. as the top net oil importer. According to the U.S. Energy Information Administration (EIA), China's net oil imports in September were 6.3 million barrels a day, ahead of a net figure of 6.13 million barrels a day for the U.S. It said this trend was likely to continue in 2014.

Overall the U.S. will likely remain the world's biggest oil user in 2014, with the EIA expecting it to consume the equivalent of 18.7 million barrels a day. China's figure will be about 11 million barrels a day.

Auto love

But that order could change over the next decade, if China's love affair with the motor car continues unabated. Global passenger car sales next year will reach almost 75 million, according to a forecast earlier this month by the German Automotive Industry Association (VDA).

When trucks and buses are included, the total will likely reach 85 million. Between 23 and 24 million of those sales will occur in China, while the U.S. will account for about 16 million vehicles in 2014 and peak at 17 million in 2017. In contrast, Chinese demand may well grow to between 25 and 30 million vehicles a year later this decade.

Even though major Chinese cities such as Beijing, Shanghai and Guangzhou have begun to introduce vehicle-use restrictions to combat traffic congestion and pollution, analysts expect the consumer action will simply move to other less-crowded venues.

Already, leading global carmakers like VW, GM, Hyundai, Toyota and their Chinese joint venture partners are targeting second, third and fourth-tier cities where the car ownership growth opportunities may be greatest.

In a study last year, management firm McKinsey said that apart from government restrictions and a growing used-car market, other factors that could impact on China's new car sales over the next decade include industry consolidation, improved public transport options and the growth of car-sharing and car rental businesses. At the same time, McKinsey said more Chinese buyers were looking for bigger, better and more expensive vehicles such as sports utility vehicles.

That will ensure China becomes the biggest player in the global energy-for-transport sector. It will also be the world's biggest user of electric vehicles and a potential pioneer of fuel cells.

In contrast to the Chinese experience, car and light truck fuel use is declining sharply in the U.S. A combination of fuel efficiency and changes to driving behavior means there will likely be a 25% drop in light-duty vehicle energy consumption between now and 2040, the EIA said in its 2014 annual energy outlook released on December 16.

@highlight

Analysis: China's "love affair" with motor vehicles drives demand for oil

@highlight

60% of crude oil is imported to meet transport and refinery needs

@highlight

China to become key target for world's major oil exporters in the future