Hong Kong (CNN)With an unrestricted, panoramic night view of the city's twinkling skyline and the breezy air right outside the front door, a 15th floor penthouse apartment ticks all the boxes for a million-dollar property in the heart of Hong Kong.

But there's a catch.

Fung, 59, who prefers not to divulge his full name, lives in an illegal rooftop slum -- a 75-square-feet shack just big enough to host a bed, a cupboard, and everyday knick-knacks thrown pell-mell in the dusty room. The rent costs  $1,700 Hong Kong dollars (US$220) a month.

Local authorities have been taping eviction notices on his front door for the past month, saying that he has to move out. But with high property prices and hundreds of thousands waiting for public housing in Hong Kong, Fung, has no other places to go.

"I won't accept the relocation settlement scheme -- it's only a few thousand Hong Kong dollars. Where am I going to live? The rent is a lot cheaper here," he says as he crumples the latest notice.

The authorities offer a relocation settlement for rooftop residents, to Fung -- it is too meager. Most people in his position don't have a stable income to start again elsewhere.

The rooftop slums in Hong Kong expose one of the most bewildering facets of Asia's self-described "world city." Majestic skyscrapers loom over peeling, overcrowded apartment blocks with their unofficial rooftop extensions.

Clearing out

Constructed on top of buildings since the 1950s and 60s without government approval, these makeshift communities clutter the rooftops in old working-class neighborhoods such as Kowloon. Corrugated metal sheets roughly cover concrete-walled shacks.  And they've provided vital accommodations for low-income people such as migrants from mainland China and Southeast Asia for more than half a century.

According to the latest figures from Hong Kong's Census and Statistics Department, there were 3,747 rooftop dwellers in 1,588 households in 2011. This is a dramatic drop from 2001 when more than 16,000 people lived illegally in these sky slums.

The decrease marks a trend where tenement buildings -- under constant pressure due to the shortage of land in Hong Kong -- are torn down to pave way for brand new shopping and residential developments.

READ MORE: Life inside the densest place on earth: Remembering Kowloon Walled City

Limited space

Fung lives in one of Hong Kong's poorest and most densely populated districts, Kwun Tong, where 57,120 people live per square kilometer, according to the Census and Statistics Department.

Atop an industrial building that houses textile and publishing companies, Fung and around 40 other residents navigate their way through dark and haphazardly boarded walkways, occasionally lit up by an overhanging light bulb, or the glowing screen of a smartphone.

Tangled electric wires that also double as laundry lines, criss-cross from one end of the roof to the other. An open square lies in the middle, scattered with pieces of unwanted furniture, flower boxes and kids' toys, which strangely bring color and cheer to the crowded space.

Fung works mostly in the construction sector and earns around $8,000 Hong Kong dollars (US$1,000) a month, barely enough to take care of his 10-year-old daughter and to cover the rent.

"I used to own property in Shenzhen, but I moved back to Hong Kong four years ago so my daughter can have a better education here," Fung said, as his neighbors trickled out to join the conversation.

They have all received the same warning from the government. Some have lived on this rooftop for more than 10 years and see no alternative but to stay. The rooftop dwellers are willing to open the doors to their humble homes but will only talk off the record -- in fear of being resettled to remote satellite towns, where there may be few opportunities and limited social networks.

A few buildings away from where Fung lives, Joyce Ngan Chau Yee, who is a student at the University of Hong Kong School of Professional and Continuing Education, says she prefers to live in the rooftop huts. She lives with her single mother and brother in a 236-square-feet flat.

"The space here is a lot bigger than the subdivided flats. It was a little bit uncomfortable at first with all the rats and the cockroaches, but we learn to adapt," the 21-year-old says.

"The only thing is that it gets really hot during the summer."

The rooftop slums in the neighborhood are unofficially rented out by the building's top floor owners who want to earn some cash on the side, according to Fung. For Ngan's mother, she says she has no idea who she's been paying her rent to for the past three years.

"I just put the money in an envelope that comes every month on time and that is it," says Sze Suk Pui.

Widening wealth gap

The housing crunch highlights the widening economic divide for the city of seven million residents.

"The reality is that a part of Hong Kong society's income is not increasing, while the rich are getting richer," says economist Richard Wong Yue Chim.

Forbes magazine last year registered 45 billionaires in Hong Kong with a combined wealth of US$214 billion -- almost 80% of Hong Kong's GDP in 2013. In contrast, there are 400,000 households living under the poverty line, which is set at $14,300 Hong Kong dollars (US$1,800) for a house of four.

A survey published in early 2014 by Demographia International Housing Affordability revealed that Hong Kong's property market has become the world's most expensive, with the median housing price reaching $4,024,000 Hong Kong dollars, or US$519,216.

The hike in property prices signifies a thriving economy in Hong Kong, and construction jobs have been on the rise to meet the housing demand. They provide increasing job opportunities for people like Fung who work in the sector, but their financial struggles suggest that little of the money generated from the construction boom trickles down into their pockets.

READ MORE: Hong Kong's housing at its worst

With inflating property prices, and an ever widening income gap, what future lies in store for these rooftop dwellers?

"Of course I don't want to live here forever," says Ngan, pausing to speak during her homework. "I hope we can move into public housing after living here for seven years, but the wait will be long."

When construction worker Fung was asked about his future plans after his imminent eviction, he just chuckled.

"I'll think about that when they really come and tear this down. If I can live here for one more day, I'll continue to stay here." he says.

READ MORE: Hong Kong's poorest living in 'coffin homes'

@highlight

Hong Kong's illegal rooftop slums boast one of the best cityscape views

@highlight

High property prices and widening income gap force residents to live in rooftop slums

@highlight

Government estimates almost 4,000 rooftop dwellers, a drastic drop from 16,000 since 2001