Hermiston, Oregon (CNN) -- In war, one family's story echoes the pain of another. I was reminded of that while watching Larry King interview Pat Tillman's parents last week.

Spc. Pat Tillman, who forfeited a multimillion-dollar football contract to serve his country, died in Afghanistan in 2004.

Many may consider this couple's relentless pursuit for truth futile -- it won't resurrect their son -- but I understand it. It took me eight years to discover what really happened the day my father died in Vietnam's Ia Drang Valley.

They say the man who killed my father went nuts. I don't know if that's true or not -- he was dead by the time I got around to looking for him. I wonder sometimes if he took his own life. I could find that out easily enough if I really wanted to know, but I don't.

The men who were there in 1966 know how hard Sgt. C. took it. He and Daddy were good buddies. Our families often gathered for weekend barbecues and fishing along on Oahu's North Shore before the 25th Infantry, stationed there, shipped out.

They say that Sgt. C. drank too much. There's some that say his drinking is the cause of the fratricide -- that's what the Army calls it when one of your buddies kills you.

After Daddy died, Sgt. C. sent Mama a rambling letter about how he wished he could marry her. That's the sort of crazy thing a fellow says when he's talking out of his head. The sentiment doesn't offend me. It shows me how much heart he had, sober or not.

When his widow learned that I was writing a book about what happened to my father, she hired a lawyer, who sent me a snarky letter by certified mail. The widow threatened a lawsuit if I quoted from her husband's letter. She didn't have any legal grounds to stand on: You can't slander a dead man. I could tell you his name and quote from the letter if I wanted, but hurting others has never been the point.

They say when Sgt. C. returned from Vietnam he didn't go home to Alabama. Instead he went to a head hospital in Texas. They say he spent months there, trying to forget everything he remembered. How that blast from Sgt. C's 105-howitzer pushed my father's guts straight out into Daddy's hands. Sgt. C likely overheard, the way others there that day did, my father pleading with the young doctor, "Please don't let me die."

These things happen in war, everyone says so, even Mama. She didn't really understand why I needed to know the truth: "It won't bring your father back," she warned. I wasn't trying to bring Daddy back -- I was trying make sense of a world gone mad.

I didn't know when I started my search that my father was killed by his buddy. I wasn't aware that there were two official Army reports -- the first one the truth and the second one a lie meant to protect Sgt. C. and, if you believe military officials (and I don't), to "protect the family."

Pat Tillman's family doesn't feel protected. They feel betrayed. His parents are in the news again, telling us, this time in a documentary, what they've been telling us for the last six years: That their son was killed by men in his own platoon and that the military knowingly and willingly participated in covering up the truth to protect, not the family, but their own sorry asses. (Excuse my potty mouth but there are times when behinney is the inappropriate word).

All this reminds me of a quote I read: "The central defect of evil is not the sin but the refusal to acknowledge it" (Dr. M. Scott Peck, "People of the Lie").

The military only needs to practice the integrity they preach. Instead they do the blame-shift thing. In an interview with ESPN's Mike Fish, the Army officer who directed the first inquiry, Lt. Col. Ralph Kauzlarich, admitted officials knew which shooter killed Tillman but he saw no value in going there.

"I don't think it really matters," Kauzlarich said.

The point, he said, isn't who really killed Tillman but rather his parents' lack of faith:

"There [have] been numerous unfortunate cases of fratricide and the parents have basically said, 'OK, it was an unfortunate accident.' And they let it go. These people have a hard time letting it go. It may be because of their religious beliefs."

He went on to say:

"When you die, I mean, there is supposedly a better life, right? Well, if you are an atheist and you don't believe in anything, if you die, what is there to go to? Nothing. You are worm dirt. So for their son to die for nothing, and now he is no more -- that is pretty hard to get your head around that."

You may recall that at Pat Tillman's funeral, his younger brother Rich chided the crowd for their false piety:

"Pat's not with God. He's f***ing dead. He's not religious. So, thanks for your thoughts but he's f***ing dead."

It's painful to see a brother come undone that way, in front of God and everybody. But given the propensity we Americans have to manipulate God for our own patriotic, and particularly militaristic purposes, I appreciate the pain that propels the Tillman family.

Kauzlrich ought to take a lesson from the General in Isak Dinesen's tale, "Babette's Feast":

"Man, in his weakness and shortsightedness believes he must make choices in this life. He trembles at the risks he takes. We do know fear. But no. Our choice is of no importance. There comes a time when our eyes are opened and we come to realize that mercy is infinite. We need only await it with confidence and receive it with gratitude. Mercy imposes no conditions. And lo! Everything we have chosen has been granted to us. And everything we rejected has also been granted. Yes, we even get back what we rejected. For mercy and truth have met together, and righteousness and bliss shall kiss one another."

If Lt. Col. Kauzlrich, and others charged with handling the Tillman investigation, had only been as relentless in their pursuit of truth as they were in covering it up, it would have been a grace to the Tillman family.

A grace that may have helped them make sense of a world gone mad.

A grace that surely would have enabled them to put their son rest and perhaps, restore to them, in some small measure, a glimpse of the God of mercy and truth.

The opinions expressed in this commentary are solely those of Karen Spears Zacharias.

@highlight

Karen Spears Zacharias said she relates to Tillman parents, who spoke with Larry King

@highlight

Her father was killed by a fellow soldier in Vietnam, she says

@highlight

Military should have put its energy into finding the truth about Tillman's death, she says

@highlight

Zacharias: Truth would have allowed Tillman's parents to put their son to rest