(CNN) -- Would you buy a secondhand car from Li Tian You? You probably don't have a choice. For more than 10 years, she has been selling used cars in Dongguan, a factory town in southern China, and she knows every trick in the book.

"I've already sold four cars today. No, five," she says as she guides us through the Dongguan Used Cars Trading Center, which mainly sells Western and Japanese cars.

Now, she is looking to score her sixth sale of the day.

"This Volkswagen is very good," she says as she opens the door to a 2006 Jetta Sedan, starts the engine and offers me a seat. Loud Chinese pop music starts pumping from the sound system.

"It has only had one previous owner," she continues, "And that was me. So I know it's a good buy. I promise."

Asked about the price, she immediately shaves off 15% -- just for me -- to RMB 68,000 ($10,900), and continues the pitch.

"Volkswagen is very safe. This is the best car if you have a family."

"But if you want to find a new girlfriend, you buy a Mercedes-Benz," she says with a wink.

In with the old

It's not only at Dongguan Used Cars Trading Center that business is booming. All across the country small and big car markets are popping up in response to the growing demand.

Secondhand cars used to be a hard sell in China as owning one is associated with settling for less. But things are rapidly changing as drivers realize they can get a decent car for a reasonable price when they buy secondhand.

Last year, the number of used cars in China increased by 8.6% to 5.2 million units, while the turnover grew 10.6% to RMB 291 billion, according to the China Automotive Distribution Industry And Automotive Aftermarket Report.

There's plenty of room for further growth. Today, used vehicles make up only 19.1% of total car sales volume in China, compared with 72.4% in the United States.

Nasdaq-listed China Auto Logistics, which buys and sells imported cars, has identified used cars as a market with long-term growth potential. It is transforming a newly acquired 26,000-square-meter auto mall in Tianjin into a flagship site for its used car business.

"Used cars sales have become a much bigger slice of the auto sales pie in China, and we see a major opportunity for Car King Tianjin in the years ahead," said CEO Tong Shiping in a statement this month referring to China Auto Logistics' used car flagship store.

A used car salesman

Liu Xiao Mei, CEO of Antong Used Cars in Dongguan, says business has been good over the last decade as Chinese drivers increasingly upgrade to new cars and sell their old ones.

"When we started the company in 2004, it was just a very small shop. But it has grown bigger and bigger. Things look bright," says Liu.

Her company focuses on high-end used cars and has more than 100 vehicles gleaming in the parking lot. Today, she has an unbelievable offer, an almost brand new Mercedes-Benz E260 that has only run 100 kilometers, for no more than RMB 438,000.

"The former owner lost all his money at the casino in Macau and had to sell it. He never had the chance to drive it," she says and slashes the price by another RMB 18,000 in the hopes that I will buy it.

"What makes our company different from all others is that we promise that our customers get the perfect car," she says. "Shall we step into my office?"

It's hard to cast aside stereotypes of used car salespeople having a loose relationship with the truth. During our quest to buy a used car in China, we found that the market is quite opaque.

First, it's extremely fragmented. Some used car markets are as big as football stadiums, packed with countless dealers and brands of varying quality. But more commonly, shops are tiny, with just a few cars parked by the side of the road.

Often there are no staff manning the shops. Customers must call a phone number and normally -- but not always -- a salesperson comes running.

Since the market is young, price comparison is difficult. A number of peer-to-peer mobile apps and websites have been launched to serve as a benchmark for pricing, but finding accurate and consistent information is still a problem, which makes it easier for dealers to push their margins.

Safety first

A bigger concern though is that a large share of the used cars on offer have a road accident record. The first thing many car dealers in Dongguan say to costumers is "this car has not been in an accident" or "this one has been in an accident but is totally safe now."

Vincent Yin, a 30-year-old businessman from Dongguan who is having his car valued at Antong Used Cars, says that buying used cars in China is a gamble.

"Many of the cars are of very bad quality. Old cars sometimes get a superficial facelift with new paint to hide rust and scratches. How they look on the inside is difficult to know. I never trust a car dealer."

Yin is particularly wary of cars that were made by Chinese brands as they have a reputation for being unsafe.

"I believe Chinese cars often don't pass the NCAP test. Chinese car manufacturers hate this test," says Yin, referring to the New Car Assessment Program, the European car safety crash test.

The first time a Chinese car earned the full five stars in the test was in late 2013. It was a Qoros 3 compact sedan.

Yin's advice to anyone buying a used car is to visit the markets, check prices online, and ignore the salespeople.

"If you have friends in the police force, ask them to check up the car's accident report. Then you give the dealer an offer," he says.

@highlight

Last year, the number of used cars in China increased by 8.6% to 5.2 million units

@highlight

Used vehicles make up only 19.1% of total car sales in China, compared with 72.4% in the U.S.

@highlight

The Chinese used car market is opaque, with smooth-talking salespeople and a wide price range

@highlight

Local driver warns against safety issues with used cars