Washington (CNN) -- U.S. Park Police began enforcing a ban Monday on camping in two Washington parks, with Occupy protesters at one site defiantly huddling under a large blue tarp that they dubbed the "tent of dreams."

No one had been arrested as of early Monday afternoon at McPherson Park or Freedom Plaza, Park Police spokesman Sgt. David Schlosser said at an impromptu news conference frequently interrupted by protesters. But some protesters had voluntarily agreed to remove sleeping bags, pillows and housekeeping supplies, he said.

On Friday, the National Park Service set a noon Monday deadline for protesters who have occupied the parks for months to remove their camping gear. Park officials said protesters would be allowed to remain around the clock and keep up tents, so long as one side of each tent remains open at all times, officials said.

Georgia resident Dane Charles Primerano filed a complaint and motion for a temporary restraining order in U.S. District Court in Washington on Monday claiming that "the term 'camping' is defined over-broadly."

Acting as his own attorney, he argued that sleeping in the park "is unavoidable for destitute participants in a long-term political assembly," adding that calling it camping "implicitly and wrongly (suggests) that the behavior is somehow trivial, frivolous or optional."

"This is not about 'camping,'" Primerano wrote. "It is about preserving political discourse, a good more sacred than any warrior's statue, and infinitely more fragile than the park's Bermuda grass."

The threat of arrest didn't deter many in the Occupy DC movement.

On its official Twitter feed, the group claimed Monday evening that 50 to 75 protesters were on site -- including a "bunch of new occupiers."

"I'm going to do the best I can to stay here," said Emily Margaret, who has been staying at the McPherson Park camp. "If they want to arrest me, they can."

John Zangas said many fellow protesters have removed prohibited gear from McPherson Park, but others have moved in and deliberately set up camp to challenge police.

As Monday's noon deadline passed, protesters pulled the tarp over a statue of the park's namesake, Civil War Gen. James B. McPherson, to create what they called a "tent of dreams."

"Let us sleep so we can dream," they chanted.

Protesters have been camping in McPherson Park since October to rally against what they consider to be corporate greed and financial abuses.

Protesters "glitter-bomb" senator outside D.C. gala

Occupy DC said in a statement posted on its website Sunday that members "will defend the public space we have used as our center for activism," calling possible arrests of protesters a "politically motivated attempt to suppress the free speech of the disenfranchised 99%."

Pastor Brian Merritt of Washington's Palisades Community Church said area churches have discussed helping house some of the protesters overnight so that they could continue a 24-hour vigil if park police began enforcing the rules against overnight encampments.

Whatever happens with the camps and police, Caty McClure said it would not alter her and fellow demonstrators' commitment to their cause or their activism.

"The park and the occupation of the park is a tactic. It's not the movement," she said, calling the camps "a really important symbolic statement."

"If we can't sleep here, that does not end the movement," McClure said.

One man was arrested Sunday after he allegedly went from tent to tent, removing notices from the Park Service. A video posted online showed the man walking away from police as officers tried to grab him. One officer used a Taser on the man, who fell to the ground and was handcuffed.

Schlosser said Monday that the incident was under review.

The Progressive Change Campaign Committee's website indicated that more than 15,000 people had signed an online petition criticizing the incident and calling on the Park Service to "stop buckling to political pressure and to respect free speech on federal land."

White House spokesman Jay Carney mentioned the general situation unfolding at the two parks, both blocks from the White House, in his daily press briefing Monday.

"Our position has been and continues to be that we need to balance First Amendment concerns of the right to demonstrate, the right to speak freely, with public safety concerns and public health concerns," he said. "And we understand that local law enforcement as well as, in this case, the National Park Service and U.S. Park Police are weighing those considerations when they make these decisions. And that's appropriate."

Until now, Occupy protesters have been allowed to remain under a Park Service interpretation that considered the activity a "24-hour vigil."

Two weeks ago, National Park Service Director Jonathan Jarvis said he saw no reason to move against the encampments.

"I think if there's any place in this country, Washington, D.C., is the place where we need to be the most tolerant of individuals that are exercising their First Amendment activities," he said.

California Republican Rep. Darrell Issa disagreed, saying Jarvis was "completely out of line."

"It is not his job to interpret the Constitution over law," Issa said.

Issa, who last month wrote a letter to U.S. Interior Secretary Ken Salazar citing damage to part of a $400,000 renovation of McPherson Square, continued his criticism at a House hearing last week and came away unsatisfied with the Park Service's answers.

Occupy DC is part of a larger activist surge that began last year in New York and quickly spread. While the protesters have highlighted a number of causes, the overarching theme has remained largely the same: populist anger over what activists portray as an out-of-touch corporate, financial and political elite.

Occupy protesters in the nation's capital aren't the only ones who have found themselves at odds with authorities in recent days.

Violent clashes, for instance, erupted last weekend in Oakland, California. Protesters trying to take-over a vacant convention center threw rocks, bottles and other objects Saturday afternoon at police, who responded with bean-bag rounds, tear gas and smoke grenades. Afterward, the activists criticized police as being heavy-handed, with police and city officials said the protesters instigated the violence.

The Oakland demonstrators later got into a downtown YMCA and, eventually, City Hall. Once there, police said that protesters painted graffiti on walls, took down and burned an American flag and committed other acts of vandalism.

Oakland police Chief Howard Jordan later said about 400 demonstrators were arrested. He said three police officers and two protesters were confirmed injured, though the Occupy Oakland forces on Twitter claimed that many more members of their ranks got hurt.

City Hall reopened Monday after an extensive clean-up effort.

Also on Monday, protesters in Charlotte, North Carolina, were given an afternoon deadline to remove tents from the site of the old city hall, CNN affiliate WCNC reported.

Afternoon video from the scene showed police taking down and carrying off several tents, and at least one protester was seen being carried away by authorities.

"We're doing the right thing, peacefully and quietly," protester Malachi Vinson told WCNC. "We're expressing ourselves in a better way than anyone else would."

CNN's Ed Payne, Athena Jones, Joe Sutton, Courtney Battle, Paul Courson, Brian Todd and Dugald McConnell contributed to this report.

@highlight

NEW: A DC protester goes to court saying the eviction of "destitute participants" is unfair

@highlight

NEW: Occupy DC says 50-75 protesters are on site, including a "bunch of new occupiers"

@highlight

NEW: Video shows police making arrests and taking down tents in Charlotte

@highlight

Over the weekend, protesters and police also clashed in Oakland, California