Those trying to draw conclusions from the information trickling from the investigation into the disappearance of Malaysia Airlines Flight 370 should go carefully.

It is plausible that, as Malaysia's Prime Minister asserted, the plane's flying for hours after losing contact with air traffic control was "consistent with deliberate action," but it's not the only logical explanation of the airplane's bewildering trajectory.

Statements that the Aircraft Communications Addressing and Reporting System was intentionally disabled, for example, leave out the fact that the ACARS is required to send the satellite contact requests (so-called "handshakes") that, according to news reports, were reported to have occurred for hours after the flight's disappearance.

The plane has multiple functions and channels connected to the ACARS and at least some of it must have still been working.

For example, one part of this communications system is used for messages between the airplane and air traffic control (clearances, position reports, etc). Another is used to communicate, essentially with text messages, between the airplane and the airline. Messages can also be sent automatically for maintenance functions such as reporting faults and sending routine engine data. The range of functions that would have been available for someone to disable is not yet clear.

And at least one news report described altitude excursions between 45,000 feet and 23,000, which one pilot suggested might have been done willfully to render passengers unconscious. But this strikes me as behavior that would also be consistent with the airplane flying completely unattended with the autopilot off. Though these oscillations are larger than I might expect, it would be a natural behavior for the airplane to fly relatively large but gentle pitch oscillations.

This would be true especially if the airplane's auto-throttles were also for some reason disabled. There have been statements made that such changes could only be made by a skilled aviator, but what "skilled aviator" cannot hold altitude within 20,000 feet?

Incapacitation or something else that could prevent the crew from controlling the plane -- fire, collision, explosive depressurization -- could also be indicated, which wouldn't necessarily mean the cockpit was breached by anyone.

The airplane reportedly made "suspicious turns." However, it is the nature of those turns that will reveal if it was deliberate "heading" (directional) changes or if nobody was flying the airplane at all. If the autopilot was off and the airplane was essentially flying on its own, I would expect a variety of heading changes. These changes could be initiated by turbulence during flight.

If the airplane's routes were controlled intentionally by selecting the heading or by programming the flight management computer, the flight path would be very straight, then a turn that would last usually from 10 to 30 seconds, followed by more straight flight.

While a close-up analysis of the flight path would be required to determine the case, it seems that officials are not even sure if the flight path headed northwest toward Pakistan or southwest into the vast Indian Ocean.

On the technical side, the Boeing 777-200ER is a fly-by-wire airplane -- that is, movement of the controls is converted into electrical signals that interact with flight-control computers and instruct the plane's control surfaces on the wings and tail. Its characteristics may be able to explain much of the airplane's behavior.

With the autopilot off, the airplane will adjust the pitch (the up or down movement of the nose of the plane) to maintain a speed set by the pilot. It will pitch up if it's going faster than the desired speed and pitch down if slower. This is called pitch trim. Anyone who has flown even a small aircraft will be familiar with this concept. Therefore, when disturbed, it will fly a series of pitch changes as it settles down on the trimmed airspeed.

Pitch protections built into the system ensure that the airplane never goes too fast or too slow. Temporary input on the control wheel, or changes in the airplane's weight as it burns off fuel, temperature and other normal atmospheric changes along the course can initiate the altitude changes as the airplane continues to seek its trimmed speed.

Heading changes are also what I would expect to see in an autopilot-off situation. The 777's fly-by-wire roll control law controls the tilt of the wings. The airplane would be subject to atmospheric disturbances that could act to tip a wing up every now and then, but built-in protections prevent the plane from exceeding bank angles in excess of 35°. While a conventional airplane would tend to spiral down in that situation, the 777 incorporates automatic pitch compensation, so the airplane could easily hold its altitude in these turns.

The fly-by-wire control system on the 777 makes it a very stable airplane, capable of flying for hours with the autopilot off without crashing.

If the flight path can be shown to be very straight lines with neat turns followed by another straight line, then I would throw out the "autopilot-off" theory, but it seems as though officials can't even determine where the plane was heading, much less the nature and cause of some heading changes.

The consistent theme in the mystery of this flight has been very little data, and the exact nature of that scant data is vague and changing.

Whatever exact scenario can account for the possible incapacitation or deliberate actions of the crew, the loss of the transponder and other communications and the airplane's mysterious flight path is likely to be a situation we have not seen before.

I would urge that we not jump to conclusions based on inconclusive evidence. The evidence we have may be "consistent with deliberate acts," but it is also consistent with other explanations as well.

@highlight

Bill Palmer: Deliberate acts are not the only possibility in disappearance of Malaysia flight

@highlight

He says it's not clear what systems, such as ACARS, were turned off and when

@highlight

Palmer: Descent reported might be from 777 adjusting to no autopilot, not deliberate act

@highlight

Palmer: Much of 777 behavior could be from built-in systems reacting; guessing inadequate