(CNN) -- Assessment tests seem to be everywhere, measuring everything from intelligence to personality, ability, leadership potential -- you name it, they test it. But, how effective are these tests really at predicting job success?

"It's a bit like rolling a dice, but if done right it's better than nothing," says Robert Bacal, author of Performance Management. "This is an industry worth hundreds of millions of dollars, and not all these tests are equally good. The best way to gauge the result is to watch carefully what happens with your hires."

That's what they've been doing at A.P. Moller - Maersk, the world's largest shipping company, for nearly four decades. The company has been using and developing their own intelligence test, the content of which is considered so valuable a trade secret that it is done only in-house and on paper.

Maria Pejter, senior director of group human resources, says the test helps minimize the uncertainty of the recruitment process. One key part of the test is analyzing intellect. "Internal tests and academia tell us that all things being equal, the more intelligent you are the more likelihood there is that you will perform. In this case, smarter is better," she says.

With more than 100,000 employees in 130 countries and tens of thousands of applications annually, it's also a purely practical approach - and one she says keeps paying off. "I can go fishing in our pool of talent, knowing that any of our recruits have the cognitive ability to rise through the ranks."

Maersk's findings are in line with what most experts say -- that intelligence tests are fairly good at predicting people's performance across a range of jobs. But, they also agree that they are not the only answer.

Robert P. Gandossy, one of the world's foremost experts on developing talent and leadership, and author of several books on the subject, says IQ tests can be notoriously problematic - especially when identifying leadership ability.

"Would having an IQ score a few points higher predict greater leadership potential? There is no evidence to support that claim," he says. Personality profiling can help give you insights into someone's leadership style, how they will interact with others, and where improvement might be needed.

Pejter agrees, saying Maersk's success has in part been due to combining their intelligence test with a personality test.

"What we see is that any given personality trait may express itself quite differently. An assertive American and an assertive Japanese may express themselves differently, but their performances are equally valuable. By using a test we can avoid the bias that come with certain judgments and expectations, and because we hire people from all over the world that is important."

Most experts agree a proper combination of tests can supply you a greater understanding of how to motivate employees, fit them in the right jobs, and enhance their performance -- saving potentially millions of dollars in wrong hires and absenteeism.

They also agree that the road to successful employee assessment is full of problems and potentially costly pitfalls. To get it right demands serious attention and commitment.

John Arnold, chartered occupational psychologist at the Institute of work psychology, University of Sheffield, says not all personality tests are created equal. "Check whether the test has been shown in other organizations to predict performance -- in the same type of job you are trying to fill."

Then, make sure the test takes into account the skills and personalities the job requires. That means doing a proper job analysis before you begin. "Don't just base it on the style of people doing it now," he says, "but on what the job truly requires."

"Remember that jobs have personalities too", says Robin Wood, president of Predictive Index (PI), Europe, who are behind the personality test Maersk uses. "The demands of a bookkeeper in Japan would be broadly similar to that of a bookkeeper in Argentina - and the personality you are looking for in that case is someone who is conscientious, detail oriented, trustworthy and likes to work within a strong set of guidelines or and rules." On the other hand, he adds, the job of a country president has a personality too. "It needs a person that can take overview, make decisions, manage risk, deal with complexity, motivate and mobilize people to achieve goals."

Make sure you balance any type of assessment against other information like performance, observation, and feedback such as references - because they don't always tell the whole story. "Within limits, most of us can operate very effectively in ways that are not within our preferred personality," says Arnold, noting that an extrovert can be perfectly capable of behaving calmly when appropriate.

Also, remember that no test is foolproof. "Experiments have shown that people can effectively fake personality tests when they want to," says Arnold. He says they may guess what an employer wants in order to get the job - a bad idea that can land both employee and employer in a bad situation.

Ultimately, most experts agree that careful selection can pay off -- but only if done right. With decades of practical experience behind them, even Maersk knows there are no guarantees when predicting behavior. "It's a game of probability," says Pejter.

@highlight

Assessment tests are everywhere -- measuring everything from intelligence to leadership potential

@highlight

Some companies -- like shipping giant Maersk -- say their tests help deliver a strong workforce

@highlight

However, some people still question how well such tests can work