(CNN) -- Growing up in rural northeast Pennsylvania, the Philadelphia of my childhood was like the Moscow of Chekhov's "Three Sisters" -- the promised land, an emergency exit from my semi-provincial life in Wilkes-Barre.

During school trips to see the Liberty Bell or Constitution Hall or the art museum, Philadelphia unfolded like a weird and wonderful tapestry of U.S. history, spanning the colonial era through the post-industrial age.

This is the city that gave us Benjamin Franklin, Margaret Mead and Noam Chomsky. It's a town unashamed of the working-class grit that bleeds through the cracked sidewalks of every neighborhood, from Germantown to South Philly to Mantua.

People who move to Philly find a je ne sais quoi that's mostly alien to those used to the cloistered wealth of every other coastal city besides Baltimore. It's a city of doers, of hustlers; from the manic suit racing past the glass-and-granite facades of the financial district to the guy scrapping up and down Broad Street with a cart of bootleg DVDs.

City Smackdown: Explore Detroit beyond the headlines

It's also dirty, noisy and people there are gruff as hell (in an endearing way!). There is a reason why the show isn't called "It's Always Sunny in Boston."

I moved to Philly for two years after high school, and the short time I spent there was enough to leave an indelible mark on my memory. I make a point to go back whenever the opportunity presents itself.

Sooner or later, like an earworm, the city burrows its way inside your brain and lays eggs: Your first bite of an authentic Philly cheesesteak. An afternoon walk across the sun-dappled grasses of Fairmount Park. Frolicking in the fountain at Logan Square. Tailgating at Lincoln Field before an Eagles game.

Destination USA: Passion for Portland triumphs

One day, you look down the Ben Franklin Parkway from the top of the art museum steps, and it hits you: The glittering spires of downtown are more than just skyscrapers. They're almost an act of rebellion, a defiant kiss-off to the collapse of industry that devastated the rest of Pennsylvania and saw the population of Philly shrink by a quarter.

Philly is so, so much more than the sum of its touristy trappings. It's a city of stories, a journalist's dream. I've played chess in Rittenhouse Square with grizzled old men who regaled me with tales of how mobsters and rum-runners ruled the streets during the Great Depression. I've chatted up the ex-communist who ran a newsstand on Spring Garden and told me stories of Philly's bygone days as a hotbed of revolutionary-socialist activism.

The neat, orderly checkerboard arrangement of the city's streets only belies the turmoil and raw action bubbling underneath the surface.

Philadelphia is called the "city of brotherly love," but that's a little bit misleading. The city's spirit of fraternal camaraderie springs from its long-running status as a place for cast-offs, misfits and folks who didn't (or couldn't) fit in anywhere else. Philly chose us as much as we chose it.

NYC vs. L.A.: And the winner is ...

The Pennsylvania State House was the epicenter of America's revolt from British rule. At the dawn of the 19th century, the city was the temporary U.S. capital while Washington was being built. Irish immigrants fled their homeland by the thousands during the Great Famine, and Philadelphia was one of their main ports of call. Freed African-American slaves on the Great Migration out of the post-Confederate South increased Philly's black population sevenfold in the space of a few years.

And today, it's a hub for thinkers, artists and weirdos of every stripe, thanks to the comparatively low cost of living (especially in the long shadow cast by New York), and the city's status as a hub for financial services and information technology.

Philadelphia is, putting it mildly, the ultimate underdog city: Part Rocky, part Will Smith, all heart. If you ever have the pleasure of visiting, see the Italian Market and cruise the banks of Schuylkill River on Kelly Drive, for sure. But take some time just to walk and observe and listen.

You won't want for entertainment in Philadelphia -- it's all around you.

Check back on Thursday for an ode to Detroit. Which city gets your vote? Show your support in the poll above, then visit iReport to share your tips and photos for Philadelphia and Detroit.

@highlight

As part of our Destination USA series, we pit rival cities and let you vote which is best

@highlight

The final city smackdown is a battle of the underdogs: Philadelphia vs. Detroit

@highlight

Michael Saba explains why Philly is "more than the sum of its touristy trappings"

@highlight

Fight for your city! Show us why you think Detroit or Philadelphia is better on CNN iReport