(CNN) -- President Barack Obama and Mitt Romney battled over Medicare and energy policy Tuesday as the November election campaign reached out to battleground states crucial to both sides' chances for victory.

In an escalating struggle to seize the advantage on the contentious Medicare issue, the Romney campaign counterpunched with a new ad accusing Obama of cutting more than $700 billion from the government-run health care plan for senior citizens.

Romney made the same claim at two Ohio campaign appearances, three days after his selection of House Budget Chairman Paul Ryan brought the issue to the forefront of the campaign spotlight.

Ryan is best-known for a conservative budget plan passed by the U.S. House that includes reforms to partially privatize Medicare, which Democrats say will kill the popular entitlement program.

To counter consistent Democratic attacks in recent days against Ryan's Medicare proposals, the new Romney ad sought to turn the tables by contending the money senior citizens have paid into Medicare for years will instead fund Obama's 2010 health care reform bill.

At a campaign event Tuesday in Ohio, Romney beat the same drum.

Follow along on the CNN electoral map

"When he ran for office he said he'd protect Medicare, but did you know that he has taken $716 billion out of the Medicare trust fund -- he's raided that trust fund -- and you know what he did with it?" Romney said of Obama. "He's used it to pay for Obamacare -- a risky, unproven, federal government takeover of health care -- and if I'm president of the United States we're putting the $716 billion back."

A July 24 Congressional Budget Office report said that repealing the health care law, as called for by Romney and Ryan, would increase spending on Medicare by $716 billion through 2022. At the same time, the CBO letter said keeping Obamacare in place would not mean a $716 billion decrease in Medicare spending as claimed by Romney and his ad.

The Obama campaign called Romney's claim "dishonest and "hypocritical."

"The savings his ad attacks do not cut a single guaranteed Medicare benefit, and Mitt Romney embraced the very same savings when he promised he'd sign Paul Ryan's budget," said Obama campaign spokeswoman Lis Smith.

David Axelrod, Obama's senior campaign adviser, told CNN earlier Tuesday that Medicare reforms in the president's health care law "took away subsidies, unwarranted subsidies, to insurance companies, and he used that money to help lengthen the life of Medicare by nearly a decade."

Dueling appearances by the presidential contenders and their running mates hit states considered up for grabs in November -- Iowa, Ohio, Colorado, Nevada and Virginia.

Standing in front of helmeted Ohio coal workers, Romney promised American energy independence by 2020 if he is elected to two terms, saying he will promote full development of the nation's oil, coal and natural gas reserves.

He accused Obama of opposing coal energy production as part of a policy that favors energy sources "that come from above the ground" -- such as wind and solar energy -- instead of those from below the ground.

Since taking office in 2009, Obama has called for a comprehensive energy strategy that includes development of cleaner alternative sources such as wind and solar energy. Republican critics contend the administration uses environmental regulations and other means to hinder development of fossil fuel energy resources such as oil and coal.

Paul Ryan's Gen X sensibilities an asset?

"He also said you can go out and build a new coal plant if you want, but you'll go bankrupt. That's what he said," Romney told the applauding crowd.

Speaking at the same time as Romney, Obama told a campaign event in Oskaloosa, Iowa, that Romney would not support the wind energy industry developing in the state.

"Gov. Romney said let's end the tax credits for wind energy production, let's get rid of them. He said that new sources of energy like wind are imaginary," Obama said.

The president cited a thriving wind energy industry in the state, noting it supports nearly 7,000 Iowa jobs.

"If he knew what you've been doing, he'd know that about 20% of Iowa's electricity now comes from wind, powering our homes and our factories and our businesses in a way that's clean and renewable," Obama said, later calling for a halt to billions of dollars in tax subsidies to oil companies making "huge profits" and instead investing in "the new homegrown energy that's creating jobs here in Iowa."

Overall, though, the campaign focus remained on Ryan and his budget plan passed by House Republicans that calls for sharp cuts in non-military spending to shrink government as well as stark reforms to the Medicare and Medicaid entitlement programs that provide health care to senior citizens, the poor and the disabled.

Ryan's proposals include the provision that Medicare-approved private insurers would one day compete with traditional Medicare on an exchange. The intention of his plan is to remake Medicare so that it remains financially soluble for future generations, while preserving the benefits of current seniors and those who will qualify in the next 10 years, he told CBS on Sunday.

Ryan, campaigning in Colorado, made no specific mention of his Medicare reform plans, instead emphasizing his "regular guy" interests, such as bow-hunting, and promising to restore opportunity for those willing to work for it.

"When I was growing up, you know when I was flipping burgers at McDonalds, when I was standing in front of that big Hobart machine washing dishes or waiting tables, I never thought of myself as stuck in some station in life," Ryan told more 2,000 supporters at Lakewood High School in suburban Denver. "I thought to myself: I'm the American dream."

A contrast in Catholic politics

Later Tuesday, Ryan attended an event at GOP bankroller Sheldon Adelson's Las Vegas hotel. Across the country, Vice President Joe Biden held two events in Virginia, where he challenged the policies of Romney and Ryan.

"Look at what they value and look at their budget and what they are proposing," Biden said at his first stop, in Danville. He accused Romney of promising to lift regulations on big banks that would "unchain Wall Street," adding: "He is going to put y'all back in chains."

At an event Tuesday evening in Chillicothe, Ohio, Romney attacked Obama and his surrogates, saying they have made "wild and reckless accusations that disgrace the office of the presidency."

He pointed to Biden's remark, calling it an outrageous charge.

"And the White House sinks a little bit lower," he said. "This is what an angry and desperate presidency looks like."

An Obama campaign spokeswoman said earlier the president had no problem with Biden's statement.

"We find the Romney campaign's outrage over the vice president's comments today hypocritical, particularly in light of their own candidate's stump speech questioning the president's patriotism," said a statement by Stephanie Cutter of the Obama campaign.

Republicans reject the Democratic tactic to tie Romney to the Ryan proposal, saying the former Massachusetts governor has his own budget and tax plans that are similar to Ryan's but also include key differences, such as protecting anyone over 55 from changes to Medicare.

"The budget plan, the approach on Medicare and all of that is going to be the Romney plan," senior Romney campaign adviser John Sununu told CNN Tuesday.

Pressed for details in a combative interview on "Starting Point with Soledad O'Brien," Sununu said Romney "likes the Ryan plan for its guts," but added "he has his own plan out there, which is carefully crafted to protect the seniors from 55 and up."

By contrast, Sununu added, the Republican plans are more comprehensive and detailed than proposals by Obama and Democrats that fail to seriously address the nation's deficit-debt problem.

The focus of the debate on Ryan's budget plan and Medicare means Democrats are winning the early message war, said Erick Erickson of the conservative website RedState.com.

Romney's choice of Ryan means the campaign, for now, "is no longer a referendum on the president," which has been the central GOP strategy, said Erickson, a CNN contributor.

"It's a choice between two visions. And a lot of Republican strategists don't have confidence that the Romney campaign is able to sell their choice," Erickson said Monday night.

In addition, Erickson noted, the main topic now is Medicare and "Republicans don't necessarily win when you talk about Medicare."

Campaign 2012: How low can you go?

CNN's Paul Steinhauser, Kevin Liptak, Ashley Killough, Rachel Streitfeld, Peter Hamby and Alexander Mooney, and CNNMoney's Lex Haris contributed to this report.

@highlight

Romney campaigns in Ohio, calls Biden's Wall Street remark outrageous

@highlight

A new Romney ad takes on President Obama on Medicare

@highlight

Obama promotes wind energy in Iowa