Seattle, Washington (CNN) -- The dinner crowd trickles in slowly at first, some taking time to play a little pool in a recreation area, others just wait patiently in line, or find a spot to sit and strike up a conversation.

On the street, Orion Center has a reputation for its pleasant and welcoming staff, and, as Kayla Wyatt puts it, a place to get a good "feed." And of late, there are many new faces among the familiar.

At a restaurant, that's a sign of progress. At a support organization for the young homeless -- like Orion Center -- it is a troubling sign of the times.

More troubling is to take an up-close look at Seattle's streets and parks after Orion Center shuts down for the day, especially as temperatures drop and the combination of rain and gusty winds makes for bone-chilling conditions.

"Last year we had 2,057 young people," said Melinda Giovengo, the executive director of YouthCare, the organization that oversees Orion Center. "This year we are on target to serve over 3,300. So literally a 50 percent increase in the demand for services."

Increased demand, but reduced resources -- a painful double whammy of a sour economy: 10.2 percent unemployment nationally, 9.3 percent in Washington state's latest figures.

"We've had family foundations who have been supportive of us for 20 year saying we can't this year," Giovengo said in discussion of how the bad economy hurts YouthCare's bottom line. "We've lost a lot of corporate sponsors this year."

The result is an urgent need to do more with less.

Those coming for help range from 14 to 22. Every now and then, someone younger wanders in with a group.

"When the economy crashes, what we saw are the families that are barely hanging on, barely able to deal with the stress they were facing every day, people who were kind of on the lowest tiers of the economy -- their families fell apart," Giovengo told us during an afternoon and evening visit to Orion Center.

"They collapse under the stress of financial woes," she said. "Dad may be home too much, people may start drinking too much, and just the day to day stress of living with a young person or adolescent -- and all of a sudden, young people are on the street. We've had people come in and say, 'I'm here. I am 18 years old. My family can't afford me anymore.' "

Kayla considers herself an Orion Center success story.

She left home because of "a little bit of family problems due to my youth and rebellion, and so I just wanted to experience life. You get hungry after a while, so you need to come somewhere to eat."

Her first visits to Orion House were just for "the feed," but then, after living on the street "on and off for about two years," Kayla remembers: "I just kind of woke up one day and decided that I'd had enough, like I wasn't happy -- like I thought I was happy."

Through Orion House Center, she worked on her GED, and then joined one of the vocational training programs -- this one for baristas for local cafes and coffee shops. It is an 8-week program, and Kayla is now job-hunting while working on longer term goals.

"I want to do social work, go to college for that," she said. "And maybe go to college to get my own business and open my own café."

And, importantly, she is back living at home with her mother while looking for work and planning to get her own apartment.

"I just felt at the time, I could do it by myself and I didn't need any help," Kayla told us. "But now I know I was naïve."

Giovengo measures Orion Center's success in different ways. One is by the numbers:

"Over 12,000 meals a year, 10,000 showers. And believe it or not 10,000 pairs of socks to keep those peoples' feet warm."

Another is by the improved esteem -- and job prospects -- of many of those who first entered the facility just to get a hot meal or a few hours shelter from the rain.

Michal and DeLaun are from very different backgrounds, but became friends as classmates in an Orion Center technology class.

Michal, now 21, left home in Ohio three years ago and came to Seattle to be with a man he met over the Internet. "I was just, you know, coming out as queer, and I wanted some time on my own to get things sorted out for myself, and work up the courage to actually tell them."

But the relationship didn't work out, and "I was hideously ill-prepared when my roommate decided to kick me out. And then I was homeless for about two months."

DeLaun is a Seattle-area native who was reluctant to discuss his family circumstances, except to say he sometimes stayed at his grandmother's but, "I'm not supposed to be there." He described himself as homeless and on the street "about a month or two," but mostly bouncing around among friends.

At Orion Center, both took a course in computer diagnostics. Finding a job is difficult at the moment; DeLaun is working as an intern at Orion House, and Michal took a job at a local bowling alley. But both are optimistic they will be able to benefit from their new training once the economy recovers.

"I came here kind of lost," DeLaun said. "And I found myself, a whole lot more than I intended to here."

Michal said at job interviews, "I show up wearing a suit and tie just like everybody else and I basically just present myself as best I can and try to appear, for lack of a better word, normal."

Asked if he considered himself something other than normal, Michal said his experience without a doubt gives him a different perspective.

"I've been cold," he said. "I've been hungry. I've been soaked to the skin and tired and sick and injured. And you definitely learn quite a bit about yourself from that."

@highlight

More young people using center but resources are drying up

@highlight

Orion Center director says demand for services has increased 50 percent

@highlight

Center provides homeless young people with support, training programs

@highlight

One young woman came just to eat but now considers herself success story