(CNN) -- It's not often supermodels are selected for their social awareness -- unless, of course, you're flipping a fashion and photography status symbol on its head.

Pirelli, a tire company best known for outfitting the world's speediest race cars and superbikes, also has a reputation for publishing calendars featuring stunningly beautiful women in the raciest of poses.

The formula for 40 years has been simple: Start with the world's top models (Kate Moss, Miranda Kerr, Rosie Huntington-Whiteley), subtract most or all of their clothes, add backdrops from the most scenic locales (Mallorca, Corsica, Seychelles) and multiply it all through the lenses of the best fashion photographers (Herb Ritts, Karl Lagerfeld, Terry Richardson).

Voila! You have the world's most sought-after calendar, the Ferrari Daytona of pinup collections.

Well, Pirelli has decided to scrap this high-performance model for something more sensible. It's still sexier than a minivan but quite a departure from years past.

"In tough times, like the one the world is going through ... the idea was to find positive images and transformations in the world," said Paolo dal Pino, executive president of Pirelli Latin America.

It's not that the Italian tire maker's executives haven't heard the adage, "If it ain't broke ...," but rather, they decided it was time for a change, dal Pino said.

Instead of a fashion photographer, Pirelli brought in Steve McCurry. The self-described "street photographer" is renowned for his image of an Afghan teen in a ragged burgundy scarf, whose peridot eyes peered out from the June 1985 National Geographic cover.

McCurry acknowledges he was surprised to get the call but said he wasn't daunted because it isn't so dissimilar to the shots he considers his forte.

"I think a lot of what I do is portraiture, and it did seem to me that could be why they called me," he said.

Curiosity inspires iconic photographer

As for the models, social consciousness was considered more of an, ahem, asset than what might slip out the sides of a string bikini or loosely draped serape.

Karlie Kloss and Liya Kebede, for instance, were chosen less for their perfect physiques than for their work to bring health care to the underprivileged. Petra Nemcova wasn't selected for her hypnotic hazel eyes but for the more than five dozen schools constructed through her Happy Hearts Foundation.

"They're there not only for their fantastic beauty but also their social commitment," dal Pino explained.

Rio de Janeiro was chosen, he said, because of the economic transformation experienced there over the last 10 years, which by some estimates has lifted as many as 40 million people out of poverty.

Rio: The 'perfect Shakespeare stage'

Oh, and it doesn't hurt that Brazil is one of the world's most colorful and soulful destinations -- and a familiar haunt, as Pirelli staged shoots there in 2005 and 2010.

Pirelli began speaking to McCurry in February, dal Pino said, and the photographer drove around Brazil before arriving at his blueprint for the project.

"I wanted Rio to be a presence," McCurry said. "I wanted a sense of the place to be part of the pictures."

The shutterbug said he was pleased with the freedom he, the models and staff had to roam the city's favelas, many of which were considered unsafe for visitors just a few years ago.

Today, there are football/soccer fields and recreational centers under construction in these once-destitute parts of Brazil's second-largest city. Dal Pino noted that showing the development in these onetime shanty towns was integral to depicting the social transformation in Brazil.

"The fact we were able to photograph freely ... demonstrates that some of these places are getting built up," McCurry said. "That, hopefully, is evident in the work."

McCurry sought to capture the country's essence, not only through its vivid settings, but also through its people. In addition to the philanthropic temptresses, he photographed slices of Brazil, whether it was MaringÃ¡-born actress SÃ´nia Braga, pop singer Marisa Monte or simply a faÃ§ade bearing one of Rio's elaborate street art installations (the city actually differentiates between street art and graffiti "tagging," with the former permissible by law).

He also wanted everyday people.

So where 1995's calendar featured Calvin Klein model Christy Turlington with bare breasts propped atop a metal corset, hands bound at her side, the 2013 shoot brings you images of the Capoeiristas practicing their dance-based martial art that dates back to 16th-Century slaves.

And where 2010's calendar pictured Brazilian beauty Andrea Beatriz Barros topless, licking a rooster she clutched by the throat, McCurry's calendar contains an image of a vegetable vendor with an arresting gaze, her halter-top blending in with the peppers at her produce stand.

(Because we're intuitive enough to know you'll be off to hunt for some of these images, we'll save you the trouble, but be forewarned: As artistic as the photos are, they absolutely and unequivocally are 100% NSFW.)

Yet the biggest difference between McCurry's vision and past Pirelli calendars was the clothes. That is, the models wore some.

Clothing didn't make them any less beautiful -- "I think they're still sensuous, and the sexuality comes through," said McCurry -- but he was going for a certain elegance in the portraits.

He wanted to take these top models, who know the cameras and themselves so well and who are so skilled at their craft, and portray them in a natural setting, to "let them be photographed the way they wanted to be photographed, the way they wanted to be seen," he said.

He further explained, "These are women that are making a difference in the world. Let's photograph them the way they are without it being too dramatized, without it being too campy."

And what bespeaks natural and beauty more artfully than Brazilian bombshell Adriana Lima -- pregnant?

"When I heard she was pregnant, I thought, 'Well, great. We can work with that.' It's who she is, natural," McCurry said. "I saw it as a plus. I never questioned whether it might be appropriate. This is fundamental to life."

Lima gave birth to her second daughter, Sienna, in September, but not before McCurry captured her against a stone wall, lips and belly in full pout, lifting her hair back from her neck.

Though McCurry has shot fashion models in the past, the bulk of his more-than-30-year-deep portfolio focuses on what he calls "conflict journalism": the ravages of war, refugees' desperation, a spate of "vanishing cultures," as he puts it.

Asked if tapping him for the Pirelli shoot was akin to yanking a fish from water, he humbly demurred.

"I think it's possible to kind of walk and chew gum at the same time," he said with a chuckle.

So, to the question that many are asking after catching wind of the calendar: How does one acquire a copy?

The answer, sadly, is you probably can't without dropping some coin. Back issues of the calendar can be purchased on eBay for anywhere from $20 to $150, but the auction site, as of Thursday afternoon, had only three copies of the 2013 edition. They were commanding between $600 and $1,000 plus shipping.

Pirelli made only 20,000 of this year's calendar, and they're handed out as gifts to Pirelli's clients, certain members of the press and fashion and art societies, dal Pino said.

The Pirelli executive believes this year's calendar will be embraced, despite its departure from naughty tradition, and he doesn't see any backlash to this year's inclusion of clothing.

"We do believe that this (backlash) is not going to happen," he said. "We do believe many people will say, 'It's about time.' "

See more great photography on CNN Photos

@highlight

For 40 years, Pirelli calendar has featured world's top models, often nude, in racy poses

@highlight

This year, instead of fashion shooter, conflict photographer Steve McCurry was chosen

@highlight

Supermodels still included, but they were selected for social consciousness over curves

@highlight

Brazilian beauty Adriana Lima was photographed pregnant, posing against stone wall in Rio