Pope Benedict XVI is not suffering from any specific disease that forced him to resign, his spokesman said Tuesday, a day after the news that he was stepping down shocked the world's 1.2 billion Roman Catholics.

The pontiff is resigning because he does not feel he has the strength to continue as the church's leader, the Rev. Federico Lombardi said, adding that it was a "spiritual" decision.

Lombardi emphasized that Benedict remains pope until February 28, when his resignation takes effect.

He dismissed reports in an Italian newspaper that the pope's decision was linked to a medical intervention to replace the battery in his pacemaker, saying that had been a routine procedure. Benedict has had the pacemaker since he was a cardinal, he added.

Benedict's service will end at 8 p.m. on February 28 and he will continue his work as planned until then, Lombardi said, including an important meeting with the cardinals and priests this Thursday.

He will hold a final audience in Vatican City's St. Peter's Square on February 27, Lombardi said.

Despite addressing reporters at length, Lombardi left many questions about what will come next unanswered -- including those concerning exactly when a successor will be elected.

The Vatican does not yet know when cardinals will meet in a conclave to decide who will replace Benedict, Lombardi said. Vatican experts are studying legal documents on the subject, he explained.

But the conclave is likely to come between 15 and 20 days after the pontiff steps down, he said, and a new pope will be in place before Easter is celebrated at the end of March.

Much of the uncertainty stems from the fact this is the first time a pope has stepped down in nearly 600 years.

The pope said Monday he is resigning "because of advanced age."

"Strength of mind and body are necessary, strength which in the last few months has deteriorated in me to the extent that I have had to recognize my incapacity to adequately fulfill the ministry entrusted to me," said Benedict, 85, according to the Vatican.

The pope, born Joseph Ratzinger, will first head to the pope's summer residence in Castel Gandolfo before he likely retires to a monastery and devotes himself to a life of reflection and prayer, Lombardi said.

He won't be involved in managing the church after his resignation.

Read the full text of Pope Benedict XVI's declaration

The pope's older brother, the Rev. Georg Ratzinger, told CNN in Regensburg, Germany, that Benedict had come to his decision without seeking his brother's advice.

Asked if Benedict sounded relieved when the pair spoke Monday, his brother said: "His voice sounded the same as by every other call. He planned the whole event and it worked out well. The news is now out in the world, and now his life must continue its normal path."

Ratzinger, himself 89, did not specify when his brother began to feel too frail to carry on. But, he said, "The aging process causes difficulties, only in the last few years, first as he was 80 and then when you go past 85 ... when you cross these hurdles you feel like everything becomes more difficult."

He is not sorry to see his brother step down, he said.

"I'm realistic. I can see that the advancement of life brings changes and it goes along these lines. I would say that I would have been happy, had he been able to continue, but I take this realistically and soberly -- that it's for the best."

Benedict's decision has inevitably prompted frenzied speculation over who might assume the papacy in his place.

While Benedict won't be directly involved in his successor's selection, his influence will undoubtedly be felt. He appointed 67 of the 117 cardinals that -- as of Monday -- are set to make the decision.

The number of electors could drop to 115, as two cardinals will turn 80 in March, when their age makes them ineligible to cast a vote. More than two-thirds of the final number of cardinals must agree on the next pope. The announcement that a decision has been made will come in the form of a puff of white smoke emerging from a chimney in the Vatican.

From police officer's son to pope: The life of Joseph Ratzinger

The Vatican does not formally invite cardinals to come to Rome for a conclave to elect a new pope, Lombardi said Tuesday.

"The cardinals are intelligent people. They know to come," he said, adding that he expected them to arrive during the first two weeks of March.

Much speculation has focused on whether Benedict's successor might come from Africa or Latin America, rather than Europe, where Roman Catholic congregations are shrinking.

Ratzinger said he expected to see a pope chosen from outside Europe one day -- but not just yet.

"I'm certain a pope will come from the new continents but whether it will be now, I have my doubts," he said. "In Europe, we have many very able people, and the Africans are still not so well known and maybe do not have the experience yet."

Bets are already being placed on which of the cardinals might step into Benedict's shoes.

Perhaps belying Ratzinger's prediction, UK bookmaker William Hill has Canadian Marc Ouellet and Ghanaian Peter Turkson are showing as favorites so far, at 7-2 odds.

Close behind are the Archbishop of Milan, Cardinal Angelo Scola, at 5-1 and Argentina's Leonardo Sandri, at 7-1. There are odds of 33-1 on New York's Timothy Dolan becoming pope.

Whoever gets the nod, the selection of a new pontiff is expected to go smoothly.

"We're not going to have a problem of two competing popes. If Pope Benedict still wanted to have influence, he wouldn't have stepped down," said senior Vatican communications adviser Greg Burke.

"What's interesting is how long ago this decision was made -- shortly after the pope's trip to Cuba, which was in March of last year, so that was before the whole butler story even broke."

The pope's butler, Paolo Gabriele, was convicted in a Vatican court last year on charges of leaking private papers from the Vatican. He was sentenced to 18 months in prison but was pardoned weeks later.

The leaked papers revealed claims of corruption in the church's hierarchy.

As an aside, Lombardi referred to concerns over financial oversight in the city state, which have meant that Vatican shops and museums have not been able to accept credit or debit cards since January 1.

"The credit card payments in the state of the Vatican city are again working, and so the pilgrims as well as the tourists who visit the church of St. Peter's every day can now use the ordinary payment service, including paying for the Vatican museums," Lombardi said.

The payment service is guaranteed by Swiss firm Aduno, he said.

"Thus, even though the pope has resigned, things get done," he added.

Filipino iReporter Rummel Pinera says Benedict's decision to resign should prompt wider debate about how long pontiffs should serve.

"I believe that a pope should have a term limit or be given the privilege to resign from office, if he can't do his various duties effectively anymore due to health reasons or old age," he said.

Meanwhile, Italian iReporter Martina Lunardelli says she was shocked by the pope's decision to resign but feels it was the right one to make.

She warns against judging the pontiff for what she says was obviously a difficult choice, and urges those who are speculating about his resignation to respect matters which are "above" them in knowledge and understanding.

While not quite unprecedented, Benedict's resignation is certainly historic. The last pope to step down before his death was Gregory XII, who in 1415 quit to end a civil war within the church in which more than one man claimed to be pope.

@highlight

Pope's brother says he does not expect new pope to come from outside Europe

@highlight

No date is yet set for the cardinals to meet to elect a successor, the papal spokesman says

@highlight

The pope is not suffering from any specific disease that forced him to resign, he says

@highlight

Credit card payments are accepted again in Vatican City, the spokesman says