(CNN) -- There's more to Election Day than just the presidential campaign. The polarization of the parties has led directly to the divided and dysfunctional Congress we've seen over the past two years, leading to the lowest congressional approval ratings in recent history.

No matter who wins the presidency, we need to see more principled problem-solving centrists elected from both parties.

That's why I'm continuing my pre-election CNN.com column tradition of listing some of the most standout centrist Senate and House candidates on the ballot this year.

Centrism is one of most misunderstood and maligned political identities in our polarized hyper-partisan environment. Its advocates have been hunted into near-extinction on Capitol Hill by party-first conformists, angry ideologues and special interests.

Politics: Key races to watch -- Senate, House and Governor

But a look over this list shows a deeper philosophic consistency beyond party labels -- a commitment to generational responsibility and individual liberty that can be fairly described as fiscally conservative but socially liberal.

Most of all, there is a common commitment to working together across party lines to solve problems rather than holding out for ideologically pure solutions. For a more detailed defense of the legitimacy of this political perspective, David Brooks gave a typically eloquent explanation of the centrist political leader as a craftsman in a must-read column.

The 10 standout centrist candidates on this list are independents, Republicans and Democrats who all recognize that hyper-partisanship is hurting our country because it is stopping us from solving the serious problems we face.

That's why we need them in the next Congress -- to break the fever of division and dysfunction, define the common ground that exists on the urgent issues we face and then build on them. Their success in the 2012 election would be a healthy step forward for the nation.

2012 ballot initiatives: Voter-run or special interest-hijacked?

Angus King

This independent's Senate campaign in Maine is the biggest nonpresidential race in the nation for many independent voters -- a gutsy challenge to the two parties that looks like it will prove successful. King has described himself as "too fiscally conservative for the Democrats and too socially liberal for the Republicans -- like 75% of the American people."

He proved his effectiveness in two terms as a popular independent governor of Maine in the 1990s. Now he is the odds-on favorite to succeed retiring centrist Republican Olympia Snowe in the Senate. If the Senate is closely divided, he could be the deciding vote. 
King has told me about his vision to bring together a coalition of senators in the vital center to break gridlock.

"What if two or three other people like me around the country were elected who said: 'I don't care about the parties -- I just want to solve the problems ... We're going start talking to each other in a grown-up and civil way." Here's hoping.

Bob Kerrey

The Medal of Honor winner, Nebraska governor, senator, presidential candidate and college president would return to Washington as an elder statesman committed to building bipartisan coalitions. He is one of the most respected and best liked political leaders of recent decades.

His opponent, social conservative state senator Deb Fischer, rode to victory in the Republican primary thanks to endorsements by the likes of Sarah Palin and Jim DeMint.

"Somebody has to go back there and change Congress. Somebody has to stand the middle ground," Kerrey says. "I want to be the person that makes that change happen." This election is close in a center-right state, and former Republican Sen. Chuck Hagel's endorsement of Democrat Kerrey on Thursday provided another boost. Having Kerrey back in the senate would be a win not just for the people of Nebraska, but for the entire country.

Heather Wilson

A former congresswoman, Air Force officer and Rhodes Scholar, the New Mexico Republican would be an excellent addition to the U.S. Senate and the Republican conference. She won more than 40% of the Hispanic vote in each of her six congressional races. But with the polarization of the Hispanic population over neighboring Arizona's immigration laws, New Mexico has moved from bellwether swing state to the Democratic column.

So, Wilson is flying against stiff headwinds. But she's a big-tent, pro-life Republican -- fiscally conservative, centrist on social issues and strong on defense -- with a demonstrated ability to win over independent voters. Her biggest problem is the rightward drift of the GOP and the consequent alienation of the Hispanic vote in a presidential year. But she would make a great senator that New Mexico would be proud of for decades to come.

Joe Donnelly

The Indiana Democrat is running to replace centrist Republican statesman Dick Lugar in the Senate against the tea party-backed Republican nominee Richard Mourdock.

A three-term Congressman with a decidedly centrist record, Donnelly has been arguing that Mourdock is too extreme for Indiana -- with plenty of help from Mourdock himself. From Mourdock's saying that bipartisanship "ought to consist of Democrats coming to the Republican point of view," to slamming centrists in the Senate by arguing that "the time for collegiality is past ... it's time for confrontation," to his now infamous comments that pregnancies that result from rape are "God's will," Mourdock has managed to find himself losing a Senate race in a state that Mitt Romney is winning easily.

Hoosiers don't seem to want an embarrassing advocate of extremism in the Senate. They'd do better with Donnelly.

Linda Lingle

It takes an impressive person to win Hawaii's governorship as a Republican, but former Maui Mayor Linda Lingle managed to distinguish herself as a successful and popular leader during her two terms, while breaking down barriers as the first woman and first Jewish governor of the Aloha State.

Running in a presidential election cycle with Hawaii-born Barack Obama on the ballot is no picnic for a Republican, but Lingle has overcome long odds before -- she won reelection as governor by the largest margin in Hawaii's history. She's developed an impressive record as a decisive leader, combining fiscal responsibility with a big-tent approach on social issues. She would be a refreshing centrist Republican voice in the U.S. Senate.

Tim Kaine

It's a tight Senate race between two former Virginia governors -- centrist Democrat Tim Kaine and conservative Republican George Allen -- to see who will succeed Jim Webb in the Senate. Kaine is the kind of solid Third Way Democrat who has proven he can win statewide in the Old Dominion state, like his predecessor Mark Warner, who currently serves in the Senate and has been a leader of the Gang of Six negotiations to find a bipartisan deal on the deficit and the debt.

Kaine -- a former DNC Chair - is not as nonpartisan as many centrists, but he is a classic DLC Blue Dog of the kind we have seen almost hunted into extinction on Capital Hill. His election would send a welcome signal about that tradition's persistence and further commitment to the kind of thoughtful bipartisan cooperation we need to see in the Senate.

Scott Brown

When Scott Brown won the special election to succeed Ted Kennedy in the Senate, it was seen as a tea party victory predicated upon his opposition to Obama's health care reform. But as senator, Brown has developed a decidedly centrist voting record -- being recognized by the National Journal voting records as having a 55% conservative and 45% liberal composite record, placing him squarely in the center of the Senate.

He has tried to rekindle the Ed Brooke Massachusetts moderate tradition and is locked in a tough race against Elizabeth Warren, who has developed a strong following for her fearless work in the wake of the fiscal crisis.

But Brown's record cannot and should not be ignored -- and if he loses this Senate seat in the headwinds of the likely Obama landslide in his home state of Massachusetts, we could see Brown back in the Senate or serve as governor sometime in the future.

Jim Graves

To many moderates, Michele Bachmann is the symbol of everything that's wrong with our divided and dysfunctional congress. She's quick to call opponents anti-American and weave unhinged conspiracy theories into policy debates. But she's never had a serious candidate campaign against her until now.

Jim Graves is a 58-year-old, self-made Minnesota businessman and grandfather of seven, still married to his high-school sweetheart. And he's got Bachmann on defense in her reelection effort.

"My policy approach transcends political lines," Graves told me in an interview for DailyBeast, "I'm a centrist, a libertarian when it comes to social issues. I don't think government should be involved with personal lives. I really believe in separation of church and state. Bachmann wants to blur those lines -- she would (replace) our democracy with a theocracy," he says. "She epitomizes everything that's wrong with Congress and this country -- a lack of civility, a lack of bipartisan or nonpartisan approach to problem solving."

Richard Tisei

A Republican running for Congress in Massachusetts this year might be dismissed as a political suicide mission, but Richard Tisei is an exception in every sense. He's running a strong race against an uninspiring and ineffective liberal incumbent John Tierney in a state where registered independents outnumber Democrats or Republicans.

Tisei is popular state legislator and a self-described "live and let live' Republican -- who applies the principles of individual liberty and individual responsibility consistently in his political philosophy -- get government out of the bedroom and out of the boardroom. He is also, perhaps not incidentally, openly gay. But Tisei's constituents have come to see him as a strong advocate of fiscal responsibility and limited government, a libertarian New England Republican in the mold of Bill Weld rather than Mitt Romney.

Richard Hanna

This upstate New York Republican congressman is an independent thinker who does not let party loyalty get in the way of his common sense approach to solving problems. The longtime businessman and community leader does not mince words or shy away from condemning impractical extremes on both sides. He told the Syracuse Post-Standard, "I'm frustrated by how much we -- I mean the Republican Party -- are willing to give deferential treatment to our extremes in this moment in history. ... If all people do is go down there and join a team, and the team is invested in winning and you have something that looks very similar to the shirts and the skins, there's not a lot of value there."

That's the kind of principled independence, and commitment to governing in the national interest, that we need to see more of in the next Congress.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: We need to see more principled centrists elected to Congress

@highlight

Avlon: I offer a list of the top standout centrist Senate and Congressional candidates

@highlight

His suggestions include Angus King, Bob Kerrey, Heather Wilson, Joe Donnelly and others

@highlight

Avlon: Centrism is about working together across party lines to solve problems