(CNN) -- Experts are putting forward all sorts of reasons Mexico recently became more obese than the United States -- and one of the most overweight countries in the world.

Poverty, tacos, urbanization, soda. Those are the widely discussed culprits. And they, along with the choices people in Mexico make, are no doubt part of the story.

But there's an uberfactor here: Mexico's neighbor to the north. Could one reason for Mexico's growing, deadly obesity problem be that the country is unfortunate enough to share a border with the United States -- land of the Coke, home of diabetes?

I started thinking about that issue after seeing news bounce all over the Internet that nearly a third of Mexicans now are obese, compared with 31.8% of Americans, according to a recent report from the UN Food and Agriculture Organization.

Maybe U.S. trends such as fast food, fried food and soda drifted south.

It reminded me of a smart Economist story I read in April.

"Perhaps for Mexicans, the biggest problem is living next door to the United States, which means the fast food and super-sized culture has a particularly strong influence," the British magazine wrote. "So do the American food and drink giants who sell vast quantities south of the border and have already proved adept at fending off sin taxes and other forms of anti-obesity regulation in the United States."

I called up Dr. Juan Rivera, director of the research center on nutrition and health at Mexico's National Public Health Institute, to see what he thought of this theory.

Rivera didn't blame the United States, but he did blame "sugary beverages," which the United States produces and markets. Mexico's soda-and-sugar-water consumption numbers are staggering. The average Mexican drinks 163 liters of sugary beverages per year, Rivera said, which tops the world.

That's almost nine cans of soda per week.

A rising middle class as well as the prevalence of greasy street food, including tacos and quesadillas, also accounts for much of the problem, said Christopher Wilson, an associate at the Wilson Center's Mexico Institute. But Mexico's rich neighbor also plays a role in (here's the crucial part) shaping the country's tastes, he said.

"Potato chips are very popular, as is drinking lots of soft drinks," Wilson said. "But we see similar trends not only related to food and junk food but, at a broader level, commercial tests in Mexico are fairly closely linked to tastes in the U.S. And that's because of the intensity of cultural interactions" between the countries.

This influence applies to other countries, too, of course. According to the FAO report, 1.4 billion (yes, billion!) people worldwide are overweight and 500 million are obese.

The fast-food-ization of the world, and the health problems that have followed, started with America and have spread far and wide.

At a certain point, though, does it matter where the problem started?

Rivera, the public health official in Mexico, was quick to claim obesity as a problem Mexico has to own -- regardless of its origins.

"I think there is more influence of the fast food industry (and) the sugary beverages in Mexico than in other countries as a result of being neighbors to the U.S.," he said. "... But I think that globalization is such now that you see very, very similar things in many other countries, even in countries that are less developed. So I would not blame too much on the U.S. The problem is ours, and we have to solve the problem."

Some important steps already are being taken. Mexico banned soda in schools, Rivera said, and might soon propose new programs to combat obesity.

Mexico's close relationship with the United States, however, means that America and its corporate proxies should share the responsibility of implementing solutions.

"Let me remind you," Dr. Margaret Chan, director-general of the World Health Organization, said in a June speech at a conference in Finland. "Not one single country has managed to turn around its obesity epidemic in all age groups. This is not a failure of individual willpower. This is a failure of political will to take on big business."

It does matter where these deadly trend originated -- and who started them.

The least the U.S. could do is be a better neighbor.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

U.N. report says Mexico is now more obese than the United States

@highlight

John Sutter: Maybe we should blame Mexico's northern neighbor

@highlight

He says U.S. trends like fast food and sugary soda have drifted south

@highlight

Sutter: "The least the U.S. could do is be a better neighbor"