LONDON, England (CNN) -- Scientists think they have uncovered conclusive proof that human activity is responsible for rising temperatures in both polar regions.

Changes in polar temperatures are not consistent with natural climate changes say scientists.

Research carried out at the Climatic Research Unit at the UK's University of East Anglia (UEA) demonstrates for the first time that anthropogenic climate change is responsible for warming at the Arctic and Antarctic.

Previous studies have observed rises in temperature at both poles, but none, until now, have formally attributed the cause to human activity.

Using up-to-date gridded data sets, scientists led by the UEA observed mean land surface temperatures in the Arctic over a 100 year period. For the Antarctic the observation period was shorter -- 50 years -- as there is no station data available before 1945.

They then applied an average simulated response using two models. The first examined natural forcings -- events like solar cycles and volcanic activity which can affect temperatures.

The second model simulated natural combined with anthropogenic forcings -- which included greenhouse gases, stratospheric ozone depletion and sulphate aerosol.

Scientists discovered that the observed changes in Arctic and Antarctic temperatures are not consistent with internal climate variability or natural climate drivers alone.

One of the report authors, Dr Alexey Karpechko told CNN: "In both cases the accelerations are not consistent with natural forcing, which means that natural forcing alone cannot produce such a warming. So in a sense, we can say conclusively that this [warming trend at the poles] is due to human influence."

The paper "Attribution of polar warming to human influence" is published in the science journal Nature Geoscience.

The Antarctic data is of particular interest given that the Intergovernmental Panel on Climate Change's Fourth Assessment Report in 2007 notes that anthropogenic climate change had been detected in every continent except Antarctica.

This new data appears to demonstrate that man-made warming is indeed happening on the continent as well.

The report may go some way towards silencing climate skeptics who point to evidence that most of Antarctica has been cooling for some time.

"There is strong warming in the Antarctic peninsula," Karpechko said. "But for several decades there has been a slight cooling of the rest of the continent. This slight cooling is due to circulation changes which are partly caused by ozone depletion.

"This is why there has been a bit of confusion as to what is happening in Antarctica. But we expect a recovery of the ozone layer in the future. We may also expect that the Antarctic warming trends will emerge more clearly."

Commenting on the study conducted by the UEA, Professor David Vaughan, a Glaciologist at the British Antarctic Survey told CNN: "This is exactly the sort of study we need. The poles are extremely important in the climate change debate and the rapid warming in the Arctic is one of the icons."

Professor Vaughan, who is studying the patches of warming happening in Antarctica, concedes that the cooling that's occurred in the past 30 to 50 years is "a little perplexing". But he agrees with Dr Karpechko over the effects of the ozone hole.

"The likelihood is that over the next century the ozone hole will be substantially reduced," Professor Vaughan said, "And it may mean that the Antarctic warming becomes much more apparent in that period."

Climate modeling might not convince everyone that warming is taking place, but as Professor Vaughan points out: "Simulations are built around physical principles and an understanding of the physical world".

Climate modeling is a relatively new area of expertise but Professor Vaughan said that the UEA is widely recognized as one of the world leaders in this field.

As previous IPCC reports have pointed out, the effects of warming at the poles are already being felt by indigenous polar species and communities. This new report is confirmation of the culpability of humans in contributing to these rising temperatures.

"I'm afraid that there will always be people that don't believe that we are making all these changes," Dr Karpechko said.

"Some people are waiting for the science to say that a particular heat wave is caused by humans. But attributing specific effects to human activities is much more difficult than attributing global changes. I don't know if we should wait for that because it will be too late.

"I see from the data that there is warming. This is really frightening."

@highlight

Scientist claim to have uncovered proof that polar warming is influenced by humans

@highlight

Dr Alexey Karpechko: "The accelerations are not consistent with natural forcing"

@highlight

Recent cooling in parts of Antarctica expected to reverse once ozone layer recovers