Washington (CNN) -- A compromise proposal to expand background checks on gun sales lacks enough support to win Senate approval now, which will likely delay a vote on the measure that has strong public support, one of the sponsors told CNN on Monday.

Sen. Joe Manchin, D-West Virginia, acknowledged the vote on the amendment he worked out with Republican Sen. Pat Toomey of Pennsylvania was being pushed back to try to build more support.

Asked if the vote would take place Tuesday or Wednesday, as supporters had hoped, Manchin said he didn't think so.

"I would say by the end of the week, probably," he added.

The Manchin-Toomey compromise had been scheduled as the first amendment to be considered as part of gun legislation pushed by President Barack Obama and Democrats in the aftermath of the Newtown school massacre in December.

Last week, the broader gun package received 68 votes, including 16 from Republicans, to bring it to the Senate floor.

Before discussion on the legislation began Monday, Manchin told CNN there was more work to do.

"We've got to work hard and the more people know about the bill, the more people read the bill, the more people see the facts of the bill, it breaks down all the misnomers," he said of what he called misinformation about the background check proposal being spread by opponents.

Both Manchin and Toomey are self-professed gun lovers who have gotten high marks from the powerful National Rifle Association for their voting records on firearms issues.

However, the NRA opposes their compromise, casting doubt on whether it can get the 60 Senate votes necessary to pass under the filibuster threshold imposed by Republicans.

Far fewer Republicans than the 16 who voted last week to open debate are committed to backing the Manchin-Toomey amendment or supporting the final gun package.

So far, four GOP senators have declared they will support the Manchin-Toomey compromise or were leaning toward backing it.

With at least two moderate Democrats from pro-gun states known to oppose the measure, it needs at least seven GOP votes to have any chance of passing.

Gun rights group endorses background check deal

The amendment will be one of perhaps dozens to be debated on the broader package of gun laws drafted in response to the killing of 20 first-graders and six educators at the Sandy Hook Elementary School in Newtown, Connecticut.

The package also contains measures to crack down on gun trafficking and straw purchases, and to find ways to improve school safety.

On Monday, White House spokesman Jay Carney sought to keep up the pressure on senators to approve the expanded background checks, noting polls show about 90% of Americans support such a move.

"If they vote no, they will be siding with the 10% and not the 90% in the United States that support background check legislation," Carney told reporters.

In debate expected to last two weeks, senators will consider efforts by both sides to either expand or weaken the gun package.

Republican Sen. Collins will support Manchin-Toomey gun compromise

A push by Democrats for an updated ban on semiautomatic firearms modeled after military assault weapons, as well as limiting ammunition magazines to 10 rounds, is expected to fail.

Republicans will push an NRA proposal to make state concealed weapons permits acceptable nationwide, a concept opposed by many Democrats.

Since the Newtown attack by a lone gunman, Connecticut and a few other states have passed tougher gun laws.

While polls show Americans favoring expanded background checks and other proposals intended to crack down on gun trafficking, more pro-gun states have passed laws easing firearms restrictions.

In addition, the NRA has promised political retribution for legislators who back measures it opposes.

"This debate in some ways is underscoring just the extent to which there is a polarization in our society," Toomey told CNN on Sunday, lamenting "the acrimony that has gotten into politics."

Asked if he was concerned about political repercussions, the conservative Republican said: "I'll just let the political chips fall the way they fall."

In a separate interview on CBS, Manchin acknowledged the power of the NRA, saying: "They won't be with us on this and I just would hope that they would allow their members to see the facts and let them vote their conscience."

Both senators said Monday that part of the problem involves misconceptions about their compromise, and they urged colleagues to read the 49-page measure instead of relying on what they called erroneous political rhetoric by opponents.

Their amendment expands background checks to gun shows and all Internet sales, but exempts private transactions such as hunting rifles traded among family and friends.

Co-author of gun compromise says Senate support an 'open question'

It also makes it easier for hunters and sport shooters to transport their firearms across state lines. It would also require states and the federal government to provide records on criminals and the "violently mentally ill" to the national background check system, addressing a criticism by the NRA and other opponents of gun laws that the existing system lacks substantive information.

In addition, the plan calls for a new National Commission on Mass Violence to report in six months on "all aspects of the problem, including guns, school safety, mental health, and violent media or video games."

The NRA opposes the compromise as a possible first step toward a national gun registry and therefore a violation of the constitutional right to bear arms.

However, smaller pro-gun groups have come out in favor of the Manchin-Toomey amendment, indicating a rift in the gun lobby over the emotional issue of taking legislative action in response to the Newtown killings.

Manchin said Monday he was reaching out to senators who voted last week against beginning debate on guns.

"We're working on all of them. Some of them who might not have voted for cloture might be more receptive once they see the facts," he said. "Now that we have gun groups coming out in support, it really helps us."

Manchin and Toomey noted Monday that their proposal includes a specific prohibition against a national gun registry as well as criminal penalties for misusing background check information for that purpose.

In a statement on Sunday, moderate Republican Sen. Susan Collins of Maine said she would support the compromise because it exempted private family gun transactions from needing a background check, calling it a "commonsense approach" that required the screening only for commercial transactions.

No sense of urgency: Rocky road ahead for gun legislation in the House

Even if the compromise passes and the Senate proceeds to approve a broader gun package, it was unclear if the Republican-led House would go along.

House Speaker John Boehner, R-Ohio, has stopped short of promising a vote, saying only that the chamber would look at whatever the Senate sends over.

Obama has made the gun legislation a major focus of his second term, holding events across the country to push for congressional action and public pressure.

Last weekend, the mother of one of the Newtown schoolchildren killed in December delivered the weekly presidential address instead of Obama.

Francine Wheeler, whose 6-year-old son Ben died in the attack by a lone gunman, noted that since the December 14 killings, "thousands of other Americans have died at the end of a gun."

"Thousands of other families across the United States are also drowning in our grief," Wheeler said. "Please help us do something before our tragedy becomes your tragedy."

The issue has raised attention on overall gun deaths in the country, with supporters of tougher gun laws noting that more than half all homicides involve firearms and U.S. levels are higher than other countries.

On Saturday night, a man shot himself to death during a NASCAR event sponsored by the NRA in Texas.

CNN's Kevin Liptak, Gregory Wallace and Kevin Bohn contributed to this report.

@highlight

NEW: Sen. Manchin says a vote on background checks unlikely until later in the week

@highlight

A compromise amendment on background checks comes up this week

@highlight

Republicans who voted to open debate may not support the bill

@highlight

Debate on the overall gun package is expected to last two weeks