(CNN) -- London McCabe was a 6-year-old boy. On November 3, he died when his mother threw him off the Yaquina Bay Bridge in Oregon, according to police.

London had autism. Media coverage of his death has widely focused on the stresses and challenges of raising a child with autism. In other words, the stories are about his mother and her problems finding help, not the dead boy.

This is a mistake. In all cases of violent crime, but especially those involving people with disabilities and their caregivers, we need to mourn the victims, rather than explain away their deaths. Unfortunately, whenever these terrible kinds of tragedies take place, which they do far too often, we do just the opposite.

Stories about lack of support services position children with disabilities as burdens to their families. They portray the crime as understandable. Such stories perpetuate the idea that it's better to be dead than to be disabled, that life with disability is life without meaning, and that tired, stressed, caregivers have no hope. No wonder, in such a narrative, the parents do such terrible things. The children, or at least their disabilities, become responsible for their death.

Such stories do not just erase the victims, they are also generally inaccurate. In fact, this kind of killing is typically driven not by a lack of services, but by a warped understanding of disability itself.

London McCabe did not want to die. London liked big hats. He liked fuzzy stuffed animals. He made a wish on his cupcake for his sixth birthday. In September, his father wrote, "London is pleased as punch. He lays on our laps and puts our hands together. Last night he made the 'mmmwha!' sound and gave his Mommy a kiss. Then he made the same sound and pushed our faces together. He's all smiles."

But in Jillian McCabe's world, life with autism was so horrific that she allegedly felt obligated to throw her son off a bridge. Now her defense attorneys will offer an account of intense hardship as an excuse for murder, describing a situation so brutal that it seemed a mercy for a 6-year-old boy to die. The contrast between our description of London's likes, dislikes and the last few months and his mother's vision is stark.

Such defenses play well with juries. In February 2010, Gigi Jordan forced a lethal cocktail of drugs down the throat of her 8-year-old son. At trial, which concluded Wednesday, the jury found her guilty only of manslaughter, convinced that she was a desperate mother. Jordan's attorney said, "This was not a murder case. And that's because there were extenuating and horrific circumstances. And, apparently the jurors got it."

Such claims of mercy killing are not about services or support. Gigi Jordan was extremely wealthy.

Kelli Stapleton, who was convicted of attempting to kill her daughter Izzy, had received enormous amounts of services in the state of Michigan.

Karen McCarron, a physician, enrolled her daughter Katie in a special private school in North Carolina. McCarron smothered her daughter. The mother of Alex Spourdalakis refused additional support from the Illinois Department of Children and Family Services. She killed her son.

The common thread is not lack of services, but the parents' own views on disability.

According to Ari Ne'eman, president and co-founder of the Autistic Self Advocacy Network, these killings are most commonly perpetrated by parents who have been "inculcated into an ideology in which it's better to be dead than to be disabled. If they cannot succeed in fixing or curing their child, their child's life has no point."

These parents do not enter into this ideology accidentally. Ne'eman criticized the huge industry dedicated to the eradication of autism through quack treatments and the belief that environmental factors such as vaccines cause the condition (Note: They don't). Such false arguments perpetuate the idea that autism can be beaten through treatment; when treatment fails, some parents turn violent.

Indeed, in the months before killing Alex Spourdalakis, his mother, Dorothy Spourdalakis, had turned to anti-vaccination conspiracy theorists such as the group Autism One and Andrew Wakefield, the former doctor and notorious fraud. Wakefield criticized the medical profession for its treatment of Alex and advocated for access to "cures," a campaign that continues today.

And it's not just these fringe groups and snake-oil salesmen perpetuating this ideology. Autism Speaks, the biggest autism awareness charity, fundraises through military language mixed with demands for pity. For Autism Speaks, a group that has been criticized for having no people with autism on its board, autism is the enemy that must be eradicated.

For someone who sees disability the way Autism Speaks does, and is unable to remove the enemy, murder and suicide seem reasonable. Autism Speaks even acknowledges this line of thought.

In 2006, then senior executive Alison Tepper Singer was widely criticized for describing, in a documentary produced by Autism Speaks, that she had contemplated driving off a bridge with her autistic daughter in the car. Singer has since stepped away from those remarks. After the film came out, she wrote, "The point I was trying to make in the film was that the lack of appropriate services and the thought of putting her in a terrible school made me want to drive off the bridge; not that Jodie did." She has also since, "changed [her] behavior and rhetoric."

Still, even if Singer has moved on, the rhetoric persists, and re-emerging now as London McCabe's body is pulled from the water.

The McCabe family may well have needed more and better services. There is a time for that conversation, but it isn't now. Ne'eman says, "Immediately after or in connection to an act of violence or murder against a child with a disability is the disastrously wrong time to have the conversation about services."

Instead, it's time to mourn another death and to work on how we talk about disability, because this story isn't about Jillian McCabe or support.

It's about London. He liked hats and stuffed animals. He liked it when his parents kissed. Now he's dead.

@highlight

London McCabe, a young boy with autism, was allegedly killed by his mother

@highlight

David Perry: In cases of crime involving person with disability, how about focus on victim?

@highlight

He says media stories convey the idea that life with disability has no meaning

@highlight

Perry: Let's change how we talk about disability and give parents hope and support