(CNN)Azerbaijan is an oil and gas rich nation that hugs the western shore of the Caspian Sea.

Bordering Iran, Georgia, Russia and Armenia, it has a population of 9.6 million people, according to the CIA World Factbook.

Roughly a quarter of the country's residents live in the capital, Baku, a cosmopolitan urban center that combines ultra-modern skyscrapers with a historic Walled City that is recognized by UNESCO as a World Heritage Site.

Islam is the most prominent religion in Azerbaijan although, according to the country's government, there are also minority Jewish and Orthodox Christian communities.

Azerbaijan gained formal independence from the former USSR in 1991 after initially declaring its national sovereignty in 1988. Since then, it has been locked in an ongoing territorial dispute with ethnic Armenian separatists.

A six-year conflict between 1988 and 1994 saw separatists, backed by troops from Armenia, and Azerbaijani forces fight over the Nagorno-Karabakh and Nakichevan regions in the southwest of the country.

A ceasefire was agreed in 1994, but by then the separatists, who are seeking full independence from Azerbaijan, had taken control of Nagorno-Karabakh and seven surrounding provinces.

Azerbaijan still claims sovereignty over these areas but has tried to resolve the issue by diplomatic means in the period since, according to the British Foreign and Commonwealth Office.

But violence continues, and at least three Armenian soldiers were killed in clashes with Azerbaijani troops near Nagorno-Karabakh in March.

Much of Azerbaijan's history has revolved around its vast oil and gas reserves.

Ancient fire-worshipping civilization the Zoroastrians erected temples in the vicinity of burning gas vents at various sites across the country as far back as the third century, according to the Azerbaijan tourist board.

These temples are now popular tourist attractions, with one of the most well preserved situated in Surakhani on the outskirts of Baku.

At the beginning of the 20th century, however, Azerbaijanis hit on a new use for their bountiful natural resources -- industrial fuel.

Vast sums of money poured into the country to fund oil exploration, and at one stage it was one of the world's major oil centers.

Nowadays, Azerbaijan has a major role in oil exporting and is a major shareholder in an oil pipeline that runs from the Caspian Sea to Ceyhan in Turkey.

In recent years, Azerbaijan has attempted to diversify its economy and reduce its dependence on its natural resources.

The country has developed successful construction, banking, retail and real estate sectors, although these were hit by the global financial downturn.

Economic growth reached double digit figures between 2006 and 2008 before sliding back to 4.5% in 2014, according to the CIA World Factbook.

Like many emerging market economies experiencing rapid growth and with access to vast natural resources, Azerbaijan has been impacted by corruption.

Transparency International ranked the country 126th out of 178 countries in its Corruption Perceptions Index 2014, although the Azerbaijani government maintains it is attempting to eradicate graft.

Azerbaijan has built closer ties with regional and international partners in recent years.

The country joined the Council of Europe -- which aims to develop a common legal and democratic area across the continent -- in 2001, and works in conjunction with a consortium of western oil companies to extract its abundant natural resources.

It is also working towards the legal and regulatory reforms that would enable accession to the World Trade Organization, according to the U.S Department of State.

In October 2011,  Azerbaijan was awarded one of the six non-permanent seats on the U.N. Security Council. From January 2012, the country sat alongside permanent members of the Security Council -- France, China, Russia, the U.K. and the U.S. -- for two years.

Culturally, Azerbaijan has also been looking to raise its profile internationally. In 2011, the country won the Eurovision Song Contest, a continent-wide musical competition.

As a result of this success, it hosted the Eurovision in Baku in May, 2012, which the country's state broadcaster said gave it the opportunity to further display its culture and traditions to the whole of Europe.

On June 12th, Azerbaijan brings up the curtain on the first-ever European Games when its capital, Baku, welcomes some 6,000 athletes to this inaugural sporting festival.

The Games, which will take place every four years, were brought into being at a vote by members of the European Olympic Committee (EOC) in 2012 and announced at a meeting of the body's General Assembly in Rome that December. Thirty-eight of the 49 EOC members backed the Games, which provide a European equivalent of the multi-sport Asian Games and the Pan-American Games, both of which have been part of the calendar since 1951.

Azerbaijan wants to put itself and its capital at centre stage, with sports minister Azad Rahimov saying in an interview with the Guardian newspaper: "The main important thing is to position our country on the map of the world and our country on the map of Europe.

"The best instrument to do that is sport and culture. Sport has a bigger potential for reaching the most people."

@highlight

Azerbaijan is a small nation that achieved independence from the USSR in 1991

@highlight

The country hugs the shores of the Caspian Sea and sits upon vast oil and gas deposits

@highlight

Azerbaijan's economy has grown rapidly in recent years