So much for old-fashioned air conditioning: What if you could harness the universe to cool your house?

Some Stanford University engineers may have figured out how to do just that.

According to a paper in the scientific journal Nature, a team led by Stanford electrical engineer Shanhui Fan has come up with a material that can radiate heat away from buildings and send it directly into space.

The wafer-thin material -- just 1.8 microns thick, about 50 times thinner than a piece of paper -- is made up of layers of silicon dioxide and hafnium oxide on top of a layer of silver. It both acts as a mirror, reflecting sunlight back into space, and channels invisible, heat-bearing infrared rays away from the source and into the universe.

"Think about it like having a window into space," Fan told the Stanford Report.

The Stanford team calls it "photonic radiative cooling," and if the material is applied to surfaces such as rooftops, it could help lower the need for air conditioning. In tests, the material was capable of cooling a surface by 5 degrees Celsius (about 9 degrees Fahrenheit).

"This team has shown how to passively cool structures by simply radiating heat into the cold darkness of space," Nobel Prize-winning physicist Burton Richter, a Stanford professor emeritus, told the Stanford Report.

The scientists note that air conditioning currently accounts for about 15% of energy usage in buildings. Moreover, in rural and undeveloped areas, the material could provide a cooling technology that doesn't require electricity, observes Aaswath Raman, who was part of the research team.

"Across the developing world, photonic radiative cooling makes off-grid cooling a possibility in rural regions, in addition to meeting skyrocketing demand for air conditioning in urban areas," he told the Stanford Report.

There are still obstacles, of course. The team believes production of the material can be ramped up into rooftop-appropriate sizes, but right now it exists only as a relatively small prototype. Moreover, the researchers are uncertain how to conduct heat from a building's interior to the material so it can be sent into space.

But the scientists are optimistic. After all, the universe is vast and very, very cold: about 3 degrees above absolute zero, to be precise. Radiating our heat directly into space could help solve a number of problems on Earth, Fan told the Stanford Report.

"Every object that produces heat has to dump that heat into a heat sink," he said. "What we've done is to create a way that should allow us to use the coldness of the universe as a heat sink during the day."

@highlight

Stanford scientists create material that radiates heat into space

@highlight

Material is ultrathin and acts as both mirror and infrared radiator

@highlight

If applied to building rooftops, could help lower temperature significantly