(CNN) -- Pea soup. That crucifix. Those stairs.

"The Exorcist" was released 40 years ago to great fanfare.

"This film, when it came out, lived at the very center of popular culture," film critic and author Richard Crouse told CNN. "It was the only thing that people talked about. The speed of popular culture wasn't as fast as it is now. Even a big hit like 'Gravity,' people are excited for a week, excited for two weeks, and then it fades away until awards season comes around. But it wasn't like that in 1973. This movie, for a year, really inked out all available entertainment space."

Crouse, author of the book "Raising Hell," recalled "stories about people throwing up at screenings. Someone sued Warner Bros. because they were so overwhelmed by the movie they passed out, hit their head on the seat in front of them and broke their jaw. And Warner Bros. settled with them. Someone attacked the screen in San Francisco because they thought there were evil spirits inside the screen. Those stories played themselves out over months and months and months and turned the movie into something we're still talking about 40 years later."

Based on William Peter Blatty's 1971 novel of the same name, "The Exorcist" was nominated for 10 Academy Awards and won Oscars for Best Sound Mixing and Best Adapted Screenplay. It remains one of the highest-grossing films of all time, and is also the first horror film to be nominated for Best Picture.

Director William Friedkin (nominated for a Best Director Academy Award), however, never approached the project as a horror film. He saw "The Exorcist" as a story about the mystery of faith.

Set in Georgetown, Washington, D.C., "The Exorcist" tells the story of 12-year-old Regan MacNeil (Linda Blair, who received a Best Supporting Actress Oscar nomination), whose disturbing behavior prompts her mother, Chris MacNeil (Ellen Burstyn, nominated for Best Actress), to seek an exorcism after medical doctors are unable to help her daughter. The story is loosely based on real events.

The book and the movie open during an archaeological dig in Iraq. Friedkin recalled shooting in Mosul.

"It was very rare to be given permission to film in Iraq," said the director, "let along to film on an archaeological dig. Iraq, at that time, was not run by Saddam Hussein, but it was governed by the Ba'athist Party, which is Saddam Hussein's party. They allowed us to come over here and film on the condition that I would use Iraqi people on the crew and train them in film techniques; and, strangely, that we would show them how to make film blood."

The Iraq sequence introduces the exorcist himself, Father Lankester Merrin (Max von Sydow), who is also an archaeologist. The Jesuit priest comes to the realization that he will again fight a demon he has battled in the past.

Friedkin recalled shooting in the northern Iraq desert.

"It would often be 130 degrees by 10:30 in the morning," he said in a commentary on the film's Blu-ray, "and we'd have to stop shooting and then go into our tents until 7:00 at night when we then had four more hours of daylight in which we could film."

Chris, a Hollywood actress filming a movie in D.C., approaches Georgetown University psychiatrist Father Damien Karras (Jason Miller, who received a Best Supporting Actor Oscar nomination), a Jesuit who feels he's lost his faith. He is riddled with guilt over not having been able to better care for his mother who died poor, scared and alone.

Karras, initially skeptical, agrees to conduct the exorcism. Father Merrin is summoned to help and the two work together to exorcise the demon Pazuzu out of Regan.

The scenes that made audiences the queasiest didn't involve green vomit. People were reportedly sickened during the scenes that involved Regan undergoing medical testing in real time. Namely, the arteriogram. That scene was filmed at New York University Medical Center with a real radiologist and his assistant as they went through the step-by-step process of the invasive procedure. Some people in the audience fainted seeing the needle go in as the dye was injected and blood spurted.

The now-famous spider-walk scene, in which Regan descends the stairs in the Georgetown home, initially couldn't be used in the film in 1973 because wires were visible. CGI was used to add the scene for a 2000 theatrical re-release, which included a few other scenes totaling 12 minutes.

The film's other special effects, including the shaking bed and other moving furniture, were rather do-it-yourself. For example, Regan's bedroom set was refrigerated. Air conditioners wouldn't work because they take moisture out, and the point was to visually capture the actors' breath on film.

Von Sydow was only 44 when he played Father Merrin, so makeup artist Dick Smith (who also created Marlon Brando's look in "The Godfather") transformed the actor into the elderly Jesuit who appears onscreen. He also did Blair's makeup, transforming her from cherubic to demonic.

During the shocking scene in which Regan masturbates with a crucifix, a box containing a sponge with Karo syrup and red food coloring was placed between Blair's legs. The child actress didn't comprehend the meaning of the scene until years later.

A mechanical dummy was used for the scenes in which the possessed Regan spun her head 360-degrees. The fake vomit was actually a mix of pea soup and oatmeal. Linda Blair wore contact lenses in a variety of colors and sizes during her character's various stages of possession, including an all-white pair for when her eyes rolled back into her head. When the priests chanted that famous line -- "The power of Christ compels you!" -- Blair's body had to be lifted mechanically. The background was lit with shadows that helped mask the wires, which were painted as a dotted line to break up the color so they blended in.

Armed with a crucifix, holy water, faith (which was slowly beginning to return to Karras), and acting in the name of God, the two priests summon the power of Jesus Christ to drive out Pazuzu.

Weakened by guilt and the demon's hold over his psyche, Karras takes a break. Upon returning to Regan's bedroom, he sees that Merrin has died. Enraged, he begs the demon to take him instead of the child. The demon obliges. Karras throws himself out of Regan's bedroom window, falls down a steep stairway, and is given last rites by Father Dyer (who was played by a real priest, Father William O'Malley), before dying.

The infamous flight of stairs leading down to M Street NW in Georgetown consists of 97 stone steps. During filming, the special-effects team lined each and every step with a half-inch of rubber. The stuntman filling in for Father Karras dove down them twice.

To this day, "The Exorcist" resonates with audiences.

"I think 'The Exorcist' holds up well because it is, first and foremost, a well-crafted film, cannily designed to be upsetting," Michael Calia, a professor of film at Quinnipiac University, told CNN. "But clearly the narrative has a psychological depth and complexity that shakes us up on a number of levels."

It's not just about a demon inhabiting a little girl, but "it's also about the vulnerability of those around her and how badly they are damaged by their having to deal with the possession," explained Calia, who pointed out that Father Merrin best summed up the demon's modus operandi when the priest stated that "the demon's target is not the possessed; it is us ... the observers ... every person in this house."

"The story can shake our understanding of the world and ourselves," Calia continued, "and that's where the film functions on a level beyond mere entertainment."

While the film contains unforgettable images and great scares, Crouse said, "what I think drew people to this movie is it takes you on such a journey where, in the end, good wins out."

The takeaway is that good and evil battle one another out, within everyone, every day.

"Everyone who sees 'The Exorcist' takes from it what they bring to it," said Friedkin. "If you believe in the mystery of faith, in the power of goodness over evil; that is what you will take from the film."

@highlight

"The Exorcist" is about the demonic possession of a girl and the priests who save her

@highlight

Some of the film's scenes are considered just as shocking today as they were in 1973

@highlight

Many people consider "The Exorcist" to be the scariest movie of all time

@highlight

Director William Friedkin, however, did not treat it as a horror film