(CNN) -- Not even the British spy agencies that inspired James Bond can solve the mystery of a secret World War II message recently found on the skeleton of a carrier pigeon in a house chimney.

The meaning of the encoded message apparently died about 70 years ago with the wayward pigeon that David Martin found in his smokestack in Bletchingley, Surrey County, England.

Martin recently discovered the bird's remains with the surprisingly intact message inside a small red canister attached to a leg bone.

The only hope appears to be curators at the Pigeon Museum at Bletchley Park, who are now trying to trace the origins of two alphanumeric identifiers for the pigeon that were also written on the message, the UK intelligence agency GCHQ said this week.

"If they are identified and their wartime service established, it could help to decode the message," the agency said about the pigeon's identity numbers.

To the casual reader, the message is indecipherable.

Hand-written on a small piece of paper labeled "Pigeon Service," the note consists of five-letter words. Those words don't make sense: The jumble begins with "AOAKN" and "HVPKD." In all, the message consists of 27 five-letter code groups.

Read the full encoded message (PDF)

Deciphering the message requires codebooks and possibly a "one-time pad" encryption system, and those materials "will normally have been destroyed once no longer in use," the agency said. There is a small chance that a codebook survived.

"Without access to the relevant codebooks and details of any additional encryption used, it will remain impossible to decrypt," the agency said.

The one-time pad encryption gave the note added security. A random key is used to encrypt only one message.

"The advantage of this system is that, if used correctly, it is unbreakable as long as the key is kept secret," the agency said. "The disadvantage is that both the sending and receiving parties need to have access to the same key, which usually means producing and sharing a large keypad in advance."

Heightening the mystery are three other issues: The message is undated, the meaning of its destination of "X02" is unknown, and analysts can't identify the sender's signature or his unit.

"Unfortunately, much of the vital information that would indicate the context of the message is missing," the intelligence service said.

Coded notes: A whodunit without an answer

The sender's sign-off appears to say "Sjt W Stot," using an abbreviation for "serjeant," an old-fashioned spelling for "sergeant," the agency said.

The use of "Sjt" links the message to the army, the spy agency said.

"If 'Sjt Stot' and addressee X02 could be identified, it could give us a better idea of where to look for the information," the agency said.

About 250,000 pigeons were used during World War II by all branches of the military and the Special Operations Executive, the UK intelligence agency said.

Flying from mainland Europe to Britain, the birds heroically delivered all sorts of messages through a gauntlet of enemy hawk patrols and potshots from soldiers.

"Although it is disappointing that we cannot yet read the message brought back by a brave carrier pigeon, it is a tribute to the skills of the wartime code-makers that, despite working under severe pressure, they devised a code that was undecipherable both then and now," said GCHQ, one of three UK intelligence agencies.

Code talker from World War II dies

@highlight

The skeleton of a World War II carrier pigeon is found in a man's chimney in England

@highlight

A red canister attached to a leg bone holds a coded message UK agency can't crack

@highlight

Meanwhile, a pigeon museum seeks clues in the bird's identification numbers