(CNN) -- China and India need to reach agreement on how they will manage water from one of the world's great rivers -- the Yarlung-Zangbo-Brahmaputra -- before it becomes another serious impediment to relations between the two Asian heavyweights.

Water scarcity already affects large parts of China and India. As their populations grow and income levels rise, forcing up demand for water-intensive food such as meat, the supply situation will worsen. Inevitably, that means tension over water resources.

There is a regional precedent for a bilateral water treaty: bitter rivals India and Pakistan, under prodding from the World Bank, signed the Indus Waters Treaty in 1960 to cover water use from the Indus and five other rivers that flow through the two nations. While far from perfect, the treaty has given farmers and other users in both countries a framework on which they can make crop production and hydropower decisions.

Infographic: The secret life of drinking water

Already, China's construction of a 540-megawatt hydropower dam on the Yarlung-Zangbo, which flows for 1,700 kilometers (1,050 miles) across the southern Tibetan plateau before it enters Indian territory and becomes the Brahmaputra, is cause for concern in New Delhi. The dam, known as the Zangmu, is due for completion in 2015.

While the Zangmu dam is a relatively small project, there is something much bigger on the horizon: a 38,000-megawatt dam at Motuo, near the river's "Great Bend," which potentially could reduce the volume of water flowing into India and Bangladesh. While China maintains that any dams it builds on its part of the river will have little downstream impact, up to 150 million people living in eastern India and Bangladesh could be affected.

Almost half the world's population -- the 3.5 billion people living in Central, South and East Asia -- relies on water from the great rivers that rise in the Himalayas, the Tibetan plateau, and the Tibetan ethnic areas of China.

The way the most important of these rivers -- the Indus, Ganges, Brahmaputra, Salween, Yangzi, Yellow and Mekong -- are used carries the potential for conflict as countries struggle with the challenges of rising populations, pressure on farming and food supplies, diminishing water quality and demand for hydropower.

China has always been prepared to move mountains and people to achieve its economic and social goals. The $25 billion Three Gorges Project, built in the upper reaches of the Yangzi River between 1994-2011, is testament to that.

As many as 1.3 million people were relocated so the dam could be built, both to generate power and as a flood mitigation measure. Its full ecological impact is yet to be determined. Now China is working on its massive $60 billion South-North Water Diversion Project that involves the country's two most important rivers -- the Yangzi and the Yellow -- plus numerous tributaries, canals and other rivers such as the Huai and Hai. It is one of the biggest civil engineering projects conceived anywhere in the world.

First formulated by Chairman Mao Zedong in 1952 as a way to move water from the southern half of China to the dry but heavily populated north, the three-part scheme took its first steps forward in 2002 when work began on the 1,155 kilometer (716 mile) eastern route. This part of the project, scheduled for completion in 2013, will take water from the Yangzi River via channels to Shandong province, and then by a tunnel under the Yellow River and onwards to the coastal city of Tianjin.

Work on the central route began late in 2003. This 1,267 kilometer (785 mile) diversion is designed to take water from a reservoir on the Han River (a tributary of the Yangzi) along new canals on to Henan and Hebei provinces, and finally to Beijing. A trunk line will also serve Tianjin. Long-term, the western route is the one which causes the most concern, as it involves diverting water from tributaries of the Yangzi, including the Tongtian, Dadu and Yalong rivers, across the Bayankala Mountains to the Yellow River, to supply northwest China.

While some experts doubt the western diversion will ever be built because of the massive cost and logistical challenges of tunnelling under a mountain range, China's record in building mega-projects suggests otherwise.

In March this year, Vice-Premier (and likely premier in 2013) Li Keqiang told a State Council meeting that drought and water shortages in the north had held back economic development there. As a consequence, he said, the South-North diversion project was "essential."

In June, China announced it had begun work on a key part of the central route: a $1.4 billion, 45 kilometer tunnel to divert water from the Yangzi river to Beijing. The tunnel should be finished by 2014.

China has always moved faster than India; that's why the time for a water treaty is now.

The opinions expressed in this commentary are solely those of Geoff Hiscock.

@highlight

China, India need to agree on water management of Yarlung-Zangbo river

@highlight

Precedent for this when India and Pakistan signed Indus Water Treaty in 1960

@highlight

Chinese construction of Zangmu dam already causing concern for New Delhi