WASHINGTON (CNN) -- A third of military children surveyed who have a parent deployed in a war zone are at "high risk" for psychological problems, according to a new study by military doctors and researchers.

The study concludes there's a greater chance of family problems upon a military parent's return.

The study, published in the Journal of Developmental and Behavioral Pediatrics, surveyed military spouses of deployed Army soldiers with school-age children, aged 5 to 12. The questionnaire appraised the strain on the family of dealing with a parent deployed to the war zone.

Results found that stress levels were high for children and spouses of deployed troops but also that support networks from military to religious helped mitigate the problems.

The number of children found to be high-risk is more than 2½ times the national level and higher than historical military samples.

The authors surveyed 101 families in what they said was the first such evaluation since September 11, 2001, and the start of the Afghanistan and Iraq wars. Overall, there are more than 2 million U.S. military children, many of whom have parents who have deployed multiple times -- deployments that, for the first time since the Vietnam War, can occur as little as 12 months after returning from a previous deployment.

The study focused on families of active-duty soldiers living on base at Fort Lewis, Washington, and is just a "small snapshot," said one of the authors, Col. Beth Ellen Davis. She is the chief of Developmental Services at Madigan Army Medical Center in Tacoma, Washington.

Davis said that more studies would have to be done to understand the impact on military children in other circumstances, like those with parents in other services, living off-base or in the National Guard, but that the results point to a problem nobody could deny.

"Children struggle when their parents deploy. I don't think anyone will struggle with that," Davis said.

The survey quantified what Davis had seen anecdotally in her work at the hospital.

"My perception in the school-age range and pre-school-age range was that how the at-home parent is doing is most predictive of how the child is coping," Davis said.

Almost half of the spouses surveyed were found to have a high level of stress, which the authors say has a significant impact on their child's ability to cope.

Parents surveyed said their children experienced a number of symptoms including "internalizing symptoms" like anxiety, frequent crying and worrying.

Interestingly, it is the return from deployment that is most stressful, according to three-quarters of those surveyed.

"On reunification, there is excitement, anticipation and relief, occasionally followed by emotional conflict as the service member reintegrates back into the family," wrote the surveyors.

Effects of deployment on families can be seen beyond the Fort Lewis survey.

At Marine Corps Base Camp Lejeune in North Carolina, Gia Ellis' husband is deployed to Afghanistan for the second time. The mother of two said the return home is as stressful as the deployment itself.

"Trying to relinquish some of the responsibilities that we've had to take on and give it back to them," Ellis said last month. She was not a participant in the stress survey. "Letting go is very difficult. Very difficult to share the responsibility with your spouse and, 'Oh, yeah, you're in this family? I forgot.' "

Ellis said that this deployment has been easier on her in part because she is living on the base and has access to a support network of wives and staff.

The strain on families during the reintegration has parallels to families with spouses who travel a lot for business, said Frederic Medway, distinguished professor emeritus of psychology at  the University of South Carolina.

Medway, who has studied the effects of family integration in military and non-military families, agreed with the new study's conclusion that there is a greater chance of family problems when the spouse comes back.

"That is when the husband and wife actually fight and talk about stuff," Medway said. "The service member comes back and doesn't feel a part of it and returns with his own baggage."

Much work still needs to be done to assess how these psychological effects play out over time, Medway said. His studies on families of the first Gulf War found that reintegration problems played out in a period lasting around six months to year.

Medway said that it is hard to compare studies from different wars but that duration does point to a key problem in the current conflicts, since many troops are redeploying after a year, meaning the family never really gets a chance to settle back down.

One surprising result of the new study was what factors were predictors of high-risk impact. Parents with a college education were less likely to have children at risk, and younger parents fared worse. Those with college education who were also employed had significantly less stress, which the study authors suggested could be a result of having access to additional support networks, adult interactions and income to relieve stress.

Length of deployment, military rank and children's age did not have an impact.

Medway said that one reason for the effect of education could be that those in lower social classes tend to deal with more mental health and marital issues in general.

"How far is the rubber band going to stretch?" Medway asked. Pre-existing problems are compounded by deployment.

Davis, co-author of the Fort Lewis-based survey, said that what the study revealed was that those feeling the brunt of the stress were younger families, which are the bulk of enlisted soldiers.

"What comes with enlistment is usually junior-ranking high-school graduates getting by enough to support a family but often times not (to) support child care outside the home," Davis explained. That demographic has higher stress because they lack support networks.

Davis said the study highlights the need to understand the impact of deployment on these at risk groups and make sure they have the support they need and "not assuming that everyone has the same needs."

She noted that there are resources for families and that more effort is being made to reach out to those who most need help "whether they ask for it or not."

@highlight

Study: Third of kids with a deployed parent at "high risk" for psychological problems

@highlight

Families with older parents and those with college degrees fared better

@highlight

Survey looked at 101 families; researchers say it's the first evaluation since 9/11

@highlight

More than 2 million U.S. kids have a deployed parent