(CNN) -- There's nothing like images of infants and children in distress to make outsiders yearn to help, which is why the unfolding story of Haiti's orphans -- the most  helpless of earthquake victims -- has kept people riveted.

But what can be done and what should be the focus of attention and efforts remains a mystery to many Americans, who are flooding the phone lines of organizations, seeking to adopt these children -- immediately.

The offer to open arms, hearts and homes is no doubt well-intentioned, but several leading aid organizations recently said new adoptions should stop and not be rushed. They want to protect children wrongly identified as orphans from being moved out of the country or falling victim to child traffickers.

To help people understand what is and what can be, here are the facts as they stand right now:

Understanding the numbers

In 2007, the United Nations Children's Fund, or UNICEF, estimated that there were 380,000 orphans in Haiti. But -- emphasis on "but" -- that number is rough at best, said Christopher de Bono, a UNICEF spokesman.

The oversight of children in the system has been lousy in Haiti, de Bono said, and parents -- burdened by hardships -- have been known to leave their children in orphanages on a temporary basis. So determining who was truly orphaned before the earthquake was next to impossible.

Despite the large number of orphans, as of last summer, Haiti had only about 100 licensed orphanages and 67 crèches (orphanages licensed to perform adoptions), according to the Haitian Adoption Authority, or IBESR. Orphanages generally have no more than 150 children, according to adoption officials in the United States. This means most kids described as orphans in Haiti have not been housed in licensed establishments.

Add to this the recent chaos and inevitable loss of documentation, and nailing down an accurate number of orphans becomes even more difficult.

Since the 7.0 earthquake struck two weeks ago, 497 Haitian orphans have been evacuated to the United States, according to Tuesday's figure from a U.S. State Department official. These were children confirmed to be orphans and already far along in the adoption process with identified families waiting for them.

In total, 500 orphans had been issued travel documents to go to the United States, said Kathleen Strottman, executive director of the Congressional Coalition on Adoption Institute, a Washington-based nonprofit organization that works to raise awareness about children worldwide in need of homes. Strottman estimates more than 900 orphans -- including more than 400 who don't yet have travel documents -- were in the process of being adopted from Haiti and placed in American homes.

The actual match between family and child, she says, happens early in the two- to three-year adoption process, which is why this limbo stage is so painful for families who cling to photos of a child they've already grown to love.

Should doors open to more children?

Late last week, three aid groups -- Save the Children, World Vision and a unit of the British Red Cross -- issued a joint statement, asking for an immediate halt to any new adoptions of Haitian children.

The crux of their argument was that hasty adoptions could break up families that may still have a chance of coming together again.

Rather than whisk these children off to a foreign land, which might create a new set of problems for already traumatized young ones, these organizations, as well as many advocates in the adoption field, said the children should be cared for where they are -- provided with food, shelter, clothing and medical care -- and given the chance to reunite with family members who may be frantically searching for them.

It's better to give to the organizations that are on the ground, looking out for the welfare of kids, they say.

UNICEF released a statement last week echoing this stance and saying that efforts to register unaccompanied children are under way.

"Every effort will be made to reunite children with their families. Only if that proves impossible, and after proper screening has been carried out, should permanent alternatives like adoption be considered by the relevant authorities," said Ann Veneman, UNICEF's executive director. "Screening for international adoption for some Haitian children had been completed prior to the earthquake. Where this is the case, there are clear benefits to speeding up their travel to their new homes."

Added to the concern for these children are fears of increased trafficking and sexual exploitation. Before the earthquake, UNICEF estimated that as many as 2,000 Haitian children were being trafficked annually to the Dominican Republic, which shares the island of Hispaniola with Haiti, often with the consent of parents.

These worries, and the desire to rejoin children with their loving family members, are not lost on U.S. lawmakers who came out Tuesday in support of a more efficient adoption process for Haiti. No one wants to tear children from the waiting arms of family members, nor do they want to place kids in danger.

But for those who are "true orphans," Sen. Mary Landrieu, D-Louisiana, and other senators from both parties, are throwing their political weight behind the issue. They say it's time to cut through the red tape that slows down the adoption process and drags it on for years -- for the sake of verified orphans living in Haiti, but also for those who span the globe and will still need loving homes after the media coverage surrounding Haiti's earthquake dies down.

These lawmakers are pushing this week to get the Families for Orphans Act out of a Senate committee and onto the floor for a vote. The bill would create an office in the State Department to specifically handle adoption issues and look out for the best interests of the world's most vulnerable children.

The stance of the Haitian authorities, though, appears unbending.

"The Haitian government is very clear on this," said Marie-Laurence Jocelyn Lessgue, the communications minister. "We are facilitating all of the adoption applications already submitted. Other than those, no child will be leaving the country for adoption."

@highlight

Images of Haitian infants and children in distress keep world watching and worried

@highlight

Calls from families hoping to adopt Haitian orphans flood phone lines

@highlight

Aid agencies explain why hasty adoptions are dangerous and offer advice on how to help

@highlight

U.S. lawmakers step in, trying to make adoptions more efficient