London (CNN) -- You could call it the humanoid robot's more curvacious cousin.

Slithering into confined spaces, tackling tasks too difficult or dangerous for humans, the Snake-arm robot can "reach the unreachable" say its UK inventors, OC Robotics.

Managing director Rob Buckingham and technical director Andrew Graham developed their first prototype in 2001 from their base in Bristol, England, and they've been perfecting the technology ever since.

Today, with clients in the nuclear sector and others queuing up for a demonstration, the hard work is beginning to pay off.

The technical challenge has been finding a way to channel energy into the snake-arm, Buckingham says.

"Just like the human arm, the big muscles that drive them are actually mounted on the back and tendons link the muscles to the joints," Buckingham said.

"Basically, we've taken that principle to an extreme and use wire ropes as tendons and all the motors (actuators) that control the arm are at the base of the robot," he added.

Made of steel, these "wire ropes" transfer the actuators' mechanical power into the snake-arm, where a series of articulating links create a sinuous movement.

They can be made to various lengths, but the width is crucial to the robot's functional efficiency.

"Our rule of thumb is 30 to one (a length 30 times the diameter) is good for a robot that can do quite a lot of work," Buckingham said.

The arms themselves are delivery mechanisms, Buckingham says, for a range of tools which can be fitted to the tip.

Video cameras, lights, tack welding, cutting, gripping and swabbing gear are just a few of the tools OC Robotics has built, and all can be routed through the snake-arm's hollow core.

Both the arm and the tools are controlled by a human operator who uses nothing more complicated than a computer screen and a control pad borrowed from a video games console.

Test your skills on the Snake-Arm Simulator

"You're not removing the person completely, but they are working much more safely. That's what we've seen in the nuclear sector," Buckingham said.

In 2004, OC carried out a complex maintenance job on a reactor in Sweden and last year, it successfully inspected a reactor in Ontario, Canada.

"It's getting to the stage where our technology is quite mature," Buckingham said, "and we're looking for partners and customers who will actually grab hold of the opportunity."

His wishes may soon be granted.

Earlier this year the company demonstrated a 2.5 meter snake-arm fitted with swabbing, scooping and radiological probe tools to Sellafield, the UK's primary nuclear decommissioning company.

"I have to admit that when I went down to see it I was a lot more impressed than I expected to be," said Phil Reeve, head of strategy and technical for Sellafield's decommissioning directorate.

"We have places which ideally we don't want to put people into and we don't want to make big openings either -- we have situations where we want to know what is on the other side of a four-feet concrete wall," Reeve said.

"If we've got something that can go in and is sufficiently dextrous to maneuver around obstacles and can get out again then it potentially has some big advantages," he added.

The savings could run into millions of dollars, Reeve believes, but clearly there are more important things at stake.

"If we can reduce the number of times that somebody has to put on a plastic suit in hazardous environments then there's a huge benefit in that which goes beyond (money)," Reeve said.

Buckingham is hopeful the company can help with the cleanup operation at the stricken Fukushima Daiichi nuclear power plant in Japan. An offer has been made he says, but as yet, no reply has been received.

In the meantime, other industrial partners are being sought. Aviation giants Airbus and Boeing are looking at how the technology might aid inspection of the confined spaces inside wings and fuselages during the manufacturing process.

Demonstrations have also been requested by both U.S. and UK government defense agencies into how the snake-arm could enhance remote vehicle inspection.

Doctors and patients may also be beneficiaries in the future too as OC Robotics works on a snake-arm which could one day perform natural orifice surgery.

"Our prototype signals a direction of travel and is a milestone towards exploring a new surgical paradigm," Buckingham said.

@highlight

Snake-arm robot aims to "reach the unreachable" according to UK creators

@highlight

Nuclear industry has used the equipment for maintenance and inspections

@highlight

OC Robotics says robot could help cleanup at Fukushima power plant in Japan

@highlight

Robot could be used for open orifice surgery in the future