Washington (CNN) -- Shaun McCutcheon is an electrical engineer by trade, but grassroots politics may be his true passion.

The Alabama native has worked for years with his local Republican Party in Birmingham, and is chairman of Conservative Action Fund, a so-called "super PAC" that "promotes conservative Republicans' time-proven messages and effective solutions."

McCutcheon's success in business and a willingness to put his money into GOP coffers has put him at the center of a politically tricky Supreme Court fight over federal campaign donations.

Oral arguments in the case will be heard on Tuesday, a day after the court begins its new term. The government shutdown is not expected to affect the court's normal work schedule.

At issue is whether strict limits on direct campaign contributions by individuals -- in the Federal Election Campaign Act -- violate the First Amendment.

A ruling by spring could have an immediate impact on the congressional midterm elections next November, and be another blow to existing federal election laws.

The appeal from the 46-year-old owner of a Tuscaloosa-based company is supported in court by the Republican National Committee.

They object to a 1970s Watergate-era law restricting someone from giving no more than $48,600 to federal candidates, and $74,600 to political action committees, during a two-year election cycle -- for a maximum of $123,200.

Church and state, executive power on Supreme Court docket

McCutcheon says he has a constitutional right to donate more than that amount to as many office seekers as he wants, so long as no one candidate gets more than the $2,600 per election limit.

He supports those individual controls, but "what doesn't make any sense is that you can only give that amount of money to a few candidates, because somehow my giving money to (U.S. Rep.) Martha Roby of Alabama could corrupt (former Rep.) Allen West of Florida. That's just nutty, but that's what the powers-that-be want: to prevent folks who want to get involved from having the same ability to get involved and support candidates that big union PACs have."

Political speech or not?

McCutcheon equates his donations to "core political speech."

But backers of continued congressional regulation do not see it that way.

"The reason we have limitations on the dollars an individual can give is to create some sense of fairness, so that if we do have a campaign finance system driven by donations, we have as many opportunities for as many people as possible to participate," said Robert Zimmerman, a prominent Democratic fundraiser.

"That's why there are limitations, so that everyone has an equal or fair voice in the process. Not only are our elections being put up for auction, these donors are making an investment in the democratic system for their own agenda and we taxpayers have to foot the bill," he said.

Zimmerman, too, lives and breathes politics and is a member of the national party's finance team, helping raise about $500,000 for President Barack Obama's re-election effort.

Fundamental debate

A special three-judge federal panel in Washington earlier rejected McCutcheon's appeal.

The competing arguments are stark: supporters of campaign finance reform say current federal regulations are designed to prevent corruption in politics. Opponents said it would criminalize free speech and association.

The current case deals with direct political contributions. A separate 2010 high court case dealt with campaign spending by outside groups, seeking to influence federal elections. There, the conservative majority -- citing free speech concerns -- eased long-standing restrictions on "independent spending" by corporations, labor unions, and certain non-profit advocacy groups in political campaigns.

The so-called "Citizens United" ruling helped open the floodgates to massive corporate spending in the 2012 elections. It also led to further litigation seeking to loosen current restrictions on both the spending and donation areas.

The three-year-old ruling also put corporations on the same free speech footing as wealthy individuals, who have long enjoyed the ability to spend freely on behalf of federal candidates.

That and a subsequent decision from a federal appeals court in Washington have led to a proliferation of so-called "super PACs"-- separate political action committees that can raise and spend unlimited amounts of cash from businesses, unions, and advocacy groups.

These super PACs are independent political organizations operating as "527s," named after the tax code governing their operation. They cannot contribute directly to a federal candidate or political party.

Limits on direct contributions to candidates by corporations and individuals remain in place, the focus in part of the current McCutcheon appeal.

Some political experts say a ruling in favor of increased, or even unlimited, aggregate individual donor contributions could put party committees and political action committees on a greater competitive track with the "super PACs."

All PACs are organizations that campaign either for or against candidates, legislation, or ballot measures. The difference is in how they are organized for regulatory and tax purposes, and by the amounts of money they are allowed to spend.

Regular PACs may also give limited donations to federal candidates and political parties, while super PACs cannot.

Legal, political fallout

If they win at the high court, wealthy donors like McCutcheon -- whether Democrat, Republican, or Independent -- could in theory contribute a maximum $3.6 million to the national and state parties, and the 450 or so Senate and House candidates expected to run in 2014.

Key for the conservative majority court is whether the current law has a permissible goal of preventing political corruption or the appearance of it. And both sides of the legal fight have entrenched views on that.

"Limitations on a citizen's First Amendment rights cannot be drawn to target the most outlandish hypotheticals that interest groups can conceive," said the National Republican Senatorial Committee and National Republican Congressional Committee in a legal brief. "Especially where those interest groups have an interest in manufacturing the 'appearance' of corruption that this court has held can justify campaign finance regulation."

But those who want current controls to remain in place say if aggregate contribution limits to candidates or parties disappear, it would make it easier for the money to get routed by party leaders into other close races nationwide.

"If the court continues in the direction of Citizens United," said Sen. Elizabeth Warren (D-Massachusetts) in a recent speech sponsored by the progressive Constitutional Accountability Center, "we may move another step closer to neutering Congress' ability to limit the influence of money in politics and another step closer to unlimited corporate contributions given directly to candidates and political committees."

What is the impact?

Another point of contention is whether the aggregate spending limits are really having a pervasive effect, or only involve a relative few well-heeled givers.

Figures from the Center for Responsive Politics for the 2012 race showed about 600 donors leveraged their money to each give the maximum of about $48,000 total -- benefitting no more than 17 presidential or congressional candidates. Almost 1700 contributors forked over the maximum limit to party committees, which added up to more than $100 million. Loosening those limits, say opponents of the law, would benefit wealthy liberals and conservatives equally.

But the Supreme Court has never in its history overturned a federal contribution limit.

"Now imagine that overall contribution limits are struck down. Presidential candidates in 2016 could solicit and each of these donors could contribute as much as $1.2 million to their joint fundraising committees" said Fred Wertheimer, founder and president of Democracy 21, a longtime activist on campaign spending reform. "It may well open the door to striking down all of the remaining contribution limits, taking us back to the robber-baron era."

The presidential campaigns of Obama and his Republican opponent Mitt Romney were able to create joint fundraising committees and, working with their respective parties, pool fundraising resources. That meant those campaigns were able to solicit contributions to the maximum $70,800 per donor.

Wertheimer says an end to contribution limits would be an "unmitigated disaster."

But McCutcheon argues that characterizing the legal fight as between "good" and "bad" simply blurs the truth.

"Getting rid of the aggregate limits is not about corrupting democracy-- it is about practicing democracy," he said. "This case is about freedom-- your freedom and my freedom-- to express ourselves openly and fully within our political system. And if there is one thing that we Americans believe with all our hearts, it is that freedom never corrupts."

The case is McCutcheon v. Federal Election Commission (12-536).

@highlight

Alabama man active in GOP politics at center of tricky fight

@highlight

At issue is whether strict limits on individual campaign contributions violate the First Amendment

@highlight

A ruling by spring could have an immediate impact on the congressional midterm elections

@highlight

"Citizens United" decision dealt with contributions from businesses