(CNN) -- The flagging economy has been the clear-cut No. 1 issue for this year's presidential race.

But some other concerns are just timeless.

"Don't underestimate the pull of safety and security in the minds of American voters," said Candy Crowley, host of CNN's "State of the Union" and moderator of last week's presidential debate. "There is no issue closer to home and hearth than the safety and security of your family. That is the most basic question the federal government has to answer."

President Obama and Republican challenger Mitt Romney face off Monday night in the last of the three presidential debates, and they will be looking to convince voters that they can protect America and American interests abroad better than their opponent.

Foreign policy will be the focus in Boca Raton, Florida, and there is plenty to talk about. There's an ongoing war in Afghanistan, civil war in Syria and a tense standoff between Iran and Israel. Terrorism is still an issue, as evidenced by the recent embassy attack in Libya. And then there is a perceived threat from China.

Whoever wins this election will have to make decisions on all of these global issues -- issues that might affect you personally.

Here's a look at these likely debate topics and what's at stake for Americans.

Afghanistan: Will the war really be over soon?

Obama has promised to withdraw combat troops in Afghanistan by the end of 2014, 13 years after the war began. Romney has said he would generally abide by the deadline, although he said he would solicit the advice of military commanders first.

The plan, already under way, is to withdraw troops while gradually handing over power to Afghan forces.

But the feasibility of that plan is being questioned after some recent setbacks, including a rise in "green-on-blue" insider attacks.

"Insider attacks are particularly worrying because they call into question the most critical pillar of the Obama administration's Afghanistan strategy, which is to train and build a capable and credible Afghan force that can maintain security and prevent the return of the Taliban and al Qaeda after foreign troops' departure in two years," said Ahmad Majidyar, a senior research associate at the conservative think tank American Enterprise Institute. "Training and mentoring requires close partnership and is impossible without trust."

5 things to watch in tonight's debate

Will Afghanistan be ready by the end of 2014? Or will more U.S. troops be needed longer to oversee security and ensure a successful handoff?

Polls have shown that most Americans are tired of the war. A CNN/ORC International survey from March indicated that only 25% of Americans favored the war, and 55% said the U.S. should remove all of its troops before 2014.

"We cannot fight wars by polls," Defense Secretary Leon Panetta said in response. "If we do that we're in deep trouble. We have to operate based on what we believe is the best strategy to achieve the mission that we are embarked on. And the mission here is to safeguard our country by ensuring that the Taliban and al Qaeda never again find a safe haven in Afghanistan."

Iran: Are we nearing the 'red line'?

While the U.S. tries to end one war, it is trying to prevent another.

There are fears that Israel might stage a pre-emptive attack on Iran's nuclear facilities, drawing the U.S. into conflict. Or that the U.S. might be the one to attack to protect its ally Israel.

Iran insists that its nuclear program is for peaceful purposes, but Israel and many Western leaders believe Iran is trying to build atomic weapons.

At the U.N. General Assembly last month, Israeli Prime Minister Benjamin Netanyahu said: "It's not a question of whether Iran will get the bomb. The question is at what stage can we stop Iran from getting the bomb."

This "red line" is under dispute. Experts and policymakers differ about the time Iran would need to develop a nuclear weapon. But the clock is ticking.

13 reasons to watch the last debate on CNN's platforms and nowhere else

"America wants to resolve this issue through diplomacy, and we believe that there is still time and space to do so," Obama said. "But that time is not unlimited.

"Make no mistake, a nuclear-armed Iran is not a challenge that can be contained."

Romney agrees, although his red line might be sooner than Obama's. Israel is also taking a much more urgent approach.

"Just imagine Iranian aggression with nuclear weapons," Netanyahu said at the U.N. "Who among you would feel safe in the Middle East? Who would be safe in Europe? Who would be safe in America? Who would be safe anywhere?"

Syria: Should America step in?

The Arab Spring has seen dictators fall as fledgling democracies try to find their feet, but one country, Syria, is still mired in civil war.

Every day, there are more reports of bloodshed and the humanitarian crisis worsens. Thousands of Syrians are dead, and more than a million people have been displaced as rebels battle the regime of President Bashar al-Assad.

"Americans are understandably reluctant to become embroiled in another war in the Middle East, but as the situation in Syria continues to deteriorate, the costs of standing on the sidelines -- in terms of human tragedy, regional instability, and rising extremism -- are growing," said Isobel Coleman, a senior fellow for U.S. foreign policy at the Council on Foreign Relations. "At what point does your cost-benefit calculation tip toward greater U.S. intervention?"

Syria's key role in the heart of the Middle East means there might be long-term geopolitical consequences at stake.

CNN/Google Campaign Explorer: Ads, money and travel

Many analysts see the conflict as a proxy war between Iran and its Sunni Arab rivals in the region, between Iran and the United States, and even between the United States and Russia. There are also concerns that Syria could devolve, like Iraq once did, into a bloody, sectarian battle that could further destabilize the region.

And any time you talk about instability in the Middle East, there are worries about al Qaeda and other hard-line militants filling any power vacuums or failed states.

One thing's clear, says CNN's Fareed Zakaria: Syria's neighbors are getting worried.

"Syria's problems will not stay confined to Syria," he said. "Syria is a multi-sectarian society with shared identities with groups in other countries. As a result, the sectarian tensions that are being unleashed there are also spilling over from Syria's borders."

Terrorism: Bin Laden's dead. Now what?

Osama bin Laden was killed on President Obama's watch, and al Qaeda's been significantly weakened over the past decade.

But last month's attack at the U.S. Embassy in Libya -- an attack that killed four Americans, including U.S. Ambassador Christopher Stevens -- shows that terrorists can still pose a threat.

Obama has been criticized for security failings at the embassy and for not having enough intelligence about the attack, especially in the immediate aftermath. Former House Speaker Newt Gingrich said the tragedy reflects the president's foreign policy failings.

"If we can't figure out what went on in a relatively open city in a country we had helped liberate, why do we think we know what's going on with Iran's nuclear program?" the former House speaker said on CNN's "State of the Union."

Romney's new debate strategy

Obama has taken an aggressive approach to pursuing al Qaeda terrorists abroad, and he's authorized six times as many drone strikes as his predecessor, according to CNN national security analyst Peter Bergen.

But will voters see the Benghazi attack as an indictment of his anti-terrorism efforts? Or will they consider it a tragic exception?

China: A different kind of threat

China has been accused of anti-competitive trade practices that are undercutting U.S. industries and handicapping the American economy.

"One of the ways they don't play by the rules is artificially holding down the value of their currency," Romney said last week. "China has been a currency manipulator for years and years and years."

By keeping the value of its yuan low compared to the dollar, China makes its goods cheaper (and more attractive) to American consumers while U.S. goods are more expensive to Chinese consumers. That, of course, directly impacts American businesses and jobs.

Obama has been applying pressure behind the scenes, said Adam Hersh, an economist at the Center for American Progress Action Fund, and China has raised its exchange rate nearly 8% from 2010 to April 2012. Other economists, however, think the yuan is still undervalued.

Another way China directly the U.S. is that it is one of America's leading creditors. There is concern that because China owns so much U.S. debt, it might hold too much sway over what the U.S. wants to do in the future.

CNN Electoral Map: The Race to 270

"A nation with our current levels of unsustainable debt ... cannot hope to sustain for very long its superiority from a military perspective, or its influence in world affairs," Adm. Michael Mullen, former chairman of the Joint Chiefs of Staff, said last month.

A recent poll shows that the public is divided about what to do about China. Should the U.S. be tougher on Beijing or try to build a stronger relationship?

But a large majority in the poll say the U.S. debt with China is a very serious problem, as is the loss of U.S. jobs to China and the U.S. trade deficit with China.

So even if tonight's debate is about foreign policy, expect the economy to make a cameo.

7 foreign policy questions you would ask

CNN's Jamie Crawford, Peter Hamby, Ashley Killough and Paul Steinhauser, and CNNMoney's Jeanne Sahadi, contributed to this report.

@highlight

Foreign policy is the focus of the third and last presidential debate Monday night

@highlight

Safety, security have always been important issues to the American public

@highlight

Decisions on Afghanistan, Iran, Syria might have a major impact on the military

@highlight

China's policies are having a direct effect on U.S. economy, jobs