NEW YORK (CNN) -- Twelve-year-old Francisca Abreu was anxious. It was February 20, 2007, and she laid her head down on her desk in her seventh-grade science class.

Trapped between two worlds, Francisca Abreu became depressed. At 12, she says she wanted to kill herself.

"I was crying; I was very depressed. I had written a note to myself," Francisca remembers. "I just said I can't do this anymore. I want to kill myself."

Francisca's school called home, and her mother, Isabel Valdez, learned for the first time that her daughter was in serious trouble.

"I never told her," says Francisca. "I never bothered her; she probably never bothered to notice."

Such a disconnect between mothers and daughters is what Dr. Luis Zayas, a psychologist at Washington University, suspects is leading an alarming number of Latina teenagers to want to end their lives.  One out of every seven Latina teens, or 14 percent, attempts suicide according to a 2007 Centers for Disease Control and Prevention survey of high school students. And Latina high school students have higher attempted suicide rates than white non-Hispanic (7.7 percent) or black non-Hispanic (9.9 percent) girls their age, the CDC reports.  Zayas has spent the last 25 years trying to find out why. He says the typical Latina teen who attempts suicide is 14 or 15, the daughter of immigrant parents, lives in a low-income setting and is caught in an intense battle with her mother over Latino and American cultures.  Research conducted by Zayas has found the girls' parents hold strictly to traditional Latino values, while teens who grow up in America learn "very different models about what girls should do, can do and are permitted to do."

Zayas is nearing completion of a five-year study of more than 200 Latina teenagers who live in New York City. More than half of those studied have attempted suicide, including Francisca Abreu, who is now 15.  Francisca talks about falling into a deep depression »

In 1997, Francisca's mother, Isabel, left the Dominican Republic for the promise of work in the United States. Desperate to find a better life for her three children -- she left them behind. Francisca, who was 3 at the time, says she was devastated.

"I used to tell her, you always say you're going to come but you never do. You always say you're going to call but you never do," Francisca says. "I used to be very depressed because I thought she wasn't going to come."

Four years later, Isabel went back to get Francisca and her brothers to bring them back with her to the United States. But Francisca says life with her mother in the Bronx wasn't what she thought it would be. Her mother worked three jobs, and Francisca barely saw her.

As she spent time with her new American friends, the distance grew between Francisca and her mother. When her mother wasn't at work, Francisca says they were fighting.

"There are many girls who are well-behaved," Isabel says. "But there are others who are on the wrong path. They like to flirt. They like hanging out. They like to stay out late. These are not the friends I like for my kids."

Francisca says her mother wanted her to stay home, learn how to cook and clean the house. She says she wasn't allowed to hang out with her friends.

"I did want to do what I want, be outside, not too late, but be outside period. Be able to go to the pool, regular stuff like other kids," Francisca recalls.

The conflict between mothers and daughters is what Zayas says is driving many of the Latinas he has studied to the brink. Francisca reads her poem

"Teenagers have certain freedoms; they don't need to consult with their parents to make certain decisions," Zayas says. "That's the culture that's here, and inserted in that is the Latino family that says the family is much more important than the individual."

Trapped between two worlds, Francisca says she fell into a deep depression.

"I would cry about my dad, not being with him. How I missed my country. How I wish I wasn't like this with my mom, or my mom wasn't like this with me," Francisca recalls. "Like she wouldn't be mean to me, [she'd] tell me mean stuff like 'I wish I could put you back in my belly. ... I wish you weren't born.' "   Isabel says she remembers a difficult child who wouldn't open up.

"She would throw things, stomp her feet. When she got home, all she wanted to do was sleep. She didn't talk and was rude to her brothers and me," Isabel says. "Maybe I wasn't very understanding with her. I don't know."

Trying to escape the pain, Francisca made a desperate choice and decided to take some of her mother's pills.

"I was tired of being another burden in my mom's life," Francisca says.

But the pain didn't go away. A year later, Francisca was admitted to a psychiatric hospital after a teacher found the note she wrote at school. Three days later she was released and started counseling.   Several weeks later, Francisca met 15-year-old Xavier Cardona at school. She says their connection was instant.

"The first time we were ever together, he hugged me, and I felt like, 'Oh my God, that felt so good.' I felt so safe, I felt secure," Francisca says. "It felt good to have someone hug you that way with such meaning."

Breaking all her mother's rules, she skipped school to spend time with Xavier. Then, two days after her 14th birthday, Francisca came home with devastating news -- she was pregnant.

"I felt like I was going to die," Isabel remembers. "I was embarrassed when it came to the rest of the family. What were they going to say? That I was the one who didn't take care of her?"

In November, Francisca gave birth to a baby girl. She named her daughter Destiny, and slowly she says she began to understand her mother better.

"All she did was be a good mother, sacrifice her life for us," Francisca says. "That's all she did."

Today with the help of therapy, Francisca says she's learning to cope with her depression. In June, she shared her experiences about growing up Latina at a fundraising gala for her counseling center. Before hundreds of people, she thanked her mother.

"I came to this country not knowing the language, the people or how it is here," Francisca told them. "But at the end of the day, my mom was my biggest support."

Francisca says she now understands her mother, and Isabel says she understands the struggles of growing up Latina in America.

"At least now she knows I tried to do the best I could," Isabel says. "Times change. My times are different from hers, and I have to understand that."

@highlight

At 12, Francisca Abreu says she was so depressed she wanted to end her life

@highlight

One in seven Latina teens attempts suicide, according to the CDC

@highlight

Mother-daughter conflict drives many Latinas to the brink, psychologist says

@highlight

Psychologist: Typical at-risk Latina is 14 or 15, daughter of immigrants, low-income