Gaza City (CNN) -- It's the hardest question in Gaza.

In the twilight hours of Saturday, when the people of Gaza were breaking the daily Ramadan fast, fireballs illuminated the night sky.

The Israeli military was intensifying its assault on Gaza militants in the Shaja'ia neighborhood near Gaza City. The battle had only just begun.

As dawn broke Sunday, some barefoot, many looking dazed and haggard flooded from their smoldering neighborhood.

Thousands walked along sidewalks, packed into cars, and piled onto donkey carts with only what they could carry: Some clothing, a bit of food. Most just had clothes on their backs.

When CNN put this question to one Shaja'ia resident, with his family in tow, he broke into tears.

"Where are you going? I just don't know," he replied.

Nearby explosions prodded the family forward into the unknown.

A barrage of rockets

Gaza militants respond with a barrage of rockets.

Another fleeing family waited for a car to ferry them to safety, but one member was missing.

"My mother refused to leave," said Sameh Grega. "She told me to leave her to die, but I will try to go back."

A temporary cease-fire later gave a CNN crew a glimpse of the inferno being fled.

For many of those able to make it out, their destination will be the United Nations schools that have been turned into centers for those displaced.

By Sunday afternoon, at least 81,000 people had arrived at 61 U.N. schools, and the number was likely to rise.

It's the largest number of internally displaced Gazans since Israel pulled out of the coastal strip in 2005.

A human surge found its way to the UN-run Rimal Girls School. The classrooms overflowed with civilians moving quickly without direction around the compound.

The schoolyard is also a place for the latest news from home.

One man found out his brother had been killed. No information yet about other members of his family.

When word came that the shelter was full, rumors of a nearby school with space sent a stampede of families off again into the unknown.

More than 60 killed

For hundreds of Shaja'ia's residents, safety never came. The lucky ones received a ride to a hospital. The Ministry of Health put the neighborhood wounded at more than 400. More than 60 were killed.

"There are more women and children this time around and the doctors are shocked and depressed," said Samantah Maurin with international aid group Doctors Without Borders.

Maurin pointed to the lack of medical supplies which she describes as "chronic and becoming more acute."

Officials at the hospital braced for an influx of injuries they know will come from Shaja'ia.

"Many people are underground," said Dr. Nassar El Tatar, general manager of Shifa Hospital. "We could not reach those people to extract them and there are surely dead people and wounded people and others will die if we can't get to them."

To retrieve those stuck in Shaja'ia, the International Committee of the Red Cross called for a ceasefire.

For a moment the guns fall silent over Shaja'ia.

Pleas for help

Entering the densely populated neighborhood of roughly 100,000 residents, a CNN crew found a woman pleading for help.

"My son is in the house," said Amira Hillis. "He's wounded. I called the Red Cross, I called for an ambulance but no one came. Can you help?"

On one street, a twisted pile of metal lay on the side of the road. Only the burned frame of a steering wheel revealed that it was any type of vehicle at all.

In front of it was another ambulance -- its windows blasted out and its back door ajar. Bandages spilled into the rubble-strewn street.

Debris was everywhere. Every window was shattered. Glass, pavement, and leaves mixed with gasoline. Snapped power and telephone lines hung from crooked poles. The smell of death mingled with the fumes of fuel.

Paramedics rushed one motionless body away on a stretcher.

A steady stream of ambulances rushed in and out of the shattered neighborhood, sirens wailing.

A sense of urgency

A sense of urgency gripped the remaining fleeing residents who refused to stop long enough to talk. They were on edge, alert for the presence of any nearby Israeli soldiers.

A local journalist whispered, "Don't stay long. It's not safe here."

He saw two men armed with AK-47 assault rifles slink away with purpose.

The four-hour truce was shaky at best and at one point, it was said to have collapsed. It ultimately was extended until 5:30 p.m.

Bassam, a young father holding his 1-year-old daughter, Hala, said he was going to take his family to a nearby U.N. school. But a man interrupted.

"It's full, It's full," he shouted.

Bassam, like many others, then had to ask himself Gaza's toughest question, where would he go?

Netanyahu: Israel seeks 'sustainable quiet' with Gaza

Life in Gaza: Search for safety, or wait for destiny

@highlight

For residents fleeing violence in one neighborhood, there are almost no options

@highlight

A CNN crew got a glimpse of the inferno being fled in Gaza

@highlight

Local schools acting as emergency shelters are overwhelmed

@highlight

"Don't stay long. It's not safe here," a local journalist tells CNN crew