Islamabad, Pakistan (CNN) -- Desperation erupted into violence Tuesday in flood-ravaged Pakistan as survivors who have yet to receive aid scrambled to put food in their empty bellies.

People in Sindh province blocked a highway to protest the slowness of aid delivery and clashed with police, the United Nations said. In a hard-hit district of Punjab, hungry mobs unloaded two aid trucks headed to a warehouse. Local aid agencies reported other incidents of looting.

An aid agency worker said distributions were hampered because of the crowds stopping the convoys and because large numbers of people were living along the road.

About 20 million people have been affected by the relentless monsoon rains that began falling three weeks ago, leading to massive flooding from the mountainous regions in the north to the river plains of the south.

See high resoulution images of disaster

About one-fifth of Pakistan is submerged, and entire families waded through filthy water, pleading for help.

More than 1,400 people have died. Health officials fear a second wave of fatalities from waterborne diseases, including cholera, which is endemic in Pakistan and now threatening to become a major outbreak.

Up to 3.5 million children are at high risk of cholera and other deadly diseases like typhoid and dysentery, said Maurizio Giuliano of the United Nations' humanitarian affairs office.

About 900,000 homes have been damaged, and the monsoon season is only about halfway over.

Water is the villain here but can also be a savior: The only recourses from waterborne illnesses are clean water and medical care, but both are in short supply.

The United Nations has called for $166 million for clean water and medical care but has received only $25 million.

The World Bank has committed about $900 million at the request of the Pakistani government. According to a statement, funding will come from the bank's Fund for the Poorest through reprogramming of currently planned projects and reallocation of undisbursed funds from ongoing projects.

The overall global response has not been nearly enough, according to an International Rescue Committee-chaired consortium called the Pakistan Humanitarian Forum.

About $150 million had been received from nations around the world by Monday, the group said in a statement, but much more is needed.

"The international response to the disaster has been too small to even begin to effectively address the needs of survivors," said Tammy Hasselfeldt, the country director of the International Rescue Committee. "The most urgent priority is to ensure that safe water as well as medicines are available, food supplies are restored and transportation networks fixed to accelerate the delivery of desperately needed aid."

The UN says $150 million is needed to feed up to 6 million Pakistanis, and $105 million is needed to help shelter about 2 million people left homeless.

The United States has committed about $76 million for emergency flood relief assistance.

But delivering the goods to flood victims is a nightmare in itself. With many roads and bridges reduced to rubble, travel by vehicles and foot is often impossible. The country is relying heavily on helicopters and boats to bring aid.

"We're putting the final pieces in place on a distribution system which can reach the huge number of people in need in the shortest possible time," said Wolfgang Herbinger, director of the United Nations' World Food Programme in Pakistan. "It's a huge challenge, particularly in Sindh, where the delivery infrastructure is most constrained."

U.S. military helicopters delivered 2,500 pounds of relief supplies Tuesday and rescued 375 people. There are now 11 helicopters on the ground in Pakistan, but the Pentagon has ordered a total of 19 for flood relief efforts.

Those efforts are costing the United States $300,000 a day, the Pentagon said. So far, $2.5 million has been spent.

"It's a dynamic situation," Pentagon spokesman Bryan Whitman said. "But the U.S. is a good ally and a friend, and we want to be supportive."

Families continue to stomp through mud carrying whatever belongings they can salvage, passing dead livestock, with nowhere to go.

Despite their suffering, many flood victims are reluctant to leave the ruins of their homes because they fear having their land stolen.

Amid the devastation, a bit of good news surfaced: The head engineer of the Sukkur barrage -- a dam whose strength was questioned as flood waters rose in the Indus River -- said the dam is considered safe. The river crested August 10, and the dam withstood the pressure.

CNN's Reza Sayah, Samson Desta and Sara Sidner contributed to this report.

@highlight

Millions of children are at high risk of deadly diseases, United Nations says

@highlight

About a fifth of Pakistan is under water amid monsoon rains

@highlight

The UN urges more assistance for clean water, medical care

@highlight

The United States has committed about $76 million for aid