Los Angeles (CNN) -- AEG LIve's lawyer asked a jury to find Michael Jackson responsible for his death, not the concert promoter.

Attorney Marvin Putnam spent four hours Wednesday deliver his closing arguments in the trial of the wrongful death lawsuit brought by Jackson's mother and three children.

"Plaintiffs want you to hold a concert promoter liable for Michael Jackson's overdose in his bedroom at night, behind locked doors on June 25, 2009," Putnam told jurors. "An overdose of the drug administered to Mr. Jackson by his longtime doctor -- Dr. Murray -- who he'd been seeing for years, a doctor he brought to Los Angeles from Las Vegas."

When the trial began five months ago, Putnam warned he would show "ugly stuff" and reveal Jackson's "deepest, darkest secret."

The revelations that jurors heard from 58 witnesses over 83 days of testimony spanning 21 weeks included details of Jackson's drug use and his shopping for a doctor to give him the surgical anesthetic propofol that he thought would give him sleep.

"He was nearly half a billion dollars in debt," Putnam argued Wednesday. "His mother's house was near foreclosure, we didn't know that then. What else do we know now? That Mr. Jackson spent decades shopping for doctors to give him the painkillers he wanted. Mr. Jackson made sure we didn't know that."

Brian Panish, the lead lawyer for Jackson's mother and three children, conceded in his closing Tuesday that the singer may have some fault for his own death, but said "it's about shared responsibility."

Jackson did use prescription painkillers and was warned that using propofol at home to sleep was risky, "but he never had a problem until Dr. Conrad Murray was working and until Conrad Murray negotiated with AEG Live," Panish argued.

The AEG Live lawyer, Putnam, argued Wednesday that Jackson should take the full blame. "The sad truth is Mr. Jackson's death was caused by his choices and it would have happened no matter what -- with or without AEG Live."

The Jackson family lawyer urged jurors to award the family between $1 billion and $2 billion in damages for its share of liability in Jackson's death -- to replace what he would have earned touring, had he lived, and for the personal suffering from the loss of a son and father.

Putnam told jurors Wednesday that was "an absurd number."

Katherine Jackson testified that she filed the wrongful death lawsuit three years ago against AEG Live "because I want to know what really happened to my son."

Her lawyers argue that the company is liable in the death because it negligently hired, retained or supervised Murray, who was convicted of involuntary manslaughter in Jackson's propofol overdose death.

Jackson's lawyer will have another two hours Thursday morning to sum up his arguments in rebuttal.

Twelve jurors, who have sat and listened in a Los Angeles courtroom for 21 weeks, will then begin deliberations.

The judge is allowing a television camera in court for the closing arguments and verdict.

Who's to blame for Michael Jackson's death?

AEG Live's defense

Murray treated Michael Jackson and his children for minor illnesses while they lived in Las Vegas for three years, before the singer returned to Los Angeles to prepare for his "This Is It" comeback tour. It was Jackson -- not AEG Live executives -- who chose Murray to be his full-time doctor for his tour, the company's lawyers contend.

AEG Live Co-CEO Paul Gongaware negotiated to pay Murray $150,000 a month only because of Jackson's request to have his doctor with him as he performed 50 shows at London's O2 Arena, they argue.

"He told them 'We're bringing this doctor,' " Putnam said. "This was a choice Mr. Jackson made, he was a grown man."

AEG Live executives tried to talk Jackson out of taking an American doctor with him on tour, suggesting he could save money by using a physician in London, Putnam said.

"But Mr. Jackson was undeterred," he said. "Ultimately, it was his money, his doctor, his choice. He certainly wasn't going to take 'no' for an answer."

There was no need to check Murray's background because he was a licensed, successful doctor who was known to Jackson, Putnam said. "All AEG Live knew was Dr. Murray was Mr. Jackson's longtime doctor."

A key argument in the Jackson case is that AEG Live was negligent by not ordering a financial background check of Murray, which would have revealed he was in a dire financial situation and not successful. His desperation to keep his lucrative job led Murray to violate his Hippocratic Oath to do no harm by using the dangerous propofol infusions to put Jackson to sleep each night for two months, Jackson lawyers argue.

AEG Live executives had no way of knowing Murray was treating Jackson's insomnia with propofol in the privacy of his bedroom, their lawyers contend. Jackson was a secretive addict, adept at keeping family, friends and other doctors in the dark about his medical treatments, they argue.

But two doctors testified that they told Gongaware about Jackson's abuse of painkillers and his insomnia during tours in the 1990s, when the AEG Live executive served as tour manager. Jackson lawyers argue Gongaware, who was the top producer on the new tour, should have known that Jackson could suffer the same problems in 2009.

The deterioration of Jackson's health over the two months he was being treated by Murray was a red flag that there was a problem, but AEG Live executives negligently ignored the warning, Jackson lawyers argue. By June 19, he was frail, suffering chills, unable to do his trademark dances and paranoid, according to testimony.

"Everyone believed at the time that a 50-year-old man, who hadn't performed in a decade was tired, out of shape and very nervous," Putnam argued Wednesday. "That's what they believed at the time and it makes sense."

AEG Live can avoid a negative verdict if is able able to convince at least 4 of 12 jurors that it did not hire Murray. It is the first of 16 questions on the jury verdict form. If jurors answer it with a "no" -- that AEG Live did not hire the doctor -- they would end their deliberations and the trial.

An AEG Live lawyer e-mailed an employment contract to Murray on the morning of June 24, 2009. Murray signed it and faxed it back to the company that day. But the signature line for AEG Live's CEO and Michael Jackson were never signed since Jackson died the next day.

Putnam will point to those blank signature lines as evidence that Murray was never hired by his client. There were negotiations with Murray, but he was never paid, the AEG Live lawyer argues.

Panish, the lead Jackson lawyer, told jurors Tuesday that all the elements of an oral contract -- "just as valid as a written contract" -- were in place when Jackson died.

Murray had been treating Jackson for two months and the written contract stated that his start day was May 1, 2009. A series of e-mail exchanges involving Murray and AEG Live executives and lawyers supported his argument, Panish said.

A look at the life of Michael Jackson

Blame and damages

If the jury concludes AEG Live has liability, it would have to decide how much the company should pay in economic and personal damages to Jackson's mother and children. They can use estimates of Jackson's "lost earnings capacity" -- the amount of money he could reasonably be expected to have earned if he had lived -- to guide them.

AEG Live expert Eric Briggs testified it was "speculative" that Jackson would have even completed another tour because of his drug use, damaged reputation and history of failed projects. He suggested the star may never have earned another dime.

Putnam's closing argument about damages must overcome the impression left on jurors Tuesday when Panish played a video montage of Jackson performances.

"That is, I think, the best evidence of if Michael Jackson could have sold tickets -- not what Mr. Briggs would tell you," Panish told jurors.

Panish suggested jurors pick a number between $900 million and $1.6 billion for economic damages. They should add on another $290 million for non-economic damages -- or personal damages, he said.

Putnam argued that the number, if the jury finds AEG Live liable, should be closer to $21 million, the amount of money AEG Live's expert calculated Jackson would have given his mother and three children over the next 16 years. He couldn't have given them more because he was had a $400 million debt that ws getting deeper, he said.

"If Mr. Jackson had lived, it's hard to see how he would ever have dug himself out of that whole," Putnam said.

The last question on the verdict form asks jurors to assign a percentage that they believe represents Michael Jackson's share of blame in his death. The total damages owed by AEG Live would be reduced by that percentage.

Panish will have two hours to rebut Putnam's arguments before jury deliberations begin later Thursday.

Michael Jackson's mom remembers her 'sweet little boy'

@highlight

NEW: Producers just thought Jackson was tired, afraid and aging, AEG lawyer says

@highlight

NEW: Jackson lawyer set for rebuttal Thursday morning

@highlight

"The sad truth is Mr. Jackson's death was caused by his choices," says AEG lawyer

@highlight

A Jackson lawyer conceded Tuesday the singer may have some fault for his own death