(CNN) -- In a historic fine, HSBC will pay out a record $1.92 billion to U.S. authorities to settle money laundering accusations -- activities which have allegedly occurred with drug cartels in Mexico and terror-linked groups in Saudi Arabia. U.S. authorities declared HSBC, the UK's biggest bank by market capitalization, in breach of a series of U.S. laws, including the Trading with the Enemy Act.

"We accept responsibility for our past mistakes. We have said we are profoundly sorry for them, and we do so again. The HSBC of today is a fundamentally different organization from the one that made those mistakes," HSBC Group CEO Stuart Gulliver, said in a statement.

On Monday, Standard Chartered, the UK's second largest bank by market value, agreed to pay $327 million to settle U.S. Treasury Department charges of violating sanctions on transactions with Iran, Burma, Libya and Sudan between 2001 and 2007. In August  Standard Chartered paid $340 million to the state of New York's Department of Financial Services to settle civil charges alleging it had concealed $250 billion in illegal transactions with Iran.

But while this week's fines are record fees, they are not earth-shattering when compared to the billions of dollars the banks boast in market values, assets and profits.

According to Quartz, it will take HSBC a mere 41 days to earn back the $1.9 billion fine.

"These banks are big and you can argue that these kinds of settlements have some mitigating effect on risk-taking," says Gary Biddle, professor of accounting at the University of Hong Kong. But "HSBC has about a $123 billion market cap today so its ($1.9 billion) fine is about 1%. This is not a huge amount. The stock price will vary that much in any given day anyway."

Indeed, HSBC's share price appears to have not suffered in light of these charges. In Hong Kong trading, HSBC Holdings rose 0.31% by mid-day Tuesday. Since news of HSBC's allegations hit in mid-July, HSBC's share price in Hong Kong has risen 16.3%. In the same time period in London trading, its share price has risen nearly 15%.

Since the start of 2009, there have been at least 21 instances where global banks and financial institutions have been fined -- predominantly by U.S. authorities. Cases include a $536 million fine against Credit Suisse in December 2009 for allowing clients in Iran, Libya and Cuba to conduct financial transactions; a $335 million fine against Bank of America on racial discrimination charges in lending rates; and a $619 million fine against ING Bank NV that involved a cover-up of fund transfers that violated U.S. sanctions against Cuba and Iran.

Biddle says bank improprieties will continue as long as governments continue to back them -- fallout from the 2008 financial crisis when the U.S. labeled some banks: "Too big to fail."

"The obvious natural consequence of governments bailing out banks, or any industry for that matter," says Biddle, "is that executives are able to take on more risk (and) governments bailing out banks puts us all at risk."

The Dirty Dozen: Biggest fines of the banking world since 2009

1. $1.9 billion, HSBC, December 2012. Charge: Accused of money laundering activities tied to drug cartels in Mexico, terror-linked groups in Saudi Arabia.

2. $667 million, Standard Chartered, August and December 2012. Charge: Violating U.S. sanctions on transactions with Iran, Burma, Libya and Sudan.

3. $619 million, ING Bank NV, June 2012. Charge: Covering up fund transfers in violation of U.S. sanctions against Cuba, Iran.

4. $536 million, Credit Suisse, December 2009. Charge: Allowing clients in Iran, Libya, Sudan, Myanmar and Cuba to conduct financial transactions.

5. $470 million, Barclays, November 2012. Charge: Rigging electricity market.

6. $450 million, Barclays, June 2012. Charge: Manipulating bank Libor rates.

7. $350 million, Lloyds TSB Group. Charge: Allowing Iranian and Sudanese clients access to the U.S. banking system.

8. $335 million, Bank of America, December 2011. Charge: Racial discrimination in lending rates.

9. $298 million, Barclays, August 2010. Charge: Allowing client payments from Cuba, Sudan.

10. $275 million, JPMorgan Chase, February 2012. Charge: Problems in mortgage servicing business.

11. $233 million, Royal Bank of Scotland, June 2012. Charge: Manipulating bank Libor rates.

12. $207 million, Ally Financial, February 2012. Charge: Problems in mortgage servicing business.

@highlight

HSBC to pay record $1.92 billion to U.S. authorities to settle money laundering accusations

@highlight

"We accept responsibility for our past mistakes," says HSBC Group CEO Stuart Gulliver

@highlight

Standard Chartered agreed to pay $327 million to settle U.S. Treasury Department charges

@highlight

At least 21 global banks have paid millions in fines since 2009 for a variety of charges