(Health.com)  -- An analysis of the sickest swine flu patients in Australia, Canada, Mexico, and New Zealand suggests that relatively healthy adolescents and young adults are among the most likely to get very sick after an H1N1 infection, a pattern similar to that seen in the 1918 influenza pandemic.

The most important message is that children should get the H1N1 vaccination, Dr. Neil Schachter said.

Almost all critically ill patients in the studies were sick for only a few days before rapidly progressing to more severe symptoms and respiratory failure, which required treatment with a breathing machine, according to three studies published in the Journal of the American Medical Association.

The mortality rate ranged from 14.3 percent to 41.4 percent, depending on the country. The findings may help shine some light on what the 2009 H1N1 flu season may bring, and who may be hit the hardest by the swine flu during the next few months.

"These studies are telling us that young people are at risk for bad complications of H1N1 and under usual circumstances, [seasonal] flu does not cause acute respiratory failure in younger people," says Dr. Neil Schachter, the medical director of the respiratory care department at Mount Sinai Medical Center, in New York City, and the author of The Good Doctor's Guide to Colds and Flu.

The analysis of cases in Australia and New Zealand looked at people who developed severe acute respiratory distress syndrome (a condition in which the lungs fill with fluid) and were put on a life-support system known as extracorporeal membrane oxygenation (ECMO). This artificial heart and lung machine system, which puts oxygen into the blood and then carries this blood to the body tissues, is considered risky and expensive; as a result, it is not readily available in every hospital. The mortality rate was 21 percent for these patients, although it may have been higher without this treatment, the authors say. Health.com: 8 ways swine flu is changing society

"These studies provide important signals about what clinicians and hospitals may confront in the coming months," Dr. Douglas B. White, and Dr. Derek C. Angus, of the University of Pittsburgh School of Medicine, write in an editorial accompanying the new studies. In young, healthy patients, H1N1 can quickly cause respiratory failure that can't necessarily be reversed with mechanical ventilation, although such patients are not currently a priority group for H1N1 vaccination, they note.

In the Canadian study, about 30 percent to 40 percent of the patients had lung disease, were obese, or had high blood pressure, a history of smoking, or diabetes. Overall, 14.3 percent of 168 critically ill people with confirmed or suspected H1N1 died within 28 days.

The mortality rate in the Mexican study was strikingly higher. In Mexico City, where the H1N1 pandemic was first reported, 41.4 percent of 58 critically ill people died within 60 days of developing the flu. Health.com: 10 best big cities for people with asthma

Those people who died from H1N1 got sicker earlier in the course of their illness, had extremely low levels of oxygen in their blood, and had multiple organ failure. Their average age was 44 years old, and 54 of 58 patients needed mechanical ventilation. Other signs of more severe H1N1 included fever and severe trouble breathing. Health.com: 10 ways you put yourself at risk for swine flu (without realizing it!)

In the Canadian study (in which the average age was 21.4), the critically ill tended to be hospitalized within four days of developing flu symptoms, and there was about a one-day lapse between hospital admission to intensive care unit (ICU) admission. As in the Mexico City study, younger patients with low blood oxygen and multisystem organ failure were hardest hit. What's more, the critically ill tended to require mechanical ventilation and rescue therapies to aid in breathing. Health.com: 8 causes of chronic cough

In both countries, the H1N1 outbreak lasted about three months.

"It is not clear of hospitals' need to invest in this ECMO technology because this has not proven very successful in other respiratory illnesses," says  Schachter. "We do know that treating H1N1 with antivirals such as Tamiflu (oseltamivir) and Relenza (zanamivir) did help improve mortality."

The most important message is that children should get the H1N1 vaccination, which is safe, he says.

"The technology for making swine flu vaccine is no different than that used to make the regular flu vaccine, so in principle, there should be no differences in terms of safety," he explains. "Recent surveys have shown that Americans are iffy about whether they will let their children receive this novel vaccine."

Dr. James B. McAuley, the director of Pediatric Infectious Diseases at the Rush University Medical Center, in Chicago, Illinois, notes that the studies focused on the sickest of the sick patients. Health.com: 7 surprising triggers of lung trouble

"The mortality rate can be high for a small subset of people, but the overall death rate is closer to seasonal flu than the severe acute respiratory syndrome (SARS) outbreak of 2003," he says. "This is a serious flu and there is mortality, but it is about the same as with the seasonal flu -- maybe a little worse."

As to why younger people seem to be hit hardest, the current school of thought is that perhaps a similar virus circulated 50 or 60 years ago, so older people could have immunity to H1N1.

McAuley's advice? "Definitely get the vaccine," he says. (He says his own children have already received the H1N1 vaccination.)

The editorialists write that the burden is on the public health system to heed the warnings in the new studies and prepare for the coming flu season: "Any deaths from 2009 influenza A(H1N1) will be regrettable, but those that result from insufficient planning and inadequate preparation will be especially tragic." Such planning should include widespread availability of antivirals, antibiotics, and mechanical ventilation systems.

Enter to win a monthly Room Makeover Giveaway from MyHomeIdeas.com

Copyright Health Magazine 2009

@highlight

In sickest H1N1 patients, mortality rate ranged from 14.3 percent to 41.4 percent

@highlight

Overall death rate is closer to seasonal flu than SARS, doctor says

@highlight

Older people could have immunity to H1N1 because of virus 50 to 60 years ago

@highlight

Doctor: "Definitely get the vaccine"