ATLANTA, Georgia (CNN) -- College senior Kyla Berry was looking forward to voting in her first presidential election, even carrying her voter registration card in her wallet.

"Vote suppression is real. It does sometimes happen," said Daniel P. Tokaji, a law professor at Ohio State University.

But about two weeks ago, Berry got disturbing news from local election officials.

"This office has received notification from the state of Georgia indicating that you are not a citizen of the United States and therefore, not eligible to vote," a letter from the Fulton County Department of Registration and Elections said.

But Berry is a U.S. citizen, born in Boston, Massachusetts. She has a passport and a birth certificate to prove it.  Watch some of the concerns of voting experts »

The letter, which was dated October 2, gave her a week from the time it was dated to prove her citizenship. There was a problem, though -- the letter was postmarked October 9.

"It was the most bizarre thing. I immediately called my mother and asked her to send me my birth certificate, and then I was like, 'It's too late, apparently,' " Berry said.

Berry is one of more than 50,000 registered Georgia voters who have been "flagged" because of a computer mismatch in their personal identification information. At least 4,500 of those people are having their citizenship questioned and the burden is on them to prove eligibility to vote.

Experts say lists of people with mismatches are often systematically cut, or "purged," from voter rolls.

It's a scenario that's being repeated all across the country, with cases like Berry's raising fears of potential vote suppression in crucial swing states.

"What most people don't know is that every year, elections officials strike millions of names from the voter rolls using processes that are secret, prone to error and vulnerable to manipulation," said Wendy Weiser, an elections expert with New York University's Brennan Center for Justice.

"That means that lots and lots of eligible voters could get knocked off the voter rolls without any notice and, in many cases, without any opportunity to correct it before Election Day."

Weiser acknowledged that "purging done well and with proper accountability" is necessary to remove people who have died or moved out of state.

"But the problem is it's not necessary to do inaccurate purges that catch up thousands of eligible voters without any notice or any opportunity to fix it before Election Day and really without any public scrutiny at all," she said.

Such allegations have flared up across the United States during this election cycle, most notably in Ohio, where a recent lawsuit has already gone to the U.S. Supreme Court.

There, the state Republican Party sued Ohio's Democratic secretary of state in an effort to make her generate a list of people who had mismatched information. But Secretary of State Jennifer Brunner said generating such a list would create numerous problems too close to the election and possibly disenfranchise hundreds of thousands of voters.

The Supreme Court last week ruled against the GOP on appeal of a lower court order directing Brunner to prepare the list.

In Florida, election officials found that 75 percent of about 20,000 voter registration applications from a three-week period in September were mismatched due to typographical and administrative errors. Florida's Republican secretary of state ordered the computer match system implemented in early September.

In Wisconsin, Republican Attorney General J.B. Van Hollen sued the state's election board after it voted against a proposal to implement a "no-match" policy. The board conducted an audit of its voter rolls and found a 22 percent match failure rate -- including for four of the six members of the board.

The Brennan Center has also documented cases across the country of possible illegal purging, impediments to college student voting and difficulties accessing voter registration.

A lawsuit has been filed over Georgia's mismatch system, and the state is also under fire for requesting Social Security records for verification checks on about 2 million voters -- more requests than any other state.

One of the lawyers involved in the lawsuit says Georgia is violating a federal law that prohibits widespread voter purges within 90 days of the election, arguing that the letters were sent out too close to the election date.

"They are systematically using these lists and matching them and using those matches to send these letters out to voters," said McDonald, director of the ACLU Voting Rights Project in Georgia.

"It's not, you know, an individualized notion of people maybe not being citizens or not being residents. They're using a systematic purging procedure that's expressly prohibited by federal laws."

Asked if he believed that eligible voters were purged in Georgia, McDonald said, "If people who are properly eligible, are getting improperly challenged and purged, the answer would be 'Yes,' " he said.

Elise Shore, regional counsel for the Mexican American Legal Defense and Educational Fund, said letters like those sent to Berry appear to violate two federal laws against voter purging within 90 days of the election.

"People are being targeted, and people are being told they are non-citizens, including both naturalized citizens and U.S.-born citizens," said Shore, another plaintiff in the Georgia lawsuit. "They're being told they're not eligible to vote, based on information in a database that hasn't been checked and approved by the Department of Justice, and that we know has flaws in it."

Georgia's Secretary of State Karen Handel, a Republican who began working on purging voter rolls since she was elected in 2006, said that won't happen. If there are errors, she said, there is still plenty of time to resolve the problems. iReport.com: Are you voting early?

Handel says she is not worried the verification process will prevent eligible voters from casting a ballot.

"In this state and all states, there's a process to ensure that a voter who comes in -- even if there's a question about their status -- that they will vote either provisional or challenge ballot, which is a paper ballot," she said.

"So then the voter has ample opportunity to clarify any issues or address them," Handel added. "And I think that's a really important process."

Handel denied the efforts to verify the vote are suppression.

"This is about ensuring the integrity of our elections," she said. "It is imperative to have checks and balances on the front end, during the processes and on the back end. That's what the verification process is about."

So someone like Kyla Berry will be allowed to cast a provisional ballot when she votes, but it's up to county election officials whether those ballots would actually count.

Berry says she will try to vote, but she's not confident it will count.

"I know this happens, but I cannot believe it's happening to me," she said. "If I weren't allowed to vote, I would just feel like that would be ... like the worst thing ever -- a travesty."

@highlight

Kyla Berry got a letter saying to vote, she must prove she's a U.S. citizen

@highlight

She and others like her have been flagged for mismatched information

@highlight

Experts say lists of people with mismatches are being purged from voter rolls

@highlight

Cases like Berry's raise fears of potential vote suppression in crucial swing states