When he was on the baseball field, Ryan Freel was unafraid to fling his body, and his head, into plays -- diving after balls and crashing into outfield walls.

That fearlessness earned the undersized Freel a spot in the big leagues, as well as a raft of concussions.

Now, nearly a year after his death, Freel has the distinction of being the first Major League Baseball player to be diagnosed with chronic traumatic encephalopathy (CTE), according to researchers at the Boston University School of Medicine.

"The real important issue is that he hit his head multiple times -- small hits, big hits, in baseball and outside of baseball," said Robert Stern, co-founder of the Center for the Study of Traumatic Encephalopathy at BU.

"When it comes to the development of CTE, our current sense is that it requires repetitive brain trauma and not just a couple of big concussions."

Freel committed suicide last December at the age of 36.

Testing of his brain tissue after death -- the only way to definitively diagnose CTE -- found that he had Stage 2 CTE, which is associated with erratic behavior and memory loss.  Stage 4, the worst possible expression of the disease, is associated with full-blown dementia, aggression and paranoia.

The brain tissue of people found to have CTE displays an abnormal build-up of tau -- a protein that, when it spills out of cells, can choke off, or disable, neural pathways controlling things like memory, judgment and fear.

Freel's stepfather Clark Vargas said on Sunday that the new diagnosis confirmed what he suspected already.

"It provides some solace that there is a reason now for Ryan having done what he did," Vargas said. "Knowing that he's been suffering for 11 years and that CTE is a progressive disease, it gives explanation (for) some of the irrational things that he may have done. You know, he had a reason."

The disease tends to be associated with bruising sports like football and hockey, where repetitive brain trauma is part of the game.

But Freel's case suggests that professional baseball, a somewhat punishing sport in its own right, may have a growing concussion problem.

"We count everything else. We count the at-bats. We count the .300 hitter. We count the number of pitches and the pitcher cannot go more than a certain number of pitches. Why not count the number of concussions and pay special attention to this like everything else?" his stepfather said.

This season, 18 baseball players were placed on the disabled list after concussions -- 10 of them were catchers.  In 2012, 13 players were placed on the DL after a concussion, and in 2011, the number was 11, according to MLB data.

"I think people don't realize that baseball players get hurt as much as they do," said Freel's mother, Norma Vargas.

"Baseball is just as dangerous" as other sports and, she added, affords players less protection. "It's just a helmet and that's it."

And players wear the helmet only when batting.

Report: Former NFL player's body exhumed for brain study

"I cringe when I see two guys going after the same ball," said Stern, a professor of neurology and neurosurgery at BU's School of Medicine.  "Is baseball as significant a concussion sport compared to others? No. Is it a concussion sport? Yes."

In a statement issued Sunday evening, Major League Baseball said it was working with experts "to remain proactive on concussions and head injuries."

"Major League Baseball's thoughts remain with Ryan Freel's family, friends and all those he touched throughout his life," the league said. "Ryan played baseball with love and passion and made a lasting impression on and off the field. We recently met in person with Ryan's mother and stepfather and expressed to them our feelings about Ryan and discussed MLB's continued efforts to provide a safe environment for our players."

In response to increasing concussion diagnoses, the sport is instituting educational programs and rules changes, like a ban on home plate collisions beginning as early as 2014.

"Ryan's life and death ought to mean something, and because of him, we can institute changes how baseball is played," Clark Vargas said. "It's going to take some time to do it in the major leagues, but certainly we can do something about it next year ... about the kids playing Pop Warner and Little League."

Freel's mother is unsure whether those types of changes, had they happened sooner, might have altered her son's fate.

"It could have," said Norma Vargas.  "I think it would have been a good idea if they would have (educated players)."

However, she said, "I don't think that would have changed his style of play."

Freel's style was relentless and fierce. During his eight-year career with five MLB clubs, Freel estimated that he had 10 concussions. Family members say it was likely higher than that.

His concussion history started young.  He was only 2 years old when he ran into the side of a moving car.  Age 4 marked the first time that he lost consciousness after a concussion, when he injured himself jumping from a bed.

He lived life at "one speed, and that was a fast speed," said his mother.

Suspicions that he could have CTE began percolating among family and friends after Freel killed himself a year ago.

But he had had problems for a long time before he died.

Former NFL player wants brain studied

For several years, he struggled with depression, and drug and alcohol abuse.  And only months before his death, he and his wife of 11 years divorced.

These types of problems -- which are echoed in other CTE cases -- raise questions about how big a role the disease plays in suicides among players, and how things like pre-existing mental health problems, or post-career adjustment issues, influence the cause of death.

Among the football players who showed signs of the disease and took their own lives are former Philadelphia Eagles defensive back Andre Waters, who shot himself in 2006; Terry Long, a former Pittsburgh Steelers offensive lineman who killed himself by drinking antifreeze; and Junior Seau, the former linebacker who killed himself last year at the age of 43.

Former NFL players Dave Duerson, Shane Dronett and Ray Easterling also committed suicide and were later diagnosed with CTE.

"If you hit your head a lot, it may increase your risk for this disease," said Stern.  "Whether or not the disease was the cause of or accentuated the depression and substance abuse and impulse problems (Freel had), we don't know.

"But he required more attention and treatment than he got."

Because of limited data, and a study population that is skewed toward people exposed to repetitive brain trauma, scientists --  including BU researchers -- caution against over-interpreting case studies like Freel's.

"We can learn a lot about diseases by studying these higher-risk populations," said Dr. J. Clay Goodman, professor of pathology, immunology and neurology at Baylor College of Medicine in Houston.  "Until we know much more about CTE, however, it is not possible to generalize about the risk of development even in elite athletes, much less more casual athletes or the population at large."

Freel's family, including his ex-wife, had said that a CTE diagnosis would tie up loose ends emotionally -- and give them much-needed closure.

Norma Vargas says a big concern for her is how the CTE diagnosis will affect the narrative of Freel's life for his three young daughters.

"He's gone no matter what," she said.  "But I want that closure for his daughters."

She wants them to know that he didn't kill himself "because he didn't love them or he did it because he was mad at the world.

"It was not that way, he was killed (by the disease)."

Paul Oliver's suicide is latest in a string among former NFL players

@highlight

MLB says it's working with experts to prevent concussions and head injuries

@highlight

Ryan Freel's family says knowing he had CTE "provides some solace" after his suicide

@highlight

Chronic traumatic encephalopathy is believed to be a result of repetitive brain trauma

@highlight

The disease is associated with memory loss, erratic behavior, aggression and paranoia