Washington (CNN) -- The campaign to feed the world's poor will get some much needed star power Friday when Bono, co-founder of the global advocacy organization ONE, arrives to rally leaders of the Group of Eight industrialized nations to take action.

While the crisis in the eurozone will no doubt top the agenda when the G8 leaders gather Friday for a two-day summit, the talks will also tackle the issue of food security and ways to feed a growing world population.

At their annual summit in L'Aquila, Italy, in 2009, leaders pledged to provide $20 billion to fight hunger in the developing world over three years. Since then, U.S. President Barack Obama and Secretary of State Hillary Clinton have embraced food security as a signature foreign policy issue, working to support farmers in Africa and other developing countries to improve agriculture.

Now, those 2009 commitments are set to expire. In an age of shrinking aid budgets with fewer resources available, donor governments can't solve the problem of world hunger alone.

Rajiv Shah, administrator of the U.S. Agency for International Development, said in an interview that major gains have been made in reducing hunger in most of the world, with the exception of sub-Saharan Africa. While he said the private sector has been interested in developing the African market, companies have been reluctant because of corruption and a lack of infrastructure.

"They had the sense leaders are not committed," Shah said of the private sector.

Since L'Aquila, 30 African governments have developed internationally endorsed plans for investment in food security and agricultural development. Their commitment to policy reforms to create a better climate for investors, Shah said, has created an interest in investing, with a focus on small farms.

"These policy reform commitments are unlocking the potential of agriculture to explode and ending the perception of Africa," Shah said. "African leaders are replacing the vision of hunger with growth and opportunity."

Before a G8 session at the summit on food security with the leaders of Benin, Ethiopia, Ghana and Tanzania, Bono will join Obama, Clinton and other leaders in government, business, nonprofits and academia to discuss goals for eradicating world hunger

Obama will address the symposium in Washington of the Chicago Council on Global Affairs, where administration officials say he will unveil a new G8 food security "alliance" to advance global agricultural development in Africa that includes the private sector and other key players.

"We have recognized that it is eight to 10 times more expensive to feed people when they are in crisis than it does to help farmers feed themselves and build better resources," Shah said. "If we can be innovative in the private sector, we can have much better outcomes."

Over the last several months, Shah said, the effort has secured more than $3 billion in concrete private investment commitments, almost half of which came from African companies. On Friday, Shah said, 35 companies are expected to make additional commitments for projects ranging from manufacturing fertilizer plants and building storage facilities to providing mobile phones to help farmers use mobile banking and other services to cut out middlemen and become part of a cash economy.

"Historically, the private sector has not been as active in the agriculture space as it should be, but that is starting to change" said Ben Leo, global policy director of the ONE Campaign. "There is enormous potential when you have donor countries and the private sector working with African government in support of these country plans. That is where magic can happen."

Advocacy groups hope the G8 will shift its focus from money to meeting concrete goals on hunger and nutrition, including lifting 50 million people out of poverty and preventing stunted development of 15 million children over the next 10 years.

While praising the efforts of the private sector and recognizing the potential multiplier effect, some advocacy groups voice concern that without the involvement of nongovernmental organizations, the resources will not reach the poorest who are most in need.

Sam Worthington, the head of InterAction, an alliance of U.S.-based relief and development groups, says the focus should be on small plots of land for farmers to feed their families and have disposable income to participate in the local economy.

"Africa is becoming a big new market. How that market is developed will make a big difference in the lives of its poorest farmers," he said. "You will need multinational companies to drive the development of the market, but you will need just as much the voice of local groups providing checks and balances to help ensure the market is supporting the needs of local shareholders."

@highlight

Europe's crisis will top G8 meeting agenda Friday, but talks will also focus on world hunger

@highlight

As commitments expire, donor governments won't be able to solve hunger problem alone

@highlight

30 African governments have food security, agricultural development investment plans

@highlight

They have created an interest in investing, with a focus on small farms, USAID official says