London (CNN) -- Why was the euro created?

The euro, which created the world's largest trading power, was designed to link together the European nations for trade and political purposes. It was born amid political and economic upheaval as Germany headed towards reunification -- with the collapse of the Berlin Wall in 1989 -- and communism disintegrated in Eastern Europe. The European Union was put in place after World War II, but as the economic winds shifted the drive to create a single economic and political bloc intensified.

The Treaty on European Union, known as the Treaty of Maastricht, was signed in the Dutch city of Maastricht on February 7, 1992, before entering into force in 1993. It created the structure for a single currency, later named the euro, to be born. The currency's symbol was inspired by the Greek letter epsilon, with the notes and coins available by 2001. They were issued by the European Central Bank, which was based in Frankfurt to placate Germany's loss of its beloved Deutschmark.

But now the European dream -- which has the euro at its center -- has been hobbled. Eurozone members, led by Germany, are being forced to bail out the weaker economies in a financial crisis which is threatening the entire existence of the bloc.

How does the euro work?

Creating a currency which could be used across such disparate economies was always a difficult task. The idea for a single currency was promoted by Jacques Delors, a former French minister of finance, who held the European Commission presidency from 1985 to 1995.

The aim was to stamp a European identity in the markets, bringing, among other things, price stability, growth and trading benefits. The Delors report of 1989 defined a monetary union objective as being, in part, a "complete liberalization of capital movements."

The final structure was a bloc in which political and fiscal integration was minimal; The euro was not designed to create a 'United States' of Europe. Instead the Maastricht Treaty created specific conditions for entry into the single currency. Among other criteria, member countries must not allow annual budget deficits to exceed 3% of gross domestic product, and public debt must be under 60%.

The bloc's monetary policy was to be controlled by the European Central Bank, which had a remit of setting interest rates and controlling inflation around 2% or below. However, each country would retain its own tax policies, budgets and banks and issue their own bonds -- with prices varying depending on the risks investors associated with each country.

Who belongs to the eurozone?

Of the 27 countries in the European Union, 17 nations -- comprising almost 332 million people -- use the euro as their currency. The eurozone's biggest economy is Germany, followed by France.

The weaker economies are Greece, Portugal, Ireland, Italy and Spain, a group which gained the unwanted acronym PIIGS as the crisis unfolded. Other members are Austria, Belgium, Cyprus, Finland, Luxembourg, Malta, the Netherlands, Slovakia, Slovenia with the most recent edition, Estonia, joining in January this year. Sweden does not belong to the eurozone but is obligated to do so in the future, according to the terms of the treaty.

Those who don't qualify for the euro, even though they are members of the EU, are Bulgaria, the Czech Republic, Hungary, Latvia, Lithuania, Poland, and Romania. In 2000 Denmark rejected the adoption of the euro in a referendum, while the UK also stayed out.

Why didn't the UK want to belong to the eurozone?

Debate over joining the single currency was fierce. Margaret Thatcher, Conservative prime minister from 1979 to 1990, was anti-euro. The Tories remained largely euroskeptic under Thatcher's successor, John Major.

Then came Black Wednesday, the day in 1992 on which Britain was forced to halt its membership of euro's precursor, the European Exchange Rate Mechanism. Black Wednesday was seen as proof a monetary union and European currency could not work, says Hans-Joachim Voth, research professor of economics at Barcelona's Universitat Pompeu Fabra.

Adding to the political humiliation, Black Wednesday is also remembered as the day which enabled investor George Soros to collect an estimated $1 billion in profits from betting against the pound.

Tony Blair's Labour government, which succeeded Major's Conservative government, was in favor of joining the euro, but only if certain economic tests were met. They weren't, and the UK stayed out. Blair reiterated his support of the euro in an interview with the BBC this year, but said the case for Britain was not compelling. Public opinion polls have showed opposition to adopting the currency at up to 75%.

According to Voth, Britain "has always had the problem of wanting to be a part of Europe, without really signing up for the European project."

What was the issue with Greece?

The Greek economy has been in trouble since the country joined the euro, due to a mix of overspending and inability to raise enough revenue. In 2004, it admitted that the country's financial position was worse than reported and had breached the eurozone entry requirements.

By 2008 the government had narrowly passed a belt-tightening budget, designed to trim its massive national debt burden, triggering massive protests. In 2009, Greece admitted its deficit would be more than 12% of gross domestic product -- far higher than previous estimates and more than four times the requirements of entry into the eurozone.

The country was hit with ratings downgrades, pushing its sovereign bonds into so-called "junk" territory, and the damage continued to spiral. Despite the introduction of brutal austerity measures -- which have prompted waves of violent protests -- Greece has been unable to balance its books. There is a risk it could be forced out of the eurozone.

Why is the eurozone cracking?

Greece's shifting economic data created panic among investors, who stopped buying its bonds, making it impossible to fund itself. In May 2010, Greece received a â‚¬110 billion bailout from the International Monetary Fund and its eurozone partners.

A European bail-out fund was then set up to enable a more organized response to subsequent emergencies. The fund was quickly tapped again as turmoil gripped the markets. Ireland's banks were revealed to be a black hole of cash and it was forced to tap the fund for cash. Portugal followed, then Greece returned for more financial help.

While the countries which have been bailed out have specific problems -- Greece's lax tax collection, and Ireland's black hole of a banking system, for example -- the problem has been exacerbated by a currency which shackles the weak to the strong, economists say. Political difficulties in driving through a decisive plan for reining in the crisis has fed the panic.

What happens if a member defaults?

Nobody really knows, and the uncertainty has fed massive volatility in both the credit and equity markets across the world, driving the costs of global stocks dramatically lower and pushing both Europe and the U.S. -- which is also facing massive financial problems -- toward another recession. The return of a recession will likely create increased unemployment and lower wages.

A default by Greece, or its departure from the eurozone, also carries contagion risk. That means investors will worry about other nations in trouble -- such as Italy, which makes up 17% of the eurozone economy, nearly seven times bigger than the economy of Greece -- and further increase financial instability across the globe.

Politically, it will ignite the debate about whether the European dream, and the euro, can survive, and if it should have even been created in the first place.

@highlight

The Treaty of Maastricht which enabled the euro's creation was signed in 1992

@highlight

The euro was available as cash by 2001

@highlight

It is used over the eurozone's 17 countries

@highlight

But it is under pressure due to the eurozone's debt crisis