Reports that Syrian warplanes carried out a cross-border attack on Iraqi towns this week is further evidence of the blurring between the two countries' borders as they face an offensive by Islamic extremists.

At least 57 Iraqi civilians were killed and more than 120 others were wounded by what local officials say were Syrian warplanes that struck several border areas of Anbar province Tuesday.

These border cities are among those under the control of the Islamic State in Iraq and Syria, or ISIS, which seeks to create an Islamic caliphate that encompasses portions of Iraq in Syria.

MAPS: How to understand the crisis

Reports of the Syrian incursion into Iraq is a reminder that the civil war in Syria and the unrest in Iraq are not isolated, but linked in ways that threaten the security of both.

Sabah Karkhout, head of Iraq's Anbar provincial council, told CNN that Tuesday's air attacks struck markets and fuel stations in areas such as Rutba, al-Walid and Al-Qaim.

"Unfortunately, (the) Syrian regime carried out barbarian attacks against civilians in Anbar province," he said Wednesday.

Karkhout said he was certain the warplanes were Syrian because they bore the image of the Syrian flag.

"Also, the planes flew directly from Syrian airspace and went back to Syria," he said.

Local officials said residents used scopes and other equipment to see details on the warplanes.

Iraq's military spokesman, Maj. Gen. Qassim Atta, denied reports that Syrian warplanes struck inside Iraq's border towns.

"We know our airspace. We have not recorded or registered infiltration of our air space from foreign jets, and all the warplanes and helicopters flying over Iraq airspace are Iraqis," he told CNN.

The head of the United Nations Assistance Mission for Iraq, Nickolay Mladenov, told reporters Wednesday that the warplanes that bombed the Iraqi cities were not Iraqi jets, but he did not have information beyond that.

Syrian state media called the reports of a cross-border incursion "completely baseless" allegations made by "malicious media outlets," citing a "Syrian media source."

CNN is seeking a response from the Syrian government in Damascus.

Iraq's border region has been targeted by Syria in the past -- as the Syrian conflict escalated in 2012, there was at least one instance where rockets fired from Syria landed in Al-Qaim.

Iraq's Foreign Ministry said at the time that it was ready to respond in the event of additional attacks from Syria, but the Iraqi government was noticeably quiet after Tuesday's incursion.

The claims come as Iraqi forces continue fighting radical Sunni militants from ISIS.

Inside Syria, the government, for the most part, appears to have avoided directly targeting ISIS, even though the group's positions are well known. Only in the last week did the Syrian regime intensify strikes on Raqqa, a city in Syria's interior that is considered ISIS's headquarters.

Warplanes carried out seven raids on Raqqa on Wednesday, killing at least 12 people, including a woman and child, the opposition Syrian Observatory for Human Rights said.

Whether the strikes signify a concerted effort by Syria to intensify its fight against ISIS is yet to be seen. It is also unclear whether the Syrian strikes in Iraq were a unilateral action or were coordinated with the Iraqi government.

Al-Maliki slams Sunnis

The sectarian rift in Iraq may have widened Wednesday when Iraqi Prime Minister Nuri al-Maliki blamed his political rivals for "coordinating" the crisis.

Al-Maliki, a Shiite, accused Sunnis of collaborating with militants and slammed the call to have a national salvation government that would remove him from power.

"Iraq is facing a cross-border terrorist attack that is supported by some neighboring countries," al-Maliki said in a televised speech.

He appealed to his Shia constituency by saying he is adhering to the wishes of Shiite religious leader Ali Sistani, who called for volunteers to support the Iraqi army and government.

U.S. Secretary of State John Kerry downplayed al-Maliki's rejection of a salvation government, saying it wasn't something the United States had talked to him about specifically.

To the contrary, he said al-Maliki, is committed to the electoral process and creation of a new government that the United States has supported.

"And he committed to moving forward with the constitutional processes of government formation, and that is precisely what the United States was encouraging," Kerry said. "He also called on all Iraqis to put aside their differences, to unite in their efforts against terrorism."

Meanwhile, a U.S. official told CNN that Iran is flying surveillance drones over Iraq. It's not known from where they are being launched.

Iran is believed to be providing small arms and ammunition to Iraq, as well as providing intelligence to al-Maliki's government, the official said.

Is Baghdad ready for an ISIS attack?

Meanwhile, on the outskirts of Baghdad, the eerie emptiness of a major highway raises questions about whether the capital would be prepared for a militant invasion.

The Iraqi military insists it's ready to beat back ISIS if the fighters reach Baghdad.

A post-battle video purportedly shows army forces celebrating a victory over ISIS just west of Baghdad. The bodies of two militants are draped over the hood of a Humvee.

"Look at those ISIS! We killed them!" one man says in the video.

But the opponents are formidable. ISIS fighters have captured cities and towns across Iraq in its effort to create an Islamic state.

And the highway from Baghdad to Abu Ghraib in Anbar province showed few signs of readiness for ISIS.

No tanks or big guns could be seen, CNN's Nic Robertson said. What used to be a thriving roadside marketplace now looks like a deserted wasteland.

It's unclear what lies farther down the highway, but images on the Internet suggest a dire situation. Photos posted by ISIS show two soldiers sitting cross-legged on the ground, guns pointed at their heads.

At least six civilians were killed and 21 wounded Wednesday when an Iraqi military helicopter fired two rockets on a mosque and nearby house in central Ana, in Anbar province, according to police and health officials.

Most of the injured were children, who were attending a course on the Quran inside the targeted mosque, the officials said.

At least 12 people were killed and 46 others were wounded when  a suicide bomber exploded in a popular coffee shop in Mahmoudiya, south of Baghdad, followed by several mortar rounds attacked several locations nearby.

At least four people were killed and 11 others were wounded when a car bomb exploded in an outdoor market in Rahimawa in northern Kirkuk, police officials in Kirkuk told CNN.

Who has what?

Maj. Gen Atta said security forces had regained control of two key border crossings after briefly losing them to the militants.

Atta said Iraqi forces, aided by Sunni tribes, retook al-Walid, which connects Iraq with Syria. He also said Iraqi forces regained the Trebil border crossing between Iraq and Jordan.

He also said that all towns between Samarra and Baghdad, 80 miles (129 kilometers) to the south, are in the hands of Iraqi security forces.

But large swaths of Iraq, particularly in the north and west, have fallen from government control to the hands of ISIS.

U.S. officials say they think ISIS now has as many as 10,000 fighters in Iraq and Syria. But  is unknown, officials say, exactly how many are in Iraq because it's not clear how many go back and forth across the Syrian border and how many loyalists have joined ISIS as it has taken over various towns.

The spread of ISIS

Jordanian Foreign Minister Nasser Judeh said he fears the strength of radical militants could spill further across borders.

"We've been saying for a while that the rise and spread of extremism and the politics of exclusivity will threaten the security of the entire region," Judeh told CNN's Becky Anderson.

"The root cause of ethnic and sectarian division, the root cause of instability and the rise and spread of terrorism and extremism has to be addressed."

MAPS: How to understand the crisis

Facebook looks to block ISIS clothing sales

Kerry: 'Words are cheap' but promising in Iraq

@highlight

Iraq denies Syrian planes attacked border towns

@highlight

Local official says warplanes hit markets and fuel stations

@highlight

U.S. official says Iran is flying surveillance drones over Iraq

@highlight

Prime Minister slams Sunnis and the call for a salvation government