Washington (CNN) -- Although domestic issues may continue to dominate the presidential campaign, eventually the candidates will be called upon to give a comprehensive view of U.S. national security interests and defend those views in a presidential debate.

Americans will want to know: What is each candidate's vision of America's role in the world and which candidate is better suited to be our commander in chief?

The stakes are high, even if public attention is not. The Middle East is quaking from a cascade of revolutions. Iran is inching ever closer to having a nuclear bomb. China is rising, prompting countries across the region to both engage with it and hedge against it. Al Qaeda's power has shattered, yet its fragments remain dangerous.

Sustained economic growth is transforming countries across Africa and Latin America, while Brazil, Turkey and India grow in global influence. Europe appears to be turning inward, as financial crises create economic constraints and political turmoil. Global energy markets are changing dramatically, with the United States now importing more than twice as much oil from the Western Hemisphere as it does from the Persian Gulf.

Whatever the outcome of the November election, America's next president must confront these changes.

At a time of fiscal constraint and political divisiveness, the next president and his administration must lay out a vision that matches national means to national ends -- in other words, a grand strategy.

Grand strategies assess the international and domestic environments, define U.S. interests in these environments and recommend ways and means to secure those interests. They explain America's role in the world and how to think about that role. And they provide a vision for how America should build and marshal all the relevant elements of national power and leverage assets in one area to achieve goals in another. They are a map for getting things done.

As President Barack Obama and former Massachusetts Gov. Mitt Romney articulate their respective grand strategies, they will need to confront five big questions about U.S. national security:

1. What are the most significant threats and opportunities facing the United States?

How serious and immediate is the threat posed by Iran? Is terrorism still the greatest threat to the United States or is al Qaeda on the ropes? What does the rise of China portend for American interests? Does the Arab Spring represent an opportunity or a threat to longstanding interests -- or both? What should the United States do to reduce violence and drug trafficking in the Western Hemisphere? How can Americans derive greater prosperity from today's interconnected global economy? How should the United States engage pivotal states such as Brazil, India, Indonesia and Turkey?

2. When should America engage and when should it isolate?

Is the dual-track approach to Iran -- negotiate and sanction -- the right one? Are sanctions in general useful? Should American diplomats engage with foes such as Iran or the Taliban or fear that doing so will convey legitimacy upon them? What is the right level of engagement and pressure in the U.S. relationship with Pakistan? When is it appropriate to use military force and in what measure?

3. How much defense do we need and how much can we afford?

What kinds of wars should our military prepare to fight in? Can we safely reject the prospect of large-scale land wars and counterinsurgency operations? Should America invest more in technologically advanced weaponry? Should pressure to cut the overall government budget determine the scale of defense spending? How can we make our armed forces more effective and efficient in the future, regardless of the level of budget cuts?

4. How can the United States prosper in the global economy?

Are trade agreements fundamentally good for the United States and should America pursue more of them? How should Washington deal with China's currency practices? What threat does the eurozone crisis pose to the American economy, and what should the United States do about it? How will America's economic challenges affect our influence abroad? What must the United States do at home to make us more competitive globally?

5. What role should human rights and democracy play in American foreign policy?

Is the "freedom agenda" a thing of the past, or does it speak to longstanding traditions in U.S. policy? How does America balance its values and interests in countries such as Bahrain? Has the Arab Spring demonstrated the importance of supporting democratic values in the Middle East or has it illustrated the limits of doing so? Should the United States be willing to use force to end atrocities in Syria?

In a new report published by the Center for a New American Security, we asked four of America's leading strategists to grapple with questions like these.

Robert Art argues that the United States should continue to play a global leadership role, but that it cannot afford to do everything and thus must be selective in its engagements. He calls for the United States to focus its energies on providing what he calls "global public goods" that cannot easily be provided by other countries and that benefit both the United States and the world. These include protecting freedom of navigation on the seas, which undergirds the global economy, and helping to ensure peace among major powers, without which both security and economic prosperity will suffer.

Richard Betts, in contrast, calls for a more limited U.S. role in the world. Since today's security threats are less severe than at other points in our history but America's fiscal challenges are intense, Betts calls on the United States to rebuild its economic power and pull back from global military commitments. He argues that America should rebuild its "strategic solvency" -- the economic and fiscal ability to confront national security threats in the future.

Peter Feaver calls for robust American engagement in the world and expresses concern that Americans sometimes overvalue the risks of intervening militarily and overlook the risks of not intervening. He argues that the United States should dissuade the rise of a hostile peer rival, such as China, even as it engages Beijing as a stakeholder in the international system.

The United States should do this from a position of strength -- what he calls the "velvet-covered iron fist." To protect U.S. leverage in the Asia and the Middle East, he expresses deep concern about any erosion of America's military might and cuts to the U.S. defense budget.

Anne-Marie Slaughter calls for the United States to recognize that answering most of the questions raised above depends not just on America's diplomatic relations with other countries, but also on its ability to work with networks of nongovernmental organizations, businesses, religious groups, philanthropies and even individuals.

The United States derives enormous power from its influence in these networks and ability to attract students and entrepreneurs from around the world. At the same time, though, threats to the United States emerge increasingly from powerful networks of criminals, arms dealers and terrorists. Severing the links between nefarious networks and other, legitimate ones, is an important source of American power.

While we share some of the authors' views and differ on others, we all agree on this: As Americans prepare to vote for their next president in November, it is time for a vigorous debate about American grand strategy. In November, Americans will decide for themselves.

The opinions expressed in this commentary are solely those of the authors

@highlight

While campaign is focused on domestic issues, key foreign policy choices loom, say authors

@highlight

They say America's next administration must identify key threats, opportunities

@highlight

President will have to decide when to engage militarily or diplomatically, they say

@highlight

Authors: A key issue is what kind of strategy will help U.S. prosper in global economy