LONDON, England (CNN)  -- Interest in business training programs is at record levels, as the economic downturn sends students flocking back to school.

Beyond finance: Rosa Wu plans to keep working in the technology field after getting her MBA.

In September hundreds of thousands of students will embark on training courses like MBAs at various business schools around the world.

But the surge also comes at a time when the financial crisis has cast fresh doubt on the value of business programs that can cost up to six figures.

Many entering students have given up secure jobs to pursue an MBA. They say the degree is the best path for them to achieve their goals, economic downturn or not.

However many of them are taking a gamble; the outlook for the global economy is still hazy, and there's uncertainty over whether jobs lost in the financial sector will ever be recovered.

Some risk spending upwards of $100,000 for a degree that may not pay off in two years' time.

Some are embarking on training out of necessity, perhaps due to a lay off or redundancy.

"Typically when you see increases in unemployment, people go back to school," said Dave Wilson, president and CEO of the Graduate Management Admissions Council (GMAC).

His organization administers the Graduate Management Admission Test (GMAT), which many MBA programs use as part of their admissions process.

Applications for MBAs tend to rise and fall with economic cycles, said Wilson. The GMAC doesn't monitor MBA enrollment figures, but does track the number of times the GMAT is taken.

Preliminary figures show that a record 265,000 exams were taken worldwide during the 2009 testing year, which ended in June.

Are you planning to take a business training course? Do you think having an MBA is still valuable?  Share your views below

CNN's Executive Education spoke to five students starting their business degree to see how the economic climate is affecting their outlook and expectations.

One of those was Alex O'Brien, a former marine officer turned real estate investor. He said that taking time away from the firm he helped start in order to pursue an MBA wasn't an easy decision.  Read more about Alex and other future MBAs »

It wasn't just a matter of spending the money, said O'Brien who is starting classes at the University of Chicago Booth School of Business.

The more pressing question was deciding "do I really want to give up a good thing now to pursue an unknown?" he told CNN.

When Tara Idiegbe was deciding whether to go to business school, she came across information debating whether MBAs were as valuable as work experience, especially in the current economic environment.

"But then after careful consideration I chose to pursue an MBA -- not because of current speculations -- but because it would help me fulfill my future goals,"  said Idiegbe.

After spending nearly five years working as a training and development manager for the investment management division at Goldman Sachs in London, she's headed to Harvard next week.

Thomas Traldi gave up a job in environmental consulting to start his MBA at London Business School. "But I'm not worried too much now because it's a bit too early, and also I hope [the economy] will get better in a couple of years," he said.

Despite uncertainty about what shape the global economy will be in by the time they graduate, members of the class of 2011 say they still see value in an MBA and that investing in their education is the surest bet they can make.

O'Brien decided an MBA would help him take his company to the next level as well as give him a competitive edge down the line.

"It makes sense to give yourself more skills, more knowledge and help yourself become competitive," said "In two years, if the economy is still down, you want to be as competitive as possible."

Plus, business degrees aren't just for those working in finance. There's robust demand for MBAs in health care, non-profit organizations and the public sector, Wilson said.

Rosa Wu, who left a position as product manager at Google to begin a degree at Stanford Graduate School of Business, intends to stay in the technology field.

While working at Google is a great gig, Wu said she wanted to explore ways of combining technology with other disciplines. She's eager to take advantage of a program at Stanford that allows graduate students from across the university and a variety of fields to take classes together.

Chrissy Minyard is one student who does plan to pursue a career in finance. "The business community in general is under the microscope and I think that business school represents the epitome of what is being examined," she said.

But it also offers an opportunity for students to focus on the ethics involved in the decisions they make, which will have a positive impact on her education, she said.

On a recent evening Minyard, who wants to work in economic development, was getting ready to attend her first event at the Wharton School of the University of Pennsylvania.

Minyard said excitement, more than anything else, characterized her mood. After six years in the working world, she's eager to get back in the classroom and shift gears.

"This is a real chance for me to step back and assess all I've learned in business," she said.

@highlight

Interest in MBA programs on the rise amid economic downturn

@highlight

Record number of GMAT exams taken in 2009, early figures show

@highlight

Students embarking on degree face unknown, but express optimism

@highlight

Investing in education is surest bet they can make, they say