(Mental Floss) -- Just hearing the word "champagne" conjures up images of sparkling wine, popping corks, and wild celebrations. But mentioning that other Champagne -- as in the northeastern region of France -- evokes a much more complex bouquet. Filled with wars, political clashes, and controversy, the bubbly region and its eponymous drink have produced a rich history worth toasting to.

Divine Origins

Today, the region synonymous with sparkling wine is crowded with vineyards -- but that wasn't always the case. In fact, during the 17th century, France's Champagne district was known primarily for its high-quality wool. Then a Benedictine monk named Dom Perignon came along and changed everything.

At the age of 29, Perignon was appointed business manager of Champagne's Abbey at Hautvillers. Realizing that the financial health and reputation of the monastery was tied to its vineyards, the Dom set to work resurrecting the beaten-down vines and reconstructing the cellar. In almost no time, the Hautvillers vineyard was up and running.

Nowadays, many people credit Dom Perignon with inventing champagne by forcing bubbles into sweet wine. That's a myth, though. In Dom Perignon's day, bubbles were considered a serious wine flaw, and the good monk actually went to considerable lengths to eliminate them during his 47 years as cellar-master. And while he never succeeded on that front, he did succeed in making bubbly wine a whole lot better. For starters, he was the first winemaker in Champagne to use corks, which kept the carbon dioxide from escaping, thus creating the bubbles. He also used a process of gently pressing his grapes, so that it eliminated the dark color that came from the skins -- producing a clearer, less murky wine. He even blended his grapes to make a light white wine, which suited the effervescence far better than the heavy red. Legend has it that upon first tasting his vastly improved beverage, the Dom exclaimed, "Come quickly, I am tasting the stars!"

Loyal Royals

Dom Perignon brought such nobility and renown to Champagne's sparkling wines that they soon became the preferred libation of royalty -- namely, France's Sun King, Louis XIV.

For much of his life, Louis XIV drank champagne almost exclusively -- a habit that made one province very wealthy and another very jealous. Burgundy, to the south, felt the Sun King was giving their fine red wines the shaft. They soon engaged Champagne in a war of words carried out via inflammatory pamphlets and public seminars deriding their wine. The feud was no small affair. In fact, it lasted for more than 130 years, and many times, the two regions seemed to teeter on the brink of a civil war. Of course, the Champenois learned to embrace the long-detested bubbles along the way, and it didn't hurt that doctors began claiming the bubbles cured malaria (a proclamation that caught the attention of everyone with a moat).

Louis the Great was hardly the last emperor to take a liking to the region, however. At age 9, Napoleon Bonaparte was sent to study at the Brienne military academy in Champagne, where he developed an early interest in the local brew. In fact, before each of his military campaigns, the self-appointed emperor made a point of passing through Champagne to obtain a supply of bubbly from his good friend Jean-Rémy Moët. After all, Napoleon once claimed of champagne, "In victory you deserve it, in defeat you need it." One can only assume that post-Waterloo was a time of need.

Sadly, in the ensuing years, Champagne's ties to royalty did more harm than good. In 1870, Bonaparte's nephew, Napoleon III, declared war on Prussia, and by the time Prussian troops overran Alsace and Lorraine, the only thing standing between them and Paris was a patch of land called Champagne.

The Franco-Prussian War was one of the bloodiest of the 19th century, and many of the deaths, according to one observer, occurred in fields "strewn with fragments of glass from champagne bottles." Within a short time, Prussia had won the war, and France was left nearly bankrupt.

It was about that time that Louise Pommery decided to introduce a radical new idea to the world: dry champagne. Brut, as it became known, was more expensive and more difficult to make because it required more fully ripened grapes. But the extra effort paid dividends. The world loved brut, and within three years, France's economy was back on track. Along with the cabaret, the cinema, and the cancan, champagne played a large role in the Belle Époque -- the nation's greatest era of peace and prosperity. It's no wonder, then, that the sparkling beverage quickly became a fixed part of France's national character.

Trick or Treaty?

In order to cement the Champenois' hard-earned contributions to world culture, France forced some specific language into the 1891 Treaty of Madrid. It stated that sparkling wine could only be named champagne if it was produced in Champagne and made with grapes originating there. As happy as this made the Champenois, it also created a confusing problem. Champagne itself didn't have defined borders; thus, when the French government formally declared in 1908 that only those vineyards in the Marne and Aisne districts had the right to call themselves "Champagne," well, it caused quite a ruckus in the neighboring Aube region. (This would be roughly the same thing as Major League Baseball suddenly declaring the Toronto Blue Jays a minor league franchise because it isn't really located in the United States even though they've won the World Series.)

What happened next was predictable: protests, riots and 6 million bottles of good champagne destroyed.

Of course, the incident was nothing compared to the devastation, confusion, and sheer terror Champagne experienced during World War I. The German toll on the area was horrific. In fact, the destruction of buildings like the Rheims Cathedral (a building that had seen the coronation of many a French monarch, celebrated with many bottles of  -- what else? -- champagne) was so dramatic that among the many stipulations of the post-war Treaty of Versailles was a further, more forceful clarification of the 1891 proclamation that only the Champenois could legally produce a sparkling wine called champagne.

That seemingly minor concession in the Treaty of Versailles has become the linchpin of the business in France. The fact that no other nation (nor any other region of France, for that matter) can legally produce champagne gives long-established houses like Moët & Chandon, Veuve Clicquot, Taittinger, and Krug a huge advantage when it comes to sales. Sure, other places produce sparkling wine, but in Italy it's called spumante, in Spain it's called cava, and in Alsace, crémant.

Interestingly, American sparkling wine producers have been able to get away with printing the word "champagne" on their labels, but only because they've sneakily skirted the system. Even though President Woodrow Wilson signed the Treaty of Versailles, the U.S. Senate never ratified it; therefore, American winemakers are technically not subject to the strict standards of the treaty. (Which is why Korbel sells a bottle of "California Champagne" for less than $15.)

Champenois of the World

Today, the champagne business in Champagne is as strong as ever. In fact, things are going so well that some insiders worry that the only place for the region's industry to go is down. They warn that small producers are introducing new brands too quickly, and that they might be at risk of overcrowding the market. Of course, the biggest problem seems to be growth. Because Champagne has a finite geographical size, it can only hold so many vineyards, and right now, the region is at its capacity.

Not to worry. Even though the Champenois make a wine for the best of times, they've had more than their share of the worst of times. And somehow, that special homemade bubbly always seems to carry them through.

For more mental_floss articles, visit mental_floss.

© Entire contents of this article copyright, Mental Floss LLC. All rights reserved. E-mail to a friend

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

France's Champagne district known for its wool in 17th century

@highlight

Dom Perignon was first Champagne winemaker to use corks

@highlight

France's Louis XIV drank champagne almost exclusively

@highlight

Treaty of Versailles: Only Champagne can call sparkling wine champagne