(CNN) -- Officials believe the "main battle" is about to begin in the Syrian city of Aleppo, the U.N. peacekeeping chief said Thursday.

"The focus is now on Aleppo, where there has been a considerable buildup of military means, and where we have reason to believe that the main battle is about to start," said Herve Ladsous, the United Nations under-secretary-general for peacekeeping operations.

Ladsous spoke to reporters and briefed the U.N. Security Council Thursday, hours after Syrian rebels battered a military base near Aleppo as the battle for the nation's most populous city raged.

Rebels used tanks seized in previous clashes with government troops to pound the Menagh military airport, the opposition Syrian Observatory for Human Rights said.

The base is north of Aleppo, Syria's commercial capital. The main military airfield in the region is southeast of the city.

The government-run Syrian Arab News Agency said authorities were "killing or wounding dozens of terrorists" in the countryside outside Aleppo.

Regime warplanes shelled the western and northern parts of the city, the opposition Local Coordination Committees of Syria said.

Communication was spotty inside the besieged city. Cellular phone service was cut off, and power outages were reported in neighborhoods where there was heavy shelling, according to Deama, an activist there who asked that her full name not be used for her protection.

Thursday's fighting comes amid unsuccessful international diplomacy. Kofi Annan, who championed a six-point peace plan this year, said he has resigned as the U.N. and Arab League joint special envoy to Syria.

While diplomats debate how to handle the situation, there has been stepped-up help for the emboldened rebel forces, dominated by military defectors who have streamed into the opposition's arms for months.

Obama authorized covert support for Syrian rebels, sources say

Rebels are now equipped with heavy weaponry, including tanks, the United Nations said, a sign that the armed resistance to President Bashar al-Assad's regime is gaining military potency.

Government forces also used heavy weapons in the clashes.

MiG-23 fighter jets struck rebels in an Aleppo village, said Capt. Ammar Al-Wawi of the Free Syrian Army.

Syrian state TV said soldiers "have been able to eliminate scores of terrorists and mercenaries" in Aleppo and claim to be sweeping through the city's Salaheddine neighborhood and towns west of Aleppo.

Shelling and clashes have raged across the city for days, prompting thousands to flee their homes. Both rebels and government forces are placing great importance on gaining control of the metropolis.

But Aleppo was not the only hot spot in Thursday's fighting. Anti-al-Assad fighters and government forces continued clashing across Syria. At least 130 people were killed throughout the country Thursday, including 50 in Damascus and its suburbs and seven in Aleppo province, the LCC said.

The opposition activist network blamed government troops for an attack on a Palestinian refugee camp in southern Damascus that killed 15 people. More than 50 others were wounded due to heavy shelling in the area, the LCC said.

Syrian state television said terrorists were behind the attack, adding that authorities were searching for those responsible.

In an online video purporting to show the camp after the shelling, men ran past charred, bloodied bodies on the street. In the background, a woman screamed. Another video purportedly showing the camp later Thursday night showed protesters chanting "the people want to bring down the regime."

CNN cannot independently confirm reports of violence in Syria because the government has limited access by international journalists.

Syria's uprising: From rocks to RPGs

The fighting has devastated the Syrian economy and left many people in dire straits. As many as 3 million Syrians will need food in the next 12 months as farmers in the conflict-ravaged nation lose assets and livestock, the United Nations said in a report Thursday.

The Syrian agricultural sector has suffered $1.8 billion in losses this year, including crops, livestock and irrigation systems, according to the report.

"While the economic implications of these losses are quite grave, the humanitarian implications are far more pressing," said Muhannad Hadi, the World Food Programme representative in Syria.

The Syrian crisis started when al-Assad's security forces launched a violent crackdown on peaceful protests in March 2011. That clampdown spurred a nationwide uprising as armed rebels, including military defectors and other fighters, battled under the Free Syrian Army.

The conflict has claimed roughly 17,000 lives, U.N. Secretary-General Ban Ki-moon said last week. Opposition activists put the toll at more than 20,000.

A key question remains: whether United Nations observers will remain in Syria. The group's mandate is set to expire on August 19.

The 150 military observers and 80 civilians remaining in Syria conducted more than 50 patrols over the past few weeks, according to Ladsous, the United Nations' peacekeeping chief.

"They report, they inform us. And they try -- wherever it's possible -- to mediate, to arrange local ceasefires, humanitarian pauses to allow civilian populations to withdraw from shelling areas," he said.

Meanwhile, U.N. Security Council President Gerard Araud suggested that the council should consider shifting its attentions toward humanitarian problems in Syria.

"The divisions in the council are very deep. I think its irreconcilable in political terms," he said.

"Maybe we should work on (the) humanitarian situation, which is becoming disastrous. At least the Security Council would be useful," Araud added.

On Wednesday, U.S. officials said President Barack Obama had signed a covert directive authorizing U.S. support for Syrian rebels. The secret order, referred to as an intelligence "finding," allows for clandestine support by the CIA and other agencies.

Syrian state TV said Obama signed "secret documents" to "support terrorists."

The Obama administration had said it would step up its assistance to the opposition after last month's failure by the U.N. Security Council to agree on tougher sanctions against the al-Assad regime, but exactly what type of support the finding authorizes was unclear. The Obama administration has ruled out arming the rebels for now, providing only nonlethal assistance, such as communications equipment.

Complete coverage on the unrest in Syria

CNN's Yousuf Basil, Salma Abdelaziz, Mohammed Jamjoom, Elise Labott, Faith Karimi, Joe Sterling, Hamdi Alkhshali, Ivan Watson, Brian Walker and Matthew Chance contributed to this report.

@highlight

NEW: "The focus is now on Aleppo," UN peacekeeping chief says

@highlight

Rebels, government trade accusations over a refugee camp attack

@highlight

At least 130 people have been killed Thursday, opposition says

@highlight

Kofi Annan leaving position as special envoy