(CNN) -- There's a hilarious episode of the sketch comedy show "Portlandia" where two hipster parents give their preschool age kid a presentation about his future.

The kid, Grover, half-watches as mom and dad pull up two stock market-style charts: One shows his fortunes going up and up if he attends Shooting Star preschool; the other shows what happens if he fails to get in: a plunge into violence, shoplifting and poverty.

"The last thing I want is you out there, you know, shooting squirrels and birds for dinner," says the mom. "If we don't get you into that Shooting Star private preschool, you're gonna end up at a public school with a bunch of riffraff."

She adds: "We're gonna get you into preschool. We're gonna get you into college. We're going to get you some money. And we're gonna get you whatever you want!"

The skit is great because it's based in truth.

Yes, elite preschool admissions are perfectly absurd, but the benefits of preschool are seriously significant. Researchers in North Carolina and Michigan have spent decades following kids who attend preschool and comparing them with control groups of kids who didn't. While preschool, of course, does not single-handedly determine whether a kid will be successful and happy or end up shoplifting with the riffraff, on the whole the studies suggest the early schooling can reroute lives for the better.

The "Portlandia" charts are kind of real.

My View: Not all preschools are created equal

That's why every one of us should hope that Congress comes up with a way to pay for President Barack Obama's proposal that all American kids get access to preschool -- starting with those who are less likely to be able to pay for it themselves.

The kind of outlay that would require might sound ridiculous at a moment when the country is headed toward Fiscal Cliff Part Deux, or "the sequester." But talk to the researchers who have been following kids from preschool and into their 20s, 30s and 40s, and you begin to see how transformative early education can and should be. Ultimately, it's a cost-effective investment in a future when poor kids have the same chance at success as the obsessed-over Grovers of the world.

"Unequivocally, yes, I think it works," said Frances Campbell, a senior scientist at the University of North Carolina at Chapel Hill. "I don't think there's any question about that."

In 1972, Campbell's university began a project to track the success of a group of preschoolers and a similar control group of kids who were not given access to preschool. The 1970s start date "tells you I am ancient, which I am," Campbell said. She's 80 now, and the research subjects are turning 40. The ongoing study is like the science-y version of the "7-Up" documentary series -- with researchers checking in on the lives of the subjects at several-year intervals.

The differences between those who had preschool and those who didn't "aren't huge," she said, but they are significant. "What matters to me," she said on the phone, "is that when they were 21 years old if they had had that preschool experience they were more likely to be in college and when they were 30 they were more likely to have graduated from college."

In Michigan, Larry Schweinhart is an early childhood program researcher at the nonprofit education research organization HighScope. His group also found positive, long-term results. Kids who went to preschool in the mid-'60s were less likely to have been arrested several times by age 40, were more likely to have graduated from high school and were likely to earn more than non-pre-K kids studied.

Some have criticized those studies, saying the preschools were too well-funded and fussed over for their successes to be replicated elsewhere. In North Carolina, Campbell said, kids also got help that extended before and after the typical preschool years of age 3 and 4. Others say the study sample sizes -- about 100 kids in each case -- may be too small to support sweeping conclusions.

The effectiveness of public early education programs also have been called into question. A 2012 report from the U.S. Department of Health and Human Services found students in the Head Start program made early educational strides -- but that they faded by the time the students reached third grade.

Schweinhart said that expanding preschool programs across the nation won't automatically improve lives. But if the programs are funded and managed well, he said, they will have real impact. That seems like a reasonable assessment, and it's one that's more or less shared by professor David Kirp of the University of California, Berkeley.

"Whether universal prekindergarten really makes a difference in children's lives or turns out to be a false hope," Kirp wrote recently for a CNN blog, "depends entirely on the quality of what's being offered."

Perhaps the real impact of preschool is most visible in the lives of real people who attended decades ago and now are adults. I asked the researchers in North Carolina and Michigan if I could talk to some of the people who are the subjects of their studies. They declined, saying that since the studies are ongoing the people must have anonymity so as not to skew results. So I went to the next best thing -- two women who attended a HighScope preschool in Michigan but weren't part of the studies the group ran.

I wanted to know if they actually, really, truly thought that their lives today had been changed by the fact that they went to some classes decades ago. I figured they wouldn't remember much. But, to my surprise, both Simone Strong, 39, and Katie Jones, 33, told me their experiences around age 3 still mattered past 30.

Jones is in a wheelchair and she said the school gave her the confidence she would need to confront people who might see her as different. Strong said the school was "empowering" and is part of the reason she has had the confidence to serve on the boards of socially minded organizations in her community.

Both of their children now go to the same preschool -- in part because their older, wiser mothers realize what a big impact preschool had on their adult lives.

It seems like all kids should have those opportunities.

The opinions expressed in this commentary are solely those of John D. Sutter.

@highlight

John Sutter: Research proves the effectiveness of preschool

@highlight

President Barack Obama recently said all Americans should have access

@highlight

Sutter: Preschool could be a great equalizer for rich and poor

@highlight

He says studies show its effects last into a person's 40s and 50s