On Wednesday, the Massachusetts Supreme Court issued an opinion in the matter of Commonwealth v. Michael Robertson, holding that it is not illegal to secretly photograph underneath a person's skirt on the subway, a practice widely known as "upskirting." The court, and the justice who wrote the opinion, have since weathered harsh -- and undeserved -- criticism.  On Thursday, state lawmakers passed a bill banning upskirting, but that new law—which yet to be signed by the governor-- will still be subject to the same judicial scrutiny if it fails to adequately define the crime and the elements thereof.

No one, including the members of the Massachusetts Supreme Court, condones upskirting. But the court is not in the business of "condoning" activity, nor is it in a position to adjudicate the fairness of the outcome.  The court is in the very limited business of applying the law enacted by the legislatures, and it did just that.  In fact, it carefully applied the definitions provided by both the Legislature and Webster's dictionary.  The problem isn't the justice; it's the statute, as wrtitten,  itself.

General Laws c. 272, § 105(b) provides:

"Whoever willfully photographs, videotapes or electronically surveils another person who is nude or partially nude, with the intent to secretly conduct or hide such activity, when the other person in such place and circumstance would have a reasonable expectation of privacy in not being so photographed, videotaped or electronically surveilled, and without that person's knowledge and consent, shall be (guilty and punished)."

The Court recognized that the statute, as written, breaks down into five elements: 1. The defendant willfully photographed. 2. The victim was nude or partially nude. 3. The defendant intended to photograph surreptitiously. 4. The victim was in a place where she would have a reasonable expectation of privacy in not being "so photographed." 5. The absence of consent.

The only elements really in dispute were Nos. 2 and 4. The defendant's argument was that, under the statute, the female passenger was not "nude or partially nude," nor was she in a place where she had a reasonable expectation of privacy.  The Commonwealth had to prove both of these for a conviction, along with the other elements. The failure of any one of these elements meant the failure of them all.

Let's break this down.

Partial nudity

First, consider the legal definition of "partially nude." Most of our personal definitions of partial nudity were formed by vague warnings from opening credits on Cinemax movies in the 1990s.  But "partial nudity" is actually a legal concept, with a legal definition.

The law defines it as "the exposure of the human genitals, buttocks, pubic area or female breast below a point immediately above the top of the areola."

Unfortunately, the statute, as written, ded not provide a definition of "exposure," so the court properly turned to Webster's dictionary, which defines it as "a condition or instance of being laid bare or exposed to view."

To the court, "partially nude" means having private parts that are uncovered and visible to another person's eyes.  "A person who is ... partially nude," according to the court, is a person who is partially clothed but whose private parts are exposed in plain view when photographed.  It appears from the court's opinion that "partially nude" is not to be confused with "almost nude," as one might be if one's private parts are covered but she or he is wearing only underwear.  Who knew nudity was so complicated?

What happened to "I know it when I see it?" Apparently, that phrase works for defining pornography, but when it comes to nudity, the court is a bit of a stickler.  In Massachusetts, it appears that a "female passenger on a MBTA trolley who is wearing a skirt, dress, or the like covering these parts of her body is not a person who is 'partially nude,' no matter what is or is not underneath the skirt by way of underwear or other clothing."

Reasonable expectation of privacy

The court went on to discuss the fourth statutory element: whether the victims were "in such place and circumstance (where the person) would have a reasonable expectation of privacy in not being so photographed."

To the court, because the Massachusetts Bay Transit Authority is a public transit system operating in a public place that uses cameras, the two alleged victims -- and all female straphangers -- were not in a place where they reasonably would or could have had an expectation of privacy.

The prosecution valiantly argued that privacy is less about the location where the photographing occurs than the location on the body photographed.  The court dismissed this argument.  While on the subway, a woman has a diminished expectation of privacy; she wears a skirt at her own risk.

Though reasonable minds can definitely disagree about where we have "reasonable" expectations of privacy, for purposes of this case, it's immaterial.  The way the statute was written, the defendant was "not guilty" the moment any one of the statutory elements failed.  This case was over at "partial nudity."

The opinion raises privacy issues unique to female clothing -- and, in particular, the skirt.  It's a garment that from 90% of vantage points completely conceals undergarments.  It's the other 10% that is problematic; sit or stand in the wrong place or position, and undergarments are now visible.

Even more problematic, if a defendant photographs a woman at the beach in a bikini, she is neither partially nude nor does she have an expectation of privacy.  But if she then puts on a sarong and hops on a bus, should it be illegal to photograph up her skirt?  This definitely feels like a moral invasion of privacy, but under statutes like the one here, it might not be an illegal invasion of privacy.

Unfortunately for female subway passengers -- and men in kilts -- being upskirted in public by a disturbed person and his camera-phone is still not illegal in Massachusetts.  Under the statute the Court considered, the act neither photographs partial nudity nor violates a reasonable expectation of privacy.  That understandably drew some ire. Indeed, if the law does not change, it represents a harbinger of failed future prosecutions of subway peeping Toms.  But ire at the Massachusetts Supreme Court is misdirected. After all, the justices only interpreted the statute; they didn't write it.

@highlight

Danny Cevallos: People appalled by Mass. "upskirt" ruling, but justices enforcing law as written

@highlight

He says victim wasn't partially nude, was in non-private place; law lets photog take picture

@highlight

He says opinion raises privacy and moral issues unique to female clothing, mainly skirts

@highlight

Cevallos: Don't be angry with court; be angry with legislators who enacted law