In a perfect world of course, there would be no serious predatory crime, and thus no need nor call to respond to it.

We wouldn't have murder, attempted mass murder, or the sexual abuse of children.

But alas, that world seems all too remote today.

Assuming we continue to have murder and other serious crime which kills or maims innocents, what should we do about it?  Most of us believe that rarely, but sometimes, callous, depraved, vicious predators do deserve to die.

Opinion: Death penalty is unchristian

And we feel certain that justice requires they get what they deserve.

Related: Blecker joins CNN's Google Hangout to answer your death penalty questions

But not all convicted murderers deserve to die. We must fundamentally commit ourselves to ensure that those who don't deserve to die -- either because they did not really commit murder, or because they are not the worst of the worst of the worst -- will not be executed.  We should construct our punishments more nearly to fit their crimes -- neither much more nor much less than what they deserve.

1. Let's have better definitions for who should die.

I've spent decades visiting prisons and interviewing convicted killers and corrections officers. I'm convinced that states with the death penalty can and should morally refine their statutes.

My crime and punishment memoir, "The Death of Punishment," details many changes and suggests a model death penalty statute, reserved for especially heinous, atrocious and cruel killers. This includes not only sadistic serial murderers -- those who relish torturing their vulnerable victims, especially condemned for their cowardice -- but also cold, cruel, callous killers who may not intend to kill, but simply don't give a damn.

In short, mass murderers, terrorists, sadistic serial killers, contract killers or other paid assassins deserve to die.

Once we more consistently condemn the attitude of those who act with a depraved indifference, we will also  punish more severely "red collar killers" -- callous corporate executives who calculatedly cause the deaths of unsuspecting employees or consumers -- for the serious crimes they commit, albeit from the best of motives: the profit motive.

In a more perfect world, we'd shed double standards and embrace more nearly a uniform metric of justice.

At the same time that we punish more, we should punish less.  Remove many other standard -- aggravating circumstances which make a person eligible for execution in states that allow the death penalty.

Robbery, burglary other than home invasion and drugs should not elevate murder into capital felony murder.  If we drop economic crimes such as robbery and drugs as aggravating circumstances, racial disparity will drop significantly. Rape still qualifies as torture, however, and all other things equal, rapist murderers do deserve to die.

In short, we can -- and should -- define the worst of our worst more clearly and punish them more nearly as they deserve.

2. Let's be more certain that they are guilty.

Western culture has essentially committed us to a presumption of life, of innocence and we have long required special proof of guilt before we punish with death.  "Super due process" requires vigorous defense counsel challenging the prosecution to prove guilt beyond a reasonable doubt to a unanimous jury.

Death (or life without parole) as society's ultimate punishment demands even more, however.  A jury should not only be convinced beyond a reasonable doubt that the condemned did it, but also that they deserve their punishment.

In the separate penalty phase of a trial, where the question is not guilt or innocence, but life or death as punishment, a jury should be left with no lingering doubt -- no real doubt, however irrational -- about the convicted killer's guilt.

Even this should not be enough to condemn a vicious predator to die. A nearly unanimous jury should be convinced with no "lingering or residual doubt" that the convicted murderer did it, and to "a moral certainty" that he or she deserves to die for it.  No state has adopted this higher, special burden of persuasion, but they should.

3. Let's choose a better execution method.

Lethal injection -- which grabs headlines these days -- never was and never will be a good execution method.

The execution scene I witnessed resembled final goodbyes at a hospital or hospice for the terminally ill. The dying person lies on a gurney, wrapped in white sheets, an IV attached, surrounded by medical technicians with loved ones in attendance.  We should oppose lethal injection, not because it might cause pain, but because it certainly causes confusion, wantonly merging punishment and treatment.

The firing squad seems to me the best of traditional methods, but a state might give a member of the victim's family a choice among available constitutional options.

In any case, when we do punish we should be clear and make it clear that we are punishing.   We should reconnect the punishment to the crime.

Before (or after) the condemned makes a final statement, the victim's family or friends may display a brief audiovisual memorial of the victim's life.  We should make punishment honest and overt.

4. Let's take a hard look at inmates' prison lifestyle.

Most vicious killers a jury condemns to die will never be executed.  And even those we do kill, will live out much of their lives on death row.

For the worst of the worst whom we have condemned, daily life on death row should be their punishment.  Their conditions should be no better than what corrections reserve for lesser criminals who commit additional offenses inside prison and are additionally punished with punitive or administrative segregation.

It's obscene today that sometimes our condemned killers inside prison live better than our working innocent poor in society.

Specifically, within constitutional bounds, those we condemned to die or live a life in prison with no chance of parole -- the worst of the worst -- should be allowed only the minimum constitutionally mandated exercise, phone calls, or physical contact.

They should not be permitted any communal form of recreation or play.

For the rest of their lives, their food should be nutraloaf, nutritionally complete and tasteless.

Photographs of their victims should be posted in their cells, out of reach, in visibly conspicuous places.

Prison administration should make every effort to connect punishment to crime.

Departments of corrections should administer prisons to protect the public, protect staff, and provide humane supervision of prisoners with opportunities and programs that meaningfully support successful community reintegration for the vast majority of offenders sentenced to a term of years or life with a possibility of parole.

We must recognize that economic circumstances drive people to commit crimes.  In a more perfect world we would stop punishing drug dealers as if they were murderers. We should allow and encourage lesser criminals to pay for the crimes and give them real opportunities to start fresh.

But for those prisoners sentenced to death or life without parole, corrections should administer punishment: an unpleasant, restrictive daily regimen designed to continually convey society's intense disapproval of the crime and the criminal.

5.  And when mistakes are made?

During the penalty phase of a capital trial, skilled defense attorneys should attempt effectively to humanize even guilty defendants.

Anyone, including friends or family, may recount the convicted murderer's good deeds or emphasize the killer's own traumatic suffering or abuse as a child.  But recognizing that even murderers remain human beings, defense attorneys should not discourage their clients from taking responsibility, nor use the defendants to promote their own abolitionist agenda.

Prosecuting attorneys, in their turn, may call surviving friends or family to humanize the victim and testify to their own sense of loss.  The U.S. Supreme Court has ruled that survivors must express no opinion on the killer's proper sentence.

Regardless of how survivors feel, however, the victim's opinion of the killer's fate should count. Thus, a reliable living will or declaration of life should be admissible in the penalty phase.

As long as evidence clearly supports it as authentic, the jury should hear that the victim would have opposed -- or supported -- the death penalty (or life without parole) for the killer and give that fact such weight as they think it deserves.

In the unusual but real case where we later discover an innocent person has been condemned to die or imprisoned for life without parole, the state shall not only release that victim, but also pay substantial reparations to the wrongly condemned or surviving family, regardless of whether any public official intentionally or recklessly miscarried justice.

And should an investigation clearly establish that prosecutors or police ever intentionally and unlawfully suppressed evidence of innocence while capitally prosecuting, they should themselves be prosecuted for attempted murder.  If they recklessly caused the death or loss of liberty of the innocent, they should be prosecuted and punished for depraved indifference reckless endangerment.

Again, there would be no vicious predators in a more perfect world, nor would innocents ever be convicted.

However, in this world, we can -- and must -- do more to ensure that the punishments more nearly and reliably fit the crimes.

@highlight

Death penalty advocate: Reserve executions for especially heinous, atrocious and cruel killers

@highlight

Replace injection with firing squad or let victim's family choose, Blecker says

@highlight

Restrict death row inmates to minimal exercise, phone calls, or physical contact

@highlight

Blecker: If innocent defendants are wrongly executed, families should be compensated