(CNN) -- Almost exactly a year ago, Stanford University took a bold step. It opened up an online version of three of its most popular Computer Science classes to everyone around the world, for free.

Within weeks, close to 100,000 students or more were enrolled in each of these courses. Cumulatively, tens of thousands of students completed these courses and received a statement of accomplishment from the instructor. This was a real course experience. It started on a given day, and the students would watch videos weekly and do homework assignments. These were real homework assignments for a real grade, with a real deadline.

One of those classes was taught by my co-founder, Andrew Ng. In his on-campus Stanford class, he reaches 400 students a year. It would have taken him 250 years to reach the number of students he reached through that one online course.

The Stanford endeavor showed what is possible. It showed that it is possible to produce a high quality learning experience from some of the top instructors in the world at a very low cost.

At the same time as this project was being run, it had become clear that changes in higher education were desperately necessary. A high-quality education is now a critical need for most people who aspire to a better life, while it continues to be out of reach for many.

TED.com: The 100,000 student classroom

In many parts of the world, including large parts of Africa, Asia and South America, good education is often not available because of lack of capacity. Even in the United States, where education is arguably there to be had, it may not be within reach. Since 1985, tuition costs have gone up 559%, almost double the rate of the escalating costs of health care.

This Stanford project led to the founding in early 2012 of Coursera, a social entrepreneurship company that hosts around 200 free courses from 33 of the world's best universities, including Princeton, Stanford, Penn, Michigan, Caltech, Duke, Illinois, Washington and others.

The courses span a spectrum of topics: physics, biology, computer science, engineering, medicine, literature, sociology, poetry, business and many more. The courses are full courses complete with short video lectures, quizzes and assignments. For some courses, papers or projects are assessed through a peer grading system. They serve a rich community of learners from all over the world, crossing geographic, ethnic and language boundaries. More than 1.4 million students have enrolled to take these great courses, opening new intellectual horizons as well as opportunities.

TED.com: Let's use video to reinvent education

One of the greatest opportunities of this technology, one that is yet untapped, is the window that it opens into understanding human learning. The data that one can measure is unprecedented in both the level of detail and in its scale.

Thus, we can apply data analytics in entirely new ways to understand what works and what doesn't, ranging from general educational strategies to specific design choices for a given course. This transformation from a hypothesis-driven to a data-driven mode has revolutionized other disciplines, such as biology, and may now allow us to systematically improve the quality of education.

This paradigm, which combines meaningful work that can be graded at scale with peer-teaching among students, allows us to offer some of our best educational content to students around the world, at a negligible marginal cost of pennies per student. It therefore makes feasible the notion of universal education, with the potential of some remarkable consequence.

TED.com: Teach statistics before calculus

First, it allows us to establish education as a basic human right, so that anyone with the motivation and the ability would have the opportunity to get the skills that they need to make a better life for themselves, their families and their communities.

Second, it enables lifelong learning. For many of us, learning stops when we finish our formal education. With the availability of these amazing courses, we would always have the opportunity to explore new directions, whether to expand our minds or to make a change in our lives.

Finally, it opens the door to a wave of innovation. Because talent can be found everywhere. Maybe the next Albert Einstein or the next Steve Jobs is living in some remote village in Africa. With access to education, he or she can come up with the next big idea and help make the world a better place for all of us.

As Tom Friedman wrote in May, "Big breakthroughs happen when what is suddenly possible meets what is desperately necessary."

The opinions expressed in this commentary are solely those of Daphne Koller.

@highlight

Daphne Koller: Three Stanford computer science courses were opened to all online

@highlight

She says thousands took part, showing the hunger for education around world

@highlight

Online education could upgrade skills, reach people who couldn't afford college, she says

@highlight

Koller: Online education enables lifelong learning and promotes innovation