(CNN) -- After Tip O'Neill's "All politics is local," Bill Clinton's quip "It's the economy, stupid," is perhaps the most oft-quoted truism of modern American politics. But as times change, we should update our aphorisms accordingly.

Just four years ago during America's presidential election, outsourcing to India and China's currency manipulation were the bogeymen, the former blamed for the loss of jobs and the latter for the weakness of exports.

But increasingly the culprit is the robot. Automation now removes as many manufacturing jobs from the economy as outsourcing. Witness the U.S. Postal Service, which will have to cut 35,000 jobs by 2015, and how digitization has forced bookstore chains such as Borders into bankruptcy.

China, once the beneficiary of offshored manufacturing, also now faces cheaper competitors in Asia and technology upgrades: Foxconn -- a subsidiary of Taiwan-based electronics supplier Hon Hai Precision Industry Co -- plans to implement more than one million robots on its assembly lines in China by 2015. We may compete against each other economically, but we are all competing with, and against, technology.

An updated vocabulary for these circumstances might include the shift from homo economicus to homo technologicus. Even economists ought to agree. Marx and Engels wrote in the Communist Manifesto that it was constant changes in the "instruments of production" that caused "all fixed, fast-frozen relations" to be "swept away."

For Schumpeter, technological change was a key driver of "creative destruction." Technology increases drive problems that we view as political or economic in nature such as income inequality. America's wealthiest people earn from their innovation and control of technologies, ranging from social media to high-frequency trading.

If technology drives economics -- rather than the reverse -- then we should elevate the notion of geo-technology above that of geopolitics and geo-economics as well. It was around the time of then-candidate Bill Clinton's 1992 quip about the economy that scholars of international relations began to use the now vogue term "geo-economics." Edward Luttwak wrote that the logic of conflict would unfold in the "grammar of commerce." Samuel Huntington chided his fellow political scientists for not recognizing that "economics is the most important source of power and well-being." Today that same statement is true of technology.

Think about it: China is not a superpower today because it has about twice as many nuclear warheads as it did two decades ago. Not many people know or care how many nukes China has; it has had them since the 1960s, yet we didn't consider China a superpower then. China's superpower rise is directly attributable to its technological strategy of dominating low-cost manufacturing, accumulating massive surpluses and reserves, and reinvesting that cash into more advanced technologies as well as military hardware. The causal flow begins with technology.

By this logic, China's recent twelfth Five-Year Plan should be viewed as a more cogent national security strategy than anything offered by the Pentagon in two decades: it pledges $1.5 trillion in government support for seven "strategic emerging industries" including alternative energy, biotechnology, next-gen IT, high-end manufacturing equipment and advanced materials. China invented none of these fields, but is putting incomparable effort into deploying them at scale. China already controls over half the world's market in solar cells. Does the balance of power matter more, or the balance of innovation?

Even though technology has become a scapegoat in American politics, it is also widely recognized as part of the solution. The internet creates 2.6 jobs domestically for each one that is lost to automation. The new great hope for a grassroots economic revival is the advent of 3D printing, which some call the "next industrial revolution," for its potential to revive a nationwide DIY manufacturing movement. Small-scale prototypes can be produced in much smaller quantities, and bought and traded on increasingly popular websites like Etsy.com, which has over 15 million users and growing.

Technology also enables the increasingly wide and liquid market for task bartering and skill exchanges: Amazon's Mechanical Turk is already the world's largest part-time workforce. The next wave of job creation could come from green construction, meaning retrofitting for low-emissions buildings and installing smart grid equipment such as solar cells and constructing wind farms.

Our political discourse today obsesses over economic headlines at the expense of technological foresight. In America it passes as penetrating wisdom that Obama will be re-elected if unemployment drops below 8%. But America's structural unemployment won't be unwound by statistical sleights of hand. What every citizen and worker in the world today needs is not higher IQ or EQ but higher TQ: technology quotient.

The opinions expressed in this commentary are solely those of Ayesha and Parag Khanna.

@highlight

Khannas: Technology now the most important source of power and well-being

@highlight

China's superpower rise is directly attributable to its technological strategies, experts say

@highlight

Next wave of job creation could come from green construction, say Ayesha and Parag Khanna

@highlight

Every citizen needs a higher TQ: technology quotient