Raleigh, North Carolina (CNN) -- Olegario Rodriguez arrived at the DMV long before the doors opened Monday. He wanted to claim the first spot in line.

As he waited in near-freezing temperatures, he skimmed a driver's ed manual, trying to soak in last-minute details.

"I need my license," said Rodriguez, 25. "When you drive without a license, you get into a lot of trouble, and I don't want any trouble."

Rodriguez has been granted deferred action under the Obama administration's program for young undocumented immigrants who were brought to the United States as children. But until this week, getting a driver's license was out of reach.

On Monday, North Carolina -- the state where he now lives after coming to the United States from Mexico 15 years ago --- debuted new driver's licenses designed for those that have qualified under the federal program.

Officials originally had proposed putting a thick pink stripe on the licenses to make it clear that the holders were undocumented immigrants and not U.S. citizens.

But transportation officials changed course away from that idea, which some immigrant rights advocates said amounted to a discriminatory "scarlet letter."

The new licenses that debuted Monday denote the deferred-action immigrants as "limited term" and "legal presence/no lawful status" in smaller, red letters.

"This final design will allow for ease of implementation by keeping the coding used in the production process consistent with other licenses," a state government spokesman said.

The state's transportation secretary said officials had one goal in mind.

"This program is about accountability and safety, making our roads safer for all North Carolinians," Transportation Secretary Tony Tata said in a written statement.

Different states, different rules

For months, driver's licenses and other state benefits have been at the heart of a battle in the nationwide immigration debate.

Supporters of licenses for undocumented immigrants argue that it's safer to have more drivers trained and insured, and opponents argue that such systems are rife with fraud.

In January, New Mexico Gov. Susana Martinez said she would push to repeal the state law allowing undocumented immigrants to obtain driver's licenses. That same month, the governor of Illinois signed a new law that would allow undocumented immigrants to get temporary licenses.

In at least 38 states, officials have said recipients of deferred action are eligible for driver's licenses, according to the National Immigration Law Center. But in some states, like Arizona and Nebraska, officials have stepped up efforts to stop licenses from being issued, the law center said.

In North Carolina, even though the new licenses weren't the "scarlet letter" many immigrant advocates feared, some still criticized the state's approach.

"This new look is a huge step in the right direction," Raul Pinto, staff attorney for the ACLU of North Carolina, said in a statement.

But Pinto said the organization had lingering concerns.

"We still question the necessity of including distinguishing language such as 'no lawful status' on the licenses and will be watching closely to see how these changes are implemented," he said.

Immigrants debate design

Rodriguez said he was grateful to get a license, but wished it had a different design that didn't mention his immigration status.

"I can't deny that there is a lot of discrimination in this country," he said. "I would rather it (the license) didn't have those words but there is nothing I can do."

Montserrat Manta, an undocumented immigrant, said she didn't plan to get one of the new licenses, even though she would be eligible.

"I've been discriminated (against) too many times and I don't want to give them that pleasure again," she said.

Others said they didn't mind.

"I have always driven illegally, so it does not bother me that they put this on it," said Cinthia Marroqin, who also waited in line at a Raleigh DMV Monday. "Because I know who I am, and am not afraid."

Carlos Zuniga, who was also one of the first people in line at the Raleigh office Monday, said he hoped getting a driver's license would open doors for him.

"A license is very important to get better work, and to be treated better," he said.

Some said they were hoping to push for all undocumented immigrants to have the chance to drive.

Maria Rios said she came to the DMV Monday because she was the only one in her house who could get a license.

"But my parents and others also need one," she said, "to go to work and make a living."

CNN's Catherine E. Shoichet contributed to this report.

@highlight

North Carolina debuts new driver's licenses for undocumented immigrants

@highlight

The licenses say "legal presence" and "no lawful status" in red letters

@highlight

An earlier design had a thick pink stripe on it, but officials change course

@highlight

Immigrants granted deferred action line up for the new licenses