(CNN) -- They do things differently at Sociedad Deportiva Eibar, up in the mist-cloaked valleys of the Basque country. And it is working.

The smallest club ever to compete in Spanish soccer's top flight is debt free, self-sustaining, and steadfast in its determination not to overextend itself.

That is a novelty in La Liga, whose two leading lights -- Real Madrid and Barcelona -- are in the red to an estimated combined tune of over $1 billion.

Eibar's town has a population of just 27,000 and its football club a miniscule budget to help sustain a charge for safety in its first ever season in the top division.

But as the season nears its half way mark, Eibar has nudged its way into the top half of the table and is proving a beacon of fastidiousness in a league that has long sagged heavily with debt.

"The miracle continues," grins Eibar president Alex Arranzabal soon after its best result of the season -- a 5-2 home win over relegation rivals Almeria.

"This is quite challenging for the rest of Spanish football. We could be a little bit uncomfortable for a lot of clubs, because they have done things in the opposite way.

"They are now seeing a small club like us can do things in this way and that it works. We are small but we are challenging them."

That Eibar even reached the top table in Spain is staggering, that it is holding its own is even more so.

It had the smallest budget in the Spanish second division last year and even after promotion, was threatened with demotion due to its size.

It had to raise $2.3 million to comply with a rule that requires every team to have a capital equal to 25% of the average expenses of all sides in the second division, excluding the two clubs with the biggest outgoings and the two with the smallest.

But after a share issue attracted pledges from all over the world, Eibar was able to take its place in the top flight and underline its commitment to financial prudence.

Many clubs have flirted with ruin throwing millions at top flight survival, but not Eibar. Though Aranzabal has gone full-time and 13 people have been recruited to cope with the demands of La Liga, it will revert to a skeleton staff should the club be relegated.

Its €18 million budget for the season is paltry in sporting terms; European champions Real Madrid have spending power of around €762 million to draw on this campaign alone.

To underline the gulf between the two, Real's Bernabeu stadium could also accommodate Eibar's population three times and still have 3,000 seats left over. So how is Eibar thriving?

"A club with soul"

Ask Arranzabal, and one of the club's biggest fans Unai Eraso, and the answer is the same -- "alma", which translates from Spanish as "soul."

"This is a family -- a football club with soul," Eraso, head of Eibar's Madrid supporters club, told me in one of the numerous tiny bars dotted round its 5,800 capacity Ipurua stadium.

"The players reflect the nature of the town -- humble, hard-working and with huge spirit. We still have the same people at the club -- the same guy has washed the shirts of the team for the last 10 years."

Arranzabal agrees: "The team gives this "alma" to the people in the stadium.

"It's very important for us that the club and the fans are together because we have to create very special conditions, like a mystique.

"It is raining, everything is dark, surrounded by the Basque mountains and the people are feeling what the players are feeling. It can be quite frightening for the opposition."

Soul is arguably becoming a rare commodity in modern soccer these days.

In the past 20 years, mega-money television deals have made some European clubs richer than ever, yet the desire for greater revenue remains insatiable.

Player salaries have soared and clubs have developed a keenness to market themselves aggressively in emerging regions, while ticket prices have continued to rise sharply in many places.

Should Eibar's meteoric rise continue they may well need to tackle similar issues, but such is the inexorable link between club and town, it is unthinkable such roots would be forgotten.

"The town and the football club -- we are the same," Arranzabal explains.

"This is very important for Eibar as a town. We have always been an industrial area and we have had quite a big crisis for the last few years," he added referring to Spain's economic problems.

"We used to be a town of 40,000 people 20 years ago but now we are 27,000. Everything was quite difficult for the people in the valley. Football has lifted the general mood of the people.

"You only have to walk round the town and see how many flags hang from the buildings and how many shirts there are of the team. The relationship between the town and the team is unique."

The world's friendliest club?

Not only is Eibar the smallest club in La Liga, it must surely rank as the most welcoming.

The fans follow the club as resolutely as the low clouds that stick to the hills that surround the town, and they are currently reveling in the greatest season of their lives.

Eraso is my chaperon -- a lifelong fan and unrelenting optimist whose ardor for the club and town is evident with each snippet of information he proffers.

We meet four hours before kick-off, just as a band of weary souls from Almeria emerge blinking from the bus that set off from their south coast town 10 hours or more ago.

He quickly shows off a newspaper cutting of the "Eibarmy" from the previous week's victorious trip to Vigo, on the east coast of the country.

"I banged the drum for so long that my hand was bleeding by the end!" he explains, as well as recounting how the club's clutch of traveling fans were greeted warmly by the home supporters.

It reflects a trend wherever they have been.

For while the story of Eibar is widely known and has been celebrated globally -- underlined by the pledges from over 50 different countries during its share issue -- it has also been championed in Spain.

"We have support from around the world," Eraso's friend Lander explains. "Everywhere we've been in Spain other fans congratulate us and want to swap shirts with us.

"Eibar is now famous -- for us this is crazy!"

Not only is there joy at the realization Eibar belongs at this level, there is a distinct sense of pride that it is doing that on its own terms.

As the thumping of Almeria unfolds in a constant swirl of wind and rain, Eraso and his friends pace up and down at the back of Eibar's Tribuna Gol Este stand, so hemmed in that plenty of fans nip across the road at halftime for a nerve-steadying beer.

The core of its team has been the same the past three seasons, every positive intervention on the field accompanied by a potted history of that player's career to date.

"It is very important to maintain the essence of the group within the club in order to keep the values that have enabled Eibar to reach the ceiling of the Spanish league," he explains.

"The players who stay in the club are an example of behavior and sacrifice to the newcomers and not the other way around. Arrogance doesn't belong here!"

The match won it is back to one of the many tavernas surrounding the ground, where Eraso raises the prospect of Eibar qualifying for the Europa League and taking its tour of goodwill across the continent.

As their President himself remarked, the dream continues.....

@highlight

Tiny Eibar is punching above its weight during its first ever season in Spain's La Liga

@highlight

The club are the smallest to have played in the top league but sit ninth in the table

@highlight

The Basque club is debt free and self-sustaining unlike a lot of other clubs

@highlight

President Alez Aranzabal: "The relationship between the town and the team is unique."