(CNN) -- Driving over a pothole may not be a big deal for most people, but for Jeff Bell, it was a source of endless frustration.

Jeff Bell found treatment for OCD very difficult, but says it helped him turn his life around.

Afraid that he had injured a person, he would drive back to each pothole again and again to check, and he lost a lot of time in the process.

"I knew that my behaviors made no sense. I knew that my thoughts that were triggering these behaviors made no sense, and yet I felt so helpless to do anything about it," he said.

Bell, a news anchor with KCBS Radio in San Francisco, California, now knows that his condition has a name: obsessive-compulsive disorder. He frequently speaks out about it and has written a memoir called "Rewind, Replay, Repeat."

Psychologists are debating where OCD belongs in relation to other psychiatric disorders, and whether certain symptoms are actually part of other conditions. The condition affects as many as 4 million Americans, according to the International OCD Foundation, for which Bell is a spokesman.

In a class of its own?

Currently, OCD sits with anxiety disorders in the Diagnostic and Statistical Manual of Mental Disorders, published by the American Psychiatric Association to help diagnose mental illness. The next edition will be released in 2012, according to the APA.

Many experts, such as Jonathan Abramowitz, professor of psychology at the University of North Carolina, Chapel Hill, believe OCD should stay with anxiety disorders. That's because people with the disorder tend to engage in repetitive behaviors to reduce anxiety.  Watch CNN's Elizabeth Landau talk more about OCD »

There is mixed evidence based on brain scans that OCD has a separate biological mechanism, leading some psychiatrists to favor classifying it separately, Abramowitz said.

"We haven't exactly pinned down what might be the problem," he said.

Categorizing related symptoms

Checking for evidence of harm done, as in Bell's case, is one of many manifestations of OCD. Some people are overly afraid of germs, while others are overwhelmed by thoughts of violence or sex, or fear that they have "sinned," and still others spend countless hours arranging objects, said Jeff Szymanski, executive director of the International OCD Foundation.

There are also people with OCD who repeat behaviors a fixed number of times because "it will undo the thought or image that came to mind that you didn't want," he said.

Behaviors such as compulsive gambling are in a different category, Abramowitz said. A key difference is that  those people enjoy gambling, while a person with OCD does not get pleasure from the behaviors he or she repeats.

There is also controversy over whether trichotillomania -- compulsive hair pulling -- falls under OCD, because it is characterized by a repetitive behavior, but not necessarily obsessive thoughts, Szymanski said. Tics and Tourette syndrome also are OCD-related.

Most people with OCD realize that their compulsions are irrational, but about 4 percent do not, Abramowitz said. Hoarders, who compulsively acquire objects without throwing anything away, tend to have less "insight into the senselessness of their symptoms" than others with OCD, he said.

This is one of the reasons that hoarding may be distinct from OCD altogether, he said. Hoarders also do not respond as well to traditional treatments. Randy Frost, psychologist at Smith College, said only 5 percent of hoarders have an OCD basis for it; the rest may have other OCD-related problems or none at all.

Treating OCD and hoarding

Doctors may prescribe drugs called selective serotonin reuptake inhibitors for OCD symptoms. But for some people this is only part of the solution, Szymanski said. The other first-line treatment is called exposure and response prevention, which forces people with the condition to confront their fears. This helps some people to stop engaging in behaviors, such as checking potholes, which would normally be their means of escaping those fears.

Bell found this treatment so difficult that he initially lied to his therapist about doing the homework she assigned. But once he became serious about the therapy, he felt  as if he was turning his life around. He also learned to externalize the force behind intrusive thoughts -- he calls it the "doubt bully."

"The key is to find those things in life that motivate us to sit with the discomfort of our anxiety through this treatment process to get better," he said.

Researchers at Hartford Hospital in Connecticut, and Smith College and Boston University in Massachusetts, are collaborating on a new treatment for hoarders. They've just finished collecting data from 46 participants, Frost said.

The treatment targets acquisition, discarding, and disorganization, Frost said. That's because people who compulsively hoard tend to buy or pick up too many things, keep things rather than throw anything out, and create clutter.

To help with "acquisition," therapists try to help people understand their attachment to their possessions. For example, the therapist will ask the patient how upset he or she will be if a piece of paper is thrown away, and then test that prediction by throwing it away.

Researchers have found that participants who hoard do not get as upset as they anticipated when they dispose of the paper, Frost said.

OCD is sometimes as hard on loved ones as on the patients themselves, Bell said. Family members may even become enablers, unintentionally fueling the cycle, he said.

"Often times, it involves family members meeting with a trained therapist who can help give them guidelines as to what is helpful and what's counterproductive," he said.

For more information, visit the International OCD Foundation or Jeff Bell's outreach site Beyond the Doubt.

@highlight

As many as 4 million Americans suffer from obsessive- compulsive disorder

@highlight

There is some debate about whether it is an anxiety disorder or something else

@highlight

Compulsive gambling is not a symptom of OCD

@highlight

Hoarding may be separate from OCD, and there is a new treatment for it