(CNN) -- It is much easier to score a tough restaurant reservation in New York City in the summer. If you want to snag a table at places like Eleven Madison Park, Torrisi or Brooklyn Fare, summer is the best time to try because many New Yorkers empty out of the sweltering city to avoid feeling like a roast chicken on the subway platforms.

City dwellers zoom out on the Long Island Expressway to the Hamptons, the summer playground for the wealthy and those who wish they were. Though the Hamptons are spectacular for a lifestyle that matches the city's sophistication, there are countless other getaways in New York state that offer unparalleled beauty, charming bed and breakfasts, beautiful farms, rivers and restaurants.

Some of the state's most beautiful areas, like the Hudson River Valley, are just two hours from the city. Within four to five hours are enchanting regions like the Adirondacks, the Finger Lakes and Saratoga and a chance to live the small-town life for a weekend.

America's most charming inns

For a slower pace, reasonably priced meals and spectacular vistas only found in New York, here are five options to consider for your next vacation.

Greenport

On the North Fork of Long Island is the charming, historic village of Greenport. Just a ferry ride from Shelter Island and the rest of the Hamptons, Greenport feels like a quaint seaside oasis, untouched by any power scene. Shacking up here for a weekend is completely relaxing and a great central point for exploring the area's many wineries, fresh produce and seafood.

Settled in 1682, Greenport has lived through eras as a whaling and fish-processing town and is now seeing an oyster reboot. The North Fork Oyster Company has experienced great success in its Stirling Square location since opening a year ago with Farouk Ahmad and his wife, Sana, at the helm. Most of the wines served at the restaurant are from the surrounding vineyards, like McCall, Lenz and Pellegrini.

For oysters with a water view, award-winning clam chowder and classic fried seafood, Claudio's Clam Bar has a celebratory feel for no apparent reason except that life is good in the North Fork. Nearby is the Frisky Oyster, which serves the must-have Oysters Friskafella, with spinach, melted parmesan cheese and garlic aioli on top.

For a sense of place in a night's stay, the Morning Glory serves up a gourmet breakfast in a restored 19th-century home, while the Harborfront Inn offers chic comfort with water views.

Photo rituals: Landmark handstands and more

Saratoga Springs

If you've ever dreamed of quitting your high-stress job and opening a bakery, strolling the main street of Saratoga Springs just might convince you to do it. It's like a movie set of what an upstate town should look like. The area was first known for the rich mineral water from the natural springs, but the Saratoga Race Course is the major draw and has been since the first horse races were held there in 1847.

Today, there are concerts and events held at the track year-round. Coming up August 18-26 is the oldest major thoroughbred race in America, the Travers Stakes, also known as Saratoga's Mid-Summer Derby. Even if you don't go to Saratoga for the horses, there is plenty to do. Tour nearby Skidmore College, or attend a performance at the Saratoga Performing Arts Center.

A great place to stay is the Saratoga Arms, a beautiful B&B housed in an old brick home, with a front porch perfect for a morning cup of coffee. At Putnam Market & Wine, you can pick up local gourmet goodies, like jars from Saratoga Peanut Butter Company. A night out inevitably ends on tiny Caroline Street, with people spilling out of cute pubs and bars, including Saratoga City Tavern, which has the only rooftop bar in town.

Seven beauties of the British Isles

Lake George

In Lake George Village, the town on the southern end of the lake, classic summer nostalgia is everywhere you look, from mini golf courses to ice cream stands and T-shirt shops. Lake George itself is 32 miles long, surrounded by lush greenery in the summer.

The Sagamore Hotel opened in 1883 and immediately attracted the most sophisticated travelers of the day. Today, it's the most fitting place for family vacations and celebrations on the lake, with tennis courts, an indoor rec center and lodge rooms that cater to families and a great pool.

New York City dwellers might be shocked with how low restaurant prices are, and though Lake George isn't a foodie paradise, meals are comforting and good. A round of mini golf at Around the World and ice cream at the Pink Roof is certainly a rite of passage for locals and visitors alike.

Five guys take same photo for 30 years

Hudson River Valley

In a word, the Hudson River Valley is glorious. Just a two-hour drive from Midtown Manhattan, it could just as well be a plane ride away, as different as it feels.Â Summer allows the local farms to show off and sell their delicious fruits and vegetables. With rolling hills, Hudson River views, historic homes and great restaurants, the valley can be visited time and again.

Perched like a castle on the river, the Culinary Institute of America in Hyde Park has churned out some of the nation's most celebrated chefs but also offers a phenomenal lineup of classes for home cooks and those wanting to learn more, as well as options for lunch and dinner.

In Rhinebeck, the Beekman Arms Hotel is a classic, and guests of Chelsea Clinton stayed here during her July 2010 wedding in the Hudson Valley. Nearby is Gigi Trattoria, which serves "Hudson Valley Mediterranean" food with a laser focus on using what is in season. But the trattoria always serves the famous Gigi Skizza, an addicting light flatbread pizza.

The Millbrook Winery has sweeping views and lovely wine tastings and is part of the Dutchess County Wine Trail. Also worth seeing are significant American sites like the U.S. Military Academy at West Point, Franklin Delano Roosevelt's home and the Vanderbilt Mansion.

Skaneateles

Just think "Skinny at las(t)," dropping the T, when trying to pronounce Skaneateles. This small town sits on the shores of on an unspoiled blue lake in central New York's Finger Lakes region, named for 11 lakes that resemble fingers if you look at it from above. The area is known for a wealth of outdoor and water activities on Skaneateles Lake in the summer, as well as the wine trail, B&Bs and home decor shops.

Visiting the Mirbeau Inn and Spa feels like you're visiting the grand country estate of a rich uncle, with fine dining and a spa that rivals those of Manhattan's hotels. For a top dinner choice, Rosalie's Cucina has a reputation that goes beyond the Finger Lakes and is evocative of a bustling Tuscan trattoria. The restaurant, serving heaping plates of salad and pasta, has welcomed A-list guests alongside its local clientele and visitors. You'll see a long line at Doug's Fish Fry, but it moves fast, offering fresh, delicious seafood perfect for lunch.

@highlight

Try these spots if you want to skip the see-and-be-seen feel of the Hamptons

@highlight

Attend a horse race in Saratoga Springs, New York

@highlight

Get out on the water in the Finger Lakes region or Lake George

@highlight

Wine and dine your way through the Hudson River Valley