(CNN) -- The period since September 11, 2001, will never be described by any historian as a golden age of U.S. foreign policy. I know. I have just written a history on it, and it's not pretty.

Since 9/11, the United States has swung unsettlingly from one set of flawed policies to another. First, the unilateralist excess of the first term of the Bush administration; its signature error was the invasion of Iraq. Then, the reactive swing of Barack Obama, toward disengagement and dithering. In a tragic irony, a war in Iraq may someday also be seen as the enduring symbol of his errors.

Some of the nation's problems come from nearly 15 years of a heightened sense of vulnerability. We're frayed and on edge and have let dysfunctional politics get ahead of national interests. But others are tied to human errors that can be fixed. The genius of the U.S. system is that it is built to change.

Obama finds himself at the end of a string of errors of judgment and execution. These have contributed to damaged relations or crises ranging from those in Syria and Iraq to Libya to Egypt and Israel, from Ukraine to Afghanistan to Africa. They include crises at our own borders and strained relations with our allies over NSA eavesdropping.

But Obama is not condemned to further errors. What he does need to produce constructive change however, is a quality rare and vital in any leader: the ability to recognize when one has made mistakes.

Who to turn to as a model?

The best example may well be George W. Bush himself. Because whatever mistakes Bush made in office -- and they were many -- in his second term, Bush recognized the urgent need for change and instituted a sweeping reordering of his administration, its policies and priorities.

He replaced his chief of staff, secretaries of state, defense and Treasury, as well as his national security adviser, and he modified the role of the powerful vice president. He also changed his own engagement on key issues like Iraq, instituting weekly conference calls with his leaders on the ground. And he rewrote key policies, launching the surge in Iraq, initiating the "light footprint" approach to fighting terror later adopted by Obama and responding to the financial crisis. In region after region, the results were better, including on social issues like fighting AIDS in Africa, in relations with allies, in results in war zones or in deals like the India nuclear accord.

He also actively sought to bring new, outside perspectives into his second term team, a stark contrast to the Obama approach. Cabinet secretaries in Bush's second term, such as Defense Secretary Robert Gates (later Obama's defense secretary) or Treasury Secretary Henry Paulson or new military commanders he appointed had not been part of his inner circle.

Bush's willingness to admit errors and embrace change may have stemmed from his own failures and struggles earlier in life: as a congressional candidate, in the oil business, as a baseball team owner and even with alcohol. To get ahead, he had to acknowledge his shortcomings and fix them.

He also turned this ability to see his way through tough times into a plus in another important role he embraced, that of a kind of coach-in-chief. Obama is seen as aloof from his Cabinet. All the Bush Cabinet members with whom I spoke told a strikingly different story.

Ambassador James Jeffrey, who served as deputy national security adviser to Bush and then as Obama's Iraq ambassador, tells a story of one top Bush economic official having a moment of crisis and doubt in the darkest days of the financial catastrophe. Jeffrey listened as Bush bucked up his aide, restoring his confidence, telling him he was the best person for the job, letting him know he would back him on key decisions. This was in stark contrast to the White House-centric Obama approach that has left Cabinet officers feeling sidelined.

It is easy to dismiss such stories when viewed in the context of politics or the very real, and in some cases historically significant, errors of the Bush years. Still, if President Obama is to begin to grow in office, he would be wise to look beyond politically inspired caricatures to see what worked for the man who occupied the Oval Office before him.

Obama has his own life experience, of course. He will never be like Bush, in ways both good and bad. But what he may see is that at a moment of comparable foreign policy strains and dysfunctions, Bush was not content to give up or to punt to the future or play the blame game.

He knew that in the American system, big change is sometimes needed and that it would never happen unless he did what no one else could do: Stand up to himself -- the President of the United States -- and demand he admit his mistakes and lead administration-wide change from within.

@highlight

David Rothkopf: Both Bush and Obama have overseen unsettled era of post 9/11 foreign policy

@highlight

Obama has made mistakes of judgment, execution, but in final 2 years he can change, he says

@highlight

How? Take page from Bush. He cleaned Cabinet in term 2, admitted errors, he says

@highlight

Rothkopf: Obama must create change from within his administration