(CNN) -- Screen-Free Week, the international, seven-day celebration of life beyond screen-based amusements, begins today.

It's a great time to take a much-needed vacation from digital entertainment. Each year, often in conjunction with schools, organizations and whole communities, families exchange their usual screen-based leisure time activities for more time playing, creating, reading, dreaming, connecting with nature and enjoying family and friends. (Yes, we still have to use screens for work and homework.)

If you can't celebrate this year, make it a point to join us in 2015. Taking a break gives us a chance to catch our breath, look at how much time we and our children spend with screens and perhaps even decide to make some important lifestyle changes. Many kids spend too much time with screens -- and it's not good for them.

As a psychologist and director of an advocacy organization focused on children and families, I frequently speak to parents about the impact of media and technology on young children. What I hear repeatedly is that the recent explosion of screen devices raises increasingly complicated challenges. Digital media are so compelling, exciting and omnipresent that it's getting harder to figure out how, when and even whether to set limits.

Adding to the confusion is the ubiquitous and persuasive marketing of screen products as educational for young children -- even for babies -- and that digital media are a often a surefire way for overstressed parents to keep their children occupied. Screens are a fact of 21st-century life, and kids find them entrancing. Why should we set limits or deprive young children of digital experiences?

One compelling reason is that excessive screen time is linked to a host of childhood problems, including poor school performance, attention issues, sleep disturbance, obesity and more. That's why the American Academy of Pediatrics recommends discouraging screen time for children younger than 2 and setting limits on time and content for older children. Because the explosion of smart phones and tablets is so new, most of the research on harmful effects is associated with television, but emerging studies are beginning to raise concerns about time with all kinds of digital media.

At the same time, research suggests that monitoring time and content can mitigate some of screen media's negative effects. As kids get older, setting limits becomes more challenging, but it's still important. By adolescence, if not before, digital technologies are often completely integrated into homework assignments, connecting with friends and gathering information about the world.

That's why many families make sure to preserve screen-free family meals or institute at least one night a week when, except for homework, they all ditch their devices and spend time engaged in other activities. Since it's much easier to increase children's time with screens rather than take it away, it's helpful to recognize the need to make thoughtful decisions about media use early on.

What do our youngest children actually learn from digital media?

One thing they may learn is to need screens for stimulation and soothing. For better or worse, the roots of lifelong habits and behaviors form in early childhood. The experiences we have in our first years of life -- and the experiences we don't have -- shape the very structure of our brains.

Limited time with quality screen media and technology can be educational for preschoolers. But digital devices are by no means essential to their learning. As for babies and toddlers, the more time children younger than 2 spend with screens, the more time they spend as older children and the harder time they have turning them off.

Despite unsubstantiated corporate marketing claims that apps can teach babies as young as 6 months numbers and letters, there's no evidence that infants and toddlers learn anything meaningful from any kind of screen time.

There is plenty of evidence about what they need for healthy brain development -- hands-on play, active play and face-to-face engagement with the adults who love them. Babies thrive when they're talked to, played with and read to. Time with screens takes them away from those crucial activities.

What's most important for babies, preschoolers and even kindergartners is to learn how to learn. They need the time, space and silence for hands-on creative play. They need to explore the world with all their senses, to nurture their creativity and constructive problem solving and to learn social skills to build the ability to work and play with other people.

They need to acquire patience, develop stamina and be able to delay gratification. They need to learn to act, rather than merely react. They need to learn to generate their own amusements and to enjoy and value their own creations.

Young children can't learn most of these skills and attributes effectively from a screen. In fact, most of what very young children encounter on a screen today inhibits rather than promotes the kind of creative problem solving so essential to learning.

Makers of new digital media for young children distance their products from video and television by marketing so-called educational apps and games as "interactive," but a 2012 Australian study found that only 2% of the apps marketed as education for young children promote the kind of open-ended exploration that fosters learning.

For parents worried about the strain of limiting digital entertainment, Screen-Free Week is a good time to experiment and see what it's like to replace screen entertainment with other activities.

After all, it's only seven days. You might enjoy it -- most people do.

What are rules around screen time in your household or your children's school? Share your thoughts in the comments or CNN Living's Facebook page. Join @CNNSchools on at noon ET Wednesday for a Twitter chat about kids and screens.

@highlight

Screen-Free Week is May 5-11, when some families and schools cut back on devices

@highlight

Psychologist Susan Linn writes that many parents aren't sure how to cut kids off

@highlight

Linn: "What's most important for babies and preschoolers is to learn how to learn"