(CNN) -- The Supreme Court tried mightily to come together. Last week brought tantalizing hints the nine justices could speak as one on the thorniest of issues -- on cellphone privacy and presidential recess appointments.

But in the end came a familiar conservative-liberal split on the last, and perhaps most-watched case of the term ending this week. That was an Obamacare challenge over religious liberty and reproductive choice.

When the stakes are highest, especially on cases with a distinct political bent, old habits die hard.

"There's no doubt this is a closely divided Supreme Court. That's been true for decades, and it's no less true now," said Thomas Goldstein, publisher of SCOTUSblog.com. "You have five sold conservative votes in the majority, but Justice (Anthony) Kennedy, who is the least conservative among them, does on occasion switch sides and join his more liberal colleagues. There's a constant battle going on in these ideological fights."

All together now

From affirmative action, campaign spending, public prayers, and labor union power-- the justices continue to stack their docket with cases spanning a range of constitutional and legal questions.

What was surprising was how often they agreed to agree. Two-thirds of the 72 cases fully decided this term were unanimous, the highest percentage in years. Most were low-profile disputes, but did include:

* A shockingly united rebuke of law enforcement discretion to search for incriminating data in cellphones and smartphones, when suspects are first arrested. The simple answer: "get a warrant."

* A narrowly-drawn defeat for the Obama administration on recess appointments, those named to temporarily fill high government positions without Senate confirmation. Congress must define when it's in recess, not the administration.

Also amazing was that only 14 percent of the court's decisions were 5-4, with just four of those 10 splits along the liberal-conservative marker. But that included four of the most contentious of petitions:

* The big one on Obamacare gave some for-profit businesses discretion to deny certain birth control insurance based on religious objections centered around anti-abortion beliefs.

* Allowing civic prayers in local town meetings, even if the ceremonies are predominantly offered by Christian citizens.

* Another setback for campaign finance reform, this time giving individual political donors the power to throw more money to more candidates in a federal elections.

* A defeat for public sector labor unions over dues for non-members.

The swing vote

As usual, Kennedy was the swing vote in the majority in those cases.

Chief Justice John Roberts has made no secret of his desire to foster as much unanimity among his benchmates as possible.

"There are clear benefits to a greater degree of consensus on the court," he said just months after joining in 2005. "Unanimity or near unanimity promote clarity and guidance for the lawyers and for the lower courts trying to figure out what the Supreme Court meant."

The key, said Roberts is to rule on the narrowest grounds possible, to do only "what's necessary to decide the case."

It has been a most elusive goal, and has attracted a measure of bipartisan criticism. Ruling narrowly means both sides may have reason to complain about the outcome.

Many legal observers believe the idea of consensus sounds good on paper, but is not practical given the current court's makeup, and the sharply held views of its members, led by Roberts himself.

Harmonic principles will be tested mightily in coming months, as the justices begin preparing for their next term in October and what promises to be a more contentious session.

Same-sex marriage upcoming?

The justices by this time next year could be tackling the constitutionality of same-sex marriages, and whether gay and lesbians have an "equal protection" right to legally wed.

Federal courts around the country in the past eight months have been all but unanimous those couple do enjoy such a right.

It seems all but inevitable the justices will have to answer the question, in what could be the defining civil rights ruling of this generation. But wait, there is more.

"Not only are the justices likely to get the equal protection question over same sex marriage," said Goldstein. "But next term, they are very likely to return to the abortion question, in a case from Texas involving restrictions over where clinics can be located. And that will be a monumental fight, because Roe v. Wade is never settled in the Supreme Court."

Another Obamacare challenge, perhaps over when some Americans can get tax breaks and subsidies when buying insurance on the federal health exchange, may also be put on the he docket.

Confidence low

A Gallup survey released Monday found Americans' confidence in the Supreme Court is at just 30 percent, the lowest since 1973. It was as high as 56 percent in the mid-1980s. The numbers reflect an overall drop in confidence in the all branches of government.

But members of the court hold fast to their belief they operate independently of public opinion, and politics.

"I don't think any of my colleagues, on any cases, vote the way they do for political reasons. They vote the way they do because they have their own judicial philosophy," Justice Antonin Scalia told CNN recently.

The five mostly conservative justices were named by Republican presidents, the four more liberal members by Democratic presidents. That dynamic more than anything explains why the court is perceived-- rightly or wrongly-- as hopelessly divided and ideological.

Social media, the proliferation of partisan legal advocacy groups, and a corrosive political atmosphere in Washington all have helped to punch holes in the record and reputation of the Roberts Court. Are they completely powerless to change hearts and minds?

The court's members will tell you they ignore all that outside noise-- or try to-- and focus instead on the work.

"People think in fixing things, that there's a magic bullet to every problem. It doesn't work that way," Justice Sonia Sotomayor told CNN last year. "We're trying to convince. And we're trying to convince (the public) what we're doing is the right thing."

What the Supreme Court's Hobby Lobby decision means

Justices strike down abortion clinic buffer zone

Court slows EPA on emissions, but largely backs its rules

@highlight

There were signs the court could speak with a unanimous voice in key cases

@highlight

But then came Monday's ruling on Obamacare and contraception

@highlight

There were 10 cases overall where decisions came down 5-4