(CNN) -- The Internet is one of the most powerful tools on the planet. Across the globe, millions of people connect every minute of every day to harness its wealth of information, exchange ideas in an open platform and foster the type of innovation and entrepreneurship that spurs economic growth.

And today, it's never been more at risk in the United States.

Earlier this year, a court decision unlocked the "pandora's box." There are now no enforceable rules to ensure small businesses, nonprofits and individuals can continue to access online content without fear of discriminatory practices or content blocking by Internet service providers who own the information pipelines.

Indeed, without new rules, service providers could create fast lanes, impose new fees, and even block certain content and promote other content to bolster their bottom line. This would destroy the open Internet as we know it.

This is not idle speculation. Executives at cable and phone companies have expressed a desire to engage in such activities, and in fact, have already tried to do so. If we permit blocking, discrimination, and tolls, we will undermine the Internet's low-cost level playing field that has transformed our society, created an economic boom, and provided opportunity to so many in the United States and around the world.

In the last few decades, we have seen first-hand how the open Internet has led to a robust startup economy where Americans create content, solve problems and pioneer new technologies that improve the lives of people across the globe. Businesses like Twitter, YouTube, Tumblr, Google, Facebook and more have emerged because they were able to start on an even playing field, where consumers -- not Internet service providers -- determined their success. Degrading service or forcing businesses to pay-to-play would fundamentally undermine the openness and access on which the Internet has thrived.

To allow the Internet to become a bastion of powerful incumbents and carriers would be a mistake of historic proportions. Instead, it must remain a place where all speakers, creators and innovators can harness its transformative power now and in the future.

Fortunately, we do not need to create new laws or a complex regulatory structure to preserve the Internet as we know it. Instead, the Federal Communications Commission can pass rules that prevent toll booths, content blocking and discrimination by simply reclassifying broadband as a common carrier service under Title II of the Communications Act.

All the FCC would be doing is applying the legal framework that Congress expected it to apply, and that both Supreme Court Justice Antonin Scalia and President Barack Obama agree is the correct approach. In other words, the legal tools are there and ready to use.

Some worry that this approach could be overly burdensome on Internet service providers, but the fact is, the FCC can easily apply only the necessary parts of Title II regulation through a process known as forbearance. This flexible approach would allow the FCC to adopt bright-line rules that provide certainty to the market, and would keep the Internet as a powerful, open platform that gives everyone -- not just the highest-bidder -- the opportunity to freely exchange goods and ideas.

Any approach that stops short of reclassifying broadband under Title II will not allow the FCC to adopt the rules we need today to protect customers and businesses, and will result in high social and economic costs.

All other approaches require case-by-case adjudication, leading to never-ending litigation (which, in itself, disproportionately harms small businesses and start-ups), market uncertainty, high costs of regulation and opportunities for regulatory overreach.

Title II has already worked well to strengthen telecommunications in the United States. Under Title II regulation, telephone service has been robust and accessible. Mobile phone service, also a Title II service, continues to thrive and investment has remained steady and more and more individuals turn to mobile as their primary voice service. While many do not realize it, Title II also applies to the broadband services offered to the nation's large businesses, known as enterprise broadband, and to the many services offered to millions of our rural Americans.

An open Internet is not only essential for the future of America's economic growth, but it is also a ladder for social and economic mobility, allowing families in rural or low-income areas to access educational and social services, participate in our democracy and contribute to the marketplace of ideas. This is why we have been working with our colleagues in Congress to encourage the FCC to protect the open Internet under Title II. Adopting these sensible rules would give the FCC the power to intervene if broadband providers attempt to abuse the principles of the open Internet while also creating market and regulatory certainty.

We are proud to join more than 4 million Americans of all political beliefs, as well as companies in our home states and across the country, who have spoken out in favor of strong open Internet rules and against the creation of fast and slow lanes.

We urge the FCC to act quickly to implement fair rules of the road that protect businesses and consumers and preserve the power of the open Internet.

The future of our democracy and economy depend on it.

@highlight

Cory Booker, Angus King: Internet is the most powerful tool in the world, but it's at risk

@highlight

Booker, King: If the FCC makes the wrong decision, it would kill net neutrality

@highlight

They say fast lanes would destroy the open Internet, increase discrimination and prices

@highlight

Booker, King: An open Internet promotes economic growth, social and economic mobility