Woburn, Massachusetts (CNN) -- Cars and commercial airplanes move the vast majority of us around, but as any frequent traveler knows, both of these modes of transportation have their limitations.

Cars are restricted to highway speeds and the sometimes circuitous routes of our road infrastructure. Commercial airlines, with their high security, fixed schedules and hub-and-spoke system, offset their fast point-to-point speed with large amounts of waiting, and you still have to drive on each end of the flight.

Personal aviation, where pilots operate small private aircraft, offers an alternative with the potential to get you where you need to be quickly, safely and on your own schedule, but it, too, comes with limitations. We founded Terrafugia in 2006 to develop a solution to many of the barriers to the more widespread use of personal aviation: Our work led to the development of a new kind of aircraft, which we call the "Transition."

Watch Anna Dietrich's TED Talk

I co-founded Terrafugia as a graduate student in the Department of Aeronautics and Astronautics at MIT. A pilot myself, I was interested in taking advantage of the new Sport Pilot and Light Sport Aircraft Rule that the Federal Aviation Administration created in 2004 to lower the barriers to entry to personal aviation for both pilots and manufacturers.

We used the resources that were available at MIT and with our local Experimental Aircraft Association chapter to start building a team and a business while doing early conceptual design on the Transition itself.  Since the beginning I've enjoyed applying engineering problem-solving skills to the challenge of company creation: In many ways, starting a company is just a big systems engineering design-within-constraints problem.

I'm also looking forward to fulfilling a dream I've had since grade school by being able to fly something that I've both helped design and build when I take the Transition out for the first time.

TED.com: Paul MacCready flies on solar wings

In describing the Transition, we use the phrase "roadable aircraft" instead of "flying car" to help set expectations for what it is and how it will be used. As a light-sport aircraft, the Transition must be operated in and out of designated airports by certificated pilots. (Because this aircraft is easy to fly, the appropriate pilot license can be earned in weeks, instead of months or years.)

Unlike any other airplane on the market today, the Transition can fold its wings on command, shift power from the propeller to the rear wheels and drive as a fully street-legal vehicle on any road in the United States. Designed to meet the Federal Motor Vehicle Safety Standards, it is the first light airplane to incorporate automotive-style safety features such as dash-mounted airbags, a passenger safety cage and energy-absorbing crumple zones. For added safety in flight, there is a full vehicle parachute for use in case of emergency.

While the Transition is not intended to replace the modern automobile, it does have the potential to improve travel significantly. At less than 7 feet tall, it will fit in most garages, saving rent on hangar space. It runs on unleaded gasoline instead of more expensive aviation fuel.

TED.com: Bert Rutan on the future of space

The Transition can also use any of more than 5,000 public-use airports in the United States, letting the operator avoid the congestion of commercial hub airports while also flying over traffic jams on the roadways. After landing, being able to drive to your final destination solves the "last mile problem." Flying at 100 mph and traveling point-to-point in the air, on your own schedule, the Transition can save hours off the typical regional trip.

And what about the weather, something that often halts small airplane travel? With a Transition, if the weather gets bad, fold the wings without leaving the cockpit and continue the trip safely on the road. If the weather clears later in the trip, drive to a nearby airport and get back in the air.

In short, the Transition addresses the cost barriers, weather sensitivity, long door-to-door travel time and lack of ground mobility that has thus far kept personal aviation from playing a significant role in meeting our transportation needs.

As of early 2012, Terrafugia is conducting an extensive set of tests on our two production prototype aircraft. These aircraft incorporate all of the improvements that we were able to make following the completion of flight and drive testing of our proof of concept aircraft in 2009.

Covering both flight and road use, we're using a combination of powered testing, static load testing and sophisticated analysis and simulation to demonstrate compliance to the light-sport aircraft standards as well as the applicable Federal Motor Vehicle Safety Standards.

If this testing program continues to go well, we could be delivering the first aircraft to private owners around the end of this year.

While it is not the "flying car" of "The Jetsons," the Transition is a state-of-the-art solution to improving personal mobility today. From the reactions we get to the aircraft whenever we have the opportunity to share it, it's clear that even with its practical approach, the Transition is rekindling a shared dream of more personal freedom.

As with many disruptive products, it is difficult to predict where this technology will take us in the future, but I believe that the Transition is the next major step in improving how we navigate our world. I would encourage you to think about where you'd like to go once you have an airplane in your garage.

Follow CNN Opinion on Twitter.

Join the conversation on Facebook.

The opinions expressed in this commentary are solely those of Anna Dietrich.

@highlight

Anna Dietrich: We depend on cars and planes for most transportation

@highlight

She says the highway system and commercial plane network limit mobility, choices

@highlight

Dietrich and her colleagues are developing a plane that can drive legally on roads

@highlight

If the prototypes succeed, people will be able to park airplane in garage, she says