Pope Francis called Friday for religious tolerance and dialogue to counter extremism in the Middle East as he met with Turkey's leaders on the first day of a rare papal visit to the predominantly Muslim country.

Speaking in Ankara alongside Turkish President Recep Tayyip Erdogan, the Pope called on people of all faiths to show respect for human life, dignity and religious freedom.

"Fanaticism and fundamentalism, as well as irrational fears which foster misunderstanding and discrimination, need to be countered by the solidarity of all believers," he said.

Terrorist violence shows no sign of abating in Iraq and Syria, with grave persecution against Christians and the Yazidi minority in particular, Francis said.

"Hundreds of thousands of persons have been forced to abandon their homes and countries in order to survive and remain faithful to their religious beliefs," he said.

"Turkey, which has generously welcomed a great number of refugees, is directly affected by this tragic situation on its borders; the international community has the moral obligation to assist Turkey in taking care of these refugees."

At the same time, Francis said, Turkey has a "great responsibility," because of its history and location bridging East and West, to help bring different communities together and promote the path to peace.

Erdogan criticizes Islamophobia

In his address, Erdogan highlighted what he said was a disturbing trend of increased racism and Islamophobia in the West, at the same time as Islamist extremism wracks parts of the Middle East.

The world must come together if it wants to combat terrorism, he said.

The Turkish leader also suggested the West should not turn a blind eye to abuses committed by Syrian President Bashar al-Assad while it pursues ISIS.

The timing of the Pope's visit, in this period of unrest, is extremely significant, Erdogan added, voicing hope that it would lead to an "auspicious era" of improved relations in the world.

Francis also met with Prime Minister Ahmet Davutoglu and will hold talks with the head of the country's religious affairs directorate, Mehmet Gormez.

On his first trip to Turkey as pontiff, Francis will also spend time with the head of the Orthodox Church.

The three-day visit, which may be one of the most challenging of his papacy, is intended to strengthen bridges, not only between sister churches but also across religious divides.

It comes at a time when Christians -- as well as other minorities and many Muslims -- are coming under increasing pressure amid worsening conflict in the Middle East, the birthplace of Christianity.

Positive relations

The Pope's first stop in Ankara was at the Ataturk Mausoleum, tomb of Mustafa Kemal Ataturk, the founder of Turkish republic and its first president, where he laid a wreath.

He will spend Saturday and Sunday in Istanbul at the invitation of Patriarch Bartholomew I, spiritual leader of some 300 million Orthodox Christians.

Bartholomew has asked the Pope to take part in celebrations marking the feast of St. Andrew, founder of the Eastern Church and the older brother of St. Peter.

The invitation was first extended at the time of Francis' papal inauguration in March 2013, according to Vatican Radio.

"We are eagerly awaiting the visit of our brother, Pope Francis," Bartholomew is quoted as saying. "It will be yet another significant step in our positive relations as sister churches."

Before meeting privately with Bartholomew on Saturday, Francis will celebrate Mass at the Roman Catholic Church of the Holy Spirit in Istanbul. He will also attend the Divine Liturgy at the Patriarchal Cathedral on Sunday.

Forced to flee

Over the past decade, first al Qaeda and then ISIS have forced the majority of Christians to flee Iraq and Syria.

Only a fraction of their former number remain in areas under ISIS control, deciding to place their faith in God or pay the terrorists a protection tax. Growing numbers, especially from Syria, have ended up in Turkey.

The nation already is reeling from the influx of around 1.5 million Syrian refugees, the vast majority Muslim, and it's politically uneasy, with a controversial and conservative government that its opponents fear will challenge the secular identity of the post-Ottoman Empire.

Turkey also faces an atmosphere of increased insecurity, with ISIS at its border and the extremist group's leader, Abu Bakr al-Baghdadi, announcing its intention to conquer Rome and the world.

Kenan Gurdal, deputy director of the Virgin Mary Ancient Assyrian Church Foundation in Istanbul, told CNN that the Pope's visit means a great deal.

"In a time of chaos in the Middle East, in a time where there is Muslim-Christian fighting, it is a beautiful thing to have a pope visit a Muslim country," he said.

"It is a very positive thing, and hopefully this can be a lesson to the world and that it contributes to peace."

Francis is the fourth Pope to travel to Turkey, following in the footsteps of Paul VI, John Paul II and Benedict XVI.

@highlight

Pope Francis calls for religious freedom and tolerance to counter extremism

@highlight

Pope: Fanaticism and fundamentalism need to be countered by those of all faiths

@highlight

Patriarch Bartholomew I, spiritual leader of the Orthodox Church, invited Pope

@highlight

Many refugees in Turkey, including Christians, have fled violence in Iraq and Syria