Washington (CNN) -- In Latin America, Cuba stands out as one of the most effective deployers of soft power. Rather than exporting revolution, Cuba today exports doctors -- with more than 30,000 Cuban doctors working in more than 100 underdeveloped countries around the world.

Cuba has become a marquee provider of catastrophe-related medical assistance around the world, particularly after tsunamis, hurricanes and earthquakes -- and no doubt will send large contingents of medical personnel to earthquake-ravaged Haiti in coming days and weeks.

Moving beyond the still active Cold War stasis in U.S.-Cuba relations is an Obama administration foreign policy priority, and the devastation in Haiti provides a platform not only to provide relief for a nearby nation in desperate circumstances, but also to build confidence between Cuban and American authorities in a potential collaboration of effort in a third country.

Many great American voices -- from Brent Scowcroft and George Shultz to Jackson Browne and Bill Richardson -- have said that the U.S. embargo on Cuba makes no sense as foreign policy, that the right of Americans to travel anywhere in the world should not be suspended in the case of Cuba, and that Cuba's exports of doctors rather than arms should be more than enough reason to strike Cuba off of America's state sponsors of terror watch list.

But change in a relationship as charged and historically toxic as between Fidel Castro's Cuba and 11 U.S. presidents will take narratives to move.

One such narrative could evolve from tying American resource coordination and financial support in a regional multilateral effort with other Latin American nations -- particularly Cuba's deep bench of natural disaster-experienced medical corps.

After Hurricane Katrina pounded New Orleans and southern Mississippi, Castro offered relief support from a 1,600-person medical team called the Henry Reeves Brigade, named after an American doctor who fought in Cuba's war of independence. The U.S. predictably turned down the offer in September 2005.

Shortly after, in October 2005, the Reeves Brigade was dispatched to help provide much-needed medical relief after the devastating Kashmir earthquake that tore through the Himalayan mountain region along Pakistan and Kashmir. The United States and Europe each sent teams of doctors to Pakistan, each with one base camp deployed for a month. The Cubans deployed seven major base camps and 30 field hospitals in the fundamentalist Islamic region of Pakistan, a nation with which Cuba did not have diplomatic relations at the time. Today, the Cubans and Pakistanis have embassies in each other's capitals.

Bruno Rodriguez, the new foreign minister of Cuba, who was then the deputy, headed the mission and lived in Pakistan's rugged mountains for that full year.

The Cuban medical teams reportedly worked constructively and positively with personnel from the U.S. and Europe -- and this kind of collaboration, even if informal, could be the kind of confidence-building narrative to move U.S.-Cuba relations out of the gridlock they have been in for decades.

As a step in the direction of pushing reset in this relationship, on Friday the White House announced that Cuba will allow US aircraft into its airspace for medical evacuations. The United States could take another step and offer to airlift Cuban doctors to Haiti.

Haiti is in trouble today -- the 7.0 earthquake devastating the capital city of Port-au-Prince and highlighting what was already a human development disaster. The UN Development Program's offices have been destroyed, with hundreds unaccounted for. Notwithstanding any casualties among its own citizens in Haiti, Cuba has 408 doctors providing services there.

Now is the time for the U.S., Cuba and other major Latin American nations to throw their weight into stopping a worse human tragedy in Haiti than already exists -- and to potentially unite American and Cuban soft power efforts in a way that creates greater positives for Haiti and for longer-term, 21st century U.S.-Cuba relations.

The opinions expressed in this commentary are solely those of Steve Clemons.

@highlight

Steve Clemons says Cuba has exported medical help for nations grappling with disasters

@highlight

He says the United States refused Cuban aid during the Katrina rescue operation

@highlight

The Haiti quake is an opportunity for U.S. and Cuba to work together, he says