(CNN) -- Former Navy SEAL Robert O'Neill said in an interview with The Washington Post that he was the one who fired the final shot to kill Osama bin Laden in 2011.

Two Special Operations sources confirmed to me that O'Neill was one of the shooters in bin Laden's room.

But did he really kill bin Laden? And, ultimately, does it even really matter who shot bin Laden since the SEAL raid in Abbottabad, Pakistan was so clearly a team effort.

O'Neill has told his story before in a lengthy profile in Esquire in 2013 in which O'Neill was described not with his real name but only as "the Shooter."

In the Esquire piece, O'Neill/The Shooter was said to have encountered al Qaeda's leader face-to-face in the top-floor bedroom of the compound in Abbottabad where he'd been hiding for more than five years.

The Shooter said the al Qaeda leader was standing up and had a gun "within reach," and it was only then that the Shooter fired two shots into bin Laden's forehead, killing him. That account was in conflict with the narrative from another raid participant in a wildly successful book, "No Easy Day."

Another member of the secretive SEAL Team 6, which executed the bin Laden raid, told CNN the story of the Shooter as presented in Esquire is false. According to this serving SEAL Team 6 operator, the story is "complete BS."

Twenty-three SEALs and their interpreter launched the assault on the bin Laden compound just after midnight on the morning of May 2, 2011. They shot and killed bin Laden's two bodyguards, one of bin Laden's sons and the wife of one of the bodyguards. They also wounded two other women.

The first three SEALs to make it to the top floor of the compound were "the point man," "the Shooter" profiled by Esquire, and Matt Bissonnette, the SEAL who wrote "No Easy Day" under the pseudonym Mark Owen.

What actually happened the night of the raid, according to the SEAL Team 6 operator who I interviewed, is that the "point man" ran up the stairs to the top floor and shot bin Laden in the head when he saw what looked like bin Laden poking his head out of his bedroom door. The shot gravely wounded al Qaeda's leader.

Having taken down bin Laden, the point man proceeded to rush two women he found in the bedroom, gathering them in his arms to absorb the explosion in case they were wearing suicide vests, something that was a real concern of those who planned the raid.

Two more SEALs then entered bin Laden's bedroom and, seeing that he was lying mortally wounded on the floor, finished him off with shots to the chest.

This account of bin Laden's demise is considerably less heroic than the Shooter's version in Esquire, in which he says he shot bin Laden while he was standing up and only after he saw that the al Qaeda leader had a gun within reach.

The SEAL Team 6 operator who spoke to me says there is no way the Shooter could have seen a gun in bin Laden's reach because the two guns that were found in the bedroom after the shooting were only discovered after a thorough search and were sitting on a high shelf above the frame of the door that opened to the room.

The SEAL operator also points out there was a discussion before the raid in which the assault team was told "don't shoot the guy (bin Laden) in the face unless you have to" because the CIA would need to analyze good pictures of bin Laden's face for its facial recognition experts to work effectively. Yet the Shooter in the Esquire story says he shot bin Laden on purpose twice in the forehead.

A U.S. official familiar with the details of the raid said the SEAL Team 6 operator's version is in line with what happened. That account "has it right in my view," the official said.

The SEAL Team 6 operator also tells CNN that the Shooter was "thrown off" the Red Squadron, the core of the SEAL Team 6 group that carried out the bin Laden raid, because he was bragging about his role in the raid in bars around Virginia Beach, Virginia, where SEAL Team 6 is based. In the Esquire article, the Shooter complains he is receiving no pension, since he left the military four years before the minimum 20 years required to be eligible.

After the article appeared, CNN spoke with Phil Bronstein, the Esquire writer who says he passed along CNN's written questions about the Shooter's role in the raid to his story's main character. The Shooter did not respond to those questions.

Stephanie Tuck, a spokeswoman for Esquire, said via email the magazine stood by its story.

"The Esquire article, 'The Shooter: The Man Who Killed Osama Bin Laden,' in the March 2013 issue, is based on information from numerous sources, including members of SEAL Team 6 and the Shooter himself, as well as detailed descriptions of mission debriefs."

According to present and former members of SEAL Team 6, the "point man" who fired the shot that likely mortally wounded bin Laden will never "in a million years" speak publicly about his role in the raid, and they lauded his courageous decision to throw himself on the two women in bin Laden's room.

The new account of the bin Laden raid provided by the serving SEAL Team 6 operator is essentially the same as in Bissonnette's "No Easy Day." Bissonnette says he was one of the first to run into the bedroom and he saw that the point man's shots had mortally wounded bin Laden. Bissonnette says he then shot the dying al Qaeda leader as he lay on the floor.

Present and former members of SEAL Team 6 say they regard Bissonnette as more credible than the Shooter.

Balanced against that, according to a story filed by CNN's Barbara Starr last year after the publication of "No Easy Day," the head of U.S. special operations, Adm. William McRaven, contacted members of the Navy SEAL team that killed bin Laden. According to Pentagon officials, the SEALs said bin Laden was standing in his bedroom when he was shot, and they believed that he posed a threat because there were weapons in the room. This account tends to bolster the story the Shooter told Esquire.

In a previous CNN.com story about the Esquire profile, I noted that I was the only outside observer allowed to tour bin Laden's Abbottabad compound before it was demolished in late February 2012.

During that tour, I looked around the bedroom where bin Laden was killed. The Pakistani military officers who were guiding me pointed out a patch of dark, dried blood on the low ceiling of bin Laden's bedroom.

This patch of congealed blood seems to be consistent with the Shooter's story that he fired two shots at the forehead of a "surprisingly tall terrorist" while he was standing up. At the time, the precise location of bin Laden when he was shot was not a matter of dispute.

But the blood patch could also be consistent with the account that it was the "point man" who first shot bin Laden. The point man is 5 feet 6 inches tall and was shooting upward at a tall man as he poked his head out of his bedroom.

The compound is, of course, now gone, so it is no longer possible to reconstruct what happened the night of the raid based on forensic evidence.

Finally, by all accounts, it was a confusing situation the night of the raid. One of the SEAL team's helicopters had crashed, and there was a firefight with one of bin Laden's bodyguards. All the electricity in the compound and the surrounding neighborhood was off on a moonless night and the SEALs were wearing night vision goggles, which only allowed them limited vision.

What seems incontrovertible is that the point man, the Shooter and Bissonnette were the first three SEALs to assault bin Laden's bedroom. But to determine exactly which of them killed him might never be possible.

What is certain is that it was a team effort.

Five days after the bin Laden raid, members of the SEAL team who carried out the mission briefed President Barack Obama.

According to those in the room, the SEAL team commander explained to the President, "If you took one person out of the puzzle, we wouldn't have the competence to do the job we did; everybody's vital. It's not about the guy who pulled the trigger to kill bin Laden, it's about what we all did together."

@highlight

Three years after Osama bin Laden's death, Robert O'Neill says he was the one who killed him

@highlight

Peter Bergen says the killing was a team effort and there is some dispute over what happened

@highlight

Bergen: Other SEALs have raised questions about the account given by O'Neill