New York (CNN) -- A new terrorism warning system will provide the public with information on specific threats, replacing the color-coded alerts put in place after the September 11, 2001, attacks, Homeland Security Secretary Janet Napolitano said Wednesday.

In announcing the new system at New York City's Grand Central Terminal, commonly known as Grand Central Station, Napolitano said a main goal was to provide better understanding of the nature of the specific threat, what people should do in reaction to it and how they could help security officials in responding.

"It will provide alerts based on specific, credible information about potential terrorist activity," Napolitano said, adding that the alerts would contain "as many details as we can provide."

Right now, she said, there is no threat that would reach the level to warrant one of the new alerts, which will take effect on April 26.

Napolitano made the announcement in the city where more than 2,700 people were killed when two hijacked planes crashed into the World Trade Center's twin towers.

She was joined by New York Police Commissioner Raymond Kelly and Republican Rep. Peter King of New York, the chairman of the House Homeland Security Committee, who both praised the new National Terrorism Advisory System as an upgrade that enhances current security efforts.

However, Sen. Susan Collins of Maine, the top Republican on the Senate Homeland Security Committee, cautioned that the new system must "effectively disseminate threat information in a timely manner and provide sound guidance to the public and affected homeland security partners on the actions they should take to protect themselves and the nation."

Collins urged Napolitano's department "to keep communication lines open with our state and local homeland security officials and with the private sector so that implementation of the system meets the vision" set by the secretary.

The new system has two levels of alerts, compared to the previous system's five levels, Napolitano said.

The two alert levels of the new system are "elevated threat," which "warns of a credible terrorist threat" to the United States; and "imminent threat," which "warns of a credible, specific and impending terrorist threat," according to a Department of Homeland Security statement.

Any alert will automatically expire after a two-week period, although they could be extended if new information shows a threat persists, DHS said.

Napolitano told reporters in a morning briefing that the alerts posted on a department website -- www.dhs.gov/alerts -- will provide details to show the nature, location and other information about terrorism threats. Therefore, she said, a specific warning may apply to a particular address, community, city or region, rather than the non-specific general warnings of the color-coded system.

Alerts also will be announced by her office and made public via traditional media such as television announcements and radio broadcasts, as well as social media, Napolitano said.

She conceded that the color-coded system "has faded in utility except for late-night comics," noting that the warning level at airports had been at orange since 2006.

"That's one of the reasons why people (stopped) paying attention to them," Napolitano said. Instead of a constant state of undefined warning, she said, the new system will react to actual threats.

"We don't want people to live in fear," she said. "We want people to live in a state of alert and awareness."

Her department is asking the public to be on alert for any suspicious activity, incorporating the New York Metropolitan Transportation Authority's trademark slogan "If You See Something, Say Something" into its alerts.

Evaluating the current threat for Wednesday under the old system, the Department of Homeland Security put it at yellow, or elevated. Under the new system, it does not warrant an alert.

CNN's Jeanne Meserve contributed to this story.

@highlight

NEW: Secretary Napolitano says people ignored the old system

@highlight

Napolitano says the new system will take effect April 26

@highlight

The new system has only two levels, compared to the previous system's five

@highlight

The alerts have an expiration, unless new information comes to light