(CNN) -- Six males potentially exposed to radioactive material stashed inside a stolen truck were examined at a Mexico hospital on Friday, a day after authorities said they'd recovered all of the potentially deadly substance.

All six tested at Pachuca General Hospital were negative for radiation poisoning, Hidalgo state health official Jose Antonio Copca said. They were released around 6:10 p.m. (7:10 p.m. ET), the state's health agency said in a statement.

After their release, the six were to be interrogated by authorities to determine if they were involved in the theft of cobalt-60, said Jose Luis Manjarrez, a spokesman for Mexico's Attorney General's office.

The six live near where the dangerous material had been, though Copca said only one showed symptoms such as nausea and headaches consistent with radiation poisoning. They were taken to Pachuca General, in the state capital of Hidalgo, by federal police officers, according to the state health agency.

Earlier Friday, the state-run Notimex news agency quoted Copca as saying the six -- ages 16, 22, 24, 25, 37 and 38 -- had apparently come into contact with or otherwise been in the vicinity of cobalt-60 about 12 hours after the truck containing it was stolen Monday in Tepojaco.

News of the hospitalizations first surfaced on Twitter.

That came after Mexican authorities announced they recovered all the radioactive material. But officials haven't said yet if those responsible for taking it have been caught or even identified.

The missing vehicle, along with most of the missing radioactive element used for medical purposes, was located in a remote area in Hueypoxtla about 40 kilometers (25 miles) from where it was taken. All of the radioactive material was accounted for in that same area early Thursday evening.

Mexican authorities told the International Atomic Energy Agency that the truck, which was transporting the material from a hospital in Tijuana to a radioactive waste storage center, was stolen Monday. Tepojaco is located some 55 kilometers north of Mexico City and 48 kilometers from Pachuca.

The container holding the cobalt-60 was found about a kilometer (half a mile) from the truck and had been opened, said Juan Eibenschutz Hartman, head of Mexico's National Commission for Nuclear Security and Safeguards.

There was less than 40 grams (1.4 ounces) of the hazardous material inside the capsule.

The Hidalgo health agency said Friday that residents of Hueypoxtla and surrounding areas don't face any significant health risks due to the material, assuming they didn't contact it directly.

Where are the thieves?

Authorities -- who have said they expect that the thieves will turn up to get medical treatment for possible radiation exposure -- have not announced explicitly that anyone has been caught.

But the Notimex article detailing the hospitalizations did state that a 25-year-old man and a 16-year-old boy are in federal police custody. The report did not say why they'd been detained, only that the Interior Ministry will soon have more details.

Nor was there an indication whether the two were among those hospitalized in Pachuca, the capital of Hidalgo state.

The attorney general office's organized crime division is investigating the case, according to Manjarrez. He added that the driver of the stolen truck continues to cooperate with authorities.

Cleanup

Authorities are guarding the area and have set up a 500-meter (550-yard) perimeter around it near the city of Hueypoxtla, Eibenschutz said. They are evaluating whether any residents were exposed, but none has tested positive for radiation, according to the civil protection office.

Cleaning up the area could take weeks, he said, because they don't have robotic equipment they would need to quickly collect the dangerous cobalt. They're coming up with a plan and considering asking for help from the International Atomic Energy Agency, the United States or Canada.

An early theory is that the thieves were unaware of what exactly they had taken.

"At the time the truck was stolen, the source was properly shielded," the IAEA said. "However, the source could be extremely dangerous to a person if removed from the shielding, or if it was damaged."

But Eibenschutz said the truck wasn't properly set up to transport the radioactive material, since it didn't have a GPS for tracking or other necessary equipment.

Uses for cobalt-60

Cobalt-60 is used in radiotherapy and in industrial tools such as leveling devices and thickness gauges. Large sources of cobalt-60 are used to sterilize certain foods, as the gamma rays kill bacteria but don't damage the product, according to the U.S. Environmental Protection Agency.

If released into the environment, the radioactive material can harm people.

And experts consider cobalt-60 one of the "candidates" for making dirty bombs.

Bombs made with cobalt-60 "pose a threat mainly because even a fraction of a gram emits a huge number of high-energy gamma rays; such material is harmful whether outside or inside the body," according to a 2011 report by the Congressional Research Service.

In a speech last year, the IAEA director warned that such a dirty bomb "detonated in a major city could cause mass panic, as well as serious economic and environmental consequences."

Preliminary information suggests that the thieves did not know what the truck's cargo was when they stole it, said Jaime Aguirre Gomez, deputy director of radiological security at the National Commission for Nuclear Security and Safeguards.

The shielding that protects the cobalt-60 is designed so that the radioactive source is difficult to extract, Aguirre said. The casing is designed not to be opened or perforated easily.

The theft

The truck and its cargo went missing early Monday after the driver of the white 2007 Volkswagen truck and an assistant had stopped to rest at a gas station, local prosecutor Marcos Morales said.

About 1 a.m. Monday, a man armed with a handgun knocked on the passenger window. When the passenger rolled down his window, the gunman demanded the keys to the vehicle, Morales said.

Both the driver and his assistant were taken to an empty lot where they were bound and told not to move. They heard one of the assailants use a walkie-talkie type device or phone to tell someone, "It's done," Morales said.

Mexico alerted the IAEA to the theft, following international protocol, Aguirre said.

The U.S. Department of Homeland Security is assisting with the investigation into the stolen truck, Mexican authorities said.

The U.S. government has sensors at border crossings and sea ports to prevent radioactive materials from entering the country. This includes large stationary sensors designed to scan vehicles going through land border crossings as well as pager-size devices carried by agents.

Some of this equipment is sensitive enough that it has been set off by people who had recently undergone radiation therapy, according to a U.S. law-enforcement source.

According to the Congressional Research Service report, in Thailand in 2000, a disused cobalt-60 source was stored outdoors and bought by two scrap collectors, who took it to a junkyard where it was cut open.

Some workers suffered burn-like injuries, and eventually three people died and seven others suffered radiation injuries, the report says. Nearly 2,000 others who lived nearby were exposed to radiation.

CNN's Ed Payne, Esprit Smith and Catherine E. Shoichet contributed to this report.

@highlight

NEW: The males tested at hospital ranged in age from 16 to 38

@highlight

Federal police took the six to the Pachuca hospital, state health agency says

@highlight

Official: The six will be interrogated now that they've been medically cleared

@highlight

Radioactive material in a truck was stolen this week, then recovered