New devices intended to prevent children from dying of heat stroke in parked vehicles are unreliable, and should not be used as stand-alone measures to prevent such tragedies, the federal government warned Monday.

The devices, which sense the presence of a child in a car after the adult walks away, were determined to be "inconsistent and unreliable" and could give parents a false sense of security, National Highway Traffic Safety Administration chief David Strickland said.

"Though well-intentioned, we cannot recommend parents and caregivers rely on technology to prevent these events from occurring," Strickland said.

The warning is the latest concerning a phenomenon that has befuddled safety experts and terrified parents: the unintentional abandonment of children in cars.  In many cases, parents or caregivers -- stressed by heavy workloads or distracted by minor changes in their normal routine -- absent-mindedly leave children in cars, only to later discover them dead or suffering from hyperthermia.

Indeed, heat stroke is the leading cause of non-crash vehicle deaths for children under the age of 14, the safety agency said. A total of 527 children have died of heat stroke in cars since 1998, an average of 38 children a year, it said.

In about 51% of the cases, a parent or caregiver forgot about the child. In another 17%, an adult intentionally left a child in the vehicle, apparently unaware that heat can quickly rise to deadly levels even on mildly warm days. And in 30% of the cases, the child entered an unlocked, unattended vehicle.

The tragedies have prompted a number of manufacturers to develop products to remind parents to check their cars. Though some devices offer simple reminders to check on children, the safety agency's study, conducted by the Children's Hospital of Philadelphia, focused on devices that sense the presence of a child in a safety seat or restraint and alert the caregiver if he or she walks away from the car.

"We evaluated whether the device notified the caregiver as they walked away from the vehicle, and we measured the distance at which the alarm sounded," said Kristy Arbogast, the study's author. "The results showed that none of these three devices ... were completely reliable and consistent in their function and ability to detect children."

Researchers noted numerous problems with the devices, saying some require the adults to adjust the position of the child within the restraint, some can't function in the presence of liquids, and some are hampered by cell phone interference.

Arbogast commended manufacturers for attempting to address the safety issues, and said they are working to refine their technologies.

The government stopped short of advising parents not to use the devices, saying they could be used as part of a "layered" approach to protecting a child.

Instead, the safety agency advises that drivers should make a habit of looking in vehicles -- front and back -- before locking the doors and walking away. They should also place a Teddy Bear or note on the front seat as a reminder that a child is in the car, or place a cell phone, purse or briefcase in the back seat to ensure no child is accidentally left in the vehicle.

They also suggest asking child care providers to call if a child does not show up for care as expected.

Importantly, none of the aftermarket devices protect against a child entering an unlocked vehicle. The National Highway Traffic Safety Administration said parents should teach children a vehicle is not a play area, and should store keys out of the reach of children.

Agency officials said heat stroke tragedies have befallen people of all education levels and all walks of life.

During an agency conference call with reporters Monday, Reginald McKinnon, a supervisor for a telecommunications company, described losing his young daughter after unintentionally leaving her in a car in 2010. He didn't realize his error until returning to his SUV and opening the vehicle to put down his laptop computer.

"That's the exact moment I'll never forget," McKinnon said. "To my horror, I realized Payton was still in her car seat. It's the last thing I remember. I heard someone screaming; it was me."

McKinnon said he still doesn't understand how the incident occurred.

"I know you must be asking yourself, how did he forget his own child? And it's a legitimate question, and it's one I've asked myself every day for over two years now.

"And regardless of the painful hours of soul searching, therapy and prayers my family and I have undergone, it's a question that remains unanswered: How did I forget my child?"

He added that "experts will tell you that it can happen to anybody. They say our busy lifestyles can create enough stress to trigger mental lapses. It appears minor changes to daily routines contribute to these mental lapses and the stressed-out brain can bury a thought. Something as trite as a cup of coffee or as crucial as a baby can go on autopilot.

"And while all that might be true, I can tell you personally when you've gone through it, it really doesn't help."

@highlight

New devices are meant to alert adults if they leave a child in the back seat of a car

@highlight

The National Highway Traffic Safety Administration says they are "inconsistent and unreliable"

@highlight

Heat stroke is the leading cause of non-crash vehicle deaths for children under the age of 14