Days after Virgin Galactic's SpaceShipTwo disintegrated above California, killing one of its co-pilots, Virgin founder Richard Branson says making commercial space travel a reality is worth the risks involved.

The accident killed co-pilot Michael Tyner Alsbury and injured co-pilot Peter Siebold, who managed to parachute to the ground.

Branson paid tribute to Alsbury in an interview with CNN's Poppy Harlow on Monday.

"He was an extremely brave man -- as all test pilots are, extremely brave people. He had a young family, he was married and his family loved him enormously," Branson said.

"But he was a test pilot, and test pilots are trying to discover things that 400 engineers and technicians on the ground can't necessarily see on the ground. And the test pilots push the aircraft to the limit before, finally, members of the traveling public are allowed on it."

Asked if, in light of Friday's accident, he stood by his comment  to Harlow on the space program last year that "unless you risk something, the world stands still," Branson told her that he did.

"Yes, the risk is worth it," he said. "Mike would have been the first to say that. I'm sure his parents and his wife and his sisters would not say that, but test pilots would say that, because the risk they're taking, they know the importance of what they're doing," he said.

"We've got to go through the difficult testing stage of creating a space line in order to make it safe for travelers who want to travel on that space line in the years ahead, and we will persevere and we will succeed."

What caused the crash?

SpaceShipTwo disintegrated just two minutes after separating from the jet-powered aircraft that carried it aloft Friday.

At the time, the space plane was about 45,000 feet above the ground and about 20 miles northeast of Mojave, California.

A team of 13 to 15 investigators from the National Transportation Safety Board will be in the Mojave Desert for about a week. But analyzing the data from the test aircraft will take much longer, and the investigation may take up to a year.

Opinion: The truth about launching spaceships

Branson warned against speculating before the board releases its findings.

"The British press have, I think rather irresponsibly, speculated that it might've been rockets exploding, it might have been fuel tanks exploding, in fact there might have been an explosion.

"The NTSB have firmly ruled all that out and have made it clear that they're coming down to one particular thing that they think might have happened. But if you don't mind, I'm going to leave it to the NTSB to let you know exactly what it is they think happened, and then we'll wait for their definitive decision," he told Harlow.

Friday's flight was the first to use a new plastic-based fuel, something that CNN aviation analyst Miles O'Brien has said could have affected the plane's stability, despite the fuel tanks being found intact.

O'Brien said that Virgin Galactic had "consistently underestimated the risk involved."

Branson denied this, saying that 400 "of the best engineers in the world" were working on the project and that the risks were similar to those taken by people flying across the Atlantic in the 1920s and '30s.

'Feathering'

On Sunday, the NTSB revealed two clues about what went wrong, both involving the spacecraft's "feathering," a process used to stabilize and slow the spacecraft down toward Earth.

During feathering, two pieces on the back of the vehicle -- the "feathers" -- lift up perpendicular to the spaceship, making the vehicle look like it's arching its back as it descends.

But on Friday, "the feather lock-unlock lever was moved by the co-pilot from the locked position to the unlocked position" prematurely, the NTSB said.

On top of that, the feathers aren't supposed to move until a separate feathering handle is activated. No one adjusted that handle; yet the feathers were still deployed, NTSB acting Chairman Christopher Hart said.

But Hart stressed that it was unclear whether pilot error, mechanical problems or another possibility caused the spacecraft to break apart in the air.

"We are still a long way from finding a cause," Hart said. "We are months and months away."

Despite a debris field spanning 5 miles, investigators have found almost all the parts of the spacecraft needed for the investigation, Hart said.

Investigation may take up to a year

Veteran pilot killed

A memorial fund has been set up for Alsbury's family.

He worked at Scaled Composites, the company that partnered with Virgin on the test flight program, and logged more than 1,600 hours as a test pilot and test engineer in Scaled aircraft.

Analysis: Will space accidents deter pioneer tourists?

Scaled Composites said Sunday that co-pilot Siebold -- the company's director of flight operations -- was alert and speaking with family and doctors.

"We remain focused on supporting the families of the two pilots and all of our employees, as well as the agencies investigating the accident," Scaled Composites said.

NTSB investigators have yet to interview Siebold. "We have not because doctors did not recommend we do an interview at this stage," Hart said.

SpaceShipTwo helmed by experienced pilots when flight failed

Future of the program

For years, Virgin Galactic had planned to sell trips in which SpaceShipTwo would transport passengers about 62 miles above Earth -- the beginning of outer space -- and let them experience a few minutes of weightlessness before returning to the ground.

Virgin Galactic planned to send paying customers on SpaceShipTwo as early as next year and has sold more than 700 tickets, each costing more than $250,000, for future flights.

Deadly day for space tourism -- but future 'rests' on such days, official says

Several celebrities have already signed up, including Justin Bieber, Ashton Kutcher, Leonardo DiCaprio and Stephen Hawking.

Friday's tragedy was not the first fatal accident to hit the Virgin Galactic space program. In 2007, three employees of Scaled Composites were killed during testing in the Mojave Desert. Sources told CNN that they had been testing components of a new rocket motor for SpaceShipTwo.

@highlight

Virgin Galactic founder lauds test pilot killed as an "extremely brave man"

@highlight

The other pilot, who was injured, is alert and talking with his family and doctors, company says

@highlight

A lever on the Virgin Galactic SpaceShipTwo was moved earlier than it should have been

@highlight

But the NTSB says the cause of the accident is still unclear