(CNN) -- In 1954, wanderlust, a desire previously associated with nomads and hobos, officially became a competitive sport.

A clique of frequent fliers -- before the term was co-opted by the airline industry -- banded together to start the Travelers' Century Club.

To join, members needed a minimum of 100 country stamps in their passports.

Rivalries between members and various groups eventually became cutthroat.

Factions duked it out over what qualified as an official destination: The United Nations now claims 193 countries; Travelers' Century Club, 321 countries and territories; and MostTraveledPeople.com offers 873 places to methodically cross off your list.

Other issues included how much dust has to gather on a traveler's boots before a visit counts.

The bickering got so contentious that Guinness discontinued its listing for "world's most traveled person."

Today, the Travelers' Century Club has more than 2,000 members and 20 regional chapters, and no surprise, the competition for the crown of most traveled remains intense.

At latest count, there were four affiliate groups with members who tick off destinations the way birders might tick off white-throated needletails or upland sandpipers.

Ultra-travelers

For the most part, members of these rarefied groups (many belong to more than one) enjoy camaraderie and comparing notes.

After all, who else could they consult for tips on the best B&B in Chuvashia? Or commiserate with over the three times they attempted to tick off Bouvet Island, only to fail, three weeks and $25,000 later, because the icebergs were too massive for the ship to break through?

"More than anything, TCC is a social group," says Klaus Billep, chairman of the Santa Monica, California-based organization. "It started at country clubs in Los Angeles before jets and the ability to get places caused an explosion of travel agents.

"In many ways, it was one of few places you could swap travel tales and learn that if you stay at this place versus that place, you'll be right on the beach and have the chance to meet the owner and his daughter who works as the chef."

'This title cost me six marriages'

Over the years, with new ways to parse destinations and titles -- endorsements and websites have come, too -- the social interaction part has become more competitive.

At age 37, Charles Veley became the youngest person to bag all 321 countries and territories on the Century Club's list.

Some then thought he went too far in attempting to take over the coveted Guinness World Records title by adding more official destinations to the list.

Tahiti, for example, is by some official counts part of the French Republic; Veley wanted it counted on its own.

John Clause, an attorney from Indiana and at the time the decade-long record holder of "world's most traveled man," got his travel shorts in a knot.

As he said before he died in 2008, "This title cost me six marriages, and I do not intend to surrender my sword lightly."

Jeff Shea is another road warrior who has walked across Transylvania, sailed across the Pacific and reached the mountain summit of every continent, including Everest. He contends that he's seen far more of the world than Veley, who, after selling his successful high-tech company at the height of the dot-com boom, became so focused on marking off countries that he logged all but 70 of the club's 321 in three years.

The one thing all these modern day Marco Polos agree upon is this: Naysayers who insist an obsession to collect passport stamps is an inferior way to travel are simply spitting sour grape seeds.

We'll ask you to decide.

Do these jet-lagged travelers suffer from dromomania, an uncontrollable psychological urge to wander? Or is all this scheming and plotting to get to the more obscure reaches of the globe a noble vocation?

Here are arguments both ways.

Thirteen countries in two weeks does not an expert make

Neither does living for six weeks in Provence.

"Who's to say how long is long enough?" asks Veley. "If you stay a week, they'll tell you you need three weeks. Stay three weeks, they'll say you need to spend the whole season.

"You can never win that game."

As far as he's concerned, "for a complete world view, you have to go everywhere. Because the news media doesn't begin to present an accurate picture."

Veley says the more information you can get on your own, the better.

"Five hundred countries is better than 400," he says. "Every place you're going to learn something new."

As of two weeks ago, Veley had been to 829 countries -- at least by his count on MostTraveledPeople.com, the site he started to help quell the Guinness furor.

Travel is supposed to be fun. Why do it this way?

Getting to many destinations requires massive amounts of planning, time and cash.

Even then, it doesn't always work out.

BIOT (also known as Diego Garcia), a British territory leased to the American military halfway between Africa and Indonesia, usually requires hiring a British law firm to secure a permit.

You'll also need to inform the U.S. military base located there that you're not a Somali pirate (so they'll call down their missiles).

Bouvet Island, a Norwegian possession located between Africa and Antarctica, is covered in glacial ice and penguin guano. Getting there requires cooperation from Mother Nature.

You can pay the $25,000 for three attempts to get to the island, but there's no guarantee. The Russian icebreakers that take you there might still be unable to make landfall.

Even Veley, one of a handful who has been to Bouvet, says there were times he was ready to throw in the towel.

Bragging about all the countries you've visited makes you sound like a self-involved ass

According to Billep, bragging isn't part of the program.

Rather, members seek out enlightening and useful conversation with others who share their hobby.

It's like finding a fellow Depeche Mode fan who caught their "World Violation" tour at the Spectrum in Philly. Only a few will ever really "get it."

There's enormous satisfaction to be had in meeting rare, kindred spirits.

What's the point of being in a country for a day or two, or for that matter, a few hours?

Point taken, but Fred Finn, a British-born businessman who holds the Guinness record for most air miles logged (a less contentious title than "ultimate traveler"), flips that sentiment on its head.

Over the years, Finn hasn't just traveled a lot; he's amassed an impressive rÃ©sumÃ© of experiences.

He's been serenaded by John Denver ("Take Me Home, Country Roads"), spoken with Mikhail Gorbachev, had ribs with fellow first-class passenger Johnny Cash and played celebrity cricket with Pamela Anderson.

He also calls Richard Branson a friend and has more tales than Scheherazade.

Does all this really make you a better person?

In the end, "competitive travelers" generally make the case that the pursuit of travel stamps is really a way to better understand the world.

Sure, as Paul McCartney and Stevie Wonder so eloquently put it, "we all know that people are the same wherever you go," but it takes being in a place to truly understand its people and customs.

Or to understand how geography explains everything -- how rain falling on one side of a mountain and not the other radically affects how people live.

"The more you travel, the more regional perspective you get," Veley says. "It helps you relate to different types of people, and the world becomes more beautiful because of it. It helps you understand the chaos."

@highlight

Travelers' Century Club, for travel to 100 countries or more, has more than 2,000 members

@highlight

One organization says there are a possible 873 "places" to visit in the world

@highlight

Competitive travelers claim the more places you visit, the more enlightened you become