(CNN) -- The current round of fighting between the Israel Defense Forces and the Palestinian Islamic Resistance Movement, or Hamas, in Gaza has been raging for over three weeks. Both sides have suffered casualties -- the numbers are much higher on the Palestinian side, as they always are.

The Palestinian death toll has exceeded 1,000, while the Israelis have suffered fewer than 50. There are many reasons for the huge disparity, not the least of which are the facts that the ground combat is taking place in densely populated Gaza, and the effectiveness of the Israeli anti-rocket/missile system known as Iron Dome.

Despite calls by the Egyptians, the United Nations and the U.S. secretary of state, fighting not only continues, but has escalated in the last few days. Israeli airstrikes, missile and artillery attacks, and naval gunfire have increased in tempo and lethality. The targets of the Israeli attacks have also expanded into areas normally considered to be off-limits, such as the al-Amin mosque in Gaza City, struck during the early morning hours of July 29. That same night saw attacks on the Hamas-run al-Aqsa radio station and homes of senior Hamas officials. This expands the target set beyond pure military targets and goes to the political structure of Hamas.

The sole electrical power plant in Gaza was also in flames; there are conflicting reports as to the actual cause. The Israelis claim that a Hamas rocket malfunctioned and landed short in the facility, while the Palestinians claim it was Israeli tank fire. In any case, the infrastructure of Gaza is being severely damaged.

So, how does this end? If one was to look at the previous conflicts in 2008 and 2012, there would be a United Nations Security Council resolution and a cease-fire with conditions accepted by both sides. The fighting stops, repairs to the infrastructure begin and everyone hopes that this cease-fire will hold longer than the last one.

This time seems different. There seems to be less willingness on both sides to look for the "usual" way out of the armed confrontation. The Israelis continue their operations despite withering international criticism over the high number of civilian casualties in Gaza; they appear intent on achieving their stated goals of destroying the Hamas tunnels that threaten communities and kibbutzim inside Israel close to the Gaza frontier, and reducing, if not eliminating, Hamas' substantial rocket inventory.

On the other side, Hamas is also committed to continue the fight. Despite the surprising effectiveness of Israel's Iron Dome anti-rocket system, which has dramatically blunted Hamas' main threat to Israel, Hamas continues to fire rockets at Israeli cities. On the ground, the group appears to have adopted some of the tactics that Hezbollah used effectively against Israeli forces in southern Lebanon during the 2006 fighting. There are more ambushes, use of improvised explosive devices and tunnels to attack Israeli soldiers.

Opinion: Five lessons of the Gaza war

There is another consideration influencing Hamas' decision to continue the fight. Hamas knows that it will be much harder to re-arm after the end of this round of hostilities. The main sources of its rocket arsenal and other weapons have been Iran and Syria -- Hamas' longest range rocket is the Syrian-made M-302, capable of reaching targets 100 miles away. The weapons traditionally are smuggled into Gaza via a series of tunnels on the Egyptian border, after being smuggled from ports in Sudan and transported across the Sinai peninsula.

With the removal of the government of President Mohammed Morsy in Egypt, Hamas has lost a valuable ally and source of political support. The new Egyptian government of former defense chief Field Marshal Abdel Fattah al-Sisi has beefed up its military presence on the border with Gaza and dismantled many of the tunnels into Gaza. El-Sisi considers Hamas to be nothing more than a branch of the Muslim Brotherhood, which he has outlawed in Egypt. Hamas cannot expect assistance from that quarter as it has in the past.

At some point, the fighting will end. As I said, though, this time it is different. Rather than the result of United Nations-brokered cease-fire and agreement, in my assessment it will end when the Israelis have inflicted what they believe is enough damage to Hamas to render it militarily ineffective. This means the destruction of Hamas' rocket inventory and the destruction of all the tunnels Israeli forces can find.

Only then will Israel quit. Prime Minister Benjamin Netanyahu has told the Israeli people to expect a long fight in Gaza: "We will not finish the mission, we will not finish the operation, without neutralizing the tunnels ... which have the sole purpose of destroying our citizens, killing our children."

I would take him at his word.

Join us on Facebook.com/CNNOpinion.

@highlight

In some ways, Gaza conflict fits pattern of earlier clashes, but this one is different

@highlight

Rick Francona says Israel seems determined to render Hamas militarily ineffective

@highlight

Hamas knows it will be much harder to re-arm due to Egypt's opposition

@highlight

Francona: Netanyahu seems fixed on idea of neutralizing Hamas' tunnels