Repeal and replace -- or at least resist -- is the Republican mantra in the wake of last week's Supreme Court ruling upholding President Barack Obama's signature health care reform law.

Presumptive GOP presidential nominee Mitt Romney promises to get rid of Obamacare if elected, and at least four Republican governors say their states will hold off implementing main provisions of the 2010 law to see what happens in November.

However, analysts and industry experts contend the reality is that health care reform will happen out of necessity, whether through the Affordable Care Act or the momentum it already has created since being passed over two years ago.

According to a report by PricewaterhouseCoopers' Health Research Institute, 14 states and the District of Columbia have made "significant progress" toward implementing reforms, while another 19 states have made "moderate progress," leaving 17 states -- or about a third -- that have yet to change their laws or take other steps toward implementation.

The report, titled "Implications of the U.S. Supreme Court Ruling on Healthcare," says all players in the health care industry -- state governments, hospitals, insurance companies, employers and drug companies -- need to participate in the emerging reform process or risk getting left behind.

"Despite the political uncertainty, private-sector initiatives -- accentuated and accelerated by the law -- are moving forward," the report says. "The crucial question now is: Will health reform define your organization, or will your organization define the post-reform landscape?"

Republicans launch blitz against health care law

A repeated recommendation in the report advises industry leaders to "stop putting off  key decisions," and it specifically calls on states to "stop taking a wait-and-see approach to health reform implementation."

Some popular provisions of the health care law already have taken effect. Insurers no longer can deny coverage for children due to pre-existing conditions, and parents can keep offspring on their family coverage up to age 26.

The main parts of the comprehensive law intended to reshape the U.S. health care industry take effect in 2014, with insurance exchanges set up to help individuals and small businesses buy affordable health coverage while Medicaid is expanded to include more low-income Americans.

Republican governors already opposed to the health care law pledge full resistance to any changes for now.

"In Louisiana, we're not doing either. ... I don't think it makes sense to do those," Gov. Bobby Jindal said on NBC's "Meet the Press" on Sunday. "I think it makes more sense to do everything we can to elect Mitt Romney, to repeal Obamacare."

South Carolina Gov. Nikki Haley said the state "ceded nothing" by refusing to implement the exchanges and could prevent them from getting set up.

Opponents of Obamacare "should not freely give up the leverage we now have to repeal and replace this bad law," she wrote in a letter Monday to congressional opponents of the law. Other GOP governors who say they will delay any implementation include Scott Walker of Wisconsin and Rick Scott of Florida.

The Republican goal is to galvanize the conservative base around the issue in seeking the landslide victory needed to take the White House and both chambers of Congress in November, a result necessary for any chance of repealing the health care law.

At the same time, Jindal and other opponents generally refrain from speculating on what they'll do if Obama wins re-election, which would kill the repeal possibility. Republican leaders also have failed to offer any details for how they would replace the health care law, especially popular provisions such as preventing denial of coverage for pre-existing conditions.

Ceci Connolly, the managing director of the Health Research Institute, told CNN that some health care providers already are taking steps toward the goals of health care reform -- such as shifting from the current fee-for-service system to an outcomes-oriented managed care system.

Your health care is covered, but who's going to treat you?

Asked about the continuing Republican pledges of non-compliance, she remarked: "It is not unheard of for the rhetoric to be somewhat different from the reality on the ground."

That was the case with Obama's stimulus package in 2009, when some Republican governors and state legislators vowed to reject funding it provided.

In the end, some turned down funding for specific programs -- such as a high-speed rail line in Florida -- but others eventually accepted the money. For example, former GOP Govs. Mark Sanford in South Carolina and Sarah Palin in Alaska lost battles with their respective state legislatures over whether to reject some stimulus funding.

"Even some states that have some political objection to (the Affordable Care Act) are thinking about what kind of insurance exchange they would like to have," noted Connolly, a former Washington Post reporter who covered the health care law's tortuous journey through Congress.

The issue is whether the nation is "getting our money's worth," Connolly said, noting that currently "we spend $2.7 trillion and we're not getting $2.7 trillion worth of health care."

So far, grants totaling more than $1 billion have been allocated to help states prepare to set up exchanges, Connolly said. She added that the federal government will offer its own exchange, likely to be similar to the health care coverage choices provided to federal employees, for residents of any state that fails to set up its own.

"I think that we will see a patchwork over the next couple of years, and that's not surprising," Connolly said.

Haley, however, said the federal grants are intended to lure states into setting up exchanges "to insulate federal officials from implementing what is sure to be an expensive, inefficient and wildly unpopular new federal entitlement program."

The Medicaid expansion presents a different question. In its ruling, the Supreme Court provided states with an opt-out option by striking down a provision that would have allowed the federal government to withhold all Medicaid funding from non-participating state governments.

For now, the federal government pays an average of 57% of the cost of the Medicaid health program for the poor, according to Connolly.

The expansion under Obamacare would make more people eligible but includes 100% federal payment of the additional cost for the first three years, then 95% for the next three years and 90% beginning in 2020, she said.

Opponents such as Jindal contend strapped state governments need to cut back on spending, rather than continuing to fund Medicaid at current levels and eventually picking up a share of the expanded cost.

However, analysts and industry experts say the health care bill's deal is too good for states to resist.

"States will take the federal money, especially in light of longer-term fiscal strains like rising health care and retirement costs," wrote Tracy Gordon, a Brookings Institution economic studies fellow who specializes in state and local public finances, in an online posting Monday.

Romney calls health care mandate a 'tax,' contradicts top aide

"Some governors and lawmakers have already said their states will decline to participate in the Medicaid expansion," she wrote. "But eight states have already gotten started on extending eligibility through waivers programs and another three are in the queue. Notwithstanding the highest court in the land, the whole Medicaid package is still an offer states can't refuse."

Connolly noted that health insurance companies and health care providers would push strongly for the Medicaid expansion, which would increase the customer base and reduce the number of uninsured showing up for treatment in emergency rooms.

"I think we need a period to kind of catch our breath and see what kind of conversations take place in the coming months with the governors and the state legislatures and the providers in the states and see what they come up with," she said. "I think that many states will reassess."

Another option is negotiating a fix to the Medicaid provision in light of the Supreme Court ruling. Some Republican governors indicated they would prefer block grants that allow states to decide how to spend their Medicaid dollars.

Obama expressed a willingness to tinker last week in responding to the Supreme Court decision, saying "it's time for us to move forward, to implement and where necessary improve on this law."

Independents thrilled with neither Obama, Romney health reform plans

RNC Chair: 'It's a tax'

@highlight

Some Republican governors pledge resistance to Obamacare

@highlight

GOP hopes rest on winning the White House and both chambers of Congress in November

@highlight

Reform is coming, one way or another, analysts and industry experts say

@highlight

"Stop putting off key decisions," warns a report to industry players