(CNN) -- Maisah Sobaihi isn't just lifting the veil on the complicated love lives of Saudi Arabian women. She's smashing down the door to their homes and inviting you in for a cup of tea.

When the playwright took her one-woman show to the Edinburgh Fringe last month, she became not just the first Saudi Arabian to perform at the prestigious British arts festival, but the first to reveal a mysterious world that isn't as different from the West as you might think.

Against the painted backdrop of rambling Middle Eastern streets, Sobaihi takes her audience deep inside the hidden rooms of Saudi Arabian women, playing characters grappling with questions of love, marriage and divorce.

It's a rare glimpse into an intensely private world. But since she first started performing "Head over Heels in Saudi Arabia" seven years ago, Sobaihi has been touched by the huge number of women telling her how much they associated with her characters -- regardless of whether they were from New York or Jeddah.

"In the beginning I was really surprised to hear that, because I was writing it in Saudi Arabia about myself and other women I knew," said Sobaihi.

"But I was also happy because I think at the end of the day the experiences of women are always connected somehow. And one of the objectives of the play is to create that strong dialogue for understanding."

Saudi stereotypes

When I meet Sobaihi in the dimly lit dining room of a stately London hotel, she is as serene as the paintings on the wall, yet with the same huge, mischievous eyes which bring so much life to her characters on stage.

Later when I ask her age, she politely laughs off the question -- despite appearing strikingly youthful for a woman with two sons in their 20s.

Swathed in ornate fabrics and wearing a simple headscarf, the elegant academic with American accent is anything but the stereotypical image of the hidden Arab woman.

"Saudi Arabia is mysterious to the West because we are very private culture," she said. "And I think it's our responsibility to tell other women outside our world about our experiences, to break this mystery."

A laughing matter?

For Sobaihi, the best way to crack open this unknown world is with laughter, using a wry playfulness on stage to explore the most intimate of relationships.

In a nation where men can have more than one wife, one character deals with the prospect of her husband taking a second partner, by attempting to dig up dirt on her.

Meanwhile, another character turns her back on the traditional notion of love, and a "Saudi prince galloping in on his horse."

"I prefer to take serious things and deal with them in a light-hearted way," said Sobaihi. "I've had feedback from people who say it's enlightening. They don't know so much about Arab women in general -- and less so Saudi Arabian women. So it is an eye-opener."

"But we cannot deny that we are a conservative culture and we are very sensitive to issues that could be viewed as...unconventional, so we tread carefully."

Conservative Culture

Born in Saudi Arabia, Sobaihi spent much of her childhood in California, before studying for a doctorate in English literature at the University of London. Today she is an assistant professor at King Abdul Aziz University in Jeddah.

But the deeply conservative kingdom isn't always an easy place for a divorced mother-of-two such as Sobaihi.

This is a nation where women are banned from driving, and where male guardians grant permission for everything from traveling to opening a bank account. In the 2012 Global Gender Gap Report, Saudi Arabia was ranked fifth worst for equality of the 135 countries rated.

However some reforms are on the way, with women allowed to enter parliament earlier this year, and set to get the vote in 2015. Female director Haifaa Al Mansour -- whose film "Wadjda" is the country's first nomination at the 2014 Oscars -- is one of an increasing number of "firsts" for women in recent years.

"When I was living as a divorcee there it was still hard," said Sobaihi. "You have to deal with what society might think and because men are allowed more than one wife, women might fear you too.

"There is that perception that it is better to be married. But that is less and less now for younger women. There are many who chose to go on scholarships provided by the government -- I think in the U.S. we have 80,000 students studying."

When asked about the significance of her appearance at Edinburgh, Sobaihi remains modest, smiling broadly as she turns the question on me. "On a personal level I'm lucky to be the first," she says. "But I don't think I'll be the last."

@highlight

First Saudi Arabian woman performs at Edinburgh Fringe Festival

@highlight

Play "Head Over Heels" gives insight into personal lives of Saudi Arabian women

@highlight

The academic and divorced mother-of-two hails from deeply conservative country

@highlight

Aims to lift the lid on "mysterious world" and foster understanding between cultures