BOSTON, Massachusetts (CNN) -- Before Amy Harned goes outside to work in her garden, she coats her face and neck with sunscreen, then puts on a hat, jacket and work gloves.

Amy Harned, 48, takes a lot of vitamins and maintains a healthy diet to manage her lupus.

The 48-year-old is doing more than protecting herself from dangerous ultraviolet rays. She's trying to keep the sunlight from triggering a flareup of her lupus.

Harned, who lives in Webster, Massachusetts, is among the 1.5 million Americans who suffer from the autoimmune disorder. Lupus causes the body's immune system to attack its own tissues, causing inflammation and damage. When Harned's lupus was first diagnosed, she said she "was really terrified, but gradually I got more information." She realized with proper treatment she could lead a somewhat normal life.

No two cases are alike, experts say. In fact, there are four types of the illness, ranging from mild to severe. Before effective therapies were developed, the disease was fatal more often, usually from overwhelming infection and kidney failure.  Health Minute: Watch more on living with lupus »

The Lupus Foundation of America estimated that more than 16,000 new cases develop every year.

More than 90 percent of people with lupus are women, the group says. Experts aren't sure why.

"It clearly has to do with estrogen and estrogen receptors," said Lisa Fitzgerald, a Boston, Massachusetts-based rheumatologist.

Genetics can play a role as well. Not only does lupus run in families, but, Fitzgerald said, a person may be more susceptible if a relative has other autoimmune diseases such as multiple sclerosis.

Environmental factors also may increase risk of the disease. Researchers believe that taking certain prescription medications, and even exposure to sunlight, can trigger the illness.

Age is another risk factor. The Lupus Foundation says the condition is most often diagnosed when women are in their childbearing years between 15 and 45.

Harned's symptoms developed 15 years ago, when she was 33.

"My first symptoms with lupus were [that] my hands were swollen," Harned recalled. "They were very stiff, to the point that brushing my teeth was hard just holding the toothbrush."

The stiffness and achy joint pain are caused by inflammation brought on by lupus, Fitzgerald said.

In addition to swollen joints, she said the other symptoms include fatigue, facial rash, fever, chest pain, swollen glands and sores in the mouth and nose.

With such varied symptoms, diagnosis can be tricky. The American College of Rheumatology recommends doctors confirm four of 11 criteria for a proper diagnosis.

A blood test and urinalysis are two of the ways doctors determine whether a patient has lupus.

Researchers have come a long way in the last 50 years when it comes to understanding the condition, Fitzgerald said.

"The prognosis for lupus today is very good," she said. "The survival rate is really over 90 percent in five to 10 years of having the disease. In the 1950s it was probably 50 percent."

Part of the reason for the improved success has to do with better treatment in managing the condition. Over-the-counter nonsteroidal anti-inflammatory drugs such as aspirin, naproxen and ibuprofen offer relief to some patients.

Other lupus sufferers might be prescribed an antimalarial drug called hydroxychloroquine.

"It's a quinine derivative. It's quite safe," Fitzgerald said. "It can make a big difference for patients who have mild disease."

Fitzgerald added she also prescribes corticosteroids "to squelch flareups." While they work well, she cautioned they do have side effects.

After 15 years of living with the condition, Harned has her own tricks for coping with lupus.

In addition to taking daily prescription drugs, Harned controls the symptoms by eating a healthy diet and exercising, getting enough rest and taking what she called "a ton of vitamins."

Some experts have touted fish oil and flaxseed as promising complements that may help ease inflammation.

Harned also slathers her exposed skin with sunscreen containing SPF 45.

"There is an aspect of ultraviolet light that can damage DNA in the cells," Fitzgerald said. "This sets off an inflammatory reaction that causes the rash we know as lupus rash."

While Harned is fully aware there is no cure for lupus, she described herself as someone who is not just managing her illness, but thriving.

When she looks toward the future, she said she thinks, "I had grandparents who lived into their 90s. So that's what I'm hoping for, maybe even 100."

Linda Ciampa of Accent Health contributed to this report.

@highlight

There are four types of lupus, ranging from mild to severe

@highlight

Diagnosis can be tricky because symptoms are varied

@highlight

Some experts say fish oil and flaxseed ease inflammation

@highlight

Most people with lupus are women, said the Lupus Foundation of America