Washington (CNN) -- A divided Supreme Court spent this week's final oral argument on health care reform Wednesday examining whether states would be "coerced" by the federal government to expand their share of Medicaid costs by the risk of losing funding if they refused to take part.

The session concluded three days of public debate on the 2010 Affordable Health Act and focused on the contentious legal issue of federal versus state powers, in this case involving the Medicaid government-run health care for the poor and disabled.

Medicaid, which operates on federal and state funding, would be expanded under the health care reform law, and 26 states filed legal challenges against what they contended was an unfair burden forced on them by Washington.

Court tackles question: Would all of health law be scrapped?

The debate on Medicaid was especially divided along ideological lines.

Paul Clement, arguing for the states that say they would suffer under the new Medicaid requirements, met skepticism from many on the left.

Justice Elena Kagan noted that 90% of current Medicaid funding comes from Washington and asked if it would be a bad deal "if the government were to give boatloads of money to the states."

When Clement replied yes, Kagan erupted, saying "Wow, wow!" and shaking her head.

However, Chief Justice John Roberts and his conservative colleagues worried the states would be powerless to refuse the new requirements.

"Why not be concerned about the authority the federal government is exercising?" Roberts said to Solicitor General Donald Verrilli, who represented the government. "That is the leverage" the central bureaucracy holds, Roberts noted.

The "coercion" issue was surprisingly added to the health care debate by the Supreme Court justices.

Medicaid is administered by the states with a combination of federal and state money. It currently required coverage only for poor children and their parents or caretakers, adults with disabilities and poor individuals 65 or older.

Both sides of the issue agree that what the high court decides on Medicaid could have broad implications for the regulatory ability of the federal government to set long-term national policy goals in areas such as the environment, education and the workplace.

Some states have long complained their autonomy is being eroded by creeping federal intervention on spending matters.

Article 1 of the Constitution gives Congress the power to "lay and collect ... taxes to pay the debts and provide for the common defense and general welfare of the United States" and to "regulate commerce ... among the several states."

Such authority has long been broadly interpreted, including when imposing conditions on recipients, be they individuals or states. No federal court has ever ruled states have been unlawfully coerced when they accept conditions or strings attached to federal funds. The Supreme Court in 1987 affirmed that congressional discretion.

Starting in 2014, the health care law's Medicaid changes would make millions of additional Americans eligible for benefits by raising the income cap for qualification. That would include all adults up to 133% of the federal poverty line.

The tricky point is that states are not forced to agree to the law's incremental Medicaid increases, spread out over six years. The states could instead abandon their participation in the program, but they say that would be a financial, social and political catastrophe -- one that they cannot realistically accept.

Lawsuits by 26 Republican-led states say the new law's significant expansion of the social safety net unconstitutionally "coerces" state governments.

Supporters of the health care law say the Medicaid issue involves political motivations rather than real policy concerns.

"These arguments aren't based on Medicaid's health outcomes among children or seniors," Dr. L. Toni Lewis, the health care chair of the Service Employers International Union, said at a news conference Wednesday.

"They aren't based on testimony from those who have received services from Medicaid. They aren't even based on data that shows how well Medicaid controls costs compared to private insurance. That's because the challenge to Medicaid in the Supreme Court isn't based on what's good for our health. It's just based on politics and posturing."

CNN's Tom Cohen contributed to this report.

@highlight

26 states challenged a Medicaid expansion under health care reform

@highlight

The justices are divided on ideological grounds on the matter

@highlight

The issue touches on the legal question of federal and state powers

@highlight

The high court debate on Medicaid concludes a week of health care reform hearings