The battle over right-to-work legislation in Michigan has renewed debate over labor policy and the role of unions in the American economy. On Tuesday, the state House of Representatives passed two bills that would make Michigan the 24th U.S. state to enact right-to-work laws. Here's a quick look at the issue:

What's going on?

Michigan's storied labor movement and its allies mobilized last week to stop Republican-backed legislation that would give workers the right to opt out of union membership and, critics say, weaken unions. Lawmakers last week gave initial approval to "right-to-work" bills in a surprise move that provoked thousands of labor supporters to descend on the state Capitol for protests that led to eight arrests. More protests are scheduled for Tuesday.

Opponents accuse Republicans of abusing the legislative system to rush through the bills without public input. Supporters say the legislation would help improve economic competitiveness in Michigan which, despite some recovery, still has the nation's sixth-worst unemployment rate and median household incomes that lag the nation.

What is right to work?

"Right to work" is the commonly used term for laws that make it illegal to require that employees join a union or pay the equivalent of union dues to get or keep a job. Under such laws, employees can still form unions, engage in collective bargaining and go on strike. Currently, 23 states, most of them in the South and West, have right-to-work laws. In those states, union membership stood at 6.48% in 2011, according to the U.S. Bureau of Labor Statistics. In states without right-to-work laws, 10.8% of the workforce belonged to unions.

Analysis: Why America's unions are losing power

When did right-to-work laws first appear?

Florida was the first state to pass right-to-work legislation, in 1943, according to the National Conference of State Legislatures. Arizona and South Dakota followed in 1946. Then Georgia, Iowa, Nebraska, North Carolina, North Dakota, Tennessee and Virginia did so in the right-to-work boom year of 1947.

According to the NCSL, the laws were a response to the growing influence of the labor movement during an era when union membership was rapidly growing -- more than doubling in percentage terms between 1935 and 1945, according to the Congressional Research Service.

The most recent state to enact a right-to-work law was Michigan's neighbor, Indiana, in 2012. Before that was Louisiana in 1976.

What do supporters say?

Right-to-work supporters argue that it makes states more attractive to business, creates jobs and gives employees more choices. Supporters cite studies suggesting that job growth and private-sector compensation in right-to-work states have increased more rapidly than in other states.

"The case for right-to-work has always rested on the importance of defending worker freedom, but right-to-work laws also have a proven track record of encouraging economic growth," Will Collins of the National Right to Work Legal Defense Foundation wrote Monday.

And critics?

Opponents cite studies indicating that wages and growth are lower in right-to-work states, and they say that such legislation is little more than an effort to bleed unions in the name of worker freedom and choice.

"There is scant evidence these laws create jobs, help workers, or are good for a state's economy, as supporters claim," analysts for the liberal think tank Center for American Progress wrote earlier this year. "Instead, these laws weaken unions and thereby hurt workers, the middle class, and local economies."

Critics also say that such laws allow nonunion workers to "freeload" -- gain the benefits of union representation without shouldering the burden of paying for it.

Michigan bills weakening union power signed into law

Why is it coming up now?

For one, union influence is waning in Michigan, as it has been nationwide for decades. In November, voters rejected a referendum that would have blocked right-to-work legislation. And Republicans control the state House, Senate and governor's office, reducing the influence of labor in legislative affairs.

Still, Gov. Rick Snyder had said the issue was not on his agenda until recently, when legislative leaders began to press their case.

He told Stephen Henderson, editorial page editor of the Detroit Free Press, that he had tried to mediate a solution to avoid the bill coming to a head.

"That wasn't very successful, so I said, 'This is being put on my agenda,' " Snyder said. "I thought it better to try to get something done one way or another, and get the issue behind us."

He and other supporters now say the legislation is critical to the state's economic success.

"Like it or not, the 49 other states in the union are competing with us for businesses and workers," Snyder wrote on his blog. "And across the nation, 23 states have enacted freedom-to-work laws -- including neighboring Indiana. Though Michigan is the comeback state, we don't exist in a vacuum. Our successes today could turn to failures tomorrow, so we need to maintain our competitive edge."

What's next?

The bills now go to Snyder for his signature, and he has said he will sign them. Democrats have suggested they may challenge the legislation in court because GOP lawmakers skipped the usual committee hearings in passing the bills.

The legislation cannot be overturned by a public referendum because they were in appropriations measures.

@highlight

Right-to-work laws make it illegal to require that employees join a union

@highlight

In Michigan, Republican-backed legislation would allow workers to opt out of union membership

@highlight

Critics say it would hurt unions; supporters say it would aid state economic competitiveness

@highlight

23 states, most of them in the South and West, have right-to-work laws