(CNN)It's time for leaders in Israel and the United States to call off their war of insults before they cause serious, lasting damage.  Heading into Prime Minister Benjamin Netanyahu's address on Tuesday to a joint session of Congress, both sides should immediately agree to a cease fire.

The speech itself is a terrible mistake.  Arranging it without prior consultation with the White House was not only an affront to Barack Obama but to the Presidency itself.

One would have thought that after all the uproar, Netanyahu would have caught a "cold" and postponed, but now that he plans to go ahead, he should at least give a measured, thoughtful address -- not the barn burner for which he is known.  But let's be clear: he also deserves a respectful hearing in Congress from both sides of the aisle. Blame for the deterioration in relations is shared here in America as well as in Israel.

This conflict began on a personal level. Those close to Obama and Netanyahu say the two men took an instant dislike years ago and have since descended into loathing one another. Obama, they say, regards Netanyahu as headstrong, bombastic and reckless. Netanyahu sees Obama as weak, unreliable and priggish.

The Obama team also accuses Netanyahu of timing his Congressional speech to rally Israeli voters behind him in elections two weeks away -- Bibi as Churchill standing up to the Nazis -- while Netanyahu's team is convinced Obama is desperate for a deal to burnish his legacy -- the Nobel laureate who brought peace. Each thinks the other endangers the future of the world and each has allowed his top lieutenants to viciously attack the other in the press.

But in recent months what began as personal antipathy has deepened and widened into a serious split over the best way to head off Iran's aggressive push to become a nuclear power.  The Iranian threat has long been vexing; former Defense Secretary Bob Gates once told me it was the toughest problem he saw in nearly a half century serving of distinguished service in national security.  There are no obvious solutions acceptable to key parties.

The Obama administration believes that a compromise agreement with Iran limiting -- but not dismantling -- its nuclear capability is better than to have current talks fall apart, risking an armed showdown.  The Netanyahu government believes the agreement which Obama appears ready to accept will let Iran eventually wriggle free and build a bomb.

In truth, there is merit to both points of view -- and the devil here is not only in the details but in the very structure of an agreement.  As Obama believes, a negotiated settlement is far preferable to a possible war or learning to live with a nuclear Iran.

But what is alarming not only to Israel but to other American friends in the region -- and rightly so -- is that the U.S. and its partners in the negotiation with Iran (Russia, China, the UK, France, Germany) have made repeated concessions to get an Iranian signature without getting major concessions in return.

Consider: The U.S. and Israel started down the negotiating path saying publicly that Iran must totally dismantle its nuclear program in exchange for the lifting of punishing economic sanctions against Teheran.  Leaks since then have shown that in pursuit of a deal, the U.S. is now willing to accept more and more centrifuges in Iran -- 6,500 by latest count.

Washington and Tel Aviv once talked of an agreement that would last at least 20 years. ​ According to the latest leaks, the agreement may only cover 10 years and then give the Iranians a chance to bust loose.  This is only the beginning of a long litany of differences.

In defense of U.S. compromises, Secretary of State John Kerry makes a persuasive point that a temporary agreement reached 18 months ago containing compromises has worked far better than critics have conceded and therefore, those now at the table deserve a benefit of doubt.

But administration critics are also right in arguing that the Obama administration seems to be betting that if just given a few years grace, an odious regime which sponsors terrorism across the Middle East will suddenly change spots and become a partner for peace.

In times past, American and Israeli leaders have sometimes had bad blood and still made substantive progress.  President Jimmy Carter could barely stand Israeli leader Menachem Begin but they and Egyptian President Anwar Sadat shaped the Camp David accords in 1978.

Despite sometimes bitter words during Israel's recent dust-up with Hamas -- especially directed by Israel against Secretary Kerry -- Obama ensured that Israel was well supplied militarily, particularly with the Iron Dome missile defense system that saved countless Israeli lives.

But today's rift seems far more perilous.  It is not only personal but substantive and comes at a moment of spreading turmoil across the Middle East.  Israel should remember that America is its best friend in a world where anti-Semitism is once again raising its hideous head.  The United States should appreciate that for Israel, a nuclear Iran could pose instant annihilation.

America also has Arab friends in the Middle East who have vital interests here -- friends like Saudi Arabia who, if an agreement is weak, will feel compelled to pursue their own bomb, unleashing a lethal arms race.

This is a moment that demands that leaders in both Israel and the United States lower their voices, take their differences indoors and begin restoring broken bonds of trust.  In private talks, they should work hard finding ways to bridge differences between them, starting with creative proposals coming recently from veteran U.S. diplomats.

Dennis Ross, for example, argues that if the U.S. could greatly strengthen an inspections regime -- a much bigger team who could go anywhere, any time in Iran -- and could enshrine in legislation that Iranian violations will bring military action, that would go a long way toward allaying opposition fears.  Martin Indyk proposes that, drawing upon ideas embraced by President Clinton in Middle East negotiations 15 years ago, the U.S. could enter a formal treaty with Israel, voted upon by Congress, that would provide a U.S. "nuclear guarantee" to Israel in event of an Iranian breakout.

In short, the moment is dire but not hopeless.  What is clearly needed is a cease fire.  Secretary Kerry seemed to be pointing in that direction Sunday when he said Netanyahu is welcome to speak in the U.S. on Tuesday.  Others should now take up the cause, recognizing that our real adversaries are not in Tel Aviv or Washington but among those in Teheran who support terror and mayhem across the Middle East.

@highlight

David Gergen: Netanyahu's speech is a terrible mistake of his making but he deserves a hearing

@highlight

The rift in US-Israel relations over Iran is serious, needs repair, Gergen says