(CNN) -- A powerful explosion rocked Aleppo, Syria's most populous city, late Friday, killing a guard at an office of President Bashar al-Assad's ruling Baath Party, opposition groups reported.

The cause of the blast was not immediately known. Heavy gunfire was heard in its aftermath, the UK-based Syrian Observatory for Human Rights reported.

Earlier, Syrian authorities foiled a suicide bombing in the city, state media said.

The action comes a day after suicide attackers killed dozens in the capital of Damascus, a strike that heightened tensions in a country caught in the grip of a popular uprising.

Authorities "intercepted a stolen booby-trapped minibus" that an attacker tried to detonate in Aleppo's densely populated neighborhood of al-Shaar, the state-run Syrian Arab News Agency reported.

A SANA correspondent quoted a source in Aleppo province as saying that "competent authorities intercepted the terrorist after he hit two policemen, then he blew himself up with an explosive belt, killing himself," the news agency said. The source said that authorities searching the minibus found four tanks with "a big quantity of explosives."

An initial state TV report said the forces killed the bomber before he detonated his vehicle carrying 1,200 kilograms, or 2,645 pounds of explosives.

Damascus and Aleppo have been the scene of a flurry of attacks in recent months. Aleppo, a commercial center and long a bastion of support for al-Assad, had been largely spared in Syria's 14 months of bloody uprising. But recent protests and violence there could signal a significant shift.

Elsewhere Friday, a number of explosions were reported in cities across the country, including four in Daraa and several in Hama, according to the Local Coordination Committees of Syria, an opposition group.

At least 20 people, including the Aleppo security guard, were killed across the country, the Syrian Observatory for Human Rights said.

Syria's foreign ministry underscored the urban violence in identical letters to U.N. Secretary-General Ban Ki-moon and U.N. Security Council President Agshin Mehdiyev, who is the Azerbaijani ambassador to the United Nations.

The letters said that Damascus, Aleppo and other Syrian cities "witnessed several terrorist bombings over the last weeks" that left dozens of innocent people dead, the state-run news agency reported.

The letters said the country is facing "terrorist" assaults spearheaded by groups that get arms and money from entities encouraging the actions.

The letters said the "armed terrorist groups" are violating international envoy Kofi Annan's peace plan and attacked a convoy from the U.N. observer team Wednesday in Daraa province. There were no injuries in that bombing attack. Maj. Gen. Robert Mood, the head of the observer team, was in the convoy.

"Syria will move forward to combat terrorism and defend its people and sovereignty and preserve security and stability in it," the letters said.

Syria blames "terrorists" for the attacks, the term it uses to describe the opposition and rationalize security forces' crackdown. Some analysts said the attacks raise concerns about the presence of jihadist elements in Syria, noting Thursday's Damascus strikes resemble suicide car bombings during the sectarian violence in Iraq in the past decade.

But opposition groups have said the regime is responsible for the violence that erupted after it began a crackdown on peaceful protests in March 2011. That fierce clampdown spurred a grassroots uprising against the regime.

The United Nations estimates that at least 9,000 people have died in the conflict, while opposition groups put the death toll at more than 11,000.

The opposition Syrian National Council said al-Assad's regime staged Thursday's deadly suicide bombings in Damascus "to spur chaos, disrupt the work of the international observers and divert attention away from other crimes being committed by its forces elsewhere."

"In orchestrating such acts," the council said Friday, "the regime seeks to prove its claims of the existence of 'armed terrorist gangs' in the country that are hindering its so-called 'efforts of political reform.' "

More than 55 people were killed and 370 were injured in Thursday's two car bombings near a military intelligence center in the Qazzaz neighborhood of Damascus, the nation's capital. It was the deadliest attack since the uprising against the regime began.

But the council questioned how the bombers could have made it past security to conduct the bombings.

"The security branch is heavily guarded and surrounded with cement barriers at a distance from the exterior fence. It would be reckless to carry out such an attack, because it would in no way impact the security building.

"One of the cars was loaded with a large amount of explosive materials. How is it possible that these explosives made it past hundreds of security checkpoints surrounding the entrance to the capital?"

With the focus on the attacks and their aftermath, "the regime carried out arbitrary arrests across the country, most notable in the Damascus suburb of Damir," the council said.

The latest bombings didn't deter Syrians from taking to the streets in protest across the country Friday, the day opposition groups have been staging nationwide protests.

But the attacks cast doubt on the effectiveness of the U.N.-Arab League initiative to impose a truce and a six-point peace plan, forged by Annan, the former U.N. secretary-general.

Since the cease-fire went into effect on April 12, the LCC reports more than 1,000 people have died. An unarmed U.N. observer mission has been monitoring the adherence to the cease-fire and peace plan.

The mission now has 145 observers and 56 civilian staff deployed in Syria and is carrying out patrols, a U.N. spokesman said Friday. Three hundred observers are expected within weeks.

Annan is weighing an invitation to meet with al-Assad in Syria, his spokesman said as the deadly blasts in Damascus drew widespread condemnation. Syria's foreign minister invited him days ago, and the invitation is not tied to Thursday's attacks, a U.N. source said.

Russia, meanwhile, condemned Thursday's suicide bombings and accused outside nations of instigating violence.

"Some countries are inciting outside forces to interfere into the Syrian situation, which is unacceptable," Russian Foreign Minister Sergei Lavrov said, according to Chinese state media.

Lavrov, in Beijing for talks with his Chinese counterpart, did not specify the countries.

"Such acts aim to push the country to a new bloody and extremely dangerous wave of violence," he said.

CNN's Hamdi Alkhshali, Joe Sterling and Amir Ahmed contributed to this report.

@highlight

NEW: At least 20 killed in violence across the country

@highlight

Powerful blast rocks Aleppo, opposition groups report

@highlight

Syrian authorities foil suicide bombing, SANA reports

@highlight

Syria sends letters to the U.N. citing the escalation of terrorist attacks