Berlin, Germany (CNN) -- You'll have a hard time finding another city in Europe whose recent history has been more influenced by the United States than Berlin.

In the German capital near the Brandenburg Gate -- right where the Wall used to divide this town into communist Eastern and capitalist Western sides -- the U.S. Embassy recently set up a plaque commemorating Ronald Reagan's 1987 speech where the 40th president called on then Soviet leader Mikhael Gorbachev to, "tear down this wall."

Just a ten minute drive away you reach the former Checkpoint Charlie, the scene of a major standoff between American and Russian tanks in 1961 that brought the world close to nuclear war.

And just another ten minutes away you find the city hall of the district of SchÃ¶neberg, where John F. Kennedy held his famous speech in 1963, pledging allegiance with this city on the front line of the Cold War and finishing with the famous words, "Ich bin ein Berliner."

My own history is reflected in this special relationship Berlin has with the U.S. as well. In the late 1970's and early 1980's my father worked as the East Berlin correspondent for West German TV. I went through the Berlin Wall every morning from East to West to get to kindergarten. In 1982 we moved to Washington D.C, where America embraced us immediately and we embraced American culture. Today, my family and I live in Berlin.

Germans have a lot to thank America for. Berliners have a lot to thank America for. They know that. It does not mean they have to like all American policies or the current state of American politics.

Clemens Wergin, foreign editor of Die Welt newspaper, says most Germans are well informed about the state of the election campaigns.

"Given that America is still the superpower, people tend to inform themselves quite regularly about the states and U.S. politics," Wergin told CNN, noting that a vast majority of Germans would vote for the incumbent president if given the option.

"This is because Democrats usually are seen to be more in tune with some core European beliefs regarding welfare, the use of military force, the role of religion in society or social issues such as abortion or gun rights."

Furthermore, many Germans equate Mitt Romney with the policies of the Bush administration -- and positions he staked out during the primary season have toughened many Germans' views of the Republican nominee. Many believe Romney will further cut social programs in the U.S. and repeal Obamacare -- not the most popular stance in a country like Germany, which has a very large public health care system.

In 2008, then-Senator Obama used Berlin as a stage for a major foreign policy speech. More than 200,000 Berliners and expats showed up to watch the man promising change after eight years of George W. Bush alienated many Germans -- and led them to fundamentally question whether the U.S. and Europe were finally drifting apart for good.

Now, four years later, the mood is more subdued and the Obama hype has cooled down. "He has lost some of his appeal and people realized that he couldn't deliver the change he promised," says Wergin, an assessment many Berliners would agree with.

Interest in American politics and the upcoming election is waning not only due to a perceived decline of American power, but also because Germany and Europe are grappling with a financial crisis that has propelled Germany into the leadership role the country has tried to avoid since the end of World War II.

Therefore, it is no surprise that the race for the White House only rarely makes it to the top of the news agenda in Germany. It was may have been front page news after the presidential and vice presidential debates, but the campaign remains buried deep in the "international news" sections on most other days.

The U.S. has been all but absent as the European Union deals with the biggest economic and identity crisis in its history. Meanwhile, Germany is awkwardly finding itself in the role that the U.S. used to fulfill for many Europeans: the major power, hated for seemingly bullying smaller countries to follow its lead, but also admired because it is the only one with the stability and financial firepower to come to terms with the crisis.

Strangely, a tour around Berlin illustrates this new balance of power as well. The plaques, monuments, and historical sites that illustrate America's sacrifices for this country and this city are still here, but they're from an era that has passed. A new Berlin has risen and forged for itself a new and very unique identity as a major political and cultural center in the heart of Europe.

Germany and its capital city have grown up and evolved. They will take note of American politics, but ultimately American politics will not steer them away from the course they are charting for themselves and for Europe.

@highlight

Few cities' recent history has been more influenced by the U.S. than Berlin

@highlight

While Berliners have a lot to thank U.S. for, that doesn't mean they like U.S. policies

@highlight

American policies will not divert Berlin from charting course of Europe