(CNN) -- The lack of a cause of death, a lengthy trial and the possibility that Caylee Anthony's death was accidental were probably factors in the acquittal of her mother, Casey, on the most serious charges, according to attorneys and analysts.

Defense attorney Bruce Poston said he, like many others, was initially surprised by the verdict, which came Tuesday after less than 11 hours of deliberations by a Florida jury.

But on reflection, he said, he realized jurors were given a circumstantial case. And, Poston said, there was no evidence of premeditation by Casey Anthony.

"She didn't have to kill the child," he said. "Her parents would have raised this child."

The jury found Anthony not guilty of first-degree murder and the other most serious charges against her in the 2008 death of Caylee, 2. But it convicted her on four misdemeanor counts of providing false information to law enforcement officers.

Jurors would not immediately comment on their decision.

They apparently believed Anthony was involved in an accidental death of her daughter and covered it up, but did not intend to kill her, according to New Jersey defense attorney Remi Spencer.

"This is a home run for the defense," the former prosecutor said of the verdict.

Tommy Pope, who prosecuted Susan Smith in the 1994 drowning deaths of her two little boys, said the jury evidently took the state's burden of proof seriously.

"A high-profile case like this is exponentially more pressure on everybody," said the attorney, who now serves in the South Carolina House.

Smith was convicted of two counts of murder, but South Carolina jurors opted to spare her the death penalty. She is serving a life sentence.

"We don't want to think mothers do this," said Pope, who was York County solicitor.

Anthony's defense attorneys maintained the child drowned in the Anthonys' above-ground pool July 16 and that Anthony and her father panicked upon finding her there and covered up the death. George Anthony denied that in his testimony.

Alternate juror Russell Huekler told HLN it appeared the Anthony family didn't know how to deal with a "horrific accident" and that he believed that Casey's father, George, was "hiding something."

According to analysts, jurors got past Casey Anthony's questionable behavior after Caylee disappeared: The defendant partied at Orlando nightclubs and participated in a "hot body" contest at one point, according to testimony. Jurors were able to focus on the evidence, or lack of it, Poston said.

"It is just an extraordinary refutation of the prosecution," CNN legal analyst Jeffrey Toobin said. "Casey Anthony was convicted of extremely minor crimes, compared with the potential death penalty she faced."

Toobin and Poston, an attorney in Knoxville, Tennessee, said they believed that the prosecution overcharged Anthony.

"This was not a first-degree murder case. They should have charged her with more modest crimes and would have had a better chance," Toobin said.

But Charles Mittelstadt, a criminal defense investigator based in Atlanta, said the prosecution would have looked like it was not confident if it had done so.

"In a capital case, you are generally going for it all," Mittelstadt said, adding he believes the jury closely followed deliberation instructions from Orange County Chief Judge Belvin Perry Jr.

Prosecutors alleged that Anthony used chloroform to render her daughter unconscious and then duct-taped her mouth and nose to suffocate her. They alleged that she put the child's body in the trunk of her car for a few days before disposing of it.

Forensics testimony centered on odor from the car trunk, garbage, stains and flies.

Huekler said he had a difficult time accepting that Caylee's body had been in the car trunk.

Lawson Lamar, state attorney for the 9th District, praised the job done by prosecutors but said that proving the case was tough, as Caylee's remains were skeletal when they were discovered and lacked any chemical evidence.

"This was a dry-bones case," Lamar said. "The delay in recovering little Caylee's remains worked to our considerable disadvantage."

Jury selection was moved to Pinellas County because of extensive publicity surrounding the case in the Orlando area, and the jurors have been sequestered in an Orlando hotel for the trial. They heard the case over 36 days.

"You think jurors remember (all) that stuff?" Poston asked.

Observers said that both prosecutors and defense attorneys were competent and that the state's summation against Anthony was particularly strong.

Pope told CNN prosecutors "did what they had to do," but "your evidence is what it is."

Prosecutor Paul Henderson, who also played no role in the trial, told CNN's Anderson Cooper he was "shocked and disappointed" with the verdict. But, he acknowledged, circumstantial cases like this one "are tough cases when you're proving a homicide."

Poston said jurors appeared to take a liking during the trial to Baez, who greeted them each day.

"It got to be where all 12 would in unison say 'good morning' " in return, Poston said.

Although Baez was constantly challenged by prosecutors and lost many rulings, jurors saw none of those exchanges, observers said.

Spencer said she didn't believe jurors based their verdict on the attorneys.

"I believe you win the case during the cross-examination of the witnesses," she said. "I don't think the trial was won or lost on the closings (summations)."

Spencer said she was not surprised by the verdict. She cited the lack of direct evidence, including any incriminating DNA found on tape attached to the little girl's skull. Forensics evidence, she said, "backfired" on prosecutors.

"I think that this verdict was the only logical verdict," prominent defense attorney Mark Geragos told CNN's Cooper. "The prosecution woefully fell flat in this case at all times. They're the ones who invested themselves in this guilt-by-character-assassination ... they didn't have actual evidence."

Mittelstadt said the state appeared to have a compelling point in questioning why it took 31 days for Anthony to go to police if it were an accidental death.

"That is pretty strong stuff to dispute," he said.

But publicity about wrongful convictions and post-conviction exonerations has made jurors increasingly wary in death penalty cases, Mittelstadt said.

"Jurors don't want to be part of that mistake when someone's life is on the line," he said.

In the end, observers said, it's difficult to predict what a jury will do.

For Poston, the verdict showed that the circumstances of Caylee's fate never came to light. "The jury said, 'We don't know how she died.' "

@highlight

NEW: Prosecutor in Susan Smith case weighs in

@highlight

Alternate juror questions state's evidence

@highlight

Jury acquits Casey Anthony of most serious charges

@highlight

Analysts said the case perhaps should not have been a capital one