Hong Kong (CNN)Detentions, the kidnapping of bishops, tearing down churches -- these are the actions against Christians China has been guilty of.

Even the pope has not been welcome in Chinese airspace in the last few decades.

So when Pope Francis was given permission to fly over China on Thursday on his way to South Korea, many saw it as a sign of hope for religious freedom -- especially Catholicism -- in China.

The state-run Global Times calls it a sign of "possible détente."

But even as the central government and the pontiff seem to be getting along better, reports have emerged that Chinese Catholics have been barred from visiting South Korea to see the pontiff.

Around half of more than 100 students who had planned to travel from China to South Korea to attend the Asian Youth Day event and catch a glimpse of the Pope have not made it.

Heo Young-yeop, spokesman for the Committee for the Papal Visit to Korea, told the media that it was due to "a complicated situation inside China."

This apparent U-turn in attitude towards the papacy, within a matter of days, has Vatican-watchers confused, hinting at an increasingly opaque Chinese government that is struggling to manage its religious groups.

"There's a pattern of pendular movement in the Chinese government's stance towards religion, of being repressive and then of being accommodating," says Lionel Jensen, Associate Professor of East Asian Languages and Cultures, at the University of Notre Dame.

"I don't believe that the Vatican and the Communist Party will come to any agreement in the manner that some might hope," he said, adding that he has heard from a source, which he does not wish to name for security reasons, that the students who did not make it to the event in Korea are currently unaccounted for. CNN is not able to independently confirm this.

Woes of worship

The Vatican and Beijing have had no formal relations since the Communist Party came into power in 1949.

Officially an atheist country, China does not recognize the authority of the Vatican over its millions of Catholics. Instead, it has set up its own Catholic governing body, known as the Chinese Patriotic Catholic Association that answers to the Party.

This association is similar to other state organizations that manage followers of major faiths, including the Three-Self Patriotic Movement for Protestants and the Chinese Patriotic Islamic Association.

But there are other religious groups in China that have not been sanctioned by the state and that worship underground.

Jin Tianming is a priest and member of Beijing Shouwang Church, an underground Protestant community. His group of worshipers has had trouble finding a permanent location to hold church gatherings, frequently suffering harassment from police, with members of the church arrested or detained on occasion.

"We put our beliefs above society. I don't think the two are compatible in any way," says Jin.

Religious bloom

The existence of unregistered religious groups makes it difficult to calculate the number of Christians in China. A Pew Research Center study from 2011 estimates the number of Christians inside China at 67 million, about 5% of the country's total population at the time, amongst which around 10 million are Catholics. This is compared to 10 million Christians in total in 1996.

According to researchers, the numbers are rising quickly. Professor Fenggang Yang, director of the Center on Religion and Chinese Society at Purdue University, has predicted that China will be home to the largest Christian population by 2030.

The rapidly growing popularity of religion may be seen as a threat to the Communist Party's authority.

"The matter of religion in China -- especially the issue of Islam and Christianity, including Catholicism and Protestantism -- these are the fault lines in the future development of the country," says Jensen. "I think that the Chinese government doesn't know how to go about assessing the strain along those lines."

In the past few months, crucifixes, and even entire churches, have been torn down in China under the premise of building code violations. The Christian community has reacted in large numbers, with thousands showing up to protest the demolitions.

Sino-Christianity

In the latest move by the central authorities to control the spread of Christianity, the governing body for religious affairs has said that it will develop "Chinese Christian theology."

"The construction of Chinese Christian theology should adapt to China's national condition and integrate with Chinese culture," said Wang Zuoan, director of the State Administration for Religious Affairs. The announcement was made at a seminar on the Sinicization of Christianity in Shanghai last week.

An official five-year campaign has been ongoing since 2013 to promote "positive and correct theological thinking" and provide guidance to official registered church groups.

Just how will a Chinese-style Christian theology look like?

"It will attempt to tie together values of socialist culture and the practice of faith. The criteria will probably be vague, they will leave it open so authorities can determine who is violating the rules or not," says Jensen.

He predicts that it will likely echo what one hears within the larger context of the Chinese education system in general, stressing social harmony and social stability.

He points out that a Chinese theology is "startling" because it suggests that the long standing framework of constraints of religious practice may not be working out anymore. "It is an effort to gain an upper hand within the wilderness of immense Christian expansion."

CNN's Dayu Zhang in Beijing contributed to this report

@highlight

Christianity, including Catholicism, Protestantism, growing fast in China

@highlight

Rise of religion threatens the rule of the Communist Party

@highlight

Chinese students barred from attending the Asia Youth Day in Korea

@highlight

Chinese-style Christian theology proposed by officials