(CNN) -- The lack of definitive information about the fate of Malaysia Flight 370 has baffled and riveted expert and average person alike. Even the promise of Chinese satellite images capturing the location of crash debris turned out to be false, as Malaysian authorities said a search of the area found nothing.

Amid the muddle of speculation, possibilities and blind alleys, are there logical explanations in this mysterious disappearance? The short answer is yes. But what, of what we know so far, makes sense exactly?

First, the focus on the airplane's transponders, the device that transmits a discreet signal to Air Traffic Control (ATC) radars, might be misguided. The 777 has two transponders. A failure of one would send a caution message visible to the crew. They would then select the alternate transponder with barely a second thought.

A double failure? Not likely, unless there was a serious electronic systems failure (more on that later).

The only other plausible explanation would have been that the crew moved the knob to the off position. No professional flight crew would knowingly turn off a transponder in flight.

It is also possible the airplane flew out of ATC radar range by navigational error. Or as part of its assigned route, Malaysia 370 might have participated in a well-defined procedure for nonradar environments.

Opinion: Conspiracy theories build around disappearance

The North Atlantic track system between North America and Europe is a good example of an area where such a procedure would be used. Airplanes entering the tracks are required to fly at assigned altitudes and air speeds, separated laterally and vertically. Pilots verbally report set latitude and longitude positions on their cleared flight plans to a ground-based service called AIRINC.

The nonradar traffic picture is calculated by a computer, based on these position reports. In an airplane as sophisticated as a 777, the on-board computer can generate these reports automatically without verbal communication from the pilots. It is possible that on a portion of Malaysia 370's route, this procedure may have been utilized. If the airplane deviated from its assigned route because of an emergency, no problem would be indicated until the next reporting point because of the lack of ATC radar coverage. The crew would have to communicate the problem to the ground-based facility.

The 777 is one of the most advanced electronic airplanes built. Data is constantly being processed and transmitted to regulate internal systems, from flight controls to fuel systems and hundreds more. Much of this data is being transmitted automatically to the airline. This data is used for dispatch computations and maintenance, among other uses.

Only a very rare major electrical and electronic failure would prevent this information from being transmitted. Information regarding altitude, airspeed and heading is always available. Any irregularities in just these parameters alone would indicate a problem.

Was the airplane descending rapidly? Did the heading change indicate a course reversal? Did the airspeed increase indicate a dive? It's possible Malaysia Airlines experienced a malfunction in the receiving system -- doubtful, but it would help if the airline made that information available.

For argument's sake, let's say a major mechanical failure occurred. The crew might have been preoccupied with a serious problem as they progressed through the appropriate electronic checklist. A mayday call might not have been first on their agenda. All pilots are taught to "aviate, navigate and communicate," in that order. Could the mechanical problem have been serious enough for the crew to have lost control of the airplane before a distress signal was sent?

Opinion: How did stolen passports get through?

Although remote, consider the possibility of a fuel tank explosion.

For the flight time to Beijing, the center tank would most likely have been empty except for residual fuel as a matter of 777 procedure. The main wing tanks would have sufficient fuel for the trip. Could a short that caused a spark within a fuel boost pump have ignited the trapped vapor within the center tank?

The National Transportation Safety Board attributes the explosion of TWA Flight 800 off Long Island in 1996 to this cause. That accident involved a 747 and not a 777. Boeing recommended both a mechanical and procedural modification for the potential, but not totally verified, problem for many Boeing airplanes. Airlines began the modifications within two years after the investigation was complete. Did Malaysia Airlines comply with the modification?

Now that the Chinese satellite image led nowhere, perhaps the rather chaotic search should be conducted over land. A different route may have been chosen if the crew had actually made the decision to return or divert elsewhere.

Regardless, a debris field will be found. And if the airplane just fell out of the sky, it didn't happen as a result of only one factor. All accidents involve multiple factors.

Let's keep the speculation in perspective. The accident investigation process can be tedious, if not arduous. But the process is well-organized, especially in the United States; the NTSB's participation will be of tremendous assistance.

Airplanes don't just disappear.

The opinions expressed in this commentary are solely those of Les Abend.

@highlight

Les Abend: The lack of information regarding the fate of Malaysia 370 is baffling

@highlight

Abend: Although remote, consider the possibility of a fuel tank explosion

@highlight

He says no debris field has been located in the ocean, time to search land

@highlight

Abend: If the airplane just fell out of the sky, it didn't happen as a result of only one factor