(CNN) -- It's that time of the year when winter sports enthusiasts dust off their skis and snowboards and get ready to hit the slopes in search of perfect powder and fresh adventures.

The choice of ski resort is key to that enjoyment and a good place to start might be Solden in Austria where the Alpine Skiing World Cup starts next weekend on the treacherous Rettenbach Glacier.

The courses set for the daredevil professionals might prove a little daunting for the average skier -- but help is at hand from Olympic legends who forged their reputation at that highest level, yet still appreciate the needs of the less gifted participant.

Step forward Tommy Moe, whose approach may border on the reckless but who seized his moment to win the blue riband event in alpine skiing.

Moe's gold in the downhill at the Lillehammer Games of 1994 came as a surprise to almost everyone but himself. He sensed something special would happen.

"I thought today's the day, I will either win or crash," he told CNN.

"You have to have that sort of mentality. Looking back I was at the peak of my career." He went on to win silver in the super-G to complete a triumphant Games.

His fellow American Chris Klug is another ski aficionado.

Klug was given a precious second chance of life after a liver transplant and grabbed it with both hands to join Moe in Winter Olympic folklore.

Klug spent nearly a decade on a transplant waiting list after being diagnosed with a rare condition, but it did not stop him competing in the parallel giant slalom event at the 1998 Nagano Winter Games.

Two years later he underwent successful surgery after a perfect donor match was found and within weeks was training again for his demanding sport.

"I was so glad that my lifestyle had not been compromised," he told CNN.

Far from it. Earning a place in the U.S. team for a "home" Winter Games in Salt Lake City, Klug achieved the remarkable feat of winning a bronze medal in the parallel giant slalom event.

"It was the highlight of my life and I certainly received a lot of exposure because of my condition."

To this day, Klug remains the only transplant recipient to win an Olympic medal.

He went on to compete in the 2010 Vancouver Games to extend his career at the top to nearly 20 years.

"I'm proud to share my story and let people know what is possible after a transplant," said Klug who gives inspirational speeches and runs a foundation?

Klug also competed on the professional skiing tour where he raced against Moe, who naturally is full of admiration for his feats. "Chris is a great guy," he said.

Given their backgrounds and love of the mountains, it is no surprise that in retirement both remain close to the sport, acting as expert guides to groups and individuals of all standards.

Having raced all over the world, both also have a unique insight and a particular view of what constitutes their ideal ski resort.

Given their pedigree and knowledge, they were asked to contribute by author Chris Santella to his book, "Fifty Places to Ski and Snowboard Before You Die."

Santella, who is based in Portland, Oregon, asked experts, both competitive skiers like Moe and Klug and influential figures in the sport, for their choices and the result is an eclectic mix across several continents.

Moe spends most of his time at his home in Wyoming with his wife Megan and two daughters, Taylor, who is six, and four-year-old Taryn.

He is also an owner of the Tordrillo Mountain resort in the Alaskan wilderness, where he leads skiers of all standards on heli-skiing tours -- the only way to access 1.2 million acres of terrain.

By confession, Santella is not an expert skier, but his own choice is Tordrillo after going with Moe on one of his expeditions.

"I looked down where were supposed to go and must admit I had some doubts, but it was brilliant thanks to Tommy," he said.

Moe was renowned for his all or nothing approach. It was ultimately his undoing after a serious crash in 1995 on the Kvitfjell course he had won gold on the year before had a detrimental effect on his ambitions at the highest level.

But skiing with the likes of Klug and other ex-Olympic stars, he extended his career on the U.S. professional circuit.

These days, Moe is mostly content to take in the views and pass on his expertise to others.

"I still ski for myself just a little bit, but I've got a lot smarter. I just liking skiing with business friends, or people hire me to ski with them."

His two daughters have also taken to the slopes and although Moe would be delighted if they followed in his illustrious footsteps, he is wary of the dangers.

"It is a tough career and as I know only too well you can get injured," he said.

Not that his daredevil days are behind him just yet.

"Live life on the edge, or you are taking up too much space," remains Moe's mantra at heart.

He understands why Santella chose Tordrillo for special mention.

"It's pretty special. Alaska is really vast with so many mountain ranges. Our little area has 1.5 million acres of our own terrain we can access mainly by helicopter.

"It's a wilderness and we can go to untouched mountains with a dream landscape at all times of the year."

And would it be Moe's own top choice?

"It's definitely in my top three along with my own selection of Niseko (which in the southwest of Hokkaido, Japan's second-largest island) and probably Jackson Hole in Wyoming."

For the 42-year-old Klug, who lives in Aspen, Colorado, there is no place like home.

"Maybe I'm biased but not only do we have incredible terrain, but Aspen has a unique history so you can come here to find great skiing and snowboarding as well as big city cultural attractions," he told CNN.

However, as Santella notes in the foreword to his book, it's an entirely subjective judgment.

For some the perfect setting would offer to chance to match legends such as Moe and Klug on the same pistes.

"To push your skills to the limit on dizzying steeps or monstrous moguls," he wrote.

"To walk in the turns of some of the sports' most celebrated practitioners ... for others it might be a few gentle runs on the nursery slopes and good 'apres-ski.' "

But he is keen to stress that you don't need to travel to the other side of the planet to experience the sheer joy of snowing or snowboarding.

"A good dump of snow on your modest local hill can make for a great day. Yet a trip to a dream venue can create memories for a lifetime."

For Klug, every day is a great day after facing down a life-threatening condition to inspire others with his feats.

"I stared death in the face for nearly 10 years on a transplant waiting list and went on to win an Olympic medal," he says proudly.

"It's about not taking a single turn for granted and enjoy the ride."

Santella hopes his guide will inspire skiers and snowboarders of all standards to take to the slopes, but knows the selection of the top 50 resorts will be open to debate with so many so passionate about the sport.

@highlight

Ski legends choose their favorite resorts from around the world

@highlight

Tommy Moe entered record books as Olympic downhill champion in 1994

@highlight

Chris Klug only transplant recipient to win an Olympic medal

@highlight

Other contributors include U.S. star Jonny Moseley