(CNN)In the midst of all the shouting over Indiana's new religious-freedom law, which many fear will lead to increased discrimination against LGBT people, culture warriors marked the grim anniversary of another conservative "victory," one that left more than 10,000 needy children without their pledged financial support.

A year ago this week, I rose each morning with red, puffy eyes and heavy sense of exhaustion. I hadn't slept soundly since March 26, a day many of my friends and readers mark as the last day they wanted anything to do with organized Christianity.

It all started when World Vision, a humanitarian organization I had long supported and promoted, announced a change to its hiring policy allowing people in same-sex marriages to work in its U.S. offices.

In response, conservative evangelicals rallied, and within 72 hours, more than 10,000 children had lost their financial support from canceled World Vision sponsorships.

Ten-thousand children.

In addition, funding for schools, hospitals, water projects, and medical care was threatened as churches vowed to cut off support to an organization that hired LGBT people.

As one of my readers, Anthony, recalls, "Our church leadership vowed that they would pull all support, including over $2 million to build two hospitals in Zambia."

To try and stem some of the bleeding, I joined with other World Vision bloggers to encourage my readers to sponsor children or make one-time donations to the organization. We had raised several thousand dollars and multiple sponsorships -- many coming from gay and lesbian couples -- when the CEO of World Vision announced the charity would reverse its decision and return to its old policies discriminating against gay and lesbian employees.

It had worked.  Using wells and hospitals and child sponsorships as bargaining chips in the culture wars had actually worked.

Never in my life had I been so angry at my own faith tradition.

Many conservative evangelicals count the World Vision reversal as a major victory in the culture wars. Eric Teetsel, director of the Manhattan Declaration, told Christianity Today he considered it "the best news of 2014" for evangelical Christians. "This was Christianity at its best," he said.

But as I survey the battlefield a year later, I can't help but wonder if even the most strident culture warriors would consider the World Vision campaign worth its many casualties.

There are, of course, the families around the world affected by the sudden drying up of funds meant to support their hospitals and schools, not to mention the kids who used to receive letters and gifts from their sponsors, but whose pictures were casually ripped from the refrigerator and tossed into the garbage can once they were deemed expendable collateral in an American political battle.

Then there are the many gay, lesbian, bisexual, and transgender people, (especially LGBT Christians caught in the middle), for whom the campaign represented yet another blow to their humanity.  I remember a gay friend of mine telling me, through tears, "Christians don't even think I'm worthy of answering phones in the office of a humanitarian organization. What makes them think I would be welcome in their churches?"

And then there are the many Christians and former Christians for whom the World Vision campaign was the final straw in a drawn-out disillusionment with organized religion.

When I marked the anniversary with a Facebook status on the topic, I was surprised by how many of my readers marked March 26 as the day they left the church.

"I don't think I can ever get over this," wrote Kelly. "Changed my views on evangelicalism and my faith forever."

Anthony, who once taught Sunday school at his church, only rarely attends now.

This is the tragic irony of the culture wars: The casualties tend to be the very people Jesus went out of his way to serve: the poor, the sick, the marginalized, the outcasts, the people ostracized and deemed "sinners" by the religious elite.

And when the world sees Christians hurting rather than helping such people, in the name of political gain, our testimony is profoundly diminished.

We have lost the way of Jesus when we are more committed to self-preservation than service, more occupied with waging war than washing feet.

In all likelihood, Indiana's religious-freedom law will not directly affect many people. But the conversation that has surrounded it, in which discrimination against LGBT people has been characterized as a "deeply held religious belief," will have far more lasting effects, not unlike the effects of the campaign against World Vision.

So to the culture warriors, I plead: Before you wage the next campaign, assess the potential collateral damage and ask yourself if it's worth it. Remember that the fruit of the Spirit is not power or might, influence or entitlement. The fruit of the Spirit is love, joy, peace, patience, kindness, goodness, faithfulness, gentleness, and self control, and  "against such things, there is no law" (Galatians 5:23).

And to the wounded, I offer only this: You are not alone. Please know there are field medics -- pastors and priests, artists and activists, poets and parents and healers and dreamers -- ready to welcome you back to faith and to church whenever you're ready.

We can walk the long road to healing together, even if it's with a limp.

@highlight

Indiana's religious freedom law will not directly affect many people, but conversation around it, will have lasting effects, writes Held Evans

@highlight

The casualties of the culture wars tend to be the very people Jesus went out of his way to serve, says Evans