(CNN) -- U.S. President Barack Obama and his Russian counterpart, Vladimir Putin, held what each man described Friday as a "constructive" talk about Syria, though there's no indication it produced any breakthrough consensus.

What began as small talk after Putin approached Obama led to the two pulling up chairs in the corner of the room and talking almost entirely about Syria for 20 to 30 minutes, as other leaders watched, a senior Obama administration official said.

Afterward, Obama described the exchange on the sidelines of the Group of 20 summit in Russia as "candid" -- but acknowledged that Putin was unlikely to support his call for military action against Syria.

Putin gave reporters a similar account, adding, "He doesn't agree with me, I don't agree with him, but we listened to each other."

Both leaders said they could work together to seek a political solution to the Syrian crisis.

The two men hold opposing views over whether military action should be taken against the Syrian government over its alleged use of chemical weapons against its own people.

Obama is seeking to rally domestic and international support for a military strike, while Putin -- an ally of Syrian President Bashar al-Assad -- has challenged the assertion that regime forces were behind the alleged chemical weapons attacks.

Putin repeated the Syrian government's accusation that "militants" used chemical weapons in a bid to get aid and support from "those countries who support them."

He told reporters that Moscow will continue to provide Syria with arms and humanitarian aid.

He and Obama also talked about ways to solve the Syrian crisis peacefully, he said.

A statement issued Friday by a bare majority of the G20 -- 11 of its 20 members -- said that "the evidence clearly points to the Syrian government being responsible for the attack, which is part of a pattern of chemical weapons use by the regime."

"Those who perpetrated these crimes must be held accountable," it said.

Obama said he believed most of the leaders at the G20 meeting were "comfortable with (the) conclusion that the Assad government was responsible" for using chemical weapons in an attack last month on a Damascus suburb.

But he said divisions arose over whether military action against Syria must be authorized by the U.N. Security Council, where Russia has blocked action.

Citing Security Council "paralysis" on the issue, Obama said countries should be willing to act without the council's authorization.

Obama: 'World cannot stand idly by'

"If we are serious about upholding a ban on chemical weapons use, then an international response is required, and that will not come through Security Council action."

But he said he was encouraged by the discussions in St. Petersburg. "There's a growing recognition that the world cannot stand idly by," Obama said.

The U.S. president showed emotion as he talked of the gassing on August 21 of what his country estimates was more than 1,400 people in Syria, 400 of them children.

"This is not something we fabricated, this is not something we are using as an excuse for military action. ... I was elected to end wars, not start them," he said. "But we have to make hard choices when we stand up for things we care about."

Putin said the leaders in St. Petersburg were split nearly "50-50" over whether to intervene militarily.

He said that action against Syria without U.N. Security Council approval would be illegal. Russia and China, which has also opposed military intervention in Syria, have veto power.

But that need not rule out action, U.S. State Department spokeswoman Marie Harf told reporters Friday. "We cannot allow Syria to act with impunity because one or two countries refuse to hold them accountable in the Security Council," she said.

The Syrian government has said that opposition fighters launched the attack on the outskirts of Damascus.

The United Nations has said more than 100,000 people -- including many civilians -- have been killed since a popular uprising spiraled into a civil war in 2011. That toll rose Friday, with the opposition Local Coordination Committees of Syria reporting at least 64 people killed nationwide.

Tensions affect some U.S. staff in Lebanon, Turkey

As tensions ratchet up over Syria, the U.S. State Department on Friday ordered the withdrawal of nonessential personnel from the U.S. Embassy in Beirut, Lebanon, and authorized nonemergency staff to leave a consulate in Adana in southern Turkey.

"Given the current tensions in the region, as well as potential threats to U.S. government facilities and personnel, we are taking these steps out of an abundance of caution to protect our employees and their families, and local employees and visitors to our facilities," a statement said.

Many observers fear that the civil war in Syria, which has become increasingly sectarian in nature, could spill into neighboring countries.

The State Department also issued revised travel warnings Friday for Lebanon and Turkey, both of which share a border with Syria.

It urges U.S. citizens to "avoid all travel to Lebanon because of current safety and security concerns" and to be "alert to the potential for violence" if traveling to or living in Turkey.

Many in Lebanon worry that the involvement of the Lebanese Shiite militant group Hezbollah in Syria's civil war could destabilize their own nation.

Lebanon has been shaken by a series of deadly bombings in recent weeks, including a blast in a Hezbollah stronghold in Beirut.

Al-Assad warned this week that a regional war could break out if Syria is attacked.

"The Middle East is a powder keg, and the fire is approaching today," he told French newspaper Le Figaro in an interview Monday.

Obama pushes for congressional action

Obama is seeking congressional approval for possible U.S. military strikes against Syria, although no vote is expected until after lawmakers reconvene from recess on Monday.

The president said Friday that he had expected skepticism from the public and from lawmakers.

He knew it was going to be "a heavy lift" when he announced Saturday that he was putting the proposal before Congress, he said, with some lawmakers foreseeing a "slippery slope" toward a prolonged U.S. involvement in Syria.

"For the American people who have been through over a decade of war now, with enormous sacrifice of blood and treasure, any hints of further military entanglement in the Middle East are going to be viewed with suspicion," Obama said. "That suspicion will probably be even stronger in my party than in the Republican Party."

The Syrian parliament has urged the U.S. House not to support the proposed U.S. military action, the country's state news agency, SANA, said Friday.

In a letter addressed to U.S. House Speaker John Boehner, his Syrian counterpart, Jihad al-Laham, called upon the House to communicate through civilized dialogue, not blood and fire, the news agency said.

He said Islamic extremists have seized and possess chemical weapons, SANA reported.

Boehner and House Majority Leader Eric Cantor have both backed Obama, but Boehner has said it is up to the White House to get the 217 votes needed to secure his resolution there.

According to CNN's count, 109 House members plan to vote "no," while 23 -- including a number of high-profile Republicans -- plan to back it. More than 280 representatives remain undecided.

Syria offers rewards

Meanwhile, Syrian authorities are offering rewards, amounting to nearly $4,400, for handing over non-Syrian "terrorists," Syrian state TV said Friday. The Syrian government often refers to rebels as terrorists.

Officials offered nearly $1,800 for reports on the whereabouts of these individuals or help leading to their arrest, the state broadcaster said.

The identity of those providing information would remain confidential, and they would be provided with protection, state TV said.

CNN's Barbara Starr, Jason Hanna, Hamdi Alkhshali and Richard Allen Greene contributed to this report.

@highlight

NEW: At least 64 are killed in Syria on Friday, an opposition group reports

@highlight

Putin: Obama "doesn't agree with me, I don't agree with him. But we listened to each other"

@highlight

Obama says he and Putin had "candid, constructive" talks on the Syria crisis

@highlight

State Department orders nonessential personnel to leave U.S. Embassy in Beirut