(CNN) -- When my friend Elaine Rivera died, it felt almost like the end of a fireworks show, when the smoke hangs in the air and crowds walk slowly home. The fun was over in a flash.

Elaine was the life of the party, the girl who urged you to stay for just one more drink, a journalist who could splash life into a good story. She was also, as it turned out, an alcoholic whose drinking was so severe it corroded her liver until it just stopped working.

Just a few weeks before her October 26 death from cirrhosis, she looked out the window of her condo in the Bronx at a stunning view of the crowds whooping it up at Yankee Stadium.

"Here I am, just another Puerto Rican in the Bronx watching the Yankees. Every one of those people has a beer in their hand," she rambled on, noting how Puerto Ricans are big baseball fans. "What is it about Puerto Ricans and drinking?"

That was the same day she said: "Rose, I don't think I'm going to make it."

And then she didn't.

Elaine, 54 when she died, was a well-educated Latina who had devoted her career to reporting on the neglect of poor, ethnic communities. Now she'd ended her life like the anecdotal lead to one of her stories -- this one on how Latinos are dying from alcoholism-related cirrhosis at higher rates than other ethnic or racial groups, and no one seems to know precisely why.

Video: Oscar De La Hoya: I started drinking at 8

Latino men die at 1.7 times the rate of whites and Latinas at 1.5 times the rate, according to statistics compiled by the National Institutes of Health. Both genders die from alcoholism-related cirrhosis at twice the rate of African-Americans. Only Native Americans suffer mortality rates at higher levels.

"You probably have a bed here where you put the Puerto Rican from the Bronx," she had yelled sarcastically, irascible during her first visit to a New York emergency room. She wasn't far off when it comes to cirrhosis.

Puerto Ricans have a higher rate of alcohol abuse than other Latinos, says Dr. Raul Caetano, who has studied alcohol abuse in minority groups for the University of Texas. There are few explanations as to why.

"Yes, it's binge drinking, and drinking in general, but as to why (no one knows)," Caetano said.

Some of the problem may begin on the island and get worse as Puerto Ricans move stateside, says Hector Diaz, who co-authored a 2005 book on alcohol abuse among Puerto Ricans.

"In Latin America, the tendency is for people to drink in large amounts but less frequently. When they drink, they get drunk," Diaz said. "Then they come to the U.S., where people drink with more frequency, and Latinos adopt both habits."

Diaz, who has a doctorate in social work, believes that colonization and migration leave some Puerto Ricans feeling like they are immigrants even though they are born U.S. citizens. They feel beaten down as they face new economic and social challenges without the strong family structures they left behind on the island.

"All that drives people nuts," he said bluntly. "You are always having to reinvent yourself." He thinks studying why Latinos, and Puerto Ricans in particular, seem prone to drink will help social workers like him develop better prevention and treatment.

Video: Alcoholism, eating disorders may be genetically linked

Elaine knew all about Puerto Ricans fighting off a culture of drinking. In the weeks before she was diagnosed, she raged about a dustup between some Puerto Rican leaders and Coors.

The beer company had apologized after some Puerto Ricans felt insulted by a Coors can emblazoned with the Puerto Rican flag in honor of the community's 2013 annual pride parade. The parade theme was "Salud: Celebrating Your Health."

"The hypocrisy of this!" she would say, screaming at the TV set, noting the Puerto Ricans organizing the parade supported Coors. "I'm going to have my students look into it."

Coors later issued an apology, noted its sponsorship of scholarships for Latinos and said it was trying to celebrate culture. It stopped production of the cans.

Elaine had left full-time journalism to teach journalism at Lehman College and was hoping her students would adopt her passion for covering racial and ethnic minorities.

She noted that in 2011, Puerto Ricans were divided over another Coors ad campaign titled "Emboricuate."

Boriqua is a slang term for Puerto Ricans and "Emboriquate" was an obvious play on the Spanish word "Emborrachate," meaning "get drunk." Coors later apologized for offending anyone and dropped the ad, and the partnership between the Puerto Rican parade and the beer company continued.

Even as she talked about the community's divisions, though, Elaine never fully acknowledged she had a drinking problem.

Alcohol abuse is often a disease that can hide in plain sight in Latino communities, says Judith Arroyo, who studies minority health disparities for the National Institute on Alcohol Abuse and Alcoholism.

Latinos sometimes diminish heavy drinking, said Arroyo, believing that people who drink excessively once a month or every six weeks have nothing more significant than "un vicio," just a vice.

Elaine's family didn't see it coming until very late. "She'd have a little traguito, (drink) as they say, but I didn't think she was an addict," said her brother, Randy Rivera.

Elaine came from a solid working-class family from Cleveland, a destination for Puerto Ricans searching for manufacturing jobs in years past. She called it "the Puerto Rican Brady Bunch" -- three boys and three girls, living in a house with one bathroom.

Last Christmas, her brother said, "she came home looking white like a ghost. She looked swollen. She didn't eat well at dinner." The family always bought a bottle of liquor for guests, and when her brother woke up the morning after her arrival, it was mysteriously empty.

The year before, their sister Joyce had died from cirrhosis. Randy Rivera remembers trying to wrench a bottle of alcohol from Joyce's hands.

"I told Joyce, 'The only way you'll stop is in the grave,' and that turned out to be true," her brother said.

They recognized the physical signs in Elaine, but didn't connect it to heavy drinking.

"We knew Joyce was an alcoholic. She wouldn't go to rehab. It was gradual, but we knew it was her destiny," said her other sister, Marisel Rivera.

"With Elaine, we didn't know the severity of her drinking. She'd be up late drinking when she visited, but we thought she was just stressed from work. Now I can't believe this disease has taken two of my sisters."

The next time Elaine's family visited, she was in Mount Sinai Hospital having fluid drained from her body because her liver was not filtering fluids adequately.

Not targeting discreet communities for early prevention can have devastating consequences once they are diagnosed with cirrhosis.

Dr. Gene Im, who treated Elaine at Mount Sinai in New York, said concerns over continued alcoholic behavior among cirrhosis patients means most doctors won't provide life-saving transplants unless a patient has stopped drinking for six months. Elaine was in rehabilitation when she died suddenly.

Im describes cirrhosis as a particularly cruel disease because it's caused by scarring in the liver as it's trying to regenerate and maintain its function against the onslaught of abuse. It basically hurts itself trying to survive.

"This comes about over decades of injury to the liver, and often times it's silent," Im says.

The millions of people in the United States who suffer from alohol-related cirrhosis, an indicator of heavy drinking, face more than just a grave health risk, particularly if they are a member of a vulnerable minority group. Drinking excessively has also been linked to increased criminality, family and work life issues and health consequences.

"Alcoholism is one of the preventable agents that keeps Latino people from being able to advance in this country," Arroyo said. "It affects families, it's money that should be spent on education and providing a good household. If we can address and prevent this, I truly believe we would see Latinos advance economically much more rapidly in this country."

While liver disease results from long-term abuse, Arroyo said, not enough research has been done as to whether higher rates of hepatitis C and fatty liver disease among Latinos weaken the liver and increase the rates of cirrhosis.

She also said that poor diet and lack of exercise might also be contributing factors. "Latinos suffer alcohol use disorders, both dependency and abuse, in smaller numbers, but for those of us who drink, tomamos con ganas (we do it with gusto)," she said. "And there are all those things that can contribute."

Elaine was a journalist, a profession where much-romanticized pub crawls are legendary. As I told her former colleagues of her death, many asked whether something else might have caused cirrhosis or how much drinking might make you sick. When I told them the autopsy firmly connected her death to long-term alcohol consumption, they seemed incredulous.

Hers had been a slow, unintentional suicide, aided by the many drinks she shared with her reporter buddies in celebration of the last big story. In that other culture of hers, no one had seen it coming either.

Problem teen drinking is not just a phase

Elaine's friends and family gather will Saturday to celebrate her life and work and raise money for a scholarship fund for poor, minority journalism students devoted to continuing her work.

I find it all so heart-crushing I can't bring myself to join the speech-making. There will just be too much talk of the importance of her kind of reporting, but little, if any, about why she died.

I'll remember her by telling the story of how her easy smile and zest for justice was snuffed out by an awful disease plaguing her own community. I just wish she were here to have written it herself.

@highlight

Journalist Elaine Rivera died October 26 at age 54

@highlight

"What is it about Puerto Ricans and drinking," she asked before her death

@highlight

Puerto Ricans have a higher rate of alcohol abuse than other Latinos, expert says

@highlight

Millions in the United States suffer from cirrhosis