If your pants feel tighter than usual, you might begin to suspect that you've gained a couple of pounds. But at what point should you begin to worry that the weight gain is serious? Could you be one of the approximately two-thirds of American adults who are either overweight or obese, with an increased risk for conditions like diabetes and heart disease? While no single measurement is perfect, here are a few ways to size yourself up.

Skin-fold tests, which measure skin thickness with calipers, can be inaccurate.

Step on the scale

Upside: Easy and handy. In a 2007 study published in the journal Obesity, researchers found that dieters who regularly and frequently weighed themselves appeared more likely to keep the weight off over time. Buying a scale for your bathroom to keep track of weight won't break the bank, and your gym probably has one in the locker room.

Downside: You know how you can be skinny but out of shape? Or heavy and fit? Body weight doesn't take into account the proportion of fat in the body, or where that fat is deposited -- factors that can point to health trouble. Also, experts say dieters often make the mistake of fixating on the number between their toes instead of focusing on changing the behavior that can improve it. iReport.com: Have you made a health-changing resolution? Tell us

Body mass index (BMI)

Upside: Your BMI provides a lot more information than your bathroom scale, specifically a measure of body fat. "Fat is more important than weight," says Peter Katzmarzyk, associate executive director for population science at the Pennington Biomedical Research Center in Baton Rouge, Louisiana. "Excessive fatness is the definition of obesity, not excessive weight -- and having too much fat can cause serious health problems."

This calculation uses a ratio of weight to height to estimate body fat and obesity. Find your BMI »

A BMI of less than 18.5 is underweight. A BMI of 18.5--24.9 is normal. A BMI of 25--29.9 is overweight. A BMI of 30 or higher is obese.

Downside: Since the BMI tool cannot distinguish between lean muscle mass and body fat, it has a tendency to overestimate the level of body fat in people who have a lot of muscle -- say, Arnold Schwarzenegger -- and underestimate the amount of body fat in people who have lost muscle mass, such as the elderly.

"If you are an Olympic body builder, it doesn't hold up so well," says Miriam Nelson, Ph.D., director of the John Hancock Center for Physical Activity and Nutrition at Tufts University's Friedman School of Nutrition Science and Policy, in Boston, Massachusetts. Nelson notes that BMI still works well for the general population and estimates that it gives an inaccurate assessment in only one to three percent of people, despite its limitations.

And if you're looking to compare your BMI with other dieters, think again. Pretty much anyone can rattle off his weight, but only 20 percent of the population knows their BMI, suggests a National Consumers League survey conducted by Harris Interactive last year. Health.com: Six diet trend you should never try

Waist circumference

Upside: Simple and predictive. This measure -- an indicator of abdominal obesity, which is an important predictor of risk for developing obesity-associated cardiovascular disease -- can be conducted at home by wrapping a tape measure snugly around the abdomen slightly above the hipbone, level with the navel. "It helps reduce even the small number of mistakes that might be made with BMI," says Steven R. Smith, M.D., assistant executive director of clinical research at the Pennington Center.

In fact, waist circumference may be even more important than BMI. There is a greater risk of developing conditions like type 2 diabetes and heart disease if a person carries excess fat -- also known as visceral fat -- around his abdomen. Fat located deep in the abdomen around the internal organs may be more dangerous than subcutaneous fat, which is located just under the skin, and peripheral fat found in places like the hips and thighs. Health.com: Lost weight? Here's how to keep it off

Therefore, regardless of height, a person is considered to be at an increased risk of developing an obesity-related disease if his waist circumference is greater than 40 inches or 35 inches, in men and women, respectively.

Downside: Unless you're a supermodel, you're probably not in the habit of measuring your waist. In a 2008 study published in the Journal of Women's Health, one in 10 women who underwent various cardiovascular health screenings didn't have their waists measured. Some of the women simply may have refused, suggests senior author Erin D. Michos, M.D., an assistant professor of medicine in the division of cardiology at Johns Hopkins University School of Medicine in Baltimore, Maryland. And busy doctors may resort to the scale rather than take the time to use a tape measure correctly, Michos says. She urges dieters to do the measurement themselves at home. Health.com: Weight-loss success story: Together we lost over 200 pounds

Additionally, Dr. Michos points out, measuring waist circumference may provide a more vivid indication of weight-loss progress. "When someone starts to exercise, they might increase muscle mass as well, and therefore might be frustrated not to see too much change on the scale in terms of total weight," she says. Conversely, if a tape measure reveals a decrease in waist circumference, you can see the benefit and know you're improving your health, which can also motivate you to continue an exercise and diet plan.

DEXA scans

Upside: Superaccurate. This low-radiation, full-body X-ray, typically used to screen for osteoporosis, computes body composition and the percentage of fat in the body by measuring fat mass, lean mass, and bone mass. "They are the gold standard," says David Freedman, Ph.D., an epidemiologist in the Division of Nutrition, Physical Activity, and Obesity at the Centers for Disease Control and Prevention in Atlanta, Georgia.

Downside: Cost. Unfortunately, if not covered by insurance, a DEXA scan could end up costing you a couple hundred dollars, an expense that isn't necessary, according to Nelson.

Other body fat measurements

Upside: Your wallet won't take such a hit from other more economical approaches. Bioelectrical impedance analysis (BIA), which can sometimes be found at health clubs and involves attaching electrodes to the hands and feet or standing on electrode pads, sends a small electric signal through the body to compute the composition of body fat and muscle mass. Some physicians and health clubs also use so-called skin-fold tests, which use calipers or pinchers to measure the thickness of folds of skins at different parts of the body.

Downside: These measurements are cheaper, yes, but they are also less reliable than a DEXA scan. The BIA is heavily influenced by hydration levels and thus, can be imprecise; depending on the technician, a skin-fold test can be inaccurate too. Health.com: How foods rich in water can help you lose weight

Bottom line

BMI and waist circumference, along with an evaluation of your personal risk factors such as high blood pressure, cholesterol levels, and family history for heart disease, should give you a good idea about whether you need to lose weight. If you find that you have a BMI greater than 25 and a high-risk waist circumference, you should discuss your risks and options with a physician.

Try a FREE TRIAL issue of Health - CLICK HERE!

Copyright Health Magazine 2009

@highlight

When does "putting on a few pounds" cross the line into needing to lose weight?

@highlight

Neither scale, BMI, pinch test or waist measurement tells the full story

@highlight

DEXA scan -- a low-radiation, full-body X-ray -- is gold standard but expensive