(CNN) -- Great Britain and Ecuador remained in a standoff early Friday, following the South American nation's decision to grant Julian Assange asylum -- a decision British authorities are refusing to honor, saying they are committed to extraditing the WikiLeaks founder to Sweden.

According to the official Twitter feed of WikiLeaks -- a website that's published hundreds of thousands of once-secret U.S. government documents -- there were "over 35 police surrounding the Ecuadorian embassy in London" soon after 12:30 a.m. Friday. Britain's foreign ministry, though, earlier countered that there was a larger "police presence outside the British Embassy in Quito" than at the Ecuadorian mission in London.

Inside the latter embassy is Assange, the Australian national wanted in Sweden to face questioning over claims of rape and sexual molestation, as he's been since first seeking asylum in June.

What's next for Assange's extradition battle?

On Thursday, he thanked his "courageous, independent" Ecuadorian hosts for protecting him "from persecution," after its Foreign Minister Ricardo Patiño announced his nation was giving asylum to Assange and urged British authorities to let him travel freely to South America.

Outlining why the asylum request was granted, Patiño said his nation has a credible fear Assange -- who was described as an activist for freedom of the press and freedom of expression -- will be silenced if sent to Sweden and, perhaps eventually, the United States.

The minister specifically expressed concerns that if Assange were extradited to the United States, he might face charges of treason or espionage and, if convicted, be sentenced to death. In the United States -- where Assange hasn't been charged with anything, for now -- there are no guarantees Assange would receive a fair trial or that he wouldn't be subject to a military or secret tribunal, Patiño said.

"There are strong indications of retaliation by the country or countries who produced the information divulged by Mr. Assange, reprisals that could put at risk his security, integrity and even his life," the Ecuadorian government concluded.

Timeline: Assange's extradition battle

U.S. Justice Department spokesman Dean Boyd on Thursday offered "no comment on Julian Assange or the dispute over his asylum between Ecuadorian and UK authorities."

U.S. Attorney General Eric Holder has said that the Justice Department is conducting an "active, ongoing criminal investigation" into the WikiLeaks disclosure of hundreds of thousands of classified U.S. documents relating to the conflicts in Iraq and Afghanistan and about 250,000 U.S. diplomatic cables. Assange and his supporters claim a U.S. grand jury has been empaneled to consider charges against him.

It is unclear if Assange could be charged with treason in the United States or what sentence he'd face if convicted. Those convicted of treason in the United States may be sentenced to between five years in prison up to death, according to federal law published on the U.S. House of Representatives' website. But the law only applies to those "owing allegiance to the United States."

A death sentence also can be imposed on those convicted of espionage by communicating certain sensitive information to a "foreign government" or other such faction "with intent or reason" to harm the United States, according to U.S. federal law. But there are death penalty restrictions for that crime.

Like other left-leaning Latin American leaders such as Venezuela's Hugo Chavez, Bolivia's Evo Morales and Cuba's Fidel Castro, Ecuador President Rafael Correa has railed against the United States as an "imperial power that has to be checked," said Robert Amsterdam, a Canadian international lawyer who's worked on high-profile cases involving Latin America, Russia and Thailand.

Correa, an economist who earned two academic degrees in the United States and is up for re-election next February, said in an interview with Assange earlier this year on the activist's TV show: "I love and admire the American people a great deal ... But I will always call a spade a spade."

The Ecuadorian president also hasn't hesitated to poke Britain, as he did in calling for sanctions in February against that nation over its long-running dispute with Argentina over who owns the Falkland Islands.

That UK-Ecuador dispute is the focal point of the current tension, with both nations appearing firm in their positions.

Assange embassy gamble follows famous precedents

Britain is disappointed by Ecuador's decision and will continue to "carry out (its) obligation" to arrest and extradite Assange to Sweden, with the UK Foreign Office saying "the Ecuadorian government's decision this afternoon does not change that."

British Foreign Minister William Hague added his nation won't provide safe passage for Assange, and that the UK had "painstakingly" assured the Ecuadorians that his human rights would be protected.

"It is important to understand that this is not about Mr. Assange's activities at WikiLeaks or the attitude of the United States of America. He is wanted in Sweden to answer allegations of serious sexual offenses," Hagues said.

Assange was arrested in Britain in 2010 because Swedish authorities wanted to question him about the allegations. Two women accused him of sexually assaulting them during an August 2010 visit to Sweden in connection with a WikiLeaks release of internal U.S. military documents. Assange denies the allegations and argues they are in retribution for his organization's disclosure of American secrets.

Patiño jabbed British authorities for sending a written notice to Ecuador that they would "assault" his country's embassy in London if Ecuadorian officials failed to hand over Assange.

The British say one of their laws allow for them to enter the embassy and arrest Assange. Patiño cited a laundry list of international treaties and conventions that he said make it clear that it is illegal to enter another country's embassy.

The UK, in effect, is saying "we are going to savagely hit you depending on how you behave," Patiño said.

Why Assange needs Ecuador and Ecuador needs Assange

Yet the next confrontation may not be at the embassy, but in court.

"What the United Kingdom must do is apply the diplomatic obligations of the (U.N.) Refugee Convention and let him leave with a safe conduct pass," said Baltasar Garzon, a former Spanish judge who said he is working pro bono as coordinator of Assange's defense team, by e-mail from Santo Domingo in the Dominican Republic. "If not, we will go to the International Court of Justice."

Garzon is a well-known crusading human rights judge who ordered the arrest of ex-Chilean dictator Augusto Pinochet in London in 1998. Spain's judicial authority removed him from the bench last February after his conviction in a case in which his home nation's Supreme Court determined Garzon had improperly ordered wiretaps while investigating a financial corruption case.

Following Ecuador's announcement, Sweden said it took umbrage to the implication it does not guarantee the rights of those in its custody, and called the Ecuadorian ambassador there to a meeting.

Opinion: Assange's stubborn grip hurt WikiLeaks

"Sweden does not extradite individuals who risk facing the death penalty," a Swedish Foreign Ministry spokeswoman said, implicitly referring to the possibility Assange could be charged with crimes eligible for the death penalty in the United States, with whom it has an extradition agreement.

The Swedish ministry said on its official Twitter account that this was an "unacceptable attempt by Ecuador to stop the Swedish judicial process and the European judicial cooperation."

Assange sought refuge at the embassy five days after the Supreme Court in Britain dismissed his bid to reopen his appeal of the decision to send him to Sweden, his last option in British courts. He is subject to arrest for breaking the terms of his bail, which required that he spend his nights at the home of a supporter outside London, London's Metropolitan Police said the day after he entered the embassy.

Publicly silent since last March, he's set to speak at 2 p.m. Sunday -- two months to the day since he sought asylum -- according to WikiLeaks official Twitter feed.

That same day, foreign ministers from member states of the Union of South American Nations will convene in Guayaquil, Ecuador, to discuss the situation in London, Peru's foreign ministry announced in a statement late Thursday. Ecuador requested the meeting, after which representatives from UNASUR member states talked and agreed to meet, the Peruvian ministry said.

Fake New York Times op-ed a WikiLeaks hoax

CNN's Mariano Castillo, Rafael Romo, Al Goodman, Richard Greene and Per Nyberg contributed to this report.

@highlight

NEW: WikiLeaks says via Twitter that 35 British police remain outside Ecuador's embassy

@highlight

Ecuadorian Foreign Minister Patiño says granting asylum is to protect Assange's rights

@highlight

But British authorities say they'll still try to extradite Assange, not letting him freely go to Ecuador

@highlight

A leader of Assange's team vows to take the case to the International Court of Justice