(CNN) -- What is usually a time of celebration was marked by gunfire and protests in Syria on Sunday as residents ushered in the first day of the Muslim holiday, Eid al-Adha.

Twenty-three people were killed in the violence, activists said.

At least 16 were killed in shelling and gunfire in the western city of Homs, a hotbed of anti-government sentiment and a government-led crackdown, according to the Local Coordination Committees of Syria, a network of opposition activists.

Three others were killed in Hama, two in Idlib and one person was killed in both Lattakia and Douma, the LCC said. Other people were reported wounded.

In Aleppo, Syria's largest city and the country's economic center, residents took to the streets in anti-government protests after the morning Eid prayers, the LCC said.

In the southern city of Daraa, where the unrest started in March, security forces fired in the air to disperse crowds and prevent them from demonstrating after prayers, the group said.

CNN could not confirm the reports. Tough media restrictions in Syria have made it hard to verify events on the ground.

Detainees at Syrian prisons have launched a hunger strike, the Syrian Observatory for Human Rights said, protesting against what they claim were false promises by the Syrian authorities that they would be released. The coordination committees' network added that more than 1,300 detainees at the "central prison" in Homs alone were participating.

In a statement issued Sunday, the Arab League criticized the Syrian government's failure to implement its proposal "to end the violence used against protesters," and said Arab League foreign ministers would meet Saturday to discuss the situation.

The organization has warned that a regional crisis could ensue if the Syrian government does not comply with its pledge last week to follow the Arab League's plan.

The government agreed to pull its army off the streets, release people jailed since the protests began in March and allow international journalists and Arab League observers to monitor the moves, Arab League ministers announced Wednesday.

But opposition activists say that has not happened, and reports of violence in Syria have continued.

On Sunday, Syria's ambassador to the League, Youssef Ahmad, knocked its leaders' comments, according to the government-run Syrian Arab News Agency.

"The AL (Arab League) Secretariat is supposed to play its role in coordinating between the Syrian government and the ministerial committee, not proclaim itself a party against the Syrian government," the ambassador said, according to SANA.

The news agency also said that Syria's foreign minister, Walid al-Moallem, sent letters to his counterparts in various countries, accusing the United States of inciting violence.

In a bid to end the unrest, officials have called on Syrians to lay down their weapons -- a request that was discouraged by the United States -- al-Moallem wrote, SANA said.

U.S. State Department spokeswoman Victoria Nuland was asked last week about a reported amnesty offer that would give Syrians 72 hours to turn themselves in.

"I wouldn't advise anybody to turn themselves in to regime authorities at the moment," she said.

Eid al-Adha, which commemorates the Muslim prophet Ibraham's willingness to sacrifice his son for Allah, is one of two major holidays in Islam. The other, Eid al-Fitr, marks the end of Ramadan, when Muslims fast from dawn to dusk.

In ordinary times, the occasions are marked with joyous community prayers, acts of charity, visits from far-flung relatives, gift-giving and elaborate feasts.

But Syria is in the midst of a nearly eight-month uprising that started with calls for elections and an end to abuses by security forces, but turned into widespread calls for the ouster of President Bashar al-Assad.

Despite a brutal government crackdown, the demonstrations continue.

On Saturday, violence left at least 28 people dead, adding to a death toll that has climbed upward of 3,800, the LCC said.

SANA placed Saturday's toll at 22, and said the "martyrs" had died at the hands of "armed terrorist groups" -- a phrase the state has used to describe the anti-government demonstrators.

Al-Assad and other officials have blamed the violence on outside forces attempting to undermine the 40-year rule of the president's family.

Syria has made previous pledges to withdraw armed forces from civilian areas, but in some of those cases, it withdrew only armored units and left infantry in place, or returned after a brief pullout.

It also has made other moves aimed at defusing the protests, including plans to draft a new constitution, but they have failed to appease demonstrators.

CNN's Hamdi Alkhshali and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Over 1,300 detainees in Homs among hunger strikers, an opposition group says

@highlight

Syria accuses the United States of inciting violence, state media reports

@highlight

The Arab League says its foreign ministers will meet to discuss the situation in Syria

@highlight

Residents take to the streets in Aleppo after morning Eid prayers, activists say