(Health.com) -- People who consume lots of foods rich in vitamin B12 -- such as fish and fortified cereals -- may be at lower risk of developing Alzheimer's disease than people who take in less of the vitamin, a small study conducted in Finland suggests.

In the study, which was published in Neurology, researchers in Scandinavia analyzed blood samples from 271 individuals ages 65 to 79 who showed no evidence of dementia. The researchers tested for levels of a blood marker of vitamin B12 and for levels of homocysteine, an amino acid that has been linked to an increased risk of Alzheimer's disease (as well as heart disease and stroke).

B vitamins, including B12 and folate, have been shown to help lower homocysteine levels, so high levels of the amino acid suggest low levels of B12.

Health.com: 9 foods that may help save your memory

Over the next seven years, 17 study participants were diagnosed with Alzheimer's disease. The people with the highest levels of homocysteine at the beginning of the study had the greatest risk of developing the disease. In contrast, each unit increase in the marker of vitamin B12 (known as holotranscobalamin) reduced the risk of developing Alzheimer's by 2 percent.

The relationship between vitamin B12 and Alzheimer's risk is "complex," says Dr. Sudha Seshadri, M.D., an associate professor of neurology at the Boston University School of Medicine and the author of an editorial accompanying the study. But, she adds, "B12 levels, particularly holotranscobalamin levels, likely play a contributory role."

The links among Alzheimer's risk, homocysteine, and B12 were more pronounced in older individuals, the study found.

Health.com: 25 signs and symptoms of Alzheimer's disease

Blood levels of folate, which the researchers also measured, were not related to homocysteine levels or Alzheimer's risk in this study. Folic acid -- a synthetic version of folate found in many supplements and multivitamins -- has been shown to lower homocysteine in previous studies, but its effect on disease risk is disputed.

A National Institutes of Health panel recently concluded that there are no foods or vitamins that definitively prevent the development of Alzheimer's disease, and experts say this study is consistent with the panel's recommendations. "A healthy diet likely remains important," Seshadri says. "The role of supplementation remains unclear."

Health.com: Ginkgo doesn't work: are there better ways to save your brain?

Maria Carillo, Ph.D., the senior director of medical and scientific relations at the Alzheimer's Association, a nonprofit research and advocacy group, urges caution in interpreting the new findings, especially given that so few study participants developed the disease.

"We do know that vitamin B12 is a huge contributor to lowering homocysteine levels," she says. "Lowering these in general is important for cardiovascular health, and this study strengthens our knowledge about its role in risk for Alzheimer's disease."

Dr. Sam Gandy, M.D., the associate director of the Alzheimer's Disease Research Center at the Mount Sinai School of Medicine, in New York City, says that it may make sense for people to get blood tests to measure their levels of B12 and folate.

Health.com: How to age-proof your memory

However, he says, the study findings may not necessarily translate to people outside Scandinavia. And he worries that the results may spur doctors to recommend B12 injections to their patients -- a preventive treatment that he says is unfounded and already overused.

It's still unclear whether increasing your intake of vitamin B12 will help protect you from Alzheimer's, Gandy says. "Good nutrition should minimize the risk of Alzheimer's disease, but we can't say that any specific food has been proven to reduce this risk."

Copyright Health Magazine 2010

@highlight

People who consume foods rich in vitamin B12 may be at lower risk of developing Alzheimer's

@highlight

B vitamins may help lower homocysteine levels, an amino acid linked to the disease

@highlight

Alzheimer's disease risk could be minimized with general good nutrition