Los Angeles (CNN) -- After years of struggling with depression, Nikki de Toledo killed herself with a prescription drug overdose when she was 27.

She didn't leave a suicide note, but she did leave her 8-year-old son, Kevin.

Kevin's grandparents, Ginette and AndrÃ© de Toledo, immediately took over custody, because Kevin's father lived abroad and had never been a part of his life.

It wasn't an easy transition, though.

"It was a very difficult time for my parents because they weren't able to grieve," said Nikki's sister, Sylvie. "They were immediately responsible for raising an 8-year-old who also was grieving in his own way. And it was different than the way my parents were grieving. It was a pretty tough time for our family."

It's often the grandparents who step up when a parent dies or is unable to take care of a child for other reasons, such as incarceration, abuse or mental illness. In 2011, there were at least 2.7 million grandparents raising a grandchild in the United States, according to the U.S. Census Bureau's American Community Survey.

But the sudden shift in responsibility can be incredibly stressful.

Grandparents may be living on fixed incomes, and the additional dependents can cause costs to soar. There's also an emotional adjustment when an empty nest is no longer empty.

"When that call comes ... your whole life changes," Sylvie de Toledo said. "It's turned inside out and upside down."

De Toledo said she watched her parents, then in their mid-50s, struggle with their new responsibilities. It affected their marriage and their health.

Also, like many children who lose a parent, Kevin had emotional issues that followed him into his teenage years.

"Kevin was a difficult teenager," said de Toledo, a 58-year-old social worker. "The trauma and grief and loss of a parent abandoning you, so to speak ... it's a huge, huge loss."

Around the same time, de Toledo started noticing more of her work clients -- children and grandparents -- dealing with similar challenges.

"The most common thread was that they all felt alone and isolated," she said. "They didn't know anyone in the same situation that they were in."

Determined to bring some of these families together, de Toledo began holding a support group for about 10 of them. When attendance began to skyrocket, she started her own nonprofit, Grandparents as Parents, to help more people cope with the process.

Today, more than a quarter-century later, there are 20 support groups across Los Angeles, and the nonprofit works with more than 3,000 families a year, providing them with financial assistance, legal advice and emotional support.

More than 90% of the caregivers are grandparents, but the nonprofit also assists aunts, uncles, siblings and close friends who have stepped up to care for children when their biological parents can't.

"We are a one-stop shop for relative caregivers," de Toledo said. "So many times, the families are completely overwhelmed. The kids come to them with a dirty diaper and a T-shirt that's way too big for them."

Do you know a hero? Nominations are open for 2013 CNN Heroes

When someone calls for help, de Toledo is usually the first person they talk to. She listens to their story and then helps them prioritize their needs so the situation isn't so overwhelming.

"It's sort of like a jigsaw puzzle," she said. "You have to figure out how to put the pieces back together to build a whole, happy, healthy individual child."

Lourdes Aguylar called seven years ago when her daughter dropped off three children ages 3, 9, and 10 months. Aguylar received immediate assistance -- food, toys and clothes -- and with the group's help she later became legal guardian of the children.

Over the years, the group has also helped provide the children with psychological, educational and medical support. But perhaps most importantly, Aguylar said, they have become part of a larger family -- a group of caregivers and children who back each other.

"You know you're not the only one," she said.

More on CNN: Grandparents get tech-savvy to keep in touch

In addition to weekly support groups, there are monthly picnics for families and friends as well as opportunities for the families to attend events together, such as the theater, amusement parks and sporting events.

The nonprofit gets its money through grants, private donations and corporate sponsors, but it also helps grandparents apply for government assistance. de Toledo said many grandparents don't realize there are special programs that may be available to them.

"We have seen countless families who have maxed out credit cards and used all of their savings before they even ask for help," she said.

Even if they do know there is help out there, many don't know how to navigate the system and may need help using online systems or filling out paperwork. So de Toledo and her staff or volunteers will walk them through the process.

Louise Reaves, 60, got in touch with de Toledo to help her navigate the court system and get custody and benefits for her young granddaughter. Six years ago, Reaves' daughter dropped the baby off at her house, promising to return when she got back on her feet; she hasn't come back.

"Sylvie was able to walk me through everything that I needed," Reaves said. "I was able to get medical assistance for (my granddaughter). I was able to get clothing for her ... rent. They helped me get on my feet where I could help myself."

She credits the group with keeping her family together.

"Without me joining (the group), I don't know where we would be," she said. "I'm going to be honest with you. I don't know if (my granddaughter) would be in a group home or a foster home or what. It was rough."

More on CNN: Caregiver lives rerouted, enriched by aging parents

De Toledo said her group has kept thousands of children from entering the foster care system, and they've also kept siblings from being separated.

"We've literally saved families," she said.

But the true heroes, she said, are the caregivers.

"It's really the grandparents and the relatives who are doing this that deserve the recognition for putting their own lives on hold," she said. "I just was able to plant a seed with something that happened in my own family. ...

"From a family tragedy, something wonderful has happened."

Want to get involved? Check out the Grandparents as Parents website at www.grandparentsasparents.org and see how to help.

@highlight

Sylvie de Toledo's group helps grandparents who are raising their grandchildren

@highlight

In 2011, there were at least 2.7 million of those grandparents in the United States

@highlight

The added responsibility often comes with financial, emotional challenges

@highlight

Do you know a hero? Nominations are open for 2013 CNN Heroes