Lagos, Nigeria (CNN)2014 has been another amazing year for startups in Africa.

More and more entrepreneurs turned their attention to building businesses that can solve the continent's problems and provide services it has long awaited.

Enterprises emerged to fix problems in payments, traffic and talent, while more entrepreneurs raised more money from investors than ever before.

Here, in no particular order are 10 of the most exciting young companies of the year.

The list includes the startups I consider to have the most potential, to be the most viable -- not necessarily the most popular or hyped.

Sendy

Where: Kenya

In a nutshell: Uber-style motorbike delivery service.

What's unique: Africa has delivery services and courier services but never before Uber-style so you can track exactly where the deliver rider is via your phone app.

Sending packages is usually expensive and difficult in big, congested African cities like Nairobi and Lagos. Many people use motorbikes to get to work to avoid getting stuck in traffic, so using motorbikes for deliveries is a smart, cheap, local solution.

Future moves: Sendy is in a very strong position because e-commerce is growing and at some point those kinds of sites could integrate with companies like Sendy. It could also potentially be acquired by a foreign company, perhaps Amazon, if they decide to expand to Kenya or South Africa and want to invest in a delivery service that understands the terrain.

Angani

Where: Kenya, East Africa region

In a nutshell: Pay-as-you-go cloud computing

What's unique: This is nothing new internationally, but the cloud computing space in Kenya is nascent. Angani are coming into the market trying to make prices affordable. What makes it cool is that you pay for what you use. You choose a plan and go.

Future moves: It may be difficult for Angani to scale in a short time, given that all of their competitors in this new and growing market are established players. It remains to be seen whether their tactic of driving competition with low prices will attract enough customers.

Irofit

Where: Nigeria

In a nutshell: Mobile payments without internet

What's unique: Their offering -- mobile payments over mobile networks -- is unique. It's something that hasn't been done before. Making mobile payments over the internet can often be an issue in Africa, so Irofit are leveraging more widespread mobile networks.

Future moves: They launched very recently, and no one has used the app yet. But Irofit raised $600,000 in just six months earlier this year, showing that there are big players who think the startup has real potential.

Wyzetalk

Where: South Africa

In a nutshell: Invite-only social platform for business

What's unique: A business platform for companies to help their employees to more effectively communicate. Staff can use the platform to collaborate on projects, set up meetings, instant message, share files and more.

Future moves: Wyzetalk has been around since 2011, but they have built the company steadily, winning round after round of funding, which shows they must be doing something right. It is currently used by companies from a variety of industries including travel and tourism, tech and food and drink. They have a very solid model and are likely to keep growing.

Gamsole

Where: Nigeria, Global

In a nutshell: Gaming company

What's unique: Celebrated as the biggest success story of any African game developers, this startup has been developing games in the Windows phone market for a couple of years. Gamsole was incubated in the 88mph accelerator and since then their games have seen 9 million downloads globally.

Future moves: Gamsole recently received an innovation grant from Microsoft and are looking for new talent with a recently launched competition for illustrators and designers that offers $4,000 to the winner. They are also yet to launch a global smash hit game.

Snapscan

Where: South Africa

In a nutshell: Make payments via your mobile phone

What's unique: A service, not dissimilar to Apple Pay, which allows people to make payments with their mobile phone by simply taking a photo of a QR code and punching in the amount they want to pay.

Future moves: Less than a year after launch, the system was being used by 12,000 small businesses. There is huge potential for this service: There is an appetite for convenience in payments and there is an opportunity to leverage on Africa being mobile first. They have the potential to expand into other markets and maybe even compete with Apple Pay and Google Wallet.

Delivery Science

Where: Nigeria

In a nutshell: Delivering smarter using big data

What's unique: This startup is all about using big data and analytics to help companies in Africa's emerging e-commerce sector manage inventory and deliver more efficiently. Delivery Science offer to completely manage a company's logistics from what's in the warehouse to innovative ideas like verification codes for deliveries to ensure the right person gets a package.

Future moves: The company was started this year by a team who have successfully launched other startups and who are knowledgeable in delivery and logistics. They have the right idea and the knowledge to serve the market in Nigeria.

Paysail

Where: Ghana

In a nutshell: Out-of-the-box payroll management application.

What's unique: Right now, many companies in Ghana still use spreadsheets to organize employee pay. Paysail offers an all-in-one service that comes with Ghanian tax codes programmed in to make company accountants' jobs easier.

Future moves: It's a new idea. It's different. Most of the companies -- like this one -- that are incubated in the Meltwater Entrepreneurial School of Technology in Ghana try to reach other markets. Right now, no one is doing anything like this in next-door Nigeria, which means the Paysail application has opportunity to offer an incredible change.

Andela

Where: Nigeria, pan-Africa

In a nutshell: Training graduates as developers, matching them with employers

What's unique: Andela is focused on helping employers from all over the world find talent from Africa. They take it a step further by identifying raw talent and paying them to learn to become developers, then matching them with global employers looking for talent. The company currently has a local office in Nigeria and a company in the United States.

Future moves: This company's approach is very smart. In Africa there is a desperate need for talent -- we don't have enough developers, let alone quality developers, because universities don't qualify graduates in technologies for the future. There is also a huge market globally, so this company has a massive opportunity.

BRCK

Where: Kenya, all of Africa.

In a nutshell: A self-powered, mobile WiFi device.

What's unique: BRCK is a blackbox described by its makers as "a backup generator for the internet," with the aim of solving Africa's connectivity issues. In Africa, there are power outages on a daily basis so getting online and staying online anywhere and anytime in these parts as well as other parts of the world requires a device that can seamlessly switch between multiple networks to provide access, even in remote areas. That's where BRCK comes in.

Future moves: This product is quite ingenious. The potential impact and scale of this company is the reason it closed a $1.2 million seed funding round, after initially raising $172,000 in a Kickstarter campaign last year. BRCK has the potential to provide internet connectivity to rural areas across the world, where Internet access can be unstable.

@highlight

This year, African entrepreneurs built businesses that can solve the continent's problems

@highlight

Founder of African tech blog Techloy.com, Loy Okezie names his 10 top startups of 2014

@highlight

List includes, Uber-style motorbike delivery, pay-as-you-go cloud computing