LONDON, England (CNN) -- Jyoti is the Hindi word for light. It's something Pranav Mehta has never had to live without. And he is lucky. Near where he lives in Gujarat, one of the most prosperous states in India, thousands of rural villages lack electricity or struggle with an intermittent supply at best.

Massive solar satellites would beam power back to ground-based receivers on Earth.

"We need to empower these villages, and for empowerment, energy is a must," Mehta said. "Rural India is suffering a lot because of a lack of energy."

By 2030, India's Planning Commission estimates that the country will have to generate at least 700,000 megawatts of additional power to meet the demands of its expanding economy and growing population.

Much of that electricity will come from coal-fired power plants, like the $4 billion so-called ultra mega complex scheduled to be built south of Tunda Wand, a tiny village near the Gulf of Kutch, an inlet of the Arabian Sea on India's west coast. Dozens of other such projects are already or soon will be under way.

Yet Mehta has another solution for India's chronic electricity shortage, one that does not involve power plants on the ground but instead massive sun-gathering satellites in geosynchronous orbits 22,000 miles in the sky.

The satellites would electromagnetically beam gigawatts of solar energy back to ground-based receivers, where it would then be converted to electricity and transferred to power grids. And because in high Earth orbit, satellites are unaffected by the earth's shadow virtually 365 days a year, the floating power plants could provide round-the-clock clean, renewable electricity.

"This will be kind of a leap frog action instead of just crawling," said Mehta, who is the director of India operations for Space Island Group, a California-based company working to develop solar satellites. "It is a win-win situation."

American scientist Peter Glaser introduced the idea of space solar power in 1968.

NASA and the United States Department of Energy studied the concept throughout the 1970s, concluding that although the technology was feasible, the price of putting it all together and sending it to outer space was not.

"The estimated cost of all of the infrastructure to build them in space was about $1 trillion," said John Mankins, a former NASA technologist and president of the Space Power Association. "It was an unimaginable amount of money."

NASA revisited space solar power with a so-called "Fresh Look" study in the mid-90s but the research lost momentum when the space agency decided it did not want to further pursue the technology, Mankins told CNN. By around 2002 the project was indefinitely shelved -- or so it seemed.

"The conditions are ripe for something to happen on space solar power," said Charles Miller, a director of the Space Frontier Foundation, a group promoting public access to space. "The environment is perfect for a new start."

Skyrocketing oil prices, a heightened awareness of climate change and worries about natural resource depletion have recently prompted a renewed interest in beaming extraterrestrial energy back to Earth, Miller explained.

And so has a 2007 report released by the Pentagon's National Security Space Office, encouraging the U.S. government to spearhead the development of space power systems.

"A single kilometer-wide band of geosynchronous Earth orbit experiences enough solar flux in one year to nearly equal the amount of energy contained within all known recoverable conventional oil reserves on Earth today," the report said.

The study also concluded that solar energy from satellites could provide power for global U.S. military operations and deliver energy to disaster areas and developing nations.

"The country that takes the lead on space solar power will be the energy-exporting country for the entire planet for the next few hundred years," Miller said.

Russia, China, the European Union and India, according to the Pentagon report, are interested in the concept. And Japan, which has been pouring millions of dollars into space power studies for decades, is working toward testing a small-scale demonstration in the near future.

But a number of obstacles still remain before solar satellites actually get off the ground, said Jeff Keuter, president of the George C. Marshall Institute, a Washington-based research organization. "Like any activity in space, there are enormous engineering challenges," he said.

One major barrier is a lack of cheap and reliable access to space, a necessity for launching hundreds of components to build what will be miles-long platforms. Developing robotic technology to piece the structures together high above Earth will also be a challenge. Then there is the issue of finding someone to foot what will be at least a billion-dollar bill.

"It will take a great deal of effort, a great deal of thought and unfortunately a great deal of money," Keutersaid. "But it is certainly possible."

And Miller, of the Space Frontier Foundation, said he thinks it will be possible in the next 10 years.

"We could see the first operational power satellite in about the 2020 time frame if we act now," he said.

...........................

Do you think beaming solar power down from space is feasible? Who should be responsible developing the technology? Why has it not been done before? Leave your views and comments in the Sound Off box below and we'll publish the best.

@highlight

Concept to beam solar power from satellites gains new global momentum

@highlight

Massive satellites would beam solar energy back to ground-based receivers

@highlight

Pentagon study says could be used for military operations, developing nations