(CNN) -- At a moment when diplomacy is back in the international spotlight, are Americans becoming more isolationist, wanting the United States to pull back from the world?

You might think so listening to Washington.

Republicans like Sens. Ted Cruz and Rand Paul are betting their presidential aspirations on it. Democratic strategist Doug Sosnik released a memo identifying "pull back from the rest of the world" as the No. 1 area of consensus across the political spectrum ahead of the 2014 elections.

And, at first, it looks like they may be on to something. But as you dig deeper, you might see they are missing the point.

Yes, poll after poll has shown that if you ask Americans to choose between focusing on problems at home or abroad, they overwhelmingly call for focusing at home.

A recent IPSOS/Halifax International Security Forum poll released last week found an overwhelming 88% of Americans agreed. Along with the Obama administration's inability to muster congressional support for limited military strikes against Syria (and the British failure to win approval in their parliament), this is often seen as the latest sign of war-weary populations that don't want anything to do with international entanglements.

Yet, a closer look at how Americans think about the world today provides a note of caution before joining the isolationist bandwagon.

Americans are clearly reluctant to support military intervention. They may agree with former Secretary of Defense Bob Gates, that anyone "who advises the president to again send a big American land army into Asia or into the Middle East or Africa should 'have his head examined.'"

But rather than pulling back, Americans are looking for leadership to tackle today's most difficult global challenges, even if they aren't always sure how to deal with them.

The world seems a more dangerous place than just three years ago. Compared with 2010, the poll shows that 22% more Americans see a nuclear or chemical attack in the world as a real threat, and 13% more Americans see a terrorist attack in their country as a real threat.

Over this time, support for global engagement through civilian means of diplomacy and development has stayed surprisingly stable.

Three-quarters of Americans agree that their country has a responsibility to be a moral leader for the world, a figure largely unchanged since 2010. They support economic sanctions against countries that behave badly and helping to respond to natural disasters or famines. Even after a decade of wars in Iraq and Afghanistan, majorities agree their country should help the growth of democracy and assist countries with less developed economies.

The problem is that Americans aren't sure what will work in today's challenging world. Take Syria. It's amazing to see that 66% of Americans supported the deal to place Syria's chemical weapons under international control, while only 36% of them believed it will succeed.

Americans know that today's global threats rarely have military solutions and no longer resemble the Cold War conflicts between strong states. An overwhelming majority say that, in today's world, economic power is more important than military power -- as do most people around the world.

But if you ask Americans whether under some conditions war is necessary to obtain justice, three-quarters of Americans still agree, unlike most Europeans and Canadians. It is sobering to note that only in China is there stronger support for war at 80%.

Part of the challenge is that Americans know the United States cannot solve today's global problems alone, but we are hardly unique in wanting to focus on economic problems at home. Among the 20 countries surveyed in the IPSOS/Halifax poll, every country but Sweden felt it should focus more on problems at home. Even 75% of Canadians agree, and Canada is the country the rest of the world regularly sees as having the most positive influence on the world.

While the economy has slowly been showing signs of recovery, perhaps the desire to focus on problems at home is the continued hangover from the financial crisis. It turns out that there is only a modest difference in support for global engagement among Americans who see the economy negatively, with about 10% fewer (but still majorities) agreeing.

The drop-off among those who see the economy negatively is greater (about 30%) on support for assisting countries with less developed economies. This suggests that policymakers and global development advocates need to do a better job making the economic argument that today's fastest-growing economies are in the developing world, not in our traditional trading partners in Europe and Japan, and that the emerging middle classes in Brazil, India, China and across Africa are the new markets for goods and services. All signs are that business understands this, but the public may not yet.

We're seeing a remarkable resurgence of diplomacy, whether in the first steps toward a deal to prevent Iran from acquiring nuclear weapons or in the Middle East peace process. But the passionate reactions against the Iran agreement suggest that some have come to see diplomacy as weakness.

This is unfortunate, as Americans are looking for leadership, not conflict, in a world that they feel is growing ever more dangerous. Let's hope that cooler heads will prevail in the months ahead and see this as an opportunity for the United States to work with our allies to lower the temperature and work to build a safer world.

The opinions expressed in this commentary are solely those of John K. Glenn.

@highlight

Glenn: Top Republicans are betting presidential aspirations that Americans want to stay out of global hotspots

@highlight

New survey shows 88% of Americans agreed

@highlight

Glenn: But Americans are looking for leadership, not conflict, in a more dangerous world

@highlight

Poll also shows three-quarters of Americans say that U.S. has a responsibility to be a moral leader for the world