(CNN) -- A Syrian general was gunned down in the heart of the capital on Saturday, according to state media, as fresh violence flared in several cities and world powers mulled a way to halt the government's bloody offensive against civilians.

An "armed terrorist group" assassinated Brig. Gen. Issa al-Kholi, a military physician who was the director of Hamish Hospital, in front of his Damascus house Saturday morning, the state-run Syrian Arab News Agency said. Three gunmen shot him to death, the media outlet said.

The killing occurred "In the framework of targeting the Syrian intellectuals and the medical and technical cadres," SANA reported.

"A number of efficient, skilled and specialized national cadres were assassinated by armed terrorist groups," said SANA, which cited the killings of a professor, a nuclear specialist, a teacher and a couple of engineers.

Al-Kholi once headed the arthritis division at Tishreen Military Hospital and received medical training in Romania and Paris.

Andrew Tabler, a Syria expert at the Washington Institute for Near East Policy, said al-Kholi is from a powerful Alawite military family and is a relative of Mohammed al-Kholi, the former head of air force intelligence under Hafez al-Assad, President Bashar al-Assad's father and predecessor.

The al-Assad family is Alawite, a minority in Sunni-dominated Syria that has a major presence in the military and government.

Tabler said air force intelligence is a powerful unit that is in charge of missile systems and investigating military defections. Hafez al-Assad was in that military branch.

Jeffrey White, a defense analyst also at the institute, told CNN that al-Kholi was not likely a senior officer or affiliated with a key regime unit. White said he believed the assassination was the first of a higher-ranking Syrian officer in the capital.

The capital has not been engulfed with the same kind of daily violence other cities have during the 11-month Syrian uprising, but the killing and recent attacks in Damascus could be a sign that the resistance is spreading to the seats of power.

Free Syrian Army Lt. Col. Mohamed Hamado said al-Kholi is "definitely close to Bashar's inner circle" and that his family has been close to both Bashar al-Assad and his father. The FSA is the anti-regime resistance group led by military defectors.

The deputy head of the Free Syrian Army said the killing could have been carried out by the regime itself.

The al-Assad regime "is now assassinating and targeting anyone they suspect of joining the revolution or thinking of defecting. That may have been the case with General al-Kholi," Col. Malek Al Kurdi told CNN.

Al Kurdi claims the regime "assassinated" the deputy head of the armed forces, Gen. Bassam Najm el-Din Antakiali, in September, even though state media reported that he died of an "acute heart attack."

At least 30 people were killed in Syria on Saturday, including 12 in Homs, according to the Local Coordination Committees of Syria, a network of opposition activists. Homs, located in the country's west, is Syria's third largest city. The Syrian Observatory for Human Rights, another opposition group, put Saturday's toll at 46, 32 of them civilians.

Over the past week, 687 people, including 59 children, have died, the LCC reported late Saturday. About two-thirds of those occurred in Homs.

"Today is the seventh day in a row we're under shelling -- nonstop bombardment," an activist named Omar said Saturday. He said government forces have surrounded the area with thousands of soldiers and dozens of tanks: "Not the normal tanks. Big tanks. Russian tanks."

"We just want from Assad to give us permission to move the injured baby -- they are just the babies," Omar said, referring to al-Assad. "They have to leave the area to have a good treatment. ... He don't even let us save and treat our (injured) babies."

Unrest rippled in the south as five men in the southern province of Daraa were killed when a a tank attacked them in the town of Al Musefra, LCC activist Abu Oudai said. They were among 13 people killed in Daraa, where the government security crackdown and the nationwide uprising started in mid-March.

Funerals were held, meanwhile, for 39 members of the Syrian army and law enforcement units. SANA said the officers were targeted while on duty near Damascus and in Homs.

World leaders have tried to pass resolutions denouncing the regime's bloody crackdown, but have been stymied by Russia and China in sending a unified message.

Almost a week after Russia and China vetoed a U.N. Security Council resolution intended to stop the killing, Saudi Arabia has drafted a similarly worded document -- but one that lacks the same punch.

The Saudi draft resolution will be submitted to the U.N. General Assembly, where vetoes are not allowed, but resolutions are not legally binding.

The three-page draft "strongly condemns" the violations of human rights by Syrian authorities. It cites "the use of force against civilians, arbitrary executions, killing and persecution of protesters, human rights defenders and journalists, arbitrary detention, enforced disappearances, interference with access to medical treatment, torture, sexual violence and ill-treatment, including against children."

The text was provided to CNN by a diplomatic source on the condition that it not be posted in full because it could be amended. The U.N. General Assembly will convene Monday.

Both Russia and China, which have major trade ties with Syria, have said they support an end to the violence but disagreed with the text of the draft resolution they rejected last week.

"We do believe that, in order to stop violence, armed methods must be stopped not only by the government, but also by the opposition," said Russia's U.N. ambassador, Vitaly Churkin. "That was the key flaw of the draft resolution."

CNN cannot independently confirm details of the fighting in Syria because the government has severely limited the access of international journalists.

But virtually all reports from within the country indicate al-Assad's forces are slaughtering protesters and other civilians en masse. Opposition activists in Homs describe relentless bomb explosions from Syrian forces, wounded people bleeding to death in the streets because they can't get medical attention and snipers picking off civilians running for cover.

U.N. officials estimate 6,000 people have died since protests seeking al-Assad's ouster began nearly a year ago. The LCC says the toll has far exceeded 7,000.

Al-Assad's regime has insisted its crackdown is aimed at armed gangs and foreign terrorists bent on destabilizing the regime.

But U.S. Ambassador to Syria Robert Ford said the truth is obvious.

"We know who's shelling Homs," he said. "It's not the opposition, it's the government."

CNN's Salma Abdelaziz, Ivan Watson, Amir Ahmed, Joe Sterling, Richard Roth and journalist Mohamed Fadel Fahmy contributed to this report.

@highlight

NEW: Nearly 700 have died in past week, opposition group says

@highlight

Slain Brig. Gen. Issa al-Kholi was a physician

@highlight

Free Syrian Army officer says the regime could have killed the general

@highlight

Violence rages in Homs, Daraa and the Damascus region