Editor's note: Since becoming State Department producer in 2000, Elise Labott has covered four secretaries of state and reported from more than 50 countries. Before joining CNN, she covered the United Nations.

Pakistan Foreign Minister Shah Mahmood Qureshi and Secretary of State Hillary Clinton meet in Washington.

WASHINGTON (CNN) -- Pakistan Foreign Minister Shah Mahmood Qureshi made the rounds in Washington just as President Obama's national security team shifted its attention to Pakistan.

This week Secretary of Defense Williams Gates called the Afghan border with Pakistan the "epicenter of jihad." And the renewed focus on Pakistan suggests that Obama has a new role for Pakistan in the battle against al Qaeda and the Taliban.

After all, in developing a strategy for "Afpak," Obama acknowledged the United States cannot win in Afghanistan without cooperation from Pakistan, the suspected hideout of Osama bin Laden and other al Qaeda leaders.

Which is why the buzzword of both Qureshi and U.S. Secretary of State Hillary Clinton this week was "partnership," as in the United States and Pakistan are united in a "strategic partnership" against a common enemy.

Right now, the relationship between the two countries is less a partnership and more an uneasy marriage with a history fraught with decades of mutual mistrust and disappointment.

In the late 1980s, the United States partnered with Pakistan to supply mujahedeen fighters with weapons and training to defeat the Soviets in Afghanistan. Then the United States abandoned the region, leaving the Pakistanis, in Clinton's words, "awash in drugs...and jihadists who had been trained up in conjunction with us."

Now the Americans are back. But, rightly, the Pakistanis are wondering if this time they will stay.

This week Qureshi urged the United States not to repeat history, but rather to articulate a "long-term commitment" for the region.

That's exactly what the United States is trying to do with an aid package worth $1.5 billion a year for five years for social and economic development and with discretionary military spending. By building roads, schools and democratic institutions, the United States hopes to combat both Islamic extremism and anti-Americanism.

In part the aid has had the opposite effect. Tough conditions attached to the aid to ensure the Pakistanis are fighting terrorism on their own soil have prompted fears and resentment about renewed -- and unwanted -- American influence.

The military spending in the Kerry-Lugar legislation threatens to cut off assistance if Pakistan fails to crack down on extremists or uses the funding to attack neighboring countries, namely India. It requires Pakistan's cooperation in efforts to dismantle nuclear weapons networks operating in the country and demands Pakistan provides the information about its military budget and chain of command, all of which has given birth to grave concern in the military that the aid package is compromising Pakistan's sovereignty.

The bill also makes reference to the southwestern city of Quetta and eastern town of Muridke. Both are believed to be hubs for al Qaeda and Taliban leaders, which suggests that the United States could target those cities for the kind of drone attacks which have drawn Pakistani ire.

As the Pakistani parliament debates the bill, street protests over the aid have spread through the country. The fears about sovereignty have only been aggravated over U.S. plans to send hundreds more diplomats to its embassy in Islamabad. Washington says the additional staff is needed to distribute and monitor the aid, but it has all left Pakistanis humiliated and feeling like a child who needs a babysitter.

Pakistan also wants more credit from the United States for decisive action it has taken against terrorists, including its recent offensive in the Swat Valley.

The United States has been impressed by the Pakistani army's recent offensive against the Taliban in Swat. And it is encouraged that Pakistan is gearing up to launch a major offensive in Waziristan, believed to be a stronghold of both the Taliban and al Qaeda.

But the conditions attached to the aid are a symptom of the United States' longstanding doubts about the Pakistanis' capacity to be a reliable partner it needs in the struggle against al Qaeda and the Taliban. Not only are there concerns about Pakistani intelligence ties to extremist networks, but the United States continues to fear Pakistan's obsession with its nuclear neighbor India will divert its focus from fighting terrorist threats on its own soil.

As the United States struggles over the future of the mission in Afghanistan, Pakistan wants to strengthen cooperation. This week Qureshi said the United States needed to share more critical information it has about al Qaeda and the Taliban on its border. What's more, he suggested the administration should consult with both the Pakistani military and civilian government before deciding to send more troops.

The sad legacy of U.S. and Pakistani relations can be overcome only if both counties are able to rebuild trust.

Pakistan needs to answer lingering questions about the country's commitment to fighting terrorism. And after 20 years of neglect, the United States needs to assure Pakistan it won't exploit it for its own interests, only to abandon the region once again. Only then will this uneasy marriage give way to a true partnership.

@highlight

U.S.-Pakistan relationship fraught with decades of mistrust and disappointment

@highlight

Foreign Minister Shah Mahmood Qureshi asks U.S. for "long-term commitment"

@highlight

U.S. aid package of $1.5 billion is for social and economic development