(CNN)Two police officers shot and wounded while standing guard outside the Ferguson, Missouri, Police Department early Thursday were deliberately targeted in what a police official called an "ambush."

Such ambush-style attacks were the leading circumstance in the surging number of shooting deaths of law enforcement officers, according to the nonprofit, Washington-based National Law Enforcement Officers Memorial Fund.

The shootings were a chilling low point in the protests in the St. Louis suburb since a Ferguson police officer shot and killed 18-year-old Michael Brown in August.

The demonstrators were out again late Wednesday -- in response to the announcement hours earlier of Ferguson Police Chief Thomas Jackson's resignation -- when shots rang out from a hill about 125 yards from where the protesters had gathered, according to witnesses.

St. Louis County Police Chief Jon Belmar said the shootings were an "ambush" intended "for whatever nefarious reason" to inflict harm on the officers. The officers -- one shot in the face, the other in the shoulder -- have been released from the hospital.

U.S. Attorney General Eric Holder decried the shootings as a "heinous assault (that) was inexcusable and repugnant."

Calling the shooting a "cowardly action," Holder said, "I condemn violence against any public safety officials in the strongest terms, and the Department of Justice will never accept any threats or violence directed at those who serve and protect our communities."

The number of law enforcement officers shot to death in the line of duty rose more than 50% in 2014, the law enforcement group said in a report released in December.

Many of those shootings occurred during police interactions with suspects such as traffic stops, responses to disturbances or attempted arrests. Such was the case in Baton Rouge, Louisiana, on Tuesday, when Deputy U.S. Marshal Josie Wells was killed in an exchange of gunfire after going to arrest a fugitive murder suspect at a motel.

However, ambushes were the largest single category of circumstances in the shooting deaths of officers in 2014, according to the group's report.

Fifty officers were killed by firearms -- 15 in ambush attacks -- in 2014, the Memorial Fund said.

That's compared with five ambushes among 32 shooting deaths in 2013 and six ambush deaths during 2012, according to the FBI.

But those ambush numbers have trended higher before in previous years: The FBI counted 15 officer deaths by ambush each year in 2011, 2010 and 2009.

Ambush situations were the biggest category of circumstance behind 543 officers feloniously killed from 2002 to 2011: 23.2%.

Ambush killings are nothing new. The FBI defines two types:

One is by "entrapment and premeditation," which is a scenario "where the officer was lured into danger as the result of conscious consideration and planning. These attacks are generally accomplished from cover or hiding; however, they can occur without cover or hiding," the agency said.

The second are ambushes of "unprovoked attacks," which are "generally accomplished without hiding; however, they can occur with or without cover," the FBI said.

Harry Houck, a consultant and former New York Police Department detective, said officers could be second-guessing themselves as scrutiny of the police increases.

"If an officer is afraid to immediately react the way he's supposed to," he said, "that could cost him his life."

According to the National Law Enforcement Officers Memorial Fund 2014 report, 126 federal, state, local, tribal and territorial officers died in the line of duty in 2014, compared with 102 and 123 the previous two years. Most of the on-duty deaths considered "non-felonious" were from traffic accidents or health reasons.

CNN has not analyzed each case and cannot authenticate the group's findings.

After the findings were released in December, Holder said: "These troubling statistics underscore the very real dangers that America's brave law enforcement officers face every time they put on their uniforms. Each loss is both tragic and unacceptable -- a beloved father, mother, son or daughter who never came home to their loved ones."

He said that the Department of Justice is doing its own analysis of officer deaths in 2014 "so we can mitigate risks in the future."

The report's release came amid simmering distrust and tension between police and some communities across the country. It was published less than two weeks after the December 20 ambush killing of two New York City police officers.

Ismaaiyl Brinsley, 28, approached Officers Wenjian Liu and Rafael Ramos as they sat in their marked patrol car in Brooklyn on December 20 and shot them to death. He killed himself shortly afterward.

The police memorial fund invoked the memories of Liu and Ramos' deaths in a December statement.

"With the increasing number of ambush-style attacks against our officers, I am deeply concerned that a growing anti-government sentiment in America is influencing weak-minded individuals to launch violent assaults against the men and women working to enforce our laws and keep our nation safe," said Craig W. Floyd, chairman and CEO of the police fund.

"Enough is enough," he said. "We need to tone down the rhetoric and rally in support of law enforcement and against lawlessness."

That angry rhetoric isn't confined to the case of Ferguson -- or of Staten Island, New York, where the death of Eric Garner in July after police attempted to subdue him spurred national protests and preceded the slayings of Liu and Ramos, said Steve Groeninger, a spokesman for the memorial fund.

Groeninger said the uptick in ambush-style attacks was "punctuated" by the New York officers' slayings, but there were other targeted attacks against law enforcement in 2014 that concern the fund.

They included:

• In Las Vegas in June, Jerad Miller and his wife surprised two police officers as they ate lunch, shooting them to death. Witnesses said the Millers placed a "Don't Tread on Me" flag and a swastika on one officer's body. The couple then died in a murder-suicide as police closed in.

• In Jersey City, New Jersey, in July, police said a man assaulted a Walgreen's security guard and took his gun in order to carry out the ambush-style killing of an officer, according to the Jersey Journal.

• Two Pennsylvania State Police troopers were ambushed and shot outside police barracks in Blooming Grove in September. The hunt for the alleged killer, Eric Frein, lasted almost seven weeks. He was captured at an abandoned airport on October 30. Frein was hit with terrorism charges in November for allegedly admitting that he shot the officers to change the government and "wake people up."

But the number of shootings by police officers also is on the rise.

According to data collected by the FBI, there were 461 justifiable homicides in 2013 -- the highest level since 1994 and the most recent year available. The figures are incomplete, however, because the shootings are self-reported and not all police departments provide them.

The total number of fatal shootings by police officers is much higher -- 1,010 in 2013 and 1,134 last year, according to the nonprofit Fatal Encounters. The group started collecting the data in 2013. Its source of information is different from the FBI's.

The group's founder, Brian Burghart, said the figures create a toxic environment for police, as well as suspects.

"When it comes to an eye for an eye, that people are addressing the problems with violence, the numbers are always going to go up on both sides," he said.

This week, Wisconsin residents took to the streets to protest the police killing of Tony Robinson, a 19-year-old who was unarmed.

Robinson's shooting was the fourth involving an officer in Wisconsin in the last three weeks. The others hardly made headlines: One involved an armed robbery, another a domestic abuser who put a knife to his girlfriend's throat, and another involved an assailant with a fake gun.

Last April, Milwaukee police officer Christopher Manney shot Dontre Hamilton, a mentally ill man, more than a dozen times. The officer said he opened fire when Hamilton grabbed his baton and struck him with it. Manney was not charged criminally. Instead, he was fired for not following protocol.

Milwaukee County Sheriff David Clarke accused politicians of fueling what he called an "assault" on policing.

"War has been declared on the American police officer," Clarke told CNN on Friday. "And I'm tired of politicians taking all of the maladies of the American ghetto and blaming them on the American police officer.  ... They jumped in, early on, instead of offering calm words, they threw gas on an already smoldering fire."

Experts say the numbers alone don't tell the whole story.

"We need to know the circumstances in each individual case," said Houck, the consultant and former New York Police Department detective.

CNN's Michael Martinez contributed to this report.

@highlight

Two police officers are shot and wounded in Ferguson, Missouri, in what a police official calls an "ambush"

@highlight

Firearms killed 50 officers in 2014, up from 32 in 2013, the Officers Memorial Fund says

@highlight

National Law Enforcement Officers Memorial Fund: Of the 50, 15 were killed in ambushes