(CNN) -- A day after North Carolina became the latest state to approve a constitutional amendment defining marriage as solely between a man and a woman, opponents of the referendum are beginning Wednesday to explore their next options.

North Carolina voted Tuesday to outlaw same-sex marriage, which was already prohibited in the state. Supporters pushed for the constitutional amendment, arguing that it is needed to ward off future legal challenges.

Voters approved the amendment by a 61%-39% margin with all counties reporting, according to unofficial returns from the State Board of Elections.

"It is a very sad day in North Carolina," said Tori Taylor, 23, a Charlotte resident who voted against the amendment. "There were a lot of college students, young professionals who came out to vote. We have gay friends. A lot of us are integrated to that culture. Do you think your friends should have the same rights? It's black and white. Of course, they should."

The North Carolina amendment alters the constitution to say that "marriage between one man and one woman is the only domestic legal union that shall be valid or recognized" in the state.

"It writes discrimination into our state constitution and gives the majority the chance to vote against the minority," said Anne Fawcett Krishnan, 33, of Greensboro.

But Vote for Marriage NC, which supported the amendment, applauded the passage, saying it solidifies the state ban and ensures the definition of marriage does not change.

"We are not anti-gay; we are pro-marriage," said Tami Fitzgerald, chairwoman of the group. "And the point -- the whole point -- is simply that you don't rewrite the nature of God's design for marriage based on the demands of a group of adults."

Experts expressed concerns that the language of the amendment is so vague, it could strip other unmarried couples of some rights as well.

It could affect unmarried couples who live together and bring them unintended consequences on issues such as child custody and the prosecution of domestic violence, said Kathryn Bradley, a law professor at Duke University.

It also strengthens the state's position against same-sex civil unions, often considered a precursor to the marriage issue, Bradley said.

Some municipalities in North Carolina provide benefits to same-sex couples, and those rights could be lost with passage of the amendment, she said.

Opponents of the amendment regroup Wednesday to decide the next course of action, with some planning campaigns in cities across the state this week. The groups acknowledged the loss but urged supporters to keep fighting.

"We can't change the results of this vote, but we can determine what comes next," said Jasmine Beach-Ferrara, director of Campaign for Southern Equality. "When kids across the state wake up, I want them to know that this story isn't over."

Campaign for Southern Equality said it will launch a "we do campaign to take action" Wednesday, with events planned across various cities all week. Another group, Equality North Carolina, plans to hold a news conference Wednesday to discuss the amendment.

But its backers said they are not deterred.

"Despite the relentless lawsuits and attempts to marginalize supporters of traditional marriage, a clear majority of the American people have not given up on standing in support of marriage," said Tony Perkins, president of Family Research Council. "But instead, the evidence suggests they want to see it strengthened and preserved for future generations."

The state House and Senate voted in 2011 to put the amendment before state voters. Both chambers are Republican-controlled for the first time in 140 years.

President Barack Obama said he was "disappointed" by the vote, describing it as discriminatory against gays and lesbians, a spokesman said.

Americans overall are closely split on the issue, according to a recent Gallup survey. About 50% of Americans believe same-sex couples should be allowed to wed -- up considerably from polls in past years. An additional 48% say such marriages should not be legal.

Before Tuesday, 30 states had voted in favor of constitutional amendments that seek to defend traditional definitions of marriage as a heterosexual union.

"Of states without constitutional amendments on marriage, 45% (nine of 20) eventually recognize same-sex marriage, either by direct judicial decree, by legislative action, or by a ruling requiring that same-sex marriages from other states be treated as valid," the National Organization for Marriage, which opposes same-sex marriages, said in a statement. "Among the 30 states with marriage amendments, none have been repealed."

Massachusetts, Connecticut, Iowa, Vermont, New Hampshire, New York and the District of Columbia issue marriage licenses to same-sex couples.

In February, Washington Gov. Christine Gregoire signed a bill that would legalize same-sex marriage beginning in June, but opponents there have pledged to block the bill and called for voters to decide the issue.

Maryland Gov. Martin O'Malley signed into law a bill that permits the state's same-sex couples to wed as of January 1, and state residents may vote to affirm such a law.

Minnesota will vote on a state constitutional amendment similar to the one in North Carolina. Maine will have a referendum on allowing same-sex marriage.

CNN's Matt Smith, Joe Sutton, Paul Steinhauser and Eric Marrapodi contributed to this report.

@highlight

"We are not anti-gay; we are pro-marriage," a proponent of the amendment says

@highlight

"It is a very sad day in North Carolina," says Tori Taylor, who voted against the amendment

@highlight

The amendment puts an existing ban on same-sex marriage into the state constitution

@highlight

Opponents of the amendment regroup Wednesday to decide the next course of action