(CNN) -- Greg Mortenson, the high-profile advocate of girls' education in Afghanistan and Pakistan, has been forced to defend his best-selling book "Three Cups of Tea: One Man's Mission to Fight Terrorism and Build Nations ... One School at a Time," against charges that key stories in it are false.

Mortenson shot to international fame with the book, which describes his getting lost in an effort to climb K2, the world's second-highest peak, being rescued by Pakistani villagers in the village of Korphe and vowing to return there to build a school for local girls.

He also claims to have been captured by the Taliban and held for several days before being released.

Another best selling-author, however -- Jon Krakauer of "Into Thin Air" fame -- told a CBS "60 Minutes" investigation that aired Sunday that the story is not true.

"It's a beautiful story, and it's a lie," Krakauer tells the program.

"Three Cups of Tea," co-authored by writer David Oliver Relin, stayed on The New York Times best-seller list for four years after it was first published in 2006, becoming a global publishing sensation that has sold more than three million copies and been translated into 47 languages.

CNN.com interviews Greg Mortenson in 2008

Mortenson is also the author of the 2009 sequel "Stones into Schools: Promoting Peace with Books, not Bombs, in Afghanistan and Pakistan," which was another Times best-seller.

Both books recount Mortenson's quest to bring schools to some of the remotest parts of Pakistan and Afghanistan on the theory that education -- especially for girls -- is the best way to end the scourge of the Taliban and other extremists in the region. Mortenson's publisher, Penguin Books, modestly describes him as "a real-life Indiana Jones."

Mortenson's quest to end extremism through education has made him a darling of the U.S. military. A photograph in "Stones into Schools" shows U.S. President Barack Obama's top military adviser, Chairman of the Joint Chiefs Adm. Mike Mullen, opening a girls' school in northern Afghanistan with Mortenson in 2009.

Krakauer is a climber and former donor to Mortenson's charity. CBS said he was one of Mortenson's earliest backers, donating $75,000 to his cause, but withdrew his support over concerns the charity was being mismanaged.

He tells CBS News investigator Steve Kroft in the Sunday broadcast that a "close friend" of Mortenson's who hiked back with him from K2 says Mortenson never heard of Korphe, the village he says he stumbled into, until a year after the failed climbing attempt.

In a transcript of Mortenson's written responses to questions posed to him by CBS -- a transcript posted on the website of Mortenson's charitable organization, the Central Asia Institute -- the author denies the claim is false.

Read more about the Central Asia Institute at its website

He says he did visit Korphe in 1993, after his failed attempt to climb K2, but that the local people "have a completely different notion about time" than those in the West, implying they would not have been able to recount the exact year he visited.

"60 Minutes" also raised questions about the veracity of other episodes in the book, including his supposed 1996 kidnapping in the remote Pakistani tribal region of Waziristan, along the Afghan border.

That story is one of the more exciting episodes in "Three Cups of Tea." Over the course of a chapter, Mortenson describes being kidnapped by Waziri tribesmen and detained in a makeshift prison by Kalashnikov-toting guards for eight days, at which point he was suddenly released.

In "Stones into Schools," Mortenson even provides a photo of his kidnappers, 13 fierce-looking tribesmen, many of whom are clutching guns.

CBS said it found four of the men in the picture and that all denied being Taliban. The network said the men provided another photo of the group with Mortenson, and in it, the author is shown holding an AK-47.

The photos raise a question about the truth of Mortenson's claim that he was abducted. It is somewhat unusual for a group of kidnappers to pose for a photograph in which all their faces can be clearly seen. Gary Noesner, the former chief hostage negotiator at the FBI who has worked on 120 kidnapping cases, says it is "not common but not unheard of" for kidnappers to pose for pictures.

One of the supposed kidnappers in Mortenson's photo is Mansur Khan Mahsud, who directs a Pakistani think tank that specializes in research in Pakistan's tribal regions. (Mahsud has done research for the New America Foundation, where Peter Bergen is a director.)

Contacted by CNN, Mahsud said Mortenson's account of his trip to Waziristan "is a pack of lies and not a single word of it is true." Mahsud elaborated that Mortenson had come to South Waziristan in 1996 with one of Mahsud's relatives and had stayed in the family village, Kot Langer Khel, for more than a week.

Rather than being kidnapped, Mahsud says, his family treated Mortenson as "an honored guest" and adds, "We were his protector in South Waziristan."

On his website, gregmortenson.com, Mortenson claims the kidnapping was carried out by the Taliban. However, the Taliban had no presence in Waziristan in 1996, only arriving in the region after their fall from power in Afghanistan in the winter of 2001.

The Taliban had also banned photography at the time that they had supposedly kidnapped Mortenson.

In the transcript posted on the institute website, Mortenson stands by his claim of being "detained" for eight days in Waziristan in 1996.

"It was against my will, and my passport and money were taken from me," Mortenson says in the transcript. "I was not mistreated or harmed, but I was also not allowed to leave. A blanket was put over my head any time I was moved by vehicle."

He continues, "A 'Talib' means student in Arabic, and yes there were Taliban in the region. ... Some people are Taliban, some are not, and affiliations change overnight, often on a whim."

Friday, the Montana-based Mortenson gave an interview to the Bozeman Daily Chronicle in which he said, "I thought it best to befriend the people detaining me," and added the men who had detained him may have perceived the episode differently.

In an e-mail sent Sunday to supporters, Mortenson says the "60 Minutes" interview "paints a distorted picture using inaccurate information, innuendo, and a microscopic focus on one year's (2009) IRS 990 financial, and a few points in the book 'Three Cups of Tea' that occurred almost 18 years ago."

Mortenson also issued a rejection of the "60 Minutes" allegations in a statement issued Friday by the Central Asia Institute, in advance of the broadcast.

"I stand by the information conveyed in my book," Mortenson said. He also defended "the value of CAI's work in empowering local communities to build and operate schools that have educated more than 60,000 students."

He described Afghanistan and Pakistan as "complex places torn by conflicting loyalties, and some who do not want our mission of educating girls to succeed."

Mortenson declined CBS' requests for an interview and CNN has not been able to reach him.

He says in the e-mail that he declined to appear on camera with CBS "after they attempted an eleventh-hour aggressive approach to reach me" and he decided they had a "disrespectful approach" that would result in an unfair and imbalanced report.

"The '60 Minutes' program may appear to ask simple questions, but the answers are often complex, not easily encapsulated in 10-second soundbites," Mortenson writes.

His institute also said in a statement to CNN on Sunday that he is not commenting in person because of a medical condition.

"Greg has been suffering from hypoxia (low oxygen condition) for about 20 months, even though he still works nonstop. Last Friday, he was diagnosed with a tear hole in his heart wall that causes significant blood shunting and he will have a heart surgical procedure done on Thursday to correct it. Once his cardiologist allows he will be able to comment on his story in person," the statement said.

Mortenson's record of charity and his tales of derring-do have helped fuel the Central Asia Institute. The organization recorded income of $14 million in 2009, the vast majority of which was raised from private individuals, many of them who were no doubt inspired by Mortenson's books.

However, in 2009, less than half of that money -- 41 percent -- actually went to building schools in Afghanistan and Pakistan, according to the institute's board of directors. On its website, the institute said "a significant portion of the remainder" was dedicated to the charity's other programs, such as outreach and education about the need for the schools.

The institute also says $1.7 million went to promote Mortenson's books in the form of advertising, events, film and professional fees, and some travel. It said the contributions generated by Mortenson's promotional events "far exceed the travel expenses."

Daniel Borachoff, president of the American Institute of Philanthropy, told CBS the institute has issued only one audited financial statement in the 14 years of its existence, and that it demonstrates a lack of transparency and "disappointing" intermingling of Mortenson's personal interests with those of his charity.

Krakauer also said he has concerns about the finances of Mortenson's organization.

"Nobody is overseeing what goes on. He doesn't know how many schools he's built. Nobody knows how much these schools cost," he said.

In the e-mail, Mortenson says he recently returned from Afghanistan, where his organization plans to establish and built more than 60 new schools this year.

He also says he is scheduled for surgery this week to fix the hole in his heart, and "after a few weeks my doctor says I will be as good as new."

CNN's Maria Ebrahimji and Richard Greene contributed to this report.

@highlight

A CBS "60 Minutes" investigation alleges the book's stories are not true

@highlight

The author says, "I stand by the information conveyed in my book"

@highlight

"Three Cups of Tea" spawned a charity and efforts to improve girls' education in Pakistan and Afghanistan

@highlight

The book is an international publishing success