(CNN) -- This isn't the first time critics have called New Jersey Gov. Chris Christie a bully. But now the man many consider a Republican presidential frontrunner is on the defensive, scrambling to distance himself from an erupting political scandal that threatens to tarnish his image well before the 2016 elections.

E-mails that surfaced Wednesday suggest top Christie appointees orchestrated traffic jams on the George Washington Bridge as part of a political vendetta to punish a local mayor who wouldn't support him at the polls. Lane closures around approaches to the country's busiest bridge snarled traffic for days in September in Fort Lee, New Jersey -- a problem the governor and his administration had originally blamed on a mishandled traffic study.

In response to the e-mail firestorm, Christie said Wednesday that he was misled by staff. He called the conduct outrageous and said he knew nothing about it.

"This behavior is not representative of me or my administration in any way," he said, "and people will be held responsible for their actions."

Even if he had nothing to do with the traffic snarls, the allegations could have serious consequences for Christie, analysts said.

"There's something about this that's so petty and so vindictive and it feeds into this narrative that he's a bully. ... He's going to have to find some way to defuse this to prove he doesn't run a shop like that," said CNN Senior Political Analyst David Gergen, a former adviser to several U.S. presidents.

It's a defining moment for Christie, CNN Chief National Correspondent John King said. And how he deals with the situation in the next two days -- from whether he fires anyone to what he says -- will be key.

"If he handles it decisively and then he sits down and calmly answers questions and doesn't berate the reporters who ask them, then he has a chance to be a leader who dealt with a crisis and he moves on," King said. "But if that perception starts to stick in, that's not a presidential temperament. And that's bad for him nationally in his perspective. It's bad for him as he starts his new term in New Jersey. And it's bad for him with the audience he needs to care about most politically long-term at the moment, and that's the Republican base that he wants to make him their nominee."

Does this mean Christie's presidential ambitions are dashed?

"Not necessarily," Oxford University historian Timothy Stanley wrote in an opinion piece for CNN.com. "He's a resourceful politician and it's still many months before campaigning starts in earnest. But now his opponents have a stick to beat him with. Best of all, it's an anti-government stick. If Republicans stand for anything right now, it's opposing the ability of government to mess with the individual's life -- and here we have a classic example of politicians taking revenge on each other at the expense of the average citizen."

Political commentators from both sides of the aisle immediately recognized the potential for credibility questions, particularly around Christie's explanations in recent months about the traffic jams in Fort Lee and previous comments rejecting suggestions of political mischief.

"He's already cemented a narrative as something of a bully," said S.E. Cupp, a Republican political strategist and CNN "Crossfire" host. "If this was happening in his administration, I don't think it would shocking."

But, she said, if it "turns out he's lying about what he knew or whether he ordered it -- that's going to be the worst, the most damaging. Because his authenticity is his calling card."

It's important to ask how much Christie knew, Gergen said, but the reality might be more complicated.

"Sometimes the boss does not order something," Gergen said, describing the Nixon White House during the Watergate scandal. "I don't know whether Nixon ordered Watergate, but I can guarantee you that people who carried out Watergate thought that's what he would have wanted. There's an environment in which you find yourself sometimes on staff when things don't have to be said. You sort of know."

'Time for some traffic problems'

The correspondence, subpoenaed by Democrats investigating the matter and spiced with tough Jersey political talk and expletives, is the most damaging evidence so far supporting their assertions the move was orchestrated because Fort Lee's mayor, a Democrat, didn't endorse Christie's re-election.

Mayor Mark Sokolich said the traffic mess created serious hardships for commuters and other residents, and impacted public safety in his community.

The exchanges began three weeks before access lanes to the bridge were closed, causing heavy traffic backups between September 9 and 13, two months before Election Day.

"Time for some traffic problems in Fort Lee," Bridget Anne Kelly, Christie's deputy chief of staff for legislative and intergovernmental affairs, said in an e-mail to David Wildstein, then the highest-level appointee representing the state at the Port Authority of New York and New Jersey, which operates the bridge connecting the two states.

"Got it," Wildstein replied.

In another message about school buses with students onboard caught in the traffic jams, Wildstein writes, "they are the children of Buono voters," apparently referring to Barbara Buono, Christie's Democratic opponent in last November's gubernatorial election.

Those cited in the series of e-mails and text messages did not respond to requests for comment or to verify the communications.

Wildstein, who has left his job, is expected to appear at a legislative hearing on Thursday.

Read the e-mails

Democratic New Jersey Assembly Deputy Speaker John Wisniewski said the e-mails call into question the integrity of the governor's office.

Christie, he said, "has a lot of explaining to do."

"I do not believe the governor called the Port Authority and said, 'Close some lanes.' But I did say I hold him responsible for the atmosphere. Now finding that that atmosphere existed in his own office is what I find really troubling," Wisniewski said.

Christie's name did not appear in the e-mails, he added.

Emergency services disrupted

Sokolich told CNN's "The Situation Room" the e-mails suggested that political motives behind the lane closures have led him to believe that Christie is more clued-in than he's admitted.

"I'm rooting that the highest elected official in the state of New Jersey isn't involved. But I'm beginning to question my judgment," Sokolich said.

The mayor raised the issue of public safety being compromised. A letter by his emergency services coordinator, Paul Favia, on September 10 obtained by CNN cited "new traffic patterns" around the bridge's toll plaza that were backing up traffic in Fort Lee.

"This new traffic pattern is causing unnecessary delays for emergency services to arrive on scene for medical emergencies," Favia said, citing one case in which paramedics rushing to aid an unconscious elderly woman suffering a heart attack were held up and had to meet the ambulance transporting the victim at the hospital instead of at the scene. She later died.

Details surrounding the woman's death haven't been released. But the situation could deepen Christie's political woes, Gergen said.

"If a woman died here," Gergen said, "he's in deep, deep trouble."

Other documents raise questions, too

Controversy tarnishes Christie's image -- opinion

Democrats swarm

Christie is now campaigning for fellow GOP governors as chairman of the Republican Governors Association and is seen as prime political target for national Democrats.

They rarely attacked him during his re-election campaign but are now becoming more aggressive with the bridge controversy unfolding.

"These revelations are troubling for any public official, but they also indicate what we've come to expect from Governor Christie - when people oppose him, he exacts retribution. When people question him, he belittles and snidely jokes. And when anyone dares to look into his administration, he bullies and attacks," said Rep. Debbie Wasserman Schultz, the Democratic National Committee chair, in a statement.

A source close to Christie said "there will probably be some sacrificial firing and that'll be it."

CNN's John Crawley, Jake Tapper, Paul Steinhauser, Alan Silverleib, Stephanie Kotuby, and Dana Davidsen contributed to this report.

Watch The Lead with Jake Tapper weekdays at 4pm ET. For the latest on The Lead with Jake Tapper click here.

@highlight

NEW: Gergen: "It feeds into this narrative that he's a bully"

@highlight

NEW: King: "If that perception starts to stick in, that's not a presidential temperament"

@highlight

Top aides to Gov. Chris Christie communicate about lane closures to George Washington Bridge

@highlight

Christie says he knew nothing about what transpired; mayor says e-mails raise credibility questions