KARACHI, Pakistan (CNN) -- It's a documentary with an alarming message: Two American boys are held captive in a madrassa, a Pakistani religious school, once visited by Osama bin Laden and with ties to the Taliban.

Noor and Mehboob Khan were 13 and 12 when they first talked with the filmmaker.

The film, "Karachi Kids," describes threats to artistic freedom of expression from the teaching of conservative Islam. Early copies of the film prompted outrage after the story of the American boys appeared on Fox News, CBS and other news outlets. It also led to demands from Rep. Mike McCaul, R-Texas, for the boys to be returned home.

But the independent filmmaker may have confused the madrassa with one with a similar name tied to Islamic extremists.

The madrassa the boys attended isn't linked to bin Laden or Muslim radicals; instead, it's one the U.S. State Department says is preferred by Pakistani-Americans for its moderate Islamic teachings and one recently visited by a top U.S. diplomat in Pakistan.

How could the filmmaker have got it so wrong? He blames the error on researchers he says he has since dismissed.  Watch madrassa official explain: "We tell them don't kill anyone" »

"I do need to take responsibility for these things in terms of these were errors that sort of spun out of control," filmmaker Imran Raza said. "I have to take responsibility for the mistakes. I take responsibility for the error in the allegation that Osama bin Laden was there. I take responsibility for the error that some of the Taliban leaders were there."

CNN learned about brothers, Noor and Mehboob Khan, ages 17 and 16, when Raza offered CNN the documentary this summer. The film focuses on the brothers, whose father, a Pakistani-born taxi driver in Atlanta, Georgia, sent them to Pakistan to get them in touch with their religious heritage.

In the film, Raza describes the teens as captives being force-fed radical jihad. In interviews over three years, the boys describe their longing for America and say the terrorist attacks of September 11 weren't carried out by Muslims. One of the brothers described punishment by beatings at the madrassa.

Raza started a campaign to return the boys to the United States. McCaul offered to help, even asking Pakistan President Pervez Musharraf to intervene.

Both teens returned to their suburban Atlanta home in July after completing their studies. But before the boys returned home, CNN visited them at the Jamia Binoria madrassa in Karachi.

The boys appeared proud that they had completed their studies, including the memorization of the Quran. But they also were very glad to be heading home to American food.

"Hot wings," exclaimed Mehboob, giving the CNN reporter a high five. "I feel very happy that after four years, I'm going back."

Tucked away on 12 acres in Karachi's industrial district, the madrassa is one of the largest religious schools in Pakistan and hosts the largest number of foreign students in the country.

The school is home to as many as 500 boys and girls from 29 countries and teaches Sunni Deobandi Islam, a theology that analysts say is associated with some militant groups in Pakistan.

CNN was welcomed in the school and spoke to its head, who denied the allegations made in the documentary.

"This is a madrassa, not some jail," said Mohammad Naeem, the head of the school known as a mufti.

Naeem said his school -- one of 13,000 madrassas registered in Pakistan -- never keeps students against their will, adding that the Khan brothers stayed of their own free will. He, too, denied any ties to militant groups, saying that if students or teachers were ever tied to extremists groups, they would be removed from the school immediately.

Back in Atlanta, Noor Khan said the whole experience gave him a better appreciation of America, his family and his faith.

"I am glad I was sent to Pakistan because it taught me to be a better person. It taught me to appreciate what I had before, and I knew when I came back I wasn't going to make the same mistake of not appreciating what I have," he said.

He added, "I was never held against my will."

Noor said the "beatings" he referred to in the film were the equivalent of when American teachers years ago used to smack students on their wrists to reinforce a lesson.

"Pakistan is, what, 50 years behind America, so they do the same thing. They take a stick and hit you softly on the hand so you learn a lesson, but that didn't bother me," he said.

Did he see radicalism there?

"Look, I am Muslim, and one of the main things they teach us to do is not to lie," he said. "I witnessed with my own eyes: no Taliban, no Taliban training, no terrorist, no extremism -- nothing at all at the madrassa. The only thing they wanted to do was teach the history of Islam. That's all."

He says the comments of his talking about September 11 in the documentary were twisted and taken out of context. He said what he meant was that the hijackers weren't "true Muslims."

"If those were Muslims, they weren't true Muslims," he said. "We Muslims, we don't kill people. We're not terrorists. ... We're not violent people. We just want to live a happy life."

He then sought to make clear: "I've never met the Taliban; no one showed me how do any terrorist training or activities. I've never witnessed that with my own eyes, and when the media comes to our madrassa, our principal tells to their face, 'All the classes, all the rooms are open to you. You are free to go wherever you want.' "

Pakistan's religious affairs ministry said the Jamia Binoria school is a moderate Islamic institution. A U.S. State Department source confirmed that, saying the school "is known to U.S. officials as a moderate institution, favored by Pakistani-Americans for its moderate and tolerant Islamic instruction."

In fact, a report by the International Crisis Group -- provided by McCaul's office and the documentary filmmaker -- says the Jamia Binoria Madrassa is often mistaken for another. "Because of its name, this madrassa is often confused with the more prominent and powerful Binori Town Madrassa," the report says.

The other madrassa is the one that intelligence sources say is the school bin Laden visited and, according to the report, is the "fountainhead of Deobandi militancy countrywide. ... It also boasts close ties to the Taliban."

CNN also found a photograph in a local newspaper of the U.S. vice consul general visiting with one of the principals of the school the boys attended.

The boy's father, Fazal Rahim Khan, said his sons never needed rescuing, just an exit visa. He said he was surprised when he saw reports of McCaul coming to his sons' aid, because he never asked for the congressman's help.

He said he had searched the world to find the appropriate madrassa to send his American sons to learn about Islam.

"For this purpose, I send my children to learn good morals, good behavior, good citizen and good people," he said.

He gets angered at the way he says his sons' words were manipulated.

"If I knew something was going on or something [was] wrong and they are against the United States or against the British ... what do you think, I would be happy to send my children? No.

"I sent my children to learn the Quran, the way of Allah, the way of life."

McCaul still stands by his belief that the school is involved in militancy, saying in a written statement that the "Taliban is known to recruit from Deobandi madrassas, including Jamia Binoria, and train their recruits as terrorists. ... Any Americans among the recruits represent a potential threat to the United States because of their unfettered access to this country."

What about Raza, the filmmaker? He stands by his depiction of how the madrassa transformed the teens but is re-editing his film to take out the references about bin Laden visiting and the Taliban leaders attending.

CNN's Zain Verjee, Richard Griffiths and Sophia Ahmad contributed to this report.

@highlight

Film portrays Pakistan madrassa as linked to terror, holding U.S. boys captive

@highlight

It turns out the Islamic school is moderate; preferred by Pakistani-Americans

@highlight

"This is a madrassa, not some jail," the school's head says

@highlight

Teen: "I witnessed with my own eyes: No Taliban, no Taliban training, no terrorist"