(CNN)North Korea is in the headlines again. According to a Wall Street Journal report Thursday, Chinese nuclear experts have told the United States that Pyongyang may already have as many as 20 nuclear warheads. And while that number may seem stunning, it is actually only part of a troubling story.

The key takeaway from the latest assessment of North Korea's nuclear capability is not in the actual number of warheads, but the type of warhead, as this gives a better clue to the future of the country's weapons capabilities.

True, the reported Chinese estimate of 20 warheads is large enough to constitute a nuclear "arsenal." However, this number is not actually significantly larger than conventional open source estimates of 10 to 15 warheads previously provided by U.S. and other experts.

The big takeaway from the report is instead the prediction that North Korea could be in a position to double its arsenal by next year with weapons-grade uranium. If that assessment is correct, and Pyongyang can indeed boost its nuclear stockpile by the end of this year to around 40 warheads by utilizing highly-enriched weapons-grade uranium, then the plutonium program that the U.S. and members of the Six-Party talks had been negotiating over this past quarter century would suddenly seem trivial. After all, the plutonium program might be capable of spitting out maybe a few weapons worth of plutonium annually. This news could be much more serious.

Why? For a start, it would mean that North Korea's activities would undoubtedly meet the definition, if it had not already, of a runaway nuclear weapons program, with the potential to be fueled by a large supply of raw uranium buried in North Korea's mines. In addition, while the plutonium program at Yongbyon has a clear and detectable profile, the thousands of centrifuges that spin in a uranium-based program have no detectable heat signature or topographic profile, meaning you could store the stuff not just in the labyrinth of underground tunnels in North Korea, undetectable from the sky, but in any large warehouse.

Washington and Seoul have tended to have a policy that leans toward downplaying North Korean threats, at least when there isn't a full-fledged crisis going on. For example, the United States downplayed North Korea's missile threat until the country successfully put a satellite into orbit in December 2012. And up until 2006, no one thought the Kim regime would actually dare undertake a nuclear test. These new estimates could therefore be a timely reminder that we may have downplayed the threat North Korea poses once again.

But Thursday's report isn't the only troubling information we have had recently. Just as concerning is the NORAD commander's assessment on North Korea's missile capabilities. On April 7, Adm. Bill Gortney said during a press briefing that the Defense Department believed Pyongyang's KN-08 intercontinental ballistic missile (ICBM) is operational, with a warhead capacity.

This statement is troubling for two reasons. First, Gortney's statement, when combined with the latest Chinese assessment, implies that North Korea now not only has nuclear weapons, but the ability to miniaturize such weapons for a warhead that could be placed atop a missile with range rings extending to the U.S. mainland.

Second, and just as importantly, Pyongyang's advances in mobile ICBM capabilities could end up undermining the state of stable deterrence that currently exists on the Korean Peninsula. Put simply, these capabilities could give North Korea confidence that it is immune from any U.S. counterstrikes.

And if that ends up being the case, the United States could find itself with a renewed headache in Asia -- and its carefully calibrated plans for its pivot to the region crumbling.

@highlight

Report says North Korea may have as many as 20 nuclear warheads

@highlight

Victor Cha: Washington has tended to downplay North Korean threats