Two years ago, an 8.9-magnitude earthquake generated a tsunami of historic proportions that waylaid Japan's northeast coastline, including a nuclear power plant.

As Fukushima Daiichi unraveled in global public view with fire, explosions and radioactive emissions for weeks, people living nearby were exposed to radiation and trauma.

The trauma was worse, the World Health Organization said in a report released Thursday on the health effects of the "Great East Japan Earthquake and Tsunami."

The lifetime risk of contracting certain types of cancer rose slightly for a small group of people because they were exposed to radiation from the nuclear disaster, the WHO said Thursday.

The notable exception was young emergency workers at the plant, who inhaled high doses of radioactive iodine, probably raising their risk of developing thyroid cancer. But since the thyroid is relatively resistant to cancer, the overall risk for these people remains low, the report said.

Otherwise, any increase in human disease after the partial meltdown triggered by the March 2011 tsunami is "likely to remain below detectable levels," the WHO said in its report.

People exposed as children in towns close to the Daiichi power plant are slightly more likely to contract leukemia, breast or thyroid cancer in the course of their lives than the general population, the WHO said.

The power plant deteriorated into a level 7 disaster, according to the International Atomic Energy Agency, the most dangerous ranking on its scale. It was the worst disaster since the 1986 nuclear meltdown at Chernobyl in the Ukraine.

But the gradual unfolding of the calamity gave Japanese authorities time to evacuate many potential victims. The destruction from the tsunami also caused people to flee before the plant began to break down.

The woman powering Japan's nuclear hopes post-Fukushima

High psychological damage

The WHO report highlights the psychological effects of disaster -- fear, anxiety and depression, possibly to the point of psychosomatic illness and psychiatric disorders.

Radiation emergencies can exacerbate these, the WHO said, because radiation is invisible, and people have a hard time understanding it and the magnitude -- whether large or small -- of its effects.

Whole nations may stigmatize people hailing from affected areas, making life harder on them if they move, the WHO said.

Opinion: What Japanese leaders can learn from Fukushima

Stories of hardship

A local woman in her late 80s, whom researchers interviewed for the report, was unconcerned about radiation exposure.

"For generations, my family has lived in a close relationship with this land," she told them. "I will feel accursed for losing the lands that my ancestors passed down to me."

The village of Iitate in Japan's Fukushima prefecture was once home to 6,000 people.

Plant operator: We weren't prepared

Today, however, it is essentially a ghost town, evacuated after the nuclear accident just 25 miles (40 kilometers) away.

For elderly couple Yukio and Masayo Nakano, life has not been easy. Yukio had lived in his home in the village for more than 60 years, moving in just after World War II.

"I can't describe it. It's hard living in the temporary housing, and it's very stressful mentally," he said.

The difficult situation has also taken its toll on his wife, Masayo.

"I'm lonely. We're getting old," she said. "I think every day how long I can survive in this situation."

The earthquake, tsunami and nuclear calamity have presented the population with three disasters at once, not to mention Japan's economic doldrums. The WHO warns that the sum of these may give rise to complicated health problems.

U.S. Navy sailors sue Japan over nuclear accident

Direct radiation exposure

Those living in hardest-hit areas of Fukushima prefecture were exposed to radiation levels of 12 to 25 milliseverts (mSv) in the first year since the disaster, the WHO reported.

That's equivalent to one or two CAT scans, according to the American College of Radiology. Even on the upper end of the scale, that barely raises the risk of dying from cancer, the college says.

According to United Nations nuclear experts, exposure to less than 1,000 mSv annually causes no meaningful increase in the risk of getting cancer.

Husband of Fukushima suicide victim demands justice

Smoking is much more likely to.

And coal-fired power plants kill more people than their nuclear counterparts do, according to the Clean Air Task Force. Resulting air pollution was expected to cause nearly 13,200 deaths in 2010, not to mention 20,000 heart attacks per year.

Radiation occurs naturally.  We are exposed to it through some minerals and from the sun. "The average person in the U.S. receives an effective dose of about 3 mSv per year," the American College of Radiology says.

The rest of Fukushima prefecture saw 3 to 5 mSv in the first year, the equivalent of an X-ray.

Trying to revive a Fukushima 'ghost town'

Discomforting signs

Although that may be less upsetting to know, after the Daiichi catastrophe, there have been discomforting signs -- and wonders.

Scientist found butterflies with a variety of mutations in Fukushima prefecture and beyond.

Radioactive iodine poured into the ocean at the reactor site, spiking at 1,250 times normal levels. Offshore monitoring stations also detected high levels of cesium, a radioactive element.

More than a year after the disaster, fish caught off the coast of Fukushima exhibited levels of cesium up to 250 times the amount the Japanese government approves for consumption.

Isolated tests have revealed higher than normal concentrations of radioactive elements in other agricultural products in surrounding areas in the past.

Though the WHO sees no significant danger of radioactivity in the food chain raising the cancer risk, who wants to be the unlucky person to eat the wrong fish?

And although the cancer risk has risen only slightly in a very small area, this will be little comfort to the few additional people who get cancer after having been exposed to radiation near the Daiichi plant as little girls or young men.

The WHO's report stresses that although its research has been thorough, the final effects of the radiation disaster won't be known until sometime in the future, when scientists will have the benefit of hindsight.

It's 20/20.

Radioactive levels staying high off Fukushima Daiichi

@highlight

March 11 is the second anniversary of the great quake and tsunami

@highlight

The cancer risk rose only slightly in very small areas near the reactors, the WHO says

@highlight

Young men, who battled the plant disaster, may see a rise in thyroid cancer

@highlight

People exposed as children have a slightly elevated risk of certain cancers in their lifetimes