(CNN)Walter Cronkite had a golden rule for all wartime reporters: never self-aggrandize. Even though Cronkite had been the first reporter to fly over the beaches at Normandy on June 6, 1944, he minimized the experience.

When asked decades later whether he had flown over Utah or Omaha Beach, Cronkite shrugged. "I think it was Omaha," he said. "We didn't know about those names then, of course. All I knew was the beach. I didn't even know how extensive the landings were."

Such self-deprecating responses regarding his own WWII experiences became de rigueur for Cronkite.

He gained credibility by dialing back his valor. Considered the "Dean of the Allied Air War," for going on U.S. bombing missions over Nazi Germany, Cronkite, a reporter for the United Press, insisted he was nothing more than a nervous-nelly fly-on-the-wall.

Although Cronkite had once crash landed in a Dutch potato field under enemy fire, he chose instead to focus on celebrating the liberation of the Netherlands at the hands of the Free Dutch.

"They pelted us with tulips until our car was fender deep in them," Cronkite recalled. "Tulips are heavy flowers. In bundles they are dangerous. The only blood I spilled in the war was that day -- hit by a bunch of tulips tied together with a piece of wire."

Cronkite was Brian Williams's all-seasons' hero, and Williams was one of the heirs apparent to the Cronkite tradition.

"I was a Cronkite groupie by the age of 6," Williams once told me." "At our household, dinner was hinged on Walter's saying 'And that's the way it is.' Only then could the meal get served. That was the mid-1960s, and I continued to travel with him from the age of polyester to the age of his ever-thickening sideburns and beyond."

Cronkite, however, retired from CBS News in 1981, just as cable TV was beginning to blossom. For Williams to be the Cronkite of the Internet Age on NBC News, he had to be dramatic, not steady; pithy, not "aw shucks"; au courant, not a throwback to the days of Lowell Thomas. Everybody trusted Cronkite because he reminded them of their favorite uncle or trusted family physician. Being square in the age of the Beatles made Cronkite retro cool.

Williams, at his heart, is the broadcast news nerd extraordinaire -- everybody's friendly neighborhood TV news anchorman writ large. At his worst he doubles as a multimedia showman, the class clown, eliciting laughs by lampooning his own nightly news straight-man act.

What Williams has accomplished with this progressive strategy -- a postmodern approach to the patriarchal voice-of-God news anchor -- is to prove that he isn't a stuffed shirt, that he is self-deprecating like Cronkite. Media critics have lauded Williams' two-act juggle: serious newsman and surprisingly funny clown.

But what Williams failed to consider was that death -- in either war (Iraq) or national disaster (Katrina) -- shouldn't have a showman front and center. Ernest Hemingway learned from hunting that one should never milk death or drown it in a sea of verbiage. Being solemn always trumps being out in front in a battle zone.

What's important to know about Williams, why he deserves a second chance, is that he is a fine broadcast journalist. Like Cronkite after the Tet Offensive of 1968, Williams gets on the airplane, travels to danger zones, ad-libs for hours on end seldom making a gaffe. As a TV journalist, he is a pro.

When Williams brings himself into the narrative, however, when he goes on "David Letterman" or "The Daily Show" or babbles to Michael Eisner, the showman overruns the reporter. When you sit around a campfire telling ghost stories, you want the audience to lean forward (the slogan of MSNBC), to be utterly captivated by every detail. The more embellishment the better.

But Iraq and Katrina are all too real for that. I interviewed Williams about his New Orleans experiences for my book "The Great Deluge." His personal narrative was riveting. Give him credit for breaking a dozen news stories during those dark days in 2005.

Online allegations now rage that Williams fabricated what he saw and experienced in post-Katrina New Orleans. That is unfair to him.

Everything was helter-skelter in the Gulf South, and Williams did a public service by trying to make sense of the post-hurricane situation. Williams did have a dysentery-like condition (if not textbook dysentery), which he explained in an interview I did shortly after the Category 3 hurricane hit. "I couldn't keep anything down," he said. "That whole night was hazy. I couldn't get clarity of mind."

Overall, his reporting of the post-Katrina events is credible. Nevertheless, Williams-as-showman very well may have embellished or conflated or compressed some of the on-the-ground, in-the-moment facts, but it's silly now to nitpick whether the dead body he saw was on Canal Street or Claiborne Avenue.

It is clear that Williams needs to apologize more profusely, to set the record straight once and for all -- but only once, and for good -- for his Iraq fabrication and to clarify details about his Katrina experience.

He needs to stay off the comedy shows for a while and to stop talking about himself. There is an Japanese adage that the nail that stands the tallest gets hammered down. Williams' hazing has made him right-sized. But enough is enough.

The public needs hardworking newsmen like Williams as a matter of trust, of public good. If Cronkite were placed under the same digital media microscope, he'd look smaller than we remembered. The public shouldn't lose faith in Williams as a journalist, but it is all right for us to shout loudly in his ears, "It's not about you!"

The superhighway of celebrity and showmanship is filled with debris. Tuesday night, NBC News decided to suspend Williams for six months without pay. That seems about right.

Maybe Williams needed to be reminded of which role -- newsman or showman -- was most important, which ball to favor in his juggling act. It is a fact that Cronkite knew all too well: sometimes a little tuliping in a war zone goes farther than a tale of looking down the tube of an RPG.

@highlight

Douglas Brinkley says Williams should have heeded Cronkite's golden rule for war reporters: never self-aggrandize

@highlight

He says the newsman got tripped up when he tried to also be a showman