Gaza City (CNN) -- A rocket was fired into northern Israel from southern Lebanon, and the Israeli military responded with an artillery strike, a spokesman for the Israel Defense Forces said Friday.

The rocket landed near the northern Israeli town of Metula, which sits right by the Lebanese border, and no damage or injuries have been reported. It was not immediately clear who fired the rocket.

The IDF spokesman said that Israel holds the Lebanese government responsible for the attack.

Two rockets were launched from the town of Mari in southern Lebanon, Lebanon's official news agency NNA reported, while a third rocket failed to launch.

The artillery strike from Israel landed on the outskirts of Kfarshouba, the news agency added.

The exchange of fire comes amid Israel's aerial offensive in Gaza against the militant Palestinian group Hamas and the stream of rockets fired into Israel from Gaza.

Israel calls up reservists

As fears of an Israeli ground assault grew among Gaza residents on Thursday, Israel revealed it has beefed up its forces by calling about 30,000 reservists to their units.

"We are utilizing that force to enable us to create a substantial force around Gaza, that if it is required, we'll be able to mobilize as soon as possible," Israel Defense Forces spokesman Peter Lerner told CNN's Wolf Blitzer.

The Israeli Cabinet has authorized the military to call up 40,000 troops if needed. That is 10,000 more than were called up during Israel's offensive into Gaza in November 2012.

Government spokesman Mark Regev said units have been deployed.

"We're ready to go, if we need to go," he told Blitzer.

Regev said Israel didn't want a situation where Hamas, which controls Gaza, was given a "timeout" where it could regroup before restarting its attacks.

The mood is grim in Gaza, where Israeli airstrikes have killed at least 91 Palestinians, including women and children, and injured more than 620 since they began late Monday, Palestinian officials said. They said 23 people died in strikes Thursday and four more people succumbed to their injuries.

Throughout Gaza, people are expecting an Israeli ground incursion. Many people have nowhere to flee and there are no bomb shelters.

"I can't leave. I have nowhere to go. Better to stay at home, inside and be safe," one resident of the town of Bait Hanoun in northern Gaza told CNN.

Most residents live in homes without safe rooms and walls made of breeze block, which a bullet could pass through like paper.

Rising death toll

Each day the death toll has risen in Gaza. The Israel Defense Forces said Thursday it has struck at 785 Hamas targets since announcing the start of its offensive Monday with the aim of hurting Hamas and stopping rocket attacks on Israel.

Tensions in the region flared last week after the killings of three Israeli teenagers in the West Bank, followed by the killing in Jerusalem of a Palestinian teenager that police say may have been an act of revenge. Israel blames Hamas for the deaths of the three Israeli youths, although the group has denied responsibility.

The IDF has said its targets in Gaza include rocket launchers, tunnels and the homes of senior Hamas leaders, which the IDF describes as "command centers."

But among the dead are 22 children and 15 women, including an 18-month-old baby and an 80-year-old woman, according to information from the Palestinian Health Ministry.

The Palestine Liberation Organization said Israeli bombs have hit civilian infrastructure, including a line that provides water to a refugee camp and a sewage plant.

The IDF has not responded to the accusations. It says it uses phone calls and drops empty shells on roofs -- what it calls "roof knocking" -- to warn civilians that airstrikes are imminent. But the approach doesn't guarantee their safety.

In one case, members of a family returned to a house in Gaza shortly after having been warned to evacuate it, Lerner, the Israeli military spokesman, said. They were caught in the airstrike.

He called their deaths a tragedy, saying, "This is not what the IDF does."

U.S. willing to help broker cease-fire

Hopes for a cease-fire appeared dim even as world leaders called for the two sides to stop the violence.

U.S. President Barack Obama and Israeli Prime Minister Benjamin Netanyahu spoke by phone.

"The United States remains prepared to facilitate a cessation of hostilities, including a return to the November 2012 cease-fire agreement," the White House said in a written statement, referring to the Egyptian-brokered deal that halted the previous Israel-Hamas conflict.

The President also condemned rocket attacks from Gaza and said the United States reaffirmed Israel's right to defend itself.

U.N. Secretary General Ban Ki-moon told reporters he has been reaching out to regional leaders in an attempt to help get the two sides to stop the violence soon.

"It is imperative not only to restore calm today, but to establish a political horizon for tomorrow," he said. "Without the prospect of an end to the conflict, the sides will grow ever more polarized."

'Prepared for all options'

There have been hints for days from some Israeli officials about the possibility of a ground offensive in Gaza, but there were questions about the government's appetite for such a conflict.

Netanyahu said Wednesday that the aerial offensive would be expanded and continue "until the firing at our communities stops and quiet is restored."

He didn't specify what the expansion of Operation Protective Edge would entail, saying that Israel's military "is prepared for all possibilities."

No Israelis have been killed so far by the hundreds of rockets fired toward southern Israel by Hamas, Islamic Jihad and other militant groups in Gaza. Some Israelis have been wounded by the attacks.

A CNN crew in Gaza was setting up a live shot when four rockets streaked overhead in the direction of Israel. Some in the crowd cheered. When told there were air raid sirens going off in Israel, there were more cheers.

The Israeli Defense Forces said early Friday that since the start of Operation Protective Edge, 548 rockets have been fired at Israel. The country's Iron Dome defense system has intercepted 118 of them, the IDF said.

Hamas and other militant groups in Gaza are believed to have about 10,000 rockets of varying ranges, according to the Israeli military. Israel has said some 3.5 million residents live in areas within reach of the rockets.

Sides speak at U.N. Security Council meeting

Israel and the Palestinians laid out their positions at a U.N. Security Council meeting Thursday.

Ambassador Riyad Mansour, permanent observer of the State of Palestine to the United Nations, accused Israel of "terrorizing our people, killing dozens of civilians and injuring hundreds."

Allegations by Israel that Palestinians are using human shields are "audacious," he said, and he rejected the argument that Israel is defending itself.

Israel "deliberately carries out reprisals and collective punishment against the Palestinian people in declared retaliation and revenge ... for the killing of the three Israeli settlers, which the Palestinian leadership has clearly condemned," Mansour said.

Israel, for its part, called on the Security Council to condemn Hamas and its launching of rockets across the border.

Ron Prosor, Israeli ambassador to the United Nations, played a recording of a siren during the middle of his remarks, to show how Israelis only have 15 seconds, he said, to run for cover.

"Asking Israel to show restraint while our cities are under constant attack is like asking the fire brigade to battle an inferno with nothing more than buckets of water," he said.

Gaza timeline: From Samson and Delilah to Israeli-Palestinian fighting

Flare-up in Israeli-Palestinian violence: Why now?

Has the Middle East crisis reached a tipping point?

Was teen's death a revenge killing?

CNN's Ben Wedeman reported from Gaza City. Jethro Mullen reported and wrote from Hong Kong, and Steve Almasy reported and wrote from Atlanta. CNN's Michael Pearson, Yousuf Basil, Brian Walker, Larry Register, Kareem Khadder, Diana Magnay, Tal Heinrich, Amir Tal, Salma Abdelaziz and Talal Abu Rahma contributed to this report.

@highlight

NEW: Israel responds with artillery to rocket fired from Lebanon

@highlight

At least 91 Palestinians have been killed since Monday, officials say

@highlight

Spokesman for Israeli military says 30,000 reservists have reported for duty

@highlight

Gaza resident says if there is a ground offensive 'I have nowhere to go'