Patchogue, New York (CNN) -- In the December chill of Long Island, Joselo Lucero stands on the spot where seven teenagers attacked his brother and another Hispanic man five years ago as part of the pastime they made out of hunting and beating up Latinos.

His brother, Ecuadorean immigrant Marcelo Lucero, was fatally stabbed by one of the attackers in a sport authorities say the youths referred to as "beaner hopping." Authorities called it a hate crime.

Lucero points to a patch of grass near the Long Island Rail Road station in this waterfront village where the confrontation began on the night of November 8, 2008. There was the spot where a knife pierced Marcelo's chest; the house where his cries for help went unheeded; the fence where his body crumpled and bled to death.

"For me, it's a symbol," Lucero, 38, said. "That was the end of something, but it was the beginning of the change. A regular person, bleeding ... stood up and fought for what was right."

Another step in that change came Tuesday when Suffolk County legislators voted 14-0, with four absent, for an agreement that gives the U.S. Justice Department rare oversight of the Suffolk County police. County officials later said another vote was taken with three of the absent legislators present, and the settlement was approved 17-0.

The 27-page agreement settles a federal investigation of discriminatory policing in immigrant communities in Suffolk, one of the nation's largest suburbs and home to ritzy East Hampton. That investigation was triggered by the 2008 hate crime, which fueled international outcry and exposed a pattern of anti-immigrant violence and what community leaders called police inaction.

The agreement calls for additional police training, accountability and outreach to Latinos; better tracking of hate crimes and police discrimination; regular meetings with Latino leaders; and more bilingual officers.

The settlement does not cite wrongdoing or specific problems with the Police Department or its policies, even though the Justice Department inquiry found that police helped created a climate where hate crimes went unreported and officers routinely ignored bias attacks.

"The cops that looked the other way are still there," said Patrick Young, a lawyer and program director at the Central American Refugee Center. "The real issue is, Can they reconstruct the culture of the police so that police do not look the other way? We feel they have done a good job of making the police more accountable."

A step forward

For Joselo Lucero and others, the settlement is a tiny step for a county trying desperately to shed its reputation as a bastion of anti-immigrant fear and resentment.

"Let's not be hypocrites," Lucero told CNN. "Who were the police officers who did not follow up on these crimes? Why should I believe these people will change? No one has been named in connection with these cover ups."

After the Marcelo Lucero slaying, dozens of immigrants told federal and county officials about hate crimes they suffered and reports made to officers who failed to investigate, according to Foster Maer, senior litigation counsel for LatinoJustice PRLDEF, formerly called the Puerto Rican Legal Defense and Education Fund.

Maer believes the Justice Department failed by not investigating these other alleged crimes reported by the county's Latino community as part of its settlement with Suffolk.

That failure, according to Maer, has deprived immigrants of the truth and the entire community of a "critical learning moment," said Maer, whose Manhattan-based advocacy group first took the allegations to federal investigators.

The group will ask the Justice Department and Suffolk officials to sign another agreement calling on the county to investigate unsolved hate crimes and establish why previous attacks were ignored.

Amol Sinha, director of the Suffolk County Chapter of the New York Civil Liberties Union, said the young men who preyed on immigrants did not fear any consequences.

"There were instances leading up to that terrible night where kids were out 'beaner hopping' and beating up who they perceived to be undocumented immigrants and never got more than a slap on the wrist," Sinha said.

"So often the police would leave them alone or encourage people not to press charges or, if charges were pressed, they were something like disorderly conduct or something light," he added. "They would say, 'They're just teenagers messing around.' "

Suffolk Deputy Chief Kevin Fallon acknowledged that with the growth of the county's Spanish-speaking population, officers had trouble communicating with crime victims.

But Fallon denied that the police fostered a climate that encouraged hate crimes. "It's important to know that the Department of Justice came in to look at that allegation," he said, "and there was no finding on their part."

Fallon said some undocumented immigrants might have been reluctant to report crimes because of their legal status. But the 2,000-officer department wants the message out that "their status is not a factor for us."

"I'd like to think we are heading in the right direction," he said, referring to police and community relations. "It's going to take a long time to get that trust back."

'We're not going to let this happen again'

On Main Street in Patchogue, a quiet village of about 12,000 people on the south shore of Long Island, four men from El Salvador and Honduras sitting in a laundromat said they believe some things have changed, while others have not, after the Lucero slaying.

"The police treat you a little better," said one man, declining to give his name.

"You don't see small groups of kids hanging around like before," said another. "There are more police around."

"But you know you're still not safe out alone at night," said a third.

Verbal and physical assaults against immigrants continue, including, the men said, a recent stabbing of a Latino immigrant outside a deli in Bellport by a group of men armed with bats and knives. But the police are more attentive to Latinos, occasionally picking up men walking home alone at night and dropping them off at their destinations, they said.

The climate of fear in Suffolk County was created in part by immigration opponents who found sympathetic ears in the area, the Southern Poverty Law Center said in a report one year after Lucero's killing. Former County Executive Steve Levy, an anti-immigration firebrand who employed measures seen as hostile toward Latinos, has been singled out by advocates and immigrants alike as an enabler of the hate.

"Suffolk County became ground zero for the anti-immigrant movement and it threw up a sign saying we're a county of intolerance," said Luis Valenzuela, executive director of the Long Island Immigrant Alliance.

For decades, the influx of undocumented immigrants in Suffolk generated anger and tension in the neighborhood. Recent arrivals said longtime residents make sharp distinctions between assimilated immigrants who've been here for a generation or two and those who arrived more recently. Those are perceived as a threat to local jobs and the quality of life.

In recent decades, thousands of immigrants from Latin America have arrived on Long Island. Patchogue's Latino population has risen steadily, with Ecuadoreans making up the largest group, according to advocates.

The hostility and attacks predated the Lucero slaying. In 2001, two Mexican day laborers were nearly beaten to death. In 2003, the home of a Mexican family was burned down. Both incidents occurred in the nearby town of Farmingville.

"That was a learning moment for schools and communties to address that issue, and they didn't want to," said Regina Casale, who teaches Spanish in the Suffolk County schools. "They swept it under the carpet. Across the board everybody failed at that moment."

Moving on

Seven students from Patchogue-Medford High School were arrested and convicted in Lucero's death. One of them, Jeffrey Conroy, who was 17 and a star athlete at the time of the attack, is serving a 25-year sentence for manslaughter as a hate crime. Six others pleaded guilty and are serving sentences of between five and eight years.

"When this happened, you heard the teachers, the parents saying we didn't know this was going on," Casale said of Lucero's death. "But all the kids knew. And there's still no visible youth movement saying, 'Let's talk about this. We're not going to let this happen again.' "

Two years ago, federal authorities recommended changes to promote trust between police and Latinos, including "enhanced training and investigation of allegations of hate crimes and bias incidents, meaningful access to police services for individuals with limited English proficiency," the Justice Department said in a statement when the settlement was announced. The Justice Department would monitor the county's compliance for at least a year.

"All residents of Suffolk County deserve full and unbiased police protection, regardless of national origin, race, or citizenship status," said U.S. Attorney Loretta E. Lynch.

Marcelo Lucero, who was 37 when he died and worked in a dry cleaning store, is remembered in a scholarship awarded each year by a nonprofit for whom his brother now works. Every year, Joselo Lucero and community leaders hold a vigil at the intersection near the Patchogue train station where Lucero died. In 2010, the corner was renamed Unity Place.

Lucero travels around in his brother's old car, giving talks against bullying and hate crimes at schools around the region. Two students at Patchogue-Medford High School have been awarded the scholarship bearing his brother's name, but Lucero still hasn't been invited to speak there.

"The guys who killed my brother still have friends in the school," he said. "They want to avoid any problems."

Said Casale, who teaches Spanish at a junior high school: "It's almost like the county wants damage control rather than to take responsibility. They want this to go away."

@highlight

Ecuadorean immigrant Marcelo Lucero was attacked and killed in 2008

@highlight

His death triggered a federal investigation in Suffolk County

@highlight

County leaders have voted unanimously for Justice Department oversight of police

@highlight

Suffolk deputy chief: "I'd like to think we are heading in the right direction"