(CNN) -- Privacy is vital to my sense of self. It is as important as breathing; each breath may be my last.

So I am acutely aware of how difficult it must have been for Tim Cook, CEO of Apple, the world's richest company, to sacrifice his privacy and expose himself to public scrutiny in an essentially homophobic world.

The fact that a CEO of a fortune 500 company's decision to publicly acknowledge his homosexuality made international news on the same scale as Ebola exposes the persistence of homophobia and hetero-sexism in the West -- despite the existence of laws to protect LGBT people in the USA and elsewhere.

Coming out as LGBT is not an easy thing to do anywhere in the world, even if you are the head of a global company such as Apple. The fallout from such an act is unpredictable, potentially catastrophic and game changing -- and that's when you're coming out in a society where there is legislation to protect LGBT people.

The international newsworthiness of Cook's decision is a reminder of the gulf between legislation and social emotions.

As I read Cook's courageous story, I couldn't help but wonder what it would mean for a Nigerian CEO to follow his example now, in the context of Same Sex Marriage Prohibition Act which challenges the rights of all LGBT people.

While I was not surprised by the news about Cook (though not because I had any prior information about his sexuality), I did wonder why he had decided to trade in his privacy.

I also wondered what price he will pay for coming out and what price he may have paid for keeping his sexuality a secret? What closet has he now opened and what closet will now be forever closed as a result of his coming out?

As these questions played on my mind, I could not help but be thankful that such a figure would acknowledge his sexuality in the way that he has done, especially at a time when countries like Nigeria are effectively criminalizing gay people, with a law banning homosexuality.

Will those homophobic legislators and their fellow promoters of hate now stop using their "gay" Western technologies? Some homophobes are already claiming that since Apple was co-founded by the straight Steve Jobs, the fact that Tim Cook is gay will "corrupt" the brand.

I wonder how many Nigerian or African CEOs are now thinking about acknowledging their homosexuality, even if only to themselves as a result of Cook's declaration.

Because coming out is not always about making a public announcement to the rest of the world -- it can just be about being honest with oneself or with those who you truly value in your life -- those who have supported you, but who are unaware of the totality of who you are because of the closet which society has forced so many LGBT people into in Africa.

If we look at Cook's trajectory we can see he has always been "out" to those who matter to him, those who supported his growth and those who probably gave him the courage to make his statement last week.

His decision will mean different things to different people across the world -- it may have more resonance for LGBT people in the U.S. and in the West because of proximity, but his declaration also provides a counter-narrative to American far-right evangelists and agents of homophobia in Africa.

Cook's announcement is both a provocation and a reminder that clothes, not human beings, belong in the closet.

It is a call to action for those in positions of power to come out and be counted: By letting go of their own privacy in order to give courage to millions, the likes of Cook are using their privileged position to insist on justice, equality and the right for all of humanity to be recognized and respected.

Who knows, Cook's decision to publicly acknowledge that he is gay may be the impetus some of our closeted CEOs need.

At present, it may well be career-destroying for a Nigerian or African CEO to come out in the way Cook has done, but they may be inspired to work behind the scenes, to change policies in their organizations, to work quietly with African governments to reverse the homophobic laws or even to support and commit their Corporate and Social Responsibility budget to CSOs working on sexual minority rights in the country without drawing attention to their own sexuality.

For me, in Nigeria, someone like Cook revealing his sexuality is his own way of aligning his personal identity and privilege with the struggle against the tyranny of the heterosexual majority and the modern pogrom against LGBT people, especially in Africa.

Cook represents all that we as LGBT activists dream of: To have powerful figures use their position to bring visibility to LGBT existence.

While one individual making a public declaration won't automatically result in a change of policies or laws, each one puts a face to the conversation and helps advance the discourse.

Cook, like the now openly gay Kenyan writer Biniyavanga Wainanian, author of "One day I will write about this place," reminds us all that LGBT people are here, have been here among us and are contributing magnificently to development.

Cook's courageous action is an inspiration to us all; but Binyavanga Wainaina's revelation of his sexuality -- earlier this year he published a "lost" chapter from his memoir entitled "I am a homosexual, Mum" -- is probably more contextually powerful for us as Africans.

I for one look forward to a day when a powerful and respected African CEO will publicly acknowledge that they are LGBT, or openly and unequivocally support the rights of LGBT people.

For now, we'll continue to be inspired by Cook and Wainaina's courage.

READ MORE: Why gay people like Tim Cook must tell their stories
READ MORE: Is Africa the most homophobic continent? 
READ MORE: Thanks, Tim, but LGBTs aren't there yet

@highlight

Apple CEO Tim Cook publicly acknowledged his homosexuality last week

@highlight

Olumide Femi Makanjuola says decision to do so is not easy, whoever and wherever you are

@highlight

Makanjuola: Announcement a reminder that clothes, not human beings, belong in the closet

@highlight

"I look forward to a day when a powerful African CEO publicly acknowledges that they are LGBT"