REYKJAVIK, Iceland (CNN) -- Iceland may be best known for world-famous musical export Bjork but there's a new star quickly gaining this island nation worldwide acclaim -- clean energy.

This hydrogen fuel cell car is leading an energy revolution in Iceland.

For more than 50 years Iceland has been decreasing its dependence on fossil fuels by tapping the natural power all around this rainy, windswept rock of fire.

Waterfalls, volcanoes, geysers and hot springs provide Icelanders with abundant electricity and hot water.

Virtually all of the country's electricity and heating comes from domestic renewable energy sources -- hydroelectric power and geothermal springs.

It's pollution-free and cheap.

Yet these energy pioneers are still dependent on imported oil to operate their vehicles and thriving fishing industry.

Iceland's geographic isolation in the North Atlantic makes it expensive to ship in gasoline -- it costs almost $8 a gallon (around $2 a liter).

Iceland ranks 53rd in the world in greenhouse gas emissions per capita, according to the Carbon Dioxide Information Analysis Center -- the primary climate-change data and information analysis center of the U.S. Department of Energy.

Retired University of Iceland Professor Bragi Arnason has come up with a solution: Use hydrogen to power transportation. Hydrogen is produced with water and electricity, and Iceland has lots of both.

"Iceland is the ideal country to create the world's first hydrogen economy," Arnason explains. His big idea has earned him the nickname "Professor Hydrogen."

Arnason has caught the attention of General Motors, Toyota and DaimlerChrysler, who are using the island-nation as a test market for their hydrogen fuel cell prototypes.

One car getting put through its paces is the Mercedes Benz A-class F-cell -- an electric car powered by a DaimlerChrysler fuel cell. Fuel cells generate electricity by converting hydrogen and oxygen into water. And fuel cell technology is clean -- the only by-product is water.  Watch the F-cell navigate through Reykjavik »

"It's just like a normal car," says Asdis Kritinsdottir, project manager for Reykjavik Energy. Except the only pollution coming out of the exhaust pipe is water vapor. It can go about 100 miles on a full tank. When it runs out of fuel the electric battery kicks in, giving the driver another 18 miles -- hopefully enough time to get to a refueling station. Filling the tank is similar to today's cars -- attach a hose to the car's fueling port, hit "start" on the pump and stand back. The process takes about five to six minutes.  See some of the F-cell's unique features »

In 2003, Reykjavik opened a hydrogen fueling station to test three hydrogen fuel cell buses. The station was integrated into an existing gasoline and diesel station. The hydrogen gas is produced by electrolysis -- sending a current through water to split it into hydrogen and oxygen. The public buses could run all day before needing refueling.

The bus project lasted three years and cost around $10 million.

The city will need five refueling stations in addition to the one the city already has to support its busy ring road, according to Arnason. The entire nation could get by on 15 refueling stations -- a minimum requirement.

Within the year, 30-40 hydrogen fuel-cell cars will hit Reykjavik streets. Local energy company employees will do most of the test-driving but three cars will be made available to The Hertz Corp., giving Icelanders a chance to get behind the wheel.  Learn more about fuel cells »

"I need a car," says Petra Svenisdottir, an intern at Reykjavik Energy. Svenisdottir, 28, commutes to work from her home in Hafnarfjorour to Reykjavik. The journey takes her about 15 minutes if she can beat traffic. "If I didn't have a car I would have to take two or three buses and wait at each bus stop to arrive at work more than an hour later, cold and wet!"

Most Icelanders drive cars, says Arnason. Around 300,000 people live in a place about the size of the U.S. state of Kentucky. Transportation is limited to cars, buses and boats. "Everyone has a car here," Arnason says. And it's very typical for an Icelandic family to own two cars. Arnason drives a small SUV.

Fuel cell cars are expected to go on sale to the public in 2010. Carmakers have promised Arnason they will keep costs down and the government has said it will offer citizens tax breaks.

He figures it will take an additional 4 percent of power to produce the hydrogen Iceland would need to meet its transportation requirements.

Once Iceland's vehicles are converted over to hydrogen, the fishing fleet will follow. It won't be easy because of current technological limits and the high cost of storing large amounts of hydrogen, but Arnason feels confident it can happen. He predicts Iceland will be fossil fuel free by 2050.

"We are a very small country but we have all the same infrastructure of big nations," he said. "We will be the prototype for the rest of the world." E-mail to a friend

@highlight

Iceland turning to hydrogen to power its cars, buses and fishing fleet

@highlight

Professor Bragi Arnason: Iceland will be the world's first hydrogen economy

@highlight

Iceland wants to eliminate its dependency on oil by 2050

@highlight

Icelandic homes, powered, heated by domestic renewable energy sources