NEW DELHI, India (CNN) -- India launched its first lunar mission on Wednesday, with hopes of achieving high-resolution images of the moon's topography and diving into the international space race.

The spacecraft carrying India's first lunar probe, Chandrayaan-1, lifts off in Sriharikota on Wednesday.

The unmanned lunar orbiter Chandrayaan-1, or "moon craft" in ancient Sanskrit, came at 6:20 a.m. Wednesday (8:50 p.m. ET) from the Sriharikota space center in southern India.

The two-year mission seeks high-resolution imaging of the moon's surface, especially the permanently shadowed polar regions, according to the Indian Space Research Organization. It will also search for evidence of water or ice and attempt to identify the chemical breakdown of certain lunar rocks, the group said.

Despite the numerous missions to the moon over the past 50 years, "we really don't have a good map of the moon," said Miles O'Brien, CNN chief technology and environment correspondent. "The goal is to come up with a very intricate, three-dimensional map of the moon."

The Chandrayaan-1 is carrying payloads from the United States, European Union countries Germany, Britain, Sweden and Bulgaria, and India plans to share the data from the mission with other programs, including NASA.  Watch the launch of India's first lunar mission »

ISRO said on its Web site that the mission would lay the groundwork for future lunar missions and "probe the physical characteristics of the lunar surface in greater depth than previous missions by other nations."

"It will also give us a deeper understanding about the planet Earth itself or its origins," a statement on the Web site said. "Earlier missions did not come out with a full understanding of the moon and that is the reason scientists are still interested. This will lay the foundation for bigger missions and also open up new possibilities of international networking and support for planetary programs."

Until now, India's space launches have been more practical, with weather warning satellites and communiations systems, The Associated Press cited former NASA associated administrator Scott Pace as saying.

To date, only the U.S. Russia, the European Space Agency, Japan and China have sent missions to the moon, according to AP.

Critics of the mission have questioned its $80 million price tag, saying the money should have been spent by the government to improve education and fight poverty.

But, "there are scientists that would argue that there are plenty of things we don't know about the moon ... and India might have the know-how" to find answers, said CNN's Sara Sidner in New Delhi.

The United States and the Soviet Union dominated the field of lunar exploration from the late 1950s. The United States is preparing for its own mission slated for next spring -- the first U.S. lunar mission in more than a decade, according to NASA.

Soviet spacecraft were the first to fly by, land on and orbit the moon. Luna 1, launched on January 2, 1959, and sped by the moon two days later.

Luna 2 was launched on an impact mission on September 12, 1959, striking the surface two days later. Luna 9 launched on January 31, 1966, becoming the first craft to successfully land on the moon and send back data, touching down on the surface on January 31, 1966, and transmitting until February 3, 1967, when its batteries ran out.

Luna 10 was launched March 31, 1966, entered lunar orbit on April 3, and operated for 56 days.

But the United States' Apollo missions were the first manned missions to reach the moon, culminating with six missions that set down on the surface. The first, Apollo 11, left earth on July 16, 1969, and landed astronauts Neil Armstrong and Edwin Aldrin on the lunar surface on July 20 while command module pilot Michael Collins orbited above. The astronauts returned safely to earth on July 24.

Most recently India's fellow Asian nations, China and Japan, put lunar orbiters in place. Japan launched the Kaguya orbiter in October 2007, followed by China's launch of the Chang'e mission a few weeks later.  Watch what is shaping up to be a new space race »

"Each nation is doing its own thing to drive its research technology for the well-being of that nation," AP quoted Charles Vick, a space analyst for the Washington think tank GlobalSecurity.org, as saying.

Copyright 2008 CNN. All rights reserved.This material may not be published, broadcast, rewritten, or redistributed. Associated Press contributed to this report.

@highlight

NEW: Chandrayaan-1 is carrying payloads from the U.S., EU and Bulgaria

@highlight

Two-year mission seeks high-resolution, 3-D imaging of the moon's surface

@highlight

Chandrayaan-1 follows Japan and China's missions to the moon

@highlight

Chandrayaan means "moon craft" in ancient Sanskrit