(CNN) -- Amazon's new Fire Phone isn't a phone. It's a shopping mall. Not that boring shopping mall slowly dying on the edges of suburban America, but a gorgeous mall with infinite selection and endless opportunities for entertainment, from books to movies and everything in between.

The price starts at $199 with a two-year contract, or $649 without a contract. The Fire Phone may well give its competitors a run for the money.

Malls are social spaces, and so is Fire Phone. Its five cameras and assorted sensors are exactly what is needed to create immersive interactive experience. And what better thing to socialize around than using it to identify new products, deals and scoops? The only piece missing from Amazon's new mall is food, but you can be sure that soon, there will be an Amazon Fresh truck waiting around the corner or an Amazon aerial drone hovering just over the horizon ready to deliver your order.

Amazon is pretty late to the mobile space, and if Fire Phone was just another well-designed mobile device, it wouldn't have a prayer of catching up to Apple or Google. But Amazon isn't playing catch-up, it's changing the game by shifting the focus of mobile devices to what it does best: Satisfying our seemingly endless desire to buy stuff.

Google is still struggling with creating a shopping strategy for physical products, and Apple is little more than an elegant specialty store in cyberspace. In contrast, Amazon pioneered online shopping and has reinvented the shopping experience time and again. Fire Phone is just the latest chapter in that long history.

A crucial feature in the Fire Phone is Amazon's Firefly technology, which turns the phone into a one-touch information source for anything that can be viewed with the phone's many cameras. You see a cool jacket on an actor in a movie -- capture the image and Amazon will find it for sale. If you hear a song you like, grab a sample and Amazon will tell you the artist and offer to sell you a copy.

Or, next time you are at your favorite suburban mall, snap a picture of a product in a physical store and Amazon will offer it to you for less. This may be the most diabolically disruptive aspect of the Fire Phone.

While Apple and other companies are building out physical stores at great cost as part of their shopping strategy, Firefly allows Amazon to invade every store in every mall on the planet and turn it into a de facto showroom for Amazon.

This will drive retailers crazy. Expect to hear much about how Fire Phone is going to kill physical shopping in the days to come. I wouldn't be surprised if some stores attempt to ban Fire Phone entirely.

Once upon a time shopping was mainly "bricks-and-mortar:" an exclusively physical retail experience. After Amazon appeared on the Web, shopping evolved to "bricks-and-clicks:" an expanded shopping reality that provided shoppers the option of visiting either a physical space or a virtual space. Doomsayers proclaimed the end of physical stores, but while online shopping has been profoundly disruptive, the physical shopping experience evolved to coexist with shopping in cyberspace.

We are now moving from "bricks-and-clicks" to "bricks-in-clicks:" a world where the line between physical and virtual not only blurs, but becomes a two-way conversation.

Getting competitive pricing with your phone camera is just the start. The next phase will be "augmented reality" shopping. Want to see if that elegant lounge chair really fits in your living room? Select your chair, hit a button and it appears on your screen as if it were actually in your room. You can even walk around the chair, viewing it from multiple perspectives. Sounds futuristic, but iPhone and Android users can experience this today with apps like Sayduck. With five cameras and multiple sensors, Fire Phone will be able to do this with even greater fidelity.

Amazon's Fire Phone is being released at a moment when we are seeing the rapid growth of the so-called "Internet of Things," where billions of physical objects from toothbrushes to satellite sensors are being connected to the Internet.

Before long, shoppers wandering into a physical store won't use their phones to merely take a picture of an object; they will have a phone-mediated conversation with that object. And when that happens, Jeff Bezos will probably reinvent things again.

@highlight

Paul Saffo: Amazon isn't playing catch-up, it's changing the game in mobile space

@highlight

Saffo: Fire Phone shifts focus of mobile devices to satisfying our shopping urges

@highlight

He says features of Fire Phone will turn stores into de facto showrooms for Amazon

@highlight

Saffo: Get ready, the next phase will be "augmented reality" shopping