(CNN)The news that the U.S. military will charge Army Sgt. Bowe Bergdahl with desertion for abandoning his post in Afghanistan revives a deeply disturbing and morally wrenching incident in America's troubled war in Afghanistan.

From the moment last year that the world learned about the prisoner-swap deal that secured his freedom, the questions that surrounded Begdahl's disappearance gained significance. After all, the United States had agreed to a very high price for his release.

Based on the evidence that has come to public light, desertion seems the right charge against Bergdahl, whose comrades say he walked away, abandoning his commitments as a soldier in a war and creating new and greater dangers for them.

But even before the charges were filed, there were other question whose answers are emerging.

Was the United States right to negotiate a high-price trade? Did "leave no man behind" trump "no negotiating with terrorists"? And if it did, did the importance of saving one man outweigh the dictate not to pay ransom even if that man was a traitor or a deserter?

New information about his disappearance and life of the people freed in exchange for Bergdahl make the case all the more troubling.

Bergdahl, you will recall, spent five years as a prisoner of the Haqqani network, a group allied with the Taliban organization, America's principal enemy in Afghanistan. Taliban fighters had captured him in June 2009, just after Bergdahl, apparently disenchanted with the military, left his post in southeastern Afghanistan.

The Taliban handed the American soldier to the Haqqanis, who shuttled him between locations as they and their partners negotiated for his release, seeking to maximize the profit from their valuable captive.

In May 2014 they struck a deal. Five Taliban commanders were flown out of the U.S. prison at Guantanamo Bay, freed in exchange for the American soldier whose disappearance many had already labeled a desertion.

The images became iconic. A strikingly pale Bergdahl, blinking painfully against the bright sun as he was handed over to U.S. officials. The scene contrasted sharply with a video of the Taliban chiefs' receiving a heroes' welcome in Qatar, where they prepared for a new life after their American captivity.

National Security Adviser Susan Rice said Bergdahl had served with "honor and distinction." If that had been the case, the trade would have proved much less controversial. But from the moment Bergdahl went missing there had been questions.

In the letters he wrote home before vanishing, Bergdahl showed a steady erosion of his faith in the military and belief in the mission. "The future is too good to waste on lies," he told his parents. "And life is way too short to care for the damnation of others."

Men who had served with Bergdahl said he had simply walked off the base carrying little more than a compass. Not only would such a move constitute near-suicidal foolishness, it also put his comrades in great danger, particularly as they set out on a desperate quest to find him.

What has been the cost of Bergdahl's odyssey?

Some said the search for him cost the lives of six American soldiers. The specific circumstances are complicated, but it is clear that the six died in Paktika Province in the months after Bergdahl vanished, during a period in which every mission, even if not directly aimed at finding Bergdahl, included some element of a search. As one former team leader told CNN, "when those soldiers were killed, they would not have been where they were if Bergdahl had not left."

One of them, 2nd Lt Darryn Andrews, received a posthumous Silver Star for saving the lives of five soldiers during a mission that had shifted from searching for a Taliban target to looking for Bergdahl. Andrews left behind a pregnant wife and a 2-year-old son.

Then there is the cost of signaling to the Taliban, of telling all of America's enemies, that if they capture a U.S. service member they could trade him for a ransom. This could endanger other Americans.

And there is another potential cost: The men who were freed in exchange for Bergdahl could go on to fight again.

The more you learn about the details of their post-Guantanamo lives, the more distressing the transaction looks. Under the terms of the deal, Qatar agreed to keep the former prisoners from leaving the country for one year. In the meantime, they are said to be living a life of  fantastic comfort and luxury, courtesy of their gracious Qatari hosts.

According to reports, they have each been allowed to bring five more families to keep them company. The 35 Taliban households are living in the lap of Qatari luxury, but the fighters are getting restless. At least two of the former Guantanamo detainees reportedly want to go back to the battlefield, perhaps adding to the eventual tally of the Bergdahl transaction.

Now Bergdahl will face his punishment; he could be sentenced to life in prison for what the military says was desertion and misbehavior, and what his comrades said was a shameful betrayal -- one that cost lives.

The question remains, should the United States have traded for this man?

My sense is that the United States has a duty to the soldiers it sends to war. All soldiers should know that their country will do what it takes to bring them back. America could not leave Bergdahl to die in a mountain cave, especially if it did not know with certainty the circumstances of his disappearance -- but even if it did.

Whether the Obama administration negotiated as effectively as it could have is another matter. On that count, I am skeptical.

The trade -- Bergdahl for several hardened prisoners -- was a heart-splitting dilemma, but it was the right call.

@highlight

Frida Ghitis: Desertion charges against Bowe Bergdahl revive questions: Was swap deal for him correct? What has his odyssey cost?

@highlight

She says swap may have sent dangerous message to America's enemies, cost American lives. Still, retrieving U.S. soldier was right call