(CNN) -- Women have been badly let down by the men they stood with during demonstrations that toppled tyrants in the Middle East and North Africa.

Shot at, tortured, assaulted and detained -- they were equals at the point of protest but now, as new governments extend their grip, we can see that, as citizens, women remain firmly in the second class.

So, as we celebrate the role of women on International Women's day, let us not forget that the struggle for equality is far from won. Even when progress seems to be a given, the pendulum can swing back leaving fresh challenges to defend progressive values.

In Egypt, it did not matter that women had played a critical role in the uprisings that ousted the tyrant Mubarak. It did not matter that they had suffered equally from repression and lack of economic opportunity along with the men.

It did not matter that they were subjected to the additional burden of discrimination because they were female. It did not matter that the Supreme Council of the Armed Forces tried to discredit women protestors by arresting them and subjecting them to forced virginity tests.

When elections finally came after so many years of dictatorship, Amnesty International asked political parties in Egypt to make commitments to basic human rights principles: principles such as freedom of expression and assembly, religious freedom, non-discrimination and gender equality.

Most of those seeking political power through the parliamentary elections fell short of meeting even these minimum human rights commitments.

Read also: Women and the Arab uprisings

The Muslim Brotherhood's Freedom and Justice party which won 235 seats -- 47 per cent of the total - failed even to respond to Amnesty International's request.

The Salafist Al-Nur party, which came second with 121 seats (24 per cent) declined to promote women's rights or abolish the death penalty.

So 71% of the new parliament is unwilling to commit to promoting women's rights and gender equality.

There have been some chinks of light. Tawakkol Karman of Yemen was named as one of three women Nobel Laureates for peace, in an important, though, belated recognition of the role women have played in the protests dubbed the Arab Spring.

During those heady days, women were a powerful voice, a compelling presence in the protests. They took the same risks as men when exposing human rights abuses committed by the state and calling for accountability; as leaders and agents of change in the uprisings they have not been exempt from the worst of the violence.

Many women protesters were harassed, arrested, tortured and otherwise ill-treated in gender-specific ways just because they are women, defying convention and exercising their rights to freedom of expression and assembly.

In Bahrain, where thousands of women took part in anti-government demonstrations, dozens were arrested and some were reportedly tortured or otherwise ill-treated.

In Yemen, women taking part in protests and women activists have been killed, harassed, arrested and in some cases beaten for their participation in protests.

In a desperate attempt to sideline women, Yemeni officials demanded that male relatives assert control over the women in their family and stop their activism.

Read also: Women prisoners find freedom behind bars

However, women's protest is not new in this region: women were demanding their human rights long before the start of the uprisings of the last year -- in Iran and elsewhere.

In Saudi Arabia, 20 years after women first sat at the wheels of their cars and challenged the restriction on females driving, the ban remains in place. Any woman who dares to challenge the ban faces arrest and attacks on their character.

Saudi religious clerics have claimed that allowing women to drive would lead to moral decline in the kingdom.

The demands of the women are clear. Women want a seat at the table and a voice in the debate and a vote in the decision making.

More specifically, women are calling for equal rights to political participation and decision-making, equal rights in law, including in relation to marriage, divorce, child custody and inheritance.

Women must have legal protection from gender-based violence, including domestic violence and marital rape, and sexual harassment.

International Women's Day is an opportunity to recognize the courage and stamina of the women living in the Middle East and North Africa.

They will not be pushed back to the kitchen. We must all take a stand today in solidarity with them.

The opinions expressed in this commentary are solely those of Widney Brown

@highlight

Widney Brown says women took the same risks as men during the Arab Spring.

@highlight

However, women are treated as second-class citizens in post-revolution politics, says Brown.

@highlight

Using cases from the region, Brown argues that the struggle for gender equality is far from won.