Islamabad, Pakistan (CNN) -- Flooding has displaced an additional 1 million people in Pakistan's Sindh province in the past two days, according to new U.N. estimates released Friday.

"We have more people on the move, to whom we need to provide relief. An already colossal disaster is getting worse and requiring an even more colossal response," said Maurizio Giuliano, a spokesman for the U.N.'s Office for the Coordination of Humanitarian Affairs.

Giuliano said rains have forced the evacuation of an estimated 1 million people in southern Sindh in the past 48 hours or so.

"The magnitude of this crisis is reaching levels that are even beyond our initial fears, which were already leaning towards what we thought would be the worst. The number of those affected and those in need of assistance from us are bound to keep rising. The floods seem determined to outrun our response," he said.

The U.N. also said Friday that it is increasingly concerned about flood-driven malnutrition among children.

"The flooding has surrounded millions of children with contaminated water," said Karen Allen, deputy representative of the United Nations Children's Fund (UNICEF) in Pakistan. "Most have nothing else to drink. We fear the deadly synergy of waterborne diseases, including diarrhea, dehydration and malnutrition."

Acute malnutrition was high in much of Pakistan even before the floods. For instance, 27 percent of children under 5 in Baluchistan province were malnourished, as were 17 percent of children in Punjab, according to the U.N.

A hospital in Sindh is overrun with people suffering from waterborne illness; two children share each bed and more are on the floor. A doctor at the hospital said there are "not enough resources because of huge population ... coming to this hospital."

Remat Chacher, a farmer in Sindh, escaped the floodwaters with his wife and two children earlier this month.

But then his 3-month-old daughter Benazir got sick. "She started to get fever and couldn't keep anything down ... lots of belly pain," said Ulla, the infant's mom.

A few days later, the same symptoms struck the Chachers' son, 2-year-old Wazira. Both children died on the way to the hospital, with Wazira weighing just 8 pounds and Benazir weighing 2 pounds.

Floodwaters have started to recede across Pakistan, but in the Indus delta, the potential for more flooding remained high, especially given high tides in the Arabian Sea, where the Indus spills out.

Already, more than 17 million Pakistanis -- from the Chinese border in the north to the mouth of the Indus in the south -- have been affected by the monsoon floods that began a month ago.

To date, Pakistan's unfolding tragedy has claimed 1,600 lives, according to the National Disaster Management Authority. That number is likely to rise as more drowned bodies are discovered in receding waters.

Many refugees have sought shelter at relief camps, where food and drinking water are now available. But every day, there are new camp arrivals -- people who were already poor, who now have nothing.

Along the flooded Swat River in northeastern Pakistan, six local aid workers have spent two weeks braving the torrents on rafts they built from used tire tubes, bamboo and gaffers' tape after motorized boats failed to arrive.

The workers are ferrying tents, blankets and other supplies to hundreds of thousands of people stranded across the river and cut off from normal supply routes.

Last year, bombs and bullets from the army's offensive against the Taliban destroyed many homes and lives in the region. Residents had barely begun to recover when the rains came.

"We are fed up," said Shahravan, a 65-year old man who lost his house in the floods. "You don't ask a dead man why he's in his grave. It's not his choice."

Fayas Muhammad, another local, said he lost his leg when his house was mistakenly bombed in last year's fighting. The same blast took his wife and son. "We are very sad for all that Swat has been through," he said.

The damage from Pakistan's worst humanitarian catastrophe is sure to hurtle the impoverished nation back in terms of development. This week, America's top aid official saw firsthand the dire needs in Pakistan.

Dr. Rajiv Shah, administrator for the U.S. Agency for International Development, said he was deeply moved by his visit to Sukkur and that aid agencies were "scaling up their response efforts as quickly as they possibly can."

Shah announced the United States would be diverting another $50 million for flood relief from the Kerry-Lugar Act, which allocated $7.5 billion in nonmilitary assistance to Pakistan over five years.

CNN's Sanjay Gupta, Reza Sayah, Samson Desta, Sara Sidner, Moni Basu and journalist Nasir Habib contributed to this report.

@highlight

NEW: U.N. is increasingly worried about flood-driven malnutrition among children

@highlight

U.N. official says a "colossal disaster is getting worse"

@highlight

About 1 million additional people have been displaced in Sindh province, the U.N. says

@highlight

Authorities have ordered evacuations in the Indus River delta