(CNN) -- There's a reason why Malaysian officials are so confident it was Flight 370 that sent signals to a satellite many hours after the plane disappeared from radar March 8. That's because CNN has learned signals from commercial aircraft to Inmarsat satellites always include a code confirming the identity of the plane.

An Inmarsat official, while declining to discuss specifics of Flight 370, tells CNN the satellite system is highly reliable, that each signal to an aircraft is met by a return signal and that those signals always contains a code verifying the identity of the aircraft.

It is "virtually impossible" to change an aircraft's identifying code or to confuse one aircraft with another, the Inmarsat official said.

Further, after a satellite link is established at the beginning of a plane's flight, it makes automatic, periodic checks until the end of the flight -- helping investigators determine the duration of the flight, if not its location.

That could explain why Malaysian authorities now say they have a "high degree of confidence" that Flight 370 continued flying well after it disappeared from civilian radar screens.

Map it: What happened to Flight 370?

Government officials now believe the plane continued flying until at least 8:11 a.m. -- almost seven hours after disappearing from radar at 1:21 a.m.

Malaysian officials, citing "satellite information" but giving scant details, this weekend refocused the search for the missing Boeing 777, moving attention to massive arcs on both sides of the equator.

Malaysian authorities believe someone disabled several communications systems, perhaps to conceal the plane's location. One of those systems was a digital data system known as ACARS, which uses the satellite to relay messages to the ground.

But while it is possible for someone in the cockpit to turn off ACARS, the system's powered antenna remained on, receiving and responding to hourly checks from a ground station, via the satellite.

Inmarsat technicians continue to help, the company said.

"Our experts have been pulled into the investigation. We've had people in Kuala Lumpur," said Inmarsat subject expert David Coiley. "We are putting everything into this to assist the investigation as best we can, because it seems there's no other data set."

How Inmarsat works

Inmarsat, which is prohibited from discussing details of the Malaysia Flight 370 investigation, was able to provide CNN with a detailed explanation about how its system works.

The London-based satellite communications company owns and operates 10 satellites, all in geostationary orbit some 22,200 miles above the equator.

Since a single satellite can see one-third of the Earth, multiple satellites are needed to provide seamless coverage and provide redundancy and reliability, the company said.

Among other services, Inmarsat provides satellite communications for the ACARS, the acronym for Aircraft Communications Addressing and Reporting System. It's a digital datalink for short messages between an aircraft and an airline operations center, air traffic controllers and others.

ACARS can be used to send messages and data of all types, including text messages from pilots to dispatchers, or automatically generated data on the health of the plane.

When a plane is over land, ACARS messages typically are sent via VHF radio. But when a plane is in remote regions, or over water and out of range of VHF radio, the signal is seamlessly switched to satellite. "The pilot doesn't have to do anything," Coiley said.

At its most fundamental, the satellite is a simple relay, transferring signals from ground stations to the aircraft, and back again, not unlike a cell phone tower, Coiley said.

'Handshakes' help determine location

When an aircraft powers up, the airplane automatically sends a signal logging onto the communications network. Thereafter, the ground station sends "polling signals" to the satellite, which relays them to the aircraft. When the aircraft responds, it is known as a "handshake." The information relayed during the handshake is very limited, but it contains a unique identifying code to identify the aircraft.

The purpose of the hourly "handshakes" is to allow the satellite to know the approximate location of the aircraft so that it can efficiently relay any messages. For this, the satellite needs to know the angle of the aircraft from the satellite.

An aircraft directly under the satellite would be at a 90 degree angle to the satellite; an aircraft at the poles would be at 0 degrees.

In the case of Malaysia Airlines 370, authorities have said, the last message sent was at 40 degrees.

Accident investigators, with the help of satellite experts, have used that information to determine the possible location of the plane.

"We're trying to get up to speed on what that means and how to interpret it," one U.S. official told reporters. "It's sort of a new technology for us."

"We have never had to use satellite handshaking as the best possible source of information," the official said.

A completed handshake also suggests the plane was operational because the plane needs electrical power to send the return signal.

A plane's return signal is an acknowledgment that, "Yes, I'm still here," Coiley said.

In the case of Flight 370, the "last successful handshake occurred somewhere along that circle," the U.S. official said.

"A lot of that semicircle is over land; a lot of it is over water," he said. "We are trying to figure out how we can use that information to give us an idea of what the last known location of the airplane might have been."

@highlight

London-based satellite communications company Inmarsat talks to CNN

@highlight

Official says signals from aircraft to Inmarsat satellites always include an ID code

@highlight

It is "virtually impossible" to change an aircraft's identifying code, official says

@highlight

This could explain why Malaysia is sure plane continued flying long after radar contact was lost