(CNN) -- Why has the Obama administration been so reluctant to intervene in Syria? There are a host of reasons -- American fatigue with war, President Barack Obama's disinclination to start another conflict in the Middle East, and the splintered, fractured opposition to Bashar al-Assad.

But one reason looms large: al Qaeda.

Al Qaeda's affiliate in Syria, Jabhat al-Nusra, is generally acknowledged to be the most effective force fighting al-Assad.

Its fighters are willing to sacrifice themselves for the cause, are widely viewed as uncorrupt and are not involved in looting as other opposition forces are. A number of them are battle-hardened from other conflicts such as the Iraq War.

Al Qaeda's Syrian affiliate is also well supplied as it benefits from the support of Sunni ultra-fundamentalists in the wealthy Gulf states such as Qatar and Saudi Arabia.

Jabhat al-Nusra, which means the "Victory Front," was listed as a foreign terrorist organization by the U.S. State Department in December and is essentially a splinter organization of al Qaeda in Iraq.

Al-Nusra's military prowess and close ties to al Qaeda make it a potentially serious threat to U.S. interests in the region, and the group has shown it has the ability to conduct massive suicide bombings.

In November, al-Nusra claimed responsibility for 45 attacks in the provinces of Damascus, Deraa, Hama and Homs that killed dozens of people, including one suicide bomb that reportedly resulted in 60 casualties.

It was the first insurgent organization in Syria to claim responsibility for attacks that caused civilian casualties.

Despite these civilian casualties, the group has been able to garner considerable support from Syria's Sunni population, not only because it is the premier fighting force in the campaign to topple al-Assad but also because it is involved in providing critical services such as food, medical services and Sharia courts to the embattled population.

Also, for the moment, al-Nusra is not imposing Taliban-style rule in areas that it controls as al Qaeda did in Iraq's massive Anbar province during the first years of the Iraq War. Al Qaeda's harsh rule in Iraq precipitated the 2006 "Sunni Awakening" in which Iraq's Sunni tribes rose up against the group.

Al-Nusra seems to have learned from this mistake and is operating in a Hezbollah-like manner as a large-scale provider of social services, and with the consent of the population in the areas it controls.

There is some confusion about how exactly al-Nusra fits into the larger al Qaeda network.

Al Qaeda in Iraq released a statement in April announcing its official merger with al-Nusra, proclaiming that their joint organization would be called the Islamic State of Iraq and the Levant. A leader of al-Nusra later rejected the merger but pledged the group's support for al Qaeda's overall leader, Ayman al-Zawahiri.

On June 9, Al Jazeera obtained a copy of a letter from al-Zawahiri annulling the merger.

But a week later, in an audio recording posted online, al Qaeda in Iraq rejected al-Zawahiri's annulment of the merger, likely adding to the confusion of al Qaeda cadres.

Syria is a particularly agreeable environment for al Qaeda. During the Sunni insurgency in Iraq that began in 2003, it was a key base for training and supporting foreign fighters.

Al-Assad is also the perfect al Qaeda villain. He is an Shia Alawite and therefore a heretic in the eyes of the Sunni fundamentalists. He is a secularist and therefore an apostate in their view, and he is conducting a war without quarter against much of his Sunni population.

Some 2,000 to 5,500 foreign fighters are believed to have traveled to Syria since the beginning of the Syrian conflict to join the rebels who aim to topple the Assad regime.

Not all of them have necessarily joined jihadist factions of the rebel forces, but because most foreign fighters are drawn to the conflict because of a perceived religious responsibility, it is likely that these groups have drawn the lion's share of the foreigners.

Even at high-end estimates, foreign fighters make up a small portion of the forces arrayed against the Assad regime: no more than 10%.

Al-Nusra is the opposition group in Syria that attracts the most foreign fighters. It is believed that there are about 100 foreign fighters from the United Kingdom fighting in Syria.

Experts say the number of Americans fighting in Syria is likely less than 10, and only a couple of instances of Americans fighting with al-Nusra have been confirmed.

Eric Harroun, a former American solider, was charged in 2013 with conspiring to use a rocket-propelled grenade in Syria, and he admitted to fighting with al-Nusra.

@highlight

Peter Bergen: U.S. may be reluctant on Syria due to role of al Qaeda-linked group

@highlight

He says group has emerged as most effective rebel force and helps fill social needs

@highlight

Bergen: Al Qaeda's Syrian affiliate attracts the most foreign fighters in conflict

@highlight

He says group has shown ability to stage suicide bombings, threatens U.S interests