(CNN) -- Below ground in central London is a bunker every self-respecting golfer is desperate to find -- even international man of mystery James Bond.

Just yards from the plush shopping paradise that is Harrods sits Knightsbridge Golf School, a subterranean sanctum that has been teaching and preaching about the game for over 60 years.

It's in the bowels of this grand Georgian building on Lowndes Square that actors as diverse as Sean Connery, Hugh Grant, Colin Firth and Christopher Lee have honed their swings.

But you are just as likely to find taxi drivers and heads of industry popping in for a lesson -- or a brisk round at Augusta or St. Andrews on one of the school's simulators.

"Golfers today, unfortunately, are no better than they were back in 1951 when the school opened," Steve Gould, who along with D.J. Wilkinson has more than 35 years of KGS service under his belt, told CNN.

"People don't come here for the location or for the facilities -- they come for the lessons."

Founded by pioneering swing coach Leslie King back in 1951, KGS thrives through word of mouth, welcoming around 300 new disciples each year on the strength of its tutelage.

It's this reputation that explains why so many A-list stars have made a pilgrimage to the salubrious district of Knightsbridge, often in a hurry to grasp the basics of the game ahead of a big-screen project.

Golf philosophy

It was here the original 007 -- Connery -- came to fine-tune his game before filming "Goldfinger" in the mid-1960s, the third in the series charting the intrepid adventures of Britain's dashing secret agent.

MI5's finest -- with the help of a few underhand tactics -- gets the better of his nemesis Goldfinger on the golf course, in a famous scene that also includes the decapitation of a statue via the boot of the international jewel thief's menacing butler Oddjob.

"Sean Connery wasn't a golfer before the film and at the time he was seeing a dentist called Ian Caldwell, then an English amateur champion, taught by Leslie King," Gould explains.

"He told Connery, 'If you want to look like a golfer in a few short months you should go and learn from King.' "

A golf pro who had identified all the critical components of a successful swing, King believed the game was best taught inside, away from the worst of England's elements.

He set up shop in a disused squash court in central London -- miles from any golf course -- and despite next to no advertising, it was soon packed to the rafters.

King's method is still the one favored by Gould and Wilkinson, aided by modern technology, and is still as effective in teaching the film stars of today as it was half a century ago.

"We did a similar thing last year for Colin Firth for a film he was making called 'Arthur Newman,' " Gould adds. "He was a great pupil, very intense.

"We've been looking online to see if we did any good for Colin in the few lessons he had and we found the trailer.

"In the first clip Colin is playing a shot out of bunker that looks fantastic. It's not a double, it's him. He looks like a golf professional."

Perhaps another reason KGS has endured is its abiding philosophy, breaking what can be a complicated game down into simple, manageable elements.

Golf can be a veritable goldmine of misinformation and incomprehensible jargon, but the straight-talking stalwarts of KGS attempt to help chart a path to consistently straight driving.

"The reason people come here is to try to find an end to trial and error golf," Gould says. "Most golfers don't know what they do when they hit a good shot, or a bad shot.

"The only way you can progress is by knowing where you should be at each and every stage of your swing, by mapping out the swing. It's very simple.

"I've been teaching golf for 30 years and I can't understand most of the golf stuff I read. People come here and say, 'I wish I'd done from the start what you've shown me in just a few minutes.'

"The great beauty of the swing we teach here is we look at some of the modern players like (2010 British Open winner) Louis Oosthuizen or (reigning U.S. Open champion) Justin Rose, and all the positions they make are identical to the ones we teach all the time."

Golf addiction

One of KGS' biggest supporters is film star Grant, who has spent hours in Knightsbridge grooving a swing that is regularly put to the test in celebrity golf tournaments around the world.

He once said of his love of the game: "My golf addiction is out of control. I literally want to play from the moment I get up to the time I go to bed."

Gould added: "Hugh is a great supporter of ours; he's done more for us than anyone. He did the introduction for one of our books, which we can't thank him enough for."

Grant and his father have both regularly been to KGS for lessons, and the actor's testimonial takes pride of place on the company's website.

"It is hard to say which of us came to you the worse golfer, but you have done the impossible and turned us from embarrassing into respectable," it reads.

Not everyone who walks through the doors of 47 Lowndes Square has what it takes to improve their game, though.

One pupil especially still has a cherished place in the school's history, even though his inexperienced wielding of a club nearly took out the head honcho.

"Leslie King once had a guy come in who was the only person he told he couldn't help," Gould says. "It was a Maharajah who came down and said he wanted to play golf.

"Leslie stood opposite him and the guy took the club back and swung it round at head height. Leslie had to duck before his head came clean off.

"When asked to have another go, the guy did exactly the same thing, at which point Leslie took the club off him and said, 'I'm sorry, sir, golf is not for you.' "

@highlight

Knightsbridge Golf School has been teaching amateurs and A-listers for over 60 years

@highlight

Sean Connery, Hugh Grant, Christopher Lee and Colin Firth among the pupils

@highlight

Connery learned to play golf before starring as James Bond in the movie "Goldfinger"

@highlight

Situated in the heart of London, KGS was founded by ex-golf pro Leslie King in 1951