London (CNN) -- The people of Sweden are coming to terms with the first suicide bombing on their soil, an attack which stunned the nation and in the words of the country's foreign minister could have been "catastrophic."

Authorities say that only the premature detonation of Taimour Abdulwahab's device likely prevented many others from being killed.

"Fifty, 60, 70 people could have been killed -- this was not amateur hour," Magnus Ranstorp, a terrorism expert at the Swedish National Defense College, told CNN.

The incident did not surprise counter-terrorism experts. "For some time Swedish officials have been worried about a growing threat, both from overseas terrorists and from home-grown extremists within the country," says Michael Taarnby, a Danish terrorism expert, who has extensively researched Islamist militants in Scandinavia.

At the heart of Sweden's unwanted new-found status: cartoons. Three years ago, Lars Vilks published an image of the Prophet Mohammed in a Swedish newspaper. Sweden became an object of jihadist hate, just as Denmark did in 2005 after the publication in a newspaper there of caricatures of the Prophet.

In March of this year, authorities in Ireland and the United States broke up a plot to murder Vilks. One of those allegedly involved was Colleen LaRose, a Pennsylvania woman who identified herself online as Jihad Jane. LaRose has pleaded not guilty to providing material support to terrorists.

In July 'Inspire' magazine, an online magazine by al Qaeda's Yemeni arm, put Vilks at the top of an assassination list. And a few weeks ago al Shabaab, al Qaeda's affiliate in Somalia, released a video in which a Swedish member exhorted Swedish militants to kill Vilks.

These threats follow an audiotape back in 2007 from Umar al Baghdadi, then a senior figure in al Qaeda in Iraq, who promised "a reward of $100,000 for anybody who kills this Infidel criminal. This reward will be raised to $150,000 if he is slaughtered like a lamb."

Baghdadi also called for attacks against Swedish businesses, including Volvo.

There's an ironic twist in the mention of Volvo. Back in the 1970s Osama bin Laden went on vacation to Sweden because an older brother was trying to buy Volvo trucks for the bin Laden family construction company. During downtime, the brothers liked nothing better than to speed through the Swedish countryside in the family Rolls Royce.

And for a long while, Sweden got a pass from international jihadists. In an October 2004 videotape al Qaeda's leader disputed President George Bush's accusation that al Qaeda hated freedom by retorting: "Let him tell us why we did not strike Sweden, for example."

Not any more.

Swedish authorities say e-mails sent by Abdulwahab just before the attempted attack cited Sweden's tolerance of the Vilks cartoon as one of the reasons he was targeting the country. He also said the attack was due to the continued presence of Swedish troops in Afghanistan. Sweden, though not a member of NATO, currently has around 500 troops in Afghanistan assisting the NATO mission.

Investigators are still untangling 28 year old Abdulwahab's path to radicalism. His family left Iraq in the early 1990s and settled in Sweden. In 2001, at the age of 19, he came to England to study and settled in Luton -- a town in southern England identified in a leaked UK intelligence report two years ago as having one of the main concentrations of Islamic extremists in the country.

For many young Muslims in Europe the last decade has been unsettling, with the wars in Iraq and Afghanistan leading to a perception that their religion is under attack. Abdulwahab seems to have subscribed to this view, according to religious leaders at an Islamic Centre in Luton. They said he was unwelcome because of his extreme views.

The Swedish authorities will now be taking a fresh look at radical Islamists in the country. In October Sweden raised its terrorist threat level to "elevated" based on security services' finding that there had been "a shift in activities among certain groups in Sweden, judged to be targeted at Sweden."

Among Sweden's estimated 300,000 Muslims, the vast majority have no time for al Qaeda's extremist message. But a radical fringe has emerged, especially among younger immigrants, and the children of immigrants.

According to Scandinavian counter-terrorism expert Taarnby, the radical extremist fringe is more fragmented in Sweden than in some other European countries such as Britain where a nationwide network of extremists has emerged. But clusters of militants are increasingly on the radar of Sweden's counter-terrorism services. Swedish counter-terrorism sources tell CNN more than 100 are being monitored.

Their attention has focused on an extremist fringe within Sweden's 25,000 Somalis, who have been relatively isolated from the rest of society and are a cause of major concern. A growing number of Swedish citizens of Somali descent have gone to Somalia to join al Shabaab. Just last week two Swedish citizens of Somali descent were sentenced for "planning terrorist crimes" in Somalia.

According to Taarnby more than 20 Swedish citizens are believed by Swedish security services to be fighting with al Shabaab in Somalia. Some have become prominent - like Fouad Shongole, who preached an extremist message in a Stockholm mosque in the early 1990s and once fought in Afghanistan.

Swedes have also traveled to other jihadist fronts in recent years, including Iraq.

A report by Sweden's Intelligence agency due out Wednesday is expected to highlight the domestic threat posed by Swedes who have received terrorist training, according to the Swedish newspaper Aftonbladet.

Several Swedish militants have also made the trip to al Qaeda's safe haven in the Afghanistan-Pakistan border region, according to counter-terrorism officials. In August 2009 four Swedes were arrested by Pakistani security services as they tried to enter the tribal agency of North Waziristan. "Travel to Pakistan is becoming a big concern for Swedish counter-terrorism services," Swedish terrorism expert Ranstorp told CNN.

In another link to Pakistan, Swedish counter-terrorism sources tell CNN that a Swedish militant -- still being monitored by security services in the country -- played a key role in a terrorist network linked to David Headley, an American jihadist, plotting an attack against a Danish newspaper last year. Headley, who says he working with Ilyas Kashmiri, a Pakistani al Qaeda operative, has pleaded guilty to the plot.

Now Sweden's counter-terrorism agencies have another case to investigate. Did Abdulwahab have any help or co-conspirators in Sweden? Where did he obtain the explosives he used in the attack?

"We more or less consider it as a given that he had outside help in some way, at least before he reached the point of execution," a Swedish police spokesman said Monday.

The questions are: who, where and when?

@highlight

First suicide bombing on their soil stuns Swedes

@highlight

For a time Sweden was not a terror target

@highlight

Now analysts say terror is a major concern