(CNN) -- Republican presidential candidate Mitt Romney is attempting to flip attacks on his business record by accusing the Obama administration of shipping American jobs overseas, but experts in the industry he's singling out say the truth is more complicated.

"It's interesting when it comes to outsourcing, this president has been outsourcing a good deal of American jobs by putting money into energy companies that end up making their products outside the U.S.," Romney told an audience in Colorado on Tuesday. "If there's an outsourcer-in-chief, it's the president of the United States, not the guy running to replace him."

It's an attempt at political jujitsu -- or as White House spokesman Jay Carney put it, a jeer of "I know you are but what am I?"

Dems, GOP worlds apart in Washington

A website put up by the Republican Party lists case after case of international companies that received federal money aimed at building up a domestic renewable energy industry or developing electric vehicles. Much of it came from the Obama administration's 2009 economic stimulus bill, and the Romney campaign and the GOP say that taxpayer money created jobs overseas.

"It turns out President Obama is the outsourcer. You certainly won't hear about this from the Obama campaign," Romney spokeswoman Andrea Saul said in an e-mail to reporters.

But the programs the GOP paints as "outsourcing" have contributed to a boom in wind and solar energy projects in particular, according to industry groups and independent analysts. That led to the creation of between 52,000 and 75,000 jobs in the sector between 2009 and 2011, according to an April estimate from the Lawrence-Berkeley National Laboratory in California.

The range reflects some uncertainty about how much of those projects' component parts were made in the United States. That's because there were few American companies manufacturing those components in the last decade.

"You can't outsource jobs that weren't here in the first place," said Russ Choma, an investigative journalist who documented the role of overseas corporations in the federal energy programs in 2010. Choma said the plan was to encourage those companies to locate in the United States, a plan that has worked to some extent.

"You can't just will a manufacturing industry to arise," he said. "You have to create a market for it. The market needs the turbines from somewhere, so they had to go overseas with hopes that it would spur activity here."

Wind-powered electrical production more than doubled between 2008 and 2011, and now represents just under 3% of U.S. generation, Energy Information Administration figures show. The American Wind Energy Association, the agency's trade group, said the number of workers building components for the industry has grown from about 4,000 in 2005 to about 30,000 in 2012. About 60% of wind-turbine components are now made in the United States, up from about 25% in 2005, the trade group said.

Romney draws boos from NAACP, support from conservatives

The GOP website criticizes the fact that employment in the entire wind energy sector has declined by 10,000 despite the federal investment of nearly $9 billion from the 2009 economic stimulus bill. But the industry said that's largely because there are fewer jobs installing wind farms right now, and that the stimulus program saved as many as 40,000 of the 85,000 jobs in the industry at its peak.

Those programs provided tax credits to wind-farm developers, and all those projects "are built in the U.S.," the American Wind Energy Association said.

Choma said the result was a "huge" growth in installed capacity, but fewer jobs than predicted. Other programs haven't been as successful, and the end of the programs in the stimulus bill could bring the renewable energy industry's recent momentum to a "screeching halt," he said.

The "outsourcer-in-chief" attack is Romney's rebuttal to criticism of his business record by the Obama campaign and its allies, who accuse the onetime Bain Capital chief of being a "pioneer" of shipping American jobs overseas. Obama partisans cite reporting by the Washington Post, which published a lengthy piece on Romney's record at Bain in June, but the newspaper's fact-checking column has said the campaign has stretched the paper's findings.

"There is an element here of 'I know you are but what am I?' to this charge, but the facts tell a different story," Carney said Wednesday. He said the stimulus money "went to operations in the Unites States that created jobs for American workers here at home."

Meanwhile, observers like Robert Scott, an economist at the liberal-leaning Economic Policy Institute, say Obama hasn't done enough to crack down on outsourcing.

"There's no question that there's concerns about candidate Romney, that he has outsourced in the past and indicated that he continues to favor tax policies that would subsidize companies that would outsource," said Scott. "On the other hand, Obama has had four years to undertake major steps to reduce our trade deficit. He's done the small things."

CNN Poll of Polls: Dead heat in Obama-Romney race

The administration has come out in favor of shifting tax breaks away from companies that move jobs overseas and toward companies that bring them back to the United States, but those moves have gone nowhere in Congress.

Scott said the Obama administration has stepped up enforcement actions against unfair trade practices by Chinese companies. But it "hasn't taken the big steps" like taking Beijing to task for keeping its currency artificially low, which favors Chinese exports.

Obama, Romney ratchet up back and forth over outsourcing

Romney says he 'expected' negative response

CNN's Brianna Keilar, Adam Aigner-Treworgy and Matt Smith contributed to this report.

@highlight

Romney campaign attacks stimulus funding for overseas energy companies

@highlight

But that's where the products were, one observer says

@highlight

Wind industry says those programs fueled a boom that created American jobs

@highlight

Both Romney and Obama are weak on outsourcing, a liberal economist says