(CNN) -- Incredible architecture and art are splendid and interesting enough but when I go to Italy, I want to eat.

Which is why, after a dozen trips to the country, I decided to settle into the city of Bologna for a few weeks and consume as much as I possibly could.

Now, every Italian will tell you that their region makes the best food. But for many, the best Italian food comes from the region of Emilia-Romagna, of which Bologna is the capital. Meat ragu, tortellini, lasagna, parmigiano cheese, mortadella, coppa and balsamic vinegar -- all have roots here and the resulting regional dishes are truly sublime.

Through dozens of meals at dozens of restaurants, I compiled this one-day dining guide to the culinary and sensory overload that is Emilia-Romagna. The only two requirements? Bring extra cash and arrive hungry. Really hungry.

Eat Like a Local: Share your favorite spots for superb regional eats

A light, social start

The Italian breakfast or colazione, is much lighter than the American version. It involves a simple coffee and a pastry, often filled with custard, cream or chocolate. My Italian friends, Odette and Mauro Messori, took me to their favorite breakfast stop one morning.

For four years, every single day, the Messoris have walked 15 minutes downtown to the Fashion CafÃ© (Via Massimo D'azeglio 34). This modern and unusual version of the typical Italian coffee shop is situated inside a bookstore. Mauro peruses books and orders his daily macchiato while Odette prefers a frothy and creamy cappuccino estivo.

"Le gente," or the people, however, are what Mauro loves most about his breakfast stop. In Italy, breakfast is more a social event than anything else, where you catch up with friends and start the day with hugs, handshakes and small talk. Pastry and coffee is more of an afterthought, but a really tasty one.

I also stumbled upon a wonderful coffee bar during my stay, called Le Petit CafÃ© (Strada Maggiore 25), just a few minutes walk east of downtown. The coffee is excellent and prepared with great care, made better with a slice of fresh bread topped with a dollop of locally made marmellata. Delizioso.

The real eating begins

Lunch in Italy was once regarded as the most important meal of the day. Now, as the cities and towns modernize and more of the younger people are working in offices rather than the fields, lunchtime has become less complex and time consuming. Unless of course, you're a tourist like myself and want to eat till your belly extends and your breath shortens. If that's the case, many restaurants still oblige.

One such restaurant is All'Osteria Bottega (Via Santa Caterina 54), about a 20-minute walk from downtown on a quiet unassuming street. Plan to take your time here and arrive ravenous.

My friend Vanessa and I ordered a regional white wine and enthusiastically awaited our antipasti: homemade pickled vegetables in olive oil which were perfectly balanced and not too acidic. Next arrived the famous Culatello di Zibello or regional Parma ham aged for one year along the Po River -- an area whose winter fogs and humid summers make the air unlike any other in the world, plus the local Parmigiano Reggiano cheese, aged 30 months. To taste the finest parmigiano cheese is not understood until tried, savored.

Vanessa's stuffed zucchini with meatballs evoked memories of how her own Italian grandmother used to cook, while my freshly made rigatoni with a white ragout of small sausage meatballs, cannellini beans and rosemary was by far the most memorable pasta experience I had in Emilia-Romagna. You just can't believe food can taste this good. (Delicious local dishes tortellini in brodo and tagliatelli al ragu are also on the menu here.)

Satiated, we passed on a second course in exchange for the hot chocolate cake with red currants. One fork piercing elicited a liquid chocolate so good I couldn't speak. I just about licked my plate clean, like any good Italian.

An irresistible snack

Get up slowly. With a satisfied lethargy, walk along the pretty porticoes that are the backbone to this cosmopolitan city. After 30 minutes or so, I like to think you've walked long enough to deserve a gelato.

Dating back to the 16th century in Italy, gelato is made primarily with milk rather than cream, giving it a lower milk-fat content than ice cream. It's denser than American ice cream with less air whipped into it, which intensifies the flavors.

Stefino Bio is an innovative gelato shop, situated on Via Petroni close to the University, that uses all organic ingredients. Their specialties include chocolate and pistachio-based flavors. Try the wasabi gelato or chocolate with ginger.

To eat more at this point seems almost inconceivable, but it's amazing what a late day leisurely stroll and an espresso can do. You sit down to rest in a pretty piazza, the stomach growls slightly and your next thought appears with an anxious, slow smile, "Time for dinner!"

One more delicious meal

"To give is to receive," is the mantra followed by the owner of Ristorante da Fabio, a cozy family-run restaurant that's located in the Castiglione area. Gluttons find true bliss here as dishes are brought out in succession, delivered in big, family style bowls. If any meal felt like an Italian feast, it was this dinner.

Mozzarella di bufala, ricotta cheese, crusted bread, liver pate, baked tomatoes with cheesy breadcrumbs, celery salad, grilled eggplant, braised endive, roasted zucchini, mortadella, prosciutto ... Yes, we ate all of that, and that was just the antipasti.

Great Italian food forces you to stop and take your time. We savored every bite, paused for audible and elongated 'mmmms,' and pressed on with mushroom risotto and fettuccine with pumpkin and pancetta. Both dishes reminded me that if you take deep breaths, you might make room for a little more. We drank, ate, drank, ate and finished our plates. Breathe ...

In Bologna, you can get around quite well with English. But it is wise to learn a few words and phrases, like "Basta" (stop) "Sono piena" (I am full) or "No ce la faccio piu" (I can't take anymore).

Feast in all these restaurants in just one day and you'll be repeating every one of these phrases. But the peculiar thing is, you'll head home, have a good slumber, wake up and want to do it all over again. Pasticcini anyone?

Follow CNN Travel on Twitter @CNNTravel

Pamela Berger writes daily about southern artists and home design on her blog, Sweet Peach.

@highlight

Emilia-Romagna's rich local ingredients have earned the region high praise in food circles

@highlight

From a simple cappuccino to a perfectly prepared pasta dish, Bologna holds many pleasures

@highlight

Visitors to the region should learn a few key phrases to keep from vastly overindulging