(CNN) -- As regulations tighten in Europe and the world's wealth moves to Asia, Singapore is tipped to overtake Switzerland to become the largest global offshore wealth center in terms of assets by 2020, according to London research firm, WealthInsight.

Although Switzerland easily retains its offshore banking crown with $2.8 trillion in assets under management, or 34% of the global private banking industry, Singapore is now the world's fastest growing market with $550 billion under management at the end of 2011, up from just $50 billion in 2000.

With $450 billion belonging to offshore clients, Singapore has grown to become the fourth largest offshore banking center globally.

The UK and Channel Islands is the world's second largest hub with $1.8 trillion under management at the end of 2011, followed by the Caribbean and Panama with $800 million.

A loss of confidence among wealthy American and European investors in bank secrecy laws and independence in traditional banking hubs, combined with increasingly stringent banking regulations, are playing in Singapore's favor, analysts say.

"A lot of the benefits of being in Switzerland have fallen away in terms of secrecy, therefore if you look at a convenient market, particularly for a wealthy Asian individual, Singapore fits the bill," said Chris Wheeler, a bank analyst with Mediobanca.

"It's got a stable government, transparent legal system, a history of investment management, having English as the first language is really very helpful and therefore it's the obvious place to go to."

The increasing numbers of wealthy Chinese, Indians and Indonesians are helping fuel the shift to low-tax Asian centers, according to the report, with Hong Kong in a strong position to benefit from the Chinese government's moves to free-up international trade in China's yuan and the growing number of Chinese millionaires looking for a safe place to invest their money.

European currency movements have also contributed to the shift, with the value of the Swiss Franc rising more than 20% against the U.S. dollar last year due to ongoing concerns over Europe's debt crisis.

"The European crisis undoubtedly has had a big impact on Switzerland because all the European nations now are looking to get back as much as tax as they possibly can from anywhere, and anyone," said Wheeler.

"We've seen Switzerland fall away as a secret cross border location and just become somewhere which is convenient to put your money with a reasonably good tax rate."

Many investors in the Asian markets prefer to invest offshore for risk diversification, or are forced to look overseas due to a lack of experienced and reputable wealth managers in their home markets, according to the report.

Assets under management in Singapore could quadruple by 2016 as a result, while offshore assets in Swiss bank accounts are predicted fall by nearly a third to below $2 trillion in the next three years.

CNN's Isa Soares contributed to this report.

@highlight

Singapore tipped to become largest offshore wealth center in terms of assets by 2020

@highlight

Market leader Switzerland is losing its gloss due to tighter banking regulations

@highlight

Growing numbers of wealthy Asians are looking for banking hubs closer to home

@highlight

Singapore managed $550 billion of assets at end of 2011, up from $50 billion in 2000