(CNN) -- "Free at last! Free at last! Thank God Almighty, I'm free at last."

I was not yet 4 when the Rev. Martin Luther King Jr. spoke those words. It has been 50 years. So much has changed. And yet...

I am not a little girl. I don't live behind two sets of railroad tracks in the poor black section of town.

But I'm still a mediator. I'm still an optimist. I still believe in sharing. I still love the garden. So I guess there's still a little bit of that little girl in me.

Our country has changed. It seems almost superfluous to list the progress we've made when it comes to integration and equality. And yet...

There are incidents -- events -- tone-deaf statements that serve as constant reminders of the inequalities and injustices we must still struggle with. These are often overlooked, or misread, or used as "red meat" to stir strong partisans with fear and loathing.

5 faces of the March on Washington

By "we" I don't mean just blacks, or Hispanics, or women -- or any group you care to name. We are in this together. Or should be. Each of us has something to contribute. And each of our groups has something to contribute. But still... E Pluribus Unum: Out of the many, one.

And so I come back to the March on Washington -- the date chosen to coincide with the hundred-year anniversary of the Emancipation Proclamation.

The struggle for true emancipation -- economic equality, political freedom, societal access, education, the right to vote, etc. -- has been long and arduous. That we have come a long way, we must acknowledge. And the sacrifice of so many who believed America could live up to its promise, we must honor.

As tens of thousands of Americans gather in Washington to commemorate the 50th anniversary of the historic 1963 March on Washington, we must embrace the changes that we've made together.

In 1963, Martin Luther King Jr. said the Constitution and the Declaration of Independence were "promissory notes" to every future American, but that "America has given the Negro people a bad check which has come back marked 'insufficient funds.' But we refuse to believe that the bank of justice is bankrupt. ... So we have come to cash this check -- a check that will give us upon demand the riches of freedom and the security of justice."

At March on Washington: The anger, fear, love and hope

Five years later he again spoke of the "promissory note," this time quoting Emma Lazarus: "We are going to bring the tired, the poor, the huddled masses. We are going to bring those who have known long years of hurt and neglect." King's last campaign was the "Poor People's Campaign," because, as he argued in one of his sermons, "If a man doesn't have a job or an income, he has neither life nor liberty nor the possibility for the pursuit of happiness."

I think it's important to remember that civil rights and economic rights are mutually dependent. I mean this in two ways. First, as King expressed it:

"Oh America, how often have you taken necessities from the masses to give luxuries to the classes. ... God never intended for one group of people to live in superfluous inordinate wealth, while others live in abject deadening poverty."

I want to make sure we understand that not only are race and economics intertwined, but also that economics changes the political equation. For instance, the 1963 March on Washington called for "a massive federal public works program to provide jobs for all the unemployed" and spoke of the "twin evils of discrimination and economic deprivation."

The only class MLK ever taught

We see this truth played out in the politics of today -- whether the discrimination is against blacks, Hispanics, women, the poor, elderly, LGBT or any other group. We find that political emancipation both requires and demands economic emancipation.

And economic emancipation, in turn, depends more and more on educational emancipation.

As Lee Sigelman and Susan Welch report in their book, "Black Americans' Views of Racial Inequality: The Dream Deferred," the "gradual growth of the black middle class, the increase in the number of elected black officials at all levels of government, the growing presence of African-Americans in prominent positions in business and the arts, and the rise in the political and economic prominence of members of other ethnic groups along with women of various races and ethnicities, all have presumably propelled and reinforced the growth of more favorable attitudes toward African-Americans."

A King daughter's long journey

In other words, if we look back on the last 50 years, we have to not just admit, but agree that we have moved closer to the realization of the true American dream, as articulated by King: "I have a dream that my four children will one day live in a nation where they will not be judged by the color of their skin but by the content of their character."

The opinions expressed in this commentary are solely those of Donna Brazile.

@highlight

Tuesday is the 50th anniversary of the historic 1963 March on Washington

@highlight

Donna Brazile: The struggle for true emancipation has been long and arduous

@highlight

She says political emancipation both requires and demands economic emancipation

@highlight

Brazile: In 50 years, we have moved closer to the realization of the true American dream