(CNN) -- Consider it the taxonomist's equivalent of a People magazine's Most Beautiful List.

An international committee made up of scientists and related experts has announced its top 10 of nearly 18,000 new species named in the previous year, according to a news release from the International Institute for Species Exploration, part of the State University of New York's College of Environmental Science and Forestry.

The alphabetical list was launched in 2008 and is released each May 23, the birthday of 18th-century Swedish botanist Carolus Linnaeus, who is considered the father of modern taxonomy. It is "a way to call attention to species that are going extinct faster than they are being identified," the institute said in the release.

Scientists believe 10 million species await discovery, five times the number that are already known to science.

The Top 10 New Species of 2014

Olinguito (Bassaricyon neblina)

Location: South America

This small mammal with fluffy red-orange fur, a short bushy tail, and an adorable, rounded face has leapt onto the raccoon family tree. Last summer, Scientists at the Smithsonian Institution in Washington announced the discovery of a new species of mammal called the olinguito (pronounced oh-lin-GHEE-toe) -- the first mammalian carnivore species to be newly identified in the Americas in 35 years, according to Kristofer Helgen, curator of mammals at the Smithsonian's National Museum of Natural History.

Previously, scientists had assumed that olinguitos were members of their sister species, the olingos, Helgen said in August when the discovery was announced. Olingos are larger, less furry and have longer faces than the newly discovered species.

Researchers say the olinguito primarily eats fruits, but also insects and nectar, and its activity is mostly at night. The animal lives in the trees and can jump from one to another. At about 2Â½ feet long from nose to tail, the olinguito weighs about 2 pounds and is a little smaller than a house cat. The olinguito's misty, high-elevation habitats in Colombia and Ecuador, and the tendency for the animal to stay in the trees, helped keep the species relatively obscure to scientists previously, Helgen said.

Kaweesak's Dragon Tree (Dracaena kaweesakii)

Location: Thailand

With its significant height and trunk diameter and multiple branches, it's hard to believe that the Dracaena kaweesakii went undiscovered until now. The species, a relative of the Canary Island dragon tree, was identified on the limestone hills and mountains of Thailand. Cream-colored flowers with bright orange filaments bloom from the tree. Because of the low number of plants -- about 2,500 -- scientists believe the tree is endangered.

ANDRILL AnemoneI (Edwardsiella andrillae)

Location: Antarctica

Scientists with Antarctic Geological Drilling Program (ANDRILL) were studying ocean currents under Antarctica's ice shelf. Setting out to test a camera-equipped robot, they discovered the Edwardsiella andrillae actually living in the ice. The sea anemones are less than an inch long and have between 20-24 tentacles that protrude in the chilly waters. While Antarctica is full of variations of sea anemone, these are the only known to actually live in the ice and it's still uncertain how they are able to withstand the harsh conditions in which they live.

Skeleton Shrimp (Liropus minusculus)

Location: California

The Libropus minusculus gives whole new meaning to "popcorn shrimp," though the skeleton shrimp likely won't be showing up on any seafood buffets any time soon. The male measures just 3.3 millimeters (about an eighth of an inch) and the female is even smaller -- just 2.1 millimeters. The translucent crustacean was collected from a cave on Santa Catalina, off the coast of Southern California.

Orange Penicillium (Penicillium vanoranjei)

Location: Tunisia

This "new fungus among us," is bright orange when produced in colonies. The fungus was identified in a journal published by the National Herbarium of the Netherlands, and was named as a tribute to the Dutch royal family, specifically His Royal Highness the Prince of Orange. This new species "was isolated from soil in Tunisia," the release said.

Leaf-tailed Gecko (Saltuarius eximius)

Location: Australia

You might have to look hard for this gecko. Not only was it discovered in an isolated rainforest in the Melville Range of eastern Australia, but its long, slender body, short head and spotted coloring help the creature stay hidden in the rocky terrains where it lives. Despite its characteristically "leaflike" wide tail, which also serves as camouflage, the gecko only measures around 4 inches long. The Saltuarius eximius tends to sit and wait for its prey and usually comes out at night.

Amoeboid Protist (Spiculosiphon oceana)

Location: Mediterranean Sea

At 4 to 5 centimeters in length (1Â½ to 2 inches), the Spiculosiphon oceana is one of the largest unicellular organisms in the Mediterranean Sea. The body of the creature is stalklike, expanding to a bulb with spicules, like microscopic tentacles, that absorb food like a sponge. The Spiculosophon oceana lives off the southeast coast of Spain in underwater caves.

Clean Room Microbes (Tersicoccus phoenicis)

Locations: Florida and French Guiana

In an effort to prevent unauthorized earthly organisms from making their way into space, NASA makes every effort to disinfect rooms where spacecraft are assembled. Yet, it was in two of these "clean rooms" -- 2,500 miles away from each other -- at Kennedy Space Center in Florida and European Space Agency in French Guiana -- where the microbial species Tersicoccus phoenicis was discovered. The berry-shaped bacteria can withstand stresses such as drying, chemical cleaning, ultraviolet treatments and lack of nutrients, and also show elevated resistance to spacecraft sterilization methods such as heating and peroxide treatment.

Itsy bitsy dinosaur was T. rex cousin

Tinkerbell Fairyfly (Tinkerbella nana)

Location: Costa Rica

Don't let the name fool you -- while Tinkerbella nana evokes images of Peter Pan's angelic fairy friend, this species, found in rainforests of Costa Rica, is the newest member of the wasp family. Tinkerbella nana measures 250 micrometers (0.00984 inches) long, just 2.5 times the width of a human hair. Dr. John Noyes, one of the scientists who made the discovery, called finding the insect "the equivalent to finding a solitary needle in 200 haystacks."

9 places on Earth we know very little about

Domed Land Snail (Zospeum tholussum)

Location: Croatia

The land snail was found nearly 3,000 feet below the surface of the Lukina Jama-Trojama caves. Its nearly translucent shell gives the animal a ghostly appearance, the release said, and the species doesn't have eyes. At just 2 millimeters in length, this "slower than a snail" snail may cruise the water currents or take a ride atop a bat or a cricket to get where it's going, scientists believe.

Rare goblin shark caught

CNN's Elizabeth Landau contributed to this report.

@highlight

International Institute for Species Exploration lists its annual top 10 news species list

@highlight

The announcement coincides with the birthday of taxonomy pioneer Carolus Linnaeus

@highlight

Nearly 18,000 new species were named in 2014, according to