Belfast, Northern Ireland (CNN) -- Senior police officers failed to pursue extensive intelligence that indicated a Catholic priest was involved in one of Northern Ireland's worst terrorist attacks, an independent report concluded Tuesday.

Nine people died and 30 were wounded July 31, 1972, when three bombs went off in the town of Claudy, in County Londonderry. The first was a car bomb that had been parked outside a local pub. Minutes later, bombs exploded outside a post office and a hotel, according to Irish state broadcaster RTE.

No one was ever charged in the case, but there have long been suspicions that a Catholic priest was involved.

Tuesday's report was issued by the Police Ombudsman for Northern Ireland, an independent body that investigates complaints against the police.

The report found that, rather than acting on the information about the priest's possible involvement, the police sought the government's help in dealing with the Catholic Church. The police then accepted the government's "understanding" that was reported back to them, the report found.

"The consequence of their acquiescence was that the investigation was further compromised," wrote Al Hutchinson, the police ombudsman. "The decision failed those who were murdered, injured, and bereaved in the bombing. The police officers who were working on the investigation were also undermined."

The priest at the center of the controversy was identified by the report as Father James Chesney, who died in 1980.

According to the ombudsman's investigation, police had "extensive intelligence" after the bombing from which they concluded Chesney worked for the Irish Republican Army as its regional director of operations. Police also knew of allegations he had been directly involved in both the Claudy bombings and other terrorist incidents, the report found.

That should have led the Royal Ulster Constabulary (RUC) -- the police force in Northern Ireland at the time -- to pursue further investigation that could have either implicated or cleared the priest, the report said.

A detective wanted to arrest Chesney in the months after the bombing, but an assistant chief constable turned down that request, the report found. That senior officer then suggested to the government that it hold a meeting with Catholic officials about the issue.

A government official wrote to the RUC in December 1972 to say the secretary of state for Northern Ireland met with Cardinal William Conway to express "disgust" at the priest's behavior, and that the cardinal said he knew the priest was a "very bad man."

The cardinal promised to see "what could be done" about the priest, including a possible transfer to another parish.

Then-chief Constable Graham Shillington wrote back to say only that he had seen the letter about the meeting and preferred a transfer.

Chesney was moved to a parish in the Republic of Ireland in late 1973. Church records indicate that when questioned by his superiors, Chesney denied involvement in terrorist activity, the report said.

As a result of the way police handled the case, the report said, the priest's denials were never tested.

Hutchinson, the ombudsman, said the decisions made by those in charge at the time have to be considered in the context of the time. He said 1972 was one of the worst years of violence in Northern Ireland and the arrest of a priest could have aggravated the security situation.

Without more information about why the police failed to follow up the leads, however, Hutchinson said their actions look like a collusive act.

"The key police decision-makers referred to in this statement are deceased," he said. "Had they been alive today, their actions would have demanded explanation, which would have been the subject of further investigation."

The report found no evidence of criminal intent on the part of any government or Catholic official. It also found no evidence that the police had information that could have prevented the bombings.

In a joint statement, Cardinal Sean Brady, Archbishop of Armagh, and Bishop Seamus Hegarty said they accepted the report's findings and conclusions. They said the church had made all known material available to investigators.

"Throughout the Troubles (the 30-year period of violence in Northern Ireland), the Catholic Church, along with other churches in Northern Ireland, was constant in its condemnation of the evil of violence," they said. "It is therefore shocking that a priest should be suspected of involvement in such violence.

"This case should have been properly investigated and resolved during Father Chesney's lifetime. If there was sufficient evidence to link him to criminal activity, he should have been arrested and questioned at the earliest opportunity, like anyone else. We agree with the police ombudsman that the fact this did not happen failed those who were murdered, injured and bereaved in the bombings."

They appealed for any information about other suspects in the case.

"Father Chesney is dead and, as a suspect in the Claudy bombing, he is beyond the justice of earthly courts," they said. "Clearly a number of people were involved in the planning and carrying out of this terrible atrocity, some of whom may still be alive. Those bereaved and injured deserve to know the truth. We appeal to anyone who has information in relation to this horrific crime to provide it to the Police Service of Northern Ireland."

The RUC became the Police Service of Northern Ireland (PSNI) in 2001.

The ombudsman began its investigation in late 2002 after the PSNI said the RUC had information that a priest was an active IRA member and had been involved in the Claudy bombings

@highlight

The bombing in Claudy killed nine people and wounded 30

@highlight

No one was ever charged in the case

@highlight

There have long been suspicions that a priest was involved