Hong Kong (CNN)During an exhibition in Hong Kong, Lee Ching proudly poses with her top prize winning creation -- a bright green clutch stitched together using an old nylon rice bag and a bottle top.

The 31-year-old Lee happily shows off her winning display, telling visitors how much fun she had making the bag with her partner, a local design college student.

"The hardest part was sewing the bottle cap on," she said. "I researched different types of bags. Sometimes you need a bigger bag if you want to put more things inside."

Walk around the room and the exhibition is full of discarded items -- wine boxes, CD covers and straws -- now reborn as pen holders, notepads and lamps. In a sense, Lee and the 15 or so people involved with the project have been "neglected" in one way or another by Hong Kong society, all of these people have struggled to get by because they all have intellectual disabilities.

Despite the pride she has for her daughter, Lee's mother worries about her.

"Her character is too simple and warm. I'm worried she will get hurt and sometimes she has to be careful about what she says."

People living with Down Syndrome are often stuck with menial jobs. But this exhibition -- run by the local Salvation Army -- gave Lee and others the chance to learn a new skill, partner with a local student to reinvent "trash" into treasure -- all in an effort to raise disability awareness.

In Chinese superstition, people with disabilities have been associated with bad luck -- that the disability was a punishment for the wrongdoings of an ancestor. Many lived in hiding, encountering discrimination and slurs, advocates say. But increasingly, people are finding ways to counter misconceptions and bring people with disabilities into the mainstream.

It's an experience that Heidi Hui, a social work professor at the University of Hong Kong and mother of a daughter with Down Syndrome, knows well.

Hui explains that traditionally disabled people are seen as "an outcast, something [that is] no good."

"There is a Chinese saying that it must be the family who is doing something wrong... in the older days they were saying that it's a kind of punishment."

Hui recalled that when she and other parents of children opened their first center for the Down Syndrome Association more than 20 years ago, the windows were broken and they couldn't use the elevator because neighbors didn't want them there.

The group responded by holding workshops with residents to explain and dispel myths about Down Syndrome. A few years later, the group was finally allowed to use the elevator and the workshops no longer became necessary.

Although information about disability is now widely available, some of that stigma exists today.

Catrin Anderson is a 15 year-old with cerebral palsy who requires round-the-clock care.

She can't move but she can see and hear. She often has to deal with strangers talking about her in front of her.

Her mother Kim Anderson, originally from Britain, said: "The difficult thing with Catrin is that if she is in company and people are talking about her, she's understanding everything they're saying."

To combat this problem, she made a sign in English and Chinese telling people she can see and hear.

For Anderson, the key to change in attitudes is integration.

"That's maybe what we're still not doing enough of in Hong Kong, maybe in schools and getting people like Catrin... out and about in society, because until they're in society, society is not going to fully understand or appreciate them."

The Census Department estimates that about 10% of the city's population has physical or intellectual disabilities, based on on figures from 2014.

At another photo exhibition featuring people with disabilities, Calib Lee, a 19-year-old with Down Syndrome, strikes a Taekwondo pose in his green belt.

His father, Peter Lee said he believes attitudes are changing.

"More and more people with disabled child or children, [the parents] will take them outside to encounter the whole world, let them learn, let them go to school and not just hide the disabled child or children in Hong Kong. Nowadays, more and more parents love or like to do that."

Frank Freeman photographed Lee and other young people with Down Syndrome as models for his exhibition entitled "The Purest People." He photographed young people showing off their hobbies such as acting, dancing and swimming.

There have been efforts around the globe to be more inclusive of people with Down Syndrome, including Target ads in the United States featuring child models and a TV ad by British department store, Marks & Spencer's.

Two years ago, Freeman started volunteering with the Down Syndrome Association and realized part of the problem was that people didn't know how to talk to those with the condition and that they were often treated as patients, instead of people.

He said that the aim of the exhibition was to show a more playful side of people with Down Syndrome.

"They just want to love and be involved in making people happy," he said.

@highlight

Hong Kong exhibits attempt to bring awareness of people with disabilities

@highlight

People with disabilities and advocates counter cultural superstitions