(CNN) -- Given the country's aviation boom and pilot shortage, you might think this would be a good time to be a pilot in China.

According to an open letter from pilots making the rounds on Chinese media, however, major issues within China's cockpits may eventually "threaten flight safety."

Signed by dozens of Air China pilots last month, the letter criticizes unfair salary structures between Chinese and foreign pilots and complains about what the pilots call the airline's "blind expansion" policy and a "destructive usage" of pilots.

The letter, whose authenticity CNN has not been able to independently verify, says that overwhelming demands on local pilots and more favorable treatment of foreign pilots is leading to extreme friction among flight crews and an unbearable work environment.

The Chinese pilots say they're hoping a new leave policy will be implemented, given that the current workload has left their physical and mental health "severely damaged."

Headquartered in Beijing, China's national flag carrier operates more than a thousand flights on peak travel days according to the airline's official company profile, and employs 3,700 flight crew, according to the Hong Kong-based South China Morning Post.

Demanding equal pay

Unequal pay and unfavorable treatment of local employees compared with expat hires is a major point of contention in the letter.

"[Foreign pilots] do not have a higher skill or standard compared to us, and are not able to enhance the overall technical skill of the airline," says the letter, claiming foreign pilots enjoy more days off, easier flight routes and much larger salaries than their Chinese counterparts.

"The sense of superiority in the bones of white people, plus unfair payments, has made the relationship between Chinese and foreign pilots intense, extremely unhelpful to cockpit management and will eventually threaten flight safety," says the letter, which has since mostly disappeared from Chinese news and social media web sites.

The letter was initially picked up by local newspapers, but has not been featured in the national (state-run) media.

While Boeing and Airbus have established pilot training schools in China and other Asian countries, the demand for pilots is so high that it's difficult for many Asian airlines to keep up.

A Boeing report published in August 2013 predicted that the global explosion in demand for air travel -- mostly in the Asia Pacific region -- will require 192,300 new pilots by 2032.

The report forecast that a staggering 40% of that demand -- 77,400 pilots -- will come from China.

In recent years, Chinese airlines seeking quick solutions to pilot shortages have recruited foreign pilots with high salaries and enticing benefits packages.

Although Air China declined to comment to CNN for this story, current job postings appear to confirm a wide discrepancy between salaries paid to Chinese and foreign pilots.

A current recruitment posting on Aviationjobsearch.com by Air China for a foreign A330 captain lists a starting salary of $204,000.

Meanwhile, Chinese financial news site Yicai (link in Chinese) reports that a local Air China pilot makes approximately $96,000.

Can't quit

The report states that Air China pilots receive the lowest salary in China among nationalized and private airlines in terms of hourly wage.

It's not just salary discrepancy that Air China pilots are unhappy with.

Even when they wish to resign, Chinese pilots are prohibited from quitting, say Air China pilots in the letter.

In China, pilots resignations must be approved by airlines, as pilots are considered assets too expensive to lose due to expensive training paid for by airlines.

Chinese courts typically side with the airlines in such disputes, sometimes forcing pilots to pay exorbitant fines in order to resign.

@highlight

To meet pilot shortage, Chinese airlines pay foreign pilots higher salaries than Chinese pilots

@highlight

Air China pilots are protesting unfair treatment

@highlight

Burdensome work shifts have left pilots' health "severely damaged," says open letter from pilots

@highlight

Tension among flight crews will "eventually threaten flight safety," claim pilots