Finnmark, Norway (CNN) -- Millions of people know Clement Clarke Moore's poem "The Night Before Christmas," written in New York in 1822 and believed to describe Santa's mode of transportation, a reindeer-driven sleigh, for the first time. But Santa's reindeer have a story and a history all of their own, one tied to the oldest indigenous culture in Northern Europe and accelerated by an American entrepreneur whose principal intention was not delighting children around the world, but creating an appetite for what he hoped would become a mealtime staple as ubiquitous as beef.

For thousands of years here in the snowy Arctic of northern Norway, reindeer have been a symbol and a way of life for the Sami, Northern Europe's oldest surviving indigenous people, spanning parts of Norway, Finland, Sweden and the Kola Peninsula of Russia, in an area that is known as Sapmi. (They are also called Laplanders.) About 10 percent of Samis still herd, with the bulk of the reindeer population found in Kautokeino and Karasjok, Norway, where even today the reindeer are herded up into the mountains for the long winter and brought down again in spring.

The Sami are some of the most tenacious people on earth -- the cowboys and cowgirls of the tundra, deeply in tune with nature and able to deftly move and guide huge herds of animals during brutal winters over vast expanses. To many, there are no better herders in the world.

Reindeer first came to Alaska, via Siberia, through the work of an Alaskan missionary named Sheldon Jackson. In the mid-1800s, many Inuit were starving due to the commercial overfishing of whales, the core of the Inuit diet, for whale oil. Consumed with the idea finding an alternative food source for this culture, Jackson turned to the idea of reindeer herding and husbandry.

Thanks to Jackson's lobbying, the U.S. government agreed, appropriating funds to support seeding the plan by knowledge transfer of expert herders to the Inuit, starting with a short-lived attempt with Siberians, and later, the Sami. And so in 1898, more than 100 Sami reindeer herders and their families, and nearly 600 reindeer, made the passage from the north of Norway to the United States, ending up in Alaska to introduce reindeer herding, Sami style, to America.

While reindeer are at the heart of traditional Sami culture, the idea of a jolly, gift-giving Santa Claus flying around with his herd has no part in their history or tradition. The two ideas collided in popular culture via a businessman in Alaska named Carl Lomen. When the reindeer came to Alaska and began to flourish, Lomen, a native of Minnesota, saw the commercial, mass-market possibilities of reindeer meat and fur for the United States and sought to promote it aggressively.

Lomen was as much a clever marketer as a businessman, and in 1926 he conceived, along with Macy's department store, a promotional Christmas parade led by Santa, his reindeer, a sleigh and several Sami herders in their vibrant traditional dress.

Eventually, similar parades were held in cities around the country, and a meme was born. Lomen is said to have further accelerated his marketing efforts by planting fake children's letters in local newspapers, the fictitious children asking for Santa and his reindeer to visit their towns.

In the 1920s, the Lomen Reindeer Co. owned more than a quarter-million reindeer, and Lomen became known as "the reindeer king." But reindeer meat never took off in America for many reasons, most notably pressure from the cattle lobby and changes in laws about who could own reindeer in the U.S. -- the right eventually going in 1937 to indigenous American cultures, excluding even the Sami. (The law was reversed 60 years later.)

Lomen's company was forced out of the reindeer business as a result, but his marketing efforts unleashed a worldwide obsession with Santa and created a common narrative now known around the world, and even elaborated on: Rudolph, the most famous reindeer of all, was not based in mythology or literature stemming from an indigenous culture, but was instead concocted as a character in a coloring book distributed in 1939 by the now-defunct Montgomery Ward department stores.

As a Sami descendant, I became curious about the origin of Santa and his gang of reindeer last year on the Arctic tundra, where I experienced firsthand how difficult it can be to rig up even one reindeer. Forget flying. As beautiful and majestic as the reindeer are, they can be skittish, and the idea of rigging eight together and making forward progress seemed ambitious, even in a children's poem.

For a sled, only one reindeer is the Sami tradition, but sometimes more are used when pulling supplies. I've queried many herders about the feasibility of eight reindeer -- it is possible in the right hands, but not common. And these days in Sapmi, the snowmobile has replaced the reindeer for transportation purposes, anyway -- something Santa may want to consider.

The opinions expressed in this commentary are solely those of Laura Galloway.

@highlight

Reindeer are a way of life for the Sami people of Northern Europe, says Laura Galloway

@highlight

An Alaskan missionary helped bring reindeer to North America in the 1800s, she says

@highlight

Galloway: In the 1920s an American businessman tried to popularize reindeer meat

@highlight

His marketing campaign helped create the indelible image of Santa and reindeer, she says