(CNN) -- There are indications that the man believed to have killed the head of the Colorado prison system this month may have been released from prison early because of a clerical error.

Evan Ebel entered the Department of Corrections in February, 2005, sentenced to three years in prison on robbery and menacing charges. In June 2005, facing more charges, Ebel was sentenced to eight years for assault and three more years for menacing, both concurrent to the original sentence, meaning he could get out in eight years total, in 2013.

While Ebel was in prison, he assaulted a prison guard.

CNN affiliate KUSA in Denver says it has copy of Ebel's plea agreement from 2008, for that attack. The station broadcast on Friday an enhanced portion of the document, which states, in part, "The parties stipulate to a sentence capped at four years in the Department of Corrections to be served consecutively to any sentence the defendant is presently serving or has yet to serve."

That word "consecutively" should have added four years to the end of the sentence, so Ebel couldn't get out until 2017.

But something apparently got lost in translation. By the time the court order, or mittimus, reached the Department of Corrections, it did not specify whether the latest four-year assault sentence should be concurrent, or consecutive.

"The deal I made is it was consecutive," Bryan L. Hunt, who prosecuted Ebel as the deputy district attorney in Fremont County told CNN. "Is there any way it could be automatically changed without me being involved? I don't know of any. Any changes for good behavior reduction would be the jurisdiction of DOC, not me. Once somebody is committed to the DOC, then the exact aspects of the sentence are in the jurisdiction of the DOC."

"There's very strict case law," corrections department spokeswoman Alison Morgan told CNN on Saturday. "We're not bound by the plea deal. The Department of Corrections is bound by the court order, bound to follow what's directed on the court order. If the court order is silent (does not explicitly say 'consecutive'), we're required to treat it as concurrent."

Questions, speculation

Noted Denver-area attorney Scott Robinson, who represented Ebel in four cases from 2003 to 2005, but didn't speak to him over the past eight years, told CNN he could not know what happened until he sees a transcript of the sentencing hearing.

But it's easy to imagine a scenario where "a very small clerical error, compounded by understandable judicial oversight, ended with disastrous consequence," he said.

"We know there's a written plea agreement signed by Hunt and a deceased public defender. It clearly states 'consecutive' but doesn't say consecutive to what," he said, after reviewing the documents in KUSA's possession. "It doesn't mention prior cases. It should have mentioned consecutive to which prior charge."

Robinson said usually one clerk types up the "minute orders," which is the in-court record of the judge's oral orders, and a clerical error could happen then. Next, sometimes the same clerk, but often a second clerk, who may not have been in the courtroom, types up the mittimus, the formal court order that directs corrections offers to commit someone to prison, and something could get lost in translation there.

"He may or may not read them'

Robinson said a mittimus order has a place for the judge to sign it, so clerks prepare them and a judge signs them, and that's the next time a clerical error could happen.

"He may or may not read them. If you look at this mittimus, it looks utterly normal, nothing to draw his attention, and the judge signed the order, not realizing no language about consecutive," he said.

"In Colorado, the judge cannot change plea agreements from consecutive to concurrent, though a judge can choose to reject any plea agreement he wants," Robinson said. "Knowing that plea agreement called for consecutive sentencing and knowing no judge has power, there's a strong likelihood sentencing went through as contemplated with consecutive sentencing ... routine resolution of a minor prison guard assault case. The judge may not have specifically said consecutive, though probably did. Whoever prepared the minute order probably dropped the ball -- just didn't say anything."

'This is an educated guess'

"That was it. DOC is stuck with signed court order," Robinson suspects, adding, "This is an educated guess. Less a guess. More an observation."

While Judge David Thorson signed the mittimus, it's unclear who oversaw the sentencing hearing. Hunt said two judges, one man, and a female Judge Marshall were both involved in Ebel's case.

CNN left messages at phone numbers for both Judge Thorson and a Judge Julie Marshall in Fremont County, but received no response from either.

'A troubled young man'

Of Ebel, one thing sticks out in Hunt's mind: "He was a troubled young man."

Robinson said if his theory is correct, the domino effect is mind-boggling.

"If you were writing fiction, you might have trouble understanding this thing to be true. Catastrophic for three families -- the Clements, Leon and Ebel families," he said. "What's really agonizing about this situation is it was an utterly routine plea bargain. A mundane task a judge undertakes every single day. Here we are five years later looking at the wreckage that was the result of those errors."

Clements was shot to death at his home outside Colorado Springs on March 19. Ebel was killed two days later in northern Texas in a gunbattle with authorities that left a sheriff's deputy wounded.

Last week, a 22-year-old woman appeared in court to answer charges that she purchased the gun that Ebel used in the killing of Clement and pizza deliveryman Nathan Leon.

Authorities have said the bullets that killed Clements came from a gun that was found with Ebel, who had handwritten directions to the prison chief's house in his car.

Investigators also found a pizza box and a pizza delivery uniform jacket that they believe links Ebel to the death of Leon, who worked as pizza delivery driver.

Authorities have speculated that Ebel may have killed Leon for his uniform -- to use it as a disguise in the killing of Clements, who was gunned down after he opened his front door.

@highlight

CNN affiliate KUSA says it has a copy of Evan Ebel's plea agreement from 2008 assault

@highlight

It says Ebel was sentenced to four years 'consecutively,' which should have been added to his prison term

@highlight

Official court documents did not specify 'concurrent' or 'consecutive' so prison officials made the sentence concurrent

@highlight

Ebel was released in January, and is suspected of killing the prison system chief in March