HASTINGS-ON-HUDSON, New York (CNN) -- In 2002, Pam Koner was flipping through the The New York Times when a photograph stopped her in her tracks: an 8-year-old girl laying across her torn, barren mattress in Pembroke, Illinois, forking pasta and a boiled chicken bone into her mouth. The girl's image signified the deep-rooted poverty in her rural community.

Pam Koner is combating hunger by connecting sponsor and recipient families.

The picture moved Koner to tears and inspired her to take action.

"When I read about a community so profoundly poor that women and children were not eating the last week of the month, I walked into my living room where my daughters were and said, 'We're going to do something as a family,' " recalls Koner, a 57-year-old single mother of two living in Hastings-on-Hudson, New York.

In the seven years since, Koner's determination to help families in Pembroke led to the creation of Family-to-Family, a nonprofit that connects more than 600 sponsor and recipient families in 13 communities nationwide. Do you know someone who should be a CNN Hero? Nominations are open at CNN.com/Heroes.

The project began with Koner contacting an outreach worker in Pembroke, who told her the town needed food more than anything else. Koner enlisted help from her neighbors and parents of children in her childcare business; the group began sending monthly boxes of food and basic household items to the neediest families in the Illinois town.

"People were excited to be a part of something," says Koner of her donor community. "Something so little as shopping, packing and sending a box."

Through monthly food donations, Koner's organization has provided nearly 800,000 meals to struggling families across the country. For privacy purposes, she says, the group makes sure donor and recipient communities are at a distance, such as an Atlanta, Georgia, chapter helping a community in Kentucky or a Florida family helping a Navajo family in New Mexico.

In addition to providing basic essentials, families exchange letters, swap photographs and share stories about cultural traditions and family events.

"There's a shared learning experience," says Koner. "When a sponsoring family reads about a Navajo family lifestyle -- barren landscape, a trailer home with no electricity and no running water -- children get a profound, firsthand look at differences. Knowing that each other exists changes the way we look at the world."  Watch Koner describe how the communities connect with each other »

The economic downturn has prompted Koner's group to broaden its outreach and sponsorship methods.

Bedford-Stuyvesant, a community in Brooklyn, New York, of predominantly working-class African-Americans, is the group's only urban sponsored community. It is also one of the organization's cyber-adoption sites, where sponsor families participate through Paypal, an online money exchange tool. A food pantry buys and boxes up the food to give directly to the families.

Koner also learned of families in her own Hastings-on-Hudson community in need of help.

"I was quite surprised," Koner says. "Hastings is probably middle-class to upper-middle-class. It's not a showy community, but this was a community of families who were not in need of help before."

Her community has eagerly embraced its neighbors in need, she says, but unlike traditional sponsored families at a distance, Hastings-sponsored families presented privacy concerns.

"That there could be a child who was going to school with my child who I was helping ... we felt that was too personal and private. To respect the individual family in need [was] important for us since we live so close together," says Koner.

To help maintain their anonymity, donations for the 11 sponsored families in Hastings are labeled by letters of the alphabet, so sponsor families have no identifiable information about who they're helping.  Watch how kids in Koner's town are helping to feed far-away families »

Despite economic challenges, Koner says she's noticed growing enthusiasm among families to become sponsors in her own community and beyond.

"I anticipated that we would really be affected, people would drop out. But that hasn't happened. We've actually launched new chapters of sponsoring families."

Koner attributes the outpouring of generosity to a heightened awareness for how tough times present a new outlook on giving.  Watch Koner and some sponsor families in action »

"There are plenty of communities where families are struggling themselves, but will keep this as part of their budget," she says. "We're all affected. No one knows what's going to happen tomorrow. We need to be there for each other and we need to share. We're meant to be connected."

Want to get involved? Check out Family-to-Family and see how to help.

@highlight

Pam Koner's nonprofit connects sponsor and recipient families

@highlight

Family-to-Family has provided nearly 800,000 meals to those in need

@highlight

Families also connect on a social level, exchanging letters, photos, stories

@highlight

Do you know a hero? Nominations are open at CNN.com/Heroes