Look out NASCAR, one of the world's fastest motor sports wants to steal your fans.

We're talking about air racing, where powerful, small planes compete on a looped path in the air, reaching speeds between 200-500 mph.

This thrilling sport is just as fast as NASCAR, IndyCars and Formula One. But with the added vertical dimension, the action seriously amps up.

In Hollywood terms, it's Top Gun-meets-Days of Thunder-meets-Star Wars. It's not quite the "podracers" that raced in "The Phantom Menace," but it's pretty intense.

Picture these planes streaking across the landscape at only 80 feet above the ground. That's about the same height as a seven-story building.

Dangerous? Perhaps. Some people might go one step further and call it nuts.

This ain't new. It's been going on since France hosted the first air race in 1909. In the United States, races started a year later and gained momentum in the 1920s, drawing pilots, thrill seekers and aviation enthusiasts.

Related story: Excitement, speed key to air racing appeal

Three years ago, a deadly plane crash at the Reno National Championship Air Races raised new safety questions about the sport. Now, insiders say these events are safer and poised for growth.

This weekend, some of the world's best air racers are competing in an international air race series owned by Red Bull at the Las Vegas Motor Speedway, a few miles north of the Strip.

In Red Bull's version of air racing, planes rocket around a loop one at a time. The pilot who can complete the course in the least amount of time wins. Red Bull is holding races this year in Europe, Asia, America and the Middle East.

It's "very analogous to dogfighting," says race director Jimmy DiMatteo, referring to the deadly midair combat ballet between two fighter planes. "It's the exact same skill set."

DiMatteo knows what he's talking about. He's a retired captain and former instructor at the Navy's famous fighter pilot school, unofficially known as Top Gun. And it shows -- right down to the way he talks. This former F-14 Tomcat driver loves to talk about "angle of attack," "proficiency level" and "pulling Gs."

It is those G forces that are so important to surviving this sport. When these planes make breathtaking turns, they're being radically pulled and pushed in ways that can challenge the structure of the aircraft and the health of the pilot.

Some pilots report pulling as many as 10Gs during races, equivalent to 10 times the force of gravity.

The pilots are "flying extremely aggressive, in very tight locations," DiMatteo says. For most sports fans, "It's not something you've ever seen before."

The planes fly so low that spectators who sit in the grandstand nosebleed seats will actually be able to look DOWN on the planes as they shoot by.

The course includes inflatable, 82-foot pylons.

Pilots are supposed to fly between these pylons. They're not supposed to hit them.

But sometimes -- traveling at 230 mph -- it happens.

"When you hit them under a humongous amount of Gs, then it can be a little bit exciting," says pilot Kirby Chambliss. "Basically you slice through, like a hot knife through butter. Just, BOOM -- and you're through it."

The pilots are racing against time, but it's hard to keep an eye on the clock while you're twisting and turning through the gates. Chambliss says his Zivko Edge 540 aircraft doesn't have any kind of special "head-up" display in front of the windshield that would let him keep his eyes forward while watching his time.

Widely described as one of the world's greatest stunt pilots and racing aviators, Chambliss won Red Bull's Air Race championship in 2004 and 2006. Flying comes so naturally to this guy that he says he feels like his plane's "wings are nothing but an extension of my arms."

The key to winning, pilots say, is pulling through the turns fast -- but not so fast that you lose speed. It's a delicate balance that DiMatteo says good fighter pilots share with champion air racers.

Nonetheless, that doesn't mean you have to be an ex-fighter jockey to excel. Chambliss has never flown in the military. He graduated to air racing after piloting Boeing 737s for Southwest Airlines. Before that, "I loved motocross as a kid," Chambliss said. "I was always a speed junky."

The Red Bull series launched in 2003, but by the end of the decade rising speeds and scary aerobatics were making race organizers nervous. So, beginning in 2011, they put the series on pause to regroup. This year it's back with new safety restrictions limiting how low pilots can fly and banning certain trick maneuvers.

The rules surrounding air races differ. In the United States, one of the oldest events is the national championship in Reno, where multiple planes race each other around a circuit. The first pilot across the finish line wins.

The 2011 crash at Reno raised serious questions about safety.

During a six-lap race, a modified World War II-era P-51 Mustang flying at about 500 mph went out of control and collided with an airport ramp in the spectator seating area. The pilot and 10 people were killed and 64 others were hurt. Investigators blamed "deteriorated" parts that contributed to fatigue cracks that led to the crash.

Related story: Speed, worn parts contributed to Reno crash

The tragedy led to new Federal Aviation Administration rules requiring all air racing organizations to go through a standardized safety accreditation process. "They check the capability, skill set and training of the pilots," says DiMatteo. They also monitor aircraft maintenance and the mechanics who work on the planes. "They really look at the full scope of your operation."

The 2011 Reno crash was believed to be the first in the 50-year history of the event to kill spectators. Last month, during a Reno qualifying race, a former champion was killed when his experimental Backovich GP-5 aircraft crashed, away from spectator seating, bringing the total deaths at Reno events to 20 since the races began in 1964.

Red Bull boasts zero deaths in the 11 years since the series began, and only one pilot injury from a crash into a river during an Australian practice run in 2010.

"Our record shows that we've been doing a good job -- knock on wood," DiMatteo says. "It's actually safer than some of these other sports that are out there."

A newcomer to the sport might assume racing with other planes -- as they do in Reno -- would be more dangerous than racing one at a time. Not necessarily, says John Cudahy, president of the International Council of Air Shows, an industry trade organization.

"I wouldn't say one is inherently safer than the other," Cudahy says. "They each have a different set of safety challenges and they've addressed them for the most part pretty successfully. The Reno planes are in some cases older ... but the Red Bull pilots participate in pretty aggressive aerobatics."

Its strongest supporters believe American air racing can one day rival the popularity of NASCAR.

Last year's NASCAR Sprint Series drew nearly 70 million unique TV viewers in the United States, according to NASCAR.

In 2009, the Red Bull Air Race was televised in more than 180 countries, reaching more than 300 million viewers, Red Bull says, although it's unclear how many viewers actually watched.

The potential for growth is there, says Chambliss.

"I think in this country we love racing," he says. "Some people wonder if the sport is easy enough to understand. But it's still a race. And the one thing we do understand is, the fastest ... is going to win."

@highlight

Three years after a deadly crash, experts say air racing is safer and poised for growth

@highlight

Air racing has been around since the early 20th century, but few people have seen one

@highlight

Top U.S. air races include the Reno National Championship Air Races

@highlight

Red Bull's air races include events around the world -- two in the U.S.