(CNN) -- Plenty of people who feel no inclination to schuss or slide or Salchow are faithful fans of the Winter Olympic Games.

For them, we present this list of sites and activities at former Winter Olympic venues. You won't need skis or skates -- you don't even have to feel the cold wind against your skin -- to show your appreciation for the athletes or to experience just a bit of what they must have felt when competing at the Winter Olympic Games.

Chamonix, France (1924)

More than 10,000 paying spectators came to watch 11 women and 247 men compete in ice hockey, figure skating, speed skating, bobsleighing, curling, Nordic (cross-country) skiing and ski jumping at Chamonix Winter Sports Week 90 years ago. It wasn't until after the event proved to be such a success that it became known as the "first" Winter Olympic Games.

Although few reminders of those games remain, the Alpine Museum in Chamonix houses some mementos, and the Catholic Church Ãˆglise Saint-Michel Ã  Chamonix commemorates the region's Olympic heritage with a stained glass window featuring skiers and a bobsleigh. And this charming alpine village near Mont Blanc -- the "roof of Europe" -- still offers a world-class winter experience to athletes and bar-hoppers alike.

Photos: Remnants of glory in former Olympic cities

St. Moritz, Switzerland (1928 and 1948)

When 15-year-old Norwegian figure skating sensation Sonja Henie performed her gold-medal-winning routine on the ice rink outside the Badrutt family's Kulm Hotel in 1928, the location couldn't have been more appropriate. In 1864, hotelier Johannes Badrutt turned St. Moritz into a winter vacation destination by convincing his summertime guests that they'd enjoy the Swiss Alps just as much in winter.

Sportsman Alphonse Badrutt supported construction of the natural ice St. Moritz-Celerina bobsleigh run. And Johannes' grandson, Hans, was a member of the executive committees that brought the 1928 games to St. Moritz. The Kulm and Badrutt's Palace hotels are still St. Moritz landmarks, as is the St. Moritz-Celerina bobsleigh run, which is open to guest riders when it's not being used by Olympians-in-training.

Sochi hotels report construction delays

Lake Placid, New York (1932 and 1980)

Although Lake Placid hosted the games in 1932, it is most remembered for the U.S. athletes' performances at the 1980 Winter Olympic Games -- especially the U.S. men's ice hockey team's "Miracle on Ice" victory over the heavily favored Soviet team followed by their gold-medal win over Finland and Eric Heiden's unprecedented five gold medals in speed skating.

That historic speed-skating oval stands just outside the Lake Placid Olympic Center, which houses a small museum and the hockey arena now dedicated to coach Herb Brooks. The whole Whiteface and Mount Van Hoevenberg area remains a top-level training ground for future Olympians; and if you're feeling adventurous, the Lake Placid Bobsled Experience lets you try out the track they still use today for their training.

Sochi 2014: Russia's numbers game

Oslo, Norway (1952)

It sometimes seems as if the Olympic Winter Games were created to remind the world just how many outstanding winter athletes come from Norway. (No country has won more medals in the Winter Olympic Games.)

So when you're in Oslo, it's no surprise that the Holmenkollen ski jump is still the biggest thing in town. Ski jumping has been part of the action here since 1892, and the jump has been redeveloped more than a dozen times. The latest structure, which opened in 2010, is made of steel and stretches nearly 97 meters (318 feet).

The Ski Simulator at the top of the hill is a virtual reality experience that will leave you breathless and more awestruck by ski-jumpers than ever. The arena next to the ski jump was used for cross-country skiing and biathlon competitions in 1952, and might be again should Oslo win its bid to host the 2022 Winter Olympics.

Blood Falls and other natural oddities

Innsbruck, Austria (1964 and 1976)

The Tyrolean Alps were a picture-perfect backdrop for Olympic skiing competition in 1976 as Austrian favorite Franz Klammer seemed to gobble up the terrain on his way to a gold medal in the men's downhill and West Germany's Rosi Mittermaier took two golds and a silver in the women's downhill and slalom events.

You'll want more than the 1 minute 45 seconds or so that Klammer and Mittermaier spent on the mountain. Take your time to soak in the scenery on an evening lantern hike that takes you past the Olympic ski slopes and ends with singing and beverages at a friendly inn.

Sapporo, Japan (1972)

The double lift takes just five minutes to carry you to the top of the Okurayama 90-meter ski jump hill where, in 1972, 19-year-old Wojciech Fortuna became the first and only Polish man to win an Olympic ski-jumping gold medal. (In 1972, transport to the top took 20 minutes; the trip down for Fortuna, less than 20 seconds.)

The viewing lounge at 300 meters allows you to peer down at the city and at the ski jump starting line. At the Sapporo Winter Sports Museum, simulators in the "Sensation/Experience Zone" replicate the ski jump experience.

Calgary, Canada (1988)

The Olympic spirit has never left Calgary, where Katarina Witt won a gold medal in figure skating for East Germany and curling resurfaced as a demonstration sport after an absence of more than 50 years. In addition to marking the Olympic debut of American speed skater Bonnie Blair, the Calgary Olympics also introduced the world to the Jamaican Bobsleigh Team (later immortalized in the 1993 film "Cool Runnings").

Today, visitors with just slightly less bobsleigh training than those four gentlemen can slide down the very same track at speeds of up to 75 miles per hour (120 km/h) in a bobsleigh driven by a professional pilot. In summer, you can do the run in a bobsleigh on wheels or zip-line down the mountain from the 90-meter ski jump.

Albertville, France (1992)

At the Albertville games, the newly unified German team included singles luger Georg Hackl in his second of what would be five Olympic games winning his first of three gold medals. Today, as a visitor, you can come as close as you'll ever come to his experience on the speed luge at the La Plagne Olympic bobsleigh track -- a one-person luge that reaches speeds up to 55 miles per hour (89 kph).

Or rub elbows with an Olympian at a more relaxed pace at Le Chalet d'Eleonore in Les Saisies, an alpine-style bed and breakfast run by former Olympic skier Leila Piccard. (Her brother Franck, a gold medalist in the Super-G at the Calgary Games, works at the Les Saisies ski resort.)

Salt Lake City, Utah (2002)

Guided tours of Utah Olympic Park near Park City reveal some "backstage" secrets about the Olympic events and visit some memorable spots, such as the ski jump where 20-year-old Simon Ammann from Switzerland was a surprise gold-medal winner and undisputed crowd-pleaser in the K90 Individual and K120 individual events.

At the Alf Engen Ski Museum, you can find out more about the region's Olympic skiing past, present and future, including an exhibition on the U.S. women's ski jumping team, which will compete for the first time in Olympic history at Sochi. After taking a look at the Olympic medals in the museum's collection, head back to Salt Lake City and Olympic Cauldron Park where the medal ceremonies took place.

Vancouver, Canada (2010)

Many venues from the 2010 Olympic Winter Games have been smoothly integrated or reintegrated into the Vancouver landscape. BC Place, site of the opening and closing ceremonies, is back to being the home of the BC Lions (CFL) and Vancouver Whitecaps (MLS) and hockey venue Rogers Arena remains the home of the NHL Vancouver Canucks.

The Olympic cauldron stands outside the Vancouver Convention Centre. The Richmond Olympic Oval, where Dutch speed skater Sven Kramer set new Olympic records in the 5,000 and 10,000 meter races, is now a public skating rink, community center and future site of the interactive Richmond Olympic Experience, expected to open in late 2014.

While there are Olympic sites throughout the area, you might find yourself closest to your athletic dreams if you spend the night at the HI-Whistler Hostel, originally part of the Athlete's Village.

@highlight

Winter Olympics venues past offer speed thrills to less competitive visitors

@highlight

The St. Moritz-Celerina bobsleigh run is sometimes open to guest riders

@highlight

Take an evening lantern hike in Innsbruck, Austria, for a more leisurely downhill experience