The politics of health care is changing fast. President Barack Obama's Affordable Health Care Act was vulnerable during his first term when Republicans demanded repeal of the law. Even after the Supreme Court upheld its constitutionality, there were still many voices who objected to it.

However, with each passing day, it appears that the program is in good shape, slowly becoming part of the fabric of American government.

Last week, New Jersey Gov. Chris Christie, one of the main potential contenders for the Republican presidential nomination in 2012, said that his state would accept the Medicaid expansion that is part of the ACA. Christie had been one of the president's toughest critics, frequently lambasting the program as a prime example of big government liberalism. But he has changed his tune.

The expansion of Medicaid will allow about 104,000 of the poorest residents in New Jersey to gain access to health insurance. Christie said: "Let me be clear: I am no fan of the Affordable Health Care Act. I think it is wrong for New Jersey and for America. I fought against it and believe, in the long run, it will not achieve what it promises. However, it is now the law of the land. I will make all my judgments as governor based on what is best for New Jerseyans."

Christie's announcement comes on top of an even more dramatic reversal, that of Florida's Gov. Rick Scott.

The former health industry executive, who was elected to lead the Sunshine State in 2010, has been one of the more conservative voices in the GOP. Scott, who once warned that "Obamacare will result in the rationing of health care, significant tax increases, significant job losses and the inability of many Americans to keep their existing health insurance" also announced that Florida would accept the new Medicaid funds.

"When the federal government is committed to paying 100% of the cost," Scott said, "I cannot, in good conscience, deny Floridians that need access to health care."

Fewer Republicans are interested in fighting against the ACA any more. Not only is it a losing issue, but in the next few years, the benefits are going to start rolling in and more Americans will come to depend on the protections.

The shift in position by two of the most prominent Republicans suggests that the political dynamics are shifting, as Obama's supporters had always hoped. Republican officials now see powerful incentives for them to embrace the law rather than oppose it.

The biggest watershed moment for the ACA came in June 2012 when the Supreme Court ruled that the health care legislation was constitutional.

Like in 1937, when the Supreme Court declared that the Social Security tax was constitutional, the court's ruling on health care gave Obama's program a legitimacy that undercut some of the thunder coming from the right. The Affordable Care Act became law of the land. Then the 2012 presidential election was an affirmation of popular support for Obama and the policies for which he fought.

It's not unusual for a big piece of legislation to elicit strong oppositions at first.

With Social Security, the program experienced over a decade of uncertainty. A means tested program for the elderly proved much more popular during the 1940s, and Congress refused to raise Social Security taxes during World War II. But by the early 1950s, Social Security emerged as the primary means of helping the elderly.

As more Americans were receiving their checks, fewer politicians in either party opposed the program. President Dwight Eisenhower concluded that the GOP had little choice but to accept the program. Republicans and Democrats, including Southern Democrats, voted to increase benefits every two years. By the 1980s, Social Security would be considered to be the "third rail" in American politics -- touch the benefits and you die.

Similarly, the Civil Rights Act of 1964 experienced strong reactions. The notion of prohibiting racial segregation was incredibly contentious. But once Congress passed it, Southern politicians, citizens and institutions quickly fell in line. In the 1970s and 1980s, issues such as affirmative action and school busing still riled up many, but de jure racial segregation was no longer considered acceptable by most.

More recently, during President George W. Bush's presidency, the new counterterrorism programs provoked heated debates. Democrats railed against the tough interrogation techniques used by the government to combat terrorism and highlighted institutions such as Guantanamo as symbols of what the nation was doing wrong. But Obama abandoned many of his plans to dismantle these programs.

His nomination of John Brennan to head the CIA and the protection of key documents that allegedly support the assassination of American citizens reveal how much the tide has turned.

Today, there is considerable evidence that the health care law is approaching that turning point.

As Ezra Klein wrote in The Washington Post, "so long as Obamacare is accepted as the law of the land, and repeal is dismissed by most Republicans as little more than a pleasant fantasy, then a constructive process can begin in which Republicans seize on problems with the law as an opportunity to reform the reforms -- and through that process, begin to buy into the new system."

There is still a lot of work that needs to be done, such as making sure that the health care exchanges work and that funding for the program remains adequate. The program's success is not inevitable. But the recent change of heart from the darlings of the Republican Party is an indication the ACA is much further along to becoming one of the most important legacies of the Obama presidency.

@highlight

Julian Zelizer: The politics of health care is changing fast

@highlight

Zelizer: President Obama's Affordable Health Care Act is gaining more support

@highlight

He says two of the most prominent Republicans have switched to support the ACA

@highlight

Zelizer: The ACA is on its way to becoming an important legacy of the Obama presidency