One casualty of the massive protests that have rocked Hong Kong since the end of September may have been the city's relationship with its police force -- traditionally one of the region's most well-regarded.

With the use of tear gas to disperse crowds in the protests' early days to the videoed beating of a cuffed demonstrator by plain clothes police officers in early hours of Wednesday, the events of the past three weeks may have put the reputation of Hong Kong's finest beyond repair.

Since an overhaul designed to weed out corruption in the 1970s, the city's police have been a relatively benign influence in the city.

Following the 1997 handover of sovereignty to China, the force has peacefully monitored dozens of large-scale protests and sit-ins.

However, the scale of the protests has caught the police arguably unprepared, with their tactics changing rapidly.

Police initially took an aggressive stance towards the protesters — letting loose pepper spray and tear gas and donning riot gear.  But they later eased off, allowing protesters to occupy major highways uncontested and forming a human barricade to protect demonstrators from angry mobs of pro-government counter-protesters.

However, the pendulum has swung back the other way over the past few days, with the re-emergence of pepper spray and batons, and a video showing a number of police officers dragging a handcuffed man to a secluded area before apparently kicking and punching him while others stand around, appearing to keep watch.

The video has stunned many in the former British colony, and the authorities have pledged to launch an independent investigation.

"Police express concern over the video clip showing several plainclothes officers who are suspected of using excessive force," said a statement issued by the Hong Kong Information Services Department Wednesday morning.

"The Complaints Against Police Office has already received a relevant complaint and will handle it in accordance with the established procedures in a just and impartial manner."

Hong Kong's Secretary of Security Lai Tung Kwok told reporters the "officers involved will be temporarily removed from their current duties." He declined to take questions.

Tear gas

The use of 87 rounds of tear used by police on September 28 marked the first time it has been used in Hong Kong since 2005, when South Korean farmers took to the streets to demonstrate against a World Trade Organization summit. But its use backfired, bringing swathes of Hong Kongers out to demonstrate in solidarity.

"In international standards, tear gas is only used when there is violence or when people set fire to cars or stores, and not (on) peaceful protesters," Craig Choy, a spokesperson for the Hong Kong Civil Liberties Union (HKCLU), told CNN.

Many protesters are young students who did not expect the police to escalate their response so rapidly.

"I felt really shocked when I knew that the police were using tear gas," said Glacier Kwong, a student activist who was on the scene and felt the full effect of the police's attempts to disperse protesters on September 28.

"Pepper spray is already bad enough and then suddenly they used tear gas against protesters who were not attacking anyone. I was really shocked and very scared."

She says she panicked when the clouds of gas enveloped her.

"I couldn't breathe, my throat was so painful and I couldn't see properly. I still went down (to the site the following day). It didn't change my determination."

The police have denied that they have been heavy-handed. "Police are facing an unprecedented challenge," Steve Hui, a department spokesman, said during a press conference.

"We have exercised maximum tolerance. The goal is to not provoke even more resentment and negative emotion among demonstrators."

Police actions bring in more protesters

Indeed, when police have deployed more aggressive tactics, they have had far from the desired effect. Instead of scattering the crowd, social media and TV spread news of the attacks, prompting thousands to flock to the protest site.

There is a "breach of trust" between the public and the police, the HKCLU's Choy says, citing the example of one standoff outside the government headquarters earlier this month, when protesters accused police of smuggling in non-lethal armaments.

"The police tried to bring weapons into headquarters. They told protesters they were only changing the shift ... but in the end they transported more weapons. So most protesters think that police always lie."

Acts of aggression

Advocates of the pro-democracy camp say that, on several occasions, the police failed to act to maintain public order, particularly when pro-government groups stormed the protesters' camps, tearing down tents, barriers and handmade signs, and getting into vocal -- and sometimes violent -- confrontations with demonstrators.

On at least one occasion, pro-government supporters have sexually assaulted women at the protest sites as tensions boil over.

"Women and girls were among those targeted, including incidents of sexual assault, harassment and intimidation," human rights group Amnesty International said in a statement.

"The police inaction ... is shameful. The authorities have failed in their duty to protect peaceful protesters who came under attack," said Mabel Au, the director of Amnesty International Hong Kong.

Police have rejected the accusations that they failed to keep order, calling them "totally unfounded and extremely unfair to police officers who faithfully and diligently performed their duty at the scene."

Rumors

Rumors that people have been offered money to stir up trouble -- with many pointing the finger at Beijing -- at the protest sites have added to the sense of disillusionment with the police and the government.

"We got offered HK$500 (around $65) to go to Mong Kok, to tear down the signs and shout and make noise," the South China Morning Post (SCMP) quoted one youth as saying. "They want us to make trouble so that the police have an excuse to stop the protest and arrest people."

Requests by CNN to the Hong Kong and Macao Affairs Office​ under General Office of the State Council​ in Beijing for comment were not responded to.

Some analysts say that Beijing has worked hard to get the police and other government institutions on side.

"The police has been 'mainlandized' and fed a lot of propaganda," Willy Lam, an adjunct professor, at the Chinese University of Hong Kong, told CNN. "The political neutrality of the civil service, the police, the ICAC (an independent anti-corruption agency) is in jeopardy."

But one symbol of the protest -- a giant artwork based on a widely-disseminated photograph of a protester sheltering a police officer from the rain with an umbrella -- signals that Hong Kong's faith in its police may not be entirely lost.

"That picture is very meaningful. I aspire for freedom and peace, and that picture has shown that," its creator, an artist known as Milk, told the SCMP.

"It means that we care about everyone, even if 'everyone' is the police force."

@highlight

A video seeming to show a protester beaten by police has shocked Hong Kong

@highlight

Police initially tried to disperse protesters with pepper spray and tear gas

@highlight

Police tactics have been condemned by rights, protest groups

@highlight

Actions may lead to irreversible erosion of trust between police and populace, say activists