Beijing (CNN) -- When an old widower from the central Chinese city of Wuhan went into hospital last summer because of a persistent high fever, he was diagnosed with the AIDS virus -- and made national news.

The man, in his late 70s, had frequently hired prostitutes after his wife died, and doctors believe he contracted the HIV virus -- which can eventually develop into full-blown AIDS -- through unprotected sex, the official Xinhua news agency reported.

With the population rapidly aging, more than 10% of China's 1.3 billion people are now over the age of 60, census figures show. Improving living standards mean many Chinese are living and remaining sexually active for longer.

But now the threat of HIV/AIDS looms large over a segment of Chinese society not previously known for a high prevalence of cases: senior citizens.

What is HIV/AIDS?

Among new HIV-positive cases nationwide, those over the age of 50 accounted for almost 15% at the end of 2009 -- a sharp rise from less than 8% just four years earlier, according to a recent report by the Chinese Center for Disease Control and Prevention. The center said most patients were male and contracted the virus through unprotected sex.

The United Nations has estimated 780,000 people will be living with the AIDS virus in China by the end of this year and more than half of them are unaware of their condition. Chinese officials acknowledge the real figure may be higher, particularly among the elderly.

West must not give up on AIDS fight

"It's very hard for us to obtain an exact number due to our limited ability to monitor and report the epidemic situation in this age group," Hao Yang, deputy director of the Health Ministry's disease control bureau, told a health seminar in Beijing last year.

"Older people are more prone to having medical conditions that require surgeries and hospitals are stricter on pre-operative checks -- that's how many of them are notified of their HIV status for the first time."

Researchers say the lure of easy sex with prostitutes -- the average price paid a relatively modest $5.5 -- and the lack of safe sex knowledge among their generation have exposed an increasing number of Chinese senior citizens to the danger of HIV/AIDS.

Another 30 years of AIDS?

Hao said his ministry had already started including the elderly in its HIV/AIDS awareness and prevention campaigns, which previously targeted only younger people and high-risk groups like migrant laborers and sex workers.

But many activists view the government effort as inadequate in dealing with a burgeoning problem, especially as senior citizens diagnosed with the AIDS virus tend to face far greater difficulties and discrimination in China than their younger counterparts.

"Traditionally the elderly are the respected members of family and society, but once infected with HIV, they become a disgrace and face harsh moral judgments," said Zhang Biao, whose non-governmental organization AIDS Care in China has counseled elderly patients in southwestern China for five years.

"People of their age are usually pillars of their households, taking care of both their parents and children," he added. "But instead, these patients now have to rely on their families to support them financially and psychologically."

Others echo Zhang's sentiment, adding that elderly patients remain neglected in state-sponsored AIDS treatment and prevention programs.

"Currently AIDS patients are required to provide proof of residence and employment to receive basic care at public hospitals," said Yu Tian, a volunteer with Shanghai-based NGO Leyi.

"But many elderly patients are either unemployed or unable to work due to their medical conditions -- making them ineligible for subsidized antiviral treatment."

Activists have called on the government to overhaul its HIV/ AIDS policy and allow NGOs to receive more international funding and cooperation.

"We are willing to work with other experts to reach out to the elderly and teach them the concept of safe sex," said Yu. "There's so much room for improvement in this area."

@highlight

More than 10% of China's 1.3 billion people are now over the age of 60

@highlight

Among new HIV-positive cases, people over 50 account for almost 15% in 2009

@highlight

United Nations has estimated 780,000 people will be living with the AIDS virus in China

@highlight

Researchers: Cheap sex with prostitutes and lack of safe sex knowledge puts elderly at risk