CHICAGO, Illinois (CNN) -- As a young man, Barack Obama idolized the leaders of the Civil Rights Movement.

A young Barack Obama, left, joins fellow Chicago community activists for this snapshot in the mid-1980s.

"Reading about people not that much older than me who had gone to jail and suffered beatings in order to liberate a people," he said, "I thought there's something powerful about that."

Fellow Harvard University student Kenneth Mack remembered walking around the Harvard Law campus with his friend, who was constantly quoting the Rev. Martin Luther King Jr.

" 'The arc of the moral universe is long, but it bends toward justice,' " Mack remembered Obama saying. "For other people to say things like that, people wouldn't take it seriously, but with Barack, people really did take him seriously. They thought of him as someone who really sincerely believed it."

But Obama was about 20 years too late to join King's movement. So, he decided to do the next best thing. In 1985, a few years before he went to Harvard, Obama took a job as a community organizer.  Test your knowledge about Obama »

He worked with Jerry Kellman's Developing Communities Project. As a leader, he stayed in the background, but he taught residents of Chicago's poor South Side how to effectively lobby their government to get badly needed services.

"Remember, at the time in Chicago, the wards were really politically motivated," said the Rev. Alvin Love, pastor at Lilydale First Baptist Church. "If you weren't onboard with the political process and people in leadership, then your garbage didn't get picked up on time and your street didn't get fixed."

Obama helped bring pastors like Love and other community activists together to work on their neighborhood's problems. En masse, they showed up at city meetings, and in a professional but firm manner made their concerns heard.

"Politicians understand that the number of community residents that come out for a community meeting probably represent 10 times the number of votes," Love said. "So they pay attention."  See Obama timeline »

At first, the group achieved simple things. It got the city to clean up Palmer Park, a park filled with garbage and overrun with drug dealers. It got the city to start an after-school program. It even got the area its first badly needed job center.  See photos of Obama campaigning »

"It might have been small victories to the outside world, but to us, it was big. It meant those kids could get the jobs; they could buy things to start back to school," said Yvonne Lloyd, one of the residents Obama trained to lead lobbying efforts.

The small success gave residents something that would last a lot longer than a clean park or a job center. Residents said Obama gave them hope.

"We saw what could happen. We saw what can be done if the community has the resources and somebody to come in and train them. I'll always be grateful for that," Lloyd said.

The biggest challenge Obama's group faced was the one that eventually ended Obama's career as a community organizer.

Linda Randle, a fellow activist, brought a dramatic injustice to Obama's attention.

At her job at the Ida B. Wells housing project, she noticed workers removing asbestos from the Public Housing Authority's offices in that building. When she asked management when they planned to remove the dangerous substance from residents' apartments, she said they told her they had no such plans. She was livid.

"I'm a lot more of a hothead than Barack is," she said. "Barack is more for compromise, you know. He'll wait and see."

Obama joined the growing effort to lobby the city to remove the asbestos from public housing. Randle said he counseled calm and added that was good for her, because he encouraged her to take the high road in negotiations. "So I would say to myself, OK, I'm not really great at the high road, because the road is already crumbling, OK? So, I don't know if I can make the road higher."

Eventually, the Housing Authority gave in to the residents' pressure. The management promised to remove asbestos from all parts of the buildings, not just its offices.

The effort took years, and the slow pace of this change frustrated Obama. He told friends at the time he felt he'd be more effective on the other side of the negotiating table. Soon, he left Chicago for Harvard. But before he left, he told residents he would come back and help.

Twenty years later, a few of those same residents he trained to speak truth to power appeared in his Senate offices. They were recently in Washington to lobby him for federal funds to extend the elevated train to their neighborhood.

"This is the only area of Chicago where real transportation does not run to the city limits," Love said. "We have a whole community that's isolated with no way to get to jobs."

After lobbying their old friend, Love and his fellow residents got some of the money they requested.

"With Sen. Obama's help, we wound up getting President Bush to sign the transportation bill allocating $580 million for the extension of the Red Line train," he said.

But the group is still waiting for Illinois to come up with its share of the funds. If that doesn't work, Love said, he hopes he will be able to take the issue even higher.

"We may someday soon have a president in the White House who will listen to people like us," Love said. "Then maybe, finally, we'll have someone who will respond to our needs."

@highlight

Presidential candidate worked as community organizer in Chicago in 1985

@highlight

College friend: "with Barack, people really did take him seriously"

@highlight

Victories included ridding park of drugs, creating job center, school program