(CNN) -- After an improbable 10-year, 310-million-mile journey to become the first ever space vehicle to make a soft landing on a comet, the Philae probe may have ended its mission prematurely.

Its batteries have run down, said the European Space Agency.

"Philae has fallen into 'idle mode' for a potentially long silence. In this mode, all instruments and most systems on board are shut down," ESA said.

This might not change.

Philae was supposed to transmit data from Comet 67/P for nine months as it passed the sun, running on solar power, but it did not get its place in the sunlight that scientists had hoped for.

Bounce landing

The probe's landing didn't go as planned this week, after Philae detached from the Rosetta orbiter. It took two bounces away from its designated landing spot, and never fired its anchoring harpoon.

"The lander remains unanchored to the surface at an as yet undetermined orientation," ESA said.

It ended up in a shady spot of Comet 67P/Churyumov-Gerasimenko, ESA said, likely without enough sunlight to keep functioning.

Originally, it was supposed to have seven hours of light per comet day -- which lasts just 12.4 hours. Now it is exposed only 1.5 hours a day. That's likely not enough to juice up Philae's rechargeable secondary battery, ESA said.

There is one last hope.

"Mission controllers sent commands to rotate the lander's main body, to which the solar panels are fixed," ESA says in on its blog. "This may have exposed more panel area to sunlight."

Despite its walleyed positioning, Philae transmitted data and black-and-white photos back to Earth and ESA scientists.

The pictures appear to indicate it landed in some sort of shadow, possibly the shadow of a cliff.

Opinion: The big lesson from comet landing

Race to transmit data

Philae turned on its instruments, drilling for samples, and while there was still time, transferred data. Now, the lander has fallen silent. Its operators on Earth lost contact with it early Saturday.

Built by a European consortium, led by the German Aerospace Research Institute, the landing probe has 10 instruments.

"The lander (was) racing against the clock to meet as many of the core science goals as possible before the primary battery (was) exhausted," ESA said.

Its operators are satisfied with the results, and praised Philae for completing its mission slated for the comet's surface, before it went into hibernation.

Opinion: How comet mission helps in search for alien life

The German space agency, which operates Philae for ESA, has taken a light-hearted approach to the battery's impending doom, putting out witty messages on a confirmed Twitter account in Philae's name.

"I'm feeling a bit tired, did you get all my data? I might take a nap," a post read.

"So much hard work.. getting tired... my battery voltage is approaching the limit soon now," another read.

It's possible that the conditions may change as the comet moves closer to the sun, making it possible to charge the secondary battery.

Then Philae could awaken from its deep slumber and send data and photo surprises back to Earth, ESA said.

Even with the lander out of commission, the Rosetta orbiter that carried the Philae lander will continue to transmit observations of the comet.

Elated scientists show off latest pics from historic comet mission

Ten year voyage

Rosetta took off from Earth 10 years ago, aboard an Ariane 5 rocket, and traveled 6.4 billion miles before rendezvousing with the comet in August.

The Philae lander separated from the orbiting Rosetta about 3:30 a.m. ET Wednesday and first landed on the comet seven hours later.

The lander weighs about 220 pounds and is the size of a domestic washing machine. The target comet is only 4 kilometers, or 2.5 miles, in diameter.

The spaceship is named after the Rosetta Stone, an inscribed piece of volcanic rock found in Egypt in 1799 that allowed scientists to decipher hieroglyphics and thus understand the ancient Egyptian culture, ESA said. The lander is named after an island in the Nile River where an obelisk was found that helped decipher the Rosetta Stone, ESA said.

Led by ESA with a consortium of partners including NASA, scientists on the Rosetta comet-chasing mission hoped to learn more about the composition of comets and how they interact with the solar wind: high energy particles blasted into space by the sun.

Opinion: Philae's comet landing is amazing

CNN's Ed Payne, Ashley Fantz, Fred Pleitgen and Dave Gilbert contributed to this report.

@highlight

NEW: Philae's operators satisfied that the probe completed its mission on the comet

@highlight

Philae's landing didn't go as planned, leaving it in the shade, ESA says

@highlight

It is supposed to run on solar power, but now there's not enough sunlight for that

@highlight

Philae's primary battery was running out and is expected to be dead