Chicago (CNN) -- Kain Colter actually got this idea sitting in a college classroom at Northwestern University.

The 21-year-old quarterback, soon to graduate with a degree in psychology, is taking the day off from training for the NFL draft to take the stand at a National Labor Relations Board hearing today and testify against his own university and on behalf of fellow football players.

The goal: an attempt to revolutionize the way collegiate athletes are treated.

Colter, with the help of a team of lawyers and the National College Players Association, is leading an effort to unionize the Northwestern football team.

Backed by the overwhelming majority of the team, Colter will kick off a days-long hearing before the National Labor Relations Board in Chicago.

"Student athletes don't have a voice," Colter said at a press conference last month. "They don't have a seat at the table. The current model resembles a dictatorship with the NCAA putting rules and regulations on students without their input."

A union would certainly change that. It would put the athletes in a position to bargain, to demand things that college athletes have never had before -- like stipends, continuing medical coverage after graduation, more concussion testing and even a portion of the profits of the multibillion dollar windfall created by college football and basketball.

Never before have current players been so vocal in standing up for themselves. It's a bold move, given the incredibly controlling nature of collegiate athletics.

"These guys at Northwestern are really an inspiration, not just to other football and basketball players and athletes, but these are young men standing together, 70 to 80 guys and they're taking on a multibillion industry because they know it's the right thing to do," said Ramogi Huma, president of the NCPA, which last season organized the All Players United wristband protest in support of NCAA reform at Georgia Tech, Northwestern and the University of Georgia.

"If they win, it immediately sets a standard," Huma said.

Colter came to Huma with this idea last year, and Huma has been helping him with resources to see it through. If they win, it could have a huge effect on the structure of the NCAA.

Despite some quiet resistence at Georgia and Georgia Tech against the players who participated in the All Players United wristband protest in September, Northwestern leaders have been vocally supportive of the leadership exhibited by the team. They don't, however, agree with the idea.

At the NLRB hearing, it's expected to present a handful of experts who will argue that college sports are not a commercial venue.

"Northwestern teaches its students to be leaders and independent thinkers," a lengthy statement says, in part. But it continues "we believe that a collective bargaining process at Northwestern would not advance the discussion of these topics. ... Our student-athletes are not employees, but students."

The NCAA, which is not a party to the case, also put out a statement opposing the move.

"This union-backed attempt to turn student-athletes into employees undermines the purpose of college: an education," said Donald Remy, the NCAA's chief legal officer, in a statement. "Student-athletes are not employees, and their participation in college sports is voluntary."

A seat at the table

So, could it work?

New York University labor law professor Richard Epstein said it could, but he cautions that it may take away what fans like about college sports.

With unions come bargaining, the potential for strikes and lack of stability. Imagine pickets instead of rivalry games, he said.

"It's just very difficult to be confident that if you try to put this on the opposite side of the NCAA, it's going to improve things," he said. However, he does think they have a shot at winning this fight. NYU recently settled a case with graduate students who argued they were both students and employees of the university and deserved rights.

But even if the athletes at Northwestern succeed, it could be years before they see any change, and it's unclear how it would affect other teams.

It's very likely the players who took the risk to stand up and say something will never see the benefits. The hearing that starts Tuesday is expected to last through the week. The judge has a month to make a decision, and appeals, which could take years to hash out, may potentially go all the way to the U.S. Supreme Court.

"Comprehensive reform will always be elusive unless players have a seat at the table, just like the NBA, just like the NFL," Huma said.

There's been growing support for NCAA reform, mostly because of former UCLA basketball player Ed O'Bannon suing the NCAA for rights to his own likeness.

And of course there's long been a debate about whether the for-profit sport athletes deserve a cut of the money they generate.

Lost in that, though, are stories like former Northwestern player Jeff Yarbrough. When he was recruited in 2003, he was among the top six fastest teens in the state of Illinois. But he fractured both legs during his college career and doctors had to put metal rods and screws in both shins. He's in so much pain, he can barely run. He's only 27 years old.

"I'm like a 45-year-old man. I can't move," he said.

Huma said most people don't know that the NCAA doesn't even mandate that colleges cover the cost of medical expenses for current players, and there's no help at all for former ones.

Each year, $30 million is generated by Northwestern football, Huma said, "yet (players) have no guarantee that medical costs will be covered."

Yarbrough wants to have the rods removed from his legs, but the procedure could cost him $20,000 to $30,000 in out-of-pocket expenses, money he doesn't have to spare working as a teacher in Chicago.

"I definitely feel a little let down by the NCAA in regards to football," Yarbrough said. "It's not like other sports. There are concussions that occur. If there was protection for players after they graduate that would be a great deal."

Then he lights up, and says, "I'm really proud of the guys at Northwestern for taking this stand."

CNN producer Brian Rokus contributed to this report.

Watch The Lead with Jake Tapper weekdays at 4pm ET. For the latest on The Lead with Jake Tapper click here.

@highlight

Northwestern University quarterback leads effort to unionize football team

@highlight

National Labor Relations Board holds hearings on issue starting Tuesday

@highlight

Northwestern, while supportive of the team's leadership, opposes the idea

@highlight

NYU labor law professor says union could work, but fans may not like result