Atlanta (CNN) -- The last time I talked to Anthony Shadid, I made him promise not to become another headline.

He didn't keep his promise.

I learned through a headline -- along with the rest of the world -- of his death in Syria, apparently of an asthma attack.

Don't become a headline. It seems trite now. It was meant as a light exchange with him, after he and three other New York Times journalists were released from captivity in Libya.

I had just watched him and the others in a CNN interview on AC360 with Anderson Cooper, detailing their harrowing captivity at the hands of Moammar Gadhafi's forces.

And, at the time, it seemed like a good thing to say.

New York Times reporter dies in Syria

I never believed it would be one of the last conversations I would have with Anthony, who early in my career had been my mentor and my editor and later my colleague and, I like to think, my friend.

I am struggling with the news of his death and with the knowledge that I will never get to have another conversation.

The news stories about his death spell out the extraordinary career that took him from California to New York, from Cairo to Baghdad, from Tripoli to Beirut.

They tell how he worked for the Associated Press, The Boston Globe, The Washington Post and, finally, The New York Times.

They tell of the two Pulitzer Prizes he won in 2004 and 2010 for his reporting from Iraq.

They even detail his willingness to stand up to an editor to fight for his story.

As a journalist, I know that stories are not supposed to be personal. They are supposed to be about the facts.

But the fact is the death of Anthony Shadid is personal.

The first time I met him was in the Associated Press newsroom in Los Angeles.

I already knew him by name, from his byline.

He had just moved from Cairo, Egypt, and was to be my news editor.

That day, over a cup of coffee, he asked me about stories and subject matter that I found fascinating.

He asked what I wanted out of my career, where I wanted to go with it.

Neither of us had any idea at the time where our paths would lead, or that we would find ourselves years later standing together at a party in Baghdad talking about career paths.

That day, in Los Angeles, it was a conversation about how to tell better stories.

I wanted to be better, and he promised to help me.

Anthony told me about the stories he loved writing, reading and editing. They were stories about people and their conditions. And the best stories, he told me, were full of color and context.

Those stories, he said, make a difference.

When I asked him for an example, something I could read to better understand, he gave me a list of journalists whose work I should follow.

What I remember most: His name was not on the list.

During his tenure in Los Angeles, he kept his word and worked with me.

Once, after a harried editing session, I asked him if he missed being a reporter.

"Every day," he said.

In May 2000, the news that Reuters correspondent Kurt Schork and AP cameraman Miguel Gil Moreno de Mora were killed in an ambush in Sierra Leone sent shock waves through the industry.

Anthony knew Kurt and Miguel. He was angry, upset they had put themselves in harm's way.

At least that's how I remember his reaction, and I remember being confused by it. Wasn't that their job? Wasn't that sometimes part of the risk?

Today, I understand his reaction. It was the same one I had when I found out that he had he died.

When Anthony took a reporting job at The Boston Globe, he called to tell me of the pending announcement that he was leaving the Associated Press.

I asked why he wanted to leave, though I already knew: Anthony was a reporter, a storyteller.

He made his first headline in 2002, when he was shot in the back of the shoulder while leaving Yasser Arafat's compound in Ramallah.

When the news broke, my colleagues tracked down a phone number for him in a hospital in the region.

I was surprised that he answered the phone himself.

He was in good spirits, and he laughed over the fact that so many people had managed to track him down half way around the world.

"Does everybody know where I am?" he said.

The answer: Dude, you're the headline.

During that conversation, I reminded him of our discussion two years earlier about Kurt and Miguel.

You remember that? he said, sounding surprised.

Over the years, Anthony and I managed to stay in touch sporadically through e-mails.

Like many people, I followed his reports from Iraq during the early days of the war.

It was his stories about the Iraqi people that gave me the truest sense of what life was like for the millions caught up in the war.

When I got the opportunity to go to Baghdad in 2008 to cover what would become the beginning of the end of U.S. involvement in Iraq, I sent Anthony an e-mail to let him know.

He wrote back, warning me to be careful and not to take too many risks. He also told me to tell great stories.

When I got off the plane at Baghdad International Airport, among the items I carried with me was Anthony's book "Night Draws Near: Iraq's People in the Shadow of America's War."

Not long ago, unpacking boxes after moving to Atlanta to take a job with CNN, I stumbled onto a picture of Anthony.

It was taken in December 2009 at a Christmas party in Baghdad that the Reuters news agency hosted.

He was smiling, with his arm around his pregnant wife. She had made the trip with him from their new home in Lebanon.

He was beaming as he introduced her, clearly enjoying this new chapter in his life.

When it was revealed that the baby was due shortly before Iraq was to hold its elections for Parliament and prime minister, a story the world was following, I asked Anthony what he was going to do if the delivery was late.

Overheard on CNN.com: Readers weigh in on Shadid

His wife, journalist Nada Bakri, answered for him: The baby will be on time.

We spent hours that night catching up, recalling assignments, colleagues and developments in our lives.

And we laughed.

I found out later that the Anthony's wife gave birth to a son, Malik, about the same time as Anthony was making headlines again -- this time for winning his second Pulitzer Prize for international reporting.

I last saw Anthony in Baghdad in 2010 at my goodbye party. I was wrapping up a 17-month assignment.

It was a bittersweet moment.

He asked me what was next. I told him I didn't know.

Anthony gave me a throaty laugh, hugged me and said, "Write well."

As the word spreads about his death, there will be many whose lives he influenced and, in some cases, forever changed, that will step forward.

I am just one.

@highlight

Journalist Anthony Shadid was a mentor, colleague and friend

@highlight

He won two Pulitzer prizes for international reporting

@highlight

CNN journalist Chelsea J. Carter is "struggling with news of his death" in Syria

@highlight

Shadid edited Carter in Los Angeles; they later both worked in Baghdad