(CNN) -- Normally, "hot spot" isn't the first phrase that comes to mind when talking about Saskatchewan, Canada.

A relocation service company president said he is moving more people to Saskatchewan than ever before.

But with most of Canada suffering from devastating job losses, this cold province is becoming exactly that.

It's an asterisk to the entire country when it comes to the economic climate, and Premier Brad Wall is shouting it as loud as he can.

"It's a great time to come to Saskatchewan," said Wall, who even called the Toronto Star newspaper to tout his province's economic success and let Ontarians know there were jobs for the taking.

"For those who are losing their jobs, we need them to know we have thousands of jobs open right now in both the private and public sector," Wall said. "We have a powerful story to tell, a story of success and that's something we want to share with those who are struggling."

Wall's province is one of the exceptions to the unemployment increases battering provinces across Canada. Saskatchewan's unemployment rate fell to 4.1 percent in January from 4.2 percent in December, making it the only province recording a decline. In Ontario and the city of Toronto, unemployment rates rose to 7.2 percent and 8.5 percent respectively. To the west, British Columbia shed 68,000 full-time jobs in January.

More Saskatchewan jobs should be on the way. To stave off any possible recession, Wall announced a $500 million infrastructure "booster shot" to help keep the economy strong.   Learn more about different towns in Saskatchewan »

"All across the country, industries are getting quite ill," Wall said. "We aren't immune to it. We see some impacts in terms of layoffs and new vehicle purchases slowing off, and so we want to be proactive in staying ahead of the curve."

On Tuesday, the Conference Board of Canada released a report that said Saskatchewan will likely continue to lead the nation in economic growth in 2009 because of the infrastructure investment and tax reductions.

The province has also been reaping the benefits of an influx from nearby Alberta. When the government in Alberta decided to raise the oil royalty rates, oil exploration and expedition companies decided to move their operations to Saskatchewan in hopes of making more money.

With the province's growing opportunities, David Montgomery, president of Calgary's Qwest Haven Relocation Services, said he is moving more people to Saskatchewan each day.

"Alberta has always been the gravy train of oil," said Montgomery, who is also a former resident of Regina, the capitol and second-largest city in Saskatchewan. "But with the new royalties, oil companies are saying 'Why stay here and make less when the opportunities right next door are even better?' Many other companies may start to follow suit."

Montgomery said people looking to move have said that cheaper land and insurance prices are among the other reasons they are headed to Saskatchewan.

"There, government insurance is cheaper than anywhere else in the country and it comes with your license plates," he said. "With the amount of jobs, cheaper opportunities and great way of life, the government there has made it very attractive to move there."

That means more business for Wall's province and more jobs coming to the area.

Not that there's a shortage of jobs. On Tuesday night there were nearly 6,000 private- and public-sector jobs on the Web site Saskjobs.ca.

A constant stream of revenue from oil production and exports also buoys the economy in the province.

Saskatchewan falls just behind Alberta, as the largest oil exporter in Canada, and Wall's province sends more oil to the United States than Kuwait. Wall said the province is the leader in uranium production and produces a third of the world's potash.

The province continues to keep ahead of the curve, Wall said, finding ways to diversify its resources and embark on ambitious green projects and new oil projects. The province is working with Montana on a $212 million climate change initiative that would create the first major greenhouse gas storage project in North America. The carbon dioxide from coal-fueled power plants would be stored in the ground in Montana and later be withdrawn for use in oil production.

Wall also said what may be the largest discovery of sweet, light crude oil in the southeast part of the province means it could have even more oil to work with. The Bakken Formation could potentially have 413 billion barrels of oil, according to the U.S. Geological Survey. That would be another huge untapped revenue gold mine.

Despite the growth of nearly all sectors across the board, Wall cautioned that it is possible his province may see economic stress, just later in the game than other places.

"We need to be circumspect and prudent about promoting our province," he said. "We are not immune; we do see the impacts. It isn't some sort of panacea or answer to economic questions that don't exist elsewhere. We are a bit of an asterisk that says there is some stress, but it's relatively calm here."

Wall encouraged people not to count out a move to the province based on stereotypes that it is "only winter here," and "all of the land is just rolling hills."

"'It's a beautiful, big place where life is great and right now there's also opportunity," he said. "I'm very, very biased, but I can't imagine a place I'd rather be, especially with what's going on economically around the world."

@highlight

Saskatchewan projected to lead Canada in economic growth in 2009

@highlight

Province helped by infrastructure investment, oil production

@highlight

Premier: We are "a story of success" that wants to help those struggling

@highlight

Relocation services business sees more people looking to move to province