(CNN) -- The European financial crisis is poorly understood in the United States.

Because so many Americans misunderstand the crisis, they fail to appreciate how -- and how much -- the crisis threatens them.

Americans tend to think (and are encouraged by politicians to think) of the European crisis as a debt crisis. Governments overspent, got into debt, and now the day of reckoning is at hand.

Yet that version of the case is demonstrably untrue. Spain's debt-to-GDP ratio is substantially lower than that of the United States. Germany's debt-to-GDP ratio is neck and neck with the United States. Yet it is Spain, not Germany, that is in trouble.

Europe is not having a debt crisis. It is having a currency crisis. It's not that European countries have bumped up against their ability to borrow. The problem is that some European countries are bumping up against their ability to borrow in euros. That limit is imposed not by markets, but by the European Central Bank.

Nobody doubts that the U.S. can generate dollars to pay its bills. Nobody doubts that Japan can generate yen, or that Britain can generate pounds sterling. But they do doubt that Spain or Italy can generate the euros they need, because -- unlike the U.S. or Japan or Britain -- Spain and Italy lack the power to create their own money. Maybe not Greece, which is a special case, but the other troubled countries could recover their borrowing ability tomorrow if they quit the euro and resumed their former national currencies.

Americans need to understand this truth, because otherwise they will be blindsided by the real risks out there.

The hard-pressed countries of the eurozone have an escape hatch: They can quit the euro currency. Quitting the euro would not be pain-free -- but it might well become a less painful alternative to what those countries are suffering now: Great Depression levels of unemployment, rising taxes, massive social security cutbacks. Over the past two years, for example, Portugal has cut government spending by almost 8 points of GDP. To achieve the same scale of cut in the United States, we'd have to abolish both Social Security and Medicare.

The sacrifices countries make to stay inside the eurozone fall mostly on their own people. But if they quit, the pain is exported -- and will be heading our way.

Consider for example a working Spaniard, earning, say, 40,000 euros a year and holding a 2,000 euro balance on his credit card.

Spain quits the euro. The Spaniard's salary is converted from 40,000 euros to 40,000 new pesetas. Quickly, the new peseta loses value against the euro. A month after the conversion date, the Spaniard's 40,000 new pesetas are worth only 20,000 euros.

He is poorer than he was. But at least he's working. At Spain's new lower wages, other Spaniards quickly find work too, just as Americans rapidly went to work when the U.S. quit the gold standard in 1934. Imported goods become more expensive. But not rents -- they are denominated in new pesetas too. When our Spaniard buys his morning cup of coffee, the beans will be more expensive and the sugar too. The wages of the barista who makes the coffee, however, will have declined in tandem with his own. Ditto the mortgage on the coffee shop. And those nontraded inputs account for most of the cost of the cup.

Now look at the other side of the ledger, the Spaniard's debt. What happens to that 2,000 balance on his credit card? It is (presumably) also redenominated into new pesetas. It also falls in value, to just 1,000 euros. Good news for the Spaniard. Bad news for the credit card company.

Or is it?

In the 2000s, Spanish banks emulated U.S. banks in the aggressive use of securitization. As of 2010, the European Central Bank reports, Spanish banks had issued more asset-backed securities than the banks of any other European country except the Netherlands -- and vastly more than the banks of France and Germany combined.

Which means that our Spaniard's credit-card debt is probably not owed to the company that issued his credit card. That debt is owed to some other financial institution, somewhere else on earth. Where? Who knows?

Even the people who own the debt may not know. As we learned during the subprime mortgage crash, bad loans get sliced and diced, recombined and repackaged, into bonds whose contents are not always understood by the pension funds and insurance companies that buy them. Those bond buyers often only discovered that they had bought bonds based on subprime mortgages after the mortgages failed.

Financial institutions that have bought Spanish credit-card debt (or Spanish mortgages or whatever) may discover equally shockingly late that their bonds also will not and cannot pay off in full.

Think of those potentially redenominated Spanish bonds as toxic admixtures into bond portfolios all over the planet -- including possibly the bond portfolio that supports your pension or your life insurance claim.

And then understand why all this talk of "We could be like Greece" so radically misses the point. We're in the same boat already with the Spaniards and the Italians and, to a much lesser degree, the Greeks -- and not because of the way the U.S. government taxes and spends, but because of the way world financial institutions borrow and lend.

The opinions expressed in this commentary are solely those of David Frum.

@highlight

David Frum says the European financial crisis is not about debt, it's about currency

@highlight

He says some countries unable to borrow in euros with limits set by European Central Bank

@highlight

Their escape hatch: Quit the euro. Ensuing credit-card debt could have global effect

@highlight

Frum: U.S. financial portfolios could suffer because of how world financial institutions work