(CNN) -- Not every travel adventure involves tracking wild animals or hanging off a mountain. Some feats of endurance come in the form of festivals, and Munich's Oktoberfest is no exception. This annual beer-soaked event is under way now, but a visit to the charming Bavarian town of Munich is a treat year-round.

Whether you're visiting in winter or in summer, there is sure to be plenty to do. Read on for tips in each season:

Take in the scenery when it's cold

CNN's Emma Lacey-Bordeaux shares her tips for cold-weather explorations:

I arrived in Munich by train. The warm bright interiors of the train car and the boisterous passengers sharply contrasted with the increasingly snowy exterior as we left northern Italy, crossed the Alps and arrived in the neat metropolis.

After spending four months studying in the incredibly beautiful yet utterly perplexing city of Venice, Italy, Munich stood out first and foremost for its order. Trains take you where you need to go, they run on time and the buildings all look like they could stand forever in their neat, thoughtful lines

Walking, biking or taking public transport allows visitors to take in the interesting architecture of the city. The city exhibits modern platzes, or squares, with glass buildings, impressive monuments and historic buildings galore.

Share your photos and tips for Munich

Enjoy the Hofgarten, a lovely yet strangely haunting garden in the middle of the city replete with ornate buildings and statues. As is the case with many landmarks and buildings in this charming city, the garden was first constructed in the 17th century, then destroyed during World War II and rebuilt much the same. Around town, you'll notice some buildings with facades painted on to approximate a style lost in the war.

Across town, pay a visit to Ludwig-Maximilians-Universität. The main building was designed by Friedrich von Gärtner, an important architect from the mid 19th century, and features large beautiful halls. Plus a visit to a college area always pays off in good, cheap food options.

Munich has a festival for every season. October boasts the übertraditional Oktoberfest, the summer months have outdoor concerts and Christmas carnivals fill the winter months.

Keep these tips in mind if you go for the holiday markets: Rule No. 1, bundle up! The icy wind here comes off the mountains and will chill you to the core. Luckily, every outdoor Christmas market, or Christkindlmarkt, sells a variety of hot beverages including hot mulled wine or Glühwein.

Don't be surprised when vendors hand you a beautiful ceramic mug full of wine. But don't walk away with the mug; you're just renting it. Return it after drinking and move on to the next market for more shopping and sipping.

At the markets you'll find all manner of gifts and knickknacks from the classically Bavarian items to more modern crafts. The Tollwood Festival stands out as one of the largest in town. It also boasts musical and theatrical performances and a large variety of food from around the world. The No. 1 rule with these markets: pace yourself -- these warm oases in a cold season are all over town.

Should market hopping make you ill, Munich has a very modern and well-run health care system. Perhaps I succumbed to the cold weather, the festival food or the bug that I heard was going around town, but whatever the reason, my host and I both found ourselves sick to the point of dehydration. After a quick train ride we arrived at an emergency room and were seen by a doctor almost immediately.

The visit to a lovely doctor who spoke perfect English was a mere 35 Euro, including intravenous fluids. Afterward, I walked across the street, prescriptions in hand, shelled out 15 more Euro and felt right as rain. I never once showed ID or an insurance card. Getting sick should not rank high on your travel list, but if illness falls, fear not!

Get outdoors and soak up the sun in summer

Read on for some warm-weather finds from CNN's Emily Smith.

Munich is delightful in the warmer months. Locals and tourists alike flood the streets and fill cafes. Take advantage of the weather and spend as much time outdoors as possible. We rented bikes from a tour company opposite the train station. Being a nervous biker I was pleasantly surprised that motorists moved over, and I never felt at all unsafe. We opted for a tour that included both historical stops as well as a visit to a few beer gardens.

In Munich, beer is big business year-round and Hofbrauhaus is one of the oldest and most popular places to indulge. Beer maidens carry giant mugs of frothy golden goodness between tables crammed family-style with tourists from all over the world.

The mood is jovial and spirited, and the schnitzel isn't half bad either. Most of the food found at beer gardens is real stick to your ribs-type stuff. We dined on giant pretzels and bratwurst for the most part.

The Chinese Tower Beer Garden, in the large city park called the English Garden, is also a must-try. Located at the base of a wooden pagoda, seating is predominantly outdoors and there is often a live brass band. If you opt for a guided tour, listen well and you'll learn some interesting facts. For example, beer gardens used to store beer in underground cellars beneath the shade of chestnut trees.

The English garden, with its many chestnut trees, is beautiful and definitely worth a walk around. It's rather expansive so plot out a route and be aware of the Schönfeldwiese lawn -- it's a favorite of nudists. No judgment!

Another fun outdoor activity off the garden can be found at the Eisbach River. There you'll come across something unexpected -- surfers! The river forms a natural standing wave that draws board riders to get their fix.

There's usually a crowd but patience is rewarded with a spot on the bridge overlooking the wave. The sport has become so popular that the location now boasts multiple wave riding competitions.

It helps to have a tour guide in a city like Munich -- the city is large and while easy to navigate it's nice to have someone point out the pockmarked buildings from the war instead of walking right by with your nose glued to a map.

The city has a rich cultural history and is home to world-class museums and galleries. Munich is the kind of city where it's easy to mix the fun of beer garden hopping with the opportunity to get your knowledge on.

@highlight

Munich is great during Oktoberfest, but it's also wonderful year-round

@highlight

In the cooler months, enjoy the beautiful scenery and browse holiday markets

@highlight

When it's warm, check out a beer garden and make time for some fun in the sun

@highlight

Have you been to Munich? Share your story with CNN iReport