Dallas (CNN) -- Five decades after it served as the backdrop for a nation's grief and disbelief, Dallas' Dealey Plaza took center stage once again Friday as Americans commemorated the 50th anniversary of President John F. Kennedy's assassination.

"A new era dawned and another waned a half century ago when hope and hatred collided right here in Dallas," Dallas Mayor Mike Rawlings said in his remarks commemorating Kennedy's death.

Rawlings then read the final words of the speech Kennedy was to deliver that day. That was followed by a moment of silence at 12:30 p.m., the time Kennedy was shot a few feet from where Rawlings spoke.

Bells tolled, and after a brief pause, cadets from the Naval Academy sang "America the Beautiful." Historian David McCullough read excerpts from famous Kennedy speeches.

Some 5,000 invited guests were expected to attend the commemorative events, which was bookended by bagpipers -- a JFK favorite -- playing under a spitting gray sky.

The tightly choreographed and secured event was the culmination of a series of commemorations Friday, including wreath-laying events in Kennedy's home town of Boston and at his Arlington National Cemetery gravesite.

In Washington, where flags flew at half-staff over the Capitol and White House, Kennedy's last living sibling, Jean Kennedy Smith, participated in the Arlington wreath-laying. Earlier, Attorney General Eric Holder visited the gravesite.

And in the House of Representatives, where Kennedy served from 1947 to 1953, the Rev. John Robert Skeldon of Fort Worth, Texas, reminded lawmakers in his opening prayers that "in commemorating such a one whose life and presidency were cut short, we do so not to sow in tears, as the psalmist says, but rather to reap with shouts of joy."

"Help us, Lord God, to make the late President's inaugural vision our own so that together as fellow Americans we may 'ask not what our country can do for us, but rather what we can do for our country,'" Skeldon prayed, invoking Kennedy's famous words.

The Dallas event was designed to be a delicate balancing act of honoring Kennedy's memory without sensationalizing his murder, and to help the city throw off its reputation as "the city that killed Kennedy."

It opened with a video from an organizer speaking of that goal, and continued in Rawlings remarks, which keyed off Kennedy's call for the United States to embrace and conquer a "New Frontier" of challenges

The mayor spoke of a Dallas that took up the mantle of Kennedy's challenge of American betterment and transformed itself with a "sense of industry born of tragedy" into a city that he hopes would make the president proud.

"He and our city will forever be linked, in tragedy, yes," Rawlings said. "But out of that tragedy, an opportunity was granted to us: the chance to learn how to face the future when it's the darkest and most uncertain, how to hold high the torch even when the flame flickers and threatens to go out."

Boy who witnessed JFK assassination recalls the day

JFK assassination a collective memory for American children

A new JFK monument also was unveiled, in the infamous section of land known as the "grassy knoll." The inscription on the monument is the final paragraph of the speech JFK intended to deliver at the Dallas Trade Mart on November 22, 1963:

"We in this country, in this generation, are --- by destiny rather than choice --- the watchmen on the walls of world freedom. We ask, therefore, that we may be worthy of our power and responsibility, that we may exercise our strength with wisdom and restraint, and that we may achieve in our time and for all time the ancient vision of "peace on earth, good will toward men." That must always be our goal, and the righteousness of our cause must always underlie our strength. For as was written long ago, "except the Lord keep the city, the watchman waketh but in vain."

Is there more to the JFK assassination?

Other Dallas events

Conspiracy theorists, who have typically gathered on the plaza on each anniversary of Kennedy's assassination, were barred from the plaza.

Instead, The Dallas Morning News reported, the group planned to hold an event at the nearby JFK memorial, and then move to Dealey Plaza after the main event was over. Demonstrators gathered at Dealey Plaza on Thursday, and many chanted: "No more lies. No more lies."

The remarkable Sixth Floor Museum, which chronicles the Kennedy assassination, was set to open from 3 to 8 p.m. CT. Parkland Hospital, where Kennedy died, planned a brief morning ceremony, where the flag will be lowered to half-staff.

Also in Dallas on Friday, a candlelight vigil for J.D. Tippit was set for 6 p.m. at the site where the 39-year-old Dallas police officer was shot.

"I think the remembrance of him calls attention to all of the officers killed in the line of duty. We should remember those who have given their lives for our city," Marie Tippit, who had been married to the officer for 17 years, told the Los Angeles Times this week. She told the paper she will also attend the ceremony at Dealey Plaza.

5 things you might not know about JFK's assassination

Finally, the Texas Theatre, where Lee Harvey Oswald was apprehended by police, was to screen part of the movie "War Is Hell," the film that was showing when Oswald slipped into the audience without paying.

Commemorations elsewhere

50 years later, Jackie Kennedy's pink suit locked away from view

The John F. Kennedy Presidential Library and Museum in Boston asked visitors to gather to watch a video musical tribute to the President that includes James Taylor. A moment of silence was held at 2 p.m. ET, the time when a doctor approximated Kennedy died.

Moments of silence were also planned at various other locations around the nation.

And online, a handful of Twitter accounts focused on recreating Kennedy's movements that fateful day, culminating in breaking accounts of the aftermath of the shooting.

CNN's Ed Lavendera and John King reported from Dallas; Michael Pearson reported and wrote from Atlanta; CNN's Steve Almasy also contributed to this report.

@highlight

NEW: "He and our city will forever be linked," Dallas mayor says

@highlight

Mike Rawlings says "hope and hatred collided" in Dallas 50 years ago

@highlight

Moment of silence, bells, mark moment 50 years ago Kennedy was shot

@highlight

Wreath laid in Boston; House prayer invokes Kennedy's memory