Stereotypes of Danish cuisine inevitably feature visions of streaky bacon and swirly pastries. But trail-blazing restaurants like the two Michelin-starred "Noma" have ushered in a fashion for so-called "New Nordic Cuisine" that has seen bon vivants straining their vocal chords in songs of praise.

Copenhagen, the stylish Danish capital, is leading the way in this North European culinary revolution. Indeed, the latest edition of the Michelin Guide awarded the city's restaurants an impressive 14 stars -- more than any other of its Scandinavian counterparts.

But the city is also dotted with eateries for all occasions and tastes, offering more than just Michelin starred fine dining. Here is CNN's at-a-glance guide to Europe's new culinary capital.

NomaFor a foraged feast

Noma is hidden inside an 18th-century storage building that was once used to keep salt. Facing out onto the quiet waterways of Copenhagen Harbor, it's an unassuming location for a two Michelin star restaurant, regularly touted by industry experts as the best in the world today.

René Redzepi, founder and head chef, has been wowing foodies ever since Noma's relatively recent emergence, with his extraordinary emphasis on local and foraged food, showcasing the cuisine of the cold North Atlantic.

"Vegetables in soil" offers perhaps the most illustrative and notorious example of Redzepi's agrarian-focused philosophy. Locally sourced baby carrots, radishes, leeks and celeriac are served on a bed of "soil", which is in fact a combination of malt flour, hazelnut flour, melted butter and beer.

Noma's interior echoes this earthy outlook. Rustic wooden beams extend between the white-washed walls, and food is served on bare dark oak tables.

Those with time on their hands should opt for the 12-course "Noma Nassaaq" taster menu. The four-hour degustation begins with a platter of sea-buckthorn with pickled rose-hip petal, and culminates in a Jerusalem artichoke sorbet with apple, shortbread and chocolate discs, taking in a cosmic array of Nordic delights in between.

See also: Indian master chef gets fresh at 'world's best restaurant'

Royal CaféFor quirks and curios

Part design museum, part porcelain china shop, part upscale eatery, the Royal Café is less fine dining, more Mad Hatter's tea party.

The interior is a sugary feast for the eyes. Ornate chandeliers hang from ceilings plastered with psychedelic wallpaper, and the long, slender room is adorned with curiosities that range from the sublime to the ridiculous, in a brand of décor the café calls "funky baroque."

Created in collaboration with design legends like furniture company Fritz Hansen, architectural firm Arne Jacobsen and sound specialists Bang & Olufsen, the café is a testament quintessentially Danish design.

Aside from a delightful selection of salads, pastries and hot chocolates, the Royal Café is best known for its modern take on traditional smørrebrød -- the famous Danish open sandwich typically adorned with meat or cheese. Here though, proprietor Rud Christiansen has added an east Asian dimension: sushi. The result is the endearingly termed "Smushie" -- colourful bite-sized sandwiches piled high with a selection of fish and vegetables.

Den Økologiske PølsemandFor cheap eats

Readers of Danish newspaper Politken were recently asked to select their favourite Copenhagen eating establishment. The locals voted overwhelmingly in favor of the "Den Økologiske Pølsemand" (DOP) -- a humble hot dog stand.

While the city is riddled with white vans peddling fairly predictable low-grade sausage and bun combos, DOP's owner Claus Christensen has set his heart on introducing a better breed of fast food.

Everything is organic, from the star attraction of grilled pork sausage to the remoulade and fried onions. The buns are made from slow-fermented sourdough bread and linseed -- the sort of thoughtful detail that explains why DOP has so quickly become the people's champ.

FiskebarenFor sea food fanciers

In this fish-focused eatery, the main courses salute the unsung heroes of the North Sea, with often neglected specimens such as dab and whiting on the menu. Ordinarily hum-drum dishes are given a "New Nordic Cuisine"-style twist. The fish and chips, for example, are made from fresh and zealously sourced haddock that is lightly smoked before frying, then cheekily served in the traditional newspaper cone.

The décor features the mesmerizing centrepiece of a cylindrical jellyfish tank and decorative meat hooks hang from the ceiling. The latter are a homage to Fiskebaren's location in the former Meatpacking district (Vesterbro).

As is so often the case with formerly dilapidated industrial quarters, the area has become excruciatingly cool, so book in advance or face a long wait.

Mielcke & Hurtigkarl For garden enthusiasts

Situated in the Fredriksberg gardens, on grounds run by the Royal Danish Garden Society, Mielcke & Hurtigkarl infuses fine dining with prime horticulture to create a truly multi-sensory experience.

Green textiles bring the encircling garden inside, as does a gently immersive soundscape that mimics the noise of forest creatures. All the while, shards of light dance on crystals hanging from the ceiling.

The inventive kitchen pairs rare ingredients from around the world. Foie gras positioned on top of a "bark" made of bull kelp from Vancouver Island and a dessert of deconstructed berries, lavender ice cream, "spherified"  (gelled) ruccula and apricot, and fresh clovers is a dish indicative of Mielcke & Hurtigkarl's blend of humor and haute cuisine.

@highlight

Copenhagen is at the heart of the wave of "New Nordic Cuisine"

@highlight

Restaurants like two Michelin-starred "Noma" have put Scandanvian food on the map

@highlight

CNN showcases eateries for every palate in a culinary tour of Copenhagen