(CNN) -- In Brooklyn, a woman pushed a small grocery cart with a single bag inside. In it, a precious possession shielded from prying eyes: a red can filled with gasoline.

In the wake of Superstorm Sandy, gasoline might as well be gold.

"It has become a hot commodity, so we didn't want to risk it," she said.

With lines snaking for blocks -- miles, even -- outside gas stations in New York and New Jersey, tensions occasionally flared as people waited for the chance to to pump gas into cars or gas cans.

"The situation is hectic," said Terry Landers, a CNN iReporter in Lebanon, New Jersey. "Many gas stations are either out of gas or (will be) soon."

The demand is high, and the fuel isn't just for empty car tanks. Many people still have no electricity and are using gasoline-powered generators, adding to the demand.

Temperatures drops, tempers rise in power outage

"As word spreads that somewhere has gas, there are (lines of) cars as long or longer than the one in my video," Landers said.

Federal and state authorities acted on two fronts Friday to address the issues -- both to bring more fuel to the area, and to more fairly distribute what is already there.

At President Barack Obama's direction, the Defense Logistics Agency will buy up to 12 million gallons of unleaded fuel and up to 10 million gallons of diesel that will be moved on tanker trucks to replenish stocks in New York, New Jersey and other areas experiencing severe gas shortages.

In order to ration and decrease wait times, New Jersey Gov. Chris Christie signed an executive order Friday tying whether a driver gets gas to his or her license plate number. It goes into effect in 12 counties at noon Saturday.

On days that end in even numbers -- such as November 4, 6 or 8 -- gas station operators can sell gas to only those with license plates with a last digit that is even. On odd-digit days, such as November 3, only those with plate numbers ending in an odd number or those with specialty plates can get gas. In New Jersey, only station attendants can pump gas.

"This system will ease the strain on those gas stations still operating, while we work to bring more online for the public to access fuel, in a manner that is fair, easy to understand and less stressful," Christie said.

7 health risks after Sandy

Mariangel Javier, who is nine months pregnant, said she had been waiting for more than five hours to fill up at a gas station in Union City, New Jersey. She had used what little gas she had left to drive to her last doctor's appointment.

"But I didn't find out until I got there that they didn't have power either, so now I need gas to get back home," she said.

The gas station's manager, Favhan Javed, has been working day and night alongside his staff to keep the station running and was confident that Javier would be able to fill up.

"I even stay until after midnight for my friends who are taxi and limousine drivers, because they have to feed their families, too," he said.

For the most part, people have remained remarkably cool. As a precaution, police are helping to keep the lines in order at some gas stations.

In other areas, there was a sense of organized chaos that sometimes veered more toward disorder.

At a station in Queens, New York, police arrested a man early Thursday after he cut in line and then pulled out a gun when he was challenged by other residents.

Sandy roared ashore Monday night, knocking out power to millions of people, and flooding mass transit systems across the Northeast. Three days later, more than 1 million people in New York and 1.4 million in New Jersey are still without power.

Powerless in New Jersey

The demand for gasoline is only going to rise, with New York's subway system still out of commission -- meaning more people are forced to travel by car -- and a forecast of cold weather for New York and New Jersey this weekend.

Most major gas station chains, from ExxonMobil to Hess, were experiencing disruptions. In fact, some 60% of gas stations tracked by AAA in New Jersey were not operational, according to the motorist group. In New York's Long Island, that figure was 65%.

Economic impact of gas shortages

CNN's Christine Romans explained that a lot of the closed gas stations simply don't have electricity to operate their pumps, while others cannot get gasoline delivered to the station from the refinery because of blocked roads or other logistical problems created by the storm.

And even with government efforts to address the problems, gas shortages could stretch "though the weekend and into the next," according to Matt Smith, an analyst for Summit Energy.

To cope with the overwhelming demand, some stations limited their services to emergency vehicles only. Other stations only provided gas for people's gas cans, and not their cars. Many gas stations set limits to how much gas each person could pump: maybe $20, or maybe $50.

Desperate residents -- who at least had enough power to charge their mobile devices -- used social media to try to avoid long lines or empty gas stations.

Twitter users in New Jersey created the hashtags #njgas and #njopen to provide real-time information on open gas stations, the length of the line, and any restrictions.

"Bp gas on French street near jersey ave in New Brunswick is open and line is less than 30 minutes," tweeted @johnnymatson.

"This guy turned a blocked driveway into a business opp for those of us in line for gas," tweeted @AmyMJ2, along with an Instagram picture of a man smiling behind a table with two coffee dispensers.

Some Twitter messages revealed that red gas cans were quickly becoming just as scarce as gasoline itself.

Others offered some humorous perspective on the situation: Charles Leone, offered this: "Some perspective. The NYC marathon winner will run the marathon in less time than the average (gas) lines."

In the end, NY marathon didn't feel right

CNN's Susan Candiotti, Aaron Smith and Cindy Rodriguez contributed to this report.

@highlight

NEW: The feds will bring in 12 million gallons of unleaded gas to hard-hit areas

@highlight

NEW: New Jersey sets up a system linking license plate, to day gas is pumped

@highlight

Some New York, New Jersey residents waited over four hours to fill up cars, gas cans

@highlight

Those with mobile devices used Twitter for real-time information on gas lines