(CNN) -- "Nostalgia" and flimsy evidence led to guilty verdicts in the nation's oldest cold case ever solved, according to the man serving a life sentence for kidnapping and murdering a neighbor's child in 1957.

In his 80-page appeal, former police officer Jack Daniel McCullough says he deserves a new trial because his mother was allowed to accuse him from the grave -- while he was kept from proving that he was elsewhere when a 7-year-old girl was abducted and killed.

The appellate brief, filed Thursday by the Illinois state appellate defender, noted that nobody saw who grabbed Maria Ridulph from a street corner in Sycamore, Illinois, or witnessed how or where she was killed.

No forensic evidence ties McCullough -- or anyone else -- to a crime so shocking it captured the attention of FBI Director J. Edgar Hoover, the appeal states.

Instead, the court papers say, prosecutors built their case on unreliable evidence, including inmate witnesses whose motives were suspect and others whose memories were dulled by the passage of time:

"The evidence against Jack McCullough," the appeal contended, "was so unreasonable, so improbable, and so unsatisfactory as to create a reasonable doubt that he was responsible for a 1957 murder, kidnapping, and abduction of an infant."

That evidence included "personal memories of what occurred 55 years ago; a photo identification made 53 years after the incident; testimony from jailhouse informants; innocuous statements from the defendant; and an improperly admitted and inconclusive statement from the defendant's mother while on morphine and Haldol just before her death."

The appeal cited many of the issues raised by legal experts who spoke with CNN for "Taken: The coldest case ever solved," a five-part multimedia series published in August. The series was the basis for an hour-long documentary that aired on HLN.

Read the appeal (PDF)

McCullough was convicted in September 2012 of kidnapping and murdering Maria Ridulph 55 years earlier. The brown-eyed second-grader vanished from the corner of Sycamore's Archie Place and Center Cross Street on the evening of December 3, 1957.

Her body was found the following spring in a grove of trees off a busy state highway about 120 miles away. The crime, which shook the small farming community to its core, is believed to be the country's oldest cold case ever prosecuted.

Now 74, McCullough is serving a life sentence at a state prison in Pontiac, Illinois.

He denied committing the crime in several letters to CNN and in a jailhouse interview last year. He also denied having anything to do with Maria's disappearance and death in a lengthy police interrogation in Seattle hours before his arrest. Prosecutors and investigators said his odd demeanor during questioning convinced them they had the right man.

The DeKalb County State's Attorney, which prosecuted McCullough, declined comment and referred calls to the Illinois state appellate prosecutor, which also declined to comment on a pending case. A court clerk said both sides should finish filing their briefs by late June and arguments could be scheduled by summer.

"I think the problem with Jack's trial is, it was all emotion-based," said Janey O'Connor, McCullough's stepdaughter and most outspoken defender. She said she hopes his lawyers can convince the appeals court to view the case with a more objective eye.

"To find a man guilty based on conflicting stories, unconstitutional rulings and emotion and not allow Jack the chance to present the evidence that cleared his name in 1957 goes against our constitutional rights," she said.

Testimony lasted little more than a week at McCullough's trial, which was decided by a judge brought in from a neighboring county.

For the most part, the appeal focused on Judge James Hallock's pretrial rulings regarding what evidence to allow and what evidence to exclude.

Hallock used an exception to the hearsay rule to let McCullough's sisters testify about a deathbed statement by their mother but excluded as hearsay police and FBI reports from the 1957 kidnapping investigation. He also excluded a Sycamore police detective's investigation during the mid-1990s that concluded that another man, now deceased, committed the crime.

"In a court with murder charges at issue, the law demands more than nostalgia," state appellate defender Paul Glaser wrote. "It demands proof beyond a reasonable doubt." Glaser did not represent McCullough at his trial; he was appointed by the state to handle his appeal.

The appeal noted that prosecutors "took great effort to describe the gentle, small-town nature of Sycamore, Illinois, in 1957." It was a time and place where the abduction and murder of a child playing in the season's first snow "was a shocking, defining and tragic event," the appeal said, but criminal responsibility for kidnapping, child abduction and murder "needed to be proven to competent evidence."

In this case, the appeal stated, the evidence presented against McCullough "woefully failed to rise to the level of proof necessary to sustain his conviction." The appeal criticized Hallock's rulings as a "gross abuse of discretion" that prevented McCullough from receiving a fair trial.

Hallock declined to comment on the case, citing Illinois' code of judicial conduct.

McCullough's appellate lawyers focused their attack on a hospital bed accusation by his sedated, dying mother that prompted Illinois State Police to reopen their investigation. The defense has long argued that it should never have been disclosed in court.

McCullough's sisters testified that their mother told them "John did it" or "he did it" but gave contradicting testimony on what she meant by "it."

Eileen Tessier, who was in the end stages of cancer, was sedated, "emotionally disturbed," sometimes "basically comatose" and at other times "pleasantly confused," the testimony showed.

Prosecutors persuaded Hallock to allow the statement under a hearsay exception, arguing that Tessier could have faced obstruction of justice charges herself for covering up for her son all those years. But the appellate lawyers countered that criminal charges weren't a realistic possibility for a terminally ill woman.

"Instead the statement was an out-of-court accusation," the appeal stated, "the admission of which should have been strictly forbidden."

Kathy Sigman Chapman was the prosecution's star witness and the last person to see Maria alive, besides the killer. Chapman, who was 8 at the time her friend vanished, was shown hundreds if not thousands of photographs as a child but didn't identify the stranger who called himself "Johnny" until 53 years after the crime.

She was in her 60s and living in a neighboring city when an Illinois State Police detective knocked on her door and showed her a group of photographs. She picked one she had not seen before -- a recropped prom photo showing 17-year-old John Tessier, as McCullough was then known -- and identified him as the young man who gave Maria a piggyback ride minutes before she vanished.

She also identified the photograph in court, but the appeal asserts that the appearance of the man in the photo differs from the description she gave in court of the man she saw on the street corner.

Three jailhouse informants testified about conversations they said they had with McCullough while he was awaiting trial. They gave varying accounts of how he described killing her: with a wire, strangling her with his hands or dropping her on her head.

The informants and several police detectives from Seattle, where McCullough was initially questioned and arrested, also testified about odd statements he made about Maria Ridulph. They said he described her as "lovely," with big brown eyes and "like a little Barbie doll." While the appeal referred to those statements and vivid descriptions of a little girl he knew 50 years ago as "innocuous," others have described them as unsettling, even "creepy."

Given the circumstantial nature of the prosecution's case, the appeal asserted, the defense should have been able to expect some leeway. But, court papers say, the judge's pretrial rulings prevented McCullough from presenting his defense. He was unable to call a witness, former Sycamore police detective Patrick Solar, who concluded during the mid-1990s that another man committed the crime.

And he was not permitted to present police and FBI reports from the 1957 kidnapping investigation that indicated he was questioned and cleared from the list of suspects because he had an alibi.

The reports indicated that McCullough spoke with military recruiters in Rockford, about 40 miles away, about the time Maria was taken from the street corner in Sycamore. They also seemed to verify his story that he made a collect call home, asking for a ride. Phone records at the time, long since lost, indicated that a collect call was placed from a pay phone in Rockford to the Tessier family home in Sycamore at 6:57 p.m. by someone giving his name as "John Tassier." The call lasted two minutes.

Illinois law does not allow police reports and other documents as a substitute for witness testimony at trials. But in this case, almost all of the FBI agents and police investigators had died, and McCullough's defense sought to introduce the reports as "ancient documents" or public records more than 20 years old. Hallock, the trial judge, rejected that argument.

"The judge's decisions to prohibit Jack McCullough from introducing FBI records prepared at the time of the offense, despite their status as ancient documents and public records and their probative value in establishing Mr. McCullough's alibi, and to prohibit Mr. McCullough from presenting testimony showing another man committed the offense, amounted to gross abuses of discretion denying Mr. McCullough his fundamental right to present a defense," the appeal stated.

By blocking the defense while allowing prosecutors to introduce "irrelevant, but highly prejudicial evidence," the judge violated McCullough's right to a fair trial, the appeal stated, before delivering a final salvo: "No rational trier of fact would have found the defendant guilty."

Police get break in missing girls' cold case from 1975

Arrest in 40-year-old murder case

Four decades later, disappearance of 2 missing girls blamed on wreck

@highlight

Man appeals murder, kidnapping convictions in country's oldest cold case ever solved

@highlight

Jack McCullough was sentenced to life in 2012 for 1957 death of neighbor's child

@highlight

Appeal challenges rulings that allowed dead mother's accusation but blocked alibi

@highlight

Brief cites many of the issues raised by legal experts in CNN's "Taken" series