(CNN) -- Apple's fingerprint sensor, Touch ID, is the flagship feature on the iPhone 5S. But it doesn't always work the way it should.

Since the sensor's introduction in September, a growing number of issues have surfaced — including everything from phones that don't recognize when a finger is present to those that don't approve fingerprints they're supposed to approve.

What's going on here? While faulty software or hardware could be to blame in a few cases, the problem might also be you. Determining the real culprit requires a closer look at how Apple's sensor technology really works.

Touch ID is composed of an 8 x 8 millimeter, 170-micron-thick capacitive sensor located just beneath the home button on the 5s. This is used to capture a 500-pixel-per-inch (ppi) resolution image of your fingerprint. The sensor can read pores, ridges, and valleys. It can identify arches, loops, and whorls. It can even recognize fingerprints oriented in any direction.

When you place your finger or thumb on the sensor, it looks at the fingerprint pattern on the conductive sub-dermis layer of skin located underneath the dermis layer. It also measures the differences in conductivity between the tops of the ridges and the bottoms of the valleys in your prints in this layer. This is more accurate than looking at the dead surface of the skin alone, which is constantly changing and isn't conductive.

13 of the Year's Best Infographics

This capacitive sensor is made of raw silicon. As such, it tends to be very fragile and susceptible to performance problems caused by dust, moisture, and electrostatic discharge, or ESD. To protect and insulate the sensor, Apple layered laser-cut sapphire crystal on top of the silicon.

It chose sapphire for a few reasons. The material is very clear, and it acts as a lens for your fingerprint. It's also hard (it scores a 9 on the Mohs scale of hardness), which means it's difficult to scratch. If the home button does get scraped or scuffed, the images sent to the Touch ID sensor will be flawed and it will cease to work properly.

What's more, a stainless steel ring encircles the button and acts as a capacitive touch switch, turning the actual touch sensor on and off when a finger is present so it doesn't eat up your iPhone's battery life.

Which Should You Buy: Xbox One or PlayStation 4?

After you register your fingerprint — a process known as enrolling — an encrypted mathematical representation of that information is stored on the device's A7 processor in what's called the "secure enclave." When the sensor captures an image, software algorithms determine whether the print is a match with the stored information or not. A match allows access to the homescreen. A non-match won't.

There are obviously a few possible points of failure in this process, but it all hinges on first getting that robust fingerprint data. "Any good biometric has to start with a high-quality image," Integrated Biometrics' CEO Steve Thies told Wired. His company makes a variety of compact fingerprint sensors that use a different method from Apple's Touch ID (electroluminescence and a thin film transistor) to read fingerprints.

Basically, the larger the sensor, the easier it is to pick up a more accurate representation of your full fingerprint because it's working with more data. This makes it easier for recognition algorithms to confirm that your fingerprint actually belongs to you. But a larger sensor also introduces two problems: cost, in the case of a capacitive scanner like Apple's, and thickness, in the case of another popular fingerprint technology, optical sensing. (You've probably used the latter at the DMV or gym.)

The 13 Best Movies You Didn't See in 2013

Based on what we've seen from Apple's patent applications, it's highly likely the company considered other implementations of a touch sensor. But ultimately, it opted for a smaller version that could more easily fit inside the home button.

Apple partially gets around the small sensor issue using the enrollment process, which includes rolling your finger around to try to capture every microscopic nook and cranny on your finger. Then, at least, it has a large source to pull from, even if it's only scanning a section of that each time you tap your finger.

Still, the less data you have from a fingerprint to process, the harder it is to get a match. Precise Biometrics COO Patrik Lindeberg offers a good analogy: If you have a picture of a face and you see only a small part of that picture — the eyes, or part of one eye — it will be hard to recognize if it is a friend, or someone you don't know. If you have the full face, it's easy to process. Seeing only a portion of a fingerprint sets higher and higher requirements on software algorithms, Lindeberg says.

Indeed, the more sensitive the algorithm (to get a more exact match), the more false-negatives (failed when it should have passed) are produced, which may frustrate a valid user, according to Kevin Luowitz, CTO of biometric identity service startup CLEAR.

16 Gifts Every Music Freak Will Love

"The challenge is then to find that happy balance of acceptable false-negatives and false-positives and user experience," Luowitz says. For security's sake, you would want the algorithm to veer towards false-negatives rather than false-positives.

Apple's Touch ID algorithm is designed to learn and improve over time — with each scan, it checks if it is a better reading than what is stored, and can update the master data for your print this way. This algorithm could certainly be changed or improved through iOS updates, as well.

User error, and a lack of knowledge about biometrics and how they work, could also be causing some people's issues with Touch ID.

"A lot of us in the industry, we are very impressed by the job Apple has done with Touch ID," Lindeberg said. "But on the consumer side, a lot of people have never used biometrics at all."

Twitter Founder Reveals Secret Formula for Getting Rich Online

There are a variety of small things that could be going on to interrupt a successful Touch ID experience. First, for it to work properly, your finger needs to make contact not just with the sapphire of the home button, but also the stainless steel ring surrounding it.

Next, the sensor itself works by measuring electrical differences between the ridges and valleys of your fingerprints. If your hands are too dry, it's going to be difficult for your print to be recognized (this could be a growing problem in the dry winter months ahead). Conversely, if your fingers are too moist or oily, recognition can also fail, as those valleys get filled. If the button gets dirty, as it likely will over time, you'll also want to clean it to keep Touch ID working properly. Apple suggests using a clean, lint-free cloth.

But what about that touch sensor itself? Some have worried that, like traditional capacitive-based fingerprint sensors, it will degrade over time. Thies of Integrated Biometrics thinks that as long as the sapphire crystal and metal ring are not damaged and are properly sealed, the sensor should last the life of the phone. Capacitive sensors in the past were unprotected, or covered in a very thin layer of carbon, and thus were very fragile.

The Best Map Ever Made of America's Racial Segregation

For those experiencing Touch ID issues that cause their phone to freeze, or to not work as well over time, restarting the phone or recalibrating the sensor are your best bets. And if you're new to Touch ID or having trouble, Apple also has a guide you can reference for help.

Fingerprint sensors may not be a new technology. But Touch ID is certainly a new implementation of it. It's bound to experience some bumps as Apple tweaks its algorithms, and as users get accustomed to using biometrics on a daily basis.

At the very least, by understanding how it works and the inherent pitfalls of fingerprint sensors, we can help minimize those issues ourselves.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Apple's fingerprint sensor on the iPhone 5S doesn't always work the way it should

@highlight

Some iPhones don't approve fingerprints they're supposed to approve

@highlight

Sensor is susceptible to problems caused by dust, moisture, and electrostatic discharge,

@highlight

User error could also be causing some people's issues with the Touch ID system