(CNN) -- This week, California again proved itself to be the nation's bellwether state when Gov. Jerry Brown signed a law that keeps children and teens under the age of 18 from possibly ruining their future with impulsive mistakes they make online.

The landmark bill, supported by Common Sense Media, offers protection in two important ways. It requires all websites, online services and mobile apps where a California minor is registered to have an "eraser button" that lets children and teens remove information that they posted and shouldn't have -- giving them a chance to recover after posting information about themselves or others that they regret.

It also prohibits websites, online services and mobile apps directed at minors from marketing certain dangerous goods or services.

As the recent National Security Agency revelations have made clear, each of us leaves a dense trail of digital footprints online. At long last, concern is growing about protecting everyone's privacy. But it's a concern especially for children and teens, who so often reveal before they reflect.

Unfortunately, our laws haven't kept up with our technology. The Children's Online Privacy Protection Act was first enacted in 1998 when Mark Zuckerberg was in grade school. Although recent updates clearly enhance protection for information that websites collect from children under 13, they don't apply to teens, who are often more prone to impulsive mistakes.

California's Senate Bill 568 is the first of its kind. At Common Sense Media, we see it as part of a larger national trend. In fact, a similar federal bill, known as the "Do Not Track Kids Act," is expected to be introduced soon. It's a bipartisan effort led by Sen. Edward Markey and Rep. Joe Barton that includes an eraser button provision.

An Allstate/National Journal Heartland Monitor poll released in June found that nine out of 10 Americans believe their personal information is less private than previous generations, and 93% believe that the next generation will have even less privacy. But kids are waking up. Last year, Common Sense Media published a study that found some young people yearn for the days before sharing everything on social media was commonplace. It even found that digital natives -- those who grew up digital -- actually prefer face-to-face interactions over Facebook.

Of course, eight out of 10 teens use social media, according to a Pew study. The only glimmer of hope is that our children realize there's a cost to having tech giants and intelligence agents compile a detailed profile of them as they are evolving into the people they aspire to be.

The explosive growth of digital devices, smartphones and social media is transforming our children's lives, in school and at home, with teachers, parents, friends and even strangers. Even the youngest are migrating online, using tablets and smartphones, and downloading apps. These new high-tech tools bring a wonderful potential for learning, communicating and creating -- as well as the potential for our children's personal information to be widely visible.

Consider this: By the time they're 2, more than 90% of all American children have an online history. At 5 years old, more than 50% regularly interact with a computer or tablet device; and by 7 or 8, many children have cell phones and regularly play video games. Today's middle schoolers spend more time with media than with their parents or teachers; teenagers text an average of 3,000 times a month.

Every little bit of data contained in the touch of a keystroke or the press of a "like" button contributes to an opus of that child's life -- often revealing details and drawing conclusions about him or her that could have ramifications for years to come.

Children deserve to write their own stories, star in their own movies and discover their own dreams; they deserve at least a modicum of privacy as they grow and discover their true selves, regardless of what they text or tweet, or where they go on the Internet.

But for these positive outcomes to happen, we must confront the privacy challenges in our 24/7 digital world. We need legislation, educational efforts and norms that reflect 21st-century realities to maximize the opportunities and minimize the risks for our youth. Then we will be able to give them the safe, healthy childhood and adolescence they deserve.

The opinions expressed in this commentary are solely those of James Steyer.

@highlight

California law lets children under the age of 18 delete online posts they regret

@highlight

James Steyer: Law protects them from possibly ruining their future with impulsive posts

@highlight

Children start leaving a big digital, personal footprint from an early age

@highlight

Steyer: We need privacy protections for children, who reveal before they reflect