(CNN) -- One day, California wakes up and every single Latino has inexplicably disappeared. No business owner, doctor, nurse, soldier, teacher, entertainer, athlete or politician can be found. No bus driver, farm worker, cook, gardener or nanny. All gone. California -- the ninth largest economy in the world -- grinds to a halt because Latinos have vanished. Chaos and tragedy follow. This scenario is what Sergio Arau's satiric film, "A Day Without a Mexican," explores.

This modern-day fable provides a cautionary tale on the assumptions we make about the 11 million unauthorized immigrants who live and work in America every day.

An oft-repeated mantra used to malign these "economic refugees" -- a term that more closely defines who they actually are, rather than the inflammatory "illegal immigrant" -- is that they don't pay taxes. They send their kids to our schools, and they don't pay taxes. They earn their wages, and they don't pay income tax. Such incendiary assertions are coded language designed explicitly to generate a negative reaction. The facts, which most people don't know, refute such claims entirely.

Sales tax. Like everyone in the country, every time a refugee goes to a store and buys something, they pay sales tax. They buy milk; they pay sales tax. They buy shoes; they pay sales tax. They buy a television; they pay sales tax.

Property tax. When refugees rent -- whether it's in an apartment building, a room in a house or a house -- a portion of that rent is passed on to the landlord, who pays property tax to the state.

Payroll tax. President Reagan's 1986 immigration reform law penalizes employers who knowingly hire undocumented workers. This policy has generated a black-market business for fake identity documents. In less than an hour you can obtain a fake green card, Social Security number and driver's license. Most refugees, then, do provide the necessary documents -- fake or otherwise -- to employers and when they get their paycheck, up to 15% of their earnings goes to Uncle Sam to pay Social Security and Medicare.

But since it's illegal for them to receive Social Security and Medicare benefits, this creates a windfall for Uncle Sam. The "Earnings Suspense File," used to track names and Social Security numbers that don't match government records, grew an average of $67 billion per year from 2000 to 2007 (the most recent years for which data is available), three times faster than the file grew in the 1990s. In 2007, $11.2 billion went into the Social Security Trust Fund and $2.6 billion went into Medicare, for a total that year of $13.8 billion.

Given the financial climate in America these past years, these are funds we can ill afford to do without. This week, in his testimony to the Congressional Budget Committee, Stephen Goss, chief actuary of the Social Security Administration, said that because of the country's growing aging population and decline in birth rates, the Disability Insurance Trust fund reserves will be depleted by 2018 and the Social Security Trust Fund will follow suit by 2036. Goss told The Washington Post recently that the windfall from economic refugees has saved the retirement system from insolvency.

A similar phenomenon holds true on the state level. In December 2006, Texas was the first state to conduct a comprehensive financial analysis of the impact of undocumented immigrants on a state's budget and economy. The stunning results showed that "undocumented immigrants produced $1.58 billion in state revenues, which exceeded the $1.16 billion in state services they received." Carole Keeton Strayhorn, the former Texas Comptroller, said, "Bottom line, undocumented immigrants in the state of Texas are adding $17.7 billion to our gross state product ... we net $428 million at the state level because of the taxes they're paying in."

A few years ago, the Congressional Budget Office evaluated the impact of economic refugees on the budgets of state and local governments. It concluded, "Over the past two decades, most efforts to estimate the fiscal impact of immigration in the United States have concluded that, in aggregate and over the long term, tax revenues of all types generated by immigrants -- both legal and unauthorized -- exceed the cost of the services they use."

The film "A Day Without a Mexican" was made in 2004. No Mexicans -- or Colombians or Argentines or Guatemalans or Panamanians, for that matter -- have mysteriously disappeared from our country. In the long run, a day without Mexicans would deal a devastating blow not just to California, but to the U.S. economy. It is time to cease the mantras that enforce the idea that illegal immigrants are nothing more than leeches to our society, and embrace the realities of what these people actually contribute to our economy: a financial fountain we would be foolish to shut off.

The opinions expressed in this commentary are solely those of Charles Garcia.

@highlight

Charles Garcia: Not having illegal immigrants would be devastating blow to U.S. economy

@highlight

Unauthorized immigrants pay taxes and contribute to Social Security and Medicare

@highlight

But since it's illegal for them to receive those benefits, this creates a windfall for Uncle Sam

@highlight

Garcia: It's time to do away with the idea that illegal immigrants are leeches to our society