Washington (CNN) -- The looming decision on Syria is likely to preoccupy Congress for the next couple of weeks and complicate President Barack Obama's domestic agenda.

Obama's push for military intervention against Bashar al-Assad's regime over alleged chemical weapons use could push aside his top priorities on immigration and health care.

Because he decided to seek congressional approval and now faces strident opposition from many lawmakers and the public to his idea, Obama is having to go all-in in his sales job.

His vigorous public relations campaign is all-consuming -- precious time that could have been used guiding an immigration bill through the House and informing the public about a new program to obtain health insurance under Obamacare.

Need vs. want

In the world of need and want, though, immigration falls under the "want" category.

The House scheduled only nine days of work this month. House Minority Leader Nancy Pelosi, D-California, said a vote on the Syria resolution might not come until next week, the second and last week the House is in session this month.

What about October or November? Good question.

The House has other pressing matters to address -- issues that have deadlines. The new fiscal year begins October 1 and that's wrapped up in a whole host of difficult topics, including the forced federal budget cuts that went into effect this year (and will have an even greater impact on defense and domestic programs next year).

If Syria takes up a good portion of the House's work period in September and it doesn't get to work on government spending, two things could happen: The government shuts down or Congress could pass a short-term spending bill to keep it running for a limited amount of time.

House Speaker John Boehner has indicated he will propose a spending bill to keep the government open until December, pushing the contentious but mandatory debate to later this year.

Government funding is not the only complication to immigration.

The nation's debt limit -- or its ability to borrow money to pay its bills --- will need to be raised by Congress sometime in "mid-October," according to Treasury Secretary Jack Lew.

He said that's when the United States will hit its $16.7 trillion borrowing limit and be unable to meet its credit obligations.

Both raising the debt limit and passing mandatory government spending bills are common duties of Congress that have been fraught with crippling partisanship in recent years.

Republicans have indicated this time will be no different. They plan to force the president's hand on either one or both issues to force additional spending cuts or defund the president's health care law.

In other words, in addition to Syria, two complicated, political and mandatory issues are going to take far greater precedent over immigration -- an item on the president's wish list.

The immigration bill could be "dealt a pretty serious blow," congressional scholar Norman Ornstein with the American Enterprise Institute said.

A crowded megaphone

Now that he has to sell a war-weary public about an intervention in Syria, his rollout of a massive public relations campaign on Obamacare could suffer.

The success of public outreach on health care is vital for the law to work. As people can start signing up for the health insurance program on October 1, the Kaiser Family Foundation found that one-third of the country, and 43% of the uninsured have heard "nothing at all" about the public health care option.

If people don't know about it, people won't sign up for the public exchanges. A detrimental factor for the law as participation is critical for viability of the law.

Obama announced that he will address the nation on Syria on Tuesday night. Also on Tuesday, the president is personally lobbying members of Congress on Capitol Hill on the resolution to authorize a limited military strike.

While the president turns his full attention to Syria and the vote in Congress, previously scheduled items are falling by the wayside.

Obama canceled a speech to the annual AFL-CIO conference in California, an opportunity to discuss domestic issues, including health care.

The president's complete focus on Syria not only means he will have fewer opportunities to talk to the public about domestic priorities, but the media is focused on the drama building in Congress, too, drowning out any coverage of health care.

A cursory search for news stories on the health care law shows a paltry 50 articles. (That's bad news for the president because the articles contained good news for the health care law. A report found that premiums for the government-sponsored exchanges would be much more affordable than expected.) Comparatively, a simple Internet search for news articles on Syria resulted in more than 2,000 news stories.

"There's only a certain amount of bandwidth of issues that can be discussed on TV or voters will be talking about," Ornstein said.

Republican agenda at risk, too

While the president's fall agenda is at risk, the Republican agenda might suffer, too. Some of the most conservative members of Congress hoped to throw a massive wrench in the gears of Obamacare as they began to turn by attempting to defund the program.

Senators Rand Paul, R-Kentucky and Ted Cruz, R-Texas, are among those taking part in a Tea Party Patriots rally to defund the program Tuesday in Washington. With Congress in its first week back from vacation and the agenda topped by Syria, it's likely to get little attention -- or the message could morph into an anti-Syria rally.

Congressional scholar Thomas Mann with the Brookings Institution said there could be a "silver lining" to Syria crowding out immigration and health care. He said the seriousness of the issue could make it more difficult for lawmakers to "engage in this kind of brinksmanship."

@highlight

Prospects for House to take up immigration reform this fall in jeopardy

@highlight

Efforts to inform public about Obamacare could be overshadowed

@highlight

Possible government shutdown over budget looms huge as end of fiscal year nears

@highlight

Congress must also consider raising the debt ceiling to pay nation's bills