London (CNN) -- Is a third term of Angela Merkel as German chancellor good for Europe?

Angela Merkel has emerged from the weekend's elections with the Christian Democratic Union's biggest vote for 20 years. She now has a strong mandate to form a government in which she would serve as chancellor.

The CDU is now likely to negotiate a "grand coalition" with the Social Democratic Party after the pro-business Free Democrats, Merkel's previous coalition partner, failed to pass the 5% threshold for getting into parliament.

Merkel's return gives the country consistent leadership during a time in which the future of the euro has come under question, amid the economic problems of its laggard members.

While Germany has emerged from the crisis with its economy relatively intact, nations such as Greece have entered deep recessions while unemployment has soared.

READ MORE: Europe's Mrs Nein

In this context, a healthy Germany is regarded as a help rather than hindrance for Europe.

The markets welcomed Merkel's re-election and the expectation it will provide a steady approach to the financial crisis. Europe has begun to show signs of recovery, and disruption would not be welcome.

But Merkel does face challenges. A grand coalition will require her to make concessions that may impact her plans. In 2005 it took almost a month to negotiate a coalition -- so there could be weeks of uncertainty in European markets before the government is actually formed.

Will there be more bailouts under a Merkel coalition?

Germany and Greece have both acknowledged the latter will require further financial assistance. The IMF-led bailout for Greece is due to expire next year, leaving the nation with a financial shortfall of around 14 billion euros.

Greece, which has already received two bailouts, may find itself facing more conditions as it seeks a third round of aid from its European peers.

Portugal, which has been bailed out once, is expected to face problems if it attempts to return to the bond markets. As a result, bailouts and haircuts are likely to remain on the agenda for Merkel's third term even as the eurozone enters a recovery phase.

IN PHOTOS: Rising to the top

The nascent pan-eurozone banking union and other pillars of Europe's rescue package -- like the legal use of the ECB's pledge to support ailing nations through "outright monetary transactions" -- are other issues that will need to be settled.

Merkel's strengthened mandate could also mean a stronger position on fiscal restraint and austerity across Europe. Merkel is convinced, in the longer term, healthier balance sheets will leave the region better off -- but in the short term it may mean more cuts.

What about the euroskeptics vote?

Germany's euroskeptic party Alternative for Germany -- which is opposed to the single currency and wants the country to exit the eurozone -- did not get past the 5% threshold required to usher it into the Bundestag, or lower house of Germany's parliament. It did, however, gain 4.5% of the vote.

So, while major anti-euro policy plays are out, noise will increase around Germany's role in Europe, and any benefits it gets from being in the single currency.

How will a third term of Merkel influence the German economy?

Merkel's stewardship of the German economy has been good for the country, but not for all of its citizens.

Since she was first elected in 2005, Merkel has steered a steady course, shielding German output from the worst of the financial crisis.

This is reflected in upbeat readings for business confidence and a 75% appreciation for the Xetra Dax, the nation's main bluechip stock index. While unemployment soared in the eurozone and in the U.S. after 2008, Germany's jobless tally decreased.

READ MORE: How Merkel become more American

Economists have also argued Germany's exports benefit greatly from being priced in a currency that is much weaker than the Deutsche Mark would otherwise have been.

However, large numbers of people are reliant on low-paid "mini-jobs" which leave them struggling to make ends meet. The Social Democrats are calling for a national minimum wage to combat the problem of the "working poor."

The OECD warned recently that the gap between rich and poor in Germany was wider than in any of the group's member states, which include the U.S. and Mexico.

How did Merkel survive while the rest fell?

As only the third person in post-war times to win three terms in office -- joining Helmut Kohl and Konrad Adenauer -- Merkel has cemented her place in the history books. She is now positioned to topple Margaret Thatcher from the top spot as most powerful female politician of all time.

Her style has been bred from her upbringing under communist rule in East Germany. The ever-present secret police -- the Stasi -- taught her the importance of discretion and knowing when to speak up or not. Her background in the sciences fed her analytical mind, and she is methodical and logical in solving problems.

READ MORE: Is Germany playing beggar-my neighbor?

There are no frivolities or bouts of superfluous charisma for "Mutti" or "Mummy" Merkel, as she is called in Germany. Merkel has risen to the top quietly, almost modestly. It has made her one of the most popular -- if plain -- politicians Germany has known since WW II.

Merkel has been careful to keep her famously steely resolve and intransigence for Brussels, to defend Germany's interests. And for this she has been rewarded.

As the eurozone's existential crisis claimed the scalps of the region's more boisterous leaders, like France's Nicolas Sarkozy, Italy's Silvio Berlusconi and Spain's Jose Rodriguez Zapatero, the queen of consistency outrode them all.

@highlight

Angela Merkel has made big gains in Germany's election, and has a mandate to form a government

@highlight

Her return signals a consistent approach to the eurozone's crisis control

@highlight

A strengthened mandate means she may insist on more cuts as some euro nations struggle

@highlight

While the crisis has claimed the scalps of more boisterous leaders, Merkel's consistency has kept her in power