(CNN) -- Connie Cox avoided bariatric surgery for years. The registered dietician knew how to lose weight -- she had done it time and again, dropping more than 75 pounds before gaining it all back.

"The difficulty was in maintaining that loss," she says. "I'd pretty much given up because it was just so heart-breaking."

Cox realized she couldn't do it with diet and exercise alone. She was 5-foot-3 and 293 pounds, and she saw her weight as a professional embarrassment. She decided to undergo a gastric bypass procedure.

Within a week after surgery, Cox no longer had to take insulin for her type 2 diabetes. In a month, she was off her blood pressure medication. Over the next several years Cox lost half her body weight, eventually settling at a comfortable 160 pounds.

"Bariatric surgery carries risk, just like any surgical procedure," Cox says. "But I decided for me, the risk of staying at 293 pounds was also very high."

Once feared by patients and denounced by primary care physicians, bariatric surgery has become more accepted as research shows it's not only helping people lose weight, but also reducing their risk for cardiovascular disease and reversing type 2 diabetes.

Severely obese adults who undergo gastric bypass lose, on average, 90 pounds in the three years after surgery -- or 31% of their initial weight, according to a study published today in the Journal of the American Medical Association. Those who have the adjustable gastric band, or LAP-BAND, procedure lose about 44 pounds.

Previous research suggests some of these patients will gain back a portion of the weight over time, but the overall health benefits of bariatric surgery are appealing to many struggling with excess weight.

"People lose sight of the fact that the patients aren't just obese, but they're sick," bariatric surgeon Dr. Alan Wittgrove says. "It's not as easy as just losing weight."

No longer a risky business

Twenty years ago, Wittgrove performed the first laparoscopic gastric bypass procedure. It was 1993, and up until that point bariatric surgery had been done through a large incision in the patient's abdomen. Doctors had to cut through a thick wall of fat, Wittgrove says, creating an unstable wound that often led to infections, hernias and sometimes death.

"It was big surgery on big patients," says Dr. Jaime Ponce, president of the American Society for Metabolic and Bariatric Surgery. "It really put on a stigma at that time."

Wittgrove's ground-breaking operation changed all that. More than 90% of bariatric procedures are now minimally invasive, and in-hospital mortality rates have dropped to 0.10%, according to a 2011 study published in the Journal of the American College of Surgeons. Ponce says laparoscopic bariatric surgery is now as safe as or safer than gallbladder removal, one of the most routine surgical procedures in America.

Fewer risks means less fear for obese patients, Ponce says. In the early 1990s, approximately 16,000 people a year were undergoing bariatric surgery. By 2004, that number had jumped to 135,985 cases per year, according to the 2011 ACS study. Since then, surgeons have seen a steady number of patients, Ponce says, although early numbers for 2013 suggest another uptick.

Physicians are also jumping on board as they see that bariatric surgery is about more than weight loss, Wittgrove says.

"We're seeing more primary care doctors that truly understand the power of these operations," he says. "I think society in general understands that this is the best treatment for metabolic syndrome."

How bariatric surgery works

Bariatric surgery works in two ways: by limiting the amount of food patients can consume and/or by preventing patients' digestive systems from absorbing some nutrients. The procedures also affect the body's metabolic hormones, such as ghrelin, which stimulate appetite.

Most people have heard of the Roux-en-Y gastric bypass procedure, which was developed in the 1960s. With gastric bypass, doctors create a smaller stomach pouch that can hold only an ounce of food and connect it to a new section of the small intestine, bypassing part of that digestive organ.

Learning to eat again: Man drops 130 pounds

Also popular is the adjustable gastric banding procedure, more commonly referred to as the LAP-BAND. Doctors place the LAP-BAND around a portion of the patient's stomach to create a smaller pouch, similar to the gastric bypass procedure. This band can then be tightened or loosened via a port below the skin of the patient's abdomen. Unlike the gastric bypass procedure, the LAP-BAND is reversible.

Two other bariatric procedures are also performed in the United States. During a sleeve gastrectomy procedure, doctors remove 75% of the patient's stomach, creating a slim tube, or sleeve, that foods travels through. With a biliopancreatic diversion, a portion of the stomach is removed and the remaining tissue is connected to the lower portion of the small intestine.

Learn more about the different kinds of bariatric surgery

Doctors have discovered that gastric bypass procedures have a nearly immediate effect on patients with type 2 diabetes. The bypass reroutes the intestine, Ponce explains, allowing food to hit a portion of the bowel that stimulates the pancreas, which then produces more insulin.

"Sometimes patients walk out of the hospital without medications," he says.

There is also data showing the sleeve, diversion and band can improve or put diabetes into remission, with varying degrees of success.

Treating a disease

Earlier this year, the American Medical Association officially labeled obesity as a disease. Many saw the AMA's decision as a step toward getting health insurance companies to accept bariatric surgery as a viable treatment for metabolic disorders like diabetes.

Although stigma around bariatric surgery has been reduced, it still exists, Cox says.

"There's still that feeling that it's drastic, that it's dangerous," she says. "Some people call it the easy way out. And there's nothing easy about having your insides rerouted."

Wittgrove wonders if we'd have such a negative view of bariatric surgery if obesity wasn't viewed as a lazy person's disease. We would never judge someone going into surgery to have cancer removed, he says, so why do we judge those trying to reverse their diabetes or heart disease?

"The reality is the 10-year survival rate for some individuals with metabolic disease is less than if they have some cancers," he says. "I don't think (bariatric surgery) is a radical treatment. I think it's shown to be the best treatment."

If anything shows how perception is changing, Ponce says, it's the name of his professional organization. In 2007, the American Society for Bariatric Surgery became the American Society for Metabolic & Bariatric Surgery, acknowledging the impact bariatric surgery can have on metabolic disorders.

Researchers around the globe are following bariatric patients to see if the effects of surgery stick. Scientists in Sweden have collected data on 2,000 patients for more than a decade. Nearly 72% of their bariatric patients were in remission for type 2 diabetes two years after surgery, compared to just 16.4% of non-surgical weight loss patients.

But 15 years later, only 31% of the surgical patients were still in remission. While the researchers noted that this was still higher than the remission rate for those who hadn't had surgery, their results illustrate an important point:

"Bariatric surgery is not a 'one size fits all' approach to weight loss," says Dr. Anita Courcoulas, lead author of the new JAMA study.

Courcoulas and her colleagues found their results varied widely between patients. More than 70 needed additional bariatric surgery after their first procedure; three died in the month following a gastric bypass. More research is needed to determine which patients will be the most likely to benefit from bariatric surgery, the scientists say.

"It's not as predictable as we'd like it to be," Wittgrove says. "It works well in some patients, doesn't in others. We don't really know who's going to be a successful candidate."

All Cox knows is that she made the right choice for her. She's been able to keep the weight off successfully for 10 years.

"I was looking at a very shortened lifespan," she says. "I have no doubt that I'm going to live 10, 15 years longer because I've undergone this procedure."

Father, son lose 260 pounds after weight loss surgery

@highlight

20 years ago, Dr. Alan Wittgrove performed the first laparoscopic gastric bypass procedure

@highlight

Now 90% of bariatric surgeries are minimally invasive, making them safer for patients

@highlight

Approximately 135,000 people each year undergo bariatric surgery

@highlight

Results for these patients vary widely, and doctors aren't sure who will have success