During Monday night's foreign-policy focused presidential debate, President Barack Obama made the case that al Qaeda in Pakistan is decimated while former Massachusetts Gov. Mitt Romney argued they are on the rise in other countries:

The claims:

Obama: Al Qaeda's core leadership has been decimated.

Romney: This is a group that is now involved in 10 or 12 countries, and it presents an enormous threat to our friends, to the world, to America, long term, and we must have a comprehensive strategy to help reject this kind of extremism.

Fact Check: Romney, Obama and Iraq

The facts:

There's no disputing that al Qaeda's leader, Osama bin Laden, was killed in 2011 in a highly successful mission in Pakistan approved by Obama.  Romney has tipped his hat to the military and intelligence professionals who orchestrated that raid.

The Obama administration also dramatically upped the operation of armed unmanned aircraft in Pakistan, with nearly 300 strikes so far and greatly increased the number of al Qaeda and other extremists taken off the battlefield.

Most of those killed were foot soldiers, but besides bin Laden, some of the key players killed in recent years include: Atiyah Abd al-Rahman, the No. 2 to current leader Ayman al Zawahiri; Sayeed al-Masri, No. 3 in the hierarchy; and Abu Ayyub al Masri, the leader of al Qaeda in Iraq.

Although Obama at times speaks more broadly about al Qaeda being on the run, his top national security team has consistently zeroed in on al Qaeda's core leadership, which is hiding out in Pakistan. Obama was careful to specify that in this last debate.

Fact Check: Comparing costs of Iraq, Libya missions

Just last month, National Counterterrorism Director Matt Olsen said, "The intelligence picture shows that al Qaeda's core is a shadow of its former self and the overall threat from al Qaeda in Pakistan is diminished."

Defense Secretary Leon Panetta predicted last year after the bin Laden strike that if the U.S. keeps up the pressure, "I'm convinced that we're within reach of strategically defeating al Qaeda," again a reference to the Pakistan-based leaders.

What's worrisome are al Qaeda affiliates in Yemen, North Africa and elsewhere in the Mideast.

"Even as al Qaeda's leadership in Pakistan struggles to remain relevant, the terrorist threat we face has become more diverse," Olsen said.  "Al Qaeda has turned to other groups to carry out attacks and to advance its ideology.  These groups are based in an array of countries, including Yemen, Somalia, Nigeria and in Iraq."

Of particular concern is al Qaeda in the Arabian Peninsula, which operates in Yemen.

When Obama took office in 2009, AQAP was a newly formed affiliate, the result of a merger between al Qaeda forces fleeing Saudi Arabia and jihadists in Yemen. A locally focused group quickly became a more powerful al Qaeda franchise soon plotting attacks outside Yemen's borders.

First there was the failed attempt by a suicide bomber in the summer of 2009 to kill the Saudi prince who ran the country's counterterrorism campaign. By the end of that year, AQAP was behind the attempt by Umar Farouk AbdulMutallab to blow up a Northwest Airlines flight as it approached Detroit on Christmas Day. Plans by AQAP to blow up cargo planes destined for the United States in 2010 and to put a suicide bomber aboard a passenger aircraft earlier this year were thwarted by U.S. and allied intelligence services.

Fact Check: Romney against Afghanistan 2012 deadline?

AQAP and al-Shabaab, the affiliated extremist group in Somalia, have been under sustained pressure by government and regional forces with assistance from the United States, but CIA Director David Petraeus said at a congressional hearing earlier this year that although AQAP, al-Shabaab and others have "sustained important losses ... the threat of terrorism remains significant and we must sustain the campaign, we must maintain the pressure on al Qaeda and its affiliates."

The Arab Spring has resulted in fundamental changes in many parts of the region, but the continued instability and fledgling governments also prevent an opportunity for terrorists.

"Al Qaeda was not part of this change, but the group is seeking to take advantage of the unrest in some areas, seeking to establish safe havens and recruit extremists where security is diminished," Olsen said.

Of particular concern are large swaths of Libya and Mali where extremists, some associated with al Qaeda, have found refuge.

Al Qaeda in the Islamic Maghreb (AQIM), which operates in northern Africa, is one of the group seen to be taking advantage of the situation.

Lt. Gen. Ronald Burgess, recently retired as Defense Intelligence Agency director, told Congress that "AQIM acquired weapons from Libya this year, kidnapped Westerners and continues its support to Nigerian based Boko Haram."  Boko Haram is an insurgent group in Nigeria with a goal of creating an Islamic state in the northern part of the country.

The unrest in Syria has provided an opportunity for al Qaeda in Iraq (AQI) which according to Director of National Intelligence James Clapper has extended its reach into the war-torn nation. Although AQI's presense in Syria is considered small, intelligence officials worry it will grow as the chaos continues.

Clapper said that while al Qaeda core's in Pakistan will remain mostly a symbolic importance to the global jihadist movement, the regional affiliates "will drive the global jihad agenda."

Fact Check: Obama's apology tour?

The conclusion:

Both claims are true.

Al Qaeda's core leadership has been seriously weakened, but the affiliates remain active, particularly in Yemen and North Africa, where the threat to Western interests and plotting against the homeland remain strong.

Romney's claim that al Qaeda is in 10 to 12 countries is in the ballpark, and the administration would seem to agree that poses an enormous threat.

Complete coverage: CNN Fact Checks

@highlight

Obama says al Qaeda's core leadership in Pakistan has been severely weakened

@highlight

Romney claims al Qaeda branches have spread to almost a dozen countries

@highlight

Al Qaeda operatives in Yemen are particularly worrisome to U.S.