(CNN)With its pristine beaches, warm water and coral reefs, Seychelles has long been a must-visit destination for jet-setters from all over the world. They come from Europe, the Middle East and Asia to unwind in the sun. But not all the hosts can afford to be so relaxed.

The country, which is made up of 115 islands, will host 215,000 international tourists this year,  and these visitors will contribute 21.7% of its gross domestic product. Indeed, the World Bank says Seychelles' economy is "highly dependent" on tourism. Capitalizing on the nation's natural beauty, and making this sector a success, is crucial if the country wants to retain the top spot in African human development rankings.

Decline in visitors

As the global financial crisis of 2008 stopped many people from taking holidays, the Seychelles was hit hard. That year, the country's GDP contracted by 2.1%. Tourism contributed close to 30% of GDP in 2008, but by 2010 that number was closer to 25%. Since then numbers have continued to fall.

Another reason for this decline, according to Euromonitor International, is competition from Sri Lanka, which ended a violent civil war in 2010. The research group says visitors to Sri Lanka are from the "same demographic as those who travel to the Seychelles" and the substitution has had an impact.

In addition to these issues, the country has had to deal with the failure of the state-owned national airline. Air Seychelles recorded a loss of $12.5 million in 2010/11 and the company made massive cuts. Things got so bad that in January 2012 the national airline flew fewer passengers from the country's biggest airport than Emirates.

Industry revival

It was this situation that led the UAE airline Etihad to offer $20 million for a 40% stake in the company. The Seychelles government matched the investment and retained 60%. The cash injection and corporate reorganization that followed helped turn the company around.

"The partnership with Etihad has allowed the airline to reorganize itself, restructure itself and allowed us to get to where we are today," says CEO of Air Seychelles Manoj Papa. "It's a win for Air Seychelles in the sense that it helps us to grow our network...[It] helps people being trained and developed."

And the latest numbers show the partnership has paid off. In 2013, almost 200,000 people embarked on an Air Seychelles flight overseas -- twice the number from the previous year.

As well as this boost, the government embarked on an aggressive re-branding exercise to appeal to holidaymakers on a budget.

The African Development Bank now forecasts GDP growth to be "above 3.5% in 2014 and 2015 due largely to a rebound in the tourism sector." Given the country grew at 2.8% in 2012, there is some proof things are improving. And this trend is also recognized by the World Travel and Tourism Council, who say the country has "excellent" prospects when it comes to travel and tourism. David Scowsill, CEO of the private sector body says "[The Seychelles] has been affected in the last few years by the recession in Europe but ...the contribution from the sector to the Seychelles economy is forecast to rise by 4.3% every year over the next decade."

Gulf investments

As well as the tourism sector, money from the Middle East has also gone into the country's infrastructure. In 2011, the Sheikh Khalifa Diagnostic Center opened, bringing the first MRI and CT scans to the island.

But the benefits of the center go beyond health. "The second floor is almost entirely dedicated to teaching and learning," the minister of health explained during a speech to open the center. "Indeed, it has been designed with continuous professional education in mind."

And the UAE has also funded eight wind turbines which whirr above the capital, Victoria, and also two diesel powered generators. These power sources supply roughly a quarter of the country's energy -- crucial for hotels, bars and restaurants which keep tourists coming back.

"Investment from the UAE and other countries as well has been instrumental in turning around the economy," says President James Michel who was reelected in 2011 with a 55% majority. "Over the last five years we've seen $1.5 billion in investment from mainly the UAE, Russia and China."

Indeed, China is becoming an increasingly important source of visitors to the archipelago. Figures from the National Bureau of Statistics show that visitor arrivals in Seychelles are up by over 90% compared to last year.

Courting controversy

But as well as benefits, foreign investment has also brought controversy to the sleepy island chain. "The Arabs come in and basically they want to take over," says Wavel Ramkalawan, the leader of one the main opposition parties. "When you look at it at face value it appears to be good investment...when you balance things out to see what he got from us and what he brought in. If he would have been made to pay the necessary taxes we probably would have earned more."

The "he" Ramkalawan refers to is Sheikh Khalifa the President of the UAE, who happens to own a mansion with a billion-dollar view -- just one example of the high-profile Emirati presence.

But President Michel has rejected complaints that preferential treatment was given to those willing to spend big bucks. "If anyone comes here whether it is from the Emirates or from America, Europe or China, the same rules will apply."

More from Marketplace Africa

Read this: Creating a new Cape Town through design

Read this: Liberia: From warzone to holiday paradise

Monique Todd contributed to this story

@highlight

Tourism makes up over 20% of  Seychelles gross domestic product

@highlight

The island nation has seen a decline in visitor numbers since 2008

@highlight

Air Seychelles recorded a loss of $12.5 million in 2010/11

@highlight

Not everyone is happy with the way UAE is investing in Seychelles