Video of a tourist plunging into the Zambezi River after her bungee cord snapped on New Year's Eve is enough to make anyone think twice before leaping from the Victoria Falls Bridge.

But anyone planning a visit to Victoria Falls will be relieved to know it's not just about bungee jumping. Often listed as one of the seven natural wonders of the world, the falls and their surrounding gorges are a truly awe-inspiring sight.

They were named after the British Queen in 1855 by Scottish explorer David Livingstone, but their local name of "Mosi-oa-Tunya" -- meaning "the smoke that thunders"-- is far more descriptive.

The roar of the Zambezi tumbling from the falls is indeed thunderous, and the thick spray that swirls like smoke around the cascade can be seen for miles.

The falls straddle the border between Zambia and Zimbabwe, in the heart of two national parks -- the Mosi-oa-Tunya park on the Zambian side and the Victoria Falls park in Zimbabwe, which collectively form a UNESCO World Heritage Site.

At 1.7 kilometers wide and up to 100 meters high they are not be the tallest or widest falls in the world, but many consider them to be the most spectacular.

Discovering the real Zambia

Some connoisseurs argue they are best see seen from the Zimbabwean side, others say from Zambia, but in truth if you visit at the right time both sides offer a mind-blowing view.

When to go

To see them at their most impressive you should visit when the Zambezi is in full flow, usually in February or March. At this time, they form the largest curtain of falling water in the world, with more than 500 million liters of water spilling over the falls each minute. Visit in November and you'll see the falls at their most tame, with barely a 50th of that amount flowing through.

What to do

Even if you don't fancy a bungee jump, there's plenty to give adrenaline junkies their fix.

The falls churn up torrents of raging white water, and where there's white water, there's white water rafting. Among the many outfits offering rafting thrills the Zambezi Safari and Travel Company is one of the best, offering one-day experiences from $135.

A more sedate aquatic experience can be had in a canoe or, for those who prefer not to rely on muscle power, on a river cruise along the Zambezi.

For the more culturally inclined, the town of Livingstone, some 10 kilometers from the falls, is the place to go. The colonial capital of Zambia (then Northern Rhodesia) until 1935, it's home to the Livingstone Museum, dedicated to the 19th-century explorer. It preserves a variety of Livingstone memorabilia, including his letters and medicine box, and has an exhibit on Zambian history.

How Mozambique turned from war zone to tourist hotspot

Best Views

A truly vertigo-inducing experience can be had standing in the spray on "Knife Edge" bridge and daring yourself to look down at the seething waters below. But you can trump that by taking at dip in "Devil's Pool," a natural rock pool high above the Zambezi, where you can swim to the very edge of the falls and peer over.

The most dramatic views of the falls and the gorges can be had by hovering directly above them in a helicopter or microlight. For a short nostalgia trip, why not take a steam train ride across the historic Victoria Falls Bridge.

Congo's erupting volcano boosts tourism

Wildlife

Around the falls a fragile forest ecosystem thrives on the high humidity created by the spray from the falls.

Both national parks offer great opportunities for wildlife watching. Elephants, zebras, giraffes and hippos can all be found in the area, as can leopards, baboons and buffalo.

You can take a safari on the back of an elephant, or alternatively, a number of tour groups offer lion encounters that let tourists walk with captive-bred lions.

There are also birding safaris that offer glimpses black eagles, peregrine falcons and taita falcons soaring among the gorges.

Where to stay

There is a wide range of accommodation in the area, from the cheap and cheerful to the expensive and extravagant.

In Livingstone, hostel Fawlty Towers, named after a British sitcom, has a large garden shaded by sprawling mango trees. It offers camping facilities, private rooms and dorm beds that start at $10. Facilities include a swimming pool, lively bar and wi-fi.

At the other end of the spectrum the Royal Livingstone provides five-star luxury right on the banks of the Zambezi. Consisting of 17 colonial-style buildings, it's within walking distance from the falls themselves. Rooms start from $700.

A little further away, and priced somewhere between the two, the boutique Stanley and Livingstone has suites from $245 per person, and is situated on a private reserve bordering the Zambezi National Park in Zimbabwe.

@highlight

Victoria Falls isn't just about bungee jumping -- it offers rafting, wildlife and river trips

@highlight

The falls stretch 1.7 kilometers, on the border of Zambia and Zimbabwe

@highlight

February and March is when the falls are at their most spectacular

@highlight

Elephants, zebras, giraffes and hippos all live in the surrounding parks