(CNN) -- Thursday night's Republican presidential debate in Jacksonville, Florida, sponsored by CNN, will be one of more than 20 such encounters in the past nine months. Beltway conventional wisdom says there have been too many debates.

With a slight too-cool-for-school groan and accompanying eye-roll, the argument goes like this: The debates have taken up too much time for the candidates and their campaigns; they distract from retail campaigning and fundraising; they give the media too much of a role in the voters' vetting process.

But I take a different view: The debates have been a valuable addition to this election cycle. And two-thirds of South Carolina primary voters seem to agree, saying that the debates played an important role in helping them make up their minds.

Expensive television ads, in contrast, seem to have lost some power of persuasion. This is a good thing -- the debates have imposed an unprecedented degree of transparency and accountability on this GOP presidential race.

On a debate stage, standing side by side with their competitors, candidates have not been able to entirely hide behind huge sums of money, super PACs, or television ads. They have been judged by the voters based on their working knowledge of policy and their ability to think and speak on their feet. It is a good test of presidential mettle -- and character is revealed as well as intellect over the course of the debates.

No one can say that the debates haven't had an impact. Tim Pawlenty probably regrets his premature decision to get out of the race after the Iowa Straw Poll. But it was his failure to repeat a clever line about "Obamney Care" to Mitt Romney's face that caused many voters and donors to conclude that he didn't have the toughness to take on the top job.

Rick Perry entered the campaign in August as the savior conservatives were looking for, fulfilling a litmus test checklist of fiscal and social conservative positions that seemed to also resonate with the tea party.

In his Texas re-election effort, Perry had stopped talking to editorial boards as part of a pushback on "media elites" -- but he couldn't avoid the debates. And once in them, he couldn't avoid his propensity to stumble over his own tongue. A few epic brain freezes later, Perry's reputation as a political heavyweight was done.

Newt Gingrich's rise to top-two status is almost entirely due to strong debate performances, balancing Republican red-meat rhetoric with thoughtful policy prescriptions. Yes, it's true that some his best moments have come when he defiantly pushed back on questions and got the audience loudly on his side, but that was a measure of his ability to connect with voters by voicing their frustrations. He rose from the political dead not with money or organization, but with what he carried into the debates.

Mitt Romney succeeded in gliding through the first dozen debates as the de facto front-runner, as other candidates seemed reluctant to take him on hard.

He consequently was able to focus his attacks on President Obama -- a strategy that served him well for a while, by reminding the Republican base that at least they had one thing in common with Mitt Romney: a dislike bordering on disrespect for the president. But it was the insistence from other candidates during the debates that Romney release his tax returns that made the Cayman Islands and the "carried interest" tax provision subjects of interest during the campaign.

And Ron Paul and Rick Santorum's debate performances have enabled them to attract new supporters, speaking their respective truths to mass audiences they might not have otherwise reached.

To top it off, these debates have been widely watched -- by more than 50 million Americans to date. That's voting with your eyeballs. And even if this presidential campaign has occasionally come too close to resembling a reality show, at least there is a core civic component beneath the conflict. The substance from the debates has driven the campaign news cycle.

I understand that for campaign managers and some candidates, a schedule of debate after debate is a hassle that cuts into their fundraising time. They have to study up and learn policy, realizing that they'll get called out for repeating the kind of bumper-sticker lies they routinely get away with as part of their stump speech.

But it's also the best chance to get their message to the widest number of people -- and that's what campaigns at their core are about. The fact that there is a risk involved in debates just reflects the real stakes of the race for the most powerful job on earth.

Tuesday night's debate will be the last one for almost a month. February has a few scattered caucuses and primaries, but the next real prize is Super Tuesday in early March. And I expect that voters will miss the debates and the clarifying role they can play.

Front-runners will want to avoid the accountability and scrutiny they provide, but it's a vital chance for voters to judge the candidates directly, adding light to the heat of the presidential primary gauntlet.

Follow CNN Opinion on Twitter

Join the conversation on Facebook

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

John Avlon: Some people in Washington say there are too many debates

@highlight

He says the debates have played a more important role than paid advertising

@highlight

Avlon says the candidates' performances under pressure are revealing