(CNN) -- The investigation of Monday's deadly twin bombings in Boston will rely to an extraordinary extent on crowdsourced surveillance, provided by Marathon spectators' cellphone photos, Vine videos, and Instagram feeds.

Investigators in Boston, led by FBI special agent in charge Richard DesLauriers, want to see any and all imagery taken by anyone and everyone where the blasts occurred Monday. In an unusual move, the team of local, state and federal authorities investigating the crime openly called for spectators to provide any images or video they might have, all of which could potentially provide leads or evidence in the case.

"We'd like to review any type of media," to include "video [and] photographic evidence" of the attack that killed three and injured more than 150 people, Gene Marquez of the Bureau of Alcohol, Tobacco and Firearms said today.

Within minutes of the twin blasts, photos and videos of the bombing flooded Twitter, Facebook, Vine, YouTube and other social media. All that adds up to a vast, distributed unwieldy trove of potential information for the inquiry.

The investigation is currently "secur[ing] all video" from surveillance cameras at Copley Square, Boston police commissioner Ed Davis said at a press conference today. But investigators want to construct a wider mosaic of imagery, from a greater set of angles and vantage points, than street-mounted cameras can provide. Davis said authorities plan to "go through every frame of every video we have to determine who was in the area."

As is likely to be the case as the tools for capturing imagery grow smaller, cheaper and more mobile, law enforcement officials described the search for spectator photos and videos on a continuum with the accounts of eyewitnesses they seek to interview. Investigators urged everyone to cooperate with what they said will be an increased law-enforcement presence in and around Boston.

"Assistance from the public remains critical," DesLauriers said, warning that the inquiry is just beginning to "interview witnesses and process the crime scene" and it could "take some time" before any leads, let alone evidence, develop. Davis said the Copley Square crime scene, currently narrowed to 12 blocks, is the most complex ever encountered by Boston police. Juliette Kayyem, a former homeland-security adviser to Massachusetts Gov. Deval Patrick, praised law enforcement and Marathon attendees for rapidly clearing an area of thousands of people in order to preserve the crime scene.

There are limits to the crowdsourcing. The data used in the investigation will be crowdsourced. The investigation will not be. A crowdsourced investigation runs a high risk of becoming a witchhunt, as we saw in the Newton shooting spree.

The Boston Marathon is one of the most if not the most photographed annual running event in the world. This image from yesterday shows professional and amateur photographers lining the course.

It is unclear whether law enforcement had overhead cameras mounted in helicopters or other aircraft over the Marathon. (Boston-area cops don't have spy drones â€” yet.) But the era of readily-accessible commercial imaging tools provides a twist on the exponential growth of surveillance tech used by law enforcement and homeland security. The data on your phone can become an adjunct to police during the highest-profile investigations.

That isn't an unfettered benefit to police. The military has found that its explosion of imagery data has stressed its ability to process it, to the point where its futurists are hunting for algorithms that can pre-select images a human analyst sees. Davis requested that any spectator providing media showing the attacks indicate the time they collected the data so police "don't need to go through the electronic signature."

There's a lot more data at Copley Square that even a flood of imagery won't be able to capture. The still-undisclosed composition of the bomb material provides other clues.

"The site probably was secure in the days leading up" to the marathon, Kayyem says, "but then it becomes more porous as more people and families come through, and then someone is able to get in. That's why eyewitnesses are so important." And their cameraphones.

Subscribe to WIRED magazine for less than $1 an issue and get a FREE GIFT! Click here!

Copyright 2011 Wired.com.

@highlight

Law enforcement reviewing "any kind of media" Boston Marathon crowd recorded

@highlight

Material is extensive due to smaller, cheaper, more available devices like smartphones

@highlight

A downside is police struggling to work through all the material