(CNN) -- As she approaches the fifth anniversary of the accident that paralyzed her, record-breaking Paralympic gold medallist Mallory Weggemann is in defiant mood.

The 23-year-old is determined January 21 will not be a day tainted with bitterness; instead she will focus on the string of seismic achievements she has made since her life was irreparably altered.

The current holder of 15 swimming world records refuses to accept the normal limits associated with disability, underlined by her latest conquest -- skiing.

Growing up in Minnesota, Weggemann says she used to dread the complexities thrown up by heavy snow that sometimes lingers for months, but after taking to the slopes in Stratton, Vermont, she feels she's reclaimed another slice of independence.

"It's been fun to be out there on the snow again and not be confined to four wheels," Weggemann told CNN from the slopes in Vermont.

"I'm reaching my five year anniversary of my paralysis in January and I haven't been able to enjoy winter yet. I grew up in Minnesota, with snow all around for a good six months of the year.

"Five years ago when this happened I didn't obviously think I'd be up skiing on a mountain and I definitely didn't know what my life would look like five years from that point.

"I try not to look at the anniversary - January 21st - as a sad or depressing day, or look at it for what I lost. I try to look at everything I've accomplished and gained and all the opportunities I've had.

"I still truly believe the life I've lived since becoming paralyzed is far fuller than the life I may have lived if I wasn't paralyzed.

"I'd done a little bit of skiing before I was paralyzed and I wanted to be able to find a way to enjoy snow again, to enjoy the winter months. I used to dread them."

Weggemann was only 19 when she became paralyzed from the waist down. A routine epidural injection during a bout of shingles went wrong and changed the course of her life forever.

Unbowed she has spent the last half decade smashing down the barriers most people assume are erected the instant such a tragedy occurs.

Within four months of the accident, the 23-year-old was back in the pool and about to launch a new career that would see her claim 13 gold medals at the 2009 and 2010 World Championships. As well as her world records she also holds 34 U.S. records.

Weggemann seems to take disappointment in her stride.

Despite having her disability reclassified by the event's governing body on the eve of the Paralympics last year, Weggemann absorbed the blow and took her first gold medal at the Games in the 50m freestyle, also adding a bronze in the 4x100m medley.

Her foray into the world of skiing is just the latest challenge she has overcome, as she works her way down a list that might deter even the fittest able-bodied athlete.

Armed only with a mono ski, and two hand skis, Weggemann had completed just one day of training with Rob Willis -- an instructor at Stratton Mountain -- before she was let loose on the slope's quickest runs.

Willis says the mental fortitude of his apprentice was unlike any he has come across before. "Mallory is by far the best student I've ever had," he said. "She's just a natural athlete. She's amazing and has the right attitude to go far.

"We were already on the top of the mountain on her second day of skiing. I think besides being physically in shape, mentality is the most important thing. Mallory's approach to it has helped her get the hang of it really quickly.

"She's absolutely amazing; I could only hope to be as dedicated as she is. She's the sort of person that if you put a barrier in front of her she'll go and smash it down. I think if people watch her and see what she does it can be an amazing motivator for them."

Weggemann does not just accept her position as a role model, she embraces it.

"I had a lot of people tell me about things I would never do again," she explained. "It was one of those moments when I realized the only person who can put restrictions on me is me.

"I almost became a bit more hungry for life in general. All of a sudden my ambition changed, my drive, my passion, ever since that day I've had a change in perspective, to live everything to the full and take advantage of all these opportunities.

"There are a lot of things out there I want to try that I didn't know that I had the desire to do before I was paralyzed. One of the big things I want to do is to try and raise awareness, to show what individuals with disabilities can do.

"It's raising awareness that our life isn't any different and we as individuals are not different. I think our society puts that on disability and focuses on what people can't do, but we can do those things, we might do them differently, but we can do them.

"It's my hope in doing things like this, that I can encourage not only our society to feel differently but hopefully raise awareness so other individuals with disabilities can see the opportunities they have as well."

So now the skiing box has been ticked, what is next on Weggemann's to-do list?

"I'd love to find a way to walk with leg braces and arm crutches," she said. "I don't have any function in my legs but I know there's a way you can do it using your abs, so walking is definitely on my list in this next year.

"I'm getting ready to go scuba diving in the spring for the first time since being paralyzed and down the road one of my really big goals is to climb Mount Kilimanjaro.

"My dad is an avid mountain climber and he's scaled various different mountains. I'd love to get my dad back on a mountain and do it with him. The list is quite long!"

@highlight

U.S. Paralympic swimmer Mallory Weggemann conquers the slopes of Vermont

@highlight

The 23-year-old is determined to enjoy winter despite difficulties of being in a wheelchair

@highlight

A monoski took Weggemann down the slopes as she nears fifth anniversary of accident

@highlight

Her next challenge is scuba diving before climbing Mount Kilimanjaro with her father