Washington (CNN) -- It may be the most overlooked mega-bill of the past 12 months.

The nearly $1 trillion farm bill received final approval on Tuesday from the Senate, which sent the compromise already passed by the House to President Barack Obama to be signed into law.

While it's called the farm bill, in truth, it's more of a food bill. It sets five years of eating and farming policy in the United States, including what we grow, what you know about your dinner and how much government spends in the process. It cuts the food stamp program and increases spending on farmers markets. Whatever you think of Congress, this is a bill that deserves some attention.

Wal-Mart: Food stamp cuts to hit profits

Here's five lesser-known things the farm bill could mean to you:

1. You will know a lot more about your meat: How much do you know about the chicken breast you just bought? Or that ribeye? This farm bill marks a major decision in the fierce fight over product labeling, by backing a new requirement that pork, chicken or beef sold in the United States must include details on where the animal was born, slaughtered and processed.

Take a look at a package of meat in the store tonight and you'll see it. That information has been on labels since the fall. But Canadian and Mexican meat producers have fought the new U.S. labeling rule in world courts and furiously tried to have it reversed by the farm bill. In the final days of negotiations, lawmakers decided to keep the meat labeling rule. So if your meat is from the U.S. or if it was ever handled in Mexico, Canada or Australia, you'll know.

2. Farmers will see less risk; federal government takes on more: The bill dramatically changes 82 years of agricultural subsidies, ending guaranteed payments that farmers receive regardless of their harvest quality or crop prices. But, because those "direct payments" have been in place for generations, many farm values became based on the expectation of government dollars. Ending them could have wide-ranging effects.

To try and mitigate the hit, the farm bill beefs up a different kind of subsidy -- a subsidy for crop insurance. This is complex, but in short, the government will make crop insurance cheaper and it will pay out some benefits at lower levels than previously. That will make farming less risky for some. But it transfers that risk to the federal government, which could be even more on tap if crop prices plummet or if a disaster hits. Good for farmers, risky for the deficit.

3. Lawmakers aren't disclosing something: Just like any farmer, members of Congress who own farmland can receive the crop insurance subsidies we talked about above. This can significantly cut premiums and save a bundle of money. The Republican House initially thought it was a good idea to know who in Congress would benefit from those subsidies and the original version of the bill included a requirement that lawmakers disclose if they or anyone in their immediate family receive the government help. But the Senate did not include the provision and in the end the House and Senate agreed to drop it.

Lawmakers could have opted for a higher standard of transparency either for themselves or for everyone receiving these subsidies, but instead the public will have no way of discovering where this money flows.

Bill trims $90 a month from food stamps

4. We have land problems: The race to scoop up recent farming profits, especially in corn, has led to increased plowing of virgin lands in the United States. At the same time, rural areas face more soil erosion and other issues from land that has been worked for generations. The farm bill does something new on both issues. It forces farmers who want subsidies to follow a series of conservation practices. And it aims to protect more prairie land by cutting subsidies in half for people who farm on some virgin sod.

Environmentalists have applauded the provisions, but aren't doing back flips. They note that the bill cuts direct spending on government conservation programs overall.

5. What goes in your body -- corn and sushi: The farm bill decides which crops the U.S. government wants to encourage or protect. It gives incentives to grow more of them. The most subsidized crops in this (and in most farm bills of the past) are the so-called "row crops," things like wheat, soy, and the king of American agriculture, corn.

These subsidies are one reason corn will remain one of the country's most reliable sources of food, from cattle feed to soda sweetener. The green and yellow vegetable will be a major part of your life for the foreseeable future. At the same time, this bill adds a few new winners to the list of subsidized row crops, among them sushi rice. If sushi rice prices fall too low, the government will now make up the difference. The possible result of that? More farmers will consider planting the crop. And there will likely be more American sushi rice to go around.

@highlight

NEW: The Senate passes the nearly $1 trillion farm bill on Tuesday

@highlight

It sets five years of eating and farming policy in the United States

@highlight

It cuts the food stamp program and increases spending on farmers markets

@highlight

Continued subsidies ensure corn remains one of the country's most reliable sources of food