(CNN) -- An education department in one Malaysian state is sending effeminate boys to a boot camp to change their behavior, a move that's drawn fire from educators and activists.

The Terengganu state Education Department picked 66 boys for the camp this month, part of a program to help boys deal with identity crises, media in the Asian nation reported.

The camp offers physical training and other activities and is designed to prevent the boys from developing feminine traits, The Star newspaper reported, quoting Razali Daud, the education department's director.

"The boys involved were selected from most schools in the state," Daud is quoted as saying. "They were carefully vetted before a final selection was made."

Daud said there could be big problems for such boys if their behavior was not addressed. He cited a couple of factors contributing to the issue -- parents dressing boys in girl's clothing "as they had really wanted a girl" or boys "surrounded by female siblings."

The move smacks of homophobia to many.

Donna Guest, deputy director of the Asia-Pacific program at Amnesty International, deplored the action, which "feeds into gender stereotyping and homophobia."

Malaysia is a state party to the Convention on the Elimination of Discrimination against Women, and an article in that convention calls on countries to ensure that gender stereotyping does not occur, she said.

"Starting a re-education camp or boot camp is directly counter to that. It goes to encouraging discrimination against all people because of their sexual orientation."

Guest also noted that homosexuality is illegal in Malaysia.

"Amnesty would oppose that and urges the government to repeal those provisions in the law," she said, adding that "anyone who is arrested merely for being gay we would consider as prisoners of conscience, they should be released immediately non-conditionally."

Malaysia's Women, Family and Community Development Minister Datuk Seri Sharizat Abdul Jalil said the ministry views the move with "alarm and great concern" and said such boot camps should be abolished.

"The experience of being singled out on the basis of perceived characteristics is an extremely traumatizing experience, in particular for adolescent teens. Such profiling has potentially serious psychological repercussions and could harm the development and mental health of the children, as it exposes them to prejudices among their peers and members of their family and community," she said.

She said the camps violate the Child Act 2001, which says "every child is entitled to protection and assistance in all circumstances without regard to distinction of any kind, such as race, colour, sex, language, religion, social origin or physical, mental or emotional disabilities or any other status."

The Joint Action Group for Gender Equality, a coalition of Malaysian organizations, said it was appalled at the move, noting that "identifying and singling out boys who behave effeminately is highly discriminatory bordering on predatory."

It said the department is undermining the role of education -- nurturing "the personality and talents of the child" and inculcating "respect for human rights in preparation for responsible adulthood." And it said fashioning a criterion for so-called normal behavior "is highly questionable."

"The boys in this case have been denied and persecuted for the expression of their personalities and identities. Ideally, school is supposed to provide a safe and neutral space for children to develop without fear of recrimination for being themselves," the group said.

It added that the children in question weren't -- but should have been -- consulted.

"Corrective boot camps to 'fix' children and individuals must not be condoned because it violates the rights of people who are perceived as 'different.' It should be strongly opposed and challenged as it promotes homophobia and prejudice. We should send a clear message to institutions that they have no business meddling with an individual's identity and personal preference," the group said.

Ellen Kahn, director of the Human Rights Campaign's Foundation Family Project and a professional social worker, said it is "heartbreaking that young men are being forced into 'masculinity camps' simply because some adults don't think they are masculine enough." The group is an advocate for lesbian, gay, bisexual and transgender rights.

"It is irresponsible for adults -- particularly parents -- to shame and punish their children for who they are.  These attempts to change children only cause emotional harm and distress.   We should heed the advice of The American Psychological Association, and the American Academy of Pediatrics, among other experts, and provide love, support and affirmation to our children regardless of their gender expression or sexual orientation."

CNN's Joe Sterling contributed to this report

@highlight

The boys are from Terengganu state

@highlight

The move has touched a nerve for many

@highlight

One official said such boot camps should be abolished