(CNN) -- There's learning to read, and then there's loving to read.

As the end of the school year approaches, parents are stockpiling ideas to keep their children on top of those long summer reading lists. But how?

Bestselling novelist and renowned nonfiction writer Anna Quindlen raised three avid readers who are also a big part of her work. Her eldest son, Quin Krovatin, now 29, helped research and write her 2004 travelogue, "Imagined London," and her fun and foibles as a parent found their way into her other writing, without exposing too many details about them. ("Books and columns come and go, but your kids are there forever," she said.)

Quindlen recently took some time on her tour to promote her new novel, "Still Life with Bread Crumbs," to offer some guidance on raising kids who are passionate about reading.

It's never too early to read to children -- and don't stop

Quindlen and her husband, Gerald Krovatin, started reading to their three kids from the start. "We read to them from the time they were very little," she said.

When Quin was 5, he showed his mother just how much the reading message hit home. "I took him for a school interview, which is a horrid rite of passage in Manhattan. And the interviewer came out and said, 'And how long has he been reading?' And I said, 'Oh he can't read. He's only in kindergarten.' And she said, 'No, he reads.' I thought, 'Oh I'm the world's worst mother.' "

She laughed, and continued: "I said, 'Quin? You can read?' He sort of shook his head. And I said, 'Why didn't you tell me?' And he said, 'Because I was afraid you wouldn't read to me anymore.'

"So I told him then that I would read to him forever."

Just because your children can read, doesn't mean they don't want to share books with their parents. Sharing "Harry Potter" with your children can be even more fun than reading it alone the first time.

Make reading the reward

Once kids can read by themselves, present books as a treat, rather than a task. Even if their teachers ask them to read at home for 20 minutes a day after school, urge your children to read for an hour or more -- by choice.

" 'All right, if you're good tonight, you can read for a half an hour after you get into bed.' If you make reading seem like castor oil, it's no surprise that your kids won't want to do it. If you make it seem like chocolate pudding and a milkshake combined, they will be thrilled to do it," Quindlen said.

Be a model reader

The more you read yourself, the more children will yearn to read often, too. Fill your home with books, whether on tablets or tables, and make sure your kids see you reading, and enjoying it. Quindlen said her three children grew up seeing their mother behind a book so often that they might ask: " 'What does mom's face look like when there's not a book in front of it? Does anyone remember?' "

Be the reader you want your children to become.

Match books to children's interests ...

Take advantage of the wide range of books for children. Quindlen advises, "If you have a boy who is an indefatigable jock, don't give him 'A Tree Grows in Brooklyn.' That's not his book. Give him Jane Leavy's biography of Sandy Koufax. Or give him some great young adult novel about a baseball team. Once you know who your kids are, you've got to pick out the books that are right for them."

Other reading experts agree that getting children excited about reading involves knowing them well, and choosing books that cater to their interests. "One of the best ways to inspire children to read is to help them find books that speak to them as individuals, so that reading isn't this isolated, fraught activity that they do at school," says Victoria Ford Smith, an assistant professor at the University of Connecticut who specializes in children's literature. "It's an infinitely fertile field to be in."

Ford teaches Roald Dahl's books to undergraduates at the University of Connecticut, and cites the author who wrote "Charlie and the Chocolate Factory", "Matilda," and many others as one of her favorites.

For children who are accustomed to having adults make all of the decisions about their lives, Dahl's stories are a refreshing escape.

"He really turns the tables on who has the power in his books," she said. "Usually it's children who are powerful, and adults who are ridiculous."

Try something different for parents and kids

From Dahl, to Sendak, to Dr. Seuss and others, young readers are spoiled for choice. There's a reason why Dr. Seuss in particular gets a nationwide celebration -- or Seussibration, for those in the know -- on his birthday, March 2: He created a niche with his wacky characters, and accessible writing style.

"It's a really simple vocabulary; it's easy to begin to read, if you're a beginning reader, but (the books) still have a really great sense of humor," said Madigan McGillicuddy, a children's librarian in Atlanta. "There is so much packed in there that builds a lifetime love of reading."

Children's books have come a long way since the days of "Dick and Jane," which seem a bit stilted next to what's on today's bookshelves. Now, most children's books have intricate illustrations, and wildly imaginative plots.

"What mostly attracts me to children's literature is how complex it is," Ford said. "We often have a misconception that children's literature is literature for adults with simpler language, and happy endings."

Really, children's literature brings their fears and frustrations to life. Ford cited Maurice Sendak's "Where the Wild Things Are," about a boy who gets sent to bed without his supper, but can imagine a world where he rules a land of wild giants.

For parents, revisiting favorite stories from their own childhoods can engage them in reading along with their kids, and inspire them to beg for the next book. As Quindlen said, "I made it seem like reading was the greatest thing since sliced bread because that's how I feel."

By the end of the summer, parents and kids who follow her advice might feel the same way.

Which books made you want to read more as a child? Share your favorites in the comments, on Twitter @CNNschools or on CNN Living's Facebook page!

@highlight

Want to raise a reader? Be the reader you want your children to be, experts say

@highlight

Anna Quindlen's son pretended he couldn't read so his mother would keep reading to him

@highlight

Quindlen: Make reading a reward, "like chocolate pudding and a milkshake combined"

@highlight

Children's literature experts love Roald Dahl, Dr. Seuss and Maurice Sendak