(CNN) -- In the wake of Michael Jackson's memorial service, the key question of how the pop superstar died remains unanswered, awaiting an official report from the Los Angeles County coroner.

Michael Jackson, at 25, graced the cover of "Thriller."  The right photo shows him more than two decades later.

But other mysteries abound, particularly related to Jackson's appearance, which changed dramatically from his early adulthood.

His features changed, and the color of his skin lightened significantly over the last two decades of his life.

When the face of the most recognizable entertainer in the world faded to near alabaster, the transformation struck a sensitive cultural spot. It intrigued and even offended people, spawning numerous articles and blog posts speculating about his metamorphosis.

This week, a source involved with the investigation into Jackson's death said the singer's body was "lily white from head to toe." And another source said Jackson had "paper-white skin. As white as a white T-shirt."

The singer denied changing his skin color for vanity reasons and repeatedly asserted that he had a disease called vitiligo, in which the immune system attacks cells that produce melanin, the pigment that determines skin color. The condition results in milky white spots.

For some patients, the discolored spots can spread entirely across the body, leaving only freckles of the original skin color, although this is not very common, experts said.

Jackson told Oprah Winfrey in a 1993 interview, "I'm a black American. I am proud to be a black American. I am proud of my race, and I am proud of who I am. I have a lot of pride and dignity of who I am.

"I have a skin disorder that destroys the pigmentation of the skin. It's something I cannot help. When people make up stories that I don't like who I am, it hurts me," Jackson told Winfrey.

Jackson's claims that he had vitiligo elicited both empathy and skepticism.

Those familiar with the skin condition said vitiligo is commonly misunderstood because of its rarity. It affects approximately 1 percent of the world's population, according to the American Vitiligo Research Foundation.

"I have to wear sleeves and carry an umbrella," said Lee Thomas, who wrote a memoir called "Turning White," which discusses his physical and mental struggles as an African-American man whose skin changes because of vitiligo. "It totally makes sense to me."

And he even shared a common habit as the King of Pop.

"I got [white spots] on one of my hands, so I used to wear a glove to hold a microphone," said Thomas, an Emmy-winning TV news broadcaster in Detroit, Michigan. He first noticed white spots on his scalp when he was 25. Then the spots appeared on his hands.

"Before I got this, I thought, 'What's up with Michael Jackson?' " Thomas said. "Then I get the disease, and it's like, 'Holy crap, there really is a disease called vitiligo, and it does what?' "

Making assumptions about why or how a person's skin color changed is "not malicious ignorance, but it is definitely ignorance," Thomas said.

Vitiligo affects people of all races, but it is more visible in people with darker skin. The cause of the disorder is unknown, although family history plays a role.

Topical ointments such as corticosteroids and oral medicine combined with ultraviolet light therapies are used to restore pigment to the skin. These treatments often have side effects including abnormal hair growth, thinning and over-darkening of the skin.

They can be about 60 to 70 percent successful, said Dr. James Nordlund, a dermatologist who specializes in skin color disorders at Group Health Associates in Cincinnati, Ohio.

"The problem with vitiligo is, you end up with two colors," said Nordlund, a board member with the National Vitiligo Foundation. "Everyone stares, wonders what's going on, and people ask if you had a burn. Kids ask what's wrong with you. It takes a tough soul to deal with that and not be affected."

He recalled one patient, an African-American woman with vitiligo who had patches across her hands and face. When she shopped in the grocery store, she would be followed, and every bit of produce and item she touched would be thrown away, he said.

If treatment to restore the patient's natural color fails and the majority of a person's body is discolored, the next option is to lighten his or her skin to match the spots.

"People want to be their own color," Nordlund said. "Most of the time, most want to be their own color, but if they can't, the second best is, 'Look, I'll be one color, and I'll be white.' "

Nordlund never treated Jackson but said the singer's use of the gloves and lipstick was consistent with the patterns of vitiligo, since the spots frequently first appear on the hands and face, including the lips. He said Jackson's representatives once reached out to several dermatologists, including him, to hold a symposium on vitiligo at the Neverland Ranch, but those plans never materialized.

Despite such statements, the constant changes in his face-- as it became narrower and paler -- baffled and caused some unease.

Bleaching or lightening one's skin for cosmetic reasons is much rarer in the United States than in Asian, African and Caribbean nations, dermatologists said. In some countries, people use over-the-counter and bootleg products -- some of which contain potentially toxic chemicals -- to lighten their skin. The controversial practice has been viewed as the psychological legacy of racism, where light skin was valued over darker skin.

In the United States, lightening ointments are prescribed for spot treatments for scars, acne pits or discolored marks, said Dr. Melissa Piliang, a dermatologist at the Cleveland Clinic.

There is no surgery to lighten the skin. In the United States, a powerful medication called Benoquin, also known as monobenzene, can be used to treat extreme cases of vitiligo.

"It's important to understand that this product actually removes pigment (not just lightens), which is more like being an albino," wrote Dr. Min-Wei Christine Lee, a cosmetic dermatologic surgeon and director of The East Bay Laser & Skin Care Center in Walnut Creek, California. "Caucasian skin still has pigment even though it's 'white' -- skin treated with Benoquin has no pigment."

The process, though painless, is so tedious and lengthy that most people use Benoquin only on the visible areas of their body, such as their face, neck and arms, Nordlund said. Side effects include irritated, dry or itchy skin, and the results are permanent.

The person applies the medication once a day, and it could take six months to two years to take away the coloring. Nordlund said he has heard of only one or two people who administered the ointment over their entire bodies; those processes took five to eight years.

It leaves the person extremely sensitive to the sun.

It's a decision that Lee Thomas may have to make one day. None of the treatments to bring back his natural pigment has worked. His face has become about 35 to 40 percent white, and he uses heavy makeup to even out the spots when he appears on television.

"I would have to consider it as an option," Thomas said of whether he would consider depigmentation if the discolored spots spread. "When it gets to that point, I'll make that decision. Right now, I'm not there yet."

"I'm a dark-skinned African-American and am proud of that. It would be really weird not to have any pigment at all."

@highlight

Those familiar with vitiligo say condition is commonly misunderstood

@highlight

Skin lightening practiced in other countries, not as widespread in U.S.

@highlight

Treatment to remove pigment is available only to people with extreme vitiligo