A second Ebola patient to be treated at Nebraska Medical Center in Omaha will arrive there early Monday morning, the center said in a statement. The patient is believed to be an American freelance cameraman who worked for NBC.

Ashoka Mukpo was diagnosed with Ebola on Thursday. He left Liberia on a specially-equipped plane Sunday and was headed to Nebraska, the network reported.

Upon arrival, the patient will be immediately taken to a remote part of the airport away from passenger areas, where an ambulance will wait for transport to the hospital.

Increased screening

Screening could soon be increased at U.S. airports because of the Ebola outbreak, officials said Sunday.

"All options are on the table for further strengthening the screening process here in the U.S., and that includes trying to screen people coming in from Ebola-affected countries with temperature checks," a federal official said.

The source added: "It's not as easy as it sounds. There aren't that many direct flights from Ebola-affected countries to the U.S. anymore. Many passengers are arriving on connecting flights from other parts of the world, and then they come here, so that makes it more of a challenge."

An official with the Centers for Disease Control and Prevention similarly said that enhanced CDC screening at major U.S. airports was under consideration. Any change must be useful enough to warrant the disruption to travelers, that official said.

A separate, senior administration official stressed that enhanced screening is consistent with what Lisa Monaco, President Barack Obama's homeland security and counterterrorism adviser, said last week. However, officials then had argued that such screening could be counterproductive.

Stopping in its tracks

The director of the CDC underscored that authorities are looking into all possibilities, including suggestions from Congress, the public and the media.

"We'll look at those and see what works to protect Americans and to make sure that whatever we do doesn't unintentionally actually increase our risk," Dr. Tom Frieden told reporters.

Earlier, the director told CNN that he is confident there is little risk of an Ebola outbreak in Dallas, where one infected patient is fighting for his life. Frieden is expected to brief Obama on Monday.

He said on "State of the Union" that the CDC is concerned about family members who had "very close contact" with the victim but that they were being monitored constantly.

"That's how you stop it in its tracks. That's why we're confident we won't see a large number of cases from this," he told CNN's Candy Crowley.

Monitoring high and low-risk contacts

Relatives will be monitored for 21 days from their last contact with Thomas Eric Duncan, the only patient to develop Ebola in the United States. If any of them gets a fever, he or she will be isolated, Frieden said.

"That's how we break the chain of transmission, and that's what is going to make sure that we don't have a large outbreak in Dallas or elsewhere in the U.S.," he added.

About 10 people are at "higher risk" of catching Ebola after coming into contact with Duncan but have showed no symptoms, health officials said. That group includes health care workers, who are now on paid leave.

The group is among 50 people being monitored daily, but the other 40 are considered "low risk," Dr. David Lakey, commissioner of the Texas Department of State Health Services, said Saturday.

A homeless man who was on the low-risk list was found Sunday after a nearly day-long search.

After being checked by medical workers and being told to stay where he was, the man left, and authorities began to look for him. He was taken to Parkland Memorial Hospital in Dallas on Sunday, according to the official Twitter account of Sana Syed, a spokeswoman for the city of Dallas.

His temperature was normal, and he was not showing symptoms of Ebola before he disappeared, officials said.

Authorities also found Sunday two other contacts of Duncan's they had previously been unable to locate, a federal official said. The two people, in addition to the homeless man, were in the same ambulance as Duncan on the same day. All three are considered low risk, but authorities want to monitor them for 21 days, said the official.

Who's in charge of stopping Ebola in the U.S.?

Critical condition patient

Duncan is in critical condition, a Texas Health Presbyterian Hospital spokeswoman said Saturday.

The Liberian national had previously been listed as being in serious condition. Hospital spokeswoman Candace White offered no new details other than his condition.

Duncan arrived in Dallas on September 20 and started feeling sick days later. He made his initial visit to Texas Health Presbyterian Hospital on September 25.

He was released with antibiotics but went back three days later and was quickly isolated. A blood test Tuesday confirmed that he had Ebola.

Can you catch Ebola on a plane?

Relocated to undisclosed location

"We've been very busy the last 24 hours trying to make sure that everyone who has had potential exposure is identified and they have been evaluated," Lakey said.

The high-risk list probably includes Duncan's partner, Louise, her 13-year-old son and her two 20-something nephews. The four had been holed up in the apartment where Duncan had stayed before he was hospitalized.

They were relocated to an undisclosed place Friday and will be required to stay there until October 19. The incubation period -- the time between Ebola infection and the onset of symptoms -- ranges from two to 21 days.

Louise spoke to CNN's Anderson Cooper on Sunday, telling him that she hasn't felt any symptoms.

"She's very thankful for all the doctors' efforts, but she clearly believes that somehow more could be done," Cooper said Louise said about her partner. Their interview will air Monday night.

The Dallas hospital where Duncan is being treated has come under fire for its handling of his first visit there eight days ago.

Louise, who does not want her last name used, said Duncan told hospital staff that he had a fever and abdominal pain and had recently arrived from Liberia, key information that could have been a tipoff for Ebola.

Health care workers across the nation "have to learn from the experience," Lakey said Saturday.

"The travel history is very important to take, and it has to be communicated," he said.

The hospital defended its handling of the case.

"As a standard part of the nursing process, the patient's travel history was documented and available to the full care team in the electronic health record, including within the physician's workflow," it said in a statement.

Your Ebola questions answered

The church Louise attends said Duncan came to the United States so the two could get married.

Louise told the church's senior pastor, George Mason, about their marriage plan, according to Mark Wingfield, a spokesman at Wilshire Baptist Church in Dallas.

How the Ebola virus spreads

American doctor tests negative for Ebola

An American patient treated for Ebola in Nebraska, then released, then put in isolation in a hospital in Massachusetts, was removed from isolation on Sunday.

Laboratory tests showed Dr. Richard Sacra does not have Ebola, said Peggy Thrappas, spokeswoman for UMass Memorial Medical Center  in Worcester.

Physicians are continuing care for his upper respiratory tract infection, she said.

Sacra went to an emergency room early Saturday in Boston with a cough and fever, according to the missionary organization Serving in Mission. He was afraid he might have pneumonia.

Because of his previous infection, he was transferred and kept in isolation until his test results came back.

"Dr. Sacra came to the hospital with a fever and slight cough. Today, he is in stable condition, his symptoms seem to be improving, and he is eating," lead physician Dr. Robert Finberg said earlier.

Sacra had worked as a medical missionary in Liberia but not directly with Ebola patients. Nevertheless, he contracted the disease. He was treated in isolation at the Nebraska Medical Center in Omaha and then released after testing negative for the virus.

CDC responds to sick passenger on flight

Other Ebola scares

As nervous Dallas residents watch Duncan's case unfold, more Ebola scares have popped up in other parts of the nation.

Howard University Hospital in Washington said Friday that it had admitted a low-risk patient with symptoms that could be associated with Ebola, but health officials said Saturday that Ebola had been ruled out in that case. The unnamed patient had recently traveled to Nigeria.

Liberia, Guinea and Sierra Leone are the three main countries battling the deadly virus.

The CDC remains very concerned about the Ebola outbreak in western Africa, where more than 3,000 people have died. The longer it remains a problem there, the greater the risk for other areas of the world, Frieden said. But battling the disease will be a "long, hard fight," he continued.

"The virus is spreading so fast that it's hard to keep up," the CDC director said.

@highlight

An ambulance will pick up the patient from a remote part of the airport

@highlight

A doctor who once had Ebola tests negative for the disease

@highlight

CDC director to brief President Barack Obama on Monday

@highlight

Authorities find missing man who is considered at low risk of getting Ebola