Do you hate your cable company? Is that same company your Internet provider? Or do you pay an outrageous sum for super slow Web access over your phone line?

The announcement of yet another megamerger in the telecommunications industry -- this time Comcast is proposing to buy Time Warner Cable in a plan that would merge the country's two largest cable providers -- highlights just how broken and misguided the United States is when it comes to its vital Internet infrastructure.

Americans are divided on many issues, but resentment against these telecom giants is so pervasive that it may just be the most heartwarming symbol of national unity. And that's as it should be. Except that the resentment should extend to politicians who have made this disastrous system possible and allow political contributions to prevent them from fixing it.

The problem is not just one of dismal customer service. Instead, it is a growing threat to the country's economic and strategic position.

If you travel overseas, you will quickly notice that Web access in much of the developed world is light years ahead of America's. You may also be irritated to discover that far better Internet is much, much cheaper in other countries.

The average American spends thousands of dollars each year for Internet, phone and cable services. If you live in, say, Lafayette, Louisiana, your best "triple play" deal -- cable, Internet and phone -- comes courtesy of Comcast at $121 per month, according to a study by the New America Foundation. That service limps into your house at a rate of 5 Megabits per second (Mbps).

If you lived in Seoul, South Korea, you could buy the same three-service bundle blazing at 100 Mbps -- 20 times faster -- for just $35. Or you could pay just $15 a month for a modest 8 Mbps, still a huge improvement in speed at a small fraction of the cost.

How much do you pay? Does it feel like you're being robbed?

The problem is that telecommunications services are coming from an ever-smaller number of companies with very little genuine competition. And the way the system is structured, those companies have practically no incentive to build a fast Internet.

Why would Comcast invest in fast fiber networks when it already controls most of the market? In fact, if Comcast provided faster Internet service, it might jeopardize its own cable business by making alternatives such as Netflix and Hulu more appealing. Already there are reports that Comcast is trying to keep its competitor Netflix in check.

Verizon, incidentally, started building a fiber optic network, FiOS. But it decided to stop expanding and focus on improving the profitability of the existing FiOS ecosystem. Why invest on fast Internet when you can mint money on mobile service, and when fast Internet makes services such as Skype more of threat?

What is good for the phone, cable and Internet companies is not good for America.

To open the country to the future, Internet providers would need to build a network of fibers reaching into all our homes. Fiber optic cables will make the Internet so fast we can barely imagine it.

To show us what we're missing, and probably to prod us into action, Google decided to build those networks in a handful of cities. Google Fiber, growing in Kansas City, Austin and Provo, Utah, will clock at an astounding 1,000 Mbps. That's an incredible 200 times faster than the Lafayette example, and 100 times faster than the U.S. average.

In the past few years, I have experienced Internet service that is cheaper and much faster in Paris, Tokyo, London, Amsterdam, Jerusalem and other cities. America's Internet is awful and awfully expensive. That means Americans waste precious time waiting for downloads to limp onto their screens.

It also means American businesses are less efficient than they could be, and it means America's brilliant, creative technological minds and its entrepreneurs, who already gave the world the Internet and much of its wonders, are falling behind and will continue to fall even further.

According to the World Economic Forum's Global Competitiveness Report, the U.S. ranks 35th in world Internet bandwidth per user despite being ranked No. 1 in gross domestic product.

Countless reports have documented the embarrassing state of the country's crawling Internet network. Adding insult to this electronic injury are the larcenous rates extracted by providers from America's mostly helpless consumers.

Check out Akamai's quarterly State of the Internet report, and you will discover that as bad as the situation is, it is only getting worse, particularly when it comes to top quality connection speeds.

The world's fastest average peak connection speeds, which requires bringing the Internet over fiber lines, are found in Hong Kong, South Korea, Japan, Singapore and Israel, with peak speeds in the range of 47.7 Mbps to 65 Mbps. The U.S. did not even make it into the top ten for the category. Meanwhile, the U.S. average connection speed was just 9.8 Mbps, less than half that of South Korea.

There are a number of possible solutions.

In places where the Web signal flies like an Olympic luge over the ice, the government may have developed the infrastructure, but they can rent those fiber lines to private telecom firms that package the service for consumers. The fees can even bring profit to municipal coffers.

Some American cities are experimenting with the idea. But the telecom firms are generous and powerful lobbyists, poised to block competition and regulations.

At this time of national political polarization, this is a ripe issue for new politicians hoping to bring change. My humble proposal is that brave new candidates tackle the problem loudly, embracing the common purpose of helping consumers while responding to an urgent national imperative. It is a problem that unites Americans across party lines, and those fed up with party lines, in their disdain for the companies that give them an inferior service at a ridiculous price.

Politicians who campaign -- and later govern -- with a clear plan to improve America's Internet infrastructure will incur the wrath of wealthy corporations, but they will earn the admiration of voters.

@highlight

Comcast proposed to buy Time Warner Cable for $45 billion

@highlight

Frida Ghitis: Merging the two largest cable providers is bad for America

@highlight

She says Americans pay more for lower quality Internet service; other nations are ahead

@highlight

Ghitis: Comcast will have little incentive to improve our vital Internet infrastructure