Maykop, Russia (CNN) -- Russian authorities have arrested a prominent community leader from the country's Circassian ethnic minority. The arrest took place on Friday night in the same province where the Winter Olympics are currently being held.

The detention of Asker Sokht follows the police roundup on February 7 in the southern city of Nalchik of dozens of Circassian activists who tried to hold a protest denouncing the Winter Olympics.

Russian officials could not be reached on Sunday to comment on Sokht's arrest.

But the detention of a leader widely perceived as a moderate, who often defended Russian government policy, has sent ripples of alarm through the Circassian community in Russia, which is estimated to number around 800,000.

"This is deeply sad for Circassians," said Adam Bogus, the leader of another Circassian council based in Maykop, which is located about 150 miles north of Sochi.

"Even those who weren't strongly associated with the nationalist movement and were fairly assimilated in Russia interpret this as an insult to the Circassian people," Bogus told CNN.

Circassian activists have criticized the Russian government for failing to acknowledge that the Olympic city of Sochi is also the traditional homeland of their people.

"The question isn't whether or not the Games are taking place on our land," said Abdullah Bersirow, a Circassian architect who designed a monument to his people that looms uncompleted over a park in Maykop.

"The most important thing is when they announced (the Olympics), they didn't say a word about us. They tried to forget us as if we never even lived here," Bersirow said.

Circassians once dominated large swaths of the Caucasus and northern Black Sea coast. They were defeated by the Russian army in the Caucasus War, a conflict that lasted for more than a century, until the mid-1800s.

Circassian historian Samir Khotko told CNN that the Circassians fought their last stand against imperial Russia in Krasnaya Polyana, the mountainous area above Sochi where the Olympic Alpine sports are now being held.

2014 marks the 150th anniversary of that final battle.

Many Circassians accuse 19th-century Russia of carrying out genocidal massacres of their ancestors, as well as the forced deportation of hundreds of thousands of Circassians.

Today, members of the Circassian diaspora are scattered across the Europe and the U.S., along with communities in Middle Eastern countries like Turkey, Syria and Israel. Some Circassian activists have led an anti-Olympics campaign on the website nosochi2014.com, which is accompanied by slogans like "Sochi, the land of genocide."

Russian President Vladimir Putin, who personally lobbied for Sochi to host the Winter Olympics, has repeatedly urged observers to avoid mixing politics with sport.

The Russian government has been particularly sensitive to criticism of the Sochi Olympics. On February 7, several activists carrying the rainbow flag of the lesbian, gay, bisexual and transgender movement were detained while singing the Russian national anthem in Moscow's Red Square.

Last week, Evgeny Vitishko, an outspoken environmentalist critic of the Sochi Games, was sentenced to three years in a penal colony, accused of hooliganism and destroying private property. Human rights activists in Russia as well as the U.S.-based group Human Rights Watch denounced the verdict, claiming it was politically motivated.

On Sunday, a spokesman for the International Olympic Committee sided with Russian authorities on the Vitishko verdict.

"We received clarification from Sochi that this is, and we think it remains, a non-Olympic case," said IOC communications director Mark Adams.

Sokht, the Circassian activist leader, was arrested in Russia's Krasnodar region, the province where Sochi is located. Friends and relatives said Sokht had been active in resettling in the region at least 10 families of Circassian refugees who had fled Syria's civil war.

As news of Sokht's arrest spread this weekend, several prominent Circassians asked CNN not to publish their interviews for fear of punishment at the hands of Russian authorities.

"This has led a great number of people to conclude that anybody who deals with the Circassian question -- even the most loyal -- will now be under pressure," said Bogus, the Circassian community leader in Maykop.

CNN's Gul Tuysuz contributed to this report.

@highlight

Asker Sokht, a leader in Circassian community, was arrested Friday night

@highlight

Circassians have protested against Sochi Olympics, held in their ancestral homeland

@highlight

They want Russia to acknowledge the connection and a major battle in the area

@highlight

Many Circassians accuse 19th-century Russia of genocide against their ancestors