(CNN) -- As a Brit living in America, I remember the Blair/Bush "special relationship" of the early 2000s with great fondness. It seemed that our two countries might remake the world. With Britain providing the vision and America the military muscle, a liberal axis would flex its way through the War on Terror. The U.K. hadn't had such a sense of purpose since the Second World War.

This week, Prime Minister David Cameron arrived in the United States with the express ambition of reviving what he and President Barack Obama now call "an essential relationship." So far the meeting has been cordial. Aside from agreeing to the need to draw down Western forces in Afghanistan, Cameron did his best to look interested in a basketball game in Ohio. He admitted afterward that he didn't have a clue what was going on and promised to explain cricket to Obama. Actually, cricket is very simple: Whoever doesn't fall asleep wins.

Nonetheless, there is an air of anxiety about the visit. While Britain is still broadly committed to the neoconservative vision of George Bush and Tony Blair, Obama is not. The tensions between the two countries have been exacerbated by a British suspicion that Obama simply doesn't like us, that his coolness betrays a mild contempt for us and our utopian visions.

Before Cameron's plane landed, his views on the special relationship were laid out in an interview he gave to the historian Niall Ferguson in Newsweek.

"The only clue that Cameron is to the manner born," Ferguson writes, "is the seemingly effortless way he shoulders the burdens of power. He must be the first prime minister in history to look younger after nearly two years in office." Although the comparisons to Winston Churchill are absurdly overblown, Ferguson is right that Cameron certainly shares some of Winnie's worldview.

"Like Tony Blair, (Cameron) is drawn to the idea of military intervention where human rights as well as national interest are at stake. It was he, not President Obama, who pressed for military intervention in Libya last year." Cameron tells his admiring interviewer that he is on his way to America to push the case for action in Syria. "'My impulse is that I want us to do more,' he says emphatically." That's probably the moment in the interview when Niall swooned.

The encounter is significant because Niall Ferguson is probably the world's last neoconservative historian and David Cameron is probably the world's last neoconservative premier (Stephen Harper of Canada would like to be a neoconservative, but there's no way the Mounties are going to get rid of Assad).

To be sure, Cameron has a habit of insisting publicly that he is not a neoconservative, while simultaneously rejecting multiculturalism, embracing "muscular liberalism," and agitating for the removal of dictators in Egypt, Kuwait, Libya, and Syria. His chancellor was convinced by the "excellent neoconservative case" for war in Iraq and his education secretary wrote at the height of the Iraq conflict "I love Tony [Blair]." As you can tell, there's a lot of bromance to be found on the British Right.

But Cameron arrives in Washington at a moment when neoconservatism seems to have run its course. Obama's agenda is largely domestic, while anything he does on the world stage is contextualized by falling revenues and the emergence of new powers like China and Brazil. The Obama Doctrine is marked by a cool, reserved support for allies that leaves them alone to pursue their own objectives with limited support. Hence, Britain and France were allowed to take the lead in Libya while it will probably be left up to Israel to pacify Iran.

The result is that while allies often get what they logistically need, they rarely get the kind of enthusiastic political endorsement that they might want. Benjamin Netanyahu's frustration with Obama is analogous to British discomfort with the president. Consider his many petty slights against us. The president removed the bust of Churchill from the Oval Office, threatened to put a "boot on the throat" of British Petroleum (affecting the pensions of 18 million Britons), and confused England for Britain in a public address. When he met former Prime Minister Gordon Brown, he presented him with a gift of 25 DVDs ranging from "Toy Story" to "The Wizard of Oz." They couldn't even be played in the United Kingdom.

For the British, this clash of personalities could have serious consequences. Right now, Argentina is behaving threateningly towards the British territory of the Falkland Islands, a self-governing archipelago of about 3,140 British citizens. Yet instead of honing in on that crisis, our prime minister is using his U.S. tour to promote the democratic transformation of the Middle East with the use of American arms.

Meanwhile, the U.S. State Department has sided squarely with Argentina. Obama's reluctance to side unquestioningly with old allies means the UK cannot rely on his support in the future. We might find ourselves actively defending the self-determination of all peoples everywhere, except when they are British citizens.

Perhaps the "special relationship" between the United States and Britain could only last as long as Britain was a military power worth allying with and America had a president who was a big fan of the queen. But in a more complex, cash-strapped world we are destined to drift apart. Increasingly, the only thing we have in common is a mutual distrust of the French.

The opinions expressed in this commentary are solely those of Tim Stanley.

@highlight

Timothy Stanley: U.S., Britain once had special relationship that has cooled with Obama

@highlight

He says Cameron, visiting U.S. this week, leans neo-conservative, Obama does not

@highlight

He says Obama has domestic priorities, gives support, but leaves allies to own objectives

@highlight

Stanley: Old allies don't get same support from U.S. as in past; Israel feels frustration, too