New York (CNN) -- Mitt Romney spent weeks battling Rick Santorum and Newt Gingrich for the Republican presidential nomination, and he faced blistering attacks from Rick Perry and other GOP rivals along the way. And now he is paying the price.

CNN Poll: Obama holds 7-point lead over Romney

Romney's failure to surpass Barack Obama this summer stems in no small part from his reluctance to make any bold moves on policy, and this reluctance is a direct product of the beating he's taken from conservative critics for much of the last year.

The basic rap on Romney -- who represented, let us not forget, the conservative alternative to John McCain during the 2008 race for the Republican presidential nomination -- was that he wasn't sufficiently conservative. To reassure conservative primary voters, Romney embraced positions on a wide range of issues, from immigration to taxes, that are more popular among reliable Republicans than among swing voters.

Opinion: Reid's Romney smears an insult to voters

As the political analyst Sean Trende, author of "The Lost Majority," has argued, the central dilemma facing the Romney campaign is that it has essentially secured all of the low-to-medium hanging fruit for a Republican presidential candidate by condemning Obama's economic record. Yet this hasn't been enough to give Romney a lead over the incumbent president.

Indeed, there is at least some reason to believe that the Romney campaign is losing ground. This strongly suggests that the GOP needs a more positive message with crossover appeal. The trouble, of course, is that Romney's efforts to inoculate himself against charges of squishiness have made it very difficult for him to pivot to the center.

What might a more daring Romney campaign have looked like?

A more populist Romney campaign would spend time and money bashing the big banks. While Romney has called for repealing the Dodd-Frank Act, the centerpiece of Obama's fitful efforts to reform Wall Street, he hasn't provided much in the way of detail regarding how he'd address the too-big-to-fail problem. Given that anger against taxpayer-funded bank bailouts helped fuel the rise of the tea party movement, and in turn the Republican congressional victories of 2010, this constitutes a serious strategic mistake.

Recently, the right-leaning Government Accountability Institute, led by Peter Schweizer, author of the muckraking manifesto "Throw Them All Out," issued an incendiary report that accuses the Obama administration of neglecting financial fraud prosecutions because of the deep ties between senior Justice Department officials and the uppermost echelons of the financial sector. This is the kind of argument that might resonate among voters reconsidering their 2008 vote for Barack Obama.

Yet this argument would need to be connected to a clear policy narrative about what a Republican president would do to take on the power of the big banks. A number of conservative and libertarian thinkers -- including James Pethokoukis of the American Enterprise Institute; Thomas Hoenig, former Fed governor and FDIC director; and Luigi Zingales of the University of Chicago Booth School of Business -- have called for breaking them up by implementing a modernized version of the Glass-Steagall Act, the Depression-era law that created a strict wall of separation between commercial and investment banking.

Sebastian Mallaby of the Council of Foreign Relations, a market-friendly centrist perhaps best known for his exhaustive history of the hedge fund industry, "More Money Than God," has even argued that investors might welcome a bank break-up.

Opinion: Will Obamacare raise the price of your pizza?

Leaving aside the substantive merits of this and other proposals designed to curb the too-big-to-fail phenomenon, this is an accessible idea that would help Romney play against type. So it has come as a disappointment to many on the right that the Romney campaign has been dismissive of the idea.

This could reflect a conviction on the part of the candidate that Wall Street is not in need of a radical overhaul. Or, more cynically, the Romney campaign might be reluctant to alienate influential Republican donors in the financial services industry. Yet the decision to tread lightly on financial malfeasance might cost Romney the election.

Romney's evolution on tax policy is also telling.

During the 1996 New Hampshire GOP primary, Romney, a private citizen at the time, paid for an advertisement criticizing Steve Forbes' signature flat tax on the grounds that it was a giveaway to the ultra-rich. And his original 2012 tax proposal was a fairly modest one, which called for extending the Bush-era tax cuts while also eliminating taxes on capital gains, dividends and interest for married couples earning less than $200,000.

The idea was that this would be a prelude to a larger tax code overhaul. But when Romney feared that Rick Santorum might defeat him in Michigan's crucial Republican primary, he released a far more ambitious, and far more expensive, tax cut proposal that is being criticized as pie-in-the-sky.

Rather than campaign on a deep tax cut that would benefit high-earners, the Romney campaign might have instead championed a revenue-neutral tax reform that cut taxes dramatically on families with children while effectively raising them on childless high-earners.

In effect, this would recognize that parents are making a significant investment in America's economic future and that this investment should be treated favorably. This idea has been championed by conservative policy entrepreneurs such as Ramesh Ponnuru of National Review and Robert Stein, a veteran of George W. Bush's Treasury Department, yet it has met with fierce resistance from The Wall Street Journal editorial board, which sees it as an unjustifiable tax giveaway that is an unhelpful distraction from the need to cut marginal tax rates.

In choosing to embrace the Journal's view, Romney may have sacrificed an opportunity to connect with cash-strapped middle class parents, including many independents and Democrats.

Recently, Eli Lehrer of the pro-market R Street Institute made another suggestion: Instead of simply attacking federal loan guarantees for clean-tech firms such as Solyndra, the federal government should get out of the business of subsidizing the energy sector entirely. Clean-tech subsidies would go, but so would subsidies in the tax code that benefit the oil and gas industries. It is an idea that could in theory appeal to environmentalists, and it would demonstrate that Romney's criticisms of Solyndra aren't just political posturing.

Right now, the Romney campaign seems to believe that it can defeat Obama by running a conventional and cautious campaign. But as the weeks go by and the president's lead remains frozen in place, this is starting to look like a bad bet.

The opinions expressed in this commentary are solely those of Reihan Salam.

@highlight

Reihan Salam: The scars of the GOP primaries are dragging Mitt Romney's candidacy down

@highlight

He says Romney moved to the right to win over conservatives, now lacks centrist appeal

@highlight

A variety of innovative ideas could have broadened his appeal, Salam writes

@highlight

Salam: Taking on big banks and cutting energy subsidies would be smart policies for Romney