New York (CNN) -- Stores across the Northeast were packed with shoppers as people prepared for what could be a historic blizzard set to arrive on Friday.

In Reading, Massachusetts, residents were preparing for several feet of snow that could leave them stuck in their homes for days.

"It's a zoo in there. There's nothing left on the shelves. ... I think I got every bottle of water that they had in stock," Elizabeth Fraiser told CNN afilliate WHDH.

At the Home Depot, another resident said she had essential supplies but wanted to be doubly sure she was ready.

"I have a lot of it, but just want to be prepared. You never know," Joanna Spinosa said.

A picture posted on the website of CNN affiliate WCVB showed long lines at a gas station in Boston.

Travelers looking up flight details on airline websites were seeing the word "Canceled" over and over. And it wasn't just affecting travelers in the Northeast.

Nearly 3,300 flights were canceled in anticipation of the storm as emergency crews geared up for inclement weather, most of which was expected late Friday into Saturday.

According to the flight-tracking website Flight Aware, airports from Logan in Boston to O'Hare in Chicago to Reagan National in Washington were seeing significant number of flights -- inbound and outbound -- called off for Friday. More than 60 U.S. airports reported flight cancellations, Flight Aware said.

Amtrak canceled many trips in the Northeast corridor. The rail transit company said on its website that northbound service from New York's Penn Station would be suspended after 1 p.m Friday.

Two ferocious storm systems are expected to converge across the Northeast on Friday and spawn nightmares for a large swath of the country.

A wintry blast churning across the nation and a cold front barreling up the East Coast will unite and could dump as much as a foot of snow in New York and up to 3 feet in Boston.

Boston could see snowfall of 2 to 3 inches per hour, as frigid gusts swirl across the region. The system has already drawn comparisons to the "Great Blizzard" of 1978, when thousands were stranded as fast-moving snow drifts blanketed highways and left several people dead.

The most severe weather is expected to hit Massachusetts between 2 and 5 p.m. on Friday.

Gov. Deval Patrick announced Thursday that all non-emergency workers should work from home. He canceled all school classes on Friday.

"Be a good neighbor. Check on the elderly," he said, advising residents not to bring portable stoves, charcoal or gas grill indoors out of concern for potential fire hazards or carbon monoxide poisoning.

All vehicles must be off the roads by noon on Friday, and Boston's public rail system will halt service at 3:30 p.m. A fleet of 600 snow removers will be manned by municipal workers and contractors as authorities gear up for what they say could be a 36-hour storm.

"We are hearty New Englanders and used to these kinds of storms, but I also want to remind people to use common sense and stay off the streets," said Mayor Thomas M. Menino.

Forecasters warned of potential white-out conditions across New England and parts of New York.

"If you are on the highway and you are stuck, you are putting yourself in danger," said CNN meteorologist Chad Myers.

Meanwhile, residents stocked up after authorities announced that public schools across several New England states would not hold classes Friday.

"They're coming in buying shovels, ice melts and sleds," said Atton Shipman, who works at Back Bay Hardware in Boston.

Social media was abuzz with chatter about the incoming weather.

"Just a reminder of what the ground looks like in case anyone forgets in a couple of days," tweeted Ryan Pickering, after posting a close-up photo of a Rhode Island roadway.

Massachusetts Emergency Management Agency officials said that they were busy salting roadways.

"Travel may become nearly impossible with blowing/drifting snow and near zero visibility during the height of the storm (Friday afternoon into Saturday morning)," the agency said in a statement. "Motorized vehicles are asked to stay off the roads if they can during the storm to allow snow plows to clear the roads."

Crews began preparing snow plows at Logan International Airport, where officials said the storm is expected to cause more flight delays and cancellations.

United Airlines said customers in storm-affected cities will be allowed to reschedule their itineraries "with a one-time date or time change, and the airline will waive the change fees."

Delta, Jet Blue, Southwest and other airlines offered their customers similar assurances.

In Connecticut, Gov. Dannel Malloy said utility companies were bringing additional crews from out of state to deal with potential power outages. Metro-North rail lines could also be closed at any time should winds exceed 40 mph.

The Connecticut National Guard has moved equipment to staging places, including several Black Hawk helicopters at Bradley International Airport north of Hartford. In Rhode Island, 300 members of a military police brigade were scheduled to drill on Saturday and Sunday but the drill has been moved up because of the storm.

A snow emergency went into effect in the southern Connecticut city of Stamford, beginning at 5 p.m.

In New York, Mayor Michael Bloomberg said the timing of the storm could actually benefit municipal workers.

"If it's going to happen, having it happen Friday overnight into Saturday is probably as good timing as we could have," Bloomberg said. "The sanitation department then has the advantage of being able to clean the streets when there's normally less traffic."

New York's Air National Guard unit on Long Island has some snowmobiles it can deploy to help with search and rescue or emergency transportation. If Gov. Andrew Cuomo were to order the National Guard to assist, each of New York's Guard's six operating areas will be ready to deploy 10 Humvees and 40 troops trained in disaster response.

By late Thursday, the National Weather Service had issued a blizzard warning from 6 a.m. Friday until 1 p.m. Saturday, with wind gusts up to 50 mph, creating dangerous driving conditions with visibilities near zero in white-out conditions.

Consolidated Edison, a main utility company for the New York region, said it is preparing additional crews to deal with potential power outages and advised customers to stay clear of downed power lines.

Long island Power Authority, which received intense criticism over its handling of Superstorm Sandy, said it was preparing.

Record-breaking snowfall could hit Hartford, Connecticut, as well.

"We expect snow and then rain, and severe coastal flooding," said CNN meteorologist Sarah Dillingham.

Wind will also be a major concern. Gusts could reach 75 mph along Cape Cod and 55 mph in the Long Island Sound and cause coastal flooding, with tides rising about three to five feet.

As more miserable weather slams the region, those affected by Superstorm Sandy will be further hampered by high winds, cold temperatures and more beach erosion.

Parts of the region are under a blizzard watch.

In New Hampshire, there are people who actually want a lot of snow.

"Natural snow definitely gets people to remind them that there are winter activities," Lori Rowell, director of marketing for Pats Peak ski resort in Henniker, told CNN affiliate WBZ.

Steve Livingston said he usually sells 30 to 35 snowmobiles a week at his shop, but he hasn't sold any in the past week.

Sales have been super slow," said Livingston, owner of Livingston's Arctic Cat in Hillsborough. "I hope we get as much snow as we can possibly deal with. That would be like a hot summer day for Hampton Beach for us."

CNN's Larry Shaughnessy contributed to this report.

@highlight

Shoppers pack stores, gas station lines before it begins to snow

@highlight

More than 3,300 flights across the U.S. canceled for Friday and Saturday

@highlight

Connecticut Gov. Dannel Malloy says utility companies bringing additional crews

@highlight

Forecasters predict as much as 3 feet of snow for Boston this weekend