Kiev (CNN) -- Pro-Russian protesters who disarm and leave occupied buildings will not be prosecuted, Ukraine's acting President Oleksandr Turchynov said Thursday.

"In the case when people put down their weapons and free administrative buildings, we don't need to approve laws about amnesty. We guarantee there will be no criminal prosecutions of people who put down their weapons and leave the buildings. And I am prepared to formalize it with a presidential decree," Turchynov told parliament.

He added that "the main problem is that the people who are holding the buildings in Donetsk and Luhansk are being used by the enemies of Ukraine."

The announcement came a day after Ukrainian acting Interior Minister Arsen Avakov said the separatist protests in Ukraine's eastern region would be resolved within 48 hours -- either through negotiations or the use of force.

The protests, which began Sunday, have been centered in three eastern cities: Donetsk, Luhansk and Kharkiv.

The United States has accused Russia of fomenting the separatist unrest as a pretext for military intervention.

Speaking Thursday in the Czech Republic, NATO Secretary General Anders Fogh Rasmussen also pointed the finger at Moscow for "stirring up ethnic tensions in eastern Ukraine and provoking unrest."

And he cast doubt on Russia's assertion that the troops it has along Ukraine's eastern border are simply there for military exercises.

"As I speak, some 40,000 Russian troops are massed along Ukraine's borders," he said. "Not training, but ready for combat. We have seen the satellite images, day after day."

The United States also estimates there are up to 40,000 Russian troops near the border, based on classified and commercial satellite imagery.

Military hardware

A series of satellite images released Thursday by NATO appear to show large amounts of Russian military hardware, including armored vehicles, helicopters and surveillance aircraft, massed at different places near the Ukrainian border.

This is accompanied by the full range of "combat support" capabilities, such as medical facilities, fuel, food, spare parts, logistics and maintenance, NATO sources told CNN.

The U.S. ambassador in Kiev, Geoffrey Pyatt, also posted photos via Twitter on Wednesday to illustrate the U.S. estimates of Russia's troop buildup.

The images depict what is said to be a field outside the southern Russian city of Rostov-on-Don -- empty in October, but filled with troops and armored vehicles on April 2.

A U.S. official with direct knowledge of the matter told CNN those photos "are consistent" with classified imagery.

Washington is sharing some information with the Ukrainians, but not highly classified intelligence, the official said. Ukraine was aligned with Moscow until a month ago, and it is believed that Ukraine's security services are still penetrated by the Russians, the official said.

'Nothing but propaganda'

Russia's Foreign Ministry said Wednesday that Ukraine and the United States have "no reason for concern" about the presence of Russian forces, which it says are on military exercises.

"Russia has repeatedly stated that it does not conduct unusual or unplanned activities which are militarily significant on its territory near the border with Ukraine," the ministry said in a prepared statement.

But Rasmussen had stern words for Russia's leaders, accusing them of spreading misinformation to justify their behavior.

"Russia is trying to justify its actions by accusing the Ukrainian authorities of oppressing Russian speakers. And by accusing NATO of a Cold War mentality," he said. "This is nothing but propaganda. Designed to subvert the Ukrainian government, pervert the truth and divert attention from Russia's own illegal and illegitimate actions."

The West has strongly condemned Russia for annexing Ukraine's southeastern Crimea region last month, after a referendum held while pro-Russian forces controlled the Black Sea peninsula.

It fears Russian President Vladimir Putin may next seek to invade eastern Ukraine, where there are also many ethnic Russians.

Putin said Thursday that Russia had not planned in advance to absorb Crimea, according to Russian state news agency ITAR-Tass. "I made final decisions only after the mood of the people became clear, because we had not been preparing for such developments," Putin is quoted as telling Russian social activists.

Asset freezes

As the interim government works to realign the country with Europe, the state financial monitoring office announced asset freezes Thursday against ousted President Viktor Yanukovych and dozens of those close to him.

Bank accounts belonging to 67 representatives of the previous government have been blocked, the office said.

The action comes as the office investigates the alleged laundering of money "obtained as the result of corruption, theft and appropriation of budget resources and property by the Ukrainian ex-President and his family, as well as members of the previous government and people connected with it," it said.

It also concerns people accused of involvement in the deaths of protesters whose street demonstrations pushed Yanukovych out of office, and of those accused of organizing separatist activity in Ukraine, the office said.

Gas prices

The crackdown on alleged corruption comes as Ukraine's interim government seeks also to shore up its struggling economy.

Its dependence on Russia for supplies of natural gas is a key area of concern, especially in light of a hefty price hike last month that took the cost to nearly $500 per 1,000 cubic meters.

Ukraine owes about $2.2 billion for natural gas bills to Gazprom, Russia's state-owned energy monopoly.

Putin warned in an open letter Thursday to 18 European leaders that Gazprom could demand advance payment or even shut off the gas supply to Ukraine if it doesn't pay up, according to the state-run RIA Novosti news agency.

"We fully realize that this (move) increases the risk of natural gas passing through Ukraine's territory being siphoned off as it heads to European consumers," Putin is quoted as writing.

"We also realize that this may make it difficult for Ukraine to accumulate sufficient gas reserves for use in the autumn and winter period."

Ukrainian Energy Minister Yuriy Prodan told CNN earlier that Russia was using its energy dominance as a weapon.

"Russia announced an unacceptable price for Ukraine. There is no justification for this, and of course Ukraine cannot accept that price, which is almost $500 for 1,000 cubic meters," he said.

"This is a political cost. It is an economic weapon which Russia is now using after they made a war in Crimea."

He said that Ukraine is ready to pay its debt but wants to pay it within the parameters of a 2013 agreement -- a deal that has since been torn up by Russia.

Negotiations continue over the price, which Russia has increased by 81% since Yanukovych was ousted in February, but Moscow has not accepted Ukraine's proposals, he said.

Prodan says Ukraine, which produces only limited amounts of gas itself, is not piping gas from Russia and has enough in reserve to last three months.

But it needs a new deal either with Russia or Europe for gas before July, when it has to start stockpiling gas for essential winter heating, he said.

CNN's Kellie Morgan reported from Kiev and Laura Smith-Spark wrote and reported in London. CNN's Barbara Starr, Lindsay Isaac, Carol Jordan, Holly Yan contributed to this report.

@highlight

NEW: Putin writes to European leaders warning that Russia could cut off gas to Ukraine

@highlight

Ukraine's leader says protesters won't be prosecuted if they disarm, leave seized buildings

@highlight

NATO chief says Russian troops near Ukraine's border are "not training, but ready for combat"

@highlight

NATO releases satellite images purportedly showing Russian military hardware