Washington (CNN) -- Watchdogs and even some members of Congress raised alarms Tuesday after learning that the House of Representatives quietly changed how lawmakers report privately funded travel worth millions of dollars a year, removing those trips from one of the most high-profile reports that members must file.

But as the change sent out ripples of outrage, it was not clear how wide-ranging the effect would be, because the trip information remains easily accessible in a separate report.

Immediate concern

Two Democrats immediately expressed concern.

"Both the change to our financial disclosure forms and the fact it was done so quietly are extremely troubling for those of us who believe in transparency and accountability" wrote Rep. Mike Quigley, D-Illinois, who co-chairs the House Transparency Caucus.

The rule change was made in a committee vote. Quigley's office said he has requested that the committee reverse it's decision.

The top Democrat in the House agrees.

"The new rule presented by the Ethics Committee for disclosure of travel must be reversed," House Democratic Leader Nancy Pelosi of California wrote in a statement. "While the committee's aim was to simplify the disclosure process, Congress must always move in the direction of more disclosure, not less."

A tale of two reports

Pelosi is referring to the idea that the Ethics Committee may have removed the reporting requirement from the Financial Disclosure Report because the trips also must be disclosed, in a more extensive form in the separate Gift and Travel Report. In the Financial Disclosure Report, House members must give online summaries of each private trip in the past six months. But in the Gift and Travel Reports, members must report the trips in detail.

Tom Rust, staff director and chief counsel for the Ethics Committee, issued a statement saying the panel "continues to enforce the requirement that all House Members and staff who wish to accept privately sponsored travel must continue to receive prior approval from the Ethics Committee and to file detailed paperwork about any such trip within 15 days. Neither of those requirements has been changed or diluted in any way."

Rust noted that a database at clerk.house.gov makes publicly available all "detailed post-travel reports ... on the same page where the public can look up Members' financial disclosure reports."

"As the House developed the new online financial disclosure system, the Committee's nonpartisan staff recommended a number of changes to the financial disclosure forms, including eliminating the need to report less information about private travel than the traveler had already publicly disclosed the year before," the statement continued. "The Committee adopted these changes and publicly highlighted them on page 2 of the financial disclosure instructions, which were provided to all financial disclosure filers and posted on the Committee's public web site months ago. The Committee is committed to effective and efficient public disclosure, and will continue to look for opportunities to improve the public filings required of Members and staff."

Rust said the statement was authorized by Ethics Committee Chairman Mike Conaway, R-Texas, and ranking Democrat Linda Sanchez, D-California.

CNN reached out to House Speaker John Boehner, R-Ohio, for reaction, but as of Tuesday afternoon his office had not released any statement.

Watchdogs angry

In the meantime, groups that spend countless hours combing over data about Congress immediately decried the change in reporting and sharply questioned whether eliminating a duplicative report was the real motivation behind the change.

"Duplication is not usually a major concern in Congress," said Melanie Sloan, the executive director of Citizens for Responsibility and Ethics in Washington. "The only place they're concerned about duplication is when it's exposing their private travel."

Sloan pointed out that the decision was made behind closed doors and called the Ethics Committee "tone-deaf," charging that it serves more to cover up for unethical conduct than to expose it.

Why make this change in disclosure reports? She is blunt in her belief. "I think they want to take more trips that they don't want people to know about."

Word of the Ethics Committee action came days after reports that longtime Rep. Charlie Rangel, D-New York -- who narrowly won his party's renomination last week -- had failed to report an all-expenses-paid trip he took to China last year.

CNN's Paul Courson and Political Editor Paul Steinhauser contributed to this report.

@highlight

NEW: Ethics Committee responds, it is "committed to effective and efficient public disclosure"

@highlight

Travel reporting no longer required in Financial Disclosure Report

@highlight

It still is required in more extensive form in the Gift and Travel Report