(CNN) -- Today marks one year since a tragic fire at the Tazreen Fashions factory in Bangladesh killed 112 workers. When the fire alarms went off that day, managers acted with indifference and forced workers to stay at their stations.

Months later, devastation again struck Bangladesh's workers when the Rana Plaza building collapsed, killing 1,131. Inspectors had declared the building unsafe, yet management compelled the workers to enter with threats of lost pay or termination.

These twin tragedies galvanized world attention on the terrible conditions under which Bangladeshi workers produce over $20 billion worth of clothing for consumers abroad each year.

For many Americans, Bangladesh is a far-off nation on the other side of the world. The challenges workers face there seem distant.

But in this country we have risen in solidarity when workers' rights have been ignored. Just as the 1911 Triangle Shirtwaist Factory fire in New York City resulted in dramatic changes to U.S. factory safety standards, the tragedies in Bangladesh are a call to action for consumers in America.

The principles of fairness and equality for working men and women are deeply interwoven within the fabric of our nation's history.

No one will want to wear clothes made in Bangladesh if they are stained with the blood of workers.

After these tragedies, I urged the Obama administration to suspend preferential duty-free status for certain products from Bangladesh. Our government responded and since the suspension of Generalized System of Preferences benefits, Bangladesh's government has dropped charges against labor activists and begun to allow local unions to form.

In addition to pressure from our government, American and European companies are working together to establish common standards for fire and building safety. A 77% increase in the minimum wage was announced but is not yet enacted. The AFL-CIO's Solidarity Center is training union organizers and the International Labor Organization has established a program to help develop durable institutions to protect workers' rights.

But considerable long-term work remains. Unions have a troubled history in Bangladesh. In the past they were subject to undue influence by political forces with agendas that did not put workers first. This legacy will be difficult to overcome -- workers need to feel safe in joining a union and management needs to understand that unions can play a constructive role in worker safety as well as factory production.

However, there are disturbing signs of backsliding, so Western governments and consumers must remain vigilant.

Some factory managers have intimidated union organizers and thugs have reportedly attacked workers who dared to organize. Dozens of workers have died in fires in Bangladesh's factories since Rana Plaza collapsed.

We have a responsibility and an opportunity to bring about change in Bangladesh's garment industry.

First, the United States must remain vigilant and ensure that labor law reforms are correctly implemented and labor organizers are protected from anti-union activity. We should also increase funding for efforts, such as the AFL-CIO's Solidarity Center programs, that support workers' capacity to organize and engage in collective bargaining.

Second, the government of Bangladesh and the garment industry associations should immediately develop and apply tough sanctions against factory owners who engage in anti-union activity.

Finally, international companies must continue to require their supplier factories to abide by strict safety and labor standards. The latter will require long-term, well-resourced programs to educate their suppliers on workers' rights and constructive worker-management relations. They should also implement a zero-tolerance policy for suppliers who consistently engage in anti-union activity.

A Bangladesh with a fully empowered work force and safe factories will require sustained action by its government, apparel companies, domestic factory owners, organized labor as well as the international community. It will take time, but this time there can be no going back.

A year ago, the world woke up to the horror caused by unsafe working conditions in Bangladesh. We owe it to the victims and the four million garment workers in Bangladesh, who produce a lot of the clothes we wear, to maintain pressure until Bangladesh's workers are given the rights they deserve and the tools they need to protect themselves.

The opinions expressed in this commentary are solely those of Robert Menendez.

@highlight

Today marks one year since a fire killed 112 workers in a factory in Bangladesh

@highlight

Robert Menendez: The tragedies in Bangladesh are a call to action for consumers

@highlight

He says no one wants to wear clothes if they are stained with the blood of workers

@highlight

Menendez: We need to push Bangladesh to protect workers and their rights