(Mental Floss) -- Until two centuries ago, ice was just an unfortunate side effect of winter. But in the early 1800s, one man saw dollar signs in frozen ponds.

The ice industry pulls in $2.5 billion a year, but it's nowhere near as dominant as it used to be.

Frederic Tudor not only introduced the world to cold glasses of water on hot summer days, he created a thirst people never realized they had.

In 1805, two wealthy brothers from Boston, Massachusetts, were at a family picnic, enjoying the rare luxuries of cold beverages and ice cream.

They joked about how their chilled refreshments would be the envy of all the colonists sweating in the West Indies.

It was a passing remark, but it stuck with one of the brothers. His name was Frederic Tudor, and 30 years later, he would ship nearly 200 tons of ice halfway around the globe to become the "Ice King."

Ice man cometh

Nothing in Tudor's early years indicated that he would invent an industry.

He had the pedigree to attend Harvard but dropped out of school at the age of 13.

After loafing for a few years, he retired to his family's country estate to hunt, fish, and play at farming.

When his brother, William, quipped that they should harvest ice from the estate's pond and sell it in the West Indies, Frederic took the notion seriously. After all, he had little else to do.

Frederic convinced William to join him in a scheme to ship ice from New England to the Caribbean.

Tudor reasoned that once people tried it, they'd never want to live without it. During the next six months, the brothers pooled their money and laid out plans to ship their product to the French island of Martinique, where they hoped to create a monopoly on ice.

No one believed the idea would work. In fact, no ship in Boston would agree to transport the unusual cargo, so Frederic spent nearly $5,000 (a big chunk of the seed money) buying a ship of his own.

On February 10, 1806, The Boston Gazette reported, "No joke. A vessel with a cargo of 80 tons of ice has cleared out from this port for Martinique. We hope this will not prove to be a slippery speculation."

It did.

Although the ice arrived in Martinique in perfect condition, no one wanted to buy it.

Tudor desperately explained how the cold blocks of ice could be used in the stifling Caribbean heat, but islanders weren't convinced.

After an inauspicious start, William pulled out of the partnership.

The following winter, Frederic was on his own. Remarkably, he drummed up enough money to send another shipment of ice to the Indies.

But when a trade embargo left much of the Caribbean off limits for two years, Frederic was left twiddling his thumbs. Meanwhile, the Tudor family fortune had dwindled in a shady real estate deal in South Boston.

Despite financial woes, Frederic persisted, and his ice business finally turned a profit in 1810.

But a series of circumstances -- including war, weather, and relatives needing bailouts -- kept him from staying in the black for too long. Between 1809 and 1813, he landed in debtors' prison three times and spent the rest of the time hiding from the sheriff.

Mental Floss: Coldest places on Earth

Breaking the ice

Perhaps it was his Yankee entrepreneurial spirit, or perhaps monomania, but Tudor was obsessed with the idea that ice would make him rich.

During the next decade, he developed clever new techniques to convince people that they actually needed ice, including a "first one's free" pitch.

While living in a South Carolina boarding house in 1819, Tudor made a habit of bringing a cooler of chilled beverages to the dinner table.

His fellow boarders always scoffed at the sight, but after a sip or two, they'd inevitably fall in love with his ice.

Tudor traveled around the country and convinced barkeeps to offer chilled drinks at the same price as regular drinks -- to see which would become more popular.

He also taught restaurants how to make ice cream, and reached out to doctors and hospitals to convince them that ice was the perfect way to cool feverish patients.

The truth is that people never knew they needed ice until Tudor made them try it. Once they did, they couldn't live without it.

By 1821, Tudor's business was strengthening.

He'd created real demand for his product in Savannah, Georgia; Charleston, South Carolina; New Orleans, Louisiana; and even Havana, Cuba.

But he still needed to refine his operation.

Enter Nathaniel Wyeth, an innovator who became Tudor's foreman in 1826. By using a horse-drawn plow to cut the ice into large grids, Wyeth invented a much faster harvesting method.

He also put an assembly process into place. Laborers sawed the blocks apart and plunked them into canals to float them downstream. Then a conveyor belt would hoist the blocks from the water and carry them up to icehouses, where they'd be stacked up to 80 feet high.

Still, only one-tenth of the ice harvested made it to sale. What's worse, the whole operation was incredibly unsafe. In addition to those towering stacks of ice, numb hands, sharp instruments, and frigid waters made the process dangerous. The 300-lb. blocks of ice could slide easily, knocking down men and breaking their limbs. Ice harvesters often developed "ice man's knees," which were bruised and bloody from days of shoving solid ice.

Mental Floss: People whose jobs actually killed them

Despite these drawbacks, Wyeth's ingenious methods were a major improvement on prior harvesting practices.

With the inventor by his side, Tudor asserted his long-fomenting monopoly and became known as the "Ice King."

Tudor's reputation solidified in 1833 when he shipped 180 tons of ice halfway across the world to British colonists in Calcutta.

The venture was so successful that it reopened trade routes between India and Boston.

Back at home, Tudor continued to dominate the scene. By 1847, nearly 52,000 tons of ice traveled by ship or train to 28 cities across the United States.

Nearly half the ice came from Boston, and most of that was Tudor's. He also maintained ice-harvesting rights to key ponds throughout Massachusetts.

Even Henry David Thoreau watched Tudor's workers harvest Walden Pond and waxed philosophic about the scene in his diary: "The pure Walden water is mingled with the sacred water of the Ganges."

The end of the Ice Age

Frederic Tudor died in 1864, finally rich again. By that time, everyone with access to a frozen body of water was in on the action. Ice boomtowns sprouted along the Kennebec River in Maine, where farmers found year-round employment.

The 1860s became the peak competitive period of American ice harvesting, and Tudor's company prospered. Even during the Civil War, when the South was cut off from ice supplies in the North, the ice industry continued to grow in New England and in the Midwest.

As American society grew more accustomed to fresh meats, milk, and fruit, the ice industry expanded into one of the most powerful industries in the nation.

At the turn of the 20th century, nearly every family, grocer, and barkeep in America had an icebox. But ironically, America's dependence on ice created the very technology that would lead to the decline of the ice empire -- electric freezers and refrigerators.

During the early 1900s, these appliances became more reliable, and by 1940, 5 million units had been sold. With freezers allowing people to make ice at home, there was little need to ship massive quantities across the country.

Today, the ice industry pulls in $2.5 billion a year, but it's nowhere near as dominant as it used to be. Most of the business is from pre-packaged, direct-to-consumer ice (the stuff you buy for your beer cooler).

Mental Floss: Blind genius invented cruise control

Still, that doesn't mean we shouldn't be grateful. The next time you put your lips to a slushie, or an iced tea, or a chilled martini, or a cold beer on a hot day, take a moment to thank the crazy Yankee who had the vision to turn water into money.

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

Unbelievably, ice was not a hot item in the blistering Caribbean of 1806

@highlight

Wealthy Boston brothers single-handedly invent ice industry

@highlight

Eventually, ice sales skyrocket, re-opening trade to India in 1830s

@highlight

Home freezers chilled the ice industry, but $2.5 billion worth still sold annually