(CNN) -- Cold weather has delayed spring in Washington, but we can detect a clear warming trend in our politics.

To be sure, the distance between the Obama administration and congressional Republicans remains vast, executive and judicial nominations remain blocked by an unprecedented number of filibusters and major legislative accomplishments are still months away. But the ice of gridlock is starting to thaw.

Evidence of a healthier, more normal politics is beginning to reappear, centered in the Senate, our political institution that has declined the longest and the furthest.

Congress has been in session only a few weeks, but the Senate has already passed its first budget in four years, after finding compromises to avoid the fiscal cliff and the "nuclear option." Across the range of tough issues, serious legislative work is moving forward, usually on a bipartisan basis. Eight senators, led by Democrat Chuck Schumer and Republicans John McCain, Lindsey Graham and Marco Rubio, have made significant progress toward an agreement on immigration.

The Judiciary Committee has reported the first major gun control legislation since 1994, though its fate is far from certain.

Democrat Carl Levin, joined by McCain, released a devastating report on the abusive trading practices of JPMorgan Chase.

Freshman Democrats Elizabeth Warren and Sherrod Brown have expressed similar views as have Republicans Bob Corker and Chuck Grassley on the dangers of ''too big to fail" banks. Democrat Max Baucus, Senate Finance Committee chairman, and Republican Dave Camp, House Ways and Means chairman, have accelerated their effort, started two years ago, to enact the first major tax reform legislation since 1986.

The atmosphere is palpably better. President Barack Obama's "charm offensive" on Capitol Hill won approval from many Republicans.

Sen. Pat Roberts of Kansas, who after meeting with the president in 2010, called him "thin- skinned" and recommended that he "take valium," praised him generously this time around for the substantive meeting on the budget and related economic issues. Senate Minority Leader Mitch McConnell, who famously declared that defeating Obama was his highest priority, has this year shown much more graciousness, respect and even occasional humor.

Two factors are most responsible for the improvement.

First, it turns out that elections do have consequences.

Obama's decisive re-election, coupled with what amounted to a national landslide won by the Senate Democrats, has forced the Republicans into a period of reassessment and repositioning. Of course, some Republicans still believe that their party lost because its right wing views were did not come through clearly enough.

But most Republicans recognize that the party's combination of extremism and obstruction proved to be a losing strategy. They know the Republican brand is in deep trouble. The election results seemed to have convinced at least some of the Senate Republicans that finding areas in which to cooperate with the president is necessary.

But the second factor, less understood than the impact of election returns, is just as important. By the end of 2012, for many returning senators and those newly elected, dismay about the Senate has hardened into disgust and determination to change it.

Across the political spectrum, senators are fed up with lurching from crisis to crisis, leaders dictating straight party votes, endless filibusters and constant failure to address the nation's problems.

Sen. Jeff Sessions, R-Alabama, compared the Senate to "the Russian Duma ... an endless series of secret conclaves .., with meetings everywhere but in the committee room or the open air of the Senate floor."

Sen. Barbara Mikulski, D-Maryland, took pride in the "zone of civility" created by the increasing number of women senators.

Sen. Schumer, D-New York, longingly "looked forward to the good old days when we had major legislation go through committees."

The shorthand for what the overwhelming number of senators want is "regular order" -- legislation that results from committee consideration, vigorous debate, the opportunity to offer amendments and hard bargaining to reach principled compromise -- and the Senate is changing as its leaders respond to the members' frustration and anger.

Legislating in our diverse, contentious country, with our system of separation of powers, has never been, and will never be, easy. Former Sen. Gary Hart once described the great Senate of the 1970s as "a kind of controlled madhouse."

The path to major legislative accomplishments is always treacherous and strewn with seemingly insurmountable obstacles.

Today, the partisan divide is much deeper and the political culture far more vitriolic than 20 or 30 years ago. Although senators cannot choose the era in which they serve, they can choose the way they approach their work and they can determine the way the Senate functions.

It doesn't take much time, or that many people, to change the Senate. Hopefully, day by day, that change is starting to happen.

The opinions expressed in this commentary are solely those of Ira Shapiro.

@highlight

Ira Shapiro: Washington is seeing a surprising change in political climate

@highlight

After years of gridlock, two parties making progress on issues such as immigration

@highlight

He says much of the change is coming from members of the Senate

@highlight

Shapiro: Senators want a return to days when Congress actually functioned