(CNN) -- Anyone who has ever been unemployed understands that unemployment insurance is a lifeline for the jobless and their families. But that lifeline is now slipping away for the long-term unemployed, as cuts to federal unemployment extensions enacted by Congress earlier this year gradually take hold.

Since February, more than 400,000 workers in 25 states have lost access to the federal Extended Benefits program, which previously provided a final 13 to 20 weeks of unemployment insurance to the longest-term unemployed. Another 70,000 unemployed workers in New York, West Virginia, and Washington, D.C., are on the chopping block for June. By the time the program is phased out in September, half a million workers in 35 states will have lost these crucial final weeks of unemployment insurance.

On top of that, the other federal unemployment extension program -- Emergency Unemployment Compensation, which currently helps 2.6 million Americans with 34 to 53 weeks of benefits â€” will be dramatically scaled back beginning in June. The retrenchment in this program will immediately harm workers in 24 states, and will reduce or cut off benefits for hundreds of thousands of jobless Americans over the rest of the year. Most alarmingly, those workers who lose jobs in July and thereafter may end up with no federal help if the program permanently expires at the end of the year as scheduled.

These figures don't even account for the millions of workers who have already run out of all state and federal unemployment insurance and still cannot find work.

The cuts to unemployment insurance are coming way faster than the rate at which the economy is improving. Newly released employment figures show that the U.S. added only 69,000 jobs in May, and the unemployment rate has risen to 8.2% from 8.1%. Jobs remain scarce, with more than three job seekers for every one opening.

But what distinguishes this last recession and its slow recovery is the unprecedented level of long-term unemployment. Of our nation's more than 12.7 million unemployed, more than 5 million -- 42% -- have been out of work for six months or longer. Nearly one in three have been out of work for more than a year. The average unemployed worker has been out of work for 39.7 weeks, or roughly nine months.

Most state unemployment insurance programs cover the first 26 weeks, or six months, of unemployment, normally enough time for the vast majority of unemployed to find new work. But this was no ordinary recession. With long-term unemployment so severe, Congress acted in 2009 to expand the federal unemployment programs, ultimately extending benefits to up to 99 weeks in the states with the highest unemployment rates.

Since then, the recession officially came to an end and the fledgling recovery has sputtered along, but long-term unemployment remains a problem that just won't go away. Congress and the administration seem hard-pressed to agree to do anything constructive about it, however. As the problem persisted, political scrapping about unemployment insurance has increased, and in February, Congress enacted a plan to dramatically scale back federal unemployment benefits, the consequences of which we are seeing now.

We are pulling the rug out from under the unemployed too soon, to the detriment of unemployed workers and their families. Never before has Congress cut back on extended unemployment insurance when the unemployment rate remains so high.

Today, less than half of the unemployed in this country are receiving unemployment insurance, and that percentage is decreasing rapidly. That puts more families at risk of falling into homelessness and poverty, and it means that one of the most effective forms of local economic stimulus isn't being used.

Opponents of extended unemployment insurance argue that it prolongs joblessness and becomes a disincentive for finding work. It's a false claim that seizes on unfair stereotypes and stigmas of the unemployed, in the classic vein of blaming and punishing the victim. In fact, research shows that unemployment insurance helps keep jobless workers attached to the labor market so that they're not dropping out and giving up. And as we know from real life, surviving on the average weekly benefit of $300 is hardly a picnic.

If the measure of a nation is how it treats its least fortunate, we are looking into the abyss. We need to think hard about whether we are prepared to relegate the long-term unemployed to the status of collateral damage in an economic catastrophe. If we are going to achieve a true recovery, we cannot leave the hardest-hit behind.

What can our leaders in Washington do? They need to provide meaningful jobs programs and hiring incentives that target the long-term unemployed. They need to make it unlawful to discriminate against the unemployed in hiring. And they need to make sure, as long as the number of unemployed remains so high, that workers have the minimal income support that unemployment insurance can provide to keep their families going until they find that next job.

We are not out of the woods. The recovery has eluded long-term unemployed Americans. For their sake, Congress must not allow what remains of federal unemployment insurance, the Emergency Unemployment Compensation program, to expire at the end of the year.

The opinions expressed in this commentary are solely those of Christine Owens.

@highlight

Unemployment insurance is set to expire for the long-term unemployed

@highlight

Christine Owens: Unemployment rate is so high, we cannot leave the hardest-hit behind

@highlight

She says if measure of a nation is how it treats its unfortunate, we're looking into abyss

@highlight

Owens: Congress can't allow what's left of unemployment insurance to expire