(CNN) -- Since World War II, Democratic and Republican administrations alike have consistently held the United States out as a worldwide model for the protection and promotion of human rights standards.

The U.S. government has also consistently acknowledged the importance of all countries upholding and protecting universal human rights. Indeed, on the 40th anniversary of the Universal Declaration of Human Rights, President Reagan famously described the declaration as "a global testament of humanity, a standard by which any humble person on Earth can stand in judgment of any government on Earth."

In recent years, one of the ways the United States has sought to portray itself as a human rights leader is by regularly reporting on its compliance with domestic human rights obligations. Former President George W. Bush's administration submitted three major reports on domestic human rights treaty compliance to various international bodies of experts charged with overseeing treaty conformity.

Last month the Obama administration submitted a report to the U.N. Human Rights Council as part of its Universal Periodic Review  process, through which the human rights records of all the countries in the world will be reviewed and assessed based on the obligations and commitments expressed in the universal declaration and other human rights instruments.

The goal of the periodic review, and of human rights reporting in general, is to boost human rights compliance all over the world with powerful nations leading by example.

On August 27, Arizona Gov. Jan Brewer sought to make political hay out of the U.S. report's mere mention of SB 1070, the infamous Arizona law that has drawn worldwide criticism for its potential to institutionalize racial profiling in Arizona.

The U.S. government's reference to SB 1070 in the periodic review report, which made no comment on the merits of the law, was brief; it merely laid out some simple facts: The law generated significant attention around the world (true); the law is being addressed in a court action (true); parts of the law are currently enjoined (true). Still, Brewer sent a letter to the State Department expressing "concern and indignation" that the report included a reference to SB 1070 at all.

Brewer's bizarre statement that this country's participation in a human rights reporting process is "internationalism run amok" and "unconstitutional" ignores the fact that human rights reporting requires countries to report on issues at the federal, state and local levels.

When the Bush administration reported on U.S. compliance with the International Convention on the Elimination of Racial Discrimination, a treaty that the United States has signed and ratified, the report included mentions of issues in states and in cities, in addition to national issues.

In fact, human rights activists argued (correctly) that the Bush administration's report insufficiently included information from states and cities. In response, the State Department under the leadership of both the Bush and Obama administrations has (appropriately) committed that the United States will improve its reporting on both state and local issues.

Most international human rights treaties require regular reporting to encourage compliance by nations who are parties to these conventions. The "Supremacy Clause" of the U.S. Constitution describes ratified treaties as "the supreme law of the land," so there is nothing unconstitutional about the U.S. government complying with ratified treaties or reporting on compliance of ratified treaties; in fact, one could very easily argue that reporting on treaty compliance is entirely consistent with the "intent of the framers" of the Constitution.

Further, Brewer's suggestion that the human rights record of the United States (and Arizona by inclusion) be weighed against those of other nations participating in the periodic review process (such as Libya) is absurd, and her claim that the United States would "win in any such comparison" rings hollow.

The periodic review was established by the United Nations General Assembly as a process through which the human rights records of all the United Nations' 192 member states would be reviewed and assessed, so to single out Libya, or any other country, and compare it to the United States is meaningless at worst and harmful at best.

The United States is the most powerful country in the world and it seeks to portray itself as a human rights leader. As a leader, it is incumbent upon the United States to evaluate its own laws and make sure they meet the human rights standards set for the rest of the world.

As such, it makes sense for the United States to participate in the periodic review process, and to include SB 1070 in its review, because not participating in the process and not mentioning an extremely controversial issue in the review would make the United States appear to the rest of the world as though it had something to hide.

What the U.S. report does not say, and what Brewer should be concerned about, is the fact that SB 1070 violates U.S. human rights obligations under the International Convention on the Elimination of Racial Discrimination, which is binding on all levels of federal, state and local governments. The convention obligates federal, state and local governments to guarantee that laws and policies do not discriminate, in purpose or effect, on the grounds of race, color, descent or national or ethnic origin.

It also guarantees to all noncitizens, regardless of their immigration status, equal protection and equality before the law and prevents federal, state and local governments from employing or carrying out racial or ethnic discrimination against individuals or communities.

Racial profiling remains a pervasive problem all over the country and it is pretty difficult to argue that SB 1070 will not have a disparate negative effect on communities of color, particularly Latino communities.

SB 1070 would require police to demand "papers" from all people that the police stop and suspect are not legally authorized to be in the US. Because, there is no clear bright-line identifier for who is legally authorized to be in the US, people who may be perceived to be "foreign" by police will be the subject of arrest, investigation or harassment simply because of who they are/what they look like, as opposed to because of any verifiable evidence of criminal activity. This will obviously have a disproportionately discriminatory impact on communities of color and immigrant communities, and that discriminatory impact violates ICERD.

In a state like Arizona, with a well documented history of racial profiling, there is even more cause for concern.

Enforcement of controversial provisions of the Arizona law has been stopped by a federal judge while the merits of the case are being debated.

The United States government should not back down from its participation in human rights reporting. And it should go even further to create a concrete program of action to make sure state governments are aware of their legal obligations to protect and promote human rights.

Brewer should acquaint herself with the requirements of the International Convention on the Elimination of Racial Discrimination and the U.S. Constitution, and commit to upholding human rights "close to home." That would be real leadership and real courage and would help steer Arizona (and our country) toward the fundamental values of fairness and equality.

The opinions expressed in this commentary are solely those of the co-authors.

@highlight

Arizona Gov. Jan Brewer objects to U.S. reporting to the U.N. about new immigration law

@highlight

Co-authors say the U.S. seeks to be a model for human rights around the world

@highlight

They say treaties require the U.S. to report on human rights issues

@highlight

Everything that was reported was true, co-authors say