(CNN)Would you build a house with water?

Hungarian architect Matyas Gutai believes that water is the perfect material for keeping a house at a comfortable temperature.

And while that doesn't mean that he can do away with traditional materials like bricks, cement, and plaster, his system promotes a whole new idea of engineering.

Gutai built a prototype house in his hometown of Kecskemet, south of Budapest, with his high school friend Milan Berenyi, after years of research and development.

The house was built with a grant from the EU, and showcases the "liquid engineering" concepts Gutai has written about extensively.

Panels, some of steel, and some of glass, make up the structure of the house and a sheet of water is trapped between the inner layers, which equalizes the temperature across the building.

The house is actually able to reheat itself, when its hot excess heat is stored either in the foundations of the building or in external storage, to be brought back to the walls when the temperature drops.

The indoor temperature can also be modified using a monitoring system similar to central heating.

This is a very efficient and sustainable system: the house can produce its own energy and be more independent of energy suppliers, which could reduce carbon emissions.

"Our panel can heat and cool the building itself -- the water inside the panel does the very same job as heating," says Gutai.

"It saves energy, when you compare it to a similar building with large glass surfaces -- it's a very clean and sustainable solution."

While studying sustainable architecture at the University of Tokyo, in 2003, Gutai got the idea for his water house from a visit to the open air hot baths.

Despite the snowfall outside the pool, Gutai remained comfortably warm inside it -- it was then he realized the importance of water's surface temperature and its potential use in architecture.

"As an architect I think it's really important that this building tries to redefine permanence, which has been a key concept in architecture for thousands of years. Our approach to permanence hasn't changed much at all, but now instead of making something very strong that tries to resist everything, we are making something that adapts to its environment.

"Architecture is really changing in our time. We've reached our limits when it comes to solid architecture, now it's reasonable to look for a new system."

"This research dates back seven or eight years," explains Gutai. "I started it at the University of Tokyo and it took us almost six years to get the building done. There are plenty of structural problems involved -- a lot of important questions were raised such as what happens if it's so cold outside that the water freezes or what happens when one panel breaks."

"We now mix the water with natural solvents, that do not cause pollution but lower the freezing temperature to an acceptable level. This practically means, that even if the reheating technology fails, the water cannot freeze."

"In case of cold climates, like in Hungary, we also add some external insulation to the structure, to protect it from freezing."

And if a panel were to break? "We designed special joint units. The joint elements allow slow flow, but block faster flows," he explains.

This means that if one panel breaks, it will be sealed from the remaining ones instantly. This effect is based on fluid dynamics, and not computers or monitoring system -- which minimizes the chance of failure.

Gutai has worked in cooperation with universities and manufacturers to make sure the building is viable, and while the prototype house is only a small space (eight square meters in total) it demonstrates the power of this new technology.

"Our goal should be to use less energy and materials, and take cities off-grid as much as possible. The water house is one way to do that," said Gutai, who currently works as a researcher at Feng Chia University in Taiwan.

Constructing houses in this way is moderately more expensive than traditional designs, but this prototype aims to slash our energy needs and Gutai is working with factories and companies across Europe on projects using this technology.

To make water the building material of a greener future.

@highlight

Matyas Gutai is pioneering the use of water as an insulator for sustainable architecture

@highlight

Reacting to its surroundings, the water keeps the house at a comfortable temperature