Washington (CNN) -- The U.S. Supreme Court agreed Tuesday to tackle another election-year blockbuster and will decide whether the University of Texas' race-conscious admission policies violate the rights of white applicants.

If health care reform, illegal immigration crackdowns, voting rights and TV indecency were not enough, the court is poised to add to its high-profile docket, wading into the divisive issue of state-mandated racial diversity and affirmative action. Oral arguments would be held this fall, ensuring the court -- however it decides the appeal -- will be a major campaign issue. A ruling, however, will not likely be issued until early 2013.

Abigail Noel Fisher individually sued the flagship state university after her college application was rejected in 2008 when she was a high school senior in Sugar Land, Texas. The school defends its policy of considering race as one of many factors -- such as test scores, community service, leadership and work experience -- designed to create a diverse campus.

The high court has had an evolving record on the discretion of state officials to decide who attends their institutions.

The justices in 2003 said state universities can narrowly tailor their admissions policies to consider an applicant's race.

That landmark case from the University of Michigan is the subject of current but separate appeals over a state ballot measure designed to eliminate any racial criteria. A divided federal appeals court in July concluded the voter-approved ban on "preferential treatment" at public colleges and universities was unconstitutional, and "alters Michigan's political structure by impermissibly burdening racial minorities."

The Texas case is complicated over the issue of "standing" and whether Fisher should even be allowed to bring her lawsuit. She graduates this spring from Louisiana State University, where she went after being rejected by the University of Texas -- and Texas officials had argued she would then have no live controversy or claim necessary for the high court to intervene. They said her only "harm" would be trying to recoup nonrefundable application fees.

In accepting the case, the high court made no mention of whether the standing issue would affect its ultimate ruling. The court also announced Justice Elena Kagan will not participate in the case since she apparently had been briefed on the issue as the Obama administration's solicitor general before joining the high court.

That leaves the possibility of a 4-4 ruling, meaning Fisher would not prevail and leaving undecided the larger constitutional questions presented.

Fisher's attorneys made the strategic decision to sue as an individual instead of bringing a class-action discrimination claim, which would have made it easier in some respects.

Groups opposed to the state's policies applauded the court's decision to get involved.

"Using race in admissions decisions, to achieve diversity, amounts to stereotyping people by their race," said Joshua Thompson of the conservative Pacific Legal Foundation, which filed a legal brief in support of Fisher. "Racial diversity in a student body does not guarantee a diversity of experience and perspectives. It is unrealistic and wrong to try to pigeonhole people by their race."

In a statement issued after the high court agreed to hear the case, the University of Texas defended its admissions process, saying "it is vital for the university to weigh a multitude of factors when making admissions decisions about the balance of students who will make up each entering class."

"We must have the flexibility to consider each applicant's unique experiences and background so we can provide the best environment in which to educate and train the students who will be our nation's future leaders," the statement said.

At the time, the state of Texas provided automatic admission to its flagship university for in-state students finishing in the top 10% of their high schools. Fisher just missed that opportunity, so had to compete in the larger pool of students seeking admission to the highly competitive school. The state has since narrowed that admissions window to the top 8%.

The Michigan case was divisive in 2003, with Justice Sandra Day O'Connor the swing vote. "In order to cultivate a set of leaders with legitimacy in the eyes of the citizenry, it is necessary that the path to leadership be visibly open to talented and qualified individuals of every race and ethnicity," O'Connor said. "The (Michigan) Law School's educational judgment that such diversity is essential to its educational mission is one to which we defer."

But Justice Clarence Thomas was among four conservative justices who found the policies unconstitutional. "The Law School, of its own choosing, and for its own purposes, maintains an exclusionary admissions system that it knows produces racially disproportionate results. Racial discrimination is not a permissible solution to the self-inflicted wounds of this elitist admissions policy."

Despite that high court ruling, some states, including California, do not allow race considerations in college admissions. The issue now before an arguably more conservative high court is whether the Texas policies should be re-evaluated, as states have had nearly a decade to put such diversity considerations into place.

It also gives greater intensity to the Supreme Court overall in an election year. The justices next month will take on a challenge to the health care reform law championed by President Barack Obama, perhaps the biggest issue the court has tackled since the dispute over the 2000 presidential election. In April, Arizona's controversial illegal immigration law will be argued.

Legal analysts say the justices will publicly avoid the politics of these hot-button issues, and focus on the law, but many said they wonder what long-term effect these cases will have on the judiciary's reputation.

"We're in a little bit of a political death spiral for the Supreme Court, as ideologues in politics, on the left and right, attack justices with whom they disagree, maybe decreasing the public's confidence in the Supreme Court," said Thomas Goldstein, a Washington lawyer and publisher of SCOTUSblog.com. "And as they take up health care, affirmative action, abortion -- cases (that) inevitably are going to be coming, immigration -- all of those issues -- there are going to be more excuses to attack the justices, which is unfair and sad, but we don't yet see a way out."

@highlight

University of Texas defends its admissions policy

@highlight

Arguments before Supreme Court will be held in the fall

@highlight

The case will be one of several controversial matters the court is hearing

@highlight

The University of Texas says race is one of several factors considered for admission