(CNN) -- Security issues concerning North Korea have not become a major issue for South Korean voters, even after the controversial rocket launch that drew international condemnation last week.

The most pressing issues for South Koreans at the polls on Wednesday, are similar to the ones that dominated U.S. voters when they cast their ballots in November -- the economy.

Polls showed that North-South relations ranked fifth in the most salient issues to the Korean public, falling far behind job creation, economic issues and education. Less than 10% prioritized relations with Pyongyang, according to polls by the Asan Institute for Policy Studies.

"Threat perception overall toward North Korea has somewhat waned," said Jong Kun Choi, an associate professor of political sciences and international studies at Yonsei University in Seoul.

After the announcement of North Korea's missile launch, about half of the respondents in a poll said they expected the rocket to have no effect in the election. "The best reading of the data suggests that the launch will not have a strong impact on the election," according to the Asan Institute's report.

"It used to be the case that a major blow from North Korea would critically affect South Korea's election. However, this may not have a major impact as it used to be, because first of all, we are so used to it," Choi said.

Steve Chung, who has examined the North Korean factor in South Korean presidential elections in the last two decades, said he observed that the regime is "less and less important" in this election compared with previous ones.

"This year, the inter-Korea atmosphere is not as strong," said Chung, a PhD candidate in the department of Korean studies at the university of Sydney.

After signing an armistice agreement in 1953, the two neighbors have endured an uneasy truce separated by a demilitarized zone.

South Koreans have become used to provocation from their neighbor, said Choi.

"It's been going on for the last 20 years, despite so many sporadic skirmishes, virtually nothing has happened," he said. "Rather than people worrying about warfare, [voters] are much more worried about our welfare."

On Wednesday, Korean voters will choose between the conservative Saenuri Party's Park Geun-hye, and the left-leaning Moon Jae-in of the Democratic United Party.

If elected, Park would become the first female president of South Korea. She is the daughter of former president Park Chung-hee, who stirs mixed feelings among South Koreans. Some claim he was a dictator who stifled opposition; others credit him with overseeing a key phase of South Korea's economic development. He was shot and killed by his intelligence chief in 1979.

Moon, who served as chief of staff to former late president Roh Moo-hyun, is a former human rights lawyer. He was jailed in the 1970s by Park's father.

Both candidates condemned North Korea's rocket launch earlier this month. But they are expected to pursue a more conciliatory line toward North Korea than the current president Lee Myung-bak, who took an uncompromising approach to dealings with Pyongyang.

Park wants dialogue with North Korea, but her overall plan for engagement remains conditional, while Moon favors a transformative approach that promotes inter-Korean economic ties as an instrument for engaging North Korea comprehensively, according to Scott Snyder, a senior fellow for Korea Studies at the Council on Foreign Relations.

Park's policy of engaging with North Korea may not differ much from Lee's, said Christopher Green, manager of international affairs for DailyNK, which covers North Korea. Even if Seoul was to implement a policy of unrestricted aid for North Korea, there is little guarantee that the regime would respond.

"My personal suspicion is because the North Korean government is only interested in the welfare of a very small percentage of the people that support the regime, they don't care as much as people in the outside world might think about aid," Green said.

An recent editorial published in the South Korean newspaper, Dong-a Ilbo, stated: "Both contenders seem to fantasize that inter-Korean relations will thaw if one of them takes power."

In the months leading up to South Korea's election, North Korea's propagandists have occasionally dipped into the race, targeting Park.

In September, a North Korean government website released a video of a "Gangnam Style" spoof containing Park's face stuck on a dancing figure. The video mocked Park's support for her father whose legacy still divides South Korea. Set to an upbeat 1960s big band instrumental soundtrack, the video includes images from the era of her father's rule.

Earlier this month, Rodong Sinmun, the official newspaper of North Korea's ruling Workers' Party published seven questions for Park calling her stance on North Korea "inconsistent, ironic," according to South Korean media.

"My perspective is that North Korea doesn't care about who wins the election," said Green. "Yes they attack Park Geun-hye and do not attack Moon Jae-in, but that is rhetorical."

The bizarre North Korean actions are more for domestic consumption within its borders and for confusing the world of its intentions, he said.

@highlight

North Korea security issues don't weight heavily on South Korean voters

@highlight

South Korea will elect a new president December 19

@highlight

Polls show South Koreans prioritize economic issues, education ahead of N. Korea