Athens, Greece (CNN) -- Greek Prime Minister George Papandreou reshuffled his Cabinet Friday amid a financial crisis that could reverberate far beyond his country's borders.

Among the sweeping changes, Papandreou tapped Evangelos Venizelos, the former defense minister, to serve in the key posts of finance minister and deputy prime minister.

The government reshuffle is an attempt by Papanedreou to push through austerity measures demanded by the European Union but unpopular at home and opposed by some of his own party members.

The harsh reforms designed to help reduce Greece's enormous budget deficit have so far led to public sector job losses and tax hikes.

The crisis raises concerns for Europe's currency, the euro. A default on its debts by Greece, or another struggling nation such as Portugal or Ireland, could adversely affect the world economy.

There are fears that efforts to restructure Greece's debt could send shockwaves through Europe's banking sector and spark investor panic similar to that in the 2008 collapse of Lehman Brothers, the U.S. based global investment bank.

Venizelos addressed the nation Friday, urging consensus in solving the crisis.

"Our priority is the viability and sustainability of the public debt," he said. "There is no disagreement on this issue."

He said that with the help of the Greek people, "I am sure we will succeed."

Venizelos, a veteran politician, steered Greece's preparations for the 2004 Olympic Games in Athens. He replaces Giorgos Papakonstantinou, who will become the environment minister, a government spokesman said.

The new Greek Cabinet members were sworn in during a televised ceremony Friday afternoon.

"With the new composition of the government we make a new start," Papandreou told Parliament. "We face the biggest threat that our country has known over the last decades."

He said Venizelos was tapped to spearhead the implementation of what he called an "especially painful" and "difficult program of big structural changes that will lead our country to a viable economy during the following years.

Papandreou said he will soon convene a Cabinet meeting to address the problem of record-high unemployment rates.

European Commission President Jose Manuel Barroso expressed hope the government retructuring will help Greece move forward.

"I call on all political forces to put all their energy into securing broad political support for the economic reform that Greece needs -- reform for the benefit of the people and for the benefit of Greece," Barroso said in a statement.

In Berlin, the leaders of Germany and France met to find common ground on furthur bailout money for Greece to stop it from defaulting. European nations are divided over whether to provide more assistance.

"We'd like to once again emphasize what we have said again and again --  that the euro is our common currency," German Chancellor Angela Merkel said Friday.

"Europe and the euro are most closely connected with each other," she said, speaking to reporters with French President Nicolas Sarkozy. "Its economic strength, Germany's economic strength, is connected to a strong euro, and we will therefore do everything to preserve and support the euro and its stability altogether ... and to recover from the difficulties we are having."

Sarkozy said any solution that involved the private sector should be on a voluntary basis.

Papandreou faces opposition from his party over the austerity measures needed to secure an additional bailout package from institutions including the International Monetary Fund and the European Union.

The IMF said Thursday that it would continue to back Greece provided that Greece carried out the economic policy reforms agreed upon by the government.

In Washington, White House spokesman Jay Carney said U.S. officials are monitoring the situation in Greece closely but believe their European counterparts have the capacity to deal with it.

"We consider it a headwind, if you will, in terms of the global economy and therefore the domestic economy," he said.

"So far, Greece has made significant progress in terms of reforms. But it is important that the Greek government carry on with the fiscal measures and reforms that are frequently under discussion with the EU and the IMF."

The Greek government's popularity has plunged recently, and anti-government protests turned violent Wednesday, as demonstrators threw gasoline bombs at the Ministry of Finance and police fired tear gas at protesters, police said.

On June 9, the Cabinet approved a tough five-year plan for 2011-15 and introduced a bill in Parliament to put the measures into effect.

The government has said that the passage of these additional measures is essential to Greece's securing the fifth portion of the first 110 billion euro ($158 billion) bailout package that Greece signed with the European Union and the International Monetary Fund to prevent the country from defaulting on its debts.

Journalist Elinda Labropoulou contributed to this report.

@highlight

NEW: PM: "We face the biggest threat that our country has known over the last decades"

@highlight

The new finance minister urges national consensus

@highlight

The leaders of France and Germany are discussing the Greek crisis

@highlight

Greece is struggling to find a way out of deep debt