Washington (CNN) -- Feeding the hungry is the mission at Manna Food Center, a food bank in the suburbs of the nation's capital. This year, officials here are seeing more and more people who need their help.

America's slow recovery from the worst economic crisis in decades has left families across the country struggling to put food on their tables, whether or not they have a job.

With an unemployment rate stuck above 9 percent and millions of people working part-time jobs because they cannot find full-time positions, a record 45.8 million people -- one of every seven -- received food stamps from the government in May. Demand for this kind of federal help has risen in all 50 states.

Manna helps people who get food stamps and thousands of others who do not qualify for them. The center says the number of people it serves has risen dramatically in recent years -- from 82,683 in fiscal year 2008 to 172,627 people in 2011.

On a recent Friday morning, trucks arrived at the warehouse to drop off food the organization rescues from 40 area grocery stores, items that are reaching their sell-by dates but are still safe to eat. Volunteers worked to retrieve the deliveries from the loading docks, while others went from shelf to shelf filling boxes with goods or helping wheel them out to clients' cars.

In the office, people began lining up around noon to receive the 70 pounds of fresh produce, canned goods and other items Manna hands out to each family every 30 days. Old and young. White, black and Hispanic. Some came alone; others brought their children or other family members.

The economy is adding jobs, but not quickly enough to trickle down to the families the food bank serves.

"Any growth that the economy is feeling, the folks here at Manna are not feeling that yet," said Natalie Corbin, Manna's development director, during an interview in the center's main warehouse in Gaithersburg, Maryland. "In fact, our numbers, from year to year have continued to trend upwards. So until we see a dramatic change in the economy, we're going to continue to see a dramatic increase in folks who are coming here.

"We're expecting this winter to be the highest in history of Manna for folks needing food assistance."

Even people who have jobs are having a hard time feeding their families.

Eric Zevallos' mother had surgery a few months ago and is still recovering. Standing in line, he said his family was referred to Manna "because it's just me and my sister working, and right now it's kind of hard for both of us to provide for younger brothers that we have."

"It's just a good program to help us out, get stable."

The 25-year-old and his 18-year-old sister are working to feed themselves, their mother and their brothers, who are 9 and 16.

"We've been rationing food and just scraping by," Zevallos said.

It's not just local food banks that have seen an increase in demand. Feeding America, a national hunger-relief charity that helped feed 37 million people last year, says demand for food relief has risen 40 percent in the past four years. The organization has a network of 202 food banks that work with 61,000 agencies, including soup kitchens, churches and pantries, according to Eric Olsen, senior vice president of government relations.

"Our food banks across the country will tell you stories of people who have been donors who now need food assistance, who have lost their jobs or suffered some other kind of health care trauma, for example, in the family where they just don't have enough to make ends meet," Olsen said.

"People look at us as an emergency program, but more and more of our clients are coming to us on an ongoing basis. We are a regular part of how people get enough food to feed their families."

Feeding America gets about 25 percent of its food from the federal government. Manna Food Center also gets government-subsidized food and relies on food drives, donations and state and federal emergency food grant programs.

These organizations worry that the 12-member congressional committee established as part of the deal to raise the debt limit and tasked with recommending an additional $1.5 trillion in federal deficit-reduction measures over the next decade could target programs that provide government-subsidized food to these organizations or others that help the needy. That could increase demand at these food banks and strain their resources.

"We really need both government and charity to make sure people in this country have enough to eat," Olsen said.

@highlight

A record 45.8 million people received food stamps from the government in May

@highlight

Organizations that provide food to people in need say demand is growing for their services

@highlight

"More of our clients are coming to us on an ongoing basis," Feeding America official says

@highlight

Weak economy, fear of budget ax leave many organizations uneasy about the future