(CNN) -- The United States does not know where ousted Libyan leader Moammar Gadhafi is and does not believe the National Transitional Council has a lock on his whereabouts either, a senior U.S. official told CNN Thursday.

That information came after Anees al-Sharif, a spokesman for the new Tripoli Military Council, said anti-Gadhafi fighters had cornered the fallen Libyan leader and that he had no means of escape. Al-Sharif did not divulge a location.

U.S. Defense Secretary Leon Panetta said earlier this week that officials believe Gadhafi is on the run. "I don't have any information as to exactly where he's located," he said.

Two Libyan convoys passed through Niger this week, officials in that country said. Initial speculation was that Gadhafi was in one of those groups, but on Thursday a second senior U.S. official said the United States now has a list of officials from Libya who were in both convoys.

There were "no marquee names," or anyone who was named in U.N. Security Council resolutions, the second source said. The official would not say who was in the convoys but said Gadhafi's security chief was not among them, refuting reports that said he left in the convoy.

The Nigerien government is talking to the NTC about what the new Libyan leadership wants to do with those in the convoy but the NTC hasn't decided whether it's worth it to bring them back, the source said.

Libyans are leading the search for Gadhafi. The Central Intelligence Agency has agents in the area, and the United Kingdom, France, Jordan and Qater have special forces in the country as well, NATO and U.S. defense officials tell CNN. However, the mission of those agents is not necessarily focused on hunting for Gadhafi.

In Washington, Capt. John Kirby, spokesman for the Joint Chiefs of Staff, insisted Thursday that the U.S. mission in Libya is to protect citizens and "is not about capturing or finding Col. Gadhafi."

Questions about Gadhafi's whereabouts intensified after the fall of Tripoli and reports that his wife, daughter, two sons and other family members fled to neighboring Algeria, which described its acceptance of the family as a humanitarian gesture.

Gadhafi's forces in Bani Walid, one of the last loyalist strongholds, fired Grad rockets at opposition fighters Thursday, according to the NTC chief negotiator for the city, Abdallah Kenshill. He said the rockets were fired randomly and no fighters were injured.

"Gadhafi loyalists are just trying to scare rebel ranks with the Grad explosions and booms," Kenshil said.

Opposition fighers are advancing on Bani Walid from two directions, according to Kenshil. He also said opposition supporters inside the city attacked some of Gadhafi's military installations, capturing and destroying artillery and rocket launchers.

Bani Walid is about 150 kilometers (some 90 miles) southeast of Tripoli.

Meantime, NTC leader Mahmoud Jibril told reporters that Libyans have a choice between the past and the future. He warned that the "battle for freedom" was not over, especially in the southern part of the country. He also said that the "national confidence which aimed at bringing the regime down has not been achieved yet."

But Jibril was confident the battle would be won if Libyans remained united.

"And when the battle's really finished ... there will be an interim government and also a constitution which has been agreed."

"My priorities are to finish the freedom, the fight of freedom," Jibril continued, "And to form a civil state and a democratic government -- regardless of the side or color they have to participate equally in all rights and duties.

Also Thursday, the International Criminal Court asked Interpol to issue Red Notice arrest warrants for the fallen Libyan leader, wanted for alleged crimes against humanity.

"Arresting Gadhafi is matter of time," said Luis Moreno-Ocampo, the chief prosecutor for the International Criminal Court in The Hague, Netherlands.

A Red Notice allows Interpol, the international police agency, to widely circulate arrest warrants with an intention to extradite suspects to the criminal court.

The International Criminal Court also asked for Red Notices on Gadhafi's son, Saif al-Islam Gadhafi, and his brother-in-law, Abdullah Al-Senussi, who served as the regime's intelligence chief. They are also wanted for alleged killings and persecution in the Libyan uprising that erupted in February.

Saif al-Islam Gadhafi is believed to be in Sirte, one of the last pro-Gadhafi strongholds in Libya, said the first senior U.S. official.

In addition, that official said another son in is believed to be in Bani Walid. A third son, Mutassim, is believed to be in a town whose name is not a familiar one, the official said. The official did not have the town's name and could not immediately remember it.

Earlier, Kenshil said two of Gadhafi's sons had been spotted in Bani Walid.

"We know that Saif al-Islam Gadhafi and Mutassim Gadhafi are inside Bani Walid," Kenshil said. "Eyewitnesses we know by name inside Bani Walid told us they saw them."

Saif al-Islam Gadhafi was considered the most influential of Gadhafi's sons. Mutassim Gadhafi served as his father's national security adviser.

Two other sons, Khamis and Saif al-Arab, are believed to be dead.

CNN could not independently confirm any of the interim council's statements. Anti-Gadhafi fighters have made claims before about the arrests or killings of Gadhafi's sons which later were proved false.

Gadhafi has not been seen in public in months.

In recent days, a Syrian television station has aired several messages allegedly from Gadhafi.

"Moammar Ghadafi himself incited violence against our peaceful message in a message broadcast on Al-Rai-TV," NTC member Kenshil said, referring to an audio message purportedly from Gadhafi aired Wednesday.

"He asked his supporters to destroy the mosque where the negotiations with Bani Walid elders took place," Kenshil said.

Kirby, the Joint Chiefs spokesman, told journalists at Pentagon briefing that the United States believes Gadhafi forces are still a danger and some troops continue to be loyal to the Libyan leader.

Neither Kirby nor George Little, the new Pentagon spokesman who appeared with Kirby at the briefing, would comment on recent reports by CNN and others of shoulder-fired missiles and other weapons being looted from Libyan storage facilities, but Kirby did say the U.S. has told the NTC it needs to get control of the various weapons stashes around the country.

Little also said the United States remains confident that chemical weapons material in Libya remains secure and said the material has been under constant watch for months.

After the news reports about the looted weapons, the Obama administration again contacted members of the TNC to express their concern about those weapons getting into the hands of U.S. adversaries, according to a senior U.S. official. Two senior State Department officials confirmed that the State Department has intensified outreach to the TNC in the past few days, based on several reports about the missing weapons.

"We don't know who grabbed them or where they are," the senior US official said of the missing weapons. "We are deeply concerned they are all accounted for. We are hoping the TNC will do what needs to be done."

The official pointed out that the United States was concerned about Libyan surface-to-air missiles getting into the wrong hands even during the Gadhafi regime. It's also understood that some rebel forces broke into government warehouses in the early days of the conflict to arms themselves.

The concern now is weapons that have been seized by loyalist fighters or that could have been sold to members of terrorists such as al Qaeda operatives in North Africa.

A NATO source told CNN that the alliance believes some weapons have "gotten out" either to loyalists forces or other adversaries outside Libya. But he emphasized the alliance has "no idea of the quantity or even whether they're operational." A key issue is whether any of the missing weapons also have functioning battery power assemblies and firing mechanisms.

He emphasized that NATO also has regularly talked to the TNC about the problem.

Libya's new leaders, meanwhile, have imposed a Saturday deadline on Gadhafi loyalists to lay down their arms or face military force. The calm that prevailed during negotiations for surrender shattered in Bani Walid Thursday as loyalists fired on advancing opposition fighters.

The anti-Gadhafi fighters were on a reconnaissance mission when they came under fire in Wadi Dinar, about 15 kilometers (9 miles) outside Bani Walid, Kenshil said.

One opposition fighter was injured in the abdomen, he said. The opposition returned fire and killed a pro-Gadhafi fighter.

Meanwhile, trucks armed with anti-aircraft guns and rocket launchers pulled into a base 30 kilometers (nearly 20 miles) southwest of the coastal city of Misrata Wednesday.

The fighting force known as the Victory Unit was back from its patrol of the desert landscape separating Bani Walid and Misrata, loyal to the NTC.

The 70-kilometer (44-mile) buffer zone had been quiet for the past two weeks amid negotiations between tribal leaders from Bani Walid and representatives from the NTC.

"We don't want more bloodshed," said Antar Al Birra, the commander of the Victory Unit. "Too many people have died, so we hope the negotiations will be successful."

Al Birra's forces are battle-hardened from months of heavy fighting, and with Gadhafi's forces against the ropes, he said the battle to take the city will be short.

"If we are ordered to take the city, it won't take us long, maybe two or three hours," Al Birra said.

Many soldiers on the front hope for a peaceful solution. But as Saturday's deadline loomed, many were anxious as hope of success began to fade.

"Negotiations have completely failed," said Shamsaddin Ben Ali, an NTC spokesman. "We won't agree to their demands."

These demands include NTC forces entering the city unarmed, refraining from searching houses and -- the most contentious -- a full pardon for the people of Bani Walid.

"We won't grant amnesty because there are people with blood on their hands, and we want them to face a trial," Ben Ali said. "I predict fighting to resume on Saturday."

CNN's Elise Labott, Barbara Starr, Adam Levine, Kareem Khadder and journalist Ian Lee contributed to this report.

@highlight

NEW: Loyalists fire rockets at opposition fighters from Bani Walid

@highlight

NEW: NTC leader says Libyans have a choice between the past and the future

@highlight

The United States does not believe the NTC knows where Gadhafi is

@highlight

Official: The U.S. mission is to protect citizens, not to nab Gadhafi