WASHINGTON (CNN) -- One of the main stumbling blocks to talk with Iran has been the condition that Iran suspends its uranium enrichment. Now, the Obama administration may take that option off the table, at least for now.

This is from an Iranian nuclear plant in the central province of Isfahan on April 9.

The United States and its European allies, which have just invited Iran to a fresh round of nuclear talks, are coming to the realization that if Iran's nuclear program isn't quite at the point of no return, it will be soon. With 5,500 centrifuges, roughly enough for about two weapons worth of uranium a year, Iran isn't going to just shut down its enrichment facility as a goodwill gesture.

For years, Iran has been willing to endure sanctions and economic isolation. What it hasn't been willing to do is suspend enrichment.

Iran maintains enriching uranium for nuclear energy is its right. Now the West seems to have come around to Iran's way of thinking. Last week during a speech on proliferation in Prague, Czech Republic, President Obama admitted as much when he said, "We will support Iran's right to peaceful nuclear energy with rigorous inspections."

The International Atomic Energy Agency, the U.N. nuclear watchdog, has long argued to allow Iran to maintain a small face-saving nuclear enrichment program under the guise of "research and development."

Allowing such a program under the Non-Proliferation Treaty, at least while negotiations continue, would involve strict IAEA inspections -- something which may give the international community the kind of insight into Iran's nuclear program which it has long sought.

It would also give Iran the cover to come back to the table without claiming it never gave in to the West. Rather, Tehran can boast the international community came around to its point of view. Preventing Iranian enrichment may be an ultimate pipe dream, but officials hope the right package of incentives, coupled with the threat of tougher sanctions, which could cripple its stumbling economy, could deter Tehran from developing a nuclear bomb.

If adopted, the new strategy will undoubtedly be condemned by Israel, which has warned the U.S. that it has until the end of the year to put an end to Iran's uranium production before it takes matters into its own hands.

However, moving beyond the issue of enrichment helps Obama inch closer toward engagement with Iran, something he promised during the campaign and has begun to undertake with small, albeit significant, steps, most noticeably his New Year's message to the Iranian people.

Those who watch Iran closely say Obama's outreach is being warmly received in the region. While the response from spiritual leader Ayatollah Khamanei and President Mahmoud Ahmadinejad seems vague at first glance, experts argue the regime is being quite conciliatory, even flirting with the U.S. overtures and opening the door for talks.

Now the administration is taking another leap, inviting Iran to several meetings on Afghanistan as a way to engage on issues of mutual interest. The U.S. is also seriously considering allowing U.S. diplomats around the world to interact with their Iranian counterparts and setting up a U.S. interests section in Iran.

Officials say not to expect any dramatic breakthroughs before the Iranians head to the polls to elect a new president in June. But Obama's conservative critics, including several Republican lawmakers, worry Obama is making it too easy for Iran to come back to the table and is giving credibility to Iran's defiant Ahmadinejad in his bid for re-election.

The goal of stopping Iran from building a nuclear weapon remains, but the tactics are shifting and the rules of the game have changed.

Obama and his advisers are betting that by finally giving Iran what it thinks it wants, the U.S. and its allies will get what they need -- a way to bring Iran to the table and start meaningful negotiations, which have eluded them for the past four years.

@highlight

White House may drop key condition that Iran suspend its nuclear program

@highlight

Obama administration hopes change will bring Iran to negotiation table

@highlight

Obama says he supports Iran's nuclear program "with rigorous inspections"

@highlight

Israel wants U.S. to force Iran to end its uranium production program