(CNN) -- An Arizona judge declared a mistrial in the penalty phase of the Jodi Arias trial Thursday after a deadlocked jury said it couldn't decide whether to sentence her to death for the murder of her ex-boyfriend.

That means a new jury will be chosen, but the first-degree murder conviction still stands.

A retrial for the penalty phase will begin on July 18, Judge Sherry Stephens said. A status conference has been scheduled for June 20.

Since Tuesday, jurors had been deliberating whether Arias, 32, should get a death sentence for murdering ex-boyfriend Travis Alexander in 2008.

A source with knowledge of the jury's vote said there was an 8-4 split in favor of sentencing Arias to death.

Jurors refused to talk to the media and immediately left the courtroom.

The hung jury brought to a close a dramatic chapter in a high-profile case that has lasted for months, drawing spectators who lined up for courtroom seats and waited anxiously outside the courthouse.

But the closely watched trial isn't over yet.

In many states, the death penalty would be off the table if the jury couldn't agree.

Not Arizona.

"It's a very unusual circumstance, but it is part of Arizona statute that yes, if you get to this third phase, the penalty phase, and there is a hung jury, it means another jury comes in," said CNN's Ashleigh Banfield, who has covered the Arias trial from the outset.

In a written statement, Maricopa County Attorney Bill Montgomery said prosecutors "will proceed with the intent to retry the penalty phase."

"We appreciate the jury's work in the guilt and aggravation phases of the trial and now we will assess, based upon available information, what the next steps will be," he said.

Legal experts debate what's next

Speculation surged that prosecutors might consider offering Arias a plea deal rather than going through the lengthy steps necessary to find new jurors and present evidence to them.

"I don't think by any means that this is a sure thing you retry the penalty phase," said Mark Geragos, a criminal defense attorney.

A lot depends, he said, on exactly how many jurors were willing to go with the death penalty this time around.

"If it was 11 to 1 ... for death, you can be sure the prosecutor is going to want a retrial. If it tilted the other way ... they may just decide, 'No, we're not going to do that, we'll try and cut a deal,' " he said.

Another key step for prosecutors will be speaking with Alexander's family to decide whether to proceed, CNN legal analyst Sunny Hostin said.

"The prosecutors have to speak to the family, because we know this family has been in the courtroom day in and day out. They were visibly shaken and upset when this hung jury came back," she said. "And so there's no question in my mind that it's premature to say this will, indeed, go to another penalty phase."

CNN legal analyst Paul Callan said that prosecutors have little motivation to agree to a plea deal that offers Arias a life sentence.

If the prosecution won in a retrial, he said, Arias would receive the death penalty. But even if they lost, she would probably get "the same life sentence she would obtain in a negotiated deal," he said.

"The only real roadblock to a penalty retrial would be the strong request of the victim's family to accept to a plea and end the process now," he said. "I think such a request unlikely."

Emotions ran high in the courtroom as the jury's inability to agree on a sentence was announced. Arias appeared to be on the verge of tears. One of Alexander's sisters sobbed.

Even the normally stoic judge's voice cracked as she dismissed jurors.

"Ladies and gentlemen, on behalf of the participants in this trial, I wish to thank you for your extraordinary service to this community," she told them. "This was not your typical trial. You were asked to perform very difficult responsibilities."

An alternate juror and a juror who was on the panel cried as the verdict was being read.

As the jury filed out of the courtroom, one juror said, "I'm sorry" to Alexander's family.

Jurors struggle to agree

Jurors had deliberated for more than 13 hours in the penalty phase of the trial when they told the court they wouldn't be able to agree on a verdict.

Earlier this month, the same jurors took less than two hours to decide that Arias was "exceptionally cruel" when she stabbed Travis Alexander 29 times, slit his neck from ear to ear and shot him in the face.

They pronounced her guilty of first-degree murder on May 8 after 15 hours of deliberations.

For Arias to be sentenced to death, a jury's decision must be unanimous.

About an hour into its deliberations on Thursday, the jury sent out a question, but the details of its query were not revealed in court.

On Wednesday morning, the jury sent out a note saying its members couldn't agree. Stephens told them to try again and ordered them back into the jury room.

If Arias is given a sentence of death, she would be the fourth woman on death row in the state of Arizona.

Haven't been following the trial? Read this

A plea for mercy

On Tuesday, Arias pleaded with jurors to spare her.

She told them she would dedicate her time in prison to performing acts of charity from behind bars. She said she would teach people to read or to speak Spanish, start a book club and donate her hair so it could be used to make wigs for sick children. She showed jurors several pieces of her artwork.

She called Alexander's murder "the worst mistake" she had ever made, "the worst thing I've ever done." She couldn't have imagined herself capable of such a grisly crime, Arias told the jury.

"But I know that I was," she said. "And for that I'm going to be sorry for the rest of my life -- probably longer."

A case packed with twists and turns

Arias was living in Yreka, California, when she met Alexander at a business convention in Las Vegas in September 2006. That November, he baptized Arias into the Mormon faith, a ceremony Arias said was followed by anal sex.

Arias became his girlfriend two months later, she testified. They broke up in the summer of 2007, and Alexander began dating other women.

In June 2008, Alexander missed two appointments, prompting friends to go to his house. They found his naked body crammed in a stand-up shower

He had been stabbed 29 times in the back and torso and shot in the head. His throat was slit.

After her arrest, Arias told an elaborate lie about masked intruders breaking into Alexander's house and killing him before she narrowly escaped.

Relatives who spoke with police described her as mentally unstable.

The trial, which started in January, has been rife with sex, lies and digital images -- among them graphic autopsy photos that showed Alexander's body.

Now, if the trial continues, some of the same gruesome details of his slaying may be presented again in court.

"Because in order for a jury to actually impose the death penalty, they really need to see the cruelty," criminal defense attorney Ashleigh Merchant told HLN. "And they really need to understand the motives behind this murder and what great lengths she went to -- to actually cover this up."

HLNTV.com: Friend of Arias tweeting on her behalf

CNN's Ted Rowlands, Ben Brumfield and Eliott C. McLaughlin, HLN's Anna Rhett Miller, Mike Galanos and Graham Winch and In Session's Grace Wong contributed to this report.

@highlight

NEW: Legal analysts debate whether prosecutors will offer Jodi Arias a deal

@highlight

A source says jurors voted 8-4 in favor of sentencing Arias to death

@highlight

The victim's sister sobs and the judge's voice cracks after jurors reveal their verdict

@highlight

One juror apologizes to victim Travis Alexander's family