(CNN) -- The stakes in a court hearing Tuesday were as big as the star performers at the heart of the matter.

SeaWorld appealed to a federal three-judge panel Tuesday, asking it to overturn Occupational Safety and Health Administration safety citations and a ban restricting how humans interact with killer whales during performances.

OSHA instituted the regulations after the death of veteran trainer Dawn Brancheau in 2010, when Tilikum, the orca she had worked with for years, dragged her into the water and killed her in front of a horrified audience.

The governmental agency said the company had violated the general duty clause of the Occupational Safety and Health Act, saying it exposed its workers to a known hazard in the workplace.

Eugene Scalia, son of Supreme Court Justice Antonin Scalia and former solicitor of the U.S. Department of Labor, argued in the hearing that OSHA is overstepping its bounds and has no more of a right to impose restrictions on a specialized industry like SeaWorld than it does to regulate tackling in the NFL or impose speed limits in NASCAR.

Filmmaker: Why I made 'Blackfish'

The judges peppered both Scalia and Amy Tryon, who represented OSHA and the Labor Department, with numerous questions on that analogy.

"SeaWorld created this business but cannot create their own safety standard," Tryon said.

The issue seemed to trouble Judge Brett Kavanaugh.

"It does seem giving the authority (here) would give OSHA the authority over sports and entertainment industries in the U.S.," Kavanaugh told Tryon.

Scalia also argued that OSHA's restrictions present a "fundamental difference" and a "stark change" in the premise of SeaWorld's existing business model, which is based on exhibiting humans interacting with killer whales.

The theme park was known until 2010 for its famous Shamu shows, which featured amazing demonstrations of trainers surfing on orcas or being catapulted high into the air.

"OSHA isn't asking SeaWorld to prevent all activities," Tryon said. "These are feasible reductions that we know SeaWorld can do because they're doing them now."

In 2010, SeaWorld was originally fined $75,000 for three safety violations, including one "willful" citation.

After SeaWorld appealed that decision, an administrative law judge in 2012 downgraded the "willful" complaint to "serious," reducing the fine to $12,000. Crucially, that judge sided with OSHA's mandate to keep humans out of the water with killer whales unless there were physical barriers to reduce the risk of serious injury or death.

SeaWorld disagreed and filed its appeal with the U.S. Court of Appeals for the D.C. Circuit.

With the court-ordered restrictions, some argue that SeaWorld's very livelihood is on the line.

"SeaWorld offers the public an opportunity to observe humans' interaction with killer whales," the company said in court documents. "This brings profound public educational benefit, is integral to SeaWorld's care of the whales, and responds to an elemental human desire to know, understand, and interact with the natural world."

OSHA argued in a response brief that such close interaction between humans and whales was not crucial to the company's business.

"It is clear from SeaWorld's adoption of these measures that close contact of the kind that resulted in Dawn Brancheau's death is not essential to SeaWorld's ability to draw visitors to its parks, to practice behaviors during shows, or to care for its whales," the brief said.

Captive orcas have killed four people, including three trainers.

"The ($12,000 citation) amounts to basically a very expensive speeding ticket," said Benjamin Briggs, a partner with Seyfarth Shaw LLP who specializes in labor law. "The one that's going to be harder to prove is proving this type of interaction between whales and the trainers actually makes the interactions more predictable, and by reducing that, and creating greater distances, it's going to undermine not only the level of predictability, but it's going to harm their ability to care for the animals and impact their operations in a more fundamental way."

Trainers have been in "close contact with whales since the 1960s," court documents say. "During this time, OSHA could have opened an investigation at any time if it believed that close contact presented a recognized hazard."

Briggs said the argument is legitimate, but SeaWorld faces an uphill battle because what OSHA has on its side is history.

"There's a long and well-documented track record of these types of animals behaving aggressively toward humans to the point that they've caused a number of fatalities, not only at SeaWorld, but at a number of places," Briggs said. "That is what OSHA is going to say: 'You absolutely were on notice of this, this is absolutely a recognized hazard.' This kind of track record is not one you can ignore. So it's very important; it's what OSHA's case really hinges upon."

The appeal hearing, normally held in a courtroom, garnered such high interest that it was held at a public forum at the Georgetown University Law Center. The venue was the first time oral arguments for the D.C. Circuit have been heard outside of the court. Spectators included Georgetown University law students, the general public and SeaWorld employees.

A decision is not expected immediately.

Brancheau's death sparked the making of a documentary acquired by CNN Films called "Blackfish." The documentary explores the history of killer whales in captivity and incidents in aquatic parks leading up to Brancheau's death.

SeaWorld answers questions about 'Blackfish'

@highlight

NEW: SeaWorld, OSHA make their cases before federal appeals panel

@highlight

SeaWorld lets visitors observe human interaction with killer whales, company says

@highlight

OSHA has cited SeaWorld for not having adequate safety precautions

@highlight

In 2010, Dawn Brancheau was pulled underwater by a killer whale and drowned