Copenhagen, Denmark (CNN) -- U.S. Secretary of State Hillary Clinton on Thursday warned participants in the climate change conference in Copenhagen that they are "running out of time" to reach an agreement on what to do about global warming.

Critics say those attending the United Nations Climate Change Conference, which began December 7, have made little or no headway toward developing a plan.

U.S. officials in Copenhagen and at the White House confirmed that talks broke down Wednesday after the Chinese rejected American demands that they commit to transparency regarding their emissions reductions.

Without mentioning China by name, Clinton said their continued refusal would be "kind of a deal breaker for us."

The uncertainty over whether a deal could be reached before talks end Friday led to speculation that President Barack Obama might not travel to Copenhagen as planned, but White House spokesman Robert Gibbs told reporters he would leave Thursday evening.

"We all know there are real challenges that remain in the hours left to these negotiations," Clinton said. "And it is no secret that we have lost precious time in these past days. In the time we have left here, it can no longer be about us versus them.

"We all face the same challenge together," she added.

"We're running out of time. It's unfortunate that there have been problems with the process, difficulties with certain parties being willing to come to the table, all kinds of discussions and disagreements, sometimes about the past rather than about the future."

Without mentioning China by name, Clinton said that nation's continued refusal to come to the table would be "kind of a deal breaker for us."

Gibbs said the Chinese "balked" at the "strong transparency requirement," and he "hoped they would reconsider."

"The president is going to travel in hopes of making progress for a strong operational agreement," Gibbs said. "There are no changes in the president's plans."

The agreement Obama is hoping for out of Copenhagen would not be a treaty, nor would it be legally binding. Gibbs acknowledged it would be "a political agreement that would lead to a treaty" later.

The last time the president traveled to Copenhagen -- in October to try to win the 2012 Olympic bid for Chicago -- he came back empty-handed.

"Coming back with an empty agreement would far worse," Gibbs said Thursday.

Clinton said the United States is concerned about the ability of needy nations to do their part. The United States is willing to work with other countries to raise $100 billion by 2020 to address the climate-change needs of developing nations, she said.

She told delegates that the United States already has joined an effort to provide more immediate funding that would reach $10 billion in 2012.

"After a year of diplomacy, we have come to Copenhagen ready to take the steps necessary to achieve a comprehensive and operational new agreement that will provide a foundation for long-term, sustainable economic growth," Clinton said.

"We have now reached the critical juncture in these negotiations. I understand that the talks have been difficult. I know that our team, along with many others, are working hard and around the clock to forge a deal," she said. "But the time is at hand for all countries to reach for common ground and take an historic step that we can all be proud of."

Clinton's announcement was "enormously encouraging," Tim Flannery, an internationally known zoologist, conservationist and explorer, said on CNN's "Amanpour."

Clinton proposed several core elements that should be included in any plan: decisive national actions; an operational accord "that internationalizes those actions"; technical and other assistance for needy nations that are "the most vulnerable and least prepared to meet the effects of climate change; and standards of transparency that provide credibility to the entire process."

"The world community should accept no less," she added.

Kandeh Yumkella, director-general of the U.N. Industrial Development Organization, said on "Amanpour" he is optimistic that leaders can strike a deal before the conference ends.

"Compared to yesterday, what we have now is that the negotiators have hunkered down," he said. "They're actually in drafting committees."

Flannery agreed. "If the U.S. can commit to another couple of percent in terms of cuts (in emissions), if the Chinese can increase their efficiency gains by 5 percent, that'll probably be enough to bring the Europeans on board for a 30 percent target, and then we'll be there."

Meanwhile, British Prime Minister Gordon Brown, who suggested the initial estimate of about $100 billion a year by 2020 to reduce emissions, urged leaders Thursday to reach an agreement that would limit "long-term, global temperature increases" to no more than 2 degrees.

According to the 10 Downing Street Web site, Brown told the conference that wealthier countries must commit to provide immediate funding for developing countries to reach such a goal. He recommended that financing start in January, with nations providing $10 billion a year by 2012.

He called on developing countries to commit to ambitious mitigation actions to handle climate change.

"To the developed world I say: Environmental action is the most powerful engine of job creation in an economy urgently in need of millions of new jobs.

"To the developing world I say: The technology now exists to gain the dividends of a high-growth economy without incurring the damage of a high-carbon economy.

"And to all nations I say: It is not enough for us to do the least we can get away with when history asks that we demand the most of ourselves."

@highlight

U.S. joins an effort to mobilize "fast-start" funding for developing counties.

@highlight

Talks intended to agree a global limits on carbon emissions to replace Kyoto

@highlight

U.S. President Barack Obama is expected to join the talks Friday

@highlight

Japan, EU pledge more than $20 billion in climate aid to developing nations