(CNN)It has all the key points you'd expect on a birth certificate -- baby's weight, length and date of birth confirmed with an official insignia. The difference here is the governing authority's stamp: The Islamic State in Iraq and Syria.

It's one of many official documents relating to matters such as vaccination schedules, fishing methods and rent disputes in the areas now controlled by ISIS.

For ISIS sees itself as a government operating under a rule of law, even if the group is most often talked about for its barbaric punishment of anyone who resists or defies its medieval interpretation of that Islamic law.

The ISIS documents, some shared with CNN by researcher Aymenn Al-Tamimi, give a window into the bureaucracy of the self-declared caliphate.

Last summer, ISIS fighters swept through the Iraqi city of Mosul. Once they took power, leaders wanted to show they could bring stability allowing daily life to resume. So, they quickly reopened the University of Mosul, albeit under a radically altered curriculum.

Notices went out that classes would resume on 24 Dhu al-Hijjah 1435 in the Islamic calendar (or October 18, 2014, in the Western calendar), about four months after ISIS overran the city.

But some subjects would be banned -- democracy and political thought, also hotel management and tourism and archaeology.

Families flee ISIS in Iraq

"The banning of archaeology is not a surprise," says Al-Tamimi, who is a Shillman-Ginsburg Fellow at the Middle East Forum at the Interdisciplinary Center Herzliya, in Israel. "We see that reflected in ISIS destruction of ancient artifacts. ISIS regards pre-Islamic artifacts as relics from the 'period of ignorance', jahiliyah. Their main concern with archaeology is that it would become a subject turning to idol worship, which is strictly forbidden in Islam.

"Hotel management and tourism may seem strange as first. But there are no hotels under ISIS. They have all been taken over and shut down, either rented out or become places to house families."

Mosul University still has the same professors and teachers, Al-Tamimi says. "But now teachers are subjected to Sharia sessions, to learn what is and what is not acceptable to ISIS. So, they have preserved the prior system but within ISIS Sharia law conditions."

The ISIS Health Department runs hospitals for anyone feeling ill, not just wounded fighters. It has maternity wards, health clinics, even a mobile vaccination unit.

And while an ancient interpretation of religion remains at the heart of rules, there is more nuance than was seen in Afghanistan and areas still controlled by the Taliban.

"This is one thing that distinguishes ISIS from groups like the Taliban, which forbids vaccinations.  Polio is a problem in Pakistan because the Taliban believes the vaccines are a forbidden substance.  But ISIS is not that primitive," says Al-Tamimi. "This is also reflected in education:  The Taliban, forbids all girls' education. But ISIS allows girls to go to school, albeit in a segregated environment."

However, education for girls is limited to the age of 15.

Reporting from areas controlled by ISIS is near impossible but anecdotes of daily life and death do emerge. Al-Tamimi's conclusions on ISIS's governing principles and methods follow similar findings by the Quilliam Foundation, other researchers and social activists.

How ISIS makes (and takes) money

It is an Islamic principle to care for the environment, so that's one reason that using explosives to catch fish is banned. And a quote from the Quran saying property owners should lessen the burden on renters to earn spiritual rewards is used at the start of a document outlining a policy on rent control.

"A general theme for ISIS is that they try, initially when they seize control, to portray themselves as more just, more fair to the inhabitants than the previous ruler," explains Al-Tamimi. "For example, in Syria, the first thing ISIS did was lower the price of bread. This is as much about winning over the population as it is about religious rulings."

At times, such as taking up the case of renters, the regime can seem almost benevolent, Al-Tamimi says.

"If someone does complain, especially in Syria, ISIS does actually try to deal with it," he says. "That's why they've been seen by many in Syria as imposing order, especially in areas where multiple parties, rebel factions and the Syrian government were previously in control."

ISIS control of its territory is absolute -- bus schedules show routes from Raqqa to Mosul and Qaim with no acknowledgment of the Syria-Iraq border, just the new provinces created by the group for its territory.

Detained ISIS members speak from Iraqi jail

And inside that territory, even entertainment is regulated.

Foosball can be played, provided there is no gambling and the faces or heads are taken off the figurines to prevent idol worship. A fatwa on entertainment goes on to say that chess, billiards and other "contemporary games" do not benefit Muslims but may be played if they do not distract from religious obligations.  It reaches that conclusion from the Quran and other religious teachings.

That's also part of ISIS strategy, says Al-Tamimi.

"One of ISIS's goals is to present this very religiously learned image, showcasing their knowledge of Islamic jurisprudence to justify to their following that they are the moral authority.  It's clear that ISIS and their religious clerics and scholars are extremely familiar with religious texts and use them to convince and persuade ISIS followers, which also makes them impervious to any religion-based counterargument."

@highlight

ISIS is known for brutal takeovers and medieval justice, but it sees itself as a state

@highlight

Official documents show just how far their rules affect daily life