(CNN) -- Today is the 11th anniversary of the opening of the prison at Guantanamo Bay in Cuba, and like the past three anniversaries, it comes with President Barack Obama's campaign promises to close it unmet.

From Day 1, the story of Guantanamo, or Gitmo as it came to be called, has been one of injustice and illegality, the violation of human rights and a stain on America's global reputation. Locked within its walls are the stories of hundreds of men who have lost years -- and, for nine of those men, their lives.

In 2013, the story of Guantanamo is not just one of the failure to close the prison after so much time but also one of pragmatic failure of missed opportunities to take available, practical steps to reduce the prison's population.

Eighty-six of the men still languishing at Guantanamo were cleared for release in 2009 by an interagency task force created by the Obama administration. They remain there because Obama chooses, at every turn, to acquiesce to an intransigent Congress that is bent on keeping Guantanamo open for its own cynical political purposes.

This is particularly tragic because several countries have plans to help former Guantanamo prisoners reintegrate into society and have asked that their citizens be returned. For those prisoners who cannot go home because they face persecution or torture, there are third-party countries in Europe, the Americas and the Middle East that have volunteered to accept former Guantanamo prisoners for resettlement.

Many of the 86 men cleared for release are ideal candidates for these repatriation or resettlement options.

Among them is Center for Constitutional Rights client Djamel Ameziane -- cleared for transfer by Presidents George W. Bush and Obama. He is educated, speaks four languages and has lived and worked legally in Austria and Canada. Inexplicably, the U.S. has refused offers from foreign governments to resettle him or to take other similar opportunities to reduce the prison population.

One of the biggest obstacles to closing Guantanamo is one the president created himself: a blanket refusal to transfer any prisoner to Yemen because of the "unsettled situation" there.

Apart from the fact that detention based on citizenship is discriminatory and illegal, concerns about returning people to unsettled countries does not explain why cleared Yemenis at Guantanamo cannot be temporarily resettled in third countries. More fundamentally, birthplace is not an indicator of criminal proclivity.

If they were treated rationally, as individuals, rather maligned as a group, the government would surely concede at least some men at Guantanamo could go home to Yemen and not become threats to the U.S. -- not least of all because most of these men, according to leaked U.S. documents, were never involved in hostilities of any kind, and more than half have long been deemed suitable for transfer by every relevant U.S. national security agency.

This collective punishment is particularly troublesome given the stakes.

In September 2012, Adnan Latif, who was cleared for release, died in his cell. According to conversations with dozens of other Guantanamo attorneys, there are many other detainees at the prison who are gravely ill. How many more will live out their remaining days behinds bars merely because Obama has deemed Yemen an unsuitable place?

The Center for Constitutional Rights represents several clients who we hope will be spared such a fate. Tariq Ba Odah has maintained a hunger strike to protest his unjust detention since 2007 and is force-fed by the military through his nose. Mohammed Al-Hamiri and Ghaleb Al-Bihani are suffering the inevitable psychological and physical effects of more than a decade of indefinite detention. None of these three men has ever been charged.

Finally, Obama has made no effort toward solving the central, inherent Guantanamo problem: indefinite detention. In addition to the dozens of men subject to de facto indefinite detention, 46 are officially slated to that fate. Two of the initial 48 have died. According to the president, the U.S. can neither charge and try the 46 men, nor can they be released.

Such a category violates the most fundamental principles of due process, summarily depriving people of their freedom by way of executive fiat. Obama has created this category without any plan for how to move men out of it. We are simply warehousing them. Do we plan to operate a prison at Guantanamo for the next several decades, holding these men as they age and die, outlasting the logistical problem even as we ignore -- and worsen -- the moral and constitutional one?

What the president lacks is not the political power to act, but the political will.

Interim steps are critical to closing the prison. Indeed, without them, it is hard to see how his promise to close it can ever be achieved -- and even more difficult to believe that Obama is truly committed to a world without Guantanamo.

As Obama stands again to take the presidential oath to protect and defend the Constitution, looming behind him will be his institutionalized policy of indefinite detention without charge or trial -- a policy that has no place in a democratic society. Unless and until he uses the political power of his office to end this shameful chapter in American history, the story of Guantanamo will be one with no end in sight.

The opinions in this commentary are solely those of Vince Warren.

@highlight

Vince Warren: Another Gitmo anniversary, the 11th, comes with vows to close it unmet

@highlight

Warren: Hundreds of locked up men have lost years of their lives; nine have died

@highlight

86 were cleared for release in 2009 but languish there as Obama does nothing, he says

@highlight

Warren: 48 are under unjust, illegal policy of indefinite detention without charge or trial