Washington (CNN) -- For the past 30 years, Chris McDaniel has attended the West Ellisville Baptist Church -- a house of worship that held a fish fry this month for the congregation's widows and widowers and where kids attend vacation Bible school in the summers.

Such things are important to folks in McDaniel's hometown of Ellisville, Mississippi, population: 4,448. It is a town named for a Mississippi senator, Powhatan Ellis -- a relative of Pocahantas, but which proudly goes by the nickname "The Free State of Jones" thanks to Jones County's role in opposing the Confederacy during the Civil War.

Raised in an environment where both conservative Christian values and an independent streak run deep, it is perhaps little wonder that one of the city's native sons would challenge long-serving Sen. Thad Cochran for office. And, if the money pouring into McDaniel's campaign coffers from conservative groups is any indication, hopes are high among such organizations that McDaniel just might pull off a rebellion of his own in Tuesday's runoff.

"It's all in God's hands," McDaniel told CNN. "...God has a plan. We pray to find his will, and his will will be done. We're going to fight, every day he gives us, and we believe we're going to be victorious, pursuant to his will."

McDaniel, a conservative who has the grassroots support of the tea party, the Club for Growth and Sarah Palin among others, is challenging Cochran, a septuagenarian, who has the backing of such groups as the U.S. Chamber of Commerce and Mississippi Conservatives, a super PAC headed by the nephew of former Mississippi Gov. Haley Barbour.

'The indifference that comes from a long-term incumbent'

McDaniel has "been able to capitalize on the indifference that comes from a long-term incumbent," said John Bruce, chairman of the University of Mississippi's political science department. "He's also been able to capture some of the more national anti-establishment Republican movement."

Tea party conservatives -- who were dealt setbacks in Republican primaries in Kentucky and other states in the spring -- are banking on Mississippi as the best chance to eject another "establishment" Republican. The group's organizers are galvanized by a surprise upset in the Virginia GOP primary when House Majority Leader Eric Cantor lost to tea party-backed political newcomer Dave Brat.

"McDaniel reflects that change momentum we're seeing all over the country," Sal Russo, co-founder and a chief strategist for the Tea Party Express told CNN. Cochran's "been a distinguished senator over the years but he's lost track with where the people of Mississippi are."

If McDaniel and Cochran's inability to net 50% of the vote in the June 3 Republican primary is any indication, then the people of Mississippi are split.

Blogger's arrest shakes up Mississippi Republican primary

It's also a race that, at times, waded into the Mississippi mud.

Last month, political blogger Clayton Kelly was arrested after authorities charged him with breaking into a nursing home where Cochran's wife, Rose, has lived for roughly 14 years. Photos of the elderly woman ended up in a political attack ad on YouTube, according to the Clarion-Ledger.

Both Cochran and McDaniel denounced the act, but the fallout prompted both campaigns to accuse the other of playing dirty politics.

But in Jones County at least, where Ellisville is located, the odds are in the hometown boy's favor. Daniel handily won his home county in the June 3 primary with 11,519 votes to Cochran's 1,941, according to the Mississippi Secretary of State's office.

Native son

McDaniel is the grandson of country music star Luke McDaniel, who went by the stage name "Jeff Daniels."

He grew up as an only child whose parents worked at Jones County Community College. His was a religious upbringing and, according to his campaign's Facebook page, he "committed his life to Jesus Christ at the age of 13."

He was also an athlete who excelled in basketball and won a scholarship to attend the University of Mississippi. He eventually earned a law degree from Ole Miss and married Jill, an educator and former beauty pageant queen who was once "Miss Mississippi."

The couple are raising their children Cambridge and Chamberlain back in Jones County.

In addition to practicing as an attorney, McDaniel was also a syndicated conservative radio host of "The Right Side Radio Show," which says it offers "today's news commentary from the Southern side of Christian conservative politics." Back then, his knack for hammering liberal policies caught the attention of local conservatives.

"I'd hear him on the radio, and I'd think 'that guy's a true conservative,'" said Grant Sowell, a longtime associate and chairman of the Tupelo Tea Party.

Complete coverage: 2014 midterm elections

McDaniel's on-air comments would later come back to haunt him.

Earlier this year, a radio clip surfaced of McDaniel vowing "I ain't paying taxes," if his taxes increased because reparations were paid to the descendants of Africans who were enslaved. He also made fun of Spanish and said "a dollar bill can buy a mansion in Mexico."

In the spotlight

McDaniel was thrust into the national media spotlight. Campaign spokesman Noel Fritsch blew off the blowback.

"The liberal press clearly loves to attack conservatives of all types," Fritsch told the Wall Street Journal. "When Chris got into this race he knew they would throw mud, so it's no surprise they'd dredge up decade-old comments made on conservative talk radio.

McDaniel burst onto the Mississippi political scene in 2010 as a freshman state senator when he challenged Gov. Haley Barbour's veto of a measure that would block the state from using eminent domain to take land to be used by private companies. That effort failed but inspired a grassroots-backed initiative which was ultimately successful.

That same year, he led the legal effort in his state to have the courts declare Obamacare's insurance mandate unconstitutional. He has vowed to work to appeal Obamacare if he is elected to the Senate.

Much like the senator he is challenging, McDaniel sat on his state legislature's Senate appropriation committee.

Like Cochran, he's also pulling in star power to help out in the final campaign push. Chuck Woolery -- who hosted "Wheel of Fortune," "Love Connection" and "The Dating Game" -- campaigned for McDaniel this weekend.

Key races to watch in 2014

The McDaniel campaign did not respond to CNN's questions about his tenure in state office or his plans should he be elected to the U.S. Senate.

Still, supporters such as Sowell hope that voters will recognize what he sees as McDaniel's "authentic conservative voice."

And, as for those who question what McDaniel as a congressional neophyte who eschews pork barrel spending will be able to accomplish for Mississippi, Sowell said McDaniel would serve the state's interests well while steering clear of government waste.

"Thad did not hang the moon," Sowell said. "And Chris McDaniel cannot take it down."

Sen. Thad Cochran, a quiet pragmatist facing re-election challenge

CNN chief congressional correspondent Dana Bash contributed to this report.

@highlight

The Mississippi Senate runoff is June 24

@highlight

Chris McDaniel is challenging Sen. Thad Cochran in a tense showdown

@highlight

McDaniel is a lawyer, former radio host and grandson of country music star Jeff Daniels

@highlight

McDaniels is no stranger to taking on veteran politicos