(CNN) -- There are many well-known risk factors for death -- high cholesterol, smoking, obesity, and Christmas.

Yes, Christmas.

Several studies show you have a greater chance of dying on Christmas, the day after Christmas or New Year's Day than any other single day of the year.

This is true for people who die of natural causes, which account for 93% of all deaths, according to the Centers for Disease Control.

It's also true, researchers say, for people who die of the five most common diseases: circulatory problems, respiratory diseases, endocrine/nutritional/metabolic problems, digestive diseases and cancer.

There's a spike in deaths for all age groups on those days with one exception -- children.

David P. Phillips who was the lead author on a couple of these studies, noticed this trend when studying U.S. death certificates.

Specifically, Phillips, a professor in the sociology department at UC San Diego, and his team looked at the number of people who died in emergency settings and those who were considered dead on arrival between 1979 and 2004. They found a spike in deaths on those three days.

An earlier Phillips study from 2004 found a similar trend, specifically in cardiac deaths.

A more recent 2013 study in Britain found patients admitted to hospitals as emergencies on public holidays are significantly more likely to die than those admitted on other days of the week -- including weekends.

Scientists still can't explain this phenomenon, although there are plenty of popular theories.

Andrew Meacham is the obituary writer at the Tampa Bay Times and president of the Society of Professional Obituary Writers. Over the years he has noticed his workload pick up over the holidays.

"We are always getting a slew of obits this time of year," Meacham said. "I noticed this happened pretty regularly so I did call around to funeral directors to see if they believed there was an uptick too."

He wondered if stress or sadness had something to do with it.

"I've written many stories about a spouse or a partner dying and then you see the remaining partner die within hour or days or weeks or months. To me there seems to be a correlation between body and mind here."

Phillips and his team looked at the number of deaths among the Alzheimer's population, theorizing they may be less aware of the holidays and the stress it can trigger.

If stress were solely to blame, he figured, their deaths wouldn't spike on Christmas or New Year's. But sure enough, he found cardiac deaths were slightly higher at the holidays when Alzheimer's was listed as a secondary cause of death.

More people do die in winter months than in any other season, so Phillips looked to see if there were more deaths in the states that experience colder temperatures.

That wasn't the case, either. The cardiac mortality peak is slightly smaller in the states that border Canada, compared to states that border the Gulf of Mexico, he found.

What about festive eating or drinking? Phillips' team found deaths were still up for people who were in inpatient treatment -- whose diet and alcohol consumption was strictly regulated. In fact, those who died with substance abuse listed as a secondary cause of death saw a smaller holiday peak than those who died from cardiac diseases alone.

Despite popular belief, the suicide rate doesn't spike at the holidays. In fact, the suicide rate in December is at its lowest -- it peaks in spring and fall. The homicide rate also goes down for the holidays.

Phillips thinks the true reason that Christmas and New Year's are a risk factor for death may actually have much more to do with access to care.

People who aren't feeling well may be putting off a trip to the hospital so they can stay with their family to celebrate Christmas or New Year's, he said.

Holiday staffing at the hospital may also be to blame, he said, citing statistics from Level 1 trauma centers.

"For those deaths, the spike was even sharper," Phillips said. "Those are the cases where seconds make a difference and you may see a real difference between the response of a junior and senior member of staff."

He said he hopes his research could help hospitals and patients plan accordingly.

If the worst does happen, resources are available.

For instance, Stephanie Kohler, family services coordinator at the nonprofit Lory's Place in St. Joseph, Michigan, said she and her staff are prepared to help families find a healthy way to deal with grief over the loss of a loved one.

"We want to make sure we are ready for any phone calls to make sure people are all right in their grief," Kohler said. "The holidays definitely are a harder time of year for people when this happens, especially since they are such a time steeped in tradition and family."

If you know someone who loses a loved one over the holiday, Kohler said be sure to be extra sensitive to their emotions.

"Everything can feel upside down for people. There are emotional landmines everywhere, so don't try to force anything," Kohler said. "You don't need to fill the air with words. Tell them you are ready to listen. That can be more powerful than you know."

@highlight

CDC: Natural deaths spike on Christmas, the day after and New Year's

@highlight

People who work with death have noticed the phenomenon for years

@highlight

People who delay treatment and holiday hospital staffing may be to blame

@highlight

Despite popular belief, the suicide rate doesn't spike at the holidays