(CNN)His voice became hauntingly familiar as the masked man with a British accent who appeared repeatedly in brutal beheading videos from ISIS.

But the identity of "Jihadi John" remained a mystery -- until Thursday, when two U.S. officials and two U.S. congressional sources confirmed it.

The man, the officials said, is Mohammed Emwazi, a Kuwaiti-born Londoner.

The officials, who've been briefed on the matter, spoke to CNN after a Washington Post report first revealed Emwazi's identity.

Emwazi is believed to have traveled to Syria in 2012, according to the newspaper, and later to have joined ISIS there.

Even with a name and face for the man behind the mask, uncertainty still swirled Thursday. London police and British officials declined to confirm his identity. Officials from a London-based human rights and Muslim advocacy organization who've interacted with Emwazi said they couldn't be 100% certain it was him.

And a key question remained unanswered: What inspired him to join ISIS?

The answer depends on who you ask.

Some terrorism experts said Emwazi's history shows someone who'd been on a path toward extremism for years.

But CAGE, the London advocacy group that worked with him, said if he is the man who's appeared in ISIS videos, it's a sign that British authorities' tactics pushed him to radicalize.

Emwazi was born in Kuwait in 1988 and moved to the United Kingdom when he was 6 years old, CAGE said on its website.

He studied at the University of Westminster in London and graduated in 2009 with a degree in computer programming, the group said.

Emwazi, according to CAGE, "hoped that with this degree, he could build a successful career in Arab countries, as he was fluent in Arabic, English and had a British accent."

Did something change to send him on a different path?

According to the Washington Post, friends of Emwazi said they believed his path to radicalization began when he went on a trip to the East African nation of Tanzania in 2009.

He was supposed to be going on safari there, but was reportedly detained on arrival, held overnight and then deported.

He was also detained by counterterrorism officials in Britain in 2010, the Post said.

Authorities haven't provided any reasons behind those reported detentions.

London police declined to confirm the reported identity.

"We have previously asked media outlets not to speculate about the details of our investigation on the basis that life is at risk," said Cmdr. Richard Walton of the Metropolitan Police's Counter Terrorism Command.

"We are not going to confirm the identity of anyone at this stage or give an update on the progress of this live counter-terrorism investigation."

A UK Foreign Office spokeswoman told CNN: "We will neither confirm nor deny the current reporting as to the identity of Jihadi John."

There are "striking similarities" between Emwazi and the man known as "Jihadi John," according to Asim Qureshi, CAGE's research director.

Qureshi told reporters Thursday that he couldn't be 100% certain that Emwazi is Jihadi John because the man's face is covered in the videos.

But Qureshi said the man he knew was very different than the merciless figure from ISIS videos.

Emwazi was a "polite" and "beautiful young man" who would drop into the CAGE office with treats to thank the group for helping him. Emwazi came to CAGE in 2009 looking for support when he felt that British authorities were -- in Qureshi's words -- "harassing" him.

If Emwazi is indeed Jihadi John, Qureshi said, that makes him sad. But in some ways, he said, it's not surprising.

"It's hard to imagine the trajectory, but it's not a trajectory that's unfamiliar," he said.

Many Muslims feel alienated in their society, like Emwazi did, he said.

"When are we going to finally learn if we treat people as if they're outsiders ... they will look for belonging elsewhere?" Qureshi said. "Our entire national security strategy for the last 13 years has only increased alienation."

The Washington Post's report includes emails Emwazi purportedly wrote after British counterterrorism officials detained him and stopped him from flying to Kuwait.

"I had a job waiting for me and marriage to get started," he wrote in a June 2010 email to Qureshi, the Post reported.

But now "I feel like a prisoner, only not in a cage, in London. A person imprisoned & controlled by security service men, stopping me from living my new life in my birthplace & country, Kuwait," the email said.

CAGE points the finger at British security services, who they say have "systematically engaged in the harassment of young Muslims, rendering their lives impossible and leaving them with no legal avenue to redress their situation."

Haras Rafiq, managing director of the Quilliam Foundation, a UK-based counter-extremism think tank, said the advocacy group was pointing the finger in the wrong direction.

It's clear Emwazi had been radicalized before 2010, he said. And, according to Rafiq, intelligence agencies who stopped Emwazi traveling to Tanzania believed there was evidence that he intended to join the extremist group Al-Shabaab in Somalia.

Haras added that it was "very upsetting that an organization like CAGE would spin this in the way that they've done," by blaming intelligence agencies.

Former CIA counterterrorism analyst Philip Mudd told CNN that blaming radicalization on alienation was oversimplifying Emwazi's story.

"We're only seeing half of this story," he said. "The government doesn't spend the resources and take the risk, the legal risk of pulling somebody aside, preventing them from traveling, searching through their luggage, just because somebody looks funny. There is something else going on here in terms of whatever triggered the government to undertake this investigation that we're missing here."

The masked, black-clad figure believed to be Jihadi John appeared to be the ISIS militant shown in a video last month demanding a $200 million ransom to spare the lives of two Japanese journalists. A similar figure appeared in at least five previous hostage videos.

U.S. and British officials have previously said they believed they knew who the man was, but weren't disclosing the information publicly.

That could be because Western intelligence agencies believed they had more to gain from keeping quiet, Aki Peritz, a former CIA officer, told CNN last month.

"They can put pressure on his family, put pressure on his friends," he told CNN. "Maybe they have a line to him. Maybe they know who his cousins are who are going to Syria who can identify him. However, if you publicly tell everybody who he is, his real identity, then maybe he'll go to ground and he'll disappear."

The man's reported background gives some clues as to why he might have been recruited, said Sajjan Gohel, director of international security at the Asia Pacific Foundation.

"We know that ISIS recruits a lot of Westerners who are skilled in new media, understanding of the Internet, because they use that as their platform as an oxygen of publicity," he said.

But by not revealing his name for operational reasons, one expert said, officials may have created another problem.

"It created more speculation in the media," he said. "In some ways, the nom de guerre of Jihadi John gave this individual a form of notorious celebrity."

Opinion: Why 'Jihadi John' is so worrying

CNN's Evan Perez, Pamela Brown, Dana Bash and Alexander Felton and Damien Ward contributed to this report.

@highlight

Officials: Militant known as Jihadi John is Mohammed Emwazi

@highlight

Advocacy group CAGE says it had contact with Emwazi

@highlight

London's Metropolitan Police declines to confirm his reported identity