(CNN) -- The majors have been and gone for another year, but golf has officially entered its most money-spinning phase of the season.

As the 2013 campaign reaches its climax an eye-watering $67 million in prize money will be on offer in the four FedEx Cup playoff events.

Last year's winner, Brandt Snedeker, picked up over $12.5 million for 16 days' work at tournaments backed by heavyweight sponsors like BMW, Barclays, Deutsche Bank and Coca Cola.

It reflects an industry battling back from recession, and one that is contributing more than you might think to help boost what is still a fragile economy in the United States -- which has a public debt of almost $17 trillion and rising.

The World Golf Foundation's Golf 20/20 report estimates that the industry generated $68.8 billion in goods and services in the U.S. in 2011, with a total economic impact of $176.8 billion.

"The golf industry is larger than the spectator sports and performing arts industries combined," WGF chief executive Steve Mona told CNN.

"That's pretty substantial compared to those two. Beyond the monetary contribution it makes, it also employs close to two million Americans with a combined wage income of $55.6 billion.

"What's important about that is when people think about people employed in golf, they generally think about the Tiger Woods and Phil Mickelsons of this world.

"That's true, but they are at the higher end of the scale -- what people don't tend to think about is a lot of the jobs in golf are everyday kind of jobs filled by people who are trying to slug out a living, and feed their family.

"They're working at restaurants, in the grill room, working on the course, taking bags out of your car, cleaning your clubs. Believe me those people are not getting rich, but that is the real backbone of the golf industry."

Golf is nothing if not resilient.

The deep recession of 2008 in the United States did not spare the sport, but in recent years it has come out swinging as it moves back towards the $75.9 billion the WGF estimates it generated in 2005.

Those figures surely won't be lost on one of golf's biggest fans, who also happens to be the President of the United States.

Barack Obama is an avid golfer -- he enjoyed a February round with the world No. 1 Tiger Woods in Florida and spent a good chunk of his recent vacation in Martha's Vineyard on the course.

A report released by the Government Accountability Institute in April even suggested Obama has spent more hours on the golf course during his presidency than in economic meetings.

Counting the Commander in Chief as one of the game's biggest and most influential supporters can only serve as a great advert for the game, according to Mona.

"There are a couple of things about the President that are really very positive," he said.

"One, he's arguably the busiest man in the world with the toughest job in the world, but he can make time to play. He played five times on his recent vacation in Martha's Vineyard.

"That leads to the second point: the fact that he plays it by the rules, and he's enthusiastic about it and tries to play whenever he can, speaks to the magic of the game.

"It can be addicting in a good way and it clearly has been for the President."

As well as counting the most powerful man in America as a golf fan, the game has strengthened its presence on Capitol Hill in recent years.

A series of events have been designed to trumpet the growing portion of the economy that golf supports to Washington's power brokers.

"It's important for us to communicate effectively in terms of the impact golf has on the economy generally and the kind of jobs it creates for everyday Americans," Mona explains.

"Because when laws and regulations are being made, it's important the golf industry is treated like any other industry of our size and scope. That relates to the second audience we're trying to make sure understands the facts about golf, and that is the influencers of society generally."

However, not all politicians are in love with golf's financial contribution -- a U.S. Congress Senator is seeking to overturn the not-for-profit status enjoyed by the PGA Tour and other sporting bodies such as the NHL and NFL which means they are exempt from federal taxes.

Forbes reported in May that of the $130 million the PGA Tour gave to charity last year, most of it went to the WGF -- whose main purpose is to promote golf.

"It's important for golf to have a good reputation in the court of public opinion and not be viewed as a sport for the privileged few played on private clubs by the affluent few," Mona said.

"It's not that game at all but it gets perceived sometimes to be that kind of sport."

That point of view might get temporarily sidelined while the game's stars are in the thick of FedEx Cup action.

But while the vast sums on offer might turn some of the public off, seeing golf's top players battle it out with such huge prizes at stake is a surefire way to get viewers to turn on. More than 30 PGA tournaments this year offer a winner's purse of greater than $1 million -- by contrast the European Tour lost several events from its calendar this year due to the downturn.

And the bigger the prize pot, the more money that drips down through the system, says Mona.

"I think it makes a very strong statement about the health and vitality of the golf industry when you have these world-class brands who want to associate with golf," he added.

"They're willing to put up significant sums to be associated with those events, and the players have the opportunity to play for the kind of money reflects very favorably on golf.

"I always say there are two economies in golf. There's the participation economy which is about the everyday golf facilities, trying to attract golfers and current players to play as much they can.

"Then there's the entertainment side of golf too and that's where the professional tours come in. that relates to the interest of the game.

"If we can enhance interest in the game that can lead later down the line to participation. We also know that interest in the game spawns what you're seeing over the next few weeks.

"When people come out to an event itself or tune in on TV, that's why the Barclays of this world affiliate with those events.

"It certainly an indicator of the health of the industry for sure."

@highlight

Golf season about to enter playoff season with $67 million in prize money on offer

@highlight

Reflects an industry that makes a significant contribution to the United States economy

@highlight

Golf is a $68.8 billion industry whose total economic impact equates to $176.8 billion

@highlight

President Obama is a famous exponent of the game playing regularly