It's easy to write off Bolivia's largest city as just another congested, chaotic Latin American metropolis.

As more international travelers discover Bolivia for its biodiversity, where they can explore the Andes, the Amazon basin and the world's largest salt lake in one visit, La Paz is their most likely point of entry. But to most, it's little more than that -- a place to spend a day or two sipping coca tea and adjust to life at 10,000 feet while planning adventures.

The congestion and chaos quickly become apparent as you descend the Altiplano to the "bowl" of the downtown core, a tangled maze of steep and winding streets. The cultural legacy of Bolivia's largest indigenous groups, the Quechua and Aymara, permeate the busy urban landscape, where vehicles compete with pedestrians and sidewalk vendors.

With elevations ranging from 9,800 to 13,450 feet, "the city that touches the sky" has plenty of distinctions that come in handy in bar trivia: home of the world's highest international airport and highest seat of government. Its elevation also makes for extreme temperature: sunny, hot days and cold, windy nights. But a closer look reveals some unexpected surprises that aren't spelled out in tour guides.

Plaza San Francisco

Flanked by the Iglesia de San Francisco, a noisy thoroughfare and a busy side street, Plaza San Francisco is not the prettiest public space La Paz has to offer, but it's a great place to people-watch.

Women dressed in traditional indigenous style of bowler hats and poofy petticoats, babies slung over their shoulders in colorful wraps, wait for buses alongside teens in skinny jeans and heavy eye makeup. Vendors in blue jumpsuits push around carts of ice cream which everyone seems to be eating.

The San Francisco church is worth a visit in itself. Its stone-carved facade is in the intricate style of 16-century baroque and mestizo architecture. A tour of the basilica and cloister offers an overview of La Paz's founding and fight for independence, along with an opportunity to glimpse the city from the bell tower.

Calle Jaen

The city's last remaining example of what a street looked like in colonial times could be considered one of the most touristy parts of La Paz, owing to the polish of its refurbished structures. But in a busy metropolis that doesn't go out of its way to cater to tourists, it's a peaceful stretch of cobblestone and colorful buildings that brings to mind other colonial cities like Antigua, Guatemala, or Campeche, Mexico. Step inside one of the dimly-lit bars or restaurants and you'll find quiet courtyards shielded from the bustle of the city. The street is home to four museums in colonial homes, noteworthy for their architecture as much as their exhibits. Museo de Casa Murillo -- former home of Pedro Domingo Murillo, one of the martyrs of the La Paz Independence movement of July 16, 1809 -- features paintings, furniture and clothing from an era when La Paz was torn between loyalty to the Spanish viceroy and support for indigenous rights. At the Museo de Instrumentos Musicales, also a school and meeting place for aspiring musicians, visitors are likely to stumble upon a jam session of charango players or pan flutists. Students of the school often put on Saturday night performances, where you might catch a guitar duet performed by a 7-year-old prodigy and his Japanese instructor.

Museo Nacional de Etnografia y Folklore

If you're in Bolivia long enough, chances are you'll stumble on a parade or celebration where traditional Bolivian song and dance is the centerpiece (yet another reason to stick around La Paz on the weekend). The colorful costumes and masks, representative of dances from different regions and evocative of the film, "Return to Oz," might leave the uninitiated wondering what the heck is going on. The Museo Nacional de Etnografia y Folklore offers some explanation for why horned devil masks and caricatures of African slaves figure prominently in folklore in an impressive display of masks and costumes. For extra trivia, check out the exhibit on the participation of transvestites in cultural celebrations of the late 20th century. Most Wednesdays, the museum keeps its doors open late for a show by the renowned Ballet Folklórico de La Paz, in which dancers decked out in full garb demonstrate customs from various regions, minus the drunken revelry of the street.

Local markets, Witches Market, Calles Sagarnaga and Linares

Most Western tourists will have little use for items at local markets. But they're good for getting a sense of how Bolivians shop and what seems to be popular: puffy corn resembling Styrofoam, exotic seeds, reams of multi-colored fabric, shoes and underwear, cell phone chips, kitchen accessories, a shoe shine, keys made by hand.

Those who've never seen a dried llama or alpaca fetus would do well to check out Witches Market, which also offers charms and herbs that purport to prolong sexual encounters or attract secret crushes. Vendors down the street on Calle Linares down to Sagarnaga sell the traditional goods that tourists tend to look for in South America -- colorful hats and scarves made of alpaca and llama wool bearing images of alpacas and llamas, colorful rugs and textiles, jewelry with indigenous designs, all cheaper than you'll find similar items in Peru or Chile.

Street food

At the local markets, tucked among the stalls of clothes and housekeeping products, foreigners can eat like a local at the same prices as a local, $1 to $2 on average. Eating in the street is not for everyone, especially those with sensitive stomachs, but it's worth for the risk for those willing to try. Bolivia is a meat and potatoes kind of country, with a knack for throwing fried eggs on the side and a few pieces of yucca if you're lucky. Women push around carts that double as kitchen counters from which they prepare full course meals, from lechon to empanadas to roasted pork sandwiches. At night, more roving carts appear, offering tripe or hamburgers and hot dogs and salchipapas (sausages and french fries). Fresh fruit juice stands are abundant, but should also be approached with caution. Cups of pear juice with a fuzzy pit resting at the bottom may remind you of the llama fetus at Witches Market, but drink it and you'll be treated to one of the sweetest drinks without artificial sweetener you'll ever try. Don't forget to suck on the pit when you're done!

@highlight

Travelers visiting Bolivia often overlook city of La Paz

@highlight

La Paz offers introduction to blend of indigenous, Spanish traditions

@highlight

Catch a charango jam session at Museo de Instrumentos Musicales

@highlight

Local and tourist markets offer chances to eat like a local