(CNN) -- Kevin Smith used to think he led a comfortable middle-class existence that included a car and a home in a subdivision in Raleigh, North Carolina.

But then he lost his job and felt himself slipping into the have-not corner.

He, like a majority of Americans who responded to a new survey issued Wednesday, believes the gap between America's rich and poor is getting wider. He isn't resentful of people who sleep in mansions and drive swank cars, but he is angry at a system that he says allows the greedy to take advantage of people.

"I am not angry at rich people," said Smith, 51. "I am angry at the people who manipulate the system."

America's top 1% of the population saw their incomes skyrocket by 275% between 1979 and 2007, according to the Congressional Budget Office, creating a disparity that is foremost in people's minds.

Conflict between rich and poor is at an all-time high, at least in the way of public perception, a new Pew Research Center poll shows.

The survey found that 66% of adults believe there are "very strong" or "strong" conflicts between the two groups. That number spiked 19 percentage points since Pew last posed that question in 2009.

"As a result, in the public's evaluations of divisions within American society, conflicts between rich and poor now rank ahead of three other potential sources of group tension -- between immigrants and the native born; between blacks and whites; and between young and old," the survey said.

Author Richard Morin said he was surprised by the magnitude of change and by the uniformity of it. It wasn't just a bunch of young liberals saying it, Morin said. Old and young, rich and poor, liberal and conservative alike agreed that tensions were running high between the social classes.

"That tells us something is very different about the social landscape," he said.

However, the poll did find that younger adults, Democrats and African-Americans are somewhat more likely than older people, Republicans, whites or Hispanics to note strong conflict between rich and poor.

For example, among Democrats in the Pew survey, 73% responded that class conflicts were serious; among Republicans, 55%.

Obviously, Morin said, the downturn in the economy has been a driving force behind public perceptions. Then there was the spread of the Occupy Wall Street movement and the media attention to economic issues.

"These data suggest that it may have left its mark," he said.

But that doesn't necessarily mean the poor are piling on grievances toward the rich. Nor is there growing support for government intervention to close the gap.

"In fact, other questions in the survey show that some key attitudes toward the wealthy have remained largely unchanged," the Pew poll said. "For example, there has been no change in views about whether the rich became wealthy through personal effort or because they were fortunate enough to be from wealthy families or have the right connections."

In the survey, 46% said they believe that most rich people "are wealthy mainly because they know the right people or were born into wealthy families." Almost as many, 43%, said people were rich because of their own hard work, ambition or education, not much different than the 2008 results.

Caroline Gray of Winnetka, Illinois, is only 16 but she is keenly aware of public perceptions.

"I think there definitely is much stronger conflict than there ever was before," she said. "I live in a suburb of Chicago that is very wealthy. I see bad attitudes."

For one, she said, people who are wealthy tell her they are not willing to be taxed on their hard-earned money to help the poor.

"Somehow," Gray said, "they think that they are better.'

Chad Hale, executive director of the Georgia Avenue Community Ministry in Atlanta, senses a greater climate of fear and anxiety among the 275 families his program helps in the way of food.

"It feels like class tensions are rising," he said. "I see it when I look at how those in power act in terms of resources. Those resources are allocated less and less to those who don't have.

"I think there is a general perception that overall, those who have the most have gained it at the expense of those who have the least by paying the least wages possible, by being greedy," Hale said.

Discussion of class conflict reminds Hale of the comic strip "Wizard of Id" when it dealt with the topic of the war on poverty.

"I'm winning," the king replies.

"Those who have the most are winning, and they intend to keep it that way," Hale said. "That's the general sense of the way things are in America."

Pew surveyed 2,048 adults

@highlight

Perception of strong class conflict cuts across incomes, race and ideology

@highlight

A new Pew poll found that 66% of adults believe the conflict is "very strong" or "strong"

@highlight

The economy and Occupy movement have fueled opinion, the survey's author says

@highlight

But key attitudes toward the wealthy are largely unchanged