(CNN) -- Is hip design more important than being green?

Technology giant Apple is catching heat on blogs this week for its decision to drop out of an environmental certification program for electronics, called EPEAT.

"In making this move, Apple is signaling that it won't let future design decisions be governed by those seeking to uphold environmental standards," Erica Ogg writes for the GigaOm blog network.

The decision has some strong ramifications. By U.S. law, 95% of electronics purchases from U.S. federal agencies must be EPEAT-compliant, said Sarah O'Brien, spokeswoman for the group. That probably means Apple desktop and laptop computers can make up a maximum of 5% of federal agencies' purchases, if they can buy them at all. EPEAT doesn't certify tablets or phones, so iPads and iPhones would be OK for the agencies to buy, O'Brien said.

San Francisco also has a rule on the books prohibiting the city from purchasing desktop and laptop computers that are not EPEAT-certified, said Christine Falvey, spokeswoman for the mayor. So the city will not be able to purchase Apple desktops and laptops unless Apple gets the green certification again.

"We hope they reconsider and get back on the EPEAT certification list," Falvey said, "and we'll be reaching out to them to see how we can help understand their decision."

Apple hasn't commented on why it removed itself from EPEAT, which is awarded to electronics that are recyclable and energy-efficient. But EPEAT's CEO, Robert Frisbee, says Apple's "design direction" may be to blame.

"They said their design direction was no longer consistent with the EPEAT requirements," Frisbee told the Wall Street Journal. "They were important supporters and we are disappointed that they don't want their products measured by this standard anymore."

So what's the design hangup?

There's speculation that Apple's new line of "retina display" laptops aren't easily recyclable because their batteries are glued to the aluminum case on the computer.

"At the heart of the controversy is the company's newest MacBook Pro with Retina Display, which Apple designed in such a way that it's difficult to disassemble for the sake of repairs, upgrades, and recycling," wrote InfoWorld.

Apple spokeswoman Kristin Huguet issued a statement to CNN via e-mail: "Apple takes a comprehensive approach to measuring our environmental impact and all of our products meet the strictest energy efficiency standards backed by the U.S. government, Energy Star 5.2. We also lead the industry by reporting each product's greenhouse gas emissions on our website, and Apple products are superior in other important environmental areas not measured by EPEAT, such as removal of toxic materials."

She declined to comment further.

On its website, Apple says the MacBook Pro is recyclable (PDF):

"Through ultra-efficient design and the use of highly recyclable materials, Apple has minimized material waste at the product's end of life. In addition, Apple offers and participates in various product take-back and recycling programs in 95% of the regions where Apple products are sold."

In a statement posted on its website last month, EPEAT did not elaborate on Apple's reasons for quitting the standard, which the company and other industry leaders helped create. "We regret that Apple will no longer be registering its products in EPEAT. We hope that they will decide to do so again at some point in future," the group says.

Greenpeace ranks Apple in the middle of the pack of tech companies -- behind HP and Dell but ahead of Samsung, Sony and others -- in terms of its sustainability and environmental friendliness.

What do you think of the decision? More important, will it affect whether you purchase Apple products?

@highlight

Apple drops green electronics certification called EPEAT

@highlight

The group certifies gadgets as energy efficient and recyclable

@highlight

EPEAT head says Apple's "design direction" may be to blame

@highlight

San Francisco's government says it no longer will purchase Apple products