(CNN) -- The first of twin research spacecraft entered the moon's orbit Saturday, part of an effort to learn more about how it and other terrestrial bodies formed, NASA said.

The GRAIL-A -- which launched from Florida's Cape Canaveral on September 10, along with its sister spacecraft GRAIL-B -- began a "lunar orbit insertion burn" at about 4:30 p.m. ET, NASA said on an associated Twitter feed.

That burn was set to finish around 5 p.m. The second in the pair, GRAIL-B, will follow suit Sunday.

"Burn complete! #GRAIL-A is now orbiting the moon and awaiting the arrival of its twin #GRAIL-B on New Year's Day," NASA's Jet Propulsion Laboratory announced on Twitter.

The two orbiters, each 3 1/2 feet high and 2 1/2 feet deep, are named for NASA's Gravity Recovery And Interior Laboratory.

They will fly in tandem orbits, measuring the gravity field and ideally answering "longstanding questions about the moon and (giving) scientists a better understanding of how Earth and other rocky planets in the solar system formed," according to NASA.

The moon is about 250,000 miles from Earth, a distance that NASA's Apollo crews reached in about three days. But the GRAIL spacecrafts took much longer, namely 3Â½ months, because they covered more than 2.5 million miles "reshaping and merging their orbits" so that they could be better positioned and coordinated to study the moon, NASA said.

The orbiters, whose mission was timed to miss lunar eclipses in December and June, are expected to collect data for 82 days.

Maria Zuber, principal investigator for GRAIL, said the moon remains mysterious in many ways and little is known about the process of how it was formed. Scientists theorize that the moon formed when a Mars-sized object crashed into Earth.

It remains unknown why the near side of the moon is so different from the far side. The basins are flooded with volcanic material on one side, and the other side has mountainous highlands. Why did these sides evolve differently?

"We think the answer is locked in the interior," Zuber said at a NASA news briefing Wednesday.

A study published in the journal Nature over the summer suggested that there may have been a second moon moving at about the same speed as our moon, and in the same orbit.

The second moon bumped into the original moon, the theory goes, and caused the formation of a mountain instead of a crater. This model predicts the whole exterior of the moon was once molten and cooled from the outside in such a way that when the second moon hit our moon, it pushed all of that molten material to the near side.

GRAIL can help test this hypothesis. The spacecraft are designed to help scientists explore the interior of the moon indirectly by measuring the pull of gravity as they fly over the surface. With data about these changes in gravity and topography, scientists will be able to construct a map of what's inside our celestial neighbor.

Scientists wanted the spacecraft to be as small as possible so they could launch in one rocket.

But they weren't sure if the orbiters would make it through eclipses that happen at the moon every six months, since their technology depends on lithium-ion batteries and solar panels.

A lunar eclipse occurred in early December, and the next one is in June. Based on the current performance, scientists think GRAIL can continue through the June eclipse.

Should one of the orbiters completely fail, scientists could not get the high precision they would get from the two spacecraft; the mission depends on having both, Zuber said. If the lunar orbit insertion doesn't happen for one of the spacecraft, there would be another opportunity to try again in late April.

@highlight

NEW: One of two NASA research spacecraft begins orbiting the moon

@highlight

NEW: GRAIL-A and GRAIL-B will collect data for 82 days

@highlight

The mission will help scientists determine what goes on beneath the moon's surface