Washington (CNN) -- The black-robed figure stares straight ahead, stalwart and silent, his head nodding appreciatively. He carries a big stick, which happens to have an American flag attached. And the man proudly stands on a toy truck and a pair of pizza boxes.

Say hello to the Justice Clarence Thomas Annotated Bobblehead, about the closest thing a member of the Supreme Court gets to collectible immortality.

The sought-after doll -- it's OK to call them dolls -- is the latest release in a pantheon of justices past and present honored in cold-cast ceramic.

"We have fun doing this, but it is a respectful project," said Ross Davies, a law professor at George Mason University in Virginia and the creator of the series. "The rule of the bobblehead toy is that it's not a joke. There's a lesson here. We're trying, in some way, to portray the important work of the court."

The 6-inch limited edition figures originated eight years ago with then-Chief Justice William Rehnquist. Davies arranged to have the bobblehead just appear on his desk blotter one morning. Court sources say the chief justice loved it so much, he kept it in his office. Seven other current or recent justices have since been immortalized in pop culture history.

The Thomas doll will be released in the fall, tied to the 20th anniversary of his service on the high court. It is not sold in stores, available only to subscribers of Davies' engaging law journal The Green Bag (www.greenbag.org). Other legal aid groups also have been provided free copies, for nonprofit fundraising and promotion. They have become real collectors items for the small but influential constitutional and appellate law community. Former law clerks of the honored justices in particular have been known to use all influence possible to secure the keepsake.

"We make them for the joy of it, and then we give them away," Davies said.

Thomas is portrayed with the meticulous care that emphasizes his particular jurisprudence. In the 63-year-old justice's case, it's his views on federalism, the idea that the Constitution should be interpreted today as the founders had envisioned, rejecting calls by some progressives that the document should be considered in the current ever-changing social and political context.

The flag Thomas is holding refers to a concurrence in a 2004 case over whether the Pledge of Allegiance should be recited by children in public schools.

The jackknifed blue truck refers to a 1995 opinion written by Thomas dealing with whether individual lawsuits in state courts against a company over a pair of serious accidents would interfere with existing federal law.

And the pizza box was inspired by his famous quote on a case over whether cable firms had to open their lines to high-speed Internet competition.

"One can pick up a pizza rather than having it delivered, and one can own a dog without buying a leash," Thomas wrote in 2005. "By contrast, the (Federal Communications) Commission reasonably concluded, a consumer cannot purchase Internet service without also purchasing a connection to the Internet."

"The hard part when designing the bobbleheads is to visually depict the court and its work," said Steve McAllister, a University of Kansas Law School professor who collaborated on the design. "The court is so serious -- big cases and controversial decisions. This is a more light-hearted approach, a way to illustrate their work in a fun but intellectually thoughtful way."

McAllister also clerked for Thomas in his first year on the court in 1991. Court sources say the justice was especially impressed and amused with his image and the highlighted jurisprudence. Unlike the mass-produced bobbleheads, each justice is personally presented with just one of two handmade versions of their head-swiveling likeness.

Next up for bobblefication is Justice Ruth Bader Ginsburg, perhaps next year.

But at least one other member of the court has received the pop memorabilia treatment: Sonia Sotomayor was the subject of a comic book last year -- "Female Force" -- chronicling her pioneering work as the nation's first Latina justice. Sadly, she was portrayed wearing her robe rather than a cape with a Superwoman-like "S" on it.

Justices go on business trips too

Italy. Austria. Canada. Switzerland. Resorts in Lake Tahoe and Geneva. Summer means quiet days at the Supreme Court as the justices enjoy their nearly three-month recess. But away from the bench, few have time to laze around the house on a "stay-cation."

Travel plans will take most of the court around the world on separate teaching and speaking stints. Justice Antonin Scalia may be the busiest. He will conduct several classes this month in the Swiss Alps at the Geneva Institute in Transnational Law, co-sponsored by Duke University.

In September, he does the same for a Federalist Society seminar on "Separation of Powers" at a fancy resort in California's Sierra Nevada.

Scalia and colleague Justice Samuel Alito will lead separate study-abroad stints in Rome for law students. Italy seems to be a popular destination. Chief Justice John Roberts conducts a law class in Florence, sponsored by Penn State University.

And in neighboring Austria, Justice Anthony Kennedy continues his annual summer teaching symposium in quaint Salzburg.

Justice Stephen Breyer will also rack up many air miles. He also goes to Toronto and Vermont for speeches and then to Fargo, North Dakota, where he'll dedicate a new high school. He also recently appeared with former colleague Sandra Day O'Connor at the Aspen Ideas Festival. Ginsburg also spoke at this gathering of newsmakers, and Justice Elena Kagan visits the Rockies resort town next month.

Under federal guidelines, members of the high court can accept up to $25,000 or so in extra income for teaching and speaking engagements, in addition to their judicial salaries of $213,900. Roberts earns a little extra: $223,000.

It is not known whether Sotomayor will be traveling to exotic locales. She will be busy this summer trying to finish her autobiography, after signing a lucrative book deal last year that included a $1.175 million advance.

As for Thomas, he prefers to spend his free time tooling around the U.S. with his wife, Ginni, in their 40-foot recreational vehicle. You might spot them at a local Wal-Mart parking lot or a campsite. They have visited more than 30 states in recent years.

@highlight

Seven current or recent justices have been made into dolls

@highlight

Thomas doll will be released this fall in honor of his 20th anniversary on court

@highlight

Justices rack up the airline miles with summer engagements