What happens now?

Australian officials have said they don't think missing Malaysia Airlines Flight 370 is in the patch of the southern Indian Ocean where underwater pings were picked up last month.

Australian Prime Minister Tony Abbott said in early April that authorities were "very confident" the signals were coming from the plane's flight recorders, raising hopes of closure among some of the families of the 239 people on board the passenger jet.

But after spending weeks scouring the bottom of the ocean roughly 1,600 kilometers (1,000 miles) off Western Australia with a high-tech unmanned submarine, the searchers have drawn another blank, deepening the mystery surrounding the Boeing 777's fate.

Officials say they are still trying to figure out the source of the signals that led the search for the past seven weeks.

More than 11 weeks after Flight 370 dropped off radar screens over Southeast Asia on a scheduled flight to Beijing, officials in charge of the hunt are drawing a line through the ping-centered search and moving on to the next phase.

Where does the search go next?

The underwater search area guided by the pings covered more than 850 square kilometers (330 square miles). With that zone now ruled out, Australian authorities, who have been coordinating the search in the southern Indian Ocean, say attention will shift to a new area as large as 60,000 square kilometers.

That's roughly the size of West Virginia.

"The search will be a major undertaking," the Australian Transport Safety Bureau (ATSB) said this week. "The complexities and challenges involved are immense, but not impossible."

The underwater search will remain in the same overall region, as officials are basing their focus on an analysis of satellite, radar and other data that concludes the plane ended up somewhere along an arc stretching into the southern Indian Ocean.

"What has not changed at this stage is the belief that, after weeks of research and re-analysis, that the Inmarsat data is correct and that they are looking broadly in the right area," said Geoffrey Thomas, the editor in chief of Airlineratings.com, referring to the satellite data provided by the British company Inmarsat.

"Now clearly, we were hoping that the pings would narrow that broad area down to a narrow one, but that has not been the case, and now we have to unfortunately go the long road," Thomas told CNN.

Will they start searching the new area immediately?

No. In fact, it hasn't yet been fully mapped out.

The ATSB said this week that it's reviewing existing information from experts in order to refine the new zone.

Meanwhile, a specialized Chinese ship, the Zhu Kezhen, has begun mapping the ocean floor in some areas already picked out by the ATSB. A contracted commercial survey vessel will join those efforts next month.

It's unclear how deep the water is in these areas because "it's never been mapped," Australian Deputy Prime Minister Warren Truss said earlier this month. Officials say depths are likely to exceed 6,000 meters (20,000 feet).

The survey will take about three months and "give us crucial knowledge of the seafloor terrain needed to begin the underwater search," the ATSB said.

Who will do the actual searching?

That's still being figured out.

The Bluefin-21, the robotic submersible supplied by the U.S. Navy that has been searching the area where the pings were detected, has reached the end of its mission.

Search officials are regrouping and preparing to identify and deploy other high-tech equipment. But that's going to take some time -- up to two months, if not longer, according to Australian authorities.

Officials say they want the next phase of the underwater search, which could take up to a year, to be led by a single private contractor who will bring together and manage several underwater assets in the search zone.

Search coordinators say they are looking for sonar equipment that can be towed by a ship, an autonomous underwater vehicle with a mounted sonar device and optical imaging equipment.

Some towed sonar devices, such as the U.S. Navy's Orion, can transmit data to the surface in real-time. They also have the capability of scanning a larger area than the Bluefin, which was limited to about 40 square kilometers during each mission.

Only a handful of companies have such devices.

Australian authorities say they plan to post their request for tenders for the next phase of the search in the coming days.

Who's going to pay for it?

That's another issue that isn't clear yet.

Australia has estimated the next phase of the search will cost $60 million, with the breakdown of exactly who's going to pay for what yet to be announced.

While 26 countries have participated in the hunt for the missing plane, Malaysia, China and Australia have held high-level talks about the future of the search.

Malaysia is where the plane is from, most of the people on the flight were Chinese, and Australia had six passengers on board and is closest to the remote part of the Indian Ocean where searchers have focused their hunt.

The United States has contributed a range of assets to the search so far, including the Bluefin-21, which costs an estimated $40,000 a day to operate.

Are the searchers still looking in the right place?

Australian officials say they remain confident in the conclusion -- reached by a team of experts from Boeing and aviation authorities around the world, including the United States and Europe -- that Flight 370 ended its journey in the southern Indian Ocean.

Despite questions from independent experts, Inmarsat says it stands by its analysis of a series of communications between the plane and the company's satellite system that provided a key part of the conclusion about the jetliner's path.

Earlier this week, Malaysian authorities released the satellite data from Inmarsat, meeting a long-standing request of some passengers' families who were unsatisfied by authorities' explanation of the plane's fate.

Independent experts are now studying the data to see whether they agree with the official view.

@highlight

The new search area is roughly the size of West Virginia

@highlight

The ocean floor still needs to be mapped before searching can begin

@highlight

Australian authorities plan to find a private contractor to conduct the search

@highlight

Officials say they remain confident the plane is in the southern Indian Ocean