(CNN) -- Governments and charities have spent billions to try to wipe out poverty, but award-winning economist Esther Duflo says we really don't know if that money has been well spent.

But as a result of Duflo's pioneering work, we may be getting some answers to that question. The Massachusetts Institute of Technology professor has led the way in showing how the scientific method can be applied to determining what policies actually work.

Duflo last month won the John Bates Clark Medal, which is awarded to an American economist under the age of 40 who has made the "most significant contribution to economic thought and knowledge."

In her talk at the TED2010 conference in Long Beach, California, Duflo pointed out that Africa has received a great amount of development aid, but the African economies have not made a lot of progress in improving their gross domestic product.

"If we don't know whether we are doing any good, we are not any better than the medieval doctors and their leeches. Sometimes the patient gets better, sometimes the patient dies. Is it the leeches? Is it something else? We don't know."

Read more about Esther Duflo on TED.com

In three areas, Duflo said her research techniques can help answer vital questions:

• Giving away bed nets treated with insecticide to prevent the spread of malaria works, despite fears by some that free nets would not be valued by recipients and might be used instead as fishing nets.

• If you want to enhance the effectiveness of the educational system in a developing country, you can sometimes have a great impact by indirect means. For example, if the nation is one where children suffer from intestinal worms, spending $100 on deworming the children can be many times more effective in getting them educated than simply spending the $100 on paying for teachers, school meals and other school expenses.

• In the Indian state of Rajasthan, Duflo found that by creating a monthly camp and giving away kilo-sized bags of lentils, there was a significant increase in the number of parents who brought their children to be immunized with potentially life-saving vaccines.

Duflo said, "It's not the Middle Ages anymore. It's the 21st century. And in the 20th century, randomized, controlled trials have revolutionized medicine by allowing us to distinguish between drugs that work and drugs that don't work. And you can do the same randomized, controlled trial for social policy. You can put social innovation to the same rigorous, scientific tests that we use for drugs."

@highlight

Esther Duflo: We don't know if billions in aid to fight poverty actually worked

@highlight

She says scientific method can determine which policies work

@highlight

Duflo received award as most accomplished American economist under the age of 40