(CNN) -- Being nice to others and cooperating with them aren't uniquely human traits. Frans de Waal, director of Emory University's Living Links Center at the Yerkes National Primate Research Center in Lawrenceville, Georgia, studies how our close primate relatives also demonstrate behaviors suggestive of a sense of morality.

De Waal recently published a book called "The Bonobo and the Atheist: In Search of Humanism Among the Primates," which synthesizes evidence that there are biological roots in human fairness, and explores what that means for the role of religion in human societies. CNN's Kelly Murray recently spoke with De Waal about the book.

More about de Waal's research

CNN's Kelly Murray: Tell us about the title of your book.

Frans de Waal: Well, the reason I chose that title is, when I bring up the origins of morality, it revolves around God, or comes from religion, and I want to address the issue that I think morality is actually older than religion. So I'm getting into the religion question, and how important is religion for morality. I think it plays a role, but it's a secondary role. Instead of being the source of morality, religion came later, maybe to fortify morality.

CNN: How would you say that ethics or morality is separate from religion?

De Waal: Well, I think that morality is older. In the sense that I find it very hard to believe that 100,000 or 200,000 years ago, our ancestors did not believe in right and wrong, and did not punish bad behavior, did not care about fairness. Very long ago our ancestors had moral systems. Our current institutions are only a couple of thousand years old, which is really not old in the eyes of a biologist. So I think religion came after morality. Religion may have become a codification of morality, and it may fortify it, but it's not the origin of it.

CNN: Why do people need religion?

De Waal: Well, that's a good question. I'm struggling with that. I'm personally a nonbeliever, so I'm struggling with if we really need religion. ... I'm from the Netherlands, where 60% of the people are nonbelievers. So in northern Europe, there are actually experiments going on now with societies that are more secular, to see if we can maintain a moral society that way, and for the moment I would say that experiment is going pretty well. ... Personally I think it is possible to build a society that is moral on a nonreligious basis, but the jury is still out on that.

CNN: So do you believe that people are generally good?

De Waal: Yeah, my view is that you have two (kinds of) people in the world. You have people who think that we are inherently bad and evil and selfish, but with a lot of hard work we can be good, and you have other people like myself who believe that we are inherently good. There's a lot of evidence on the primates that I can use to support that idea that we are inherently good, but on occasion when we get too competitive or frustrated, we turn bad.

CNN: So when the stakes are higher for survival, we're more individualistic than group-oriented?

De Waal: Oh no, we very much survive by group life. Humans are not able to survive alone. For example, solitary confinement is one of the worst punishments we can give. We are not really made to live alone, we would not survive, and so when things get tough we would actually come together more and be more social when things get tough.

CNN: Can you talk about how being nice to another individual helps you?

De Waal: Sometimes people put that in a very narrow sense, and they say that everything that humans do or that animals do needs to have a payoff, but that's not true. The example ... of adoption of children, I basically think it's a costly act with no payoff, and these things happen in animals also.

Animals sometimes help each other even between species. Dolphins may help human swimmers, and I don't think the dolphins get much out of it. So individual acts don't necessarily need to have a payoff. So they are not selfishly motivated.

They are really altruistic, but you have the tendency to help, and to have empathy for others in general, on the average, is beneficial. Because you live in a group, you depend on these others, so you need to care about these others also because your survival depends on group life, and so there is some sort of general payoff, but people often think in terms of each individual act needs to (reap) some benefit but that's not necessarily true.

CNN: Tell us more about the origins of empathy.

De Waal: We think that the origin of empathy, in the mammals at least, has to do with maternal care. So a female, whether you're a mouse or an elephant, you need to pay attention to your offspring, you need to react to their emotions when they're cold, or in danger, or hungry, and that's where we think the sensitivity to others' emotions come from.

That also explains why empathy is more developed in females than males, which is true in many animals, and it's true for humans, and it explains the role of oxytocin. Oxytocin is a maternal hormone. If you spray oxytocin into the nostrils of men and women, you get more empathic (empathetic) reactions from them, and so the general thinking about empathy is that it started in the mammals with maternal care, and then from there it spread to other relationships. So men can definitely have empathy, but they on average have a little bit less of it than women.

CNN: By empathy, you mean that they feel each others' pain?

De Waal: Well, feeling someone else's joy is also empathy. Being affected by the laugh, as humans are, is a form of empathy. So empathy basically says that you're sensitive to the emotions of others and react to the emotions of others.

Sympathy is a bit more complicated. Sympathy is that you want to take action. You want to help somebody else who's in trouble. So sympathy is a bit more specific, it's a bit more action-oriented. Empathy is just a sensitivity. Empathy is not necessarily positive. If someone wants to sell you a bad car for a high price, he also needs to empathize with you in order to get you to buy it. So empathy can be used for good purposes; I think most of the time it is, but it is not always used for good purposes.

CNN: In your book, you talk about a female primate who is crouching down giving birth while the rest of the group gathers around, and one of the other females is crouching and acting like the one giving birth. Would that be an example of empathy?

De Waal: Yeah, that's an act of mimicry and synchronization, which is the first form of empathy. If you talk with a sad person, you're going to have a sad expression on your face. You're going to feel sad very soon. That is the body channel of empathy. You synchronize with the other, and that female in the birthing scenario was synchronizing with the other. It's a very early form of empathy; we call it "modes of mimicry," when you do the same thing as somebody else. The body channel of empathy is very important to us and we rely on it every day. If you talk with people and you adopt their facial expressions, they will be laughing, you will be laughing, and so on.

CNN: Different cultures of humans have different ideas about morality. Is it the same way in primates? Do different groups of primates have different cultures and ways of interacting with each other?

De Waal: We do think that primates have different cultures. One group behaves quite differently from another one. I'm not sure that I would say they have different moralities, but they may have different styles of interacting. But (with) the human variation in morality, one society may have different moral rules than another one.

In our current society in the U.S. we have debates about gay marriage, abortion - we have a lot of moral debates going on, and years from now we will believe different things from what we believe now, and so morality changes as a result of society, and that means you should not look for specifics of your morality in biology.

Biology provides some of the general primate psychology that we have, like pro-social tendencies, sense of fairness, following rules. Our primate background provides that kind of thing, but the specific rules that our society adopts are not contained in biology, and sometimes people confuse that when I say that morality is contained in our biology, that every rule we follow has to come out of biology. I don't think it works that way. I think that we have general tendencies that come from our primate ancestors, and we turn that into our moral system that is suitable to our way of living.

CNN: Is there anything we can learn from animals about how to live a good life?

De Waal: I don't think I can give you specific lessons for your life out of my animal studies, but I do think the animal studies have some sort of general message that is important.

Instead of looking at human morality as something we design in our heads â€” the philosophers want us to believe that by logic and reasoning we arrive at moral principles â€” I think it works very differently. We have a lot of feelings and tendencies that drive us to moral solutions, and yes, we often then later try to justify these solutions and come up with reasons for them, but that's often secondarily.

In primate behavior we can see they have a sense of fairness. They have empathy: they enforce rules among themselves, they can delay gratification and they can control their impulses. So many of these tendencies that go into our moralities can be found in other animals, but instead of them coming from logic and reasoning, they actually come from our primate psychology most of the time.

@highlight

Frans de Waal authored a book about biological roots in human fairness

@highlight

His research suggests morality is older than religion

@highlight

"We do think that primates have different cultures"