(CNN) -- A year ago, Bo Xilai was one of the most powerful and talked-about politicians in China. He was a member of China's ruling body, the Politburo, and he seemed to have a shot at gaining a seat on the key decision-making unit within it, the Standing Committee.

But on March 15, he was removed from his post as the party secretary of Chongqing. Today, he's still one of the most-talked about men in China, not for how far he'll rise but for how far he's destined to fall.

Charismatic and determined, Bo was primarily known for launching bold initiatives, such as encouraging the mass singing of "red songs" (revolutionary anthems from the days of Chairman Mao Zedong) and pushing for high-profile drives to rid his inland, south-central city of organized crime.

The rise and fall of China's Bo Xilai

The circumstances surrounding Bo's fall are intriguing. Was it a power struggle or did he flout the law? In February, one of Bo's top lieutenants, whom he abruptly demoted, went to the U.S. consulate presumably to seek political asylum. Last week, the British government asked the Chinese government to investigate the mysterious death of a British businessman who claimed to have close ties to Bo's family.

Despite this drama, Chinese leaders are hoping to minimize disturbances ahead of the major leadership transition of the Communist Party in the fall. So, what can we learn from this strange tale so far?

1. No matter how unified the leaders at the top of China's power structure seems, there are bound to be fissures.

Factional divides might be linked to a number of factors, such as personal style, family history, regional identity or ideology. After the Tiananmen protests of 1989, China's leaders tried to show that factionalism was a thing of the past. But today, we know fissures may be hidden but can surface anytime.

Bo Xilai and the politics of Chinese succession

Riding on his popularity before his fall, Bo took the step of trying to secure a seat on the Standing Committee by an unusual method. He seemed more like someone campaigning for votes rather than striving simply to get a nod of approval from the top Chinese leaders. In a country that has very limited democracy and only local elections, this seemed out of place.

2. Historical symbolism can be useful, but it can turn into political dynamite.

Bo's rise was helped by his skill at playing to nostalgia for specific aspects of the Mao years. His promotion of old nationalist songs and presentation of himself as a fearless crusader against corruption and urban crime won him broad praise and support. But invoking the Maoist past proved to be a double-edged sword.

The first clear indication that Bo was about to fall came when Premier Wen Jiabao gave a speech in March when he talked of the danger of any recurrence of "Cultural Revolution" patterns. To invoke the specter of the Cultural Revolution is always to conjure up images of destabilizing "turmoil" of a kind most Chinese would rather never see again. Bo's tactics made it all too easy for his political opponents to call him out.

3. Purges in China are unpredictable.

It's hard to figure out what to call what has happened to Bo, who has been demoted but not detained and retains membership in the Politburo. He is definitely on the outs, so the term "purge" comes to mind, but the story is not finished.

Consider Hua Guofeng, Mao's immediate successor, who was pushed aside after a few years by Deng Xiaoping, yet lived out his days as a minor official. Or Deng himself, who was in favor, out of favor and then back in favor as the leader of the Communist Party.

At the other end of the spectrum is Zhao Ziyang, a chosen successor to Deng who was ousted for taking too lenient a stance toward the 1989 protests and remained under house arrest until his death. And powerful mayors who were made scapegoats for anti-corruption drives and eventually executed. We just don't know at what point on this spectrum Bo will end up.

Bo's story seems hard to follow for outsiders, but nonetheless, it's worth watching.

In China, the most important leadership decisions are made by small groups huddling behind closed doors. This means that unexpected incidents such as Bo's fall offer precious if hard to decipher signs. Chinese high politics remains a black box in many ways, and like those in airplanes, its secrets will only be revealed when there's a crash. There's no indication of that happening to the Communist Party anytime soon, so for now we should make the most of the hints.

One thing we can be sure of: We haven't seen the last of factional politics in the Communist Party.

Perhaps the strongest evidence of this is how the official press has been full of statements about the leadership being unified. When this sort of message is made too forcefully, there is likely widespread anxiety about its truthfulness.

The opinions expressed in this commentary are solely those of Jeffrey Wasserstrom.

@highlight

Bo Xilai, once a powerful politician in China, was removed from his post in March

@highlight

Jeffrey Wasserstrom: Bo's story is intriguing -- was it power struggle or did he flout law?

@highlight

He says incidents like Bo's fall offer precious clues about state of Chinese government

@highlight

Wasserstrom: Factional politics indicate Communist Party is not as unified as it seems