(CNN) -- It was a year of crippling -- and creative -- hacks, a year of blockbuster sequels and (yet again) a year of slinging vengeful birds at corpulent pigs.

It was also a year in which gaming continued to expand beyond the traditional console to your phone, your tablet, your TV and your Facebook page.

Video gaming in 2011 had plenty of ups and downs -- and we're not even talking about the actual video game titles that were released.

Here, in no particular order, are our choices for gaming's 10 biggest stories of the year:

Sony's PlayStation Network hacked

While the explosion of social and mobile gaming continues, a hacking incident focused attention on the perils of gaming online.

In April, Sony confirmed that its PlayStation Network, the online service that has more than 77 million users and allows online play for its PS3 consoles, was hacked and taken offline.

The episode was more than just a denial-of-service attack. Sony said that personal data, including users' credit card information, was compromised. While Sony stopped short of saying "stolen," the company recommended that its customers keep an eye on their credit card accounts and watch out for identity theft.

Some gamers lacked access for weeks, and the network was not fully restored until early June. After the fix, Sony offered special incentives to woo back customers.

But in October, the PlayStation Network was hacked again -- this time affecting "only" 93,000 accounts. Sony said the lessons they learned from the April hack prevented more information from being illegally accessed. A teenager in London was quickly arrested in connection with the crime.

Game-related hacking in 2011 wasn't just a PlayStation problem. Earlier in the year, the hacker group LulzSec released a data file with names, e-mail addresses and passwords they said could be used to get into the accounts of Microsoft's Xbox Live members.

The growth of mobile and social gaming

Game developers increasingly recognize they can reach new audiences with games that are designed to be played quickly and with others via PCs or wireless networks.

Zynga, the social-game developer behind "CityVille," "FarmVille" and "Words With Friends," went public in 2011 and began trading on NASDAQ. Its stock has fizzled so far, but that hasn't stopped rivals from muscling into the market for social and mobile gaming.

Companies are developing more games for smartphones and tablets and incorporating social features to let players around the world connect to enjoy games together. Atari changed its mission to work exclusively on social and mobile gaming, while publishers like Electronic Arts continue to push big names (the "Madden" series) to the small screen.

Meanwhile Google launched a gaming page on its new Google Plus social network, and Apple added a "Game Center" to its popular iPhone.

Blockbuster game sales

You know gaming is big when the release of a title smashes entertainment records for sales.

For the third consecutive year, the "Call of Duty" franchise raised the bar. "Call of Duty: Modern Warfare 3" earned more than $400 million while selling more than 6.5 million units in North America and the United Kingdom in the first 24 hours.

If that wasn't enough, the military shooter game totaled more than $775 million in sales during the first five days. "Modern Warfare 3" also broke the record for peak concurrent players on Microsoft's Xbox Live online gaming service.

According to Activision Blizzard, the all-time sales for the "Call of Duty" franchise exceeds worldwide box office sales for the "Star Wars" and "Lord of the Rings" movies. There were more than 13,000 midnight openings at retail stores worldwide for the release of the new title.

Last year, "Call of Duty: Black Ops" sold $360 million worth of units on its first day while "Call of Duty: Modern Warfare 2" earned $310 million on its first day in 2009.

More than a gaming device

Microsoft introduced its Kinect system for the Xbox in 2010 to expand motion-controlled gaming beyond the wrist to the whole body. In 2011, creative people found new ways to hack the device, employing its cameras and sensors for more than just play.

Some people have used the Kinect to create lifelike movies with computer-generated figures. Others use it to manipulate video playback.

And other hackers even found ways to use Kinect as a watchdog for your home. A program turns on Kinect when it senses motion nearby and takes pictures of the "intruders" -- whether a burglar or the family dog -- to be stored online.

3-D games in your hand

With much fanfare, Nintendo released a new handheld console in early 2011 that lets players experience 3-D visuals without the use of special glasses. The Nintendo 3DS was supposed to revolutionize the gaming experience.

But by August, Nintendo dropped the price on the device by $80 after demand for it was softer than expected.

To appease early adopters who bought the 3DS at the higher price, Nintendo offered 20 free downloadable games.

The device also suffered from a perception problem about health risks. The company warned the 3-D mode should not be used by players 6 years old and younger. While there has been no scientific data showing that 3-D harms the development of eyesight in children, some players did report experiencing headaches after hours of continuous playing.

"Angry Birds" takes on the world

Casual game "Angry Birds," already a hit in 2010, became a full-fledged phenomenon in 2011.

The game, in which people advance to new levels by toppling structures occupied by egg-stealing pigs, appeared in commercials and as stuffed toys. Also in the works are an animated series, a possible feature film and a series of books, including a cookbook of egg recipes.

Notable fans include NBA star Kevin Durant and British Prime Minister David Cameron, who plays the iPad version of the game. "Angry Birds" has even inspired a form of yoga.

Game creator Rovio says players have slingshot more than 100 billion virtual birds in the game's many versions -- more birds than actually exist on the planet.

New hardware coming

This year, two major gaming hardware companies announced new gaming consoles.

At the Electronic Entertainment Expo in Los Angeles, Sony showed off its new handheld game console, the PlayStation Vita, while Nintendo introduced its newest home console, the Wii U.

The first major refresh for the Wii in several years, the Wii U is expected to be fully backwards compatible with the Wii. The controller will have an embedded single-touch screen, and the console will produce high-definition graphics. No price has been announced for the console, which will be released after March 2012.

The PlayStation Vita, Sony's new handheld console and the successor to the PSP, was released in Japan in December and is expected to North America and the UK in February. It boasts touch screens on the front and back as well as dual analog joysticks. Vita will also be available in two versions: one with 3G support and one without.

A more affordable PS3

Perhaps feeling the heat over the PSN hacking problems, Sony cut the price of its flagship console, the PlayStation 3.

The price drop of about $50 put the cost on par with the rival Xbox 360. Some analysts wondered whether Microsoft would respond with an Xbox price drop of its own, but that never happened.

Buoyed by Xbox-exclusive hits like "Gears of War 3," the Microsoft system remained the top-selling gaming console in the U.S.

Moving from subscription to free-to-play

"World of Warcraft" has been the most successful subscription-based entry in the awkwardly named category of massively multiplayer online role-playing games (MMORPG), with 10.3 million subscribers as of November.

So it stands to reason that others would try to take a slice of that very large pie.

Perhaps the most notable was "DC Universe Online," which was released in January and tried to capitalize on the power of DC Comics. The game let players act out their comic hero/villain fantasies in the DC Universe and interact with iconic characters like Superman, Joker and Wonder Woman.

Initially, players paid a monthly fee (around $15 in the U.S.), but by September, there were reports that the game was not doing as well as Sony, Warner Bros., and DC Comics would have liked. In November, the game became free, but it offered players the option of paying within the game to access new levels.

The strategy worked, as "DC Universe Online" saw a tenfold increase in its user base.

The season of '3'

Finally, you can't talk about the year in gaming without talking about games. As always, many of the popular franchises produced sequels, with many of the blockbuster shooter titles sporting the number 3 in their titles.

"Call of Duty: Modern Warfare 3," "Battlefield 3" and "Gears of War 3" all brought back familiar violent gameplay and characters while putting them in new scenarios.

"Uncharted 3," featuring the treasure-seeking ways of Nathan Drake, closed out that franchise. "Resistance 3" also brought an end to the alien invasion of Earth. And "F.E.A.R 3" finally stopped making us dread little girls in darkened hallways.

X-Play host Morgan Webb said all these sequels and finale installments are happening for a reason: New consoles are coming in the near future.

"We're nearly at the end of a console cycle, so series that have begun at the beginning of the console cycle, they're starting to finish up," she said. "People have made the investment in the franchise and they've got the art together and they don't want to create something completely new when new consoles are starting to be on the horizon."

@highlight

The top gaming stories of 2011 revolved around hacks, sequels, innovation

@highlight

It was the year of 3 : "Modern Warfare 3," "Uncharted 3," and "Battlefield 3"

@highlight

Hackers created new uses for Microsoft's motion-controlled Kinect system

@highlight

"Angry Birds" moved from just a game to pop culture phenomenon