United Nations (CNN) -- Last year, the U.N. Security Council authorized "all necessary measures" to stop the violence when the nation in question was Libya. It has come nowhere close to that on Syria, where the United Nations estimates more than 5,000 people have been killed since March. Why?

Diplomats say the answer is simple: Russia. Tensions between Russia and the other permanent members of the Security Council have always been a factor. But diplomats say that Russia's conduct in its refusal to condemn Syria, or even negotiate on resolutions in good faith, have reached new lows.

At this point, the only way Western diplomats believe the Security Council will be able to pass a resolution on Syria is with a request for intervention from the Arab League. Russia and China abstained from the vote on Libya after the Arab League and the African Union requested UN involvement in that country.

In October, Russia and China issued a rare double veto of a sanction-less resolution that would have condemned the violence in Syria.

Though China joined Russia in its veto on Syria, and India, Brazil and South Africa abstained, diplomats say that it is Russia that has been taking the lead in opposition to action.

In Russia's view, NATO overstepped the Security Council's mandate in Libya, and they fear a similar mistake being made in Syria. Though Western diplomats insist they have not proposed anything approaching military intervention, Russia insists that the Syria crisis should be solved internally.

"I think Libya has been beat to death, overused and misused as an excuse for countries not to take up their responsibilities with respect to Syria," Susan Rice, U.S. ambassador to the United Nations, said.

Last month, Russian U.N. Ambassador Vitaly Churkin pushed the Security Council to open an investigation into civilian deaths in Libya. European and American diplomats immediately called foul.

"Is everybody sufficiently distracted from Syria now?" Rice asked the media after a meeting called by Russia. "Let us see this for what it is. That this is duplicative, it's redundant, it's superfluous, and it's a stunt."

"This is not the kind of issue which can be drowned in expletives," Churkin countered the next day. "You cannot beat a Stanford education, can you?" referring to Rice's alma mater, saying she should be "more Victorian."

Shortly thereafter, Rice's communications director tweeted a picture of Churkin's face superimposed on the Grinch, with the text "rough day at the Security Council." (Churkin later said that he "thought it was a nice joke.")

Despite Rice's high-profile tit-for-tat with Churkin, it is the four European countries on the Security Council, not the United States, that have taken the lead on issues Libya and Syria.

Photos: Rare look inside Syria | Divisions deepen

Those countries -- France, Germany, Portugal and the United Kingdom -- have expressed deep frustration at Russia's scuttling of attempts at a resolution.

In December, Russia held the rotating presidency of the council, which gave it significant power to determine the agenda. Diplomats complained of having to fight tooth and nail for even routine briefings.

A senior Western diplomat said that Churkin routinely interrupted other diplomats and cut off debate. Churkin's conduct was "outrageous" and "disrespectful," the diplomat said, who had "never seen anything like the atmosphere in the Security Council now."

Western Diplomats admit that Russia has been using its close relationship with Syria to apply pressure on Syrian President Bashar al-Assad. But their criticism of Churkin's conduct at the Security Council is unequivocal.

"Churkin is practicing shoe diplomacy," another senior Western diplomat said, referring to Soviet Premier Nikita Krushchev's famous shoe-banging speech in the General Assembly.

"Russia and Syria are the last two members of the Warsaw Pact, and Russia is behaving in an imperialistic manner," another Western diplomat said.

Churkin does not disagree that the mood is contentious. But he says that the root cause is a "my way or the highway" attitude. He called December the toughest of his five separate month-long terms at the helm of the Security Council.

"There is a lot of nervousness, a lot of expectations that things are going to be done my way or no other way," Churkin said. "That what I need to have, I must have now. ... I think that if this trend were to continue it might seriously hurt the ability of the Security Council to work."

Russia surprised even its allies last month when it introduced its own draft resolution condemning the violence in Syria. Publicly, Western diplomats seemed encouraged by the move but privately were deep cynical.

Western Diplomats said Russia had expected the Europeans and Americans to reject the draft out of hand, because it did not include some of the provisions they consider non-negotiable. (And, for example, they say it drew an unacceptable equivalence between violence perpetrated by the government and violence perpetrated by protesters.)

Since then, Western diplomats say that Russia has not engaged in negotiation on their proposed additions.

They also complain that Churkin has misrepresented to the media the content of closed Security Council meetings. He claims productive work on the draft Syria resolution, they say, when in fact he has been stonewalling.

"We are working all the time," Churkin said Tuesday of Russia's draft resolution.

They have not held a single negotiation on the text since Christmas, Western diplomats say.

Western diplomats admit that when it comes to Syria, they are at a "dead end." The only way around it -- the "only game in town," as French U.N. Ambassador Gerard Araud says -- is the Arab League.

The Arab League has a group of observers in Syria, who were sent there to gauge the situation on the ground. Their report is expected on January 19.

If that report is unequivocal about the Syrian government's culpability -- an outcome Western diplomats admit is a long shot -- then they may have enough political capital to push forward. And in-person briefing from the Qatari prime minister, who has been very outspoken on Syria, or the secretary general of the Arab League, may help to push Russia, they say.

The Arab League report, a Western diplomat said, is a necessary condition for action. But it may not be sufficient.

@highlight

Western diplomats say Russia is stonewalling all efforts to deal with Syria

@highlight

The diplomats say best hope for action is request for intervention from Arab League

@highlight

Russia believes NATO overstepped in Libya and doesn't want a repeat in Syria

@highlight

Russia's U.N. ambassador on a draft resolution on Syria: "We are working all the time"