(Health.com) -- New parents, particularly mothers, devote so much time and energy to their children that they often fail to adequately look after their own health, a new study in the journal Pediatrics suggests.

The study, which followed about 1,500 high school students into their mid-20s, found that those who became parents got far less exercise than their childless peers.

For moms, the news gets worse: Unlike fathers, mothers tended to have a higher body mass index (BMI) and less healthy diets than women of the same age without kids.

The mothers in the study averaged about 400 calories more per day than other women. They also consumed more saturated fat, ate fewer green vegetables like broccoli and spinach, and drank nearly twice the amount of soda, sports drinks, and other sugary beverages.

The researchers found no such differences among men.

Health.com: 25 ways to cut 500 calories a day

Mothers, who are usually the primary caregivers in a household, may have little time to prepare healthy meals for themselves in addition to what they fix for their children, and so they may be apt to fall back on quick-and-easy processed foods such as macaroni and cheese, says Jerica Berge, Ph.D., the lead author of the study and an assistant professor of family medicine and community health at the University of Minnesota, in Minneapolis.

"Moms might be having multiple time demands and have to sacrifice making healthier meals," she says. "They cook high-fat, more palatable foods because they don't have time to do otherwise."

That's not to say they're dining only on junk food, Berge adds. Mothers ate just as much fruit, whole grains, calcium, and fiber as their childless counterparts. "We found that they are trying [to eat healthy]," Berge says, "but they are not able to do it all the time."

Health.com: Easy meals for families

The study participants were an ethnically and socioeconomically diverse group who were 25 years old, on average. (To further limit the influence of economic and cultural factors, the researchers controlled for income and race.) Roughly 10 percent were parents, most with just one child who was a year old or younger.

"It's a wide enough population to represent what is really happening," says Fran Biagioli, M.D., a family physician at Oregon Health and Science University, in Portland.

When it comes to exercise, raising kids appears to cut into workout time for both parents. Each week, moms and dads lost about 60 and 90 minutes of physical activity, respectively, compared to other young adults.

For the mothers, less exercise and less-healthy diets added up to a higher BMI, a ratio of height to weight used to estimate body fat. The average BMI was one point higher among moms than among childless women, whereas fatherhood appeared to have no association with BMI.

Health.com: 7 steps to instant calm

Biagioli, who was not involved with the research, says the findings reinforce what she tells the many young parents and parents-to-be whom she sees in her practice. "I talk to them about cleaning up their act," she says. "It's a conversation that I have early and often."

Getting through to them before the baby arrives is especially important, Biagioli says, because after that they'll need all the stamina that a good diet and lots of exercise can give them.

"When they have a newborn, they are sleep deprived and no message will get through," she says.

The months after becoming a parent are indeed a "high-risk time" for young adults, Berge adds. "It's a new phase of life, they're learning to be parents, and there's a trade-off between parenting and taking care of themselves that they need to be able to balance."

Copyright Health Magazine 2011

@highlight

New mothers tend to let their health slip while devoting all of their time to the new baby

@highlight

The mothers in the study averaged about 400 calories more per day than other women

@highlight

For the mothers, less exercise and less-healthy diets added up to a higher BMI