(CNN) -- Renisha McBride's toxicology report is out and now we know the 19-year-old had a blood-alcohol level that was more than twice the legal limit for driving. This would explain why, according to her family, she was involved in a single-car accident.

However, it does not explain why Theodore Wafer shot her in the face.

McBride's family says she was seeking help after the crash and knocked on the door of Wafer's house in Dearborn, Michigan, a suburb of Detroit. The 54-year-old Wafer, who is white, told investigators he feared McBride, who is black, was trying to break in.

There are too many unanswered questions to know exactly what happened that night. But we do know this: If a black man told police officers "self-defense" was the reason why he shot an unarmed white teenage girl in the face with his shotgun, it would not have taken protests, national media attention and nearly two weeks for authorities to reject that excuse.

And this is why McBride's death -- ruled a homicide after protests and national media attention -- draws comparisons to that of Trayvon Martin, the Florida teen shot and killed by George Zimmerman, who is of white and Latino heritage, last year.

Not that the events leading up to their shootings are identical. They are not.

But statistics show the benefit of doubt granted to those who have spilled black blood is not extended as graciously when roles are reversed. In other words, if someone told you a black man stalked, confronted and eventually murdered an unarmed white teenage boy, it's doubtful "self-defense" would get him off the hook.

And it shouldn't, because that sounds ridiculous.

But when the victim is black, the narrative that has historically characterized blacks as a menace -- the narrative that gets supported by out-of-context crime statistics, pop culture imagery and media coverage -- assigns culpability and thus plausibility.

On Friday, Wafer was finally charged with second-degree murder, manslaughter and possession of a firearm in the commission of a felony. We're finally on the road to finding out the truth, and perhaps even achieving justice for McBride. But will another high-profile, racially charged murder trial get us any closer to debunking the strain of thinking that places "fear for one's life" and an unarmed, dead black person in the same scenario far too often?

This is the same idea that says it's completely reasonable for the NYPD to continue to "stop and frisk" â€” a practice that disproportionately targets black people, despite its resulting in confiscation of a gun one-tenth of one percent of the time.

It's the idea that says two police officers, who fired 15 shots at an unarmed, 60-year-old black man in his own driveway, are the victims.

It's the idea that says there's no need to quickly make an arrest -- even though McBride's unarmed body is lying in a pool of blood and the nearby weapon is still warm -- because the killer may have "acted as a reasonable person would who was in fear for his life," as Cheryl Carpenter, the lawyer of the alleged shooter, claims.

Between 2005 and 2010, an Urban Institute study, using FBI data, found that white-on-black shootings were found to be justified 11.5% of the time in states that don't have stand-your-ground laws and 17% of the time in those that do -- the highest among all combinations. Black-on-white homicides were ruled to be justified 1% of the time in stand-your-ground states and even less frequently in states without the law.

Now, obviously statistics don't reveal the circumstances surrounding each shooting, but they do reinforce the narrative that black people are inherently more dangerous.

Thus Pasadena police were found "justified" in killing a black, unarmed 19-year-old college student who was falsely accused of robbery. Los Angeles police who shot and killed an unarmed black, autistic 27-year-old did so "in defense of their lives" according to their attorneys.

It's the same fear that led four police officers to fire 41 shots at an unarmed black man on the stoop of his New York apartment in 1999, hitting him 19 times. It's the same fear that led an officer to shoot and kill an unarmed 24-year-old black man who, like McBride, was reportedly in a single car accident and went out looking for help earlier this year.

You can tell yourself all these stories are just tragic one-offs if it makes you feel better. Parents of black children don't have the luxury.

Sure, there are plenty of examples of blacks committing crimes but how does that justify pre-emptive strikes? How does that make substituting "open season" with "self-defense", OK?

I remember something former NFL player Dhani Jones once told me: "A lot of upper-middle-class black people hear reports about a black athlete and assume he's guilty. ... If he's innocent, they'll see it more as a special case than the norm."

This attitude extends to society as a whole.

Assuming black people are inherently up to no good is not just something some white people are guilty of. There are blacks who are leery of blacks as well. That is the power of the narrative.

That is the subtlety of institutionalized racism. It doesn't wear a hood or burn crosses in a yard. Rather it's the subconscious element of our culture that looks at a black corpse and quietly puts it, instead of the perpetrator, on trial.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

Renisha McBride, black teen, was shot dead after knocking on a white homeowner's door

@highlight

Family says she needed help; homeowner says he feared she was breaking in

@highlight

LZ: If a black man said he shot unarmed white girl in the face in "self defense" he would be in jail

@highlight

LZ: Our culture "looks at a black corpse and puts it, instead of the perpetrator, on trial"