(CNN) -- Standing atop a craggy, coastal outcrop on the outskirts of Reykjavik, Helgi Sveinsson checks his footing before adopting a statuesque pose reminiscent of a Nordic warrior.

With chest puffed out and a javelin at his side, the 35-year-old's stance has a classical feel, but with a distinctly modern twist.

In the dying light of a frigid November day in the Icelandic capital, the jagged silhouette of a carbon fiber running blade can be made out before its tip trails into the inky murk beneath.

The prosthetic limb has helped Sveinsson become one of the most successful para-athletes of recent times propelling him to the top of the podium in the javelin over the last two seasons.

At the 2013 world championships in Lyon, France, he took gold and repeated the feat earlier this year at the European Championships with a winning throw of 50.74 meters competing in the F42 class -- a category for athletes who have suffered amputations above the knee.

"I just love everything about the javelin," Sveinsson told CNN's Human to Hero series.

"It's just the feeling when you hit the sweet spot -- when you're throwing a perfect throw, there's nothing that compares to that ... it's the perfect feeling."

Like most Paralympic competitors, Sveinsson has had plenty thrown at him during his life.

A talented handball player in his youth, Sveinsson looked to be heading for the professional ranks when, on the cusp of adulthood, his life took an abrupt and tragic turn.

"I was 18 years old when I started feeling little bits of pain in my leg. And then the pain got worse, and worse, and worse," he explains.

A period of agonizing limbo involving hospital visits, tests and scans came to a horrifying conclusion with a diagnosis of bone cancer.

He embarked upon a course of chemotherapy but after five months of treatment the tumor showed no signs of shrinking and the decision was made to amputate his left leg above the knee in 1999. He was 19 years old.

"I just thought to myself: 'now the professional sports dream that I have is out the window.' So I had to do something else," he says.

Sveinsson exchanged the fast-paced action of the handball court for more gentle pursuits like golf and fishing. Understandably, given his circumstances, he lost interest in keeping fit and piled on the pounds during his 20s.

But when he took a job in R&D at the Icelandic prosthetics company Ossur in 2009, it wasn't long before his competitive spark was reignited and his sporting career resumed with a flourish.

Based in Reykjavik, Ossur has forged a global reputation as a leading manufacturer and developer of prosthetic knees, legs and feet.

Their carbon fiber running blades were famously worn by the Paralympian Oscar Pistorius and dozens of other para-athletes around the world use their equipment today.

"Ossur has been my inspiration for the things I am doing today. To be able to be around and talk to the biggest names in Paralympic sports made me want to do it. I have a lot to thank them for," he said.

"To be able to run again at the level I am doing, it's just unbelievable. This is one of the best inventions ever," he says pointing down to his carbon fiber blade.

At first, Sveinsson used it exclusively for sprinting, competing in the 100m, before also taking up the long jump, but his true calling came a little later, more by happy accident than choice.

"I was warming up for the long jump and I saw a javelin lying on the grass. So I picked it up, tried one throw and that was my thing. The old handball shoulder was back," he said, noting the similarity in the throwing techniques of the two sports.

"It's pretty much the same rhythm. In the javelin, you (have a) fast approach until you stop and throw and it's just the same thing in handball."

His first ever throw surpassed the European championship qualifying standard by six meters, and he currently has a personal best of 51.83 meters -- just under a meter off the world record held by Danish thrower Jakob Mathiasen.

It's a distance that's well within his reach, the Icelander reckons.

"I've been doing this almost three years and I've got so much inside that I want to get out before I stop. I want to be the first amputee to throw over 60m," he says.

At this time of year, particularly in Iceland's long, drawn out winters, it's more about knuckling down to training than record attempts with Sveinsson focusing on his technique and keeping the body strong.

"You have to train every single muscle in your body to be able to cope with what you are doing. I am amputated on the left side ... so I have to train that little bit harder to make these muscle groups a little bit stronger."

Next year promises to be another banner year with Sveinsson looking to defend his world crown in Doha, Qatar. But 2016 is already on his mind when Rio de Janeiro will host the 15th Parlympic Games.

"My future dreams are to make the grand slam -- to be world champion, European champion and Olympic champion.

"I want to be the best, always. There's nothing else that I'm thinking about. I want to be the guy that everyone wants to beat. That's my goal."

Whatever the future holds, Sveinsson hopes to continue being the living embodiment of his life motto.

"Never give up," he says. "You can always do something."

Read more: Meet Vietnam's martial arts missionary

Read more: Surf queen helps women wave rights

@highlight

Icelandic javelin star overcomes amputation to become leading para-athlete

@highlight

Helgi Sveinsson a promising handball player before developing bone cancer in leg

@highlight

Left leg amputated above knee in 1999; sports career revitalized by job at prosthetic firm

@highlight

Icelandic-based Ossur provided running blades for South African sprinter Oscar Pistorius