(CNN) -- The death of Liberian national Thomas Eric Duncan, who succumbed to Ebola in a Dallas hospital, is of course tragic. But the extraordinarily poor way his case appears to have been handled may also inadvertently have done the United States an enormous service -- not just in shining a light on the threat posed by this virus but also by revealing the profound problems both in our health care delivery system and the public health programs supposed to help prevent outbreaks, track contacts and control the spread of disease.

Some of the hospital's actions -- including failing to communicate the level of concern for Duncan as a possible Ebola case, sending him home before properly evaluating him and possibly delaying in getting him medications that might have helped if given earlier -- were judgment errors that should never have happened.

We can, I hope, presume that every hospital in the country took note -- and none would repeat those steps.

And we should probably presume, as well, that the Dallas and Texas health departments will get their collective acts together. The fact that terrified family members and friends who had been in direct contact with Duncan were left to fend for themselves in an apartment filled with contaminated bedding, towels and surfaces for days is inexplicable.

Then there was the announcement by top officials in Dallas that they were desperately trying to find good Samaritans to take the family into their homes. Really, was there no empty apartment in the city that could accommodate this family?

I wish I could be confident that a similar set of problems would not have occurred elsewhere, but there is ample reason to believe that some version of the Dallas story could have happened in many other cities around the nation.

So beyond the drama and attention directed at a single disease and foul-ups in care, the Obama administration and Congress have bigger and far more important actions to take with respect to making sure that we are ready to manage future large-scale public health crises.

First, we need to restore -- if not increase -- federal funding for the Hospital Preparedness Program. The purpose of this program is to bolster hospital readiness to deal with major disasters, including serious epidemics. In 2003 and 2004, the program provided $515 million each year to fund preparedness initiatives in America's approximately 5,000 hospitals. A decade later, funding is forecast to fall to $255 million -- essentially half of what it had been.

This is a problem because it takes money to develop disaster protocols, hire staff and do ongoing training to make sure our health care system is -- and remains -- ready for whatever catastrophe the future holds. And with more than one in three U.S. hospitals facing severe financial crises, this is not something that can happen without federal support. Congress needs to restore full funding for the Hospital Preparedness Program immediately.

Second, while there may be some notable exceptions, like in New York and Los Angeles, severe funding cutbacks have put the vast majority of the nation's public health agencies in a state of serious fragility, truly lacking sufficient capacity to surge up at a time of a major public health crisis. How did this happen?

Importantly, a federal initiative known as the Public Health Emergency Preparedness program has been cut back from a peak of about $900 million in 2005 to $610 million estimated this year. As a result, and exacerbated by many other program cutbacks, we are seeing a loss of some 50,000 public health workers in less than a decade. It's no wonder that so many health departments are struggling to keep up with routine functions, no less be adequately prepared and trained to respond to disasters.

Ebola is clearly the latest "disaster wake-up call." But if history is any indication, we are likely to treat this by hitting the snooze button on the alarm. That means lots of media coverage -- and public anxiety -- until the reporters leave. Then it's back to our usual state of complacency without making the definitive changes we desperately need.

Hopefully, this time will be different. But it will only be so if the administration and the Congress restore critical disaster preparedness funding and, simultaneously, restore the confidence of the American public that deserves better than what we saw in the weeks following Duncan's arrival in Dallas.

@highlight

Death of Ebola patient in Dallas highlights problems in health system, Irwin Redlener says

@highlight

Federal funding for the Hospital Preparedness Program has been slashed, he says

@highlight

U.S. has seen loss of 50,000 public health workers in less than decade, Redlener says