REMOTE WEST TIMOR (CNN)  -- Maria's labored breath echoes within the walls of her family's mud hut. Her tiny, bony hands open and close in slow claw-like motions.

Baby Maria weighs just 10 pounds at 15 months due to malnutrition in West Timor.

She's 15 months old, but weighs just 10 pounds -- one of countless children under the age of 5 facing severe malnutrition in Indonesia's West Timor. A typical infant weighs about 24 pounds at 15 months.

"Maria sleeps most of the time. Sometimes she cries but not often," her 25-year-old mother Adolphina Fao says softly. Watch how malnutrition devastates region »

Maria is fighting to live, wasting away in her remote village where aid officials say climate change has brought on a severe drought in recent years. It's nearly impossible for residents to live off the land like they have for generations.

"It's hard to feed her," her mother says. "Some are good days, some are bad. Sometimes she eats a whole plate, sometimes nothing."

As Fao speaks, she spoons glutinous rice into Maria's tiny mouth. The baby spits out most of it.

Aid officials say Maria is one example of a chronic crisis that has been worsening in West Timor, the Indonesian portion of the island of Timor that is home to about 1.5 million people.  See photographs of plight in this remote area »

According to a joint survey by aid groups Church World Service, Helen Keller International and CARE, more than 50 percent of children under 5 in West Timor are suffering from malnutrition. In some areas it's as high as 70 percent -- a higher percentage than areas of Africa.

Of those, nearly 1 in every 10 children suffer from acute malnutrition, meaning they are near death, according to organizers. The study also found that 61 percent of the children suffer from stunted growth.

"Stunting is the result of extended periods of inadequate food intake, poor dietary quality, increased morbidity or a combination of these factors," the study says. "This finding indicates that the diet has been very poor quality for a very long time."

Aid groups also warn that the situation is likely to worsen because of rising global food prices.

Here, far-flung villages lie nestled in deceptively lush green landscape, with no real roads, no electricity and no running water. Barely clothed children play in the dirt.

According to the survey, more than 90 percent of households don't have enough food.

Families try to farm the land, but the prolonged drought has destroyed their crops, cutting off their main food supply. That results in less food for each house, further eroding the supply of much-needed nutrition for young children.

"Nowadays the dry season is lasting longer and longer," says Vincensius Surma, the senior program manager for Church World Service, a global humanitarian agency. "In 2006 and 2007, the dry season lasted for a year."

Dry riverbeds around the region are testament to his statement. Villagers have to walk for miles for water.

Surma travels from remote village to remote village just to follow up on cases that his agency is treating.

One of the families he revisits is Salmoun Ton's. Two of his three children are malnourished. His eldest child has stunted growth. At 8 years old, she's barely taller than her healthy 4-year-old sister. His youngest was severely malnourished and is still drastically underweight.

Ton, a corn farmer, says that his crops aren't producing enough to sustain his family.

"It makes me sad, really sad. As a parent, I feel that I can't properly care for them," Ton says.

Further compounding the crisis is a lack of basic education and health care, proper sanitary habits, and inadequate aid, according to humanitarian officials.

On this visit, Surma finds out that Ton sold their fresh eggs -- a major source of protein -- to buy instant noodles. He then tries to explain basic nutrition to the family.

"We're trying to do everything that we can, but for now the results are definitely not enough," Surma says.

Aid organizations have unsuccessfully battled to bring this tragedy into the international spotlight. There are some donations coming in, but the funds and the resources simply aren't enough given the magnitude of the crisis.

Organizations like Church World Service and CARE have established feeding and education centers to try to combat the crisis. The Indonesian government is also trying to address the crisis by supplying vitamin supplements to hard-hit families and other help, but aid groups say there is little cross coordination.

"We can't implement our mid- or long-term plan for this case because ... so many children are casualties of malnutrition in this region," Surma says.

The main fear is that unless something drastic is done now, whole generations could be lost to acute and chronic malnutrition.

@highlight

Indonesia's West Timor faces crisis: 50 percent of children malnourished

@highlight

Severe drought brought on by repeated drought has destroyed crops, officials say

@highlight

Villager: "As a parent, I feel that I can't properly care for them"

@highlight

Aid groups say they're seeking international help to address the issue