Tokyo (CNN) -- Workers at Japan's crippled Fukushima Daiichi nuclear plant faced a difficult balancing act Tuesday as they struggled to keep reactors cool and prevent radioactive water from leaking into the ocean.

Water has been a key weapon in the battle to stave off a meltdown at the facility since a March 11 earthquake and tsunami knocked out cooling systems. But tons of water have been pumped and sprayed to keep the plant's radioactive fuel from overheating, and the plant is running out of room to store the now-contaminated liquid.

"Now the focus is how to ... remove the water and contain it safely," Chief Cabinet Secretary Yukio Edano, the government's point man for the crisis, told reporters Tuesday.

The discovery of contaminated water in a maintenance tunnel that leads to the No. 2 reactor's turbine plant has sparked fresh concerns about the possibility of additional radiation leaking from the plant. Japan's nuclear safety agency said workers were using sandbags and concrete panels to keep the water inside the tunnel, which is located about 55 meters (180 feet) from the Pacific shore.

Workers are also trying to pump water out of the turbine houses of the No. 1 and No. 3 reactors, according to the Tokyo Electric Power Company, the plant's owner. Lights were restored in the main control room of the No. 4 reactor, the utility said.

The company also reported that freshwater was being injected into the No. 3 reactor. Seawater was previously used.

"TEPCO is in an awful dilemma right now," said Jim Walsh, an international security expert at the Massachusetts Institute of Technology. "One the one hand, they want to cool the reactor and keep the reactor cool, so they have to pour water in. If there is a leak in one of the containment vessels, that water keeps leaking out. So they have a problem where the more they try to cool it down, the greater the radiation hazard as that water leaks out from the plant."

Japanese officials and international experts have said they believe there's been a partial meltdown at three of the plant's six reactors, and Edano reported Monday that the No. 2 reactor's containment vessel may be leaking.

"The high radiation levels on site seem to support that idea. There is no visual proof yet, but it's increasingly likely there was partial fuel melting," said Gary Was, a nuclear engineering expert at the University of Michigan.

The discovery of plutonium, a nuclear fission byproduct as well as a component of the fuel in the No. 3 reactor, among the contaminants on the plant grounds bolsters the suspicion of a meltdown, Walsh said. Though low levels of plutonium can be found worldwide -- a legacy of previous decades of aboveground nuclear tests -- at least some of the contamination likely came from the plant, Edano said Tuesday.

"If we detect higher levels of plutonium, we have to take additional measures, so our intention for now is to carry on with the monitoring on-site," he said.

The element can be a serious health hazard if inhaled or ingested, but external exposure poses little health risk, according to the U.S. Environmental Protection Agency.

Experts told a U.S. Senate hearing Tuesday they are not sure how soon the reactors and spent fuel can be safely inspected.

Japanese officials have been given information on radiation-hardened robots that are being made available to make such observations, said Peter Lyons, acting assistant secretary for nuclear energy in the U.S. Energy Department.

The now 19-day-old crisis at the plant has spread radioactive contamination across much of northern Japan. But Tokyo Electric said the discovery of plutonium would not change efforts to bring an end to the disaster, an aftereffect of the magnitude-9 earthquake that struck the region March 11.

The water found in the Unit 2 maintenance tunnel remained radioactive enough to pose an immediate hazard, authorities reported Monday afternoon. The 1,000-millisievert per hour reading was more than 330 times the dose an average person in a developed country receives per year and can result in vomiting and up to a 30% higher risk of cancer, according to the International Atomic Energy Agency. The level is also four times the top dose Japan's Health Ministry has set for emergency workers.

Radioactive iodine and cesium, also reactor byproducts, have turned up in the sea near the plant. But the levels reported by the utility on Tuesday were down sharply from those seen over the weekend.

Tuesday's tests found levels of iodine-131, an isotope that loses half its radioactivity within eight days, at 816 times normal levels within about 100 feet of the plant. That's down from a high of 1,850 times normal reported Sunday at another nearby monitoring post.

Authorities have said they don't think the seawater contamination is coming directly from the plant, but could be caused by particles carried by runoff or that have fallen from the atmosphere.

Meanwhile, Edano told reporters Tuesday that officials hope to find workers to relieve those at the plant, who have been scrambling for nearly three weeks to keep the reactors under control.

"On the ground at the nuclear power plant, the workers are working under very dangerous and very hard conditions, and I feel a great deal of respect for them," he said.

As workers inside brave high radiation, the situation has also taken a significant toll beyond the complex's six reactors.

Authorities have banned sale and transport of some vegetables grown in the area after tests detected radiation. Signs of contaminated tap water prompted officials to tell residents in some areas to stop giving it to infants. And the government has said residents within a 20-kilometer (12-mile) radius of the plant must evacuate.

The growing damages could have a steep price tag for the embattled Tokyo Electric, as farmers and others impacted by the disaster ask for compensation. Some have questioned whether Japan's government will step in, and one government minister told reporters Tuesday that nationalizing the company could be an option.

"Of course, a debate on various options should be possible," Japanese National Strategy Minister Koichiro Genba told reporters when asked whether the government was considering at least partially nationalizing the company.

Another topic Japanese officials are already beginning to debate is the country's energy policy -- and particularly its reliance on nuclear power. Edano said the government will continue to "strongly promote" clean energy, but fixing problems at the troubled Fukushima nuclear plant and reviewing the safety of the nation's other plants take precedence.

Yoshiaki Oka, a nuclear engineering professor at Tokyo's Waseda University, told CNN that he remained optimistic that the threat at Fukushima Daiichi would be contained soon.  He said Japan's lack of other resources such as oil or coal made nuclear power a necessity.

"Already, dependence on oil in Japan is very high," he said. Japan imports nearly 80% of its oil, a fact Oka called "very bad for national security."

"From these considerations, maybe some countrypeople will understand the other option of power generation, nuclear power, can play a role," he said.

CNN's Yoko Wakatsuki, Whitney Hurst and Paula Hancocks contributed to this report

@highlight

NEW: U.S. offering robotics assistance to Japan

@highlight

Lights restored in main control room of reactor No. 4

@highlight

TEPCO faces an "awful dilemma," analyst says

@highlight

Radiation levels drop in nearby waters