New York (CNN) -- The terrorist attacks of September 11, 2001, prompted the U.S. to take sensible security measures and launch a justified counterattack against al Qaeda, says analyst Fareed Zakaria. But he says they also led to an overreaction that continues today.

Zakaria argues the organization behind the attacks, al Qaeda, has been greatly diminished by the U.S. response to 9/11 and by growing opposition to the group in the Muslim world:

"All these trends have worked to further diminish the threat al Qaeda poses to us. We're in a strange situation where the right doesn't want to acknowledge it because it would suggest we don't need to be in quite this much of a war footing and ... the left seems reluctant to accept some of this because it suggests that, God forbid, George W. Bush might have done something right.

"As a result of our political dysfunction, we have lost the ability to have a rational conversation about 9/11," Zakaria said.

The author and host of CNN's "Fareed Zakaria GPS" spoke to CNN on Wednesday. Here is an edited transcript:

CNN: Is the U.S. safer today than before 9/11?

Fareed Zakaria: There's no question we're safer. Look, 9/11 changed the way in which we viewed the problem of terrorism and Islamic radicalism, and we've gotten attentive to both. First of all, there have been huge measures taken -- a series of very simple, sensible measures that decrease the likelihood of anything like 9/11 happening.

Sealing the cockpit door, by itself, means that a plane can never be used as a missile and things like that ... the security measures have made it much more difficult for high-value targets to be vulnerable in quite the way they were.

The second part is that we have gone after these al Qaeda and associated groups quite vigorously, chasing them around the mountains of Afghanistan of course but also tracking their money. And those things collectively have made a big difference, and there's no question in my mind, we're safer.

Now we can begin to ask ourselves whether we have overdone the countermeasures, whether the tens of billions of dollars that have been added year after year to the intelligence budget, to the Homeland Security budget have been all necessary or are we on a kind of autopilot where no request for homeland security can ever be denied, and it has become part of the gargantuan pork barrel projects in Washington.

CNN: You've written that we've overreacted to 9/11 and al Qaeda. In what way do you think that's the case?

Zakaria: I mean it in two senses. We didn't spend a lot of time in the year after 9/11 -- once we had taken it on, once we had started chasing these people around the world, measures which I strongly supported then and still strongly support -- whether that had been effective and whether we had broken up the organization and made it far more difficult for them to operate. And therefore, what was the real nature of the threat going forward?

I think it's clear that al Qaeda is a much-diminished force. It has the power to inspire a series of local organizations around the world, but it has very little power to direct these high-profile terrorist attacks itself. The reaction to my point that al Qaeda is weaker than we think has surprised me only because I've made this point since 2004, and I've made it repeatedly.

CNN: Why do you think many people have not agreed with that point?

Zakaria: I do think we have a tendency in the United States to underestimate the evil intentions of our enemies, but overestimate their capacity, their capabilities.

What we now know, based on all the declassified documents we have available is that in the 1970s and '80s, the U.S. was massively overestimating the military capacity of the Soviet Union.

CNN: In what way?

Zakaria: If you look at every measure, from bombers to missiles, on almost every count, we massively overestimated their capacity to modernize, their capacity to build up, and as a result we had created a much, much larger military-industrial complex than would have been necessary to combat the actual Soviet threat rather than the one we perceived.

Similarly with Saddam Hussein, the intelligence agencies were absolutely convinced that what we faced was a very powerful state that was acquiring nuclear, biological and chemical weapons, which proved to be largely untrue.

When we look at al Qaeda, we have to ask ourselves: What is their actual capacity to inflict harm?

The second sense in which I mean it is I do think there is a tendency within the American appropriations system for projects to become eternal and eternally expanding and this has clearly become true of homeland security. Nobody wants to deny the request for more security, more measures, more procedures, all of which come with more budgets, more bureaucrats ...

CNN: So what should be done now?

Zakaria: This would be the right time for us to take a look and ask ourselves, in order to combat the actual threat that al Qaeda poses, which is real but which is limited in some senses -- what kind of intelligence apparatus do we need, what kind of homeland security apparatus do we need and how much can we do in terms in reallocating, reorganizing and reinventing these national security agencies rather than constantly piling up layer upon layer.

We now have 15 different intelligence agencies, we have 15 different organizations tracking the money that terrorists are moving around.

It's almost as though we took the entire Cold War bureaucracy and rather than scaling it down and reconfiguring it to meet this new set of unconventional threats, we just layered on top of the mountains of Cold War bureaucracy another set of mountains of terrorism bureaucracy, never mind that the Cold War is over ...

This is not a way to run a serious national security policy. And the greatest danger here of course is that unlike the Cold War, unlike World War II, this is not a war that has a clean ending, so you cannot set a point at which we would demobilize and therefore get rid of some of this apparatus.

This is a kind of existential reality that the United States has to deal with, the possibility of terrorism, the possibility of radical groups being able to inflict harm on an open society, so we've got to ask ourselves is this the normal national security state we want to live with.

CNN: Was the concept of a "war on terror" mistaken?

Zakaria: I don't know if I would quibble with it that much. ... The problem of course is that terrorism is a tactic, you can't declare war against a tactic. But in general it conveyed the idea that we needed to go on the offense and we needed to chase these guys around the world, we needed to track their money. I have no problem with any of that ... the problem is you can fight a war but you also need to actively gauge the strength of your opponent, and if you think he's 25 feet tall vs. five feet tall, that's important. That's a huge misdiagnosis of the problem ...

CNN: Why do you think people have missed the change in al Qaeda's capabilities?

Zakaria: We're not looking at trends within the Islamic world where al Qaeda has been politically discredited, trends that are taking place within the jihadi community, where prominent jihadis have broken with al Qaeda.

The reality is that al Qaeda has been unable to organize a single attack [against a major target in recent years], the reality is that when smaller local groups plan terrorist attacks all they can attack are local targets like cafes or train stations and thus kill locals, further alienating the local population and discrediting and delegitimizing al Qaeda and its associated groups.

CNN: Nine years after 9/11, why is the debate about Islam and terrorism fiercer than it's ever been?

Zakaria: What's more strange is that it feels as though it's a debate that's taking place without the intervening nine years. Sometimes the debate seems as though it could have been taking place in 2002, without noticing all these trends that I've been describing.

9/11 was a wake-up call for America, but it also was a wake-up call for a lot of people in the Muslim world. In the early months after 9/11, and I wrote about this at the time, there was a sense in the Muslim world that while they might not have approved of the attacks, they understood the anti-Americanism that lay behind it. That kind of totally irresponsible and pernicious implicit support for Islamic radicalism has worn very thin in the last nine years.

CNN: Why has radicalism lost support?

Zakaria: People who felt that way in Indonesia, in Jordan, even in Palestine have realized that these guys [al Qaeda] are as opposed to the secular regimes of Indonesia, Jordan and in the Palestinian Authority as they are to the United States and when they attack Indonesia and Jordan, they kill innocent Indonesians and Jordanians, innocent Muslims by the way.

That reality has also produced a kind of rethinking about Islamic extremism that has been very important. I should emphasize that it is not enough and there needs to be more persistent condemnation of radicalism and violence but there's no question, and the polling data make this clear, the number of fatwas issued against al Qaeda and Osama bin Laden make this clear -- there has been a huge shift in the Muslim world over the last nine years.

CNN: Finally, Imam Feisal Abdul Rauf is reaffirming his plans to proceed with Cordoba House, the controversial Islamic center near ground zero. What do you think of that?

Zakaria: This is to be a community center that will have a swimming pool, meeting rooms, athletic facilities, modeled after the 92nd Street Y. It will have Jews and Christians and Muslims on its board, it will have prayer rooms for Jews and Christians as well as Muslims. It will have both physical spaces and programs to encourage interfaith dialogue.

Now to me that sounds like precisely the American answer to Muslim radicalism, to affirm a Muslim-led process of interfaith dialogue, of tolerance for other religions ... the plan here is to build a center that is really trying to bring people together, this is such an American response to intolerance, extremism and violence. It is about inclusion, dialogue and respect for other faiths.

@highlight

9/11 led U.S. to strike back at al Qaeda and take smart measures, says Fareed Zakaria

@highlight

He says in the years after attacks, U.S. has overestimated threat from al Qaeda

@highlight

He says group is on the run and widely discredited in the Muslim world

@highlight

Zakaria: U.S. needs to scale its security policies and bureaucracy to the actual threat