(CNN) -- Joseph Wood gasped and struggled to breathe during his nearly two-hour execution involving a novel combination of drugs, some witnesses say.

His last breaths were like "a fish on shore gulping for air," reporter Troy Hayden said. Wood's attorneys tried to stop the execution more than halfway through, with one calling it "bungled" and "botched."

State officials and his victims' relatives disagreed, saying Wood snored and didn't appear to suffer.

Reports that the execution was botched are "erroneous," Charles Ryan, director of the Arizona Department of Corrections, said Thursday.

Wood was comatose and never in pain during his execution, Ryan said. The director said: "The record clearly shows the inmate was fully and deeply sedated ... three minutes after the administration of the execution drugs."

Suffering or not, Wood's death Wednesday afternoon took too long, Arizona Gov. Jan Brewer said, and she has ordered the state's Department of Corrections to review it.

Wood's slow death is fueling a debate stirred up as states look for new drug combinations for lethal injections, thanks in part to pharmaceutical companies' decisions to withhold or stop making drugs used in the past.

"It took Joseph Wood two hours to die, and he gasped and struggled to breathe for about an hour and 40 minutes. We will renew our efforts to get information about the manufacturer of drugs as well as how Arizona came up with the experimental formula of drugs it used today," attorney Dale Baich said in a statement.

He added, "Arizona appears to have joined several other states who have been responsible for an entirely preventable horror -- a bungled execution."

One of the victims' relatives had a strongly different view -- that he didn't suffer, and that he got what he deserved.

"I don't believe he was gasping for air; I don't believe he was suffering. It sounded to me like was snoring," said the relative, Jeanne Brown.

"You don't know what excruciating is. What's excruciating is seeing your dad laying there in a pool of blood, seeing your sister laying there in a pool of blood. This man deserved it. And I shouldn't really call him a man," she said.

The state used midazolam, an anesthetic, and hydromorphone, a narcotic painkiller that, with an overdose, halts breathing and stops the heart from beating. It's one of the new combinations that states have tried -- with some controversial results -- after manufacturers based or operating in Europe stopped U.S. prisons from using their drugs in executions.

Opinion: I was 17, on death row -- and innocent

The execution began at 1:52 p.m. (4:52 p.m. ET) Wednesday and concluded, with Wood being pronounced dead, at 3:49 p.m. (6:49 p.m. ET).

Wood, convicted of murder and assault in the 1989 deaths of his estranged girlfriend and her father, objected to the drug combination in courts, arguing that it was experimental, that it would not put him out completely and that it would violate constitutional protections against cruel and unusual punishment.

The Arizona Supreme Court briefly delayed Wednesday's execution to consider his last-ditch request before denying it. The U.S. Supreme Court on Tuesday declined to intervene.

Arizona execution raises questions over novel lethal injections

A federal judge ordered local officials to preserve all physical evidence in Wood's execution.

"One thing is certain, however: Inmate Wood died in a lawful manner and by eyewitness and medical accounts he did not suffer," the governor said. "This is in stark comparison to the gruesome, vicious suffering that he inflicted on his two victims -- and the lifetime of suffering he has caused their family."

Lawyers rush to save him after injection

The Corrections Department said it followed protocol, affirming Wood's "deep sedation" seven times before he was pronounced dead.

Aside from snoring, he did not grimace or otherwise move, the department said.

But as the clock ticked, Wood's attorneys filed an emergency motion to stop the execution and save his life. He was "gasping and snorting for more than an hour," they said.

"He is still alive," the motion read. "This execution has violated Mr. Wood's Eighth Amendment right to be executed in the absence of cruel and unusual punishment."

Attorney Baich said the room was silent as Wood gasped. "I have witnessed 10 executions, and I had never seen that before," he said.

Baich blasted Brewer over her assessment and called for an independent investigation.

Witness: Execution 'was tough for everybody'

Michael Kiefer, a reporter for The Arizona Republic, said this execution was unlike the other four he has witnessed.

"Usually it takes about 10 minutes, the person goes to sleep. This was not that," he told other reporters afterward. "It started off looking as if it was going all right but then obviously something didn't go right. It took two hours."

Kiefer described the sound Wood made as a "deep, snoring, sucking air sound."

Hayden, a media witness from KSAZ-TV in Phoenix, told reporters the execution was difficult to watch. He likened Wood's breathing to a "fish gulping for air."

"It was tough for everybody in that room," he said.

Opinion: 5 ways to improve the U.S. death penalty

Drug combination controversy

As with executions in other states with new lethal drug combinations, many of the objections have centered on the drugs themselves.

Defense attorney Baich vowed to look into how Arizona came up with the "experimental formula of drugs it used."

The American Civil Liberties Union joined in his outrage.

"It's time for Arizona and the other states still using lethal injection to admit that this experiment with unreliable drugs is a failure," it said in a statement.

It called for Arizona and other states to prove the reliability of the drugs or stop the executions.

Some drugs hard to come by now

The quarrel over the drugs used in lethal injections is not new.

Executions have commonly been carried out with a combination of three drugs -- an anesthetic to render the inmate unconscious, followed by a paralyzing agent to keep him or her from flailing, then a third drug to kill the inmate, often potassium chloride to halt the heart.

The commonly used anesthetic was once sodium thiopental, which can also be used for surgical anesthesia.

Its sole U.S. manufacturer, Hospira, based in Illinois, suspended its production in 2009 and ended it for good in 2011. The company said it had never intended it to be used in lethal injections. European manufacturers of the same drug refuse to export it to the United States for the same reason.

Some states then looked to pentobarbital, a powerful anesthetic commonly used to euthanize animals. But that drug has been hard to come by since 2011, when Lundbeck, its Denmark-based manufacturer, said it would do its best to keep the drug from U.S. execution programs.

Controversies in Oklahoma, Ohio

New drug combinations were a focus of controversial executions this year in Oklahoma and Ohio.

Oklahoma put executions on hold after the death of inmate Clayton Lockett in April. Midazolam was part of the injection combination, and it took 43 minutes for him to die, Oklahoma officials said.

While state officials said Lockett was unconscious the entire time, a media witness for CNN affiliate KFOR-TV in Oklahoma City said he uttered the words, "Man," "I'm not," and "something's wrong" before blinds to the execution chamber were closed. His attorney, Dean Sanderford, said the inmate's body twitched and convulsed before he died.

The state Department of Corrections said an "exploded" vein was part of the problem.

"There was some concern at that time that the drugs were not having the effect. So the doctor observed the line and determined that the line had blown," said Robert Patton, director of the Oklahoma Department of Corrections.

In January, Ohio used a midazolam-hydromorphone combination to execute convicted murderer and rapist Dennis McGuire. It took 24 minutes for him to die, and he appeared to gasp and convulse for 10 to 13 minutes, Columbus Dispatch reporter Alan Johnson said.

Ohio's correction department said it had wanted to use pentobarbital, but it ran out of its supply in September.

Combining new drugs in lethal injections may have sparked controversy, but the use of the old drug combination that included sodium thiopental was also not fail-safe, medical critics have said.

It is possible that executions were quicker and inmates flailed less with the old combination, but they may have been conscious as they experienced their executions, some critics say.

The real question to some is not if a specific drug is responsible for suffering, but if the method of execution itself is.

Mississippi mother swaps death row for jail cell to await trial

Death penalty facts that may surprise you

California's death penalty ruled unconstitutional

CNN's Mayra Cuevas, Dave Alsup, Ross Levitt and Michael Pearson contributed to this report.

@highlight

NEW: Director of the Arizona Department of Corrections defends execution

@highlight

Media witnesses say Arizona murderer Joseph Wood gasped intensely

@highlight

His attorneys tried to halt execution more than halfway through and have Wood revived

@highlight

New drug combinations in lethal injections have sparked controversy