Congressional Democrats are upping the pressure on President Barack Obama to fix what's ailing his signature health care initiative with some in the party warning they may be forced to back a House Republican proposal if the White House doesn't offer an alternative by week's end.

"We've got to get out of the bunker and fix these problems," a senior congressional Democratic source told CNN's Chief Congressional Correspondent Dana Bash of flaws in the newly rolled out law that have energized Republican efforts to weaken the President and his allies and derail a policy they have long considered unworkable.

The White House has until Friday to devise a solution to the problem-plagued roll out of the Affordable Care Act, the source said.

That's when House Republicans will take up a bill to address one of the more politically potent Obamacare problems for the President and Democrats -- those losing their health coverage due to the law despite Obama's assurances in selling it to the public that Americans could keep their plans if they wanted.

The House bill would allow those insurance plans to extend into next year and gut a major part of the law by allowing anyone to purchase them, even though the existing policies don't meet the tougher requirements of the Obamacare initiative.

Poll: Obama approval ratings drop, Americans say he's not trustworthy

Among other things, the Affordable Care Act prohibits discrimination for preexisting conditions and mandates coverage for mental health, prenatal care and other issues. This is a primary reason why insurance companies are dropping existing coverage.

"In the absence of a solution that Democrats can support from the White House, you will see more and more Democrats voting for the Upton bill," the Democratic source said of the plan being advanced this week by House Energy and Commerce Committee Chairman Fred Upton of Michigan.

Fewer than 50,000 sign up on Obamacare website, media report suggests

Cancellations drive concern

Although the rocky rollout of the Obamacare website and expected low enrollment figures for the first five weeks of the program are embarrassments for the President and Democrats in Congress who rammed through the health law in 2010 without Republican support, it is the policy cancellations that are really driving Democrats to put more pressure the White House.

Obama has apologized to those losing their coverage despite his assurances to the contrary and appears to be taking a hit for his Obamacare woes, according to the latest polling.

His approval rating among American voters has dropped to its lowest number in Quinnipiac University polling since he became President with new doubts being raised about trust.

Things could get even more heated on Wednesday when White House Chief Technology Officer Todd Park will testify before a congressional committee investigating the rocky rollout of the HealthCare.gov website, the Obama administration said.

Park had been subpoenaed to appear by House Oversight Committee Chairman Darrell Issa.

Pressure to come up with a fix

Rep. Steny Hoyer, the No. 2 Democrat in the House, told reporters that Obama needs to come up with a solution "sooner rather than later."

While New York Democratic Rep. Steve Israel, chairman of the Democratic Congressional Campaign Committee, criticized the House GOP plan, saying he believes it would increase premiums and remove consumer protections.

"We should do something so long as it actually fixes the problem and doesn't make the problem worse." Israel told reporters Tuesday, saying it would be helpful if the White House came out with a proposal before Friday's House vote.

He noted a White House official will meet with Democrats on Wednesday and played down the notion they are breaking with the administration on the issue.

But Rep. John Larsen of Connecticut,  a loyal liberal and former House Democratic leader, said he hasn't seen details of the House GOP bill, but said he thought it could "make sense" and that there "could be support" depending on the approach.

Hoyer said earlier he hadn't ruled out being open to Upton's bill, but his spokeswoman says he's now opposed since Upton has said he won't make changes and Democratic leaders will likely urge their caucus to vote against it.

Boosting pressure further on Obama was former President Bill Clinton, who said on Tuesday that the President should find a way to uphold his initial promises about health policies.

Clinton: Obama should 'honor commitment' on keeping health plans

"I personally believe, even if it takes a change in the law, the President should honor the commitment the federal government made to those people and let them keep what they've got," Clinton said during an interview with the website OZY.com.

A Senate Democratic approach

A growing number of Democrats have called for changes or delays to the program as many face  tough reelection bids in 2014 and are feeling pressure from challengers and constituents.

Obamacare rattling Democratic nerves

Although he didn't go nearly as far as Clinton, Sen. Richard Durbin, D-Illinois, said he is open to changes as well and noted that Obama should have been more careful with his words in the first place.

"A couple more sentences added would clarify it," the Senate's second-highest Democrat said on CNN's "Newsroom" with Ashleigh Banfield. "The president apologized. He said very clearly he was sorry if he misled people."

Durbin added that Republicans and Democrats "need to be open to constructive changes to make this law work better."

Sen. Mary Landrieu of Louisiana, introduced a narrower bill than what House Republicans are planning with Upton's plan and said that she has growing support in the Senate, including Dianne Feinstein, Joe Manchin, Mark Pryor and Kay Hagan -- all Democrats.

She noted her proposal would allow people who have individual insurance, which she says makes up about 5% of the market, to keep their coverage. Insurers would have to notify those customers what minimum coverage requirements are not being met.

"First of all, (Obama) apologized. And he's also apologized for the poor roll out.  And again, these things are real problems and they have to be fixed," Landrieu told CNN's Chief Congressional Correspondent Dana Bash.

"But the promise of the Affordable Care Act, let me say again, is worth fighting for. And Republicans that continue to think that they're going to undermine it, repeal it, or defund it are wrong. They're on the wrong side of history," she said.

White House spokesperson Jay Carney said Obama agreed with Clinton and is working to address the matter of people losing their coverage. He has already set in motion an aggressive effort to fix the website problems.

Behind the scenes: Fixing the Obamacare website

Carney rejected the Upton bill as "not an effective fix" because it opens up the plans to anyone, not just the people who's plans are being canceled.

"The President has instructed his team to look at a range of options" to find solutions for people who have lost their plans, Carney said.

Enrollment woes

Democratic anger over the cancellation of insurance policies come as people wait for the release of enrollment numbers.

What will Obamacare enrollment numbers tell us?

The Obama administration is expected to release them by the end of  this week but has yet to say exactly when.

White House officials are is lowering expectations, cautioning the numbers "will be lower than we hoped and we anticipated," Carney said.

It is blaming a faulty federally run website that is hindering the ability of consumers to sign up for coverage.

"We are working 24-7 to ensure that the site is working smoothly for the vast majority of users by the end of November," said Chris Jennings, deputy assistant to the President for health policy.

Young coders build health-care website in days

Consumers have until December 15 to submit payment for coverage that begins January 1. The overall sign-up deadline for 2014 is next March 31.

@highlight

Democrats say White House has until Friday to come up with fix to Obamacare problems

@highlight

That's when House Republicans will vote on bill reversing insurance cancellations

@highlight

Bill Clinton weighs in, says Obama should honor the vows he made on coverage

@highlight

Democratic Senator has her own proposal to address health care issues