Washington (CNN) -- In what now seems like a fairy tale scenario, Friday was supposed to conclude the 112th Congress, with members heading home for holiday cheer with their loved ones.

Many were leaving town, including House Speaker John Boehner, but they'll be back next week as the year-end deadline looms for the automatic tax hikes and spending cuts of the fiscal cliff that economists fear could bring a recession.

Boehner, the lead Republican negotiator on a possible agreement, met Thursday afternoon with President Barack Obama at the White House in their second face-to-face talks of the week.

The 50-minute meeting that both sides described as "frank" produced no breakthrough on the core issue of whether tax rates will rise on the wealthiest Americans.

Boehner planned to return to his home state of Ohio for the weekend, but will be available by phone if needed, according to one of his aides.

He and the rest of the legislators will return Monday to work the congressional equivalent of overtime on reaching an agreement to reduce the nation's chronic federal deficits and debt by the end of the year -- less than three weeks away.

House Majority Leader Eric Cantor, R-Virginia, is advising members the session could run up to Christmas, then break for the holiday and resume again before the new year. The 113th Congress is scheduled to convene on January 3.

Fiscal cliff: It shouldn't be this hard

The inability to reach a deal so far reflects the ideological divide between Democrats and Republicans over the size and role of government.

Fears that the negotiations could end without a comprehensive agreement, such as the deficit reduction talks between Obama and Boehner in 2011, is causing jitters among consumers and investors.

Stock prices fell for a second straight day Friday as it became clear neither side appeared willing to budge.

Obama insists on raising additional revenue through tax reform and higher rates on top income brackets as part of a package that would include spending cuts and cost savings from entitlement programs.

His plan is to extend most of Bush-era tax cuts set to expire as part of the fiscal cliff, but letting rates on income over $200,000 for individuals and $250,000 for families return to higher rates of the 1990s.

"That's the best thing for the economy, the best thing for American families," Obama told CNN California affiliate KCRA on Thursday. "That will take the edge off things. We'll still have to deal with some deficits and debt problems, but it means 98% of Americans, 97% of small businesses will not see their taxes go up."

One simple, controversial fiscal cliff fix

Boehner and Republicans have reluctantly agreed to some new revenue, but they reject raising anyone's tax rates and instead propose eliminating deductions and loopholes.

Before meeting Obama on Thursday, Boehner told reporters the president has yet to offer a plan that "is truly balanced and begins to solve our spending problem."

Republicans note that 71% of every tax dollar now goes to support Social Security, Medicare and Medicaid, as well as paying interest on the national debt, and they say the cost of those items would equal all federal tax revenue in 2026 unless changes are made.

"The president wants to pretend spending isn't the problem," Boehner said. "That's why we don't have an agreement."

Minutes before he spoke, House Democratic leader Nancy Pelosi argued Obama and Congress already cut spending in budget battles of the past two years. Simply cutting more, she said, could hurt the economy.

Daschle and Lott: Here's how to make a deal

"You're not going to reduce the deficit by ... only cutting your way to it because you will cut the prospects for job creation, which produce revenue," Pelosi said.

At the White House, spokesman Jay Carney complained Republicans haven't offered details on which deductions or loopholes they would eliminate to raise revenue.

Regardless, he reiterated Obama will agree to a deal only if it involves tax rates going up for the top 2% of Americans and extending tax cuts for all others -- a proposal some Republicans have said they can accept as a first step to move beyond the deal-breaking dispute.

Obama and Democrats want Boehner to hold a vote on the president's tax plan, which the Senate has passed. Boehner avoided a direct answer when asked Thursday about a possible vote.

Even Asia worried about the 'cliff'

Republican reluctance to raise tax rates stems from the conservative quest to shrink government and the percentage of federal spending as part of the overall economy. Traditionally, raising taxes to fund increased spending is much easier than lowering rates to reduce the money feeding the federal belly.

Democrats argue that Republican efforts to reduce federal deficits through cost-cutting alone would worsen an already difficult situation for middle-class Americans facing stagnant wages, rising costs and reduced opportunity.

In particular, Democrats consider entitlement programs to be the foundation of the social contract with Americans and therefore question pushes to cut them. Instead, they insist the programs can be strengthened through improved efficiency and other reforms, such as the $700 billion in Medicare savings under Obama's 2010 health care reform law.

Polls consistently show the public favors Obama's position of raising taxes on wealthy Americans in order to minimize cuts.

By the numbers: Fiscal cliff

Nearly half of Americans -- 49% -- approve the president's handling of the talks, compared with 25% who say Boehner is doing a good job, according to an ABC News/Washington Post poll released Wednesday.

Meanwhile, a Bloomberg National Poll found nearly two-thirds of respondents, including nearly 50% of Republicans, believe Obama's re-election gave him a mandate to seek higher taxes on the wealthy.

Regardless of which side of the debate citizens fall, experts agree almost everyone will be affected if a deal isn't struck. Two former Senate majority leaders said Thursday both sides must be ready to compromise.

"The simplest way to put it is that we're at 24% spending, we're at 16% revenue," said Tom Daschle, a former Democratic senator from South Dakota. "We've got to bring those two closer together, and that's how you get a balanced budget, and ultimately that's how you get fiscal responsibility. ... It can be done."

To Trent Lott, a former Republican senator from Mississippi, it comes down to the principal negotiators.

"There'll come a moment when the speaker ... and the president will have to make a decision," Lott said. "But they need to do it in concert.

"It's like directing the orchestra. You've got to have the winds and the brass come together, and they're not quite there."

How is the fiscal cliff affecting you?

CNN's Dana Bash, Jessica Yellin and Greg Botelho contributed to this report.

@highlight

Legislators head home for the weekend, but they'll be back

@highlight

Fiscal cliff negotiations will continue next week

@highlight

President Obama and Speaker Boehner had a "frank" meeting Thursday

@highlight

Without a deal, Americans face higher taxes next year