Washington (CNN) -- Just two months after the brinksmanship of the "fiscal cliff," on Friday Washington faced yet another deadline to avoid yet another fiscal calamity of its own making.

But this time, something is different.

As congressional leaders met in the White House on Friday for what was little more than a photo-op on the day forced budget cuts went into effect, this time there are no 11th-hour negotiations to save the day. There is no last-minute effort to call in Vice President Joe Biden on behalf of Democrats or Senate Minority Leader Mitch McConnell on behalf of Republicans to get things back on track.

Obama: 'I am not a dictator, I'm the president'

Instead, for the past few weeks, all sides -- the White House and Congress, Democrats and Republicans -- have done nothing but squabble like a dysfunctional married couple about who is responsible for the bad policy that is the forced budget cuts, all while avoiding dealing with the real issues.

National leaders' apparent lack of interest in working out an alternative to the cuts was symbolized by the meeting Friday morning at the White House. As if to check off the "we did everything we could" box, say couples counselors, President Obama and congressional leaders from both parties met to show that they met -- even though earlier this week, Obama told Hill leaders they needed to be "ready to talk solutions."

As expected, the meeting produced no breakthrough and Friday night President Obama formally began the process of implementing the forced budget cuts he and Congress have been criticizing for weeks.

If it feels like a child helplessly watching bickering parents repeat a dysfunctional cycle of disagreement, recrimination and contempt while not addressing the root cause of what's wrong in their relationship, there's good reason.

Spending cut politics: DÃ©jÃ  vu all over again

"They've lost sight of the big picture because they're so determined to be right and to win the argument, and that's what happens with couples," said Sharon Rivkin, a California-based marriage counselor and author of "Breaking the Argument Cycle."

The need to be right, shaming and blaming are the three major obstacles to a healthy relationship, Rivkin said. "And that's exactly what they're doing -- the Democrats and the Republicans are doing with each other. They're attacking and defending and really just want to be right. And are not looking at the impact that it's going to have on children and the economy and the country."

Spending cuts: When they'll really bite

In addition to the contempt that seems to be building on both sides, Rivkin flagged misdirected disagreement as another sign that the relationship between Democrats and Republicans has become dysfunctional to the point of needing therapy.

"They're arguing about the wrong things, and that's what happens in couples: You're not even arguing about what's really going on. You're just arguing to win," Rivkin said.

"They should be talking about economic growth and how to reduce the budget deficit and how they can be fair," the therapist observed. Instead, both sides are squabbling over who originally had the idea for the forced spending cuts. "You can't win in an argument like that, because it's he said, she said, and they're not getting to the root of the issues."

Teachers: How will you be affected?

Then there is Obama and House Speaker John Boehner, a couple that seems to have the most strained relationship in a dysfunctional Washington. Rivkin says that if the two men came to her for therapy, she'd first listen to their gripes about one another. "And then I'd try to make it more human" by getting away from their superficial disagreements and appealing to their shared concern for the well-being of the country.

"If I talked to them long enough, there's got to be something that they agree on," Rivkin said, adding that finding a point of agreement in a quarrelling couple is "very powerful."

Obama signs order activating deep spending cuts

Rivkin also said that Boehner's recent announcement that he will no longer negotiate directly with Obama is another sign that the relationship between the two men is in serious trouble.

"The healthiest relationships are the ones where you can negotiate," the marriage counselor said, "where you feel safe to put everything out there."

Laurie Puhn, a couples mediator and author of "Fight Less, Love More," likens Friday's meeting at the White House to a couple's mediation session where both spouses come into the room but refuse to speak.

"OK," Puhn said, "you got the image. You can check off your list (that) you did couples mediation, but clearly nothing could possibly be accomplished."

Like a married couple desperately in need of outside help to understand and resolve their differences, Puhn noted, "each political party -- the individuals within them -- is all about what I want. Here's what I want. Here's what I need. Here's what I won't do. Here's what I won't give up. Everybody's making demands, and they're each just completely thinking about themselves."

In mediation, Puhn tries to avoid the personal acrimony between a couple and instead focus on identifying a list of underlying issues or concerns in their relationship. Then she focuses on areas of agreement about those issues and sets those aside so the couple can focus on the areas of disagreement.

"You narrow it down ... and what you're left with are the sticking points," Puhn said. Then the task becomes avoiding focusing on a single sticking point and, instead, finding some give-and-take amongst all the sticking points.

"Most of the time, people can't identify their actual problems," Puhn said of her work with distressed couples. "And I think that's what we see between the president and the speaker."

Obama and Boehner and both political parties seem to be suffering from another affliction Puhn sees in struggling couples. "If we're going to fight, let's have a good fight. ... Let's make our goal in a fight to reach a solution. The goal is not to win ... not to persuade your mate."

As a mediator, Puhn said, much of what she does is to control the environment where a couple is brainstorming tradeoffs between their sticking points on critical issues so that one spouse isn't given the opportunity to see the other's willingness to compromise as leverage or weakness. In so doing, Puhn often acts as a substitute for the trust between the couple that has broken down by the time they seek her help.

Puhn said Obama and Boehner and Democrats and Republicans in Washington "absolutely" need a mediator whom both sides trust who can get them refocused from their entrenched positions to their underlying interests and goals.

"As a politician, you should be able to understand and mediate through what your interests are," Puhn said. "And if you really can't move away from the words and the specific rules on the table and the (governmental) programs you're discussing, what it means is that you're truly just focused on what it's going to look like -- what the image is of whatever you agree to."

Suffering from sequester burnout? You're not alone

@highlight

Washington faced yet another fiscal deadline -- this time with no real effort to negotiate

@highlight

Couples therapist: Democrats, Republicans lost sight of big picture, are just arguing to win

@highlight

Couples mediator: Disagreements should be used to find solutions