(CNN) -- Actor and director George Clooney testified before Congress on Wednesday about "a campaign of murder" under way in Sudan, where villagers run for the hills to hide from bombings on a daily basis.

"What you see is a constant drip of fear," Clooney said, a day after returning from a trip in which he and a small team of fellow activists managed to enter one of the most devastated areas, the Nuba Mountains in South Kordofan.

"We found children filled with shrapnel, including a 9-year-old boy who had both of his hands blown off," Clooney told the Senate Foreign Relations Committee.

Clooney said the attacks are being orchestrated by Sudan's government, led by President Omar al-Bashir, government official Ahmad Harun and Defense Minister Abdelrahim Mohamed Hussein -- the same three men, he said, who previously orchestrated long-documented attacks in Darfur.

"They're all charged with war crimes and are now proving themselves to be the greatest war criminals of this century by far," he said.

The Sudanese government has denied accusations in the past that it is engaged in such attacks.

This month the International Criminal Court issued an arrest warrant for Hussein listing 41 counts of crimes against humanity and war crimes allegedly committed in the Darfur region of Sudan. Al-Bashir and Harun are also facing war crimes charges involving Darfur.

Clooney is co-founder of the Satellite Sentinel Project, which uses satellite imagery to watch for aerial attacks and troop movements in Sudan and South Sudan, which became a separate country last year.

John Prendergast, who created the group with Clooney, is also co-founder of the anti-genocide Enough Project. Both men traveled to South Sudan last week and worked their way across the border and into South Kordofan.

Clooney wrote and directed a video about the trip for the Enough Project.

It shows people who have had to flee their villages for caves.

"For the first time since the Stone Age, people are living in caves," a man identified as a rebel doctor says in the video.

"We left our homes because we were too scared of the attacks by airplanes and rockets," says a young woman holding a baby. "Omar al-Bashir is attacking us."

In the video, Clooney describes the violence as an effort "to clear people out ethnically because of the color of their skin."

"It is a campaign of murder and fear and displacement and starvation," he told the Senate committee Wednesday.

A U.N. report last year said the Sudanese military "regularly conducted aerial bombardments in the Nuba Mountains, and in several towns and villages populated by the Nuba (people)"

Much of the violence is along ethnic lines and also involves a battle for control of the country's oil supply, which has shut down in the conflict.

U.S. officials at the Senate committee hearing Wednesday said there is a looming humanitarian crisis in the region, particularly in troubled areas, including South Kordofan and the Blue Nile region.

Hundreds of thousands of people have been displaced, and many have been cut off from food and basic supplies, said Nancy Lindborg of the U.S. development agency USAID, and the Sudanese government has been blocking aid.

For those people in areas of South Kordofan controlled by the opposition Sudanese People's Liberation Movement-North -- which has battled the Sudanese army -- the outlook is particularly dire, Lindborg said. "Current predictions are that up to 250,000 people in those areas now face a serious emergency, which is one step short of famine by the end of April if the violence and the restrictions on humanitarian access continues," she said.

"It is imperative to have immediate humanitarian access to all communities affected by conflict in South Kordofan," Lindborg said.

Southern Kordofan and Blue Nile straddle Sudan and South Sudan's geographical and political lines. The population in these areas has faced "exclusion, marginalization and discriminatory practices that have resulted in their opposition to the Sudanese government," the U.N. Office of the High Commissioner for Human Rights said last year.

Speaking to CNN in advance of his testimony, Clooney said that in recent weeks, the Satellite Sentinel Project -- which he has previously described as "anti-genocide paparazzi" -- managed to capture images of bombs being dropped on civilians, leaving mass graves.

Prendergast told CNN that documenting the atrocities under way in Sudan is critical, as is "building a constituency of people in the United States who care about these issues and will tell President (Barack) Obama and their members of Congress and senators that it matters to them ... that the United States steps up and takes a leading role in helping to resolve these problems."

Clooney said the efforts are getting support from the White House and Congress.

"We're meeting in Congress because the House is trying to pass a bill right now that has a very good chance of passing that has some pretty robust sanctions. We're hoping the Senate will do the same. The truth is, there is a lot of ways to attack this problem.

"One is to do what we did with terrorist groups, which is go after the money, find where the money is. These guys are not buying their weapons with Sudanese pounds. So find their offshore accounts in Malaysia, places like that, and freeze them.

"The other way is to actually work with China, not try to guilt them, but work with them to say, 'Listen, you guys are losing 6% of your oil import right now from the Sudan because they've shut off the oil. Let's work together to find a way to get that oil turned back on by fixing these problems.' "

Speaking to the Senate committee, Clooney pointed out that the Sudan situation is affecting global gas prices. "What happens in Sudan matters very much to us now economically," he said.

@highlight

NEW: 250,000 could be one step short of famine by the end of April, USAID official says

@highlight

NEW: George Clooney points out link to rising gas prices and violence in the region

@highlight

"We found children filled with shrapnel," actor testifies

@highlight

Clooney is pushing for congressional action