Atlanta (CNN) -- Thwack, thwack, thwack. The sound of a hoe hitting the earth breaks the silence of a cold, crisp Atlanta early spring morning.

Wearing a brightly colored, tribal patterned piece of material as a skirt over her pants, Halieth Hatungimana works hard turning the soil over in preparation for seeds. Her worn hands grip the hoe with ease, the thwacking noise rhythmic. Slowly, other women start to join her. They're bundled up against the cold but still make a point to sing out to each other in greeting. A child's runny nose is tended to and then he's left to play.

The women are farming a piece of land in the unlikely location of Atlanta. They're planting spinach and beets and carrots in anticipation of a late spring harvest. It's work they're familiar with, work they're good at. See, these women aren't originally from Atlanta. They're refugees from Burundi.

Burundi is a small African country that shares a border with Rwanda to its north and the Democratic Republic of Congo to the west. No stranger to political instability and unrest, Burundi started out as a monarchy though was later colonized by the Belgians.

Independence came in 1962, but damage to the relationship between the country's two main tribes, the Hutus and the Tutsis, had already been done. One coup after another eventually led to military rule. A captain and a colonel later, Burundians found themselves without a constitution or opposition parties.

Tensions between the ruling Tutsis and majority Hutus grew and grew until another all-too-familiar wave of violence broke out in 1988. It's estimated that 150,000 Burundians were killed, and tens of thousands sought refuge.

Burundi briefly looked to be back on track a few years later, but after the country's first Hutu president was assassinated, the nation was rocked by civil war. All this happened before the Burundian and Rwandan presidents were killed in a plane crash April 1994. That crash marked the beginning of the better-known Rwandan genocide and only served to exacerbate the tensions in Burundi.

It wasn't until a cease-fire was negotiated in 2006 that Burundians could exhale. And while the situation still isn't fully resolved, the violence has for the most part stopped.

Waves of Burundians came to the U.S. during that turbulent time.

Atlanta was a popular destination for them because the city is constantly growing, and it was looking to diversify the population. For the refugees, escaping war was only the beginning.

Transplanted into a world that looked different, smelled different and spoke an entirely different language meant many challenges. In Burundian culture, the women are responsible for farm work. Without knowing English, many struggled to find a way to fit in, let alone provide for their families.

FIFA co-opts first woman from Burundi to its executive committee

A guiding light for the women

For these 15 refugees, Susan Pavlin changed all that.

A former immigration lawyer, Pavlin knows how hard it can be just to get to the United States. She wanted to take her love of gardening and combine it with her passion for those in need. She gave up her well-paying job and started Global Growers, an organization that offers refugees a second chance at a new life. Global Growers operates a few farms and farming programs, but the Umurima Wa Burundi is just for Burundian refugees.

Halieth is the de facto leader of the group. She's been farming since she was a little girl. When she came to America after fleeing Burundi, she had no means of income. She couldn't speak or read English, and had a hard time navigating her new city.

Now, she can take the local rail transportation and read which spot she needs to get off. Her English isn't fantastic, and she still needs a translator to explain some larger concepts, but you can tell from the way her eyes soften when she smiles that she's happy.

Originally the garden intended to give the Burundian women a chance to do at which something they're good, to empower them and perhaps the chance to take something home to their families. It's since evolved into a means for the women to make money. They now sell whatever they don't take home at farmers' markets.

This year, they also started a Community Supported Agriculture program, or CSA. Members of the community pay a fixed sum and get roughly 12 weeks worth of vegetables from the farm. They get whatever comes out of the ground that morning, and the women wash and sort the veggies with care. Because the CSA members come and pick up their weekly allotment from the garden in person, they get to meet some of the Burundian women.

"I like the concept," says CSA member Don Bender, "I know some of the folks who work here, and they bring with them skills from Burundi that they're able to use in this, and it feels good to see them be able to continue with what they were doing there to do it here. ... I think plants reflect better taste when they're raised with love."

For Halieth, the relationship is mutually beneficial. Through a translator, she says, "If you are working, then ... you are going [to feel] very better, but if you're going to sleep in, you're going to [get] in trouble."

She means the garden gives her a purpose in life, that she's not just sitting at home doing nothing all day. Her goal for the farm is for it to become big enough "to produce the things that are going to help our family or to help grow up our kids."

Burundi faces growing unrest

Another harvest from garden: leadership

Susan's role is more as a coordinator, making sure the garden is permitted correctly and handling the administrative tasks. The rest is run by the women. She's noticed some residual benefits of the garden as well.

"There's really a leadership process that has evolved," she says, "We have regular team meetings with the women who are in the leadership of the farm and we look at what has been successful selling at the market and we also look at what are some of the crops, the food that the women want for their own homes that they can't typically get in the marketplace here. So we do a combination of growing things that are harder to find in the markets like African greens ... and then also growing for markets."

The women are also responsible for deciding what farming techniques to use.

They often plant two beds of the same crop, to see which one does better. They're used to a less-structured growing approach. Seeds are scattered over an area, as opposed to being planted in rows. They've recently expanded their growing space so they have more room for muchicha, an amaranth green prominent in Burundi. When they first picked out what they'd grow, a language barrier caused some confusion. The women saw a picture in a seed catalog of what they thought was muchicha; turns out it was basil.

The women's approach to their crops is also commendable. They use as much of the plants as they can; even taking bean leaves to prepare at home like spinach.

As she reflects on the garden, and how far it's come, Susan says "probably the biggest thing I've learned is how incredibly important it is for human beings to have something they can take ownership of and feel strongly about. ... And with that also comes a tremendous amount of confidence and really a comfort level of being in this country, having an opportunity to share it with their children. ... It's been really amazing to see that grow because it tells the story of people getting a chance to do something that's good for them and good for their families, but really is central to who they are and it makes people so much stronger."

Stronger, more empowered and happier. They may not be in Burundi, but Global Growers is providing these women with more than just the ability to farm.

They're integrating them into a community so that one day, maybe they'll feel like they're home.

Rescued refugee becomes Coast Guard rescuer

@highlight

Fifteen women who fled war-torn Burundi are farming in metro Atlanta

@highlight

Susan Pavlin started Global Growers to help refugees adapt to their new city

@highlight

The women take some crops home and sell the rest at farmers' markets

@highlight

Pavlin: It's important to have something of which they can take ownership