Editor's Note: The staff at CNN.com has recently been intrigued by the journalism of VICE, an independent media company and Web site based in Brooklyn, New York. VBS.TV is Vice's broadband television network. The reports, which are produced solely by VICE, reflect a very transparent approach to journalism, where viewers are taken along on every step of the reporting process. We believe this unique reporting approach is worthy of sharing with our CNN.com readers.

Brooklyn, New York (VBS.TV) -- Back in the mid-zeroes, I remember reading a lot of stories about a buildup of trash in the Pacific Ocean so massive that it had formed a floating island of waste the size of Texas. Its colorful nickname was the Great Eastern Garbage Patch, and what was even more mind-boggling than the purported scale was that pretty much the only places you could dig up any substantial info about it were in minor oceanographic and environmental publications. You also couldn't find a photo of it to save your life. It was like Garbage Brigadoon.

Anyhoo, the idea that one of the biggest environmental disasters of our age had been going on outside nearly everyone's awareness piqued our curiosity, so we decided to head out there (the middle of the ocean) and see it for ourselves.

The Garbage Patch is located at a natural collecting point at the center of a set of revolving currents called the North Pacific Gyre. The middle of the Gyre is more of a meteorological phenomenon than an actual place: a consistent high-pressure zone north of the Hawaiian Islands that, combined with the extremely weak currents, helps keep the ocean surface as placid as lake water.

Flotsam has been sucked into this area from the encircling currents for as long as the Pacific's existed, but up until the last century this process ended with the refuse safely biodegrading and being reabsorbed into the food chain as nutrients. With the advent of plastics, however, the Garbage Patch has transformed from a fertile feeding ground to the oceanic equivalent of a desert. And a particularly crap-strewn desert at that.

See the rest of TOXIC: Garbage Island

We chartered a trip through the middle of the mess with Capt. Charles Moore of the Oceanographic Research Vessel Alguita. Capt. Moore is credited with discovering the Patch in its present, trash-choked state, and at the time was one of the few people studying the extent and effect of the pollution.

Our voyage into the center of the Gyre took eight days of round-the-clock sailing on a 50-foot catamaran with a crew of six (including VBS's three-man filming team). Personal tensions mounted. Humor got strange. By the time we got to the beginning of the Patch, anticipation and cabin fever had conspired to make our expectations of "Garbage Island" unreasonably high, but what we found still managed to surpass them.

To the naked eye it looked no different from any other part of the ocean, except that every few minutes something really strange would float by. For instance, one time it was a hard hat with Korean writing on it. Another time it was a motorcycle tire. Another time it was a child's life preserver with a cartoonish shark bite taken out of the side. Once it was an enormous telephone-pole-shaped thing that could have easily wrecked our ship if we'd been on a slightly different course.

Here we were in one of the most remote stretches of water in the world -- thousands of miles from land, hadn't seen another ship in days -- and everywhere around us was civilization's detritus.

It would have been some consolation to think that the Garbage Patch was simply the result of careless sailors, but researchers estimate up to 80 percent of the trash originates on land. That not only meant that the shampoo bottle or birthday balloon we scooped up had most likely spent years traveling around the currents of the Gyre before ending up in our path, but that there were countless others in the middle of the same journey. It was a colossal bring-down.

Then we started taking some samples of the water, and that's when we realized things were even worse than we thought.

Watch what the water samples showed

@highlight

VBS travels to a spot in the Pacific where a massive pool of trash churns with the current

@highlight

Non-biodegradable bits of plastic make up much of the so-called "chemical soup"

@highlight

VBS reporter says water sample tests were "worse than we thought"