(CNN) -- Today, the day after the tragic shootings near Milwaukee, the fog will begin to lift. Just as after Columbine and Aurora, we will hear the names of the suspect and victims. We will learn more about the motive and imagine the nightmare that unfolded within those walls. In the past, hearing these horrific details would be enough to bring us together in national unity. But that will not be enough today.

Today, we are called to do more. We are called to do the hard work of listening.

If we really want to unite in response to this national tragedy, we need to know whom we are embracing. For many, this means learning about Sikh Americans for the first time -- and listening closely to what's at stake. For me, the mass shooting is not just about how to keep guns out of the hands of a murderous few. It's also about my community's sacrifice in the struggle to live as free and proud Americans.

As a Sikh American whose grandfather sailed by steamship from Punjab, India, and settled in California 100 years ago, my family's story spans the struggle of Sikhs in America. Donning a turban and long beard, my grandfather tamed the hard floor of the Central Valley on a John Deere tractor in the early 1900s. Sikh pioneers such as my grandfather could not own land or become citizens because of the color of their skin, but they stayed and farmed, weathering race riots and decades of second-class treatment until the law permitted their children and grandchildren to become citizens.

Like many Sikhs, I grew up with deep roots in America and also fell in love with the heart of the Sikh faith: devotion to one God, who requires us to uphold equality between women and men and all peoples, and perform seva, service to our community as an expression of our faith. Our house of worship is called a gurdwara, where we recite and sing the poetry of our sacred scriptures.Â Many Sikhs wear five articles of faith, including kesh, long uncut hair that most men and some women wrap in a cloth turban.

Nearly every person who wears a turban in America is Sikh.

Tragically, the turban meant to represent a commitment to service and justice has since marked Sikh Americans as targets in hate violence. Our family, alongside Sikh families who arrived in a wave of immigration after the 1960s, became American in law but not necessarily in the eyes of our neighbors. I was old enough to remember racial slurs and shattered windows after the Iran hostage crisis, the first Gulf War and the Oklahoma City bombing. Still, none of this could prepare me for 9/11.

In the hours and days after 9/11, turbaned Sikh Americans became automatically suspect, perpetually foreign and potentially terrorist -- confused with Muslims, and so immediate targets in anti-Muslim violence.

Hate violence swept the country, and on September 15, 2001, a Sikh man was gunned down in front of his gas station in Mesa, Arizona. My family knew Balbir Singh Sodhi; it felt as though an uncle had been murdered. But the killing was not broadcast widely on national news.

A few days later, I grabbed my camera, left college and began a journey across America that would last a decade, capturing on film the stories of Sikh Americans profiled, beaten, stabbed, shot but persevering in faith and resilience. The FBI reported a 1,600% increase in anti-Muslim hate crimes in the year after 9/11.

Over the last decade, I became part of a new generation of Sikh Americans who organized and became lawyers, artists, journalists and elected officials, in part to advocate on behalf of a community repeatedly swept up in waves of anti-Muslim rhetoric, violence and racial profiling. In a poor economy and critical election season, we have recently watched ideologues use anti-Muslim bias to turn a profit in dollars and votes. When discontents can easily access guns, many of us feared more hate violence.

Whether or not the shooting in a Milwaukee suburb is a hate crime, the news has reverberated through every Sikh American home. We saw our own gurdwara on the television screen; we imagined our own aunts and uncles, brothers and sisters, caught in the gunfire. And we shared an all-too-familiar sense of helplessness, grief and the sadness of a community that has long struggled to live, work and worship peacefully in this country.

But this time, something new happened: The whole nation paid attention. Thousands of people posted messages of love and support in the face of unspeakable tragedy. They knew that the Sikh community gathered to pray on a Sunday morning just like millions in churches across the country. They knew that the terrible loss of life so recently after the shootings in Aurora shocks the conscience and violates our deepest values. They knew that this is not a Sikh tragedy but an American tragedy.

Today and in the days to come, I believe Americans are hungry for the next step. We are ready to come together in a groundswell of healing, hope and renewed commitment to a world without violence. We are ready to come together in true national unity, we are ready to listen.

There is a Sikh gurdwara in nearly every city in America. Come this Sunday morning. Listen and be with us. Americans' support -- every candle, every prayer -- will be felt by Sikh Americans across the country. Together, we can all be Sikhs; we can all be Americans -- and know what that means.

The opinions expressed in this commentary are solely those of Valarie Kaur.

@highlight

Valarie Kaur's Sikh grandfather faced discrimination when he came to U.S. 100 years ago

@highlight

Sikhs could not be citizens then, she says, and have struggled to live as free Americans

@highlight

Kaur: Turban shows commitment to God and service but marks Sikhs for hate crimes

@highlight

Kaur: Americans are not ignoring violence against Sikhs and are rallying in support