(CNN) -- Red wine in moderation has been shown to reduce the risks of heart disease. Enjoy a glass with dinner tonight.

Those words accord with the best available medical knowledge. When I write them here, I am protected by the First Amendment. If, however, a winemaker were to include those words on a wine label, that winemaker would find itself in serious legal trouble.

Fortunately, most of us have a pretty good idea of the health risks and benefits of wine. But when it comes to other important health-affecting products, we depend on doctors, and they, in turn, depend on medical researchers. The free flow of information among medical researchers is regulated very nearly as tightly as advertising by winemakers but by a different government agency: the Food and Drug Administration.

The FDA tells pharmaceutical companies what they may say about their products. Any use of the drugs must be approved by the FDA before companies can recommend that use. They are forbidden to mention anything beyond that. Up until last week anyway.

Last week, the U.S. Second Circuit Court of Appeals decided a case (PDF) that could that could dramatically expand the free-speech rights of pharmaceutical companies, allowing them to share unapproved information about the drugs they make.

The case involved a salesman who talked too much.

Alfred Caronia worked as a sales representative for Orphan Medical Inc., now called Jazz Pharmaceuticals, the company that makes Xyrem, a drug approved to treat a severe version of the sleep disorder narcolepsy. This is a rare condition, and the market for Xyrem was small, about $20 million a year in 2005.

Caronia's job was to promote the use of Xyrem to physicians. He seems not to have been very successful at it. In 2005, the federal government began an investigation into Caronia for illegally promoting the drug for uses unapproved by the Federal Drug Administration.

He was recorded saying that Xyrem could be used on patients under age 16, unapproved by the FDA. Caronia also suggested that Xyrem could be used to treat fibromyalgia, ditto unapproved. He finally suggested that the drug could be used to treat excessive daytime sleepiness, a use unapproved at the time but approved later.

Caronia and an associate were sentenced to a year's probation.

All Caronia did was to speak. One of his claims was corroborated later by the FDA itself. The FDA made no contention that any of his other claims were false or misleading. He was punished not for speaking fraudulently but for speaking without permission.

Other people are allowed to speak about off-label use of drugs. If you take aspirin for your heart, but have not had a previous heart attack, you are engaged in an off-label use of drugs right now: FDA-approved labels only mention aspirin as a remedy against recurrent heart trouble. Yet many doctors recommend aspirin as a prophylactic for everyone at risk of heart disease.

Doctors freely debate this issue. So do many laypeople. The only people forbidden to join the discussion are the companies who actually make aspirin.

Caronia's words became a crime only because he happened to be an employee of the company that made Xyrem. How, Caronia and his employer asked, can that be constitutional?

On December 3, a 2-to-1 majority of the Second Circuit agreed with Caronia and Jazz: It's not.

The court said, "the government cannot prosecute pharmaceutical manufacturers and their representatives ... for speech promoting the lawful, off-label use of an FDA-approved drug."

This is big, big news for the drug industry.

The ban on discussion of "off-label" uses of medicine is based on a binary vision of how medicines operate. In this vision, any potential use of a drug is either "safe and effective" or not "safe and effective." Until the FDA says yes, the answer must be no.

The trouble is, that vision does not describe the real world very well. Rather than fit into clearly defined categories of "effective" or "not effective," the value of drugs often blurs across a spectrum.

A friend who thinks profoundly about these issues calls pharmaceuticals "useful poisons." They always come with harms attached. The harms and benefits are always uncertain. For example, FDA-approved advertising will recommend aspirin only for those who have had one heart attack already, but many doctors recommend aspirin prophylactically for people at risk for a first attack.

The FDA applies bright line rules, backed by criminal penalties, to an area of science where the lines are not bright at all.

There's no mystery to the evil FDA seeks to prevent. It's well-described by the dissent in the Caronia case.

"Hardware stores are generally free to sell bottles of turpentine, but may not label those bottles, 'Hamlin's Wizard Oil: There is no Sore it will Not Heal; No Pain it will not Subdue,' " the judge wrote. Hamlin's Wizard Oil was one of the very first products shut down by the Food and Drug Act in the early 20th century.

But in trying to protect the public from flim-flam, the FDA also risks depriving doctors of early notice of information that could treat and cure their patients.

The irony is that the law allows "all-natural food supplements" to make all kinds of wild promises: They're subject to a different and much more permissive regulatory scheme. You'll hear radio ads for "supplements" that tout these products as "so effective, clinical trials have already begun." Yet for pharmaceutical products, even the news that a clinical trial has been completed was, until this week, forbidden speech unless the FDA gave the word.

That rule has abruptly changed. You're going to hear more talk about what scientists think medicines might be able to do. Where the side effects of a medicine are high, and where good alternatives are available, doctors and patients will want to exercise caution until the final experiments conclude. But where alternatives do not exist, where something is better than nothing, the Caronia ruling offers hope for a more transparent drug-approval regime.

Nothing is certain until the Supreme Court weighs in. But it's looking likelier that freer speech is coming to American medicine.

The opinions in this commentary are solely those of David Frum.

@highlight

David Frum: Court ruling may dramatically open drug companies' free speech rights

@highlight

Drug salesman convicted of promoting uses not approved by FDA for a legal drug

@highlight

Frum: But doctors often use drugs "off-label"; court said it's free speech to discuss

@highlight

By trying to protect public, he says, FDA risks depriving doctors of good information