London (CNN) -- From his London hospital room, journalist Paul Conroy recalled Sunday his harrowing journey to hell and back from Syria -- speaking out against what he called its "murderous regime" in tribute to those, including his colleague Marie Colvin, killed in the chaos.

Few foreign journalists have been in the Middle Eastern nation in recent months, as Syria's government has stringently restricted access amid widespread violence that the United Nations estimates has left more than 7,500 people dead.

President Bashar al-Assad's government blames "armed terrorist groups" for the bloodshed. Yet senior U.N. official Lynn Pascoe told the Security Council last week that often over "100 civilians a day, including women and children" are being killed -- most of them the victims of what activists and witnesses have described as brutal attacks by Syrian government forces.

Conroy spoke to CNN at length, days after surviving a bloody attack and surreptitiously escaping from the ravaged city of Homs to Lebanon and eventually back to his native Britain. After spending several days in Syria, both reporting and lying wounded in an embattled medical center, he had no doubts about who was responsible.

"It's really hard when you've got people presenting you with bits of people saying, 'Why aren't you helping?' What can I tell them?" Conroy said. "It's not like we don't know what's happening anymore. We do know."

His colleague at Britain's Sunday Times' newspaper, Colvin, had been with him earlier in February when they sneaked into Homs, which has been a hub of the resistance movement and government crackdown.

Conroy called the experience -- without government minders, into what had been a largely imagined situation until then -- "an eye-opener (given) the level of butchery going on."

After what they'd seen already, Colvin couldn't stand to just head home, he said.

"Marie was on fire," Conroy said. "She couldn't let this go. Two days wasn't enough."

So they returned to Homs to find "the situation was going downhill, almost by the hour." They talked with CNN and the BBC, intent on doing whatever possible to get the news out.

Around 8:15 a.m. the next morning, February 22, the building they were in took a direct hit, filling the air with dust and smoke. Several more blows followed.

Conroy remembered feeling "massive pressure" and knowing he'd been hit. He later was found to be severely wounded in his stomach and leg.

"So I ran through where the door had been and, on the way out, more or less tripped over Marie's body and fell down next to her," he said. "Her head was covered in rubble, her legs were covered in rubble, and she was obviously dead."

Activists soon risked their lives and dragged Conroy outside, threw him in a car and took him to the field hospital -- "ironically, what we'd been trying to get to for two days."

A room, fitted with mattresses, became home to Conroy and another wounded journalist, Edith Bouvier of France, for the next five days. He learned that, in addition to Colvin, another journalist, Remi Ochlik, also was killed, while colleague William Daniels had survived the attack.

Yet there was little peace. Conroy said. Every day, there was "the most savage and ferocious bombardment" imaginable -- reporting even what he called an "Iranian drone flying around, looking for targets."

Then late one afternoon, ambulances descended on the hospital. The initial word was first that there was a cease-fire and that Red Cross representatives would be on hand soon to take him, Bouvier and others home.

But Conroy said Red Cross workers didn't show up, just civilian Red Crescent members "with no diplomatic presence."

A delegation member who was trusted by the Free Syrian Army -- the armed opposition group, made up largely of Syrian military defectors, who had looked after the journalists -- said that he heard Syrian state television planned to film the two being put on ambulances, then government forces would stage an attack that they'd later blame on the Free Syrian Army.

Conroy said he was confused, but determined to get out.

"When you see bodies of kids with sniper rounds through the head, what's a journalist who had two of their roommates killed (to think)?" he said. "I'd rather die on the ground than wait for some lunatic to come in and start (shooting)."

A short time later, after borrowing shoes and pants, Conroy said he got an injection from doctors -- "I just said put anything in, because I knew it was going to be a very painful experience" -- and got into a Free Syrian Army vehicle. He emerged on a street, then found "most of the buildings" that had been there a few days before were "gone."

Conroy said a rope was tied around him, and he was lowered about five meters (16 feet) into a tunnel. There, he and a seriously wounded boy, roughly 10 years old, joined a driver on a small motorbike.

"We just drove off, into this night, in this tunnel," he said, adding that he learned Syrian forces shot up the same tunnel some 20 minutes later.

Yet he got out safely on the other end, being put on a stretcher and then placed in a "van full of dead and sick guys." The rest of his voyage consisted of "a series of motorbike rides (and) car journeys," at times past sporadic attacks and through battlefields.

Finally, Conroy said he was dropped off at a house, where three men were sitting watching television, with their machine guns nearby.

"And I thought, well, I better ask: Are we in Syria or Lebanon? They went, 'Lebanon,'" he said. "I just kind of sat down and had a toke of a ... cigarette...

"That's the first time that I felt I could actually allow myself to celebrate. I made it out. But I couldn't be delighted because nobody else was there with me. I was on my own."

Soon he was in the home of Tom Fletcher, Britain's ambassador to Lebanon, and eventually back in his native England. Last Friday, both Bouvier and Daniels returned to France -- with the opposition group Avaaz claiming it helped them escape.

Now, dressed in a hospital gown, Conroy is on another mission: to get the word out about what's really going on. That is the best way, he figures, to reflect the spirit and mission of Colvin and other journalists killed in Syria.

And he would return, he says, if only to challenge the Syrian government to an open debate about what they have done and what they'll do next. Conroy said he's convinced "this regime will continue to exterminate civilians. They will massacre them. They will not stop."

"If you are big enough to throw your army in to kill the women and children, then be big enough to have a conversation about it," he said. "If you've got nothing to hide, come and do it.

"I'd go back, absolutely."

@highlight

Paul Conroy was hurt while surreptitously reporting from Homs, Syria

@highlight

His Sunday Times' colleague, Marie Colvin, was killed in the same attack

@highlight

He fled Syria on motorbikes, vans and cars through tunnels and battlefields

@highlight

"This regime will continue to exterminate civilians," he says