Simferopol, Ukraine (CNN) -- On a dusty, pot-holed road south from the Crimean capital, Simferopol, there is a battered sign in Cyrillic. "Yalta," it says, pointing the way to the town on the Black Sea where UK Prime Minister Winston Churchill, USSR Premier Joseph Stalin and U.S. President Franklin D. Roosevelt met secretly in February 1945. It was at this Crimean resort that the "Big Three" debated the future of Europe

Nearly 70 years later, Crimea is again at the heart of that argument.

Most historians conclude that Stalin was the "winner" at Yalta. There was little discussion of Eastern Europe, which was soon to fall within the Soviet orbit. Churchill and Roosevelt won no meaningful concessions on Poland, already occupied by Soviet troops.

The ailing U.S. President's main aim was to win agreement on setting up the United Nations, where the United States and Soviet Union would spend the next 40 years vetoing each other's resolutions in the Security Council.

Yalta was the preamble to the Cold War. Facts on the ground -- the sweep westward of the Red Army -- strengthened Stalin's hand. In the House of Commons after returning from the conference, Churchill asked of the Poles: "Are their sovereignty and independence to be untrammeled, or are they to become a mere projection of the Soviet state?"

The answer -- a sham election in 1947 that sealed Communist rule -- was not long in coming.

The Iron Curtain, a term coined by Churchill, may have long fallen, holding out the promise to what former Soviet leader Mikhail Gorbachev called "our common European home."

But arguments over sovereignty, self-determination and spheres of influence are suddenly electric again. And they are playing out in the Crimean Peninsula.

Land hungry or quelling 'fascists'?

The Russian flag already flies across Crimea. Pro-Ukrainian rallies attract a couple of hundred people. Most Ukrainians here seem resigned to the new order, although a steady stream have taken the train north to stay in Kiev, for the time being at least. Cossacks now guard government buildings, and the new self-installed government talks of plans for adopting the ruble and Moscow's time-zone.

Billboards proclaiming "Together With Russia" are everywhere. Flights from Ukraine into Simferopol, currently suspended, will be directed to the international terminal if they ever resume. And a border, with barbed wire and checkpoints, is already taking shape across the neck of land that joins Crimea to the rest of Ukraine.

The other evening, an elderly man shuffled in the shadow of the statue of Lenin that still dominates Simferopol's largest square. He carried a flag, the hammer and sickle of the Soviet era, and a photograph, of Stalin. To older Russians here who remember the collaboration of some Ukrainians with the Nazis, the nationalist politicians now in government in Kiev are "fascists."

They claim the "Right Sector" in Ukraine is planning to sabotage Sunday's referendum in Crimea with acts of provocation. Referendum billboards in Sevastopol -- the home of Russia's Black Sea fleet -- display maps of Russia and Ukraine, the latter stamped with a swastika.

And then there is the opposite narrative.

Many Ukrainians -- including interim Prime Minister Arseniy Yatsenyk -- think Russian President Vladimir Putin wants to expand Russia to the old borders of the Soviet Union. They say that if Moscow is allowed to annex Crimea, it will look hungrily to eastern Ukraine, Moldova and Georgia. They lament what they saw as the West's indifference when Russian tanks came within 50 miles of the Georgian capital Tbilisi in 2008.

And they fear Putin will continue to do all in his power to stop Ukraine from knocking at the door of that "common European home" by seeking to join the European Union.

Even in the Baltic states, politicians liken events today in Crimea to Stalin's gobbling up of their countries in 1940. Germany has gone as far as to reassure the Baltic republics -- which have sizeable Russian speaking minorities -- that as members of NATO they will be secure.

But the alarm at unfolding events is palpable -- in Berlin, Paris and other western capitals. German Chancellor Angela Merkel said Russia was taking advantage of Ukraine's weakness. That is how wars began in the 19th and 20th centuries, she said, "which we thought we had overcome."

Historical ring in Russian warning

Putin -- buoyed by rocketing approval ratings at home -- seems unmoved by U.S. threats of what Merkel called "massive political and economic consequences" for Russia should it absorb Crimea. What those consequences will be remains unclear, but they seem likely to begin with visa restrictions and the freezing of foreign assets held by the new pro-Russian leadership and its supporters in Crimea.

The justification would be that they have illegally and unconstitutionally taken over part of a sovereign country. Should Russia go ahead and annex Crimea, sanctions would likely be extended to prominent Russians.

But the Russian military exercises close to Ukraine's eastern border over the past few days may be designed to warn that consequences will in turn have consequences.

On Friday, the Russian Foreign Ministry issued a stark warning about unrest in eastern Ukraine, where Russian speakers make up about half the population.

After Ukrainian and pro-Russian protesters clashed in Donetsk on Thursday, reportedly leaving two dead, Moscow said it had repeatedly warned the new government in Kiev that it must "disarm the militants, provide security for the population and legal rights for people during demonstrations."

The Foreign Ministry statement went on: "Russia acknowledges its responsibility for the lives of its compatriots and fellow citizens in Ukraine and reserves the right to take these people under its protection."

That too has an historical ring.

Seventy-five years ago, on March 15, 1939, Adolf Hitler ordered the Wehrmacht into the Sudetenland, a German-speaking part of Czechoslovakia. His justification was simple: "I am simply demanding that the oppression of three and a half million Germans in Czechoslovakia cease and that the inalienable right to self-determination take its place."

@highlight

70 years after "Big Three" debates future of Europe at Yalta, Crimea is again at heart of argument

@highlight

Arguments over sovereignty, self-determination and influence are suddenly electric again

@highlight

Many Ukrainians think Putin wants to expand Russia to the old borders of the Soviet Union

@highlight

Putin -- buoyed by rocketing approval ratings at home -- seems unmoved by U.S. threats