El Arish, Egypt (CNN) -- Clashes intensified Wednesday in Egypt's North Sinai as Egyptian forces launched aerial strikes on militants in response to a series of attacks by masked gunmen on military checkpoints.

Egyptian army Apache helicopters fired rockets at armed militants, and there were numerous casualties, said Gen. Ahmed Bakr, head of North Sinai security. State-run Nile TV reported that aerial strikes killed at least 20 in the port town of El Arish.

The assault came after masked gunmen launched six simultaneous attacks in North Sinai early Wednesday, wounding five security officers and a civilian. The targets included five security checkpoints and a military cement factory, he said.

Egypt's military leadership, the Supreme Council of the Armed Forces, issued a statement Wednesday saying that the operation targeting "armed terrorist elements" in Sinai "has accomplished this task with complete success."

Two security sources who did not want to be identified because they are not authorized to speak to the media told CNN that militants are concentrated in Jabal Al Halal in mid-Sinai. They are armed with rocket-propelled grenades, anti-aircraft guns and other weapons, including landmines, the sources said.

Security forces had failed in previous attempts to enter what is referred to as "Al Halal Mountain," the sources said. But air assaults, which began Tuesday night and were continuing Wednesday, killed many of the militants, they said.

Still, land mines and the potential for ambushes made it difficult to enter the area using ground vehicles, they said.

Khaled Fouda, the governor of Southern Sinai, declared a state of emergency in all state sectors in the province, including a reduction in the number of tourist buses in order to ensure vehicles servicing tourists will be guarded.

A political shakeup occurred amid the violence. The state-run Middle East News Agency said the governor of Northern Sinai was sacked and a new general intelligence agency head chosen after his predecessor received an "early" retirement.

The violence, which comes days after another attack in Sinai, is a foreign policy test for Egypt's new government and its president, Mohamed Morsy, a former longtime leader in the Muslim Brotherhood's political movement, over its relations with Israel.

Islamists such as the Muslim Brotherhood and many other Egyptians abhor Israel and its peace treaty with Egypt. Israel, which borders Sinai, raised concerns about terrorism in the region after Egyptian President Hosni Mubarak was ousted last year.

Morsy's "response to this crisis will provide the first real evidence of his oft-stated commitment to foreign diplomats that he will respect Egypt's international agreements, that is, maintain the peace treaty with Israel," said Robert Satloff and Eric Trager, analysts with the Washington Institute for Near East Policy, a Washington-based think tank.

Egypt's president condemns deadly attack in Sinai

They wrote that assessment a day after 16 Egyptian soldiers were killed and seven wounded when assailants with semi-automatic weapons and hand grenades stole two armored vehicles from Egyptian forces and tried to enter Israel.

The attack, which took place Sunday near the Rafah border crossing, prompted Egypt to block hundreds of smuggling tunnels into the Palestinian territory of Gaza, Bakr said. The Egyptian government shut the Rafah border "indefinitely" after the attack.

Israel blamed militants associated with the group Global Jihad for the Sunday attack. Egyptian military officials called the assailants "enemies" of the nation, while the Muslim Brotherhood said the Israeli intelligence agency Mossad was behind the killings.

No group has claimed responsibility for the attack.

Israel has handed over the charred remains of six assailants to Egypt, and the remains have been transferred to the Forensic Department in Cairo University for DNA tests in an attempt to identify the perpetrators, according to State TV.

A source close to the Egyptian military operation in northern Sinai who did not want to be named because he is not authorized to speak to the media told CNN of coordination between Egyptian and Israeli authorities to permit the use "of combat helicopters and hundreds of additional troops in the demilitarized zone on the Egyptian side."

"According to the Camp David Accords, both sides must agree before allowing additional troops on either side of the borders. Israel agreed to allow Egypt to move hundreds of additional troops into the Sinai Peninsula for the second time since the January 2011 uprising that toppled Mubarak," the source said.

U.S. Secretary of State Hillary Clinton warned last month during her visit to Egypt that the desert border between Israel and Egypt could become an "operational base" for jihadists if security is not maintained. In an interview with CNN, Clinton said the problem was discussed during her meetings in Egypt and Israel.

There is "the potential of jihadists and terrorists taking up an operational base in Sinai," Clinton said in the interview.

"We think this is a dangerous situation for both Egypt and Israel. It is also dangerous for Americans. We have Americans who are part of the multinational force that observes the continuation of the monitoring (of the) Camp David Accord. We have Americans in the Sinai. We've had a few concerns about their safety."

Israel captured the Sinai Peninsula in the 1967 Six-Day War and returned the land to Egypt after the countries signed a peace treaty at Camp David in 1979.

Since Mubarak's ouster, "terrorists have worked continuously to manufacture tensions between Egypt and Israel, attacking the gas pipeline to Israel and Jordan 15 times and launching a deadly cross-border raid on Israel last August that catalyzed a near-crisis in bilateral relations," Satloff and Trager said.

Satloff and Trager said Morsy "has sought to cover his bets" on the Sinai issue.

"On the one hand, he issued a strong declaration condemning the attack, vowed to catch and punish the culprits, and traveled to El Arish with Field Marshal Muhammad Hussein Tantawi to assess the situation himself. On the other hand, he also permitted his Muslim Brotherhood colleagues to issue a venomous statement blaming Israel's intelligence agency, Mossad, for the attack and warning Egyptians to beware of those trying to sabotage the revolution."

But they said a "responsible leader, one who wants international support to bolster his flagging economy, cannot play childish games that pander to the worst instincts of Egyptian public opinion. Indeed, any serious effort to prevent terrorist infiltration in Sinai requires coordination with Israel, which -- even if kept in the shadows -- cannot proceed in an environment of public vilification."

The paper said that, in light of the Sunday attack, Egypt should make improvements in its Sinai presence and realize that the United States sees Sinai "as an essential aspect of Egyptian-Israeli peace." A failure to improve security on the peninsula could trigger an overall reassessment of the U.S. military assistance package, with an eye to updating this 1980s-era relationship for the current environment.

"Last year, under an annex to the treaty with Israel, Egypt was permitted to move an additional seven battalions into the Sinai. Yet these forces are reportedly underequipped and have avoided patrolling terrorist hotspots," the paper said, referring to the violence in El Arish and Rafah.

"Moreover, according to reports, Egypt's security presence along the border with Israel is dangerously deficient -- so much so that Israeli patrols are occasionally obliged to provide food and other essentials to their Egyptian counterparts."

CNN's Joe Sterling contributed to this report.

@highlight

Dealing with Sinai is a foreign policy test for Egyptian President Mohamed Morsy

@highlight

Strikes come after attack by gunmen wound five security officers and a civilian

@highlight

Apache helicopters from the Egyptian army fire rockets at armed militants; at least 20 killed

@highlight

The violence comes just days after another attack in Sinai that killed 16 Egyptian soldiers