Editor's note: Claudia Wallis, a former Time editor at large, completed a yearlong Spencer Fellowship at Columbia's Graduate School of Journalism in which her reporting focused on the treatment and education of children with autism. To see more of her autism project, visit her Web site.

P.S. 176X principal Rima Ritholtz and senior Vicki Martinez celebrate graduation.

NEW YORK (CNN) -- All parents have hopes and dreams for their children. Parents of kids with serious disabilities are no different. But in their moments of wildest imagination, the parents of Vicki Martinez, Chase Ferguson and Travis Cardona could not have envisioned high school graduation -- certainly not in the dark days when they first learned their children had autism.

But last month, in a spacious high school auditorium in the Bronx, New York, Vicki, Chase and Travis marched down the aisle to "Pomp and Circumstance," resplendent in their caps and gowns, along with 15 classmates at P.S. 176X, a New York City public school with 560 students ranging in age from 3 to 21, all of whom have autism.

"When I came here, I couldn't talk. I talked gibberish," the now-voluble Vicki recalls. "I didn't do my class work; I'd go like this," and she proceeds to flap her hands -- a common symptom of autism known as stereotypy or, self-stimulation.

On graduation day, Vicki beamed from the high school stage as she collected three awards along with a special education diploma, and wowed the hundreds in the audience by singing "Besame Mucho" with the school's Latin band.

P.S. 176X is the largest school for children with autism in New York City and very likely the largest in the country, if not the world. Because it is so big, explains principal Rima Ritholtz, it can offer an extraordinary range of services: chorus, band, arts, life skills and cooking classes, vocational training at school and in the community, as well as a wide range of academic programs aligned to the wide-ranging abilities and disabilities of the students.

The school operates within five school buildings: three elementary schools, a middle school and high school. P.S. 176X students have full-spectrum autism, not milder forms. About 10 percent of the students attend regular classes at those schools, with an aide to help them, but 90 percent are in special classes, with student-teacher ratios as small as 1-to-1 and as large as eight students with two aides and one teacher.

Nationally, there is much debate over how best to educate the nation's rapidly growing and diverse population of youngsters with autism, the prevalence of which has increased tenfold over the past 25 years. The quality of services offered by public schools varies enormously from place to place. Some parents relocate to school districts that offer good autism services. Some persuade or even sue their district to pay for private school placement, which can cost $70,000 a year or more.  Video: see Vicki sing and other highlights from the graduation ceremony »

The right to seek private school placement for kids with disabilities was strengthened in June by a Supreme Court ruling in a closely watched case from Oregon. Under the federal Individuals with Disabilities Education Act, children with autism and other disabilities are guaranteed the right to a "a free appropriate public education" in the "least restrictive environment."

"People have preconceived notions about public school; they think private is better," says Ritholtz, who's wrapping up her 12th year as principal of P.S. 176X and is, herself, the daughter of a special education principal. But Ritholtz would happily match her program with almost any of the high-priced private schools. "I say, let me see their chorus," she jokes. While the school cannot necessarily serve children who have multiple handicaps in addition to autism, she allows, "We will walk a mile before we say we can't accommodate a kid."

The school offers a mix of educational approaches. Some classrooms follow a fairly strict applied behavioral analysis methodology, which tends to put a strong emphasis on one-on-one instruction, using rewards and punishments to spur learning and measuring incremental progress. Other classes use a variety of methods.

The school will weigh parental preferences along with what they feel will work best for the child. "Half the battle is winning the trust of the parents," says Ritholtz. "We understand they are up against a very baffling disability."

While the school does a lot of testing and evaluation, the staff never seems to lose sight of larger questions about the quality of life for its students. Says Ritholtz, "My father told me not everything that is important can be measured, and not everything you can measure is important."

After watching her son Chase graduate, Teresa Ferguson ticked off the many things he learned at P.S. 176X. "They taught him so many things I never thought would be possible," she says. "He learned how to make friends, joke, socialize. He learned how to sit still in the classroom. He learned how to read, write, sing, play a musical instrument, stand on a stage and say a speech. These are things I never knew would be possible when he was a toddler."

Planning for graduation and the transition out of school begins when a student is 14, seven years before he or she must, by law, leave the public school system. Terri Giampapa, the transition coordinator and job developer, works closely with families to help them find job placements, adult day programs, sports and recreational activities that will suit the graduate. As part of that preparation, students visit work sites, spend time learning vocational skills and get used to being in larger groups. Some learn to travel and navigate public transportation.

Surprisingly, it can be harder to place the more capable graduates who seek job opportunities than those who are more severely disabled and directed to adult "day hab" programs. "Employment is extremely challenging," says Giampapa, and it's been made even harder by the recession. Only two of this year's 18 graduates -- Vicki and Chase -- appear to be headed for work. They plan to go to "supported employment" situations, meaning that they will be closely trained and supervised.

Often such jobs are just 20 hours a week, so the school helps families plan ways to flesh out the week. For those who swim, there may be weekly visits to the YMCA or, in the case of one graduate, weekly appointments at a nail salon for a manicure and a dose of salon community. The goal is to construct a full and satisfying life, explains Rosemary Petrovich, a former assistant principal who still works at the school a few day a week: "Where are the places to go, people to see, things to do?"

The family of 176X graduate Travis Cardona couldn't be more pleased with his post-graduation plans. Travis, who can read and write but doesn't speak and relies on an electronic communicator, is headed for a day hab program called Quality Services for Autistic Citizens. "They had no space, and then they made space for him," says Travis' aunt and guardian, Ivette Ithier.

Ithier says she wept with joy watching her nephew graduate. "It was unbelievable. A big accomplishment."

@highlight

P.S. 176X could be world's largest largest school for kids with autism

@highlight

560 students range in age from 3 to 21

@highlight

Size allows an extraordinary range of services: chorus, band, arts, job internships

@highlight

Best way to educate growing, diverse population of kids with autism is debate topic