Of all the things to say about Robin Williams, the truest may be this: He made people smile.

They might be those who packed comedy cubs for his frenetic, improvisational, hilarious routines. Or those who fell in love with him as the lovable alien Mork and stayed in love through fun films such as "Aladdin" and serious ones such as "Good Will Hunting." Or those who had the pleasure of knowing him as a man -- a kind, decent, generous soul who made others' lives better.

Throughout his 63 years, Williams rarely failed to impress others with his charisma, his talent, his heart. All the while, he fought his personal demons -- including substance abuse that led to at least two rehab stints, the most recent coming last summer.

Ultimately, those struggles led to his end. According to police, Williams apparently hanged himself with a belt this week in a bedroom of his Marin County, California, home. Someone who'd given so much to so many over the years, in ways big and small, decided to take his own life after struggling with depression.

Officials: Williams apparently hanged himself

Still, while Williams never denied his struggles, he was never defined by them either. Just ask those who rubbed elbows with him, whether they were big-time comedians or fathers he could give joy to their ailing children.

Invariably, they had a story that involved him laughing, telling stories and making people feel good.

"His impact on the world was so positive," tweeted comedian and occasional co-star Ben Stiller. "He did so much good for people. He made and so many people laugh so hard for a very long time."

'A comedy force of nature'

The son of a model and an auto company executive, Robin Williams was born in Chicago on July 21, 1951, yet spent most of his childhood in and around Detroit.

Chubby and sometimes bullied, Williams laid low growing up -- the latter being expected in his family, Williams told People in a 2009 interview, even if it's opposite of the bigger-than-life persona he'd cultivate through his career.

"The ideal child was seen, not heard," he said then.

In an interview with the Detroit Free-Press, Williams characterized himself as "the opposite of a class clown" while at Detroit Country Day, a private boys school. He worked hard, played soccer and wrestled and "just went out of my way to fit in."

"I loved school, maybe too much really. I was summa cum laude in high school," he told the Free-Press. "I was driven that way."

As a teen, Williams moved to Northern California's Marin County -- attending high school and college there before enrolling at New York's prestigious Juilliard School for performing arts. He'd later return to the Bay Area, handing out Halloween candy and boosting local causes.

The once shy boy also found his place and his voice on stage at comedy clubs. Even after making a name for himself in Hollywood, he kept coming back to do stand-up at establishments such as Cobb's, Catch a Rising Star, the Improv and The Comedy Store because, as he told People: "It was my only release."

"To see Robin perform was an experience," fellow comedian Gilbert Gottfried recalled in a piece on CNN.com. "He was more than a comedian. He was a comedy force of nature."

Mork from Ork

The comedy clubs may have been where Robin Williams felt at home. But he made it into millions of Americans' homes in his role as Mork from Ork.

Just as there's never been anyone else like Williams, there's been no other character like Mork -- an alien who took an egg-shaped spaceship to Earth and, thanks to Williams, ended up stealing many Earthlings' hearts.

The character debuted on the sit-com "Happy Days," whose star Henry Winkler "realized I was in the presence of greatness" during Williams' first rehearsal. From the start, his delivery, myriad faces and improvisational talents made him hard to resist.

"I just realized my only job is to keep a straight face," said Winkler, who played "The Fonz." "And it was impossible. Because no matter what you said to him, no matter what line you gave to him, he took it in, processed it, and then it flew out of his mouth, never the same way twice. And it was incredibly funny every time."

The "Happy Days" appearance was such a hit that CBS created "Mork and Mindy," pairing him with his human roommate played by Pam Dawber and fellow alien (and real-life idol) Jonathan Winters.

The show's run ended four years later in 1982, during which time Williams also starred as the titular character in the movie, "Popeye."

Williams didn't rest on his laurels. In fact, the beloved comedian turned his career on its heels by turning to dramas, starting with "The World According to Garp."

Instead of tickling people's funny bones, he tugged at their heartstrings. And as he had done at comedy clubs, Williams excelled in roles in films such as "Good Morning, Vietnam" and "Dead Poets Society."

Seesawing between comedy and drama

Williams went back and forth over the decades to come, from family-friendly fare such as "Mrs. Doubtfire" and as the voice of the genie in "Aladdin" to more adult-themed movies such as "The Birdcage" and "The Fisher King."

What turned out to be biggest role yet was actually a small film led by two then unknown actors, Matt Damon and Ben Affleck, in "Good Will Hunting." Playing sage psychologist and community college Professor Sean Maguire, Williams won the Oscar -- after losing out three other times-- for supporting actor.

As he stepped on stage to accept the award, he said, "This might be the one time I'm speechless" -- before launching an emotional, humble, joke-laden speech thanking all those involved in the film and his life.

"And most of all, I want to thank my father, up there. the man who, when I said I wanted to be an actor, he said, 'Wonderful, just have a back-up profession like welding.' "

As the years rolled by, Williams didn't slow down.

He seesawed in his roles -- from dark pieces such as "One Hour Photo" and "Death to Smoochy," to the lighter likes of "Happy Feet" and the "Night at the Museum" movies. He even went back to TV on the short-lived CBS comedy, "The Crazy Ones."

The admitted workaholic at one point turned out eight movies over a two-year period. He told The Guardian in 2010 that he'd "take it slow ... and enjoy the ride" after his 2009 heart surgery, though that doesn't seem the case: Four more films -- "Night at the Museum: Secret of the Tomb," "Merry Friggin' Christmas," "Boulevard" and "Absolutely Anything" -- are expected to be released posthumously.

"You have this idea that you'd better keep working, otherwise people will forget," he said.

A funny man and humanitarian

Yet, as hard as he worked, Williams was never just about his work.

For all the admiration of his talents, other actors remembering Williams tended to talk first about his huge heart, as the type of person who made you feel special, made you feel loved and made you laugh.

And then there is his considerable charity work: Look to the Stars, a website that compiles the charitable work of celebrities, notes that Williams offered his time, money and celebrity to over 50 causes.

Williams' charity legacy

That humanitarian work ranges from hosting Comic Relief, biking in a fundraiser for good friend Lance Armstrong's cancer support charity Livestrong, to appearing pro bono in TV spots and then some for St. Jude Children's Research Hospital. The United Service Organization, or USO, hailed Williams for his 12 years performing for nearly 90 military personnel in 13 countries.

He connected many more times one-on-one. That might mean boosting the confidence of an up-and-coming comedian, bringing the first smile to former Juillard roommate and close friend Christopher Reeve after he was paralyzed or reaching out personally to young people suffering from serious illnesses.

"I couldn't believe it," CNN iReporter Mark Cole said about Williams' chartering a plane, at his own expense, to visit and trade jokes with his ailing daughter in 2004. "I felt very privileged that he came to spend the day with her like that. It was the most moving thing I've ever seen in my life."

Patients' families: A 'comedic Mother Teresa'

Survived by wife and three children

Yet as his death showed, Williams wasn't always upbeat.

He made no secret about his battles with substance abuse, even as he joked that "cocaine is God's way of telling you that you too much money." His fight didn't get easier as he got older; if anything, it got harder.

"When you relapse, you fall deeper," Williams told People in 2009. "I found myself drinking to blackouts. It's like your brain goes into witness protection."

Beyond that, his media representative Mara Buxbaum noted that Williams "has been battling severe depression of late."

His personal life wasn't always smooth either. He had a son, Zak, with his first wife, Valerie Velardi. Williams then spent 19 years with wife Marsha -- a union that led to two more children, Zelda and Cody, before ending in divorce in 2008.

In October 2011, he wed graphic designer Susan Schneider in Napa Valley, California.

On her Twitter feed, his daughter Zelda remembered her dad with a quote from Antoine De Saint-Exupery's "The Little Prince."

"In one of the stars I shall be living. In one of them I shall be laughing. And so it will be as if all the stars were laughing, when you look at the sky at night ... You -- only you -- will have stars that can laugh."

Zelda added, "I love you. I miss you. I'll try to keep looking up."

Complete coverage on Robin Williams

Share your memories of Robin Williams

@highlight

Robin Williams killed himself this week inside his Northern California home

@highlight

Raised in the Midwest, his breakthrough role came as lovable alien, Mork

@highlight

Williams starred in comedic and dramatic films, including "Good Will Hunting"

@highlight

He's remembered for his kindness as well as his work