(CNN) -- With 25 million people in its path, Super Typhoon Haiyan -- one of the strongest storms recorded on the planet -- smashed into the Philippines on Friday morning.

As the storm plowed across the cluster of islands in the heart of the country, casualties were reported, more than 100,000 people took shelter in evacuation centers and hundreds of flights were canceled.

The storm brought tremendously powerful winds roaring ashore as it made landfall in the province of Eastern Visayas, disrupting communications with a major city in its path.

With sustained winds of 315 kph (195 mph) and gusts as strong as 380 kph (235 mph), Haiyan was probably the strongest tropical cyclone to hit land anywhere in the world in recorded history. It will take further analysis after the storm passes to establish whether it is a record.

As the monster storm spun toward the Philippines on Thursday, President Benigno S. Aquino III warned the nation that it faced a "calamity."

Category 5 strength

Haiyan, known in the Philippines as Yolanda, appeared to retain much of its terrifying force as it moved west over the country, with sustained winds of 295 kph, gusts as strong as 360 kph. Haiyan's wind strength makes it equivalent to a Category 5 hurricane.

Video footage from on the ground in the Philippines showed howling winds bending palm trees and whipping debris down deserted streets.

Gov. Roger Mercado of Southern Leyte, a province in Eastern Visayas, said Friday morning that "all roads" were impassable because of fallen trees.

He said it was too soon to gauge the level of devastation caused by Haiyan.

"We don't know the extent of the damage," Mercaod said. "We are trying to estimate this. We are prepared, but this is really a wallop."

The typhoon was forecast to churn across the central Philippines during Friday and part of Saturday before exiting into the South China Sea.

The storm is expected to weaken slightly as it moves across land, but forecasters predict that it will maintain super typhoon intensity throughout its passage over the islands.

A super typhoon has surface winds that sustain speeds of more than 240 kph for at least a minute, according to the U.S. National Oceanic and Atmospheric Administration.

Haiyan is so large in diameter that clouds from it are affecting two-thirds of the country, which stretches more than 1,850 kilometers (1,150 miles). Tropical-storm-force winds are extending 240 kilometers from the typhoon's center.

iReport: Heavy rains as Philippines braces for typhoon

'Very real danger'

The National Disaster Risk Reduction and Management Council said Friday that one person had been confirmed dead as a result of the storm in the eastern province of Surigao del Sur.

Authorities in Cebu said they were unable to establish whether a woman who was hit by a falling coconut tree in the north of the province was dead or injured. Neil Sanchez, a provincial disaster management official, said authorities had lost contact with the town where the incident happened.

On Thursday morning, a day before the storm arrived, a 1-year-old child and another person died after they were hit by debris from a tornado in the southern province of Cotabato, authorities said. It was unclear whether the tornado was related to the approaching typhoon.

Ahead of the typhoon's arrival, thousands of people had been relocated away from particularly vulnerable areas in Tacloban City, which is situated in a coastal area of the region that bore the initial brunt of the storm.

Communications with Tacloban, which has a population of around 200,000, were disrupted after the typhoon struck.

Video aired by CNN affiliate ABS-CBN showed streets in the city flooded with water and debris.

In a speech Thursday, Aquino warned residents of the "calamity our countrymen will face in these coming days."

"Let me repeat myself: This is a very real danger, and we can mitigate and lessen its effects if we use the information available to prepare," he said.

Authorities have aircraft ready to respond, and officials have placed relief supplies in the areas that are expected to get hit, Aquino said.

"The effects of this storm can be eased through solidarity," he said.

Earthquake survivors vulnerable

Authorities have warned dozens of provinces across the country to be prepared for possible flash floods and landslides. About 125,000 people nationwide were moved to evacuation centers

Some of the most vulnerable people are those living in temporary shelters on the central Philippine island of Bohol.

Last month, a 7.1-magnitude earthquake hit the island, which lies close to the typhoon's predicted path. The quake killed at least 222 people, injured nearly 1,000 and displaced about 350,000, according to authorities.

"This has been a quake hit area, for the past three weeks people are still experiencing aftershocks," said Aaron Aspi, a communications specialist in Bohol for the charity World Vision. "and at the same time these rains are giving them a really hard time."

"Most of them are advised to evacuate to sturdy structures," he said. "But there are a few thousand displaced families in quake hit areas that are still staying in makeshift tents and now that the super typhoon is here it is really heart breaking to see them struggling."

Aspi said many peoples' tents are drenched but they still too afraid to relocate to enclosed structures because of the aftershocks.

Beach resort threatened

Another island in the storm's likely trajectory is the popular beach resort of Boracay. Some tourists there were cutting their vacations short to get away from the possible danger.

Ross Evans, an aviation professional from Florida, said there was "a definite urgency and panic" among the long lines of holidaymakers waiting for boats to get off Boracay on Thursday.

Speaking by phone before his flight to Manila took off, he said he felt "horrible" for those who may end up stuck in the storm's path.

Evans said he and his travel companions, who are leaving the Philippines two days earlier than planned, "feel very fortunate to have the ability to make arrangements to be safe."

Situated near an area of the Pacific Ocean where tropical cyclones form, the Philippines regularly suffers severe storm damage.

An average of 20 typhoons hit the archipelagic nation every year, and several of those cause serious damage.

In December, Typhoon Bopha wreaked widespread devastation on the southern Philippine island of Mindanao. The storm, the most powerful to hit the country that year, is estimated to have killed as many as 1,900 people.

CNN's Aliza Kassim, Karen Smith, Elwyn Lopez, Judy Kwon, Taylor Ward, Brandon Miller, Ivan Cabrera and Mari Ramos contributed to this report.

@highlight

NEW: "This is really a wallop," says the governor of a typhoon-hit province

@highlight

NEW: Casualties are reported, but officials say it is too early to asses extent of damage

@highlight

The storm is one of the strongest ever observed

@highlight

People left homeless by a quake on Bohol island are among the most vulnerable