(CNN)Thirty years ago, a journey across Europe meant a passport full of stamps, a wallet full of different currencies and plenty of time spent waiting in line to be glared at by border officials.

That all began to change in June 1985, when the continent's countries began signing up to the Schengen agreement -- a deal that lifted frontier controls between cooperating neighbors.

Today, 20 years after it came into force, with more than 26 states now participating, Schengen has completely altered the experience of traversing Europe.

Nowhere is this more visible than at the old crossing points -- places that were once hives of activity but are now ghostly, vacated shells of their former selves.

Not entirely forgotten though.

Spanish photographer Ignacio Evangelista spent several years criss-crossing the continent to capture these abandoned checkpoints on camera for a project he calls "After Schengen."

The result is a fascinating gallery of images that charts the unusual architecture of places whose fate has been intertwined with Europe's ever-evolving political and economic allegiances.

"I don't know why but from many years ago, I feel very attracted to situations or places where the natural and the artificial come together, sometimes a little bit in conflict," Evangelista tells CNN, explaining his interest in frontiers.

He says he spent his formative years poring over the World Atlas, marveling at the straight-line borders carved by colonialists across the map of Africa and wondering why Europeans couldn't iron the kinks out of their own squiggled frontiers.

"When you are a young child in front of a map you feel ... you have the whole world in front of you and you can travel with your mind of course, with your imagination," he says.

As a young adult in the early 1990s, Evangelista experienced many of these borders firsthand when he embarked on an Interailing trip -- a country-hopping rite of passage that sees many young Europeans take advantage of cheap pan-continental train tickets.

"Before, when I was young, if you traveled from Spain to Germany you had to cross three countries and take three currencies," he recalls.

"Once I was traveling with my friend, Interailing ... from Italy to Greece, we had to cross the old Yugoslavia.

"I think into the night,  2 or 3 a.m.,  we cross the border from Italy into Yugoslavia and the train stopped. We were sleeping, of course. Then three or four soldiers come into the train and shouted at everybody, very aggressively, like in a spy movie.

"We waited half an hour, then half an hour later the train went on. It was exciting, even funny as I was 18 years old, but now it's not so funny."

As Evangelista points out, in a Europe cleaved by the Cold War, many borders were not just the cultural dividing lines they are today. Back then they were fortifications demarcating places of oppression and freedom.

The checkpoints themselves were sometimes places of fear, of hostile bureaucracy -- a past Evangelista says lingers on in the buildings left behind.

"For me it's fascinating because you can see the passage of the time, the human footprint.

"These places had a very strong coercive role, people had to stop the car and the policeman had to ask you who you are, you showed your passport, maybe you had to open your bags. The police had the power to not let you go on.

"It's interesting to me, looking at these places now they are a little bit spooky, because at most of them you can feel this ghostly atmosphere."

The frontier buildings range in size and style, from giant Soviet declarations of authority that loom over major highways to tiny huts in deep, dark forests. Europe's richer countries tend to maintain old posts, while less wealthier states seem content to let them deteriorate, Evangelista says.

Some, he says, are gone completely, marked only on maps and located using GPS trackers or by talking to locals.

A strong supporter for an open Europe at a time when some of the continent's nations are talking about severing the close economic and political bonds they share with their neighbors, Evangelista recalls one encounter that underscored the human side to his project.

While setting up his camera at a checkpoint on the Austria-Hungary frontier, he watched as a man drove in from the Austrian side and parked, followed by a woman, two minutes later, from the Hungarian side.

"They began to speak and they were kissing very much. After 10 minutes they went back their separate ways, and I thought, before the Schengen agreement, this couple had no future."

Follow Evangelista's ongoing project at www.ignacioevangelista.com

@highlight

Spanish photographer Ignacio Evangelista's "After Schengen" project captures images of abandoned European checkpoints

@highlight

Schengen agreement came into force 20 years ago, lifting border controls between participating European nations

@highlight

Border checkpoints range from giant Soviet statements to small huts in deep, dark forests