(CNN) -- If you've ever been at a crowded bar or a packed party, you have probably waited a long time for a drink.

One answer to that problem: a new bartender with the generic French name of Monsieur. He's short and squat and not much of a conversationalist, but he'll whip up a Screwdriver for you in a flash.

The Monsieur is a boxy tabletop device that works like a vending machine for cocktails. Punch in your order on a colorful touchscreen or order from your phone, and the machine will blend liquor with mixers and pour them into your cup. When fully equipped, Monsieur can make up to 300 types of drinks.

"It's very intuitive, simple to use and easily programmable to your drink preferences," said Libby Panke, who tried the machine at a recent launch event in Atlanta. Panke requested a seasonal recommendation and received a vodka and orange juice, which she said was "very good."

The device is the brainchild of Barry Givens, co-founder and CEO of Monsieur, the startup behind the machine. Givens came up with the idea for a "robotic bartender," as he calls it, while struggling to get a drink at a crowded bar one spring during the NBA Finals. He and fellow Georgia Tech alum Eric Williams, Monsieur's chief technology officer, designed the machine after a fundraising campaign on Kickstarter.

The Monsieur measures 20 inches high and 21 inches wide and bears a color Android touchscreen allowing customers to browse and order drinks from up to eight mixers and liquors. The touchscreen controls coolers, pumps, sensors and other mechanical components to blend ingredients and deliver your drink. Beneath the touchscreen is an opening where you place your cup. A sensor prevents the drink from pouring until the cup is in place.

Each Monsieur comes with 12 themes, such as "bachelorette party," "Irish pub" or "cigar bar," and each theme offers 20 to 25 drink selections. The machine offers only liquor-based drinks, but its creators are open to adding beer, wine and Champagne. Consumers can also create themes and drinks and share them with others via social media.

Givens hopes Monsieur will become the iTunes of cocktails, allowing people from around the world to exchange themes and cocktails the way they share songs or albums online.

Williams says one special feature of Monsieur is its artificial intelligence: The machine can recommend drinks based on what you have ordered in the past, the season or time of day. It also can be programmed from your smartphone to, say, serve you a drink when you arrive home from work.

Another feature Givens is proud of is the "responsibility" section of the Monsieur mobile app. You can enter your gender and weight, and the app will keep track of how much liquor you have consumed and estimate your blood-alcohol level. Once you have reached a certain level -- in most U.S. states, drivers are legally drunk with a blood-alcohol level of .08 -- Monsieur can send a notification to your phone. If you are driving, Monsieur will prompt you to the Uber app to find you a driver or a taxi.

Givens also says the app can "cut drinkers off" by monitoring their profile and determining when they've had too much.

"We want to revolutionize this whole experience. ... We are using all this technology. There is no way we can't try to help people drink more responsibly," he said.

Givens and Williams hope to see Monsieur installed in bars and suites at sports venues. They say they don't want to replace bartenders but to augment their services.

To eliminate underage drinking, Williams suggests that bars hand out radio frequency identification wristbands when they check customers' IDs. The wristbands will have RFID chips inside them confirming that the wearer is over 21. Before a customer can buy a drink from a Monsieur machine, they'll have to scan their RFID wristband. The Monsieur team hopes to implement this technology into the machine by April.

The Monsieur currently has no system to accept payments, but Givens and Williams would like to add a feature that would let patrons pay for drinks online or by swiping a card on the machine.

Monsieur is not the only robotic bartender hitting the market. A California company claims that its Bartendro, a liquid-dispensing system of pumps and exposed tubes, can create a cocktail in 10 seconds. The Makr Shakr app allows partygoers to control a three-armed robot bartender using their cellphones.

At the Atlanta event, Panke and fellow drinker Ken Ferguson said they could see themselves using the Monsieur for parties, events and football games.

"You don't need to pay for a bartender; you just need ice. People can serve themselves at parties now," Ferguson said.

If you want a Monsieur of your own to make you drinks, it will cost you. The retail price is $5,000, which doesn't include shipping costs. Commercial customers will pay a one-time setup fee of $1,000 plus $299 per month for a subscription that includes tech support and access to a Web app allowing them to monitor the status of their Monsieur in real time.

Givens envisions the future of Monsieur much like Starbucks. He wants his robotic bartender to become synonymous with social drinking, the way Starbucks is to coffee. In the future "wherever you are, there will be a Monsieur system close by, and you will go through a seamless process to get a cocktail," he said.

@highlight

Monsieur, a "robotic bartender" machine, can make up to 300 kinds of cocktails

@highlight

Customers order on a touchscreen or through their phones

@highlight

Each Monsieur comes with 12 themes, such as "bachelorette party," "Irish pub" or "cigar bar"

@highlight

If you want a Monsieur for personal use, the retail price is $5,000