(CNN) -- To all the locals who have been hoarding the following beaches, please forgive us.

But c'mon, how can you really sleep at night, knowing you're sending all those well-meaning tourists to the same old beaches with the same old towel-to-towel crowds, the same old overflowing trash cans and the same old high-rise hotels blocking the view?

Is it really fair that you keep these gifts from Mother Nature all to yourself?

So, yeah, the jig is up.

As for the rest of you, you can thank us later.

50 states, 50 spots: Natural wonders

Zmudowski State Beach
Monterey County, California

This tongue-twister of a beach (the Z is silent) has miles of dreamy sand and knock-out views of both sides of Monterey Bay, but because getting there is complicated, you often get the place to yourself.

Slackers usually settle for its more accessible clones (Salinas River State Beach, Moss Landing State Beach and Marina State Beach also front Monterey Bay). What they don't realize is getting to Zmudowski is half the fun. It's about 20 miles northwest of Monterey, and the last two miles are along a narrow two-lane road.

Not only will you be humming a particular Beatles tune as you wind through endless strawberry fields, but you'll make a big dent in your bird-watching aspirations. California brown pelicans, red-tailed hawks, American kestrels and western snowy plovers are just a few species that hang out with the playful sea otters in the adjoining Pajaro River estuary.

During 2012 budget reductions, the state of California threatened to close this stretch of gorgeous land that was donated to the state by Watsonville schoolteacher Mary Zmudowski, but finally concluded its maintenance cost was next-to-nothing anyway. www.parks.ca.gov

29 beach photos that'll make you drool

Carova Beach 
Outer Banks, North Carolina

By law, visitors to this remote, 11-mile beach are required to stay at least 50 feet from the wild Spanish mustangs, but nobody bothered to tell the horses, who are curious about visitors who four-wheel drive in to this spit of land straddling the Atlantic and Currituck Sound.

With a delicious lack of paved roads, grocery stores, restaurants and hotels, Carova has little but wide, sand-packed beaches and a scattering of rental homes ranging from modest bungalows to million-dollar mansions with heated pools and hot tubs.

It's a perfect place to collect showpiece whelks, hike through preserved maritime woods or just set up a beach chair and chill. www.outerbanks.com

Kauapea Beach
Kauai, Hawaii

Ansel Adams would have felt right at home at this gorgeous beach on the north shore of Kauai.

With stark white sand and black lava cliffs, it's not only a study in contrast, but it takes effort to find and get to. Whatever you do, don't rely on Google maps, which has been known to send seekers astray.

If you do find the unmarked, unpaved path, just know that it's steep, requires a good 10 to 15 minutes to traverse and when it rains, it gets slippery and the red clay is likely to permanently stain your beach shoes. Locals tend to go barefoot.

But oh, is it worth it.

Located between Kalihiwai Bay and the Kilauea Point National Wildlife Refuge, Kauapea Beach offers stellar views of Moku'ae'ae Island, Kilauea Lighthouse, a 15-foot waterfall and nude sunbathers who have taken up residence on the east end of the beach.

Locals nicknamed it "Secret Beach" and not surprisingly, there are no lifeguards or restrooms or beach umbrellas. Shade can be found toward the back of the beach near the 100-foot cliffs.

Turn makai (seaward) at Kalihiwai Road (1/2 mile north of the gas station) and turn right onto the first dirt road. The trailhead begins in the plum trees.

Watamu Beach
Kenya

There are five main reasons you've never heard of this wide, idyllic beach on the Indian Ocean: lions, elephants, rhinos, leopards and buffalo.

Most tourists associate Kenya with safari and the Big Five. But with some 330 miles of Indian Ocean coastline, that's a gross oversight.

Granted, it's a long flight just for a beach, but why not combine a week at a Maasai Mara safari camp with one of the most interesting spits of sand on the continent?

Watamu offers all the normal sandcastle building opportunities, but there are also other unique local attractions including Watamu Turtle Watch conservation programs and the 13th century Gede ruins. Excavations of the ruins of this ancient Swahili trading village have turned up beads from Venice, a Ming vase from China, lamps from India and scissors from Spain.

And, if you're still jonesing for animals, Gede ruins are home to a troop of friendly Skye monkeys, and the Watamu Marine National Park boasts some of East Africa's best coral.

The largest spitting cobra (Naja ashei) in the world was also discovered here in 2007.

Good Harbor Bay
Sleeping Bear Dunes National Lakeshore, Michigan

This long stretch of sand has everything you could ever ask for in a beach: spectacular views, soft white sand, an aquamarine paint palette of Lake Michigan blue.

There's even a stream leading into the woods and a hiking trail. In fact, the only thing it really lacks is large populations of humans.

Michael Norton, a PR guy who let the cat out of the bag, says locals "who guard their secret beach rather fiercely" guiltily prefer to send tourists to the beaches at Empire and Grand Haven.

Once a bustling port with a sawmill, a hotel, a saloon and a 500-foot dock, Good Harbor Beach today has nothing but scenery, overlooking the Manitou Islands, Pyramid Point and Whaleback, a glacial moraine that looks exactly like it sounds.

The marked access road to Good Harbor is just off Leelanau County Road 651. You'll pass through the villages of Cedar and Maple City on the way. nps.gov/slbe/index.htm

Keewaydin Beach
Florida

When developers set their sights on this 1,000-acre barrier island off Naples, locals put up their dukes and an impressive fight to keep their beloved weekend getaway free from cars, bridges, roads and high-rises. After all, this seven-mile, baby powder beach is where they go to get away from tourists.

The result? There are a few private houses on the north end of the island, but there are no hotels or vacation rentals. That's what makes it special: You have to boat here to enjoy it.

The homes on the scrub-covered island are solar powered, sit on stilts and use water caught in rain barrels. When vice-president Joe Biden rang in the New Year at his brother's newly purchased home on Keewaydin, he and wife Jill, like everybody else, came by boat.

Pristine and populated with deer, eagles, boars, the occasional panther, sea turtle hatchlings and iguanas, Keewaydin is part of the Rookery Bay National Estuarine Research Reserve.

On weekends, a food boat docks on the south end to dish up icy drinks and freshly caught seafood.

Godahl Beach
Canouan, The Grenadines

Unless you're a 2009 Sports Illustrated swimsuit model or in Bill Gates' income bracket, you've probably never heard of exclusive Canouan Island.

As the UK's Telegraph recently reported, this hook-shaped island is where billionaires go to get away from millionaires. Two-thirds of the island is owned by wealthy Irish financier Dermot Desmond, who invested $120 million to spiff up his about-to-debut Pink Sands Club.

The resort surrounds Godahl Beach, but the beaches on the other 600 acres of the island are just as beautiful and surprisingly welcoming to average Joes.

So, if you can get by without a Jim Fazio-designed golf course, water spa treatments that require canoes to get there and mirrors that, with the touch of a button, turn into a TV, you can enjoy the nondeveloped part of this green hilly island that exudes a laid back Carib vibe.

Isla Holbox
Yucatan Peninsula, Mexico

Only 100 miles from Cancun, this low-key island is a million miles away in temperament. There's nary a parasail boat or Jet Ski in sight at 26-mile-long Isla Holbox.

For that matter, you won't see any cars or banks or ATM's. Just mile after mile of beautiful beaches, fishermen and a few palapas. Oh yeah, and a school of whale sharks that hang out here between June and September.

The cool thing about these 30-plus foot monsters is they're harmless and, if you ask nicely, one of the island's 1,600 locals will take you out to swim with them. Without a cage.

At the very least, you'll want to nod at the flocks of pelicans and flamingos you'll pass on the ferry from Chiquila.

Samuel H. Boardman State Scenic Corridor
Oregon

Despite the lack of crowds on this string of beaches punctuating Oregon's rugged coastline, skinny dipping is probably out.

Even though it has been nicknamed Oregon's "banana belt" and many a daredevil has been known to swim under the majestic Arch Rock, let's just say it's far from balmy and anyone who doesn't want to resemble a Smurf should probably stick with Gore-Tex.

More than 27 miles of trails wind through 300-year-old Sitka spruces and seaside prairies in this park that was named for Oregon's first park superintendent.

Should you go, it'll likely just be you, the seals, the whales and Mother Nature showing off her finest work on more than a dozen stretches of spectacular beach. www.oregonstateparks.org

Little St. Simons
Georgia

On a busy day, there could be 31 other peeps on this island's undeveloped 7-mile beach. But count it unlikely.

There's so much to do on this 10,000-acre barrier island that those interlopers, the other 31 sharing the upscale resort's grand total of 16 rooms, are apt to be busy drooling over the food at a clam bake or stalking the more than 280 species of birds on the 20 miles of wilderness trails.

Privately owned since 1760 when Swiss colonist Samuel Ougspourger bought it from King George II, Little St. Simons has been a rice plantation and, since 1908, the personal retreat of the Berolzheimer family. Today, it's owned by relatives of Philip Berolzheimer and Henry Paulson (yes, that Henry Paulson).

Everything's included in the rather steep price of The Lodge on Little St. Simons Island (starting at $450 a day) from full moon beach picnics and cocktail cruises to face time with the on-island naturalist. Ooh-la-la all the way. www.littlestsimonsisland.com

@highlight

Locals tend to keep secrets when it comes to the best stretches of shore

@highlight

Northwest of Monterey, Zmudowski State Beach is likely to be largely deserted

@highlight

Kauapea Beach in Kauai is actually called "Secret Beach" by the locals