(CNN)Five full weeks into Aaron Hernandez's murder trial, prosecutors have called 77 witnesses. Jurors have yet to hear from the former NFL star's fiancée, Shayanna Jenkins, New England Patriots head coach Bill Belichick or owner Robert Kraft.

But this week did bring emotional testimony and important developments in the case against Hernandez, who has pleaded not guilty to killing Odin Lloyd in 2013.

Check out some of the key moments you might have missed this week.

A DNA analyst from the Massachusetts State Police crime lab said she found that Hernandez's DNA matched the DNA taken from a marijuana joint found near Lloyd's body at the crime scene. Lloyd's DNA also was found on the blunt.

The DNA analyst, Diane Biagiotti, testified to finding a partial DNA match from Hernandez on the shell casing found in the dumpster of the Enterprise rental car office. But under cross-examination, lead defense attorney Jamie Sultan got Biagiotti to acknowledge there's a high likelihood that DNA from chewing gum could have transferred to the shell casing found in the dumpster.

The office manager at the rental car office, Keelia Smyth, testified that she put the shell casing and the gum together after finding the items in the Nissan Altima returned by Hernandez on June 17, 2013. She said she threw them in the trash bin outside of her office.

Inside Hernandez's downward spiral

It was revealed by Sultan that the state never submitted the gum for DNA testing. The state has not yet explained why. We may hear the answer during the state's redirect of Biagiotti on Monday. Hernandez is seen on surveillance video buying gum, and he also offered some to Smyth.

Biagiotti said under cross-examination that it's highly unlikely to find DNA on any shell casing. One reason is because the heat from the gun wipes away any DNA, she said. The shell casings found at the crime scene did not have enough DNA on them to produce a DNA profile.

Hernandez's family was in court on Friday after a week's absence. Hernandez's mother, Terri Hernandez, told CNN' that she thought Friday "went very well" for him.

Testimony this week also focused on fingerprints from Hernandez and Lloyd that were found inside the rented Nissan Altima.

The car also had fingerprints of Ernest Wallace and Carlos Ortiz, who are also charged with killing Lloyd. They have pleaded not guilty and will be tried separately.

State Trooper David Mackin, a fingerprint expert with the Massachusetts State Police crime scene services, reported finding the fingerprints of Wallace and Ortiz in a Chrysler 300 that Hernandez rented. Prosecutors call it the "getaway car," which was ultimately found abandoned in Bristol, Connecticut.

But no prints were found on the .22-caliber gun recovered on the edge of a wooded area near Hernandez's home.  Hernandez is charged with illegal possession of that gun.

In addition, no prints were found on any of the shell casings, including the casing found stuck to the blue bubblegum in the dumpster outside the Enterprise office.

Another key find: tire treads of the rear passenger tire of the Altima matched a tire impression found at the crime scene, according to court testimony.

Shaquilla Thibou, Lloyd's younger sister and the last family member to see him before he was killed, took the stand Monday.

About an hour before his death, she said she watched him get into a silver Nissan Altima as she sat in a friend's car outside her home.

Thibou, who was 19 at the time of her brother's killing, told jurors that when Lloyd first walked to the car, he opened the front passenger door. He stopped and then opened the back passenger door and entered the car.

"The light came on and there was a shadow in the back seat," she said.

Then she saw the Altima pull away. It was 2:32 a.m.

Thirty minutes later, Thibou returned to her home and charged her dead phone. She noticed a text from her big brother.

Thibou was not allowed to share with jurors what was said in those texts. The judge ruled there is not enough proof the text message meant Lloyd feared for his life, legally called "a dying declaration."

That means that the jury did not hear that at 3:07 a.m., Lloyd texted his sister asking, "U saw who I'm with?"

At 3:11 a.m he checked in again, texting "hello."

Finally, at 3:19 a.m. Thibou answered, "my phone was dead who was that?"

At 3:22 a.m., Lloyd responded, "Nfl." A minute later, he sent his last text, "just so u know."

During grand jury testimony, Thibou admitted she thought her brother was bragging.

When reliving the moment when police came to her home to tell her family that Lloyd had been shot to death, Thibou began to cry silently, wiping her tears after Assistant District Attorney William McCauley gave her a tissue.

During cross-examination, defense attorney Michael Fee introduced a photo of Lloyd taken by Thibou. It showed Lloyd smiling and sitting in the driver's seat of the black Suburban that Hernandez loaned him.

On Wednesday, jurors got an up-close view of the clothes Lloyd was wearing the night he was shot six times. Massachusetts crime lab forensic chemist Sherri Menendez held up Lloyd's bullet-riddled dark blue Old Navy sweatshirt and then his red plaid shirt.  Jurors craned their necks to get a better view of the bullet holes in the sweatshirt. The shirt was stained with blood.

Menendez tested the bullet holes for gunshot residue consisting of what she described as burned particles and vaporous lead. During her testing of bullet holes on the front of the sweatshirt, she found both and was able to determine that Lloyd was shot from as close as 3 feet.

The autopsy showed the final two shots were fired into his chest while he was laying face up in the ground.

Just weeks before Hernandez was arrested and charged with murder, he toured rental apartments with New England Patriot employee Kevin Anderson, real estate agent Barbara Scardino testified Thursday.

She said she was initially contacted by Anderson to find some apartments to show Hernandez.  He had previously called her to help other Patriot players find homes and apartment rentals, sometimes second residences near Gillette Stadium. This means the Patriot staff knew about Hernandez's second home.

In early May of 2013, she showed Anderson and Hernandez four apartments.  Hernandez settled on the two-bedroom condo in Franklin, Massachusetts, referred to as his "flophouse."

Hernandez's home in North Attleboro and his condo in Franklin are each about 15 minutes away from the stadium.

Hernandez's Franklin neighbor, Carol Bailey, also took the stand, telling jurors that she met another man that also stayed in the condo. It was Hernandez's friend Wallace.

Bailey paid close attention to Hernandez and Wallace, seeing them come and go during their short stay there. During her one attempt to talk to Hernandez and say hello, she says he sort of grunted back, calling it a "nondescript" noise.  She also testified that she often heard loud voices that sounded "locker room-ish" coming from the apartment as well as a strong "skunk-like" smell seeping into her apartment from their shared wall.

After mid-June, she never saw him again.

A representative from Sprint, Justin Darrow, started off the week with a light moment. He appeared nervous and stopped to take a moment while answering a question. He then turned to Judge Susan Garsh and apologized.

"It's a big case. Sorry."

Showing no emotion, Garsh struck the comment from the record.

Darrow went on to testify to multiple calls between Sprint cell phone client Ernest Wallace and Odin Lloyd, Aaron Hernandez and Hernandez's fiancee, Shayanna Jenkins, the night before and morning of Lloyd's death. Prosecutors say they believe Hernandez was using his fiancee's phone to call Wallace.

Jenkins granted immunity

Darrow also explained how cell sites (or towers) in the Sprint network tracked the phone calls, and thus tracked the direction they were driving.

Another cell phone representative also testified. T-Mobile engineer Patrick Quinn testified about the data transmissions from Lloyd's cell phone beginning on June 17, 2013, at 2:32 a.m. That's when Lloyd was picked up outside his home in the Nissan Altima. Data transmissions are the automatic updates that are sent to cell phones.

Assistant District Attorney Patrick Bomberg methodically walked Quinn through data transmissions received on Lloyd's cell phone via multiple cell towers along the route he traveled from Dorchester to the industrial park in North Attleboro. The last cell tower was just 400 yards from Lloyd's body.

@highlight

Testimony this week focused on DNA, fingerprints and tire treads

@highlight

Mother tells Susan Candiotti that court "went very well" for Hernandez

@highlight

Jurors also heard details about cell phone records and cell towers