Johannesburg (CNN) -- It's a moment for the ages.

Tens of thousands of South Africans, dozens of presidents and prime ministers, celebrities and street sweepers are all heading to the same place: a stadium in Johannesburg, where they'll honor Nelson Mandela at a memorial service on Tuesday.

With 91 heads of state attending, security will be tight.

Authorities are already stepping up surveillance as presidents of six nations prepare to pay tribute to the late anti-apartheid leader in a four-hour service that will likely bring much of South Africa to a stop.

Working off plans developed for years in secret, the South African government is using an elite military task force, sniper teams and canine teams to help secure the stadium, CNN's Arwa Damon reported Monday. In addition, helicopters and military jets frequently fly overhead.

"Should anybody, anything dare to disturb or disrupt this period of mourning and finally taking and accompanying the former president to his last resting place, then that person will be dealt with," Brig. Gen. Xolani Mabanga said Monday.

South African officials won't give details about their security plans -- how many police officers, how many troops, precautions to keep the stadium weapons- and explosives-free.

"But we can assure that all necessary steps have been taken, and that is why the leadership of the world and former leaders of the world have confidence to come to our country at this time to share with us this moment," said Minister in the Presidency Collins Chabane.

The event promises to rival other significant state funerals in recent decades, such as that of former British Prime Minister Winston Churchill in 1965 and the 2005 funeral of Pope John Paul II, which attracted some 2 million people to Rome -- among them four kings, five queens, at least 70 presidents and prime ministers and the leaders of 14 other faiths.

At that event, metal detectors and some 15,000 members of security forces stood watch over the event.

U.S. official: South Africa experienced at hosting crowds

U.S. officials are satisfied with security arrangements.

"We have not heard any concerns," Deputy National Security Adviser Ben Rhodes told reporters aboard Air Force One as President Barack Obama flew to South Africa.

"The South Africans hosted the World Cup, so they have experience hosting significant crowds and managing events like this, although clearly this is really a unique event in world history, given the number of leaders coming to pay their respects, as well as the people of South Africa."

Given Mandela's ailing health, the U.S. Secret Service made some arrangements in advance, a Secret Service spokesman said. But work that would usually take months to complete has been done in less than a week, the spokesman said.

"It's a compressed timeline, but there are certain protocols we must have in place for any trip," the spokesman said.

Those protocols involve securing the president's motorcade route and hotel rooms and doing security walk-throughs.

The spokesman declined to offer specific details on security measures at the stadium.

While Tuesday's memorial is the first major event honoring Mandela since his death, it won't be the last.

A state funeral will be held Sunday in Mandela's ancestral hometown of Qunu in South Africa's Eastern Cape province.

Send us your stories, memories and photographs of the Nobel Peace prize winner and former South African president.

Presidents set to speak at service

Among the speakers at Tuesday's memorial will be President Obama, who like Mandela was his nation's first black president. Obama has cited Mandela as his own inspiration for entering politics.

In addition to Obama, former Presidents Jimmy Carter, George W. Bush and Bill Clinton will attend. More than two dozen U.S. lawmakers also plan to go.

Other guests include the Prince of Wales, British Prime Minister David Cameron and U.N. Secretary-General Ban Ki-moon, who will also speak, as well as celebrities such as Bono, Oprah Winfrey and Naomi Campbell.

Crews worked overtime Monday to prepare FNB Stadium in Johannesburg for the service.

The stadium, where Mandela delivered his first major speech after his release from prison, can hold some 90,000 people, but that won't be enough to hold the hundreds of thousands clamoring to celebrate Mandela's life.

The government has set up overflow locations at stadiums and other facilities throughout the country.

With private vehicles banned from the area around the stadium, the government pressed buses from around the country into service and stepped up train service to move the crowds.

In addition to Obama and Ban, the presidents of Brazil, Namibia, India, Cuba and South Africa are expected to speak at the service, as are family members, friends and others.

One potential complication: Forecasters predicted potentially heavy rainfall during the event at the open-air stadium.

Monday events

South Africa's Parliament reconvened Monday for an afternoon of speeches and memorials to Mandela. Dozens of members of parliament spoke.

"The world over, his name has evolved into a metaphor," Deputy President Kgalema Motlanthe said. "The name Nelson Mandela has entered the pantheon of history's sages."

Out of the public eye, friends who had not seen each other in years have been coming together with Mandela's family in his home, said Zelda la Grange, Mandela's longtime personal assistant.

Mandela called la Grange his "rock," even though she seemed an unlikely confidante. She was a white Afrikaner and an employee of the former apartheid government.

In her first interview since Mandela's death, she described the mood in his home to CNN's Robyn Curnow on Monday.

"Obviously there's sadness in the house," she said, but also, "People are celebrating Madiba's life. They are grateful." She referred to Mandela by his well-known clan name.

CNN's Athena Jones, Holly Yan, Chris Cuomo, Kim Norgaard, Robin Curnow, Arwa Damon and David McKenzie contributed to this report.

@highlight

Elite troops, snipers, canines helping secure stadium

@highlight

Government minister says security is in place for Tuesday's memorial

@highlight

A state funeral will take place Sunday

@highlight

Mandela aide describes sadness and celebration among friends and relatives in his home