(CNN) -- The crew of a Japan Airlines Dreamliner loaded with 181 passengers apparently was unaware of fuel spewing from a wing as the jetliner prepared to thunder down the runway on Tuesday in Boston.

It was only due to an alert from the pilot of another plane that Flight 7's takeoff for Tokyo was abandoned and the Boeing 787 towed to the gate, the second problem in two days for a JAL Dreamliner at Logan International Airport.

An electrical fire on Monday damaged an empty Dreamliner on the same tarmac.

The unusual twin incidents added to service questions about the highly touted plane that experienced a very difficult development and clearly has growing pains, according to safety experts.

Boeing's chief project engineer for the 787 said in a conference call with reporters Wednesday that he is "100 percent convinced the airplane is safe to fly."

"There are issues we have seen that we will need to work through, and just like any new airplane program we work through those issues and we move on," said Mike Sinnett.

The fuel leakage was due to an open valve, Japan Airlines spokeswoman Sze Hunn said Wednesday.

The leak came from the left wing surge tank vent, Hunn said.

"Further inspection of the cockpit messages showed that one of four valves connecting the center tank and left main tank was opened and had resulted in fuel flowing from the center tank to the left main tank and subsequently into the surge tank near the wing tip and out the vent," Hunn said.

"The valve that the indicator showed was opened (the left outboard refuel valve), was deactivated/made inoperative and the flight was cleared to depart again," Hunn said in a statement.

Air traffic control recordings from LiveATC.net captured Tuesday's incident as the the wide body was on the taxiway.

"Hey, that Japan Air may know it but they have fuel spewing out the leftward wing quite a bit," the pilot of another plane told the control tower, which radioed the JAL crew and halted takeoff.

"You mean fuel leak from left wing?" came the response from the JAL cockpit, according to LiveATC.net.

"Yes ... there appears to be a fuel leak from your left wing," controllers said again.

Airport fire and cleanup crews responded to the spill.

The Federal Aviation Administration said it was investigating the matter, but the National Transportation Safety Board said it would not do so.

More problems for Boeing's 787 Dreamliner

No safety board involvement indicated the reason behind the leak was probably determined quickly and remedied. The flight took off later in the day.

It appears Monday's electrical fire that injured a firefighter was a more pressing issue for investigators, the manufacturer and the global airline industry that has embraced the 787 as a technologically advanced and efficient long-haul aircraft.

Fire in the belly of the aircraft broke out not long after arriving in Boston from Tokyo. All of the 172 passengers and 11 crew had already disembarked.

Boeing said in a statement that the fire was traced to a battery unit that helps power electrical systems when the engines are idle -- typically while a plane is being serviced or cleaned. The Dreamliner was being readied at the time for a return flight to Japan.

The battery unit sustained severe fire damage, the safety board said, adding that it had sent two additional investigators to Boston.

Japan's ministry of land and transportation ordered inspections of the same batteries in all Boeing 787s. So far, no irregularities have been found, but the results will be shared with U.S. authorities, the ministry said.

United Airlines, a Dreamliner operator, inspected its six 787s following the Boston fire as a precaution, but would not comment further.

Boeing said the fire appeared unrelated to previous problems involving 787 electrical power systems and that it was cooperating with the safety board.

On Wednesday All Nippon Airways canceled a domestic flight in Japan because of an error message on the braking system of a 787. An airline official said it was not a mechanical problem, but a computer error on the electric brake system controls. Passengers on the flight were moved to a later flight and the computer part will be replaced, an ANA official said.

In previous incidents, one of the 787 test flight aircraft lost primary electrical power in 2010 and was forced to make an emergency landing in Texas. All aboard evacuated safely.

An engine failed during tests on the ground in South Carolina last July and inspectors found a similar problem on another aircraft in September.

In December, another new 787 operated by United diverted safely to New Orleans after experiencing mechanical problems.

Some safety experts are concerned, but not alarmed, about the mechanical setbacks with the Dreamliner since its delivery to airlines beginning in 2011, following years of manufacturing delays and cost overruns.

They say new aircraft models often have "growing pains." Other experts have said any Dreamliner service problems would be magnified because of its problematic history during development.

As the first commercial jetliner built mostly from lightweight carbon fiber, the twin-engine Dreamliner has been touted for fuel efficiency in an era of soaring fuel prices. It has attracted enormous interest from airlines, with most orders coming from overseas carriers initially.

Boeing shares were off sharply on Wall Street relating to its Dreamliner problems this week.

CNN's Marlena Baldacci, Aaron Cooper, Todd Sperry and Michael Martinez contributed to this report as did James O'Toole of CNN Money

@highlight

NEW: Chief project engineer is "100 percent convinced the airplane is safe to fly"

@highlight

The Boeing 787's fuel leak was caused by an open valve, Japan Airlines says

@highlight

The incident follows an electrical fire on a different JAL Dreamliner in Boston

@highlight

The Dreamliner has been hit by a series of glitches following a difficult development