It's a heartwarming, epic journey through defining events of the late 20th century, as seen through the eyes of a dim-witted but honorable hero whose life is a testament to small-town American values.

It's an overrated, manipulative tearjerker that glosses over a turbulent period of U.S. history and suggests a simpleton can become a successful businessman, husband and father merely by chance.

With "Forrest Gump," which hit theaters 20 years ago this weekend, there's not much middle ground.

The movie won the best picture Oscar, earned $677 million around the world and is hailed by many as a modern classic, filled with homespun catchphrases like, "My momma always said life was like a box of chocolates. You never know what you're gonna get."

But many critics -- and some moviegoers -- hated it. To them, "Forrest Gump" was a simpleminded mix of gooey sentiment and ridiculous flights of fancy. (Forrest suddenly decides to jog back and forth across the country? For three years? Seriously?)

"Robert Zemeckis' ode to 20th century America still represents one of cinema's most clearly drawn lines in the sand," said Entertainment Weekly a decade after the movie's release. "One-half of folks see it as an artificial piece of pop melodrama, while everyone else raves that it's sweet as a box of chocolates."

Twenty years later, the movie remains a cultural touchstone -- and surprisingly polarizing. While some other best picture winners from the '90s ("The English Patient") have faded from memory, it's hard to find someone even now who doesn't have an opinion about "Forrest Gump."

"I think the movie can be read in several different ways," said Sam Wineburg, a professor of history at Stanford University who has co-authored academic papers about the movie's influence. "It can be read as a celebration of American goodness and innocence. And it can also be read as a kind of critique of American naivete and innocence."

Here's a closer look at some of the arguments around "Forrest Gump," both pro and con.

It's a celebration of conservative values

Forrest, as played by Tom Hanks, is the epitome of wholesome decency: a God-fearing, All-American football player and war hero who has no use for the counterculture movements of the late '60s. Despite an IQ of 75, he achieves fame and financial success. He's even from red-state Alabama!

Meanwhile Forrest's childhood sweetheart, Jenny Curran, becomes a promiscuous hippie, joins the anti-war movement, hangs out with the Black Panthers, gets strung out on cocaine, ponders suicide and eventually -- if you need a spoiler alert here, we feel sorry for you -- dies of an unspecified disease.

No wonder many political conservatives embraced the movie. In 2009 the National Review ranked it No. 4 on its list of the 25 best conservative films of the past 25 years.

"It seems the film promotes a very conventional conservative political position," said Daniel Herbert, a professor of media culture at the University of Michigan. "While both Forrest and Jenny experience many of the most notable historical events of the era, Jenny's anti-conformist lifestyle is made to look very unappealing."

Ugh. It panders to audiences

Between Alan Silvestri's swelling score and Hanks' somber voice-overs -- especially at the deaths of three major characters -- "Forrest Gump" wears its emotions on the surface. For many viewers, this worked -- especially during the tear-jerking final scene at Jenny's grave -- but others complained the movie went for cheap sentiment by suggesting to moviegoers how they should feel at each moment.

"This movie is so insistently heartwarming that it chilled me to the marrow," wrote Anthony Lane in The New Yorker. "There are no moral crosswinds here, not a breath of doubt or unease to ruffle the Gump image."

Some critics griped the movie had no nuance, no subtlety, no shades of gray to muddy its simplistic view of the world.

"It is incredibly manipulative ... in what I would say is the most dangerous way, which is manipulation through a sleight-of-hand superficial liberalism; it hides its political conservatism in a good-ole-boy story about a protagonist whose very heroism is totally unconscious, unaware," said Hunter Vaughan, a professor of film theory at the University of Oakland in Rochester, Michigan.

"It is a funny film, a sweet film, and an entertaining film," he added. "But it is a deceptive film, a manipulative film, and (like most best picture winners) a conservative film."

It offers young viewers a valuable history lesson

"Forrest Gump" spans some 30 years and touches on many important chapters in U.S. history, including the Vietnam War, the '60s anti-war movement and the Watergate scandal. Along the way Forrest encounters a young Elvis Presley and three U.S. presidents and even appears to inspire John Lennon's "Imagine" when he meets the ex-Beatle on a talk show.

Some teachers have shown the movie in high school classrooms as a jumping-off point for discussing the '60s and '70s.

No, it airbrushes history

"The film ... simplifies historical events that were incredibly tumultuous and complex," said the University of Michigan's Herbert. By presenting history through the experiences of the slow-witted Forrest, the movie "situates history as something to be felt, emotionally, at the expense of intellectual consideration."

Wineburg, of Stanford, surveyed students about the movie and found that they remembered iconic moments, such as the scene where Forrest accidentally addresses an anti-war protest in Washington and reunites with Jenny. But the students didn't remember how Forrest got there, or understand the scene's historical undercurrent -- that disillusioned Vietnam veterans were instrumental in turning public opinion against the war.

Hey, lighten up! It's just a fable

Many believe "Forrest Gump," adapted liberally from Winston Groom's novel, is not meant to be taken literally. Some viewers see Forrest as a Christ-like figure, especially in the scenes when he's trotting across the country, long-haired and bearded, with a herd of followers behind him.

Even its floating feather, which opens the film, can be seen as a metaphor for the randomness of fate and the direction of one's life.

It was a pioneer in visual effects

"Forrest Gump" received kudos for its unobtrusive and Oscar-winning digital effects that made Gary Sinise's Lt. Dan look like he had no legs and turned a few thousand extras at the Lincoln Memorial into half a million war protesters.

The filmmakers also inserted Hanks seamlessly into archival footage of presidents John F. Kennedy, Lyndon B. Johnson and Richard Nixon, providing some of the movie's funniest moments.

OK, but it's no 'Pulp Fiction'

Although "Forrest Gump" beat "Pulp Fiction" for the 1994 best picture Oscar, many film scholars rate Quentin Tarantino's film -- with its vivid antiheroes, nonlinear plot and pungent dialogue -- as the better movie.

"Pulp Fiction" and its gallery of colorful criminals didn't stand a chance of winning top honors at the Oscars that year. But Tarantino's brash movie inspired countless imitators.

If you ask a film critic to list the most influential movies of the 1990s, you probably won't hear them mention "Forrest Gump."

Who cares? It's a classic

"Forrest Gump" blends drama, comedy, reality and fantasy into a genre-busting saga that almost defies description. It shouldn't work, but it does.

Its scenes, and lines, are indelible to many of us: "Run, Forrest, run!" "I gotta pee." "Stupid is as stupid does." "That boy sure is a runnin' fool!" "I'm sorry I had to fight in the middle of your Black Panther party." "There's pineapple shrimp, lemon shrimp, coconut shrimp, pepper shrimp ..."

The list, and "Forrest Gump's" legacy, goes on and on. And that's all we have to say about that.

@highlight

"Forrest Gump" was released in the United States on July 6, 1994

@highlight

Twenty years later the movie remains a cultural touchstone, and surprisingly polarizing

@highlight

While audiences embraced the film, some critics hated it