(CNN) -- BP is doing all it can to respond to the oil leak in the Gulf of Mexico, a top BP official said Monday, even as criticism of the company's handling of the crisis was growing.

"We are going to clear every drop of oil off the shore," Tony Hayward told reporters at Fourchon Beach, Louisiana, where cleanup efforts were under way. "We will remediate any environmental damage and we will put the Gulf Coast right and back to normality as fast as we can."

The company's next effort to plug the leak is to come at dawn Wednesday. BP plans to pump thick, viscous fluid twice the density of water into the site of the leak to stop the flow so the well can then be sealed with cement -- the "top kill" procedure.

Hayward, noting that the attempt will be carried out on the seafloor a mile below the sea surface, estimated the odds of success for the method at 60 percent to 70 percent.

Asked about the company's continued use of an oil dispersant in the face of an EPA request that it use a less toxic alternative, Hayward said, "Everything that we do with dispersants is with the explicit approval of the EPA."

But EPA Administrator Lisa Jackson said she was not pleased with BP's response to the government's request. "The answer we got back from BP, to me, seemed more like a defense of their current choice -- reminded me a little bit of that old commercial 'I'd rather fight than switch,'" she told reporters in Venice, Louisiana.

"We need to ask ourselves whether there's not a better product out there."

Federal officials told BP that "we expect to see a substantial reduction in the overall amount of dispersant used," from 50,000 gallons or more per day to less than 15,000 gallons per day, she said.

That can be accomplished by releasing the dispersant below the surface of the water, she said. She said tests showed that the dispersant, Corexit 9500, was more toxic to baby shrimp and baby silverfish than were any of five other dispersants.

Coast Guard Commandant Adm. Thad Allen, the Obama administration's point person in the Gulf, called the decision to use dispersants a tradeoff. "It means we're willing to accept the effect of the oil in the ocean rather than on land," he said.

Hayward acknowledged that BP's reputation has taken a beating, but said the company is being straightforward about its efforts. "We're trying to communicate openly and transparently about everything that we've done," he said.

As the environmental impact of the disaster was just beginning to unfold, he noted that BP will set aside a half billion dollars to open a research program to study the effects of the spill.

Hayward's comments came a day after Interior Secretary Ken Salazar expressed frustration with the delay in stopping the spill, asserting that BP has "from day one, frankly, not fulfilled the mission it was supposed to fulfill."

He said the company has missed "deadline after deadline" and that he was not confident that BP knew what it was doing.

"If we find that they're [BP] not doing what they're supposed to be doing, we'll push them out of the way," Salazar said.

BP Chief Operating Officer Doug Suttles acknowledged Monday that the federal government could take over the effort, but said the results would be no better.

"I don't think anyone else could do better than we are," he said.

If the "top kill" procedure does not work, he said, BP will try to fit a second, smaller containment dome over the ruptured pipe, Suttles said. A first containment dome failed to stop the leak.

If the second dome does not work, he said, the company would "still have plenty of other options."

The company could try a "junk shot," which would involve plugging the well with rubber and other substances, BP Managing Director Robert Dudley said Sunday.

However, a permanent solution could take until August -- the estimated completion date for a relief well, said Allen.

By the time the runaway well is capped, the amount of oil discharged could be comparable to the total released in the Exxon Valdez environmental disaster 20 years ago, Allen said.

But he expressed no appetite for suggestions that the federal government should take over the project. "You need to do very technical work at 5,000 feet," he said, referring to the depth of the leak. "You need equipment and expertise that's not generally within the government -- federal government -- in terms of competency, capability or capacity."

The administration vowed to persevere. "We are going to be tireless in working to do everything we can to support the community and everybody whose livelihoods have been imperiled down in the region," President Obama said at a reception celebrating Asian-American and Pacific-Islander Heritage Month.

U.S. Commerce Secretary Gary Locke on Monday declared a fishery disaster in the Gulf of Mexico because of the economic impact of the oil spill on fisheries in the region.

The National Oceanic and Atmospheric Administration has closed nearly 20 percent of the commercial and recreational fisheries in the area because of the spill, and Locke's declaration will allow the federal government to put additional resources into the Gulf states to soften the blow.

Meanwhile, Department of Homeland Security Secretary Janet Napolitano and Salazar -- each on a fourth visit to the region since the April 20 spill began -- toured the spill area Monday accompanied by a phalanx of politicians.

"We are going to do everything we can to protect these lands, to protect these parishes, to make sure that claims are paid," Napolitano told reporters in Galliano, Louisiana.

Read about Louisiana's closed oyster harvesting areas

With an armada of more than 1,000 vessels and the efforts of more than 22,000 people who have put into place hundreds of thousands of feet of boom, the response to the oil spill is the largest in U.S. history, said Napolitano.

That did not satisfy Louisiana Gov. Bobby Jindal, who called Monday for more resources to be mobilized against the oil and reiterated his call for the Army Corps of Engineers to move quickly to approve a plan to protect threatened marshland by building sand booms.

"We've got to take matters into our own hands if we are going to win this battle to protect our coast," he said. "Every day we are not dredging sand gives one more day for oil to enter the ecosystem."

He bemoaned the fact that nearly 70 miles of Louisiana coast has been hit by oil.

Read about a lawsuit filed by oil rig victims, families

"BP is the responsible party and we need the federal government to make sure they are held accountable," he said. "Our way of life depends on it."

Coast Guard Rear Adm. Mary Landry, the federal on-scene coordinator for the response effort, told reporters the barrier island project was under review. Environmental and wildlife officials "are weighing in on the impact to endangered and threatened species, and other impacts this large-scale project could have," she said.

Since the explosion aboard the Deepwater Horizon in late April about 40 miles off Louisiana, oil has been gushing into the Gulf at an estimated rate of at least 5,000 barrels a day (210,000 gallons). Some estimates are far higher.

Eleven workers are missing and presumed dead after the sinking. The cause of the explosion has not been determined.

@highlight

NEW: U.S. declares fisheries disaster in oily Gulf

@highlight

Homeland security chief pledges help, Louisiana governor seeks resources

@highlight

BP to set aside $500 million to study spill's effects

@highlight

"Top kill," latest effort to plug the leak, set to start Wednesday morning, company says