London (CNN) -- Tensions between Saudi Arabia and Iran have increased this year, particularly over Bahrain and Syria, and relations are likely to worsen on the news of the alleged Iranian plot to assassinate the Saudi ambassador in Washington.

But ironically, the rise of more representative governments in key Arab countries poses risks to both Iran and Saudi Arabia.

While each country will seek to defend its allies against uprisings (for Saudi Arabia, the Bahraini ruling family; and for Iran, the Syrian regime), neither will be able to control or dominate the changing regional dynamics -- and both have reasons to worry about the risk of unrest at home.

The news comes at a time when regional relationships are in flux.

The ongoing domestic political changes in a number of key countries -- especially Egypt, Tunisia, Libya and Syria -- will create new foreign alliances and rivalries. There are few certainties. It is not yet clear whether these countries will become democratic in the near future, or which parties will be empowered.

New political players have plenty of domestic challenges to absorb their attention and won't necessarily be focused on foreign policy for some time.

With these caveats, however, here are four predictions about the new Arab order.

1) Dividing the region into two "camps" is an oversimplification

In recent years, many analysts and policy makers saw a "pro-Western" camp, led by Saudi Arabia and Egypt, opposed to a self-styled "resistance" camp of Iran, Syria, Hezbollah and Hamas. But new political players will probably want to avoid being forced into these old categories.

Emerging political players in Egypt and Tunisia, whether Islamist or secular, generally do not want their countries to look like either Saudi Arabia or Iran.

Representative governments would not be as reflexively pro-Western as their predecessors. They are likely to be more pro-Palestinian,and more sympathetic to the fact that Hamas and Hezbollah are both popularly-elected movements, but they will also be wary of Iran.

Analysts have also written about the countries of the revolution versus the countries of the counter-revolution, meaning the Gulf states. But the Gulf states have backed the uprising in Libya and have withdrawn their support from Syrian President Bashar al-Assad -- indicating that they will not necessarily act as a conservative force throughout the region.

2) Egyptian-Saudi rivalry will be a defining feature

In the 1950s and 1960s, Egypt and Saudi Arabia were major regional rivals, with Egypt representing pan-Arab nationalism, socialism and sympathy for the "non-aligned" movement, while Saudi Arabia was a more traditional, pro-US monarchy.

The two countries backed opposing sides in the Yemeni civil war, while Egyptian political philosophy inspired leftist movements throughout the Gulf.

Egypt is witnessing a resurgent nationalism and there is plenty of anecdotal evidence to suggest that Saudi Arabia is unpopular among Egyptians, particularly given reports that the Saudi king wanted to help former president Hosni Mubarak stay in power, which would probably have required the Egyptian military to fire on civilian protesters.

Egypt is also the only Arab country that can rival Saudi Arabia's influence on the pan-Arab media, with the partial exception of Qatar (where al-Jazeera is a single broadcaster rather than a media hub).

This renewed rivalry will take time to materialize.

In the short term, Egypt's foreign policy is likely to remain constrained by the persistent power of the army. At the same time, Saudi Arabia's foreign policy is constrained by domestic preoccupations, including the political succession, and by the fact that key foreign policy players are ageing.

Saudi Arabia is unlikely to have the capacity to act as a regional "counter-revolution sponsor" even if it wants to.

3) Iraq will rise as a foreign policy player

Since 2003, Iraq has been consumed with its internal problems and has had little capacity to be a foreign policy player.

However, this year, Iraqi politicians have taken vocal positions on Bahrain -- opposing the crackdown and expressing their concern about the risk of exacerbating regional sectarian tensions -- and on Syria, with Iraqi Prime Minister Nuri al-Maliki calling on Syria's President Bashar al-Assad to end the one-party rule of the Ba'ath party there.

As one of the larger countries in the region, with nearly twice as many citizens as Saudi Arabia, and as a major oil producer, Iraq will expect to be a regional diplomatic heavyweight once again.

Importantly, Iraq's current oil production targets are likely to create tensions within OPEC, particularly with Saudi Arabia and with Iran.

Iraqi officials have recently said they should revise down their existing ambitious oil production targets, which would see the country producing 12 million barrels a day by 2017 -- more than Saudi Arabia currently produces. But even the revised level of eight million barrels a day recently suggested by the oil minister would mean Iraq produced more oil than Iran -- and almost as much as Saudi Arabia.

4) Arab uprisings pose risks to both the Iranian and Saudi models of government

While neither Iran or Saudi Arabia would be enamored of the comparison, neither is a democracy. Both have authoritarian governments that claim religious legitimacy; and in both cases, significant segments of the growing youth population that are dissatisfied with the political and social restrictions that they face.

Iran and Saudi have backed different uprisings this year. Iran has expressed support for the uprising in Bahrain, which was repressed with Saudi help, while following severe state violence against protesters in Syria, Saudi Arabia has broken off diplomatic relations with President al-Assad of Syria, Iran's key Arab ally.

But both the Iranian and the Saudi governments have mixed feelings about the political transitions in Egypt, Tunisia and Egypt.

If these latter countries emerge as successful democracies -- which is still a big if -- they are likely to offer more inspiring models for future Arab development than either Saudi Arabia or Iran can offer.

Indeed, it is the lack of existing models in the Arab region that explains why so many Arabs regard the Turkish government with such enthusiasm.

The opinions expressed in this commentary are solely those of Jane Kinninmont.

@highlight

Kinninmont: Dividing region into two 'camps' is too simple

@highlight

Egyptian-Saudi rivalry will be a 'defining feature' of future

@highlight

Iran will rise as foreign policy heavyweight in region