East Hampton, NY (CNN) -- In three debates by the presidential candidates and one by the vice-presidential hopefuls, no one could bring himself to utter the words "climate change."

Hurricane Sandy said what all four White House contenders were afraid to say.

I've heard that some voters are undecided. Watching the debates, I became undecided over what's worse: Republicans, who not only don't acknowledge reality, but who genuinely seem not to believe reality. Or Democrats, cowed into silence on issues of enormous importance like climate change and its solution: clean renewable energy.

Sandy said things no candidate in America could voice without blowing away their own political career. She said: "Enough! Wake up. Take a reality check. And if you don't get it, it will get you; then you'll get it."

Now, we got it.

Sandy is probably the first storm to change an ongoing presidential campaign. Katrina changed the shape of a campaign to come, contributing significantly to George W. Bush's unpopularity and tarnishing his legacy ("Heckuva job, Brownie") with lingering images of unpreparedness.

But unpreparedness requires, one might say, quite a lot of preparation. We build in places prone to flooding. We do that largely because subsidies encourage it. Federal flood insurance is a way the entire country subsidizes building and rebuilding in places destined for repeated hits.

We rely on overhead lines to bring electricity, lines vulnerable to falling trees. And when they fall, we put them right back. Underground lines are more expensive. But if you have to keep repairing the overhead lines...

News: Marshes and malls -- Migration to U.S. coast heightens impact of storms

We've created coastal bowling-pin communities; we set 'em up and the weather takes 'em down. I live in one. I'm guilty. In my defense, I'll claim entrapment, because I have federal flood insurance. You made me do it. So I just want to take this opportunity to thank you. But I'd like to also tell you, it's OK with me if you withdraw your generosity. In fact it would be better if you did. You help make us lazy. And by us, I mean millions of people living along the coast, whistling in the dark. And you help our politicians look away from the oncoming truth.

Sea levels are rising. They've been rising since the last ice age and that rise has been accelerating since the Industrial Revolution. We've had fair and continual and increasing warning. And yet, small coastal communities and cities as large as New York have done essentially nothing to prepare.

Over decades, we filled many wetlands that are the natural buffers to floods. Shrinking the area of our wetlands has left adjacent areas more prone to flooding.

As the world continues warming, the warming tends to intensify storms. New York has been hit with two hurricanes in two years. That's unusual. And since at least Katrina, scientists have warned that hurricanes take their strength from the heat of the ocean's surface.

Opinion: Climate change is real

Hurricane Sandyâ€”and being an independentâ€”has given New York Mayor Michael Bloomberg the political cover to simply repeat what Sandy herself has so loudly said: "global warming." Now Connecticut Gov. Dannel Malloy is joining in, too, telling NPR's "Science Friday" host Ira Flatow on November 2 that, "I've been talking about global warming for years."

But was Sandy just a hurricane, or an angrier child spawned of unusually warm ocean waters? In one sense, it doesn't quite matter. David Roberts cast it colorfully in his Grist column, saying, "When the public asks, 'Did climate change cause this?' they are asking a confused question. It's like asking, 'Did steroids cause the home run Barry Bonds hit on May 12, 2006?' There's no way to know whether Bonds would have hit the home run without steroids. But who cares? Steroids mean more home runs. That's what matters."

These questions remain: Will the storms that come our way get stronger, more damaging? Will we experience more frequent damage from storms?

We'd better prepare ourselves for the answers to be yes. That's because, even if the answer is no, this storm, like last year's, exposed the Northeast's soft underbelly and our recklessly erected vulnerability.

The world is warming. Warming intensifies storms. Warming raises sea levels. You tell me what we can expect.

News: Experts warn of superstorm era to come

So, was the storm caused by global warming? Soon we'll have a more interesting question: Was the outcome of the presidential election caused by global warming? Did global warming affect the course of human events enough to make a difference in what we say, in what we think, in how we free our politicians to decide what they can do next?

The opinions expressed in this commentary are solely those of Carl Safina.

@highlight

Carl Safina: Presidential candidates afraid to talk of impact of climate change

@highlight

Sandy may be first storm that could change an ongoing presidential campaign, he says

@highlight

Federal flood insurance enables development in environmentally threatened areas, he says

@highlight

Safina: We've had warnings before, but haven't acted to deal with rising sea level