(CNN) -- Futuristic. Space-age. A 'world symbol.' An 'icon for an icon.'

Given Real Madrid is listed by Forbes as the world's most valuable sports team, perhaps it's understandable there is a tinge of hyperbole in the marketing of the redevelopment of Real Madrid's home -- the Estadio Santiago Bernabeu

"We were inspired by medieval cathedrals, with all their sculptures and paintings around the building telling their stories," Volkwin Marg, who heads up the German architectural firm Gerkan, Marg and Partners that designed the new arena, told CNN.

When its proposed refurbishment ends in around six years' time, the Bernabeu -- where Real beat great rivals Barcelona on Saturday -- will be wrapped in a skin of LEDs and 'polished mirror.'

Housing a retail area, restaurants and hotel among the attractions under its metallic membrane, the multipurpose arena will transform a stadium where construction began 70 years ago today.

Its new exterior will also be able to beam out the most famous moments of the 10-time European champions upon completion, although that date is still uncertain due to legal wrangles.

"For this 'holy grail', we have created a glass podium designed as a communications screen displaying the history of Real Madrid -- which appears as a huge screen from the outside," said Marg.

"The stadium's skin is polished like a mirror and it will glow and vibrate thanks to the LED lighting system."

Bold, state-of-the-art and televisual --the venue will be unimaginably distant to the wartime rubble where Real Madrid began its rise from the ashes.

Literally so since the wooden stands at the old Chamartin stadium, adjacent to where work started on the Bernabeu on October 27 1944, had been broken down for firewood by those trying to survive the 1936-1939 Spanish Civil War.

That was far from the only damage inflicted upon both the Chamartin and Madrid during the fighting.

The Spanish capital suffered immensely as it became the first European city to ever be bombed but the Republican stronghold held firm against General Francisco Franco's Nationalists until just four days before the war's end.

Five years later, it was the legendary figure of Santiago Bernabeu -- who had been elected Real president in 1943 -- who wielded the pickaxe that first broke ground on the stadium that would bear his name.

Yet a betrayal within Real meant the former youth team player, captain and manager almost never had the chance to shape the club's destiny.

"On the outbreak of war, Bernabeu, unsure of how the wind was to blow, went into hiding, taking refuge in the French Embassy," wrote Phil Ball in his book 'White Storm: 101 years of Real Madrid'.

"As a good example of how Republican Real Madrid was at that time, Carlos Alonso, coordinator of the club's administration and an outspoken Communist, actually reported Bernabeu to the authorities.

"In this overwhelmingly anti-fascist atmosphere, it was only the intervention of the Spanish Ambassador to France that saved Santiago's bacon."

Whether this incident prompted Bernabeu to turn against the Republicans is unclear but what is known is that he fought for the Nationalists -- with distinction -- during the war.

"If Franco hadn't won the war, nobody would ever have heard of Bernabeu -- that much is true," Ball told CNN.

Despite his initial uncertainties, the qualifier lawyer had backed the right side in the war and having helped the Francoists take power, they assisted his revival of a club that had been largely destroyed by the fighting -- with even its trophy cabinet stripped bare.

With a bank of credit from his experiences at war and with Real -- for whom the former striker scored nearly 350 goals -- Bernabeu used his connections to create his phoenix.

"To buy a stadium, you need to buy land and you need credit for that," Ball explained. "Bernabeu was quite well known, and had been decorated in the Civil War."

"The Banco Mercantil lent him the money but they weren't stupid -- there was a future in earning collateral through Real Madrid."

Even if they were ranked below city rivals Atletico Madrid, Athletic Bilbao and Barcelona at the time.

The stadium, which opened in 1947, took shape in what was then a verdant part of northern Madrid but the city's growth means the prestigious bank-lined Paseo de la Castellana is now in the center.

The challenge for today's architects is to build the stadium, whose capacity will increase from 85,454 to 90,000, within its urban confines.

"I think it will become one of the most iconic stadiums in the world, and the special thing is that it will sit very tightly in the center of a vital town," said Marg.

"Normally if you have a stadium in the middle of town, then it tends to be a big black dirt box. It's not a shiny thing living together with the life of the town and this will be the new effect of this building."

"It's a very complex building and it's going to be a 24-hour stadium -- open all the time."

That's because Real Madrid will effectively play their home games alongside a massive mall, crammed with shops, restaurants and business lounges to sit alongside the hotel, improved club museum and underground parking.

"It was a challenge to make a new type of stadium -- a real urban stadium, which is not just one-functional, as in a pitch surrounded by spectators, but a multipurpose arena with a retractable roof," said Marg.

"Everybody who comes will say 'where is the old stadium?' It will be hidden in the new one."

"Florentino Perez, who was absolutely engaged in this project, wants to write history in stadium building," added Marg, referring to Real's current president.

"He asked for an 'icon for an icon' but as a clever businessman, he also wanted this icon to earn more money than the existing stadium."

The retractable roof, which can open in 15 minutes, will allow the stadium to host events such as music concerts safe in the knowledge that inclement weather will be no danger.

Fittingly for an arena that installed the first ever video screens, the stadium will also present a video screen 'ring' under the roof that can be seen from every seat in the stadium -- including those in the hotel rooms and business lounges that open onto the pitch.

"We want it to be the best stadium in the world, with maximum comfort, an icon of architecture and cutting edge," said Perez when the plans were unveiled earlier this year.

"It will be a world symbol."

The construction magnate has a big call to make though.

To fund -- or partly fund -- a project costing a reported 400 million euros ($507 million), Perez is looking to sell naming rights to the refurbished Bernabeu.

One heavily linked party is the International Petroleum Investment Company (IPIC), with whom Real are set to announce a partnership agreement on Tuesday.

This will initially be in relation to general sponsorship but Spanish media is also tipping the Abu Dhabi group to buy the naming rights.

A report by website 'Soy Madridista' even suggests IPIC could have full naming rights, removing any mention of Santiago Bernabeu -- a move which could upset Real fans, should they cough up over a billion euros to build a new stadium in a different part of town.

This rumor has arisen given the legal obstacles currently challenging the refurbishment plans, with a Spanish court suspending the plans because Real is currently under investigation by the European Commission.

This is in relation to possible illegal state aid, meaning a key agreement between Real and the Madrid government with regard to the remodeled Bernabeu is temporarily suspended.

Nonetheless, a Real spokesperson told CNN last week that the work on the existing site will start in "around two years' time."

Meanwhile, the architects of a space-age stadium are pressing ahead with plans for takeoff. "We are now preparing everything," said Marg. "We are just waiting for the green light."

@highlight

Construction work on the Santiago Bernabeu Stadium started 70 years ago today

@highlight

Stadium is set to undergo spectacular refurbishment should existing plans go ahead

@highlight

Arena will have increased capacity, a hotel and retail, leisure and restaurant zones

@highlight

Plans are in danger due to an ongoing legal investigation