(CNN) -- Four months after he was escorted in his pajamas onto a military plane and flown out of the country, ousted Honduran President Jose Manuel Zelaya could return to power within days, analysts said Friday.

Negotiators for Zelaya and Roberto Micheletti, the politician who was appointed president hours after Zelaya's June 28 removal, reached an agreement late Thursday to form a government of national reconciliation. The nation's congress, in consultation with the supreme court, must approve Zelaya's return to power.

The reconciliation government would rule until a new president, to be chosen in November 29 elections, takes office in January.

Micheletti announced the agreement in a televised speech to the nation Thursday night.

Zelaya said Friday his return to the presidency is "imminent" and should occur within days. He has been staying at the Brazilian Embassy in Tegucigalpa, the Honduran capital, since secretly returning to the country September 21.

"At this moment we are trying to reach a consensus so we can reconstruct democracy," he told CNN en Español on Friday.

Although Zelaya's return to the presidency is not guaranteed in the eight-point pact, several analysts say they expect the congress will approve the measure.

"If Micheletti came forward with a public announcement, the odds of this being approved by congress are pretty good. It's a done deal," said Kevin Casas-Zamora, a senior foreign policy fellow at the non-partisan Brookings Institution and a former vice president of Costa Rica. "It would be a horrible letdown if congress did not approve the agreement."

Peter Hakim, president of the Inter-American Dialogue policy institute, also believes "they'll go ahead and vote for it."

Said Larry Birns, director of the liberal Council on Hemispheric Affairs: "There seems to be no other way."

The United States played a key role in the accord after weeks of stalemate. Thomas Shannon, assistant secretary of state for Western Hemisphere affairs, and two other high-level U.S. officials arrived Wednesday and met separately with Zelaya and Micheletti. An agreement appeared possible Thursday when Shannon announced at a news conference that the U.S. delegation would stay another day.

A delegation from the Organization of American States had visited Honduras in early October but failed to obtain an agreement. Costa Rican President Oscar Arias had held consultations with both sides but did not get them to agree on a solution.

The OAS, the United Nations, the European Union and the United States condemned the military-backed coup and demanded that Zelaya be reinstated. The United States and others imposed economic sanctions, which some analysts say have started to hurt Honduras.

"The dark secret here is that the Honduran economy has been devastated," Birns said. "Huge numbers of Hondurans have crossed over into Mexico and are desperate for jobs."

Crumbling economic conditions left Micheletti little choice, Birns said.

"All along Micheletti was holding a diminishing deck," he said. "Not only the poor were being hurt. The cutoffs were hurting the nation's economic elite. So there was a very strong economic motive to reach a solution."

There also was a strong political motive, Hakim said.

"The candidates for president, the people looking forward, wanted to see the elections on November 29 as being legitimate," he said.

Birns agreed that "the candidates wanted a resolution because of legitimacy."

The United States and many other nations had said the elections would be considered illegitimate if held under Micheletti's rule.

"By far, the most important thing right now is not whether Zelaya will be reinstated, but that the U.S. is going to recognize the elections," said Heather Berkman, a Latin America analyst with the Eurasia Group consulting firm.

"The next president will be able to receive diplomatic recognition and much-needed access to international aid and financing, which will be crucial given the weakness of the economy and the fact that the government is running out of money," she said.

Zelaya also appeared to have little choice but to accept the pact, even though it does not automatically return to him to power, as he had demanded all along.

"He didn't have many options, did he?" said Casas-Zamora of the Brookings Institution. "He was never able to mobilize people in the numbers he claimed to have. He didn't have much clout, frankly. Holed up in the Brazilian Embassy he became much more marginalized. That's as good as it gets for him."

The president's four-year term -- whether it's Zelaya or Micheletti -- ends January 27, when the new head of state will take over.

Berkman believes Zelaya heard the clock ticking.

"Zelaya probably accepted this agreement because he was running out of time and leverage, and he may have thought that going through congress was his best bet at getting an agreement in his favor," she said.

Birns sees it as a face-saving move.

"The only thing Zelaya gets out of this is the dignity of serving out his complete term," Birns said. "He will be a president without any authority. Basically, he's been rendered into a figurehead president."

In addition to the formation of a reconciliation government, the pact also stipulates -- at Zelaya's insistence -- that there will be no amnesty for those involved in his ouster.

Micheletti said in an interview Friday evening with CNN en Español that he's certain Zelaya will try to prosecute him. Just a few weeks ago, it was Micheletti who was saying Zelaya would be prosecuted if he left the Brazilian Embassy.

"Yes, we are certain that there will be persecution," Micheletti said Friday. "But I am not afraid. What we did was within the constitution."

Micheletti has insisted Zelaya was removed through constitutional means, not a coup.

Some analysts say legal proceedings might not be the best course.

"Any attempt to seek revenge here is going to be costly and inefficient and conflictive," said Birns, head of the Council on Hemispheric Affairs.

The pact also calls for the creation of a "truth commission" to investigate the events surrounding Zelaya's ouster; the formation of a "verification commission" to ensure that the agreement is adhered to; and a solicitation to the international community to lift economic and diplomatic sanctions.

The political crisis stemmed from Zelaya's plan to hold a referendum that could have changed the constitution to allow longer terms for the president. The country's congress had outlawed the vote and the supreme court had ruled it illegal.

Zelaya has said since his ouster he would not try to revive the issue if returned to power. That's a good thing, Hakim said.

"The most important thing," he said, "are the assurances that Zelaya will be limited in his powers."

@highlight

Negotiators for President Manuel Zelaya and de facto President Roberto Micheletti reach deal

@highlight

Two sides to form a government of national reconciliation that could reinstate Zelaya

@highlight

Zelaya forced out of country in June 28 coup, replaced by legislative leader Micheletti

@highlight

Crisis stems from Zelaya's referendum plan that may have given president longer term