(CNN) -- As Norway struggles to come to terms with its greatest loss of life in decades, all eyes are on the man charged in the explosion in central Oslo and the deadly shooting rampage at a youth camp.

While police have not officially named him, Norwegian television and newspaper reports have identified the suspect as 32-year-old Anders Behring Breivik. A rambling 1,518-page manifesto purportedly written by someone using that name offered a rationale and action plan for terror attacks like those inflicted on Norway last week.

There are clear pictures of what Breivik looks like, at least, via images showing him with blond hair, blue-green eyes and chiseled features. In some cases, he's wearing seemingly preppy clothes, though in others he strikes a far more militaristic stance.

And  the suspect will "explain himself" in court on Monday, attorney Geir  Lippestad -- who claimed to represent Breivik -- told Norway's TV2 late  Saturday.

Yet even with these photos, even with the voluminous text in his manifesto, even if he does detail his reasoning Monday, troubling questions are likely to remain. Chief among them is how and why a native  Norwegian turned on his countrymen.

What is known is that Breivik is a member of the Oslo Pistol Club and has three weapons registered in his name, according to leading Norwegian newspaper VG, which cited Norway's official weapons register. They are a Glock pistol, a rifle and a shotgun, VG reported.

Breivik is registered as having run a company that produced  "vegetables, melons, roots and tubers" -- an industry which allows  access to large amounts of fertilizer that can be used for explosives -- according to state-run broadcaster NRK.

An  employee at a Norwegian agricultural cooperative told CNN that the man  identified in media reports as the suspect in last Friday's attacks  bought six tons of fertilizer from her company in May.

Oddmy  Estenstad, of Felleskjopet Agr, said she did not think the order was  strange at the time because the suspect has a farm, but after the Oslo  attack she called police because she knew the material can be used to  make bombs.

NRK also reported that Breivik does not have a military background and, in fact, was exempt from Norway's mandatory military service. He has not had any special military training, it adds on its website.

He was a youth and adult member of the conservative Fremskrittspartiet (FrP) or Progress Party, VG newspaper reports, remaining involved until 2007. The party's most prominent manifesto pledge is to minimize immigration.

His membership was confirmed by a senior party member, Jonas Kallmyr, who is quoted by VG as saying that encountering Breivik was "like meeting Hitler before World War II."

In the manifesto, which police said was posted online the day of the attacks, a writer claiming to be Breivik writes positively of the Progress Party, calling it "the only major political party in Norway that has voiced any serious opposition to the madness of Muslim immigration." But he only, effusively claims membership as a "Justiciar Knight" in what he calls the pan-European "Conservative Revolutionary Movements in Europe."

The philosophy presented in the document -- which also serves as part diatribe, part confessional and part action plan -- targets so-called "cultural Marxist/multicultural ideals." The writer makes clear that he not only opposes multiculturalism in Europe, including any increase in the number of  in immigrants or Muslims, but that he has thought out how to use violence to combat it.

The manifesto and a related video are titled "2083: A European Declaration of Independence," a date that the author later explains is the year he believes a European civil war will end with the execution of what he calls "cultural Marxists."

This "civil war" would come in three phases, he predicts. The first runs through 2030 and includes "open source warfare, military shock attacks by clandestine cell systems (and) further consolidation of conservative forces."

Between 2030 and 2070, he calls for "more advanced forms of resistance groups (and the) preparation of pan-European coup d'etats." The final stage features the deposition of Europe's leadership and "implementation of a cultural conservative political agenda."

A vitriolic hatred of outside forces, and desire to oust them from Europe, pervades the document. But it especially targets Muslims, culminating in 2083 with their deportation from the continent.

Such animosity is consistent with a post in Breivik's name on an online forum, Document.no, from December 2009, talks about non-Muslim teenagers being "in an especially precarious situation with regards to being harassed by Islamic youth."

"I know of many hundred occasions where non-Muslims have been robbed, beaten up and harassed by Islamic gangs," the post reads. "I had a best friend between the ages of 12-17 who was a Pakistani, so I was one of the many protected, cool 'potatoes' that had protection. But this also made me see the hypocrisy up close and personal and made me nauseous."

Such anti-Islamic sentiment is nothing new in Norway or other European nations, where there has been resistance against increasing numbers of Muslims and their practices.

About 3% of Norway's population in 2010 -- 144,000 people -- were Muslim, but that was expected to more than double to 6.5% over the next 20 years, according to a report released earlier this year by The Pew Forum on Religion and Public Life. That is one of the largest percentage increases in Muslim populations across all of Europe, thanks in part to fertility rates significantly higher than those of non-Muslims.

Another post in Breivik's name in October 2009 advises "Hans", described as the founder of Document.no, to "develop an alternative to the violent extreme Norwegian Marxist organisations Blitz, SOS Rasisme and Rod Ungdom" -- all left-wing movements in Norway.

"The conservatives dare not openly express their viewpoints in public because they know that the extreme Marxists will trump them. We cannot accept the fact that the Labour Party is subsidising these violent "Stoltenberg jugend, who are systematically terrorising the politically conservative," the post reads.

He is making a reference to the youth movement of Prime Minister Jens Stoltenberg, who heads the Labour Party.

The manifesto's author does not telegraph his plan for July 22, even as he extensively delves into bomb-making techniques, evading authorities and his long-range military ambitions. But he is sharply critical of leadership of Norway, with last week's attacks targeting government buildings and a youth camp run by the ruling Labour Party, blaming them for embracing ideals that allowed the "Islamification of Europe."

The writer states he was moved to action in 1999 by  "my government's involvement" in NATO's strikes during the Kosovo  campaign, claiming this campaign wrongly targeted "our Serbian brothers (who)  wanted to drive Islam out by deporting the Albanian Muslims back to  Albania."

He also criticizes "my government's cowardly handling of  the Muhammad cartoon issue" -- a reference to the Norwegian government's  apology for the nation's private newspapers having repeatedly published  the controversial cartoon. Another reference blasts Norway, home of the  Nobel awards, for awarding a peace prize to late Palestinian leader  Yasser Arafat.

Speaking in both specific and general terms, the manifesto's author doesn't hide his militant expertise or aims. But it is only near the end of the document that he appears willing to take matters into his own hands, citing "the old saying, 'if you want something done, then do it yourself.'"

Acting National Police Chief Sveinung Sponheim told reporters Sunday said that the suspect, arrested on Utoya island after gunning down at least 86 people there after killing at least seven in the Oslo bombing, insisted he acted alone. Police still say, though, that they haven't ruled out others may not have been involved, and the manifesto does allude to like-minded right-wing revolutionaries.

That said, the document's author does predict "all my friends and family (will) detest me and call me a monster," and that media will "have their hands full figuring out multiple ways to character assassinate, vilify and demonize."

But ultimately, he writes that he believes he and other revolutionaries will be remembered fondly, part of his rallying cry for "the emerging Western European conservative resistance movement."

"Your name will be remembered for centuries," the document states. "You will forever be celebrated by your people as a martyr for your country, protecting your culture and fighting for your kin and for Christendom."

CNN's Laura Smith-Spark and Cynthia Wamwayi contributed to this report.

@highlight

The 32-year-old suspect insists he acted alone, the national police chief says

@highlight

A manifesto purportedly by him details his anti-Muslim, anti-immigrant philosophy

@highlight

The head of a conservative party says she is horrified that this man is a former member

@highlight

Photos show the Norwegian with blond hair, blue-green eyes and chiseled features