London (CNN) -- With its remarkably realistic depictions and dramatic history, the Ghent Altarpiece (1432) is widely thought to be one of the most famous panel paintings in the world.

Stolen several times (most notoriously during World War II by the Nazis, who hid it in a salt mine), the altarpiece, currently housed in St. Bavo Cathedral in Ghent, Belgium, depicts among other things a 'Mystic Lamb' bleeding into a chalice.

It has been admired and coveted for centuries. Now an ambitious digital documentation project is allowing scholars and art-lovers alike to pore over the minute details of Jan and Hubert van Eyck's multi-part painting in a specially-designed, open source website entitled 'Closer to Van Eyck: Rediscovering the Ghent Altarpiece.'

Consisting of 12 panels (one of which is a copy, the original having been stolen in 1934) and depicting numerous complex theological scenes, the documentation project has rendered the already composite work into 100 billion pixels using the highest resolution photography.

A collaboration between the Royal Institute for Cultural Heritage in Lukasweb, Belgium, and the Vrije Universiteit Brussel, and funded with support from the Getty Foundation in Los Angeles and the Netherlands Organization for Scientific Research, the venture to digitally document the work took 9 months, initially to assess it for conservation.

"And then it grew into 'These results are interesting, how can we share this information with the widest possible audience on a website?'" said Deborah Marrow, Director of the Getty Foundation.

The documentation process -- which made use of macrophotography in visible light, macrophotography in infrared light, infrared reflectography and X-radiography -- probed beneath the painted surface to reveal the under-drawings.

"One of the big open questions surrounding the polyptych is the involvement of Hubert van Eyck, the older brother of Jan van Eyck, in the production of the painting," said Ron Spronk, Professor of Art History at Queen's University in Kingston, Ontario, who led the project.

"We ought to look for Hubert's hand in the under drawings of the panels, which were revealed with infrared macrophotography, and with infrared reflectography," he explained.

Entirely open-source, the website that came out of the documentation process is now live and accessible to art-lovers as well as scholars, allowing users not only to zoom in on tiny details of the work, but also to go beneath the surface of the paint and see how the composition evolved over time.

"At the Getty Foundation, we've always supported the less sexy things that go on behind the scenes of great public projects -- conservation, research, planning -- things that are really crucial but less visible," said Marrow.

"But recently we've made a greater effort to take the results of those behind-the-scenes activities and make them more immediately available to a wider public," she continued.

"It's technically an amazing feat that they were able to do this so precisely and present the images in such a way that you can juxtapose the regular image, as you would normally see it, with the under-drawings," said Antoine Wilmering of the Getty Foundation.

While the website has a wide appeal, he said, it will also be an invaluable tool for the next generation of scholars.

"The last conservation on the altarpiece took place in the 1950s with a little bit of work done in the '80s, and the technology was not as advanced as it was today," he said.

The Altarpiece is to undergo a full, five-year-long restoration treatment beginning in September 2012.

The panel will be disassembled in three stages, and the parts being restored will be taken to the Museum of Fine Arts in Ghent, where the public will be able to view the treatments taking place from behind a pane of glass.

Spronk, who lived with the altarpiece for six months while documenting it, told CNN: "The Ghent Altarpiece has kept many scholars -- and very different types of scholars for that matter -- busy for centuries, and will doubtless continue to do so."

He believes the website will open up a "whole new world" for scholars who have toiled for years either working from color reproductions or from the work itself.

Still, Spronk concedes that it is no substitute for seeing the work in person.

"What you can't show on a website is the sheer monumentality of the altarpiece, the incredible realism of the painting," he said.

"When you are looking eye to eye with the Deity... It's hard to explain, but I can see why the polyptych still grips so many people," he said.

See the Ghent Altarpiece up close on the Closer to Van Eyck website, or visit it in person at St. Bavo Cathedral in Ghent, Belgium.

@highlight

Minute details of Ghent Altarpiece now available to view online in 100 billion pixels

@highlight

Project emerged from documentation process prior to conservation work

@highlight

Website shows under-drawings beneath surface of the painting

@highlight

Site -- a rich resource for scholars -- is open to all