(CNN) -- Big in Japan. It's a phenomenon well known to generations of rock bands, elevated from relative obscurity at home to apparent god-like status in the Land of the Rising Sun.

Met at the airport by screaming fans, groups struggling to get in their own charts get an unexpected -- and often career-reviving -- taste of Beatlemania, Orient-style.

This weekend, it's going international -- "Live at the Budokan" on tour, in Longchamp. Thousands of enthusiastic Japanese will invade Paris for an event that some say has become the crowning jewel in a new national obsession.

It's not pop music, but horse racing -- a sport that has emerged from a murky association with underworld gambling to become an aspirational pastime for a younger generation of Japanese racegoers and a rival to the likes of baseball and football.

"Many years ago, horse racing had a kind of bad reputation but there has been a big change in perception among Japanese citizens," Fumitaka Tsuruoka, the Paris representative for the Japan Racing Association, told CNN.

"It is true that horse racing still offers betting but it is loved by many people as a sport, which they could be enthusiastic about."

A party of some 5,000 horse-racing-mad fans is traveling to the French capital to see if their nation can finally end its hoodoo in one of the sport's premier events -- the Prix de l'Arc de Triomphe.

The passion and desire to win European racing's richest prize -- with a purse of â‚¬4 million ($5.4 million) -- is almost verging on an obsession, but it is an obsession with good reason.

Japan has come agonizingly close to winning the big prize at Longchamp on numerous occasions. The most recent attempt was Orfevre, who last year had been a frontrunner only to be upstaged by the unfancied Solemia.

One of Japan's most famous horses, Deep Impact, was backed at 1-2 to win in 2006 only to falter rather dramatically, while three years later El Condor Pasa had boasted a lead of five lengths but was beaten on the line by Montjeu.

L'Arc is effectively the jewel missing in the crown of Japanese racing, the likes of the Dubai World Cup and Melbourne Cup already conquered long ago, and it is an event that will be watched on television by some 30 million people in Japan alone, nearly a quarter of its entire population.

Tsuruoka, however, insists his nation's love of the race is "not an obsession."

"It's just it is the most famous and desirable overseas race in my country and a lot of Japanese people and the horse connections have a great ambition to win the race," he said.

"The Japanese have made a lot of efforts to catch up with European and American racehorses for more than 50 years since the first overseas challenge in 1958, and one of the goals is to win the Prix de l'Arc de Triomphe. We are almost there."

Japan, as has been the custom in recent years, can aspire to victory this year.

Last month, Orfevre won the Prix Foy at Longchamp for a second successive year and and is top of many bookmakers' odds lists for Sunday. Fellow contender Kizuna, sired by Deep Impact, triumphed over in another Group Two race, the Prix Niel on the Arc distance of one-and-a-half miles at the same venue.

For the Japanese punters, backing their own horses is a source of nationalistic pride. They betted so heavily on Deep Impact that the seven-time Japanese Grade One winner was an overwhelming favorite at the 2006 Arc.

"I heard they had bets of about â‚¬500 each on Deep Impact and, had it won, the story goes they wouldn't have even cashed it in as they wanted to keep the memento," says Ed Dunlop, who has enjoyed more success than most as a foreign trainer on Japanese soil.

The Briton is best known for Snow Fairy, which in 2010 and 2011 enjoyed back-to-back victories in the Queen Elizabeth II Commemorative Cup in Kyoto, and his family has long been interlinked with Japan -- his father John was among the first foreign trainers to be invited over.

Dunlop says the obsession with horse racing in Japan is not solely the reserve of the Arc, with passion as fervent -- in fact, even more so -- for its domestic races.

"It's enormous compared to what we're used to," he explains. "Horses have huge followings and jockeys too. You'll see posters of them out there, which you'd never see in the UK for a second.

At the Japan Cup (the biggest race on the calendar), there's 100,000 people there. The atmosphere is like nothing I've heard before. The noise is genuinely unbelievable."

It is a sentiment echoed by jockey Ryan Moore, winner of this year's English Derby on Ruler of the World, who likened it to another sport.

"It's the one time when it feels like you're inside a football stadium," he says. "There's just a crazy amount of shouting. It seems like it's like that every day on the track.

"When you get off the plane and the bus, you have people trying to get pictures, sign autographs, books and stuff like that. It's stranger when it's like half past 10 at night. Japanese jockeys are used to it as they get it a lot."

The perception of horse racing in Japan has changed, pushed by the sport's national ruling body the JRA. In the past, it was seen to be the domain of the Yakuza, controlled by organized crime syndicates.

The change in perception has led to a much younger racegoing public in Japan than generally seen in Europe or the United States, for example.

Jane George, a director of the International Racing Bureau which looks after the Japan Cup on behalf of the JRA, describes those fans as "producing an atmosphere like I've never seen before."

"As the starter goes up in a lift to his starting position, there's chanting and everyone hits their racing cards together," she says. "You can't help but get goosebumps from it."

Race meetings are incomparable to Europe. Only taking place on Saturdays and Sundays, as opposed to week-long schedules in many countries, the racing starts as early as 10.30 in the morning.

The card usually consists of 10 races, with a break in the middle and usually a jumps race amid the array of flat racing on show. And such is its popularity, fans will camp out the night before to get tickets for the day's action.

All of it is run centrally by the JRA, with a stipulation that each trainer can oversee just 30 horses each.

Increasingly, the caliber of horses is on the rise, with the Yoshida family in particular leading the way in buying the top horses across the globe -- starting in 1990 with American colt Sunday Silence, which sired Deep Impact among others.

"Over the past 20 years, they've been buying English Derby winners and they've now got some of the finest bloodstock in the world," Dunlop says.

"They've got very good horses and they're becoming increasingly hard to beat. As a result, it's very hard to win there."

The lure of Japan to trainers like Dunlop is obvious, with the pots on offer usually enormous. "You can only race there if you're invited over by the JRA and they pay for all your expenses to get there and while you're over there," he says.

It is similar for jockeys too, and Moore is more familiar than most with the machinations of the Japanese horse-racing world, having first ridden there in 2006.

"You get 5% of the racing purse, which is generally half of what you'd get in Europe, but the prize money is so much higher," he says. "It's probably the best-run horse racing in the world. You never see any horses that are non-runners, no-one's overweight and there's never any hiccups.

"You can only ride there for three months at a time and only six foreign jockeys can be there at any one time. The standard of horses is as good as anywhere in the world.

"But being there is a very difficult culture. It's about as alien from us as a culture as you can get. Everyone's very helpful and the language isn't an issue as you have an interpreter with you the whole time.

Sometimes it can be quite lonely out there as there's not too many people speaking English. But the standard of racing is top class."

While Moore and his foreign peers can expect to be mobbed there, it is nothing in comparison to Japan's own riders -- in particular Yutaka Take, who will ride Kizuna on Sunday.

His first Arc ride was on board White Muzzle in 1994, when the general consensus was that he did not have a good ride and finished sixth. He was then second on Deep Impact in 2006 when again he should well have won and was also third on Sagacity in 2001.

Tsuruoka says the 44-year-old "is akin to a David Beckham in Japan," such is the adulation, adding that "he has been quite big in contributing to the development of horse racing in Japan over the past 25 years."

Should Take win on Kizuna, it would be doubly poignant. The horse's name literally translates as "ties" or "bond," and he was named in the wake of the 2011 tsunami by owner Shinji Maeda -- the colt in turn has become an equine hope for the nation.

After his most recent win on Kizuna, Take said: "I really appreciate being able to ride a horse with a name that carries so much emotional power and also because of the reason why he was called Kizuna. It gives me great pride to be given this responsibility."

Should Japan's most celebrated jockey win riding a horse with arguably the most emotional baggage in memory of the 18,000 people that lost their lives, it will be the ultimate way for the nation to celebrate breaking its duck in Paris.

@highlight

Japan bid to end their Prix de l'Arc de Triomphe hoodoo at Sunday's big race

@highlight

English Derby winner Ryan Moore talks of football stadium-like mentality in Japanese racing

@highlight

Public obsesses about Kizuna jockey Yutaka Take, likened to the David Beckham of the sport

@highlight

Horse-breeding program ensures the best animals are brought in from around the globe