(CNN) -- Newly uncovered documents from a confidante of Hillary Clinton are making headlines about the former first lady. But they also reveal new details about legacy moments in her husband's presidency that were frustrating and distracting to the White House.

It seemed as if Bill Clinton had too many choices in his first chance to name a Supreme Court justice and not enough for his second.

The deliberations went down to the wire, and when Stephen Breyer's name came up each time, he was not the person the President, in his heart, preferred.

"At this point BC [Clinton] also said he did not want to name Breyer," wrote Diane Blair in May 1994 just two days before he was ultimately selected. "Didn't want to give a big deal to Massachusetts."

That's where Breyer, then 55, was serving. Apparently naming someone from that reliably liberal state would not pay political dividends.

Blair was a close family friend who took copious notes of conversations she had with both Clintons throughout most of their White House years that ended in 2001.

Notes from that conversation with Clinton are part of papers Blair, then a University of Arkansas professor, left the school after her death in 2000.

CNN has uncovered one inside look at how Breyer was ultimately chosen, and it mirrors the tricky, often delicate game of politics nearly every White House must navigate.

Blair's three-page memo affirms much of what a variety of sources have told CNN about the Breyer selection process. But she adds a fresh layer of detail on the last-minute maneuvering to get Clinton to decide.

Back to '93

It all began a year earlier soon after Clinton took office in 1993. Justice Byron White was retiring and the President had his first chance to create a legacy with a high-profile pick.

Sources said Clinton had lots of ideas of who should sit on the high court-- too many, in the eyes of many White House staffers. Names included New York Gov. Mario Cuomo, Senate Majority Leader George Mitchell, and Education Secretary Richard Riley.

All turned him down.

Interior Secretary Bruce Babbitt's name was quietly leaked, but Senate Republicans made clear he would face a rocky confirmation.

In her words: Hillary Clinton then and now

Clinton even briefly considered naming his wife to the court-- which he labeled an intriguing, "sexy" idea-- but was quickly talked out of it, according to former top White House aide George Stephanopoulos, in his memoir.

"We don't need another gang-that-couldn't-shoot-straight story," reluctantly concluded the president, according to Stephanopoulos.

More traditional choices were then considered-- federal appeals court judges. Among them was Breyer, then chief judge on the Boston-based First Circuit.

He was asked to come to the White House and interview personally with Clinton. But there was one problem. He had days earlier suffered a serious accident on his bicycle, and sources said he left his hospital bed to come to Washington.

The interview "went badly," Jeffrey Toobin, CNN's Senior Legal Analyst, wrote in "The Nine," his book on the Court.

"Normally a friendly, almost garrulous man, Breyer was short of breath and still in pain," wrote Toobin.

"Afterwards, Clinton told his staff Breyer seemed 'heartless'. ... I don't see enough humanity. I want a judge with soul."

Still, government sources say Breyer was on the verge of being selected until he tapped Ruth Bader Ginsburg. She served on the D.C. Circuit Court of Appeals, where her colleagues at one time included Antonin Scalia and Clarence Thomas. Both would precede her on the high court.

Despite her clear liberal record on the bench, the nominee was well received and received near unanimous Senate approval.

It also helped boost the morale of a White House struggling in its first year from a series of political setbacks. Clinton knew he had a winner in the second woman to sit on the high court, introducing her by saying she had a "big heart."

Friend's papers giver insight into rise of the Clintons

The 1994 pick

Fast forward one year. Justice Harry Blackmun announced his retirement April 6, presenting another chance for Clinton to burnish his legacy. The five-week selection process was again unwieldy, as the Blair memo shows.

Her notes from that May 11 conversation with Clinton show it was ostensibly about the "Supreme Court appointment," but other topics kept cropping up.

Clinton was worried about the midterm congressional elections, even his own political future ("BC not sure he can get reelected").

Yet, it was clear Clinton was torn between his personal and political sides -- focusing on one man -- Judge Richard Arnold, a fellow Arkansan on the 8th Circuit Court of Appeals.

The two were not close but Arnold had a national reputation, with some later calling him one the greatest judges never to have sat on the Supreme Court.

But there were three problems, among them his divorce years earlier. Blair's memo notes county divorce records point to some "messy allegations" that might complicate Arnold's chances. "This thing is so sick, according the BC [Clinton], in a way he wants to stand up to it, but [the issue] will come out and will be part of the pattern of sleaze," she writes.

There were also concerns of perceived nepotism, which fellow Arkansan Blair tried to downplay to the president.

"BC is furious about what has been done to Ark., how they've taken all the joy and happiness out of BC's victory, turned the state into the killing field-- this would restore their pride and happiness," she paraphrases him saying.

But the biggest lingering concern was Arnold's health. He had been diagnosed years previously with low-grade Hodgkin's lymphoma, and the cancer had produced tumors, spreading through his body.

Although Arnold was able to function "more or less normally," wrote Toobin, a doctor told Clinton on May 13 that there was no way he could say "that Arnold's disease 'would not interfere' with his duties as a Supreme Court justice."

Hillary's big concern

Blair's memo says this was "HRC [Hillary Clinton's] greatest concern, makes it seem he's [Clinton] is not taking this, his greatest legacy, seriously, if [he puts in] someone who may die in 5 years of less time."

Arnold stayed active on the bench until his 2004 death.

But Arnold, in Blair's mind, was clearly the best choice and she strongly urged Clinton to "go ahead and appoint RA, because that's what he really wanted to do."

The President was not even remotely close to a decision, and he urged Blair to speak with his wife after their conversation.

The first lady was "wild" about the issue of Arnold's health. Blair paraphrases her close friend saying, "BC wouldn't even think about naming someone from Neb. or Iowa if they had possible cancer threat-- so why do it just because he knows the guy," writes Blair.

"If HRC carried the day, and sounds as if she is, it will be Babbitt. She's not wild about him. Wishes there were a 3rd choice. But there isn't. Which in itself is very, very sad and strange," according to Blair's notes.

After hearing Arnold's medical prognosis from the doctor, Clinton later that day made up his mind. It was Breyer.

The final decision was sudden, and Clinton wanted it public immediately, before his pick could get down to Washington. So Breyer wasn't even present when the announcement was made.

He was easily confirmed.

The whole selection process lacked the excitement and momentum of the one a year earlier but both of Clinton's high court choices have turned out to be great successes. Ginsburg and Breyer have carved a consistent left-leaning record, and are well-liked and respected by their colleagues.

CNN's Robert Yoon and Dan Merica contributed to this report

@highlight

Notes taken by Clinton confidante reveal new details about Stephen Breyer's selection to bench

@highlight

Deliberations went down to the wire each time and Breyer wasn't the one Clinton really wanted

@highlight

When he was selected, Clinton wanted it announced quickly; Breyer wasn't even present