(CNN) -- You could have gotten very good odds had you predicted at the beginning of 2013, when John Kerry took office as secretary of state, that he would end up having the most successful year of anyone in the Obama administration or, indeed, Washington.

Kerry was an old familiar face, a man whose moment had come and gone with his presidential candidacy in 2004. He was following in the footsteps of the most popular politician in America in an administration not famous for giving its Cabinet members much of the limelight that was jealously guarded for the President.

He also was going to be thrust into an international situation in which the problems ranged from intractable to almost incomprehensible at a time when the people of the United States had precious little interest in overseas engagement.

Yet here we are a year later and Kerry is widely regarded as having transcended himself, his job, the limitations placed on him by the White House, and the challenges of the world scene.

He is viewed as a man who has effectively built on the work Hilary Clinton did to restore diplomacy to the center of U.S. foreign policy and, in fact, as a greater risk taker than she was.

He has shown creativity, tenacity, the courage to stand up to leaders overseas and his would-be minders in the administration and has won widespread kudos for it.

One very senior Middle East diplomat on Tuesday described him to me as a "national treasure" for the United States. And this is someone who has many issues with the United States' handling of crises in Egypt, Syria, Iraq and Iran.

Another leader from the same region described the Kerry Israel-Palestine peace process as the "most remarkable effort I have seen in my lifetime." Within the State Department, while he is not given top grades as a manager of that big bureaucracy, he is seen as a force of nature, as someone who is willing the department into the central role that for the past decade was primarily occupied by the Pentagon in shaping U.S. international priorities.

Some of the change in the role of diplomacy is, of course, a result of shifting away from a war footing in Iraq and Afghanistan, withdrawing our troops and thus making military action less central to our initiatives in the Middle East. But that could just as easily have created a void.

Yet Kerry stepped in and from the beginning astonished everyone with his appetite to tackle the Israel-Palestine issue, his nimbleness in turning missteps in Syria into a chemical deal that would have been hard to imagine months earlier and his stewardship of the administration's Iran nuclear negotiations.

Some characterized him as a dreamer early on, a Don Quixote. But with the progress that has already been achieved on all three fronts, it is impossible not to see him as making a significant impactâ€”largely by virtue of his tireless travel schedule, his mastery of the facts and his force of personality.

Of course, it is just a year that has transpired. While expectations for the Kerry tenure at State may have started low, he has raised them considerably.

Now all eyes are on these three deals to see what happens. Will there be an Iran deal? If so, will it be a good one that the Congress and our allies can accept or will it strengthen Iran without gaining real peace of mind for the United States and our allies in the region?

Will the Syria chemical deal, which the United States has complained is not resulting in the elimination of weapons fast enough, ultimately deliver on its original goals? Or will it continue to serve, as President Obama's own top intelligence official recently asserted, to strengthen the regime of Bashar al-Assad?

Opinion: Are Syria, Iran playing Obama for a fool?

And what benefit will a chemical weapons deal achieve if Syria continues to fester and serve as both a killing field and a training ground for an unprecedented number of extremists?

Can progress be made between Israel and the Palestinians? Even with the sniping that Kerry is receiving from top officials in the Israeli government? Even with the divisions among the Palestinians?

And what of the decay in Iraq? The possibility that the same will occur in Afghanistan when the United States leaves or that in leaving there, we will also become less capable of fighting terrorism in Pakistan? What of the shape-shifting and spread of al Qaeda and similar extremist groups? And what of the rest of the world that feels that the United States is once again focused almost exclusively on the Middle East even as large emerging markets are buffeted by crisis, Africa is rocked by wars, and our alliances are in desperate need of modernization?

No, while Kerry has had a remarkable year and has been an invaluable asset for the United States, he and his team know well that their toughest work lies ahead. His legacy and that of the President he serves will be determined less by the considerable progress of the past year and much more by whether the opportunities he has helped create can be capitalized upon in the time between now and the end of 2016.

The opinions expressed in this commentary are solely those of David Rothkopf.

@highlight

David Rothkopf: Many doubted John Kerry would succeed against tough odds

@highlight

But after a year as secretary of state, he's had surprising success, says Rothkopf

@highlight

He says Kerry made progress on restoring diplomacy as central to U.S. role overseas

@highlight

Rothkopf: Key for Kerry legacy is whether Iran, Syria, Israel-Palestinian talks bear fruit