(CNN) -- Killing people by lethal injection will soon be as distant a memory as burning heretics at the stake and stoning adulterers -- at least throughout the civilized world. No country that employs the death penalty can be admitted to the European Union, and the practice dwindles daily.

But despite the growing worldwide revulsion against this lethal form of punishment, Texas and a handful of other states continue to take their places among such paragons as North Korea, China, Yemen and Iran in the club of those who attempt to administer the death penalty as a form of "justice."

Indeed, Texas is way ahead of all other states in the administering of such justice. At the end of this month, under the leadership of Gov. Rick Perry, the state is expected -- if all appeals fail -- to celebrate its 500th judicial killing since our Supreme Court in 1976 reinstated the death penalty as a legitimate form of "justice," despite the fact that an earlier court had determined that the death penalty was "cruel and unusual punishment."

Death row diary offers a rare glimpse into a morbid world

No one doubts that the woman who is scheduled to be executed on Wednesday, Kimberly McCarthy, is guilty of the 1997 murder of her neighbor, a 71-year-old woman and a retired college professor. At the latest count, 1,369 people have been executed since 1976 and 144 people on death row have been exonerated. Kimberly McCarthy will not be exonerated; so, why shouldn't we kill her?

For the same reason Warden R.F. Coleman gave to reporters on February 8, 1924, the day the official Texas Death House was inaugurated with the electrocution of five African-American men. Said Coleman then, "It just couldn't be done, boys. A warden can't be a warden and a killer, too. The penitentiary is a place to reform a man, not to kill him."

Warden Coleman resigned rather than pull the switch. Sadly, so many others have failed in the many years since then to follow his heroic example.

And let's not equivocate: Often, and in every age, doing the right thing requires heroism.

Kimberly McCarthy is a black woman. Black people are disproportionately represented on death row, as are blacks imprisoned throughout this country. Many would say (at least in a whisper) that black people are more prone to crime and violence than are white people.

But as a historian, I know that there was a time, long ago, when my people -- Irish-Americans -- were deemed to be more prone to crime and violence than were others. This was in the years after the potato famines of the 19th century that brought so many desperately poor Irish people to these shores.

The police in New York City became so inured to arresting Irishmen that they began to call the van they threw the arrestees into "the Paddy Wagon," a name that has adhered to that vehicle ever since.

But who today would care (or dare) to make a case for exceptional Irish criminality? The immigrating Irish were more prone to criminality not because of some genetic inheritance, but because they were so very poor, so neglected, so abandoned. When I see a vagrant today, snoring on a park bench, clothed in rags and stinking, I think to myself: Whatever happened to this guy, whatever the history that dropped him on this park bench, no one loved him enough when he was a child.

His parents, if he had parents, were too taken up with the pain of living, with the struggle for survival, with their own hideous fears, to tend to him adequately, if at all. No one came to rescue this child, give him enough to eat, adequate shelter, a caring environment â€” the love that everyone needs in order to grow.

We -- the larger society -- have a profound obligation to such people, an obligation we have largely ignored. Many other societies in the Western world devote considerable resources to keeping poor children (and their parents) from despair. As an American friend of mine who lives in Denmark says: "In Denmark we tax the rich, but everyone is comfortable."

Not everyone is comfortable in the United States. Many children live below the poverty line, millions of them without enough food or adequate shelter and with almost no attention to their educational needs. As for their emotional needs, are you kidding me?

If Texas would pay attention to the needs of all its children, if we would all do the same for all our children, if we would only admit that every child needs to be loved and that we are all obliged to help ensure this outcome, our world would change overnight. We would certainly not need our electric chairs and nooses and lethal injections. We could then say what the poet-priest John Donne said as long ago as 1623, "Any man's death diminishes me because I am involved in mankind."

Any man's death. Any woman's death. Any child's despair.

Correction: A percentage referring to death row exonerations was miscalculated in an earlier version of this article.

The opinions expressed in this commentary are solely those of Thomas Cahill.

@highlight

Texas set to carry out its 500th execution. If all appeals fail, Kimberly McCarthy will die

@highlight

U.S. is the only Western nation that still has death penalty, joins North Korea, China, Iran

@highlight

Thomas Cahill: Black people much more likely to be sent to prison and to death row

@highlight

Cahill: Get rid of electric chairs, nooses, lethal injections