Editor's note: Jeffrey A. Miron is senior lecturer in economics at Harvard University.

Jeffrey Miron says the government can't assure affordable, high-quality care for all Americans.

CAMBRIDGE, Massachusetts (CNN) -- Government spending on health care is growing at an alarming rate.

If recent trends continue, the two main government programs, Medicaid and Medicare, will increase from 6 percent of the nation's Gross Domestic Product now to about 15 percent by 2040.

This means that, without policy changes, the United States faces enormous budget deficits, substantially higher taxes, or huge cuts in non-health spending.

No one wants higher deficits or taxes, and there is no consensus about cutting other spending. The only way to avoid some combination of these outcomes, however, is to reduce the growth rate of what we spend on health. The question, of course, is how?

In a report this month, the Obama administration outlines its preferred approach. In a nutshell, the administration's plan is to make health care delivery more efficient. Indeed, the report suggests that improved efficiency can not only slow the growth of health expenditure but also fund government health insurance for the 46 million uninsured Americans.

Increased efficiency in health care is indeed possible, but assuring "high quality, affordable care for every American," as the administration seeks to do, is not. Here's why.

Most health care is paid for by insurance. When people are insured they do not pay the full costs of the medical care they receive, so they demand the best and pay little attention to the expense. Patients opt for surgery rather than medication or wait-and-see, even when the medical advantages are small.

Patients choose new, expensive medications rather than existing, cheaper generics in search of minor reductions in side effects. Family members exhaust every life-saving intervention for an elderly relative, even when the prospects of significant life extension are minimal. Doctors order excessive diagnostic tests, partially to avoid malpractice liability.

If most people paid the full cost of their insurance, the incentives that insurance creates for excessive care would be modest. Insurance companies would utilize co-pays, deductibles, coverage limitations, and other contractual features that discourage inefficient levels of care, and more generous policies would be more expensive, discouraging demand for such coverage.

Most people, however, do not pay the full cost of their health insurance. The poor and the elderly receive free or highly subsidized insurance via Medicaid or Medicare. Much of the working-age population gets subsidized insurance because employer-paid health insurance premiums are not treated as taxable income.

Thus most insurance policies do not contain adequate incentives for patients and providers to balance costs and benefits in choosing the level of care.

This absence of cost incentives is especially problematic -- paradoxically -- because of the technological progress that has occurred and will occur in medicine. These advances in health care are beneficial, but the new techniques are expensive.

The implication is that patients and doctors constantly face the choice between high-cost, state-of-the-art care and moderate-cost, conventional care. If these decision makers face little financial penalty for choosing the best possible care, they will do so every time. Thus subsidized-insurance combined with medical advancement means rapidly increasing expenditure.

This suggests that to restrain government health spending, policy must reduce existing subsidies, not introduce new government insurance. Inefficiencies in health care are a problem, but they persist because existing subsidies mean health care providers face limited incentives to control costs.

A new government insurance program for the uninsured just makes things worse. In addition, this program will undoubtedly cost far more than initial estimates, as has occurred with Medicare and Medicaid.

One way to reduce health insurance subsidies is to eliminate the tax-exemption for employer-paid health insurance premiums, while simultaneously lowering other taxes to hold revenue constant. This change in the structure of taxation would cause those now covered by employer plans to choose less generous packages and therefore make more efficient choices about health care.

A second way to reduce subsidies is to gradually increase the age of eligibility for Medicare from its current level of 65, to 70 or more. This makes sense because of the improvements in life expectancy and health status of the elderly that have occurred over the past 40 years.

A higher age of eligibility would reduce expenditure directly by shrinking the Medicare beneficiary base, and indirectly by pushing more people to face the cost-control measures in private insurance plans.

Rolling back subsidies for health insurance is not pleasant medicine, but past improvements in health technology mean that even low-cost care is superior to the state-of-the-art a few decades ago.

Society must accept that we cannot give everyone the best care all the time; the attempt to do so will bankrupt the economy. As in other areas, societies must make tradeoffs about health, and that happens well only when governments subsidize less.

The opinions expressed in this commentary are solely those of Jeffrey Miron.

@highlight

Jeffrey Miron: Government spending on health care is rising fast

@highlight

He says government can't afford to provide top quality care for all

@highlight

Miron: Health system provides no incentive for patients or providers to control costs

@highlight

He says taxing health benefits and raising retirement age would help