(CNN)  -- When Hurricane Katrina walloped New Orleans in late August 2005, Kate Schneiderman was in New York, 10 states and 1,100 miles away from the storm.

Kate Schneiderman, 24, is originally from New York, and works in politics in New Orleans.

Fifteen months later, she traded New York's streets for those submerged during what the Federal Emergency Management Agency called the nation's worst natural disaster.

"I literally quit my job, bought a car, packed it up, drove down," Schneiderman, 24, told CNN. She said a college friend who was living in New Orleans persuaded her to quit her Wall Street job in financial communications -- a career that didn't make her happy and didn't fit her political science degree -- and move to New Orleans.

"It's the best decision I ever made," Schneiderman said.

Now nearly a year into her position as director of communications for New Orleans Councilman-at-Large Arnie Fielkow, the native New Yorker has become a self-described "grizzled veteran" of the Big Easy. She speaks affectionately of the city's people and of its slower pace, although she laughingly notes that she'll "never ever" get used to the city's soupy summer heat.

She says she's here for the long haul. "When I first moved down, I said, 'I'll give it two years...it'll be my little adventure.' And something sort of funny happened almost immediately," she said. "I felt immediately at home."

Schneiderman is one of many young professionals who have arrived in New Orleans since Hurricane Katrina ransacked the city, according to experts who study population trends in the area. Armed with college degrees and buoyed with seemingly boundless optimism and energy, these 20- and 30-year-olds have taken up work in various sectors of the community, ranging from business to politics, or in the several humanitarian programs helping to rebuild the city.

"From what you can tell in talking to people and looking at organizations...there does seem to be a significant influx of young, usually very well educated college graduates...who have come to New Orleans to help," said Tim Ryan, the University of New Orleans' chancellor. "Many have decided that this is an interesting place to live, and decide, at least for some short period of time, to stay here."

While there is speculation on whether the number of young professionals moving here actually constitutes a "significant influx," there is ample anecdotal evidence to show that beleaguered New Orleans is softly luring young people looking for meaningful and purposeful work.

Dubbed New Orleans' "brain gain," these newcomers all have their own stories, their own path to the city. Some were volunteers who arrived soon after the storm. Others, like Schneiderman, came well after. Some are New Orleans natives, many are not. Regardless of their hometowns, their professions, their reasons for moving, they are bound by a common thread: a pull to this city that so many left behind.

"In other cities," Mike Heid, a 26-year-old copy editor for an advertising firm, said, "I probably would have just done my job and gone home and been happy with that. Because those other cities ... I don't think would have needed my help as much as this city."

Heid worked in New York for a time before he arrived in New Orleans, he said.

"Just being down here ... even if it's just to help business down here," Heid said, "anything that's down here is helping."

After volunteering for a short time with The Idea Village, a nonprofit group that supports entrepreneurs, University of Pennsylvania graduate Miji Park said she didn't want to leave. "Being involved in that and ... getting to understand the city made me realize that the impact I could make here was so much greater than at a boring real estate economic research firm back home," the 23-year-old said. She gave up the well paid "boring" job in her hometown of Berkeley, California, for a full-time job with The Idea Village. And she hasn't regretted it at all.

"I believe in the power of place," she said. "I think history incorporates itself not only in the architecture, but also the atmosphere of different cities, and in New Orleans you definitely feel that atmosphere and you can feel the history. And I think that's what drew me closer to New Orleans."

Richard Campanella, a geographer and associate director of the Center for Bioenvironmental Research at Tulane University, says there are probably 2,000 to 3,000 of these newly arrived young professionals in New Orleans. In an e-mail, Campanella said he bases this rough estimate on the 2006 Louisiana Health and Population Survey.

However, amid the city's current population of 273,000, this group of newcomers is a "small segment of the population," according to Greg Rigamer, the chief executive officer for GCR & Associates Inc., a New Orleans research firm. They are by no means replenishing the approximately 40 percent of the city's pre-Katrina population who have not returned.

"We are not the 'Mecca' in the country for these young people," Rigamer said.

William Frey, a researcher with the Brookings Institution, which has kept detailed records and analysis of the city's population since the storm, said his analysis of 2006 census data released this month shows that those in the 25- to 35-year-old age range were least likely to be present in the city by July of last year.

Still, Rigamer said, "There are a number of young people coming to help out." What makes this group's arrival notable, he said, is that before the storm, the city had difficulty drawing or keeping the young and educated. "We are attracting...young people that we weren't before," Rigamer said.

Asked whether Campanella's estimate of 2,000 to 3,000 is accurate, Rigamer said it likely was. "It's really probably in that range," he said.

Hanging over these young people, however, is a persistent question. Will they stay?

"I don't think that many of those people have made permanent decisions," Ryan said, adding that the answer to that question depends on whether the city is able to fix many of its problems -- among them a weakened infrastructure, a high murder rate and limited career growth opportunities.

"I think they're willing to certainly keep an open mind about the future and see how things go over the next couple of years," Ryan said.

Rigamer concurred. "This is the most mobile segment of our community," he said. "So guess what? They're going to be mobile."

For Harvard Business School graduate John Alford, 32, who arrived in June 2006, the rate of progress can be frustrating. Alford is the school leader of the Langston Hughes Academy Charter School. "[I'm] driving past the same potholes...since last year," he said. "They're not being fixed. I know that's just a pothole, but it's also a sign of where the city's at."

For Heid and Schneiderman, crime is a concern. "Crime kind of freaks me out," Heid said, adding that he also grows anxious when storms draw near. But both say it isn't enough to push them out of the city.

Likewise, Alford, a Brooklyn, New York, native, says he's here to stay. "This is my new home," he said. What about the question of whether to rebuild the city? Irrelevant, he says. "The question's already been answered. We are rebuilding it now." E-mail to a friend

Jackie Adams contributed to this report.

@highlight

Experts say many young professionals have arrived in New Orleans

@highlight

Group probably comprises a small segment of the city's population

@highlight

Despite their love for the city, it is not certain if they will stay permanently