In our Behind the Scenes series, CNN correspondents share their experiences in covering news and analyze the stories behind the events. CNN's Christiane Amanpour gives a rare glimpse of the secret society in the "Notes from Korea" airing Saturday and Sunday, 8 and 11 p.m. ET.

Pyongyang subway stations feature giant murals, intricate chandeliers and can also serve as bomb shelters.

PYONGYANG, North Korea (CNN) -- For most journalists, traveling into North Korea is like the holy grail of assignments.

Not because it's a particularly glamorous destination with beautiful beaches, delicious food or artistic masterpieces, but because it is so mysterious -- literally and figuratively closed off to the real world. It is so isolated, it's called the "hermit kingdom."

As with many countries, you have to get a visa to enter as a journalist, but North Korea seldom grants them. I had one nine years ago, but at the last minute, I was redirected by breaking news and couldn't use it. I was really torn, because on the one hand I had to cover the Rambouillet talks that preceded the 1999 Kosovo War, but on the other hand I so wanted that rare glimpse of the Secret State.

So when CNN asked me to cover the historic trip of the New York Philharmonic to Pyongyang at the end of February, I jumped at the chance. After months of negotiations, the North Korean government agreed to the orchestra's demands for playing Pyongyang, which happily for us included bringing in a large contingent of journalists.

I was under no illusion that we journalists would have free run of the place -- far from it. However, any access is better than none, and any time is better than never, even in the dead of freezing North Korean winter.  Behind-the-Scenes photos from inside North Korea »

As it turned out, the concert would be happening precisely at the time the U.S. administration was trying to finally denuclearize North Korea. The two countries are still technically in a state of war, because the end of the Korean War came with an armistice, not a full peace treaty.

I wanted to meet the people, see the city and learn what it's like to live in a country where you have no Internet, no freedom of travel and no freedom of expression. North Koreans are essentially cut off from the rest of the world. The country is a police state, requiring fierce patriotism and loyalty to the leader, the notoriously reclusive leader Kim Jong Il. He took over for his father, Kim Il Sung, when he died in 1994.

You start getting a flavor of the cult of personality even as you fly into Pyongyang from Beijing, China, aboard Air Koryo. The plane is a relic built by the Soviet Union in the 1970s and the music onboard is patriotic. We are informed over the speaker about our glass of water, "This drink is associated with the kind heart of the Great Leader Kim Jong Il."

There's an English-language version of the Pyongyang Times, headlined "DPRK [Democratic People's Republic of Korea] shines under the leadership of brilliant commander." As we fly over various landmarks, we get a history lesson, as in, "Now our plane is crossing the Anok River, the border between China and the DPRK where our Great Leader crossed 80 years ago."

Upon touchdown, I am greeted by my minders. Minders are English-speaking North Korean Foreign Ministry officials tasked with making sure we film what is sanctioned. They greeted me warmly and said nice things about knowing my reports from CNN (which government officials do have access to).

"Oh, I guess there's no sneaking around for me," I laughed. They didn't.

The government decides where even their own citizens can travel; papers are required and strict guidelines must be followed.  Most music forbidden in North Korea »

Our minders fit us with an armband: "Reporter" it says, implying "beware."

But we do get to wander around a bit. Into the show-stopping Pyongyang underground Metro, fitted with chandeliers and covered with pastel murals. Two girls waiting for their subway train were reading the American classic "Gone with the Wind."

I was thrilled by this little bit of cultural appreciation, until I remembered the story is actually about that shameful period of slavery. And sure enough, the girls, meeting Americans for the first time, quickly stop smiling when I ask if they're enjoying the encounter.

"Americans are our enemy," they said. "If they were to abandon their hostile positions on our country I'd be more welcoming."

It's in fact an eerily similar theme we hear from everyone we stop and talk to. The people want to be friendly and hospitable but they have been taught that their misery, the Korean War, the division of the Korean Peninsula and their families, is all the fault of the United States of America. And today, U.S.-imposed sanctions and being placed on America's list of states that sponsor terrorism are considered hostile acts by North Koreans. They do not seem to understand that the United States and nations in their own region feel threatened by North Korea's nuclear program, which has in the past produced enough plutonium to build several nuclear weapons.

So, into this Cold War era standoff steps for the very first time a distinguished group of American musicians, bringing the people of North Korea the most beautiful message of friendship. Their government has decided it wants this particular American message now and so it has pulled out all the stops.

The orchestra asked for people around the country, not just the invited guests, to be able to listen, too. So, the government agreed to unprecedented live TV and radio broadcasts of the concert. They built the sound stage to the philharmonic's specifications and agreed to its playlist.

This energy-starved nation rolled out the red carpet for their American guests by switching on the streetlights and lighting monuments along the route from the concert hall to the hotel where the orchestra was staying. At the hotel, they blasted the heat to stave off the frigid Pyongyang winter and put on banquets fit for several kings, despite the country's acute food shortage.

This is the story of human warmth across a political divide, frozen in time and made bitter by history. As current U.S. nuclear negotiator Ambassador Christopher Hill told me, "The North Koreans don't like our words, let's see if they like our music."

Former U.S. Secretary of Defense William Perry, also a former negotiator with North Korea, told me this was a magic moment, with different peoples speaking the same language of music. He said it could push the negotiations over the top. He meant that the framework of an eventual nuclear agreement between the United States and North Korea is established, but that mutual distrust and fear can only be overcome by people-to-people diplomacy.

After the concert, I was called to the foreign ministry in Pyongyang for an exclusive meeting with North Korea's nuclear negotiator, Ambassador Kim Kye Gwan. He was as effusive as Perry had been. As for the Philharmonic playing the U.S. and North Korean national anthems at the outset, he said allowing that was an act of "political courage" by both countries.

As I left Pyongyang, I thought hard about the phenomenon known as "ping-pong diplomacy." This was when a sports match ushered in full diplomatic ties between the United States and Communist China in 1972.

Today "Nixon goes to China" is a political truism that basically means "anything is possible" between nations. The New York Philharmonic treated its North Korean audience to a George Gershwin Classic, "An American in Paris."

Would there one day be "Americans in Pyongyang," as conductor Lorin Mazel suggested from the stage?

@highlight

North Korea assignment is "holy grail" because country is closed off to real world

@highlight

Amanpour covered the New York Philharmonic's historic concert in Pyongyang

@highlight

North Koreans have no Internet, no freedom of travel or freedom of expression

@highlight

Official: Philharmonic playing both national anthems was act of "political courage"