London (CNN) -- In 1948, a hospital outside London witnessed the birth of the Paralympic movement, as a Jewish doctor who had fled Nazi Germany sought to change the lives of patients with spinal injuries -- and inspire new hope in them through sport.

The first "Stoke Mandeville Games" were organized in 1948 to coincide with the London Olympics, the second to be held in Britain.

Named for the hospital in Buckinghamshire where Prof. Ludwig Guttmann's pioneering spinal injuries unit was based, the competitors in those initial Games -- 14 men and two women -- took part in a wheelchair archery contest.

Many were military veterans injured on the battlefields of World War II.

Just a year later, six teams competed at Stoke Mandeville -- with wheelchair netball, a forerunner of wheelchair basketball, being introduced -- as sport became a central part of a rehabilitation process that had been revolutionized by Guttmann.

In 1956, a "statement of intent" was unveiled for the Games, which were by this time international, according to to the Mandeville Legacy website run by the local authority.

It read: "The aim of the Stoke Mandeville Games is to unite paralyzed men and women from all parts of the world in an international sports movement, and your spirit of true sportsmanship today will give hope and inspiration to thousands of paralyzed people."

Four years later, inspired by Guttmann's vision, the first official Paralympic Games were held in Rome in tandem with the Olympics.

And five decades on, some 4,280 Paralympians from 165 countries -- the largest number ever -- have returned to Britain to compete in what is now the premier international sporting event for those born with disabilities, or disabled by injury or illness.

In an echo of those first Stoke Mandeville Games, a number of those competing are military veterans, this time wounded in action in Iraq and Afghanistan.

Blinded in Afghanistan

The United States' 227-member 2012 Paralympic team includes 20 military veterans and active-duty service members, almost 10% of the total.

Among them is Navy Lt. Bradley Snyder, blinded last September in Afghanistan when a homemade bomb exploded in his face.

He will compete in a swimming event on the anniversary of his injury, the Team USA website says.

Described by the United States Association of Blind Athletes as "an inspiration to others and a true American hero," Snyder -- who made the swim team while at the U.S. Naval Academy -- returned to the sport within weeks of losing his sight.

In order to make the London 2012 team, he's had to train hard and also learn how to steer a straight course in the lanes of a 50-meter pool without the aid of vision.

There's no doubting his determination.

"I am not going to let blindness build a brick wall around me," USABA quotes Snyder as saying. "I'd give my eyes 100 times again to have the chance to do what I have done and what I can still do."

Veterans of the conflicts in Iraq and Afghanistan also figure in the 300-strong British squad, ParalympicsGB.

Cyclist Jon-Allan Butterworth, who lost an arm to shrapnel from a rocket in Basra, southern Iraq, five years ago is one of them.

He found his way into elite sport thanks in part to Battle Back, an initiative to boost the recovery of injured military personnel run by the UK Ministry of Defence, with help from UK charities, including Help for Heroes.

Butterworth, one of eight former or current British military service personnel selected for the Games, was not an athlete before his injury -- but all that changed when he got on a bike at a talent-spotting day for injured veterans.

'Best thing that's ever happened'

Within months, Butterworth shed excess pounds, embraced the technical aspects of track racing and started to break national and world records.

Three years and two world championship titles later, he is keen to add a Paralympic gold medal to his haul, he told CNN.

"The way I think of it now is, it's probably the best thing that's ever happened to me," he said of his injury. "I've met new people. I've tried a few things out, different sports; done loads of things that I never did before. It's kind of made me the person I am today. And I have changed since losing my arm, but I think only for the better."

Martin Colclough, who runs the Battle Back "Phoenix" program for Help for Heroes and was previously a major in the Royal Army Physical Training Corps, told CNN that Butterworth's remarkable achievements had been helped by close cooperation between Britain and the United States.

Shortly after the Battle Back program was set up in 2008, a handful of British veterans traveled to San Diego to join dozens of American Paralympians at a sports training camp.

There, Butterworth -- who was going through a tricky period in his transition to cycling -- was inspired by U.S. track cyclist Greta Neimanas. Quite literally, she "lent a hand" by letting Butterworth try out her prosthetic arm, specially engineered for cycling, in place of his all-purpose limb, Colclough said. The gesture gave Butterworth a vital confidence boost.

This year, 17 British veterans were the first overseas athletes invited to compete in the "Warrior Games," an event for disabled former and current service members staged by the U.S. Olympic Committee (USOC) in Colorado, Colclough said.

It's not necessarily easy for injured veterans to break into elite sport, especially competing against people who may have had decades to adapt to their impairments, rather than perhaps four or five years, Colclough said.

But Colclough has high hopes both now and for the 2016 Games in Rio de Janeiro, by which time the Battle Back program will have been running for twice as long.

The self-discipline and mental strength of those from a military background, coupled with the access they have to military training resources, helps them make the most of natural talent and fight to the top, he said.

In addition, some UK Paralympic training programs are run alongside the equivalent Olympic programs, so all those involved can access the same sports science experts and groundbreaking technological advances.

"This is not a part-time endeavor," Colclough said. "If you want to be world class as a Paralympian, it's a full-time occupation."

Watching around the world

As the competitors from all backgrounds make their final preparations ahead of their big day on the world stage, excitement is building among those set to witness their endeavors.

The London organizing committee says more people than ever before are due to attend these Paralympic Games, with a record 2.3 million tickets already sold and more set to be released.

In addition, some 4 billion TV viewers around the world are expected to tune in live to the 11-day event, which opens Wednesday, the USOC said. The International Paralympic Committee has said it will also stream more than 780 hours of sport live on its website, www.paralympic.org.

In the United States, NBC plans to screen five-and-a-half hours of the Games, in four one-hour shows and a 90-minute special. The USOC says this is more than was broadcast for previous Paralympics, but some disappointed would-be viewers have set up online petitions calling for greater coverage.

Over the course of the Games, American athletes will take part in 19 of the 21 sports contested and attempt to improve on their third place in the medal tables in Beijing.

Some of the events will be well-known to those who were glued to the Olympics -- athletics, archery, table tennis and cycling among them -- while others, such as goalball, played by the visually impaired, wheelchair rugby and boccia, a game similar to petanque, will be less familiar to many sports fans.

Viewers will have to familiarize themselves with a key element in how the Paralympics work -- the system of classification of impairments, designed to ensure that athletes in each sport compete against similarly-abled rivals.

The UK government says it hopes the Games will not only inspire more disabled people to embrace sport at all levels, but also help change public perceptions about disability.

'Pride and honor'

One of those at the forefront of breaking down barriers is South African runner Oscar Pistorius, the first double-amputee to compete in both the Olympic and Paralympic Games.

Born with missing fibulas -- his legs were amputated below the knees as an infant -- Pistorius uses special carbon fiber prosthetic limbs.

Nicknamed "The Blade Runner," Pistorius made it to the semifinals of the individual 400-meter and the 400-meter relay final at London 2012, competing against able-bodied athletes. He will be back in front of the roaring crowds at the Olympic Stadium to defend his Paralympic 100-meter, 200-meter and 400-meter titles.

His status as a world-class athlete, as well as a disability pioneer, has seen Pistorius grace the cover of publications from the New York Times Magazine to GQ and Men's Health in South Africa. He also made it into Time magazine's list of the 100 most influential people in 2012.

The United States has its own "Blade Runners" in sprinter Blake Leeper, a double amputee who could challenge Pistorius over 100 meters, and 22-year-old Jarryd Wallace, from Georgia. The latter had his right leg amputated two years ago because of a medical condition but has swiftly transitioned from a talented able-bodied runner to a Paralympic contender.

Other U.S. Paralympians to watch in 2012 include swimmer Jessica Long, who took six medals at the Beijing Paralympics, four of them gold, and wheelchair racer Jessica Galli, who won five medals in 2008 and set a world record over 200 meters.

"Our Paralympians embody what it means to be an American," USOC chief executive Scott Blackmun says on the body's website. "They will compete with the pride and honor that is inherent in representing the United States of America, inspiring Americans young and old with their stories of triumph."

Athletes from other nations will similarly dazzle and inspire those around them, as they overcome all odds to take home medals.

From its humble beginnings in Stoke Mandeville, the place which also lends its name to one of the one-eyed London 2012 mascots, the Paralympic movement has come a long way.

But in its commitment to bringing people together to test and celebrate what they can do, rather than what they cannot, its core spirit has remained unchanged.

CNN's Matthew Chance and Jo Shelley contributed to this report.

@highlight

Paralympic movement was born in Stoke Mandeville, outside London, in 1948

@highlight

2012 Games will be the biggest yet, with 4,200 competitors from 165 countries

@highlight

In an echo of the first, post-World War II Games, injured veterans are among the athletes

@highlight

They include a U.S. naval officer blinded in Afghanistan and a Briton who lost an arm in Iraq