(CNN) -- Concerns about alcohol abuse have been making headlines this week.

A woman who drinks two glasses of wine every day  is at risk for developing liver trouble, a doctor says.

First, the Indian state of Rajasthan reportedly announced it would shut down 800 alcohol shops. Then, in Britain, chief medical officer Liam Donaldson recommended Thursday that anyone 15 years old and younger avoid alcohol completely.

It's no wonder people are worried.

A recent survey of alcoholism studies in the Lancet suggests that men have more than a 20 percent lifetime risk of developing alcohol-use disorders, while women's risk is 8 to 10 percent.

Much of that risk is inherited. Studies show that as much as 60 percent of the risk of alcohol-use disorders is genetic, said Dr. Marc Schuckit, professor of psychiatry at the University of California, San Diego, and director of the alcohol and drug treatment program at the Veterans Affairs-San Diego Healthcare System, who wrote the Lancet article.

The risk for alcoholism is four times greater for children of alcoholics, even those who are adopted by non-alcoholic families, Schuckit said.

But people who have a genetically influenced disorder can control it by behaving responsibly. Just as someone at risk for diabetes shouldn't exacerbate the problem by becoming overweight, someone with a family history of alcoholism must avoid drinking too much.

"If you know you're at risk, it's your responsibility to avoid the problems," Schuckit said.

Why is the risk so much greater in men than women? Psychiatrists point out that young women also have twice the rate of depression and anxiety that men do, and daughters of alcoholic fathers tend more toward depression than alcoholism, said Dr. Charles Raison, psychiatrist and director of the Mind/Body Institute at Emory University in Atlanta, Georgia.

"There may be a similar underlying neurobiology to a lot of psychiatric conditions, and how they manifest in particular has something to do with circumstances, has something to do with gender, and has something to do with age," Raison said.

There are also cultural factors in this gender pattern, but less is known about them, he said. He said women tend toward alcoholism in their 40s and 50s -- which may be their way of counteracting anxiety -- around the time that men tend to develop depression.

Another genetic trait is involved in sensitivity to alcohol. Japanese, Chinese, and Korean people tend to have a mutation in their alcohol-metabolizing genes that makes them more sensitive -- meaning they tend to drink less than people from other backgrounds, he said.

Data show that the earlier you start drinking away from your family, the greater the risk of alcohol problems later in life, he said.  On average, people begin drinking apart from the family at 15, a number that hasn't changed much in decades, Schuckit said.

How much is too much?

Male livers can metabolize about twice as much alcohol as females', meaning men can drink about twice as much as women before it becomes dangerous, Raison said.

"A woman who drinks two glasses of wine every day of her life is actually at risk for developing liver trouble," Raison said.

Recommended drinking habits vary from person to person. To reap the health benefits from wine, a glass to a glass-and-a-half a day is recommended for women, and twice that amount for men, he said.

Getting help

Treating alcoholism is similar to helping people with other chronic conditions -- for example, getting a diabetic person to be compliant with medications, Schuckit said. With both alcoholism and diabetes, therapy involves working with a person to alter behavior and help watch for signs of relapse.

"The core of treatment for any long term chronic disorder that requires changes in how you do things in life is to help people to recognize that they have a problem, and they can do something about it," Schuckit said.

A combination of medication and cognitive-behavioral therapy is usually the best treatment option for alcoholism, Schuckit said. Cognitive-behavioral therapy involves changing a person's mindset -- recognizing the problem -- and improving behavior.

Three medications are available in the U.S. to treat alcoholism, Schuckit said. A drug called acamprosate targets the nervous system and helps people decrease their craving by allowing them to sleep better and feel less anxious.

Naltrexone, on the other hand, blocks opioid receptors and dampens the good feelings that would normally come along with drinking. These two in combination work slightly better than either alone, he said.

A third option is disulfiram, which actually paralyzes the ability of one of the alcohol metabolizing enzymes to work, he said. That makes it especially nauseating and, in rare cases, deadly, for a person taking the drug to drink alcohol.

Support groups such as Alcoholics Anonymous that offer 12-step programs are great resources, and they're free, Schuckit said.

While imperfect, 12-step programs are often the best option, Raison said.

@highlight

Study: Men have more than a 20 percent lifetime risk of alcohol-use disorders

@highlight

Three medications are available in the U.S. to treat alcoholism

@highlight

As much as 60 percent of the risk of alcohol-use disorders comes from genes