(CNN) -- North Korea stirred up fresh unease in Northeast Asia early Thursday, threatening attacks by a "smaller, lighter and diversified" nuclear force and warning, "The moment of explosion is approaching fast."

The new threat came after the North Koreans locked South Korean workers out of a joint factory complex and announced plans to restart a nuclear reactor it shut down five years ago. Meanwhile, the United States announced it was sending ballistic missile defenses to Guam, a Pacific territory that's home to U.S. naval and air bases.

"The moment of explosion is approaching fast. No one can say a war will break out in Korea or not and whether it will break out today or tomorrow," North Korea's state news agency KCNA declared in its latest broadside. "The responsibility for this grave situation entirely rests with the U.S. administration and military warmongers keen to encroach upon the DPRK's sovereignty and bring down its dignified social system with brigandish logic."

DPRK is short for Democratic People's Republic of Korea, the official name for North Korea.

Most observers say the North is still years away from having the technology to deliver a nuclear warhead on a missile. U.S. officials have said they see no unusual military movements across the Demilitarized Zone that splits the Korean Peninsula, despite weeks of bombastic rhetoric from Pyongyang, and many analysts say the increasingly belligerent talk is aimed at cementing the authority of the country's young leader, Kim Jong Un.

But the North does have plenty of conventional military firepower, including medium-range ballistic missiles that can carry high explosives for hundreds of miles. And U.S. Defense Secretary Chuck Hagel said Wednesday that the North Korean threats to Guam, Hawaii and the U.S. mainland have to be taken seriously.

"It only takes being wrong once, and I don't want to be the secretary of defense who was wrong once," Hagel told an audience at Washington's National Defense University.

But Hagel also said there was still a "responsible" path for the North to take.

"I hope the North will ratchet this very dangerous rhetoric down," Hagel said. "There is a pathway that is responsible for the North to get on a path to peace working with their neighbors. There are many, many benefits to their people that could come. But they have got to be a responsible member of the world community, and you don't achieve that responsibility and peace and prosperity by making nuclear threats and taking very provocative actions."

Shows of force and flights of bombast

The United States has in turn made a show of its military strength in the annual drills, flying B-2 stealth bombers capable of carrying conventional or nuclear weapons, Cold War-era B-52s and F-22 Raptor stealth fighters over South Korea.

KCNA blamed the U.S. and its South Korean allies for the situation, however.

"We formally inform the White House and Pentagon that the ever-escalating U.S. hostile policy toward the DPRK and its reckless nuclear threat will be smashed by the strong will of all the united service personnel and people and cutting-edge smaller, lighter and diversified nuclear strike means of the DPRK and that the merciless operation of its revolutionary armed forces in this regard has been finally examined and ratified," it said. "The U.S. had better ponder over the prevailing grave situation."

Caitlin Hayden, National Security Council spokeswoman, slammed North Korea's statement as "unhelpful and unconstructive."

"It is yet another offering in a long line of provocative statements that only serve to further isolate North Korea from the rest of the international community and undermine its goal of economic development. North Korea should stop its provocative threats and instead concentrate on abiding by its international obligations," she said.

Robert Carlin, a North Korea expert at the Center for International Security and Cooperation at Stanford University in California, told CNN that the rhetoric is still "too hot. It needs to be cooled down." But he added, "If we say that we don't see any actions yet from them, I have to assume that the U.S. military still thinks the situation is under control."

OPINION: Why Kim Jong Un is not crazy

North Korea's Wednesday decision to prevent South Korean workers and managers from entering the Kaesong Industrial Complex, which sits on the North's side of the border but houses operations of scores of South Korean companies, is a tangible sign of the tensions between the two sides.

North Korea has demanded the withdrawal of South Korean workers by April 10 from the complex, South Korean semi-official news agency Yonhap said Thursday. But South Korea's ministry of unification denied the report.

It's a move that could end up hurting Pyongyang financially, since Kaesong is considered to be an important source of hard currency for Kim's government. More than 50,000 North Koreans work in the zone, producing hundreds of millions of dollars worth of goods each year.

Those workers earn on average $134 a month, of which North Korean authorities take about 45% in various taxes.

The North had threatened over the weekend to shut down the industrial complex. North Korea has yet to grant permission for South Koreans to enter the complex, South Korea's ministry of unification said Thursday. The nearly 800 South Koreans remaining inside the complex are still able to leave, the ministry said.

North Korea's elaborate game of chicken with U.S.

A 'cash cow'

"We are highly skeptical that they will close this cash cow, as some recent reports have suggested," Stephan Haggard, professor at the School of International Relations and Pacific Studies at the University of California, San Diego, wrote in an article published Monday.

"But if they did, the costs would be higher for the North than for the South," Haggard wrote in the article for the Peterson Institute for International Economics, a Washington-based research organization.

Seoul said it "deeply regrets" the North's decision to stop South Koreans from entering Kaesong.

"North Korea's action creates a barrier to the stable operation" of the complex, the South Korean Unification Ministry said in a statement, urging its neighbor to "immediately normalize" the entry and exit process.

And South Korean Defense Minister Kim Kwan-jin said military action could be taken if the safety of the South Koreans in the zone were to come under threat.

"If there is a serious situation, we are fully ready, including military measures," he said at a meeting of lawmakers, the semiofficial South Korean news agency Yonhap reported.

U.S. moves warship, sea-based radar to watch North Korea

The North has blocked the crossing into Kaesong before. In March 2009, also during joint U.S.-South Korean military drills that it said were a threat, Pyongyang shut the border, temporarily trapping hundreds of South Korean workers in the industrial complex.

It allowed many of the stranded workers to return to South Korea the next day, and fully reopened the border about a week later without explaining its reversal. It was unclear whether the latest drama over Kaesong would play out in similar fashion.

At the start of the day, when the North informed the South that it would prevent new entries to the complex, there were 861 South Korean workers in there, according to the Unification Ministry. The North said it would continue to let people leave the zone.

Hundreds of workers rotate in and out of Kaesong each day in a series of scheduled entries and exits. Many of them stay there for several nights.

During the late morning and early afternoon exit windows, only a trickle of workers was seen returning to South Korea from Kaesong, far fewer than the scores who were registered to leave at those times. South Korean authorities didn't immediately provide an explanation for the discrepancy, saying the individual companies decide when to send workers back.

Kim Kyong-sin, the manager of a textile manufacturing company in Kaesong who came back into South Korea on Wednesday, said some people were staying in the complex because "they are worried they might not be able to come back in."

During the March 2009 crisis, many South Korean companies with operations in the zone chose to keep more workers there to compensate for those not being allowed in. Kim said he was scheduled to go back into Kaesong on Thursday, but wasn't optimistic.

"I think if this continues there, business will be affected," Kim said. "I think the damage will be serious."

Kerry calls North 'reckless'

U.S. and South Korean officials have kept up their criticism of the North's actions in recent days.

John Kerry, the U.S. secretary of state, warned Tuesday that the United States will not accept North Korea as a "nuclear state."

"The bottom line is simply that what Kim Jong Un is choosing to do is provocative. It is dangerous, reckless," Kerry said during a joint briefing in Washington with South Korean Foreign Minister Yun Byung-se.

"And I reiterate again the United States will do what is necessary to defend ourselves and defend our allies, Korea and Japan," Kerry added. "We are fully prepared and capable of doing so, and I think the DPRK understands that."

The North has conducted three nuclear bomb tests, the most recent in February. It has said that its nuclear weapons are a deterrent that are no longer up for negotiation.

Carlin said North Korea's longer-range missiles may not be ready to be used for three to four years, and its nuclear program is a "low-level threat" at this point. He said Washington's most recent moves could be caused by it seeing some sort of movement around North Korean missile facilities, or it could be "misreading and over-reading North Korean propaganda but fulfilling their obligation to be on guard and prepared."

"We're going to get out of this particular crisis, it seems to me, without anything really blowing up," Carlin said. "But down the road, things are going to get more serious."

"What we should be looking at, really, is the decisions and the policies and the approach that we're going to have to take over the next four or five years to deal with these things," he added. "Because for the last five years, we really didn't do a very good job of doing that."

CNN's Kyung Lah and Judy Kwon in Paju, South Korea; K.J. Kwon in Seoul; Jethro Mullen and Tim Schwarz in Hong Kong; Barbara Starr and Elise Labott in Washington; and Chelsea J. Carter in Atlanta contributed to this report.

@highlight

NEW: North Korea reportedly demands the withdrawal of South Korean workers from jointly run complex

@highlight

Analyst says both sides need to cool the rhetoric

@highlight

"The moment of explosion is approaching fast," North Korea says

@highlight

U.S. moves missile defense system to Guam