A black man is returning to the White House.

Four years ago, it was a first, the breaking of a racial barrier. Tuesday night, it was history redux.

And more.

In the midst of national splintering and a time of deep ideological animosity, Americans elected President Barack Obama to a second term. And thousands rejoiced in his victory, one that seemed sweeter and, perhaps, more significant.

"This is affirmation that his color doesn't matter and that his message resonated with people," said Yale University sociologist Jeffrey Alexander, author of "Obama's Victory and the Democratic Struggle for Power."

"It is very important in that it will indicate that an African-American can be viewed for what he says and not what he is."

Victorious Obama faces familiar challenges

Had Obama lost the election, he would likely have been remembered in history as the first black president, and maybe little else, Alexander said.

Now, he has a chance to create a legacy rooted not in his identity, but in his ideas.

University of Houston sociologist Shayne Lee agreed.

"If this country wants President Obama to have another term, I'm ready to say that it's a significant moment," he said.

As an African-American, Lee understood the power of 2008. But his excitement was measured.

He knew the nation was tired then of two costly wars in Afghanistan and Iraq, a sinking economy and an administration that he felt excluded ordinary people. He thought Arizona Sen. John McCain was a weak candidate and that the cards were stacked in Obama's favor. Four years later, Obama traversed a much tougher road, Lee said.

Americans had a strong alternative in the Republican challenger, former Massachusetts Gov. Mitt Romney. The nation, he felt, was no longer in a desperate state and voters had more of a choice. Despite that, they elected a black man. Again.

"They sent a message to the world that whatever racist proclivities might exist are not enough to preclude Obama from winning," Lee said.

"We cannot deny that this is new social space we occupy in this country."

A changing America, Lee believes, will be very much a part of Obama's national conversation in a second term. That includes a stronger stance on race relations, an issue some believe Obama had to distance himself from in his first term for political expediency. For that, he drew criticism from African-Americans with high expectations of a black president.

"Can you imagine knowing you're the first black president and you have to win the Midwest to win a second term?" he said. "It's such a thin thread that holds together his ability to win as a black candidate.

"The constraints are not going to be there in his second term. He's going to have much more swagger."

In playwright and New York radio show host Esther Armah's estimation, Obama's re-election feels more historic than his first because of what she views as a tide of callousness toward people of color.

She criticized measures like the new voter ID laws in several states, which she said obstruct participation and "desecrated" American democracy. She said re-electing Obama represented a denunciation of those measures and the Republican presidential candidate who supported them.

"It's really important to recognize that this was not just a choice to put someone back into the White House," Armah said, "but a choice to reject a man who demonstrated callousness."

"I have exhaled. I am breathing," she said.

Americans demand more from Obama's second term

Obama's victory, said CNN contributor Van Jones, was possible because of the support of a coalition of people who reflect America's demographics.

"Nobody believed four years ago that you could have black folks and lesbians and gays and Latinos and young folk standing together to move the country forward," said Jones, a former special adviser to Obama.

But Obama was demonized, he said, and turned into a cartoon character. African-Americans asked if someone like Obama is not acceptable, then who is?

"There is vindication here," Jones said. "This is a backlash against the backlash. You saw African-Americans stepping up, Latinos stepping up, young people stepping up ... saying we're better than we've been seeing on the attacks on this president."

Opinion: Five things Obama must do

The challenge for Obama in the next four years, however, will no longer be racial in nature, Alexander said. It is certain to be ideological.

Obama won't ever have to run for office again, but he will have to make his case for policies, Alexander said.

"His goal has been to be a post-polarization candidate, and he naively believed he could do that as a president," he said. "He didn't want to be a highly partisan figure. As a result, he couldn't control the political debate. He's going to have to keep campaigning and not become a policy wonk."

Obama seemed to recognize that in his victory speech early Wednesday in Chicago, the city where he first fostered hopes and launched dreams.

He told the roaring crowd, made up of that previously improbable coalition, that he planned to sit down with Mitt Romney in the weeks ahead to chart a new course for the country.

Opinion: Obama will get little time to celebrate

"We believe in a tolerant America, open to the dreams of an immigrant's daughter who pledges to our flag, to the young boy on the south side of Chicago who sees a life beyond the street corner, to the furniture worker's child in North Carolina who wants to become a doctor or a diplomat or even a president," Obama said.

"We will rise and fall as one nation, and as one people. It doesn't matter if you are black or white, young or old, rich or poor. You can make it in America, if you're willing to try."

It was a reflection of his own journey, of a man who'd made it as a two-term black president.

@highlight

In the midst of national splintering, voters returned a black man to the White House

@highlight

Sociologists say this is affirmation that Obama's ideas mattered more than his identity

@highlight

He will have a chance now to leave a legacy beyond being the first black president

@highlight

He will take a stronger stance on race issues in his second term, some say