San Francisco (Financial Times) -- Twitter has unveiled a new automated advertising technology that promises to unlock the moneymaking potential of the microblogging site.

The development of a Twitter ads API, or "application-programming interface", satisfies a long-awaited desire of advertisers to increase and improve the reach of their marketing messages to Twitter's 200m active users.

A similar technology launched by Facebook in 2010 helped that social network reach more than $3bn in revenues the following year, with analysts estimating the system currently generates roughly 60 per cent of the company's revenues.

Twitter currently sprinkles paid tweets in a user's timeline, amid posts from people and companies they have chosen to "follow". Twitter said users would not see more ads as a result of the new system, at least in the short term, but that pricing might increase for advertisers as its auctions to buy ads become more competitive.

"As interest in Twitter has grown, our focus has been on delivering better ads for users, not more ads," said April Underwood, Twitter's product manager for revenue, in a blog post. "Our system rewards marketers for being good, not for being loud."

Ms Underwood told the FT that there was "no direct impact on the user experience in the short term", although Twitter users should see "more relevant and better ads" as a result of the new system, because it would be simpler for advertisers to use the targeting capabilities which it introduced last year.

Although she did not rule out a future increase in the inventory given over to ads, Ms Underwood said the company took users' experience "really seriously".

"We take a slow and thoughtful approach," she said. "Our motto is to get it right rather than right now."

The new system will certainly increase ad revenue for the social media company, which is believed to be planning an initial public offering for early next year.

Research firm eMarketer estimates Twitter revenues will grow nearly 90 per cent this year to $545.2m, and reach more than $800m in ad revenues worldwide by 2014.

Before the new platform, advertisers had to manage their Twitter campaigns manually. The new system automates the process, streamlining the management process for advertisers and giving them more tools to "deliver the right message, to the right audience," on both desktop computers and on mobile devices. It also allows ad buyers to integrate Twitter campaigns with those on Facebook and LinkedIn, as well as search and display.

Twitter said it began testing the new API last month. It launched it on Wednesday with five partners that oversee social media advertising purchases for large multinational companies, including Adobe, Hootsuite, Salesforce, SHIFT and TBG Digital.

Twitter noted earlier this month that it took four minutes after the Super Bowl's unexpected power outage for the first "Promoted Tweet" to appear referencing the blackout. Using the API, Simon Mansell, chief executive of TBG Digital, said that could be reduced to as little as four seconds, through greater automation.

"This is an obvious and necessary piece of infrastructure that all companies with proprietary ads systems need," said Josh McFarland, chief executive of TellApart, an ad-targeting company that uses Google and Facebook's APIs.

But Mr McFarland, who as a product manager at Google led the development of its AdWords API in 2003-05, said that such platforms can be "tricky" because they "cede some control to third parties", in return for helping Twitter "significantly scale its active advertisers and campaigns".

"Twitter's willingness to build an ads API signals that they've reached a size where they feel that the accretive value of third parties -- to monetisation at least -- outweighs the risks," he said.

Adobe did an early test of the platform with a few of its customers, including Levi Strauss, the clothing company, and its own Adobe account, in an effort to increase the number of people who "follow" the brands on Twitter.

By using granular targeting, segmenting the campaign by regions and testing different bid levels on pricing, the company increased its number of Twitter followers by 63 per cent.

"Our customers have been asking us to include Twitter" in Adobe's media products, said David Karnstedt, senior vice-president of media and advertising solutions at Adobe. "Promoted tweets and promoted accounts are important assets in creating a holistic digital marketing campaign."

© The Financial Times Limited 2013

@highlight

Twitter unveils new automated advertising technology to unlock profit potential

@highlight

New "API", application-programming interface, was long desired by advertisers

@highlight

API aims to increase reach of Twitter marketing messages to 200m active users

@highlight

Twitter: 'Users will not see more ads -- at least in short term'