The relationship between France and Germany is the barometer of the political health of Europe.

Even in a European Union of 27 member states, and which has expanded far beyond the original six countries founding the union, Franco-German relations are the drivers of Europe's politics. This means that changes in the leadership of either country matter -- and the personal chemistry between the German chancellor and the French president have wider ramifications for Europe.

The election of Francois Hollande as the new French president has created an uncertainty in the relationship between Europe's two leading states. Hollande is a socialist elected on a platform of opposition to the European Union austerity and euro stabilization program.

The problem for Franco-German relations is that the program was agreed by Hollande's predecessor Nicolas Sarkozy with the German Chancellor Angela Merkel. This creates a political dislocation at the heart of the EU, just as the euro is under renewed pressure with the scenario of a Greek exit from the currency becoming all too possible.

Can this Franco-German rift be mended? Both leaders will do their best to appear publicly in agreement and the first meeting between the two leaders this week was all smiles. But both leaders have limited room for maneuver. The French public voted decisively against a program of austerity in electing Hollande -- and France faces elections to its National Assembly next month. The president will be seeking a working majority for his Socialist party. Now will not be a moment for Hollande to publicly backtrack.

Merkel faces her own domestic political difficulties. The German people are hostile to expanded support for eurozone economies in difficulty, such as Greece and Spain, and there is a possible bailout for Spain looming. In state elections in Germany at the weekend Merkel's party suffered an electoral setback, losing control of Germany's most populous state to the opposition Social Democratic Party.

The German public appears to dislike Merkel's austerity program at home but is also  strongly resistant to supporting the economies of other states such as France, which are asking for Germany to take measures to stimulate the wider European economy. And a general election is on the horizon in Germany next year.

The stakes for the European Union of a difficult Franco-German relationship are high. A credible plan to preserve the eurozone remains elusive, with France and Germany's agreement on a common course of action looking difficult to broker.

The rescue of the eurozone is a political and economic challenge of a magnitude that the EU has not faced since its creation in the 1950s and neither Merkel nor Hollande look to be leaders who have the capacity for the bold leadership on European integration that their predecessors demonstrated across successive decades.

Other European leaders from Europe's smaller states will be pressing them hard to demonstrate decisive leadership. In the absence of a strong British engagement with the EU, and Spain and Italy's leaders preoccupied with the precarious condition of their own economies, there are no other candidates for the leadership role in Europe.

Merkel and Hollande are by default the only credible leadership team in Europe and their developing relationship carries the burden of Europe's future.

Whether they are now able to move on from their "first date" this week to build a successful political marriage is the key to the EU's capacity to navigate its way out of its current crisis.

A dysfunctional relationship between the two leaders will see the EU's current crisis prolonged.

@highlight

Richard Whitman says the election of Francois Hollande has created uncertainty

@highlight

Both Hollande and Angela Merkel have limited room for maneuver, he says

@highlight

The German public "appears to dislike Merkel's austerity program"

@highlight

A eurozone rescue is a challenge the EU has not faced since its creation, says Whitman