(CNN) -- Tuesday's election marks the end of an epic, historic campaign season that included witches, rallies for sanity, the Tea Party and a journalist handcuffed by a campaign. From Meg Whitman to Harry Reid to Joe Miller, candidates have spent more than ever, fought more than ever, and given us an election cycle of firsts.

But there is another first no one is really talking about: the surge of Iraq and Afghanistan veterans running this year.

On Tuesday, 27 veterans of Iraq and Afghanistan will seek national office. This is nearly four times the number of veterans of those wars currently serving in Congress. Twenty-five are campaigning for House seats and two are running for the Senate. Eighteen are running as Republicans, nine as Democrats. They are as ideologically diverse as the electorate they hope to represent and share only one agenda item: their desire to continue their service.

This wave of veterans -- The New Vet 27 -- is the beginning of a much larger movement developing in American politics and society. They represent the next greatest generation of troops, who are committed to serving our country long after they get home from war. Whether they win or lose in their campaigns, for those of us who have served, their initiative is inspiring, especially after a decade of war during which recent veterans have often been portrayed as either villains or victims.

They are a dynamic group of young men -- unfortunately, no female veterans of Iraq or Afghanistan are running in this cycle -- who are familiar with a little crossfire. They definitely know how to fight back when attacked. And their bios read like something out of a movie.

Tommy Sowers, Duncan Hunter Jr., Adam Kinzinger and Joe Sestak are just a few in this wave. Sowers served two tours in Iraq as a Green Beret, taught at West Point, and is running for Congress in Missouri in Rush Limbaugh's home district. Hunter served as a Marine in both Iraq and Afghanistan and is up for re-election to Congress in a part of California with a huge concentration of active duty troops.

Kinzinger, an Air Force pilot renowned for saving a Milwaukee, Wisconsin, woman from a knife-wielding attacker, returned from his third deployment to Iraq in May 2009 and is running to represent a congressional district in Illinois. And three-star Navy Adm. Joe Sestak is trading in his command of a carrier battle group supporting combat operations in Iraq and Afghanistan for an opportunity to tackle the Senate representing Pennsylvania.

On the front lines, The New Vet 27 served to a different degree than 99 percent of Americans. They saw firsthand the enormous cost of America's decision to send young men and women to war. They were tested, they served with honor -- and they survived. Now, they're ready to put their military values and skills to use in a new kind of battle.

As veterans, they know the ramifications of foreign policy decisions, the struggles for quality health care coverage, and the challenges of getting a college education. They also know how to make tough decisions under pressure. And they are looking for that next mission that allows them to keep serving. They represent new blood, but they're not the first generation to make this transition. Our democracy is rooted in this historical precedent.

Since George Washington first set aside his rank of general to seek office, declaring "When we assumed the soldier, we did not lay aside the citizen," veterans have long been part of a tradition of political service in this country.

World War II and Korea created a wave in Washington, as many former warriors used the GI Bill to earn their college education and transition into public service. John F. Kennedy, George H. W. Bush, John Warner, Daniel Akaka, Robert Dole, Max Cleland, John Murtha, John Kerry, James Webb and John McCain are just a few of the veterans in our nation's recent history who carried their oath to serve from combat to Capitol Hill.

But The New Vet 27 hoping to take the oath of office comes at a critical juncture for our country. The American public has never been more disconnected from the costs and consequences of war. And Washington is no exception. Despite the nation being immersed in two wars, the veteran ranks on Capitol Hill are rapidly disappearing.

Many World War II and Korea vets have died or retired, and there are only three Vietnam vets currently serving in the Senate (McCain, Webb and Kerry). After Tuesday's election, there is a significant likelihood veterans will hold less than a fifth of the seats in Congress -- a sharp contrast from 1969, when veterans held a record 75 percent of the seats in the wake of World War II and Korea.

When polls close this week, The New Vet 27 might not all capture seats, but they do represent an important sign of things to come for our country. And troops thousands of miles away in Iraq and Afghanistan will have an eye on them.

After Tuesday, there is no telling how many of the 2.1 million troops deployed to Iraq and Afghanistan, as of June 2010, will end up in Congress in the years to come. But if history is any guide, the country should expect quite a few. And likely one or two in the White House.

The opinions expressed in this commentary are solely those of Paul Rieckhoff.

@highlight

Paul Rieckhoff: On Tuesday 27 vets of Iraq and Afghanistan will seek seats in Congress

@highlight

"New Vet 27" are inspiring; recent vets are often portrayed as villains or victims, he says

@highlight

Rieckhoff says they know personally the cost of foreign policy choices

@highlight

In 1969, vets held 75 percent of seats in Congress; soon it may be less than a fifth, he writes