They were part of an elite squad confronting wildfires on the front line, setting up barriers to stop the spreading destruction. But in their unpredictable world, it doesn't take much to turn a situation deadly.

In this case, a wind shift and other factors caused a central Arizona fire, which now spans 8,400 acres, to become erratic, said Mike Reichling, Arizona State Forestry Division spokesman.

Though the deaths are under investigation, the inferno appears to have proved too much, even for the shelters the 19 firefighters carried as a last-ditch survival tool.

"The fuels were very dry, the relative humidity was low, the wind was coming out of the south. It turned around on us because of monsoon action," Reichling told CNN affiliate KNXV. "That's what caused the deaths.

The firefighters -- members of the Prescott Fire Department's Granite Mountain Hotshots -- were killed Sunday while fighting the Yarnell Hill fire, northwest of Phoenix. Among the dead was Eric Marsh, the unit's 43-year-old superintendent.

Honoring the fallen

Also killed, according to the city of Prescott: Andrew Ashcraft, 29; Robert Caldwell, 23; Travis Carter, 31; Dustin Deford, 24; Christopher MacKenzie, 30; Grant McKee, 21; Sean Misner, 26; Scott Norris, 28; Wade Parker, 22; John Percin, 24; Anthony Rose, 23; Jesse Steed, 36; Joe Thurston, 32; Travis Turbyfill, 27; William Warneke, 25; Clayton Whitted, 28; Kevin Woyjeck, 21; and Garret Zuppiger, 27.

The deaths of the 19 -- representing about 20 percent of Prescott's fire department -- devastated the city.  Prescott Fire Chief Dan Fraijo, who sent the unit at the request of regional authorities, said he was told that one of the firefighters had radioed they were about to deploy their fire shelters, a sort of aluminum blanket that protects against the flames and heat -- and a measure of last resort.

All he could do was wait. Only heartbreak followed.

"We just lost 19 of some of the finest people you'll ever meet. Right now, we're in crisis," Fraijo told reporters.

A 20th member of the unit was working on an assignment away from his team and survived, Fraijo said.

"He feels terribly, and we all feel terribly. Unfortunately, we have very few words to express that kind of sorrow, but we understood each other. When you take a person in your arms and you hug them, you don't have to say too much," he said.

A tribute to the firefighters grew Monday outside Prescott Fire Station No. 7. Flowers, American flags and signs -- including those reading "19 Great guys gone -- you will be missed" and "Prescott 19 forever in our hearts" -- were placed on or near a fence that separated the station from a road. The tokens also included 19 bottles of water, arranged in a circle.

Also left was a copy of The Firefighter's Prayer, which contains the lines, "And if, according to my fate, I am to lose my life/Please bless with your protecting hand my children and my wife."

Gov. Jan Brewer called the loss "unbearable" during a Monday news conference and said she understood the pain people are dealing with.

"For now, we mourn," she said.

The wildfire, which is considered the deadliest in state history, began Friday near Yarnell, apparently because of lightning strikes, according to Brewer's office and other authorities. The fire wasn't contained at all on Monday morning, and about 200 homes and other structures have burned in the area of Yarnell, a community of about 600 people, the state forestry division said.

About 400 ground personnel and 100 incident-management staff were working to control the fire Monday.

There are no other reported injuries from the blaze, Reichling said.

"As we face the day the highest priority is for the fallen comrades," said Roy Hall, an incident commander with the state forestry division. "We got a lot of hotshot crews in the nation, and they are the elite of the ground firefighters. They're highly trained and highly specialized. They are a younger generation. That's the tragedy of it, that lives would be lost of such a young group."

He added of the fire, "We know that there are values to be protected and efforts that need to be ongoing in this fire. It's a long ways from being over."

Firefighters will work on the eastern side of the fire in an effort to protect homes in evacuated areas, as air tankers drop fire retardant on the perimeter and five helicopters douse hot spots with water.

Billows of thick black smoke covered the sky as the giant flames leaped from one stretch of parched land to another. With high temperatures -- it hit 98 degrees in Yarnell on Monday -- and dry fuel in the fire's path, firefighters faced tough conditions in a race to contain the blaze.

Hotshot crews are elite firefighters

Sunday was the deadliest day for firefighters since the 9/11 attacks. And it is the deadliest wildland fire since 1933, when 25 firefighters died as a blaze burned in light chaparral near Griffith Park, California, according to a list from the U.S. National Wildfire Coordinating Group.

Mary Rasmussen, spokeswoman for the incident command team charged with fighting the blaze, said the cause of the firefighters' deaths is being investigated, and answers might come in the next three days.

Authorities have information that during the blaze, the firefighters deployed their fire shelters. The shelters must be timed well. Set it up too soon, and the heat inside the shelter can become suffocating. Deploy it too late, and the fire is already on top of you.

Wearing gloves, a firefighter will lie on the ground under the shelter, the ground being the only thing keeping the firefighter cool. The shelter will block 100% of the heat from flames and hot gases and 95% of the radiant heat from the flames themselves.

Wildfires: Fast facts

Drivers fleeing the area were chased by dark plumes filling the air. Some evacuees paused to look from afar, wondering if the flames had torched their homes.

The blaze hadn't touched Prescott yet. But like many other fire departments across the state, the Prescott team jumped in to help.

"A hotshot crew are the elite firefighters," state forestry spokesman Art Morrison said. "They're usually (a) 20-person crew, and they're the ones who actually go in and dig the fire line, cut the brush to make a fuel break. And so they would be as close to the fire as they felt they safely could."

"In normal circumstances, when you're digging fire line, you make sure you have a good escape route, and you have a safety zone set up," Morrison said. "Evidently, their safety zone wasn't big enough, and the fire just overtook them."

'Words cant describe the loss'

One of the firefighters -- Woyjeck, the son of a Los Angeles County fire captain --  joined the Prescott unit just three months ago.

Woyjeck, an avid outdoorsman, always wanted to be a firefighter like his father, Joe Woyjeck told "Anderson Cooper 360" on Monday evening.

Joe Woyjeck said he last talked to his son by phone on Sunday morning.

"He said, 'Dad, we got a fire in Yarnell, Arizona. ... I'll give you a call later,'" the elder Woyjeck recalled.

He said it hasn't sunk in yet that he won't get that phone call.

"Words can't describe the loss that our family is feeling right now," Joe Woyjeck said.

Kevin Woyjeck wasn't the only firefighter's son in the Granite Mountain crew. MacKenzie was the son of retired California Department of Forestry and Fire Protection Capt. Mike MacKenzie, according to that department.

'They were heroes'

Department of Homeland Security Secretary Janet Napolitano urged residents in the area to heed local authorities' instructions, while lamenting the loss of so many firefighters.

"Today, our thoughts and prayers go out to the families and loved ones of the 19 firefighters who lost their lives in the line of duty," she said in a written statement. "As thousands of their colleagues continue to fight wildfires across Arizona and the West, the Department of Homeland Security and FEMA are working closely with our federal partners including the Forest Service and the Department of Interior, to support state and local efforts."

President Barack Obama also lauded the efforts of the fallen firefighters, saying their deaths are heartbreaking and "our thoughts and prayers go out" to their families. His administration stands ready to help in any way necessary, he said.

"They were heroes -- highly skilled professionals who, like so many across our country do every day, selflessly put themselves in harm's way to protect the lives and property of fellow citizens they would never meet," he said in an earlier statement.

Volunteer firefighters step up despite personal tragedy, looming danger

Brewer, who was to visit Prescott on Monday, said the loss marked "as dark a day as I can remember." She has ordered state flags be flown at half-staff from sunrise Monday to sunset Wednesday, and issued an emergency declaration that will make $200,000 available for response and recovery, while authorizing mobilization of the National Guard, if necessary.

"It may be days or longer before an investigation reveals how this tragedy occurred, but the essence we already know in our hearts: fighting fires is dangerous work," she said.

"When a tragedy like this strikes, all we can do is offer our eternal gratitude to the fallen, and prayers for the families and friends left behind."

Fraijo said the firefighters who died were exceptionally dedicated to their jobs.

"These are the guys that will go out there with 40, 50 pounds of equipment and walk five miles. They'll sleep out there as they try to develop fire lines" to protect homes, Fraijo said.

Before the 19 deaths in Arizona, 43 firefighters had been killed so far in 2013, according to the U.S. Fire Administration. A total of 83 firefighters died last year while on duty.

A Facebook page in memory of the Arizona firefighters garnered more than 120,000 "likes" in less than 10 hours.

"Such a tragic loss," one person wrote. "My heart aches for these brave souls, and for their families and friends."

Grief, solidarity after 'deadliest day' for Houston firefighters

@highlight

'Words cant describe the loss,' says father of victim

@highlight

19 members of a "hotshot" team from Prescott died in the wildfire

@highlight

The firefighters apparently deployed fire shelters, last-ditch survival blankets

@highlight

The nearly 9,000-acre fire is the deadliest wildland blaze for firefighters in 80 years