Shanghai (CNN) -- The exchange of name cards has long been a ubiquitous part of meeting new people in China.

But now it's increasingly likely to be accompanied by the frenzied flourishing of smartphones, as the participants add one another on WeChat, the phenomenally popular instant-messaging app made by the country's biggest Internet company, Tencent.

While name cards have yet to be completely supplanted, many now also have a QR code which, when scanned into a mobile phone, adds the card's bearer as a WeChat contact.

The popular function is one reason behind the rise of WeChat -- called Weixin in Chinese -- which is unseating the Twitter-like microblogging platform Sina Weibo as China's dominant social media.

Once a lively forum for public debate that for a time wrong-footed Chinese censors, users are ditching Weibo as tightened government oversight takes its toll. WeChat's greater privacy and wider range of applications make it more attractive to users.

Abandoning Weibo

Ye Jun, a 26-year-old project manager in Shanghai, started using WeChat when she upgraded to an iPhone last May.

By that time, most of her friends were already using the service, although she still preferred Weibo.

That changed in November, when she caught the bouquet at a friend's wedding, and posted pictures of the event on her WeChat activity timeline which, like Facebook, allows users to share photos and status updates with their contacts.

"There were instant comments from my friends. It was fun. I realized that WeChat was a better, more effective social networking tool than Weibo, which has been practically abandoned by most people."

The rise of WeChat

WeChat was launched in early 2011, attracting 100 million registered users in its first 15 months.

This was in part due to Tencent's ability to promote the app to its huge base of over 800 million users of its many other services, including QQ, its desktop instant messaging client.

Tencent has also been quick in rolling out new versions of the app, adding features such as mobile payment, e-commerce integration, games, marketing accounts for brands, a taxi-hailing function and an online investment fund.

Many were quick to gain traction in the day-to-day lives of users. A function that allowed people to give and receive digital versions of Lunar New Year red envelopes saw 20 million exchanged.

As of last September, when Tencent's most recent figures were released, WeChat had 271.9 million active monthly users, up 124% from the previous year.

Dodging state censorship

There are growing indications that Weibo, once a hotbed of public discussion, from celebrity scandals to holding corrupt officials to account, is losing its appeal.

The collision of two high-speed trains near the Eastern city of Wenzhou in 2011 was a watershed moment, seeing harried Internet censors play whack-a-mole with comments by Weibo users, who were critical of the government's handling of the aftermath.

Over the next year, the government tightened its grip. Measures included requiring that accounts be registered under real names, and that those posting "rumors" be suspended.

According to a report by researchers at East China Normal University commissioned by the UK's Telegraph newspaper, a significant drop in active usage came after venture capitalist and high-profile Weibo user Charles Xue was arrested for soliciting prostitutes.

He was paraded on state television, and confessed to spreading irresponsible messages online.

In addition, a report by the China Internet Network Information Center backs the findings of East China Normal University, claiming the number of microblog users, which includes Sina Weibo and similar services, dropped by over 27.8 million last year.

According to Sina's latest figures, Weibo's daily active users are still growing, albeit slowly, with a 4.2% rise in the fourth quarter.

The company says third-party claims of a drop in active users are flawed, and chairman and CEO, Charles Chao said during a recent earnings call that the average time users spent on Weibo did not change over the third quarter of 2013.

Sina seems to be pushing ahead with the long-awaited spin-off and IPO of Weibo, with reports that it recently enlisted Goldman Sachs and Credit Suisse to underwrite an offering of up to $500 million in New York sometime in the second quarter for a share of up to 25%.

Will one replace the other?

The greater control WeChat offers over information sharing looks like one of the factors that makes it appeal more to users.

Posts made to Weibo are public, and therefore can go viral in a very short time, while posts made to WeChat timelines are shared only with contacts, and there is no easy way to forward them.

Mark Englehart Evans, digital strategist and co-founder of Techyizu, a technology and entrepreneurship community in Shanghai, says this means the two platforms are not necessarily mutually exclusive, although a change does seem to be underway.

"Much like Facebook versus Twitter, there seem to be more than enough dual users, or at least people with both apps on their phones. (But) monthly active users have certainly shifted. I know my Weibo app has gotten dusty," says Evans.

This shift is palpable when speaking to Chinese social media users.

"It is very obvious that fewer people are using Weibo, because I get less feedback when I tweet and retweet," says Duan Wuning, a 29-year-old media professional.

"WeChat status updates are private, so my friends and I prefer to post things about our daily lives there. I have to check WeChat every day to make sure I don't miss important things."

Going global

As Facebook announces its $19 billion acquisition of WeChat competitor Whatsapp, the the question of WeChat's potential for international expansion has come to the fore.

Tencent still faces huge challenges in going global. Its functionality could be appealing to users but questions remain over what marketing approach the company will take for a product that already boasts a 100 million-strong user base abroad.

"This will be new for Tencent and very expensive," says Evans. "It will be interesting to see how hard Tencent is willing to spend to win new users outside of China, and if they can scale up all its advanced features such as mobile commerce and banking to other markets."

@highlight

Tencent's WeChat, also known as Weixin, is on the rise

@highlight

Microblogging site Sina Weibo seems to be losing its appeal in China amid greater state controls

@highlight

Users say WeChat offers greater privacy and variety of applications than Sina Weibo

@highlight

But the two platforms aren't necessarily mutually exclusive, say analysts