(CNN) -- The Russian government shares many of the U.S. concerns about the continuing violence in Syria, but Moscow is reluctant to embrace Washington's proposals to solve them because it is wary of its motives, experts say.

"I was in Moscow a little over a week ago talking to our people in the embassy," former U.S. Ambassador to the Soviet Union Jack Matlock told CNN Tuesday in a telephone interview. "They characterized our positions as 95% the same."

For example, he said, Moscow has complied with many U.S. demands on weapons sales. "They have not been giving them offensive weapons; they've cut way back on weapons supplies. And just recently they've refused to supply contracted weapons."

He noted that Russian government officials were to meet with members of the Syrian opposition in Moscow.

Russia: Syrian opposition leader in Moscow for meeting with Lavrov

And Russian officials have backed most of the international sanctions imposed on Damascus, he said. "They are acutely aware that they don't want to end up on the wrong side of this."

But Russia joined China in using its veto power to block a U.N. Security Council resolution calling for Syrian President Bashar al-Assad to step down, which elicited anger from U.S. officials and others.

The elephant in the region is Libya. Last year, Russia abstained from a Security Council vote authorizing NATO's use of force to protect civilians in Libya. The Russians saw the ouster of Libyan leader Moammar Gadhafi as having exceeded the mandate.

"We cannot allow a repeat of such scenarios in other countries, in Syria, for example," Russian President Vladimir Putin said Monday at a meeting in Moscow of Russian ambassadors and representatives of international organizations. "I believe that we must do everything possible to press the parties in this conflict into negotiating a peaceful political solution to all issues of dispute. We must do all we can to facilitate such a dialogue. Of course this is a more complex and subtle undertaking than intervention using brute force from outside, but only this process can guarantee a lasting settlement and future stable development in the region, and in Syria's case, in the country itself."

In addition, the Russians have looked warily at the U.S.-led invasion of Iraq and plans to include their southeastern neighbors Georgia and the Ukraine in NATO, he said. "The Russians have an almost mania that we are trying to control the world, to surround them with military means, and that there are elements, including the government, that are trying to, in effect, use the Arab Spring to bring a bunch of satellites under American military control," said Matlock.

"I think they're wrong about many of those things, but it's genuinely held." Moscow's belief that the United States is playing a zero-sum game against them "makes them hypercautious about cooperating," he said.

Further complicating the issue is Moscow's concern that extremist Islamists could emerge as powers to be reckoned with in countries affected by the Arab Spring, Matlock said.

"Here again, I think they are misunderstanding and exaggerating, but the point is that their position is not primarily motivated by trying to protect Assad in Syria. They do have interests there, but those interests are really subordinate to some of these other factors."

Though Moscow has moved to boost pressure on al-Assad, there are limits to how far it will go, he said. "Will they vote at the U.N. for military intervention from the outside? No, they won't. And I hope they won't. I think that would be a disaster for everybody. The fact is nobody has a reliable solution to end this. The idea if only they would vote for us and Assad would give up and everything would be sweetness and light? That's looking for pie in the sky."

He described Syria's nearly 17-month uprising as an internal revolt against a strong military power. "If there is overt, external intervention, it's going to just make matters worse," he said, adding that that there is no easy fix to the killings, which by some estimates have exceeded 14,000. "In the final analysis, if the country is determined to have a civil war, we cannot prevent it and getting in the middle of it and killing even more people doesn't really help things."

In Moscow, Pavel Palazhchenko, the head of international and media relations at the Gorbachev Foundation, said Russia's long-time policy of close cooperation, first with Hafez Assad and then with his son, is difficult to change, but doing so could prove beneficial to Putin.

Russia Analyst: Russia wouldn't resist intervention in Syria

"I think now is a good opportunity for Russia to perhaps start discussing easing Assad from power and maybe taking him in, actually giving him some kind of asylum, some kind of guarantees," he said Wednesday. "Then, Russia would have more influence on what is going to happen in Syria afterwards. ... The opportunity is there, but apparently Russia finds it very difficult to change the policy that it has had for so many years."

The Russian-born president of the Center for the National Interest, Dimitri Simes, told CNNI's "Amanpour" on Monday that Russia's halt to arms sales to Damascus may have had nothing to do with international pressure. "The Assad regime has no money to pay for Russian weapons," said Simes, whose organization describes itself as a non-partisan public policy institution established by former President Richard Nixon.

Still, Putin is well aware of international sentiment about al-Assad. "He doesn't want to be the only guy who's supporting this failing tyrant," Simes said, adding that Russian officials have made clear that they would not use force on his behalf.

"The Russian position, basically, is if NATO and the United States want to interfere with Syria, Russia is not going to stop them, but Russia is not going to support it either," he said.

Simes described U.S. Secretary of State Hillary Clinton's statement last week that Russia was "standing up" for the regime of al-Assad as "unhelpful."

She urged a "Friends of Syria" conference in Paris to "make it clear that Russia and China will pay a price" for that position.

"Russia is clearly trying to meet the United States halfway -- behind the scenes," Simes said about Putin. "The last thing you want to do is to put him publicly into the corner -- if you want his cooperation. I think, on Secretary Clinton's part, this megaphone diplomacy is primarily for domestic consumption."

He added, "And I almost have an impression -- so sorry to be cynical -- essentially the suggestion is that the Obama administration does not want to intervene in Syria, and wants to use Russia as an alibi."

"With respect, I don't agree with Dmitri Simes," responded Nicholas Burns, former U.S. ambassador to NATO, in an interview Tuesday with "Amanpour."

He said the Russians would still block any kind of planned international military intervention in Syria. "Russia's just trying to put itself in the driver's seat to be a potential peacemaker between Assad and the opposition," he said.

Burns also disputed Simes' suggestion that the United States did not want to intervene in Syria and was blaming Moscow for its lack of action.

Effecting regime change in Syria would require dense urban warfare and would likely prove far more difficult to accomplish than it did in Libya, he said.

Burns said Putin may be in a unique position to avoid all that by persuading al-Assad to exit Syria and go into exile in a third country, "perhaps in a deal to be forgiven any possibility of imprisonment or being tried for war crimes. If President Putin wanted to be the one to make that happen, I think you'd find a lot of countries supporting him, including, possibly, the United States and the European countries themselves."

Tom Graham, the managing director at Kissinger Associates, Inc., where he focuses on Russian and Eurasian affairs, said the problem will not be resolved if it turns into a conflict of interests between the United States and Russia.

"We really have to find a way to work together, and I think there's enough overlap in the way the Russians look at it and we look at it for us to start and have a much more constructive, quiet dialogue that will take into account the interests of the United States and Russia," he told CNN Tuesday in a telephone interview. "Just as important, it will also put an end to the violence more quickly than a confrontational approach between the two countries."

Graham, who served as senior director for Russia on the National Security Council staff from 2004-2007, said there are questions within the Russian elite as to whether al-Assad is viable as a leader over the long term. "They're prepared to see him go, but the method and timing is important. They're really like to see this as part of an internal process as opposed to something imposed from the outside."

Russia suspends new arms shipments to Syria

@highlight

Russia expert Matlock sees compliance on arms sales, sanctions

@highlight

Recollection of Libya looms large to Moscow

@highlight

Clinton's "megaphone diplomacy" is criticized as "unhelpful"