(CNN) -- The debate over the number of civilian casualties caused by CIA drone strikes in Pakistan is perhaps the most contentious issue in the often fraught U.S.-Pakistan relationship.

On one side are US officials who assert that the strikes kill few, if any, Pakistani civilians. In June 2011, President Barack Obama's then-counterterrorism adviser John Brennan claimed improbably during a speech at the Johns Hopkins School for Advanced International Studies "there hasn't been a single collateral death because of the exceptional proficiency, precision of the capabilities that we've been able to develop."

Two months later, U.S. officials speaking on condition of anonymity told the New York Times that around 50 civilians had been killed in drone strikes in Pakistan since the 9/11 attacks.

On the other side of the debate are Pakistani officials such as the country's powerful Interior Minister Rehman Malik, who asserted in 2012 that 80% of the people killed in drone strikes were civilians. Earlier this year, before he stepped down as Interior Minister, Malik told Pakistani reporters that the strikes had killed mostly women and children.

Similarly, Maulana Sami ul-Haq, leader of the Pakistani Islamist party Jamiat Ulama-i-Islam (JUI-S), told crowds at a 2011 conference in Lahore that drones kill "dozens of innocent people daily."

Now comes a leaked Pakistani government document that helps to shed light on some of the facts surrounding this debate. According to the internal Pakistani report, civilian casualties from drone strikes are much lower than has often been claimed in Pakistan, but they are also much higher than the U.S. government has asserted.

The Pakistani government confirmed 10 civilian deaths in CIA drone strikes in 2009, according to the leaked official document obtained this week by the Bureau of Investigative Journalism, a London-based organization that tracks the strikes.

The report also found that from 2006 through October 24, 2009, civilians made up a minority of those killed in drone strikes: 147 civilians in a total death toll of 742, or about 20%.

That number is somewhat lower than the estimates of Western nongovernmental organizations that track the strikes. The New America Foundation estimates that up to 207 civilians were killed from 2006 to October 24, 2009, along with up to 198 people who were not identified in reliable media reports to be either civilians or militants.

Oddly, the leaked Pakistani report left out four strikes that occurred in 2007. It also missed nine strikes from 2008 and 2009, in which between eight and 10 civilians were reported killed, according to the New America Foundation's tally.

The leaked report is a welcome sign that the Pakistani government is making a concerted effort to confirm the identities of those who have been killed in U.S. drone strikes in the country's remote tribal regions that border with Afghanistan.

Pakistani authorities have long denounced the strikes, out of concern that civilian deaths caused by drone strikes inflame the local population, bolster militant groups and violate Pakistan's sovereignty.

The civilian casualty rate has declined steadily over the life of the CIA drone program as both technology and intelligence-gathering have improved. One civilian -- a 10-year-old boy -- has been confirmed killed so far in 2013, according to reliable media reports. In 2012, five civilians were confirmed killed, representing 2% of the total deaths.

As the civilian casualty rate has fallen, Pakistani officials who oppose the drone strikes have turned more frequently to the argument that they violate Pakistan's sovereignty, regardless of whom they kill.

Pakistan's new Prime Minister, Nawaz Sharif, told parliament in June that "We respect the sovereignty of others and they should respect our sovereignty and independence. This campaign must come to an end." As Sharif wrangles with the United States over the future of the drone program, a complete and authoritative official Pakistani tally of civilian deaths caused by drones would be a useful tool for those discussions.

The leaked Pakistani report is a step in the right direction.

@highlight

U.S. drone program is especially controversial in Pakistan

@highlight

Peter Bergen: A leaked report suggests fewer civilian drone deaths than previously reported

@highlight

Pakistan's new prime minister opposes drone program, cites issue of sovereignty

@highlight

Bergen: Having reliable estimates on drone deaths is important