(CNN) -- Egypt's presidential race has been a political roller coaster. After banning 10 candidates earlier this month, the country's election commission banned and unbanned this week yet another well-known candidate, former Prime Minister Ahmed Shafiq, although the constitutional court is still reviewing that decision. The remaining front-runners for president speak a similar language on the need for economic reform and political transition, but they hold very different positions on the role of Islam in a new Egypt.

In this sense, the presidential election will be an important indicator of how much weight Egyptians give to Islam as a factor in their political life. It will not be the only factor in their decision, which will no doubt turn on questions of personality and name recognition as much as anything. But a vote for a candidate with more conservative Islamist leanings -- and there is evidence of strong support for such candidates -- will likely influence the writing of the constitution, with potential for a long-lasting impact on the rights of minorities and women in particular.

With only a month until the vote, and with the slate of potential candidates in such flux, it is not surprising that concerns are growing about the credibility and fairness of the elections. The recent disqualifications of former intelligence chief Omar Suleiman, Salafist preacher Hazem Salah Abu Ismail, and the Muslim Brotherhood's Khairat el Shater have fueled charges that Egypt's military rulers are trying to manipulate the election from behind the scenes to deliver a candidate suitable to their interests.

According to the latest Al Ahram poll, conducted after the disqualification of Suleiman, Abu Ismail, and el-Shater, the front-runner now is clearly Amr Moussa, with support among voters of roughly 40%. Moussa is very likely the military's choice at this point. A former diplomat who served as secretary general of the Arab League, he is an establishment figure who has vowed to give the military a voice in key policy decisions through a national security council that would include top military officers.

Moussa's election, however, is far from a done deal. The big swing factor is the Islamist vote. Moussa, a secularist, has said that Egypt cannot afford an "experiment" in Islamic democracy at this time. Yet more than 70% of voters in the parliamentary election last fall opted for Islamist candidates. With the rejection of el-Shater, the Muslim Brotherhood candidate is now Mohamed Morsi, 60, who represents the older, more conservative wing of the Brotherhood and openly endorses a strict Islamic vision, which will appeal to the Salafist vote.

Morsi has called for a council of Islamic scholars to review whether state laws are in accordance with Sharia law, although he has said the council's decisions need not be binding. El-Shater, in contrast, stuck to a pragmatic, economic-oriented message and stressed his support for tolerance and democracy. Voters will likely find the Brotherhood's claims of support for pluralism less plausible under Morsi's banner. But the Brotherhood has strongly thrown its weight behind Morsi, telling its broad base of followers that they must vote for him, and many will do so.

The other leading Islamist is Abdel Moneim Aboul Fotouh, a charismatic doctor who rose to national attention in 1977 when he publicly chastised former President Anwar el-Sadat at a public forum at Cairo University. Aboul Fotouh, popular among the younger generation of Muslim Brotherhood members, has over the years become increasingly critical of the Brotherhood's conservative stances. When the party published a platform in 2007, drafted by Mohamed Morsi, Aboul Fotouh spoke out against controversial provisions excluding non-Muslims and women from the presidency.

In 2009, Aboul Fotouh was purged from his leadership position in the Brotherhood. He was kicked out of the party last year when he declared his candidacy for president. Although Aboul Fotouh remains an Islamist, on the stump he focuses on justice and pragmatic economic issues and appears dismissive of talk of Islamic law.

Despite all the political turmoil, it seems likely that Egypt's election will go forward next month, and voters will be faced with relatively clear choices. While it is possible that Islamist voters will throw their weight behind Amr Moussa, perhaps out of name recognition or in hopes of a return to stability, others will inevitably lean toward an Islamist candidate.

A vote for Mohamed Morsi will consolidate the Brotherhood's political influence, which could translate into a constitution with weaker provisions for protection of minority and women's rights. If Abdel Moneim Aboul Fotouh emerges as the winner, it will be a sign that Egyptians are interested in a more pluralistic agenda within an Islamic framework.

The opinions expressed in this commentary are solely those of Isobel Coleman.

@highlight

Isobel Coleman says Egyptian vote a roller coaster; unclear how big a role Islam will play

@highlight

Military's disqualifications of candidates raise question about election's fairness, she says

@highlight

She says secularist Amir Moussa, a front-runner, faces challenge from Islamist candidate

@highlight

Coleman: Votes for Muslim Brotherhood's Morsi could mean trouble for minorities, women