(CNN) -- "Think before you speak" must be high up on the job description for the modern central banker. Few people hold the power to send markets into fever panic or bullish euphoria by words alone.

But every time a head of a major central bank takes to a podium, holds a press conference or sits before a panel of politicians, these characteristically modest officials shoulder the weight of the global economy as markets scavenge for clues as to the bank's next policy move.

This week, it was once again Federal Reserve Chairman Ben Bernanke's turn, when he faced lawmakers in his semi-annual testimony to Congress and the Senate.

With his last three public appearances leading to large swings in the markets, Bernanke took a softer tone to reassure Wall Street that the Federal Reserve was still providing the necessary backstop for the U.S. economy through its bond-buying program, known as quantitative easing.

Read more: Bernanke: Congress still a risk to the economy

Joe Rundle, head of trading at ETX Capital, told CNN that Bernanke's appearance in Congress was the final part of an "incredibly clever" three-pronged strategy by the Federal Reserve to "play" the markets.

Investors have become "addicted" to QE, according to Rundle, and by Fed members speaking out publicly about tapering the program, the central bank is trying to wean the markets off the QE drug.

Read more: The most important distinction Bernanke still needs to make

Last month, Bernanke hinted the Fed may start to trim bond purchases later this year and end the program around the middle of 2014 if the economy meets its forecasts for growth of 2.3% to 2.6% for 2013.

Rundle said that by signaling a gradual slowdown in its asset-purchases program, the Fed wants to stem complacency and any repeat of the excessive risk-taking that led to the financial crisis in 2007.

He said: "Universally, every Fed member started talking about the possibility of tapering about three or four months ago... there will be small tapering in September... $5 billion to $10 billion maybe [of the $85 billion a month program]."

Read more: Bernanke: Tapering plan not a "preset course"

And the chairman -- who is set to step down in January 2014 -- is confident the plan is working. During his testimony, he said: "I think the markets are beginning to understand our message and, you know, the [market] volatility has moderated."

Read more: Fed dissenter argues for tapering QE3

Together with the Fed's near-zero interest rates, improving economic data is also beginning to buoy the U.S. economy. As of June, the unemployment rate was 7.6%, and Fed officials expect it to fall to around 7.25% by the end of the year. Meanwhile, inflation has remained below the Fed's target of 2% per year.

Michala Marcussen, global head of economics at Societe General in London, warns that markets and investors cannot expect central banks to fix everything and must "be careful not to over interpret every single little word" that central bank leaders say.

She cites the role of the European Central Bank and its President Mario Draghi in the eurozone debt crisis as an example of where governments must take responsibility when central banks cannot.

Last year at the ECB's monthly press conference, Draghi stated that the euro was "irreversible" and the central bank would do everything within its power to ensure the future of the euro area. The mere utterance of those robust statements immediately took the sting out of the eurozone crisis; borrowing costs for struggling Italy and Spain dropped, the euro strengthened, markets rallied and the sheer power of central bank rhetoric became apparent to all.

Marcussen told CNN: "It's really interesting when you see what people listen to and what they don't listen to because if you look at every single press conference since then, Draghi has said that European policymakers need to move forward on banking union."

Despite the ECB's best efforts to reassure markets and support governments, through its announcement of an unlimited bond-purchasing program last year, dubbed Outright Monetary Transactions, the ECB has been reluctant to implement a fully-fledged quantitative easing program similar to that of the Federal Reserve, Bank of England and the Bank of Japan.

And Rundle believes simply announcing the plan is not enough, investors want action. He said: "The ECB's program was just words. It was only the market that was giving it credibility by reacting... I don't think the ECB would have the power to stop the eurozone falling apart."

He added: "Central banks are only good when they've got credibility and I don't know how the ECB can still have credibility... Markets have become reliant on central bankers for direction but this in itself is a creation of by the markets."

@highlight

Bernanke took a softer tone to reassure Wall Street that the Fed was still providing the necessary backstop

@highlight

As of June, the U.S. unemployment rate was 7.6%, and Fed officials expect it to fall to around 7.25%

@highlight

ECB has been reluctant to implement a fully-fledged quantitative easing program