(CNN) -- He was the first golfing superstar, and his legacy lives on more than 80 years after he made sporting history.

The U.S. PGA Championship has returned to the home club of Bobby Jones, who bestrode the gentleman's game like a colossus as an amateur in the 1920s before his shock retirement.

The only man to win golf's four major tournaments in one year, Jones founded one of his own events that is now among that pantheon -- the Masters.

Not only did he buy the plot of land on which he helped build the fabled Augusta National club, the American legend was also instrumental in the move towards mass-produced metal-shafted clubs that made golf more accessible to the general public.

Kaymer claims 2010 PGA Championship after last-day drama

But while Jones is inextricably linked to Augusta and the Masters long after his death in 1971, his real home is the Atlanta Athletic Club.

Originally located downtown in Georgia's capital, its course was actually the nearby East Lake Golf Club, not the present-day development in Johns Creek north of the city.

"This is his home course. You can't dispute the fact the Atlanta Athletic Club is his home club, and you can't dispute the fact that this is his home course," East Lake general manager Rick Burton told the PGA's official website.

Jones' family moved to a summer house near there when he was six -- he was a sickly child who could not eat solid food, according to his descendents' business website.

But he thrived at Eastlake, winning the club's junior title at the age of nine and even beating his father in a senior final when 13.

The following year he became the youngest player to appear at the U.S. Amateur, which then -- like its British counterpart -- was one of golf's four major tournaments.

However, despite his prodigious talent, it took Jones time to make his mark as he battled his own demons.

He had the "face of an angel and the temper of a timber wolf" according to renowned sportswriter Grantland Rice. That was best illustrated at the 1921 British Open when he shocked onlookers at St. Andrews, the home of golf, by picking up his ball in disgust during a difficult third round and effectively disqualifying himself.

Jones called it his "most inglorious failure" but he subsequently became synonymous with fair play and grace, calling a two-shot penalty on himself at the 1925 U.S. Open before missing out on the title by one stroke. "You may as well praise a man for not robbing a bank," he reportedly said after being praised for his gesture.

Jones' breakthrough year was 1923, when he won the U.S. Open for the first of a record four times -- triumphing in an 18-hole playoff after almost throwing away his chances with a disastrous finish to his final round.

Between 1923 and his final year of competitive play, 1930, Jones won 13 of 21 major tournaments he entered. A lawyer by trade, he rarely played anything but national championships and spent only three months of each year competing, much of that time in transit.

In 1930 he finally won the British Amateur title, the first leg of his unprecedented "Grand Slam," and received a hero's welcome when he returned to New York.

It was his second such ticker-tape parade, having also been honored in 1926 when he won the British and U.S. Opens in the same year.

"The accomplishment of the Grand Slam assumes more importance as an example of the value of perseverance in the abstract than as a monument to skill in the playing of a game," Jones wrote in his book "Golf Is My Game."

"I am certain that in those moments when the success of the project was most in doubt, the decisive factor in each case had been my ability, summoned from somewhere, to keep control of myself and to keep trying as hard as I could, even when there was no clear indication of the direction in which hope of victory might lie."

Jones, who could have embarked on a lucrative professional career, then shocked the sporting world by deciding to quit competitive golf, calling it "a cage."

"First you are expected to get into it and then you are expected to stay there. But of course, nobody can stay there," he said.

Jones instead began his dream of building his own course at Augusta, and made money writing golf books and making short instructional films for Hollywood studio Warner Brothers.

He also helped design revolutionary standardized, numbered clubs for Spalding that bore his name for more than 40 years, which replaced the hickory Scottish-style shafts he had used so well. His family company has sold his signature equipment and clothing since 2003.

Jones served in the U.S. Army as a lieutenant colonel during World War II, but ailing health ended his playing participation at the Masters after 1948. His best finish at his own tournament was 13th in its inaugural year 1934, as he concentrated on his hosting duties.

Additionally, he became president of the Atlanta Athletic Club as his father did half a century before him, and played a significant role in its move to Johns Creek in the 1960s.

In November 1971, just a month before his death, Jones wrote a letter to the U.S. Golf Association that led to his club's Highlands course hosting its first major tournament, the 1976 U.S. Open.

"I should be most happy if my old club should become the host for my favorite golf tournament ... I can assure you that the championship will be royally entertained," Jones wrote.

"I wish I could look forward to seeing you in Augusta again this fall, but I suppose my days there have about ended."

Confined to a wheelchair by long-term spinal problems, Jones passed away at the age of 69 a week before Christmas.

"That was an impactful letter," AAC general manager Chris Borders told the PGA website.

"I'm sure when the president of the USGA received it in 1971 he felt, 'Well I really don't have any other choice, we have to take it to the Atlanta Athletic Club."

The club hosted the PGA Championship for the first time in 1981, when Larry Nelson won, and most recently in 2001 as fellow American David Toms triumphed.

Visitors to this week's tournament will be greeted by a statue of Jones outside the clubhouse.

"We specifically did not pick one of him in his swing because we felt it was more important that he gave the appearance of welcoming people into the club, and one of hospitality. He was such a great gentleman," Borders said.

"He guided the club not just with golf but with our athletic endeavors, all our dining and social activities. The club was a very important place for him to be."

@highlight

Atlanta Athletic Club will host U.S. PGA Championship for the third time this week

@highlight

It was the home club of golf legend Bobby Jones, who broke records 80 years ago

@highlight

Jones is the only golfer to win all four major tournaments in one calendar year

@highlight

After retiring in 1930 he built Augusta National and founded the Masters Tournament