A top official at the Department of Veterans Affairs has resigned amid the growing scandal about wait times and care at veterans' hospitals, the department's leader said Friday.

News about the resignation of Dr. Robert Petzel, undersecretary for health in the Department of Veterans Affairs, came one day after he spoke at a Senate hearing about the issue alongside Secretary of Veterans Affairs Eric Shinseki.

In a short statement, Shinseki announced that he accepted Petzel's resignation.

"As we know from the veteran community, most veterans are satisfied with the quality of their VA health care, but we must do more to improve timely access to that care," Shinseki said. "I am committed to strengthening veterans' trust and confidence in their VA healthcare system."

Petzel was scheduled to retire sometime this year, the department said in 2013.

The news of the resignation was met with derision by a leading veterans' rights group, which said Petzel's resignation does little to address the problem.

"We don't need the VA to find a scapegoat; we need an actual plan to restore a culture of accountability throughout the VA," according to a statement released by the Iraq and Afghanistan Veterans of America.

"To be clear, Dr. Petzel's resignation is not the step toward accountability that our members need to see from VA leaders. Anyone who has been following this situation knows that Dr. Petzel had already announced his retirement earlier this year."

The chairman of the House Committee on Veterans' Affairs, Republican Jeff Miller of Florida, called the resignation as "the pinnacle of disingenuous doublespeak."

But President Barack Obama supported Shinseki's decision to accept the resignation, according to a statement released by the White House.

"As the President has said, America has a sacred trust with the men and women who have served our country in uniform and he is committed to doing all we can to ensure our veterans have access to timely, quality health care," the statement said.

The White house reiterated the President's previous order that Shinseki conduct a review of the Veterans Health Administration's practices at its facilities.

Petzel's resignation came a day after he testified before the Senate's Veterans Affairs' Committee looking into reported delays at numerous VA hospitals and a long list of serious problems and allegations of falsifying wait times, many of which were exposed and reported by CNN.

For six months, CNN has been reporting on delays in medical appointments suffered by veterans across the country and veterans who died or were seriously injured while waiting for appointments and care.

The VA requires its hospitals to provide care to patients in a timely manner, typically within 14 to 30 days.

The most disturbing and striking problems emerged in Arizona last month as inside sources revealed to CNN details of a secret waiting list for veterans at the Phoenix VA. Charges were leveled that at least 40 American veterans died in Phoenix while waiting for care at the VA there, many of whom were placed on the secret list.

But even as the Phoenix VA's problems have riveted the nation's attention, numerous whistle-blowers from other VA hospitals across the country have stepped forward. They described similar delays in care for veterans and also varying schemes by officials at those facilities to hide the delays -- in some cases even falsify records or efforts to "cook the books."

The secret waiting list in Phoenix was part of an elaborate scheme designed by Veterans Affairs managers there who were trying to hide that 1,400 to 1,600 sick veterans were forced to wait months to see a doctor, according to a recently retired top VA doctor and several high-level sources who spoke exclusively to CNN.

Phoenix VA officials denied any knowledge of a secret list, and said they never ordered any staff to hide waiting times. They acknowledged some veterans may have died waiting for care there, but they said they did not have knowledge about why those veterans may have died.

The director of the Phoenix VA, Sharon Helman, was put on administrative leave by Shinseki two weeks ago, along with two of her top aides. But sources inside the VA in Phoenix tell CNN the wait times and problems are still ongoing there.

As a direct result of the allegations at the Phoenix VA, investigators from the VA's inspector general's office have gone to Phoenix and have been conducting an investigation there for months.

@highlight

The President supports Shinseki's decision to accept the resignation

@highlight

Veterans' rights group says the resignation is the VA's way to find a scapegoat

@highlight

Dr. Robert Petzel resigned a day after testifying before a Senate committee

@highlight

Petzel was scehduled to retire sometime this year