(CNN)  -- Inside a freezer in a research laboratory at the University of Washington are blood and blood plasma samples from 92 people who suffer from mysterious illnesses, including tremors, memory loss and severe migraine headaches.

Terry Williams hugs her two boys -- Jake, left, and Zack -- in 2006, before she says toxic cabin air made her sick.

They are mostly pilots and flight attendants who suspect they've been poisoned in their workplace -- on board the aircraft they fly.

Clement Furlong, University of Washington professor of medicine and genome sciences, leads a team of scientists who have been collecting the samples for 2 ½ years.

Furlong said his team is a few months away from finalizing a blood analysis test that will be able to definitely confirm whether the study participants were indeed poisoned by toxic fumes.

Results of Furlong's research could expand recognition of what a select group of researchers believes is a largely unrecognized risk of flying: the chance that poisonous fumes enter the cabin.

"There's a danger of inhaling compounds that are coming out of the engine," said Furlong in his laboratory.  See a diagram of how the air is circulated »

The air we breathe on board a plane is a 50-50 mix of filtered, recirculated air and so-called "bleed air" -- which bleeds off the engines, and then is pressurized and cooled before being sent into the cabin through vents. If an engine oil seal leaks, aviation engineers and scientists say, the bleed air can become contaminated with toxins.

In 2002 the National Academies of Sciences' National Research Council reported "contaminant exposures result from the intake of chemical contaminants (e.g., engine lubricating oils, hydraulic fluids, deicing fluids and their degradation products) into the Environmental Control System and then into the cabin."

Of particular concern are toxic anti-wear agents in the oil, designed to prolong an engine's life, called tricresyl phosphates.

"The engine seals fail and there's very potent toxins that can come on board," said Furlong.

Neuropsychologist Sarah Mackenzie Ross of University College London studied 27 British pilots who claimed they had inhaled contaminated air and subsequently had difficulty processing information and slowed reaction times. Her testing confirmed their symptoms.

"They did appear to underperform on tasks that required attention, processing speed, reaction time, and what we call executive functioning, which is high-level decision making," said Ross.

Former flight attendant Terry Williams believes she is a victim of such a "fume event." She complains of debilitating migraine headaches, tremors, and blind spots in her field of vision.

"It's been so constant and just continues to worsen so it's extremely frustrating," said Williams, who is suing Boeing, the owner of McDonnell Douglas, which made the MD-82 aircraft on which she worked. "I'm frustrated that I don't feel any better and it's over two years after the exposure."

Boeing told CNN, "It is our belief that air quality on airplanes is healthy and safe."

In its response to Williams' suit, the company said: "The potential for bleed air contamination has been known through the aviation industry for many years." But Boeing denies any responsibility for Terry Williams' illness.

While Williams' symptoms appear to be quite rare, it appears that fume events occur with regularity.

A British study for the House of Lords found fume events in 1 of every 2,000 flights. In the U.S., airlines are required to report "fume events" to the Federal Aviation Administration. There were 108 such reports last year.

So why wouldn't more flight attendants, pilots and passengers suffer symptoms?

Furlong said a small percentage of people (how small is not known) appear to be highly sensitive to the most toxic chemicals. They may be genetically disposed to a strong reaction, possessing multiple genes of metabolizing proteins in their livers, or temporarily have high enzyme levels (which can be triggered by prescription drugs) that will act on the inhaled chemicals to magnify their toxicity.

"If you happen to be taking a medication that turns on the protein that converts pre-toxin to very potent toxin, you've got an issue," said Furlong.

As a result, someone sitting next to a victim may have inhaled the same contaminated fumes, but not suffer the same reaction.

How might you know that you may have been exposed to a "fume event" while flying? Experts say the telltale sign is a "dirty sock" smell. That's butyric acid from engine oil, which itself is not highly toxic. But along with it comes the deadly nonodorous compounds tri-ortho-cresyl phosphate and mono-ortho-cresyl phosphate.

Boeing's new plane, the 787 Dreamliner, has been designed so that air entering the cabin from outside will not "bleed" off the engines. The company says that's only for fuel efficiency purposes, not because of any concern about the quality of bleed air in its current fleet of aircraft.

Indeed, Boeing and the FAA say the air quality on airplanes is as good or better than that of the average office building or home.

CNN's Jessica Ravitz contributed to this report.

@highlight

Results of scientist's research could expand recognition of "bleed air"

@highlight

Bleed air is air that passes through the engines of a plane, then into cabin

@highlight

Boeing and FAA say air quality on airplanes is as good as in office or home

@highlight

Flight attendant Terry Williams believes she is a victim of fumes in cabin air