(CNN) -- As the first female judge to be appointed to Botswana's high court, Unity Dow is a trailblazer in her home country, paving the way for other women fighting for equality and justice.

Her 11-year tenure at the high court was marked by the landmark 2006 case where Botswana's Bushmen took the government to court over the right to live and hunt in the central Kalahari game reserve.

In what is the southern African country's longest and most expensive trial to date, Dow ruled that the Bushmen should be allowed to return to their ancestral lands. The case attracted widespread international attention and came to define Dow's career at the high court that ended in 2009.

Today, 53-year-old Dow is a partner in her own law firm, a successful author and a prominent activist championing women's rights.

It's all a far cry from growing up in a dusty rural village on the outskirts of Gaborone, Botswana's capital.

"I was born into a Botswana where there was no tar road, no telephone. I think I saw my first refrigerator when I was a teenager," remembers Dow, 53. "I grew up in a Botswana where you had to hold water on your head and hold firewood as well."

Despite the tough conditions and the initial objections of her family, Dow decided to pursue a career in law following advice from one of her teachers.

After high school, she went to Swaziland to continue her studies before spending two years at Edinburgh University, Scotland, where she found herself one of very few women in the law faculty.

While making her first professional steps, Dow says she quickly came across an innate gender inequality built into law.

"When you start to practice you realize how just the language of the law is so male, the culture of the law is so male," she says. "You're beginning to think, 'I don't think it should be like this, I have a right to be here, I've earned the right to be here and therefore this whole environment should be about me as well."

Read more: In pictures: Africa's power women

Dow went on to work with great success as a criminal prosecutor and a criminal defense attorney in Botswana. But her reputation shot up in the early 1990s when she was the plaintiff in a groundbreaking case that dealt with citizenship rights through the mothers of newborns.

"I was married to a non-citizen, and therefore my children were born to a Botswana and an American," she explains. "I was shocked to realize that in terms of the law my children were not Botswana citizens because I was not male."

Dow thought the law was unfair and embarked on a mission to make it unconstitutional. The long-running legal battle attracted huge media coverage in Botswana.

"Suddenly I was being unpatriotic by bringing this case, I was being un-cultural, I was influenced by my foreign training, I was not behaving like a normal nice wife," she says describing some of the comments directed toward her during the trial.

"There were times where I was really energized, feeling I'm going to win this battle; there were times where I really felt so despondent; there were times when I felt so angry, and I think I cried many more times during that period than any other time in my life."

But after five long years, Dow won the case, managing not only to change the law on citizenship and give men and women equal rights, but also influencing other laws.

"After that the government actually commissioned a study to say what other laws discriminate against women and over a period of time those began to be changed," she says. "I think now in terms of the legislative framework, the legal framework, we have a fairly decent equality provisions across the board."

Dow also co-founded the AIDS Action Trust to raise awareness about HIV/AIDS and the Women and Law in Southern Africa Research Project, an initiative aiming to empower women in the region.

"We did studies on child support and how culture influences the law on child support; we looked at access to property by women; we looked at widowhood and widowhood ceremonies, the extent to which they strengthen and you know undermine women," she says. "It was really a chance to actually talk within southern Africa."

But when she's not fighting legal battles or promoting human rights, Dow is busy spending her time penning novels, exploring issues such as gender conflicts, the contradictions between traditional and western values and the AIDS pandemic.

And now, after spending last decades studying the law and fighting for a more equal legal system, Dow says her next target is to join the political arena -- a move that will enable her to put forward her own ideas.

Chart: Women in Africa's parliaments

"I'm a lawyer and I've been a judge, but there's one thing that I have not done so far and that is to make laws," she says. "I would love a plan to join politics and to run for a political office as a member of parliament and therefore join the legislature."

Determined and ambitious, Dow admits that running for public office won't be the end of her impressive life journey.

"Nothing ends until you're dead," she says. "So no, it will not end there."

@highlight

Unity Dow was the first female judge appointed to the High Court in Botswana

@highlight

Today, she is a successful author and partner in her own law firm

@highlight

Dow is also a prominent activist, championing women's rights in her country

@highlight

She says her next goal is to join the political arena