Canberra, Australia (CNN) -- After six years of a Labor administration, including three tumultuous years of a hung parliament, Australian voters have returned to a conservative government and majority rule.

Kevin Rudd, reinstalled as prime minister by his party at the 11th hour, managed to contain the size of the loss, likely to have been a wipeout under former PM Julia Gillard.

New Prime Minister Tony Abbott had a long ministerial career in the former Howard Coalition government. But many questions remain about how he will handle the top job. He has been able to cruise into power primarily on Labor's infighting plus his promises to scrap the carbon tax, stop the asylum seeker boats and put the budget into better shape.

Tony Abbott pledges 'competent, trustworthy' government

He inherits an electorate that is disillusioned with and disengaged from politics, after continuous campaigning since 2010 because the parliament was on a knife edge. Labor's breaking of its promise not to bring in a carbon tax and the Coalition's years of negativity have left people jaded and cynical about all politicians.

Abbott had a clear ascendancy over Gillard, but the dynamics suddenly changed when Rudd - deposed by Gillard in 2010 - mounted his successful counter-coup in late June.

With his popularity and some policy changes, Rudd appeared to put Labor in a very competitive. perhaps even winning, position. But during the five week campaign, the dynamics altered again. It became clear Rudd (who didn't campaign well) would not be able to overcome voters' entrenched scepticism about a government that, despite earlier successfully navigating Australia through the global financial crisis and making some worthy policy changes, had become riven with leadership division.

The campaign was dominated by debate over which side was better to manage the economy; Labor's claims that Abbott had a $70 billion funding hole and would hack into health and education, and the ALP's record.

The media's coverage became an issue, with Rudd trenchantly attacking Rupert Murdoch, whose empire owns 14 of Australia's 21 metro daily and Sunday newspapers. The Murdoch tabloids were quite feral, with Sydney's Daily Telegraph beginning the campaign with the headline "Kick This Mob Out" and one front page having a mocked up Rudd and his deputy Anthony Albanese as the bumbling Nazis from Hogan's Heroes.

The new PM, while a conservative, is likely to be centrist and pragmatic. In the Howard cabinet he opposed the extreme industrial relations policy, WorkChoices, which contributed to that government's 2007 defeat. He has promised to be in the "sensible centre" on industrial relations.

A committed Catholic, he is anti-gay marriage (despite having a gay sister) but will leave it up to his party room as to whether there should be a conscience vote for Coalition MPs on any private member's bill on the subject.

Abbott says he will run a ''no surprises'' government. He has also promised not to break any election promises. This may be an impossible undertaking, but the backlash against Gillard after she -- under the pressure of minority government -- breached her ''no carbon tax'' pledge has been a lesson to all political leaders.

In Saturday night's victory speech Abbott said: ''From today, I declare that Australia is under new management and that Australia is once more open for business.'' The Australian economy is growing slightly under trend and unemployment is rising. The economy remains strong, but the outlook is uncertain, with much depending on China and commodity prices. The mining investment boom is ending and the challenge now is for Australia to manage the transition to increased reliance on other sectors.

One of Abbott's main difficulties will be dealing with the parliament's powerful upper house which, when the new senators take their places in July, will have a diverse collection of independent and micro party crossbenchers determining the fate of legislation.

On foreign policy, Abbott is a strong U.S. alliance man. He is also a believer in the "anglosphere," and was one of the leaders of the monarchist cause when in 1999 Australia had its failed republic referendum. But Abbott's focus will be heavily on Asia. He has said policy should emphasize "Jakarta rather than Geneva" -- a comment not only on the importance to be placed on the region, but also reflecting the Coalition's lack of faith in multilateralism. Abbott has promised an early visit to Jakarta, where he will try to persuade the reluctant Indonesians to accept his policy of turning back asylum seeker boats.

Opinion: Australian parties in 'race to bottom' on asylum seeker policy

During the election campaign Abbott took a more restrained approach towards a possible strike against Syria than did Rudd, a former foreign minister and diplomat.

As Abbott prepare his ministry, Labor is grappling with who is to be its new leader. Rudd will not contest. Favorite, if he decides to put his hand up, is outgoing deputy prime minister Anthony Albanese, with the other contender, outgoing education minister Bill Shorten saying he will only run as a consensus candidate. It won't be a great job to have any time soon.

Join us on Facebook/CNNOpinion.

The opinions expressed in this commentary are solely those of Michelle Grattan.

@highlight

Questions remain about how Tony Abbott will handle top job, says Michelle Grattan

@highlight

He inherits electorate that is disillusioned with and disengaged from politics, she adds

@highlight

New PM, while conservative, is likely to be centrist and pragmatic - Grattan

@highlight

Challenge for Australia is end reliance on mining sector