A judge's ruling that the city of Detroit can move forward with bankruptcy and strip the city's public workers of their modest pension benefits will have a devastating impact on Detroit's middle class — many of whom are African-American — and the city's ability to rebuild a strong and sustainable economy.

The largest municipal bankruptcy in our nation's history, the Detroit decision charts a course where Wall Street banks and bondholders are at the front of the payment line while city residents, police officers, firefighters and other public employees are left at the rear, with only pennies.

Kevyn Orr, Detroit's unelected emergency manager, misled the public and succeeded in setting a dangerous precedent that will have ripple effects for other cities and states still struggling to get back on their feet in the post-recession economy.

Michigan Gov. Rick Snyder and Orr, a former corporate bankruptcy lawyer, frequently cited the figure of Detroit's $18 billion in long-term debt as the reason the city must declare bankruptcy. According to a recent report, "The Detroit Bankruptcy," written by former Goldman Sachs investment banker Wallace Turbeville, not only is $18 billion an inflated and inaccurate estimation of Detroit's long-term debt, it is irrelevant. Unlike corporations, cities cannot be liquidated, therefore cash flow, as opposed to long-term debt, is what must be addressed.

Opinion: Detroit, the 'used to be' city

Detroit has a cash-flow shortfall of $198 million. Despite the blame placed on public pensions, the truth is that Detroit's path to insolvency had little or nothing to do with pensions, which average just $19,000 per year for most employees and $30,000 per year for police and firefighters, who are not eligible to receive Social Security. There were several drivers of Detroit's downward spiral:

A depleted tax base: The city's wealthier white population has declined by 1.4 million since the 1950s, leaving behind an almost entirely African-American and much poorer population. The remaining tax base continues to decline as unemployment stays stubbornly high: In 2008 alone, the number of working Detroit residents dropped by roughly one-quarter, further diminishing the city's income tax receipts. Property tax revenue also dropped precipitously as home values went through the floor.

Skyrocketing financial costs: Wall Street banks saddled Detroit with $1.6 billion in loan deals that were highly profitable for Wall Street, but exposed the city to risk it could not afford to take. The banks have already extracted $300 million from Detroit to terminate these interest rate swaps, and are posed to collect another $300 million in additional windfalls.

Corporate subsidies and tax loopholes: While public workers were laid off and had salaries cut, Detroit gave away millions of public revenue in tax loopholes and subsidies to big corporations. A wealth of research finds that tax breaks like these are ineffective and it is apparent they have done little to create good jobs for Detroit residents. These tax breaks should be on the table, just like other obligations of the city in resolving the cash-flow crisis.

The dynamics at play in Detroit are the same dynamics creating the growing wealth gap and keeping our economy from making a lasting and sustainable economic recovery. While Wall Street and corporations profit handsomely from a city's decline, public workers—the city's middle class—have sacrificed time and again.

In recent years, thousands of public workers were laid off, and the remaining public employees accepted a 10% pay cut, health benefit reductions and a 40% cut in future pension benefits, saving Detroit $160 million. Not only is it immoral to force the working people to give up even more in the name of fiscal responsibility, but these cuts will only burden the effort to solve the city's long-term challenges by depressing economic activity, pushing more residents into poverty, and making it difficult to retain and attract needed workers.

Instead, Detroit's cash flow shortfall must be addressed by fixing the problems that caused it in the first place. Banks must be told that they have profited enough from interest rate swaps that helped create this mess and will receive no more. The state needs to collaborate by increasing available revenues. Corporate tax loopholes must be closed and ineffective subsidies ended.

Like other cities, Detroit can work its way back toward a healthy local economy with good jobs, quality public services and a robust tax base. But making that happen depends on honoring the promises made to workers and ensuring that Wall Street and big corporations pay their fair share.

@highlight

Ross Eisenbrey: Stripping Detroit's workers of their modest pensions will kill middle class

@highlight

Eisenbrey: Most pensions are $19,000 year; $30,000 a year for police and firefighters

@highlight

He says culprits are sky-high financial costs, corporate subsidies, tax loopholes

@highlight

He says Detroit bankruptcy caused by same dynamics creating inequality in the nation