(CNN) -- On a hot summer day in early August, 2008, the secure Red Switch phone in my office at CIA was lighting up with calls from National Security Adviser Steve Hadley.

The Russian Army had invaded the Republic of Georgia in the Caucasus mountain region. Georgian President Mikheil Saakashvili was frantic about his country's safety and desperate for information on Russian forces and Russia's intent.

I promised Steve some answers, hung up the phone and walked to my outer office to direct my executive assistants to "get our Georgia people up here right away." As they busily dialed phones and typed e-mails, I remember turning to my chief of staff and only half jokingly asking him, "We've got Georgia people, right?"

I recall that day now as a debate has begun about the focus of the American intelligence community and especially of the CIA. In discussing his new book, "The Way of the Knife," New York Times national security correspondent Mark Mazzetti suggests that CIA's obsession with fighting terrorism might have blinded it to the inevitability, imminence and rapid spread of the Arab Awakening.

In March, press reports said the President's Intelligence Advisory Board, a panel of senior outside advisers, had come to much the same conclusion, accusing the intelligence community of too much focus on military operations and drone strikes at the expense of other targets such as China and the Middle East.

Back in August 2008, we did indeed have "Georgia people," and they were quite good. Within a few days, the entire team was gathered around a conference table at CIA headquarters giving President George W. Bush their personal appreciation of the situation.

But precise tactical intelligence was hard to come by (questions such as where exactly was the front line of Russian troops). Recent technical collection systems had been developed and deployed for the counterterrorism target, not for tracking the successor to the Red Army.

And the fact that I had asked my half-joking question should suggest that neither the topic of Georgia nor the "Georgia people" were frequent visitors to my office.

More broadly, when asked what were the priorities of the agency during my time there, I would respond with a bit of Washington-insider alphabet soup, "CT, CP, ROW." Translation: counterterrorism, counterproliferation (mostly Iran), the rest of the world.

The American intelligence community works hard against a variety of tough targets every day, but questions about current balance and emphasis are as understandable as they are inevitable.

The demands of more than a decade of constant war have clearly had their impact. Much of what passes for analysis today is really targeting: targeting an individual for direct action, targeting an individual for increased collection, targeting an individual to make sure he doesn't board an aircraft en route to the United States.

The National Security Agency has always had two sides to its personality: a national enterprise that meets the needs of policymakers across the U.S. government and one that serves as a combat support agency for the Department of Defense of which it remains a part. Even with a substantially increased budget, after more than a decade of combat, it should be clear that the battlefield support side of the agency's personality has become increasingly dominant.

Since 2001, CIA case officers have routinely been sent to war zones as their first operational assignment. They have performed magnificently. But the skills they have honed there are often different from the skills required for classical espionage and many are frankly bored when they return to more routine work where Kevlar and a personal weapon are not required equipment.

America's singular focus on counterterrorism has also affected intelligence cooperation with allies.

Many simply do not agree with our legal position that this is a war and others object to tactics such as targeted killings and extraordinary renditions. Although most appreciate that American actions have made them safer, the potential uses to which we could put their information strains intimacy and limits sharing.

We occasionally have to pull our own punches.

To what degree, for example, did we limit contacts (intelligence or otherwise) with the Muslim Brotherhood in Hosni Mubarak's Egypt so as not to risk the solid counterterrorism partnership with the regime?

Some are now calling these actions a distortion of American intelligence, but none of these steps was inappropriate for the circumstances in which we found ourselves after 9/11. Indeed, I initiated some of them and supported all of them while in government. Many of them need to continue. Al Qaeda's threat is diminished, not eliminated.

Richard Haass, former State Department official and head of the Council on Foreign Relations, may have put it best when he suggested that what we need here is a dial, not a switch.

And this is more than just an intelligence question. Collection and analysis usually chase after the things that policymakers hold most dear. If their view is immediate and tactical, much of their intelligence will follow.

My "Georgia people" were great. I should have paid more attention to them before August 2008. Priorities being what they were, I didn't.

I was reflecting on this when, a few weeks before his confirmation hearing, I had breakfast with Dave Petraeus. As we were leaving the table, I suggested that the CIA had never looked more like its wartime predecessor, OSS, than it did right then. That had made America safer, but I reminded the eneral that the CIA was not the OSS. It was the nation's leading espionage and analytic service and that -- much as I did -- he would have to struggle to remember that every day.

All this means that tough choices lie ahead, all of them fraught with risk, as the community deals with current dangers while also embracing broader and more enduring tasks.

The opinions expressed in this commentary are solely those of Michael Hayden.

@highlight

Ex-CIA chief says some are urging CIA to get out of targeting terrorists

@highlight

He says the agency had to broaden its role after U.S. was attacked on 9/11

@highlight

Hayden says CIA also has a key role in analyzing world threats

@highlight

He says agency needs to fulfill roles of targeting and analysis