(Mental Floss) -- There have been presidential daughters almost as long as there have been presidents. (George Washington had no children.)

President Warren Harding made child-care payments to his mistress for years until his death in 1923.

What these women did -- both under the influence of and independent from their influential fathers -- make fascinating stories. Here are five you might not have heard:

1. Sarah Knox Taylor Davis

She packed a lot of drama into her 21 years. The second daughter of future U.S. President Zachary Taylor, Sarah also was the first wife of future Confederate President Jefferson Davis.

Her parents gave her the middle name Knox after Fort Knox, in pre-state Indiana, where her military father was stationed and where she was born in 1813 or 1814. Sarah was often called Knox or Knoxie.

The life of an army brat was certainly more dangerous in the early 19th century. During Taylor's posting in Louisiana, Sarah and her two sisters came down with "bilious fever," now thought to be malaria. Sarah survived, but her older and younger sisters died.

The Taylors were stationed at Fort Crawford (now Prairie du Chien, Wisconsin) in 1832, when Sarah met and fell in love with a young officer named Jefferson Davis. Zachary Taylor opposed the relationship, and accounts vary as to why --because he didn't want his daughter to continue to be exposed to the hardships of army life, or because he and Davis didn't get along. Or both.

Davis was transferred, so he and Sarah conducted a long-distance relationship for two years. They even planned their wedding by mail. The ceremony took place in June 1835, in Louisville, Kentucky. Sarah's parents did not attend. Once again there is disagreement over why they were absent.

The newlyweds immediately headed south, and they visited Davis's relatives in Louisiana. Sarah, mindful of the family tragedy the last time the Taylors traveled those parts, wrote home, "Do not make yourself uneasy about me, the country is quite healthy."

But while staying with Davis's oldest sister at "Locust Grove" in West Feliciana Parish, Louisiana, the couple fell ill with malaria. Jefferson Davis recovered, but Sarah died, barely three months into her marriage.

Mental Floss: 5 memorable White House weddings

2. Elizabeth Harrison Walker

Her life straddled the Gilded Age of her father, President Benjamin Harrison, and the Television Age, when accomplished women were just beginning to enter in numbers into the mainstream of public life.

Elizabeth was born in 1897, four years after her father left office. A widower with two children by his first wife, Harrison had married Mary Scott Lord Dimmick, and Elizabeth was the couple's only child. She was just 4 when her father, the last of the bearded presidents, passed away.

If Elizabeth's dynastic 1921 marriage to James Blaine Walker -- grandnephew of her father's secretary of state and onetime Republican presidential nominee James G. Blaine -- was conventional, much of the rest of her life was not. By the time of her wedding, she had received several academic degrees, including a law degree from New York University Law School, and was admitted to the bar in New York and Indiana at age 22.

After her marriage, she began publishing a monthly newsletter, "Cues on the News." Geared toward women, it offered economic and investment tips, and was distributed nationally by banks. Her expertise led to appearances on radio and, later, television, where she spoke on economic issues pertaining to women. She died in 1955, at the age of 58.

Mental Floss: Quiz: Post--White House lives of presidents

3. Margaret Woodrow Wilson

Thirty years before the Beatles went to India to sample and popularize its spiritual wonders, another musician and political activist, Margaret Woodrow Wilson, had already been. It was the final chapter in the peripatetic life of the eldest of President Woodrow Wilson's three daughters.

Margaret was born in 1886, in Gainesville, Georgia. During her father's presidency, both of Margaret's sisters had White House weddings. So when their mother died in 1914, it fell to the unmarried eldest Wilson sister to become White House hostess. The president's remarriage a year later allowed Margaret to pursue her passion -- music.

She studied piano and voice at the Peabody Institute of Music in Baltimore. In 1915, she made her singing debut with the Chicago Symphony Orchestra, in Syracuse, New York. During World War I, she gave recitals that benefited the Red Cross and performed at Army camps. In 1918, she began nearly a year's stay in France, singing before Allied troops. The experience led to a breakdown, the loss of her singing voice, and the end of her musical career.

Mental Floss: Why do we sing the National Anthem at sporting events?

With the war over and women gaining the right to vote, Margaret became an advocate of a style of local participatory democracy in which neighborhood schools would become community centers. The annual $2,500 stipend bequeathed by her father upon his death in 1924 was not enough for her live on, so Margaret entered the advertising business. A speculation in oil stocks went sour, and as the 1920s ended, she ceased being a public figure.

In the 1930s she discovered the writings of Sri Aurobindo, a contemporary of Mahatma Gandhi's, whose philosophy for ending foreign rule in India was grounded in yoga and meditation. Eventually she followed her guru east. When a New York Times reporter found Margaret in Aurobindo's ashram in Pondicherry, India, in 1943, she had been living there four years. At the ashram she was known as Dishta. She died there in 1944 at the age of 57 of uremic poisoning.

4. Elizabeth Ann Christian Blaesing

Probably the only advantage to being the child of one of America's worst presidents was not having his last name. Warren G. Harding had no children with his wife, but a married man with two mistresses is bound to leave a legacy.

Elizabeth Ann was the daughter of Nan Britton, who as a teenager began a six-year affair with Harding, which lasted until his death in 1923. Elizabeth Ann was conceived on a couch in Harding's Senate office and was born in 1919. On the birth certificate, Britton wrote Christian as the baby's last name.

Until his inauguration in 1921, Harding made child-care payments to Britton in person, but always refused to meet Elizabeth Ann. After he entered the White House, Secret Service agents delivered the payments. But when Harding died, the money stopped.

In 1927, after Harding's widow refused to continue child support, Britton published The President's Daughter. The tell-all book became a bestseller. As the years passed, the story of Nan Britton and the president's "love child" faded, along with memories of Harding's inept presidency.

As an infant, Elizabeth Ann was adopted by Britton's sister and brother-in-law for the sake of appearances. As an adult, she married Henry Blaesing. They lived quietly in Glendale, California, and raised three sons.

Elizabeth Ann gave one of her first interviews, to The New York Times, in 1964. In it she revealed that her mother was living secretly nearby. Nan Britton died in 1991, "evidently so forgotten by history that no obituary was published," the Los Angeles Times later wrote. Elizabeth Ann died in 2005.

5. Margaret Truman Daniel

The helicopter parent is nothing new. But that pesky parental hovering can whip up a lot of dust when Dad is straight-talking President Harry S Truman.

Born in 1924, Margaret was Harry and Bess Truman's only child. Like Margaret Wilson, she began her career as a singer. She was studying history and international relations at George Washington University when her father became vice president in January 1945. Less than three months later, Franklin Roosevelt died and Harry Truman became the 33rd president.

After intensive musical training, Margaret made her singing debut in 1947 with the Detroit Symphony Orchestra on a nationally broadcast radio program. She began touring the country, appeared on radio and television, and signed a recording contract.

Then came her infamous 1950 concert in Washington, D.C.'s Constitution Hall, in which her father played a role perhaps larger than hers.

"Paul Hume, the music critic of The Washington Post, while praising her personality, said that 'she cannot sing very well,' added that 'she is flat a good deal of the time' and concluded that she had no 'professional finish,' " The New York Times recalled at the time of Margaret's death last January.

"Incensed, President Truman dispatched a combative note to Mr. Hume, who released it to the press... It said, in part, 'I have just read your lousy review . . . I have never met you, but if I do, you'll need a new nose.'" (Read the review and President Truman's response here.)

The episode didn't seem to impact her career, but her professional singing days were numbered anyway. Margaret would become a radio and television personality, co-hosting the 1950s radio program, "Weekday," with Mike Wallace. She acted in summer stock. And in 1956 she married New York Times editor Clifton Daniel, with whom she had three sons.

But Margaret still had other media to conquer. She became a prolific author, writing several non-fiction books, including biographies of her parents. And she penned 13 mystery novels, beginning with "Murder in the White House."

For more mental_floss articles, visit mentalfloss.com

Entire contents of this article copyright, Mental Floss LLC. All rights reserved.

@highlight

President Harding's illegitimate daughter was conceived on couch in Senate office

@highlight

Review of Harry Truman's daughter prompted presidential threat against reporter

@highlight

President Taylor's daughter married future president of an enemy power

@highlight

Woodrow Wilson's daughter followed a guru to India