(CNN) -- Scenes from the mass shooting in an Aurora, Colorado, movie theater are horrific, but are all too familiar in the United States.

Some have argued that gun control is irrelevant to mass shootings because the perpetrators are typically so determined that they will overcome any legal hurdle to acquiring firearms. However, mass murderers often use assault weapons or guns with large ammunition capacity.

Opinion: Gun control or carry permits won't stop mass murder

One of the guns James Eagan Holmes allegedly used to shoot 70 people within minutes was an assault rifle with a 100-round drum magazine. This extraordinary firepower enables gunmen to kill and wound more victims than they otherwise could if they used weapons that held fewer bullets. There is obviously no need for any civilian to have such powerful weapons.

Rational gun policy, one that puts public safety ahead of the interests of the gun industry and gun enthusiasts, would ban firearms and ammunition clips that hold more than 10 rounds. Such a policy might not prevent many of our mass shootings, but it should reduce the number of victims from these incidents.

Skeptics might point to the federal assault weapons ban (a section of the 1994 Violent Crime Control Act) that Congress let expire in 2004 as a failure that did not affect overall homicide rates. However, the law's impact was limited by its narrowness that made it easy for gun manufacturers to evade. A broad ban on the sale and possession of high capacity (more than 10 rounds) ammunition magazines with stiff penalties would translate into saved lives.

Between 9,000 and 10,000 people are murdered each year with guns in the U.S., most garnering little attention. Local news coverage of such events typically provides scant information or context to enable citizens to understand the role of guns in these incidents. Invariably, the only time that gun violence and gun policy are discussed in the national media is after a horrific shooting rampage.

We should not brush aside discussions of gun policy as too politically difficult to expect meaningful change, or "the price for our freedoms." Instead, we should reflect on why the U.S. has a murder rate that is nearly seven times higher than the average murder rate in other high-income countries and a nearly 20 times higher murder rate with guns. And we should consider how flaws in current gun policies contribute to this disparity.

Standards for legal ownership and permits to carry a concealed gun are relatively lax in the U.S.

In most states, a person with a long history of arrests and convictions for misdemeanors (often pleaded down from felony charges), prior restraining orders for domestic violence and history of drug and alcohol abuse can own as many military-style weapons as he can afford to purchase, and can legally carry concealed guns almost anywhere.

Opinion: When will America wake up to gun violence?

Under federal law, anyone wanting to purchase a firearm from a licensed gun dealer must pass a background check. But in most states, the gun dealer who stands to profit from a gun sale, rather than a law enforcement agency, determines the authenticity of purchasers' identification cards. Gun dealers face little consequence if they fail to account for dozens of guns upon inspection.

Data indicating which gun dealers sell the most guns linked to crimes are kept from public view and cannot be used in decisions about the dealer's license. Illogically, federal law and most state gun laws allow firearm purchases from private sellers with no background check or questions asked. As a result of these policies, it is far too easy for dangerous people to own, carry and ultimately use guns.

Following mass shootings, gun control opponents have not been bashful about pushing for laws to remove restrictions on carrying guns in schools, bars and churches. Indeed, calls for removing restrictions on carrying concealed firearms will not stop mass shootings. Research indicates that so-called right-to-carry laws don't reduce violence, and may increase aggravated assaults.

But studies I have conducted indicate that stricter regulations of gun sales, whether by retail dealers or by private sellers, are associated with fewer guns diverted to criminals. Moreover, national national surveys show that a large majority of citizens favor these reforms to our gun laws, including most gun owners.

In addition, there is substantial research showing that law enforcement strategies that focus on deterring illegal gun possession reduce violent crime. Public health initiatives in Chicago and Baltimore, which use reformed ex-gang-members to reach out to youth, mediate disputes and promote alternatives to violence, have also been shown to significantly reduce homicides and shootings.

More than 30,000 people die every year from guns in the U.S., and more than 400,000 are victims of nonfatal crime committed with guns. The economic costs are staggering -- an estimated $100 billion annually.

Only a small fraction of these deaths are connected to mass shootings. But the mounting deaths and associated trauma from mass shootings should motivate us to take action to make needed reforms to our gun laws, focus law enforcement resources on combating illegal gun possession and invest in prevention initiatives proven to reduce gun violence.

America's high rate of gun violence is shameful. When will we change?

The opinions expressed in this commentary are solely those of Daniel W. Webster.

@highlight

Some people argue that gun control is irrelevant to mass shootings

@highlight

Daniel Webster: But mass murderers often use firearms with large ammunition capacity

@highlight

He says there is no need for any civilian to have such powerful weapons

@highlight

Webster: We need stricter regulations of gun sales to reduce death by gun violence