(CNN) -- "Mass Effect 3," the final installment in the tale of Commander Shepard and his fight to save the universe, brings the series to a resounding and satisfying crescendo with tight combat, excellent storytelling and majestic visual effects.

Released in the United States on Tuesday, the game finds Shepard once again facing off against the Reapers, a race of sentient machines bent on eliminating all intelligent life in the universe. This time, the Reapers have come for Earth and Shepard must rally alien races from around the Milky Way to destroy this mechanical menace once and for all.

As in other "Mass Effect" games, players take on the role of Shepard and have many options to craft him (or her) any way they want. Six different classes, from soldier to sentinel, allow players to emphasize different strengths and powers -- including "biotic" telekinetic powers.

More inclined to straight-up combat? Choose a soldier or infiltrator. Would rather use the aforementioned biotics? Try being an adept or engineer. If you are looking for a good blend, choose a vanguard or sentinel.

The options allow players to find a character that best suits their style of play.

How you play also affects character development. As in previous games, the way Shepard talks to and treats others is measured in "paragon/renegade" bonuses.

Being helpful or friendly raises your "paragon" rating while being abrasive or uncaring raises your "renegade" score. Both affect how you are treated by other characters in the future and can definitely alter events later in the game.

All those options create the character that is cast into an epic story that has been eight years in the making.

Players who have played "Mass Effect 2" can import characters from older games, allowing pre-existing story lines to continue and for choices made in those games to be reflected in the new one. New players will get into the major plot lines quickly and easily, though, and won't feel like they are missing anything.

The game will have players hopping around the galaxy as Shepard recruits allies and builds up supplies from the multitude of races in the Milky Way. Of course, both the Reapers and Cerberus, a terrorist organization bent on human supremacy at any cost, cause problems for Shepard and his crew along the way.

Old friends return, new alliances are made and players will make choices that determine their ultimate success or failure in defeating the Reapers. Despite all the side missions and interactions, the main point remains taking back Earth.

Planet-scanning for "treasure" returns, but is vastly improved over what it was in "Mass Effect 2." Rather than having to survey and mine each planet for resources that may or may not be there, players can scan the system and find loot much faster than before.

The treasure can be war assets (which are important in the final scenario), artifacts that can be sold or traded, intelligence about different factions or fuel for your spacecraft -- a welcome improvement from an experienced player's perspective.

Invariably, there will be combat. Whether you choose to concentrate on biotic powers or weaponry, you are going to have to pick up a gun and shoot.

The game offers a good selection of pistols, shotguns, rifles and sniper rifles, which are fully customizable with add-ons that grant better accuracy, more ammo-space or extra damage to certain types of enemies. Add in biotic abilities that grant other advantages and you are ready to take on the galaxy -- literally.

The ammo is parsed out with thermal clips and is interchangeable between weapons, which is really helpful when you run out of one type of ammo. A single ammo pickup fills up all your weapons and ammo can easily be found on dead enemies or sitting on shelves.

Shepard isn't alone, either. Along the way, friends and comrades will join his quest. Two are selected for each mission. They also have special powers that can be used in concert with Shepard's own abilities to devastating effect.

Each potential squadmate falls into a particular class (soldier, engineer, etc.), so players can select those that either complement or contrast with their own abilities based on the mention. Plus, the sidekicks are often good for funny banter.

The environments are rich and varied. Scenarios look unique from planet to planet. The artwork is detailed and the universe feels alive. Other races have their own unique looks, not simply appearing as human rip-offs.

It all makes for a game that looks absolutely gorgeous.

However, all isn't perfect in the universe. There were some unusual visual glitches involving "camera angles." Characters were looking in the wrong direction, people would disappear during dialog, and, in one instance, a character's head was turned nearly 180 degrees the wrong way.

While not vital to the overall gameplay, those visual tics took me out of my immersion in the game and made for an unwelcome distraction.

In addition, if you are playing the Xbox 360 version, the game allows you to use the Kinect device to issue commands to Shepard and squad members. You can voice direct weapon switches, abilities and actions.

But ... if you don't want to use the Kinect, unplug it from your console. More than once, conversation in the room where I was playing had my characters doing things I wasn't expecting them to do.

There are plenty of surprises throughout the game. The big one was the availability of a female Shepard, which was sought after by many fans of the franchise.

But there are others. Major characters will die, entire species will be eliminated and every plot line that you can think of will get resolved.

Romance options are back and causing a bit of controversy. Early critics of the game are lamenting the same-sex romance possibilities. But, hey ... with a universe as big as the Milky Way, anything can happen.

And without giving any spoilers, the ending was a bit of a letdown for me, compared to all the excitement leading up to it. It left something of an unsatisfying aftertaste, but one that only ends up being a minor detraction from the entire adventure.

"Mass Effect 3" does a great job of answering all the lingering questions in the ME universe and gives players the best chance to determine not just their own fate, but the fate of the galaxy. It is a fitting end to a wonderful trilogy that put the players in the driver's seat from the very beginning.

"Mass Effect 3" will be available March 6 in North America, March 8 in Australia, March 9 in Europe and March 15 in Japan. It is playable on the Xbox 360, PlayStation 3 and Windows PC. It is rated M for Mature (17+) due to blood, partial nudity, sexual content, strong language, and violence. This review was done playing as a paragon infiltrator and as a renegade adept on a review copy for the Xbox 360.

@highlight

Despite all the side missions and interactions, the main point remains taking back Earth

@highlight

Players can import characters from "Mass Effect 2" in order for story lines to continue

@highlight

"Mass Effect 3" will be available March 6 in North America