(CNN) -- As Elizabeth Sullivan stood on the field at Comfort Zone Camp, staring out at the "normal" kids playing ice-breaker games and elbow tag, she realized, "It's OK to have fun."

Six months earlier, she lost her father when he collapsed while jogging at night. He died in the ambulance on the way to the hospital. The 12-year-old never got to say goodbye.

But not all of the one in seven Americans who lose a parent or sibling before the age of 20 learn to cope the way Sullivan has.

In fact, 73 percent of adults believe that their lives would have been "much better" had their loved ones not died when they were young, according to a survey released Monday by Comfort Zone Camp, a nonprofit provider of childhood bereavement camps, and Matthew Greenwald and Associates Inc.

Of the 1,006 adults surveyed, 110 had lost a parent before the age of 20, 52 lost a sibling, and 13 lost both. Participants had to be at least 25 years old to take part in the poll, which was conducted between November and December via the Internet. The margin of error is plus or minus 3.2 percentage points.

The majority of participants agreed that they would trade one year of their life for one more day with their departed parent. However, about 59 percent of people who lost a parent at a young age think they have become stronger as a result, saying that losing a loved one gave them a greater appreciation of family relationships.

There is not one way to interpret each individual's idea of "much better," said Pete Shrock, national program director at Comfort Zone. But with any loss, life is going to be different; however, that doesn't necessarily mean it's going to be worse.

"The family is a unit, and everyone plays a significant role in how that family communicates and works. ... It's like a link in a chain," he said. "When you move that link -- it doesn't matter if it's directly in the middle, to the left or the right -- there's a disruption in the chain, and it will never be the same."

About 85 percent of parents who lost a spouse said they wish there were more resources for their grieving children.

Kate Killion does, too.

Killion, 53, who lost her father suddenly when she was 8 years old, said there were very few bereavement services available for children in the 1960s.

"People didn't recognize how children process death and grief," she said. "The adults in my life tried to protect me by not talking about it. They thought I wouldn't think about it as much. That isn't the case. Giving children the chance to express their feelings and help them process [loss] is so important."

Killion started dealing with the loss when she was in her 20s by talking openly about her father -- something she could not do with her mother, who shut down after her father's death.

Killion said her brother, who was 12 at the time, never found the support she found.

"He just closed up. He's that way to this day," she said. "That's how much it changes your life. He was a vulnerable, confused little boy, and he still hasn't dealt with it. It stays with you forever unless you can really go there and deal with it."

Not only do siblings tend to deal with the same loss differently, there are many differences in the ways men and women handle grief, Shrock said.

While 38 percent of the women surveyed for Comfort Zone's study "strongly agreed" that "losing a parent was the toughest thing [they've] had to deal with," only 29 percent of men agreed.

Daddy's little girl is going to react differently to the loss of her father than the young man who just lost the person who was supposed to teach him to play catch and drive a stick shift, Shrock added.

Milestones such as proms, graduations and weddings are among the top concerns for many children and young adults. But for Sullivan, now 23,  it's more about the little things, like going to a college football game.

It's all about learning how to cope, she said, which she finally managed to do while making breakfast eight years after her father's death.

She was making pastina, an Italian dish she and her father used to make together.

After cracking an egg over the tiny pieces of pasta and butter in her pot, she began to stir quickly so the egg would spread before everything congealed.

"When we used to make it before I went to school, he would cheer me on and tell me to stir faster, 'stir, stir, stir,' " she said. "Making that pasta and thinking about him cheering me on and laughing was the most connected I've been able to feel to him. That's when I realized how I need to cope: by doing the things that make me feel connected."

There are always going to be good days and bad days, she said.

"I remember a lot of people telling me initially that I should write in a journal. That wasn't for me at the time. It's important not be afraid to try things and figure out what works for you. Be willing to talk to people .... There's not a right or a wrong way to grieve."

@highlight

One in seven Americans lose parent or sibling before age of 20

@highlight

Many people said they would trade one year of their life for one more day with deceased

@highlight

59 percent of people who lost parent at young age said it has made them stronger