(CNN) -- From the scorched corn fields of Kansas, to the storm-lashed hills of Nicaragua, an increasingly volatile climate is posing ever greater challenges for farmers around the world.

But opportunity is arising from crisis, through next-generation climate analysis tools that could make agriculture - the world's largest industry - vastly more efficient and profitable.

The Climate Corporation, founded by two ex-Google engineers, is dragging a famously technophobic industry into the digital era. Through exhaustive data modeling and an elite pool of climate and agriculture analysts, the Corporation is seeking to take guesswork out of the field.

"The increasing uncertainty in agriculture, with the changing patterns of weather we are seeing, is making it difficult for farmers to grow successful crops consistently," says CEO David Friedberg. "The tools we provide help farmers make smarter decisions based on analytical techniques, rather than intuition."

Data revolution

Friedberg sees "huge opportunities" to revolutionize a vast industry that employs over one billion people and occupies almost half the planet's total land, but has not adapted to the possibilities of data, despite its vulnerability to climate change.

The Climate Corporation's model produces hyper-local climate forecasts for individual farms, using satellite imaging, growth modeling and simulations. This is supported by decades of data, much of it from government sources, covering crop performance, soil properties, moisture levels and weather.

The free "Basic" platform allows farmers to monitor their land and crops, while the "Climate Pro" platform includes a suite of features such as to optimize use of nitrogen fertilizer, control pests, and plan perfect harvests.

"Fertilizer is the number one expense for farmers and they are basically throwing away money," says Friedberg. "We can help farmers decide how much fertilizer to put in the field at what point in the season, reducing what goes into the atmosphere and waterways, so that 100% goes to plants to deliver food."

While Friedberg is a strict vegetarian and keen to support environmental protection, his priority is to convince farmers with an economic argument.

"I don't see collective action on climate change in agriculture. We need to create commercial incentives to change behavior, that's where we can be successful."

The company estimate they can make $20 billion in efficiency savings in the U.S. by applying their data models, and increase corn field yields by 30% an acre.

"Our initial results show a 10-20% increase in yield," said Tim Malterer, a Minnesota farmer that uses the software.

More with less

With the UN's agriculture body claiming that the food supply needs to increase 70% by 2050 to meet the needs of a growing population, without cultivating new farmland, there is an imperative for the industry to do more with less.

The challenge is daunting but the Corporation's ambitions are on a global scale. Having been recently acquired by Monsanto in a $1 billion deal -- which Friedberg claims has not altered its work -- the group has vast resources.

Its technology covers 50 million acres in the U.S., including a third of total land for corn and soybean, serving thousands of farmers. This figure is growing rapidly, and its platforms will be rolled out internationally from 2015.

That level of adoption would enable dramatic changes in the industry. Friedberg would like to see farmers choosing different crops to suit the climate data -- such as switching from wheat to corn in Canada as the weather warms -- and planning five-season cycles that use a better understanding of the changing properties of soil.

Optimal performance

The opportunities for data in agriculture are also shown by Edyn, a Californian startup that emerged from one of the state's worst ever droughts.

"Around the world, water stress has been one of first impacts of climate change on agriculture," says founder Jason Aramburu. "But most farmers still haven't adopted water saving techniques."

With award-winning designer Yves Behar, Edyn produced a multi-faceted sensor that allows growers to micro-manage their plots, providing constant readings on moisture level, with a connected water valve that keeps the level optimal. It also gives readings of light, temperature, humidity and fertility so that even inexperienced users can sustain high performance yields.

The device, which more than trebled its crowdfunding goal, is initially targeted at smaller growers. But Aramburu wants to build immense data sets from environmental input, which would scale to the needs of high volume food production. The sensor is undergoing trials with major farm operators.

Aramburu is confident about the integration of data, but believes the industry must change now to protect livelihoods and the environment.

"It's a question of when, not if," he says. "This is as big an opportunity as the Internet was, in one of the last big industries that has not adopted big data.

"If we do nothing, more farmers will have to leave their land over the next decades...which means creating new farmland, which would have a dramatic environmental impact."

Data modeling in agriculture has great potential, believes Mckenzie Funk, author of "Windfall," an investigation of how businesses are adapting to climate change and in some cases seeking to exacerbate it.

"Hyper local data can't hurt macro farming, although it's still early for the science and we may not see the full effects for five or 10 years," says Funk. "If efficiencies deliver profits that will be a major incentive for change."

Funk adds that improving efficiency of existing farmland would have less negative effects than cultivating new land, and hopes the concept is expanded.

"I don't think there's a problem with people making money from climate change. My only concern is whether the technology would be expanded to farmers everywhere, whether they can afford it in places like the Sahara, otherwise the effects (of climate change) will continue to get worse."

With the right information, even the most extreme conditions can be profitable.

Read this: Tinder for business: Big data matchmaking transforms recruitment

Watch this: Perfect bra decodes what women want

Read this: Groceries sent right to the trunk of your car

@highlight

Hyper local climate analysis enables profit from weather

@highlight

Agriculture has "huge opportunity" after neglecting big data until now

@highlight

Farmers must change where, what and how they grow

@highlight

Livelihoods and environment under threat without urgent action