On July 4, 2010, Pope Benedict XVI traveled to Sulmona for his second visit to venerate the relics of his long-ago predecessor, Pope and St. Celestine V, who died in 1296. Few predicted then that just a few years later, Benedict and Celestine would be locked together in history as the two popes who retired, theoretically voluntarily, because of their age.

Here is what Celestine wrote: "We, Celestine, Pope V, moved by legitimate reasons, that is to say for the sake of humility, of a better life and an unspotted conscience, of weakness of body and of want of knowledge, the malignity of the people, and personal infirmity, to recover the tranquility and consolation of our former life, do freely and voluntarily resign the pontificate."

Compare that to Benedict's statement: "In today's world, subject to so many rapid changes and shaken by questions of deep relevance for the life of faith, in order to govern the bark of Saint Peter and proclaim the Gospel, both strength of mind and body are necessary, strength which in the last few months, has deteriorated in me to the extent that I have had to recognize my incapacity to adequately fulfill the ministry entrusted to me. For this reason, and well aware of the seriousness of this act, with full freedom I declare that I renounce the ministry of Bishop of Rome, Successor of Saint Peter."

When Pope Benedict went to write his letter of resignation, there can be little doubt that he turned to Celestine's example, the "papal bull" (official letter) from 1294 that affirmed the right of the pope to resign and the legal canons that followed codifying the practice.  For the Catholic Church, those 13th-century words stand as relevant and legally valid.

Celestine was an interesting fellow, and his life, short papacy and long legacy offer some examples for us as we absorb the surprise of Benedict's resignation.

Stanley: Why pope will be remembered for generations

Celestine himself had quite the surprise in July of 1294, when a group of religious and lay Catholics ascended to his mountain retreat and informed him that the Sacred College of Cardinals had just unanimously elected him as the new pope. Celestine, born Pietro del Murrone, was a Benedictine ascetic who spent most of his religious life seeking isolation as a hermit in Abruzzo, but he emerged as a consensus candidate when the cardinals could not agree on any of the usual suspects.

The choice was a disaster. King Charles of Anjou (and Naples), a powerful ruler of the era, tried to use him as a pawn to gain legitimacy over Sicily. Celestine created new cardinals without due process, gave the same title to multiple people and in general seemed to have trouble saying no.  Elected in July at 79 and crowned in August, he resigned the papacy in December.

Ten days later, his chief lawyer and likely author of the new papal bull permitting resignation, Benedetto Gaitani, became Pope Boniface VIII. Boniface eventually imprisoned the now ex-Pope Celestine and kept him under close watch until he died two years later.

Celestine's legacy, in some ways, became even more interesting than his life.

Boniface spent his early career undoing all of Celestine's acts and trying to restore the papacy to political prominence. But within a few years of Boniface's death in 1303, Pope Clement V, his successor, moved the papacy to Avignon, France, repudiated Boniface and quickly began canonization proceedings for the soon-to-be St. Celestine.

What does this have to do with Benedict? Did his two visits to Celestine's tomb and words of admiration for the saint, hermit and pontiff convey a secret message that Benedict was contemplating retirement? Are the parallels even stronger than Celestine and Benedict being the two popes to resign on account of age?

Historians regard Celestine's claim of "personal infirmity" with considerable skepticism, focusing instead on "the malignity of the people" and pressure from his eventual successor as the real reason for his unprecedented resignation.

Opinion: Huge challenges await next pope

For Benedict XVI, the line, "shaken by questions of deep relevance for the life of faith" stands out to me.  What are these questions of deep relevance? Benedict was speaking of a shaken world (the Latin version makes this clear), but is he perhaps shaken too by his time on the throne of St. Peter?

Each reader may well imprint his or her own issues onto the mind of the aging pope.

Is he concerned about the ongoing, devastating revelations about pedophilia in the Catholic Church and related coverups? The "Vatileaks" scandal and the corruption it alleges? Does he just believe that the Catholic Church will need new leadership to face the challenges ahead? Or are his concerns more personal? Like Celestine, is he seeking "tranquility" and a quiet path to his final days?

I doubt we'll ever know more than we do right now.

Pope Benedict XVI's legacy is likely to be heavily contested in the years to come.  Particularly since his election, Benedict has stood as the symbol on which those discontented with the direction of the church focus on their ire.  Others, concerned about the changes of Vatican II -- the council convened in 1962 that transformed so many Catholic practices -- see in the current pope and his allies an attempt to restore the older, traditional church that they love.

Celestine's legacy, likewise, depended very much on the eye of the beholder. Ascetics revered him, seeing him in a true divine pontiff in contrast to the infernal anti-popes that followed. Petrarch, the great Italian poet, took a neutral stance, suggesting that Celestine was just embracing his true gifts of solitary contemplation.

Dante, on the other hand, condemned Celestine for his cowardice, writing, "che fece per viltade il gran rifiuto / Who made through cowardice the great refusal." (Dante, Inferno, Canto IIi 60).

How will our poets, prophets and people come to see Pope Benedict's resignation? To even begin to answer that, we will need to see who emerges from the basilica when the white smoke rises above St. Peter's Square.

@highlight

David Perry: Pope Celestine V, from 1296, and Pope Benedict XVI both resigned

@highlight

He says Benedict likely turned to example of Celestine, who codified pope's right to resign

@highlight

Does Celestine's reference to "malignity" of people find echo in Benedict's resignation letter?

@highlight

Perry: Some guess pope is fleeing scandal-plagued church; others think he seeks tranquility