(CNN) -- The plight of a 10-year-old Pennsylvania girl who could die within weeks without a lung transplant has sparked a fight for new rules governing organ donations.

Tens of thousands of people have signed a petition on Change.org, and a congressman has called on the Obama administration to take quick action.

Sarah Murnaghan -- whose story CNN chronicled -- needs new lungs. She's been in a Philadelphia hospital for months due to the cystic fibrosis that she's had since birth.

She's at the top of the list for any pediatric lungs that may become available for transplant in her region. She's been waiting for 18 months. None have come along.

But doctors say modified adult lungs could help save her -- and adult lungs become available much more often.

That's where the rules becomes a problem.

Kids under age 12 aren't prioritized for adult organs. So Sarah could only get available adult lungs if everyone else waiting for lungs in her region -- no matter how sick they are -- turns them down.

Sarah's mother, Janet Murnaghan, told CNN she was "shocked" when she learned the rules a couple of weeks ago.

The United Network for Organ Sharing (UNOS) manages the nation's transplant system under contract with the Department of Health and Human Services. The network, established by Congress, is officially called the Organ Procurement and Transplantation Network (OPTN).

Lawmaker assails 'tragic unfairness'

Rep. Patrick Meehan, a Republican who represents Sarah's district, sent a letter Tuesday to Secretary of Health and Human Services Kathleen Sebelius, calling on her to convene a meeting of the network's leadership immediately "to address this tragic unfairness and act to give Sarah a chance at life and an adult lung from the next available donor. Sarah's young life literally hangs in the balance."

It's a message echoed on the Change.org petition.

"This policy needs to change," it reads. "The OPTN/UNOS Lung Review Board, a national group of transplant physicians and surgeons, can make an exceptional ruling for Sarah. And they can recommend new policies."

People posted heartfelt messages along with their signatures.

"Because my daughter had (cystic fibrosis) and a double lung transplant. Give this little girl the life she is entitled to!" wrote Reyna Kosla.

"She has just as much right to have a transplant as any adult. She could have her whole life if given that chance and for the parents to enjoy what some waiting adults have already experienced," wrote Lorraine Husack.

Organ network: Breaking the rules could hurt another patient

OPTN issued a statement noting that there is a separate policy for children because the "biological needs and circumstances of candidates younger than age 12 are different from either adolescent or adult candidates. One key difference is the size and lung capacity of donors and patients among these age ranges."

Kids younger than age 12 are prioritized for donations from other kids of similar age and size within a 1,000-mile radius.

Policies allow "status adjustments for specifically defined groups of candidates with unique medical circumstances not addressed by the overall policy," the statement says.

But, it adds, a "request to adjust the status of a patient under age 12 so that they may be included in the allocation sequence for adolescents and adults is not within the scope of the existing lung allocation policy. OPTN cannot create a policy exemption on behalf of an individual patient, since giving an advantage to one patient may unduly disadvantage others."

The network routinely reviews policies and considers "public input as well as medical data and experience," the statement said.

Dr. Stuart Sweet, a board member at UNOS, helped develop the current policies.

"There is no perfect system," he told CNN. "It's the best we can do right now."

Sweet said Sarah's story "tugs at his heart" but that if he changed the system for Sarah's advantage, "there's another patient, very likely an adolescent, who gets a disadvantage."

"We've built a system that tries to be as fair to everyone as possible."

CNN's Chris Welch, Zain Asher, and Jennifer Bixler contributed to this report.

@highlight

10-year-old Sarah Murnaghan could die within weeks if she doesn't get new lungs

@highlight

Rules allow children to be prioritized for similar size organs, but not adult organs

@highlight

A lawmaker calls on HHS Secretary Sebelius to convene a meeting immediately

@highlight

The agency managing organ donations and transplants says breaking rules could hurt patients