(CNN) -- Word that President Obama might pile comprehensive immigration reform onto his already-full plate reignited calls from some for an urgent overhaul and brought cries from others that the timing couldn't be worse.

New citizens take the oath of citizenship during ceremonies in Montebello, California, on Thursday.

"It's more important than ever to address immigration reform right now," said Ian Haney Lopez, a professor of law at the University of California-Berkeley.

The financial and cultural dynamics of the economy make reform so urgent, he said.

"I worry that in the context of an economic downturn, the cultural response of that economic downturn will be to search for someone to blame, and that someone usually turns out to be a foreigner or someone perceived as foreigner," he said.

As a financial dynamic, he said, the economy also calls for immigration reform: "It's a mistake to understand immigrants as a drain on the economy. Immigrants in fact are the engine of development in this country and always have been," he said.  Watch: Is the push for immigration reform real? »

But Carol Swain, a professor of law and political science at Vanderbilt University and author of "Debating Immigration," has little hope that Obama will be the president to reform the system.

"I think the timing could not be worse. I don't understand the timing behind even raising the issue right now with the economy being as poor as it is," said Swain, who has identified with Democrats and independents but recently switched to the Republican Party.

"There's just so many Americans of all groups that are unemployed or their future is so uncertain," she said. "It's not a good time to be talking about allowing people who are holding jobs and not entitled to to remain in the country, and continue holding those jobs."

There are roughly 12 million illegal immigrants in the United States. Obama has supported a combination of enforcing laws and opening up the system. He wants to see a pass for citizenship that would mean having an illegal immigrant pay a fine, learn English and then get in line for citizenship. Critics refer to that "path to citizenship" as amnesty.

Robert Rector, a senior research fellow at the Heritage Foundation, said the United States has a de facto amnesty situation now, because laws against hiring illegal immigrants aren't enforced.

"If you did enforce it, it would open up many new job openings for American workers who are currently unemployed and need those jobs," he said.

Legalizing workers and granting amnesty, he said, "is a massive bailout for illegal immigration. It's a pillaging expedition on the American taxpayer."  Watch arguments for and against immigration push »

But Haney Lopez argues that the populist outrage about immigration is "based on a myth."

"And the myth is that these are people who are sneaking across the border but otherwise have no contact with the country and whom the country otherwise rejects. That they're wholly unwelcome. And that's just not reality," he said.

The United States and Mexico -- as well as other parts of Latin America and Asia -- have had a pattern of circular migration for more than a century, he said.

"We are a country of immigrants, and immigrants have always been essential to who we are culturally and socially. So it's simply a mistake to see these people as somehow interlopers," he said.

He sees amnesty as a solution, since undocumented workers are coming to the United States because of the demand.

If immigrants were given amnesty and the opportunity to work for minimum wage, Americans wouldn't see themselves as in competition with the undocumented workers, he said.

"The way to reduce the attractiveness of immigrant labor is to legalize immigrant labor," he said.

The White House downplayed reports Thursday that the Obama administration would push for reform as early as next month, clarifying that while the issue is a priority, the economy comes first.

One senior administration official cautioned that immigration will not be on the same track as other key initiatives, like health care and energy, and nobody's promising legislation or a vote this year.  Watch more on Obama's plan to tackle immigration reform »

As a candidate, Obama promised immigration issues would be a priority in his first year. He won 67 percent of the Latino vote. Fierce critics of his plan say that's exactly what this is about.

"There's no way the American people are going to understand a move, a big move for an immigration amnesty now as anything other than a naked party power grab of putting party interest above public interest," said Dan Stein, president of the Federation for American Immigration Reform.

Swain, the Vanderbilt professor, said immigration reform is something that must be done, "but it needs to be done in the right way." Involving special interest groups in designing the policy, she said, "would be disastrous."

She said the only way to truly reform immigration is by having an independent body develop a package for Congress to vote on.

Haney Lopez said that denying a route to legalization is "antithetical to American values," and by doing so, "we are creating a permanent caste system."

"That's very dangerous for a country like the United States founded on principles of equality and participatory democracy," he said.

CNN's Candy Crowley contributed to this report.

@highlight

"It's more important than ever to address immigration reform," one professor says

@highlight

Another argues reform is needed, but the timing is bad, given the economy

@highlight

As a candidate, Obama promised immigration would be a priority in first year

@highlight

One expert says populist outrage about immigration is "based on a myth"