(CNN) -- It seems everyone knows a college degree is important but few have a plan to keep it affordable.

Just this past academic year, tuition went up twice as fast as inflation and the cost of textbooks rose faster than tuition. Meanwhile, The New York Times recently reported that "wages have fallen to a record low as a share of America's gross domestic product."Â 

As a result, the average 2011 graduate left school with $26,600 in student loan debt, helping to push the country's total student loan debt past $1 trillion.

Combine that with an unemployment rate for recent college graduates of 8.9%, and you see the impetus behind the First World question du jour -- "Is college really worth it?" That's a question that is easily answered by the 23% unemployment rate for folks without a bachelor's.

Still, the threat of leaving school with crippling loan payments does bring up a more valid question: Should students continue to take out huge loans to pursue majors that don't have a clear path to paying that loan back? In other words, a job?

In an ironic showing of big government, Florida Gov. Rick Scott and Texas Gov. Rick Perry, both conservatives, decided to introduce plans in which state institutions charge less for STEM degrees (science, technology, engineering and math) than liberal arts degrees.

"We're spending a lot of money on education, and when you look at the results, it's not great," Scott told a crowd in Tallahassee in 2011. "Do you want to use your tax money to educate more people who can't get jobs in anthropology? I don't."

Â Â 
That's a pretty good zinger but it doesn't pass the smell test.

First of all -- to borrow language from the GOP script -- I don't think the government should be picking winners and losers. And state officials massaging tuition costs to lure students away from fields they don't approve of does just that.

There is a difference between an education and training. Just because the vocational outcome between the two might be different doesn't mean it's government's role to assign its value to society.

Not to mention the initial outcomes are not always black and white.

For example, recent college grads with a degree in architecture have a 13.9% unemployment rate, while English literature majors had a 9.2% rate, according to a study conducted by Georgetown's Center on Education and the Workplace. The report also found that communication majors had a lower unemployment rate than mechanical engineers and computer science majors. Recent information technology majors had a nearly 12% rate.

Instead of coercing students into certain fields by saddling liberal arts
with higher costs, Scott, Perry and others should concentrate on providing families with all the information they need to make informed decisions.

During his State of the Union Address, President Obama announced he was launching The College Scoreboard, a website that consolidates costs, student loan debt and other financial variables for each school to help families get "the most bang for your educational buck."

The information is useful but far from complete, according to Pauline Abernathy, vice president of The Institute for College Access and Success.
"They don't tell you what percentage of the students at the school borrowed," Abernathy told me. "So you can report a default rate at a particular school, but if you don't put that rate in context, it can be misleading.

"Also, the median debt number includes those that graduated and students that dropped out. So schools with high drop out rates and high borrowing rates come out looking far worse than what they actually may be."

Still, Abernathy credited the administration for giving parents a tool to help them make better decisions.

The next step should be incorporating research on which majors offer the best opportunities for jobs, so if someone's daughter or son wants a degree that doesn't train for a specific job, they can see what they are getting into in the long term.

Parents can joke about liberal art majors and kids coming back home after college, but it's an infringement on civil liberties for government to strong arm students into technical degrees by artificially manipulating costs.

Any official who's concerned about higher education in this country should address the skyrocketing costs, not demonize degrees they don't appreciate.
That's for parents like me to do.

I was standing in a long Starbucks line recently and decided to strike up a conversation with a college student who said something rather interesting.

"What's your major?" I asked.

"TV," she said.

The student went on to tell me that part of her focus was studying the history of television programming. I kept smiling and nodding at the appropriate time all the while thinking "I sure hope her parents are rich."

Normally I don't believe anybody should be telling folks what to study. But even I must admit the thought of kids borrowing tens of thousands to get a degree in "30 Rock" may require some intervention.

The opinions expressed in this commentary are solely those of LZ Granderson.

@highlight

Florida, Texas governors want state colleges to charge less for STEM degrees

@highlight

LZ Granderson: Government has no business deciding value of any subject to society

@highlight

Granderson: But recent grads fact a jobless rate of 8.9% and huge costs

@highlight

Granderson: Students should consider whether they can get a job to pay back loans