Dubai, UAE (CNN) -- The fact that Emirates, Etihad and Qatar Airlines bought more than $150 billion worth of commercial planes on the first day of the Dubai Airshow has surprised no one, but at the same time worried just about everyone in the airline industry -- well, everyone who's not working for the Gulf airlines. The sheer number of aircraft being purchased at this year's show is outstanding, amazing and a little bit disconcerting.

The headline deal is Emirate's eye-popping, jaw-dropping deals for 150 Boeing 777X airliners and 50 Airbus A380s, which comes at a time when other airlines are shunning the superjumbo.

Airbus risked ending the year without any A380 sales until the Emirates' order arrived. The industry wondered whether Airbus was going to slow down the A380 production line because of a lack of orders, as Boeing has done with its 747-800 assembly line. Emirates saved the day -- which, I confidently predict, means Emirates boss Tim Clark got a very good price for his new planes, way below the $403.9 million list price. With this order Emirates is the A380 fleet, owning more than 50% of all orders of the airliner.

Then there's the sheer number of Boeing 777X planes being ordered. Of the 259 planes announced at the Dubai launch of Boeing's revamped long haul aircraft, Emirates, Etihad & Qatar bought 225 of them! Poor Germany's Lufthansa snapped up 34 to be a launch customer, but no one is in any doubt: it will be the "Gulf Three" who will be back in the years ahead to take more by the dozen.

It sends a very strong message. The Gulf Three's position as global carriers is established and will only grow stronger. Emirates are already the largest airline in the world, after the U.S. carriers, as defined by Revenue Passenger Kilometers (the number of paying passengers multiplied by the number of kilometers flown.) All those wide-bodied planes with lots of seats mean they have the capacity to shift large numbers of people.

The U.S. carriers only maintain the top spots in the rankings because of their big domestic route network -- but internationally Emirates are number one and widening the gap over the competition. Take New York, where Emirates sends 2 A380s and a 777 every day to connect to their Dubai headquarters -- and there are plans to upgrade to 3 A380s as soon as possible.

So why is this worrying? Capacity! All these big planes have to be filled and there is a saying in the industry -- old planes never die, they just go into someone else's fleet. Many of the planes being ordered today in Dubai will replace aging planes in existing fleets. Those older aircraft won't be scrapped; they will be sold to secondary airlines at a cheaper price, and those airlines will often slash fares to fill the seats.

Capacity is the biggest killer of the industry in a downturn. It happened in 2001 where slowing demand turned the overcapacity into a crisis after the 9/11 terror attacks in New York. It happened again during the financial crises of 2008. Airlines found themselves with too many seats and too few passengers and had to mothball planes and slim down.

For the moment, the industry is enjoying growth of around 5% a year -- and with new markets emerging, the strong growth in aviation is continuing in front of our eyes. The worry is what happens when that slows and who gets hurt. I guarantee you it won't be the Gulf Three.

Forget arguments about subsidies, unfair competition, state-controlled airlines: Today's orders in Dubai are further evidence that the shift in aviation is happening even faster than most had believed likely. There may be much fuss made over the soon to-be-merged American Airlines & US Airways and the fight in the brutal skies of the U.S. domestic market, but globally, the Gulf Three are hoovering up the passengers.

None of these points will worry the Gulf Three. Capacity issues are someone else's problem for the time being. They are sitting pretty in the sweet spot of the new-world order in aviation. They have billion dollar brand-new airport hubs, sit at the crossroads of the world's growing markets and are able to connect any two points on the globe using the dozens of wide-bodied long-haul jets they have just bought.

Most important of all, the Gulf Three have their own individual strategies for growth. It's everyone else that's worried, and they should be.

@highlight

Gulf airlines strike more than $150 billion in commercial plane deals in Dubai

@highlight

CNN's Richard Quest: Huge deals by "Gulf Three" send strong message to rivals

@highlight

Big deals in Dubai show that power shift in aviation to Gulf airlines happening fast

@highlight

Quest: Gulf Three aren't worried, but everyone else should be