Editor's note: CNN Contributor Bob Greene is a best-selling author whose new book is "Late Edition: A Love Story."

Bob Greene says a beer summit wouldn't unite Chicago police veterans and protesters remembering 1968 conflict.

(CNN) -- Beer summits at the White House notwithstanding, not all controversies between the police and the citizens they serve are destined to turn into gauzy, orchestrated "teachable moments."

Some wounds are so deep that they just may last forever. Which is a lesson in itself.

As interesting an evening as I have spent this year took place earlier this summer on a Chicago, Illinois, street well west of downtown. "Just wanted to come spend time with some old friends," said Tom Dempsey, 67, as he arrived at the lodge of the Fraternal Order of Police, next door to a plumbers' union training center.

He had plenty of company. This was the first reunion of Chicago police officers assigned to the streets during the 1968 Democratic National Convention. Not to diminish the heat of the emotions in Cambridge, Massachusetts, this summer, but in terms of international attention being focused on a police department, what happened in Cambridge was rather mild.

The mayhem on the streets of Chicago during that long-ago August week, captured on film and in still photographs, has emblemized a moment in history. A federal commission used the term "police riot"; for more than 40 years the officers who were there have been offended and angry about that.

So here they were in 2009, retirees in shorts and in golf shirts, in natty blazers and in khaki trousers. "A celebration?" said Bill Jaconetti, 66. "A celebration of what? This is just some former police officers getting together to remember when we were asked to protect a great American city."

He fully understood it wasn't as simple as that; it never has been. The organizers of the reunion had elected to use uncompromising language on the Web site announcing the event. The anti-war demonstrators of 1968 were "Marxist street thugs"; criticism of the actions of the police was "unwarranted, inaccurate and wrong." The language was destined to get attention, and it did.

Thus, half a block to the west of the lodge this summer, protesters were gathering behind police barricades. They felt that the organizers of the police reunion had mischaracterized and purposely insulted the anti-Vietnam war demonstrators of 1968; the police, for their part, have long believed that they were the ones who were provoked at that Democratic convention, that they were goaded in ways that were guaranteed to culminate with violent confrontations.

Now, on this summer evening in 2009, the protesters, many of them not born in 1968, looked toward the arriving retired officers and chanted: "No justice! No peace! No riot police!"

The whole world wasn't watching. In Grant Park near Chicago's lakefront -- site of some of the ugliest convention-week battles of 1968 -- hundreds of thousands of people had congregated on this day in 2009. It had nothing to do with the police reunion. Taste of Chicago, the annual food-and-music festival, had opened its 10-day run.

Miles distant from that, out on Washington Boulevard, there were perhaps a few hundred retired officers in the lodge, and a lesser number of demonstrators to the west. Anyone three blocks away would have been unaware of either group. Many of the marquee players from the famous Democratic convention -- Abbie Hoffman and Jerry Rubin from the dissenters, the first Mayor Richard Daley from the city, Chet Huntley and David Brinkley from the national media that spread the pictures -- are dead.

And the former police officers who were approaching the front door of the lodge? "I know there were probably a lot of peaceful demonstrators in '68 who didn't want all that to happen," said John Wotring, 63, who had flown up from his home in Sanford, Florida. The one remnant from his life as a street cop is that the nickname his buddies had for him -- "Johnny Wo" -- is now, in retirement, a proud part of his e-mail address.

They're on the back nine of life. "You ask about your buddy -- you say, 'How's so-and-so doing?' " said John Murray, 62, who was 21 during convention week. "You get the answer: 'He died' " The calls of this year's protesters summoned certain echoes. Murray said: "I was the age of the demonstrators in '68. I was a kid, too. But all they saw was the uniform."

The two sides didn't speak to each other then, and not much seemed to have changed. "I think it's fine they're here," said retired officer Harold Brown. "It's a nice night. They're not hurting anyone." But the people chanting, kept at a distance, could not hear him. John Eshoo, 68, formerly of the 18th District, said, "Was I angry convention week? No. I was just so amazed that we were being faced with what we were being faced with."

There's never going to be common ground, or an inch given on either side, even after everyone who was at the famous convention is gone. "I had served as a Marine corporal in Vietnam for 13 months," said Ken Lavorata, 64. "And then I came home and joined the Chicago police and there I was."

The truly radical thing, on a 21st-century summer evening, would have been for someone to take down the wooden barricades at the end of the block and let the cops and those who were chanting toward them get together and talk. But if that was going to happen, it would have happened long ago. "I wasn't a big fan of the war, either," said retired patrol officer Murray, on a night so pretty it made you half-believe that life can be like that.

The opinions expressed in this commentary are solely those of Bob Greene.

@highlight

Bob Greene: Not all police-citizen disputes can be healed by a "beer summit"

@highlight

He says 1968 Chicago police veterans held a reunion this year

@highlight

He says their publicity sparked protesters, who held a rally nearby

@highlight

Greene: More than 40 years later, the sides haven't found common ground