(CNN) -- What does the United States have in common with Iran, Iraq and Saudi Arabia? Answer: the death penalty.

Together, the four nations killed 82% of the world's confirmed executions that year, according to Amnesty International. The world's most populous nation, China, won't release its execution stats.

State-sanctioned killing is a divisive issue for many reasons, not the least of which is an imperfect justice system. At the latest count, 1,369 people have been executed in the U.S. since 1976 and 144 people on death row have been exonerated, according to the Death Penalty Information Center. New York Law School Professor Robert Blecker writes, society kills some of its criminals intentionally "because they deserve it."

This is a topic worth discussing. That's why we hosted a CNN Google Hangout video conversation about this issue with CNN's Ashleigh Banfield and top legal experts.

One of the most amazing death row stories we talked about during Wednesday's hangout surrounded a South Carolina man named Edward Lee Elmore. He was in line to be another death row statistic, although his lawyers say evidence pointed to his possible innocence.

In fact, two federal judges wrote in an appellate court opinion that there was "persuasive evidence" that South Carolina Law Enforcement Division agents in the case were "dishonest." The judges also wrote that the case bore further evidence of "police ineptitude and deceit."

When he was 23, Elmore -- a mentally disabled African-American handyman -- was arrested in the 1982 rape and murder of an elderly white widow in Greenwood, South Carolina.

Elmore had never been convicted before. He insisted all along he was innocent.

After an eight-day trial, it took jurors mere hours to find Elmore guilty and deliver a death sentence.

During the appeal process, Elmore sat on death row for years, wondering when his time would run out. It looked bleak for him until a group of lawyers took a very close look at the case.

Elmore's lawyers said it looked like evidence was planted that made Elmore look guilty. They also said it looked like evidence was hidden that could have helped Elmore.

In 2011, a federal appellate court vacated Elmore's conviction, saying his trial lawyer provided constitutionally ineffective assistance.

Read the court's opinion

The next year, instead of waiting for the results of a new trial, Elmore took a prosecutor's offer to plead guilty, while being allowed -- as a judge put it -- to "maintain his innocence."

That's right. Elmore pleaded guilty to regain his freedom.

At 53, he would never get back the 30 years he spent in prison.

New York Times investigative journalist Raymond Bonner wrote that Elmore's case "raises nearly all the issues that shape debate about capital punishment: race, mental retardation, a jailhouse informant, DNA testing, bad defense lawyers, prosecutorial misconduct and a strong claim of innocence."

All of the facts will be laid out at 9 p.m. ET/PT Sunday during the premiere of CNN's Original Series, "Death Row Stories."

Top legal experts in our hangout included John H. Blume, one of Elmore's lawyers.

Hangout participants sent their questions to Blume as well as death row legal expert Robert Blecker and series Executive Producers Alex Gibney and Brad Hebert.

Note: An earlier version of this article referred to an editorial that reported a miscalculated percentage of death row exonerations.

@highlight

Watch a frank discussion with CNN about the death penalty at our Google Hangout

@highlight

CNN's Ashleigh Banfield led the discussion with death row documentary producers

@highlight

The debate also included death row legal experts John H. Blume and Robert Blecker