(CNN) -- With the search for the wreckage of Malaysia Airlines Flight 370 now concentrated in the southern Indian Ocean, any debris found could give investigators some clues as to what happened to the jetliner.

Scorch marks or soot would indicate there was a fire on board. How pieces of metal were bent or torn could tell investigators how the plane hit the water or whether it broke up in mid-air, several experts told CNN.

But the real prize is the doomed jet's flight data recorder, which may be far more difficult to recover.

"The debris that's floating is valuable. It can give us some information for the investigation," retired U.S. Navy Capt. Bobbie Scholley told CNN. "But we really still want to get the priority, which are the 'black boxes' of course, which will be on the bottom."

Malaysian Prime Minister Najib Razak announced Monday that a new analysis of satellite data puts Flight 370's last position "far from any possible landing sites." The airline notified the families of the 239 passengers and crew that "all lives are lost," as one of those relatives told CNN.

Aircraft and ships have been watching the seas far off Australia in search of possible wreckage from the Boeing 777 for days now after satellite photos turned up what could be debris from the doomed plane.

How 'groundbreaking' number crunching found path of Flight 370

That the search is concentrated so far off its planned Kuala Lumpur-to-Beijing course strongly suggests the crew was incapacitated, former pilot Alastair Rosenschein told CNN's "New Day."

"Let's be very clear about this: The aircraft would not have been in that location had the pilots had control of the aircraft, had they been conscious and had they had the desire to save their lives and land somewhere," Rosenschein said as the search commenced last week.

"So I would go on the premise that if the aircraft went down there, it was uncontrolled and ran out of fuel," he said. "And in fact, that location is consistent with the full length of time the aircraft could fly with the fuel load it had."

Former Air Force accident investigator Alan Diehl said the wreckage may show signs of a fire or explosion. The cockpit itself, if recovered, might reveal signs of fire or whether the jet's emergency oxygen system had been activated.

"Impact damage, certainly at the visible and especially at the microscopic level, looks a lot different than an explosion," he said.

And former commercial pilot Shawn Pruchnicki said pieces should reveal whether the plane plunged nose-first into the ocean, whether it gradually descended or whether it disintegrated overhead.

"We're going to be able to tell that by looking at the wreckage and looking at the deformity, now not only (how) it's compressed but how it's torn," said Pruchnicki, who teaches aviation safety at Ohio State University.

'They have told us all lives are lost'

Another marker of the tragedy -- bodies -- may yield more clues if found, Diehl said. Autopsies would reveal signs of smoke inhalation, while the extent of trauma might indicate how hard the aircraft hit the water, he said.

But why the aircraft ended up in the middle of nowhere is something the wreckage is unlikely to answer. That's what makes finding the flight recorders, especially the flight data recorder, so important, said Mary Schiavo, a former Transportation Department inspector-general and CNN aviation analyst.

"If the pilots were not speaking and there is no clicks or sounds of equipment, the cockpit voice recorder is not going to be a lot of help," Schiavo said. "But the data recorder will be a gold mine of information and it will literally tell everything that the plane did."

Another problem is the battery life on the locator beacons attached to the flight recorders. They are designed to transmit for at least 30 days, but could last up to five days longer, the manufacturer's president told CNN.

Finding those recorders will get more difficult with time, as debris starts to sink or get spread around by wind and ocean currents, former Navy captain Scholley said. The flight recorders are likely on the bottom already, she said: Searchers need to get ships into the suspected crash area "and try to get those eyes on any debris that we can find before that debris sinks and we lose that part of this search forever."

"Some of this debris may go on forever and end up washing ashore eventually, but by that time it is just too late for the investigation," she said.

@highlight

Bent, deformed or scorched metal could reveal clues to investigators

@highlight

The search area suggests Flight 370's crew wasn't in control of the jet, analyst says

@highlight

The flight data recorder is likely on the bottom, but would be a "gold mine"