Istanbul, Turkey (CNN) -- It was Newrouz, the first day of spring and the Kurdish New Year but was it also the beginning of a new era in Turkey's troubled relation with its Kurdish population?

There was certainly a mood of optimism in the southeastern city of Diyarbakir, where hundreds of thousands assembled not just to ring in the new but to try to draw a line under the past. They listened to a speech written by the imprisoned Abdullah Ocalan, founder of the Kurdistan Workers Party (PKK), and leader of a violent insurrection that began in Turkey in 1984.

The crowd broke into cheers when Sirri Sureyya Onder -- a pro-Kurdish Member of Parliament for the Peace and Democracy Party -- speaking on Ocalan's behalf, said the time had come "for the guns to be silent and to let ideas and diplomacy speak."

READ: PKK calls for dialogue in Turkey

The holiday mood was in stark contrast to previous Newrouz assemblies in the 1990s which were akin to intifada with rioters throwing Molotov cocktails and security forces firing back live rounds.

Yet for many in Turkey, pessimism is still the default mode. It is one thing, as Ocalan did Thursday, to call on PKK fighters to begin a controlled withdraw from Turkish territory. What his own supporters now want to hear is what they get in return. The key question is whether the Turkish government has the will and the political skill to meet a slew of Kurdish nationalist demands.

These are almost certain to include the right to use Kurdish as an official language in government offices and in schools and also for a form of political devolution. They will also demand the release of the large number (some put the figure at more than 8,000) of political activists now in pre-trial detention under Turkey's sweeping anti-terror legislation.

Finally, and most problematically, the PKK, will demand a means of rehabilitating their own militants, including if not actual freedom, some form of house arrest for Ocalan himself.

Turkey has every incentive for acting now and for acting quickly. One of Turkey's largest trading partners is now the Kurdish Autonomous Region in the north of Iraq. Ankara, too, is anxious to prevent the conflict in Syria, where Kurds are becoming ever more autonomous, from spreading over its border.

The long war of attrition with the Kurdistan Workers Party has been costly in terms of about 40,000 lives lost and an actual price tag some put at $1 trillion. A Turkey at peace with itself could be a potent force in the decades ahead.

Yet the Turkish Prime Minister, Tayyip Erdogan, knows he risks alienating his own supporters if he is seen to be making too many concessions, too rapidly. He called the Newrouz events a "positive development" during a trip to Holland, but then chided the crowds for their lack of patriotism in not waving Turkish flags. Even so, the government will be relieved that the rally did not become a show of the PKK's strength.

So, while the Diyarbakir meeting took the form of Ocalan addressing his supporters, there was another message to Turkish public opinion. The speech evoked the great moments of nation building in the country's history: the First World War battlefield of Gallipoli "when Turks and Kurds fell in battle shoulder to shoulder," the War of Independence and the First National Assembly.

Turks have long been taught Kurdish identity politics is a threat to national unity. If peace is to have a chance, they will have to get used to the idea.

For the imprisoned Ocalan himself, Thursday's rally in Diyarbakir is just the latest step in political rehabilitation. He was vilified as "a baby killer" when he was captured and extradited back to Turkey in 1999. However in recent months he has been the principal negotiator in the peace process. Last November, he was instrumental in having a hunger strike called off among imprisoned detainees.

In 1999, I sat in a purpose-built court house on the Turkish island of Imrali, watching Abdullah Ocalan being sentenced to death. His last remarks to the judge were far from contrite. He did not deny responsibility for leading bloody insurrection. Instead, he said it was time to move on. If the government ever intended to get the PKK down from the mountains and bring about peace they would have to come to him.

Nearly 14 years later, his words are coming true.

@highlight

Kurdish Workers Party (PKK) calls for dialogue to end violence that began in 1984

@highlight

Tens of thousands of lives lost during the conflict

@highlight

Sticking points to lasting peace include language rights and fate of prisoners

@highlight

Jailed PKK leader Abdullah Ocalan wrote speech calling for guns to give way to diplomacy