(CNN) -- The election of Aung San Suu Kyi to Myanmar's parliament capped a remarkable turnaround for the pro-democracy campaigner, who was kept under house arrest for a total of 15 years by the country's military junta.

Suu Kyi was born in 1945, the daughter of Myanmar independence hero General Aung San -- a man almost universally respected in the country, including the top ranks of the omnipresent military.

She was only two years old when her father was assassinated as the country, then known as Burma, prepared to transfer from British colonial rule. Her mother, Khin Kyi, became an active figure in the newly independent nation, eventually winning ambassadorial posts in India and Nepal.

Suu Kyi followed her mother to India and continued her education in New Delhi, which culminated in a degree in politics in 1964. She went on to Oxford University in England to study politics, economics and philosophy. It was here she met Michael Aris, whom she married in 1972 after stints working in the United States and Japan. The couple had two children, Alexander and Kim.

In 1988, Suu Kyi returned to Yangon, also known as Rangoon, to care for her sick mother. However she became involved in the massive pro-democracy demonstrations that erupted on August 8 that year, as thousands took to the streets to protest against the widespread oppression and economic mismanagement under the ruling military junta. This became known as the "8888 Uprising."

At one rally in front of Yangon's famous Shwedagon Pagoda, Suu Kyi told protesters she "could not, as my father's daughter remain indifferent to all that was going on." She became an icon of the country's reform movement and co-founded the National League for Democracy (NLD).

Myanmar: The lynchpin of Asia

But the uprising came to a shuddering halt in September 1988, when the military restored control after a brutal crackdown and imposed martial law.

At the funeral of her mother in January, 1989, Suu Kyi vowed that as her father and mother had served the people of Burma, so too would she, even unto death. Despite continuous harassment from the military -- including a ban imposed on her standing for election -- she continued to campaign until she was placed under house arrest in July, 1989.

When the military government called national elections in 1990, huge numbers of people turned out to vote for Suu Kyi and the NLD.

The result, an 82% landslide in favor of the NLD, took the military rulers by surprise. Refusing to acknowledge defeat, they claimed foreigners and communists had rigged the election. In the subsequent weeks, hundreds of NLD members were rounded up and jailed, according to rights groups.

In 1991, Suu Kyi was awarded the Nobel Peace Prize for what the Nobel committee described as "one of the most extraordinary examples of civil courage in Asia in recent decades." Suu Kyi's sons accepted the prize on their mother's behalf in Oslo, Norway -- she had rejected a release offer from the military in return for her agreement to leave Myanmar and withdraw from politics.

The NLD leader was eventually released in 1995 on the condition she could not leave Yangon.

Tragedy struck in 1999 when her husband died of prostrate cancer in London. The authorities in Myanmar had rejected his repeated requests to visit his wife, and instead encouraged Suu Kyi to visit her family abroad. Suu Kyi again rejected the offer to leave Myanmar, knowing she would never be able to return.

In 2000, she was placed under house arrest for a further two years, during which time she was conferred the Presidential Medal of Freedom -- America's highest civilian honor -- by U.S. President Bill Clinton.

But barely a year later, she was arrested after a clash between her supporters and a pro-government mob, resulting in a period of detention that would last until 2010.

One of the most bizarre episodes of her confinement came in 2009, shortly before she was scheduled for release, when American citizen John Yettaw snuck into her house -- reportedly by swimming across a lake -- and stayed for two days before being arrested. Yettaw told CNN he made the trip to save Suu Kyi from assassination.

The retired bus driver and Vietnam veteran from Missouri told his wife that he had a premonition he would become a political prisoner in Myanmar.

He was convicted of violating immigration laws, municipal laws, and the conditions of Suu Kyi's house arrest and sentenced to seven years of hard labor, though he was freed shortly after. Suu Kyi was initially sentenced to three years in prison after a military court found her guilty of violating her house arrest, but the head of the junta later commuted it to 18 months of home confinement.

On November 13, 2010, the pro-democracy campaigner was released and reunited with her sons. Despite spending 15 of the previous 21 years under house arrest, she pledged to keep working toward restoring democracy and improving human rights in Myanmar.

Her release came too late for the national elections that year, which saw the military-backed Union Solidarity and Development Party led by President Thein Sein -- prime minister under the junta -- declare victory despite accusations of voting irregularities and voter intimidation. Suu Kyi and the widely-popular NLD boycotted the vote.

Despite widespread criticism of the electoral process, the vote marked a turning point as the new government embarked on a serious of political and economic reforms that the U.S. described as "encouraging." In the past 12 months, the country has pardoned hundreds of political prisoners, secured a ceasefire with Karen rebels and has agreed to negotiate with other ethnic rebel groups.

In December last year, Hilary Clinton became the first U.S. secretary of state to visit the country in 50 years, a trip that included a meeting with Suu Kyi. Clinton said the pro-democracy activist had been instrumental in helping to gauge the U.S. diplomatic approach to Myanmar.

"She is someone who we talk to and rely on about policy advice, and certainly we were very gratified that she encouraged us to engage, encouraged my trip," Clinton told reporters at the time.

The following month, Suu Kyi registered to run for a parliamentary seat in the April 1 by-election, while her party was formally given approval to enter the contest. She was greeted by huge crowds as she took her campaign across the country, and appealed for "freedom from fear" in her first televised campaign speech.

With the spotlight on the electoral process after the problems of 2010, Suu Kyi claimed that the April vote would not be "free and fair" but that she did not "at all regret having taken part" because the election campaign had raised political awareness among Myanmar's population.

Suu Kyi said she believed President Thein wished for democratic reform, but that she was uncertain how much support he had, notably from the military.

Suu Kyi claimed victory in the constituency where she ran -- Kawhmu, south of the former capital city of Yangon -- while her party was victorious in 43 of the 44 seats it contested.

In late May, the newly-elected Parliamentarian left Myanmar on her first foreign trip in 24 years. She received a rapturous welcome in Thailand where she spoke to Burmese migrants who told her of their desire to return home.

Addressing delegates at the World Economic Forum, Suu Kyi warned against "reckless optimism" over the current pace of reform in Myanmar.

"Optimism is good but it should be cautious optimism. I have come across reckless optimism. A little bit of healthy skepticism is in order," she said.

In mid-June Suu Kyi embarked on a 16-day trip around Europe that is to include her acceptance of the Nobel Peace Prize that she won while under house arrest in 1991.

@highlight

Aung San Suu Kyi is the daughter of assassinated Myanmar independence hero General Aung San

@highlight

She became involved in the pro-democracy demonstrations that erupted on August 8, 1988

@highlight

The ruling military junta in Myanmar first placed Suu Kyi under house arrest in 1989

@highlight

Suu Kyi last released in 2010 and has now won a seat in the country's parliament