BIRMINGHAM, Alabama (CNN)  -- Detroit, Michigan, is often thought of as the automaker capital of the country, but increasingly, foreign auto plants are heading south, to a region known for more than its charm.

Toyota's plant in Georgetown, Kentucky, is as big as 156 football fields.

Almost every foreign auto factory that's opened since the '90s has sprouted below the Mason-Dixon Line. Two of the three auto plants under construction also are in the South.

Plants typically establish their roots in what is known as the auto corridor -- a roughly 200-mile-wide stretch that runs from Michigan to Alabama.

"The northern end is more heavily dominated by the traditional Detroit-base assemblers and their supplier base, and then the foreign automakers and their supplier base tend to pull a little further south," said Thomas Klier, a senior economist with the Federal Reserve Bank of Chicago who specializes in the auto industry.  Check out auto plants across the corridor »

So what's behind the South's charm? It has a lot to do with the people, experts say.

"If you don't have people, you don't have economic development," said Michael Randle, president and publisher of Southern Business & Development. "People drive economic development and that's why the South has gone from being dirt poor 50 years ago to leading this country's economy."

The South's population is growing much faster than the Midwest, which is home to the Big Three: Chrysler, Ford and GM. Between 2000 and 2030, the South's population is expected to increase by about 43 percent, while less than 10 percent growth is expected in the Midwest, according the U.S. Census Bureau.  See how the United States is expected to grow »

But it's not just the quantity of the people that matters. The quality of the work force was a big factor in Toyota's recent decision to build a plant near Tupelo, Mississippi, according Dennis Cuneo, formerly Toyota's senior vice president and now an adviser to the company.  Watch how Toyota hopefuls are already preparing for jobs »

Northern Mississippi has been hit hard by the closing of furniture factories, leaving highly skilled workers looking for jobs. Those workers have the mentality the automobile makers want, Randle said. If it's broken, they are going to fix it, he said.

The automotive industry provides a much-needed bridge, connecting a labor pool that wants to work with an economy in need of a boost, Randle said.

And the plants bring in far more than their initial investment. The Mercedes-Benz plant in Vance, Alabama, for example, announced it would double its production just three years after it opened. Honda had a $450 million expansion in Lincoln, Alabama, that added another 2,000 jobs. For each job created inside an auto plant, experts estimate as many as six to eight are created in businesses outside.  Hear a worker describe how an auto plant changed his life »

Local leaders know how valuable the industry is -- worth enough to offer to foreign companies hundreds of millions of dollars in incentives -- including tax abatements, site preparation and employee training.

While companies remain mum on the topic, those local leaders have a big edge on the North: They are fighting to bring jobs to workers who aren't unionized, unlike much of the Big Three's workforce.

Unions increase overall costs at plants, Randle said, explaining that the foreign automakers are drawn to the South where unionization is not mandatory and where workers have resisted calls to join voluntarily. If a plant is unionized in the North, everyone must join.

No foreign assembly plants are unionized except for a few joint-ventures: the ones that started as projects between domestic and foreign companies.

"That's not a coincidence," Klier said. "That suggests pretty strongly that that does affect the location decision."

With all of these benefits playing in its favor, the South -- with its low operating costs -- has become the go-to place for this international industry, Randle said.

"A lot of economists were saying manufacturing was dead in this country and it's not coming back," Randle said. "It may be dead Massachusetts or New York or Detroit ... but it's not dead in the South. ... You have to make cars in this country." E-mail to a friend

@highlight

Almost every foreign auto plant that's opened since the '90s is in the South

@highlight

South's population is growing much faster than the Midwest

@highlight

South provides manufacturing workforce

@highlight

No foreign auto assembly plants are unionized