(CNN) -- Mercedes Smith walked out of Bedford Hills Correctional Facility after 20 years, hoping to become a productive member of society.

Shortly after she was released in June 2010, Smith found a part-time job. She was thrilled -- until she found out that working for $13 an hour meant her newly acquired Medicaid insurance would be terminated.

Medicaid, a federally run health program, is designed to provide coverage for low-income and disabled individuals. But in New York, where Smith lives, single adults without dependents who earn more than $8,994 a year don't qualify. In other states, the qualifying income level is even lower. Adults without children in nearly half of states don't qualify at all.

It's a population known as the working poor: They earn too much to qualify for Medicaid but not nearly enough to pay for private health insurance.

Smith chose to keep her job and prayed she wouldn't fall ill. She worries constantly about her atopic dermatitis, a skin condition that can be controlled only with a prescription medication cream she can't afford.

"I have to pick and choose when I go to the doctor," Smith said. "When I get really, really sick, I have to go to the emergency room."

Experts hope Obamacare will change that. They estimate that 30% to 50% of released U.S. prison inmates will be newly eligible for insurance under the Medicaid expansion that covers people who earn up to 133% of the federal poverty level: about $15,800 a year for a single person.

Twenty-five states and the District of Columbia have chosen to expand their Medicaid programs. And all states must now cover behavioral health treatments at the same rate as they cover physical ailments. So any inmate who qualifies for Medicaid or Medicare, and those who can afford health insurance, will be able to get help for substance abuse and mental health problems.

That care could be the "stay out of jail free" card former inmates need, experts say. Whether the infrastructure is in place to support those dreams is another question.

A chronic problem

Roughly 10 million people cycle through U.S. jails every year, according to Community Oriented Correctional Health Services, a nonprofit dedicated to improving connectivity between health care in and out of the justice system.

Most are there for short periods before they are determined to be innocent, post bail or are sentenced to probation. Only 4% are sent to prison to serve longer sentences.

"In other words, 96% ... return directly to the community from jail, along with their often untreated health conditions," nonprofit President Steven Rosenberg explained.

Those who end up in prison often have serious health issues. Nearly 40% percent of inmates have one or more chronic health problems, such as high blood pressure, diabetes or asthma, the Bureau of Justice Statistics (PDF) estimated in 2002.

Inmates are also three times more likely than the general population to suffer from a serious mental illness and four times more likely to have a substance abuse problem, said Amy Solomon, senior adviser to the assistant attorney general in the U.S. Department of Justice. The National Institute of Mental Health estimates that 64.2% of jail inmates have a diagnosable mental health problem, compared with about 26% of American adults.

Most private health insurance companies do not cover the incarcerated. Inmates who were covered under Medicaid upon entering prison have their insurance suspended or terminated, depending on state law, because of Medicaid's "inmate exception" rule.

But the real problem is not caring for this population inside, Solomon said; it's caring for them when they get out.

Until the Affordable Care Act takes effect January 1, inmates are some of the only people in the United States who are guaranteed access to health care. To deprive them of medical care would violate the Eighth Amendment, which prohibits cruel and unusual punishment, the Supreme Court has ruled on two occasions.

"A prison that deprives prisoners of basic sustenance, including adequate medical care, is incompatible with the concept of human dignity and has no place in civilized society," Justice Anthony Kennedy wrote in the more recent Brown v. Plata opinion (PDF) on May 23, 2011.

But when they leave prison, and most do, there are no such protections in place. Men and women who may have gotten their addictions under control or found the right medication combination to ease mental health symptoms behind bars are released into the community without a backup plan. Rosenberg tells of newly released prisoners who purposefully commit small crimes with the intent of returning to jail to get the surgeries they need for free.

"Access to health care can make a huge positive difference for this population," Solomon said. "If we deliver the right treatment to the right people at the right time, then we can improve public health, increase public safety and save taxpayer dollars."

Separate worlds

Advocates working to get former inmates the health care they need in the community have a favorite catchphrase: continuity of care. The goal is to have an appointment set up with a provider before the inmate is even released, said Tom Sullivan, Maryland's director of inmate health services.

The former warden remembers how his calls to community doctors used to go: "Can you see this patient? He's been incarcerated for 10 years. He's mentally ill. He's violent. And he has no insurance, so he isn't going to be able to pay for anything."

"It didn't work out too well," Sullivan said with a hint of sarcasm. "At least today, I've taken one thing off the table. ... You'll be able to be reimbursed."

There aren't a lot of data on whether access to health care will lower rates of recidivism or the rates at which offenders return to jail. But experts know that treatment of mental illness and substance abuse can help prevent criminal relapse (PDF).

A study done in the early 1990s called the California Drug and Alcohol Treatment Assessment (PDF) found that substance abuse treatment, in and out of prison, reduced the level of criminal activity among participants by about two-thirds. Since then, many studies have showed that addiction programs, whether participation is coerced or voluntary, reduce recidivism rates.

Washington state's Dangerously Mentally Ill Offender program identifies prisoners who pose a threat to public safety and provides them with mental health treatment for up to five years after their release. The state program has reduced felony recidivism by 42% among these former inmates, according to a 2009 report (PDF), and has saved taxpayers $1.64 for every dollar spent on treatment.

"The guy who robs banks for a living and sells drugs for a living, that's what he does," Sullivan said. "And when he gets back out, he's going to do it again. But when (the mentally ill) get out, they don't rush back in."

Judges would avoid sending these low-risk offenders to jail at all if more treatment options were available, said Pam Rodriguez, president and CEO of Illinois' Treatment Alternatives for Safe Communities. But state funding for community behavioral programs has long been lacking. Rodriguez believes it's only a matter of time until other states recognize the benefits of expanding their Medicaid programs.

Experts have also expressed concern that the physician shortage in the United States will only get worse in coming years due to the influx of newly insured patients. And although the "Health Homes" provision of Obamacare provides funding for facilities willing to coordinate primary, emergency and behavioral health care for individuals on Medicaid with chronic conditions, this kind of seamless communication between treatment providers simply does not currently exist in most cities.

"We are building the plane as we fly it," Rodriguez said simply. "And if anybody tells you differently, they are misdirecting you."

Reaching out

The bottom line is that the Affordable Care Act holds a lot of potential, said Dr. Emily Wang, co-founder of the Transitions Clinic Network, which encompasses 11 community health centers caring for recently released prisoners. But she cautions that it may not be the cure-all some are promising for America's inmates.

"Just because everyone is insured doesn't mean you have access to primary care. ... Just because you have insurance doesn't mean you want to go to a clinic or doctor," Wang said. "It doesn't mean you won't feel discriminated in a health care setting. It doesn't mean you'll feel safe."

Former inmates are looking for four specific things when it comes to health care outside prison walls, she said: access to providers within two weeks of release; doctors who know they have been incarcerated so they don't feel they have to hide their past; community health workers who can help them navigate the system; and a health care facility that has strong partnerships with other organizations in the community that can help them find housing, employment and legal services.

All are essential to encouraging this population to seek consistent care and stay out of jail, Wang said.

Mercedes Smith is working to address some of these issues as a policy specialist at Women on the Rise, an advocacy group in New York run by formerly incarcerated women.

"I realized upon being released from prison that we usually cling to people who have been in the same situation as us," she said. "I was lucky to have a great support system ... so I made myself out to be that support system for sisters and brothers coming home."

Smith plans to apply for Medicaid again under New York's expansion. Until it goes into effect, Smith said, she will continue to use "home remedies" to treat her skin condition and will avoid going to the doctor unless it's absolutely necessary.

"My biggest fear is that when I do get insurance, I'm going to have something wrong with me," she said. "It's going to be too late."

@highlight

Experts estimate 30% to 50% of released inmates will be newly eligible for Medicaid

@highlight

Even states that will not expand Medicaid will provide coverage for mental health treatment

@highlight

The infrastructure to support inmates in the community may not be available right away