(CNN) -- A quip often attributed to Albert Einstein defines insanity as conducting the same actions repeatedly but expecting different results each time. By that characterization, insanity has been running rampant in Vienna, where diplomats from Iran and the P5+1, the five permanent members of the U.N. Security Council and Germany, have extended the deadline for talks aimed at resolving concerns over Iran's nuclear program.

The problem is not the attempt to resolve the crisis through diplomacy, but rather that the current diplomacy neither takes into account past Iranian behavior nor the lessons from similar diplomacy two decades ago to resolve North Korea's clandestine nuclear work.

First, it's important to remember the root of distrust regarding Iran's nuclear program.

Iran has, for several decades, declared nuclear enrichment and experimentation to be its unalienable right. It signed the Nuclear Non-Proliferation Treaty, membership of which includes technology sharing and enrichment. Every signatory, however, must negotiate a Safeguards Agreement with the International Atomic Energy Agency, the United Nation's nuclear watchdog, an agreement the IAEA concluded in 2005 that Iran violated.

Efforts to resolve suspicion about Iran's nuclear ambitions are based on two pillars: Logic and behavior.

Iranian authorities repeatedly say they want an indigenous nuclear program to power their country and they seek energy security. The problem is that Iran only appears to have enough uranium reserves to provide fuel for eight reactors -- the number Iranian authorities seek -- for 15 years. Conversely, for a fraction of the cost of its nuclear program, Iranian authorities could refurbish and expand its oil and gas refinery and pipeline network and power itself for more than a century.

Then, of course, there's Iran's past behavior.

Accusations against Iran rest not on secret intelligence such as that used in the lead-up to the 2003 Iraq war, but rather on a litany of lies exposed by successive IAEA inspection reports. Countries seeking only a civilian program do not construct enrichment sites in secret, acknowledging them only after their discovery. Nor do countries pursuing civilian energy experiment with nuclear bomb triggers.

Iranian President Hassan Rouhani's past contributes to the questions over his motives.

In April 2009, for example, Rouhani reportedly bragged that when he earlier headed nuclear negotiations, he used the talks to distract the West while Iran upgraded its centrifuge capacity. And for all the discussion of Supreme Leader Ali Khamenei's supposed fatwa against developing nuclear weapons, no such fatwa exists on his webpage. Nor does it appear that Iranian officials quote it consistently, suggesting they may have simply made it up to confuse.

A key problem with the current diplomacy is that it fails to consider what it would take to force a real Iranian compromise. Iranian authorities up to and including Khamenei have sworn no compromise on Iran's right to enrich. Rather than challenge that demand, the Obama administration has acquiesced to it, in the process voiding multiple unanimous or near unanimous Security Council resolutions prohibiting Iranian enrichment.

While Iranian officials insist an enrichment freeze is a nonstarter, it is important to recognize that Iranian authorities have in the past reversed themselves on issues about which they have been equally rigid.

For example, revolutionary leader Ayatollah Khomeini compromised on U.S. hostages not because of the persistence of diplomacy, but rather because Iraq's invasion of Iran made Tehran's isolation too great to bear. In contrast, the Obama tactic of presaging negotiations by agreeing to unfreeze $7 billion in frozen assets and by allowing Iran to court new investment fails to increase Iran's isolation to its breaking point. Negotiation absent leverage always fails.

And even if an agreement is reached, there is no indication that it takes into account the vital lessons of North Korea: It has been just over 20 years since the United States and North Korea signed the Agreed Framework, a hard-fought agreement meant to return North Korea to the good graces of the Nuclear Non-Proliferation Agreement.

At the time, diplomats understood that the agreement was flawed, but they calculated a bad agreement trumped no agreement. In a subsequent book about their experience negotiating with the Hermit Kingdom, Bob Gallucci and his colleagues explained, "If North Korea could walk away from the treaty's obligations with impunity at the very moment its nuclear program appeared poised for weapons production, it would have dealt a devastating blow from which the treaty might never recover." Then, as now, preserving the treaty trumped all else, even if it meant creating the fiction of effectiveness.

And, just as the Obama administration appears frustrated with Israeli Prime Minister Benjamin Netanyahu for raising public objections to the deal, 20 years ago, the Clinton team did likewise after South Korean President Kim Young-sam raised doubts about the wisdom of the accord and the direction of negotiations in a New York Times interview.

Of course, in hindsight, South Korea was right.

North Korea viewed the agreement as a means to a cash infusion, not as an obligation to forfeit nuclear ambitions. But, as evidence surfaced that North Korea was cheating, diplomats sought to exculpate Pyongyang so as to preserve the appearance that diplomacy had worked. Indeed, the desire to keep diplomacy alive became so deep that when the U.S. General Accounting Office concluded in 1999 that it could not certify that North Korea was using food aid as stipulated in its agreements, the State Department objected on the grounds that to acknowledge cheating would undercut diplomacy. Ditto when the GAO reported that North Korea had diverted heavy fuel oil.

History shows that once a process begins, the State Department will not allow it to end. Keeping the talks alive soon trumps all other considerations, including their initial purpose: preventing nuclear proliferation. Alas, fiction can trump reality for only so long: North Korean nuclear tests belie the progress it made against the backdrop of diplomacy.

So, back to Iran: Assessing the Islamic Republic's previous nuclear negotiations, Iranian negotiator Hossein Mousavian once reportedly bragged that Iranian negotiators had "managed to make far greater progress than North Korea."

Regardless of what happens now an extension has been announced, one thing is certain: As disputes arise, diplomats will shift the goalposts to keep all sides at the table. And once again, diplomatic insanity will triumph as Tehran grinds closer to its end goal.

@highlight

Michael Rubin: Current Iran diplomacy doesn't reflect its past behavior

@highlight

Negotiators should draw lessons from North Korea talks, Rubin says

@highlight

Essential negotiators make use of leverage over Iran, he says