Filmmaker J.J. Abrams loves a certain level of mystery, paranoia and hidden meaning in many of the movies and television series he's created: The enigmatic island in "Lost." The sci-fi conspiracy behind "Fringe." The monsters kept hidden through much of "Super 8" and "Cloverfield."

Now, Abrams brings that same mysterious vibe to a new novel simply called, "S." The result of a collaboration between Abrams, who created the concept, and critically acclaimed author Doug Dorst, who wrote the book, "S." is part mystery, part romance and part puzzle -- an ambitious, multilayered and interactive story. (View the book's spooky trailer.)

Even as "S." is being unveiled in stores this week, it's still shrouded in secrecy. The thick hardcover comes in a slipcase and shrink-wrapped in plastic. Inside is what appears to be an old library book, titled "Ship of Theseus" by a writer named V.M. Straka.

It's a story about a man with no memory and no identity who is kidnapped and taken aboard a strange ship by a crew of mystery men. In the margins of the book are handwritten messages between two people; Jennifer, a college senior and Eric, a former graduate student. Both these stories unfold simultaneously and then intersect.

The "S." experience is like reading a novel while eavesdropping on a conversation. Also moving the two stories forward, there are removable photos, postcards, letters, newspaper articles, even a map drawn on a napkin, folded into the book. Using these clues, Jen and Eric, and hopefully readers, too, discover hidden messages and codes that lead to the book's climax. CNN recently spoke to Abrams and Dorst about how their collaboration came together. An edited transcript of the conversation is below.

Fast facts: J.J. Abrams & Doug Dorst

For fans of: Mysteries, romance, puzzles, experimental fiction, the TV series "Lost"

What else have they done: Abrams is the writer, producer and director behind TV shows including "Lost," "Fringe" and "Person of Interest." He also has directed a number of movies, including "Star Trek Into Darkness," and will direct the next chapter of the "Star Wars" franchise. Dorst is the author of the PEN/Hemingway-nominated novel "Alive in Necropolis" and the story collection "The Surf Guru."

Fun Facts: Abrams is a huge fan of "Downton Abbey" and visited the set of the UK-based drama earlier this year. Dorst teaches writing at Texas State University-San Marcos. He's also a three-time "Jeopardy!" champion.

CNN: What was the spark behind the book?

Abrams: About 15 years ago I was at LAX and I saw a Robert Ludlum novel sitting on a bench. I went over and picked it up. Inside someone had written in pen on the title page of the book, "to whomever finds this book please read it and take it somewhere and leave it for someone else to read." I just loved this idea that someone would use a book as a means of communication. What happens if you read the notes in it, what if you responded to those notes? Could there be a story or maybe even a romance that begins between two people over a book?

It was an idea I had for many years and finally I had to share it because it was driving me crazy. So we started trying to figure out: How do we make this happen? I was introduced to Doug Dorst, who came in and heard this crazy pitch that had a whole bunch of ideas but far more questions than answers.

Dorst: So, I went away to try and figure out how this book is going to work, given the story we're going to try and tell, how do we do that? How is the inner novel going to function, who are the characters? I came up with some ideas and we went back and forth developing those for the better part of a year. Then we put together a sample and sold the book. Since then it's been about two years making the rest of the book happen.

CNN: To me "S." reads as if Franz Kafka had written an episode of "Lost." How would you describe the novel to someone who hasn't read it?

Dorst: I love that description. Add to it, they find H.P. Lovecraft in a bunker.

Abrams: I think that it is a kind of wonderful cocktail of writing of a period, in a tone that feels really idiosyncratic but then it's got modern-day language and a very current rhythm. While there's an investigation into this author and the conspiracy that swirls around him, it's also a love story, actually more than one love story that develops. It's kind of a wonderful thing to see how it blossoms. I just think Doug truly outdid himself.

CNN: With the hidden messages and codes, the postcards and photos folded into the book, did you set out to create more of an interactive experience for the reader?

Abrams: When we first met it was part of our discussions that we wanted this thing to have not just notes inside but the idea that it could actually have some physical, tangible, removable pieces, of artifacts of their relationship and investigation in there. So it was part of the fun to imagine what it could be, but the truth is that kind of stuff can become gimmicky. Doug focused on telling the story, and it wasn't until we'd really finished the whole thing that the question came up: What would be the great wish list of things that we could have in there?

Dorst: My wish list was ridiculously long, but that was part of the fun, too. There were times as I was writing it might occur to me that there would be some sort of exterior piece of information or document that might go with that nicely and I would make a note of it. We didn't really sit down to figure out which ones would serve the story best until later.

Abrams: One of my favorites, there's this great letter from Jen and you realize there's no other way it would really fit in the book. It's a funny thing because when you're reading a book you're a little bit of a voyeur because you're entering into the author's world. The whole experience of "S." to me is literally almost reading someone's diary; it's actually two people's diaries. There are moments in the book that feel very personal and intimate. What I love about Doug's writing is those moments are earned. To me it transcends any gimmickry that the cautionary tale version of this book would end up looking like.

CNN: What book first inspired you when you were young?

Dorst: When I was a kid Stephen King's "The Shining" blew me away. That was the first book that just messed up my world in a really interesting and fun way. Later, when I was in law school and trying to get out, there was an amazing book by T.C. Boyle, "World's End," that made me realize, oh people can be writers, maybe I could do this.

Abrams: It's funny you say that, for me what I remember so clearly and I think I was 14 when "Night Shift," the Stephen King short story collection came out. That blew my mind and I got obsessed with him and read "The Dead Zone" and "The Shining" and others. "Night Shift" did for me what "The Twilight Zone" did as a TV series.

CNN: Will the two of you collaborate again?

Abrams: There are some things that we've talked about that could be pretty exciting, but we'll see how people respond to "S." first.

@highlight

"S." is a collaboration between filmmaker J.J. Abrams and author Doug Dorst

@highlight

The book is interactive, featuring hidden codes, removable photos, notes and letters

@highlight

Like many of Abrams' previous projects, the book has been shrouded in secrecy

@highlight

"S." is available in bookstores this week