(CNN) -- At first glance, it seems obvious -- of course Twitter and YouTube have the right to take down a video showing the American journalist, James Foley, being beheaded. The question is why taking it down is controversial at all. The answer, I think, shows how important services like Twitter have become, and how this has thrust unexpected responsibilities onto them.

Twitter and YouTube both have rules telling users what they can and cannot post, even though the volume of material they deal with necessarily means they're inconsistent in the application of those rules. YouTube's community guidelines go beyond saying that you can't post "bad stuff" that's against the law, "like animal abuse, drug abuse, under-age drinking and smoking, or bomb making." The site also won't let you post legal content that depicts "graphic or gratuitous violence."

Twitter's rules are more minimal, explicitly forbidding only porn in your profile photos, threats and harassment, and spam. But, if Twitter wants to add a new rule in response to a grotesquely violent posting, it's perfectly within its rights to do so.

That's because YouTube and Twitter are private websites. They don't have to post anything they don't want to. You'd feel the same way if you set up a site for people to post photos of their pets and someone started feeding it pictures of animals being beheaded.

Private sites have no obligation to support free speech. Free speech in America means the government can't tell you what not to say in public. If you don't like a private website's rules, go somewhere else on the Web or start your own site. That's how it works and it's how it should work.

And yet, it feels different for sites the size of Twitter and YouTube than for a little pet photos site. Our society has higher aspirations for free speech than that the government not censor us. We want a robust, vibrant public sphere in which ideas of every sort are welcomed and debated. And now we have the Internet, the greatest venue for free speech in human history.

Would you watch the video?

Sort of. Yes, anyone can talk on the Internet. We're no longer held back by the limited real estate of a daily newspaper or by the judgment of an editorial board. But talking on the Internet is like shouting into the ocean unless you find a place where there are lots of people ready to listen.

YouTube and Twitter are just such places. Not everyone will hear you, but your voice may not be totally drowned out, for these sites also provide ways for friends to connect with one another and with others who share their interests.

That makes sites like Twitter and YouTube especially important to our society. Their special role comes from what's known as "the network effect" -- they gain value simply from the fact that there are so many people there. This also makes them difficult to replace, because it would require masses of people to move to a new site that at its start has very few people there to speak with.

With a great network effect comes great responsibility.

Opinion: What is ISIS hoping its abhorrent beheading video will achieve?

We look to Twitter for special care in handling content fairly not only because free speech needs sites with lots of people, but also because Twitter has begun to play a unique and remarkable role in the ecosystem of news so important to informing us as citizens.

In one sense, Twitter is just a distribution system for news, most of which has first appeared on a professional news site. But, as the tweets from Ferguson have shown, it has also become the leading platform where news breaks before it gets picked up by the professional media. Twitter's stream of tweets is not only an amazing pool of eyewitness accounts of the sort compiled by journalists in their research, it is also a contextualized, socially refined end product.

This puts a special responsibility on Twitter to accept some of the norms of journalism. Twitter is not a news site, but if it were caught removing conservative or liberal tweets, there would be a firestorm for violating a prime journalistic ethic. Twitter has been vested with a responsibility, and a trust, it did not ask for.

Removing accounts responsible for propagating a video of the political murder of a journalist does not violate that trust; the national news sites also are not linking to that video. But the fact that we even wonder about Twitter's social and journalistic responsibilities shows how deeply the Internet has transformed our social and media ecosystems.

@highlight

Video of ISIS beheading U.S. journalist James Foley appears on social media

@highlight

David Weinberger: Twitter and YouTube can post anything they want

@highlight

He says private websites have no obligation to support free speech

@highlight

Weinberger: But since Twitter is a hub for debates, it has more duty to the public