(CNN) -- Dallas has long been a sociological curiosity. With its mix of sweeping ranches and high-end shopping, it's sort of a "country meets culture" destination. And you don't have to drive all over the metroplex (as the locals call the Dallas-Fort Worth area) to have a good time. All the food, fun and fanciness can be found in the 1.5-mile radius of downtown.

While the core of downtown Dallas has always been a thriving business district, it only recently began to attract visitors after 5 p.m.

Dinner and a museum

Take restaurants, for example. Drive down any downtown street and it's clear that food is definitely a big part of Big D.

"Dallas has more restaurants per capita than New York City," says John Crawford, president and CEO of DowntownDallas, a private organization that serves as downtown Dallas' leading advocate. He says that in the downtown area alone, there are 250 places to dine, ranging from the elegant French Room (1321 Commerce St.) in the grand Adolphus hotel to family-friendly pizza joint Campisi's (1520 Elm St., Suite. 111).

The fare is versatile, too: Sure, Dallas does Tex-Mex well, but the town also boasts plenty of places that offer twists on the basic burrito. Fuse (1512 Commerce St., Suite 100), a hip eatery that opened in 2006, serves up dishes like brisket pot stickers in a style they refer to as "TexAsian."

The only thing that rivals the restaurant scene in downtown Dallas is the arts scene. It's true. "We've got the largest urban arts district in the country," says Crawford. "It stretches across 17 continuous square blocks."

This includes the renowned Dallas Museum of Art (1717 N. Harwood) and the Nasher Sculpture Center (2001 Flora St.). Visitors often overlook the Crow Collection of Asian Art (2010 Flora St.), and it's free. For music there's the Meyerson Symphony Center (2301 Flora St.), and theater buffs can see plays, musicals and big-name comedy acts like Jay Leno at the Majestic (1925 Elm St.).

Downtown's revival

While the core of downtown Dallas has always been a thriving business district, it only recently began to attract visitors after 5 p.m. Like most cities, Dallas felt the effects of suburban sprawl in the early '90s. In fact, as recently as 1996, only 200 people called the central business district home, according to Crawford.

Now he estimates that in the next 18 months, there will be more than 7,000 residents just in the core of downtown. Crawford and his colleagues believe people are migrating downtown partly because of revitalization efforts and partly because of environmental concerns related to long commutes.

Whatever the reason, visitors to downtown Dallas are certainly benefiting from all of this migration.

"As you get more residential, you get a number of supporting services, and that's probably the reason for the number of restaurants that we have and the level of activity that's occurring," Crawford says.

Shopping and bar hopping

Included in that hustle and bustle is Dallas' favorite pastime -- shopping. First, there's downtown's flagship store, Neiman Marcus (1618 Main St.), which is celebrating its 100th anniversary this year. The Dallas-born department store paved the way for other retailers to set up shop downtown, including national chains like high-end men's clothing store Jos. A. Bank (1508 Commerce St.) and smaller, stylish boutiques like edgy and sophisticated Crimson in the City (1514 Commerce St.).

After a day of downtown shopping, you'll probably be inclined to check out the Dallas nightlife. (Where else are you going to show off your purchases?) Again, there's no need to leave the downtown area: You could hit the historic West End, where the preserved 19th-century buildings now house 21st-century attractions like restaurants and bars. It's got its share of obvious places like TGI Friday's, but also unusual eateries like Y.O. Ranch Steakhouse, which features an extensive wild game menu.

For the opposite take on the city, go to the opposite side of downtown. On the east end, you'll find funky Deep Ellum, where the vibe is young, artsy and eclectic. The area is known for its live music scene with bars like Club Dada (2720 Elm St.) featuring up-and-coming and even well-known acts. Even dinner can be offbeat if you check out Monica's Aca Y Alla (2914 Main St.). Folks come for the unique Mexican dishes as well as to sneak a peek at Monica, the restaurant's transgender owner.

Uptown holds the newest side of downtown -- Victory Park. The highlight of this area is the posh W Hotel (2440 Victory Park Lane) which boasts the trendy Ghostbar on its 33rd floor. Discriminating tastes will also appreciate N9NE Steakhouse. And just when Victory Park starts to feel like a mini-Vegas, you'll spot the colossal American Airlines Center (2500 Victory Ave.), home to the Dallas Mavericks and the Dallas Stars (just another reminder that even among all of this Victory Park privilege, you're still in sports-loving Texas).

Family favorites

Don't forget the kids; there's plenty for them downtown, too. The Dallas World Aquarium (1801 N. Griffin St.) offers marine life from around the globe in its 85,000 gallons of water. Plus, the rainforest section of the venue has non-sea creatures from South America like monkeys and toucans.

For some history, families can visit The Sixth Floor Museum at Dealey Plaza (411 Elm St.) in the West End. The National Historic Landmark District is the site of the assassination of President John F. Kennedy. The permanent exhibit focuses on the days leading up to the tragedy as well as the impact it had on the world.

Mild Texas temperatures allow visitors to be outdoors throughout all four seasons. And since there are more than 200 events every year, there's sure to be some sort of festival or parade going on, no matter when you visit. So pack your shopping shoes, your love of art and your appetite and head to Big D (cowboy hat optional). E-mail to a friend

@highlight

Dallas has more restaurants per capita than New York City, officials say

@highlight

The city's arts district stretches across 17 continuous square blocks

@highlight

Businesses are housed in preserved 19th-century buildings in the West End