(CNN) -- Technology keeps bringing us closer to a world where people can communicate freely across language barriers.

Google on Tuesday announced that its e-mail service, Gmail, soon will include an "automatic translation" feature for all users.

"The next time you receive a message in a language other than your own, just click on Translate message in the header at the top of the message," the company writes in a blog post, "and it will be instantly translated into your language."

The update will roll out in the next few days.

The announcement comes on the heels of another language-related news blip from the Mountain View, California, company. Google said last week that its Google Translate service -- which changes text from one language to another -- handles as much translation work in a day as human translators could manage in a year.

"In a given day we translate roughly as much text as you'd find in 1 million books," the company said.

That is, of course, pretty incredible. But all of this translation talk is also generating discussion about the weaknesses of current computer-translation technology.

Writing for The Atlantic, anthropologist Sarah Kendzior bemoans the fact that so many languages aren't represented by Google.

"Since its inception in 2006, Google has added 65 languages from areas extending across much of the world, though two exceptions stand out: Central Asia and sub-Saharan Africa," she writes. "No languages from Central Asia -- such as Pashto, Usbek, and Uyghur -- make the Google cut. Neither do the African languages Hausa, Yoruba, or Zulu. The sole inclusions from sub-Saharan Africa are Swahili and Afrikaans."

Furthermore, accuracy is always a nagging and unavoidable topic of discussion when it comes to Internet translation services.

Like many people, I use Google Translate as a starting point for translation, but don't necessarily trust that it will get everything right. It's great for getting the gist of a news story that's published in Japanese or Finnish, but if I need to write a formal letter to someone in one of those languages, I'd get human help.

Google acknowledges as much on a Web page about Translate:

"When Google Translate generates a translation, it looks for patterns in hundreds of millions of documents to help decide on the best translation for you. By detecting patterns in documents that have already been translated by human translators, Google Translate can make intelligent guesses as to what an appropriate translation should be.

"This process of seeking patterns in large amounts of text is called 'statistical machine translation.' Since the translations are generated by machines, not all translation will be perfect. The more human-translated documents that Google Translate can analyze in a specific language, the better the translation quality will be. This is why translation accuracy will sometimes vary across languages."

As for its auto-translation e-mail service, Google says this will be a jump forward for an increasingly globalized workforce. And if you speak other languages fluently, you can notify Google so translations in those languages won't show up automatically.

Google just "graduated" the feature from its Gmail Labs, a sort of sandbox for innovative features the company makes available to users on an a la carte basis. The change this week is that auto-translation now will automatically show up as a feature for everyone on Gmail.

"We heard immediately from Google Apps for Business users that this was a killer feature for working with local teams across the world," the company says. "Some people just wanted to easily read newsletters from abroad. Another person wrote in telling us how he set up his mom's Gmail to translate everything into her native language, thus saving countless explanatory phone calls (he thanked us profusely). I continue to use it to participate in discussions with the global Google offices I often visit."

Here's how Franz Och, a distinguished research scientist at Google, sees the present state and future of machine translation online. He wrote this blurb on the sixth anniversary of Google Translate, which recently passed:

"We imagine a future where anyone in the world can consume and share any information, no matter what language it's in, and no matter where it pops up. We already provide translation for Web pages on the fly as you browse in Chrome, text in mobile photos, YouTube video captions, and speech-to-speech 'conversation mode' on smartphones. We want to knock down the language barrier wherever it trips people up, and we can't wait to see what the next six years will bring."

@highlight

Gmail adds a feature that can translate emails between languages

@highlight

The update is rolling out in coming days

@highlight

Users can turn off the feature if they speak other languages