(CNN) -- Nearly five years after the housing bubble burst, American homeowners are beginning to see signs of relief as housing markets are finally showing signs of recovery. An untold story of this recovery, however, is the extent to which it is fueled by immigration.

A new analysis of U.S. Census data by Americas Society/Council of the Americas and Partnership for a New American Economy shows that immigrants have collectively added $3.7 trillion to U.S. housing wealth. And over the last several years, as many families in cities and rural areas from the Sun Belt to Rust Belt have seen their largest personal asset -- the home they live in -- placed in jeopardy, the inflow of immigrants has been a lifeline for them.

Take Chicago. The number of U.S.-born Americans residing in Chicago and surrounding Cook County has declined by 900,000 since 1970. Fortunately, the arrival of nearly 600,000 immigrants over the same time period has offset most of that decline -- and most likely kept additional natives from leaving -- blunting what could have been a catastrophe for the local housing market.

Similar stories exist all around the country. The U.S. Census data show that in Harris County, Texas, which includes Houston, the influx of immigrants between 2000 and 2010 added more than $25,000 to the value of the average home. In Maricopa County, Arizona, which is home to staunch immigration opponent Sheriff Joe Arpaio, immigration added $18,000 to local home prices over the period.

Immigrants are a boon for the housing market in three ways.

First, their demand for affordable housing renewed the local housing markets. This, coupled with increased demands for locally produced goods and services once they establish themselves, stimulates their neighborhood's economy.

Second, and relatedly, as immigrants stimulate economic life in affordable neighborhoods, they attract more U.S.-born people to those neighborhoods, further bolstering home values. For every 1,000 immigrants who move to a county, 250 U.S.-born people eventually follow, drawn by the new economic opportunities that have been created.

Third, immigrants help stabilize neighborhoods that have gone into decline, helping these previously blighted neighborhoods become viable alternatives for middle- and working-class Americans. Importantly, because immigrants tend to gravitate to areas with cheaper housing costs, they create wealth in the housing market without contributing to the pricing out of the middle class from more desirable neighborhoods, especially in large metropolitan areas.

Immigrants and the housing market is just one chapter in the larger story of their role in helping our economy to grow.

In health care, for example, the en masse retirement of Baby Boomers creates increased demand for professionals ranging from physicians and surgeons to home health aides. Immigrants are critical for taking care of our elderly, and for filling the jobs needed to sustain our overall health care industry.

The same holds true in housing. Because immigrants move into areas where housing is cheaper and neighborhoods are more on the edge, they revitalize those neighborhoods. We've seen that across New York City, from Washington Heights in Northern Manhattan to Flushing and Corona in Queens to Sunset Park in Brooklyn.

Encouraging the stability and growth of the U.S. housing market is a fundamental aspect of ensuring a solid economy. So is ensuring U.S. industries have access to a productive, diverse and flexible workforce with the right skills to grow and prosper. Immigration is essential to achieving both of these goals and is thus essential to the future of the United States.

With the future of immigration reform in the hands of the House of Representatives, this new research gives added momentum for why we need a bipartisan agreement that reflects many of the basic compromises of the Senate bill.

As a country we cannot afford to refuse to modernize and reform our immigration system. Turning away those who could help us build a stronger and more dynamic community and nation would be blind to our economic needs. Now is the time for immigration reform.

The opinions expressed in this commentary are solely those of the writers.

@highlight

Writers: The housing recovery fueled by immigrants moving in as U.S. born move out

@highlight

They say immigrants' need for affordable housing revives local housing markets

@highlight

Writers: They buy goods and services, revive neighborhoods, work crucial jobs

@highlight

Writers: We need immigration reform, to help build a more dynamic economy and nation