On Thursday, the Federal Aviation Administration released its "Road Map" to integrate drones into civilian airspace by 2015, and it provoked strong reactions from privacy advocates. I've been a vocal critic against the creation of lethally autonomous combat drones, so you might expect I'd be concerned about the vague civilian privacy protections the FAA proposed for their six domestic drone test sites.

But actually I think their approach is a good one.

FAA Administrator Michael Huerta rightly pointed out that his organization is focused on maintaining aviation safety and not proposing new privacy regulations.

The 74-page FAA civilian drone road map focuses a lot on developing "sense and avoid" technology to enable civilian drones to operate safely in skies already crowded with manned aircraft. But each of the test sites will come up with its own drone privacy policies and make them public, to (as the FAA put it) "help inform the dialogue."

Consider that last statement the starting gun for what promises to be a vociferous and active debate on robotic vehicles in an open society. This is a debate that needs to happen, and with the FAA establishing these six "sand boxes" in which to practice various drone privacy approaches, we'll see the good, the bad and the just plain ugly well before regulations are more widely adopted.

That might sound messy, but this is how an open society should ingest revolutionary technologies -- by arguing like hell about them.

And make no mistake, there will be a constituency speaking on behalf of drones. That's because in the next three years, civilian drones -- that is Unmanned Aerial Systems -- could be a $10 billion industry (with part of that presumably spent on public relations). And on both sides of this struggle, the first combatants will be legions of lawyers arguing drone law and establishing legal precedents in local, state and federal courts.

This has happened before. Few will remember that at the birth of aviation, property laws were such that landowners owned the air above their heads, too-- theoretically all the way up into space. And landowners were not happy with the idea of aircraft noisily "trespassing" over their property, and yet it was difficult for aviators to fly only over public right-of-ways, especially in poor weather conditions.

What followed were legal battles, with one railroad trying to stop rival airmail by claiming "aerial trespass" if aviators followed their rail lines. There was aviation litigation about wrongful deaths, noise pollution, canceled flights, air crew working conditions, deferred maintenance, etc.

Eventually all that debate, legal precedent and working knowledge was boiled down into a regulatory framework that became the Federal Aviation Administration. Few would argue that FAA regulation has harmed the aviation industry or society. Just ask yourself if you'd be willing to step on an unregulated commercial aircraft. I thought so. Those regulations made a level playing field for airlines and allowed the entire industry to prosper while simultaneously benefiting the public.

But getting there wasn't pretty.

And so it will be with civilian drones. It will take the passionate debate of civil rights activists, entrepreneurs, hobbyists, aerospace engineers, farmers, environmentalists, ethicists and many more for society to arrive at a stable legal framework to safely and equitably integrate robotic aviation and autonomous vehicles into our society.

There is no agency or bureau that will do this for us, and these are thorny issues.

For every privacy activist I agree with on the subject of drones, there is also someone with a compelling vision of how they could be used for good, such as entrepreneurs who envision precision agriculture drones that could reduce pesticide use through surgically precise and infinitely patient ministering to crops. Agriculture alone could represent 80% of the civilian drone industry. And as one drone industry executive put it: "corn doesn't mind if you watch it."

In case you missed the starting gun for the civilian drone privacy debate, it's just been sounded.

@highlight

Daniel Suarez: FAA releases road map for drones in civilian airspace by 2015

@highlight

He says privacy advocates complain but believes FAA's approach is sound

@highlight

He says civilian drones inevitable and useful; we must hash out best guidelines

@highlight

Suarez: Outcry over aircraft resulted in formation of FAA; drone debate is necessary