Washington (CNN) -- The Presidential Summit on Entrepreneurship late last month marked a turning point in U.S. foreign policy. Did you hear about this summit? Likely not, as headlines focused on the oil spill, the bomb scare in Times Square and the Supreme Court nomination. And with the U.S. unemployment rate at nearly 10 percent, promoting prosperity abroad is difficult for the White House to tout at home.

Still, President Obama pledged in Cairo, Egypt, last June to build a new beginning with Muslim nations, and entrepreneurship provides an innovative new tool.

Obama was keeping his promise to deepen partnerships between the United States and the Muslim world when he invited 275 entrepreneurs from Muslim-majority countries to participate in the Washington summit. Selected delegates came from more than 50 countries, including Iraq, India, Indonesia and Kazakhstan.

The gathering marked an important shift in foreign policy. Secretary of State Hillary Clinton, who spoke at the event's conclusion, said "the summit reflects the new approach to foreign policy that President Obama described last year at Cairo University, one that we have been putting into practice through partnerships based on shared values, mutual respect and mutual responsibility."

In the past, U.S. engagement with the Muslim world has focused primarily on defeating al Qaeda, ending the war in Iraq and deterring Iran's nuclear ambitions.

The summit broadened that strategy along the lines of the 9/11 Commission Report, which stated that the first phase of our post-9/11 efforts rightly included military action, but that longer-term success depended on the use of all elements of national power, including economic policy and foreign aid.

With more than 90 percent of children younger than 15 living in developing countries, engaging the next generation in the Middle East as well as in China, India, Brazil and other emerging economies is critical for the United States. The United States needs to find partners in this burgeoning population.

If the goal of the summit was to get participants to collaborate, the buzz in the room provided a positive indication.

"People are happy to be with each other," said Jacqueline Novogratz, founder and CEO of Acumen Fund, a nonprofit venture fund aimed at eradicating global poverty. It remains to be seen if the summit will turn into more than a successful public diplomacy event.

What did participants gain from attending?

First and foremost, they had a chance to meet each other, build ties, exchange ideas and find others interested in partnering or funding their endeavors. Abdulsalam Haykal, a Syrian entrepreneur, pulled a stack of business cards from his pocket and said, "This is the start of a global network. It's about connecting with people."

In their home countries many delegates received media attention for being selected; for entrepreneurs the chance to promote their organization provides a boost.

"It is about shining a spotlight on high-impact entrepreneurs," said Linda Rottenberg, CEO and co-founder of Endeavor, a nonprofit that supports entrepreneurs in emerging markets.

Collaborating with an all-star cast of White House officials couldn't hurt either. The White House rolled out the red carpet with Obama participating as well as Clinton, Secretary of Commerce Gary Locke, National Economics Council Director Lawrence Summers and Dr. Rajiv Shah, administrator of USAID.

While the administration aimed to "galvanize" entrepreneurs from Muslim-majority countries, these Muslim upstarts shied away from pigeon-holing into a religious or ethnic category.

When asked to define "Muslim entrepreneur" in a panel discussion, Tunisian business woman Douja Gharbi said, "There is no difference between a Muslim entrepreneur and any other entrepreneur. An entrepreneur is an entrepreneur. "

For the White House, the purpose of the conference was to send a political message of collaborative engagement. For summit delegates, however, the focus was on building their fledgling businesses.

Noticeably absent from the summit were U.S. entrepreneurs. Of the Americans participating, most represented U.S. government, not business. And, for Muslim entrepreneurs, the absence of their U.S. counterparts was a disappointment.

For many, the conference still marked a paradigm shift in public policy.

"Obama has turned his Cairo vision into a reality," said Eboo Patel, founder of Interfaith Youth Core and a Muslim-American from Chicago. "At the same time, he has advanced the culture of entrepreneurship to an inflection point."

The summit spurred companion events outside of government. In the same week, more than 30 partner organizations hosted events in Washington, including IBM, Cisco, the Kauffman Foundation, the Heritage Foundation, the Brookings Institution and Young Professionals in Foreign Policy.

As for next steps, Obama announced the administration's plans to launch exchange programs to bring entrepreneurs from Muslim countries to the U.S. and send their American counterparts to Muslim-majority countries. The prime minister of Turkey said he will host the next entrepreneurship summit, set to become an annual event. Commerce Secretary Locke announced an upcoming social entrepreneurship conference in Iraq.

Clinton announced four initiatives:

-- The Global Entrepreneurship Program.

-- Partnerships with two Silicon Valley-based incubators.

-- The launch of Partners for a New Beginning.

-- A new effort called e-Mentor Corps.

These initiatives all aim to further catalyze ongoing collaboration through sharing of best practices.

Entrepreneurship is the new global engagement. Last month, the U.S. reached out to upstarts in hopes that they will become new diplomats for change.

The opinions expressed in this commentary are solely those of Amy Wilkinson.

@highlight

Amy Wilkinson: Obama held summit to draw Muslim entrepreneurs to partnerships

@highlight

Meeting met Cairo pledge to take relations past conflict and into economic realm, she says

@highlight

She says 275 entrepreneurs from 50 countries networked, shared ideas, forged bonds

@highlight

Wilkinson: Entrepreneurship is the new global engagement