It is a tale of tragedy meets election-year politics.

As the nation reels from yet another mass murder, in which the killer shot some of his victims before taking his own life, two rival proposals aimed at improving mental health -- and supporters hope curbing mass gun violence by extension -- are before congressional lawmakers.

A measure sponsored by Rep. Tim Murphy, a Pennsylvania Republican and clinical psychologist, seeks to get states to revise standards for committing the severely mentally ill to hospitals.

His bill, which has bipartisan support, also includes a controversial proposal that seeks to empower families and judges to intervene on behalf of severely mentally ill adults and, in some cases, compel court-ordered therapy and medication.

Murphy's effort would also significantly dial back federal funding to the U.S. Substance Abuse and Mental Health Services Administration, which spends more than $3 billion annually on care and is an agency that Murphy does not think is effective.

His bill has the backing of the National Alliance on Mental Illness, the American Psychiatric Association and the National Sheriffs' Association, among other groups.

On Thursday, he will also outline before a House Energy and Commerce subcommittee the results of his yearlong look into federal mental health programs -- an investigation sparked by the 2012 mass shooting at Sandy Hook Elementary School in Newtown, Connecticut.

Can Mental Health Bill Help Stop Mass Killings?

Treading carefully on guns

"The privacy laws were to prevent mistreatment from health care ... not meant to keep people from being treated in health care," Murphy said on CNN's New Day on Wednesday

He added that in many of the recent mass shootings, the parents were aware of the gunman's mental health issues but were legally powerless.

"People knew when something was going on. What about the rights of society? When someone says 'we don't want you forcing them into treatment,' look, I get that," Murphy said. "But society is saying when the signs are there, that someone is gravely disabled or gravely ill from mental illness, a brain illness, treat them. Denial is not a treatment."

A competing measure from Rep. Ron Barber, a politically vulnerable Arizona Democrat struck by gunfire when his former boss, then-Rep. Gabrielle Giffords was shot and severely wounded in 2011, also takes a mental health approach.

His legislation would more broadly improve mental health care through added federal financial assistance for counseling, research and education efforts.

Stage set for partisan fight

His measure has the seal of approval from a number of organizations, including the National Association of School Psychologists, the American Foundation for Suicide Prevention and Mental Health America.

"We know that one of every four Americans will have a mental illness at least once in their lifetime. Investing in mental health services in our communities and early identification and prevention of mental illness will save both lives and money," Barber said in a statement on his Web page.

The pending showdown over the two measures -- neither of which directly addresses the type of mass gun violence that ended lives in Santa Barbara, Newtown and so many other cities -- sets the stage for a partisan fight over overhauling the nation's mental health system.

"It's not what's in their hands, it's what is in their mind and heart that we've got to deal with," Murphy said on "New Day." "California has some of the strictest gun laws in the nation bar none. And so it didn't work there."

Tackling mental health and gun policy is a thorny issue, but one that needs to be addressed, Rep. Peter King, R-New York, told The Washington Post this week.

"We've got to look at how we define mental illness, who is denied weapons and who is not, and focus the discussion," King, who has pushed for tougher firearms measures, told the paper. "We have to have this debate."

Initiatives focusing on mental health were among the nearly two dozen executive actions put in place by the White House after Newtown.

Young, angry and socially alienated

The debate will unfold as the nation digests the actions of  Elliot Rodger, 22, a former Santa Barbara City College student who police say fatally stabbed three people and shot three others in that city before taking his own life, Friday.

His parents had alerted authorities to their son's mental illness and signs, they say, pointed to the danger he might one day pose.

And, as has happened after Columbine, Virginia Tech, Fort Hood, Tucson, Aurora, Newtown, Washington and other shootings in other places, the victims' families and neighbors plead for justice, for an end to gun violence, for a change in laws.

"What, what has changed? Have we learned nothing? Where the hell is the leadership," a weeping Richard Martinez, whose son, Christopher, a University of California Santa Barbara college student who was shot by Rodger, told CNN. "My kid died because nobody responded to what happened at Sandy Hook."

Father of shooting victim chastises politicians, demands new gun laws

In what has become part of a familiar ritual following mass shootings in America, advocates call for action and politicos, especially those in Washington, project solemnity before retreating to their respective corners of the intractable gun debate.

"Shame on us for allowing this to continue," said Sen. Dianne Feinstein, D-California, who championed firearms reforms that failed in Congress following Newtown.

Dems also weigh gun bill

In another effort, House Democratic leaders said Wednesday they were weighing whether to push an amendment to a spending bill aimed at strengthening background checks for gun buyers. But they acknowledged it would likely prove unsuccessful.

The White House is also pushing to fund gun violence prevention studies for the first time in roughly 20 years, an effort resisted by Republican critics who accuse the Obama administration of playing politics with taxpayer funds.

Political experts say there's little visibility on the issue, even if the conversation centers on mental health, which has routinely presented itself in the roster of America's mass shootings.

As details emerged over the weekend in California, Rodger's history of mental health issues apparently was no secret to his family. A family friend said he had seen therapists since childhood.

The public push for reforms is fickle and is largely influenced by moment-to-moment tragedy, said Cedric Alexander, the chief of police for DeKalb County, Georgia, a clinical psychologist and adviser to the pro-gun rights group Independent Firearm Owners Association.

"Our attention span is so short we never focus on this complicated problem long enough to address the problem, let alone begin to fix it," Alexander said in a statement.

Support for gun control has hit peaks and valleys since 1993. That's when the Brady Bill came about after the attempted assassination of Ronald Reagan and established a federal background check program for gun purchases.

According to a  CNN/ORC International survey conducted in December, 49% of Americans said they supported stricter gun control laws, while 50% opposed them. That fell from the 55% who backed tougher measures a few weeks after the Newtown shootings.

States take the lead

Stymied federal legislative actions have sent advocates for stricter controls looking for new ways to have an impact.

The gun control fights have now moved to the states where legislatures have weighed more than 1,000 proposals, according to an analysis by the Law Center to Prevent Gun Violence.

The battle over gun policy: Old fight, new strategies

And according to data collected for CNN by the National Conference of State Legislatures, more than half of the nation's legislatures -- those dominated by Republicans -- weighed bills that would have nullified any federal ban on military style assault weapons and limits on large magazines.

Will states go where Congress hasn't on gun laws?

A number of measures at the state level deal with mental health.

In South Dakota, the GOP-controlled legislature passed a bill requiring that mental health records of "someone acquitted of a crime by reason of insanity" be sent to the National Instant Criminal Background Check System.

According to data from the FBI's National Instant Criminal Background Check System, roughly 1% of gun permit applicants who failed to pass a background check over the past 14 years, or 10,180 people, were denied for reasons related to mental health.

@highlight

Lawmakers have two bills tackling mental health in aftermath of Santa Barbara shooting

@highlight

Such efforts have failed before and political experts doubt there's much political will

@highlight

Since Congress has failed to act, states have enacted a number of gun reform laws

@highlight

Families of victims, advocates frustrated by lack of federal action