Washington (CNN) -- The Supreme Court has again rejected broad privacy rights for some government workers.

A unanimous bench on Wednesday affirmed the government's right to conduct personal background checks on current and prospective employees under federal contract, especially those in sensitive or high-security workplaces.

The ruling rejected a lawsuit by 28 long-term scientists, engineers, and others at NASA's Jet Propulsion Laboratory near Pasadena, California. The workers, who are independent contractors, claim the mandatory checks are overly intrusive -- permitting the government to obtain information on their health, finances, personal habits, and even their sex lives. All were classified as "low risk," unlikely to have a major "adverse impact" on the agency's mission.

The forms required of workers "consist of reasonable, employment-related inquiries that further the government's interests in managing its internal operations," said Justice Samuel Alito for the 8-0 court. Justice Elena Kagan did not participate, since she briefed the case last year as the government's solicitor general, before being nominated to the court by President Obama.

At issue was whether there is a constitutional right to "informational privacy," free from overly intrusive state scrutiny. The high court 33 years ago suggested such a right existed, but the concept has rarely been tested since. The latest dispute comes amid a general increase in security concerns in the wake of the September 11, 2001, terrorist attacks.

The plaintiffs in the case argued they are not federal employees, but work at the California Institute of Technology, a private university that operates the JPL for the space agency. They claim they are low-risk workers whose work is in the private domain, and that the university already conducted background checks when they were first hired.

Nevertheless, they were required to submit information to NASA, allowing the facility to maintain its broader security clearance as a government contractor. In a 2004 presidential directive, NASA and all federal agencies were ordered to increase their security measures. All civil servants and contractors are now issued special ID badges and cards after first undergoing fingerprint checks and thorough screenings of their professional and personal lives.

Investigators are permitted to read criminal, financial and medical records, and to speak with friends, family, and neighbors of the workers. All federal employees and applicants are subject to such background checks, and the government says that applies to contractors as well.

After some JPL workers complained, the lab posted a "suitability matrix" on its Web site, listing criteria it believed NASA would consider when deciding suitability for future and continued employment. Such factors, the lawsuit noted, included "carnal knowledge, sodomy, indecent exposure, voyeurism, obscene telephone calls, indecent proposals, incest, bestiality, homosexuality, cohabitation, adultery, illegitimate children, and mental, emotional, psychological, or psychiatric issues."

During oral arguments last October, Alito had, along with some of his colleagues, expressed some concern about the government's assertions.

"Is there any limit?" he asked. "Suppose the government says: 'Well, we want to know all about your diet. We want to know whether you smoke cigarettes. We want to know everything you read. We want to know what your hobbies are, what forms of entertainment you enjoy, sexual practices, every aspect of your private life, just because that gives us a better picture of who you are as an employee.' Is that OK?"

The Justice Department's lawyer, Neal Katyal, said at the time there are limits, but added the government should have wide discretion to determine specific areas of inquiry, with appropriate safeguards.

Alito in his 23-page opinion agreed.

"We reject the argument the government, when it requests job-related personal information in an employment background check, has a constitutional burden to demonstrate its questions are 'necessary' or the least restrictive means of furthering its interests," he wrote.

Last term, the high court ruled that a government worker did not enjoy a "reasonable expectation" of privacy on his official wireless two-way text-messaging pager.

A California police officer had sued after authorities reviewed his phone records because of what they believed was excessive use of the pager device on the job. The review found hundreds of personal messages, some of a "sexually

explicit" nature, to his wife, a girlfriend and a fellow officer. The officer then sued for invasion of privacy, but lost at the high court.

Private employees generally have less workplace privacy than do government workers. The JPL case raised the question of rights enjoyed in the quasi-official world of government contractors.

In the JPL dispute, workers who refused to allow the background checks could be fired. The government told the high court that anyone receiving a government employment check should expect a security check. Justice Department lawyers warned that a ruling against the government would jeopardize its ability to obtain necessary information from contractors and regular government staff members.

The case is National Aeronautics and Space Administration v. Nelson (09-530).

@highlight

The high court affirms personal background checks by the government

@highlight

The ruling applies to current and prospective employees under government contract

@highlight

The lawsuit was filed by scientists, engineers and others at the Jet Propulsion Laboratory