(CNN) -- Two American scientists won the Nobel Prize in chemistry Wednesday for their work revealing protein receptors that tell cells what is going on in and around the human body. Their achievements have allowed drug makers to develop medication with fewer side effects.

Research spanning four decades by Robert J. Lefkowitz and Brian K. Kobilka on "G-protein-coupled receptors" has increased understanding of how cells sense chemicals in the bloodstream and external stimuli like light, according to the Royal Swedish Academy of Sciences, which awarded the prize.

Lefkowitz began the research by tracking adrenalin receptors. The Nobel Prize announcement apparently set off some of the excitement hormone in his own body.

"I'm feeling very, very excited," he said in a predawn phone call from the United States to the committee in Stockholm, Sweden, which announced the winners at 5:45 a.m. ET.

Nobel Prize in medicine awarded to Sir John Gurdon and Shiny Yamanaka

"Did I even have any inkling that it was coming?" Lefkowitz said. "I'd have to say no."

He contacted Kobilka via a Skype video call to celebrate the news after receiving the call from the Nobel committee.

Lefkowitz, with the Howard Hughes Medical Institute and Duke University Medical Center in Durham, North Carolina, began tracking cell receptors with radioactive substances in 1968.

In the 1980s, Kobilka, from Stanford University School of Medicine in California, joined the research to isolate the human gene that produces the adrenalin receptor, the academy said.

"Kobilka achieved another break-through" in 2011, the academy said in a news release: a photographic image of a hormone triggering a receptor to send an impulse into its cell.

"This image is a molecular masterpiece -- the result of decades of research," the academy said.

Humans experience G-protein-coupled receptors most consciously when they smell, see and taste, the academy explained in a background document. But within the body, they sense "signaling substances, such as adrenalin, serotonin, histamine and dopamine."

"They serve as the gateway to the cells," Lefkowitz said.

"Around half of all medications act through these receptors, among them beta blockers, antihistamines and various kinds of psychiatric medications," the academy explained.

In the case of adrenalin -- known in science as epinephrine -- receptors in cells of the heart make it beat faster and receptors in muscle cells signal them to activate to mobilize a person's strength.

Newly anointed Nobel Laureate Lefkowitz can use the energy boost.

"I'm thinking that this is going to be a very hectic day," he said. "I was going to get a haircut," he revealed, triggering laughter at the academy, as he explained that he really felt he needed one. "But I'm afraid it will probably have to be postponed."

Nobel Prizes in chemistry have gone to predominantly to organic (or carbon-based) chemistry, particularly to discoveries in the area of life sciences, such as genetics.

This year's monetary award will be 8 million Swedish kronor (about $1.2 million). This represents a drop of 20%, compared with last year, from 10 million Swedish kronor, and is due to the turbulence that has hit financial markets.

Last year, Israeli scientist Daniel Shechtman from Technion - Israel Institute of Technology won the award for the discovery of quasicrystals, which was made in 1982 and "fundamentally altered how chemists conceive of solid matter," according to the Royal Swedish Academy of Sciences.

Read more: Frenchman, American win Nobel Prize in physics

On Tuesday, the academy bestowed Nobel honors in physics on Serge Haroche of France and David Wineland of the United States for their work in quantum optics that allowed scientists to observe the workings of atoms without disturbing their properties. As a side effect, their work lays down principles that could lead to quantum computers, which are astronomically fast computers that would radically change human life, if ever invented.

On Monday, the Nobel Assembly awarded the prize for physiology or medicine to Sir John B. Gurdon and Shinya Yamanaka jointly for their discovery that stem cells can be made of mature cells and need not necessarily be taken from fetuses or embryos.

Read more: Nobel Prize in medicine awarded for groundbreaking cell research

The committee also will announce prizes in literature, peace and economics.

Since 1901, the committee has handed out the Nobel Prize in chemistry 103 times. In certain years, mainly during World Wars I and II, no prize in chemistry was awarded.

The youngest recipient was Frederic Joliot, who won in 1935 at the age of 35. The oldest chemistry laureate was John B. Fenn, who was 85 when he received the prize in 2002.

Frederic Sanger was the only scientist to win the chemistry prize twice for his work related to the structure of proteins and DNA.

There is a fine line between the science of chemistry and the fields of physics and biology. Famed female scientist Marie Curie of France, for example, won Nobel honors for her work in radiophysics in 1903 and then again in 1911 for discoveries in radiochemistry.

@highlight

NEW: The prize recognizes work revealing how cells sense chemicals

@highlight

NEW: Their work has allowed drug makers to develop medication with fewer side effects

@highlight

Nobel Prizes in chemistry have often gone to life sciences

@highlight

Other work praised this week also has deep implications for society