(CNN) -- Back in 2006, volunteers with No More Deaths, a humanitarian organization dedicated to helping migrants along the Arizona-Mexico border, began hearing the same stories from many who had been in the custody of the U.S. Border Patrol.

Thwarted would-be unauthorized immigrants spoke of being denied water or food during their custody. Others said they were beaten.

The organization started properly documenting these allegations, and the stories added up to nearly 13,000 testimonies whose results were released in a report this week.

The findings went beyond denial of food and water. Migrants held by the Border Patrol spoke of being exposed to extreme heat or cold, sleep deprivation, death threats, and psychological abuse such as blaring music with lyrics about migrants dying in the desert.

A previous report by No More Deaths in 2008 raised the same concerns, but now the number of recorded cases point to a systematic problem.

"By this point, the overwhelming weight of the corroborated evidence should eliminate any doubt that Border Patrol abuse is widespread," the report states.

The Border Patrol responded with a statement highlighting the fact that respect for detainees is taught in training and consistently reinforced during an agent's career.

"Mistreatment or agent misconduct will not be tolerated in any way," the statement said. "We appreciate the efforts of individuals to report concerns as soon as they arise and we will continue to cooperate fully with any effort to investigate allegations of agent misconduct or mistreatment of individuals."

The interviews were conducted with migrants in Naco, Nogales and Agua Prieta, in Mexico's Sonora state who were in border patrol custody. Although No More Deaths conducted thousands of interviews, in places like Nogales they could only speak with a fraction of the migrants who crossed. This raised the issue of how representative their sample was, said Katerina Sinclair, a statistical consultant on the report.

But in Naco, a smaller town, they were able to speak with enough migrants to have a representative sample. So the report stays away from making conclusions about percentages except for the subset of interviewees from Naco. But despite the difficulties with such an ambitious project, the authors say that the numbers on their own are cause for concern.

Some 2,981 people reported they were denied food, and more than 11,000 said they were given insufficient food by the Border Patrol, the report states.

The report found that 863 people, many of whom were already dehydrated, were denied water.

There were nearly 6,000 cases of overcrowding reported, and almost 3,000 people had at least some personal belongings not returned, the report states.

In addition, 869 people -- including 17 children and 41 teenagers -- reported that they were split from their families and deported separately.

No More Deaths also recorded instances of sleep deprivation, death threats, and the forced holding of strenuous positions.

"There's no question that there is systematic abuse of people in Border Patrol custody," Danielle Alvarado, one of the report's authors, told CNN.

Although the research focused on migrants in the Arizona border area, the findings are consistent with reports from Border Patrol sectors across the country, she said.

"This systematic abuse must be confronted aggressively at the institutional level, not denied or dismissed as a series of aberrational incidents attributable to a few rogue agents," the report states.

In its statement, the Border Patrol responded that, "on a daily basis, agents make every effort to ensure that people in our custody are given food, water, and medical attention as needed."

"The sad reality is that between what they say on paper and the day-to-day reality there is a big disconnect," Alvarado said.

Brandon Judd, president of Local 2544, the Tucson branch of the National Border Patrol Council, said that it is No More Deaths' report that is disconnected from reality.

Border patrol agents are law-abiding citizens who believe in accountability, he said. "If these allegations are true, these are crimes," he said.

There are 3,000 agents in the Tucson Sector of the Border Patrol, Judd said, and one complaint every two weeks would be considered a lot. Agents also police themselves, he said.

"I can tell you that our agents are the ones who report mistreatment if they see it," he said.

He was skeptical about the types of questions that were asked and the credibility of the interviewees who were freshly repatriated.

"There's some glaring weaknesses in the story," he said.

But Sinclair said that care was taken to make sure that all conclusions were drawn from the Naco sample, which also happened to report the lowest rate of incidents. The questions were also phrased in a way to give credit to the Border Patrol where due.

"We gave them every benefit of the doubt," she said. But their research shows that "it only gets worse from here."

"It just doesn't ring true," Judd said.

The reports of abuses come as the number of apprehensions along the border has decreased. Increased border enforcement and a slow economic recovery in the United States have reduced the amount of illegal traffic across the border.

Also, No More Deaths reported, the demographics of those being deported have changed. A number of the migrants they interviewed were older and had been in the United States longer. One sample of 100 migrants revealed an average of 14.4 years of living in the United States before deportation.

In light of its report, its authors argue for legally enforceable standards, and a tougher oversight mechanism.

From October of last year to the present, about 115,000 migrants were apprehended by the Border Patrol's Tucson Sector.

@highlight

Organization spoke with nearly 13,000 migrants

@highlight

Many migrants reported similar cases of abuse by U.S. Border Patrol

@highlight

They alleged incidents of beatings, denial of food, and extreme temperatures

@highlight

U.S. Border Patrol says it will not allow any misconduct among agents