Last week the world welcomed its 7 billionth inhabitant.  But behind the headlines is a complicated demographic picture -- and one that masks huge disparities. The current rate of growth means that there are 78 million more people every year. Nearly all of that growth -- 97 out of every 100 people - is occurring in less developed countries.

In developed nations, on the other hand, population growth rate has largely stagnated: in Japan and Europe for instance, bringing with it concerns about lower fertility and aging.

Africa's rapid population growth -- 2.3 per cent a year, double the rate of Asia's -- puts pressure on its economies as governments struggle to provide education and health services. The issue of women and children's health is one of the most pressing. Births that are too early, late or closely spaced reveal a whole host of critical issues affecting the health of Africans.

I believe the population issue in sub-Saharan Africa is one of gender. Too many women lack the freedom to exercise choice when it comes to childbearing.

Often this is a question of access. In remote locations women are forced to walk many kilometers to obtain contraceptives, and in some areas they are simply not available.

Across the world more than two in five pregnancies are unplanned.  Clearly 'unmet need' for contraception is a wasted opportunity to boost development and stabilize population growth through something women want and need: the ability to decide when to become pregnant.

Just how big is 7 billion

If all women had this ability, survey data shows, average global childbearing would immediately fall below the 'replacement fertility' value of slightly more than two children per woman.

Then there's social pressure. Women are often required to have large families to improve their social standing and ensure their economic survival. In many countries girls marry at a very young age, become pregnant too early and cut short their education to take care of their young family.

Poorly educated and unable to work, they are unable to contribute financially to the family coffers and so the cycle of poverty is perpetuated.  In addition, young mothers face terrible threats to their health such as fistula -- a hole in the birth canal caused by prolonged labor without prompt medical intervention.

Fistula leaves women with chronic incontinence which renders them a social outcast.

The link between family size and social standing is a subject close to my heart and goes back to my own childhood in Karakore, a small town in Ethiopia, where I grew up the eldest of seven children. My grandmother had one child, my mother, and I vividly recall the shame that she was made to feel because she had given birth to 'just one child' -- and a daughter at that.

I also remember that girls in my class at school would disappear suddenly and re-appear around a year later. As I grew older I realized that these young girls had become pregnant, and had been forced to move to other villages due to the shame they had been made to feel.

My own mother lost a child, and I recall the deep emotional trauma that followed.  So I encountered something of the suffering felt by far too many African women.

That's why I believe women must be empowered to be able to make their own decisions free from fear of coercion or pressure from partners, family, and society. Their sense of self-worth should not depend on the number of children they have. They must have easy access to a range of safe, effective, and affordable contraceptives and the information and counseling needed to use them.

Six of world's fastest-growing cities in China

But contraceptive access needs to be backed by better health infrastructure - we have abundant evidence that when parents are confident that their children will survive, they will have fewer and invest more in each of them.

After years of neglect, there is a renewed interest in family planning as a driver for development. Experience has shown us that education for girls, legal reform and access to family planning have made a difference in many countries. While it's true that economic and social development leads to women having smaller families, the converse is also true -- that the gains that contraception has made possible in women's health make family planning one of the most successful international development stories.

My mission as IPPF's new Director-General  is to build on those gains, to do our utmost to ensure that Africa's women and girls have the services, supplies and information to exercise their reproductive rights and  live their lives with dignity, respect and meaning.

@highlight

The current growth rate means that there are 78 million more people every year

@highlight

Africa's population growth, of 2.3%, is double that of Asia's

@highlight

Melesse believes sub-Saharan Africa's population issue is because women lack freedom