(CNN) -- They may live on separate continents, in different countries with differing cultures, but the same message is being echoed by the world's poor, according to a new report by aid agency Oxfam.

Farmers in Uganda have little choice but to attempt to cultivate crops on arid land.

The report, "Suffering the Science," tells the stories of people who are discovering to their detriment that long-held truths about seasons and rainfall no longer apply.

"I travel a lot and people are always saying to me, 'the seasons have changed,'"Oxfam chief executive Barbara Stocking told CNN.

"I think there's a real sense of uncertainty. People have lost confidence. They have a very close relationship with the Earth, nature and climate and suddenly they're finding that it doesn't work anymore."

People such as Florence Madamu from western Uganda. "The sun is prolonged until the end of September," she told Oxfam. "And whenever it rains it rains so heavily it destroys all our crops in the fields. You can plant a whole acre or two and come out with nothing."

July is a particularly harsh month in large swathes of Africa. It's the peak hunger season and this year people are expected to be more vulnerable than usual following record high food prices in 2008.

Laborers are planting precious seeds in fields of dirt with no guarantee they'll produce a harvest, while the conditions they're working under are becoming more extreme.

"For me the big worry is that many of them don't know why it's happening so they can't actually help themselves prepare for the changes," Stocking told CNN.

"We need to work with them to help them become more resilient -- whether it's cyclones and weather-related disasters or whether it's a long-term change. They need to be prepared for very different sorts of seasons now."

And for unfamiliar diseases. Higher temperatures are encouraging the migration of malaria and other vector-borne diseases into new areas where, in some cases, health authorities are ill-equipped to cope.

Oxfam found Iha at her daughter's bedside in a hospital in Indonesia. Twelve-year-old Laila was the second of her children to contract dengue fever at their home on the island of Java.

"They said that this is a new type of dengue fever," Iha told Oxfam. "She has already had 30 bags of infusion water. After nine days her condition is still not stable."

It is the stories of people such as Iha who are living with the consequences of climate change that Oxfam hopes will prompt action from leaders of developed nations who are meeting in L'Aquila, Italy this week.

"Ideally what we'd like is the G8 countries to come out very clearly as to what their targets are for carbon emissions reductions by 2020 and the amounts of money needed," Stocking said.

"It's unlikely they'll be as precise about that," she conceded, adding, "but we really need some good strong wording in the G8 communiqué about the recognition that for a deal to be done [in Copenhagen], money will be needed for the poorest countries."

Talks in Copenhagen in December are being billed as an unmissable opportunity for developed and developing nations to agree a global plan to combat climate change.

Stocking commended a proposal by British Prime Minister Gordon Brown to establish a $100 billion annual fund to help developing nations contend with climate change, but said closer to $150 billion was needed.

Oxfam points out that's about the same amount the U.S. government spent on bailing out insurance company AIG.

While scientists warn that a cut of 40 percent in carbon emissions by 2020 is vital to avoid severe repercussions, developed nations have yet to commit to anything close.

"We need America to come forward much more positively," Stocking said. "It's really got to stand up to the bar clearly if there's going to be any deal."

"We're really pressing as well for the EU to come out much more clearly about what it will do it as a whole.

"There isn't even a Council of Minister's meeting until October and that's going to be far too late. There needs to be some serious meetings including heads of state very quickly now to get an agreement to put something very direct on the table," she said.

@highlight

Oxfam report tells the stories of people affected by climate change

@highlight

Report 'Suffering the Science' catalogs challenges of world's poor

@highlight

Stocking: "People are always saying to me, 'the seasons have changed'"

@highlight

Oxfam wants greater action on climate change from developed nations