Atlanta (CNN) -- Imagine playing an intense, high-speed game while tumbling over your teammates. Now, do it all while holding your breath.

Welcome to the madness of underwater hockey, a decades-old sport that boasts an international following -- but still draws disbelief and chuckles in the United States.

"I think most people hear (about it) and think, 'oh that's not really a sport,' and brush it off," said Chris Docampo of the Swordfish Underwater Hockey Club in Atlanta. "Maybe that's why it's not heard of as much."

Far from a joke, underwater hockey combines speed, agility, strength and strategy -- several feet below the nearest oxygen supply.

The underwater hockey glossary

"This is for people who are true athletes," said Keith Morgan, DoCampo's teammate.

At 52, Morgan is almost twice the age of Docampo.

But here, age, size and gender don't matter. The water is the great equalizer.

Playing under pressure

Play begins when two flipper-donning teams line up along opposite ends of a pool and race toward a puck submerged in the middle.

Some splash and tear across the surface like speed demons, while others disappear immediately underwater.

If you dive under right away, you might reach the puck first -- only to realize you're out of oxygen and need to come up for air.

Sprinting across the surface allows you to breathe through a snorkel; but someone else will probably reach the puck first.

What happens after the initial face-off can only be described as elegant chaos.

The neon-finned players flip around and over each other like a sphere of tropical fish circling prey.

In this bizarre, three-dimensional playing field, attackers can sneak in from above, the side and even underneath.

At 3 pounds, the puck is about eight times heavier than an ice hockey puck so it can stay grounded underwater.

But such density, combined with the surrounding water pressure, also makes it that much harder to push with a 12-inch stick.

At the bottom, Docampo whips his body around in a tight circle to defend the puck from swarming opponents.

"A lot of (technique) comes from experience -- asking people, 'How did you do that?' And a lot of it is muscle memory," Docampo said.

Moments later, as two opponents battle for the puck midwater, Nikita Gokhale zips across the pool floor like a caffeinated eel and steals the puck from underneath the players.

She scores a goal as stunned defenders watch behind goggles.

Silent strategy

Unlike in other team sports, players can't hear what their teammates might say. The deep sounds of swooshing water drown everything out.

"I guess there is no way to communicate in the water. You just develop an intuition of what to do when," said Andrei Savu, co-founder of the Swordfish Underwater Hockey team.

That intuition is particularly important because no single player can swim to the bottom and wage battle without needing to come up for air -- and needing an astute teammate to take over the play.

"A big part of the strategy is to determine when to go down, and when to come up," Savu said. "Anticipation is key, especially with the lack of oxygen."

In just a few months, he and Docampo have already established a silent rapport.

"I know how long Andrei can hold his breath for, and I know when he's going up, so I have to go down," Docampo said. "I have an idea of when my teammates are going to be running out of breath."

That makes it pretty hard to check someone against a pool wall. But that doesn't mean the sport is void of incidental contact.

Docampo said he's suffered plenty of bruises.

"You get kicked underwater, sometimes you get hit by the puck," he said. "We have mouth guards on the snorkels so if you take a puck in the mouth, you don't hurt yourself."

But Gokhale said the playing environment mitigates any pain.

"Because you're underwater, the impact of getting hit is almost dulled down."

Underwater, but still underground

Despite its relatively low profile in the United States, the sport started almost 50 years ago as a way to keep a British sea-diving club together during the frigid winter months.

"The whole club could disintegrate if the members were only able to plod up and down a swimming pool for six months," founder Alan Blake wrote. "I had to put something together to keep the branch up to strength for next summer."

His desperation spawned octopush, a game with eight players pushing a lead disc underwater. The sport later became known as underwater hockey.

It's now a fiercely competitive sport in countries such as Australia, New Zealand, South Africa, the Netherlands and Canada.

Later this month, elite players from 19 countries -- including the United States -- will compete at the Underwater Hockey World Championship in Hungary.

Despite its international popularity, underwater hockey has yet to rise to the surface of mainstream sports in the United States -- perhaps because it can't draw thousands of spectators like football or basketball.

"Underwater hockey is not a great spectator sport. You cannot see the game from above water, and good underwater video coverage is difficult," said Jen Gall, a board member with USA Underwater Hockey.

And, unfortunately, "the game cannot be 'picked up' on the corner lot."

But it's gaining popularity in places like San Francisco, which has a YMCA program and two city youth programs, Gall said.

Roger Bacon High School in Cincinnati, Ohio, has one of the few -- if not only -- high school underwater hockey teams in the country.

Nationwide, roughly 1,000 players participate in about 50 clubs, all of which are co-ed, Gall said.

It took awhile for Savu and Nicole Mazouchova to get the sport going in Atlanta. Exactly two players showed up to the Swordfish team's first practice: the two founders.

Now their club has a roster of dozens, including Morgan, a grandfather who won a gold medal in his division during the national championships in Washington last year.

At 52, he wasn't even close to being the oldest competitor on his championship team. That player was 76.

Now Morgan is bent on becoming the oldest championship player in underwater hockey, which means playing for at least another 24 years.

"Somebody's got to take that record away from him," he said.

In the meantime, he serves as an unofficial ambassador for the sport whenever people ask about his team T-shirt or the bright fins he carries around.

He said the reactions run the gamut -- from "'Oh you're kidding me, that's not a real sport,' to 'Oh, that sounds way cool -- I want to try that!'"

Best places to swim with sharks

Stadium's retractable roofs to protect from weather woes

Train like a horse jockey

Saudi woman becomes country's first to conquer Everest

@highlight

Underwater hockey is popular in Australia, New Zealand, South Africa and Canada

@highlight

It's gaining popularity in the U.S., but can't be "picked up on the corner lot" like other sports

@highlight

Players try to push a 3-pound puck at the bottom of a pool into goals

@highlight

"This is for people who are true athletes," one player says