(CNN) -- The millennial generation is big, diverse and changing the American landscape. A new infographic and book, "The Next America," by Paul Taylor and the Pew Research Center, examines the data about the change.

It's revelatory.

Taylor calls the demographic transformations "dramas in slow motion." The Gen Y -- or millennial -- generation's lack of religious affiliation, indifference to political parties and strong liberal views are a contrast to previous generations.

Additionally, a great deal of the "next" in "The Next America" has to do with racial and ethnic identity. Immigration, intermarriage and the growing percentages of people who identify as mixed race are drastically recoloring the nation's racial tapestry.

Today, just a half-century after interracial marriages were illegal in one-third of the states, nearly 1 in 6 newlyweds marry across racial lines. Immigrants and their children are projected to make up about 37% of America's population by mid-century, the highest share in our history.

But what does this all mean?

There is often a focus on data highlighting the size and diversity of the millennial generation, drawing the conclusion that it is inevitable that our values will soon take over.

But research shows other factors are equally important: Our generation's economic insecurity, dependence on our parents and most notably, the unprecedented size of the older generation.

I want to challenge the notion of inevitability, that just because we are more diverse, liberal and "huge," millennials will soon win the culture wars and easily transform our society to reflect our values.

In my early 20s, as a Gen Y proselytizer and a person of color, I thought I knew exactly what the demographic changes meant: Millennials, in all of our black, brown and liberal glory, were taking over politically.

I spent the early part of my career working on progressive policies and cause campaigns geared toward youth and diverse communities. I even founded a program that applied a racial equity lens to public policy development in part because of the country's changing demographics.

The unspoken premise was this: Political elites had better "get hip" and start authentically working toward equity. Otherwise, they would be left in the change-making millennial dust.

This premise was grounded in what I now call the myth of inevitability.

Although I worked hard to increase civic engagement, activism and community involvement amongst my peers, deep down inside, I believed that the odds were in our favor.

We would inevitably win the culture wars because of our sheer size and diversity. I believed that increasing our involvement and voice would make the difference of when the United States would be transformed to reflect our values, not if. I was not alone. Others deeply believed this to be true, too.

But there are a few important factors that we forgot to consider.

First, the country isn't just young and diverse. It is also getting old very quickly. The second major demographic "drama" detailed by Pew is one of older Americans living longer than ever before.

Ten thousand baby boomers will turn 65 every single day between now and 2030. For the first time, by 2060, there will be almost as many Americans older than 85 as younger than 5.

Thus the joke about "waiting for the older generation to die off" to see our political and social goals realized isn't just crass: It not a realistic path to social change.

And that's not all. There are other cultural realities standing in the way of an "inevitable" political takeover.

Millennials are economically insecure, politically unaffiliated and, according to Pew, not at all interested in generational warfare.

Unlike previous generations, we actually like our parents and grandparents -- perhaps because we're still living with them.

Suddenly, revolution doesn't look as inevitable as it once did. But it is still possible.

I propose that the value wars that play out on issues such as immigration, women's rights, equality, criminal justice and America's treatment of the poor will be determined by three factors: participation, leadership and systems innovation.

Participation in the political process is key. In the research from Pew, it confirms that millennial voting has actually been remarkably solid, increasing and staying strong in presidential elections since 2004. If this continues, adequate political representation should follow.

But leading and participating in the system is not enough when the systems are broken, such as the impending doom around Social Security and other programs if left as is.

The only way to fix them is to innovate and create them anew.

Innovation can come from first learning the ins and outs of the current system, applying creativity and technological prowess to the problems and third, taking the risk to experiment and start enterprises that challenge the status quo if and when necessary.

The data about the country's race and age transformation is clear.

But millennials will only make a transformational political impact when we take the reins, lead and recreate the United States from the inside out.

Now that will be a demographic drama worth watching.

Share your thoughts in the comments, on Twitter @CNNLiving or on CNN Living's Facebook page.

The opinions expressed in this commentary are solely those of Erica Williams Simon.

@highlight

A new book details changing U.S. demographics and the role of millennials in that change

@highlight

A millennial responds to the myth of her generation's inevitable takeover

@highlight

To have change, millennials need participation, leadership and innovation, author says