(CNN) -- Dr. Paul Offit doesn't take any vitamins.

In fact, while you might think that vitamins are great in any quantity, Offit urges you to take a step back and think before swallowing the equivalent of eight cantaloupes in a single dose.

"I think that alternative medicine is often given a free pass," he told CNN chief medical correspondent Dr. Sanjay Gupta. "I think we should hold alternative medicine to the same standard that we hold conventional medicine. It lives under this sort of untouchable halo. I think we should be a little more skeptical."

Offit, chief of the division of infectious diseases at the Children's Hospital of Philadelphia, is no stranger to controversy -- previously he has taken on the anti-vaccine movement. His book "Do You Believe in Magic? The Sense and Nonsense of Alternative Medicine," came out Tuesday.

Vitamins and supplements, representing about a $27 billion industry, are necessary to convert food into energy, but it's possible to take them in excess, Offit said. For instance, it's not uncommon to hear of someone taking 1,000 milligrams of vitamin C, but that's about the same amount in 14 oranges.

"Vitamins live under this notion that you can't possibly hurt yourself," he said. "But you can, by challenging Mother Nature and taking these vitamins and concentrating them to these exceptionally large quantities that you would never normally eat."

Opinion: Alternative healing or quackery?

You may have heard the term "antioxidant" as a buzzword that applies to some vitamins. Antioxidants combat free radicals -- molecules produced when your body breaks down food, or by environmental exposures like tobacco smoke and radiation, according to the National Institutes of Health. Free radicals damage cell membranes and DNA.

Doctors recommend a healthy intake of fruits and vegetables containing antioxidants to prevent this from happening and apparently decreasing the risk of conditions such as cancer and heart disease.

However, oxidation is necessary for life, and preventing too much of this process can be a bad thing because cells that need to be destroyed, such as cancer cells, won't be.

There have been several important studies showing the harmful effects of vitamins.

As Offit wrote in an op-ed the New York Times, a 1994 New England Journal of Medicine study on 29,000 Finnish smokers found beta carotene was associated with lung and heart disease death. Beta carotene and vitamin A in combination were shown in another New England Journal of Medicine study to be linked to a 46% greater risk of death from lung cancer than placebo.

A 2012 Cochrane review of multiple randomized clinical trials showed an increase in risk of death may be linked to beta carotene and vitamin E, as well as higher doses of vitamin A.

The likely explanation, Offit said, is that supplemental antioxidant vitamins, taken in large quantities, cause unnatural behavior in the body, counteracting oxidation too much and leaving the immune system weaker in its defenses against invaders.

In response to Offit's op-ed, the nonprofit Consumer Healthcare Products Association countered that there is research underscoring the benefits of multivitamins, and that these supplements are prominent in the health care regime of many consumers.

"Consumers should always use caution when considering 'megadoses' of any supplements, carefully research these choices, and consult a healthcare professional with questions," the CHPA said. "While Dr. Offit shares his own hypothesis on supplemental antioxidants in this piece, it has yet to be substantiated. Until that time, we look forward to future research that would provide guidance for public health."

The Council for Responsible Nutrition, a trade association representing the dietary supplement industry, reacted strongly to Offit's book, saying he "weaves together a series of tired old arguments."

"Dr. Offit's credentials as a respected medical physician are well-established, making his dismissal of the value of dietary supplements all the more unfortunate," council president Steve Mister said in a statement.

"With more than 150 million Americans taking dietary supplements each year, it would be a shame if consumers reading this book mistake the opinion of one doctor for the opinion of the medical community as a whole. It is important for consumers to have an open dialogue with their health care practitioners about their dietary supplement regimens, and hopefully this book won't deter them from doing so."

The abundance of strong studies on the harmful effects of megavitamins suggests to Offit that these supplements are worse than Vioxx. That was an anti-inflammatory drug that its manufacturer, Merck, voluntarily withdrew from the market in 2004 after evidence emerged of its harm to the heart in some people.

"I think if vitamins were a regulated industry, you could argue that megavitamins would have a black box warning on them," he told CNN.

Because the industry is not regulated, Offit said, no one knows if alternative remedies are actually the same, or have a standard concentration, from batch to batch. No safety or efficacy data is available, either, the way there is with pharmaceuticals regulated by the U.S. Food and Drug Administration, he said.

"I think people have the misconception that these products -- dietary supplements and vitamins -- are made by elves and old hippies that have meadows and flowers," he said.

The 1994 Dietary Supplement Health and Education Act had the effect of defeating the FDA's attempt to regulate the supplements industry, so consumers don't know what they are buying, Offit said.

"We are the victims of enormous marketing campaign regarding some of these vitamins and supplements," he said.

Despite the widespread popularity of vitamins and supplements, doctors shouldn't encourage patients to take these substances just because they want them, he said. "I think the message is this: That patients are not customers, and we're not waiters."

CNN's Miriam Falco contributed to this report.

@highlight

Studies have shown that vitamins have been linked to disease and death

@highlight

Too much antioxidant vitamins may disrupt the immune system's natural processes

@highlight

Dr. Paul Offit argues there should be more regulation of the vitamin and supplement industry