(CNN) -- I was happy to return to Rio, this beautiful city which I have visited several times. Twenty years after the first Earth Summit, I came to Rio, like many people from all over the world, to put the world on a different pathway -- one leading to sustainable development.

But, the leaders gathered here came without an intergenerational vision and they failed to rise to the challenge; they did not break their ties with the old ways of doing things -- ways that are proved to be unsustainable and inequitable.

Read more: Five cities fighting for climate survival

If the government representatives had heard the heartfelt yearning for change, for a vision of the future that the broad base of men, women -- and even children -- shared during numerous side events, and in the Sustainable Development Dialogues organized by the Brazilian government, perhaps they would have given their negotiators a stronger mandate: A mandate to create the future we want and which the earth needs. Unfortunately these voices were not incorporated into the declaration text and many leave for home frustrated and angry.

I urge those who are disappointed by the lack of urgency and commitment to channel their frustration positively to work on a parallel pathway to fill the gaps left by the Rio text and to deliver the futures we all need.

More: Rio+20 summit must not ignore rapid population growth

I had the pleasure of participating in numerous events during the conference where we discussed the role of women's empowerment in sustainable development, the importance of making real progress on food and nutrition security and the need to improve access to sustainable energy for the poorest.

Underlying all of these discussions was the importance of upholding human rights and not backsliding on any existing commitments, while striving for a more equitable world.

The Rio declaration does set some important processes in train, like developing Sustainable Development Goals, which address all three dimensions of sustainable development: Environmental, social and economic.

These should be action oriented, aspirational and measurable, so that they complement the Millennium Development Goals. Likewise, processes have been established to strengthen environmental governance at the international level and to make progress on financing for sustainable development.

Read more: 7 billion reasons to empower women

The current declaration reaffirms the Rio Principles and the Universal Declaration of Human Rights. However, it worries me that negotiations revealed a desire by some to step back from established commitments and principles. The restating of these commitments is therefore considered a success, only because these principles and values were under threat.

More seriously, the backsliding on reproductive rights -- first established in 1994 at the Cairo Conference on Population and Development and reiterated at the Beijing Women's Conference -- is simply not acceptable, as highlighted by numerous women leaders in their statements to the Rio Summit.

More: The elephant in the room at Rio summit

Arising from the failure of political leadership here in Rio, our hope is that people everywhere will accept that we all have to take responsibility and mobilize ourselves. Helped by social media and easier communication across the globe, we can make sure that the world we pass on to our children and grandchildren is safe, equitable, prosperous and sustainable.

I was encouraged as I listened to many heads of state at the summit, who stressed their desire for a more concrete outcome. But this desire came too late: They should have engaged earlier in the process, they could have seized the moment and given stronger leadership.

This possibility of a once in a generation moment passed us by and we will regret it. Happily the lack of political leadership was countered by the incredible vitality, determination and commitment of civil society -- from young people, women, trade unions, grassroots communities, faith-based organizations and the private sector.

The legacy of Rio+20 will not just be the text of the Declaration hopefully it will be the mobilization of people to build the future they desire.

The opinions expressed in this commentary are solely those of Mary Robinson.

@highlight

Mary Robinson: A once in a generation chance to commit to sustainable development passed world by in Rio

@highlight

Leaders failed to rise to the challenge of breaking ties with old ways of doing things, she says

@highlight

Backsliding on reproductive rights is simply not acceptable, she says