(CNN) -- Pakistan's perilous democratic transition has been rocked by the ongoing anti-government protests.

The standoff between the government led by Prime Minister Nawaz Sharif and opposition parties continues to accelerate the political uncertainty and damage the fragile economy.

Sharif was elected 14 months ago in an election that witnessed unprecedented voter turnout.

While most opposition parties accepted the results, Imran Khan -- the leader of the Pakistan Tehreek I Insaf (PTI) party -- claimed there was widespread rigging. There's not much evidence, however, beyond the usual irregularities of Pakistan's outmoded electoral system, to back this up.

But a successful campaign, aided by sections of Pakistani media, to de-legitimize last year's vote has convinced a large number of people that somehow Khan's mandate was "stolen" in 2013.

Another opposition group, Pakistan Awami Tehreek (PAT), led by a Pakistani Canadian cleric, Tahir ul Qadri wants a systemic change and has a list of undeliverable promises to the electorate. His immediate grievance is the brutal police action against his supporters that left 14 dead in June of this year.

Both the groups have mobilized their supporters since early August and have been camping in Islamabad's red zone -- a high security area where many state buildings and diplomatic missions are located.

In the last few days the sit-in turned violent as the protestors attempted to enter the parliament and prime minister's residence, leaving hundreds injured and at least three dead.

On Monday morning, mobs entered the state television premises and managed to suspend the transmission for some time until the military intervened and restored order. This was a most embarrassing situation for Sharif's government as the civilian law enforcement apparatus appeared helpless.

Role of the military

In such situations, it is Pakistan's powerful army which usually intervenes; it has taken over the reins of government four times during country's 67-year history.

Relations between Pakistan's prime minister and the military have been far from smooth for months. The civilian government and the courts have proceeded to try Pervez Musharraf, the former army chief and president for treason.

In May, the government was seen as sympathetic to the country's largest television channel that, rather unprofessionally, named the intelligence chief as responsible for an attack on its leading journalist Hamid Mir, who was shot in Karachi but survived the alleged assassination attempt.

Under pressure, the government later backtracked and penalized the channel but mistrust grew.

On key foreign policy issues, such as India and Afghanistan, the government and the military are not on the same page either. Sharif is an ardent advocate of making peace with India, while the military's strategic worldview has historically been determined by the threat from India.

Sharif has been regularly meeting the army chief, General Raheel Sharif, and also consolidating his position by mobilizing other political parties in parliament.

However, the media, on balance, has critical, in some measure propelled by the high-handed tactics of the government as it quelled protests including beating up journalists in recent days.

Earlier, the protestors have been attacking journalists at will expressing their anger towards media houses viewed as "partisan." There has been chaos all over and even the Pakistani Taliban mockingly stated that they too could paralyze the country's capital.

In the current stalemate the military has maintained an ostensibly neutral position.

Pakistan's Dawn.com news service described this as a "carefully constructed veneer" and suggested the military may not be fully siding with the government, which the constitution says it must do.

The army has issued three statements in the past week wherein it has emphasized dialogue and negotiation with Khan and Qadri, as well as avoiding the use of force.

Game changer?

On Monday, the former head of Khan's party, Javed Hashmi, claimed the recent turmoil was planned by the protesting parties with the backing of sections within the army and possibly judges from the country's top court.

But in a carefully worded statement, the army reiterated its position as "an apolitical institution" and reminded all of "its unequivocal support for democracy at numerous occasions."

However, this has been a game changer of sorts as it allows the civilian government to reassert its political power.

The recent breach of security at parliament and other state installations in Islamabad did not result in any attempt by the military to repel protestors.

Yet the military is concerned about its image. It has regained its popularity by conducting operations against militants along its border with Afghanistan, and also by regaining its space in a powerful broadcast media that had played a pivotal role in ousting Musharraf in 2007-8.

But Sharif is fighting back and has convened a special session of the parliament on Tuesday, which is likely to reiterate support for him. A parliamentary committee will restart negotiations with the protestors.

A coup may not be imminent. Until recently, it was widely speculated that Sharif may be forced to resign, given the turn of events. But Sharif might come out of this crisis as a weakened prime minister with the military controlling foreign and security policies.

Having said that Pakistan's political history is fraught with unexpected events; and continued standoff may lead to a further meltdown where the army shall act as the sole arbiter of political events.

Meanwhile, the majority of Pakistanis crave stability.

@highlight

Standoff between government and opposition creates uncertainty, damages economy

@highlight

Pakistan's powerful army often intervenes but has so far remained neutral

@highlight

However, a coup cannot be completely ruled out

@highlight

PM Nawaz Sharif might come out of crisis weakened with the military controlling foreign and security policies