Washington (CNN) -- President Obama got some political cover Sunday for his upcoming announcement on sending more troops to Afghanistan.

A report released by the Democratic staff of the Senate Foreign Relations Committee blamed the Bush administration for failing to capture or kill Osama bin Laden when the al Qaeda leader was cornered in Afghanistan's Tora Bora mountain region in December 2001. The report, released Sunday, said the situation in Afghanistan presented greater problems today because of the failure to nab bin Laden eight years ago.

Bin Laden had written his will, apparently sensing he was trapped, but the lack of sufficient forces to close in for the kill allowed him to escape to tribal areas in Pakistan, according to the report.

It said former Defense Secretary Donald Rumsfeld and top U.S. commander Gen. Tommy Franks held back the necessary forces for a "classic sweep-and-block maneuver" that could have prevented bin Laden's escape.

"It would have been a dangerous fight across treacherous terrain, and the injection of more U.S. troops and the resulting casualties would have contradicted the risk-averse, 'light footprint' model formulated by Rumsfeld and Franks," the report said.

When criticized later for not zeroing in on bin Laden, administration officials, including former Vice President Dick Cheney, responded that the al Qaeda leader's location was uncertain.

"But the review of existing literature, unclassified government records and interviews with central participants underlying this report removes any lingering doubts and makes it clear that Osama bin Laden was within our grasp at Tora Bora," the report said.

On Tuesday, Obama will travel to West Point, New York, to announce his decision on a request by his commanding general in Afghanistan for up to 40,000 additional troops.

Obama is expected to send more than 30,000 U.S. troops and seek further troop commitments from NATO allies as part of a counterinsurgency strategy to wipe out al Qaeda elements and stabilize the country while training Afghan forces.

By releasing the report Sunday, Sen. John Kerry, chairman of the Senate Foreign Relations Committee, focused attention on the past failure of the Bush administration to take out bin Laden, saying that had created a greater problem today.

"Our inability to finish the job in late 2001 has contributed to a conflict today that endangers not just our troops and those of our allies, but the stability of a volatile and vital region," Kerry, D-Massachusetts, wrote in a letter of transmittal for the report.

When Kerry was the Democratic presidential nominee in 2004, he argued that the Bush administration botched the pursuit of bin Laden and that then-President George W. Bush "took his eye off the ball" in Afghanistan to invade Iraq.

The accusations were hotly disputed by Bush supporters and Franks. However, Gary Berntsen, the CIA operative who led the pursuit of bin Laden at Tora Bora, said in 2005 that his request for up to 800 U.S. troops to cut off the al Qaeda leader's escape route was denied.

Sen. Richard Lugar, the ranking Republican on the Foreign Relations committee, told CNN's "State of the Union" that the new report "does serve as a convenient way for, perhaps, Democrats to say once again, there's another failing of the past administration" and that "all the problems have accumulated."

"I think we have to accept that there were many failings," said Lugar, of Indiana. "But the problem right now is, what do we do presently? What will the president's plan be? How much confidence do we have in this president and this plan?"

Democratic Sen. Jack Reed of Rhode Island, responding to Lugar's comment, told CNN that Obama faced "the culmination of decisions that were made eight years" earlier, which he said "made the situation much more difficult" today.

According to the report, "removing the al Qaeda leader from the battlefield eight years ago would not have eliminated the worldwide extremist threat."

"But the decisions that opened the door for his escape to Pakistan allowed bin Laden to emerge as a potent symbolic figure who continues to attract a steady flow of money and inspire fanatics worldwide," it said.

The report called bin Laden's escape "a lost opportunity that forever altered the course of the conflict in Afghanistan and the future of international terrorism, leaving the American people more vulnerable to terrorism, laying the foundation for today's protracted Afghan insurgency and inflaming the internal strife now endangering Pakistan."

The report also highlighted bin Laden's will, dated December 14, 2001, as an indication of the dire situation he faced.

"Bin Laden expected to die," it said, noting that a copy of the will that surfaced later is regarded as authentic.

"Allah commended to us that when death approaches any of us that we make a bequest to parents and next of kin and to Muslims as a whole," the report quoted bin Laden's will as saying, adding that he "instructed his wives not to remarry and apologized to his children for devoting himself to" holy war.

However, the report said, "fewer than 100 American commandos were on the scene with their Afghan allies and calls for reinforcements to launch an assault were rejected."

"Requests were also turned down for U.S. troops to block the mountain paths leading to sanctuary a few miles away in Pakistan," it continued. "The vast array of American military power, from sniper teams to the most mobile divisions of the Marine Corps and the Army, was kept on the sidelines. Instead, the U.S. command chose to rely on airstrikes and untrained Afghan militias to attack bin Laden and on Pakistan's loosely organized Frontier Corps to seal his escape routes.

"On or around December 16, two days after writing his will, bin Laden and an entourage of bodyguards walked unmolested out of Tora Bora and disappeared into Pakistan's unregulated tribal area. Most analysts say he is still there today."

@highlight

Report released by Senate panel blames Bush officials for bin Laden escape

@highlight

"Bin Laden expected to die," report says, noting that a copy of his will was found

@highlight

"Requests were also turned down for U.S. troops to block the mountain paths," report says