(CNN) -- Flu vaccine myths can confuse people trying to decide whether to get a shot. Here are five common myths and, based on information from the Centers for Disease Control and Prevention, the truth.

1. The shot can give you flu

Not so, says the CDC.

The viruses in flu shots are killed during the production of the vaccine, which means they cannot cause infection. The vaccine batches are then tested, with a group of people randomly assigned to get either the vaccine or salt water.

"The only differences in symptoms was increased soreness in the arm and redness at the injection site among people who got the flu shot," the CDC found. "There were no differences in terms of body aches, fever, cough, runny nose or sore throat."

Still, some people feel bad after a flu shot. Soreness at the injection site is one reason, but it usually dissipates within two days. It's caused by the immune system making antibodies to the killed viruses in the vaccine that help a person fight off the flu.

The Advisory Committee on Immunization Practices says symptoms, in rare instances, include fever, muscle pain, and discomfort or weakness, which also typically go away after a day or two.

And, though a flu shot won't give you the flu, its protection doesn't kick in for two weeks from the time of injection. During that time, you are vulnerable.

In addition, it's easy to confuse seasonal flu for an illness caused by a number of other pathogens, including rhinovirus. Or you may be exposed to a flu virus that is not included in the vaccine. Finally, the flu shot does not always work -- particularly among the elderly and people with weak immune systems. But even among these high-risk groups, the vaccine can prevent complications.

2. It is better to get the vaccine later in the season to limit the risk that its efficacy will wane

No. The shot lasts an entire flu season, except for some children who may need two doses. The CDC recommends that all people older than 6 months get a flu vaccine.

3. The flu shot might adversely affect my pregnancy

No. The flu vaccine is "an essential element of prenatal care" and is recommended for all pregnant women, according to the American College of Obstetricians and Gynecologists. Pregnant women are among the groups at increased risk for flu complications like pneumonia, infections and dehydration.

Though babies cannot be vaccinated until they have reached 6 months of age, antibodies they received in utero from their mothers may help protect them. But note that the group recommends against the nasal spray -- the live, attenuated version -- for pregnant women.

The CDC says seasonal flu vaccine shots have not been shown to cause harm to pregnant women or their babies.

4. I've had the flu before and it was no big deal, so bring it on

No. Seasonal flu exacts a bigger toll in some years than in others: Between 1976 and 2007, the flu was linked to a low of 3,000 to as many as 49,000 fatalities in the United States, with more than 200,000 hospitalizations.

There are two main reasons: The viruses that circulate in one year may differ from those that circulate in another. And, of course, people change from year to year, meaning that your response to a viral infection one year may not be the same as your response in another.

5. The flu shot doesn't work

It doesn't work all the time, but it does confer some level of protection. For example, the CDC says preliminary data for the 2010-2011 season show that it was about 60% effective for all age groups combined, and studies for earlier years found protection rates of up to 90%.

@highlight

The flu vaccine cannot give you the flu, according to the CDC

@highlight

The shot lasts for an entire season, except for some kids who may need two

@highlight

The vaccine is essential for pregnant women to protect their infants