(CNN) -- From soup kitchen director Rita Baldwin's perspective, the notion that "homeless people are the scum of the earth" has returned to her Gulf Coast town, which still struggles four years after Hurricane Katrina.

Loaves and Fishes executive director Rita Baldwin poses with her son, Scott Blain, who works at the kitchen.

Baldwin -- formerly homeless herself -- found that "the storm was a great neutralizer. It put us all on the same level." That social pendulum is swinging back to the pre-Katrina world, she said, but she added that the community has shown a renewed sense of compassion.

Baldwin, executive director of the Loaves and Fishes community kitchen in Biloxi, Mississippi, lost her home in Katrina as the storm barreled into the coastal community in 2005.

She said she watched with sadness as storm victims she dubbed "amateurs" -- "people who didn't know how to be homeless" -- attempted to survive after losing everything.

Homeless people who were accustomed to living in the woods and on the streets used their wherewithal to make it through each day, said Baldwin, who relied on the kitchen's services herself before she was hired there.

Biloxi was one of the cities that Katrina hit hardest. And though the city has made progress rebuilding, the 26-year-old kitchen has seen steady increases in clients each year since the storm. With few residents in the city shortly after Katrina, there was little activity. But the kitchen reports serving 55,281 meals in 2007, 64,825 meals in 2008 and 38,877 in the first seven months of 2009.

Loaves and Fishes nearly closed this summer because of lack of funding, until the public was reminded of the need to feed the hungry. After the Biloxi Sun-Herald reported in late June that the kitchen could close its doors, more than $50,000 in donations poured in, and it is now funded until around March.

"I certainly had never gotten that kind of response before. So it just made me realize that they just didn't know" about the hunger problem, Baldwin said.

After spending time focusing on themselves and picking up the pieces, the more fortunate Biloxi residents are starting to return to a more philanthropic frame of mind, according to Biloxi Public Affairs Manager Vincent Creel.

"There's been a reawakening. People are getting in a closer position where they can help others," he said.

'Hitting us with both fists'

Loaves and Fishes hit a "really bad financial crunch," Baldwin said, because its federal grants for disaster relief had run out. She used to provide other services for the homeless, but when the money disappeared, she had to eliminate the additional assistance.

"The economy really didn't get bad for those of us in Katrina areas because so much money was flushed into these areas to help us get back up on our feet. And now those funds are gone, so the ... poor economy and the unemployment is hitting us with both fists now," Baldwin said.

Baldwin's clients include the expanding homeless population, day laborers, the elderly and other poor people in the area.

Terry, 59, who asked that his last name not be used, was homeless for about three years after losing his Gulfport, Mississippi, home in Katrina. He now rents a bedroom and regularly eats at Loaves and Fishes.

"Most everyone just tries to keep to themselves right now," Terry said of the atmosphere there. "[We] struggle, try and get everything back in order. However, the community is binding together and helping each other. So that's a good thing."

Terry learned about six years ago that he had bone cancer, but only recently began receiving disability checks. Before that, it was hard to get work despite all the post-Katrina construction because outside contractors were not hiring locals, he said.

Loaves and Fishes also serves down-on-their luck visitors to Biloxi's casinos.

"A lot of people that come in here ... have gambled up their money," Baldwin said. "They max out their credit cards and they get stuck here."

Biloxi's casinos, however, have been struggling over the past year. After showing signs of post-Katrina growth in 2007 with more than $1 billion in revenue, casinos pulled in $951 million last year. They are trending down again this year, according to city data.

But A.J. Holloway, Biloxi's mayor, says the city celebrates new milestones of recovery daily. For example, the public school district has rebounded to about 4,600 students from a pre-Katrina population of about 6,100, and around 700 of 1,000 replacement homes have been built at Keesler Air Force Base.

The preliminary unemployment rate in Gulfport and Biloxi for June was 7.9 percent, compared with a national rate of 9.4 percent in July. Gulfport-Biloxi's unemployment rate hit 23.2 percent the month after Katrina, according to the U.S. Bureau of Labor Statistics.

This weekend, the city will break ground on $50 million worth of recovery, including a new library, civic center and visitor center. Holloway also expects a $400 million infrastructure project to begin construction in January, which he hopes will put people to work and stimulate the local economy.

He says it will take awhile for Biloxi to return to normal. It probably wasn't until 1992, when the casinos were established, before the city was fully rebuilt after Hurricane Camille in 1969, he said.

"I think we'll feel the effects of Katrina for a long time," the mayor said.

For now, the area still struggles with poverty, homelessness and hunger, and Loaves and Fishes' Baldwin wants to be there to answer the call.

"There's hunger in our communities," she said. "There's not just hunger in Africa."

Contact Loaves and Fishes at PO Box 233, Biloxi, MS 39522.

@highlight

As the city recovers from Katrina, Loaves and Fishes sees more visitors

@highlight

Clientele include the homeless, day laborers, out-of-luck gamblers

@highlight

"I think we'll feel the effects of Katrina for a long time," mayor said

@highlight

He expects to break ground on a $400 million infrastructure project in January