Brain scans may identify which patients suffering from mild cognitive impairment, or MCI, are likely to progress to Alzheimer's disease, and who will probably not develop the disease, according to a new study. The findings, published in April 2009 issue of the journal Radiology, could help in developing new drugs for Alzheimer's. More than 5 million Americans have Alzheimer's disease, about 3.5 million have mild cognitive impairment.

What did the brain scans show?

Dr. Sanjay Gupta, CNN chief medical correspondent: This was a small but significant study in the fact that it may lead researchers to determine who will develop Alzheimer's disease and who may not. I had a chance to view the brain scans used in this study and they were truly fascinating. The images of patients with Alzheimer's showed many areas throughout the brain where the cells and tissue have begun to deteriorate or have already died. We know Alzheimer's is a neurodegenerative disease and when the cells die, patients begin to experience loss of cognitive function. Although all the patients with MCI experienced mild memory problems, not affecting their daily life, inside their brains looked very different. One group looked very similar to the brain of the Alzheimer's patients. The other MCI group showed very little cell damage.

What does this mean for patients with MCI?

Gupta: What this tells us is no two patients with MCI are the same. And some may progress to an Alzheimer's diagnosis in less that a year. These researchers looked at follow-up imaging a year later and found 30 percent of the group whose brains showed signs of cell loss were now Alzheimer's patients. This is a potential clue in trying to figure out who is most likely to develop Alzheimer's later on in life. Not ready for prime time yet, in terms of patients having access to these scan results, but it could be available a few years from now.

Is there anything people can do as they age to keep their brain strong?

Gupta: Yes, various cognitive exercises and memory activities can help keep your brain healthy and maintain cell production. But there isn't a lot of evidence showing that it can somehow reverse the effects of cell loss after getting an Alzheimer's diagnosis. What I found even more interesting, is something I started to incorporate into my own life: simple physical exercise. I am not talking about necessarily strenuous exercise, but simple, regular daily activity. Studies show it has a way of fueling your brain and even ward off Alzheimer's. I would say cognitive and physical activity is your best bet for now.

@highlight

Key structural changes seen in brain scans of some patients with memory loss

@highlight

One year later, many patients with brain changes had developed Alzheimer's

@highlight

Memory-loss patients without these changes were mostly stable one year later

@highlight

Brain scans could identify who gets Alzheimer's, help with drug testing

@highlight

The bottom line: The average person can't run out and get an MRI that shows if they're on the road to Alzheimer's just yet. But these findings could help drugmakers as well as patients in the future.