This week is Computer Science Education Week,  which is being observed around the United States with events aimed at highlighting the promise -- and paucity -- of digital education. The climax of the festivities, for me anyway, will be the opportunity to address members of Congress and their staffers on Wednesday in Washington about the value of digital literacy. I've been an advocate of digital culture for the past 20 years, and this feels like the culmination of a lifetime of arguing.

Yes, I was once the one getting laughed out of both cocktail parties and editor's offices for suggesting that someday people would be using word processors to send one another messages over telephone lines. But the vindication I feel for being right about our digital future is tempered by an equally disheartening sense that we are actually missing an opportunity here.

I have never been as enthusiastic about the promise of digital technology itself as about  the human potential unleashed by these new tools. Yet I fear this promise is increasingly undermined by our widespread unwillingness to seize the abilities they offer us. Although we live in a highly digital age, digital literacy is not a priority among us. And as a result computer science is not a priority in our schools.

My talk to Congress may not change this overnight. There are many structural impediments to bringing any new curriculum into America's public schools. The multi-year process through which school district decisions are made is incompatible with the development cycles of the Internet startups hoping to meet the demand for digital education. Teachers fear their own inexperience with code may disqualify them from becoming competent instructors. And there's not enough money for the education we already have, much less the education we would like to offer.

But I'm hoping we can get motivated enough to catch up with, say, Estonia (where they teach code to kids) and begin developing a society capable of thriving and competing in a digital world. So to that end, here are the 10 things I plan to say in my 10 minutes on Capitol Hill:

1. When we got language, we didn't just learn how to listen, but how to speak. When we got text, we didn't just learn how to read, but how to write. Now that we have computers, we're learning how to use them -- but not how to program them.

2. Programming a computer is not like being the mechanic of an automobile. We're not looking at the difference between a mechanic and a driver, but between a driver and a passenger. If you don't know how to drive the car, you are forever dependent on your driver to take you where you want to go. You're even dependent on that driver to tell you when a place exists.

3. Not knowing how our digital environments are constructed leads us to accept them at face value. For example, kids think the function of Facebook is to help them keep in touch with friends. Even a bit of digital literacy helps us see that Facebook users are not its customers, but its product.

4. "Computer class" can't be about teaching kids to use today's software; it must be about teaching kids to make tomorrow's software.

5. The failure to teach computer science isn't just impeding kids' understanding of the digital world, but also crippling our nation's competitiveness in business. We outsource programming not because we can't afford American programmers, but because we can't find American programmers.

6. America's military leaders are scared: They have no problem finding recruits who want to fly drones, but have few who want -- or are ready -- to learn how to program them. One Air Force general told me he believes America's competitive advantage on the cybermilitary frontier is one generation away from being lost.

7. We are putting in place a layer of technology, culture, and economics that we'd darn well better do consciously. The technology we build today is the operating system of the society of tomorrow. Right now, painfully few are participating in this -- and usually the choices are made by the highest bidder.

8. Computer Science is not just a STEM -- science, technology, engineering and math -- subject, but a liberal art as well. Being able to think critically about digital media environments means being able to think critically about our world.

9. Kids are already doing algorithms, the basic building blocks of computer programming. Once they learn long division, they are ready to start programming.

10. The resources are out there: Codecademy.com is just one of many free tools (including CSUnplugged.org and Scratch.org) that any teacher can pick up and implement -- if he or she can muster the autonomy to do so. It may just happen that computer education, like the Internet itself, will depend on distributed authority and the bottom-up, enterprising nature of human beings working together.

@highlight

Douglas Rushkoff: It's Computer Science Education Week, aimed at promoting digital literacy

@highlight

He says we live in digital age but computer science not priority in schools; U.S. is lagging here

@highlight

He says digital literacy helps us see that kids are not Facebook's customers, but the product

@highlight

Rushkoff: Critically thinking about digital media environments is a liberal art, teaches about world