(CNN) -- It's become an increasingly precious jewel in the ATP's financial crown, attracting big crowds and treating the leading players like rock stars since its move to London four years ago.

This week's World Tour Finals not only showcases the top 16 singles and doubles competitors, it also highlights the benefits the men's tennis showpiece can bring to a city.

The question now is, can the UK capital continue its love affair with the tournament -- or will it continue its nomadic past?

Before London was granted an extension to stage it until 2015, New York and Rio de Janeiro were other cities rumored to be in the running.

The Big Apple, like London, is one of the globe's major metropolises and home to one of tennis' four grand slams. It hosted the ATP tournament in the late '70s and '80s in the heyday of Madison Square Garden.

Brazil, meanwhile, is an emerging market that in the next three years will host soccer's World Cup, the Summer Olympics and a medium-sized tennis event in Rio.

However, moving the event elsewhere would be a "gamble," according to the former head of the ATP's commercial division, while Roger Federer -- whose record six finals wins are spread across London, Houston and Shanghai -- would have no issue with a further continuation.

Tournament director Andre Silva says staying in Britain past 2015 is "definitely" a possibility.

Unlike soccer's ruling body FIFA, which aims to take the World Cup to pastures new, the ATP's goal isn't to be "evangelistic" about tennis -- and London, with its packed crowds, has been a boon financially for the men's game.

"My personality isn't much for a change," Silva, a Brazilian, told CNN. "This is a different animal to the World Cup in that it's year to year, and you do want to expose fans around the world to this type of tennis.

"But the tournament is a very important part of the business of the ATP. More important than exposing everyone around the world to it is making sure it's healthy and not an experiment.

"I know a lot of people talked about Rio and New York. It's obviously great to be wanted. At the same time you need to be sure it makes sense -- and right now London makes a lot of sense."

Federer, who lost to Novak Djokovic in last year's final, shared Silva's view.

"I must agree with Andre in many ways because I think it's important that this event is played in a place that knows tennis," Federer told CNN.

"I think it's good sometimes to play Shanghai, or maybe Lisbon or Sydney for a year, but I think it's not long enough in one place to put its roots down."

Lisbon welcomed the world's top players in 2000 and Sydney did the same in 2001 in another one-year stint.

"It's like a circus," said Federer, who will this week tie Ivan Lendl's record of 12 successive appearances at the season-ending event.

"You come, the tent is there but it's temporary and you move it away again. So here the roots are down, it's successful and that's why if the business makes sense, if the numbers make sense, if the excitement of everybody involved makes sense, I think we should keep it here.

"Other options would have to be considered but it would have to be a great other option."

Richard Davies, the CEO of ATP Properties before leaving his post at the end of 2010, said London was "twice as successful" in monetary value for the ruling body than other host cities.

Unlike when the season finale was showcased in Shanghai as the Masters Cup, the World Tour Finals are operated as a joint venture between the ATP and London's O2 venue owner AEG. All operating costs and revenues feed into the joint venture.

The Shanghai promoters paid the ATP for the right to run the tournament, and the purchasing fee -- believed to work out to about $10 million per year -- was all the latter received from the event.

"If there's no tennis fatigue at the O2 and it's still selling out, I think you have to ask yourself, 'What's the upside to move it elsewhere?' " said Davies. "At the ATP Tour, it's not their responsibility to be evangelistic about tennis.

"London is a great city and that helps corporately. You'd have to take a long, hard look to say, 'We're going to move it.' It's very profitable and to get a tennis-loving nation behind it in any other country at that time of the year will be a gamble."

The success of the tournament has had a knock-on effect on sponsorship, according to both Davies and Silva.

Some companies get involved with the World Tour Finals and then decide to increase their affiliation with the tour throughout the year.

More than one million fans have walked through the turnstiles in the four editions, helped by a capacity of 17,800 that makes the O2 arena the second-largest regularly used tennis venue behind New York's Arthur Ashe Stadium.

Operating two sessions -- day and evening -- pads the coffers. Tickets to watch a single round-robin match range from Â£10-62 ($16-98), while seats for the final are Â£30-105 ($48-167).

"People want to be part of the event," said Silva. "They see how successful it is. They see the tour operates in a very successful way throughout the year and end up becoming global partners."

Come the conclusion of 2015, London's term will hit seven consecutive seasons, a run only bettered by New York, which had an unbroken spell from 1977-1989.

With tennis a younger sport in China, crowds for opening matches disappointed, the time zone presented problems for broadcasters and viewers in Europe -- tennis' biggest market -- while players faced the long trip to Asia following the European indoor swing.

London lacks those issues, though players have complained about Britain's tax laws -- which restrict the number of days they can be in the country before being rated on their overall income.

The O2 is "one of the best venues ever" according to veteran doubles specialist Leander Paes, this week teaming up with Radek Stepanek.

"Playing in there, the acoustics are phenomenal," Paes, who turned pro in 1991, told CNN. "The crispness of it makes the quality of tennis so high."

Pondering the achievement of the event in London, Davies spared a thought for former ATP head Etienne de Villiers.

De Villiers was criticized for implementing a round-robin format at smaller tournaments, and the ATP was taken to court during his 2005-08 tenure for attempting to strip a German event of Masters status.

But De Villiers spearheaded the shift to London from Shanghai in 2009.

"People have short memories," said Davies. "It was a very bold move. The O2 wasn't an established venue and it had a slight miasma about it.

"To back ourselves and say we know we can build an event here, find sponsors and fill it with an audience really that has just had Wimbledon, outdoors ... we're going to take that tennis-loving public and tell them to watch tennis indoors -- it was a big decision."

@highlight

London will host the season-ending championship of men's tennis until 2015

@highlight

It first held the ATP World Tour Finals in 2009 and its contract was extended

@highlight

The tournament has become an important financial boon for the ATP

@highlight

It was previously held in Shanghai, with Rio and New York also interested