Atlanta, Georgia (CNN) -- Walking through the downtown hotels hosting Dragon*Con, it's remarkable how many costumes on display are influenced by Japanese animation. Dynamic hairdos, gravity-defying clothes and exotic weapons are the hallmarks of the dedicated anime fans who proudly dress up as their favorite characters.

Such detailed imagery was not always a part of anime, but in 1988, Katsuhiro Otomo's movie "Akira" ushered in a wave of creativity that has inspired fans ever since. This supernatural tale of two troubled teenagers caught in the middle of a military coup impressed audiences around the world with its cinematic approach to chase scenes and explosions.

"When the theater version arrived in America, I forced my father to drive me two hours to Athens, Georgia, to see the screening -- which was in Japanese, with no subtitles. And I was blown away," said Joe Peacock, an author and passionate "Akira" fan. Peacock travels to fan conventions and animation companies such as Pixar to give lectures about the art and influence of "Akira."

Peacock is at Dragon*Con in Atlanta this weekend to show off his collection of more than 12,000 original production cels, backgrounds and layouts from "Akira."

Instead of dressing up like his favorite "Akira" characters, Peacock has tattooed scenes from the movie on his arms and leg. His devotion to "Akira" started with an unassuming, purple-hued background cel that opened his eyes to the level of art that is possible through anime.

"That piece is the lynchpin to this whole exhibit," said Peacock. "When I found it, I didn't even realize it was part of 'Akira' at first because it was hidden behind all those layers of great art."

Peacock said that because of this one picture, he realized, "there are pieces of that film that you never, ever clearly see that rival any of the foreground visuals."

Before "Akira," anime seen in America was cheaply produced and relegated to Saturday morning cartoons, said Joe Wos, founder of Toonseum, a Pittsburgh, Pennsylvania, museum and website devoted to the art of comics and animation.

By offering mature art and story lines, "['Akira'] saved anime," said Wos, who is collaborating with Peacock on the "Art of Akira" exhibit.

"When you see the film, your jaw drops. It's beautiful; it's an astounding feat. But you miss so much because there's fantastic art on top of fantastic art on top of fantastic art. When it's pulled apart and each layer is presented to you individually, you have a chance to fully appreciate the magnitude of the artistic effort that went into this. To look at one cel gives you an idea of how much work went into each and every cel.

"Akira" is "considered the pinnacle of animated art by a lot of aficionados," said David Kramer, co-founder of the Nichibei Anime Club.

"[The artists creating 'Akira'] actually hand-painted 160,000 cels to make the film. And a huge number of backgrounds, probably at least 10,000 backgrounds, I'm going to guess. The art was spectacular. It was a stunning film; it had a huge budget," he said.

People visiting the exhibit tell Peacock and Wos that "Akira" has dramatically influenced their lives.

"For some of them, it introduced them to the fact that cartoons could be art, and then they began to pursue cartoons as an art form. For others, it really did speak to them on a different level, of these teen characters and the angst they were going through. And it spoke in a true voice.

"These weren't Disney teenagers who were waiting to be kissed by a prince. These were teenagers who were troublesome youth and needed an outlet to express themselves," said Wos.

" 'Akira' blew my head apart when I saw it. It quite literally changed my life," said Yuri Lowenthal, a voice actor best known for his work on the animated series "Ben 10" and on English versions of anime such as "Afro Samurai."

"I had never really seen anything like it, but after I did, you'd better believe I started looking for anything else like it I could find," he said. "It was a game-changer for a lot of people, I think."

"Akira" made it possible for anime to thrive in the United States, said Kramer. Before "Akira," anime "was exclusive, there were no major distributors, so fans would hand down third- or fourth-generation VHS copies with blurry subtitles," he said.

But as entertainment companies began lucrative distribution operations in the 1990s and 2000s, the anime fan base became as diverse as the genre itself.

One especially popular practice now is cosplay, in which fans dress up as their favorite anime characters, taking great pains to get the costume details exactly right.

"I think right now cosplay is the most active segment of anime. Fans love to go to the anime conventions and meet up with people from all over the country," said Kramer. "Many people from Japan also go to these conventions, and they love to dress up as their favorite characters."

@highlight

"Akira" ushered in a new wave of sophisticated and diverse anime

@highlight

Many backgrounds created for "Akira" can be appreciated as standalone works of art

@highlight

Joe Peacock is exhibiting his personal collection of "Akira" cels at Dragon*Con

@highlight

Says one follower: "Akira" is "considered the pinnacle of animated art