(CNN) -- One year ago this week, America got a wake-up call about a core problem in our politics that empowers ideological extremists and special interests.

On September 14, 2010, both Delaware Rep. Mike Castle and Washington Mayor Adrian Fenty lost closed partisan primaries, depriving most voters of a chance to vote for them in a general election. One a Republican and the other a Democrat, they both fell prey to a system that is rigged to punish political independence and that artificially polarizes American politics.

Each of their stories is worth retelling. One gave us Christine O'Donnell, and the other was regarded as a serious, but hopefully temporary, setback to education reform. Call it a case of RINO (Republican in name only)-hunting and DINO-hunting -- the results are far-reaching.

Mike Castle was a former governor and longtime Republican congressman from Delaware. He had established a fiscally conservative record as the successor to supply-sider Pete DuPont, balancing the budget and cutting tax rates three times.

As a congressman, he voted against President Barack Obama's health care bill, in part because he felt there were not enough medical malpractice reforms, and he voted against the stimulus bill. But he was centrist on social issues, a supporter of abortion rights and gay rights. He was concerned about the environment and climate change and was no great fan of the National Rifle Association.

In other words, he was no hyperconservative warrior but an excellent fit for his state, and one of the most broadly popular politicians precisely because he was center-right. He was consequently considered an easy pick to succeed Vice President Joe Biden in the Senate and flip the seat from Democrat to Republican.

But in the tea party-driven purges of 2010, Mike Castle was considered a traitor to the conservative cause because he had a record of working across the aisle. And so they turned to activist and serial candidate Christine O'Donnell.

Keep a few things in mind. O'Donnell had just five in-state donations in the first quarter of the 2010 cycle. But in the third quarter, as the RINO-hunting fever took hold, she received a quarter-million dollars in tea party national activist cash.

A video posted by an O'Donnell supporter prominently -- and without any facts whatsoever -- suggested that the married Mike Castle was gay, a frequent tactic of the far right against anyone they deem a squish. (My favorite antecedent: Then-Gen. Dwight David Eisenhower was called "the candidate of effeminates" by supporters of conservative isolationist Sen. Robert A. Taft in their 1952 primary.)

O'Donnell, then unemployed, had previously lost two statewide races and never served in elected office. She was best known for being a social conservative activist, talking about her anti-masturbation policy and pre-evangelical flirtation with witchcraft on Bill Maher's late-night show. Suddenly, she was lauded as the grass-roots candidate of fiscal conservatives, parroting libertarian rhetoric that had nothing to do with her beliefs to date.

But on September 14, 2010, she beat Castle in a closed partisan primary in which only 32% of Republicans voted (and keep in mind that Republicans are a distinct minority in Delaware).

The result? In November, Republicans lost a Senate seat they were likely to win, especially in a GOP-leaning year. Like Sharron Angle in Nevada, O'Donnell got the nomination but was too extreme for the general election. The Democrats held on to the U.S. Senate. Extremes are ultimately their own side's worst enemy.

Mayor Adrian Fenty's story in Washington is less well known, but no less resonant. Tea party primary challenges are already infamous, but left-wing challenges to more centrist Democrats are in the process of catching up. And this is Exhibit A in the annals of DINO-hunting to date.

Fenty was in his first term as mayor, young and charismatic, but he alienated allies by seeming aloof and out of touch (sound familiar?) Some leaders in the the inner-city African-American community felt that Fenty, who is also black, was not spending adequate attention on their community's concerns.

The real issue in his re-election, however, was his embrace of education reform, led by his controversial but nationally known schools Chancellor Michelle Rhee -- one of the stars of the education reform documentary "Waiting for Superman."

Teachers unions are among the top donors to Democratic campaigns. They expect their way to be obeyed. And they decided to use Fenty as an example. They ended up pouring about $1 million into the September closed partisan primary, in which Fenty faced City Council President Vincent Gray.

That money -- and directly linked get-out-the-vote efforts -- ended Fenty's tenure as mayor despite a majority of residents saying that the city had improved under his watch.

Independent voters and Republicans -- who might well have been strong supporters of Fenty's reforms -- never had a chance to cast a ballot in this election for their mayor. Instead, the election was effectively over before the higher-turnout general election was ever held.

Michelle Rhee left the school chancellorship to start a national education reform group called Students First. And Mayor Vincent Gray's administration almost immediately encountered a series of scandals, leading to near-record low approval ratings for such a young administration.

The lesson: Closed partisan primaries are fundamentally unrepresentative. They're too easily hijacked by ideological activists and party hacks beholden to special interests. And because these local primaries are the gauntlet that candidates have to run, they lead directly to the culture of hyperpartisanship that now threatens to paralyze our capacity for effective self-government.

The parties have forgotten that they are not the purpose of our politics. So here's one reform whose time has come: Replace closed partisan primaries with open primaries -- like those in California and New Hampshire and many other states -- allowing independents and other candidates full access to the political process. That, along with redistricting reform, would help heal the harsh but ultimately artificial polarization of our politics.

The opinions expressed in this commentary are solely those of John Avlon.

@highlight

A year ago, moderates in both parties lost primaries in New Jersey and D.C.

@highlight

John Avlon says their defeats were the result of partisanship in closed primaries

@highlight

Christine O'Donnell appealed to the party base but lost the general election

@highlight

Avlon: Having open primaries would go a long way to improving politics