Holiday albums could be less forgettable when pictures of a Mediterranean meal carry the scent of olives; a selfie on the beach contains a trace of salt spray or a rainy London scene conveys the distinctive aroma of freshly wet concrete.

If the digital age has increased the volume of communication, it may not have improved the quality. Reversing that trend is the goal of a new generation of sensory engineers who are going beyond sight and sound to produce devices that use our untapped faculties. Perhaps the most exciting breakthroughs right now are arriving in the form of smell-centered communication.

"Our motto is 'aroma tells a thousand pictures'", says Dr. David Edwards, biomedical engineer at Harvard and founder of Le Laboratoire, known for producing radical sensory devices such as calorie-free chocolate spray. Every human has thousands of distinct smell sensors, Edwards explains, a resource he taps with his newest invention the oPhone.

Read more: Wireless electricity? It's here

Set for a beta launch in July, this phone offers the most sophisticated smell messaging yet created. In collaboration with Paris perfumers Givaudan and baristas Café Coutume, Edwards has created a menu of  scents, contained in 'Ochips'. MIT electrical engineer Eyal Shahar designed containers for them that release when heated by the touch of a button, but cool quickly to keep smells distinct and localized, a historic difficulty with the much-mocked smell-o-vision experiments in cinema.

Mix and match

The oPhone user can mix and match aromas and then send their composition as a message, which will be recreated on a fellow user's device. Up to 356 combinations will be possible in the first wave, rising to several thousand in the next year, and the dream is an exhaustive base -- the 'universal chip'.

"Biologically we respond powerfully to aroma, so if we become familiar with the design of aromatic communication we might be able to say things we couldn't before", says Edwards. He sees the limited aromas of the oPhone as the first letters of a rich new language, that may be used as a basis for novels and symphonies. The faith is grounded on the acknowledged influence of smell on the subconscious, and the potential to learn its secrets.

The first oPhones will be limited to a select community of coffee enthusiasts. But the launch on July 10 will be accompanied by a more inclusive product: the first olfactory social network.

A free app will allow anyone to compose and send a smell note by text or email, based on a set menu of aromas and variations. The message can be received by any normal phone as a text. The recipient can then download the composition from hotspots which will be set up in the launch city of Boston.

"We're expecting an interest in self-expression and we're ready to learn with the public", says Edwards. "We would like to be reactive as new ideas for aromatic vocabularies arise, and to continue providing them for new interests."

Read more: How to mend your body with silk

He is betting the public around Boston's famous technology centers are early adopters, and will take the concept forward. Beyond the city, the network will include a public interface for people to trade tips and recipes, and store them in cloud software. Edwards plans to feature 'smell emoticons' and viral stunts, and may offer a mixing deck that allows overlap with music production software.

The concept can benefit from saturation of the current communication market, says trend analyst and editor of 'Green Futures' Anna Simpson. "We're reaching a limit with what we can do with text data, and there is the potential to connect more deeply and personally through smell."

Simpson also believes a consumer shift toward experience could drive adoption. "There is growing interest from brands in resources for creating richer experiences.

Smelly start-ups

Giants such as Olympus are publishing research, but for now start-ups are taking the initiative. Singapore's Mixed Reality Lab has been prolific in this space, engineering Japanese device Scentee that allows users to send a single fragrance between them. The company released an app worldwide in February, and has lucrative partnerships such as with Mugaritz restaurant in Spain, that allows for online cooking tutorials with leading chefs to give students a whiff of the smell they are aiming for.

Read more: 'The night I invented 3D printing'

"Right now it's the equivalent of music before mp3s, when you had to record a song on a tape and physically give it someone", says Dr. Adrian Cheok, founder of the Mixed Reality Lab and professor of pervasive technology at City University, London. "We can send a basic scent through a device like Scentee, but we need the framework to make millions of them available through digitization."

Cheok is testing a device that would connect us directly to the Internet, inspired by the successful connection of optical fibres to neurons of mice. His lab experiments involve subjects wearing a mouthguard-like device containing magnetic coils, from which electric signals are directed into the olfactory bowl to simulate the effect of smell. The wearer's brains are scanned before and after to pinpoint the effect, and the results have encouraged Cheok enough to believe a prototype could be available in two years.

A similar technique has already born fruit with a similar design simulating the effects of taste. But taste has just four primary forms -- bitter, sweet, salty, sour-- whereas smell involves identifying individual molecules with no primary form.

"The most basic smell still has hundreds of molecules and you need analytical chemistry to see what's there", says Dr. Joel Mainland of the Monell Chemical Senses Center. "Perhaps only 5% would have an impact on smell, so it's difficult to pick them out. It's more trial and error than quantitative science."

Healthy aroma

Monell are also pursuing the goal of digitizing olfaction, with healthcare applications high on the agenda. One of their research areas is seeking smell biomarkers in cancer patients, using an 'e-nose' to hunt chemicals in the blood to deliver early diagnosis. The process was inspired by the ability of dogs to sense sickness, although their smelling ability is multiples higher.

Although this research is still young in the lab, similar technology is already being smartphone-enabled. A NASA-developed chemical sensor has been released to a commercial partner as the basis for mobile applications that could breath-test users. UK Nanotechnology company Owlstone are raising several million dollars in venture capital for a handheld sensor that that could detect a wider range of diseases.

Medical uses are high on the agenda for the burgeoning Digital Olfaction Society, whose upcoming conference will discuss olfaction technology for identifying dangerous gases, guidance for the blind and cognitive aid for Alzheimer's sufferers. But industries as varied as military, travel, jewellery, food and entertainment will also be represented.

Dr. Cheok believes the ultimate direction of goal is a multi-sensory device unifying all five senses to create an immersive virtual reality, and could be usable within five years. The neglected senses are making up for lost time.

More from Make, Create, Innovate:

New technology can detect your mood

Possibly the world's most impressive paper plane

@highlight

Sensory engineers developed  oPhone, a device that enables smell messaging.

@highlight

A free app will soon allow anyone to compose and send a smell note.

@highlight

The new technology could revolutionize our use of social media or healthcare