(CNN) -- You wouldn't think that gay rights would be on a collision course with immigration reform. After all, what does one of these things have to do with another?

Not all that much. Yet, the fact is, these two worthwhile causes are about to collide, running right into one another at high speed. All for the sake of politics.

Here's why: The Gang of Eight's bipartisan immigration reform compromise bill -- "The Border Security, Economic Opportunity, and Modernization Act of 2013"-- combines border security and temporary guest workers with a pathway to green cards and U.S. citizenship for the estimated 11 million illegal immigrants in the United States.

You've probably heard about how there are many on the right who want to kill the bill to please anti-Latino nativists. The weapon of choice seems to be the amendment process; more than 300 changes were proposed.

For example, one person gunning for the legislation is Sen. Ted Cruz of Texas, who has proposed an amendment that dismantles the pathway to U.S. citizenship. Cruz would welcome more legal immigrants by expanding the high-skilled temporary worker program. But the senator opposes giving illegal immigrants U.S. citizenship. The Cruz amendment says that "no person who has previously been willfully present in the United States while not in lawful status shall be eligible for United States citizenship."

That amounts to a lifetime ban. What a terrible idea. The pathway should be long and difficult, but there has to be a pathway. It can't just be scrapped. These people broke the law, but it's a civil infraction, not capital murder.

But you might not have heard the other half of the story -- that there also are those on the left who would like to see the bill defeated, even if they have to be more clever and discreet about their efforts to kill it.

The group that they want to please is organized labor, where despite the public pronouncements of labor union leaders that they support immigration reform, the rank-and-file may not be so easily convinced. Many of today's union members -- especially in rust belt states like Ohio, Michigan, Pennsylvania, etc -- still see foreign workers the same way that previous generations of union members saw them: as competition and a barrier to higher wages.

Senate panel tackles border security in immigration bill

In 1986, the last time that Congress passed meaningful immigration reform, the AFL-CIO fought the effort tooth and nail. Not much has changed since then. Oh, the leaders are singing a different tune. But, at the grassroots level, there is still resistance.

Over the years, I've done radio interviews and given speeches where I've been confronted by self-described union members -- electricians, plumbers, carpenters, construction workers -- who complain about illegal immigrants taking jobs and allowing employers to pay lower wages.

In 2007, John Sweeney, who was then president of AFL-CIO, helped kill a bipartisan immigration reform bill by coming out against guest workers and firing off a letter to Senate Democrats telling them not to support any bill that included that provision. Sen. Byron Dorgan of North Dakota successfully proposed an amendment to weaken the guest workers provision. Republicans yanked their support, and the bill died.

Six years later, business and labor have agreed to a plan for a guest worker program. But union members are still threatened by immigrant labor. Are union opponents of immigration reform still pulling the strings of some Democrats?

Senate Judiciary Committee Chairman Patrick Leahy has filed an amendment to the Gang of Eight bill that would allow gay Americans with foreign-born partners to sponsor them for green cards just like heterosexual couples can. Leahy can follow through by introducing the amendment, either in committee or on the Senate floor.

To be impacted, gay couples don't even have to be married; the proposed amendment -- known as the Uniting American Families Act -- is designed to help "permanent partners" of U.S. citizens or legal residents apply for a green card and defines "permanent partner" merely as someone older than 18 and involved in a financially interdependent, committed relationship. Still, according to a group called Immigration Equality, only about 35,000-40,000 gay couples would be affected.

Senate watchers say if the gay partners measure is introduced in the Judiciary Committee, it is likely to pass along Democratic Party lines and become part of the Senate bill.

That could be the end. According to National Public Radio, the U.S. Conference of Catholic Bishops opposes the Leahy amendment, and it could withdraw its support for the entire bill. The same goes for evangelical Christian groups, and most Republican lawmakers. The votes will vanish. And so, for the sake of the estimated 40,000 same-sex couples that would be affected by such an obscure change, an estimated 11 million people will be out of luck. Adios, immigration reform.

For his part, Leahy has said that he doesn't think his amendment will kill the bill.

Then he must be the only person in Washington who thinks that. Politico called the Leahy amendment "the most serious threat to bipartisan immigration reform." Sen. Marco Rubio, R-Florida, de facto leader of the Gang of Eight, was more blunt. He told Politico that reform is "difficult enough as it is" and that the gay partners amendment "will virtually guarantee that (the bill) won't pass" and that "the coalition that helped put it together will fall apart."

That's the whole idea. Don't be fooled. The latest shenanigan by Democrats isn't about gay rights. It's about game playing. And when the games are done, what was the best hope for immigration reform in a quarter century may go down the tubes, and all that will be left to do is mop it up. Democrats will have to find new ways to convince furious Latino voters that it was Republicans who killed the bill, and Republicans will be forced to run for cover.

The legislation isn't perfect. But it would improve the lives of millions of illegal immigrants who, at least, would be given some sort of protective status so they wouldn't have to worry about being unceremoniously scooped up and shipped out of the country by the Obama deportation machine while they pick up milk for their kids' cereal.

Not everyone who might support the gay partner amendment is simply doing the bidding of labor unions. I'm sure that many gay rights advocates are pushing for the change with the best of intentions and for legitimate reasons. They think this battle is worth fighting, even if maybe this isn't the best time and place to fight it.

Still, this is beyond sneaky. It's sinister. Democrats thought of everything, even having the task of amending the bill fall to a senator from Vermont, a state where, according to the Census Bureau, Latinos account for just 1.6% of the population -- just in case there is a backlash from Latino voters.

By the way, President Obama has said that he supports Leahy's amendment. The president also claims to support immigration reform. It's something that we hear Obama and other Democrats say all the time, and which -- with stunts like this -- becomes less and less believable every time we hear it.

This time they have gone too far. If this amendment is proposed, and support for the bill fades, and immigration reform dies on the vine, Latinos need to stop paying deference to the Democratic Party and instead make it pay a price.

The opinions expressed in this commentary are solely those of Ruben Navarrette.

@highlight

Immigration reform bill could be sunk by amendments from left and right, says Ruben Navarrette

@highlight

He says reform died in 2007 after a "poison pill" amendment by Democratic senator

@highlight

Ted Cruz and Patrick Leahy have introduced amendments that could doom bill, he says

@highlight

Navarrette: Leahy amendment on gay couples will energize opponents of immigration reform