When Al Jazeera becomes a major U.S. cable channel, as it plans, some Americans are likely to click past it, recalling the alleged anti-American tone by the pan-Arab network during the Iraq war a decade ago.

"My guess is that when people hear about Al Jazeera, they will not be paying attention to the news quality or correspondents," said media analyst Stuart Fischoff, a retired professor at California State University at Los Angeles.

"They will just hear Qatar, and say it's an Arab country and it's full of terrorists and ... therefore bias in the news," he said. The Qatari government owns Al Jazeera.

Others, however, may find any past political slants overshadowed by a newscast striving toward U.S. standards. Viewers may be curious just to hear Al Jazeera America, which will have access to millions of U.S. homes now that the traditional Arabic-language network this week acquired Current TV, once owned by former U.S. Vice President Al Gore and others.

"I think it's a very, very well-done news network," said media expert and former White House correspondent Porter Bibb of Mediatech Capital Partners in New York, where he listens to a related network, Al Jazeera English, now available in a tiny fraction of U.S. markets. Al Jazeera English also is live-streamed at no cost online and provides insight into what the bigger, new Al Jazeera America will look like, he said.

The emergence of Al Jazeera as a major U.S. cable network has resurrected debate about past accusations of anti-American bias during the Iraq invasion under President George W. Bush. The Bush administration excoriated the Arab peninsula's network for broadcasting Osama bin Laden videos.

Today, evidence of U.S. antipathy at the Arabic network has dissipated significantly, though not entirely, several analysts say.

"It has obviously been demonized by our politicians for almost a decade," said Rory O'Connor, a former CBS News producer and a media expert. He noted how an Al Jazeera cameraman was detained for six years at the U.S. Navy prison camp at Guantanamo Bay, Cuba.

But Al Jazeera's current English broadcast is "excellent," without the bias alleged by U.S. politicians, said O'Connor, author of the roryoconnor.org blog and a contributor to Al Jazeera's website. He disputed conservatives' portrayal of Al Jazeera as a "terror network" and propaganda outlet.

Other analysts, however, say Al Jazeera continues to telecast content that they deem to be anti-American.

"Surely they will be careful in the beginning. They will try to prove that they are a professional channel that's objective," said Yigal Carmon, president of the Middle East Media Research Institute, which has gathered several Al Jazeera video clips in recent years that the institute says show anti-American bias.

Carmon is a former chief counterterrorism adviser to Israeli Prime Ministers Yitzhak Rabin and Yitzhak Shamir.

"It's much less anti-American than in the past, and the English (broadcast) is a soft version" of the Arabic telecast, Carmon continued. "But this is the government of Qatar. It's to discuss the government of Qatar. It's a policy arm of the ruler of Qatar."

Spokesmen for Al Jazeera couldn't be reached by CNN for comment.

In language that will surely be open for debate once Al Jazeera America enters U.S. homes, Carmon used strong words in describing the Qatari government.

"Qatar, after all, is a dictatorship, and in a dictatorship, they use media as an arm of foreign policy, be it Arab or Muslim foreign policy or an international one," he said.

The Qatari government's decision to bring Al Jazeera into American homes is a provocative political maneuver -- as well as an emerging business strategy now being pursued by other government-sponsored networks, experts said.

"Can I note the unusual nature or essential weirdness of a former vice president of the United States selling his network to an Arab-based network that is owned by a foreign government?" said media expert Howard Kurtz, host of the weekly CNN program "Reliable Sources."

Al Jazeera has always been regarded as something of a vanity venture by the wealthy emir of Qatar, which is home to the world's third largest gas reserve and is spending billions of dollars on its public image profile by sponsoring sports events at home and in Europe, experts said.

"Al Jazeera has been trying and failing for years to get on television here in the United States," media writer Brian Stelter of New York Times told CNN. "For the most part, Al Jazeera is buying this for the real estate because it's beachfront real estate."

Bibb, of Mediatech Capital Partners, referred to how Al Jazeera reportedly paid $500 million to acquire Current TV, whose access to 60 million households is now expected to be largely transferred to Al Jazeera America.

"If you have bottomless pockets, it doesn't make any difference what you pay or how you go forward," Bibb said. "I think the assumed price of $500 million is absurd for what they got. On the other hand, it makes no difference to the emir of Qatar because it's chump change to him."

But one cable company has balked at carrying Al Jazeera America: Time Warner Cable stopped carrying Current TV upon the announcement of the Al Jazeera deal.

A Time Warner Cable spokeswoman said that past bias allegations against Al Jazeera didn't factor into the firm's decision. Analysts agreed, saying the company could be leveraging Al Jazeera America, seeking to get a per-subscriber payment for the cable firm in exchange for carrying the channel.

"This has nothing to do with politics. We treat Al Jazeera like any other network," said a Time Warner Cable spokeswoman. "We will look to gauge our customer interest in Al Jazeera America and assess whether it is a good value for our customers."

Commentary: Why Al Jazeera has set its sites on the U.S.

Al Jazeera America isn't an isolated phenomenon. Another government-sponsored media outlet that has ventured into U.S. broadcasting is China's CCTV America, launched last year.

"The Chinese have about a similar coverage of the U.S. media market as Al Jazeera does right now," Bibb said. "They are using a soft diplomacy and no one is saying it's a propaganda outlet. Their approach is very thoughtful, but it's all China and that's what people are hungry for."

Bibb wondered why Al Jazeera America would plan to produce 60% of its content in the United States, as it has said, when Al Jazeera has increasingly become renowned for its coverage of the Middle East, especially during the recent Arab Spring revolutions.

Politics aside, Al Jazeera America will find American audiences to be tough customers. The Arab royal-family-owned network will be entering a tumultuous, fragmented marketplace for news programming where the top-ranked cable news shows garner ratings only in the hundreds of thousands at any one time, not millions, analysts said.

Furthermore, access to 60 million homes doesn't guarantee that many people will be watching the program, analysts said.

International newscasts in particular can also be a hard sell, experts said.

"A lot will depend on how much appetite there is in the American market for international news. A lot of these organizations have cut back on that," Kurtz said.

Carriers "are getting hate mail from some viewers who don't want to see it on their cable lineup," the New York TImes' Stelter said about Al Jazeera. "But money can change a lot of these problems and they have a lot of it."

@highlight

Media analysts say the past anti-American bias of Al Jazeera has largely subsided

@highlight

But one group collects Al Jazeera video clips that it says show bias

@highlight

The decision to bring Al Jazeera into American homes is a political maneuver, some say

@highlight

The new venture will find the cable news market competitive