Washington (CNN) -- Rep. Peter King's goal is to thwart Muslim radicalization, but some people fear his hearings could have exactly the opposite effect.

Some counterterrorism experts believe shining a harsh spotlight on the Muslim community could play into the jihadist narrative that the West is at war with Islam and encourage more people to participate in terrorist activity.

Nihad Awad, executive director of the Council on American-Islamic Relations, says King is unfair if he blames the entire Muslim community for the actions of a few. "I think his approach is going to radicalize young people," says Awad.

King -- a New York Republican -- says he is holding the hearings because the Muslim community has not cooperated sufficiently with law enforcement.

On Wednesday, Attorney General Eric Holder contradicted that. "Tips we have received, information that has been shared has been critical to our efforts to disrupting plots."

But King disagrees. He characterizes New York as the "epicenter" of terrorist activity and says he is unaware of any good information coming from the Muslim community to police in the city or surrounding counties.

A recent study from the Triangle Center on Terrorism and Homeland Security said tips from the Muslim community thwarted 48 out of 120 terrorism cases involving Muslim Americans, though some experts say the data may not be complete.

Law enforcement officials say the Muslim community is key to finding and disrupting terrorist plots, but the degree of cooperation varies from community to community and mosque to mosque.

Asked whether King's hearings might have a negative impact on the outreach efforts of the FBI and other law enforcement, Holder responded indirectly, saying, "We don't want to stigmatize. We don't want to alienate entire communities."

"We need to focus on individuals or groups of individuals who might band together and who would try to harm Americans' interests or American citizens. That's what this department is doing."

King's retort: "I don't want to demonize anyone, either. But talk to [Deputy National Security Director Dennis] McDonough. He said al Qaeda is attempting to radicalize the American Muslim community. So if we are going to look for radicalization from al Qaeda, where else would we look?"

Some Muslims said they believe King's approach could backfire and diminish cooperation. "I don't know if Representative King realizes it, but that's the real danger to all of this," says Robert Marro.

Marro, a Muslim convert, worships at the All Dulles Area Muslim Society in northern Virginia. The imam at the mosque said he has made a video that attempts to counter the jihadist message, and he has cooperated with the FBI and local police.

Imam Mohamed Magid says the upcoming hearing will not change his stance. "Human life is sacred, no matter who that person is. And therefore committing an act of terrorism or taking innocent life is a sin. Absolutely a sin."

Magid says King is wrong to say the Muslim community has not done enough to counter radicalization, and he fears the hearings could result in further isolation.

That worries 25-year old Yasmin Shafiq as well. She worships at the mosque.

"I can certainly see Muslims becoming more introverted, and you definitely don't want introversion when it comes to issues of radicalization. You want people to be communicative and receptive and open to opinions and ideas," she says.

There is no easy way to spot someone who has been radicalized. The Muslims who have been arrested in connection with domestic terror plots have varied in age, education and sex. Some are converts, others are lifelong Muslims. Some were born overseas, others in the U.S.

There is no one path to radicalization that would allow for easy detection.

Charles Kurzman of the Triangle Center on Terrorism and Homeland Security has looked at individuals who have been radicalized and says some of them were ideologically committed and were looking for opportunities to engage in violence. Kurzman says other individuals simply may have fallen into terrorist activities by accident. He adds, "then there were others who seem to have been hangers-on, for lack of a better word."

Frank Cilluffo of George Washington University has studied radicalization. He says one of the most important things the King hearings could produce is a commitment to better understand how radicalization occurs, who is susceptible and how the jihadist message can be neutralized.

"We don't have a full honest-to-goodness, methodological approach that is empirically sound yet," Cilluffo says.

Cilluffo is not alone in thinking the hearings could have a positive impact. Other experts agree they have to the potential to build understanding. But, they warn, the tone as well as the substance will be key.

@highlight

Some experts worry that a harsh spotlight could encourage terrorist activity

@highlight

It could play into the jihadist narrative that the West is at war with Islam, experts say

@highlight

Others say the hearing could produce a better understanding of radicalization

@highlight

The tone, as well as the substance, of the hearing is key, they say