(CNN) -- There was little to celebrate in Kabul this week as the United States marked the tenth anniversary of its invasion of Afghanistan. The war against the Taliban is already the longest in America's history and there are few signs that it will be ending any time soon.

The Afghan capital has experienced a number of deadly, high-profile attacks this year. A supermarket, the airport, a hospital, a police station, the Defense Ministry, the supposedly impregnable Intercontinental Hotel, the British Council and the U.S. embassy have all been targeted. When even the CIA cannot secure its main operations base in the city, Afghans can be forgiven for concluding that the insurgency, whatever NATO might say, is in the ascendency.

Last month's turban bomb assassination of the former Afghan President, Burhanuddin Rabbani, appeared to deal another serious blow to advocates of peace. Rabbani, revered by many as a father of the Mujahideen movement that ousted the Soviets in the 1980s, was also the Chairman of President Hamid Karzai's High Council for Peace, which has been trying for a year to foster dialogue with the Taliban -- a strategy that Karzai has now publicly abandoned.

Special: Afghanistan Crossroads

The assassin posed as a peace envoy from Mullah Omar, but the Taliban leadership in Quetta announced he was nothing to do with them. Admiral Mike Mullen, chairman of the Joint Chiefs of Staff, alleged that the Quetta-affiliated Haqqani Network were behind many of the Kabul attacks and that the Haqqanis were "a veritable arm" of the ISI, the Pakistan military's notorious Inter Service Intelligence wing, whom he accused of "exporting" violent extremism to Afghanistan through its proxy.

The Islamabad government naturally rejected this old accusation; while in a rare interview with the BBC, Sirajuddin Haqqani himself denied any involvement in the killing of Rabbani. Speculation continues to swirl as to who was responsible for the murder. Not even the motive is entirely clear.

But neither Rabbani's death nor any of the other attacks in Kabul this summer will alter the way this war will come to a close. History teaches us that all insurgencies end, eventually, with dialogue, negotiation and political compromise -- a lesson we British re-learned the hard way during the "Troubles" in Northern Ireland. Why should Afghanistan be any different? Even the Pentagon acknowledges that there can be no purely military solution to the impasse. Few Western leaders any longer doubt that the Taliban will return to political power in some form or other. The only remaining question is what form.

Rabbani, it should be noted, was Afghanistan's most prominent Tajik, not a Pashtun like the vast majority of the Taliban. There are those within the Taliban who may be prepared to share power with the non-Pashtun minorities in the future -- but plenty of others who are probably not. Some analysts therefore think Rabbani's assassination was a cynical attempt to eliminate one of the few credible, ethnic opposition leaders ahead of the eventual, inevitable peace deal: a blow for future Pashtun hegemony rather than an assault on the peace process per se.

The High Peace Council was, in a sense, irrelevant. Its bridge-building efforts since it was set up in September, 2010 have all failed, which is perhaps unsurprising given that the Taliban have consistently said they will never deal with Karzai, whom they regard as a weak Western stooge, in charge of an administration they consider irredeemably corrupt.

This is not to say that the Taliban leadership is not interested in dialogue. It seems they are. It is just that they only want to speak to Washington, and they prefer to do this directly, not through the medium of Kabul, or anyone else. "Only the Americans have the weight to make talks happen," explained Arsala Rahmani, a former Taliban government minister. "It is they who are fighting the Taliban."

The insurgency's leaders are no fools. What they most want is the withdrawal of what they see as infidel troops from sacred Afghan soil and they may calculate that negotiation could be the fastest and least costly means of achieving that end. Why shouldn't they? After all, the U.S. also wants its troops out Afghanistan. In June, President Obama publicly reiterated that all American combat troops would be home by 2014.

Dialogue has in fact already begun. At least two rounds of talks have taken place this year, in Qatar and Germany, between U.S. officials and Syed Tayyab Agha, one of Mullah Omar's closest lieutenants: almost certainly the first high level contact between the two sides since 2001. The talks, according to most reports, were exploratory rather than substantive -- talks about talks at best -- and even these were nearly torpedoed by the glare of unwanted media attention. But they represent an important start, and a useful platform to build upon.

A common Western mistake in the past has been to view the Taliban as a monolithic organization, when in reality it is a revolutionary work in progress; and like all revolutions, it incorporates a wide spectrum of views, from hardliners to relative moderates. Our task in the West is to identify, reach out and engage the "moderates," and to do all we can to ensure that they win their internal debate on the future of Afghanistan.

The military approach has manifestly failed, even as it continues. Negotiating with the Taliban now represents our best and perhaps only hope of ending this war, and of shaping a better Afghan future.

The issue of power-sharing is critical to this, because the Tajiks and other minorities will never now accept a government as heavily dominated by Pashtuns as the Taliban's was in the 1990s.

If Rabbani's killers were Pashtun nationalists, they are offering a prescription for a resumption of the ethnic civil war that has been going on intermittently for over three decades in Afghanistan -- and that is an outcome to be avoided at almost any cost. This needs to be the main focus of U.S.-Taliban talks as they go forward.

For now, everything else is a distraction.

The opinions expressed are solely those of the authors.

@highlight

Killing of former Afghan President, Burhanuddin Rabbani, dealt a blow to peace advocates

@highlight

Rabbani was also the Chairman of President Hamid Karzai's High Council for Peace

@highlight

Some analysts say this was an attempt to eliminate one of the few credible, ethnic opposition leaders

@highlight

Tajiks and other minorities will never now accept a government dominated by majority Pashtuns