(CNN) -- When Anne Moyer told her best friend, Diane Ritchie, she was going to lose weight a few years ago, Ritchie politely replied, "Good for you. You'll have to let me know how it works out."

Clearly, Ritchie had heard this before. In fact, she could look in the mirror herself and see that her friend's history of starting and stopping diets with little success was similar to her own.

The stay-at-home moms had been close since meeting in 2006 when their husbands were stationed in the Navy in Chesapeake, Virginia. Ritchie's family was transferred to Chicago in 2009, and that fateful phone conversation about losing weight took place shortly before Christmas 2010.

Ritchie hung up and thought about her friend's pledge. She picked up the phone and called Moyer back.

"I'm doing it with you," Ritchie remembers telling Moyer. "I'm going to start the same day you do, and I'm going to start to figure this out."

They began January 6, 2011. Moyer weighed 336 pounds and squeezed into size 30 pants. Ritchie was 260 pounds and wore a size 24.

Leaning on each other as long-distance weight-loss "sponsors," the women would go on to lose more than 200 pounds the first year.

Big and beautiful

Their husbands always told them they were beautiful, no matter how big they got.

Both women loved to eat and didn't think about exercise. Before they knew it, they were obese.

Ritchie, 38, says she was chunky in high school, while Moyer, 42, was average size until she was about 20. Both women said their weight ballooned after their first pregnancies.

"I'd like to say it was some traumatic event," Ritchie says. "I had a lot of fun in my 20s and 30s and just didn't pay attention. Before I knew it, I was way up."

Moyer tells a similar story.

"I gained some, then I'd lose some, but I wouldn't lose all of it, and then I'd gain more than I lost. It just kept creeping up and up ... and then I just decided, "Well, this is me. I'm plus size."

Ritchie cooked healthy meals for her children but indulged on her own. Chicken without the skin removed, heavy pastas, wings and beer were all in frequent rotation. Moyer would make two 9-by-13 pans of white chocolate bread pudding at Christmas -- one for the family and one for herself.

Physical and emotional difficulties

Being obese took a physical toll on both women and their families.

For Moyer, just walking to the car from her front door caused her to break out into a sweat. If she went to one of her kids' sports games, she would watch from the car because the field was too far to walk.

"Say you go to Walmart -- I couldn't do both the grocery side and the regular side. I had to choose one side one day and the other side another day because I couldn't do the whole store and then get back out to the car, too."

Being overweight was also hard emotionally for Ritchie. Getting ready for military functions was torture. She would agonize over what to wear, needing her husband to hold her hand as she cried while getting dressed.

Her lowest point came in fall 2010 when a stranger at a gas station -- heavy himself -- made a nasty comment about the size of her rear end. Months later, the comment still stung.

The turning point

In 2010, Moyer developed sleep apnea, a disorder commonly associated with obesity in which breathing at night starts and stops. She was tired all the time, often fell asleep during the day and snored so loudly her husband had to sleep on the couch many nights.

"I thought, 'Oh my gosh, all the things I can't do anymore, and now I can't even sleep,' " she says.

Rather than go for more medical tests, she resolved to solve the problem herself.

That's when she called Ritchie. After Ritchie pledged to lose weight too, the women agreed to start in the new year. They began doing research.

Attainable goals

Moyer knew counting calories would work best for her. She used the iPhone app MyFitness Pal, which calculates how many calories to consume based on how much weight someone wants to lose per week. It adds calories back when you exercise. Moyer allowed herself to eat fruits and bread but cut out soda and enriched flour.

For the first year, she plugged every single thing she ate into the app.

Ritchie followed the South Beach Diet, a plan that encourages replacing "bad" carbohydrates and fats with "good" carbs and fats, lean protein and low-fat dairy. She ordered "The South Beach Diet Supercharged" book and two South Beach cookbooks, got rid of all the enriched flour and alcohol in the house, switched to whole grains and documented her meals and twice-weekly weigh-ins in a journal for the first eight months.

They set goals they thought they could meet. Ritchie sought to get below 200 pounds, while Moyer wanted to sleep through the night.

The first few weeks, it took all their willpower just to focus on their food.

"It was like I was coming down off drugs," Moyer says. "Headaches. I literally had the shakes. The first couple of weeks were just absolute torture."

Once they adjusted to the new eating plans, they started thinking about exercise. First, they walked. Three mornings a week, Ritchie took her 4-year-old to the mall, and they did laps together.

Moyer started with one block. She gradually added distance until she felt comfortable joining the YMCA.

They were both realistic about what they could manage.

"I didn't say, 'I need to walk for an hour.' When I first went to the gym, I did the elliptical, and I could only do it for 10 minutes," Moyer says. "And then I gradually would add to that time. Then I went to my very first group class, which I was absolutely terrified to do. I was constantly trying to push myself to do something more or longer or harder."

Eventually the women were running and working out regularly on machines and in classes.

It took losing 75 pounds to stop Moyer's snoring. By that time, she says she thought, "My gosh, if I could lose this, why don't I keep going?"

Some friends weren't supportive. Ritchie called them her "saboteurs" -- overweight pals who would try to tempt her into having "one bite" of cake, or who made her feel bad about spending her mornings at the gym instead of joining them for breakfast.

But Moyer and Ritchie always had each other.

The first month, they talked on the phone three times a day. Over the next several months, they would check in for twice-weekly weigh-ins and call whenever they slipped in their diets or needed to vent. They would treat each other to weekend visits in Chicago or Virginia, where they would marvel at how the other had shrunk.

When Ritchie moved back to Virginia last year, supporting each other became even easier. They live close to one another and work out together most mornings at the YMCA. Besides taking Zumba, abs, boot camp and weight-training classes, they're training for the Wicked 10K race in Virginia Beach.

And more than 280 pounds later, they still call each other when they fall off the wagon.

The payoff

Moyer no longer has to bring a chair for her kids' sports events. She's even able to play an entire parents-vs.-kids soccer game herself.

She also has a lot more friends. "Before, I had to be at home a lot because going out anywhere was hard on me," Moyer says. "And now, it's just like my world has expanded. I have more people and friends in my life now than I have in a long, long time."

And when Ritchie gets an invitation to a military ball these days, she's no longer self-conscious about how she looks.

Both Moyer and Ritchie say they're heard from friends and gym acquaintances who say they've inspired them.

"I had somebody come up to me a few months ago and she said, 'I see you here all the time. Sometimes I do not feel like coming in here and working out, but then I think, well you know that girl's going to be there, so I'm going to go too.' That's been icing on the cake," Moyer says.

The women know there's no end date. They say they will always be food addicts.

Moyer is a pound away from her original goal of 165 pounds but trying to get down to 154. She still uses her MyFitnessPal app and has calorie counts memorized for everything she eats.

Ritchie dropped 111 pounds in the first 10 months and at 149 pounds is now in maintenance mode. She still sticks to the major tenets of the South Beach Diet -- no enriched flour, light on carbs, heavy on protein and veggies. At parties, Ritchie will "taste" most things but fill her plate with healthier options.

She says it's been a healthy change for her whole family. Her kids have learned to eat pancakes with whole-wheat flour and no-sugar syrup as well as brown rice and couscous, and her husband has lost 40 pounds.

"I will always worry about getting heavy again," Ritchie says. "I am not saying I won't take a day off from the gym or eat food that is unhealthy, but I have to keep myself in check forever."

@highlight

Anne Moyer and Diane Ritchie helped each other shed 281 pounds

@highlight

Ritchie used the South Beach Diet, while Moyer relied on the MyFitnessPal app

@highlight

Ritchie's husband sent their story to CNN iReport

@highlight

Got an "aha weight loss" story? Share it here