Islamabad, Pakistan (CNN) -- Pakistan has a new heroine and a new cause -- a girl's right to education -- and after Friday's announcements from the Pakistani government that they will adopt new measures to get every child into school by end 2015, that cause has a timetable and a deadline for delivery.

Everywhere you go in Pakistan you find people talking animatedly about the 15-year-old girl, Malala Yousafzai, who was shot by the Taliban last month.

A rickshaw touring the streets of Islamabad has a slogan posted on it: "Malala for education and peace." Go to the local girls' school and every girl seems to have written either a poem or a song, a letter or a card to Malala.

Listen to the politicians and every speech is laced with references to the courage of Malala. Meet civil society organizations and they will tell you that the audience for their educational demands has risen markedly over the last few weeks.

It seems that Malala's courage has awoken Pakistan's silent majority who are no longer prepared to tolerate the threats and intimidations of the Pakistan Taliban.

Your messages to Malala

Can Pakistan convert its momentary desire to speak out in support of Malala into a long term commitment to getting its three million girls and five million children into school? Can the politicians, long-criticized for a failure to deliver, find the teachers, the classrooms and the reading materials to give millions of children a basic education?

This is what I talked about with Pakistan's leaders. Meeting President Asif Ali Zardari, and in front of a 500-strong audience, many of them from the Swat Valley where Malala was shot, I presented petitions already signed by more than one million people in the international community in honor of Malala and her cause.

These signatures were complemented with another one million signatures collected by Pakistani civil society's One Million Signature Campaign to demand free and compulsory education.

Another 100,000 signatures from out-of-school Pakistani children are the start of yet another one million-strong petition, this time from the children themselves demanding their right to school.

A $1,000,000 bounty in Malala case

The president and I agreed on a series of deadlines in a plan to ensure all of Pakistan's five million out-of-school children have the opportunity to go to school.

Pakistan on Friday asked to join the Accelerated Millennium Development Goal Framework process that will allow the country to assess its current education plans, strategies and obstacles to delivery in consultation with international organizations and then work together to contribute to Pakistan's dream of education for all.

A deadline for the final draft of this accelerated plan is set for April 2013 when the United Nations Secretary-General Ban Ki-moon, President of the World Bank Jim Kim and myself, alongside the heads of major international agencies such as UNESCO, UNICEF, UNDP, UNFPA and the Global Partnership for Education, will meet in Washington with the Ministers of Education and Finance of Pakistan.

The aim is to match international and domestic support for realizing the 2015 goal.

Suspect's sister apologizes

Five months of intensive in-country work with the Pakistan government, civil authorities and foundations, as well as international organizations, lie ahead to ensure a detailed, budgeted plan.

I have suggested to the president that he consider involving all educational groups from civil society interested in achieving the universal goal in the processes.

Today there is new hope for the three million girls denied their right to schooling and a new chance to ensure the right to education for all.

Pakistan and the international community are united in their goals.

We now must deliver. But a more active, more engaged and more determined Pakistani people can ensure that education for all is no longer a slogan but a reality.

@highlight

Schoolgirl Malala Yousafzai, shot by Taliban, inspires Pakistan to education-for-all goal

@highlight

Pakistan leaders vow to get five million children without schooling into classes by 2015

@highlight

UN envoy Gordon Brown: It seems that Malala's courage has awoken Pakistan's silent majority

@highlight

He says Pakistan, with international support, must now deliver