The number of American "patriot" extremist groups has reached a record level, according to a new study, and experts are warning of a wave of anti-government violence.

A report released Tuesday by the Southern Poverty Law Center counted 1,360 "patriot" extremist groups in 2012 -- up by 7% from 2011. The study defines patriot groups as anti-government militias driven by their fear that authorities will strip them of their guns and liberties.

"They believe the Constitution is being raped. With hate groups, things are going to get worse because they feel like they're in battle," said David Gletty a former FBI informant who spent time undercover with various militia and extremist groups. "It's not surprising with their hatred of President (Barack) Obama that there are even more hate groups out there."

The study said California has the most patriot extremist groups, with 81.

The SPLC report also offers a bit of good news: The number of "immigrant-bashing" extremist groups -- so-called nativism organizations -- is way down from 2011, falling by 88%.

Related: Oberlin College cancels classes to address racial incidents

The new statistics come after a string of crimes linked to extremist groups. A year ago, a Michigan militia leader and his son pleaded guilty to federal gun charges. Last August, a 40-year-old ex-soldier-turned singer for a white supremacist rock band shot up a Sikh temple in Oak Creek, Wisconsin, killing six people, before taking his own life. A few weeks later, a group of Georgia men was linked to an anti-government militia plot to assassinate Obama.

Obama's election as the first African-American president and his pro-gun control stance have fueled the increase in anti-government groups, according to the report.

"We are seeing a huge reaction to the potential for gun control, and that reaction is so angry that it's hard not to be afraid of what's coming down the road," said Mark Potok of the SPLC.

Domestic terror: Are we doing enough?

The rise in such groups echoes a period almost 20 years ago, around the time when Congress passed the 1993 Brady Bill and the 1994 ban on assault weapons, the SPLC said. That legislation came near a period of infamous and deadly anti-government violence in Waco, Texas; Ruby Ridge, Idaho; and Oklahoma City, "and led to the first wave of the patriot movement," the report said.

Extremists, Gletty warned, "are in a battle in their minds. Their backs are against the wall."

Skeptics

But Jesse Walker, of the Reason Foundation and author of an upcoming book, "The United States of Paranoia: A Conspiracy Theory,"  said counting groups isn't a good way to measure the threat. "It's dubious to assume growth in numbers is related to violence."

Also, the center's definition of hate groups has changed in the past year, kicking up a controversy. Critics accused the group of unfairly bundling together organizations with vastly different points of view -- and painting them all as potentially violent.

For example a North Carolina-based group calling itself "Granny Warriors" appears on the SPLC list of active "patriots."

But founder Linda Hunnicutt says her organization is harmless.

"I am deadly!" she joked. "I'm 74 years old. I have COPD. I have congestive heart failure. I'm sewing a quilt."

Hunnicutt acknowledges she's no friend of the federal government, but, she wishes no harm on anyone.

"All these people that want to bomb places and kill children, come on," she said. "Who would be in sympathy with them?"

Hunnicutt said she and her group just want Uncle Sam to leave them alone. When Granny Warriors showed up on the SPLC list, Hunnicutt said she wasn't surprised. But it made her wonder, "Is this all they have to do?"

Nonetheless, Hunnicutt's thankful to be on the list because she said it increases her group's notoriety.

Fringe elements

Gletty said most of the fringe elements characterized in the report hate the government more than they do specific races. They hate everyone, Gletty said.

Now a private investigator, Gletty spent years undercover as an FBI informant watching the internal workings of white supremacist groups.

The groups named in the SPLC study came from information compiled from "field reports, Patriot publications, the Internet, law enforcement sources and news reports."

Other highlights of the report include:

-- The state with the most neo-Nazi groups: California, with 9.

-- The state with the most Ku Klux Klan groups: Texas, with 26.

-- The report breaks out a group it calls "Christian Identity," which the SLPC defines as "a religion that is fundamentally racist and anti-Semitic." Texas has the most, with five.

-- Another category in the report, called "General Hate," is defined as groups that are anti-gay, Holocaust deniers, racist musicians or radical traditionalist Catholics. California has the most such groups, with 37.

"The country needs to do better," Potok wrote in an editorial. The Department of Homeland Security, he said, needs to act to avoid a repeat of the kind of hate-based violence the nation saw in the 1990s.

@highlight

74-year-old "patriot" group founder says her Granny Warriors are harmless

@highlight

Southern Poverty Law Center: The number of such groups has risen by 7% in the past year

@highlight

Ex-FBI informant David Gletty expects anti-government sentiment will worsen