(CNN) -- Assassinations of high-profile government figures are not new to Lebanon. Some result from gruesome car bombs, ripping through people and buildings along bustling streets in cities like Beirut.

For years, when such blasts occurred, Brig. Gen. Wissam al-Hassan led the investigations. He was credited with overhauling his nation's intelligence forces, finding those responsible for targeted killings and preventing fresh attacks.

No more.

Al-Hassan and at least two others died in a massive explosion Friday in the typically peaceful and cosmopolitan Ashrafiyeh district of East Beirut that he called home.

Lebanon on edge after anti-Syrian intel official killed by Beirut car bomb

The attack -- in broad daylight, at one of the capital's busiest intersections -- was just the kind of thing the intelligence official worked so diligently to prevent. But beyond its potential impact on Lebanon's security, al-Hassan's life and death illustrates the deep political and religious fissures within Lebanese society -- fissures that could be widened amid spillover from Syria's bloody civil war.

"The person who was the master of uncovering these kind of things ... is gone," said Amal Mudallali, a senior scholar at the Woodrow Wilson Center who, like al-Hassan, is affiliated with Lebanon's "March 14" movement. "So unfortunately, the Lebanese are bracing for more assassinations."

Al-Hassan was more than just Lebanon's top intelligence official.

He was an icon among many fellow Sunni Muslims, including those aligned with the opposition led by Saad Hariri, for his leadership and efforts in rooting out those responsible for targeted killings in Lebanon. But as much as he was loved by some, others despised him -- especially those backing Syrian President Bashar al-Assad and those affiliated with Hezbollah, the Shiite militant and political movement that has a prominent role in Lebanon's government. The U.S. government labels it a terrorist organization.

"This is a very polarizing figure," said Aram Nerguizian, a fellow at the Center for Strategic and International Studies think tank who teaches in Beirut.

In his position with Lebanon's Internal Security Forces, al-Hassan tackled one of the nation's bloodiest and politically volatile attacks, which occurred on February 14, 2005, in Beirut's fashionable seaside Corniche district.

On that day, an explosive-laden truck detonated as the motorcade of former Prime Minister Rafik Hariri -- Saad Hariri's father -- passed by, killing the dignitary and 22 others. As Hariri's chief of protocol, al-Hassan himself might have been among the dead had he not taken that day off to take a university exam.

Details from al-Hassan's investigation were shared with U.N. investigators, who concluded the assassination may have been linked to high-ranking Syrian officials (despite denials from Damascus). A U.N. tribunal went on to indict four Hezbollah members, and left the door open for more to be charged, though that group's leader, Hassan Nasrallah, blamed Israel for Hariri's death.

Al-Hassan spearheaded several other investigations into a series of killings that targeted major anti-Syrian political figures. And he is credited with uncovering an Israeli spy network that involved Lebanese agents, including a top aide to Hezbollah's powerful Christian ally, Michel Aoun.

His latest big break, occurring in late August, came with the arrest of a former Lebanese minister and current member of parliament, Michel Samaha. Lebanese security forces claim a recording shows Samaha -- who has close ties with Damascus and is now in jail awaiting trial -- attempting to smuggle in explosives intended to be used in religious and political assassinations. Two Syrian security officers also were charged.

"Unfortunately, today, al-Hassan paid the price for his success," Saad Hariri said.

Twice in the years after Rafik Hariri's death, al-Hassan had skirted death. The second assassination attempt left one of his top aides, Wissam Eid, dead.

With his absence, others within Lebanon's security apparatus will step into his place.

Photos: Aftermath of the Beirut blast

But describing Friday as "a grim day," Mudallali said finding someone who can do the same thing as al-Hassan -- whom she lauds for his "great achievements" in unraveling complex cases -- will be difficult.

"I don't think Wissam al-Hassan -- somebody with his experience, with his background -- is going to be replaced very easily," she said.

@highlight

Brig. Gen. Wissam al-Hassan was a top intelligence official in Lebanon

@highlight

Aligned with an anti-Syrian, anti-Hezbollah faction, he led many probes into assassinations

@highlight

Fellow Sunnis saw him as an icon, while he was despised by others

@highlight

A scholar linked to the opposition calls al-Hassan a "master" who will be difficult to replace