(CNN) -- It was madness.

At Jalalabad Airfield, in eastern Afghanistan in the summer of 2006, a young intelligence analyst named Jacob Whittaker tried with great difficulty to understand exactly what he was hearing.

The 10th Mountain Division of the United States Army wanted to do what?

Whittaker had to choose his words carefully. He was just a low-ranking "specialist" with the Idaho National Guard, a very low man on a very tall totem pole. A round-faced 26-year-old, Whittaker had simple tastes — Boise State football, comic books — and a reputation for mulishness belied by his innocent appearance.

Whittaker stared at his superior officer, 2nd Lt. Ryan Lockner, who was running this briefing for him and Sgt. Aaron Ives. Lockner headed intelligence for Task Force Talon, the Army's aviation component at Jalalabad Airfield, in Nangarhar Province, adjacent to the Pakistan border. Military leaders considered this area, officially designated Regional Command East, the most dangerous part of an increasingly dangerous country.

Lockner had an assignment. Soldiers from the 10th Mountain — a light infantry division designed for quick deployment and fighting in harsh conditions — had recently come to this hot corner of Afghanistan and would soon be spreading throughout the region, setting up outposts and bases. More specifically, they would be establishing a camp in Nuristan Province.

The members of the intelligence team led by Lockner didn't know much about Nuristan, as U.S. forces had generally been focusing their efforts on Kunar Province, which had become a haven for Taliban insurgents and foreign fighters sneaking in from Pakistan to oppose the American "infidels." During one operation in Kunar the previous summer, in 2005, 19 U.S. troops — Special Forces — had been killed by such insurgents, and since then, the United States had increased its presence there. Helicopters flying in and out of Kunar Province were fired upon at least twice a week, every week, with small arms and/or rocket-propelled grenades.

Tapper on 'the bravest of the brave'

Nuristan was farther north, a province so mythically untamed that one of the greatest writers of the English language, Rudyard Kipling, had chosen it as the setting for his 1888 novella "The Man Who Would Be King." One of Kipling's British adventurers, Daniel Dravot, describes Nuristan as a place where "no one has gone ... and they fight, and in any place where they fight a man who knows how to drill men can always be a king." "You'll be cut to pieces before you're 50 miles across the border," warns Kipling's narrator. "The people are utter brutes, and even if you reached them you couldn't do anything."

The region's previous brigade commander, Col. Pat Donahue, hadn't thought Nuristan had much strategic value, so conventional forces hadn't been posted there, and no one had troubled to find out much about the native people, the Nuristanis, a distinct and outlying ethnic group within Afghanistan. In a departure from his predecessor's policy, Donahue's replacement — Col. John "Mick" Nicholson, the commander of the 10th Mountain Division's 3rd Brigade, known as the Spartan Brigade — ordered the establishment of small outposts throughout the area in the summer of 2006, in an attempt not only to stop the Taliban fighters who were streaming in from Pakistan, often with bushels of weapons, but also to win over the locals, who were predisposed to a suspicion of outsiders.

Lockner had just returned from Forward Operating Base Naray, in Kunar Province, where he'd met with officers of the 10th Mountain Division's 3rd Squadron, 71st Cavalry Regiment, or "3‑71 Cav." They'd told him of their plan to set up an outpost in the Kamdesh District of Nuristan Province, for which he would be in charge of identifying suitable helicopter landing zones. The new base would sit adjacent to the Nuristan hamlet of Urmul. A small settlement missing from most maps, Urmul was home to fewer than 40 families of Nuristanis, or roughly 200 people, who lived in houses made of wood and rock and mud sealant. The residents were primarily subsistence farmers trying to eke out a living through both crops and livestock, but the U.S. Army knew little more than that about them. Coalition forces likewise had next to no intelligence about the enemy in Nuristan — its numbers, its location, its intentions, or, most important, its capabilities — which was one of the reasons the brass was pushing to build a base there. This was the essential difficulty of the task at hand: The higher-ups in the U.S. Army needed to know about the enemy in this unexplored province, so in order to learn as much as they could, they were going to stick a small group of troops in its midst. For all Lockner knew when he flew over Urmul to reconnoiter, the hamlet might have been Osama bin Laden's secret compound.

Hero soldier to get medal of honor

"They're going to build another outpost," Lockner told Whittaker and Ives back at Jalalabad Airfield. "So I need you to take this terrain analysis I started, finish it, and make it pretty so I can brief it in the morning." Many troops were far more proficient in PowerPoint than they were with firearms, so Whittaker understood just what Lockner meant by "make it pretty": The slides for the presentation needed to look crisp and to make a compelling case.

"Where are they going?" Whittaker asked.

Lockner gestured at the topographical map. "Right over here, northwest of Naray," he said. "Where the Darreh ye Kushtaz and Landay-Sin Rivers meet."

Whittaker looked at the spot, stunned. "Right there?" he asked.

"Right there," confirmed Lockner. "Can you do it?"

"I can do it; I have all night," Whittaker said. "But sir ... that is a really awful place for a base." This new camp in the Kamdesh District would, like the dangerous Korangal outpost that their pilots knew too well, be surrounded by higher ground. But whereas the base in the Korangal was situated about halfway up a mountainside, in a former lumberyard, the one in Kamdesh would sit in a cup within the valley's deepest cleft, ringed by three steep mountains that formed part of the 500-mile-long Hindu Kush mountain range. Blocked off on its northern, western, and southern sides by rivers and mountains, it would moreover be a mere 14 miles distant from the official Pakistan border — a porous boundary that meant little to the insurgents who regularly crossed it to kill Americans and Afghan government officials before taking refuge in caves or in the mountains or returning to their haven across the border. The camp would be one of the most remote outposts in this most remote part of a country that was itself cut off from much of the rest of the world, and the area all around it would be filled with people who wanted to kill those stationed there.

Defending the indefensible

"So it's located at the base of a mountain peak?" Whittaker asked. It didn't take a Powell or a Schwarzkopf to know that as a matter of basic military strategy, it was better to be at the top of a hill than at the bottom of a valley.

"Yes."

"And it's flanked by a river on the west and another river to the north?" Whittaker continued.

"And there's no good road to get to it — they're still building that," Lockner volunteered.

The Army had been coordinating efforts to build up the vulnerable and narrow path from Naray to Kamdesh, but rain, steep cliffs, insurgent threats, and high turnover rates among local construction workers had led to frequent delays. The road, often running along the edge of a cliff that spilled into the Landay-Sin River, was a mere 13 feet wide at its widest, and in some spots only half that — narrower than many military vehicles. A soldier could be killed just driving on that road, without ever coming into contact with a single enemy fighter.

"And it's an eternity away by helicopter if something goes wrong," Whittaker said.

"Yup," agreed Lockner.

"Sir, this is a really bad idea," said Whittaker. "A. Really. Bad. Idea. Anyone we drop off there is going to die."

@highlight

CNN's Jake Tapper tells the story of Compound Outpost Keating in his book

@highlight

Afghanistan's Compound Outpost Keating was brutally attacked in 2009

@highlight

The attack pitted 53 U.S. soldiers against 400 Taliban fighters