(CNN) -- French researchers have identified a new human immunodeficiency virus, the first derived from gorillas, a report said Monday.

A new virus is difficult to detect by tests because it is not closely related to the other three HIV variants.

The three previous HIV variants came from chimpanzees. The new findings indicate that gorillas, in addition to chimpanzees, are likely sources of HIV, the researchers concluded in a report published in the weekly Nature Medicine journal.

The new virus, called RBF 168, was detected in a 62-year-old woman who moved to Paris, France, from the western Africa nation of Cameroon, the report says. She tested positive for HIV in 2004, and researchers led by Jean-Christophe Plantier identified the virus as being closely related to a recently discovered simian immunodeficiency virus (SIV).

The new gorilla virus "has many of the biological properties necessary for human infection," the report says.

"The human case described here does not seem to be an isolated incident, as before coming to Paris the subject had lived in the semiurban area of Yaounde, the capital of Cameroon, and reported no contact with apes or bush meat," the researchers said.

That would indicate that the woman contracted the virus from another human.

The significance of the latest findings is difficult to determine without more information, said Robert C. Gallo, who co-discovered HIV in 1984.

"It's yet to be known," Gallo said. "It could be zero. ... Let's see a more full report on this individual and let's see wider testing."

Anthony S. Fauci, director of the National Institute of Allergy and Infectious Diseases, calls the latest HIV variant "an oddity" but said it's not surprising that it cropped up, because the virus has been circulating in non-human primates for centuries.

The three previous HIV variants are labeled M, N and O. The new one has been classified P. The N and O variants, Fauci said, are extremely rare.

"It's not significant unless it establishes itself as a predominant strain," he said. "We have not seen that with N and O."

Fauci lumps the new P variant with the rare group because it has been detected in only one patient.

If it were widespread, Fauci said, "we would already know about it. When these things happen, you see a lot of them around."

Even if the new variant proves lethal, it's not likely to increase AIDS infections, said Gallo, director of the Institute of Human Virology at the University of Maryland School of Medicine. There are so many HIV variations, he said, that one more is not likely to make a difference.

The new virus is difficult to detect by conventional tests because it is not closely related to the other three HIV variants.

"This demonstrates that HIV evolution is an ongoing process," co-researcher David Robertson of the University of Manchester said in a release. "The virus can jump from species to species, from primate to primate, and that includes us; pathogens have been with us for millions of years and routinely switch host species."

HIV can lead to acquired immunodeficiency syndrome, which attacks the body's immune system, giving rise to lethal infections. Patients diagnosed with HIV can take medications to delay or stop HIV from developing into AIDS. There are 33 million confirmed cases of AIDS worldwide.

The unnamed woman has no signs of AIDS and remains untreated, Nature Medicine said.

The most likely explanation for the emergence of the new virus is gorilla-to-human transmission, though researchers say they cannot rule out the possibility that the chimpanzee SIV gave rise to the new strain "either indirectly by transmission to gorillas and then to humans or directly by transmission to humans and also to gorillas."

Researchers said they don't know how widespread the virus is among humans.

"The human prevalence of this new lineage remains to be determined," the report says, adding that "it could be circulating unnoticed in Cameroon or elsewhere."

Western Central Africa bears close watching, the researchers suggest.

"In conclusion, our findings indicate that gorillas, in addition to chimpanzees, are likely sources of HIV-1," the report states. "The discovery of this novel HIV-1 lineage highlights the continuing need to watch closely for the emergence of new HIV variants, particularly in western central Africa, the origin of all existing HIV-1 groups."

Co-researcher Robertson noted that the new virus may not be restricted to Africa.

"It also highlights how human mobility can rapidly transfer a virus from one geographical location to another as has been dramatically evident with the recent emergence of swine flu," he said.

@highlight

Strain is the first known to be derived from gorillas

@highlight

62-year-old woman who moved to Paris from Cameroon found to have RBF 168

@highlight

Likely explanation for emergence of new virus is gorilla-to-human transmission