Near the Israel-Gaza border (CNN) -- Hopes were briefly raised then dashed Tuesday for an imminent calm between Israel and Hamas as diplomats fervently sought a way to stop the deadly violence.

U.S. Secretary of State Hillary Clinton arrived in the region, where she met for more than two hours with Israeli Prime Minister Benjamin Netanyahu. She is expected to meet later with Palestinian Authority President Mahmoud Abbas and Egyptian President Mohamed Morsy, who is working to broker a cease-fire.

Gaza is run by Hamas, which the United States and other countries consider a terrorist organization.

Clinton offered Israel the support of the United States and expressed hope for a lasting solution as she spoke to reporters alongside Netanyahu at the prime minister's office in Jerusalem. She thanked Egypt and especially Morsy for their efforts.

Hillary Clinton's farewell tour takes detour

"President Obama asked me to come to Israel with a very clear message. America's commitment to Israel's security is rock solid and unwavering. That is why we believe it is essential to de-escalate the situation in Gaza," she said. "The goal must be a durable outcome that promotes regional stability and advances the security and legitimate aspirations of Israelis and Palestinians alike."

Tuesday marked the seventh day of deadly violence that that has turned life into a nightmare for millions in Israel and Gaza. Rockets rained as the death toll continued to climb.

There was a moment when it looked like the attacks might stop. A senior Hamas official told CNN a "calming down" would be announced at 9 p.m. local time (2 p.m. ET). But that did not happen.

Opinion: How this could be the last Gaza war

Hamas spokesman Sami Abu Zuhri later said that Israel had not agreed to terms that would stop the fighting.

Similarly, Egypt's Morsy said the "travesty of the Israel aggression on Gaza will end in a few hours." But a few hours passed, and Morsy's office told CNN not to expect any announcement Tuesday night.

A "calming down" could halt violence, but it is not the same as an official cease-fire or truce. Israel has said it wants a cease-fire agreement but has not indicated whether one could be imminent.

"Obviously, no country can tolerate a wanton attack on its civilians," said Netanyahu, standing beside Clinton. "Now, if there is a possibility of achieving a long-term solution to this problem through diplomatic means, we prefer that. But if not, I'm sure you understand that Israel will have to take whatever actions necessary to defend its people."

Netanyahu accused "terrorist enemies" of "doing everything in their power to maximize the number of civilian casualties."

According to the Gaza Ministry of Health, 27 people were killed Tuesday, including children, and 137 Palestinians have been killed since the latest hostilities erupted. More than 1,100 people were injured. It's not clear how many of the victims were militants.

Five people have been killed in Israel, according to Israel's Soroka Hospital. More than 70 have been injured, including soldiers, Israeli officials have said.

The death toll in Israel moved from three to four early Tuesday when an 18-year-old soldier was killed in a rocket attack in the town of Eshkol, officials said. It climbed from four to five, according to the hospital, when a 30-year-old Bedouin was killed.

Israel said it was holding off on a ground offensive into Gaza to give diplomatic efforts time. Those efforts include talks with Clinton and U.N. Secretary-General Ban Ki-moon.

A source familiar with discussions in Jerusalem told CNN, "One of the Israeli demands is that there should be a period of total calm for 24 hours before committing to any agreement."

How this conflict reignited

Israeli spokesman Mark Regev told CNN, "Diplomacy is still ongoing."

"It's in the hands now of the Israelis," Osama Hamdan, Hamas spokesman in Beirut, told CNN earlier by phone. "... I think the Egyptians are waiting for some support, promised support, from the United States in order to make an end for that. So we expect to have an outcome of this issue today as President Morsy has said." That "expected" outcome didn't arrive.

Speaking early Wednesday, Hamdan said he believes Hamas and Israel are close to a cease-fire agreement.

"I can say that we are close, and we are on the edge. It may happen, and it may not," he said. Later, Hamdan added, "I believe there is a good chance to have a cease-fire, which can fulfill the needs of both sides."

A timeline of the Israel-Gaza conflict

Regev said Israel is not interested in a "time out," allowing Hamas to regroup after Israeli strikes have done damage. "We want a new reality" in which Israelis don't live under rocket fire from Hamas, he said.

To succeed, negotiations have to be done "discreetly," he said.

Hamdan said Hamas' actions have been "a good lesson for the Israeli government. It's not good to attack the Palestinians, expecting that they will not react against the attack."

Asked whether Hamas would accept Israel's right to exist, Hamdan said the Palestinian people would not consider it without an end to occupation.

Smuggling weapons to Gaza -- the long way

The onslaught of rockets fired Tuesday into Israel continued to be met by Israeli strikes on sites in Gaza.

Attacks included one aimed at Jerusalem, one that caused casualties in the southern town of Beer Sheva, and one that injured five Israeli soldiers.

Another rocket hit a civilian building in Rishon LeZion, part of metropolitan Tel Aviv, Israel Defense Forces spokeswoman Avital Leibovich said.

Netanyahu, at a news conference with Ban, said Israel was fighting back with "surgical operations against terrorists at a time when our own population is being bombarded by rocket attacks."

"If we hope to make these tactics illegitimate, they should be condemned in the most forceful terms by all responsible members of the international community," he said. "The moment we draw symmetry between the victims of terror and the unintended casualties that result from legitimate military action against the terrorists, the minute that false symmetry is drawn, the terrorists win."

In Israel, Iron Dome can't keep the fear away

Speaking later at a news conference with Israeli President Shimon Peres, Ban urged diplomacy and said further escalation would put the region at risk.

"The world is concerned, gravely concerned, at the rising loss of human lives. Further escalation would be dangerous and tragic for Palestinians and Israelis and would put the entire region at risk. I am here to appeal to all to halt fire and restore calm immediately," he said. "Further escalation benefits no one. Now is the time for diplomacy."

Jerusalem Mayor Nir Barkat said Ban was among those who had to take cover when sirens sounded in Jerusalem, warning of an incoming rocket.

Military officials said the rocket landed in an open area of a village.

Other violence Tuesday included 11 Hamas rockets that hit the Israeli city of Beer Sheva, causing casualties. More than 30 rockets were fired into the area, but most were destroyed by Israel's Iron Dome interceptors.

In Tel Aviv, a man with an ax attacked a U.S. Embassy security guard, Israeli police said. The attacker, who also had a knife, was arrested, police spokesman Micky Rosenfeld said.

In Gaza, too young to understand but not to die

The IDF again dropped leaflets across parts of Gaza warning residents to evacuate their homes and go to central Gaza City. The leaflets told them which way to go and what part of the city to stay in once they arrived.

The leaflets are part of Israel's efforts to minimize civilian casualties, Israeli officials say.

As a CNN crew was getting video of families fleeing an area in Gaza, an explosion shook the windows of a school, CNN's Arwa Damon reported. The target was a vehicle around the corner, and the strike killed two people, she said.

Another Israeli airstrike hit a building that houses the local offices of Agence France-Presse in Gaza City. No one from the agency was injured, according to AFP.

Also in Gaza, CNN saw a group of men drag the body of a man through streets from the back of a motorcycle. The men, who carried weapons, yelled in Arabic that he was a traitor and Israeli spy.

Gaza has endured a crippling economic embargo since Hamas won control of the territory from the Fatah-led Palestinian Authority after a landslide 2007 election that was followed by intra-Palestinian clashes.

Many Arab and Muslim nations view Hamas as the victim of Israeli aggression.

Diplomats hope to avoid a repeat of 2008-2009, when at least 1,400 people died when Israeli troops invaded Gaza after a similar spate of rocket attacks.

CNN's Dana Ford, Josh Levs, Arwa Damon, Ben Wedeman, Christiane Amanpour, Holly Yan, Mohamed Fadel Fahmy, Saad Abedine, Sara Sidner, Frederik Pleitgen, Kareem Khadder, Reza Sayah and Talia Kayali contributed to this report.

@highlight

Hamas spokesman on the possibility of a cease-fire: "I believe there is a good chance"

@highlight

A building housing the offices of Agence France-Presse in Gaza City is hit

@highlight

U.S. Secretary of State Hillary Clinton calls for de-escalation

@highlight

Palestinian officials say 137 people are dead; five are reported killed in Israel