(CNN) -- Endless stretches of beautiful white beaches, crystal clear water and stunning marine life: the west coast of Australia is an adventurer's playground. The often uncharted shores of the island continent offer travelers a unique mix of thrills and indulgence.

This week the professional sailing world will turn its attention to West Australia's largest city, Perth, for one of the biggest events on the sport's calendar. The International Sailing Federation World Championships will be held in the coastal city. Twelve hundred athletes from 79 nations will take part in Perth 2011, the principle qualifier for the London 2012 Olympics.

While those boats hit the water to battle it out for gold, most people prefer to take a more leisurely approach to one of the most rugged and striking coastlines in the world.

"The great thing about this coast is that the nature is still very much in charge," says John Longley, Perth 2011 event director and former America's Cup competitor.

Despite the region being littered with protected inlets and charming swimming spots, some areas are not for the faint-hearted. "It's wild country," says Longley. "But the awards for the adventurous are plentiful."

Travelers who dare to explore can feel completely isolated from the rest of the world. It's a massive area with very few inhabitants. The state of Western Australia averages less than one person per square kilometer (0.4 square miles). "You can quite easily find yourself sailing up to a bay and finding no one else around," says Lonely Planet writer Peter Dragicevich.

The Swan River

The centerpiece of Perth, the Swan River is a perfect place to take in the city. At over one mile wide in parts and with several bays, finding a spot to drop anchor is not hard.

Thanks to a thriving mining industry, Western Australia has flourished despite the current economic climate. Perth has been a big benefactor of the boom and the vibrancy of the city is not lost on visitors.

"Good restaurants in Perth are right up there with anywhere in the world," says Dragicevich. "Everywhere people are pretty laidback and very welcoming of travelers."

Fremantle

Following the river, just south of Perth is Fremantle. This city is Western Australia's maritime home. "If you're a keen sailing buff, it's a must see," says Dragicevich.

Located along the water is the striking Western Australian Museum building which has a strong maritime flavor. The museum encompasses the Shipwreck Galleries which claims to be the leading maritime archeology museum in the southern hemisphere. "WA has a history of shipwrecks and it does make for an interesting visit for the boatie," says Dragicevich.

Voyage to bottom of the sea for Sir Francis Drake's remains

For travelers exploring the area by boat, Longley says Fremantle is the perfect pit stop for maintenance. "The Fremantle Sailing Club is very well set up to receive cruising yachts."

Not too far west of Fremantle is Rottnest Island with plenty of bays to drop anchor in. With no cars allowed and beautiful inland waters, this island is perfect for a relaxing getaway.

Margaret River

The Margaret River region in the state's south west is known for its world-class locally grown food and wine. But the area shouldn't be dismissed as one just for the wine lovers.

Beautiful national parks border beaches with powdery sand and the world famous surf breaks make it ideal for those handy on a surf board. "Some of the breaks have got names like 'suicide'," explains Dragicevich. "Those ones are not for beginners."

But right on the doorstep of the Margaret River is Geographe Bay with more family-friendly beaches ideal for swimming. Longley says sailors can find a well-established marina in the small city of Bunbury, located in the bay.

Cape Naturaliste to Albany

The west coast of Australia is known as the "humpback highway" with tens of thousands of humpback whales passing on their annual migration to and from the Antarctic. There are many opportunities to see marine wildlife in its natural habitat up and down the coast, but one of the best spots to witness it first hand is in the very south-west corner of Australia.

However, Longley warns that only the most competent of sailors should tackle this region. "The western sides of the continent are always the wildest." He explains there are few offshore reefs in this region, and while there are good windy conditions for sailing, it's not for the novice.

"Sailing around Cape Naturaliste, you're starting to get into pretty robust country and your skills need to go up a level," adds Longley. But if you make it to Albany this is where you're most likely to spot whales.

North of Perth and beyond

The West Australian coastline north of Perth seems to stretch forever. Here more than ever sailors can feel completely isolated. North of the main port of Geraldton, Longley believes it's for only the most capable of mariners to explore.

"For those wanting an adventure, it's marvelous," he says. Longley adds that more and more superyachts are heading into these waters to discover the area.

Even on land, travelers are struck by the remoteness of the region. "One of the greatest joys of the West Australian coastline is the interaction you can have with the wildlife," says Dragicevich. There are opportunities to swim with dolphins right up and down the coast, and snorkeling at Ningaloo Reef is a highlight of the region.

Shark attack hot spots identified on West Australian coast

Crocodiles can be found in the very north end of the state and there are sharks off many of the beaches. However Dragicevich says that while authorities are stepping up patrols in popular areas, the number of incidents involving humans are rare. "It's certainly something to be aware of," he advises. "Ask a local, but don't let it spoil your holiday because the odds are in your favor."

@highlight

The ISAF World Championships will be held in Western Australia this month

@highlight

Perth 2011 is the principle qualifier for the London 2012 Olympic Games

@highlight

Western Australia averages less than one person per square kilometer

@highlight

The remoteness and beauty of the coastline makes it a must for travelers