Rome (CNN) -- The Vatican geared up for the inauguration of the pope on Tuesday, a ceremony ushering in a new era for the Roman Catholic Church.

Anticipation mounted among the faithful across the globe awaiting a joyous and solemn chapter of Christian history. St. Peter's Square will bustle with tourists, locals and pilgrims during the official Mass to install Francis as the bishop of Rome.

The choice of day to anoint him as the holy father of the Roman Catholic Church carries a rich symbolism: It is the day that Catholics celebrate the Feast of St. Joseph to honor Jesus' father on Earth, the carpenter Joseph. It also happens to be Father's Day in Italy.

Foreign dignitaries, royalty, heads of state, and representatives of other religions will attend. Security will be on the alert as hymns, chants and prayers fill the square.

The pope, who plans to deliver his homily in Italian, isn't expected to religiously stay within a script. He will have prepared comments but, his spokesmen say, he might diverge because he likes to be spontaneous. That trait will endear him to the flock but keep security on its toes.

"The very competent security forces with the pope are there with him. They've been watching him. They'll adapt to his own movements and they will do their best to adapt to new situations," Vatican deputy spokesman the Rev. Thomas Rosica told reporters.

"They're concerned about the protection of the pope, but also the protection of the people that are there as well. And this is something brand new, and they will adapt to that because they're extremely competent and very well prepared," he said.

All this comes during one of the busiest times of the year on the Christian calendar. Less than a week away is Palm Sunday, the holiday that kicks off Holy Week, which culminates in Easter celebrations.

Dignitaries stream in

Vatican spokesmen briefing reporters Monday stress that dignitaries are welcome to attend the inauguration but, by tradition, they don't receive a specific invitation.

U.S. Vice President Joe Biden is to lead the U.S. presidential delegation for the Mass, the White House said Friday, with House Democratic Leader Nancy Pelosi also among the party. On Friday, House Speaker John Boehner, a Republican, said he will send a separate bipartisan congressional delegation.

Those delegations are among scores from nations and international organizations traveling to the Vatican, led by heads of states and governments. Delegations will be on hand from Italy and the pope's native Argentina. There will be other groups from the Americas, including Brazil, Chile, Mexico and Canada, and European nations such as Holland, Belgium and Germany.

Representatives from across Christianity -- Eastern and Western -- are expected to be present. Members of other religions, including Judaism, Islam, Buddhism, Sikhism and Jainism, are to be at the inauguration.

One bit of controversy has emerged: Zimbabwe President Robert Mugabe, reviled for his human rights abuses, has arrived. He is under a European Union travel ban, but he can skirt that because he entered Italy on religious grounds. In power for decades, Mugabe visited the Vatican in 2011 for the beatification of the late Pope John Paul II. He attended that pope's funeral in 2005.

Argentine president visits

Pope Francis met at the Vatican on Monday with the leader of his native Argentina, President Cristina Fernandez de Kirchner, a figure with whom Francis has clashed publicly over social issues.

When he was archbishop of Buenos Aires, Francis disagreed with the Argentine government's position on same-sex marriage and free distribution of contraceptives. But Fernandez sent a letter congratulating him as he assumed his new role.

The pope's meeting with Fernandez, which also included lunch, is a sign he's trying to put the past behind him. The pope will bring his Argentine heritage with him to the Vatican, adopting the same motto and the coat of arms he used in Buenos Aires.

After the meeting, Fernandez said she asked the pope to intervene in the dispute between Argentina and the United Kingdom over the Falkland Islands and help the nations spark a dialogue.

The two countries went to war over the territory in 1982 after the then-military government in Argentina landed troops on the islands. For more than a year, renewed rhetoric between Argentina and the United Kingdom over the islands has escalated to a fever pitch, with both sides accusing each other of colonialism.

Last week, residents of the South Atlantic islands overwhelmingly voted to remain under British rule.

Fernandez said she and Francis also discussed human trafficking and slavery.

Vatican: Argentine claims defamatory

The Vatican has sought to quell controversy over Pope Francis' conduct during Argentina's so-called Dirty War from 1976 to 1983, amid accusations that he could have done more to protect two Jesuit priests who were kidnapped.

The accusations resurfaced after the Argentine cardinal's unexpected election to the papacy last week.

A book by investigative reporter Horacio Verbitsky accuses Francis, who was then Jorge Mario Bergoglio and was head of the country's Jesuit order, of deliberately failing to protect the two priests, Orlando Yorio and Francisco Jalics, when they were seized by the navy. They were found alive five months later.

But the Rev. Federico Lombardi, the Vatican's lead spokesman, dismissed the claims as false and defamatory.

"The campaign against Bergoglio is well-known and goes back to many years ago. It was promoted by a defamatory publication," he said at a Vatican news conference Friday.

"This was never a concrete or credible accusation in his regard. He was questioned by an Argentinian court as someone aware of the situation but never as a defendant. He has, in documented form, denied any accusations," Lombardi said.

"Instead, there have been many declarations demonstrating how much Bergoglio did to protect many persons at the time of the military dictatorship," he said.

His role after he became bishop of Buenos Aires in asking for forgiveness for the church for not having done enough at the time of the dictatorship "is also well-known," Lombardi said.

Bergoglio's journey to top of the church

First Sunday as pope

Thousands of Catholics waving flags from around the world packed St. Peter's Square on Sunday to hear Pope Francis deliver his inaugural Angelus.

The new pontiff gave the noon blessing from the papal apartment window, speaking to more than 200,000 worshippers in the square four days after his election as pope.

"Dear brothers and sisters, good morning," he said in Italian, drawing cheers from the crowd.

During the 15-minute address, he focused on forgiveness.

"Never forget this: The Lord never tires of forgiving us," he said. "Have you thought about the patience that God has with each of us?"

He made the historic address after celebrating Mass at Sant'Anna parish in Vatican City earlier Sunday.

Catholics: 5 ways for Francis to move forward

Reforms to come?

In his first week as pontiff, Francis has enjoyed global fanfare as the first Latin American pope and the first Jesuit pope in modern times. In just his first few days, he has prompted speculation that he may bring in wider changes.

While he decided the heads of the various Vatican offices will keep their jobs for now, he's not making any definitive appointments, the Vatican said Saturday.

CNN Vatican analyst John Allen, who's also a correspondent for the National Catholic Reporter, said this is the first clear signal that he may be serious about reform.

"It's customary for new popes to swiftly reconfirm the department heads who lose their positions when the previous pontificate ends, and then take his time about bringing in his team," Allen said.

"The fact that Francis has not followed that path may suggest that significant personnel moves will come sooner rather than later."

Francis wants "a certain period for reflection, prayer and dialogue before (making) any definitive nomination or confirmation," a Vatican statement said.

Pope Francis breaks with tradition

Hada Messia reported from Rome, and Joe Sterling and Ed Payne wrote in Atlanta. CNN's Laura Smith-Spark, Claudia Rebaza and Jason Hanna also contributed to this report.

@highlight

NEW: Argentine president wants pope to use influence to help deal with Falklands dispute

@highlight

Robert Mugabe is among many leaders to be on hand for Francis' inauguration

@highlight

The pope, who plans to deliver his homily in Italian, isn't expected to stay within a script

@highlight

Thousands of Catholics packed St. Peter's Square on Sunday to hear his first Angelus