Washington (CNN) -- The air we breathe in the United States is getting better -- at least by one recent measure.

New data released by NASA this week show that at least one pollutant, nitrogen dioxide, has decreased substantially over the past decade.

Areas with a high level of nitrogen dioxide have decreased an average of about 40%, said Bryan Duncan, an atmospheric scientist at NASA's Goddard Space Flight Center in Greenbelt, Maryland.

"It happened everywhere, not just in a few areas. It's over the whole country. So this is a real success story for everyone in the U.S.," he said.

The decrease is particularly prominent in the crowded Northeast, the Ohio River Valley, and some major cities. For example, NASA reported a 32% decrease in New York City and a 42% decrease in Atlanta between the periods of 2005-2007 and 2009-2011.

Duncan attributes the decrease to two factors: cars that are more efficient, and scrubbers on smokestack emissions that remove toxins.

"It means fewer hospital admissions, it means fewer emergency room visits, it means fewer doctor visits," said Janice Nolen, assistant vice president of the American Lung Association.

Man-made sources emit an estimated 19.4 million metric tons of nitrogen oxides a year in the United States, produced primarily by vehicles and by coal-fired power plants, according to the American Lung Association.

Nitrogen dioxide is a yellow-brown gas that can cause respiratory problems like coughing, asthma, and trouble breathing. It is one of six common air pollutants for which the Environmental Protection Agency has set limits.

Nolen, who produces an annual report called State of the Air, pointed out that these pollutants are a separate concern from greenhouse gases, which are blamed for climate change, and were not measured in this report.

And, she said, over 140 million Americans still live in areas with unhealthy levels of air pollution, according to the EPA.

"We have about half the nation who lives in counties that have unhealthy levels of air pollution," said Nolen. "And what we're learning is, levels that we thought were safe were not, and we need to clean up even more, to provide real protection. We still have a long way to go."

The Supreme Court in April upheld an EPA rule intended to further reduce emissions of nitrogen oxide and sulfur dioxide that blow across state lines.

The decrease cited in the NASA study is particularly prominent in the crowded Northeast, the Ohio River Valley, and some major cities. For example, NASA reported a 32 percent decrease in New York City and a 42 percent decrease in Atlanta between the periods of 2005-2007 and 2009-2011.

Click here for more cities

@highlight

"We still have a long way to go," says American Lung Association official

@highlight

NASA data show substantial decreases in nitrogen dioxide

@highlight

NASA scientists attributes reductions to more-efficient cars, smokestack emissions cuts

@highlight

Nitrogen dioxide is separate from greenhouse gases, which weren't measured in this report