The budget proposal introduced by House Republicans on Tuesday is much more than a series of numbers on a spreadsheet -- it's a vision for reforming the key pillars of the American social contract in the 21st century. In that regard, it's very different from the vision put forward by President Obama in his budget plan from a month ago, which emphasized preserving the status quo with another round of tax hikes.

The central economic problem of coming years is how to update the nation's largest entitlement programs so that they are sustainable and available to future generations of Americans.

The Congressional Budget Office projects that spending on Social Security, Medicare and Medicaid (plus the new 2010 health care law) will increase from about 10% of the nation's total economic output this year, as measured by gross domestic product (GDP), to nearly 16% in 2035. Historically, the government has collected about 18% of GDP in revenue. Thus, if the entitlement programs remain on autopilot, there will either be nothing left in the budget beyond transfer payments, or government taxes will have to soar.

In Medicare, the GOP budget preserves today's arrangements for those in or near retirement. But for future entrants into the program, Medicare would change into a "premium support" model. The government would provide a fixed level of premium assistance to the program's enrollees, and they would use that assistance to pick from among competing insurance options, including the traditional fee-for-service federal program.

Medicare's drug benefit is already run as a premium support program, and spending on the program over its first decade is now projected to be more than 40% below what was expected at enactment in 2003. A recent analysis produced for the American Enterprise Institute, a conservative think tank, shows that a competitive bidding approach in the full Medicare program would reduce costs by more than 5% in year one alone. That's the way to bring costs down without undermining the quality of care provided to Medicare patients.

Obama's vision for Medicare is very different.  He wants an unaccountable board of bureaucrats to cut fees to those caring for Medicare patients. But cutting fees isn't real cost control. Low reimbursement rates will just force doctors and hospitals to stop taking care of Medicare patients and thereby impair their access to care.

For Medicaid, the GOP plan would shift power and financial control to the states so that they can reform their programs in ways that best suit the needs of their residents.

In addition to mending entitlement programs, the GOP plan calls for top-to-bottom reform of the federal bureaucracy, with an emphasis on cutting programs of low or marginal value so that more money can be invested in what truly matters. Most importantly, the plan does not adopt the deep reductions in defense spending that would cripple the military just as threats around the world are expanding and intensifying. Over the next decade, the GOP budget would cut federal spending by $5.3 trillion, compared with Obama's proposal.

The differences between the GOP and the president's plans are stark on the tax side, too. The president has proposed to increase taxes to 20% of GDP in 2022. The GOP plan would hold the line on tax hikes and keep revenue at roughly its historical norm of just above 18% of GDP. Further, it calls for fundamental reform of both individual and corporate taxes, including the consolidation of today's complex six-rate structure for individuals into just two rates -- 10% and 25%.  This is the kind of tax reform that some tax experts believe would promote job creation in the American economy.

The American people now have before them two clear and very different approaches for how to address the nation's fundamental economic challenges. One vision would preserve the status quo, with growing entitlement commitments, steady hikes in tax rates and more centralized control of the economy from the government. The other vision would bolster a vibrant private sector with sensible taxes; reform of entitlements and other programs that emphasize limited but effective government; protection of the most vulnerable among us; and the power of free markets to promote prosperity. These competing plans give voters a real choice when they go the polls in November.  And whatever they decide, the consequences will be lasting.

@highlight

House Republicans introduced a budget proposal Tuesday

@highlight

James Capretta: GOP budget is a vision for reforming the American social contract

@highlight

Plan would cut federal spending by $5.3 trillion, he says, compared with president's plan

@highlight

Capretta: Plan would promote private sector growth, update entitlements and other programs