(CNN) -- On his HBO talk show, "Last Week Tonight," comedian John Oliver aired a blistering segment about President Obama and the issue of income inequality. Oliver reminded viewers that "last December, the president made it clear that income inequality" would be a "big priority," since in a speech he called it the "defining challenge of our time."

The segment continued with clips of media pundits saying that the battle against income inequality had finally begun and that an "all-out assault" on this problem was inevitable.

Oliver joked that income inequality had better watch out, since it was going to be "violently ameliorated" -- or, he explains, it would have been if Democrats had not "immediately backed down." Instead of a war on inequality, he said, the issue became another topic that Americans like to avoid (like Japanese internment camps or the time we gave Roberto Benigni an Oscar ).

Oliver is on to something important. No matter how many times Democrats bring up the issue, they just can't seem to commit to a fight on income inequality.

Inequality can be a winning issue

Such a retreat is not inevitable. The conventional argument that the U.S. is just a center-right country doesn't hold water. In most polls, there is clear evidence of strong support for policies that deal with inequality, such as a higher minimum wage or tax cuts that will stimulate job growth, as well as limits on the tax benefits enjoyed by companies that invest overseas.

When asked whether they dislike government, Americans often say yes. But when asked about whether they like specific policies that combat inequality, they also respond favorably.

Whenever Republicans have tried to take a big bite out of programs that create some kind of social safety net, like Social Security, they have faced a huge backlash. Just ask former President George W. Bush, who watched his political capital burn away in 2005 when he attempted to privatize Social Security.

The Democrats have a strong party tradition during the New Deal and Great Society of making great electoral gains when they focus on these kinds of questions.

To be sure, there are some Democrats who have insisted on moving forward with this issue despite the perceived political risks. Massachusetts Sen. Elizabeth Warren has been extremely aggressive in tackling inequality.

In a recent trip to West Virginia, Warren excited Democrats when she told them to ask Republicans, "Who do you work for? Do you work for those who hire armies of lobbyists and lawyers? Do you work for the millionaires and billionaires who've already made it big?"

Early in his administration, President Obama was more determined to move forward with this issue, as was evident with the creation of the Consumer Financial Protection Bureau and his advocacy of pay equity.

Hesitating on inequality issue

Yet it also true that Democrats quickly get skittish when bringing up these issues. They have hesitated to make this a central issue for the party, and they have avoided going after Republicans on the topic while branding themselves as the party that will help the middle class regain its mojo. Since calling inequality the "defining issue of our time" in December, President Obama has consciously backed off even talking about the issue.

In June, the Washington Post published a revealing piece documenting how he abandoned the issue despite his bold talk last year. He shifted from talking about the persistence of income inequality that results from our public policies and structure of our economy to a more optimistic trope of offering ways to boost the middle class.

"Both the White House and the Senate agreed that the decline of middle-class incomes was the most serious issues we face in this country," Sen. Charles Schumer was quoted as saying in the story, "but the focus had to be on how to get middle-class incomes up, rather than drive other people's incomes down."

Even when policies are difficult to pass in Congress, at a minimum, a president has the power to keep talking about an issue and try to make it central in the national conversation. This is particularly important with controversial issues like inequality. Yet he has decided not to use the power of the bully pulpit for this purpose.

Lacking self-confidence

So why is this the case? The most important is that Democrats as a party lack self-confidence. Ever since the 1970s, they have been a party that often thinks their opponents are winning, even when they are not, and for several decades they have accepted the terms for the debate laid out by the GOP.

In 1976, Jimmy Carter ran as a Democrat who embraced conservative arguments about reforming bureaucracy and balancing the budget, someone who would challenge party stalwarts like organized labor.

During his presidency, Bill Clinton, who ran as part of the centrist Democratic Leadership Council, stressed the virtues of free markets and agreed to end the public welfare system that had been created in 1935.

Though Obama started his presidency with the promise to embrace progressive ideals, he has backed away from this kind of outlook and very often toed a centrist line. He has avoided any serious discussion of progressive tax reform that would raise more income from the wealthy, other than his decision to allow the tax cuts on the very wealthiest Americans to expire, or much tougher regulatory actions against Wall Street to prevent the kind of leakage that has been characteristic of the Dodd-Frank Wall Street Reform and Consumer Protection Act.

The original law itself was written in a way that created huge openings for financial institutions to circumvent the regulations. There has been insufficient attention to public investment in new industries that could provide more well-paying jobs. Obama has maintained a tepid relation with unions, usually considered the best bulwark against inequality in the 20th century.

Strengthening the bargaining power of workers and protecting union members from fear of being fired has been a failed fight in recent years. Obama, and other presidents, have not stood by the unions. In short, Democrats have been scared to embrace their own tradition.

Campaign dollars play a role

Democrats have also faced a loaded political process that doesn't favor these kinds of policies. The existing campaign finance and lobbying system, which has greatly empowered corporate interests and wealthier Americans, makes it hard to actually fight for policies that reduce inequality. To run their campaigns, Democrats need many millions of dollars from Wall Street and corporate interests that would oppose policies that significantly reduce inequality.

Democrats, including Obama, have generally given up on the issue of campaign finance and lobbying reform, and the playing field remains skewed against equality.

When the financial crisis happened in 2008, despite enormous public support for muscular regulatory policies, members of both parties backed down, in part a response to the power of Wall Street. Even today, Democrats might talk about tougher tax policies toward corporations, but such changes are very hard to pass through Congress when they confront the corporate power in Washington.

Democrats have not been very successful working with this issue in the modern media environment. Oliver astutely plays clips of Fox News broadcasts that followed Obama's speech on inequality, showing talking heads and hosts castigating the president for launching "class warfare."

The kinds of measures that have generally been discussed at this point, such as raising the minimum wage, are a far cry from class warfare. Yet conservatives have been very effective at instantly spreading this message the minute the topic arises. Democrats have not offered and sold an effective response, one that shows that dealing with economic security is not radical at all but very much part of the political tradition.

A question for Hillary Clinton

When they downplay inequality as an issue, Democrats are making a big political mistake. Hillary Clinton, who is thinking of launching a presidential run, should know this better than anyone. Her most powerful moments in the 2008 primaries came when she appealed to blue-collar Americans who were working hard and not getting ahead. This was the single issue that allowed her to light up on the campaign trail.

With some skeptics saying that her ties to Wall Street will compromise her on this issue, Clinton will need to push back -- as she did with a recent speech at the New America Foundation -- and demonstrate that she is a Democrat who will fight for strengthening the middle class.

Right now, Democrats should probably take a close look at the agenda put forth by their colleagues in the House. Minority Leader Nancy Pelosi proposed an agenda she would champion for the first 100 days in the unlikely event the Democrats regain control of the House in November. It includes a minimum wage increase, equal pay legislation, cutting special tax breaks for corporations and more. These proposals are a step forward, though they clearly fall short of measures that will be able to truly reverse income inequality. For that, they will need presidential support and a party commitment to follow through.

Tackling inequality has always been a way for Democrats to strengthen their political coalition of African-Americans, blue-collar and middle-class workers and wealthier progressives. This is the issue that has always bound the party together.

Democrats have a huge opportunity to make gains, given the current agenda of the Republican Party. Despite all the talk of conservative populism, the fact is that Republican economic policies have been biased toward wealthier segments of the population.

But if Democrats are going to really move forward with these issues, they will have to avoid the mistakes that have bogged down these efforts in previous years. If they don't change their ways, the Democratic fight on income inequality will remain a punch line on comedy shows and a rallying cry for Republicans who want to paint Democrats as too far left of center.

Join us on Facebook.com/CNNOpinion.

@highlight

President called inequality the "defining challenge" of our time but has downplayed it since

@highlight

Julian Zelizer: Democrats have been wary of making the issue their focus

@highlight

He says Warren is right to emphasize it, and it could be a winning issue for Dems

@highlight

Zelizer: When GOP has targeted programs like Social Security, it has suffered