(CNN) -- The crisis over the Egyptian constitution triggered by President Mohamed Morsy's adoption of sweeping powers is just the latest chapter in a long-standing ideological struggle in the Middle East.

Morsy, the Muslim Brotherhood candidate who came to power after the 2011 Arab Spring revolution that deposed long-time Egyptian President Hosni Mubarak, says he needs the new powers "to speed reform." His rivals say it is all motivated by the Brotherhood's Islamist agenda for controlling the country.

Morsy is not the first -- and given the upheavals of the Arabic Spring, is unlikely to be the last -- Muslim leader to seek a constitutional way to create functioning state institutions in a region where the collapse of the Ottoman Empire led more often to tyranny or puppet regimes than strong democratic states.

The drive to institutionalize the states of the Muslim world was the primary objective for most political parties in the region in the early 20th century.

Muslim intellectuals, shocked by the tyranny and the deterioration of their nations - especially when compared to the rapid advance of the West both politically and militarily - tried to reverse the course by political means.

However, they soon found out that confronting the old establishment would require more radical approaches. In 1907, a constitutional revolution was declared in Shiite Persia, and a year later Muslims, Christians and Jews marched in Istanbul -- triggering in 1908 what was called "the second constitutional era." The events that followed eventually led to the dissolution of the Sunni Ottoman Empire.

A decade later, the Ottoman Empire found itself in an unprecedented situation, defeated and occupied by the Western allies of Britain, France, Russia and Italy. The young Turkish leader, Mustafa Kemal Ataturk, led a national movement, fought the allies and the sultan, then pushed for constitutional changes by which the last Ottoman sultan, Mohamed VI, would be a spiritual leader, or "khalifa", without any governing or symbolic authority.

For the first time in the history of the Muslim world, representatives of the people controlled the state. Mohamed VI was later expelled from Turkey, and by 1924 the Caliphate system was abolished.

This groundbreaking event left the Muslim world in both religious and political chaos.

At the time when the Allies were establishing new states for old peoples in the region, scholars and clerics from Morocco to India went into extensive discussions about the vague future of the Muslim "nation." Their task was not easy - even Ataturk had his own fatwa, or religious edict, to legitimize his deeds, issued by "pro-modernization" clerics.

Divided about the ways to adapt to change, the most prominent Muslim clerics in 1926 decided to accept an invitation from King Fuad of Egypt to submit a plan for the future.

The king thought that the conclusion of the conference would see him anointed as the new "khalifa" of all Muslims, but his dream vanished. Many Egyptian clerics refused the idea of having a khalifa in a country under British occupation, and the liberal parties were keen to remind Fuad about the 1923 constitution which he had issued himself in the wake of the huge changes, hundreds of miles away, in Turkey.

The conference in Cairo may not have been fruitful but it was decisive in reshaping the ideological map in the region. On one hand there was Sheikh Rachid Rida, an influential cleric from what is now known as Lebanon, who led the call to re-establish the Caliphate system. On the other side stood the clerics of north Africa, spearheaded by Sheikh Abdulhamid ben Badis from Algeria and Abdulkarim Alkhattabi from Morocco, who both praised Ataturk for his strong leadership, which they believed would benefit the Muslim nation.

Amid confusion across the Islamic world over about the proper source of power, the legitimate ruler and the true nature of constitutions, Hasan Al Banna -- one of Sheikh Rachid Rida's most loyal followers - in 1928 formed the first version of what would later be known as the Muslim Brotherhood movement. In one of his letters, Al-Banna stated he was moving in the direction of establishing the movement in response to what he called the fall of the Caliphate system. He later came up with one of his movement's most famous slogans: the "Quran is Our Constitution".

Much has changed in the region during the last nine decades, but not the enigmatic nature of constitutionalism in this part of the world. Numerous coups, wars and crises strangled or mutated any attempt to modernize the local states -- and old "dictators", whether they were army generals or liberals or leftists, continued to manipulate the laws.

Constitutions were not social contracts, but rather a code of conduct imposed on the people. "Subjects" were never transformed into "citizens", and basic rights were "boons" granted by the rulers and could be easily revoked. Constitutions had become just another tool in the hands of dictators.

During that time, most Islamic mainstream movements, including the Muslim Brotherhood, acknowledged the need for having fundamental principles to run the political process - an easily drawn conclusion, given the decades of oppression to which the movements were subjected.

But the movement couldn't overcome the critical duality of "Quran is Our Constitution." How could a divine script be protected by manmade principles and yet overpower them at the same time?

It is not a coincidence that constitutional reforms were considered a priority in all the Arab Spring countries -- and that popular Islamic movements in countries such as Tunisia and Egypt have the upper hand in redrawing laws.

Muslim Brotherhood branches in North Africa, especially Tunisia, were able to make use of the heritage of sheikhs Ben Badis and Alkhattabi, and quickly abandoned the call for a Sharia-based constitution. For them, the Turkish model led by Recep Tayyip Erdogan to deal with constitutional problems is a better option.

The task doesn't look as easy for Morsy and the Brotherhood in Egypt. He is surrounded by Salafist hardliners who are trying to outflank him on the far right as the country's "true representatives" of Islam; and on the other side is a coalition of liberal and national movements, including members of Mubarak's old party, who are "united in opposition to the vague 'Islamic Project,'" according to opposition coordinator Mohammad ElBaradei.

One can argue that Morsy's constitutional decree unleashed a crisis, and that the draft is far from being perfect, especially for women and minorities.

It might be a mistake, but it is a political one made by the first freely-elected Egyptian president. The most important thing to observe in this "spring" is that those who were labelled as "radicals" for decades are moving towards finding a constitutional frame for the internal political struggle.

But those who are watching the scene from the West should keep in mind that the constitutional evolution in Europe was a slower and equally messy process.

@highlight

Drive to institutionalize states of Muslim world was priority for most parties in early 1900s

@highlight

For years constitutions were not social contracts, but a code imposed on people

@highlight

Constitutional reforms were considered a priority in all the Arab Spring countries