(CNN) -- Martha Chumo, a 19-year-old self-taught programmer, was supposed to be in New York right now, honing her coding skills and mastering cutting-edge technologies in the company of fellow software enthusiasts.

Instead, she's thousands of miles away, in her hometown of Nairobi, Kenya.

A few months ago, Chumo was accepted into the summer intake of Hacker School, a U.S.-based "retreat for hackers," where budding programmers come together for three months to write code, learn new languages and share industry insights.

Whereas the programming boot camp was free to attend, Chumo still needed to find a way to cover her trip costs and buy a new laptop. Excited and determined, the young developer turned to online crowdsourcing platform Indiegogo for funds. She set a target of $4,200 and managed to raise nearly $5,800. All she needed then was a visa to travel to the United States.

Read this: 10 African startups you need to know

Alas, this was not to be. As an unmarried adult who was not enrolled at university, Chumo was not eligible for a U.S. tourist visa because she couldn't show sufficient "social ties" to Kenya to prove that she was planning to return home after attending Hacker School.

But the U.S. consulate's refusal only served to slightly alter the plans of this passionate coder.

"I thought if I can't go to the hacker school, let me try to bring the school to me," says Chumo. "(Let me see) what can I do to start a school here."

Read this: Tech hub working on 'next big idea'

Within minutes of her second visa request denial, on June 4, Chumo was calling her friends to announce that, "I'm starting a hacker school in Kenya!'

A few days later, she launched another Indiegogo campaign asking people to help her set up her own school for developers in Nairobi.

"I was so frustrated because I had applied to go to Hacker School; I got into it, I raised funds to go there, I had all these plans to read and learn for three months and then I'm not allowed to go -- that's how the idea for the school was born."

Autodidact

It's all a big change for this bright youngster who didn't even own a computer until a year ago, let alone know how to write Python web frameworks and Ruby gems.

A top pupil at her school, Chumo was planning to study medicine at the University of Nairobi. But she "bumped" into the tech world last summer during an internship that enabled her to access a computer on a daily basis.

This triggered a deep desire in her to learn everything about this exciting new world; Chumo quit her internship, took her savings and bought a laptop. Soon after she was rubbing shoulders several hours a day with fellow techies at the iHub -- a co-working space that's become the meeting point for Kenya's coders and aspiring tech entrepreneurs -- using online tools such as Github and Treehouse to become versed in web design and development.

Read this: African startup takes on Silicon Valley

Not interested in becoming a doctor anymore, Chumo started working with other programmers on open source software and got a job as a developer. Her passion to become better then led her to apply to Hacker School.

"In programming you're constantly reading and learning and doing something new," says Chumo. "There's always room for improvement in what you're doing," she adds. "You get to do something new and not use the same old technology forever -- that's the fun part, and also being able to build anything that you can think of."

Tech potential

Kenya has experienced a major boom in information and communications technology in recent years, spurred by major investments to use the sector as a driver for economic growth and the roll out of submarine cables bringing high-speed broadband.

Although still young, the country's burgeoning tech scene has also been boosted by a surge in the number of innovation centers, such as the iHub, which enable talented coders and young entrepreneurs to collaborate and develop their free-flowing ideas.

Read this: Why tech innovators are Africa's future

Chumo says that, similar to Hacker School, Nairobi's dev school will run for three months and be free of charge for participants. Its goal is to equip young programmers from across East Africa with valuable skills and help them build exciting new technology for the continent.

"My vision for it is to have a three months program where developers from Africa can come and learn new technologies and become world-class developers," says Chumo, adding that she's already found a space to host the aspiring programmers. "Not just doing small kinds of technology but getting Africa to get the new Google, the big technologies, these will be things to come from Africa."

So far, Chumo has managed to raise about $12,000 at Indiegogo, out of her $50,000 goal. As determined as ever, she says that even if she doesn't manage to hit the target, she'll continue with her plans to provide learning opportunities to East Africa's tech community.

"For the funds, I am looking into company sponsorship as an alternative," she says. "I am planning to start, now that I have some funds. I know there are many companies and individuals that are willing to run with us," adds Chumo. "In some way, it was a good thing that they didn't let me go [to Hacker School]."

@highlight

Teenager plans to open a school for programmers in Nairobi, Kenya

@highlight

Idea came after she was denied visa to travel to U.S. Hacker School

@highlight

Martha Chumo says she wants to help African programmers improve their coding skills

@highlight

She is currently running an Indiegogo campaign to raise funds for the school