(CNN) -- Maybe you've seen the video by now -- the YouTube clip where a man drives through a neighborhood in Arkansas and films a lawn that seems to be burping oil.

If not, you should check it out.

Beware, though: I've had a hard time getting the 33-second snippet out of my head. It's not necessarily the scene, although that's part of it. For me, it's the smell.

About halfway through the clip the videographer says, "the smell is unbelievable." That's not the liveliest description, to be sure. But those words were all it took to transport me back to a boat on the Gulf of Mexico in 2010 -- bobbing on what seemed to be an endless sea of oil after the BP spill. The air's acidic tang stuck in my nose and on my tongue. I remember taking a drink of water later that day, firmly back on the shore. It still tasted like gas.

The Mayflower, Arkansas, spill is nothing compared to the Gulf disaster, of course. Fourteen ducks, two turtles and one muskrat were oiled as a result of the Friday spill, according to ExxonMobil. Two ducks died. About two-dozen homes were evacuated. The full toll of the Gulf Coast Oil Disaster (the news media started calling it that because "spill" wasn't big enough to be accurate) is still being tabulated, but the numbers are of another magnitude: 210 million gallons of oil, as well as 464 oiled sea turtles and 8,567 affected birds, many of them dead, according to an April 2012 report compiled by two federal agencies and five states.

Both incidents, however, are pieces in a bigger puzzle.

They highlight, once again, that America is addicted to fossil fuels and needs to invest more seriously and urgently in alternatives like wind, solar and nuclear.

These events never seem to really stick in our collective memory.

But they should.

If they did, they would inform our decision-making.

The way things work now, oil spills are seen by some politicians as expected -- as externalities of our condition, like lung cancer to a smoker.

U.S. Rep. Tim Griffin, an Arkansas Republican, reportedly told a local radio station on Wednesday that we have oil pipeline accidents "just like we have car accidents" and that he supports further development of the system that caused the spill in his state.

How silly, right?

We shouldn't expect oil spills to be part of modern reality.

There are much better ways forward.

Environmental groups are right to use the Arkansas spill as a cautionary tale -- as one of many reasons that the Obama administration should reject a proposed pipeline, called the Keystone XL, which would carry this risky type of crude from Canada to the Gulf Coast of the United States for processing.

The connection isn't immediately clear, but the Exxon Pegasus pipeline that leaked in Arkansas was carrying the same type of "oil sands" crude that the Keystone pipeline would. (Slight detour here, but who in their right mind names a dirty, underground pipeline after Pegasus, the mythical, flying horse? Hat tip to Salon's Sally Kohn for noticing that that name is probably the most Orwellian thing you'll come across all week.) This is oil that's mined in northern Alberta, Canada, with the help of some of the world's biggest trucks. The crude is squeezed out of huge chunks of strip-mined dirt, as opposed to drilled from pools of oil underground.

The groups contend this thicker "oil sands" material is more corrosive to pipelines and therefore more dangerous to transport across the United States.

The National Resource Defense Council, in a recent blog post, says oil sands crude also is transported at higher temperatures, putting additional stress on pipelines; and it's thicker and harder to clean up than conventional crude.

Business groups say the material is not more corrosive, citing a report commissioned by the Canadian Energy Pipelines Association.

Those debates, however, obscure the more obvious point: We should be turning our attention -- and should have turned it long ago -- away from oil and toward greener options. Regardless of how they are transported, fossil fuels contribute to climate change when they're burned. And we can't afford to keep relying on them so heavily.

But there seems to be little change of course under way.

We're using newer, riskier technologies to extract the last of the Earth's hardest-to-get fossil fuels. That's true of old pipelines carrying new, more environmentally questionable types of crude from Canada to the U.S. Gulf Coast. It's true of natural gas "fracking," where liquid is injected into the ground to dislodge gas from cracks in the rock. The practice has raised concerns about possible links to earthquakes and potential groundwater contamination. And it's true of drilling in the deep ocean, which, as the 2010 disaster in the Gulf of Mexico showed, we obviously haven't figured out quite yet.

To create an era of sustainable, clean energy, we need to pay more attention to spills like the one in Arkansas and the one in the Gulf.

These events should stick in our noses and on our tongues.

It took a YouTube video to remind me of that. I hope it grabs your attention, too.

The opinions expressed in this column are solely those of John D. Sutter.

@highlight

An Arkansas oil pipeline on Friday spewed crude into a neighborhood

@highlight

John Sutter: Spills like this should cause us to take stock of energy policy

@highlight

He says we are too quick to forget incidents like this and the BP disaster

@highlight

Sutter: It's time to accelerate our move to alternative sources of energy