(CNN)  -- During a recent commencement address at Hampton University in Virginia, Barack Obama described the way today's internet-powered media environment "bombards us with all kinds of content."

He warned students that iPads, Xboxes, and other popular digital gadgets can turn information into "a distraction, a diversion, a form of entertainment" rather than a means "of empowerment."

As soon as the president's remarks were made public, knees began jerking throughout the blogosphere.

One online pundit said that Obama sounded "like a grumpy old man." Another suggested that in criticizing technology he was acting like an "old fogy." Even the normally restrained Economist magazine rushed out an editorial accusing Obama of "technophobia" and "Luddism."

By the reaction, you would have thought our BlackBerry-toting president had called for a return to horse-drawn carriages, outhouses, and whalebone corsets.

Instead of drawing ridicule, Obama's words should have drawn our attention -- and our concern.

Over the past decade, most of us have been dramatically ratcheting up the time we spend surfing the web, exchanging electronic messages, and hanging out in social networks like Facebook and MySpace. At the same time, we've been showering our kids with laptops, iPods, PlayStations and smartphones.

The average American today spends more than eight hours a day peering into a screen -- TV, computer, or cell phone -- and the average teen sends or receives well over 2,000 text messages a month.

But even as we've been enjoying the seemingly endless bounties of the net, neurobiologists and psychologists have been carrying out studies which suggest that the way we gather information online impedes comprehension, weakens understanding, and in general hinders learning.

Worse yet, the ill effects of heavy web use appear to continue to afflict us even when we turn our computers off.

The cognitive penalties can be particularly severe for students. In one revealing experiment, researchers at Cornell University divided a class into two groups. One group was allowed to use their laptop computers to surf the web during a lecture. The other group attended the same lecture but had to keep their computers closed.

Immediately afterward, the students took a test measuring how well they remembered the lecture's content. The students who used their laptops performed significantly worse on the exam. It didn't matter, moreover, whether they surfed sites related to the subject of the lecture or unrelated sites. All the surfers performed relatively poorly.

Other researchers have found that students who read text with hyperlinks, as you routinely find online, end up with a weaker understanding of the material than students who read the same text in a traditional, linear format, as you'd find in a printed book.

Each link appears to act as a little distraction, breaking the reader's concentration. As the number of links mounts, comprehension diminishes further.

The multitude of messages and other bits of information that the Web fires at us, from emails to tweets to Facebook updates, have also been found to interrupt our thoughts in a way that impedes the formation of memories and the building of knowledge. The more information we juggle, the less able we are to make sense of it all.

Last year, a team of Stanford researchers reported that heavy media multitaskers have trouble concentrating even when they're not online. They're considerably less able, for example, to distinguish important information from trivial information than are people who engage in multitasking less frequently.

"Everything distracts them," one of the researchers said of the heavy multitaskers.

Patricia Greenfield, a leading developmental psychologist who teaches at UCLA, warned in a 2009 Science article that a growing body of scientific evidence indicates that spending a lot of time with computers, smartphones, and other such devices weakens people's ability to think deeply, critically, and creatively.

As we rush around the web gathering little pieces of information, we seem to be training our brains to be quick but superficial.

Only a curmudgeon would deny the many benefits that our computers and electronic networks have brought us. The internet and related technologies have made it much easier to stay in touch with friends and family members, to discover interesting and useful information, to express ourselves, and to collaborate with others.

Since the World Wide Web was invented two decades ago, we have been celebrating these benefits -- and rightly so. But we've been paying much less attention to the negative consequences of our online lives.

The time has come for us to take a more balanced view of the net, looking at its costs as well as its benefits. That's particularly true when it comes to educating our children. Sticking a kid in front of a computer screen is probably not the best way encourage the development of a strong, creative, and supple mind.

As President Obama implied, information should be a source not of distraction but of enlightenment.

As important as it is to be able to find lots of information quickly, what's even more important is to be able to think deeply about the information once we've found it. We need to slow down.

@highlight

Author says we should pay attention to Obama's words on Internet media overload

@highlight

Average American today spends more than eight hours a day peering into a screen

@highlight

Ill effects of heavy use appear to continue to afflict us even after computers are off