(CNN) -- When the roaring stopped, when the debris stopped whirling and the glass stopped breaking, the 4-foot wooden cross remained on the wall.

It was a fixture in the emergency department waiting room of St. John's Mercy Hospital in Joplin, Missouri, a symbol of the hospital's Catholic roots and, perhaps, a comfort to the sick and injured who sought help there.

And after St. John's took a direct hit from a catastrophic tornado May 22, it became a symbol of something else: Joplin's resilience, the strength and compassion of its people and their determination to rebuild.

On Sunday, the cross will be loaded onto a truck bed and will lead the way from the old hospital to the site of a new facility during a dual demolition-groundbreaking ceremony. Demolition of the old hospital building -- a reminder of the tragedy -- will begin, and ground will be broken for a new building as Joplin moves forward.

"It's hard to say goodbye to the building that has been St. John's since 1968," said Gary Pulsipher, president of St. John's Mercy, in a statement. The hospital has occupied three different sites in Joplin since 1896.

"But like the rest of the city, we are glad to be moving ahead and looking to the future. While we will never forget what happened here, taking down the hospital is another step in the process of removing the visible signs of the tornado's devastation from the landscape," Pulsipher said.

"As I drive by it, like everyone else, it reminds me of that horrible night that lives were changed in our community," said Gary Shaw, a Joplin city councilman. But, he said, the building is also "a testimony" to the past eight months "and how strong people have been, and how they've pulled together."

"A lot of cleanup has been done, a lot of rebuilding is going on," Shaw said. But "people are still somewhat confused, and they're going through, I think, a time of 'This happened. What do I do now?' I think that's kind of where we are now. We're trying to get over the shock of all of it."

The final death toll from the tornado was 161 -- including five patients and one visitor at St. John's. More than 1,000 people were injured. The Joplin twister was the deadliest on U.S. soil since the National Weather Service began keeping records in 1950. It was classified as an EF-5, the highest ranking on the scale used to measure tornado intensity, with winds of more than 200 mph.

Inside St. John's, on the corner of 26th and McClelland Boulevard in the southwestern part of the city, patients were watching television, resting, eating dinner or receiving visitors that Sunday evening when the twister slammed into the nine-story building about 5:40 p.m.

Windows were blown out. Cars were hurled in the parking lot like toys, piled near the emergency room entrance. Gurneys were thrown blocks away. In parts of the hospital parking lot and in a parking lot just to the west, 200- to 300-pound concrete parking stops, fastened into the asphalt with rebar, were lifted and tossed up to 180 feet, the weather service said.

The hospital's helicopter lay crumpled, some distance away from its pad. X-rays from St. John's were found in driveways in Dade County, Missouri, about 70 miles away. The building looked as if it had been bombed.

"The houses are all gone," Sara Ferguson, who was near the hospital when the storm struck, told The Joplin Globe newspaper at the time. "The medical buildings are gone. (The hospital) windows have all been blown out. It was horrible. I couldn't even take pictures on my phone. I was crying."

The hospital was very nearly the only structure in the immediate area left standing, albeit severely damaged.

Hospital officials swung into action almost immediately. About 183 patients and 200 staffers were evacuated from the building. Triage centers were set up outside. Other hospitals in the area opened their doors for St. John's patients and others who had been injured. Doctors and nurses rushed to the scene.

"Within a matter of hours, we had almost more help than we could put to use," Dr. Jim Roscoe told CNN at the time. "I just can't begin to tell you, we've had people coming from several hundreds of miles away, grabbing their stethoscope and anything they could get, and threw it in the car and came."

Across Joplin, people were also pulling together. The injured were transported to hospitals on doors in the back of pickup trucks. Businesses loaded trucks with donations. Restaurants helped provide food to those in need.

"You have shown the world what it means to love thy neighbor," President Barack Obama told the people of Joplin at a memorial service for the victims a week after the tornado. "You've banded together ... you've demonstrated a simple truth: that amid heartbreak and tragedy, no one is a stranger."

That same day, St. John's was beginning to see patients in a tent facility set up across the parking lot. Built to withstand 100-mph winds, the facility had an emergency department, surgical suites, MRI and CT scan capabilities, a pharmacy and 60 inpatient beds, the hospital said.

"The building is not St. John's," Dr. Bob Dodson, who worked to set up the temporary facility, said at the time. "St. John's is the people who worked in that building. And they're going to be the people in this building."

A modular hospital has since taken the place of the tent, said St. John's spokeswoman Miranda Lewis, and a more permanent structure was built nearby. The structure can be moved, and can be used to upgrade other facilities after St. John's moves into its new home, she said.

In the days after the tornado, Mercy was "a blessing," Shaw said. They continued paying their employees, he said, and set up the temporary facilities. "You have to admire that they didn't let it defeat them."

In all, five buildings across 47 acres at the hospital site will be demolished and cleared, according to a statement from Mercy, St. John's parent company. Its facility is by far the largest, at about 750,000 square feet. Three medical offices and a rehabilitation facility will also be torn down.

Typically, a building so large would be imploded. But underground lead mines made that an impossibility for St. John's.

"Joplin traces its roots back to the early miners who settled here in the late 1800s," said Dan O'Connor, the demolition project manager, in the statement. "As is the case in many places throughout the city, those mines were filled in to make way for growth. While they can be made safe to build on, we don't want to take any chances that demolition charges and crashing debris could create an uplift pressure that might cause damage to surrounding properties."

Instead, a wrecking ball will demolish the hospital's west tower, and grappling equipment will be used to take down the east tower. The demolition process should take about six weeks, officials said.

But before it began, crews searched the hospital for anything in good condition -- Bibles, artwork, memorial plaques, stained glass and marble. Teams began cleaning out and salvaging in December, the hospital said.

Three time capsules were recovered -- one buried when the current hospital was built in 1968, one when the east tower was completed in the 1980s and a third that marked St. John's 100th anniversary in Joplin in 1996.

And, of course, the cross.

"The cross certainly has some scars on it," said Terry Wachter, vice president of mission for St. John's, in the statement. "But they just add character." Many of the items recovered will either be relocated to the new hospital or placed in a tornado memorial museum, she said.

Other pieces -- plastic piping from the sprinkler system, windows -- will be studied and tested to see how they weathered the storm.

Meanwhile, officials are making efforts to limit the amount of debris that winds up in landfills from the demolition. Steel, aluminum and copper from the buildings is being salvaged and recycled, hospital officials said. Concrete and asphalt will be crushed into small pieces and used as backfill to ready the site for redevelopment.

"The devastation from the tornado was bad enough," said John Farnen, executive director of planning, design and construction for Mercy. "We really want to take all the measures possible to care for this site throughout the demolition process."

Before the hospital comes down on Sunday, a demolition ceremony will be held on the hospital campus, part of several events designed to help Joplin "say goodbye to the past and celebrate the future," Mercy said.

The Missouri Highway Patrol will transport the cross to the new hospital site, located about 2 1/2 miles away at Interstate 44 and Main Street. A groundbreaking ceremony will be held there, "a celebration of Mercy's future and the rebuilding of Joplin," according to Mercy.

Mercy has invested nearly $1 billion to help rebuild Joplin's health care complex, according to its website. "Though the tornado took our hospital, it did not destroy our spirit," the site says. "Mercy is rising again in Joplin."

After the buildings are torn down, the land will be readied for development by Mercy. Twelve acres have been donated to the Joplin school district for a new elementary school that will replace two schools destroyed by the tornado; construction is set to begin in May.

Options for the other acreage are being considered, Mercy said. Ideas under consideration include a memorial museum, a courtyard and a memorial garden.

"The future is just so bright," Shaw said, as Joplin's new hospital will be "one of the most up-to-date facilities in the country."

Asked what the ceremonies might mean to Joplin residents, he said, "Maybe the word is 'hope.'"

"To me, you can dwell on all the debris, or you can think about what's going to rise up out of the debris," Shaw said. "I kind of have a tendency to want to concentrate on the future."

@highlight

St. John's Mercy Hospital took a near-direct hit from an EF-5 tornado in May

@highlight

The hospital is being torn down and rebuilt about 2 miles away

@highlight

The tornado was the deadliest ever on U.S. soil

@highlight

"We're trying to get over the shock of all of it," a city councilman says