(CNN) -- A federal judge has allowed Arizona to enforce the most controversial part of its politically charged immigration law, the so-called "show me your papers" provision.

In an order on Tuesday, U.S. District Judge Susan Bolton upheld the section allowing authorities, while enforcing other laws, to question the immigration status of people who may be in the United States illegally.

The Supreme Court in June tossed out most other aspects of the tough new law but said the part known by critics as the "show me your papers" provision could go into effect, at least for now.

The hot-button immigration issue is a major attack line in this year's presidential campaign with Republicans, led by Mitt Romney, accusing President Barack Obama of failing to devise a comprehensive strategy to deal with illegal immigration.

Arizona is the nation's most heavily traveled corridor for illegal immigration and smuggling. The Justice Department said Arizona's population of two million Latinos includes an estimated 400,000 there illegally, and 60% to 70% of deportations or "removals" involve Mexican nationals.

The Pew Hispanic Center recently issued a report that found that Mexican immigration to the United States has come to a standstill. However, the debate continues as more than 10 million unauthorized immigrants -- from Mexico and other countries -- continue to live in the United States.

Bolton's decision was in response to a suit that followed the Supreme Court ruling by a number of individuals and civil rights groups who said enforcement would lead to racial profiling.

It would be up to Arizona to decide when to enforce the measure and there was no sign that would occur immediately.

It was not clear if the coalition of civil rights groups and individuals would appeal Tuesday's ruling or wait to see how the law is enforced.

What's next in the Arizona immigration battle?

"There is a basic uncertainty about what the law means and how it will be enforced," said Supreme Court Justice Anthony Kennedy in late June, making clear that Arizona authorities must comply with federal law in conducting the immigration status checks or face further constitutional challenges.

Arizona Gov. Jan Brewer, a Republican who led the fight to pass the overall law, applauded the latest court order, saying it gives law enforcement "one more tool" to use "in collaborating with federal authorities to reduce the crime and other impacts associated with illegal immigration."

She said the law "must be enforced efficiently, effectively and in harmony with the Constitution and civil rights."

The American Civil Liberties Union, which had asked Bolton to block the provision, said it was prepared to continue challenging the law by documenting instances of racial profiling throughout the state, Alessandra Soler, executive director of the legal group in Arizona, said in a statement.

The Supreme Court struck down other challenged parts of the Arizona law, upholding the broad authority of the federal government to set immigration policy and laws.

Among provisions tossed by the high court was a measure that authorized police to arrest illegal immigrants without a warrant where "probable cause" existed that they committed a public offense making them removable from the country.

The Arizona law generated immediate controversy after it was signed by Brewer in April 2010, prompting an Obama administration challenge.

Supporters of the Arizona measure contend the federal government has failed to enforce existing immigration laws, leaving it to states to take their own steps to deal with mounting economic and social problems caused by illegal immigrants.

Administration officials have said the Department of Homeland Security expects increased requests from Arizona police to check the immigration status of suspects. However, they said the department will get involved only in high-priority cases.

Several other states followed Arizona's lead by passing laws meant to deter illegal immigrants. Similar laws are under challenge in lower courts in Georgia, Alabama, Utah, Indiana and South Carolina. Arizona's appeal is the first to reach the Supreme Court.

At issue was whether states have any authority to step in to regulate immigration matters or whether that is the exclusive role of the federal government. In dry legal terms, this constitutional issue is known as pre-emption.

The district court case is U.S. v. Arizona (10-cv-1413).

Undocumented immigrants face arrest as they proclaim, 'No papers, no fear'

Alabama appeals ruling on immigration law

Immigration lawsuit revives DREAM Act debate

@highlight

Ruling is latest in two-year legal battle over tough immigration law

@highlight

Hot-button immigration issue is key in presidential campaign

@highlight

Unclear when Arizona will begin enforcing provision of law backed by court