Dar Es Salaam, Tanzania (CNN) -- It conjures images of cauldrons and pointed hats if you live in the western world or exotic masks and sacred objects if you're on the African continent.

Around the world a sense of mystery and fear engulfs witchcraft and nowhere is this more evident than in the East African nation of Tanzania. Here, faith in this specific form of African tradition can turn deadly.

People with albinism have been dismembered in western parts of the country because so-called witchdoctors perpetuate a belief that albino body parts bring great wealth.

From the archives: Scores of albinos in hiding after attacks

Those suspected of witchcraft are also targeted; an estimated 600 elderly women were killed in 2011 due to the suspicion they were witches, according to the Legal and Human Rights Center in Tanzania.

In fact, the Pew Forum on Religious and Public life conducted 25,000 face-to-face interviews in 19 African nations and found that among them, Tanzanians hold the strongest belief in witchcraft.

It says 60% of the Tanzanians interviewed believe that sacrifices to ancestors or spirits can protect them from harm, and that many Christians and Muslims incorporate elements of traditional African beliefs into their daily lives.

Dark arts flourished in Tanzania partly because, compared to its neighbors, it was "less colonized" by European powers, explains Joachim Mwami of Dar Es Salaam University.

The anthropology professor says for centuries, witchcraft has "served to explain anything inexplicable," in rural villages like a severely sick child or strange illness.

Professor Mwami admitted that, "even in my own family, I was advised [as a child] not to visit certain relatives considered to be witches," even though there was no proof.

He says without access to education, people are more likely to follow the claims of traditional healers and pass down those beliefs to the next generation.

Students at Dar Es Salaam University were reluctant to talk to CNN about opinions relating to witchcraft. Some explained, even if they don't personally believe in the practice, their relatives take it seriously.

Others feel one must believe in the practice for it to have any power over them. So even with a university education, some students retain some faith in witchcraft.

Read related: Saudi woman beheaded for witchcraft

Believers seeking healing regularly visit Mama Safi, a self-proclaimed "good witch," who gained her powers after being visited by spirits, she says.

"I'm able to remove evil, stomach sickness, migraines, typhoid and diabetes too," she boasts. Safi conducts parts of her ceremonies in Arabic, even though she claims to have never studied it.

Her fee ranges anywhere from $20 to $120 depending on the service provided; expensive when you consider most Tanzanians live on less than $2 a day.

Professor Mwami says the charging of any type of fee is not typical among traditional African healers and is more common among con artists capitalizing on the fears of others.

Debunking the claims of other so-called witches is Suleiman Musa, a man with albinism living in fear while trying to raise awareness about his genetic condition.

Albinism reveals itself through a lack of melanin or coloring in the skin, hair and eyes.

Musa says many of his albino friends fled their rural homes after being chased out by locals. He too experiences prejudice and animosity from strangers. "I bear the pain because I can't do anything [else]," he says.

Tanzania's first elected albino lawmaker: 'We deserve rights'

However, in the bustling city of Dar Es Salaam he's found support through an informal football team made up of people with albinism; Albinos United. He relishes the chance to explain to onlookers that he's "normal, because this is the color God chose for me."

Musa doesn't believe treatment of albinos will improve if Tanzanians remain uneducated about albinism.

Professor Mwami agrees that education is precisely what's needed to address issues surrounding witchcraft saying, "the popularization of science is the only answer to these predicaments as far as Tanzania and belief systems are concerned."

@highlight

Some 60% of Tanzanians believe sacrifices to spirits or ancestors can protect them from harm

@highlight

Witchcraft serves to explain things that are inexplicable to those in rural villages without education, says anthropology professor

@highlight

Albinos suffer discrimination and sometimes danger because some people believe their body parts bring great wealth