Yosemite National Park, California (CNN) -- They look like cumulus clouds rolling through the park -- puffy and white. But they are more sinister than that.

The clouds are from a huge wildfire in northern California, which is threatening Yosemite.

The Yosemite Conservancy says the Rim Fire has consumed tens of thousands of acres in the park, but it has so far had little or no direct impact on Yosemite Valley, a popular spot for tourists and home to many of the famous cliffs and waterfalls in the park.

Firefighters hope to keep it that way.

Yosemite fire: Blaze spreads to national park

"This is going to be a tough fire. It's going to continue for a few more weeks," said Tom Tidwell, chief of the U.S. Forest Service.

Crews are doing their best, but just a spark or two could send the inferno raging.

These are scary times for the folks of Tuolumne, a picturesque community threatened by the blaze.

"It is dangerous for them right now," Cal Fire Division Chief Mike Ramirez said. "When you're on a ridge like this and the fire is below you, that is a recipe for disaster."

Tuolumne is on the northern edge of the Rim Fire, a monster of a wildfire that has charred more than 192,000 acres. It's the seventh-largest blaze in California history, requiring the efforts of more than 4,500 personnel.

The blaze was 30% contained as of evening Wednesday.

Although humidity was relatively high for the area at roughly 24%, Ramirez said fire crews were concerned that thunderstorms could create erratic wind patterns that might complicate firefighting efforts.

In Tuolomne, Laura Murphy was poised to evacuate.

"To be this close is to be scared," said Murphy, a wildlife rehabilitator who lives in the threatened town with her husband. "But we're ready; we're packed; we've already moved the animals."

Despite the threat, the fire is fascinating.

"We will leave when we have to, but it's amazing to watch," Murphy said.

A threat to the Bay Area water supply

Nearby Yosemite Valley and its iconic attractions, including the El Capitan rock formation, currently are safe, miles from the Rim Fire's reach. However, the blaze was on the edge of the Hetch Hetchy Reservoir, which serves 2.6 million customers in the San Francisco Bay Area.

The fire is wrapping around the south side of the reservoir and extends about 3/4 of a mile past O'Shaughnessy Dam to the south and east. Firefighters are at Hetch Hetchy protecting critical facilities, the San Francisco Public Utilities Commission said Wednesday.

Water quality remains unchanged, despite ash that has fallen on the 459-square-mile reservoir, because the water is drawn from a depth of 260 feet, the commission said.

The city was already transferring 275 million gallons of water daily from Hetch Hetchy to other reservoirs because Hetch Hetchy is full, but as a precaution, the city increased that amount by 27 million gallons, a Tuesday statement said.

The commission said it was confident the Rim Fire would not affect the reservoir: "Due to the rocky, granite terrain and limited brush along the perimeter of the reservoir, there is little risk for direct water quality impacts."

The fire could threaten the area's hydroelectric generators, which provide much of San Francisco's electricity.

Because of the approaching flames, officials shut down the generators, and the city -- more than 120 miles to the west -- temporarily is getting power from elsewhere.

"All of San Francisco's municipal electric customers continue to be fully supplied; there will be no interruption in electric service," the commission said.

More evacuations possible

The Tuolumne County Sheriff's Office, meanwhile, issued evacuation advisories for Tuolumne and nearby Ponderosa Hill, said InciWeb, a federal website that collects information from agencies like the U.S. Forest Service and Bureau of Land Management. It was not clear how many residents were covered by the evacuation advisory.

Evacuations also remained in place for areas south of Highway 120 (including Scotts Ridge), north of Old Yosemite Road and along the Highway 108 corridor between Tuolumne City and Pinecrest.

Authorities say the Rim Fire started on August 17. The cause is under investigation.

"There's a lot of concern, and there's a lot of work to be done," U.S. Forest Service spokesman Lee Bentley said.

Firefighters were able to build fire lines in several locations Tuesday. The forecast is also looking favorable as daytime highs sink into the 70s over the Labor Day weekend, a break from the temperatures in the high 80s firefighters were facing Wednesday.

"Access and difficult terrain remain concerns for crews and equipment," said an incident report. "Rapid fire growth and extreme fire behavior are hampering suppression efforts."

As many as 20 helicopters and air tankers were aiding the efforts.

A top priority is stopping the fire from spreading farther in Yosemite National Park.

The Merced and Tuolumne giant sequoia groves, while not in imminent danger, were closed as firefighters conduct preventative measures to protect the majestic trees.

Yosemite, with hundreds of campground sites and lodging units, had nearly 4 million visitors last year, the National Park Service said. The park typically has 15,000 visitors on a busy summer weekend.

About 4,500 structures, many of them vacation homes, were under threat, InciWeb said. The fire has cost more than $39 million to date.

Thirty-one residences and 80 outbuildings have been destroyed.

Wildfire threatens 90-year-old cabin

What you need to know about wildfires

CNN's Eliott C. McLaughlin, Christopher Laible and David Simpson contributed to this report.

@highlight

NEW: Rim Fire, which has burned more than 192,000 acres, is 30% contained

@highlight

Blaze has cost more than $39 million to date

@highlight

Forest Service chief says firefighting will continue for weeks

@highlight

Thunderstorms could complicate wind patterns, but lower weekend temps could help