(CNN) -- We may be coming upon a new era for the Internet search.

Google dominates the search world, but some sites are trying to expand the possibilities.

And, despite what you may think, Google is not the only player.

New search engines that are popping up across the Web strive to make searches faster, smarter, more personal and more visually interesting.

Some sites, like Twine and hakia, will try to personalize searches, separating out results you would find interesting, based on your Web use. Others, like Searchme, offer iTunes-like interfaces that let users shuffle through photos and images instead of the standard list of hyperlinks. Kosmix bundles information by type -- from Twitter, from Facebook, from blogs, from the government -- to make it easier to consume.

Wolfram Alpha, set to launch Monday, is more of an enormous calculator than a search: It crunches data to come up with query answers that may not exist online until you search for them. And sites like Twitter are trying to capitalize on the warp-speed pace of online news today by offering real-time searches of online chatter -- something Google's computers have yet to replicate.

Google, of course, remains the search king. Recent efforts to revolutionize Web searching have failed to unseat the dominant California company, which captures nearly 64 percent of U.S. online searches, according to comScore. Tech start-ups like Cuil, which billed itself as more powerful than Google, and Wikia, which relied on a community to rank search results rather than a math formula, have largely faded away after some initial buzz.  Timeline: the history of searching for data »

"The general trend has been relatively clear and consistent for the past five years: Google is growing its market share at the expense of every other engine," said Graham Mudd, vice president for search and social media at comScore, a company that tracks industry trends.

The new class of search engines and data calculators enters the fray with those failures in mind, though. Instead of trying to be Google killers, these sites have more humble aspirations: to be alternatives to the industry giants.

Real-time searches offer the most promise, Mudd said.

If you search Google news, the results will be recent, but not live. That's where Twitter's search comes in. It searches the site's micro-blog posts by the second, allowing users to see what's buzzing on the Web at any instant.

Facebook and FriendFeed also are experimenting with real-time searches, according to news reports. But each of these searches operates only within its own social network. Scoopler is another real-time site that's trying to aggregate info from all of these sites.

And all of these are seeing more competition, as two new sites -- TweetMeme and OneRiot -- launched new or updated real-time searches on Tuesday.

Nova Spivack, a technology developer who writes about search engines, said sites that forecast trendy topics will become more prominent. Knowing what will be trendy tomorrow is becoming valuable to more people, he said. Search trend predictions will be valuable to people interested in news in much the same way as stock forecasts are valuable to financial industry workers.

"The topography of the Web is shifting much faster. Instead of happening kind of glacially, you're on the beach right where the water is coming in and it's constantly changing the way the sand is laid out," he said.

Other search sites are just trying to get smarter, with some acting as giant data crunchers.

The much-talked about Wolfram Alpha, or Alpha for short, harnesses massive computing power to answer users' questions, even if they're never been answered on the Web before.  Watch a Wired editor discuss the site »

"It's not a new Google. It's not supposed to be. It's a new thing. It's very complementary, in a way, to what search engines do," said Theodore Gray, co-founder of Wolfram Research, which created Alpha.

People need to get away from the idea that every 3-inch-long search bar online acts just like Google and Yahoo!, he said.

If you ask Google a question, the search engine's computers scan the Web for matching search terms and come up with answers that make the most sense statistically. Alpha, by contrast, pulls information from existing data sets that have been approved by the site's math-minded staff. The site then computes an answer to your question.

An example will help this make sense.

Say you wanted to find out nutritional information for your favorite recipe. On Google, you would have to search each ingredient individually and then add the calories and fat grams together yourself. With Alpha, you can type in the full recipe and the site produces a completed graphic that looks like it came right off the side of a cereal box. Read about a CNN test of 'Alpha'

Some search sites are trying to get better at understanding what their users want.

Twine, a social site created by Spivack, soon will start incorporating information about its users into a search function, he said. Some of the information comes through a user's search history. The site also will ask users to rank search results by their relevance to your interests.

"Right now, one of the problems with search is that it's really one-size-fits-all. It's not very personalized," Spivack said. "The fact is when I'm searching for certain kinds of things, the way that the results should be ranked might quite be different than if someone with a very different background or interests was searching for those same things."

So if you're someone who is into heavy science, a search about evolution might yield more academic papers. If you're a person whose Web interests lean more toward pop culture, an evolution search might turn up photos and more basic information.

Helping computers understand the information that's online is the next step in making searches more personal, Spivack said.

It's unclear which companies, if any, will be able to accomplish this, but Google appears to be working on that problem as well as others.

At an event on Tuesday, Google announced a new "show options" feature as part of its search. Users can use the function to see new ways search results are linked, such as through timelines or a "Wonder Wheel," which displays visual relationships between search terms.

And in a staff letter published last week on Google's blog, company co-founder Sergey Brin wrote about making searches more intelligent.

"Perfect search requires human-level artificial intelligence, which many of us believe is still quite distant," he wrote. "However, I think it will soon be possible to have a search engine that 'understands' more of the queries and documents than we do today.

"Others claim to have accomplished this, and Google's systems have more smarts behind the curtains than may be apparent from the outside, but the field as a whole is still shy of where I would have expected it to be."

@highlight

New search engines try to make searches faster, smarter, more personal

@highlight

Wolfram Alpha, which launches this month, acts as a powerful calculator

@highlight

Others are trying to make searches more visual instead of text-based