(CNN)Danny Kahneman, my good friend and co-author who got a Nobel Prize in economics, once helped to run an experiment involving patients undergoing colonoscopies.  One group received a mildly pleasurable experience at the end of the procedure; the other group, which experienced the same type of colonoscopy, did not.

It turns out that the group for whom things ended well had significantly more positive recollections of the whole affair from its beginning. The psychology of it is simple to understand: Happy endings matter. Even an unpleasant experience can lead to happy memories in hindsight if it ends well.

So too with taxes.

Let's just say that when it comes to taxes for the average American, "stuff" happens (keeping the colonoscopy metaphor running), paycheck to tax-reduced paycheck.  But recent statistics suggest that 8 out of 10 American taxpayers get a refund when they file their taxes, and the average amount is close to $3000. That pays for a lot of stuff. To make the good news even better, tax filing has gotten rather simple for most people, with various software and service providers offering to do the dreaded paperwork for free. No filing headaches and a check to boot. What's not to like?

The fact of the matter is there is plenty not to like when it comes to the U.S. tax system. For example, the laws are biased against two-worker marriages; taxes go up when two relatively equal earners marry, as the rate brackets for couples are less than double that for single filers. Taxes are also overly complex and essentially optional for the truly rich, who make their wealth off of their existing wealth, the largely untaxed returns from capital, rather than by getting ordinary paychecks like most of us.

But now is not the time to explain such serious matters; the people are too busy spending their refunds.

The once dreaded Tax Day has become a happy spending spree for most Americans. This state of short-term bliss follows from some deep trends in our tax laws. In brief, the U.S. income tax system is increasingly a wage tax, with limited taxes on capital (what the rich have) and limited deductions for most of us.  For example, 3 out of 4 Americans using a standard deduction get no break for their charitable contributions.

All of this has been hashed and rehashed by politicians, professors and pundits. But who has time for that? Let's go to our television sets and check out the commercials. One clever spot ran during the recent Super Bowl, suggesting that the Boston Tea Party -- a tax revolt -- could have been averted with free online filing, which the sponsor was eager to provide. Filling out 1040s was part of what made the income tax so odious for the masses for such a long time -- who doesn't remember our parents fretting over shoeboxes of receipts sometime in April, the cruelest month?

Now as Tax Day approaches, we are flooded with advertisements about America getting its billions back, without even having to pay to prepare the forms. We get paid to play! Here is the happy ending that Kahneman and others have shown can mitigate the memories of unpleasantness past.

The simple fact is that a simple tax is also rather simple to administer. Service providers kindly offer to help out the masses of befuddled Americans. Of course, these kind souls want their happy endings too. They are betting that once the large refunds become obvious to their customers, the grateful taxpayers-turned-consumers will happily purchase add-on services, such as "audit protection insurance," or perhaps deposit the money in financial accounts managed by the provider. Just as lottery winners notoriously go on impulsive spending sprees, the "found money" of tax returns can finance many nice purchases.

Of course, there are still those annoying matters of the deep unfairness of the tax laws, biased against modern families and wage earners, and in favor of the rich living off capital.  No real bother -- stuff happens. Let others fret about fairness. As long as our taxpaying or colon procedures end with a smile -- or a check -- who has time to dwell on the bad stuff that came before?

@highlight

Edward McCaffery: There's a fundamental unfairness to U.S. tax laws

@highlight

But Americans don't care because most of us get a refund on Tax Day, and that makes us happy