Istanbul (CNN) -- A central square and park in Istanbul erupted Tuesday and into Wednesday in an unsettling, chaotic chorus, with tear gas canisters and water cannons from police met by fireworks, metal banging and defiant chanting from protesters.

The drama followed an ebb and flow of demonstrators all day from the Turkish city's Taksim Square and the abutting Gezi Park, where they've camped out for days, in response to the actions of riot police.

It is all a continuation of demonstrations that first focused on the environment -- opposition to a plan to build a mall at the park -- but has evolved into a crusade against Prime Minister Recep Tayyip Erdogan's allegedly authoritarian ways.

On Tuesday, just before planned talks between Erdogan and protest organizers, there was no obvious resolution in sight. Certainly, neither side backed down in the latest round of clashes.

Time and again, once the situation appeared to settle down, it flared up again. Right after midnight, for instance, government forces shot water cannons toward the park and toward streets adjacent to the square, and boom after boom of tear gas being fired could be heard.

Around 2 a.m. Wednesday, a fresh wave of tear gas engulfed Gezi Park -- where government officials have said protesters can stay -- as a column of police broke through barricades on a side street nearby. The scene was frenzied with sirens blaring, people running, some even writhing in pain.

The square itself, by then, was relatively calm. Bulldozers and dump trucks rolled in to clear debris, and fire engines put out flames from an excavator that had been set ablaze.

Yet there is little suggestion that authorities will manage to douse the fury of protesters anytime soon.

"We want to be heard, respected ..." a woman in Gezi Park told CNN on Tuesday night, explaining what she and other protesters are asking for. "We're not vandals, we're not criminals."

Erdogan hasn't given any indication his government will alter its approach either. While he announced plans to meet with some protest organizers Wednesday, he also insisted, "We will never allow people to push things to us."

In remarks Tuesday -- which came at a meeting in parliament of his own Justice and Development Party -- the prime minister directly addressed those opposing him on the streets of Turkey's biggest city.

"They say the prime minister is harsh. The prime minister is firm," Erdogan said. "I'm sorry. The prime minister is not going to change."

'The police are against me'

For days, Taksim Square and Gezi Square have been hubs of activity by protesters decrying what they call an increasingly authoritarian government.

Police made a concerted effort Tuesday morning to push them out -- including bringing in armored vehicles to shove away makeshift barriers set up by the demonstrators.

Beyond the riot zone: Why Taksim Square matters to Turks

Several protesters linked arms to form a human chain and prevent the police advance. But when police deployed multiple canisters of tear gas, they scattered.

"If you stop throwing rocks, we will not use tear gas," the police told the raucous group over loudspeakers. "We don't want you to get hurt; please obey."

In a game of cat-and-mouse, demonstrators -- some using wooden boards as shields -- would pull back only to return to spots in and around Taksim Square, lobbing Molotov cocktails and firecrackers and flashing "victory" signs.

The situation escalated Tuesday evening when riot police stepped up their dispersal of tear gas canisters toward the square, which prompted tens of thousands to flee.

Letters from Turkey, with pride

Many sought refuge in Gezi Park, where Erdogan's government had said it would allow protesters to remain as long as they were peaceful. Police moved along its edges but never entered, but they did set off panic when they fired tear gas canisters into the park's cramped confines multiple times Tuesday evening and again Wednesday morning.

"My eyes were burning, and my nose running and my face was also burning," said CNN iReporter Essam al-Ghalib, a former CNN producer from Saudi Arabia now living in Istanbul. "The wind was blowing ... carrying the noxious gas all through the area as far away as a kilometer."

Protesters didn't stay away from Taksim Square for long. At one point, thousands packed back into it. Some surrounded a large bonfire they fueled with whatever they could find, as deafening bangs -- likely the result of stun grenades -- added to the turmoil.

Deep into the night, the demonstrators dug in for a standoff. And not just in Istanbul. Police in the capital city of Ankara fired tear gas overnight Tuesday toward apparent protesters, as armored vehicles cleared makeshift barricades along the street, video from CNN Turk showed.

The approach Tuesday marked an apparent return to the more heavy-handed tactics Turkish authorities used in the early days of the protests.

Two protesters have been killed since the demonstrations began in late May. One was hit by a car in Istanbul; the other was shot in the head by unknown assailants in Antakya, near the Syrian border. Plus, a police captain died after falling from a bridge, according to the Adana governor's office.

The Turkish Medical Association said that more than 4,300 people were injured in clashes last week, a few dozen of them seriously.

The woman who spoke to CNN on Tuesday night from Gezi Park said that she's seen classmates, work colleagues and others who, like her, had never protested until now. She said many have been angered and energized by the government's response.

Pointing to a mask she had around her neck to protect against tear gas, she added, "This is how a violent person behaves."

Saban Disli, a member of parliament who belongs to Erdogan's party, acknowledged there are some "peaceful demonstrators" who, he claimed, "are being used by terrorist groups." He denied that the prime minister is authoritarian, accusing opposition parties and "the international media" of crafting a false image of Erdogan.

"This is not new Erdogan," Disli told CNN's Christiane Amanpour on Tuesday night, saying the prime minister hasn't changed since he was mayor of Istanbul. "This has never been new Erdogan."

Opinion: From victim to villain -- Erdogan's unfinished transformation

Erdogan defiant in face of opposition

Like Disli, the governor of Istanbul said Tuesday night that protesters from "marginal groups" attacked police and others. In remarks broadcast on Turkish television, Gov. Huseyin Avni Mutlu urged people to leave Taksim Square and vowed the government would take necessary measures until protesters leave.

Speaking a short time later on CNN, Ibrahim Kalin -- chief adviser to Erdogan -- defended the police response, saying they acted like those authorities who faced mass protests in places like Spain, Greece and during the Occupy Wall Street movement in New York and elsewhere.

Kalin acknowledged there are peaceful protesters, reiterating Tuesday night that Erdogan intends to meet with them. He said the government had made "a clear distinction" between them and members of what he called "very marginal" and, in some cases, "very illegal groups that have tried to dominate the scene and occupy Taksim Square."

"Peaceful protesters have been allowed to have their own demonstrations," Kalin said, adding that these people can remain in Gezi Park. "Others have attacked the police with Molotov cocktails, sticks, whatever they can get. They are obviously not the peaceful protesters."

The volatile situation threatens Turkey's economy, including its tourism industry, and raises questions internationally. Bordering Syria, Iraq and Iran, Turkey a NATO member and a key U.S. ally. Yet recent events have caused "concern" in the United States, according to U.S. National Security Council spokeswoman Caitlin Hayden.

"We are concerned by any attempts to punish individuals for exercising their right to free speech, as well as attempts by any party to provoke violence," Hayden said. "We believe today's events reinforce the need to resolve this situation through dialogue."

Many Istanbul demonstrators who talked to CNN's Arwa Damon were young professionals who described themselves as apolitical but felt compelled to join the protest effort.

Other generations are represented as well, like an older woman who raised her hand and yelled out, "Tayyip, resign!" when she walked past a CNN camera.

Such demands for Erdogan to step down, and criticisms of him as a dictator, are "completely false," according to Kalin.

And whatever one's take on the situation, it is clear the prime minister has never been in a position like this in his and his party's decade in power.

In speeches, Erdogan has said he has no tolerance for what he calls illegal demonstrations, slamming protesters and warning that "even patience has an end."

"All they do is destroy. They attacked public buildings; they burned public buildings. They burned the cars of civilians," he said.

"Let's face off at the ballot box in seven months. If you are saying democracy and freedom, if you are saying rights and freedoms, you cannot achieve that with violence. Only within the laws, you can achieve it."

Still, while few doubt Erdogan was legitimately elected, the unrest highlights the fact that he's not universally loved by Turks, despite the strong performance of the nation's economy during his years as prime minister.

"It is ... a democracy that is seeing deep splits between the one half that has voted for the governing party, and one half that does not," said Soner Cagaptay from the Washington Institute, a think tank focused on the Middle East and the United States. "Despite its economic growth, (Turkey) is, politically, very deeply polarized."

What's driving unrest and protests in Turkey?

CNN's Nick Paton Walsh and Gul Tuysuz, like Arwa Damon, reported from Istanbul; Greg Botelho wrote this story from Atlanta. CNN's Josh Levs and Ben Brumfield contributed to this report.

@highlight

NEW: The U.S. is "concerned" about what's happening in Turkey, spokeswoman says

@highlight

Clashes between police, protesters in Istanbul follow days of political unrest

@highlight

"We want to be heard, respected," a demonstrator says

@highlight

Police fire tear gas, clear protesters' barricades in the capital of Ankara