Washington (CNN) -- It's almost crunch time. The midterm elections are a little less than seven months away.

Up for grabs in November's midterms is control of the U.S. Senate, where Democrats hold a 55-45 majority but are defending 21 of the 36 seats up in November, with half of those seats in red or purple states.

Democrats need a net gain of 17 seats this November to win back control of the Republican-led House of Representatives, a feat that political handicappers say is unlikely in part because of the shrinking number of competitive congressional districts.

And don't forget the battle in the states, where three dozen governorships are at stake. The GOP is defending 22 of the 36 seats up for grabs in November.

Key races to watch in 2014

Here are seven important dates and times between now and November that could affect the midterm elections:

• Mid-April: Obamacare numbers -- The Department of Health and Human Services will release its last enrollment report for the Affordable Care Act's first year, including key demographic information.

The key number that will affect the political arguments over Obamacare will be the percentage of younger people who have signed up for health insurance through the federal and state exchanges. Republicans, who oppose the federal health care law, are attempting to frame the midterms as a referendum on the sweeping measure, which is President Barack Obama's signature domestic achievement.

• May 20: Kentucky and Georgia primaries -- Seven of the 12 Republican senators running for re-election this year did face, or still are facing, primary challenges from the right. The most high-profile of that group is Senate Minority Leader Mitch McConnell of Kentucky. He's being challenged by Louisville businessman Matt Bevin, who enjoys the backing of some tea party groups and other conservative organizations.

McConnell's considered the overwhelming favorite to win the primary, but his margin of victory may tell us a lot about his prospects in the general election, where he'll face off against Kentucky Secretary of State Alison Lundergan Grimes.

Georgia is one of five other states holding primaries on May 20. All eyes are on the GOP battle to succeed retiring Republican Sen. Saxby Chambliss. Along with Kentucky, Georgia is the only other state where Democrats right now hope to go on the offense in the battle for the Senate.

There are five major candidates fighting for the GOP nomination, and if one of the more conservative contenders wins, Democrats think their candidate, Michelle Nunn (daughter of former Sen. Sam Nunn), may have a good shot at winning the seat. If there's no outright winner on primary day, a runoff for Georgia's GOP Senate nomination will take place on July 22.

• June 3: Mississippi and Iowa primaries -- Of the Republican senators facing primary challenges, Thad Cochran is the most threatened. The six-term senator from Mississippi is being challenged by state lawmaker Chris McDaniel, who enjoys strong backing from conservative groups and tea party activists.

And last month, McDaniel landed the endorsement of former Alaska Gov. Sarah Palin. The 2008 GOP vice presidential nominee still carries a lot of pull with many on the right. If McDaniel wins, it could be one of the few victories this year for the grassroots in their battle with the party establishment.

"McDaniel has the best chance of any anti-establishment Senate hopeful to knock off an incumbent, and the defeat of Thad Cochran would send shock waves through both the national media and the Republican Party," said Stuart Rothenberg, editor and publisher of the nonpartisan Rothenberg Political Report.

Iowa is one of seven states holding primaries on June 3. Several GOP candidates are vying for their party's Senate nomination in the race for the seat of retiring five-term Democratic Sen. Tom Harkin.

The outcome of Iowa's Republican primary could determine how good a chance the GOP has in November against Rep. Bruce Braley, who hopes to keep the seat in Democratic hands.

• Late June: All eyes will be on the Supreme Court as it is likely to issue what may be a major ruling on the Affordable Care Act. The justices will rule on a lawsuit, brought against the federal government by the family-owned arts-and-crafts chain Hobby Lobby, over a requirement under the health care law that certain for-profit corporations provide contraception coverage to their workers.

At issue is whether secular, private corporations can claim a religious exemption from federal laws. There's a companion appeal from Conestoga Wood Specialties, owed by a Mennonite family in Pennsylvania.

The rulings in these cases could clarify whether some businesses have a religious liberty right, or whether such constitutional protections apply only to individuals. The rulings will also put Obamacare right back in the political spotlight, giving either Democrats or Republicans some bragging rights.

• June 30: The last day of June is also the last day of the second quarter of fundraising. Starting July 1, campaigns and party committees begin reporting their cash hauls to the Federal Election Commission (the filings are due by July 15) and in many cases publicize their fundraising figures in the media. The numbers will be scrutinized, as campaign cash is one of the key indicators of a candidate's or party's strength.

• Late summer/early fall: Some states will begin to announce how much health insurance premiums will rise in 2015 for policies acquired through the Affordable Care Act. Even though health insurance premiums tend to rise every year, big jumps in premiums could damage Democrats who defend the health care law.

• October 3: The Labor Department releases the September unemployment report, the final jobs numbers before midterm elections. While Obamacare is an important issue in the 2014 contests, the economy remains the top issue on the minds of American voters, and the top economic concern remains jobs.

Just as the final jobs report before the 2012 presidential election was in the spotlight, this report will also face a lot of scrutiny.

CNN White House Producer Adam Aigner-Treworgy and CNN Supreme Court Producer Bill Mears contributed to this report.

@highlight

The midterm elections are just seven months away

@highlight

Obamacare numbers, primaries in a number of states will influence those elections

@highlight

Summer Supreme Court ruling on Obamacare contraception mandate also closely watched

@highlight

Fundraising figures and jobs numbers will also factor in midterms