Barack Obama and Mitt Romney resumed campaigning Monday, with both men focusing on the economy as key to their chances of winning the votes of Americans in November.

Obama told supporters in Cincinnati that he entered office four years ago seeking to restore "the basic bargain that made America the greatest nation on Earth." He cited the idea that "if you work hard, then you can get ahead; if you're responsible, then you can live out your dreams. You're not confined to the circumstances of your birth."

Romney, meanwhile, said in a TV interview that "in my opinion, the issue people care about is who can get the American economy going again to help people have a brighter future, with rising wages and more capacity to care for their kids and to know that their kids will get good jobs when they come out of school.

"That's what this campaign is about," the presumptive GOP nominee said on "Fox & Friends."

Obama said he entered office at a time that the American dream "was slipping away from too many people" and that "incomes and wages were flat-lining while the cost of everything -- from college to health care to groceries to gas -- were all going up."

He said his goal has been to reclaim that dream, but that he recognized when he became president that "it might take more than one term, maybe more than one president" to do so.

Speaking from New Hampshire, Romney focused on Obama's performance in office and found it wanting: "There are 23 million people that are out of work and (who have) stopped looking for work," he said. "Median income has dropped 10% over the last four years. The American people know whether things are better now than they were four years ago ... he (Obama) just hasn't been able to do the job he told us he was going to try to do."

But Obama sought to deflect the blame and appealed to his audience for support. "The problem is that we've got a stalemate right now in Washington," he said. "This election is about more than just two candidates or political parties. It's about two different visions about how do we build a strong economy. The good news is you're the tie-breaker. The choice is up to you."

Obama also cited a new report that estimates that Romney's support for eliminating U.S. taxes on American companies' foreign incomes would create an incentive for U.S. companies to move more of their jobs overseas.

Gergen: Facts don't support Obama's claims

"We have not found any serious economic study that says Governor Romney's economic plan would actually create jobs until today," Obama said. "I've got to be honest, today we found out there's a new study out by nonpartisan economists that says Governor Romney's economic plan would, in fact, create 800,000 jobs. There's only one problem. The jobs wouldn't be in America."

The Romney campaign quickly fired back.

"President Obama is at it again today with another dishonest attack meant to distract from his own record of failure," Romney campaign spokeswoman Amanda Henneberg told CNN. "After spending three years pushing policies that drive jobs overseas and sending taxpayer money to foreign-owned companies, it's clear President Obama doesn't have a clue when it comes to job creation in America."

The U.S. corporate tax rate is the highest in the industrial world, which hurts the ability of American businesses to compete globally and to create jobs in the United States, she said. "Mitt Romney has a comprehensive plan to reform the corporate tax code that will lower rates, get rid of incentives for firms to create jobs in other countries, and encourage the kind of economic growth President Obama has been unable to deliver," she added.

The new back-and-forth came as both campaigns have repeatedly accused the opposing candidate of outsourcing U.S. jobs overseas.

On another topic, Romney defended his release of his 2010 tax return and the promised release of his 2011 return as sufficient, despite calls from critics that he make public earlier returns.

"John McCain ran for president and released two years of tax returns," the former CEO of Bain Capital said of the 2008 GOP candidate. "The Obama people keep on wanting more and more and more, more things to pick through, more things for their opposition research to try to make a mountain out of and to distort and to be dishonest about."

Frum: Romney's painfully bad week

That stance is largely consistent with Romney's position during his 2002 campaign for Massachusetts governor.

Romney's Democratic rival that year, Shannon O'Brien, released her tax information and called on Romney to do the same.

Romney repeatedly declined.

"People who run for public office are exposed to extraordinary scrutiny, and that's as it should be, but there are some things that are not required for release, that are private, and I think my own income taxes, and my net worth and so forth are things I'd like to keep between myself and my family," Romney said in May 2002, according to the Boston Herald.

His longtime strategist Eric Fehrnstrom cited the family's "privacy" and noted that state law did not require candidates to provide anything more than a financial disclosure form filed with the state Ethics Commission.

On Sunday, Obama's senior campaign adviser David Axelrod told CNN's "State of the Union" such limited disclosure only raised more questions about Romney's finances.

"I can only conclude, with all these Republicans asking him to release these returns, that whatever is in those returns would be more damaging to his campaign than simply not releasing them," Axelrod said.

Some Republicans began pushing Romney to release tax information over the weekend, saying it would be politically savvy to release the information to avoid a drawn-out fight with Democrats.

"He should release the tax returns tomorrow. It's crazy," conservative columnist Bill Kristol said on "Fox News Sunday." "You gotta release six, eight, 10 years of back tax returns. Take the hit for a day or two."

All of this, Romney said Monday, was a distraction from the real issues of the campaign. He said his own campaign was happy to compare itself with Obama's administration on transparency, citing the president's use of executive privilege to withhold documents related to the botched "Fast and Furious"  program.

"The administration has shown a serious departure from the transparency from which they suggested we had," Romney said. "And the American people should be calling for that kind transparency."

Families object to 9/11 Memorial's ban on politicians

GOP Sen. Rob Portman defended Romney against Obama's "personal" attacks, saying the Democrat was focusing on Romney because his own record falls short.

Portman, speaking in Lebanon, Ohio, was holding an event for Romney roughly two hours ahead of Obama's own campaign speech in nearby Cincinnati.

"He's attacking Mitt Romney on a personal basis. Why? Because he doesn't want to talk about his record," the Republican from Ohio said.

Portman is widely speculated to be a potential vice-presidential pick for Mitt Romney. Last week Portman said he met with Romney campaign staffers during three meetings while in Boston to headline a couple of fund-raisers for the presumptive Republican presidential nominee.

But Portman, a former congressman and cabinet member in the George W. Bush administration, said the meetings were not at the Romney campaign headquarters, and had nothing to do with the vice presidential vetting process.

On Monday, he refused to speculate on the vice presidential selection process, nor would he say whether Romney had made up his mind on his running mate.

Portman added, "People vote for the presidential candidate, not the vice president."

Another potential vice presidential pick said Monday he had spoken with the Romney aides involved in the search.

Sen. John Thune of South Dakota told The Hill that he had traveled to Boston to meet with Beth Myers, who is leading Romney's search for a vice presidential pick, along with other senior advisers at the presumptive GOP nominee's headquarters.

Thune would not say whether he was being formally vetted by Romney's team.

Thune would provide geographic balance on a potential Republican ticket, though he would not offer a large degree of ideological disparity with the likely GOP nominee.

Thune decided against making his own presidential bid in February 2011, but is considered a GOP hero for toppling incumbent Tom Daschle, then the top Democrat in the Senate, in 2004. Thune chairs the Senate Republican Conference, which controls the party's message in the Senate, and is often mentioned as a presidential contender down the road.

Also Monday, Restore Our Future, the super PAC backing Romney, announced it had brought in $20 million in June.

That marks a major jump from the prior month, when Restore Our Future reported bringing in $4.6 million. The spike was not a surprise, however, since the group received a $10 million donation from Nevada casino mogul Sheldon Adelson and his wife, Miriam, in June.

Also helping the group was the first donation from Foster Friess, a millionaire who backed the pro-Rick Santorum super PAC. He told CNN he gave a six-figure donation to Restore Our Future last month, though he refused to give the exact amount.

Restore Our Future was active during the GOP primary, spending $38.9 million in the first three months of 2012. Much of its money went to campaign television commercials in support of Romney and critical of his rivals for the Republican presidential nomination.

@highlight

Obama says he's seeking to restore "the basic bargain" that made America great

@highlight

Romney says the president "just hasn't been able to do the job"

@highlight

The campaigns disagree over whether Romney plan would send more jobs overseas