There has always been a fine line between freedom of speech and the right to practice one's religion in the way one sees fit.  The Founding Fathers struggled over these rights in framing the First Amendment, with Thomas Jefferson calling for "a wall of separation" between church and state -- a wall that has become mighty thin in recent years.

But now, the freedom to practice religion on campuses around the country, including at Bowdoin -- an elite liberal arts college in Maine -- has crashed into anti-discrimination policies, which also have a long and complicated history in this country.

The gist of the story is this:  The Bowdoin Christian Fellowship, a conservative religious group that has lived quietly on campus for four decades, is being kicked off the official roster of college-backed groups.  Their keys to college buildings have already been confiscated, and the administration won't recognize them any longer.  The problem is that this group, like many groups of its ilk, insist their leaders must adhere to its version of Christian doctrine.

This problem is widespread now, playing out across the country, as at Cal State and Vanderbilt, where Christian groups, including, earlier, a Roman Catholic organization at Vanderbilt, have been forced off-campus because they refuse to allow their leadership to be drawn from people who don't adhere to their essential tenets.  Let me put this plainly: Houston, we have a problem!

I've been a college professor for nearly four decades, and I've seen problems with the so-called thought police come and go over the years.  At the height of the problem in the mid-'80 and '90s, it was imagined by many -- especially those on the right -- that universities had become politically correct to the point where any kind of conservative thought was forbidden.

Certainly these were vital years for the advancement of feminist thought in particular, and for the acceptance of gays as full citizens within the academy (full acceptance by the society at large is only now taking hold).  For the most part, I always thought the idea of a liberal thought police was nonsense.

I'm a progressive Christian, and I don't support any kind of discrimination. Jesus himself certainly demonstrated that one should seek to bring those at the margins of society into the fold.

I'm quite appalled by what is going on at Bowdoin, Cal State, Vanderbilt and elsewhere.

Doesn't common sense suggest that you should not be the leader of a Christian organization if you don't adhere to Christian tenets?  Would a university or college really tell the Islamic Society on campus that they can't elect only Muslims to leadership positions?  My gut tells me that it's only sensible to allow religion organizations to elect leaders who adhere to the teachings of the religion that serves as the organizing principle for that group.

There is, indeed, a bias against conservative Christians on campuses.  And there are some reasons for this, as certain strains of conservative religious practice have been fiercely discriminatory over the past couple of centuries in the United States.  There has also been an unfortunate anti-intellectual strain in the more fundamentalist groups of Christians, one that pervades American society as a whole, and creates problems for the practice of science, for instance, when it comes to subjects such as evolution and climate change.

It's no wonder that academic communities tend to resist groups that abhor rational thought.

But there is no basic conflict between -- again, for instance -- science and religion, between having a profound spiritual practice and wishing to uphold the highest standards within the academy when it comes to nondiscrimination.  Tolerance, in fact, may well be one of the benefits that comes from having both an intellectual and a spiritual life.  This means allowing for certain differences of opinion, letting a thousand flowers bloom.

For the most part, conservative groups on campuses simply wish to study the Bible together, pray and worship in ways that deepen their own sense of Godliness.  These groups welcome nonbelievers.

They might even let someone like myself -- a Christian of a different stripe -- sit down and discuss their views.  A campus is, or ought to be, a space where contradictory ideas are allowed to flourish, where genuine and deeply respectful debate can occur.

I would urge colleges and universities to give these kids their keys back.  Let them elect officers in their organization who actually adhere to the ideas promoted by the group.  That's the essence of democracy.

As long as these groups don't practice hatred or discrimination, or try to impose their views on others, let them be.

Our intellectual communities flourish when there are all kinds of ideas circulating, even ones we find curious or objectionable.

@highlight

Jay Parini: Campuses are placing problematic restrictions on evangelical groups

@highlight

He notes that at Bowdoin College, officials want to impose their vision on groups' leadership

@highlight

He says he is a liberal Christian who opposes discrimination, but this is not sensible

@highlight

Parini: If groups don't impose their views or discriminate, keep thought police out of it