(CNN) -- The accelerating pace of the slaughter of elephants for their tusks has put African elephants at catastrophic risk in the coming decades. To make matters worse, some of the region's most notorious armed groups are taking tusks to finance their atrocities.

The Somali terrorists of al-Shabaab, the Sudanese government-supported janjaweed militia that has been responsible for much of the violence during the Darfur genocide, and the Lord's Resistance Army, which has kidnapped hundreds of boys and girls across central Africa to be fighters and sex slaves, are participating in this illegal trade.

These groups typically kill elephants using the automatic weapons that they also use to kill people. And as the militants become more involved in the poaching business, they apply the same lack of discrimination in killing elephants that they have demonstrated with their human victims. For example, poachers thought to be janjaweed from Sudan, working with Chadians, allegedly killed at least 86 elephants, including calves and 33 pregnant females, over the course of a week.

The International Fund for Animal Welfare found that at least 400 elephants were slaughtered between January and March 2012 at the Bouba Ndjida National Park in Cameroon. Animal rights groups say poaching is worse than it's been in decades. They say it may be even worse than it was in the 1980s, before the international ban on ivory was put in place.

Watch: Fighting the Lord's Resistance Army slaughter of elephants

Typically, the elephants are killed only for their tusks. Poachers often hack off their trunks first and then their tusks with hacksaws and machetes, and leave the bodies to rot. Some Lord's Resistance Army groups have reportedly eaten the meat of some of the elephants they have killed, which is not surprising given their frequent hand-to-mouth existence in the bush.

This appalling reality presents an opportunity for conservation groups and anti-atrocity and human rights groups to join forces to combat the threat posed to people and elephants by these armed groups.

Achim Steiner, U.N. undersecretary general and the U.N. Environment Program's executive director, said, "The surge in the killing of elephants in Africa and the illegal taking of other listed species globally threatens not only wildlife populations but the livelihoods of millions who depend on tourism for a living and the lives of those wardens and wildlife staff who are attempting to stem the illegal tide."

According to a report released in March 2013 by UNEP, 17,000 elephants in monitored reserves were killed in 2011. The toll climbed in 2012. The number of elephants killed for their tusks has exploded in recent years because of high prices from rising global demand for ivory, particularly in China and Thailand. The pace of killing outstrips wild elephants' natural reproductive replacement rate.

Armed groups take advantage of the increasing value of ivory to fund their atrocities. Their fighters have the training and weapons to kill large numbers of elephants and trade their tusks for arms, ammunition and food. The Enough Project and the Satellite Sentinel Project recently released a report focused on the LRA's poaching of elephant tusks in the Democratic Republic of Congo's Garamba National Park. The LRA, whose leader Joseph Kony is the subject of an arrest warrant from the International Criminal Court for war crimes and crimes against humanity, has for decades terrorized the people of central Africa. Other groups, such as al-Shabaab and the janjaweed, seem to have made similar calculations.

Ivory poaching for profit by armed groups is not new. In the 1970s, according to University of London researcher Keith Sommerville, the South African military partly funded its support of white Rhodesian forces fighting African rebel groups through revenue from the killing of elephants in Rhodesia, which was then legal. Rebels in Angola and Mozambique, also supported by South Africa, took tusks and sold them through South Africa.

Both poaching and armed groups such as the LRA arise from a vacuum of governance. Indeed, The New York Times correspondent Jeffrey Gettleman and others say that members of the armed forces of the Democratic Republic of the Congo, South Sudan, Sudan and Uganda have participated in the illegal ivory trade as well.

Only effective local, national, and transnational action can stop this horror. Anti-atrocity groups such as the Enough Project can advocate for actions to shut off the demand for ivory in Asia. Conservation groups could broaden their focus to include efforts to end wars that have created a symbiotic relationship between ivory poaching and civilian suffering. Both types of organizations should emphasize the longer-term requirement for effective governance to lessen the likelihood of war and ivory poaching.

Joint and parallel action could tap activist organizations, increase the pressure on policymakers for action and broaden the knowledge about both of these problems among those who previously had focused on only one.

The combined efforts of conservation and human rights groups could spur the efforts of governments and international organizations to slow the destruction of the African elephant and free the people of east and central Africa from the threat of Joseph Kony and his ilk. This could be the start of a beautiful friendship, one that could help stop the massacre of both humans and animals in Africa.

The opinions expressed in this commentary are solely those of Mark Quarterman.

@highlight

Number of elephants killed for tusks is rising as demand for ivory soars, especially in Asia

@highlight

Mark Quarterman: Africa's militant groups kill elephants for tusks to fund their atrocities

@highlight

Quarterman: Future grim as the pace of killing outstrips ability to replace deaths with births

@highlight

Human rights and conservation groups, he says, should combine efforts to stop suffering